-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               10.1.10-MariaDB - mariadb.org binary distribution
-- Server OS:                    Win64
-- HeidiSQL Version:             9.3.0.4984
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Dumping database structure for openflights
CREATE DATABASE IF NOT EXISTS `openflights` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `openflights`;


-- Dumping structure for table openflights.airline
CREATE TABLE IF NOT EXISTS `airline` (
  `Airline_ID` int(11) NOT NULL COMMENT 'Unique OpenFlights identifier for this airline.',
  `Name` varchar(100) NOT NULL COMMENT 'Name of the airline.',
  `Alias` varchar(50) NOT NULL COMMENT 'Alias of the airline. For example, All Nippon Airways is commonly known as "ANA".',
  `IATA` varchar(5) NOT NULL COMMENT '2-letter IATA code, if available.',
  `ICAO` varchar(5) NOT NULL COMMENT '3-letter ICAO code, if available.',
  `Callsign` varchar(50) NOT NULL COMMENT 'Airline callsign.',
  `Country` varchar(50) NOT NULL COMMENT 'Country or territory where airline is incorporated.',
  `Active` varchar(1) NOT NULL COMMENT '"Y" if the airline is or has until recently been operational, "N" if it is defunct. This field is not reliable: in particular, major airlines that stopped flying long ago, but have not had their IATA code reassigned (eg. Ansett/AN), will incorrectly show as "Y".',
  PRIMARY KEY (`Airline_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table openflights.airline: ~6.125 rows (approximately)
DELETE FROM `airline`;
/*!40000 ALTER TABLE `airline` DISABLE KEYS */;
INSERT INTO `airline` (`Airline_ID`, `Name`, `Alias`, `IATA`, `ICAO`, `Callsign`, `Country`, `Active`) VALUES
	(1, 'Private flight', '\\N', '-', 'N/A', '', '', 'Y'),
	(2, '135 Airways', '\\N', '', 'GNL', 'GENERAL', 'United States', 'N'),
	(3, '1Time Airline', '\\N', '1T', 'RNX', 'NEXTIME', 'South Africa', 'Y'),
	(4, '2 Sqn No 1 Elementary Flying Training School', '\\N', '', 'WYT', '', 'United Kingdom', 'N'),
	(5, '213 Flight Unit', '\\N', '', 'TFU', '', 'Russia', 'N'),
	(6, '223 Flight Unit State Airline', '\\N', '', 'CHD', 'CHKALOVSK-AVIA', 'Russia', 'N'),
	(7, '224th Flight Unit', '\\N', '', 'TTF', 'CARGO UNIT', 'Russia', 'N'),
	(8, '247 Jet Ltd', '\\N', '', 'TWF', 'CLOUD RUNNER', 'United Kingdom', 'N'),
	(9, '3D Aviation', '\\N', '', 'SEC', 'SECUREX', 'United States', 'N'),
	(10, '40-Mile Air', '\\N', 'Q5', 'MLA', 'MILE-AIR', 'United States', 'Y'),
	(11, '4D Air', '\\N', '', 'QRT', 'QUARTET', 'Thailand', 'N'),
	(12, '611897 Alberta Limited', '\\N', '', 'THD', 'DONUT', 'Canada', 'N'),
	(13, 'Ansett Australia', '\\N', 'AN', 'AAA', 'ANSETT', 'Australia', 'Y'),
	(14, 'Abacus International', '\\N', '1B', '', '', 'Singapore', 'Y'),
	(15, 'Abelag Aviation', '\\N', 'W9', 'AAB', 'ABG', 'Belgium', 'N'),
	(16, 'Army Air Corps', '\\N', '', 'AAC', 'ARMYAIR', 'United Kingdom', 'N'),
	(17, 'Aero Aviation Centre Ltd.', '\\N', '', 'AAD', 'SUNRISE', 'Canada', 'N'),
	(18, 'Aero Servicios Ejecutivos Internacionales', '\\N', '', 'SII', 'ASEISA', 'Mexico', 'N'),
	(19, 'Aero Biniza', '\\N', '', 'BZS', 'BINIZA', 'Mexico', 'N'),
	(20, 'Aero Albatros', '\\N', '', 'ABM', 'ALBATROS ESPANA', 'Spain', 'N'),
	(21, 'Aigle Azur', '\\N', 'ZI', 'AAF', 'AIGLE AZUR', 'France', 'Y'),
	(22, 'Aloha Airlines', '\\N', 'AQ', 'AAH', 'ALOHA', 'United States', 'Y'),
	(23, 'Alaska Island Air', '\\N', '', 'AAK', 'ALASKA ISLAND', 'United States', 'N'),
	(24, 'American Airlines', '\\N', 'AA', 'AAL', 'AMERICAN', 'United States', 'Y'),
	(25, 'Aviation Management Corporation', '\\N', '', 'AAM', 'AM CORP', 'United States', 'N'),
	(26, 'Atlantis Airlines (USA)', '\\N', '', 'AAO', 'ATLANTIS AIR', 'United States', 'N'),
	(27, 'Aerovista Airlines', '\\N', '', 'AAP', 'AEROVISTA GROUP', 'United Arab Emirates', 'N'),
	(28, 'Asiana Airlines', '\\N', 'OZ', 'AAR', 'ASIANA', 'Republic of Korea', 'Y'),
	(29, 'Askari Aviation', '\\N', '4K', 'AAS', 'AL-AAS', 'Pakistan', 'Y'),
	(30, 'Australia Asia Airlines', '\\N', '', 'AAU', 'AUSTASIA', 'Australia', 'N'),
	(31, 'Astro Air International', '\\N', '', 'AAV', 'ASTRO-PHIL', 'United States', 'N'),
	(32, 'Afriqiyah Airways', '\\N', '8U', 'AAW', 'AFRIQIYAH', 'Libya', 'Y'),
	(33, 'Afrinat International Airlines', '\\N', 'Q9', 'AFU', '', 'Gambia', 'N'),
	(34, 'Afric\'air Express', '\\N', '', 'AAX', 'AFREX', 'Ivory Coast', 'N'),
	(35, 'Allegiant Air', '\\N', 'G4', 'AAY', 'ALLEGIANT', 'United States', 'Y'),
	(36, 'Angus Aviation', '\\N', '', 'AAZ', 'ANGUS', 'Canada', 'N'),
	(37, 'Artem-Avia', '\\N', '', 'ABA', 'ARTEM-AVIA', 'Ukraine', 'N'),
	(38, 'African Business and Transportations', '\\N', '', 'ABB', 'AFRICAN BUSINESS-', 'Democratic Republic of the Congo', 'N'),
	(39, 'Aban Air', '\\N', 'K5', 'ABE', 'ABAN', 'Iran', 'n'),
	(40, 'Aerial Oy', '\\N', '', 'ABF', 'SKYWINGS', 'Finland', 'N'),
	(41, 'Abakan-Avia', '\\N', '', 'ABG', 'ABAKAN-AVIA', 'Russia', 'N'),
	(42, 'ABSA - Aerolinhas Brasileiras', '\\N', 'M3', 'TUS', 'ABSA Cargo', 'Brazil', 'Y'),
	(43, 'Abaet', '\\N', '', 'ABJ', 'Abaet', 'Brazil', 'N'),
	(44, 'Alberta Citylink', '\\N', '', 'ABK', 'ALBERTA CITYLINK', 'Canada', 'N'),
	(45, 'APSA Colombia', '\\N', '', 'ABO', 'AEROEXPRESO', 'Colombia', 'N'),
	(46, 'Aerovias Bueno', '\\N', '', 'ABU', 'AEROBUENO', 'Colombia', 'N'),
	(47, 'Aerocenter', '\\N', '', 'ACR', ' Escuela de Formacion de Pioltos Privados de Avion', 'AEROCENTER', 'N'),
	(48, 'Antrak Air', '\\N', '04', 'ABV', 'ANTRAK', 'Ghana', 'N'),
	(49, 'Airborne Express', '\\N', 'GB', 'ABX', 'ABEX', 'United States', 'N'),
	(50, 'ABX Air', '\\N', 'GB', 'ABX', 'ABEX', 'United States', 'N'),
	(51, 'ATA Brasil', '\\N', '', 'ABZ', 'ATA-BRAZIL', 'Brazil', 'N'),
	(52, 'Avcard Services', '\\N', '', 'ACC', '', 'United Kingdom', 'N'),
	(53, 'Academy Airlines', '\\N', '', 'ACD', 'ACADEMY', 'United States', 'N'),
	(54, 'Aero Comondu', '\\N', '', 'ACO', 'AERO COMONDU', 'Mexico', 'N'),
	(55, 'Astral Aviation', '\\N', '8V', 'ACP', 'ASTRAL CARGO', 'Kenya', 'Y'),
	(56, 'Air Cess', '\\N', '', 'ACS', '', 'Liberia', 'N'),
	(57, 'Air Aurora', '\\N', '', 'AAI', 'BOREALIS', 'United States', 'N'),
	(58, 'Air Cargo Transportation System', '\\N', '', 'ACU', 'AFRISPIRIT', 'Kenya', 'N'),
	(59, 'Air Charter Service', '\\N', '', 'ACV', '', 'United Kingdom', 'N'),
	(60, 'Aero Asia International', '\\N', 'E4', 'RSO', 'AERO ASIA', 'Pakistan', 'N'),
	(61, 'Air Charters', '\\N', '', 'ACX', 'PARAIR', 'Canada', 'N'),
	(62, 'Air Togo', '\\N', 'YT', 'TGA', 'AIR TOGO', 'Togo', 'N'),
	(63, 'Air Somalia', '\\N', '', 'RSM', 'AIR SOMALIA', 'Somali Republic', 'N'),
	(64, 'Atlas Cargo Lines', '\\N', '', 'ACY', 'ATLAS CARGOLINES', 'Morocco', 'N'),
	(65, 'Airservices Australia', '\\N', '', 'ADA', 'AUSCAL', 'Australia', 'N'),
	(66, 'Advance Leasing Company', '\\N', '4G', '', '', 'United States', 'N'),
	(67, 'Aztec Worldwide Airlines', '\\N', '7A', '', '', 'United States', 'N'),
	(68, 'Air Tindi', '\\N', '8T', '', '', 'Canadian Territories', 'Y'),
	(69, 'Antonov Airlines', '\\N', '', 'ADB', 'ANTONOV BUREAU', 'Ukraine', 'N'),
	(70, 'Air Atlantic Dominicana', '\\N', '', 'ADC', 'ATLAN-DOMINICAN', 'Dominican Republic', 'N'),
	(71, 'Advanced Air Co.', '\\N', '', 'ADD', '', 'Japan', 'N'),
	(72, 'Ada Air', '\\N', 'ZY', 'ADE', 'ADA AIR', 'Albania', 'Y'),
	(73, 'Aerea Flying Training Organization', '\\N', '', 'ADG', 'AEREA TRAINING', 'Spain', 'N'),
	(74, 'Audeli Air', '\\N', '', 'ADI', 'AUDELI', 'Spain', 'N'),
	(75, 'Abicar', '\\N', '', 'ADJ', 'ABICAR', 'Ivory Coast', 'N'),
	(76, 'ADC Airlines', '\\N', 'Z7', 'ADK', 'ADCO', 'Nigeria', 'N'),
	(77, 'Aero Dynamics', '\\N', '', 'ADL', 'COTSWOLD', 'United Kingdom', 'N'),
	(78, 'Aerolineas Dominicanas', '\\N', '', 'ADM', 'DOMINAIR', 'Dominican Republic', 'N'),
	(79, 'Aerodienst GmbH', '\\N', '', 'ADN', 'AERODIENST', 'Germany', 'N'),
	(80, 'Aerodiplomatic', '\\N', '', 'ADP', 'AERODIPLOMATIC', 'Mexico', 'N'),
	(81, 'Aerodyne', '\\N', '', 'ADY', 'AERODYNE', 'United States', 'N'),
	(82, 'Avion Taxi', '\\N', '', 'ADQ', 'AIR DATA', 'Canada', 'N'),
	(83, 'Adria Airways', '\\N', 'JP', 'ADR', 'ADRIA', 'Slovenia', 'Y'),
	(84, 'Aviones de Sonora', '\\N', '', 'ADS', 'SONORAV', 'Mexico', 'N'),
	(85, 'Air Dorval', '\\N', '', 'ADT', 'AIR DORVAL', 'Canada', 'N'),
	(86, 'Airdeal Oy', '\\N', '', 'ADU', 'AIRDEAL', 'Finland', 'N'),
	(87, 'Advance Air Charters', '\\N', '', 'ADV', 'ADVANCE', 'Canada', 'N'),
	(88, 'Air Andaman', '\\N', '', 'ADW', 'AIR ANDAMAN', 'Thailand', 'N'),
	(89, 'Anderson Aviation', '\\N', '', 'ADX', 'ANDAX', 'United States', 'N'),
	(90, 'Air Europa', '\\N', 'UX', 'AEA', 'EUROPA', 'Spain', 'Y'),
	(91, 'Air Southwest Ltd.', '\\N', '', 'ASW', 'AIRSOUTHWEST', 'Canada', 'N'),
	(92, 'Air Special', '\\N', '', 'ASX', 'AIRSPEC', 'Czech Republic', 'N'),
	(93, 'Aero Benin', '\\N', 'EM', 'AEB', 'AEROBEN', 'Benin', 'Y'),
	(94, 'Aerocesar', '\\N', '', 'AEC', ' Aerovias Del Cesar', 'AEROCESAR', 'N'),
	(95, 'Aerotrans Airlines', '\\N', '', 'AED', '', 'Russia', 'N'),
	(96, 'Aegean Airlines', '\\N', 'A3', 'AEE', 'AEGEAN', 'Greece', 'Y'),
	(97, 'Aerofumigaciones Sam', '\\N', '', 'AEG', 'FUMIGACIONES SAM', 'Chile', 'N'),
	(98, 'Aeroexpreso Interamericano', '\\N', '', 'AEI', 'INTERAM', 'Colombia', 'N'),
	(99, 'Air Express', '\\N', '', 'AEJ', 'KHAKI EXPRESS', 'Tanzania', 'N'),
	(100, 'Aerocon', '\\N', '', 'AEK', 'AEROCON', 'Bolivia', 'N'),
	(101, 'Aero Madrid', '\\N', '', 'AEM', 'AEROMADRID', 'Spain', 'N'),
	(102, 'Aeroenlaces Nacionales', '\\N', '', 'AEN', '', 'Mexico', 'N'),
	(103, 'Aeroservicios Ejecutivos Del Occidente', '\\N', '', 'AEO', 'AERO OCCIDENTE', 'Mexico', 'N'),
	(104, 'Aerotec', '\\N', '', 'AEP', 'AEROTEC', 'Spain', 'N'),
	(105, 'Air Atlantique', '\\N', 'KI', 'AAG', 'ATLANTIC', 'United Kingdom', 'N'),
	(106, 'Air Europe', '\\N', 'PE', 'AEL', 'AIR EUROPE', 'Italy', 'Y'),
	(107, 'Air Alma', '\\N', '', 'AAJ', 'AIR ALMA', 'Canada', 'N'),
	(108, 'Air Express', '\\N', '', 'AEQ', 'LUNA', 'Sweden', 'N'),
	(109, 'Alaska Central Express', '\\N', 'KO', 'AER', 'ACE AIR', 'United States', 'Y'),
	(110, 'ACES Colombia', '\\N', '', 'AES', 'ACES', 'Colombia', 'Y'),
	(111, 'Aeronautical Radio of Thailand', '\\N', '', 'AET', 'AEROTHAI', 'Thailand', 'N'),
	(112, 'Astraeus', '\\N', '5W', 'AEU', 'FLYSTAR', 'United Kingdom', 'Y'),
	(113, 'Aeroventas', '\\N', '', 'AEV', 'AEROVENTAS', 'Mexico', 'N'),
	(114, 'Aerosvit Airlines', '\\N', 'VV', 'AEW', 'AEROSVIT', 'Ukraine', 'Y'),
	(115, 'Airway Express', '\\N', '', 'AEX', 'AVCO', 'United States', 'N'),
	(116, 'Air Italy', '\\N', 'I9', 'AEY', 'AIR ITALY', 'Italy', 'Y'),
	(117, 'Aerial Transit Company', '\\N', '', 'AEZ', 'AERIAL TRANZ', 'United States', 'N'),
	(118, 'Alfa Air', '\\N', '', 'AFA', 'BLUE ALFA', 'Czech Republic', 'N'),
	(119, 'American Falcon', '\\N', 'WK', 'AFB', 'AMERICAN FALCON', 'Argentina', 'N'),
	(120, 'Alliance Airlines', '\\N', 'QQ', 'UTY', 'UNITY', 'Australia', 'Y'),
	(121, 'Air Universal', '\\N', '', 'UVS', 'UNI-LEONE', 'Sierra Leone', 'N'),
	(122, 'Auvia Air', '\\N', '', 'UVT', 'AUVIA', 'Indonesia', 'N'),
	(123, 'African West Air', '\\N', '', 'AFC', 'AFRICAN WEST', 'Senegal', 'N'),
	(124, 'Airfast Indonesia', '\\N', '', 'AFE', 'AIRFAST', 'Indonesia', 'N'),
	(125, 'Ariana Afghan Airlines', '\\N', 'FG', 'AFG', 'ARIANA', 'Afghanistan', 'Y'),
	(126, 'Air Fecteau', '\\N', '', 'AFH', 'FECTO', 'Canada', 'N'),
	(127, 'Africaone', '\\N', '', 'AFI', 'AFRICAWORLD', 'Uganda', 'N'),
	(128, 'Alliance', '\\N', '', 'AFJ', 'JAMBO', 'Uganda', 'N'),
	(129, 'Africa Air Links', '\\N', '', 'AFK', 'AFRICA LINKS', 'Sierra Leone', 'N'),
	(130, 'Aeroflot Russian Airlines', '\\N', 'SU', 'AFL', 'AEROFLOT', 'Russia', 'Y'),
	(131, 'Aero Empresa Mexicana', '\\N', '', 'AFO', 'AERO EMPRESA', 'Mexico', 'N'),
	(132, 'Air Bosna', '\\N', 'JA', 'BON', 'AIR BOSNA', 'Bosnia and Herzegovina', 'Y'),
	(133, 'Air Bravo', '\\N', '', 'BRF', 'AIR BRAVO', 'Uganda', 'N'),
	(134, 'Air Brasd\'or', '\\N', '', 'BRL', 'BRASD\'OR', 'Canada', 'N'),
	(135, 'Air 500', '\\N', '', 'BRM', 'BOOMERANG', 'Canada', 'N'),
	(136, 'Alba Servizi Aerotrasporti', '\\N', '', 'AFQ', 'ALBA', 'Italy', 'N'),
	(137, 'Air France', '\\N', 'AF', 'AFR', 'AIRFRANS', 'France', 'Y'),
	(138, 'Air Partner', '\\N', '', 'ACG', 'AIR PARTNER', 'United Kingdom', 'N'),
	(139, 'Air Caledonie International', '\\N', 'SB', 'ACI', 'AIRCALIN', 'France', 'Y'),
	(140, 'Air Caledonia', '\\N', '', 'ACM', 'WEST CAL', 'Canada', 'N'),
	(141, 'Air Guam', '\\N', '', 'AGM', 'AIR GUAM', 'United States', 'N'),
	(142, 'Air Gabon', '\\N', 'GN', 'AGN', 'GOLF NOVEMBER', 'Gabon', 'N'),
	(143, 'Air Data', '\\N', '', 'AFS', '', 'United Kingdom', 'N'),
	(144, 'Air Afrique Vacancies', '\\N', '', 'AFV', 'AFRIQUE VACANCE', 'Ivory Coast', 'N'),
	(145, 'Air Cargo America', '\\N', '', 'MVM', 'PEGASUS', 'United States', 'N'),
	(146, 'Air Salone', '\\N', '2O', '', '', 'Sierra Leone', 'Y'),
	(147, 'Air-Angol', '\\N', '', 'NGO', 'AIR ANGOL', 'Angola', 'N'),
	(148, 'Air Nigeria', '\\N', '', 'NGP', 'REGAL EAGLE', 'Nigeria', 'N'),
	(149, 'Air Cargo Carriers', '\\N', '2Q', 'SNC', 'NIGHT CARGO', 'United States', 'Y'),
	(150, 'Air Samarkand', '\\N', '', 'SND', 'ARSAM', 'Uzbekistan', 'N'),
	(151, 'Air Senegal International', '\\N', 'V7', 'SNG', 'AIR SENEGAL', 'Senegal', 'N'),
	(152, 'Air Sandy', '\\N', '', 'SNY', 'AIR SANDY', 'Canada', 'N'),
	(153, 'Air Namibia', '\\N', 'SW', 'NMB', 'NAMIBIA', 'Namibia', 'Y'),
	(154, 'Air Intersalonika', '\\N', '', 'NSK', 'INTERSALONIKA', 'Greece', 'N'),
	(155, 'Air Anatolia', '\\N', '', 'NTL', 'AIR ANATOLIA', 'Turkey', 'N'),
	(156, 'Air Saigon', '\\N', '', 'SGA', 'AIR SAIGON', 'Vietnam', 'N'),
	(157, 'Afrique Regional Airways', '\\N', '', 'AFW', 'AFRAIR', 'Ivory Coast', 'N'),
	(158, 'Airfreight Express', '\\N', '', 'AFX', ' ', 'United Kingdom', 'N'),
	(159, 'Africa Chartered Services', '\\N', '', 'AFY', 'AFRICA CHARTERED', 'Nigeria', 'N'),
	(160, 'Africa Freight Services', '\\N', '', 'AFZ', 'AFREIGHT', 'Zambia', 'N'),
	(161, 'Aeronaves Del Centro', '\\N', '', 'AGA', '', 'Venezuela', 'N'),
	(162, 'Air Service Gabon', '\\N', 'G8', 'AGB', '', 'Gabon', 'N'),
	(163, 'Arab Agricultural Aviation Company', '\\N', '', 'AGC', 'AGRICO', 'Egypt', 'N'),
	(164, 'Atlantic Gulf Airlines', '\\N', '', 'AGF', 'ATLANTIC GULF', 'United States', 'N'),
	(165, 'Aerolitoral', '\\N', '5D', 'SLI', 'COSTERA', 'Mexico', 'Y'),
	(166, 'Algoma Airways', '\\N', '', 'AGG', 'ALGOMA', 'Canada', 'N'),
	(167, 'Altagna', '\\N', '', 'AGH', 'ALTAGNA', 'France', 'N'),
	(168, 'Angola Air Charter', '\\N', '', 'AGO', 'ANGOLA CHARTER', 'Angola', 'N'),
	(169, 'Angola Air Charter', '\\N', '', 'AGO', 'ANGOLA CHARTER', 'Angola', 'N'),
	(170, 'AERFI Group', '\\N', '', 'AGP', 'AIR TARA', 'Ireland', 'N'),
	(171, 'Aerogala', '\\N', '', 'AGQ', 'GALASERVICE', 'Chile', 'N'),
	(172, 'Amadeus Global Travel Distribution', '\\N', '1A', 'AGT', 'AMADEUS', 'Spain', 'N'),
	(173, 'Angara Airlines', '\\N', '', 'AGU', 'SARMA', 'Russia', 'N'),
	(174, 'Air Glaciers', '\\N', '7T', 'AGV', 'AIR GLACIERS', 'Switzerland', 'Y'),
	(175, 'Aero Gambia', '\\N', '', 'AGW', 'AERO GAMBIA', 'Gambia', 'N'),
	(176, 'Aviogenex', '\\N', '', 'AGX', 'GENEX', 'Serbia', 'Y'),
	(177, 'Atlantic Coast Airlines', '\\N', '', 'BLR', 'BLUE RIDGE', 'United States', 'N'),
	(178, 'Aero Barloz', '\\N', '', 'BLZ', 'AEROLOZ', 'Mexico', 'N'),
	(179, 'Aeroper', '\\N', 'PL', 'PLI', 'Aeroperu', 'Peru', 'Y'),
	(180, 'Atlas Blue', '\\N', '8A', 'BMM', 'ATLAS BLUE', 'Morocco', 'Y'),
	(181, 'Aero Banobras', '\\N', '', 'BNB', 'AEROBANOBRAS', 'Mexico', 'N'),
	(182, 'Aero Flight Service', '\\N', '', 'AGY', 'FLIGHT GROUP', 'United States', 'N'),
	(183, 'Agrolet-Mci', '\\N', '', 'AGZ', 'AGROLET', 'Slovakia', 'N'),
	(184, 'Air Alpha Greenland', '\\N', 'GD', 'AHA', 'AIR ALPHA', 'Denmark', 'N'),
	(185, 'Azal Avia Cargo', '\\N', '', 'AHC', 'AZALAVIACARGO', 'Azerbaijan', 'N'),
	(186, 'Airport Helicopter Basel', '\\N', '', 'AHE', ' Muller & Co.', 'AIRPORT HELICOPTER', 'N'),
	(187, 'Aeroservices Corporate', '\\N', '', 'CJE', 'BIRD JET', 'France', 'N'),
	(188, 'Aspen Helicopters', '\\N', '', 'AHF', 'ASPEN', 'United States', 'N'),
	(189, 'Aerochago Airlines', '\\N', '', 'AHG', 'AEROCHAGO', 'Dominican Republic', 'N'),
	(190, 'Airplanes Holdings', '\\N', '', 'AHH', 'AIRHOLD', 'Ireland', 'N'),
	(191, 'Air Hong Kong', '\\N', 'LD', 'AHK', 'AIR HONG KONG', 'Hong Kong', 'N'),
	(192, 'Aerochiapas', '\\N', '', 'AHP', 'AEROCHIAPAS', 'Mexico', 'N'),
	(193, 'Air Adriatic', '\\N', '', 'AHR', 'ADRIATIC', 'Croatia', 'N'),
	(194, 'Air Viggi San Raffaele', '\\N', '', 'AHS', 'AIRSAR', 'Italy', 'N'),
	(195, 'ABC Air Hungary', '\\N', '', 'AHU', 'ABC HUNGARY', 'Hungary', 'N'),
	(196, 'Aeromist-Kharkiv', '\\N', 'HT', 'AHW', 'AEROMIST', 'Ukraine', 'N'),
	(197, 'Azerbaijan Airlines', '\\N', 'J2', 'AHY', 'AZAL', 'Azerbaijan', 'Y'),
	(198, 'Avies', '\\N', 'U3', 'AIA', 'AVIES', 'Estonia', 'Y'),
	(199, 'Airbus Industrie', '\\N', 'AP', 'AIB', 'AIRBUS INDUSTRIE', 'France', 'N'),
	(200, 'Alpine Air Chile', '\\N', '', 'AIH', 'ALPINE CHILE', 'Chile', 'N'),
	(201, 'Air Integra', '\\N', '', 'AII', 'INTEGRA', 'Canada', 'N'),
	(202, 'ABC Aerolineas', '\\N', '', 'AIJ', 'ABC AEROLINEAS', 'Mexico', 'N'),
	(203, 'African Airlines International Limited', '\\N', '', 'AIK', 'AFRICAN AIRLINES', 'Kenya', 'N'),
	(204, 'African International Airways', '\\N', '', 'AIN', 'FLY CARGO', 'Swaziland', 'N'),
	(205, 'Alpine Air Express', '\\N', '5A', 'AIP', 'ALPINE AIR', 'United States', 'N'),
	(206, 'Alicante Internacional Airlines', '\\N', '', 'AIU', 'ALIA', 'Spain', 'N'),
	(207, 'Aba Air', '\\N', '', 'ABP', 'BAIR', 'Czech Republic', 'N'),
	(208, 'Airblue', '\\N', 'ED', 'ABQ', 'PAKBLUE', 'Pakistan', 'Y'),
	(209, 'Airmark Aviation', '\\N', '', 'THM', 'THAI AIRMARK', 'Thailand', 'N'),
	(210, 'Airlift International', '\\N', '', 'AIR', 'AIRLIFT', 'United States', 'Y'),
	(211, 'Airest', '\\N', '', 'AIT', ' ', 'Estonia', 'N'),
	(212, 'Air Baffin', '\\N', '', 'BFF', 'AIR BAFFIN', 'Canada', 'N'),
	(213, 'Air Bandama', '\\N', '', 'BDM', 'BANDAMA', 'Ivory Coast', 'N'),
	(214, 'Air Berlin', '\\N', 'AB', 'BER', 'AIR BERLIN', 'Germany', 'Y'),
	(215, 'Air Brousse', '\\N', '', 'ABT', 'AIR BROUSSE', 'Canada', 'N'),
	(216, 'Air Contractors', '\\N', 'AG', 'ABR', 'CONTRACT', 'Ireland', 'N'),
	(217, 'Air Illinois', '\\N', '', 'AIL', 'AIR ILLINOIS', 'United States', 'N'),
	(218, 'Air India Limited', '\\N', 'AI', 'AIC', 'AIRINDIA', 'India', 'Y'),
	(219, 'Air Inter Gabon', '\\N', '', 'AIG', ' ', 'Gabon', 'N'),
	(220, 'Air Bourbon', '\\N', 'ZB', 'BUB', 'BOURBON', 'Reunion', 'Y'),
	(221, 'Air Atlanta Icelandic', '\\N', 'CC', 'ABD', 'ATLANTA', 'Iceland', 'Y'),
	(222, 'Air Inuit', '\\N', '', 'AIE', 'AIR INUIT', 'Canada', 'N'),
	(223, 'Air Sureste', '\\N', '', 'AIS', 'SURESTE', 'Spain', 'N'),
	(224, 'Air Srpska', '\\N', 'RB', 'SBK', 'Air Srpska', 'Bosnia and Herzegovina', 'N'),
	(225, 'Air Tahiti Nui', '\\N', 'TN', 'THT', 'TAHITI AIRLINES', 'France', 'Y'),
	(226, 'Airvias S/A Linhas Aereas', '\\N', '', 'AIV', 'AIRVIAS', 'Brazil', 'N'),
	(227, 'Aero Services Executive', '\\N', 'W4', 'BES', 'BIRD EXPRESS', 'France', 'N'),
	(228, 'Atlantic Island Airways', '\\N', '', 'AIW', 'TARTAN', 'Canada', 'N'),
	(229, 'Aircruising Australia', '\\N', '', 'AIX', 'CRUISER', 'Australia', 'N'),
	(230, 'Aircrew Check and Training Australia', '\\N', '', 'AIY', 'AIRCREW', 'Australia', 'N'),
	(231, 'Arkia Israel Airlines', '\\N', 'IZ', 'AIZ', 'ARKIA', 'Israel', 'Y'),
	(232, 'A J Services', '\\N', '', 'AJA', 'AYJAY SERVICES', 'United Kingdom', 'N'),
	(233, 'Aero JBR', '\\N', '', 'AJB', 'AERO JBR', 'Mexico', 'N'),
	(234, 'Aero Jet Express', '\\N', '', 'AJE', 'JET EXPRESS', 'Mexico', 'N'),
	(235, 'Avia Consult Flugbetriebs', '\\N', '', 'AJF', 'AVIACONSULT', 'Austria', 'N'),
	(236, 'Ameristar Jet Charter', '\\N', '', 'AJI', 'AMERISTAR', 'United States', 'N'),
	(237, 'A2 Jet Leasing', '\\N', '', 'AJJ', 'ATLANTIC JET', 'United States', 'N'),
	(238, 'Allied Air', '\\N', '', 'AJK', 'BAMBI', 'Nigeria', 'N'),
	(239, 'Air Jamaica', '\\N', 'JM', 'AJM', 'JAMAICA', 'Jamaica', 'Y'),
	(240, 'Air One', '\\N', 'AP', 'ADH', 'HERON', 'Italy', 'Y'),
	(241, 'Air Sahara', '\\N', 'S2', 'RSH', 'SAHARA', 'India', 'Y'),
	(242, 'Air Malta', '\\N', 'KM', 'AMC', 'AIR MALTA', 'Malta', 'Y'),
	(243, 'Aeroejecutivo', '\\N', '', 'AJO', 'AEROEXO', 'Mexico', 'N'),
	(244, 'Aero Jets Corporativos', '\\N', '', 'AJP', 'AEROJETS', 'Mexico', 'N'),
	(245, 'Aeroejecutivos Colombia', '\\N', '', 'AJS', 'AEROEJECUTIVOS', 'Colombia', 'N'),
	(246, 'Amerijet International', '\\N', 'M6', 'AJT', 'AMERIJET', 'United States', 'N'),
	(247, 'Air Jetsul', '\\N', '', 'AJU', 'AIRJETSUL', 'Portugal', 'N'),
	(248, 'ANA & JP Express', '\\N', '', 'AJV', 'AYJAY CARGO', 'Japan', 'N'),
	(249, 'Alpha Jet International', '\\N', '', 'AJW', 'ALPHAJET', 'United States', 'N'),
	(250, 'Air Japan', '\\N', 'NQ', 'AJX', 'AIR JAPAN', 'Japan', 'Y'),
	(251, 'Ajet', '\\N', '', 'AJY', 'AYJET', 'Cyprus', 'N'),
	(252, 'Air Korea Co. Ltd.', '\\N', '', 'AKA', '', 'Republic of Korea', 'Y'),
	(253, 'Air Livonia', '\\N', '', 'LIV', 'LIVONIA', 'Estonia', 'N'),
	(254, 'Air BC', '\\N', '', 'ABL', 'AIRCOACH', 'Canada', 'N'),
	(255, 'Air Fret Senegal', '\\N', '', 'ABN', ' ', 'Senegal', 'N'),
	(256, 'Air Jamahiriya Company', '\\N', '', 'LJA', 'AIR JAMAHIRIYA', 'Libya', 'N'),
	(257, 'Aktjubavia', '\\N', '', 'AKB', 'KARAB', 'Kazakhstan', 'N'),
	(258, 'Arca Aerovias Colombianas Ltda.', '\\N', '', 'AKC', 'ARCA', 'Colombia', 'N'),
	(259, 'Anikay Air Company', '\\N', '', 'AKF', 'ANIKAY', 'Kyrgyzstan', 'N'),
	(260, 'Akhal', '\\N', '', 'AKH', 'AKHAL', 'Turkmenistan', 'N'),
	(261, 'Aeromilenio', '\\N', '', 'MNI', 'AEROMIL', 'Mexico', 'N'),
	(262, 'Aklak Air', '\\N', '', 'AKK', 'AKLAK', 'Canada', 'N'),
	(263, 'Air Kiribati', '\\N', '4A', 'AKL', '', 'Kiribati', 'Y'),
	(264, 'Alkan Air', '\\N', '', 'AKN', 'ALKAN AIR', 'Canada', 'N'),
	(265, 'Angkor Airways', '\\N', '', 'AKW', 'ANGKORWAYS', 'Cambodia', 'N'),
	(266, 'Air Nippon Network Co. Ltd.', '\\N', 'EH', 'AKX', 'ALFA WING', 'Japan', 'N'),
	(267, 'AK Navigator LLC', '\\N', '', 'AKZ', 'ABSOLUTE', 'Kazakhstan', 'N'),
	(268, 'Aero Albatros', '\\N', '', 'ALB', 'ALBATROS', 'Mexico', 'N'),
	(269, 'Albion Aviation', '\\N', '', 'ALD', 'ALBION', 'United Kingdom', 'N'),
	(270, 'Aeroalas Colombia', '\\N', '', 'ALE', 'AEROALAS', 'Colombia', 'N'),
	(271, 'Allied Command Europe (Mobile Force)', '\\N', '', 'ALF', 'ACEFORCE', 'Belgium', 'N'),
	(272, 'Aerotaxis Albatros', '\\N', '', 'BTS', 'AEROLINEAS ALBATROS', 'Mexico', 'N'),
	(273, 'American Flyers', '\\N', '', 'FYS', 'AMERICAN FLYERS', 'United States', 'N'),
	(274, 'Aero Coach Aviation', '\\N', '', 'DFA', 'AERO COACH', 'United States', 'N'),
	(275, 'Atlantic Southeast Airlines', '\\N', '', 'CAA', 'Chandler', 'United States', 'N'),
	(276, 'ACM Air Charter', '\\N', '', 'BVR', 'BAVARIAN', 'Germany', 'N'),
	(277, 'Air Logistics', '\\N', '', 'ALG', 'AIRLOG', 'United States', 'N'),
	(278, 'Aerovallarta', '\\N', '', 'ALL', 'VALLARTA', 'Mexico', 'N'),
	(279, 'Air ALM', '\\N', '', 'ALM', 'ANTILLEAN', 'Netherlands Antilles', 'N'),
	(280, 'Air Lincoln', '\\N', '', 'ALN', 'CHICAGO LINCOLN', 'United States', 'N'),
	(281, 'America West Airlines', '\\N', 'HP', 'AWE', 'CACTUS', 'United States', 'Y'),
	(282, 'Air Wisconsin', '\\N', 'ZW', 'AWI', 'AIR WISCONSIN', 'United States', 'Y'),
	(283, 'Aerotransporte de Carga Union', '\\N', '', 'TNO', 'AEROUNION', 'Mexico', 'N'),
	(284, 'Aero Taxis Cessna', '\\N', '', 'TND', 'TAXIS CESSNA', 'Mexico', 'N'),
	(285, 'Arizona Express Airlines', '\\N', '', 'TMP', 'TEMPE', 'United States', 'N'),
	(286, 'Tatarstan Airlines', '\\N', 'U9', 'TAK', 'TATARSTAN', 'Russia', 'Y'),
	(287, 'Allegheny Commuter Airlines', '\\N', '', 'ALO', 'ALLEGHENY', 'United States', 'Y'),
	(288, 'Alpliner AG', '\\N', '', 'ALP', 'ALPINER', 'Switzerland', 'N'),
	(289, 'Altair Aviation (1986)', '\\N', '', 'ALQ', 'ALTAIR', 'Canada', 'N'),
	(290, 'Air Luxor STP', '\\N', '', 'ALU', 'LUXORJET', 'Sao Tome and Principe', 'N'),
	(291, 'Alas de Venezuela', '\\N', '', 'ALV', 'ALVEN', 'Venezuela', 'N'),
	(292, 'Alas Nacionales', '\\N', '', 'ALW', ' S.A.', 'ALNACIONAL', 'N'),
	(293, 'Alyeska Air Service', '\\N', '', 'ALY', 'ALYESKA', 'United States', 'N'),
	(294, 'Alta Flights (Charters) Ltd.', '\\N', '', 'ALZ', ' ', 'Canada', 'N'),
	(295, 'Air Sunshine', '\\N', '', 'RSI', 'AIR SUNSHINE', 'United States', 'Y'),
	(296, 'ATMA', '\\N', '', 'AMA', 'ADIK', 'Kazakhstan', 'N'),
	(297, 'Aerolineas Medellin', '\\N', '', 'AMD', 'AEROLINEAS MEDELLIN', 'Colombia', 'N'),
	(298, 'Ameriflight', '\\N', '', 'AMF', 'AMFLIGHT', 'United States', 'N'),
	(299, 'Air Libert', '\\N', 'VD', '', '', 'France', 'Y'),
	(300, 'Air Lithuania', '\\N', 'TT', 'KLA', 'KAUNAS', 'Lithuania', 'N'),
	(301, 'Air Minas Linhas A', '\\N', '', 'AMG', 'AIR MINAS', 'Brazil', 'N'),
	(302, 'Alan Mann Helicopters Ltd.', '\\N', '', 'AMH', 'MANN', 'United Kingdom', 'N'),
	(303, 'Air Maldives', '\\N', '', 'AMI', 'AIR MALDIVES', 'Maldives', 'N'),
	(304, 'Aviation Amos', '\\N', '', 'AMJ', 'AVIATION AMOS', 'Canada', 'N'),
	(305, 'Amerer Air', '\\N', '', 'AMK', 'AMER AIR', 'Austria', 'N'),
	(306, 'Air Malawi', '\\N', 'QM', 'AML', 'MALAWI', 'Malawi', 'Y'),
	(307, 'Aeroputul International Marculesti', '\\N', '', 'AMM', 'AEROM', 'Moldova', 'N'),
	(308, 'Air Montenegro', '\\N', '', 'AMN', 'MONTENEGRO', 'Montenegro', 'N'),
	(309, 'Air Montreal (Air Holdings Inc.)', '\\N', '', 'AMO', 'AIR MONTREAL', 'Canada', 'N'),
	(310, 'Aero Transporte S.A. (ATSA)', '\\N', '', 'AMP', 'ATSA', 'Peru', 'N'),
	(311, 'Aeromedicare Ltd.', '\\N', '', 'AMQ', 'LIFELINE', 'United Kingdom', 'N'),
	(312, 'Air Sicilia', '\\N', 'BM', '', '', 'Italy', 'Y'),
	(313, 'Air Specialties Corporation', '\\N', '', 'AMR', 'AIR AM', 'United States', 'N'),
	(314, 'Air Muskoka', '\\N', '', 'AMS', 'AIR MUSKOKA', 'Canada', 'N'),
	(315, 'ATA Airlines', '\\N', '', 'AMT', 'AMTRAN', 'United States', 'Y'),
	(316, 'Air Macau', '\\N', 'NX', 'AMU', 'AIR MACAO', 'Macao', 'Y'),
	(317, 'AMC Airlines', '\\N', '', 'AMV', '', 'Egypt', 'Y'),
	(318, 'Air Midwest', '\\N', 'ZV', 'AMW', 'AIR MIDWEST', 'United States', 'N'),
	(319, 'Air Seychelles', '\\N', 'HM', 'SEY', 'SEYCHELLES', 'Seychelles', 'Y'),
	(320, 'Air Sofia', '\\N', '', 'SFB', 'AIR SOFIA', 'Bulgaria', 'N'),
	(321, 'AeroMéxico', '\\N', 'AM', 'AMX', 'AEROMEXICO', 'Mexico', 'Y'),
	(322, 'Air Ambar', '\\N', '', 'AMY', 'AIR AMBAR', 'Dominican Republic', 'N'),
	(323, 'Amiya Airline', '\\N', '', 'AMZ', 'AMIYA AIR', 'Nigeria', 'N'),
	(324, 'All Nippon Airways', 'ANA All Nippon Airways', 'NH', 'ANA', 'ALL NIPPON', 'Japan', 'Y'),
	(325, 'Air Navigation And Trading Co. Ltd.', '\\N', '', 'ANB', 'AIR NAV', 'United Kingdom', 'N'),
	(326, 'Anglo Cargo', '\\N', '', 'ANC', 'ANGLO', 'United Kingdom', 'N'),
	(327, 'Air Nostrum', '\\N', 'YW', 'ANE', 'AIR NOSTRUM', 'Spain', 'Y'),
	(328, 'Air Niugini', '\\N', 'PX', 'ANG', 'NUIGINI', 'Papua New Guinea', 'Y'),
	(329, 'Air Arabia', '\\N', 'G9', 'ABY', 'ARABIA', 'United Arab Emirates', 'Y'),
	(330, 'Air Canada', '\\N', 'AC', 'ACA', 'AIR CANADA', 'Canada', 'Y'),
	(331, 'Airport Bratsk', '\\N', '', 'BRP', 'AEROBRA', 'Russia', 'N'),
	(332, 'Air Wings', '\\N', '', 'BSB', 'ARBAS', 'Moldova', 'N'),
	(333, 'Air Baltic', '\\N', 'BT', 'BTI', 'AIRBALTIC', 'Latvia', 'Y'),
	(334, 'Alajnihah for Air Transport', '\\N', '', 'ANH', 'ALAJNIHAH', 'Libya', 'N'),
	(335, 'Air Atlantic (Nig) Limited', '\\N', '', 'ANI', 'NIGALANTIC', 'Nigeria', 'N'),
	(336, 'Air Nippon', '\\N', 'EL', 'ANK', 'ANK AIR', 'Japan', 'Y'),
	(337, 'Antares Airtransport', '\\N', '', 'ANM', ' Maintenance & Service GmbH', 'ANTARES', 'N'),
	(338, 'Airnorth', '\\N', 'TL', 'ANO', 'TOPEND', 'Australia', 'Y'),
	(339, 'Aerol', '\\N', '', 'ANQ', 'ANTIOQUIA', 'Colombia', 'N'),
	(340, 'Andes Lineas Aereas', '\\N', '', 'ANS', 'AEROANDES', 'Argentina', 'N'),
	(341, 'Air North Charter - Canada', '\\N', '4N', 'ANT', 'AIR NORTH', 'Canada', 'Y'),
	(342, 'Air Nevada', '\\N', '', 'ANV', 'AIR NEVADA', 'United States', 'N'),
	(343, 'AOM French Airlines', '\\N', 'IW', 'AOM', 'French Lines', 'France', 'N'),
	(344, 'Aviacion Del Noroeste', '\\N', '', 'ANW', ' S.A. de C.V.', 'AVINOR', 'N'),
	(345, 'Air New Zealand', '\\N', 'NZ', 'ANZ', 'NEW ZEALAND', 'New Zealand', 'Y'),
	(346, 'Avia Jaynar', '\\N', '', 'SAP', 'TOBOL', 'Kazakhstan', 'N'),
	(347, 'Aero Servicios Empresariales', '\\N', '', 'EMS', 'SERVIEMPRESARIAL', 'Mexico', 'N'),
	(348, 'Alcon Servicios Aereos', '\\N', '', 'AOA', ' S.A. de C.V.', 'ALCON', 'N'),
	(349, 'AVCOM', '\\N', 'J6', 'AOC', 'AERO AVCOM', 'Russia', 'N'),
	(350, 'Aero Vodochody', '\\N', '', 'AOD', 'AERO CZECH', 'Czech Republic', 'N'),
	(351, 'Air One Executive', '\\N', '', 'AOE', ' ', 'Italy', 'N'),
	(352, 'Atair Pty Ltd.', '\\N', '', 'AOF', 'ATAIR', 'South Africa', 'N'),
	(353, 'Aero VIP', '\\N', '2D', 'AOG', 'AVIP', 'Argentina', 'N'),
	(354, 'Aeromundo Ejecutivo', '\\N', '', 'MUN', 'AEROMUNDO', 'Mexico', 'N'),
	(355, 'Aerolinea Muri', '\\N', '', 'MUR', 'MURI', 'Mexico', 'N'),
	(356, 'Astoria', '\\N', '', 'AOI', ' Inc.', 'ASTORIA', 'N'),
	(357, 'Aero Rent JSC', '\\N', '', 'NRO', 'AEROMASTER', 'Russia', 'N'),
	(358, 'Aeronord-Grup', '\\N', '', 'NRP', 'AERONORD', 'Moldova', 'N'),
	(359, 'Aeroatlantico Colombia', '\\N', '', 'AOK', '', 'Colombia', 'N'),
	(360, 'Angkor Airlines', '\\N', '', 'AOL', 'ANGKOR AIR', 'Cambodia', 'N'),
	(361, 'Aero Entreprise', '\\N', '', 'AON', 'AERO ENTERPRISE', 'France', 'N'),
	(362, 'As', '\\N', '', 'AOO', ' Opened Joint Stock Company', 'COMPANY AS', 'N'),
	(363, 'Aeropiloto', '\\N', '', 'AOP', 'AEROPILOTO', 'Portugal', 'N'),
	(364, 'Aeroenlaces Nacionales', '\\N', '', 'VIV', 'AEROENLACES', 'Mexico', 'N'),
	(365, 'Aerovis Airlines', '\\N', '', 'VIZ', 'AEROVIZ', 'Ukraine', 'N'),
	(366, 'Avjet International (FZE)', '\\N', '', 'VJE', '', 'United Arab Emirates', 'N'),
	(367, 'Aerovista Gulf Express', '\\N', '', 'VGF', 'VISTA GULF', 'United Arab Emirates', 'N'),
	(368, 'Air Vegas', '\\N', '6V', 'VGA', 'AIR VEGAS', 'United States', 'N'),
	(369, 'Almaver', '\\N', '', 'VER', 'ALMAVER', 'Mexico', 'N'),
	(370, 'Afro International Ent. Limited', '\\N', '', 'AOR', 'INTER-AFRO', 'Nigeria', 'N'),
	(371, 'Alitalia Express', '\\N', 'XM', 'SMX', 'ALIEXPRESS', 'Italy', 'Y'),
	(372, 'Asia Overnight Express', '\\N', 'OE', 'AOT', 'ASIA OVERNIGHT', 'Philippines', 'N'),
	(373, 'Air Tractor', '\\N', '', 'AOU', 'AIR TRACTOR', 'Croatia', 'N'),
	(374, 'Aero Vision', '\\N', '', 'AOV', 'AEROVISION', 'France', 'N'),
	(375, 'Aerotaxi Del Valle', '\\N', '', 'AOX', 'AEROVALLE', 'Colombia', 'N'),
	(376, 'Air Park Aviation Ltd.', '\\N', '', 'APA', 'CAN-AM', 'Canada', 'N'),
	(377, 'Airpac Airlines', '\\N', '', 'APC', ' Inc.', 'AIRPAC', 'N'),
	(378, 'Aeroservicios Monterrey', '\\N', '', 'SVM', 'SERVIMONTE', 'Mexico', 'N'),
	(379, 'Amapola Flyg AB', '\\N', '', 'APF', 'AMAPOLA', 'Sweden', 'N'),
	(380, 'Air People International', '\\N', '', 'APG', 'AIR PEOPLE', 'Thailand', 'N'),
	(381, 'Alpha Aviation', '\\N', '', 'APH', ' Inc.', 'AIRFLIGHT', 'N'),
	(382, 'ASA Pesada', '\\N', '', 'API', ' Lda.', 'ASA PESADA', 'N'),
	(383, 'Air Print', '\\N', '', 'APJ', ' S.A.', 'AIR PRINT', 'N'),
	(384, 'Atlantic Airlines', '\\N', '', 'BJK', 'BLACKJACK', 'United States', 'N'),
	(385, 'Aerotransporte Petrolero', '\\N', '', 'PET', 'AEROPETRO', 'Colombia', 'N'),
	(386, 'Aero Flight', '\\N', 'GV', 'ARF', 'Aero Fox', 'Germany', 'Y'),
	(387, 'ACM Aviation', '\\N', '', 'BJT', 'BAY JET', 'United States', 'N'),
	(388, 'Aircompany Barcol', '\\N', '', 'BKL', 'BARCOL', 'Russia', 'N'),
	(389, 'All Charter Limited', '\\N', '', 'BLA', 'ALL CHARTER', 'United Kingdom', 'N'),
	(390, 'Appalachian Flying Service', '\\N', '', 'APL', ' Inc.', 'APPALACHIAN', 'N'),
	(391, 'Airpac', '\\N', '', 'APM', ' Inc.', 'ALASKA PACIFIC', 'N'),
	(392, 'Aeropro', '\\N', '', 'APO', 'AEROPRO', 'Canada', 'N'),
	(393, 'Aerolineas Pacifico Atlantico', '\\N', '', 'APP', ' S.A. (Apair)', 'AEROPERLAS', 'N'),
	(394, 'Aspen Aviation', '\\N', '', 'APQ', 'ASPEN BASE', 'United States', 'N'),
	(395, 'Aeropuma', '\\N', '', 'APU', ' S.A.', 'AEROPUMA', 'N'),
	(396, 'Air Plan International', '\\N', '', 'APV', 'AIR PLAN', 'Democratic Republic of the Congo', 'N'),
	(397, 'Arrow Air', '\\N', 'JW', 'APW', 'BIG A', 'United States', 'Y'),
	(398, 'Apex Air Cargo', '\\N', '', 'APX', 'PARCEL EXPRESS', 'United States', 'N'),
	(399, 'APA Internacional', '\\N', '', 'APY', 'APA INTERNACIONAL', 'Dominican Republic', 'N'),
	(400, 'Aeroatlas', '\\N', '', 'AQA', ' S.A.', 'ATCO', 'N'),
	(401, 'Aquila Air Ltd.', '\\N', '', 'AQL', 'AQUILA', 'Canada', 'N'),
	(402, 'Air Queensland', '\\N', '', 'AQN', 'BUSHAIR', 'Australia', 'N'),
	(403, 'Aluminum Company Of America', '\\N', '', 'AQO', 'ALCOA SHUTTLE', 'United States', 'N'),
	(404, 'Aviones de Renta de Quintana Roo', '\\N', '', 'AQT', ' S.A. de C.V.', 'AVIOQUINTANA', 'N'),
	(405, 'AirQuarius Aviation', '\\N', '', 'AQU', 'QUARIUS', 'South Africa', 'N'),
	(406, 'Aerodyne Charter Company', '\\N', '', 'AQZ', 'QUANZA', 'United States', 'N'),
	(407, 'Arik Air', '\\N', 'W3', 'ARA', 'ARIK AIR', 'Nigeria', 'N'),
	(408, 'Avia Air N.V.', '\\N', '', 'ARB', 'AVIAIR', 'Aruba', 'N'),
	(409, 'Air Routing International Corp.', '\\N', '', 'ARC', ' ', 'United States', 'N'),
	(410, 'Aerocondor', '\\N', '2B', 'ARD', 'AEROCONDOR', 'Portugal', 'Y'),
	(411, 'Aires', '\\N', '4C', 'ARE', ' Aerovias de Integracion Regional', ' S.A.', 'Y'),
	(412, 'Aerolineas Argentinas', '\\N', 'AR', 'ARG', 'ARGENTINA', 'Argentina', 'Y'),
	(413, 'Arrowhead Airways', '\\N', '', 'ARH', 'ARROWHEAD', 'United States', 'N'),
	(414, 'Aero Vics', '\\N', '', 'ARI', 'AEROVICS', 'Mexico', 'N'),
	(415, 'Aerojet de Costa Rica', '\\N', '', 'ARJ', ' S.A.', '', 'N'),
	(416, 'Antillana De Navegacion Aerea', '\\N', '', 'SUN', '', 'Dominican Republic', 'N'),
	(417, 'Aeroservicios De San Luis', '\\N', '', 'SUO', 'SERVICIO SANLUIS', 'Mexico', 'N'),
	(418, 'Aerosuper', '\\N', '', 'SUP', 'AEROSUPER', 'Mexico', 'N'),
	(419, 'Aero Link Air Services S.L.', '\\N', '', 'ARK', 'LINK SERVICE', 'Spain', 'N'),
	(420, 'Airlec - Air Aquitaine Transport', '\\N', '', 'ARL', 'AIRLEC', 'France', 'N'),
	(421, 'Aeromarket Express', '\\N', '', 'ARM', 'AMEX', 'Spain', 'N'),
	(422, 'Arrow Aviation Ltd.', '\\N', '', 'ARO', 'ARROW', 'Canada', 'N'),
	(423, 'RPA-Aviataxi Ltd.', '\\N', '', 'ARP', '', 'Russia', 'N'),
	(424, 'Air Klaipeda', '\\N', '', 'KLD', 'AIR KLAIPEDA', 'Lithuania', 'N'),
	(425, 'Armstrong Air', '\\N', '', 'ARQ', ' Inc.', 'ARMSTRONG', 'N'),
	(426, 'Air Armenia', '\\N', 'QN', 'ARR', 'AIR ARMENIA', 'Armenia', 'N'),
	(427, 'Aeromet Servicios', '\\N', '', 'ARS', 'METSERVICE', 'Chile', 'N'),
	(428, 'Aerotal Aerolineas Territoriales de Colombia Ltda', '\\N', '', 'ART', 'AEROTAL', 'Colombia', 'N'),
	(429, 'Aravco Ltd.', '\\N', '', 'ARV', 'ARAVCO', 'United Kingdom', 'N'),
	(430, 'Aria', '\\N', '', 'ARW', 'ARIABIRD', 'France', 'N'),
	(431, 'Air Xpress', '\\N', '', 'ARX', ' Inc.', 'AIREX', 'N'),
	(432, 'Airline Alania', '\\N', '', 'OST', 'ALANIA', 'Russia', 'N'),
	(433, 'Air Tchad', '\\N', '', 'HTT', 'HOTEL TANGO', 'Chad', 'N'),
	(434, 'Aerloineas de Techuacan', '\\N', '', 'HUC', 'LINEAS TEHUACAN', 'Mexico', 'N'),
	(435, 'Aerotransportes Huitzilin', '\\N', '', 'HUT', 'AEROHUITZILIN', 'Mexico', 'N'),
	(436, 'Aero Transportes Del Humaya', '\\N', '', 'HUY', 'AERO HUMAYA', 'Mexico', 'N'),
	(437, 'Argosy Airways', '\\N', '', 'ARY', 'GOSEY', 'United States', 'N'),
	(438, 'Air Resorts', '\\N', '', 'ARZ', 'AIR RESORTS', 'United States', 'N'),
	(439, 'Alaska Airlines', '\\N', 'AS', 'ASA', ' Inc.', 'ALASKA', 'Y'),
	(440, 'Air-Spray 1967 Ltd.', '\\N', '', 'ASB', 'AIR SPRAY', 'Canada', 'N'),
	(441, 'Air Star Corporation', '\\N', '', 'ASC', 'AIR STAR', 'Canada', 'N'),
	(442, 'Air Sinai', '\\N', '4D', 'ASD', 'AIR SINAI', 'Egypt', 'Y'),
	(443, 'Airstars', '\\N', 'PL', 'ASE', 'MOROZOV', 'Russia', 'N'),
	(444, 'Air Schefferville', '\\N', '', 'ASF', ' Inc.', 'SCHEFF', 'N'),
	(445, 'African Star Airways (PTY) Ltd.', '\\N', '', 'ASG', 'AFRICAN STAR', 'South Africa', 'N'),
	(446, 'Aerosun International', '\\N', '', 'ASI', ' Inc.', 'AEROSUN', 'N'),
	(447, 'Air Satellite', '\\N', '', 'ASJ', 'SATELLITE', 'Canada', 'N'),
	(448, 'Awesome Flight Services (PTY) Ltd.', '\\N', '', 'ASM', 'AWESOME', 'South Africa', 'N'),
	(449, 'Air and Sea Transport', '\\N', '', 'ASN', ' ', 'Russia', 'N'),
	(450, 'Aero Slovakia', '\\N', '', 'ASO', 'AERO NITRA', 'Slovakia', 'N'),
	(451, 'Airsprint', '\\N', '', 'ASP', 'AIRSPRINT', 'Canada', 'N'),
	(452, 'Atlantic Southeast Airlines', '\\N', 'EV', 'ASQ', 'ACEY', 'United States', 'Y'),
	(453, 'All Star Airlines', '\\N', '', 'ASR', ' Inc.', 'ALL STAR', 'N'),
	(454, 'Air Class', '\\N', '', 'ASS', ' S.A. de C.V.', 'AIR CLASS', 'N'),
	(455, 'Aerlineas Del Oeste', '\\N', '', 'AST', 'AEROESTE', 'Mexico', 'N'),
	(456, 'Aviones Are', '\\N', '', 'NRE', 'AVIONES ARE', 'Mexico', 'N'),
	(457, 'Air Nepal International', '\\N', '', 'NPL', 'AIR NEPAL', 'Nepal', 'N'),
	(458, 'Air Napier', '\\N', '', 'NPR', '', 'New Zealand', 'N'),
	(459, 'Air Taxi & Cargo', '\\N', '', 'WAM', 'TAXI CARGO', 'Sudan', 'N'),
	(460, 'Arrow Panama', '\\N', '', 'WAP', 'ARROW PANAMA', 'Panama', 'N'),
	(461, 'Astravia-Bissau Air Transports Ltd.', '\\N', '', 'ASV', 'ASTRAVIA', 'Guinea-Bissau', 'N'),
	(462, 'Astrakhan Airlines', '\\N', 'OB', 'ASZ', 'AIR ASTRAKHAN', 'Russia', 'Y'),
	(463, 'Air Transport Association', '\\N', '', 'ATA', '', 'United States', 'N'),
	(464, 'Atlantair Ltd.', '\\N', '', 'ATB', 'STARLITE', 'Canada', 'N'),
	(465, 'Air Tanzania', '\\N', 'TC', 'ATC', 'TANZANIA', 'Tanzania', 'Y'),
	(466, 'Aerotours Dominicana', '\\N', '', 'ATD', 'AEROTOURS', 'Dominican Republic', 'N'),
	(467, 'Atlantis Transportation Services', '\\N', '', 'ATE', ' Ltd.', 'ATLANTIS CANADA', 'N'),
	(468, 'Aerotrans Airline', '\\N', '', 'ATG', 'BACHYT', 'Kazakhstan', 'N'),
	(469, 'Air Charter World', '\\N', '', 'XAC', '', 'United States', 'N'),
	(470, 'Air Burkina', '\\N', '2J', 'VBW', 'BURKINA', 'Burkina Faso', 'Y'),
	(471, 'Air Travel Corp.', '\\N', '', 'ATH', 'AIR TRAVEL', 'United States', 'N'),
	(472, 'Aero-Tropics Air Services', '\\N', 'HC', 'ATI', '', 'Australia', 'N'),
	(473, 'Air Traffic GmbH', '\\N', '', 'ATJ', 'SNOOPY', 'Germany', 'N'),
	(474, 'AeroTACA', '\\N', '', 'ATK', 'AEROTACA', 'Colombia', 'N'),
	(475, 'Aerocentral', '\\N', '', 'ATL', 'CENTRALMEX', 'Mexico', 'N'),
	(476, 'Airlines Of Tasmania', '\\N', 'FO', 'ATM', 'AIRTAS', 'Australia', 'Y'),
	(477, 'Air Saint Pierre', '\\N', 'PJ', 'SPM', '', 'France', 'Y'),
	(478, 'Air Transport International', '\\N', '8C', 'ATN', 'AIR TRANSPORT', 'United States', 'N'),
	(479, 'ASTRAL Colombia - Aerotransportes Especiales Ltda.', '\\N', '', 'ATP', 'ASTRAL', 'Colombia', 'N'),
	(480, 'Air Transport Schiphol', '\\N', '', 'ATQ', 'MULTI', 'Netherlands', 'N'),
	(481, 'Aeroferinco', '\\N', '', 'FEO', 'FERINCO', 'Mexico', 'N'),
	(482, 'Aero Taxis Y Servicios Alfe', '\\N', '', 'FES', 'AERO ALFE', 'Mexico', 'N'),
	(483, 'Avialesookhrana', '\\N', '', 'FFA', 'AVIALESOOKHRANA', 'Russia', 'N'),
	(484, 'Africair Service', '\\N', '', 'FFB', 'FOXTROT FOXTROT', 'Senegal', 'N'),
	(485, 'Atlas Airlines', '\\N', '', 'ATR', 'ATLAS-AIR', 'United States', 'N'),
	(486, 'Air Transport Service', '\\N', '', 'ATS', '', 'Democratic Republic of the Congo', 'N'),
	(487, 'Aer Turas', '\\N', '', 'ATT', 'AERTURAS', 'Ireland', 'N'),
	(488, 'Atlant Aerobatics Ltd.', '\\N', '', 'ATU', 'ATLANT HUNGARY', 'Hungary', 'N'),
	(489, 'Avanti Air', '\\N', '', 'ATV', 'AVANTI AIR', 'Germany', 'N'),
	(490, 'Aero Trades (Western) Ltd.', '\\N', '', 'ATW', 'AERO TRADES', 'Canada', 'N'),
	(491, 'Austrian Airlines', '\\N', 'OS', 'AUA', 'AUSTRIAN', 'Austria', 'Y'),
	(492, 'Air Southwest', '\\N', '', 'WOW', 'SWALLOW', 'United Kingdom', 'Y'),
	(493, 'Augsburg Airways', '\\N', 'IQ', 'AUB', 'AUGSBURG-AIR', 'Germany', 'Y'),
	(494, 'Air Corporate', '\\N', '', 'CPV', 'AIRCORPORATE', 'Italy', 'N'),
	(495, 'Aviastar-Tu', '\\N', '', 'TUP', 'TUPOLEVAIR', 'Russia', 'N'),
	(496, 'AirBridge Cargo', '\\N', 'RU', 'ABW', 'AIRBRIDGE CARGO', 'Russia', 'N'),
	(497, 'ATUR', '\\N', '', 'TUR', '', 'Ecuador', 'Y'),
	(498, 'ATESA Aerotaxis Ecuatorianos', '\\N', '', 'TXU', 'ATESA', 'Ecuador', 'N'),
	(499, 'Austin Express', '\\N', '', 'TXX', 'COWBOY', 'United States', 'N'),
	(500, 'Audi Air', '\\N', '', 'AUD', ' Inc.', 'AUDI AIR', 'N'),
	(501, 'Augusta Air Luftfahrtunternehmen', '\\N', '', 'AUF', 'AUGUSTA', 'Germany', 'N'),
	(502, 'Abu Dhabi Amiri Flight', '\\N', 'MO', 'AUH', 'SULTAN', 'United Arab Emirates', 'Y'),
	(503, 'Aeroflot-Nord', '\\N', '5N', 'AUL', 'DVINA', 'Russia', 'Y'),
	(504, 'Air Atlantic Uruguay', '\\N', '', 'AUM', 'ATLAMUR', 'Uruguay', 'N'),
	(505, 'Aviones Unidos', '\\N', '', 'AUN', 'AVIONES UNIDOS', 'Mexico', 'N'),
	(506, 'Avia Business Group', '\\N', '', 'AUP', '', 'Russia', 'N'),
	(507, 'Aero Servicios Expecializados', '\\N', '', 'SVE', 'AEROESPECIAL', 'Mexico', 'N'),
	(508, 'Aurigny Air Services', '\\N', 'GR', 'AUR', 'AYLINE', 'United Kingdom', 'Y'),
	(509, 'Aus-Air', '\\N', 'NO', 'AUS', '', 'Australia', 'N'),
	(510, 'Austral Lineas Aereas', '\\N', 'AU', 'AUT', 'AUSTRAL', 'Argentina', 'Y'),
	(511, 'Aurora Aviation', '\\N', '', 'AUU', ' Inc.', 'AURORA AIR', 'N'),
	(512, 'Air Uganda International Ltd.', '\\N', '', 'AUX', '', 'Uganda', 'N'),
	(513, 'Aerolineas Uruguayas', '\\N', '', 'AUY', ' S.A.', 'AUSA', 'N'),
	(514, 'Australian Airlines', '\\N', 'AO', 'AUZ', 'AUSTRALIAN', 'Australia', 'N'),
	(515, 'Avianca - Aerovias Nacionales de Colombia', '\\N', 'AV', 'AVA', ' S.A.', 'AVIANCA', 'Y'),
	(516, 'Aviation Beaufort', '\\N', '', 'AVB', 'BEAUPAIR', 'United Kingdom', 'N'),
	(517, 'Alamo Aviacion', '\\N', '', 'AVD', ' S.L.', 'ALAMO', 'N'),
	(518, 'Aviair Aviation Ltd.', '\\N', '', 'AVF', 'CARIBOO', 'Canada', 'N'),
	(519, 'Air Falcon', '\\N', '', 'AVG', 'DJIBOUTI FALCON', 'Djibouti', 'N'),
	(520, 'AV8 Helicopters', '\\N', '', 'AVH', 'KENT HELI', 'United Kingdom', 'N'),
	(521, 'Avia Traffic Company', '\\N', '', 'AVJ', 'ATOMIC', 'Kyrgyzstan', 'N'),
	(522, 'AV8 Helicopters', '\\N', '', 'AVK', 'AVIATE-COPTER', 'South Africa', 'N'),
	(523, 'Aviacion Ejecutiva Mexicana', '\\N', '', 'AVM', ' S.A.', 'AVEMEX', 'N'),
	(524, 'Air Vanuatu', '\\N', 'NF', 'AVN', 'AIR VAN', 'Vanuatu', 'Y'),
	(525, 'Aviation at Work', '\\N', '', 'AVO', 'AVIATION WORK', 'South Africa', 'N'),
	(526, 'Avcorp Registrations', '\\N', '', 'AVP', 'AVCORP', 'United Kingdom', 'N'),
	(527, 'Alfa Aerospace', '\\N', '', 'LFP', 'ALFA-SPACE', 'Australia', 'N'),
	(528, 'Atlantic Airfreight Aviation', '\\N', '', 'LFR', 'LANFREIGHT', 'Sao Tome and Principe', 'N'),
	(529, 'Aerolift Company', '\\N', '', 'LFT', 'LIFTCO', 'Sierra Leone', 'N'),
	(530, 'Aviation Services', '\\N', '', 'AVQ', ' Inc.', 'AQUILINE', 'N'),
	(531, 'Active Aero Charter', '\\N', '', 'AVR', ' Inc.', 'ACTIVE AERO', 'N'),
	(532, 'Avialsa T-35', '\\N', '', 'AVS', 'AVIALSA', 'Spain', 'N'),
	(533, 'Asia Avia Airlines', '\\N', '', 'AVT', 'ASIAVIA', 'Indonesia', 'N'),
	(534, 'Avia Sud A', '\\N', '', 'AVU', 'AVIASUD', 'France', 'N'),
	(535, 'Airvantage Incorporated', '\\N', '', 'AVV', 'AIRVANTAGE', 'United States', 'N'),
	(536, 'Aviator Airways', '\\N', '', 'AVW', 'AVIATOR', 'Greece', 'N'),
	(537, 'Aviapaslauga', '\\N', '', 'AVX', 'PASLAUGA', 'Lithuania', 'N'),
	(538, 'ASL', '\\N', '', 'XXX', '', 'Belgium', 'N'),
	(539, 'Air Yugoslavia', '\\N', '', 'YRG', 'YUGAIR', 'Serbia', 'N'),
	(540, 'Airlink Zambia', '\\N', 'K8', 'ZAK', '', 'Zambia', 'N'),
	(541, 'Agence Nationale des Aerodromes et de la Meteorologie', '\\N', '', 'ZZM', '', 'Ivory Coast', 'N'),
	(542, 'Airbus Transport International', '\\N', '', 'BGA', 'BELOUGA', 'France', 'N'),
	(543, 'Air Bangladesh', '\\N', 'B9', 'BGD', 'AIR BANGLA', 'Bangladesh', 'Y'),
	(544, 'Aviodetachment-28', '\\N', '', 'BGF', 'BULGARIAN', 'Bulgaria', 'N'),
	(545, 'Aero BG', '\\N', '', 'BGG', 'AERO BG', 'Mexico', 'N'),
	(546, 'Aerotaxis De La Bahia', '\\N', '', 'BHC', 'BAHIA', 'Mexico', 'N'),
	(547, 'Air Mediterranee', '\\N', 'DR', 'BIE', 'MEDITERRANEE', 'France', 'Y'),
	(548, 'Aviaservice', '\\N', '', 'BIV', 'AVIASERVICE', 'Georgia', 'N'),
	(549, 'Aerolineas De El Salvador', '\\N', '', 'SZA', 'AESA', 'El Salvador', 'N'),
	(550, 'Swaziland Airlink', '\\N', '', 'SZL', 'SWAZILINK', 'Swaziland', 'N'),
	(551, 'Air Moorea', '\\N', '', 'TAH', 'AIR MOOREA', 'France', 'Y'),
	(552, 'Aerovaradero', '\\N', '', 'AVY', ' S.A.', 'AEROVARADERO', 'N'),
	(553, 'Air Valencia', '\\N', '', 'AVZ', 'AIR VALENCIA', 'Spain', 'N'),
	(554, 'Airways International', '\\N', '', 'AWB', ' Inc.', 'AIRNAT', 'N'),
	(555, 'Airwork', '\\N', '', 'AWK', 'AIRWORK', 'New Zealand', 'N'),
	(556, 'Australian Wetleasing', '\\N', '', 'AWL', 'AUSSIEWORLD', 'Australia', 'N'),
	(557, 'Air Niamey', '\\N', '', 'AWN', 'AIR NIAMEY', 'Niger', 'N'),
	(558, 'Awood Air Ltd.', '\\N', '', 'AWO', 'AWOOD AIR', 'Canada', 'N'),
	(559, 'Arctic Wings And Rotors Ltd.', '\\N', '', 'AWR', 'ARCTIC WINGS', 'Canada', 'N'),
	(560, 'Auo Airclub AIST-M', '\\N', '', 'ISM', 'STORK', 'Russia', 'N'),
	(561, 'Arab Wings', '\\N', '', 'AWS', 'ARAB WINGS', 'Jordan', 'N'),
	(562, 'Air West', '\\N', '', 'AWT', 'AIR WEST', 'Canada', 'N'),
	(563, 'Aeroline GmbH', '\\N', '7E', 'AWU', 'SYLT-AIR', 'Germany', 'Y'),
	(564, 'Airwave Transport', '\\N', '', 'AWV', ' Inc.', 'AIRWAVE', 'N'),
	(565, 'Air Wales', '\\N', '6G', 'AWW', 'RED DRAGON', 'United Kingdom', 'Y'),
	(566, 'Aeroway', '\\N', '', 'AWY', ' S.L.', 'AEROWEE', 'N'),
	(567, 'Air Caraïbes', '\\N', 'TX', 'FWI', 'FRENCH WEST', 'France', 'Y'),
	(568, 'AirWest', '\\N', '', 'AWZ', ' ', 'Sudan', 'N'),
	(569, 'Air India Express', '\\N', 'IX', 'AXB', 'EXPRESS INDIA', 'India', 'Y'),
	(570, 'Air Express', '\\N', '', 'AXD', 'AIR SUDEX', 'Sudan', 'N'),
	(571, 'Asian Express Airlines', '\\N', 'HJ', 'AXF', 'FREIGHTEXPRESS', 'Australia', 'N'),
	(572, 'Aeromexhaga', '\\N', '', 'AXH', 'AEROMEXHAGA', 'Mexico', 'N'),
	(573, 'Aeron International Airlines', '\\N', '', 'AXI', ' Inc.', 'AIR FREIGHTER', 'N'),
	(574, 'African Express Airways', '\\N', '', 'AXK', 'EXPRESS JET', 'Kenya', 'N'),
	(575, 'Air Exel', '\\N', 'XT', 'AXL', 'EXEL COMMUTER', 'Netherlands', 'Y'),
	(576, 'AirAsia', 'Air Asia', 'AK', 'AXM', 'ASIAN EXPRESS', 'Malaysia', 'Y'),
	(577, 'Alexandair', '\\N', '', 'AXN', 'ALEXANDROS', 'Greece', 'N'),
	(578, 'Aeromax', '\\N', '', 'AXP', 'AEROMAX SPAIN', 'Spain', 'N'),
	(579, 'Action Airlines (Action Air Charter)', '\\N', '', 'AXQ', 'ACTION AIR', 'United States', 'N'),
	(580, 'Alberni Airways', '\\N', '', 'BNI', 'ALBERNI', 'Canada', 'N'),
	(581, 'Aerolineas Bonanza', '\\N', '', 'BNZ', 'AERO BONANZA', 'Mexico', 'N'),
	(582, 'Aerobona', '\\N', '', 'BOC', 'AEROBONA', 'Mexico', 'N'),
	(583, 'Aboitiz Air', '\\N', '', 'BOI', 'ABAIR', 'Philippines', 'N'),
	(584, 'Axel Rent', '\\N', '', 'AXR', ' S.A.', 'RENTAXEL', 'N'),
	(585, 'Altus Airlines', '\\N', '', 'AXS', 'ALTUS', 'United States', 'N'),
	(586, 'Aviaxess', '\\N', '', 'AXV', 'AXAVIA', 'France', 'N'),
	(587, 'Avioimpex A.D.p.o.', '\\N', '', 'AXX', 'IMPEX', 'Macedonia', 'N'),
	(588, 'Axis Airways', '\\N', '6V', 'AXY', 'AXIS', 'France', 'N'),
	(589, 'Aladia Airlines', '\\N', '', 'AYD', 'AIRLINES ALADIA', 'Mexico', 'N'),
	(590, 'Aykavia Aircompany', '\\N', '', 'AYK', '', 'Armenia', 'N'),
	(591, 'Airman', '\\N', '', 'AYM', ' S.L.', 'AIRMAN', 'N'),
	(592, 'Atlantic Airlines', '\\N', '', 'AYN', ' S.A.', 'ATLANTIC NICARAGUA', 'N'),
	(593, 'Awsaj Aviation Services', '\\N', '', 'AYS', '', 'Libya', 'N'),
	(594, 'Ayeet Aviation & Tourism', '\\N', '', 'AYT', 'AYEET', 'Israel', 'N'),
	(595, 'Atlant-Soyuz Airlines', '\\N', '3G', 'AYZ', 'ATLANT-SOYUZ', 'Russia', 'Y'),
	(596, 'Alitalia', '\\N', 'AZ', 'AZA', 'ALITALIA', 'Italy', 'Y'),
	(597, 'Azamat', '\\N', '', 'AZB', 'TUMARA', 'Kazakhstan', 'N'),
	(598, 'Arcus-Air Logistic', '\\N', 'ZE', 'AZE', 'ARCUS AIR', 'Germany', 'N'),
	(599, 'Air Zermatt AG', '\\N', '', 'AZF', 'AIR ZERMATT', 'Switzerland', 'N'),
	(600, 'Azalhelikopter', '\\N', '', 'AZK', 'AZALHELICOPTER', 'Azerbaijan', 'N'),
	(601, 'Africa One', '\\N', '', 'AZL', 'SKY AFRICA', 'Zambia', 'N'),
	(602, 'Aerocozumel', '\\N', '', 'AZM', 'AEROCOZUMEL', 'Mexico', 'N'),
	(603, 'Amaszonas', '\\N', 'Z8', 'AZN', '', 'Bolivia', 'Y'),
	(604, 'Arizona Pacific Airways', '\\N', '', 'AZP', 'ARIZONA PACIFIC', 'United States', 'N'),
	(605, 'Aviacon Zitotrans Air Company', '\\N', '', 'AZS', 'ZITOTRANS', 'Russia', 'N'),
	(606, 'Azimut', '\\N', '', 'AZT', ' S.A.', 'AZIMUT', 'N'),
	(607, 'Azov Avia Airlines', '\\N', '', 'AZV', 'AZOV AVIA', 'Ukraine', 'N'),
	(608, 'Air Zimbabwe', '\\N', 'UM', 'AZW', 'AIR ZIMBABWE', 'Zimbabwe', 'Y'),
	(609, 'Aero Jomacha', '\\N', '', 'MHC', 'AERO JOMACHA', 'Mexico', 'N'),
	(610, 'Air Memphis', '\\N', '', 'MHS', 'AIR MEMPHIS', 'Egypt', 'N'),
	(611, 'Air Memphis', '\\N', '', 'MHU', 'MEPHIS UGANDA', 'Uganda', 'N'),
	(612, 'Air Marrakech Service', '\\N', '', 'MKH', 'AIR MARRAKECH', 'Morocco', 'N'),
	(613, 'Air Max Africa', '\\N', '', 'AZX', 'AZIMA', 'Gabon', 'N'),
	(614, 'Arizona Airways', '\\N', '', 'AZY', ' Inc.', 'ARIZAIR', 'N'),
	(615, 'Azza Transport', '\\N', '', 'AZZ', 'AZZA TRANSPORT', 'Sudan', 'N'),
	(616, 'Air Continental Inc', '\\N', '', 'NAR', 'NIGHT AIR', 'United States', 'N'),
	(617, 'Antanik-Air', '\\N', '', 'NAU', 'ANTANIK', 'Ukraine', 'N'),
	(618, 'Air Newark', '\\N', '', 'NER', 'NEWAIR', 'United States', 'N'),
	(619, 'Aircraft Support and Services', '\\N', '', 'NFF', '', 'Lebanon', 'N'),
	(620, 'Aerobanana', '\\N', '', 'OBA', 'AEROBANANA', 'Mexico', 'N'),
	(621, 'Amako Airlines', '\\N', '', 'OBK', 'AMAKO AIR', 'Nigeria', 'N'),
	(622, 'Aserca Airlines', '\\N', 'R7', 'OCA', 'AROSCA', 'Venezuela', 'Y'),
	(623, 'Afrique CArgo Service Senegal', '\\N', '', 'NFS', '', 'Senegal', 'N'),
	(624, 'Angoservice', '\\N', '', 'NGC', 'ANGOSERVICE', 'Angola', 'N'),
	(625, 'Angel Airlines', '\\N', '', 'NGE', 'ANGEL AIR', 'Thailand', 'N'),
	(626, 'Angel Flight America', '\\N', '', 'NGF', 'ANGEL FLIGHT', 'United States', 'N'),
	(627, 'Air Atonabee', '\\N', '', 'OUL', 'CITY EXPRESS', 'Canada', 'N'),
	(628, 'Aero Nova', '\\N', '', 'OVA', 'AERONOVA', 'Spain', 'N'),
	(629, 'Amira Air', '\\N', '', 'XPE', 'EXPERT', 'Austria', 'N'),
	(630, 'Aero Express Intercontinental', '\\N', '', 'XSS', 'INTER EXPRESS', 'Mexico', 'N'),
	(631, 'Advance Aviation Services', '\\N', '', 'XTJ', '', 'United States', 'N'),
	(632, 'Air Libya Tibesti', '\\N', '', 'TLR', 'AIR LIBYA', 'Libya', 'N'),
	(633, 'Aerovic', '\\N', '', 'OVC', '', 'Ecuador', 'N'),
	(634, 'Airventure', '\\N', '', 'RVE', 'AIRVENTURE', 'Belgium', 'N'),
	(635, 'Aero Servicios', '\\N', '', 'RVI', 'AERO SERVICIOS', 'Mexico', 'N'),
	(636, 'Airvallee', '\\N', '', 'RVL', 'AIR VALLEE', 'Italy', 'N'),
	(637, 'Aeromover', '\\N', '', 'OVE', 'AEROMOVER', 'Mexico', 'N'),
	(638, 'Aerovias Ejecutivas', '\\N', '', 'OVI', 'VIAS EJECUTIVAS', 'Mexico', 'N'),
	(639, 'Aero Servicio Pity', '\\N', '', 'PTD', 'PITY', 'Mexico', 'N'),
	(640, 'Aero Copter', '\\N', '', 'PTE', '', 'Mexico', 'N'),
	(641, 'Rossiya-Russian Airlines', 'Pulkovo Aviation Enterprise', 'FV', 'SDM', 'PULKOVO', 'Russia', 'Y'),
	(642, 'Air Pal', '\\N', '', 'PLL', 'AIRPAL', 'Spain', 'N'),
	(643, 'Air Pullmantur', '\\N', '', 'PLM', 'PULLMANTUR', 'Spain', 'N'),
	(644, 'Aviaexpress', '\\N', 'RX', 'AEH', 'Avex', 'Hungary', 'N'),
	(645, 'Aviones Para Servirle', '\\N', '', 'PSG', 'SERVIAVIONES', 'Mexico', 'N'),
	(646, 'Avio Sluzba', '\\N', '', 'SLU', 'AVIO SLUZBA', 'Serbia', 'N'),
	(647, 'Air Scorpio', '\\N', '', 'SCU', 'SCORPIO UNIVERS', 'Bulgaria', 'N'),
	(648, 'Air Spirit', '\\N', '', 'SIP', 'AIR SPIRIT', 'United States', 'N'),
	(649, 'Alatau Airlines', '\\N', '', 'BMV', 'OLIGA', 'Kazakhstan', 'N'),
	(650, 'Aviateca', '\\N', '', 'GUG', 'AVIATECA', 'Guatemala', 'N'),
	(651, 'Aroostook Aviation', '\\N', '', 'PXX', 'PINE STATE', 'United States', 'N'),
	(652, 'Aeropycsa', '\\N', '', 'PYC', 'AEROPYCSA', 'Mexico', 'N'),
	(653, 'Association of Private Pilots of Kazakhstan', '\\N', '', 'PVK', 'BORIS', 'Kazakhstan', 'N'),
	(654, 'The Amiri Flight', '\\N', '', 'BAH', 'BAHRAIN', 'Bahrain', 'N'),
	(655, 'Aero Services', '\\N', '', 'BAS', 'AEROSERV', 'Barbados', 'N'),
	(656, 'Ababeel Aviation', '\\N', '', 'BBE', 'BABEL AIR', 'Sudan', 'N'),
	(657, 'Air Bashkortostan', '\\N', '', 'BBT', 'AGYDAL', 'Russia', 'N'),
	(658, 'Ambulance Air Africa', '\\N', '', 'MCY', 'MERCY', 'South Africa', 'N'),
	(659, 'American Eagle Airlines', '\\N', 'MQ', 'EGF', 'EAGLE FLIGHT', 'United States', 'Y'),
	(660, 'Aeropuelche', '\\N', '', 'PUE', 'PUELCHE', 'Chile', 'N'),
	(661, 'Aeroput', '\\N', '', 'PUT', '', 'Serbia', 'N'),
	(662, 'Azzurra Air', '\\N', '', 'AZI', 'AZZURRA', 'Italy', 'N'),
	(663, 'Airshop', '\\N', 'FF', '', '', 'Netherlands', 'N'),
	(664, 'African Transport Trading and Investment Company', '\\N', 'ML', '', '', 'Sudan', 'N'),
	(665, 'AD Aviation', '\\N', '', 'VUE', 'FLIGHTVUE', 'United Kingdom', 'Y'),
	(666, 'Aero Costa Taxi Aereo', '\\N', '', 'XCT', 'AEROCOSTAXI', 'Mexico', 'N'),
	(667, 'Aerovitro', '\\N', '', 'VRO', 'AEROVITRO', 'Mexico', 'N'),
	(668, 'Aerotaxi Villa Rica', '\\N', '', 'VRI', 'VILLARICA', 'Mexico', 'N'),
	(669, 'Aerovega', '\\N', '', 'VEG', 'AEROVEGA', 'Mexico', 'N'),
	(670, 'Aerovilla', '\\N', '', 'VVG', 'AEROVILLA', 'Colombia', 'N'),
	(671, 'Aerolineas Villaverde', '\\N', '', 'VLR', 'VILLAVERDE', 'Mexico', 'N'),
	(672, 'Aero Air', '\\N', '', 'WIL', 'WILLIAMETTE', 'United States', 'N'),
	(673, 'Aero Ejecutivos', '\\N', '', 'VEJ', 'VENEJECUTIV', 'Venezuela', 'N'),
	(674, 'Aero Industries Inc', '\\N', '', 'WAB', 'WABASH', 'United States', 'N'),
	(675, 'Aero Servicios Vanguardia', '\\N', '', 'VNG', 'VANGUARDIA', 'Mexico', 'N'),
	(676, 'Aero Taxi Los Valles', '\\N', '', 'VAD', 'VALLES', 'Spain', 'N'),
	(677, 'Aero Vilamoura', '\\N', '', 'VMR', 'AERO VILAMOURA', 'Portugal', 'N'),
	(678, 'Aero Virel', '\\N', '', 'VLS', 'VIREL', 'Mexico', 'N'),
	(679, 'Aeronautical Radio Inc', '\\N', '', 'XAA', '', 'United States', 'N'),
	(680, 'Aerovuelox', '\\N', '', 'VUO', 'AEROVUELOX', 'Mexico', 'N'),
	(681, 'Aeronaves TSM', '\\N', '', 'VTM', 'AERONAVES TSM', 'Mexico', 'N'),
	(682, 'Air Ivoire', '\\N', 'VU', 'VUN', 'AIRIVOIRE', 'Ivory Coast', 'Y'),
	(683, 'Air Botswana', '\\N', 'BP', 'BOT', 'BOTSWANA', 'Botswana', 'Y'),
	(684, 'Air-Rep', '\\N', '', 'XPR', '', 'United States', 'N'),
	(685, 'Air Excel', '\\N', '', 'XLL', 'TINGA-TINGA', 'Tanzania', 'N'),
	(686, 'Air Evans', '\\N', '', 'VAE', 'AIR-EVANS', 'Spain', 'N'),
	(687, 'Air Sorel', '\\N', '', 'WHY', 'AIR SOREL', 'Canada', 'N'),
	(688, 'Air Net Private Charter', '\\N', '', 'WDR', 'WIND RIDER', 'United States', 'N'),
	(689, 'Air Executive Charter', '\\N', '', 'XEC', '', 'Germany', 'N'),
	(690, 'Air Foyle', '\\N', 'GS', 'UPA', 'FOYLE', 'United Kingdom', 'Y'),
	(691, 'Air Midwest', '\\N', '', 'VTY', 'VICTORY', 'Nigeria', 'N'),
	(692, 'Air Tahiti', '\\N', 'VT', 'VTA', 'AIR TAHITI', 'French Polynesia', 'Y'),
	(693, 'Air Urga', '\\N', '3N', 'URG', 'URGA', 'Ukraine', 'N'),
	(694, 'Air Vardar', '\\N', '', 'VDR', 'VARDAR', 'Macedonia', 'N'),
	(695, 'Air VIA', '\\N', 'VL', 'VIM', '', 'Bulgaria', 'Y'),
	(696, 'Air Walser', '\\N', '', 'WLR', 'AIRWALSER', 'Italy', 'N'),
	(697, 'Aircompany Rosavia', '\\N', '', 'URA', 'ROSAVIA', 'Ukraine', 'N'),
	(698, 'Aircraft Performance Group', '\\N', '', 'XLB', '', 'United States', 'N'),
	(699, 'Airwaves Airlink', '\\N', '', 'WLA', 'AIRLIMITED', 'Zambia', 'N'),
	(700, 'Airways Corporation of New Zealand', '\\N', '', 'XFX', 'AIRCORP', 'New Zealand', 'N'),
	(701, 'Airways', '\\N', '', 'WAY', 'GARONNE', 'France', 'N'),
	(702, 'Airwings oy', '\\N', '', 'WGS', 'AIRWINGS', 'Finland', 'N'),
	(703, 'Airkenya', '\\N', '', 'XAK', 'SUNEXPRESS', 'Kenya', 'N'),
	(704, 'Air-Lift Associates', '\\N', '', 'WPK', 'WOLFPACK', 'United States', 'N'),
	(705, 'Airtrans Ltd', '\\N', '', 'VAB', '', 'Russia', 'N'),
	(706, 'ARP 410 Airlines', '\\N', '', 'URP', 'AIR-ARP', 'Ukraine', 'N'),
	(707, 'Auckland Regional Rescue Helicopter Trust', '\\N', '', 'WPR', 'WESTPAC RESCUE', 'New Zealand', 'N'),
	(708, 'Aurora Airlines', '\\N', '', 'URR', 'AIR AURORA', 'Slovenia', 'N'),
	(709, 'Austro Aereo', '\\N', '', 'UST', 'AUSTRO AEREO', 'Ecuador', 'N'),
	(710, 'Aviation Partners', '\\N', '', 'WLT', 'WINGLET', 'United States', 'N'),
	(711, 'Avialift Vladivostok', '\\N', '', 'VLV', 'VLADLIFT', 'Russia', 'N'),
	(712, 'Aviacion Comercial de America', '\\N', '', 'VME', 'AVIAMERICA', 'Mexico', 'N'),
	(713, 'Aviast Air', '\\N', '', 'VVA', 'IALSI', 'Russia', 'N'),
	(714, 'Aviation North', '\\N', '', 'WLV', 'WOLVERINE', 'United States', 'N'),
	(715, 'Africa West', '\\N', 'FK', 'WTA', 'WEST TOGO', 'Togo', 'Y'),
	(716, 'Avient Air Zambia', '\\N', '', 'VNT', 'AVIENT', 'Zambia', 'N'),
	(717, 'Aviazur', '\\N', '', 'VZR', 'IAZUR', 'France', 'N'),
	(718, 'Aviaprad', '\\N', '', 'VID', 'AVIAPRAD', 'Russia', 'N'),
	(719, 'Avirex', '\\N', 'G2', 'VXG', 'AVIREX-GABON', 'Gabon', 'N'),
	(720, 'Aviaexpress Aircompany', '\\N', '', 'VXX', 'EXPRESSAVIA', 'Ukraine', 'N'),
	(721, 'AMR Services Corporation', '\\N', '', 'XAM', 'ALLIANCE', 'United States', 'N'),
	(722, 'Airline Operations Services', '\\N', '', 'XAO', '', 'United States', 'N'),
	(723, 'Airlines 400', '\\N', '', 'VAZ', 'REMONT AIR', 'Russia', 'N'),
	(724, 'ATRAN Cargo Airlines', '\\N', 'V8', 'VAS', 'ATRAN', 'Russian Federation', 'Y'),
	(725, 'Ameravia', '\\N', '', 'VAM', 'AMERAVIA', 'Uruguay', 'N'),
	(726, 'Angkor Air', '\\N', '', 'VAV', 'AIR ANGKOR', 'Cambodia', 'N'),
	(727, 'AVB-2004 Ltd', '\\N', '', 'VBC', 'AIR VICTOR', 'Bulgaria', 'N'),
	(728, 'ASECNA', '\\N', '', 'XKX', '', 'France', 'N'),
	(729, 'AT and T Aviation Division', '\\N', '', 'XAT', '', 'United States', 'N'),
	(730, 'Avalair', '\\N', '', 'VAI', 'AIR AVALAIR', 'Serbia', 'N'),
	(731, 'Averitt Air Charter', '\\N', '', 'VRT', 'AVERITT', 'United States', 'N'),
	(732, 'Avensa', '\\N', 'VE', 'AVE', 'Avensa', 'Venezuela', 'N'),
	(733, 'Avolar Aerolineas', '\\N', 'V5', 'VLI', 'AEROVOLAR', 'Mexico', 'N'),
	(734, 'Avstar Aviation', '\\N', '', 'VSA', 'STARBIRD', 'South Africa', 'N'),
	(735, 'AVESCA', '\\N', '', 'VSC', 'AVESCA', 'Colombia', 'N'),
	(736, 'Aviaprom Enterprises', '\\N', '', 'XAV', 'AVIAPROM', 'Russia', 'N'),
	(737, 'Avia Trans Air Transport', '\\N', '', 'VTT', 'VIATRANSPORT', 'Sudan', 'N'),
	(738, 'Aviostart AS', '\\N', '', 'VSR', 'AVIOSTART', 'Bulgaria', 'N'),
	(739, 'Aviacao Transportes Aereos e Cargas', '\\N', '', 'VTG', 'ATACARGO', 'Angola', 'N'),
	(740, 'Assistance Aeroportuaire de L\'Aeroport de Paris', '\\N', '', 'XJA', '', 'France', 'N'),
	(741, 'American Flight Service Systems', '\\N', '', 'XFS', '', 'United States', 'N'),
	(742, 'AASANA', '\\N', '', 'XXV', '', 'Bolivia', 'N'),
	(743, 'Australian air Express', '\\N', '', 'XME', 'AUS-CARGO', 'Australia', 'N'),
	(744, 'AMS Group', '\\N', '', 'XMG', '', 'Russia', 'N'),
	(745, 'Air Caraibes Atlantique', '\\N', '', 'CAJ', 'CAR LINE', 'France', 'N'),
	(746, 'Air China Cargo', '\\N', '', 'CAO', 'AIRCHINA FREIGHT', 'China', 'N'),
	(747, 'Aerovias Caribe', '\\N', '', 'CBE', 'AEROCARIBE', 'Mexico', 'N'),
	(748, 'Aerotaxi del Cabo', '\\N', '', 'CBO', 'TAXI CABO', 'Mexico', 'N'),
	(749, 'Air Columbus', '\\N', '', 'CBS', 'AIR COLUMBUS', 'Ukraine', 'N'),
	(750, 'Aero Cabo', '\\N', '', 'CBV', 'CABOAEREO', 'Mexico', 'N'),
	(751, 'Air China', '\\N', 'CA', 'CCA', 'AIR CHINA', 'China', 'Y'),
	(752, 'Aerocardal', '\\N', '', 'CDA', 'CARDAL', 'Chile', 'N'),
	(753, 'Aero Condor Peru', '\\N', 'Q6', 'CDP', 'CONDOR-PERU', 'Peru', 'Y'),
	(754, 'Aerotrans', '\\N', '', 'CDU', '', 'Russia', 'N'),
	(755, 'Airline Skol', '\\N', '', 'CDV', 'SKOL', 'Russia', 'N'),
	(756, 'Aerofan', '\\N', '', 'CFF', 'AEROFAN', 'Spain', 'N'),
	(757, 'ACEF', '\\N', '', 'CFM', 'ACEF', 'Portugal', 'N'),
	(758, 'Africa One', '\\N', '', 'CFR', '', 'Democratic Republic of the Congo', 'N'),
	(759, 'Aero Calafia', '\\N', '', 'CFV', 'CALAFIA', 'Mexico', 'N'),
	(760, 'Air Cargo Belize', '\\N', '', 'CGB', 'CARGO BELIZE', 'Belize', 'N'),
	(761, 'Aero Clube Do Algarve', '\\N', '', 'CGV', 'CLUBE ALGARVE', 'Portugal', 'N'),
	(762, 'Air Great Wall', '\\N', '', 'CGW', 'CHANGCHENG', 'China', 'N'),
	(763, 'Aircompany Chaika', '\\N', '', 'CHJ', 'AIR CHAIKA', 'Ukraine', 'N'),
	(764, 'Air Charter Services', '\\N', '', 'CHR', 'ZAIRE CHARTER', 'Democratic Republic of the Congo', 'N'),
	(765, 'Air Charter Professionals', '\\N', '', 'CHV', 'CHARTAIR', 'United States', 'N'),
	(766, 'Asia Continental Airlines', '\\N', '', 'CID', 'ACID', 'Kazakhstan', 'N'),
	(767, 'Arctic Circle Air Service', '\\N', '5F', 'CIR', 'AIR ARCTIC', 'United States', 'N'),
	(768, 'Aviation Charter Services', '\\N', '', 'CKL', 'CIRCLE CITY', 'United States', 'N'),
	(769, 'Aerovias Castillo', '\\N', '', 'CLL', 'AEROCASTILLO', 'Mexico', 'N'),
	(770, 'Aero Club De Portugal', '\\N', '', 'CLP', 'CLUB PORTUGAL', 'Portugal', 'N'),
	(771, 'Air Care Alliance', '\\N', '', 'CMF', 'COMPASSION', 'United States', 'N'),
	(772, 'Aero Continente Dominicana', '\\N', '', 'CND', 'CONDOMINICANA', 'Dominican Republic', 'N'),
	(773, 'Air Toronto', '\\N', '', 'CNE', 'CONNECTOR', 'Canada', 'N'),
	(774, 'Aquila Air', '\\N', '', 'CNH', 'CHENANGO', 'United States', 'N'),
	(775, 'Air Consul', '\\N', '', 'CNU', 'AIR CONSUL', 'Spain', 'N'),
	(776, 'Allcanada Express', '\\N', '', 'CNX', 'CANEX', 'Canada', 'N'),
	(777, 'ATS Private Company', '\\N', '', 'CPF', 'TECHSERVICE', 'Ukraine', 'N'),
	(778, 'Air Corridor', '\\N', 'QC', 'CRD', 'AIR CORRIDOR', 'Mozambique', 'N'),
	(779, 'Air Central', '\\N', 'NV', 'CRF', 'AIR CENTRAL', 'Japan', 'N'),
	(780, 'Air Cruzal', '\\N', '', 'CRJ', 'AIR CRUZAL', 'Angola', 'N'),
	(781, 'Aerotransportes Corporativos', '\\N', '', 'CRP', 'AEROTRANSCORP', 'Mexico', 'N'),
	(782, 'Air Creebec', '\\N', '', 'CRQ', 'CREE', 'Canada', 'N'),
	(783, 'Aero Charter and Transport', '\\N', '', 'CTA', 'CHAR-TRAN', 'United States', 'N'),
	(784, 'Air Tenglong', '\\N', '', 'CTE', 'TENGLONG', 'China', 'N'),
	(785, 'Aerlineas Centauro', '\\N', '', 'CTR', 'CENTAURO', 'Mexico', 'N'),
	(786, 'Aerocuahonte', '\\N', '', 'CUO', 'CUAHONTE', 'Mexico', 'N'),
	(787, 'Air Chathams', '\\N', 'CV', 'CVA', 'CHATHAM', 'New Zealand', 'Y'),
	(788, 'Air Marshall Islands', '\\N', 'CW', 'CWM', 'AIR MARSHALLS', 'Marshall Islands', 'Y'),
	(789, 'Australian Customs Service', '\\N', '', 'CWP', 'COASTWATCH', 'Australia', 'N'),
	(790, 'Air One Cityliner', '\\N', '', 'CYL', 'CITYLINER', 'Italy', 'N'),
	(791, 'Air Transport', '\\N', '', 'CYO', 'COYOTE', 'United States', 'N'),
	(792, 'Access Air', '\\N', 'ZA', 'CYD', 'CYCLONE', 'United States', 'Y'),
	(793, 'Aerocheyenne', '\\N', '', 'CYE', 'AEROCHEYENNE', 'Mexico', 'N'),
	(794, 'Air Algerie', '\\N', 'AH', 'DAH', 'AIR ALGERIE', 'Algeria', 'Y'),
	(795, 'Aerovias DAP', '\\N', '', 'DAP', 'DAP', 'Chile', 'N'),
	(796, 'Air Alpha', '\\N', '', 'DBA', 'DOUBLE-A', 'United States', 'N'),
	(797, 'Air Niagara Express', '\\N', '', 'DBD', 'AIR NIAGARA', 'Canada', 'N'),
	(798, 'Aviation Defense Service', '\\N', '', 'DEF', 'TIRPA', 'France', 'N'),
	(799, 'Air Service Groningen', '\\N', '', 'DEG', 'DEGGER', 'Netherlands', 'N'),
	(800, 'Adam Air', '\\N', 'KI', 'DHI', 'ADAM SKY', 'Indonesia', 'Y'),
	(801, 'Astar Air Cargo', '\\N', 'ER', 'DHL', 'DAHL', 'United States', 'N'),
	(802, 'Archer Aviation', '\\N', '', 'DHM', 'ARCHER', 'United Kingdom', 'N'),
	(803, 'Aeromedica', '\\N', '', 'DIC', 'AEROMEDICA', 'Mexico', 'N'),
	(804, 'Aerodin', '\\N', '', 'DIN', 'AERODIN', 'Mexico', 'N'),
	(805, 'Antinea Airlines', '\\N', 'HO', 'DJA', 'ANTINEA', 'Algeria', 'N'),
	(806, 'Air Djibouti', '\\N', '', 'DJU', 'AIR DJIB', 'Djibouti', 'N'),
	(807, 'Air Dolomiti', '\\N', 'EN', 'DLA', 'DOLOMOTI', 'Italy', 'Y'),
	(808, 'Aero Modelo', '\\N', '', 'DLS', 'AEROMODELO', 'Mexico', 'N'),
	(809, 'Aerolineas Del Sur', '\\N', '', 'DLU', 'DEL SUR', 'Chile', 'N'),
	(810, 'Aerodinamica de Monterrey', '\\N', '', 'DMC', 'DINAMICAMONT', 'Mexico', 'N'),
	(811, 'Aeroservicios Dinamicos', '\\N', '', 'DMI', 'AERODINAMICO', 'Mexico', 'N'),
	(812, 'Aerotaxis Dosmil', '\\N', '', 'DML', '', 'Mexico', 'N'),
	(813, 'Aerodespachos De El Salvador', '\\N', '', 'DNA', 'AERODESPACHOS', 'El Salvador', 'N'),
	(814, 'Aeroynamics Malaga', '\\N', '', 'DNC', 'FLYINGOLIVE', 'Spain', 'N'),
	(815, 'Aerodynamics Incorporated', '\\N', '', 'DNJ', 'DYNAJET', 'United States', 'N'),
	(816, 'Aeroflot-Don', '\\N', 'D9', 'DNV', 'DONAVIA', 'Russia', 'Y'),
	(817, 'Air Madrid', '\\N', 'NM', 'DRD', 'ALADA AIR', 'Spain', 'Y'),
	(818, 'Airways Flight Training', '\\N', '', 'DRM', 'DARTMOOR', 'United Kingdom', 'N'),
	(819, 'Aeronaves Del Noreste', '\\N', '', 'DRO', 'AERONORESTE', 'Mexico', 'N'),
	(820, 'Addis Air Cargo Services', '\\N', '', 'DSC', 'ADDIS CARGO', 'Ethiopia', 'N'),
	(821, 'Aero Algarve', '\\N', '', 'DSK', 'SKYBANNER', 'Portugal', 'N'),
	(822, 'Aex Air', '\\N', '', 'DST', 'DESERT', 'United States', 'N'),
	(823, 'Aero Davinci International', '\\N', '', 'DVI', 'AERO DAVINCI', 'Mexico', 'N'),
	(824, 'Aero Dynamics', '\\N', '', 'DYN', 'AERO DYNAMIC', 'United States', 'N'),
	(825, 'Aeroservicios Ecuatorianos', '\\N', '', 'EAE', 'AECA', 'Ecuador', 'N'),
	(826, 'Aero-Pyrenees', '\\N', '', 'EAP', 'AERO-PYRENEES', 'France', 'N'),
	(827, 'Air Transport', '\\N', '', 'EAT', 'TRANS EUROPE', 'Slovakia', 'N'),
	(828, 'Aero Airlines', '\\N', 'EE', 'EAY', 'REVAL', 'Estonia', 'N'),
	(829, 'Aero Ejecutivo De Baja California', '\\N', '', 'EBC', 'CALIXJET', 'Mexico', 'N'),
	(830, 'Air City', '\\N', '4F', 'ECE', 'AIRCITY', 'Germany', 'N'),
	(831, 'Aero Ejecutivos RCG', '\\N', '', 'ECG', 'EJECTUIVOS RCG', 'Mexico', 'N'),
	(832, 'Aeronautica Castellana', '\\N', '', 'ECL', 'AERO CASTELLANA', 'Spain', 'N'),
	(833, 'Aerolineas Comerciales', '\\N', '', 'ECM', 'AERO COMERCIALES', 'Mexico', 'N'),
	(834, 'Aerolineas Nacionales Del Ecuador', '\\N', '', 'EDA', 'ANDES', 'Ecuador', 'N'),
	(835, 'Air Este', '\\N', '', 'EET', 'AESTE', 'Spain', 'N'),
	(836, 'Air Mana', '\\N', '', 'EFC', 'FLIGHT TAXI', 'France', 'N'),
	(837, 'Aer Lingus', '\\N', 'EI', 'EIN', 'SHAMROCK', 'Ireland', 'Y'),
	(838, 'Aeroservicios Ejecutivos Corporativos', '\\N', '', 'EJP', 'EJECCORPORATIVOS', 'Mexico', 'N'),
	(839, 'Alpi Eagles', '\\N', 'E8', 'ELG', 'ALPI EAGLES', 'Italy', 'N'),
	(840, 'Arrendoora y Transportadora Aerea', '\\N', '', 'END', 'ARRENDADORA', 'Mexico', 'N'),
	(841, 'Eliossola', '\\N', '', 'EOS', 'ELIOSSOLA', 'Italy', 'N'),
	(842, 'Shenzhen Donghai Airlines', '\\N', '', 'EPA', 'DONGHAI AIR', 'China', 'N'),
	(843, 'Aeronaves Del Noroeste', '\\N', '', 'ENW', 'AERONOR', 'Spain', 'N'),
	(844, 'Airailes', '\\N', '', 'EOL', 'EOLE', 'France', 'N'),
	(845, 'Aero Ermes', '\\N', '', 'EOM', 'AERO ERMES', 'Mexico', 'N'),
	(846, 'Aero Transportes Empresariales', '\\N', '', 'EPL', 'EMPRESARIALES', 'Mexico', 'N'),
	(847, 'Epps Air Service', '\\N', '', 'EPS', 'EPPS AIR', 'United States', 'N'),
	(848, 'Aero Empresarial', '\\N', '', 'EPE', 'AEROEMPRESARIAL', 'Mexico', 'N'),
	(849, 'Air S', '\\N', 'KY', 'EQL', 'EQUATORIAL', 'Air S', 'N'),
	(850, 'Avianergo', '\\N', '', 'ERG', 'AVIANERGO', 'Russia', 'N'),
	(851, 'Aero Servicios Regiomontanos', '\\N', '', 'ERI', 'ASERGIO', 'Mexico', 'N'),
	(852, 'Aerosec', '\\N', '', 'ERK', 'AEROSEC', 'Chile', 'N'),
	(853, 'Aeromaan', '\\N', '', 'ERM', 'EOMAAN', 'Mexico', 'N'),
	(854, 'Aerosaba', '\\N', '', 'ESB', 'AEROSABA', 'Mexico', 'N'),
	(855, 'Avitat', '\\N', '', 'ESO', '', 'United Kingdom', 'N'),
	(856, 'Aerolineas Ejecutivas Del Sureste', '\\N', '', 'ESU', 'ALESUR', 'Mexico', 'N'),
	(857, 'Aeronautica Le Esperanza', '\\N', '', 'ESZ', 'ESPERANZA', 'Mexico', 'N'),
	(858, 'ATTICO', '\\N', '', 'ETC', 'TRANATTICO', 'Sudan', 'N'),
	(859, 'Aero Siete', '\\N', '', 'ETE', 'AEROSIETE', 'Mexico', 'N'),
	(860, 'Air Atlanta Europe', '\\N', '', 'EUK', 'SNOWBIRD', 'United Kingdom', 'N'),
	(861, 'Air Evex', '\\N', '', 'EVE', 'SUNBEAM', 'Germany', 'N'),
	(862, 'Aeronautical Academy of Europe', '\\N', '', 'EVR', 'DIANA', 'Portugal', 'N'),
	(863, 'Air Exchange', '\\N', '', 'EXG', 'EXCHANGE', 'United States', 'N'),
	(864, 'Atlantic Helicopters', '\\N', '', 'FAC', 'FAROECOPTER', 'Denmark', 'N'),
	(865, 'Argentine Air Force', '\\N', '', 'FAG', 'FUAER', 'Argentina', 'N'),
	(866, 'Air Fiji', '\\N', 'PC', 'FAJ', 'FIJIAIR', 'Fiji', 'N'),
	(867, 'AF-Air International', '\\N', '', 'FAN', 'FANBIRD', 'Angola', 'N'),
	(868, 'Aviation Data Systems', '\\N', '', 'FBW', '', 'United States', 'N'),
	(869, 'Air Carriers', '\\N', '', 'FCI', 'FAST CHECK', 'United States', 'N'),
	(870, 'Aerofrisco', '\\N', '', 'FCO', 'AEROFRISCO', 'Mexico', 'N'),
	(871, 'Alfa 4', '\\N', '', 'FCU', '', 'Mexico', 'N'),
	(872, 'African Airlines', '\\N', '', 'FDA', 'AIR SANKORE', 'Mali', 'N'),
	(873, 'African Medical and Research Foundation', '\\N', '', 'FDS', 'FLYDOC', 'Kenya', 'N'),
	(874, 'Aero Freight', '\\N', '', 'FGT', 'FREIAERO', 'Mexico', 'N'),
	(875, 'Aerosafin', '\\N', '', 'FIC', 'AEROSAFIN', 'Mexico', 'N'),
	(876, 'Air Finland', '\\N', 'OF', 'FIF', 'AIR FINLAND', 'Finland', 'Y'),
	(877, 'Aerodata Flight Inspection', '\\N', '', 'FII', 'FLIGHT CHECKER', 'Germany', 'N'),
	(878, 'Airfix Aviation', '\\N', '', 'FIX', 'AIRFIX', 'Finland', 'Y'),
	(879, 'Air Pacific', '\\N', 'FJ', 'FJI', 'PACIFIC', 'Fiji', 'Y'),
	(880, 'Air Falcon', '\\N', '', 'FLD', '', 'Pakistan', 'N'),
	(881, 'Atlantic Airways', '\\N', 'RC', 'FLI', 'FAROELINE', 'Faroe Islands', 'Y'),
	(882, 'Air Florida', '\\N', 'QH', 'FLZ', 'AIR FLORIDA', 'United States', 'Y'),
	(883, 'Air Fret De Mauritanie', '\\N', '', 'FMT', '', 'Mauritania', 'N'),
	(884, 'Avio Nord', '\\N', '', 'FNM', '', 'Italy', 'N'),
	(885, 'Aeroflota Del Noroeste', '\\N', '', 'FNO', 'RIAZOR', 'Spain', 'N'),
	(886, 'Aero Fenix', '\\N', '', 'FNX', 'AERO FENIX', 'France', 'N'),
	(887, 'Ford Motor Company', '\\N', '', 'FRD', 'FORD', 'United States', 'N'),
	(888, 'African Company Airlines', '\\N', '', 'FPY', 'AFRICOMPANY', 'Democratic Republic of the Congo', 'N'),
	(889, 'Afrijet Airlines', '\\N', '', 'FRJ', 'AFRIJET', 'Nigeria', 'N'),
	(890, 'Afrika Aviation Handlers', '\\N', '', 'FRK', 'AFRIFAST', 'Kenya', 'N'),
	(891, 'Afrique Chart\'air', '\\N', '', 'FRQ', 'CHARTER AFRIQUE', 'Cameroon', 'N'),
	(892, 'Aerofreight Airlines', '\\N', '', 'FRT', '', 'Russia', 'N'),
	(893, 'Aereos Limited', '\\N', '', 'FST', 'FAST TRACK', 'United Kingdom', 'N'),
	(894, 'Air Affaires Tchad', '\\N', '', 'FTC', 'AFFAIRES TCHAD', 'Chad', 'N'),
	(895, 'ABC Bedarsflug', '\\N', '', 'FTY', 'FLY TYROL', 'Austria', 'N'),
	(896, 'Air Iceland', '\\N', 'NY', 'FXI', 'FAXI', 'Iceland', 'Y'),
	(897, 'Air Philippines', '\\N', '2P', 'GAP', 'ORIENT PACIFIC', 'Philippines', 'Y'),
	(898, 'Aerogaucho', '\\N', '', 'GAU', 'AEROGAUCHO', 'Uruguay', 'N'),
	(899, 'Aero Business Charter', '\\N', '', 'GBJ', 'GLOBAL JET', 'Germany', 'N'),
	(900, 'Atlantic Airlines', '\\N', '', 'GBN', 'ATLANTIC GABON', 'Gabon', 'N'),
	(901, 'Aeronor', '\\N', '', 'GCF', 'AEROCARTO', 'Spain', 'N'),
	(902, 'Aerogem Cargo', '\\N', '', 'GCK', 'AEROGEM', 'Ghana', 'N'),
	(903, 'Aerovias del Golfo', '\\N', '', 'GFO', 'AEROVIAS GOLFO', 'Mexico', 'N'),
	(904, 'Aeronautica', '\\N', '', 'GGL', 'GIRA GLOBO', 'Angola', 'N'),
	(905, 'Air Georgian', '\\N', 'ZX', 'GGN', 'GEORGIAN', 'Canada', 'N'),
	(906, 'Aviance', '\\N', '', 'GHL', 'HANDLING', 'United Kingdom', 'N'),
	(907, 'Air Ghana', '\\N', '', 'GHN', 'AIR GHANA', 'Ghana', 'N'),
	(908, 'African International Transport', '\\N', '', 'GIL', 'AFRICAN TRANSPORT', 'Guinea', 'N'),
	(909, 'Air Guinee Express', '\\N', '2U', 'GIP', 'FUTURE EXPRESS', 'Guinea', 'Y'),
	(910, 'Africa Airlines', '\\N', '', 'GIZ', 'AFRILENS', 'Guinea', 'N'),
	(911, 'Air Gemini', '\\N', '', 'GLL', 'TWINS', 'Angola', 'N'),
	(912, 'Aero Charter', '\\N', '', 'GLT', 'GASLIGHT', 'United States', 'N'),
	(913, 'Aguilas Mayas Internacional', '\\N', '', 'GME', 'MAYAN EAGLES', 'Guatemala', 'N'),
	(914, 'Aerotaxis Guamuchil', '\\N', '', 'GMM', 'AEROGUAMUCHIL', 'Mexico', 'N'),
	(915, 'Aeroservicios Gama', '\\N', '', 'GMS', 'SERVICIOS GAMA', 'Mexico', 'N'),
	(916, 'Amber Air', '\\N', '0A', 'GNT', 'GINTA', 'Lithuania', 'N'),
	(917, 'Alberta Government', '\\N', '', 'GOA', 'ALBERTA', 'Canada', 'N'),
	(918, 'Air Scotland', '\\N', '', 'GRE', 'GREECE AIRWAYS', 'Greece', 'N'),
	(919, 'Air Georgia', '\\N', 'DA', 'GRG', 'AIR GEORGIA', 'Georgia', 'N'),
	(920, 'Air Cargo Center', '\\N', '', 'GRI', '', 'Sao Tome and Principe', 'N'),
	(921, 'Air Greenland', '\\N', 'GL', 'GRL', 'GREENLAND', 'Denmark', 'Y'),
	(922, 'Allegro', '\\N', 'LL', 'GRO', 'ALLEGRO', 'Mexico', 'N'),
	(923, 'Agroar - Trabalhos Aereos', '\\N', '', 'GRR', 'AGROAR', 'Portugal', 'N'),
	(924, 'Aircompany Grodno', '\\N', '', 'GRX', 'GRODNO', 'Belarus', 'N'),
	(925, 'Airlift Alaska', '\\N', '', 'GSP', 'GREEN SPEED', 'United States', 'N'),
	(926, 'Agrocentr-Avia', '\\N', '', 'GSV', 'AGRAV', 'Kazakhstan', 'N'),
	(927, 'Altin Havayolu Tasimaciligi Turizm Ve Ticaret', '\\N', '', 'GTC', 'GOLDEN WINGS', 'Turkey', 'N'),
	(928, 'Atlas Air', '\\N', '5Y', 'GTI', 'GIANT', 'United States', 'Y'),
	(929, 'Aerotaxi Grupo Tampico', '\\N', '', 'GTP', 'GRUPOTAMPICO', 'Mexico', 'N'),
	(930, 'Aerotaxis de Aguascalientes', '\\N', '', 'GUA', 'AGUASCALIENTES', 'Mexico', 'N'),
	(931, 'Air Guyane', '\\N', 'GG', 'GUY', 'GREEN BIRD', 'French Guiana', 'Y'),
	(932, 'Air Victoria Georgia', '\\N', '', 'GVI', 'IRINA', 'Georgia', 'N'),
	(933, 'Air D\'Ayiti', '\\N', 'H9', 'HAD', 'HAITI AVIA', 'Haiti', 'N'),
	(934, 'Air Comores International', '\\N', 'GG', 'HAH', 'AIR COMORES', 'Comoros', 'N'),
	(935, 'Air Taxi', '\\N', '', 'HAT', 'TAXI BIRD', 'France', 'N'),
	(936, 'Aerohein', '\\N', '', 'HEI', 'AEROHEIN', 'Chile', 'N'),
	(937, 'Atlantic Air Lift', '\\N', '', 'HGH', 'HIGHER', 'France', 'N'),
	(938, 'Atlantic Airlines de Honduras', '\\N', '', 'HHA', 'ATLANTIC HONDURAS', 'Honduras', 'N'),
	(939, 'Aviacion Ejecutiva De Hildago', '\\N', '', 'HID', 'EJECUTIVA HIDALGO', 'Mexico', 'N'),
	(940, 'Air Haiti', '\\N', '', 'HJA', 'AIRHAITI', 'Haiti', 'N'),
	(941, 'Al Rais Cargo', '\\N', '', 'HJT', 'AL-RAIS CARGO', 'United Arab Emirates', 'N'),
	(942, 'Air-Invest', '\\N', '', 'HKH', 'HAWKHUNGARY', 'Hungary', 'N'),
	(943, 'Air Tahoma', '\\N', '', 'HMA', 'TAHOMA', 'United States', 'N'),
	(944, 'Air Nova', '\\N', '', 'HMT', 'HAMILTON', 'Canada', 'N'),
	(945, 'Aero Homex', '\\N', '', 'HOM', 'AERO HOMEX', 'Mexico', 'N'),
	(946, 'Almiron Aviation', '\\N', '', 'HPO', 'ALMIRON', 'Uganda', 'N'),
	(947, 'Avinor', '\\N', '', 'HQO', '', 'Norway', 'N'),
	(948, 'Airlink Airways', '\\N', '', 'HYR', 'HIGHFLYER', 'Ireland', 'N'),
	(949, 'Air Horizon', '\\N', '8C', 'HZT', 'HORIZON TOGO', 'Togo', 'N'),
	(950, 'AC Insat-Aero', '\\N', '', 'IAE', '', 'Russia', 'N'),
	(951, 'Air Inter Cameroun', '\\N', '', 'ICM', 'INTER-CAMEROUN', 'Cameroon', 'N'),
	(952, 'Air Lift', '\\N', '', 'IFI', 'HELLAS LIFT', 'Greece', 'N'),
	(953, 'Aero Survey', '\\N', '', 'IKM', 'GHANA SURVEY', 'Ghana', 'N'),
	(954, 'Aero Airline', '\\N', '', 'ILK', 'ILEK', 'Kazakhstan', 'N'),
	(955, 'Airtime Charters', '\\N', '', 'IME', 'AIRTIME', 'United Kingdom', 'N'),
	(956, 'Aerotaxis Cimarron', '\\N', '', 'IMN', 'TAXI CIMARRON', 'Mexico', 'N'),
	(957, 'Aero International', '\\N', '', 'INA', 'AERO-NACIONAL', 'Mexico', 'N'),
	(958, 'Aeroingenieria', '\\N', '', 'ING', 'AEROINGE', 'Chile', 'N'),
	(959, 'Aeroservicios Intergrados de Norte', '\\N', '', 'INO', 'INTENOR', 'Mexico', 'N'),
	(960, 'Airpull Aviation', '\\N', '', 'IPL', 'IPULL', 'Spain', 'N'),
	(961, 'Arvand Airlines', '\\N', '', 'IRD', 'ARVAND', 'Iran', 'N'),
	(962, 'Atlas Aviation Group', '\\N', '', 'IRH', 'ATLAS AVIA', 'Iran', 'N'),
	(963, 'Aram Airline', '\\N', '', 'IRW', 'ARAM', 'Iran', 'N'),
	(964, 'Aria Tour', '\\N', '', 'IRX', 'ARIA', 'Iran', 'N'),
	(965, 'Aerotaxi', '\\N', '', 'ITE', 'AEROTAXI', 'Czech Republic', 'N'),
	(966, 'Avita-Servicos Aereos', '\\N', '', 'ITF', 'AIR AVITA', 'Angola', 'N'),
	(967, 'Aero Citro', '\\N', '', 'ITO', 'AERO CITRO', 'Mexico', 'N'),
	(968, 'Air Executive', '\\N', '', 'IVE', 'COMPANY EXEC', 'Spain', 'N'),
	(969, 'Aviainvest', '\\N', '', 'IWS', '', 'Russia', 'N'),
	(970, 'Air Bagan', '\\N', 'W9', 'JAB', 'AIR BAGAN', 'Myanmar', 'Y'),
	(971, 'Aerojal', '\\N', '', 'JAD', 'AEROJAL', 'Mexico', 'N'),
	(972, 'Airlink', '\\N', '', 'JAR', 'AIRLINK', 'Austria', 'N'),
	(973, 'Ambjek Air Services', '\\N', '', 'JEE', 'AMBJEK AIR', 'Nigeria', 'N'),
	(974, 'Avfinity', '\\N', '', 'UTX', '', 'United States', 'N'),
	(975, 'Alexandair', '\\N', '', 'JMR', 'ALEXANDAIR', 'Canada', 'N'),
	(976, 'Air Jamaica Express', '\\N', '', 'JMX', 'JAMAICA EXPRESS', 'Jamaica', 'N'),
	(977, 'Air Swift Aviation', '\\N', '', 'JOA', '', 'Australia', 'N'),
	(978, 'Aerojobeni', '\\N', '', 'JOB', 'JOBENI', 'Mexico', 'N'),
	(979, 'Atyrau Air Ways', '\\N', 'IP', 'JOL', 'EDIL', 'Kazakhstan', 'N'),
	(980, 'Aerosmith Aviation', '\\N', '', 'JPR', 'JASPER', 'United States', 'N'),
	(981, 'Arrendamiento de Aviones Jets', '\\N', '', 'JTS', 'AVIONESJETS', 'Mexico', 'N'),
	(982, 'Aero Juarez', '\\N', '', 'JUA', 'JUAREZ', 'Mexico', 'N'),
	(983, 'Air Canada Jazz', '\\N', 'QK', 'JZA', 'JAZZ', 'Canada', 'Y'),
	(984, 'Asia Aero Survey and Consulting Engineers', '\\N', '', 'KAA', 'AASCO', 'Republic of Korea', 'N'),
	(985, 'Air Kirovograd', '\\N', '', 'KAD', 'AIR KIROVOGRAD', 'Ukraine', 'N'),
	(986, 'Air Mach', '\\N', '', 'KAM', 'ICO-AIR', 'Italy', 'N'),
	(987, 'Air Kufra', '\\N', '', 'KAV', 'AIRKUFRA', 'Libya', 'N'),
	(988, 'Arkhabay', '\\N', '', 'KEK', 'ARKHABAY', 'Kazakhstan', 'N'),
	(989, 'Aero Charter Krifka', '\\N', '', 'KFK', 'KRIFKA AIR', 'Austria', 'N'),
	(990, 'Air Kraft Mir', '\\N', '', 'KFT', 'AIR KRAFT MIR', 'Uzbekistan', 'N'),
	(991, 'Air Concorde', '\\N', '', 'KGD', 'CONCORDE AIR', 'Bulgaria', 'N'),
	(992, 'Alexandria Airlines', '\\N', '', 'KHH', '', 'Egypt', 'N'),
	(993, 'Afit', '\\N', '', 'KIE', 'TWEETY', 'Germany', 'N'),
	(994, 'Air South', '\\N', '', 'KKB', 'KHAKI BLUE', 'United States', 'N'),
	(995, 'Atlasjet', '\\N', 'KK', 'KKK', 'ATLASJET', 'Turkey', 'Y'),
	(996, 'Air Mali International', '\\N', '', 'KLB', 'TRANS MALI', 'Mali', 'N'),
	(997, 'Aerokaluz', '\\N', '', 'KLZ', 'AEROKALUZ', 'Mexico', 'N'),
	(998, 'Air Koryo', '\\N', 'JS', 'KOR', 'AIR KORYO', 'Democratic People\'s Republic of Korea', 'Y'),
	(999, 'Araiavia', '\\N', '', 'KOY', 'ALEKS', 'Kazakhstan', 'N'),
	(1000, 'AeroSucre', '\\N', '', 'KRE', 'AEROSUCRE', 'Colombia', 'N'),
	(1001, 'Air Kokshetau', '\\N', '', 'KRT', 'KOKTA', 'Kazakhstan', 'N'),
	(1002, 'Air Kissari', '\\N', '', 'KSI', 'KISSARI', 'Angola', 'N'),
	(1003, 'Aeronavigaciya', '\\N', '', 'KTN', 'AERONAVIGACIYA', 'Ukraine', 'N'),
	(1004, 'Alliance Avia', '\\N', '', 'KVR', 'KAVAIR', 'Kazakhstan', 'N'),
	(1005, 'Av Atlantic', '\\N', '', 'KYC', 'DOLPHIN', 'United States', 'N'),
	(1006, 'Air Astana', '\\N', 'KC', 'KZR', 'ASTANALINE', 'Kazakhstan', 'Y'),
	(1007, 'Aerovias De Lagos', '\\N', '', 'LAG', 'AEROLAGOS', 'Mexico', 'N'),
	(1008, 'Albanian Airlines', '\\N', 'LV', 'LBC', 'ALBANIAN', 'Albania', 'Y'),
	(1009, 'Albisa', '\\N', '', 'LBI', 'ALBISA', 'Mexico', 'N'),
	(1010, 'Albatros Airways', '\\N', '', 'LBW', 'ALBANWAYS', 'Albania', 'N'),
	(1011, 'Aerolineas Aereas Ejecutivas De Durango', '\\N', '', 'LDG', 'DURANGO', 'Mexico', 'N'),
	(1012, 'Aerologic', '\\N', '', 'LDL', '', 'Russia', 'N'),
	(1013, 'Al-Donas Airlines', '\\N', '', 'LDN', 'ALDONAS AIR', 'Nigeria', 'N'),
	(1014, 'Aero Lider', '\\N', '', 'LDR', 'AEROLIDER', 'Mexico', 'N'),
	(1015, 'Aleem', '\\N', '', 'LEM', '', 'Egypt', 'N'),
	(1016, 'Aerolineas Ejecutivas', '\\N', '', 'LET', 'MEXEJECUTIV', 'Mexico', 'N'),
	(1017, 'Air Alfa', '\\N', '', 'LFA', '', 'Turkey', 'Y'),
	(1018, 'Aero Control Air', '\\N', '', 'LFC', 'LIFE FLIGHT CANADA', 'Canada', 'N'),
	(1019, 'Aerolaguna', '\\N', '', 'LGN', 'AEROLAGUNA', 'Mexico', 'N'),
	(1020, 'Al Ahram Aviation', '\\N', '', 'LHR', 'AL AHRAM', 'Egypt', 'N'),
	(1021, 'Alidaunia', '\\N', 'D4', 'LID', 'ALIDA', 'Italy', 'N'),
	(1022, 'Al-Dawood Air', '\\N', '', 'LIE', 'AL-DAWOOD AIR', 'Nigeria', 'N'),
	(1023, 'American Aviation', '\\N', '', 'LKP', 'LAKE POWELL', 'United States', 'N'),
	(1024, 'Airlink Solutions', '\\N', '', 'LKS', 'AIRLIN', 'Spain', 'N'),
	(1025, 'Air Solutions', '\\N', '', 'LKY', 'LUCKY', 'United States', 'N'),
	(1026, 'Alliance Air', '\\N', 'CD', 'LLR', 'ALLIED', 'India', 'N'),
	(1027, 'Aerolima', '\\N', '', 'LMA', 'AEROLIMA', 'Mexico', 'N'),
	(1028, 'Alamia Air', '\\N', '', 'LML', 'ALAMIA AIR', 'Libya', 'N'),
	(1029, 'Air Plus Argentina', '\\N', '', 'LMP', 'AIR FLIGHT', 'Argentina', 'N'),
	(1030, 'Almaty Aviation', '\\N', '', 'LMT', 'ALMATY', 'Kazakhstan', 'N'),
	(1031, 'Aerolineas Mexicanas J S', '\\N', '', 'LMX', 'LINEAS MEXICANAS', 'Mexico', 'N'),
	(1032, 'Air Almaty', '\\N', '', 'LMY', 'AGLEB', 'Kazakhstan', 'N'),
	(1033, 'Air Almaty ZK', '\\N', '', 'LMZ', 'ALUNK', 'Kazakhstan', 'N'),
	(1034, 'Aerolane', '\\N', 'XL', 'LNE', 'LAN ECUADOR', 'Ecuador', 'Y'),
	(1035, 'Airlink', '\\N', '', 'LNK', 'LINK', 'South Africa', 'N'),
	(1036, 'Aerolineas Internacionales', '\\N', '', 'LNT', 'LINEAINT', 'Mexico', 'N'),
	(1037, 'Alok Air', '\\N', '', 'LOK', 'ALOK AIR', 'Sudan', 'N'),
	(1038, 'Air Saint Louis', '\\N', '', 'LOU', 'AIR SAINTLOUIS', 'Senegal', 'N'),
	(1039, 'Alpine Aviation', '\\N', '', 'LPC', 'NETSTAR', 'South Africa', 'N'),
	(1040, 'Air Alps Aviation', '\\N', 'A6', 'LPV', 'ALPAV', 'Austria', 'N'),
	(1041, 'Alrosa-Avia', '\\N', '', 'LRO', 'ALROSA', 'Russia', 'N'),
	(1042, 'Al Rida Airways', '\\N', '', 'LRW', 'AL RIDA', 'Mauritania', 'N'),
	(1043, 'Aurela', '\\N', '', 'LSK', 'AURELA', 'Lithuania', 'N'),
	(1044, 'Aerobusinessservice', '\\N', '', 'LSM', '', 'Russia', 'N'),
	(1045, 'Alsair', '\\N', '', 'LSR', 'ALSAIR', 'France', 'N'),
	(1046, 'Aerotaxis Latinoamericanos', '\\N', '', 'LTI', 'LATINO', 'Mexico', 'N'),
	(1047, 'Alninati Aeronautics', '\\N', '', 'LUC', 'STEF', 'Switzerland', 'N'),
	(1048, 'Atlantis European Airways', '\\N', 'TD', 'LUR', '', 'Armenia', 'Y'),
	(1049, 'Aliven', '\\N', '', 'LVN', 'ALIVEN', 'Italy', 'N'),
	(1050, 'Aviavilsa', '\\N', '', 'LVR', 'AVIAVILSA', 'Lithuania', 'N'),
	(1051, 'Air Luxor GB', '\\N', 'L8', 'LXG', 'LUXOR GOLF', 'Guinea-Bissau', 'N'),
	(1052, 'Air Luxor', '\\N', 'LK', 'LXR', 'AIRLUXOR', 'Portugal', 'Y'),
	(1053, 'Apatas Air', '\\N', '', 'LYT', 'APATAS', 'Lithuania', 'N'),
	(1054, 'Air Ban', '\\N', '', 'LZP', 'DOC AIR', 'Bulgaria', 'N'),
	(1055, 'Air Lazur', '\\N', '', 'LZR', 'LAZUR BEE-GEE', 'Bulgaria', 'N'),
	(1056, 'Aerodromo De La Mancha', '\\N', '', 'MAM', 'AEROMAN', 'Spain', 'N'),
	(1057, 'Air Mauritius', '\\N', 'MK', 'MAU', 'AIRMAURITIUS', 'Mauritius', 'Y'),
	(1058, 'Avag Air', '\\N', '', 'MBA', 'AVAG AIR', 'Austria', 'N'),
	(1059, 'Air Manas', '\\N', '', 'MBB', 'AIR MANAS', 'Kyrgyzstan', 'N'),
	(1060, 'Airjet Exploracao Aerea De Carga', '\\N', '', 'MBC', 'MABECO', 'Angola', 'N'),
	(1061, 'Aeriantur-M', '\\N', '', 'MBV', 'AEREM', 'Moldova', 'N'),
	(1062, 'Air Mercia', '\\N', '', 'MCB', 'WESTMID', 'United Kingdom', 'N'),
	(1063, 'Air Medical', '\\N', '', 'MCD', 'AIR MED', 'United Kingdom', 'N'),
	(1064, 'Aerolineas Marcos', '\\N', '', 'MCO', 'MARCOS', 'Mexico', 'N'),
	(1065, 'Atlantic Aero and Mid-Atlantic Freight', '\\N', '', 'MDC', 'NIGHT SHIP', 'United States', 'N'),
	(1066, 'Air Madagascar', '\\N', 'MD', 'MDG', 'AIR MADAGASCAR', 'Madagascar', 'Y'),
	(1067, 'Aerosud Charter', '\\N', '', 'MDX', 'MEDAIR', 'South Africa', 'N'),
	(1068, 'Air Meridan', '\\N', '', 'MEF', 'EMPENNAGE', 'Nigeria', 'N'),
	(1069, 'Aero McFly', '\\N', '', 'MFL', 'MCFLY', 'Mexico', 'N'),
	(1070, 'Asia Pacific Airlines', '\\N', '', 'MGE', 'MAGELLAN', 'United States', 'N'),
	(1071, 'Aeromagar', '\\N', '', 'MGS', 'AEROMAGAR', 'Mexico', 'N'),
	(1072, 'Aero Premier De Mexico', '\\N', '', 'MIE', 'AEROPREMIER', 'Mexico', 'N'),
	(1073, 'Air Moldova', '\\N', '9U', 'MLD', 'AIR MOLDOVA', 'Moldova', 'Y'),
	(1074, 'Amal Airlines', '\\N', '', 'MLF', 'AMAL', 'Djibouti', 'N'),
	(1075, 'Air Mali', '\\N', '', 'MLI', 'AIR MALI', 'Mali', 'N'),
	(1076, 'Air Madeleine', '\\N', '', 'MLN', 'AIR MADELEINE', 'Canada', 'N'),
	(1077, 'Aermarche', '\\N', '', 'MMC', 'AERMARCHE', 'Italy', 'N'),
	(1078, 'Air Alsie', '\\N', '', 'MMD', 'MERMAID', 'Denmark', 'N'),
	(1079, 'Aviation Company Meridian', '\\N', '', 'MMM', 'AVIAMERIDIAN', 'Russia', 'N'),
	(1080, 'AMP Incorporated', '\\N', '', 'MMP', 'AMP-INC', 'United States', 'N'),
	(1081, 'Airmax', '\\N', '', 'MMX', 'PERUMAX', 'Peru', 'N'),
	(1082, 'Aerolineas Amanecer', '\\N', '', 'MNE', 'AEROAMANECER', 'Mexico', 'N'),
	(1083, 'Aero Mongolia', '\\N', 'M0', 'MNG', 'AERO MONGOLIA', 'Mongolia', 'N'),
	(1084, 'Air Monarch Cargo', '\\N', '', 'MOC', 'MONARCH CARGO', 'Mexico', 'N'),
	(1085, 'Aeropublicitaria De Angola', '\\N', '', 'MOP', 'PUBLICITARIA', 'Angola', 'N'),
	(1086, 'Aerolineas De Morelia', '\\N', '', 'MOR', 'AEROMORELIA', 'Mexico', 'N'),
	(1087, 'Air Plus Comet', '\\N', 'A7', 'MPD', 'RED COMET', 'Spain', 'Y'),
	(1088, 'Aeromexpress', '\\N', 'QO', 'MPX', 'AEROMEXPRESS', 'Mexico', 'N'),
	(1089, 'Air ITM', '\\N', '', 'MQT', 'MUSKETEER', 'France', 'N'),
	(1090, 'Aeromorelos', '\\N', '', 'MRL', 'AEROMORELOS', 'Mexico', 'N'),
	(1091, 'Aerocharter', '\\N', '', 'MRM', 'MARITIME', 'Canada', 'N'),
	(1092, 'Abas', '\\N', '', 'MRP', 'ABAS', 'Czech Republic', 'N'),
	(1093, 'Air Mauritanie', '\\N', 'MR', 'MRT', 'MIKE ROMEO', 'Mauritania', 'N'),
	(1094, 'Air Cairo', '\\N', '', 'MSC', '', 'Egypt', 'N'),
	(1095, 'Air Sport', '\\N', '', 'MSK', 'AIR SPORT', 'Bulgaria', 'N'),
	(1096, 'Aeromas', '\\N', '', 'MSM', 'AEROMAS EXPRESS', 'Uruguay', 'N'),
	(1097, 'Aerol', '\\N', '', 'MSO', 'MESO AMERICANAS', 'Mexico', 'N'),
	(1098, 'Aero-Kamov', '\\N', '', 'MSV', 'AERAFKAM', 'Russia', 'N'),
	(1099, 'Aerotaxis Metropolitanos', '\\N', '', 'MTB', 'AEROMETROPOLIS', 'Mexico', 'N'),
	(1100, 'Aeromet Linea Aerea', '\\N', '', 'MTE', 'AEROMET', 'Chile', 'N'),
	(1101, 'Air Metack', '\\N', '', 'MTK', 'AIRMETACK', 'Angola', 'N'),
	(1102, 'Air Montegomery', '\\N', '', 'MTY', 'MONTY', 'United Kingdom', 'N'),
	(1103, 'Aerotaxi Mexicano', '\\N', '', 'MXO', 'MAXAERO', 'Mexico', 'N'),
	(1104, 'Aero Yaqui Mayo', '\\N', '', 'MYS', 'AERO YAQUI', 'Mexico', 'N'),
	(1105, 'AVC Airlines', '\\N', '', 'MZK', '', 'Japan', 'N'),
	(1106, 'Aerovias Montes Azules', '\\N', '', 'MZL', 'MONTES AZULES', 'Mexico', 'N'),
	(1107, 'Aeroland Airways', '\\N', '3S', '', '', 'Greece', 'N'),
	(1109, 'Astair', '\\N', '8D', '', '', 'Russian Federation', 'Y'),
	(1110, 'Albarka Air', '\\N', 'F4', 'NBK', 'AL-AIR', 'Nigeria', 'N'),
	(1111, 'ACA-Ancargo Air Sociedade de Transporte de Carga Lda', '\\N', '', 'NCL', 'ANCARGO AIR', 'Angola', 'N'),
	(1112, 'Aero Servicios de Nuevo Laredo', '\\N', '', 'NEL', 'AEROLAREDO', 'Mexico', 'N'),
	(1113, 'Angoavia', '\\N', '', 'NGV', 'ANGOAVIA', 'Angola', 'N'),
	(1114, 'Aeroni', '\\N', '', 'NID', 'AERONI', 'Mexico', 'N'),
	(1115, 'Aeroejecutiva Nieto', '\\N', '', 'NIE', 'AERONIETO', 'Mexico', 'N'),
	(1116, 'Aero Contractors', '\\N', 'AJ', 'NIG', 'AEROLINE', 'Nigeria', 'Y'),
	(1117, 'Aerokuzbass', '\\N', '', 'NKZ', 'NOVOKUZNETSK', 'Russia', 'N'),
	(1118, 'Atlantic Airlines', '\\N', '', 'NPT', 'NEPTUNE', 'United Kingdom', 'N'),
	(1119, 'Atlantic Richfield Company', '\\N', '', 'NRS', 'NORTH SLOPE', 'United States', 'N'),
	(1120, 'Aerolineas Sosa', '\\N', '', 'NSO', 'SOSA', 'Honduras', 'N'),
	(1121, 'Aero Norte', '\\N', '', 'NTD', '', 'Mexico', 'N'),
	(1122, 'Air Inter Ivoire', '\\N', '', 'NTV', 'INTER-IVOIRE', 'Ivory Coast', 'N'),
	(1123, 'Aeroservicios De Nuevo Leon', '\\N', '', 'NUL', 'SERVICIOS NUEVOLEON', 'Mexico', 'N'),
	(1124, 'Avial NV Aviation Company', '\\N', '', 'NVI', 'NEW AVIAL', 'Russia', 'N'),
	(1125, 'Airwing', '\\N', '', 'NWG', 'NORWING', 'Norway', 'N'),
	(1126, 'Air Next', '\\N', '', 'NXA', 'BLUE-DOLPHIN', 'Japan', 'N'),
	(1127, 'Arkhangelsk 2 Aviation Division', '\\N', '', 'OAO', 'DVINA', 'Russia', 'N'),
	(1128, 'Aerogisa', '\\N', '', 'OGI', 'AEROGISA', 'Mexico', 'N'),
	(1129, 'Aerolineas Olve', '\\N', '', 'OLV', 'OLVE', 'Mexico', 'N'),
	(1130, 'Aeromega', '\\N', '', 'OMG', 'OMEGA', 'United Kingdom', 'N'),
	(1131, 'Air One Nine', '\\N', '', 'ONR', 'EDER', 'Libya', 'N'),
	(1132, 'Air Ontario', '\\N', '', 'ONT', 'ONTARIO', 'Canada', 'N'),
	(1133, 'Aerocorp', '\\N', '', 'ORP', 'CORPSA', 'Mexico', 'N'),
	(1134, 'Action Air', '\\N', '', 'ORS', 'AVIATION SERVICE', 'Italy', 'N'),
	(1135, 'Aerosan', '\\N', '', 'OSN', 'AEROSAN', 'Mexico', 'N'),
	(1136, 'Aviapartner Limited Company', '\\N', '', 'OSO', '', 'Russia', 'N'),
	(1137, 'Aliparma', '\\N', '', 'PAJ', 'ALIPARMA', 'Italy', 'N'),
	(1138, 'Air Parabet', '\\N', '', 'PBT', 'PARABET', 'Bangladesh', 'N'),
	(1139, 'Air Burundi', '\\N', '8Y', 'PBU', 'AIR-BURUNDI', 'Burundi', 'N'),
	(1140, 'Aeropostal Cargo de Mexico', '\\N', '', 'PCG', 'POSTAL CARGO', 'Mexico', 'N'),
	(1141, 'Air Pack Express', '\\N', '', 'PCK', 'AIRPACK EXPRESS', 'Spain', 'N'),
	(1142, 'Air Palace', '\\N', '', 'PCS', 'AIR PALACE', 'Mexico', 'N'),
	(1143, 'Aeropelican Air Services', '\\N', 'OT', 'PEL', 'PELICAN', 'Australia', 'Y'),
	(1144, 'Aerolineas Chihuahua', '\\N', '', 'PFI', 'PACIFICO CHIHUAHUA', 'Mexico', 'N'),
	(1145, 'Air Cargo Express International', '\\N', '', 'PFT', 'PROFREIGHT', 'United States', 'N'),
	(1146, 'Al Farana Airline', '\\N', '', 'PHR', 'PHARAOH', 'Egypt', 'N'),
	(1147, 'Ave.com', '\\N', '', 'PHW', 'PHOENIX SHARJAH', 'United Arab Emirates', 'N'),
	(1148, 'Air South West', '\\N', '', 'PIE', 'PIRATE', 'United Kingdom', 'N'),
	(1149, 'Aeroservicios California Pacifico', '\\N', '', 'PIF', 'AEROCALPA', 'Mexico', 'N'),
	(1150, 'AST Pakistan Airways', '\\N', '', 'PKA', 'PAKISTAN AIRWAY', 'Pakistan', 'N'),
	(1151, 'Aero Personal', '\\N', '', 'PNL', 'AEROPERSONAL', 'Mexico', 'N'),
	(1152, 'Aero Servicios Platinum', '\\N', '', 'PNU', 'AERO PLATINUM', 'Mexico', 'N'),
	(1153, 'Apoyo Aereo', '\\N', '', 'POY', 'APOYO AEREO', 'Mexico', 'N'),
	(1154, 'Aerotransportes Privados', '\\N', '', 'PRI', 'AEROPRIV', 'Mexico', 'N'),
	(1155, 'Atlantic Coast Jet', '\\N', '', 'PRT', 'PATRIOT', 'United States', 'N'),
	(1156, 'Air Paradise International', '\\N', 'AD', 'PRZ', 'RADISAIR', 'Indonesia', 'N'),
	(1157, 'Aeroservicio Sipse', '\\N', '', 'PSE', 'SIPSE', 'Mexico', 'N'),
	(1158, 'Aeroservicios Corporativos De San Luis', '\\N', '', 'PSL', 'CORSAN', 'Mexico', 'N'),
	(1159, 'Aerotransportes Privados', '\\N', '', 'PVA', 'TRANSPRIVADO', 'Mexico', 'N'),
	(1160, 'Aereo Taxi Paraza', '\\N', '', 'PZA', 'AEREO PARAZA', 'Mexico', 'N'),
	(1161, 'Air Class Lineas Aereas', '\\N', 'QD', 'QCL', 'ACLA', 'Uruguay', 'N'),
	(1162, 'Aviation Consultancy Office', '\\N', '', 'QEA', '', 'Australia', 'N'),
	(1163, 'Aero Taxi', '\\N', '', 'QAT', 'AIR QUASAR', 'Canada', 'N'),
	(1164, 'Aero Taxi Aviation', '\\N', '', 'QKC', 'QUAKER CITY', 'United States', 'N'),
	(1165, 'Aviation Quebec Labrador', '\\N', '', 'QLA', 'QUEBEC LABRADOR', 'Canada', 'N'),
	(1166, 'African Safari Airways', '\\N', 'QS', 'QSC', 'ZEBRA', 'Kenya', 'N'),
	(1167, 'Aero Quimmco', '\\N', '', 'QUI', 'QUIMMCO', 'Mexico', 'N'),
	(1168, 'Alada', '\\N', '', 'RAD', 'AIR ALADA', 'Angola', 'N'),
	(1169, 'Aerotur-Air', '\\N', '', 'RAI', 'DIASA', 'Kazakhstan', 'N'),
	(1170, 'Air Center Helicopters', '\\N', '', 'RAP', 'RAPTOR', 'United States', 'N'),
	(1171, 'Aur Rum Benin', '\\N', '', 'RBE', 'RUM BENIN', 'Benin', 'N'),
	(1172, 'Aeroserivios Del Bajio', '\\N', '', 'RBJ', 'AEROBAJIO', 'Mexico', 'N'),
	(1173, 'Airbus France', '\\N', '4Y', 'RBU', 'AIRBUS FRANCE', 'France', 'N'),
	(1174, 'Air Roberval', '\\N', '', 'RBV', 'AIR ROBERVAL', 'Canada', 'N'),
	(1175, 'Arubaexel', '\\N', '', 'RBX', 'ARUBA', 'Aruba', 'N'),
	(1176, 'Air Charters Eelde', '\\N', '', 'RCC', 'RACER', 'Netherlands', 'N'),
	(1177, 'Aerocer', '\\N', '', 'RCE', 'AEROCER', 'Mexico', 'N'),
	(1178, 'Aeroflot-Cargo', '\\N', '', 'RCF', 'AEROFLOT-CARGO', 'Russia', 'N'),
	(1179, 'Air Mobility Command', '\\N', 'MC', 'RCH', 'REACH', 'United States', 'N'),
	(1180, 'Air Cassai', '\\N', '', 'RCI', 'AIR CASSAI', 'Angola', 'N'),
	(1181, 'Aero Renta De Coahuila', '\\N', '', 'RCO', 'AEROCOAHUILA', 'Mexico', 'N'),
	(1182, 'Aerocorp', '\\N', '', 'RCP', 'AEROCORPSA', 'Mexico', 'N'),
	(1183, 'Aerolineas Regionales', '\\N', '', 'RCQ', 'REGIONAL CARGO', 'Mexico', 'N'),
	(1184, 'Atlantic S.L.', '\\N', '', 'RCU', 'AIR COURIER', 'Spain', 'N'),
	(1185, 'Air Service Center', '\\N', '', 'RCX', 'SERVICE CENTER', 'Italy', 'N'),
	(1186, 'Adygeya Airlines', '\\N', '', 'RDD', 'ADLINES', 'Russia', 'N'),
	(1187, 'Air Ada', '\\N', '', 'RDM', 'AIR ADA', 'Mauritania', 'N'),
	(1188, 'Aer Arann', '\\N', 'RE', 'REA', 'AER ARANN', 'Ireland', 'Y'),
	(1189, 'Aero-Rent', '\\N', '', 'REN', 'AERORENT', 'Mexico', 'N'),
	(1190, 'Australian Maritime Safety Authority', '\\N', '', 'RES', 'RESCUE', 'Australia', 'N'),
	(1191, 'Air Austral', '\\N', 'UU', 'REU', 'REUNION', 'France', 'Y'),
	(1192, 'Aero-Rey', '\\N', '', 'REY', 'AEROREY', 'Mexico', 'N'),
	(1193, 'Aero Africa', '\\N', '', 'RFC', 'AERO AFRICA', 'Swaziland', 'N'),
	(1194, 'Aerotransportes Rafilher', '\\N', '', 'RFD', 'RAFHILER', 'Mexico', 'N'),
	(1195, 'Argo', '\\N', '', 'RGO', 'ARGOS', 'Dominican Republic', 'N'),
	(1196, 'Airbourne School of Flying', '\\N', '', 'RGT', 'AIRGOAT', 'United Kingdom', 'N'),
	(1197, 'Air Archipels', '\\N', '', 'RHL', 'ARCHIPELS', 'France', 'N'),
	(1198, 'Aviation Ministry of the Interior of the Russian Federation', '\\N', '', 'RIF', 'INTERMIN AVIA', 'Russian Federation', 'N'),
	(1199, 'Aeris Gestion', '\\N', '', 'RIS', 'AERIS', 'Spain', 'N'),
	(1200, 'Asian Spirit', '\\N', '6K', 'RIT', 'ASIAN SPIRIT', 'Philippines', 'Y'),
	(1201, 'Aeroservicios Jet', '\\N', '', 'RJS', 'ASERJET', 'Mexico', 'N'),
	(1202, 'Air Afrique', '\\N', 'RK', 'RKA', 'AIRAFRIC', 'Ivory Coast', 'Y'),
	(1203, 'Airlinair', '\\N', 'A5', 'RLA', 'AIRLINAIR', 'France', 'Y'),
	(1204, 'Air Nelson', '\\N', '', 'RLK', '', 'New Zealand', 'N'),
	(1205, 'Air Leone', '\\N', '', 'RLL', 'AEROLEONE', 'Sierra Leone', 'N'),
	(1206, 'Aero Lanka', '\\N', 'QL', 'RLN', 'AERO LANKA', 'Sri Lanka', 'Y'),
	(1207, 'Air Alize', '\\N', '', 'RLZ', 'ALIZE', 'France', 'N'),
	(1208, 'Air Amder', '\\N', '', 'RMD', 'AIR AMDER', 'Mauritania', 'N'),
	(1209, 'Armenian Airlines', '\\N', '', 'RME', 'ARMENIAN', 'Armenia', 'N'),
	(1210, 'Armenian International Airways', '\\N', 'MV', 'RML', '', 'Armenia', 'N'),
	(1211, 'Arm-Aero', '\\N', '', 'RMO', 'ARM-AERO', 'Armenia', 'N'),
	(1212, 'Air Max', '\\N', '', 'RMX', 'AEROMAX', 'Bulgaria', 'N'),
	(1213, 'Air Salone', '\\N', '20', 'RNE', 'AIR SALONE', 'Sierra Leone', 'Y'),
	(1214, 'Aeronem Air Cargo', '\\N', '', 'RNM', 'AEROMNEM', 'Ecuador', 'N'),
	(1215, 'Air Cargo Masters', '\\N', '', 'RNR', 'RUNNER', 'United States', 'N'),
	(1216, 'Armavia', '\\N', 'U8', 'RNV', 'ARMAVIA', 'Armenia', 'Y'),
	(1217, 'Aeroeste', '\\N', '', 'ROE', 'ESTE-BOLIVIA', 'Bolivia', 'N'),
	(1218, 'Aero Gen', '\\N', '', 'ROH', 'AEROGEN', 'Mexico', 'N'),
	(1219, 'Avior Airlines', '\\N', '', 'ROI', 'AVIOR', 'Venezuela', 'N'),
	(1220, 'Aeroel Airways', '\\N', '', 'ROL', 'AEROEL', 'Israel', 'N'),
	(1221, 'Aeromar', '\\N', 'BQ', 'ROM', 'BRAVO QUEBEC', 'Dominican Republic', 'N'),
	(1222, 'Aeroitalia', '\\N', '', 'ROO', 'AEROITALIA', 'Italy', 'N'),
	(1223, 'Aerodan', '\\N', '', 'ROD', 'AERODAN', 'Mexico', 'N'),
	(1224, 'AeroRep', '\\N', 'P5', 'RPB', 'AEROREPUBLICA', 'Colombia', 'Y'),
	(1225, 'Aerolineas Del Pacifico', '\\N', '', 'RPC', 'AEROPACSA', 'Ecuador', 'N'),
	(1226, 'Aero Roca', '\\N', '', 'RRC', 'AEROROCA', 'Mexico', 'N'),
	(1227, 'Aerotransportes Internacionales De Torreon', '\\N', '', 'RRE', 'AERO TORREON', 'Mexico', 'N'),
	(1228, 'Acvila Air-Romanian Carrier', '\\N', '', 'RRM', 'AIR ROMANIA', 'Romania', 'N'),
	(1229, 'Aerolineas Ejecutivas Tarascas', '\\N', '', 'RSC', 'TARASCAS', 'Mexico', 'N'),
	(1230, 'Aero-Service', '\\N', 'BF', 'RSR', 'CONGOSERV', 'Republic of the Congo', 'Y'),
	(1231, 'Aerosur', '\\N', '5L', 'RSU', 'AEROSUR', 'Bolivia', 'Y'),
	(1232, 'Aeronorte', '\\N', '', 'RTE', 'LUZAVIA', 'Portugal', 'Y'),
	(1233, 'Artis', '\\N', '', 'RTH', 'ARTHELICO', 'France', 'N'),
	(1234, 'Arhabaev Tourism Airlines', '\\N', '', 'RTO', 'ARTOAIR', 'Kazakhstan', 'N'),
	(1235, 'Air Turquoise', '\\N', '', 'RTQ', 'TURQUOISE', 'France', 'N'),
	(1236, 'Aerotucan', '\\N', '', 'RTU', 'AEROTUCAN', 'Mexico', 'N'),
	(1237, 'Air Anastasia', '\\N', '', 'RUD', 'ANASTASIA', 'Ukraine', 'N'),
	(1238, 'Air Rum', '\\N', '', 'RUM', 'AIR RUM', 'Sierra Leone', 'N'),
	(1239, 'ACT Havayollari', '\\N', '', 'RUN', 'CARGO TURK', 'Turkey', 'N'),
	(1240, 'Air VIP', '\\N', '', 'RVP', 'AEROVIP', 'Portugal', 'N'),
	(1241, 'Aircompany Veteran', '\\N', '', 'RVT', 'AIR-VET', 'Armenia', 'N'),
	(1242, 'Alliance Express Rwanda', '\\N', '', 'RWB', '', 'Rwanda', 'N'),
	(1243, 'Arrow Ecuador Arrowec', '\\N', '', 'RWC', 'ARROWEC', 'Ecuador', 'N'),
	(1244, 'Aerogroup 98 Limited', '\\N', '', 'RWY', 'TYNWALD', 'United Kingdom', 'N'),
	(1245, 'Aeroxtra', '\\N', '', 'RXT', 'AERO-EXTRA', 'Mexico', 'N'),
	(1246, 'Express Air Charter', '\\N', '', 'RXX', 'REX AIR', 'Canada', 'N'),
	(1247, 'Air Whitsunday', '\\N', '', 'RWS', '', 'Australia', 'N'),
	(1248, 'Aero Zambia', '\\N', '', 'RZL', 'AERO ZAMBIA', 'Zambia', 'N'),
	(1249, 'Aero Zano', '\\N', '', 'RZN', 'ZANO', 'Mexico', 'N'),
	(1250, 'Anoka Air Charter', '\\N', '', 'RZZ', 'RED ZONE', 'United States', 'N'),
	(1251, 'Aerosaab', '\\N', '', 'SBH', 'AEROSAAB', 'Mexico', 'N'),
	(1252, 'Associated Aviation', '\\N', '', 'SCD', 'ASSOCIATED', 'Nigeria', 'N'),
	(1253, 'American Jet International', '\\N', '', 'SCM', 'SCREAMER', 'United States', 'N'),
	(1254, 'Air Santo Domingo', '\\N', 'EX', 'SDO', 'AERO DOMINGO', 'Dominican Republic', 'N'),
	(1255, 'Aero Sudpacifico', '\\N', '', 'SDP', 'SUDPACIFICO', 'Mexico', 'N'),
	(1256, 'Aero Servicios Ejecutivas Del Pacifico', '\\N', '', 'SEF', 'SERVIPACIFICO', 'Mexico', 'N'),
	(1257, 'Aero California', '\\N', 'JR', 'SER', 'AEROCALIFORNIA', 'Mexico', 'N'),
	(1258, 'A-Safar Air Services', '\\N', '', 'SFM', 'AIR SAFAR', 'Nigeria', 'N'),
	(1259, 'Aerosegovia', '\\N', '', 'SGV', 'SEGOVIA', 'Nicaragua', 'N'),
	(1260, 'Airshare Holdings', '\\N', '', 'SHH', 'AIRSHARE', 'United Kingdom', 'N'),
	(1261, 'Aerosiyusa', '\\N', '', 'SIY', 'SIYUSA', 'Mexico', 'N'),
	(1262, 'Aero Silza', '\\N', '', 'SIZ', 'AEROSILZA', 'Mexico', 'N'),
	(1263, 'Air San Juan', '\\N', '', 'SJN', 'SAN JUAN', 'United States', 'N'),
	(1264, 'Aero-North Aviation Services', '\\N', '', 'SKP', 'SKIPPER', 'Canada', 'N'),
	(1265, 'Aero Sami', '\\N', '', 'SMI', 'SAMI', 'Mexico', 'N'),
	(1266, 'Avient Aviation', '\\N', 'Z3', 'SMJ', 'AVAVIA', 'Zimbabwe', 'Y'),
	(1267, 'Aerolineas Sol', '\\N', '', 'SOD', 'ALSOL', 'Mexico', 'N'),
	(1268, 'Air Soleil', '\\N', '', 'SOE', 'AIR SOLEIL', 'Mauritania', 'N'),
	(1269, 'Aero Soga', '\\N', '', 'SOG', 'AEROSOGA', 'Guinea-Bissau', 'N'),
	(1270, 'Airspeed Aviation', '\\N', '', 'SPD', 'SPEEDLINE', 'Canada', 'N'),
	(1271, 'Air Service', '\\N', 'M3', 'SPJ', 'AIR SKOPJE', 'Macedonia', 'N'),
	(1272, 'Aeroservicios Ejecutivos Del Pacifico', '\\N', '', 'SPO', 'EJECTUIV PACIFICO', 'Mexico', 'N'),
	(1273, 'Asian Aerospace Service', '\\N', '', 'SPY', 'THAI SPACE', 'Thailand', 'N'),
	(1274, 'Airworld', '\\N', '', 'SPZ', 'SPEED SERVICE', 'South Africa', 'N'),
	(1275, 'Alsaqer Aviation', '\\N', '', 'SQR', 'ALSAQER AVIATION', 'Libya', 'N'),
	(1276, 'Air Safaris and Services', '\\N', '', 'SRI', 'AIRSAFARI', 'New Zealand', 'N'),
	(1277, 'Aero Servicio Corporativo', '\\N', '', 'SRV', 'SERVICORP', 'Mexico', 'N'),
	(1278, 'Air Sultan', '\\N', '', 'SSL', 'SIERRA SULTAN', 'Sierra Leone', 'N'),
	(1279, 'Aero 1 Pro-Jet', '\\N', '', 'SSM', 'RAPID', 'Canada', 'N'),
	(1280, 'Airquarius Air Charter', '\\N', '', 'SSN', 'SUNSTREAM', 'South Africa', 'N'),
	(1281, 'Aeropac', '\\N', '', 'STK', 'SAT PAK', 'United States', 'N'),
	(1282, 'Air St. Thomas', '\\N', '', 'STT', 'PARADISE', 'United States', 'N'),
	(1283, 'Aerolineas Del Sureste', '\\N', '', 'SUE', 'AEROSURESTE', 'Mexico', 'N'),
	(1284, 'Aerial Surveys (1980) Limited', '\\N', '', 'SUY', 'SURVEY', 'New Zealand', 'N'),
	(1285, 'Air Slovakia', '\\N', 'GM', 'SVK', 'SLOVAKIA', 'Slovakia', 'N'),
	(1286, 'Adler Aviation', '\\N', '', 'SWH', 'SHOCKWAVE', 'Canada', 'N'),
	(1287, 'Aircompany Yakutia', '\\N', 'R3', 'SYL', 'AIR YAKUTIA', 'Russia', 'Y'),
	(1288, 'Aerosud Aviation', '\\N', '', 'SYT', 'SKYTRACK', 'South Africa', 'N'),
	(1289, 'Aeroservicios de La Costa', '\\N', '', 'TAA', 'AERO COSTA', 'Mexico', 'N'),
	(1290, 'Aeromar', '\\N', 'VW', 'TAO', 'TRANS-AEROMAR', 'Mexico', 'Y'),
	(1291, 'Aerotrebol', '\\N', '', 'TBL', 'AEROTREBOL', 'Mexico', 'N'),
	(1292, 'Aero Taxi de Los Cabos', '\\N', '', 'TBO', 'AERO CABOS', 'Mexico', 'N'),
	(1293, 'Air Turks and Caicos', '\\N', 'JY', 'TCI', 'KERRMONT', 'Turks and Caicos Islands', 'N'),
	(1294, 'Aerotranscolombina de Carga', '\\N', '', 'TCO', 'TRANSCOLOMBIA', 'Colombia', 'N'),
	(1295, 'Air Cargo Express', '\\N', '', 'TDG', 'TURBO DOG', 'United States', 'N'),
	(1296, 'Atlas Helicopters', '\\N', '', 'TDT', 'TRIDENT', 'United Kingdom', 'N'),
	(1297, 'Air Today', '\\N', '', 'TDY', 'AIR TODAY', 'United States', 'N'),
	(1298, 'Aero Servicios Azteca', '\\N', '', 'TED', 'AEROAZTECA', 'Mexico', 'N'),
	(1299, 'Arkefly', '\\N', 'OR', 'TFL', 'ARKEFLY', 'Netherlands', 'Y'),
	(1300, 'Antair', '\\N', '', 'TIR', 'ANTAIR', 'Mexico', 'N'),
	(1301, 'Atlantique Air Assistance', '\\N', '', 'TLB', 'TRIPLE-A', 'France', 'N'),
	(1302, 'Aero Taxi Autlan', '\\N', '', 'TLD', 'AEREO AUTLAN', 'Mexico', 'N'),
	(1303, 'Aero Util', '\\N', '', 'TLE', 'AEROUTIL', 'Mexico', 'N'),
	(1304, 'Aero Toluca Internactional', '\\N', '', 'TLU', 'AEROTOLUCA', 'Mexico', 'N'),
	(1305, 'Aero Taxi del Centro de Mexico', '\\N', '', 'TME', 'TAXICENTRO', 'Mexico', 'N'),
	(1306, 'Aerotropical', '\\N', '', 'TOC', 'TROPICMEX', 'Mexico', 'N'),
	(1307, 'Air Tomisko', '\\N', '', 'TOH', 'TOMISKO CARGO', 'Serbia', 'N'),
	(1308, 'Airlines PNG', '\\N', 'CG', 'TOK', 'BALUS', 'Papua New Guinea', 'Y'),
	(1309, 'Aero Tanala', '\\N', '', 'TON', 'AEROTANALA', 'Mexico', 'N'),
	(1310, 'Aero Tropical', '\\N', '', 'TPB', 'AERO TROPICAL', 'Angola', 'N'),
	(1311, 'Air Cal', '\\N', 'TY', 'TPC', 'AIRCAL', 'France', 'N'),
	(1312, 'Air Horizon', '\\N', '', 'TPK', 'TCHAD-HORIZON', 'Chad', 'N'),
	(1313, 'Aero Taxi del Potosi', '\\N', '', 'TPO', 'TAXI-POTOSI', 'Mexico', 'N'),
	(1314, 'Aeroturquesa', '\\N', '', 'TQS', 'AEROTURQUESA', 'Mexico', 'N'),
	(1315, 'Airmark Aviation', '\\N', '', 'TRH', 'TRANSTAR', 'United States', 'N'),
	(1316, 'AirTran Airways', '\\N', 'FL', 'TRS', 'CITRUS', 'United States', 'Y'),
	(1317, 'Air Transat', '\\N', 'TS', 'TSC', 'TRANSAT', 'Canada', 'Y'),
	(1318, 'airtransse', '\\N', '', 'TSQ', 'AIRTRA', 'Japan', 'N'),
	(1319, 'Aerolineas Turisticas del Caribe', '\\N', '', 'TTB', 'AERO TURISTICAS', 'Mexico', 'N'),
	(1320, 'Avcenter', '\\N', '', 'TTE', 'TETON', 'United States', 'N'),
	(1321, 'Air Tungaru', '\\N', '', 'TUN', 'TUNGARU', 'Kiribati', 'N'),
	(1322, 'Avialeasing Aviation Company', '\\N', 'EC', 'TWN', 'TWINARROW', 'Uzbekistan', 'Y'),
	(1323, 'Aerotaxis del Noroeste', '\\N', '', 'TXD', 'TAXI OESTE', 'Mexico', 'N'),
	(1324, 'Aerotaxis Alfe', '\\N', '', 'TXF', 'ALFE', 'Mexico', 'N'),
	(1325, 'Aereotaxis', '\\N', '', 'TXI', 'AEREOTAXIS', 'Mexico', 'N'),
	(1326, 'Tyrolean Airways', '\\N', 'VO', 'TYR', 'TYROLEAN', 'Austria', 'Y'),
	(1327, 'Aero Tomza', '\\N', '', 'TZA', 'AERO TOMZA', 'Mexico', 'N'),
	(1328, 'Air Zambezi', '\\N', '', 'TZT', 'ZAMBEZI', 'Zimbabwe', 'N'),
	(1329, 'Afra Airlines', '\\N', '', 'UAG', 'AFRALINE', 'Ghana', 'N'),
	(1330, 'Aerostar Airlines', '\\N', '', 'UAR', 'AEROSTAR', 'Ukraine', 'N'),
	(1331, 'Air Division of the Eastern Kazakhstan Region', '\\N', '', 'UCK', 'GALETA', 'Kazakhstan', 'N'),
	(1332, 'Aero-Charter Ukraine', '\\N', 'DW', 'UCR', 'CHARTER UKRAINE', 'Ukraine', 'N'),
	(1333, 'Air LA', '\\N', '', 'UED', 'AIR L-A', 'United States', 'N'),
	(1334, 'Air Ukraine', '\\N', '6U', 'UKR', 'AIR UKRAINE', 'Ukraine', 'N'),
	(1335, 'Air Umbria', '\\N', '', 'UMB', 'AIR UMBRIA', 'Italy', 'N'),
	(1336, 'Atuneros Unidos de California', '\\N', '', 'UND', 'ATUNEROS UNIDOS', 'Mexico', 'N'),
	(1337, 'Aeroclub Flaps', '\\N', '', 'FLP', 'AEROCLUB FLAPS', 'Spain', 'N'),
	(1338, 'Aerolineas Galapagos (Aerogal)', '\\N', '2K', 'GLG', 'AEROGAL', 'Ecuador', 'Y'),
	(1339, 'Air Castle Corporation / Global Airways', '\\N', '', 'GLB', 'GLO-AIR', 'United States', 'N'),
	(1340, 'Alrosa Mirny Air Enterprise', '\\N', '6R', 'DRU', 'MIRNY', 'Russia', 'Y'),
	(1341, 'Bearing Supplies Limited', '\\N', '', 'PVO', 'PROVOST', 'United Kingdom', 'N'),
	(1342, 'Balkan Agro Aviation', '\\N', '', 'BAA', 'BALKAN AGRO', 'Bulgaria', 'N'),
	(1343, 'Bahrain Air BSC (Closed)', '\\N', '', 'BAB', 'AWAL', 'Bahrain', 'N'),
	(1344, 'BAC Leasing Limited', '\\N', '', 'BAC', ' ', 'United Kingdom', 'N'),
	(1345, 'BAE Systems', '\\N', '', 'BAE', 'FELIX', 'United Kingdom', 'N'),
	(1346, 'Belgian Air Force', '\\N', '', 'BAF', 'BELGIAN AIRFORCE', 'Belgium', 'N'),
	(1347, 'Baker Aviation', '\\N', '8Q', 'BAJ', 'BAKER AVIATION', 'United States', 'N'),
	(1348, 'Blackhawk Airways', '\\N', '', 'BAK', 'BLACKHAWK', 'United States', 'N'),
	(1349, 'Britannia Airways', '\\N', '', 'BAL', 'BRITANNIA', 'United Kingdom', 'N'),
	(1350, 'Business Air Services', '\\N', '', 'BAM', 'BUSINESS AIR', 'Canada', 'N'),
	(1351, 'British Antarctic Survey', '\\N', '', 'BAN', 'PENGUIN', 'United Kingdom', 'N'),
	(1352, 'Bradly Air (Charter) Services', '\\N', '', 'BAR', 'BRADLEY', 'Canada', 'N'),
	(1353, 'Bissau Airlines', '\\N', '', 'BAU', 'AIR BISSAU', 'Guinea-Bissau', 'N'),
	(1354, 'Bay Aviation Ltd', '\\N', '', 'BAV', 'BAY AIR', 'Bangladesh', 'N'),
	(1355, 'British Airways', '\\N', 'BA', 'BAW', 'SPEEDBIRD', 'United Kingdom', 'Y'),
	(1356, 'Best Aero Handling Ltd', '\\N', '', 'BAX', '', 'Russia', 'N'),
	(1357, 'Bayon Airlines', '\\N', '', 'BAY', 'BAYON', 'Cambodia', 'N'),
	(1358, 'Bannert Air', '\\N', '', 'BBA', 'BANAIR', 'Austria', 'N'),
	(1359, 'Biman Bangladesh Airlines', '\\N', 'BG', 'BBC', 'BANGLADESH', 'Bangladesh', 'Y'),
	(1360, 'Bluebird Cargo', '\\N', 'BF', 'BBD', 'BLUE CARGO', 'Iceland', 'N'),
	(1361, 'Beibars CJSC', '\\N', '', 'BBS', 'BEIBARS', 'Kazakhstan', 'N'),
	(1362, 'Bravo Airlines', '\\N', '', 'BBV', 'BRAVO EUROPE', 'Spain', 'N'),
	(1363, 'Blue Bird Aviation', '\\N', '', 'BBZ', 'COBRA', 'Kenya', 'N'),
	(1364, 'BACH Flugbetriebsges', '\\N', 'B4', 'BCF', 'BACH', 'Austria', 'N'),
	(1365, 'Blue Islands', '\\N', '', 'BCI', 'BLUE ISLAND', 'United Kingdom', 'N'),
	(1366, 'British Caribbean Airways', '\\N', '', 'BCL', '', 'United Kingdom', 'N'),
	(1367, 'British Charter', '\\N', '', 'BCR', 'BACKER', 'United Kingdom', 'N'),
	(1368, 'BCT Aviation', '\\N', '', 'BCT', 'BOBCAT', 'United Kingdom', 'N'),
	(1369, 'Business Aviation Center', '\\N', '', 'BCV', 'BUSINESS AVIATION', 'Ukraine', 'N'),
	(1370, 'Blue Dart Aviation', '\\N', 'BZ', 'BDA', 'BLUE DART', 'India', 'N'),
	(1371, 'B&H Airlines', '\\N', 'JA', 'BON', 'Air Bosna', 'Bosnia and Herzegovina', 'N'),
	(1372, 'Bissau Discovery Flying Club', '\\N', '', 'BDF', 'BISSAU DISCOVERY', 'Guinea-Bissau', 'N'),
	(1373, 'Belgian Army', '\\N', '', 'AYB', 'BELGIAN ARMY', 'Belgium', 'N'),
	(1374, 'Badr Airlines', '\\N', '', 'BDR', 'BADR AIR', 'Sudan', 'N'),
	(1375, 'Best Aviation Ltd', '\\N', '', 'BEA', 'BEST AIR', 'Bangladesh', 'N'),
	(1376, 'Belgorod Aviation Enterprise', '\\N', '', 'BED', 'BELOGORYE', 'Russia', 'N'),
	(1377, 'Bar Harbor Airlines', '\\N', '', 'AJC', 'BAR HARBOR', 'United States', 'N'),
	(1378, 'Balear Express', '\\N', '', 'BEF', 'BALEAR EXPRESS', 'Spain', 'N'),
	(1379, 'Bel Air Helicopters', '\\N', '', 'BEH', 'BLUECOPTER', 'Denmark', 'N'),
	(1380, 'Berkut Air', '\\N', '', 'BEK', 'BERKUT', 'Kazakhstan', 'N'),
	(1381, 'BETA - Brazilian Express Transportes Aereos', '\\N', '', 'BET', 'BETA CARGO', 'Brazil', 'N'),
	(1382, 'Basler Flight Service', '\\N', '', 'BFC', 'BASLER', 'United States', 'N'),
	(1383, 'Bear Flight', '\\N', '', 'BFG', 'BEARFLIGHT', 'Sweden', 'N'),
	(1384, 'Buffalo Airways', '\\N', 'J4', 'BFL', 'BUFFALO', 'Canada', 'N'),
	(1385, 'Bombardier', '\\N', '', 'BFO', 'BOMBARDIER', 'Canada', 'N'),
	(1386, 'Burkina Airlines', '\\N', '', 'BFR', 'BURKLINES', 'Burkina Faso', 'N'),
	(1387, 'Business Flight Sweden', '\\N', '', 'BFS', 'BUSINESS FLIGHT', 'Sweden', 'N'),
	(1388, 'Bahrain Defence Force', '\\N', '', 'BFW', 'SUMMAN', 'Bahrain', 'N'),
	(1389, 'BH Air', '\\N', '', 'BGH', 'BALKAN HOLIDAYS', 'Bulgaria', 'N'),
	(1390, 'British Gulf International', '\\N', '', 'BGI', 'BRITISH GULF', 'S', 'N'),
	(1391, 'British Gulf International-Fez', '\\N', '', 'BGK', 'GULF INTER', 'Kyrgyzstan', 'N'),
	(1392, 'Benin Golf Air', '\\N', 'A8', 'BGL', 'BENIN GOLF', 'Benin', 'N'),
	(1393, 'Bugulma Air Enterprise', '\\N', '', 'BGM', 'BUGAVIA', 'Russia', 'N'),
	(1394, 'Budget Air Bangladesh', '\\N', '', 'BGR', 'BUDGET AIR', 'Bangladesh', 'N'),
	(1395, 'Bergen Air Transport', '\\N', '', 'BGT', 'BERGEN AIR', 'Norway', 'N'),
	(1396, 'Buddha Air', '\\N', '', 'BHA', 'BUDDHA AIR', 'Nepal', 'N'),
	(1397, 'Balkh Airlines', '\\N', '', 'BHI', 'SHARIF', 'Afghanistan', 'N'),
	(1398, 'Bristow Helicopters', '\\N', '', 'BHL', 'BRISTOW', 'United Kingdom', 'N'),
	(1399, 'Bristow Helicopters Nigeria', '\\N', '', 'BHN', 'BRISTOW HELICOPTERS', 'Nigeria', 'N'),
	(1400, 'Bhoja Airlines', '\\N', '', 'BHO', 'BHOJA', 'Pakistan', 'N'),
	(1401, 'Belair Airlines', '\\N', '4T', 'BHP', 'BELAIR', 'Switzerland', 'Y'),
	(1402, 'Bighorn Airways', '\\N', '', 'BHR', 'BIGHORN AIR', 'United States', 'N'),
	(1403, 'Bahamasair', '\\N', 'UP', 'BHS', 'BAHAMAS', 'Bahamas', 'Y'),
	(1404, 'Bright Air', '\\N', '', 'BHT', 'BRIGHTAIR', 'Netherlands', 'N'),
	(1405, 'Bringer Air Cargo Taxi Aereo', '\\N', 'E6', '', '', 'Brazil', 'N'),
	(1406, 'Balkan Bulgarian Airlines', '\\N', 'LZ', '', '', '', 'Y'),
	(1407, 'BA Connect', '\\N', 'TH', '', '', 'United Kingdom', 'N'),
	(1408, 'Bosphorus European Airways', '\\N', '', 'BHY', 'BOSPHORUS', 'Turkey', 'N'),
	(1409, 'Binair', '\\N', '', 'BID', 'BINAIR', 'Germany', 'N'),
	(1410, 'Big Island Air', '\\N', '', 'BIG', 'BIG ISLE', 'United States', 'N'),
	(1411, 'British International Helicopters', '\\N', 'BS', 'BIH', 'BRINTEL', 'United Kingdom', 'Y'),
	(1412, 'Billund Air Center', '\\N', '', 'BIL', 'BILAIR', 'Denmark', 'N'),
	(1413, 'Boise Interagency Fire Center', '\\N', '', 'BIN', 'BISON-AIR', 'United States', 'N'),
	(1414, 'Bird Leasing', '\\N', '', 'BIR', 'BIRD AIR', 'United States', 'N'),
	(1415, 'Bizjet Ltd', '\\N', '', 'BIZ', 'BIZZ', 'United Kingdom', 'N'),
	(1416, 'Baja Air', '\\N', '', 'BJA', 'BAJA AIR', 'Mexico', 'N'),
	(1417, 'Baltic Jet Aircompany', '\\N', '', 'BJC', 'BALTIC JET', 'Latvia', 'N'),
	(1418, 'Business Jet Solutions', '\\N', '', 'BJS', 'SOLUTION', 'United States', 'N'),
	(1419, 'Bankair', '\\N', 'B4', 'BKA', 'BANKAIR', 'United States', 'N'),
	(1420, 'BF-Lento OY', '\\N', '', 'BKF', 'BAKERFLIGHT', 'Finland', 'Y'),
	(1421, 'Barken International', '\\N', '', 'BKJ', 'BARKEN JET', 'United States', 'N'),
	(1422, 'Bangkok Airways', '\\N', 'PG', 'BKP', 'BANGKOK AIR', 'Thailand', 'Y'),
	(1423, 'Bukovyna', '\\N', '', 'BKV', 'BUKOVYNA', 'Ukraine', 'N'),
	(1424, 'Blue Bird Aviation', '\\N', '', 'BLB', 'BLUEBIRD SUDAN', 'Sudan', 'N'),
	(1425, 'Bellesavia', '\\N', '', 'BLC', 'BELLESAVIA', 'Belarus', 'N'),
	(1426, 'Blue Line', '\\N', '', 'BLE', 'BLUE BERRY', 'France', 'N'),
	(1427, 'Blue1', '\\N', 'KF', 'BLF', 'BLUEFIN', 'Finland', 'Y'),
	(1428, 'Belgavia', '\\N', '', 'BLG', 'BELGAVIA', 'Belgium', 'N'),
	(1429, 'Blue Horizon Travel Club', '\\N', '', 'BLH', 'BLUE HORIZON', 'United States', 'N'),
	(1430, 'Blue Jet', '\\N', '', 'BLJ', 'BLUEWAY', 'Spain', 'N'),
	(1431, 'Baltic Airlines', '\\N', '', 'BLL', 'BALTIC AIRLINES', 'Russia', 'Y'),
	(1432, 'Blue Airways', '\\N', '', 'BLM', 'BLUE ARMENIA', 'Armenia', 'N'),
	(1433, 'Bali International Air Service', '\\N', '', 'BLN', 'BIAR', 'Indonesia', 'N'),
	(1434, 'Bearskin Lake Air Service', '\\N', 'JV', 'BLS', 'BEARSKIN', 'Canada', 'Y'),
	(1435, 'Baltic Aviation', '\\N', '', 'BLT', 'BALTAIR', 'United States', 'N'),
	(1436, 'Bellview Airlines', '\\N', 'B3', 'BLV', 'BELLVIEW AIRLINES', 'Nigeria', 'Y'),
	(1437, 'bmi', 'bmi British Midland', 'BD', 'BMA', 'MIDLAND', 'United Kingdom', 'Y'),
	(1438, 'British Medical Charter', '\\N', '', 'BMD', 'BRITISH MEDICAL', 'United Kingdom', 'N'),
	(1439, 'Briggs Marine Environmental Services', '\\N', '', 'BME', 'BRIGGS', 'United Kingdom', 'N'),
	(1440, 'Bristow Masayu Helicopters', '\\N', '', 'BMH', 'MASAYU', 'Indonesia', 'N'),
	(1441, 'bmibaby', '\\N', 'WW', 'BMI', 'BABY', 'United Kingdom', 'Y'),
	(1442, 'Bemidji Airlines', '\\N', 'CH', 'BMJ', 'BEMIDJI', 'United States', 'Y'),
	(1443, 'Bismillah Airlines', '\\N', '5Z', 'BML', 'BISMILLAH', 'Bangladesh', 'N'),
	(1444, 'Bowman Aviation', '\\N', '', 'BMN', 'BOWMAN', 'United States', 'N'),
	(1445, 'British Midland Regional', '\\N', '', 'BMR', '', 'United Kingdom', 'Y'),
	(1446, 'BMW', '\\N', '', 'BMW', 'BMW-FLIGHT', 'Germany', 'N'),
	(1447, 'Banco de Mexico', '\\N', '', 'BMX', 'BANXICO', 'Mexico', 'N'),
	(1448, 'Bond Offshore Helicopters', '\\N', '', 'BND', 'BOND', 'United Kingdom', 'N'),
	(1449, 'Benina Air', '\\N', '', 'BNE', 'BENINA AIR', 'Libya', 'N'),
	(1450, 'BN Group Limited', '\\N', '', 'BNG', 'VECTIS', 'United Kingdom', 'N'),
	(1451, 'Blue Nile Ethiopia Trading', '\\N', '', 'BNL', 'NILE TRADING', 'Ethiopia', 'N'),
	(1452, 'Bonair Aviation', '\\N', '', 'BNR', 'BONAIR', 'Canada', 'N'),
	(1453, 'Bancstar - Valley National Corporation', '\\N', '', 'BNS', 'BANCSTAR', 'United States', 'N'),
	(1454, 'Bentiu Air Transport', '\\N', '', 'BNT', 'BENTIU AIR', 'Sudan', 'N'),
	(1455, 'Benane Aviation Corporation', '\\N', '', 'BNV', 'BENANE', 'Mauritania', 'N'),
	(1456, 'British North West Airlines', '\\N', '', 'BNW', 'BRITISH NORTH', 'United Kingdom', 'N'),
	(1457, 'Boniair', '\\N', '', 'BOA', 'KUMANOVO', 'Macedonia', 'N'),
	(1458, 'Bond Air Services', '\\N', '', 'BOD', 'UGABOND', 'Uganda', 'N'),
	(1459, 'Boeing', '\\N', '', 'BOE', 'BOEING', 'United States', 'N'),
	(1460, 'Bordaire', '\\N', '', 'BOF', 'BORDAIR', 'Canada', 'N'),
	(1461, 'Bookajet Limited', '\\N', '', 'BOO', 'BOOKAJET', 'United Kingdom', 'N'),
	(1462, 'Bouraq Indonesia Airlines', '\\N', 'BO', 'BOU', 'BOURAQ', 'Indonesia', 'N'),
	(1463, 'Blue Panorama Airlines', '\\N', 'BV', 'BPA', 'BLUE PANOROMA', 'Italy', 'Y'),
	(1464, 'Berkhut ZK', '\\N', '', 'BPK', 'VENERA', 'Kazakhstan', 'N'),
	(1465, 'Bundepolizei-Fliegertruppe', '\\N', '', 'BPO', 'PIROL', 'Germany', 'N'),
	(1466, 'Budapest Aircraft Services/Manx2', '\\N', '', 'BPS', 'BASE', 'Hungary', 'Y'),
	(1467, 'Bonus Aviation', '\\N', '', 'BPT', 'BONUS', 'United Kingdom', 'N'),
	(1468, 'British Petroleum Exploration', '\\N', '', 'BPX', '', 'Colombia', 'N'),
	(1469, 'BRA-Transportes Aereos', '\\N', '7R', 'BRB', 'BRA-TRANSPAEREOS', 'Brazil', 'N'),
	(1470, 'Brock Air Services', '\\N', '', 'BRD', 'BROCK AIR', 'Canada', 'N'),
	(1471, 'Breeze Ltd', '\\N', '', 'BRE', 'AVIABREEZE', 'Ukraine', 'N'),
	(1472, 'Bering Air', '\\N', '8E', 'BRG', 'BERING AIR', 'United States', 'Y'),
	(1473, 'Briansk State Air Enterprise', '\\N', '', 'BRK', 'BRIANSK-AVIA', 'Russia', 'N'),
	(1474, 'Branson Airlines', '\\N', '', 'BRN', 'BRANSON', 'United States', 'N'),
	(1475, 'BASE Regional Airlines', '\\N', '', 'BRO', 'COASTRIDER', 'Netherlands', 'N'),
	(1476, 'Brazilian Air Force', '\\N', '', 'BRS', 'BRAZILIAN AIR FORCE', 'Brazil', 'Y'),
	(1477, 'British Regional Airlines', '\\N', '', 'BRT', 'BRITISH', 'United Kingdom', 'N'),
	(1478, 'Belavia Belarusian Airlines', '\\N', 'B2', 'BRU', 'BELARUS AVIA', 'Belarus', 'Y'),
	(1479, 'Bravo Air Congo', '\\N', 'K6', 'BRV', 'BRAVO', 'Democratic Republic of the Congo', 'N'),
	(1480, 'Bright Aviation Services', '\\N', '', 'BRW', 'BRIGHT SERVICES', 'Bulgaria', 'N'),
	(1481, 'Braniff International Airways', '\\N', 'BN', 'BNF', 'Braniff', 'United States', 'N'),
	(1482, 'Buffalo Express Airlines', '\\N', '', 'BRX', 'BUFF EXPRESS', 'United States', 'N'),
	(1483, 'Burundayavia', '\\N', '', 'BRY', 'BURAIR', 'Kazakhstan', 'N'),
	(1484, 'Bistair - Fez', '\\N', '', 'BSC', 'BIG SHOT', 'Kyrgyzstan', 'N'),
	(1485, 'Blue Star Airlines', '\\N', '', 'BSD', 'AIRLINES STAR', 'Mexico', 'N'),
	(1486, 'Brasair Transportes Aereos', '\\N', '', 'BSI', 'BRASAIR', 'Brazil', 'N'),
	(1487, 'Blue Swann Aviation', '\\N', '', 'BSJ', 'BLUE SWANN', 'United Kingdom', 'N'),
	(1488, 'Blue Sky Aviation', '\\N', '', 'BSM', '', 'Lebanon', 'N'),
	(1489, 'Bissau Aero Transporte', '\\N', '', 'BSS', 'BISSAU AIRSYSTEM', 'Guinea-Bissau', 'N'),
	(1490, 'Best Air', '\\N', '', 'BST', 'TUNCA', 'Turkey', 'N'),
	(1491, 'Blue Sky Airways', '\\N', '', 'BSW', 'SKY BLUE', 'Czech Republic', 'N'),
	(1492, 'Big Sky Airlines', '\\N', 'GQ', 'BSY', 'BIG SKY', 'United States', 'N'),
	(1493, 'BAL Bashkirian Airlines', '\\N', 'V9', 'BTC', 'BASHKIRIAN', 'Russia', 'N'),
	(1494, 'Baltijas Helicopters', '\\N', '', 'BTH', 'BALTIJAS HELICOPTERS', 'Latvia', 'N'),
	(1495, 'Baltyka', '\\N', '', 'BTK', 'BALTYKA', 'Ukraine', 'N'),
	(1496, 'Baltia Air Lines', '\\N', '', 'BTL', 'BALTIA FLIGHT', 'United States', 'N'),
	(1497, 'Botir-Avia', '\\N', '', 'BTR', 'BOTIR-AVIA', 'Kyrgyzstan', 'N'),
	(1498, 'Business Express', '\\N', '', 'GAA', 'BIZEX', 'United States', 'N'),
	(1499, 'BT-Slavuta', '\\N', '', 'BTT', 'BEETEE-SLAVUTA', 'Ukraine', 'N'),
	(1500, 'Metro Batavia', '\\N', '7P', 'BTV', 'BATAVIA', 'Indonesia', 'Y'),
	(1501, 'Bulgarian Air Charter', '\\N', '', 'BUC', 'BULGARIAN CHARTER', 'Bulgaria', 'N'),
	(1502, 'Blue Airlines', '\\N', '', 'BUL', 'BLUE AIRLINES', 'Democratic Republic of the Congo', 'N'),
	(1503, 'Buryat Airlines Aircompany', '\\N', '', 'BUN', 'BURAL', 'Russia', 'N'),
	(1504, 'Buzz Stansted', '\\N', '', 'BUZ', 'BUZZ', 'United Kingdom', 'N'),
	(1505, 'Buffalo Airways', '\\N', '', 'BVA', 'BUFFALO AIR', 'United States', 'N'),
	(1506, 'Bulgarian Aeronautical Centre', '\\N', '', 'BVC', 'BULGARIAN WINGS', 'Bulgaria', 'N'),
	(1507, 'Baron Aviation Services', '\\N', '', 'BVN', 'SHOW-ME', 'United States', 'N'),
	(1508, 'Berjaya Air', '\\N', 'J8', 'BVT', 'BERJAYA', 'Malaysia', 'Y'),
	(1509, 'Bellview Airlines', '\\N', '', 'BVU', ' Sierra Leone', '', 'N'),
	(1510, 'Blue Wings', '\\N', 'QW', 'BWG', 'BLUE WINGS', 'Germany', 'Y'),
	(1511, 'Blue Wing Airlines', '\\N', '', 'BWI', 'BLUE TAIL', 'Suriname', 'N'),
	(1512, 'BWA (2002) Ltd', '\\N', '', 'BWL', 'BRITWORLD', 'United Kingdom', 'N'),
	(1513, 'Bahrain Executive Air Services', '\\N', '', 'BXA', 'BEXAIR', 'Bahrain', 'N'),
	(1514, 'Bar XH Air', '\\N', '', 'BXH', 'PALLISER', 'Canada', 'N'),
	(1515, 'Brussels International Airlines', '\\N', '', 'BXI', 'XENIA', 'Belgium', 'N'),
	(1516, 'BAX Global', '\\N', '8W', '', '', '', 'N'),
	(1517, 'Redding Aero Enterprises', '\\N', '', 'BXR', 'BOXER', 'United States', 'N'),
	(1518, 'Berry Aviation', '\\N', '', 'BYA', 'BERRY', 'United States', 'N'),
	(1519, 'Bylina Joint-Stock Company', '\\N', '', 'BYL', 'BYLINA', 'Russia', 'N'),
	(1520, 'Berytos Airlines', '\\N', '', 'BYR', '', 'Lebanon', 'N'),
	(1521, 'Bayu Indonesia Air', '\\N', 'BM', 'BYE', 'BAYU', 'Indonesia', 'N'),
	(1522, 'Bizair Fluggesellschaft', '\\N', '', 'BZA', 'BERLIN BEAR', 'Germany', 'N'),
	(1523, 'Brit Air', '\\N', 'DB', 'BZH', 'BRITAIR', 'France', 'Y'),
	(1524, 'Butane Buzzard Aviation Corporation', '\\N', '', 'BZZ', 'BUZZARD', 'United Kingdom', 'N'),
	(1525, 'Business Flight Salzburg', '\\N', '', 'AUJ', 'AUSTROJET', 'Austria', 'N'),
	(1526, 'BKS Air (Rivaflecha)', '\\N', '', 'CKM', 'COSMOS', 'Spain', 'N'),
	(1527, 'Bristol Flying Centre', '\\N', '', 'CLF', 'CLIFTON', 'United Kingdom', 'N'),
	(1528, 'Barnes Olsen Aeroleasing', '\\N', '', 'CLN', 'SEELINE', 'United Kingdom', 'N'),
	(1529, 'Baltimore Air Transport', '\\N', '', 'CPJ', 'CORPJET', 'United States', 'N'),
	(1530, 'Boston-Maine Airways', '\\N', 'E9', 'CXS', 'CLIPPER CONNECTION', 'United States', 'N'),
	(1531, 'Brussels Airlines', 'SN Brussels Airlines', 'SN', 'DAT', 'BEE-LINE', 'Belgium', 'Y'),
	(1532, 'Baltimore Airways', '\\N', '', 'EAH', 'EASTERN', 'United States', 'N'),
	(1533, 'Bond Aviation', '\\N', '', 'EBA', 'BOND AVIATION', 'Italy', 'N'),
	(1534, 'Brazilian Army Aviation', '\\N', '', 'EXB', 'BRAZILIAN ARMY', 'Brazil', 'N'),
	(1535, 'Business Express Delivery', '\\N', '', 'EXP', 'EXPRESS AIR', 'Canada', 'N'),
	(1536, 'Bel Limited', '\\N', '', 'FOS', '', 'Russia', 'N'),
	(1537, 'Bangkok Aviation Center', '\\N', '', 'HAW', 'THAI HAWK', 'Thailand', 'N'),
	(1538, 'Benair', '\\N', '', 'HAX', 'SCOOP', 'Norway', 'N'),
	(1539, 'Binter Canarias', '\\N', 'NT', 'IBB', '', 'Spain', 'Y'),
	(1540, 'Bonyad Airlines', '\\N', '', 'IRJ', 'BONYAD AIR', 'Iran', 'N'),
	(1541, 'Burundaiavia', '\\N', '', 'IVR', 'RERUN', 'Kazakhstan', 'N'),
	(1542, 'Blue Air', '\\N', '0B', 'JOR', 'BLUE TRANSPORT', 'Romania', 'Y'),
	(1543, 'British Mediterranean Airways', '\\N', 'KJ', 'LAJ', 'BEE MED', 'United Kingdom', 'Y'),
	(1544, 'Belle Air', '\\N', '', 'LBY', 'ALBAN-BELLE', 'Albania', 'N'),
	(1545, 'Blom Geomatics', '\\N', '', 'LED', 'SWEEPER', 'Norway', 'N'),
	(1546, 'Benin Littoral Airways', '\\N', '', 'LTL', 'LITTORAL', 'Benin', 'N'),
	(1547, 'Bombardier Business Jet Solutions', '\\N', '', 'LXJ', 'FLEXJET', 'United States', 'N'),
	(1548, 'Bulgaria Air', '\\N', 'FB', 'LZB', 'FLYING BULGARIA', 'Bulgaria', 'Y'),
	(1549, 'Brazilian Navy Aviation', '\\N', '', 'MBR', 'BRAZILIAN NAVY', 'Brazil', 'N'),
	(1550, 'Barents AirLink', '\\N', '8N', 'NKF', 'NORDFLIGHT', 'Sweden', 'Y'),
	(1551, 'Belgian Navy', '\\N', '', 'NYB', 'BELGIAN NAVY', 'Belgium', 'N'),
	(1552, 'Bakoji Airlines Services', '\\N', '', 'OGJ', 'BAKO AIR', 'Nigeria', 'N'),
	(1553, 'Benders Air', '\\N', '', 'PEB', 'PALEMA', 'Sweden', 'N'),
	(1554, 'Balmoral Central Contracts', '\\N', '', 'PNT', 'PORTNET', 'South Africa', 'N'),
	(1555, 'BGB Air', '\\N', '', 'POI', 'BOJBAN', 'Kazakhstan', 'N'),
	(1556, 'Butte Aviation', '\\N', '', 'PPS', 'PIPESTONE', 'United States', 'N'),
	(1557, 'Bond Air Services', '\\N', '', 'RHD', 'RED HEAD', 'United Kingdom', 'N'),
	(1558, 'Business Airfreight', '\\N', '', 'RLR', 'RATTLER', 'United States', 'N'),
	(1559, 'BAC Express Airlines', '\\N', '', 'RPX', 'RAPEX', 'United Kingdom', 'N'),
	(1560, 'Boscombe Down DERA (Formation)', '\\N', '', 'RRS', 'BLACKBOX', 'United Kingdom', 'N'),
	(1561, 'Business Jet Sweden', '\\N', '', 'SCJ', 'SCANJET', 'Sweden', 'N'),
	(1562, 'British Airways Shuttle', '\\N', '', 'SHT', 'SHUTTLE', 'United Kingdom', 'N'),
	(1563, 'British Sky Broadcasting', '\\N', '', 'SKH', 'SKYNEWS', 'United Kingdom', 'N'),
	(1564, 'Bell Helicopter Textron', '\\N', '', 'TXB', 'TEXTRON', 'Canada', 'N'),
	(1565, 'Buzzaway Limited', '\\N', '', 'UKA', 'UKAY', 'United Kingdom', 'N'),
	(1566, 'Biz Jet Charter', '\\N', '', 'VLX', 'AVOLAR', 'United States', 'N'),
	(1567, 'Blue Chip Jet', '\\N', '', 'VOL', 'BLUE SPEED', 'Sweden', 'N'),
	(1568, 'BAE Systems', '\\N', '', 'WFD', 'AVRO', 'United Kingdom', 'N'),
	(1569, 'BAE Systems', '\\N', '', 'WTN', 'TARNISH', 'United Kingdom', 'N'),
	(1570, 'Baseops International', '\\N', '', 'XBO', '', 'United States', 'N'),
	(1571, 'Bureau Veritas', '\\N', '', 'XDA', '', 'France', 'N'),
	(1572, 'British Airways', '\\N', '', 'XMS', 'SANTA', 'United Kingdom', 'N'),
	(1573, 'Boskovic Air Charters Limited', '\\N', '', 'ZBA', 'BOSKY', 'Kenya', 'N'),
	(1574, 'C Air Jet Airlines', '\\N', '', 'SRJ', 'SYRJET', 'Syrian Arab Republic', 'N'),
	(1575, 'C N Air', '\\N', '', 'ORO', 'CAPRI', 'Spain', 'N'),
	(1576, 'C and M Aviation', '\\N', '', 'TIP', 'TRANSPAC', 'United States', 'N'),
	(1577, 'C&M Airways', '\\N', '', 'RWG', 'RED WING', 'United States', 'N'),
	(1578, 'C.S.P.', '\\N', '', 'RMU', ' Societe', 'AIR-MAUR', 'N'),
	(1579, 'CABI', '\\N', '', 'CBI', 'CABI', 'Ukraine', 'N'),
	(1580, 'CAI', '\\N', '', 'CPI', 'AIRCAI', 'Italy', 'N'),
	(1581, 'CAL Cargo Air Lines', '\\N', '5C', 'ICL', 'CAL', 'Israel', 'Y'),
	(1582, 'CAM Air Management', '\\N', '', 'CMR', 'CAMEO', 'United Kingdom', 'N'),
	(1583, 'CATA L', '\\N', '', 'CTZ', 'CATA', 'Argentina', 'N'),
	(1584, 'CCF Manager Airline', '\\N', '', 'CCF', 'TOMCAT', 'Germany', 'N'),
	(1585, 'CEDTA (Compania Ecuatoriana De Transportes Aereos)', '\\N', '', 'CED', 'CEDTA', 'Ecuador', 'N'),
	(1586, 'CHC Denmark', '\\N', '', 'HBI', 'HELIBIRD', 'Denmark', 'N'),
	(1587, 'CHC Helicopters', '\\N', '', 'HEM', 'HEMS', 'Australia', 'N'),
	(1588, 'CHC Airways', '\\N', 'AW', 'SCH', '', 'Netherlands', 'N'),
	(1589, 'CHC Helikopter Service', '\\N', '', 'HKS', 'HELIBUS', 'Norway', 'N'),
	(1590, 'CI-Tours', '\\N', '', 'VCI', 'CI-TOURS', 'Ivory Coast', 'N'),
	(1591, 'CKC Services', '\\N', '', 'CKC', '', 'United States', 'N'),
	(1592, 'CM Stair', '\\N', '', 'CMZ', 'CEE-EM STAIRS', 'Mauritania', 'N'),
	(1593, 'CNET', '\\N', '', 'CNT', 'KNET', 'France', 'N'),
	(1594, 'COAPA AIR', '\\N', '', 'OAP', 'COAPA', 'Mexico', 'N'),
	(1595, 'COMAV', '\\N', '', 'PDR', 'SPEEDSTER', 'Namibia', 'N'),
	(1596, 'CRI Helicopters Mexico', '\\N', '', 'CRH', 'HELI-MEX', 'Mexico', 'N'),
	(1597, 'CSA Air', '\\N', '', 'IRO', 'IRON AIR', 'United States', 'N'),
	(1598, 'CSE Aviation', '\\N', '', 'CSE', 'OXFORD', 'United Kingdom', 'N'),
	(1599, 'CTK Network Aviation', '\\N', '', 'CTQ', 'CITYLINK', 'Ghana', 'N'),
	(1600, 'Cabair College of Air Training', '\\N', '', 'CBR', 'CABAIR', 'United Kingdom', 'N'),
	(1601, 'Cabo Verde Express', '\\N', '', 'CVE', 'KABEX', 'Cape Verde', 'N'),
	(1602, 'Caernarfon Airworld', '\\N', '', 'CWD', 'AMBASSADOR', 'United Kingdom', 'N'),
	(1603, 'Cairo Air Transport Company', '\\N', '', 'CCE', '', 'Egypt', 'N'),
	(1604, 'Cal Gulf Aviation', '\\N', '', 'CGC', 'CAL-GULF', 'Sao Tome and Principe', 'N'),
	(1605, 'Cal-West Aviation', '\\N', '', 'REZ', 'CAL AIR', 'United States', 'N'),
	(1606, 'California Air Shuttle', '\\N', '', 'CSL', 'CALIFORNIA SHUTTLE', 'United States', 'N'),
	(1607, 'Calima Aviacion', '\\N', 'XG', 'CLI', 'CALIMA', 'Spain', 'Y'),
	(1608, 'Calm Air', '\\N', 'MO', 'CAV', 'CALM AIR', 'Canada', 'N'),
	(1609, 'Camai Air', '\\N', 'R9', 'CAM', 'AIR CAMAI', 'United States', 'N'),
	(1610, 'Cambodia Airlines', '\\N', '', 'KHM', 'CAMBODIA AIRLINES', 'Cambodia', 'N'),
	(1611, 'Cameroon Airlines', '\\N', 'UY', 'UYC', 'CAM-AIR', 'Cameroon', 'N'),
	(1612, 'Campania Helicopteros De Transporte', '\\N', '', 'HSO', 'HELIASTURIAS', 'Spain', 'N'),
	(1613, 'CanJet', '\\N', 'C6', 'CJA', 'CANJET', 'Canada', 'N'),
	(1614, 'Canada Jet Charters', '\\N', '', 'PIL', 'PINNACLE', 'Canada', 'N'),
	(1615, 'Canadian Airlines', '\\N', 'CP', 'CDN', 'CANADIAN', 'Canada', 'Y'),
	(1616, 'Canadian Coast Guard', '\\N', '', 'CTG', 'CANADIAN COAST GUARD', 'Canada', 'N'),
	(1617, 'Canadian Eagle Aviation', '\\N', '', 'HIA', 'HAIDA', 'Canada', 'N'),
	(1618, 'Canadian Forces', '\\N', '', 'CFC', 'CANFORCE', 'Canada', 'N'),
	(1619, 'Canadian Global Air Ambulance', '\\N', '', 'BZD', 'BLIZZARD', 'Canada', 'N'),
	(1620, 'Canadian Helicopters', '\\N', '', 'CDN', 'CANADIAN', 'Canada', 'N'),
	(1621, 'Canadian Interagency Forest Fire Centre', '\\N', '', 'TKR', 'TANKER', 'Canada', 'N'),
	(1622, 'Canadian National Telecommunications', '\\N', '', 'XNC', '', 'Canada', 'N'),
	(1623, 'Canadian North', '\\N', '5T', 'MPE', 'EMPRESS', 'Canada', 'Y'),
	(1624, 'Canadian Regional Airlines', '\\N', '', 'CDR', 'CANADIAN REGIONAL', 'Canada', 'N'),
	(1625, 'Canadian Warplane Heritage Museum', '\\N', '', 'CWH', 'WARPLANE HERITAGE', 'Canada', 'N'),
	(1626, 'Canadian Western Airlines', '\\N', 'W2', 'CWA', 'CANADIAN WESTERN', 'Canada', 'N'),
	(1627, 'Canair', '\\N', '', 'CWW', 'CANAIR', 'China', 'N'),
	(1628, 'Cancun Air', '\\N', '', 'CUI', 'CAN-AIR', 'Mexico', 'N'),
	(1629, 'Cape Air', '\\N', '9K', 'KAP', 'CAIR', 'United States', 'Y'),
	(1630, 'Cape Air Transport', '\\N', '', 'CTO', '', 'Australia', 'N'),
	(1631, 'Cape Central Airways', '\\N', '', 'SEM', 'SEMO', 'United States', 'N'),
	(1632, 'Cape Smythe Air', '\\N', '', 'CMY', 'CAPE SMYTHE AIR', 'United States', 'N'),
	(1633, 'Capital Air Service', '\\N', '', 'CPX', 'CAPAIR', 'United States', 'N'),
	(1634, 'Capital Airlines', '\\N', '', 'CPD', 'CAPITAL DELTA', 'Kenya', 'N'),
	(1635, 'Capital Airlines Limited', '\\N', '', 'NCP', 'CAPITAL SHUTTLE', 'Nigeria', 'N'),
	(1636, 'Capital Cargo International Airlines', '\\N', 'PT', 'CCI', 'CAPPY', 'United States', 'N'),
	(1637, 'Capital City Air Carriers', '\\N', '', 'CCQ', 'CAP CITY', 'United States', 'N'),
	(1638, 'Capital Trading Aviation', '\\N', '', 'EGL', 'PRESTIGE', 'United Kingdom', 'N'),
	(1639, 'Capitol Air Express', '\\N', '', 'CEX', 'CAPITOL EXPRESS', 'United States', 'N'),
	(1640, 'Capitol Wings Airline', '\\N', '', 'CWZ', 'CAPWINGS', 'United States', 'N'),
	(1641, 'Caravan Air', '\\N', '', 'VAN', 'CAMEL', 'Mauritania', 'N'),
	(1642, 'Cardiff Wales Flying Club', '\\N', '', 'CWN', 'CAMBRIAN', 'United Kingdom', 'N'),
	(1643, 'Cardinal/Air Virginia', '\\N', '', 'FVA', 'AIR VIRGINIA', 'United States', 'N'),
	(1644, 'Cardolaar', '\\N', '', 'GOL', 'CARGOLAAR', 'Namibia', 'N'),
	(1645, 'Cards Air Services', '\\N', '', 'CDI', 'CARDS', 'Philippines', 'N'),
	(1646, 'Care Flight', '\\N', '', 'CFH', 'CARE FLIGHT', 'Australia', 'N'),
	(1647, 'Carga Aerea Dominicana', '\\N', '', 'CDM', 'CARGA AEREA', 'Dominican Republic', 'N'),
	(1648, 'Carga Express Internacional', '\\N', '', 'EST', 'CARGAINTER', 'Mexico', 'N'),
	(1649, 'Cargo 360', '\\N', 'GG', 'GGC', 'LONG-HAUL', 'United States', 'N'),
	(1650, 'Cargo Express', '\\N', '', 'MCX', 'MAURICARGO', 'Mauritania', 'N'),
	(1651, 'Cargo Ivoire', '\\N', '', 'CRV', 'CARGOIV', 'Ivory Coast', 'N'),
	(1652, 'Cargo Link (Caribbean)', '\\N', '', 'CLM', 'CARGO LINK', 'Barbados', 'N'),
	(1653, 'Cargo Three', '\\N', '', 'CTW', 'THIRD CARGO', 'Panama', 'N'),
	(1654, 'Cargoitalia', '\\N', '2G', 'CRG', 'WHITE PELICAN', 'Italy', 'N'),
	(1655, 'Cargojet Airways', '\\N', 'W8', 'CJT', 'CARGOJET', 'Canada', 'N'),
	(1656, 'Cargolux', '\\N', 'CV', 'CLX', 'CARGOLUX', 'Luxembourg', 'N'),
	(1657, 'Cargoman', '\\N', '', 'CGM', 'HOTEL CHARLIE', 'Oman', 'N'),
	(1658, 'Carib Aviation', '\\N', '', 'DEL', 'RED TAIL', 'Antigua and Barbuda', 'N'),
	(1659, 'Carib Express', '\\N', '', 'BCB', 'WAVEBIRD', 'Barbados', 'N'),
	(1660, 'Caribair', '\\N', '', 'CBC', 'CARIBAIR', 'Dominican Republic', 'N'),
	(1661, 'Caribbean Air Cargo', '\\N', '', 'DCC', 'CARICARGO', 'Barbados', 'N'),
	(1662, 'Caribbean Air Transport', '\\N', '', 'CLT', 'CARIBBEAN', 'Netherlands', 'N'),
	(1663, 'Caribbean Airlines', '\\N', 'BW', 'BWA', 'CARIBBEAN AIRLINES', 'Trinidad and Tobago', 'Y'),
	(1664, 'Caribbean Airways', '\\N', '', 'IQQ', 'CARIBJET', 'Barbados', 'N'),
	(1665, 'Caribbean Express', '\\N', '', 'TLC', 'CARIB-X', 'United States', 'N'),
	(1666, 'Caribbean Star Airlines', '\\N', '8B', 'GFI', 'CARIB STAR', 'Antigua and Barbuda', 'N'),
	(1667, 'Caribintair', '\\N', '', 'CRT', 'CARIBINTAIR', 'Haiti', 'N'),
	(1668, 'Carill Aviation', '\\N', '', 'CVG', 'CARILL', 'United Kingdom', 'N'),
	(1669, 'Carpatair', '\\N', 'V3', 'KRP', 'CARPATAIR', 'Romania', 'Y'),
	(1670, 'Carranza', '\\N', '', 'CRR', 'CARRANZA', 'Chile', 'N'),
	(1671, 'Carroll Air Service', '\\N', '', 'ULS', 'ULSTER', 'United States', 'N'),
	(1672, 'Casement Aviation', '\\N', '', 'CMT', 'CASEMENT', 'United States', 'N'),
	(1673, 'Casino Airline', '\\N', '', 'CSO', 'CASAIR', 'United States', 'N'),
	(1674, 'Casper Air Service', '\\N', '', 'CSP', 'CASPER AIR', 'United States', 'N'),
	(1675, 'Caspian Airlines', '\\N', 'RV', 'CPN', 'CASPIAN', 'Iran', 'Y'),
	(1676, 'Castle Aviation', '\\N', '', 'CSJ', 'CASTLE', 'United States', 'N'),
	(1677, 'Cat Aviation', '\\N', '', 'CAZ', 'EUROCAT', 'Switzerland', 'N'),
	(1678, 'Catalina Flying Boats', '\\N', '', 'CBT', 'CATALINA AIR', 'United States', 'N'),
	(1679, 'Catex', '\\N', '', 'TEX', 'CATEX', 'France', 'N'),
	(1680, 'Cathay Pacific', '\\N', 'CX', 'CPA', 'CATHAY', 'Hong Kong SAR of China', 'Y'),
	(1681, 'Caverton Helicopters', '\\N', '', 'CJR', 'CAVERTON AIR', 'Nigeria', 'N'),
	(1682, 'Cayman Airways', '\\N', 'KX', 'CAY', 'CAYMAN', 'Cayman Islands', 'Y'),
	(1683, 'Cebu Pacific', '\\N', '5J', 'CEB', 'CEBU AIR', 'Philippines', 'Y'),
	(1684, 'Cecil Aviation', '\\N', '', 'CIL', 'CECIL', 'United Kingdom', 'N'),
	(1685, 'Cega Aviation', '\\N', '', 'CEG', 'CEGA', 'United Kingdom', 'N'),
	(1686, 'Celtic Airways', '\\N', '', 'CEC', 'CELTAIR', 'United Kingdom', 'N'),
	(1687, 'Celtic West', '\\N', '', 'CWE', 'CELTIC', 'United Kingdom', 'N'),
	(1688, 'Centavia', '\\N', '7N', 'CNA', '', 'Serbia', 'N'),
	(1689, 'Cente D\'Essais En Vol', '\\N', '', 'CEV', 'CENTEV', 'France', 'N'),
	(1690, 'Centennial Airlines', '\\N', '', 'CNL', 'WYO-AIR', 'United States', 'N'),
	(1691, 'Centennial Flight Centre', '\\N', '', 'CNS', 'CENTENNIAL', 'Canada', 'N'),
	(1692, 'Center Vol', '\\N', '', 'CVO', 'CENTERVOL', 'Spain', 'N'),
	(1693, 'Center-South', '\\N', '', 'CTS', 'CENTER-SOUTH', 'Russia', 'N'),
	(1694, 'Centrafrican Airlines', '\\N', '', 'CET', 'CENTRAFRICAIN', 'Central African Republic', 'N'),
	(1695, 'Central Air Express', '\\N', '', 'CAX', 'CENTRAL EXPRESS', 'Democratic Republic of Congo', 'N'),
	(1696, 'Central Airlines', '\\N', '', 'CTL', 'CENTRAL COMMUTER', 'United States', 'N'),
	(1697, 'Central Airways', '\\N', '', 'CNY', 'CENTRAL LEONE', 'Sierra Leone', 'N'),
	(1698, 'Central American Airlines', '\\N', '', 'ACN', 'AEROCENTRO', 'Nicaragua', 'N'),
	(1699, 'Central Aviation', '\\N', '', 'YOG', 'YOGAN AIR', 'United States', 'N'),
	(1700, 'Central Connect Airlines', '\\N', '', 'CCG', '', 'Czech Republic', 'Y'),
	(1701, 'Central De Discos De Reynosa', '\\N', '', 'DRN', 'DISCOS REYNOSA', 'Mexico', 'N'),
	(1702, 'Central European Airlines', '\\N', '', 'CMA', 'EUROCENTRAL', 'Czech Republic', 'N'),
	(1703, 'Central Flying Service', '\\N', '', 'CHA', 'CHARTER CENTRAL', 'United States', 'N'),
	(1704, 'Central Mongolia Airways', '\\N', '', 'CEM', 'CENTRAL MONGOLIA', 'Mongolia', 'N'),
	(1705, 'Central Mountain Air', '\\N', '', 'GLR', 'GLACIER', 'Canada', 'N'),
	(1706, 'Central Queensland Aviation College', '\\N', '', 'CQC', '', 'Australia', 'N'),
	(1707, 'Central Skyport', '\\N', '', 'CSI', 'SKYPORT', 'United States', 'N'),
	(1708, 'Centralwings', '\\N', 'C0', 'CLW', 'CENTRALWINGS', 'Poland', 'Y'),
	(1709, 'Centre Airlines', '\\N', '', 'DTV', 'DUTCH VALLEY', 'United States', 'N'),
	(1710, 'Centre of Applied Geodynamica', '\\N', '', 'CGS', 'GEO CENTRE', 'Russia', 'N'),
	(1711, 'Centre-Avia', '\\N', 'J7', 'CVC', 'AVIACENTRE', 'Russia', 'N'),
	(1712, 'Centro De Helicopteros Corporativos', '\\N', '', 'CCV', 'HELICORPORATIVO', 'Mexico', 'N'),
	(1713, 'Centro de Formacion Aeronautica de Canarias', '\\N', '', 'ACF', 'FORCAN', 'Spain', 'N'),
	(1714, 'Centurion Air Cargo', '\\N', 'WE', 'CWC', 'CHALLENGE CARGO', 'United States', 'N'),
	(1715, 'Century Aviation', '\\N', '', 'URY', 'CENTURY AVIA', 'Mexico', 'N'),
	(1716, 'Century Aviation International', '\\N', '', 'HAI', '', 'Canada', 'N'),
	(1717, 'Certified Air Dispatch', '\\N', '', 'XAD', '', 'United States', 'N'),
	(1718, 'Cetraca Aviation Service', '\\N', '', 'CER', 'CETRACA', 'Democratic Republic of the Congo', 'N'),
	(1719, 'Chabahar Airlines', '\\N', '', 'IRU', 'CHABAHAR', 'Iran', 'N'),
	(1720, 'Chalair Aviation', '\\N', '', 'CLG', 'CHALLAIR', 'France', 'N'),
	(1721, 'Chalk\'s Ocean Airways', '\\N', 'OP', 'CHK', 'CHALKS', 'United States', 'N'),
	(1722, 'Challenge Air Transport', '\\N', '', 'CLS', 'AIRISTO', 'Germany', 'N'),
	(1723, 'Challenge Aviation', '\\N', '', 'CHS', 'CHALLENGE AVIATION', 'Australia', 'N'),
	(1724, 'Challenge International Airlines', '\\N', '', 'OFF', 'CHALLENGE AIR', 'United States', 'N'),
	(1725, 'AC Challenge Aero', '\\N', '', 'CHG', 'SKY CHALLENGER', 'Ukraine', 'N'),
	(1726, 'Champagne Airlines', '\\N', '', 'CPH', 'CHAMPAGNE', 'France', 'N'),
	(1727, 'Champion Air', '\\N', 'MG', 'CCP', 'CHAMPION AIR', 'United States', 'N'),
	(1728, 'Chanchangi Airlines', '\\N', '', 'NCH', 'CHANCHANGI', 'Nigeria', 'N'),
	(1729, 'Changan Airlines', '\\N', '2Z', 'CGN', 'CHANGAN', 'China', 'N'),
	(1730, 'Channel Island Aviation', '\\N', '', 'CHN', 'CHANNEL', 'United States', 'N'),
	(1731, 'Chantilly Air', '\\N', '', 'WML', 'MARLIN', 'United States', 'N'),
	(1732, 'Chaparral Airlines', '\\N', '', 'CPL', 'CHAPARRAL', 'United States', 'N'),
	(1733, 'Chari Aviation Services', '\\N', 'S8', 'CSU', 'CHARI SERVICE', 'Chad', 'N'),
	(1734, 'Charlan Air Charter', '\\N', '', 'CAH', 'CHARLAN', 'South Africa', 'N'),
	(1735, 'Charlie Hammonds Flying Service', '\\N', '', 'HMD', 'HAMMOND', 'United States', 'N'),
	(1736, 'Charlotte Air National Guard', '\\N', '', 'CGD', '', 'United States', 'N'),
	(1737, 'Charter Air', '\\N', '', 'CHW', 'CHARTER WIEN', 'Austria', 'Y'),
	(1738, 'Chartright Air', '\\N', '', 'HRT', 'CHARTRIGHT', 'Canada', 'N'),
	(1739, 'Chautauqua Airlines', '\\N', 'RP', 'CHQ', 'CHAUTAUQUA', 'United States', 'Y'),
	(1740, 'Cheboksary Airenterprise JSC', '\\N', '', 'CBB', 'CHEBAIR', 'Russia', 'N'),
	(1741, 'Chemech Aviation', '\\N', '', 'CHM', '', 'Pakistan', 'N'),
	(1742, 'Cherline', '\\N', '', 'CHZ', 'CHERL', 'Russia', 'N'),
	(1743, 'Chernomor-Avia', '\\N', '', 'CMK', 'CHERAVIA', 'Russia', 'N'),
	(1744, 'Cherokee Express', '\\N', '', 'CBM', 'BLUE MAX', 'United States', 'N'),
	(1745, 'Cherry Air', '\\N', '', 'CCY', 'CHERRY', 'United States', 'N'),
	(1746, 'Chesapeake Air Service', '\\N', '', 'CAB', 'CHESAPEAKE AIR', 'United States', 'N'),
	(1747, 'Chevron U.S.A', '\\N', '', 'CVR', 'CHEVRON', 'United States', 'N'),
	(1748, 'Cheyenne Airways', '\\N', '', 'CYA', 'CHEYENNE AIR', 'United States', 'N'),
	(1749, 'Chicago Air', '\\N', '', 'CGO', 'WILD ONION', 'United States', 'N'),
	(1750, 'Chicago Express', '\\N', 'C8', 'WDY', 'WINDY CITY', 'United States', 'N'),
	(1751, 'Chief Rat Flight Services', '\\N', '', 'RAT', 'RIVERRAT', 'South Africa', 'N'),
	(1752, 'Chilchota Taxi Aereo', '\\N', '', 'CCH', 'CHILCHOTA', 'Mexico', 'N'),
	(1753, 'Chilcotin Caribou Aviation', '\\N', '', 'DES', 'CHILCOTIN', 'Canada', 'N'),
	(1754, 'Chilliwack Aviation', '\\N', '', 'CAD', 'CHILLIWACKAIR', 'Canada', 'N'),
	(1755, 'Chim-Nir Aviation', '\\N', '', 'ETN', 'CHMINIR', 'Israel', 'N'),
	(1756, 'China Airlines', '\\N', 'CI', 'CAL', 'DYNASTY', 'Taiwan', 'Y'),
	(1757, 'China Cargo Airlines', '\\N', 'CK', 'CKK', 'CARGO KING', 'China', 'N'),
	(1758, 'China Eastern Airlines', '\\N', 'MU', 'CES', 'CHINA EASTERN', 'China', 'Y'),
	(1759, 'China Express Airlines', '\\N', '', 'HXA', 'CHINA EXPRESS', 'China', 'N'),
	(1760, 'China Flying Dragon Aviation', '\\N', '', 'CFA', 'FEILONG', 'China', 'N'),
	(1761, 'China General Aviation Corporation', '\\N', '', 'CTH', 'TONGHANG', 'China', 'N'),
	(1762, 'China National Aviation Corporation', '\\N', '', 'CAG', 'CHINA NATIONAL', 'China', 'N'),
	(1763, 'China Northern Airlines', '\\N', 'CJ', 'CBF', 'CHINA NORTHERN', 'China', 'N'),
	(1764, 'China Northwest Airlines', '\\N', 'WH', 'CNW', 'CHINA NORTHWEST', 'China', 'N'),
	(1765, 'China Ocean Helicopter Corporation', '\\N', '', 'CHC', 'CHINA HELICOPTER', 'China', 'N'),
	(1766, 'China Postal Airlines', '\\N', '8Y', 'CYZ', 'CHINA POST', 'China', 'N'),
	(1767, 'China Southern Airlines', '\\N', 'CZ', 'CSN', 'CHINA SOUTHERN', 'China', 'Y'),
	(1768, 'China Southwest Airlines', '\\N', '', 'CXN', 'CHINA SOUTHWEST', 'China', 'N'),
	(1769, 'China United Airlines', '\\N', 'HR', 'CUA', 'LIANHANG', 'China', 'Y'),
	(1770, 'China Xinhua Airlines', '\\N', 'XO', 'CXH', 'XINHUA', 'China', 'N'),
	(1771, 'Yunnan Airlines', '\\N', '3Q', 'CYH', 'YUNNAN', 'China', 'Y'),
	(1772, 'Chinguetti Airlines', '\\N', '', 'CGU', 'CHINGUETTI', 'Mauritania', 'N'),
	(1773, 'Chipola Aviation', '\\N', '', 'CEP', 'CHIPOLA', 'United States', 'N'),
	(1774, 'Chippewa Air Commuter', '\\N', '', 'CPW', 'CHIPPEWA-AIR', 'United States', 'N'),
	(1775, 'Chitaavia', '\\N', 'X7', 'CHF', 'CHITA', 'Russia', 'N'),
	(1776, 'Christman Air System', '\\N', '', 'CAS', 'CHRISTMAN', 'United States', 'N'),
	(1777, 'Christophorus Flugrettungsverein', '\\N', '', 'OEC', 'CHRISTOPHORUS', 'Austria', 'N'),
	(1778, 'Chrome Air Services', '\\N', '', 'CHO', 'CHROME AIR', 'United States', 'N'),
	(1779, 'Church Aircraft', '\\N', '', 'CHU', 'CHURCHAIR', 'United States', 'N'),
	(1780, 'Cielos Airlines', '\\N', 'A2', 'CIU', 'CIELOS', 'Peru', 'N'),
	(1781, 'Cimber Air', '\\N', 'QI', 'CIM', 'CIMBER', 'Denmark', 'Y'),
	(1782, 'Cirrus', '\\N', '', 'RRU', 'HELICIRRUS', 'Chile', 'N'),
	(1783, 'Cirrus Air', '\\N', '', 'NTS', 'NITE STAR', 'United States', 'N'),
	(1784, 'Cirrus Airlines', '\\N', 'C9', 'RUS', 'CIRRUS AIR', 'Germany', 'Y'),
	(1785, 'Cirrus Middle East', '\\N', '', 'JTI', '', 'Lebanon', 'N'),
	(1786, 'Citationshares', '\\N', '', 'FIV', 'FIVE STAR', 'United States', 'N'),
	(1787, 'Citibank', '\\N', '', 'XCX', '', 'United States', 'N'),
	(1788, 'Citic General Aviation', '\\N', '', 'HZX', 'ZHONGXIN', 'China', 'N'),
	(1789, 'City Airline', '\\N', 'CF', 'SDR', 'SWEDESTAR', 'Sweden', 'Y'),
	(1790, 'City Connexion Airlines', '\\N', 'G3', 'CIX', 'CONNEXION', 'Burundi', 'Y'),
	(1791, 'City of Bangor', '\\N', '', 'XBG', '', 'United States', 'N'),
	(1792, 'CityJet', '\\N', 'WX', 'BCY', 'CITY-IRELAND', 'Ireland', 'Y'),
	(1793, 'Cityair (Chester) Limited', '\\N', '', 'CAQ', 'AIR CHESTER', 'United Kingdom', 'N'),
	(1794, 'Cityfly', '\\N', '', 'CII', 'CITYFLY', 'Italy', 'N'),
	(1795, 'BA CityFlyer', '\\N', 'CJ', 'CFE', 'FLYER', 'United Kingdom', 'Y'),
	(1796, 'Cityline Hungary', '\\N', '', 'CNB', 'CITYHUN', 'Hungary', 'N'),
	(1797, 'Citylink Airlines', '\\N', '', 'HSR', 'HOOSIER', 'United States', 'N'),
	(1798, 'Civair Airways', '\\N', '', 'CIW', 'CIVFLIGHT', 'South Africa', 'N'),
	(1799, 'Civil Air Patrol South Carolina Wing', '\\N', '', 'BKR', 'BOX KAR', 'United States', 'N'),
	(1800, 'Civil Air Transport', '\\N', 'CT', 'CAT', 'Mandarin', 'Taiwan', 'N'),
	(1801, 'Civil Aviation Authority', '\\N', '', 'CIA', 'CALIMERA', 'Slovakia', 'N'),
	(1802, 'Civil Aviation Authority of New Zealand', '\\N', '', 'CIV', 'CIVAIR', 'New Zealand', 'N'),
	(1803, 'Civil Aviation Inspectorate of the Czech Republic', '\\N', '', 'CBA', 'CALIBRA', 'Czech Republic', 'N'),
	(1804, 'Claessens International Limited', '\\N', '', 'FMC', 'CLAESSENS', 'United Kingdom', 'N'),
	(1805, 'Clark Aviation', '\\N', '', 'CLK', 'CLARKAIR', 'United States', 'N'),
	(1806, 'Clasair', '\\N', '', 'CSF', 'CALEDONIAN', 'United Kingdom', 'N'),
	(1807, 'Clay Lacy Aviation', '\\N', '', 'CLY', 'CLAY-LACY', 'United States', 'N'),
	(1808, 'Click Airways', '\\N', '', 'CGK', 'CLICK AIR', 'Kyrgyzstan', 'Y'),
	(1809, 'Cloud 9 Air Charters', '\\N', '', 'CLZ', 'CLOUDLINE', 'South Africa', 'N'),
	(1810, 'Clowes Estates Limited', '\\N', '', 'CLD', 'CLOWES', 'United Kingdom', 'N'),
	(1811, 'Club 328', '\\N', '', 'SDJ', 'SPACEJET', 'United Kingdom', 'N'),
	(1812, 'Club Air', '\\N', '6P', 'ISG', 'CLUBAIR', 'Italy', 'N'),
	(1813, 'Coast Air', '\\N', 'BX', 'CST', 'COAST CENTER', 'Norway', 'N'),
	(1814, 'Coastal Air', '\\N', 'DQ', '', 'U.S. Virgin Islands', 'United States', 'Y'),
	(1815, 'Coastal Air Transport', '\\N', '', 'TCL', 'TRANS COASTAL', 'United States', 'N'),
	(1816, 'Coastal Airways', '\\N', '', 'CNG', 'SID-AIR', 'United States', 'N'),
	(1817, 'Coastal Travels', '\\N', '', 'CSV', 'COASTAL TRAVEL', 'Tanzania', 'N'),
	(1818, 'Cohlmia Aviation', '\\N', '', 'CHL', 'COHLMIA', 'United States', 'N'),
	(1819, 'Colaereos', '\\N', '', 'OLR', 'COLAEREOS', 'Ecuador', 'N'),
	(1820, 'Colemill Enterprises', '\\N', '', 'CLE', 'COLEMILL', 'United States', 'N'),
	(1821, 'Colgan Air', '\\N', '9L', 'CJC', 'COLGAN', 'United States', 'Y'),
	(1822, 'Colibri Aviation', '\\N', '', 'CAE', 'HUMMINGBIRD', 'Canada', 'N'),
	(1823, 'Colt International', '\\N', '', 'CCX', '', 'United States', 'N'),
	(1824, 'Columbia Airlines', '\\N', '', 'COL', 'COLAIR', 'Canada', 'N'),
	(1825, 'Columbia Helicopters', '\\N', '', 'WCO', 'COLUMBIA HELI', 'United States', 'N'),
	(1826, 'Columbus Air Transport', '\\N', '', 'KLR', 'KAY-LER', 'United States', 'N'),
	(1827, 'Colvin Aviation', '\\N', '', 'GHP', 'GRASSHOPPER EX', 'United States', 'N'),
	(1828, 'Comair', '\\N', 'OH', 'COM', 'COMAIR', 'United States', 'Y'),
	(1829, 'Comair', '\\N', 'MN', 'CAW', 'COMMERCIAL', 'South Africa', 'Y'),
	(1830, 'Comed Group', '\\N', '', 'CDE', 'COMEX', 'United Kingdom', 'N'),
	(1831, 'Comeravia', '\\N', '', 'CVV', 'COMERAVIA', 'Venezuela', 'N'),
	(1832, 'Comercial Aerea', '\\N', '', 'CRS', 'COMERCIAL AEREA', 'Mexico', 'N'),
	(1833, 'Comet Airlines', '\\N', '', 'CMG', 'SUNSPY', 'Nigeria', 'N'),
	(1834, 'Comfort Air', '\\N', '', 'FYN', 'FLYNN', 'Germany', 'N'),
	(1835, 'Comlux Aviation', '\\N', '', 'CLA', 'COMLUX', 'Switzerland', 'N'),
	(1836, 'Commair Aviation', '\\N', '', 'CMH', 'COMMODORE', 'United Kingdom', 'N'),
	(1837, 'Commandement Du Transport Aerien Militaire Francais', '\\N', '', 'CTM', 'COTAM', 'France', 'N'),
	(1838, 'Commander Air Charter', '\\N', '', 'CML', 'COMMANDAIR', 'Canada', 'N'),
	(1839, 'Commander Mexicana', '\\N', '', 'CRM', 'COMMANDERMEX', 'Mexico', 'N'),
	(1840, 'Commercial Aviation', '\\N', '', 'CMS', 'ACCESS', 'Canada', 'N'),
	(1841, 'Commodore Aviation', '\\N', '', 'GAR', '', 'Australia', 'N'),
	(1842, 'Commonwealth Jet Service', '\\N', '', 'CJS', 'COMMONWEALTH', 'United States', 'N'),
	(1843, 'CommutAir', '\\N', 'C5', 'UCA', 'COMMUTAIR', 'United States', 'Y'),
	(1844, 'Comores Airlines', '\\N', 'KR', 'CWK', 'CONTICOM', 'Comoros', 'Y'),
	(1845, 'Compagnia Generale Ripreseaeree', '\\N', '', 'CGR', 'COMPRIP', 'Italy', 'N'),
	(1846, 'Compagnie Aerienne du Mali', '\\N', '', 'CMM', 'CAMALI', 'Mali', 'N'),
	(1847, 'Compagnie Mauritanienne Des Transports', '\\N', '', 'CPM', '', 'Mauritania', 'N'),
	(1848, 'Compagnie de Bauxites de Guinee', '\\N', '', 'GIC', 'CEBEGE', 'Guinea', 'N'),
	(1849, 'Compania Aerea de Valencia', '\\N', '', 'AIF', '', 'Spain', 'N'),
	(1850, 'Compania Aerotecnicas Fotograficas', '\\N', '', 'ATF', 'AEROTECNICAS', 'Spain', 'N'),
	(1851, 'Compania Boliviana de Transporte Aereo Privado Aerosur', '\\N', '', 'ASU', ' S.A.', 'ASUR', 'N'),
	(1852, 'Compania De Actividades Y Servicios De Aviacion', '\\N', '', 'LCT', 'STELLAIR', 'Spain', 'N'),
	(1853, 'Compania Ejecutiva', '\\N', '', 'EJV', 'EJECUTIVA', 'Mexico', 'N'),
	(1854, 'Compania Helicopteros Del Sureste', '\\N', '', 'HSE', 'HELISURESTE', 'Spain', 'N'),
	(1855, 'Compania Mexicana De Aeroplanos', '\\N', '', 'MDR', 'AEROPLANOS', 'Mexico', 'N'),
	(1856, 'Compania Mexicargo', '\\N', 'GJ', 'MXC', 'MEXICARGO', 'Mexico', 'N'),
	(1857, 'Compania Transportes Aereos Del Sur', '\\N', '', 'HSS', 'TAS HELICOPTEROS', 'Spain', 'N'),
	(1858, 'Compania de Servicios Aereos Tavisa', '\\N', '', 'TAV', 'TAVISA', 'Spain', 'N'),
	(1859, 'Company Flight', '\\N', '', 'CYF', 'COMPANY FLIGHT', 'Denmark', 'N'),
	(1860, 'Compass Airlines', '\\N', 'CP', 'CPZ', 'Compass Rose', 'United States', 'Y'),
	(1861, 'Compass International Airways', '\\N', '', 'CPS', 'COMPASS', 'United Kingdom', 'N'),
	(1862, 'Compuflight Operations Service', '\\N', '', 'XCO', '', 'United States', 'N'),
	(1863, 'Compuserve Incorporated', '\\N', '', 'XCS', '', 'United States', 'N'),
	(1864, 'Conair Aviation', '\\N', '', 'CRC', 'CONAIR-CANADA', 'Canada', 'N'),
	(1865, 'Concordavia', '\\N', '', 'COD', 'CONCORDAVIA', 'Ukraine', 'N'),
	(1866, 'Condor Aero Services', '\\N', '', 'CNR', 'CONAERO', 'United States', 'N'),
	(1867, 'Condor', '\\N', '', 'CIB', 'CONDOR BERLIN', 'Germany', 'N'),
	(1868, 'Condor Flugdienst', '\\N', 'DE', 'CFG', 'CONDOR', 'Germany', 'Y'),
	(1869, 'Confort Air', '\\N', '', 'COF', 'CONFORT', 'Canada', 'N'),
	(1870, 'Congo Air', '\\N', '', 'CAK', '', 'Bahamas', 'N'),
	(1871, 'Congressional Air', '\\N', '', 'CGA', 'CONGRESSIONAL', 'United States', 'N'),
	(1872, 'Conifair Aviation', '\\N', '', 'ROY', '', 'Canada', 'N'),
	(1873, 'Connectair Charters', '\\N', '', 'BSN', 'BASTION', 'Canada', 'N'),
	(1874, 'Conquest Airlines', '\\N', '', 'CAC', 'CONQUEST AIR', 'United States', 'N'),
	(1875, 'Conroe Aviation Services', '\\N', '', 'CXO', 'CONROE AIR', 'United States', 'N'),
	(1876, 'Consorcio Aviaxsa', '\\N', '6A', 'CHP', 'AVIACSA', 'Mexico', 'Y'),
	(1877, 'Consorcio Helitec', '\\N', '', 'VCH', 'CONSORCIO HELITEC', 'Venezuela', 'N'),
	(1878, 'Constanta Airline', '\\N', '', 'UZA', 'CONSTANTA', 'Ukraine', 'N'),
	(1879, 'Contact Air', 'Contactair', 'C3', 'KIS', 'CONTACTAIR', 'Germany', 'Y'),
	(1880, 'Contel ASC', '\\N', '', 'XCL', '', 'United States', 'N'),
	(1881, 'Continental Airlines', '\\N', 'CO', 'COA', 'CONTINENTAL', 'United States', 'Y'),
	(1882, 'Continental Airways', '\\N', 'PC', 'PVV', 'CONTAIR', 'Russia', 'N'),
	(1883, 'Continental Express', '\\N', 'CO', '', 'JETLINK', 'United States', 'Y'),
	(1884, 'Continental Micronesia', '\\N', 'CS', 'CMI', 'AIR MIKE', 'United States', 'Y'),
	(1885, 'Continental Oil', '\\N', '', 'CON', 'CONOCO', 'United States', 'N'),
	(1886, 'Conviasa', '\\N', 'V0', 'VCV', 'CONVIASA', 'Venezuela', 'Y'),
	(1887, 'Cook Inlet Aviation', '\\N', '', 'CKA', 'COOK-AIR', 'United States', 'N'),
	(1888, 'Cooper Aerial Surveys', '\\N', '', 'SVY', 'SURVEYOR', 'United Kingdom', 'N'),
	(1889, 'Copa Airlines', '\\N', 'CM', 'CMP', 'COPA', 'Panama', 'Y'),
	(1890, 'Copenhagen Airtaxi', '\\N', '', 'CAT', 'AIRCAT', 'Denmark', 'N'),
	(1891, 'Copper State Air Service', '\\N', '', 'COP', 'COPPER STATE', 'United States', 'N'),
	(1892, 'Copterline', '\\N', '', 'AAQ', 'COPTERLINE', 'Finland', 'Y'),
	(1893, 'Coptrade Air Transport', '\\N', '', 'CCW', 'COPTRADE AIR', 'Sudan', 'N'),
	(1894, 'Corendon Airlines', '\\N', '', 'CAI', 'CORENDON', 'Turkey', 'Y'),
	(1895, 'Coronado Aerolineas', '\\N', '', 'CRA', 'CORAL', 'Colombia', 'N'),
	(1896, 'Corpac Canada', '\\N', '', 'CPB', 'PENTA', 'Canada', 'N'),
	(1897, 'Corporacion Aereo Cencor', '\\N', '', 'CNC', 'CENCOR', 'Mexico', 'N'),
	(1898, 'Corporacion Aeroangeles', '\\N', '', 'CPG', 'CORPORANG', 'Mexico', 'N'),
	(1899, 'Corporacion Paraguaya De Aeronautica', '\\N', '', 'CGY', '', 'Paraguay', 'N'),
	(1900, 'Corporate Air', '\\N', '', 'CPT', 'AIR SPUR', 'United States', 'N'),
	(1901, 'Corporate Air', '\\N', '', 'CPR', 'CORPAIR', 'United States', 'N'),
	(1902, 'Corporate Aircraft Company', '\\N', '', 'CPO', 'MOKAN', 'United States', 'N'),
	(1903, 'Corporate Airlink', '\\N', '', 'COO', 'CORPORATE', 'Canada', 'N'),
	(1904, 'Corporate Aviation Services', '\\N', '', 'CKE', 'CHECKMATE', 'United States', 'N'),
	(1905, 'Corporate Flight International', '\\N', '', 'VHT', 'VEGAS HEAT', 'United States', 'N'),
	(1906, 'Corporate Flight Management', '\\N', '', 'VTE', 'VOLUNTEER', 'United States', 'N'),
	(1907, 'Corporate Jets', '\\N', '', 'CJI', 'SEA JET', 'United States', 'N'),
	(1908, 'Corsairfly', '\\N', 'SS', 'CRL', 'CORSAIR', 'France', 'Y'),
	(1909, 'Corse-Mediterranee', '\\N', 'XK', 'CCM', 'CORSICA', 'France', 'Y'),
	(1910, 'Cosmic Air', '\\N', 'F5', 'COZ', 'COSMIC AIR', 'Nepal', 'N'),
	(1911, 'Cougar Helicopters', '\\N', '', 'CHI', 'COUGAR', 'Canada', 'N'),
	(1912, 'Coulson Flying Service', '\\N', '', 'MGB', 'MOCKINGBIRD', 'United Kingdom', 'N'),
	(1913, 'Country Connection Airlines', '\\N', '', 'NSW', '', 'Australia', 'N'),
	(1914, 'Country International Airlines', '\\N', '', 'CIK', 'COUNTRY AIR', 'Kyrgyzstan', 'N'),
	(1915, 'Courier Services', '\\N', '', 'CSD', 'DELIVERY', 'United States', 'N'),
	(1916, 'Court Helicopters', '\\N', '', 'CUT', 'COURT AIR', 'South Africa', 'N'),
	(1917, 'Coval Air', '\\N', '', 'CVL', 'COVAL', 'Canada', 'N'),
	(1918, 'Cowi', '\\N', '', 'COW', 'COWI', 'Netherlands', 'N'),
	(1919, 'Coyne Aviation', '\\N', '', 'COY', 'COYNE AIR', 'United Kingdom', 'N'),
	(1920, 'Cranfield University', '\\N', '', 'CFD', 'AERONAUT', 'United Kingdom', 'N'),
	(1921, 'Cree Airways', '\\N', '', 'CRE', 'CREE AIR', 'Canada', 'N'),
	(1922, 'Crelam', '\\N', '', 'ELM', 'CRELAM', 'Mexico', 'N'),
	(1923, 'Crest Aviation', '\\N', '', 'CAN', 'CREST', 'United Kingdom', 'Y'),
	(1924, 'Crimea Universal Avia', '\\N', '', 'KRM', 'TRANS UNIVERSAL', 'Ukraine', 'N'),
	(1925, 'Croatia Airlines', '\\N', 'OU', 'CTN', 'CROATIA', 'Croatia', 'Y'),
	(1926, 'Croatian Air Force', '\\N', '', 'HRZ', 'CROATIAN AIRFORCE', 'Croatia', 'N'),
	(1927, 'Cross Aviation', '\\N', '', 'CRX', 'CROSSAIR', 'United Kingdom', 'N'),
	(1928, 'Crossair Europe', '\\N', 'QE', 'ECC', 'Cigogne', 'Switzerland', 'N'),
	(1929, 'Crow Executive Air', '\\N', '', 'CWX', 'CROW EXPRESS', 'United States', 'N'),
	(1930, 'Crown Air Systems', '\\N', '', 'CKR', 'CROWN AIR', 'United States', 'N'),
	(1931, 'Crown Airways', '\\N', '', 'CRO', 'CROWN AIRWAYS', 'United States', 'Y'),
	(1932, 'Crownair', '\\N', '', 'CRW', 'REGAL', 'Canada', 'N'),
	(1933, 'Cruiser Linhas Aereas', '\\N', '', 'VCR', 'VOE CRUISER', 'Brazil', 'N'),
	(1934, 'Cryderman Air Service', '\\N', '', 'CTY', 'CENTURY', 'United States', 'N'),
	(1935, 'Crystal Shamrock', '\\N', '', 'CYT', 'CRYSTAL-AIR', 'United States', 'N'),
	(1936, 'Cubana de Aviación', '\\N', 'CU', 'CUB', 'CUBANA', 'Cuba', 'Y'),
	(1937, 'Cumberland Airways (Nicholson Air Service)', '\\N', '', 'CBL', 'CUMBERLAND', 'United States', 'N'),
	(1938, 'Custom Air Transport', '\\N', '', 'CTT', 'CATT', 'United States', 'N'),
	(1939, 'Cygnus Air', '\\N', '', 'RGN', 'CYGNUS AIR', 'Spain', 'N'),
	(1940, 'Cyprair Tours', '\\N', '', 'CYC', 'CYPRAIR', 'Cyprus', 'N'),
	(1941, 'Cypress Airlines', '\\N', '', 'CYS', 'SKYBIRD', 'Canada', 'N'),
	(1942, 'Cyprus Airways', '\\N', 'CY', 'CYP', 'CYPRUS', 'Cyprus', 'Y'),
	(1943, 'Cyprus Turkish Airlines', '\\N', 'YK', '', '', 'Turkey', 'Y'),
	(1944, 'Czech Air Force', '\\N', '', 'CEF', 'CZECH AIR FORCE', 'Czech Republic', 'N'),
	(1945, 'Czech Air Handling', '\\N', '', 'AHD', 'AIRHANDLING', 'Czech Republic', 'N'),
	(1946, 'Czech Airlines', 'CSA Czech Airlines', 'OK', 'CSA', 'CSA-LINES', 'Czech Republic', 'Y'),
	(1947, 'Czech Government Flying Service', '\\N', '', 'CIE', 'CZECHIA', 'Czech Republic', 'N'),
	(1948, 'D & D Aviation', '\\N', '', 'DDA', 'DUSTY', 'United States', 'N'),
	(1949, 'D&K Aviation', '\\N', '', 'DNK', 'DIRECT JET', 'United States', 'N'),
	(1950, 'DAP Helicopteros', '\\N', '', 'DHE', 'HELIDAP', 'Chile', 'N'),
	(1951, 'DFS UK Limited', '\\N', '', 'VLF', 'VOLANTE', 'United Kingdom', 'N'),
	(1952, 'DAS Air Cargo', '\\N', 'WD', 'DSR', 'DAIRAIR', 'Uganda', 'N'),
	(1953, 'DAS Airlines', '\\N', '', 'RKC', 'DAS CONGO', 'Democratic Republic of the Congo', 'N'),
	(1954, 'DAT Danish Air Transport', '\\N', 'DX', 'DTR', 'DANISH', 'Denmark', 'Y'),
	(1955, 'DAT Enterprise Limited', '\\N', '', 'ENT', 'DATENT', 'United Kingdom', 'N'),
	(1956, 'DERA Boscombe Down', '\\N', '', 'BDN', 'GAUNTLET', 'United Kingdom', 'N'),
	(1957, 'DESNA', '\\N', '', 'DSN', 'DESNA', 'Ukraine', 'N'),
	(1958, 'DETA Air', '\\N', '', 'DET', 'SAMAL', 'Kazakhstan', 'N'),
	(1959, 'DGO Jet', '\\N', '', 'DGO', 'DGO JET', 'Mexico', 'N'),
	(1960, 'DHL Aero Expreso', '\\N', '', 'DAE', 'YELLOW', 'Panama', 'N'),
	(1961, 'DHL Air', '\\N', '', 'DHK', 'WORLD EXPRESS', 'United Kingdom', 'N'),
	(1962, 'DHL Aviation', '\\N', '', 'DHV', 'WORLDSTAR', 'South Africa', 'N'),
	(1963, 'DHL International', '\\N', 'ES', 'DHX', 'DILMUN', 'Bahrain', 'N'),
	(1964, 'DHL de Guatemala', '\\N', 'L3', 'JOS', '', 'Guatemala', 'N'),
	(1965, 'DSWA', '\\N', '', 'RSK', 'REDSKIN', 'United States', 'N'),
	(1966, 'Daallo Airlines', '\\N', 'D3', 'DAO', 'DALO AIRLINES', 'Djibouti', 'Y'),
	(1967, 'Dagestan Airlines', '\\N', 'N2', 'DAG', 'DAGAL', 'Russia', 'N'),
	(1968, 'Dahla Airlines', '\\N', '', 'DHA', '', 'Democratic Republic of Congo', 'N'),
	(1969, 'Daimler Chrysler Aviation', '\\N', '', 'DCS', 'TWIN STAR', 'Germany', 'N'),
	(1970, 'Daimler-Chrysler', '\\N', '', 'DCX', 'DAIMLER', 'United States', 'N'),
	(1971, 'Daka', '\\N', '', 'DKA', '', 'Kazakhstan', 'N'),
	(1972, 'Dala Air Services', '\\N', '', 'DLR', 'DALA AIR', 'Nigeria', 'N'),
	(1973, 'Dalavia', '\\N', 'H8', 'KHB', 'DALAVIA', 'Russia', 'Y'),
	(1974, 'Dallas Express Airlines', '\\N', '', 'DXP', 'DALLAS EXPRESS', 'United States', 'N'),
	(1975, 'Damascene Airways', '\\N', '', 'DAS', 'AIRDAM', 'Syrian Arab Republic', 'N'),
	(1976, 'Danbury Airways', '\\N', '', 'DSA', 'DANBURY AIRWAYS', 'United States', 'N'),
	(1977, 'Dancopter', '\\N', '', 'DOP', 'DANCOPTER', 'Denmark', 'N'),
	(1978, 'Danish Air Force', '\\N', '', 'DAF', 'DANISH AIRFORCE', 'Denmark', 'N'),
	(1979, 'Danish Army', '\\N', '', 'DAR', 'DANISH ARMY', 'Denmark', 'N'),
	(1980, 'Danish Navy', '\\N', '', 'DNY', 'DANISH NAVY', 'Denmark', 'N'),
	(1981, 'Danu Oro Transportas', '\\N', '', 'DNU', 'DANU', 'Lithuania', 'N'),
	(1982, 'Darta', '\\N', '', 'DRT', 'DARTA', 'France', 'N'),
	(1983, 'Darwin Airline', '\\N', '0D', 'DWT', 'DARWIN', 'Switzerland', 'Y'),
	(1984, 'Dasab Airlines', '\\N', '', 'DSQ', 'DASAB AIR', 'Uganda', 'N'),
	(1985, 'Dash Air Charter', '\\N', '', 'DSH', 'DASH CHARTER', 'United States', 'N'),
	(1986, 'Dash Aviation', '\\N', '', 'GOB', 'PILGRIM', 'United Kingdom', 'N'),
	(1987, 'Dasnair', '\\N', '', 'DGX', 'DASNA', 'Switzerland', 'N'),
	(1988, 'Dassault Aviation', '\\N', '', 'DAB', '', 'France', 'N'),
	(1989, 'Dassault Falcon Jet Corporation', '\\N', '', 'CVF', 'CLOVERLEAF', 'United States', 'N'),
	(1990, 'Dassault Falcon Service', '\\N', '', 'DSO', 'DASSAULT', 'France', 'N'),
	(1991, 'Data International', '\\N', '', 'DTN', 'DATA AIR', 'Sudan', 'N'),
	(1992, 'Date Transformation Corp', '\\N', '', 'XDT', '', 'United States', 'N'),
	(1993, 'Dauair', '\\N', 'D5', 'DAU', 'DAUAIR', 'Germany', 'N'),
	(1994, 'David Crawshaw Consultants Limited', '\\N', '', 'DCO', '', 'United Kingdom', 'N'),
	(1995, 'Dawn Air', '\\N', '', 'DWN', 'DAWN AIR', 'United States', 'N'),
	(1996, 'DayJet', '\\N', '', 'DJS', 'DAYJET', 'United States', 'N'),
	(1997, 'Daya Aviation', '\\N', '', 'DAY', 'DAYA', 'Sri Lanka', 'N'),
	(1998, 'De Havilland', '\\N', '', 'DHC', 'DEHAVILLAND', 'Canada', 'N'),
	(1999, 'Deadalos Flugtbetriebs', '\\N', '', 'IAY', 'IASON', 'Austria', 'N'),
	(2000, 'Decatur Aviation', '\\N', '', 'DAA', 'DECUR', 'United States', 'N'),
	(2001, 'Deccan Aviation', '\\N', '', 'DKN', 'DECCAN', 'India', 'N'),
	(2002, 'Deccan Aviation (Lanka)', '\\N', '', 'DLK', 'DEKKANLANKA', 'Sri Lanka', 'N'),
	(2003, 'Deer Jet', '\\N', '', 'DER', 'DEER JET', 'China', 'N'),
	(2004, 'Deere and Company', '\\N', '', 'JDC', 'JOHN DEERE', 'United States', 'N'),
	(2005, 'Delaware Skyways', '\\N', '', 'DWR', 'DELAWARE', 'United States', 'N'),
	(2006, 'Delta Aerotaxi', '\\N', '', 'DEA', 'JET SERVICE', 'Italy', 'Y'),
	(2007, 'Delta Air Charter', '\\N', '', 'SNO', 'SNOWBALL', 'Canada', 'N'),
	(2008, 'Delta Air Elite', '\\N', '', 'ELJ', 'ELITE JET', 'United States', 'N'),
	(2009, 'Delta Air Lines', '\\N', 'DL', 'DAL', 'DELTA', 'United States', 'Y'),
	(2010, 'Delta Engineering Aviation', '\\N', '', 'KMB', 'KEMBLEJET', 'United Kingdom', 'N'),
	(2011, 'Delta Express International', '\\N', '', 'DLI', 'DELTA EXPRESS', 'Ukraine', 'N'),
	(2012, 'Delta State University', '\\N', '', 'DSU', 'DELTA STATE', 'United States', 'N'),
	(2013, 'Denim Air', '\\N', '', 'DNM', 'DENIM', 'Netherlands', 'Y'),
	(2014, 'Denver Express', '\\N', '', 'FEC', 'FALCON EXPRESS', 'United States', 'N'),
	(2015, 'Denver Jet', '\\N', '', 'DJT', 'DENVER JET', 'United States', 'N'),
	(2016, 'Departmento De Agricultura De La Generalitat De Cataluna', '\\N', '', 'FGC', 'FORESTALES', 'Spain', 'N'),
	(2017, 'Deraya Air Taxi', '\\N', '', 'DRY', 'DERAYA', 'Indonesia', 'N'),
	(2018, 'Des R Cargo Express', '\\N', '', 'DRX', '', 'Mauritania', 'N'),
	(2019, 'Desarrollo Milaz', '\\N', '', 'MIZ', 'MILAZ', 'Mexico', 'N'),
	(2020, 'Destiny Air Services', '\\N', '', 'DTY', 'DESTINY', 'Sierra Leone', 'N'),
	(2021, 'Deutsche Bahn', '\\N', '2A', '', '', 'Germany', 'Y'),
	(2022, 'Deutsche Rettungsflugwacht', '\\N', '1I', 'AMB', 'CIVIL AIR AMBULANCE', 'Germany', 'N'),
	(2023, 'Deutsches Zentrum fur Luft-und Raumfahrt EV', '\\N', '', 'LFO', 'LUFO', 'Germany', 'N'),
	(2024, 'Di Air', '\\N', '', 'DIS', 'DI AIR', 'Serbia', 'N'),
	(2025, 'Diamond Aviation', '\\N', '', 'SPK', 'SPARKLE', 'United States', 'N'),
	(2026, 'Didier Rousset Buy', '\\N', '', 'DRB', 'DIDIER', 'Chile', 'N'),
	(2027, 'Digital Equipment Corporation', '\\N', '', 'DGT', 'DIGITAL', 'United States', 'N'),
	(2028, 'Dinar', '\\N', 'D7', 'RDN', 'AERO DINAR', 'Argentina', 'N'),
	(2029, 'Diplomatic Freight Services', '\\N', '', 'DIP', 'DIPFREIGHT', 'United Kingdom', 'N'),
	(2030, 'Direccion General de Aviacion Civil y Telecomunicasciones', '\\N', '', 'ENA', 'ENA', 'Spain', 'N'),
	(2031, 'Direct Air', '\\N', '', 'DIA', 'BLUE SKY', 'United States', 'N'),
	(2032, 'Direct Air trading as Midway Connection', '\\N', '', 'XAP', 'MID-TOWN', 'United States', 'N'),
	(2033, 'Direct Flight', '\\N', '', 'DCT', '', 'United Kingdom', 'N'),
	(2034, 'Sky Express', '\\N', '', 'SXP', 'EXPRESS SKY', 'Poland', 'N'),
	(2035, 'Dirgantara Air Service', '\\N', 'AW', 'DIR', 'DIRGANTARA', 'Indonesia', 'N'),
	(2036, 'Discover Air', '\\N', '', 'DCV', 'DISCOVER', 'United States', 'N'),
	(2037, 'Discovery Airways', '\\N', 'DH', 'DVA', 'DISCOVERY AIRWAYS', 'United States', 'N'),
	(2038, 'Dispatch Services', '\\N', '', 'XDS', '', 'United States', 'N'),
	(2039, 'Dix Aviation', '\\N', '', 'DIX', 'DIX FLIGHT', 'Germany', 'N'),
	(2040, 'Dixie Airways', '\\N', '', 'DEE', 'TACAIR', 'United States', 'N'),
	(2041, 'Djibouti Airlines', '\\N', 'D8', 'DJB', 'DJIBOUTI AIR', 'Djibouti', 'Y'),
	(2042, 'Dniproavia', '\\N', '', 'UDN', 'DNIEPRO', 'Ukraine', 'Y'),
	(2043, 'Flying Dolphin Airlines', '\\N', '', 'FDN', 'FLYING DOLPHIN', 'United Arab Emirates', 'N'),
	(2044, 'Dolphin Express Airlines', '\\N', '', 'IXX', 'ISLAND EXPRESS', 'United States', 'N'),
	(2045, 'Dome Petroleum', '\\N', '', 'DPL', 'DOME', 'Canada', 'N'),
	(2046, 'Dominguez Toledo (Grupo Mayoral)', '\\N', '', 'MYO', 'MAYORAL', 'Spain', 'N'),
	(2047, 'Dominicana de Aviaci', '\\N', 'DO', 'DOA', 'DOMINICANA', 'Dominican Republic', 'Y'),
	(2048, 'Domodedovo Airlines', '\\N', 'E3', 'DMO', 'DOMODEDOVO', 'Russia', 'Y'),
	(2049, 'Don Avia', '\\N', '', 'DVB', 'DONSEBAI', 'Kazakhstan', 'N'),
	(2050, 'Donair Flying Club', '\\N', '', 'DON', 'DONAIR', 'United Kingdom', 'N'),
	(2051, 'DonbassAero', '\\N', '5D', 'UDC', 'DONBASS AERO', 'Ukraine', 'Y'),
	(2052, 'Dorado Air', '\\N', '', 'DAD', 'DORADO AIR', 'Dominican Republic', 'N'),
	(2053, 'Dornier', '\\N', '', 'DOR', 'DORNIER', 'Germany', 'N'),
	(2054, 'Dornier Aviation Nigeria', '\\N', '', 'DAV', 'DANA AIR', 'Nigeria', 'N'),
	(2055, 'Dos Mundos', '\\N', '', 'DOM', 'DOS MUNDOS', 'Dominican Republic', 'N'),
	(2056, 'Dragonair', '\\N', 'KA', 'HDA', ' Hong Kong Dragon Airlines', 'DRAGON', 'Y'),
	(2057, 'Dreamcatcher Airways', '\\N', '', 'DCA', 'DREAM CATCHER', 'United Kingdom', 'N'),
	(2058, 'Druk Air', '\\N', 'KB', 'DRK', 'ROYAL BHUTAN', 'Bhutan', 'Y'),
	(2059, 'Drummond Island Air', '\\N', '', 'DRE', 'MICHIGAN', 'United States', 'N'),
	(2060, 'Dubai Airwing', '\\N', '', 'DUB', 'DUBAI', 'United Arab Emirates', 'N'),
	(2061, 'Dubrovnik Air', '\\N', '', 'DBK', 'SEAGULL', 'Croatia', 'Y'),
	(2062, 'Ducair', '\\N', '', 'DUK', 'LION KING', 'Luxembourg', 'N'),
	(2063, 'Duchess of Britany (Jersey) Limited', '\\N', '', 'DBJ', 'DUCHESS', 'United Kingdom', 'N'),
	(2064, 'UK Royal/HRH Duke of York', '\\N', '', 'LPD', 'LEOPARD', 'United Kingdom', 'N'),
	(2065, 'Dun\'Air', '\\N', '', 'DUN', 'DUNAIR', 'Mauritania', 'N'),
	(2066, 'Duncan Aviation', '\\N', '', 'PHD', 'PANHANDLE', 'United States', 'N'),
	(2067, 'Dunyaya Bakis Hava Tasimaciligi', '\\N', '', 'VVF', 'WORLDFOCUS', 'Turkey', 'N'),
	(2068, 'Duo Airways', '\\N', '', 'DUO', 'FLY DUO', 'United Kingdom', 'N'),
	(2069, 'Durango Jet', '\\N', '', 'DJE', 'DURANGO JET', 'Mexico', 'N'),
	(2070, 'Dutch Antilles Express', '\\N', '', 'DNL', 'DUTCH ANTILLES', 'Netherlands Antilles', 'Y'),
	(2071, 'Dutch Caribbean Express', '\\N', '', 'DCE', 'DUTCH CARIBBEAN', 'Netherlands Antilles', 'N'),
	(2072, 'Dutchbird', '\\N', '', 'DBR', 'DUTCHBIRD', 'Netherlands', 'N'),
	(2073, 'Dwyer Aircraft Services', '\\N', '', 'DFS', 'DWYAIR', 'United States', 'N'),
	(2074, 'Dynair Services', '\\N', '', 'XDY', '', 'United States', 'N'),
	(2075, 'Dynamair Aviation', '\\N', '', 'DNR', 'DYNAMAIR', 'Canada', 'N'),
	(2076, 'Dynamic Air', '\\N', '', 'DYE', 'DYNAMIC', 'Netherlands', 'N'),
	(2077, 'dba', '\\N', 'DI', 'BAG', 'SPEEDWAY', 'Germany', 'Y'),
	(2078, 'E H Darby Aviation', '\\N', '', 'EHD', 'PLATINUM AIR', 'United States', 'N'),
	(2079, 'Electronic Data Systems', '\\N', '1C', '', '', 'Switzerland', 'N'),
	(2080, 'Electronic Data Systems', '\\N', '', '1Y', '', '', 'N'),
	(2081, 'EAA Escola De Aviacao Aerocondor', '\\N', '', 'EAD', 'AERO-ESCOLA', 'Portugal', 'N'),
	(2082, 'Executive Airlines Services', '\\N', '', 'EXW', 'ECHOLINE', 'Nigeria', 'N'),
	(2083, 'EFAOS- Agencia De Viagens e Turismo', '\\N', '', 'EFS', 'EFAOS', 'Angola', 'N'),
	(2084, 'EFD Eisele Flugdienst', '\\N', '', 'EFD', 'EVER FLIGHT', 'Germany', 'N'),
	(2085, 'EFS-Flugservice', '\\N', '', 'FSD', 'FLUGSERVICE', 'Germany', 'N'),
	(2086, 'EIS Aircraft', '\\N', '', 'EIS', 'COOL', 'Germany', 'N'),
	(2087, 'EPAG Groupe Air France', '\\N', '', 'IAG', 'EPAG', 'France', 'N'),
	(2088, 'ESI Eliservizi Italiani', '\\N', '', 'ESI', 'ELISERVIZI', 'Italy', 'N'),
	(2089, 'EU Airways', '\\N', '', 'EUY', 'EUROAIRWAYS', 'Ireland', 'N'),
	(2090, 'EUjet', '\\N', 'VE', 'EUJ', 'UNION JET', 'Ireland', 'N'),
	(2091, 'EVA Air', '\\N', 'BR', 'EVA', 'EVA', 'Taiwan', 'Y'),
	(2092, 'Eagle Aero', '\\N', '', 'ICR', 'ICARUS FLIGHTS', 'United States', 'N'),
	(2093, 'Eagle Air', '\\N', '', 'EGR', 'EAGLE SIERRA', 'Sierra Leone', 'N'),
	(2094, 'Eagle Air', '\\N', 'H7', '', '', 'Uganda', 'Y'),
	(2095, 'Eagle Air Company', '\\N', '', 'EGX', 'THAI EAGLE', 'Thailand', 'N'),
	(2096, 'Eagle Air Iceland', '\\N', '', 'FEI', 'ARCTIC EAGLE', 'Iceland', 'N'),
	(2097, 'Eagle Aviation', '\\N', '', 'EGU', 'AFRICAN EAGLE', 'Uganda', 'N'),
	(2098, 'Eagle Aviation', '\\N', '', 'GYP', 'GYPSY', 'United Kingdom', 'N'),
	(2099, 'Eagle Aviation France', '\\N', '', 'EGN', 'FRENCH EAGLE', 'France', 'N'),
	(2100, 'Eagle International', '\\N', '', 'SEG', 'SEN-EAGLE', 'Senegal', 'N'),
	(2101, 'Eagle Jet Charter', '\\N', '', 'EGJ', 'EAGLE JET', 'United States', 'N'),
	(2102, 'Eaglemed (Ballard Aviation)', '\\N', '', 'EMD', 'EAGLEMED', 'United States', 'N'),
	(2103, 'Earth Airlines Services', '\\N', '', 'ERX', 'EARTH AIR', 'Nigeria', 'N'),
	(2104, 'East African', '\\N', 'QU', 'UGX', 'CRANE', 'Uganda', 'Y'),
	(2105, 'East African Safari Air', '\\N', 'S9', 'HSA', 'DUMA', 'Kenya', 'N'),
	(2106, 'East African Safari Air Express', '\\N', '', 'EXZ', 'TWIGA', 'Kenya', 'N'),
	(2107, 'East Asia Airlines', '\\N', '', 'EMU', '', 'Macao', 'N'),
	(2108, 'East Coast Airways', '\\N', '', 'ECT', 'EASTWAY', 'South Africa', 'N'),
	(2109, 'East Coast Jets', '\\N', '', 'ECJ', 'EASTCOAST JET', 'United States', 'N'),
	(2110, 'East Hampton Aire', '\\N', '', 'EHA', 'AIRE HAMPTON', 'United States', 'N'),
	(2111, 'East Kansas City Aviation', '\\N', '', 'EKC', 'BLUE GOOSE', 'United States', 'N'),
	(2112, 'East Midlands Helicopters', '\\N', '', 'CTK', 'COSTOCK', 'United Kingdom', 'N'),
	(2113, 'East Star Airlines', '\\N', '', 'DXH', 'EAST STAR', 'China', 'N'),
	(2114, 'East-West Airlines', '\\N', '', 'EWA', 'EASTWEST', 'Australia', 'N'),
	(2115, 'Eastern Air', '\\N', '', 'EAZ', 'EASAIR', 'Zambia', 'N'),
	(2116, 'Eastern Air Executive', '\\N', '', 'EAX', 'EASTEX', 'United Kingdom', 'N'),
	(2117, 'Eastern Airways', '\\N', 'T3', 'EZE', 'EASTFLIGHT', 'United Kingdom', 'Y'),
	(2118, 'Eastern Australia Airlines', '\\N', '', 'EAQ', '', 'Australia', 'N'),
	(2119, 'Eastern Carolina Aviation', '\\N', '', 'ECI', 'EASTERN CAROLINA', 'United States', 'N'),
	(2120, 'Eastern Executive Air Charter', '\\N', '', 'GNS', 'GENESIS', 'United Kingdom', 'N'),
	(2121, 'Eastern Express', '\\N', '', 'LIS', 'LARISA', 'Kazakhstan', 'N'),
	(2122, 'Eastern Metro Express', '\\N', '', 'EME', 'EMAIR', 'United States', 'N'),
	(2123, 'Eastern Pacific Aviation', '\\N', '', 'EPB', 'EAST PAC', 'Canada', 'N'),
	(2124, 'Eastern Sky Jets', '\\N', '', 'ESJ', 'EASTERN SKYJETS', 'United Arab Emirates', 'N'),
	(2125, 'Eastland Air', '\\N', 'DK', 'ELA', '', 'Australia', 'Y'),
	(2126, 'Eastwind Airlines', '\\N', 'W9', 'SGR', 'STINGER', 'United States', 'N'),
	(2127, 'Easy Link Aviation Services', '\\N', '', 'FYE', 'FLYME', 'Nigeria', 'N'),
	(2128, 'Eckles Aircraft', '\\N', '', 'CMN', 'CIMMARON AIRE', 'United States', 'N'),
	(2129, 'Eclipse Aviation', '\\N', '', 'EJT', 'ECLIPSE JET', 'United States', 'N'),
	(2130, 'Eco Air', '\\N', '', 'ECQ', 'SKYBRIDGE', 'Nigeria', 'N'),
	(2131, 'Ecoair', '\\N', '', 'DEI', '', 'Algeria', 'N'),
	(2132, 'Ecomex Air Cargo', '\\N', '', 'ECX', 'AIR ECOMEX', 'Angola', 'N'),
	(2133, 'Ecotour', '\\N', '', 'ECD', 'ECOTOUR', 'Mexico', 'N'),
	(2134, 'Ecoturistica de Xcalak', '\\N', '', 'XCC', 'XCALAK', 'Mexico', 'N'),
	(2135, 'Ecuatoguineana De Aviacion (EGA)', '\\N', '', 'ECV', 'EQUATOGUINEA', 'Equatorial Guinea', 'N'),
	(2136, 'Ecuatorial Cargo', '\\N', '', 'EQC', 'ECUA-CARGO', 'Equatorial Guinea', 'N'),
	(2137, 'Ecuavia', '\\N', '', 'ECU', 'ECUAVIA', 'Ecuador', 'Y'),
	(2138, 'Edelweiss Air', '\\N', 'WK', 'EDW', 'EDELWEISS', 'Switzerland', 'Y'),
	(2139, 'Edgartown Air', '\\N', '', 'SLO', 'SLOW', 'United States', 'N'),
	(2140, 'Edinburgh Air Charter', '\\N', '', 'EDC', 'SALTIRE', 'United Kingdom', 'N'),
	(2141, 'Edwards Jet Center of Montana', '\\N', '', 'EDJ', 'EDWARDS', 'United States', 'N'),
	(2142, 'Efata Papua Airlines', '\\N', '', 'EIJ', 'EFATA', 'Indonesia', 'N'),
	(2143, 'Egyptair', '\\N', 'MS', 'MSR', 'EGYPTAIR', 'Egypt', 'Y'),
	(2144, 'Egyptair Cargo', '\\N', '', 'MSX', 'EGYPTAIR CARGO', 'Egypt', 'N'),
	(2145, 'Egyptian Air Force', '\\N', '', 'EGY', '', 'Egypt', 'N'),
	(2146, 'Egyptian Aviation', '\\N', '', 'EJX', '', 'Egypt', 'N'),
	(2147, 'Egyptian Aviation Company', '\\N', '', 'EMA', '', 'Egypt', 'N'),
	(2148, 'Ei Air Exports', '\\N', '', 'EIX', 'AIR EXPORTS', 'Ireland', 'N'),
	(2149, 'Eirjet', '\\N', '', 'EIR', 'EIRJET', 'Ireland', 'N'),
	(2150, 'El Al Israel Airlines', '\\N', 'LY', 'ELY', 'ELAL', 'Israel', 'Y'),
	(2151, 'El Caminante Taxi Aereo', '\\N', '', 'CMX', 'EL CAMINANTE', 'Mexico', 'N'),
	(2152, 'El Quilada International Aviation', '\\N', '', 'GLQ', 'QUILADA', 'Sudan', 'N'),
	(2153, 'El Sal Air', '\\N', '', 'ELS', 'EL SAL', 'El Salvador', 'N'),
	(2154, 'El Sol De America', '\\N', '', 'ESC', 'SOLAMERICA', 'Venezuela', 'N'),
	(2155, 'El-Buraq Air Transport', '\\N', 'UZ', 'BRQ', 'BURAQAIR', 'Libya', 'Y'),
	(2156, 'Elan Express', '\\N', '', 'ELX', 'ELAN', 'United States', 'N'),
	(2157, 'Elbe Air Transport', '\\N', '', 'LBR', 'MOTION', 'Germany', 'N'),
	(2158, 'Elbrus-Avia Air Enterprise', '\\N', '', 'NLK', 'ELAVIA', 'Russia', 'N'),
	(2159, 'Eldinder Aviation', '\\N', '', 'DND', 'DINDER', 'Sudan', 'N'),
	(2160, 'Elicar', '\\N', '', 'PDV', 'ELICAR', 'Italy', 'N'),
	(2161, 'Elidolomiti', '\\N', '', 'EDO', 'ELIDOLOMITI', 'Italy', 'N'),
	(2162, 'Elieuro', '\\N', '', 'ELB', 'ELILOBARDIA', 'Italy', 'N'),
	(2163, 'Elifriulia', '\\N', '', 'EFG', 'ELIFRIULIA', 'Italy', 'N'),
	(2164, 'Elilario Italia', '\\N', '', 'ELH', 'LARIO', 'Italy', 'N'),
	(2165, 'Elilombarda', '\\N', '', 'EOA', 'LOMBARDA', 'Italy', 'N'),
	(2166, 'Elimediterranea', '\\N', '', 'MEE', 'ELIMEDITERRANEA', 'Italy', 'N'),
	(2167, 'Elios', '\\N', '', 'VUL', 'ELIOS', 'Italy', 'N'),
	(2168, 'Elipiu\'', '\\N', '', 'IEP', 'ELIPIU', 'Italy', 'N'),
	(2169, 'Elisra Airlines', '\\N', '', 'RSA', 'ESRA', 'Sudan', 'N'),
	(2170, 'Elite Air', '\\N', '', 'EAI', 'ELAIR', 'Togo', 'N'),
	(2171, 'Elite Jets', '\\N', '', 'EJD', 'ELITE DUBAI', 'United Arab Emirates', 'N'),
	(2172, 'Elitellina', '\\N', '', 'FGS', 'ELITELLINA', 'Italy', 'N'),
	(2173, 'Elliott Aviation', '\\N', '', 'ELT', 'ELLIOT', 'United States', 'N'),
	(2174, 'Elmagal Aviation Services', '\\N', '', 'MGG', 'ELMAGAL', 'Sudan', 'N'),
	(2175, 'Elrom Aviation and Investments', '\\N', '', 'ELR', '', 'Israel', 'N'),
	(2176, 'Embassy Airlines', '\\N', '', 'EAM', 'EMBASSY AIR', 'Nigeria', 'N'),
	(2177, 'Embassy Freight Company', '\\N', '', 'EFT', 'EMBASSY FREIGHT', 'United States', 'N'),
	(2178, 'Empresa Brasileira De Aeronautica', '\\N', '', 'EMB', 'EMBRAER', 'Brazil', 'N'),
	(2179, 'Embry-Riddle Aeronautical University', '\\N', '', 'XSL', 'SATSLAB', 'United States', 'N'),
	(2180, 'Emerald Airways', '\\N', '', 'JEM', 'GEMSTONE', 'United Kingdom', 'N'),
	(2181, 'Emery Worldwide Airlines', '\\N', '', 'EWW', 'EMERY', 'United States', 'N'),
	(2182, 'Emetebe', '\\N', '', 'EMT', 'EMETEBE', 'Ecuador', 'N'),
	(2183, 'Emirates', 'Emirates Airlines', 'EK', 'UAE', 'EMIRATES', 'United Arab Emirates', 'Y'),
	(2184, 'Emoyeni Air Charter', '\\N', '', 'SBC', 'SABIAN AIR', 'South Africa', 'N'),
	(2185, 'Empire Air Service', '\\N', '', 'EMP', 'EMPIRE', 'United States', 'N'),
	(2186, 'Empire Airlines', '\\N', 'EM', 'CFS', 'EMPIRE AIR', 'United States', 'N'),
	(2187, 'Empire Aviation Services', '\\N', '', 'MPR', '', 'Nigeria', 'N'),
	(2188, 'Empire Test Pilots\' School', '\\N', '', 'ETP', 'TESTER', 'United Kingdom', 'N'),
	(2189, 'Empresa (Aero Uruguay)', '\\N', '', 'AUO', ' S.A.', 'UNIFORM OSCAR', 'N'),
	(2190, 'Empresa Aero-Servicios Parrague', '\\N', '', 'PRG', 'ASPAR', 'Chile', 'N'),
	(2191, 'Empresa Aerocaribbean', '\\N', '', 'CRN', 'AEROCARIBBEAN', 'Cuba', 'N'),
	(2192, 'Empresa Aviacion Interamericana', '\\N', '', 'VNA', 'EBBA', 'Uruguay', 'N'),
	(2193, 'Empresa Ecuatoriana De Aviacion', '\\N', 'EU', 'EEA', 'ECUATORIANA', 'Ecuador', 'Y'),
	(2194, 'Empresa Nacional De Servicios Aereos', '\\N', '', 'CNI', 'SERAER', 'Cuba', 'N'),
	(2195, 'Empresa Venezolana', '\\N', '', 'VNE', 'VENEZOLANA', 'Venezuela', 'N'),
	(2196, 'Empresa de Aviacion Aerogaviota', '\\N', '', 'GTV', 'GAVIOTA', 'Cuba', 'N'),
	(2197, 'Empressa Brasileira de Infra-Estrutura Aeroportuaria-Infraero', '\\N', '', 'XLT', 'INFRAERO', 'Brazil', 'N'),
	(2198, 'Endecots', '\\N', '', 'ENC', 'ENDECOTS', 'Ecuador', 'N'),
	(2199, 'Enimex', '\\N', '', 'ENI', 'ENIMEX', 'Estonia', 'N'),
	(2200, 'Enkor JSC', '\\N', 'G8', 'ENK', 'ENKOR', 'Russia]]', 'N'),
	(2201, 'Enrique Gleisner Vivanco', '\\N', '', 'EGV', 'GLEISNER', 'Chile', 'N'),
	(2202, 'Ensenada Vuelos Especiales', '\\N', '', 'ESE', 'ENSENADA ESPECIAL', 'Mexico', 'N'),
	(2203, 'Entergy Services', '\\N', '', 'ENS', 'ENTERGY SHUTTLE', 'United States', 'N'),
	(2204, 'Enterprise World Airways', '\\N', '', 'EWS', 'WORLD ENTERPRISE', 'Democratic Republic of the Congo', 'N'),
	(2205, 'Eos Airlines', '\\N', 'E0', 'ESS', 'NEW DAWN', 'United States', 'N'),
	(2206, 'Equaflight Service', '\\N', '', 'EKA', 'EQUAFLIGHT', 'Republic of the Congo', 'N'),
	(2207, 'Equatair Air Services (Zambia)', '\\N', '', 'EQZ', 'ZAMBIA CARGO', 'Zambia', 'N'),
	(2208, 'Equatorial Airlines', '\\N', '', 'EQT', '', 'Equatorial Guinea', 'N'),
	(2209, 'Era Helicopters', '\\N', '', 'ERH', 'ERAH', 'United States', 'N'),
	(2210, 'Eram Air', '\\N', '', 'IRY', 'ERAM AIR', 'Iran', 'N'),
	(2211, 'Erfoto', '\\N', '', 'ERF', 'ERFOTO', 'Portugal', 'N'),
	(2212, 'Erie Airways', '\\N', '', 'ERE', 'AIR ERIE', 'United States', 'N'),
	(2213, 'Eritrean Airlines', '\\N', 'B8', 'ERT', 'ERITREAN', 'Eritrea', 'Y'),
	(2214, 'Escuela De Pilotos Are Aviacion', '\\N', '', 'CTV', 'ARE AVIACION', 'Spain', 'N'),
	(2215, 'Espace Aviation Services', '\\N', '', 'EPC', 'ESPACE', 'Democratic Republic of the Congo', 'N'),
	(2216, 'Esso Resources Canada', '\\N', '', 'ERC', 'ESSO', 'Canada', 'N'),
	(2217, 'Estafeta Carga Aerea', '\\N', 'E7', 'ESF', '', 'Mexico', 'N'),
	(2218, 'Estonian Air', '\\N', 'OV', 'ELL', 'ESTONIAN', 'Estonia', 'Y'),
	(2219, 'Estrellas Del Aire', '\\N', '', 'ETA', 'ESTRELLAS', 'Mexico', 'N'),
	(2220, 'Ethiopian Airlines', '\\N', 'ET', 'ETH', 'ETHIOPIAN', 'Ethiopia', 'Y'),
	(2221, 'Eti 2000', '\\N', '', 'MJM', 'ELCO ETI', 'Italy', 'N'),
	(2222, 'Etihad Airways', '\\N', 'EY', 'ETD', 'ETIHAD', 'United Arab Emirates', 'Y'),
	(2223, 'Etram Air Wing', '\\N', '', 'ETM', 'ETRAM', 'Angola', 'N'),
	(2224, 'Euraviation', '\\N', '', 'EVN', 'EURAVIATION', 'Italy', 'N'),
	(2225, 'Euro Continental AIE', '\\N', '', 'ECN', 'EURO CONTINENTAL', 'Spain', 'N'),
	(2226, 'Euro Exec Express', '\\N', 'RZ', '', '', 'Sweden', 'Y'),
	(2227, 'Euro Sun', '\\N', '', 'ESN', 'EURO SUN', 'Turkey', 'N'),
	(2228, 'Euro-Asia Air', '\\N', '', 'EAK', 'EAKAZ', 'Kazakhstan', 'N'),
	(2229, 'Euro-Asia Air International', '\\N', '', 'KZE', 'KAZEUR', 'Kazakhstan', 'N'),
	(2230, 'EuroAtlantic Airways', '\\N', 'MM', 'MMZ', 'EUROATLANTIC', 'Portugal', 'N'),
	(2231, 'EuroJet Aviation', '\\N', '', 'GOJ', 'GOJET', 'United Kingdom', 'N'),
	(2232, 'Euroair', '\\N', '', 'EUP', 'EUROSTAR', 'Greece', 'N'),
	(2233, 'Euroamerican Air', '\\N', '', 'EUU', 'EUROAMERICAN', 'Uruguay', 'N'),
	(2234, 'Euroceltic Airways', '\\N', '', 'ECY', 'ECHELON', 'United Kingdom', 'N'),
	(2235, 'Eurocontrol', '\\N', '', 'EUC', '', 'Belgium', 'N'),
	(2236, 'Eurocopter', '\\N', '', 'ECF', 'EUROCOPTER', 'France', 'N'),
	(2237, 'Eurocypria Airlines', '\\N', 'UI', 'ECA', 'EUROCYPRIA', 'Cyprus', 'Y'),
	(2238, 'Eurofly', '\\N', '', 'EEZ', 'E-FLY', 'Italy', 'N'),
	(2239, 'Eurofly Service', '\\N', 'GJ', 'EEU', 'EUROFLY', 'Italy', 'Y'),
	(2240, 'Euroguineana de Aviacion', '\\N', '', 'EUG', 'EUROGUINEA', 'Equatorial Guinea', 'N'),
	(2241, 'Eurojet Italia', '\\N', '', 'ERJ', 'JET ITALIA', 'Italy', 'N'),
	(2242, 'Eurojet Limited', '\\N', '', 'JLN', 'JET LINE', 'Malta', 'N'),
	(2243, 'Eurojet Romania', '\\N', '', 'RDP', 'JET-ARROW', 'Romania', 'N'),
	(2244, 'Eurojet Servis', '\\N', '', 'EJS', 'EEJAY SERVICE', 'Czech Republic', 'N'),
	(2245, 'Eurolot', '\\N', 'K2', 'ELO', 'EUROLOT', 'Poland', 'Y'),
	(2246, 'Euromanx Airways', '\\N', '3W', 'EMX', 'EUROMANX', 'Austria', 'N'),
	(2247, 'Europe Air Lines', '\\N', '', 'GED', 'LANGUEDOC', 'France', 'N'),
	(2248, 'Europe Airpost', '\\N', '', 'FPO', 'FRENCH POST', 'France', 'N'),
	(2249, 'European 2000 Airlines', '\\N', '', 'EUT', 'FIESTA', 'Malta', 'N'),
	(2250, 'European Aeronautical Group UK', '\\N', '', 'EAG', '', 'United Kingdom', 'N'),
	(2251, 'European Air Express', '\\N', 'EA', 'EAL', 'STAR WING', 'Germany', 'Y'),
	(2252, 'European Air Transport', '\\N', 'QY', 'BCS', 'EUROTRANS', 'Belgium', 'N'),
	(2253, 'European Aviation Air Charter', '\\N', 'E7', 'EAF', 'EUROCHARTER', 'United Kingdom', 'N'),
	(2254, 'European Business Jets', '\\N', '', 'EBJ', '', 'United Kingdom', 'N'),
	(2255, 'European Coastal Airlines', '\\N', '', 'ECB', 'COASTAL CLIPPER', 'Croatia', 'N'),
	(2256, 'European Executive', '\\N', '', 'ETV', 'EURO EXEC', 'United Kingdom', 'N'),
	(2257, 'European Executive Express', '\\N', '', 'EXC', 'ECHO EXPRESS', 'Sweden', 'N'),
	(2258, 'Eurosense', '\\N', '', 'EBG', 'EUROSENSE', 'Bulgaria', 'N'),
	(2259, 'Euroskylink', '\\N', '', 'ESX', 'CATFISH', 'United Kingdom', 'N'),
	(2260, 'Eurowings', '\\N', 'EW', 'EWG', 'EUROWINGS', 'Germany', 'Y'),
	(2261, 'Evergreen International Airlines', '\\N', 'EZ', 'EIA', 'EVERGREEN', 'United States', 'Y'),
	(2262, 'Everts Air Alaska/Everts Air Cargo', '\\N', '', 'VTS', 'EVERTS', 'United States', 'N'),
	(2263, 'Examiner Training Agency', '\\N', '', 'EMN', 'AGENCY', 'United Kingdom', 'N'),
	(2264, 'Excel Airways', '\\N', 'JN', 'XLA', 'EXPO', 'United Kingdom', 'Y'),
	(2265, 'Excel Charter', '\\N', '', 'XEL', 'HELI EXCEL', 'United Kingdom', 'Y'),
	(2266, 'Excellent Air', '\\N', '', 'GZA', 'EXCELLENT AIR', 'Germany', 'N'),
	(2267, 'Execair Aviation', '\\N', 'MB', 'EXA', 'CANADIAN EXECAIRE', 'Canada', 'N'),
	(2268, 'Execujet Charter', '\\N', '', 'VCN', 'AVCON', 'Switzerland', 'N'),
	(2269, 'Execujet Middle East', '\\N', '', 'EJO', 'MIDJET', 'United Arab Emirates', 'N'),
	(2270, 'Execujet Scandinavia', '\\N', '', 'VMP', 'VAMPIRE', 'Denmark', 'N'),
	(2271, 'Executive Aerospace', '\\N', '', 'EAS', 'AEROSPACE', 'South Africa', 'N'),
	(2272, 'Executive Air', '\\N', '', 'LFL', 'LIFE FLIGHT', 'Zimbabwe', 'N'),
	(2273, 'Executive Air Charter', '\\N', '', 'EAC', 'EXECAIR', 'United States', 'N'),
	(2274, 'Executive Air Fleet', '\\N', '', 'XAF', '', 'United States', 'N'),
	(2275, 'Executive Aircraft Charter and Charter Services', '\\N', '', 'ECS', 'ECHO', 'Ireland', 'N'),
	(2276, 'Executive Aircraft Services', '\\N', '', 'XAH', '', 'United Kingdom', 'N'),
	(2277, 'Executive Airlines', '\\N', 'OW', 'EXK', 'EXECUTIVE EAGLE', 'United States', 'N'),
	(2278, 'Executive Airlines', '\\N', '', 'EXU', 'SACAIR', 'Spain', 'N'),
	(2279, 'Executive Aviation Services', '\\N', '', 'JTR', 'JESTER', 'United Kingdom', 'N'),
	(2280, 'Executive Flight', '\\N', '', 'EXE', 'EXEC', 'United States', 'N'),
	(2281, 'Executive Flight Operations Ontario Government', '\\N', '', 'TRI', 'TRILLIUM', 'Canada', 'N'),
	(2282, 'Executive Jet Charter', '\\N', '', 'EXJ', '', 'United Kingdom', 'N'),
	(2283, 'Executive Jet Management', '\\N', '', 'EJM', 'JET SPEED', 'United States', 'N'),
	(2284, 'Executive Turbine Aviation', '\\N', '', 'TEA', 'TRAVELMAX', 'South Africa', 'N'),
	(2285, 'Eximflight', '\\N', '', 'EXF', 'EXIMFLIGHT', 'Mexico', 'N'),
	(2286, 'Exin', '\\N', '', 'EXN', 'EXIN', 'Poland', 'N'),
	(2287, 'Expertos En Carga', '\\N', '', 'EXR', 'EXPERTOS ENCARGA', 'Mexico', 'N'),
	(2288, 'Expo Aviation', '\\N', '8D', 'EXV', 'EXPOAVIA', 'Sri Lanka', 'N'),
	(2289, 'Express Air', '\\N', '', 'FXA', 'EFFEX', 'United States', 'N'),
	(2290, 'Express International Cargo', '\\N', '', 'EIC', 'EXCARGO', 'S', 'N'),
	(2291, 'Express Line Aircompany', '\\N', '', 'XPL', 'EXPRESSLINE', 'United States', 'N'),
	(2292, 'Express Net Airlines', '\\N', '', 'XNA', 'EXPRESSNET', 'United States', 'N'),
	(2293, 'Express One International', '\\N', 'EO', 'LHN', 'LONGHORN', 'United States', 'Y'),
	(2294, 'Express Tours', '\\N', '', 'XTO', 'EXPRESS TOURS', 'Canada', 'N'),
	(2295, 'ExpressJet', '\\N', 'XE', 'BTA', 'JET LINK', 'United States', 'Y'),
	(2296, 'Exxavia Limited', '\\N', '', 'JTM', 'SKYMAN', 'Ireland', 'N'),
	(2297, 'easyJet', 'EasyJet Airline', 'U2', 'EZY', 'EASY', 'United Kingdom', 'Y'),
	(2298, 'NetJets', '\\N', '', 'EJA', '', 'United States', 'N'),
	(2299, 'F.S. Air Service', '\\N', '', 'EYE', 'SOCKEYE', 'United States', 'N'),
	(2300, 'FAI Airservice', '\\N', '', 'IFA', 'RED ANGLE', 'Germany', 'N'),
	(2301, 'FINFO Flight Inspection Aircraft', '\\N', '', 'FLC', 'FLIGHT CHECK', 'United States', 'N'),
	(2302, 'FLM Aviation Mohrdieck', '\\N', '', 'FKI', 'KIEL AIR', 'Germany', 'N'),
	(2303, 'FLTPLAN', '\\N', '', 'DCM', 'DOT COM', 'United States', 'N'),
	(2304, 'FLowair Aviation', '\\N', '', 'FLW', 'QUICKFLOW', 'France', 'N'),
	(2305, 'FMG Verkehrsfliegerschule Flughafen Paderborn-Lippstadt', '\\N', '', 'FMG', 'HUSKY', 'Germany', 'N'),
	(2306, 'FR Aviation', '\\N', '', 'FRA', 'RUSHTON', 'United Kingdom', 'N'),
	(2307, 'FSB Flugservice & Development', '\\N', '', 'FSB', 'SEABIRD', 'Germany', 'N'),
	(2308, 'FSH Luftfahrtunternehmen', '\\N', '', 'LEJ', 'LEIPZIG FAIR', 'Germany', 'N'),
	(2309, 'Fab Air', '\\N', '', 'FBA', 'FAB AIR', 'Kyrgyzstan', 'N'),
	(2310, 'Facts Air', '\\N', '', 'FCS', 'MEXFACTS', 'Mexico', 'N'),
	(2311, 'Fair Aviation', '\\N', '', 'FAV', 'FAIRAVIA', 'South Africa', 'N'),
	(2312, 'Fair Wind Air Charter', '\\N', '', 'FWD', 'FAIR WIND', 'United Arab Emirates', 'N'),
	(2313, 'Fairlines', '\\N', '', 'FLS', 'FAIRLINE', 'Netherlands', 'N'),
	(2314, 'Fairoaks Flight Centre', '\\N', '', 'FFC', 'FAIROAKS', 'United Kingdom', 'N'),
	(2315, 'Fairways Corporation', '\\N', '', 'FWY', 'FAIRWAYS', 'United States', 'N'),
	(2316, 'Falcon Air', '\\N', '', 'FCN', 'FALCON', 'Sweden', 'N'),
	(2317, 'Falcon Air', '\\N', '', 'FAR', 'FALCAIR', 'Slovenia', 'N'),
	(2318, 'Falcon Air Express', '\\N', '', 'FAO', 'PANTHER', 'United States', 'N'),
	(2319, 'Falcon Airline', '\\N', '', 'FAU', 'FALCON AIRLINE', 'Nigeria', 'N'),
	(2320, 'Falcon Aviation', '\\N', 'IH', '', '', 'Sweden', 'N'),
	(2321, 'Falcon Aviation Services', '\\N', '', 'FVS', 'FALCON AVIATION', 'United Arab Emirates', 'N'),
	(2322, 'Falcon Jet Centre', '\\N', '', 'FJC', 'FALCONJET', 'United Kingdom', 'N'),
	(2323, 'Falwell Aviation', '\\N', '', 'FAW', 'FALWELL', 'United States', 'N'),
	(2324, 'Far Eastern Air Transport', '\\N', 'EF', 'EFA', 'Far Eastern', 'Taiwan', 'Y'),
	(2325, 'Farmingdale State University', '\\N', '', 'FDL', 'FARMINGDALE STATE', 'United States', 'N'),
	(2326, 'Farnair Hungary', '\\N', '', 'FAH', 'BLUE STRIP', 'Hungary', 'N'),
	(2327, 'Farnair Netherlands', '\\N', '', 'FRN', 'FARNED', 'Netherlands', 'N'),
	(2328, 'Farnair Switzerland', '\\N', '', 'FAT', 'FARNER', 'Switzerland', 'N'),
	(2329, 'Farnas Aviation Services', '\\N', '', 'RAF', 'FARNAS', 'Sudan', 'N'),
	(2330, 'Faroecopter', '\\N', '', 'HBL', 'HELIBLUE', 'Denmark', 'N'),
	(2331, 'Faroejet', '\\N', 'F6', 'RCK', 'ROCKROSE', 'Faroe Islands', 'N'),
	(2332, 'Farwest Airlines', '\\N', '', 'FRW', 'FARWEST', 'United States', 'N'),
	(2333, 'Faso Airways', '\\N', 'F3', 'FSW', 'FASO', 'Burkina Faso', 'N'),
	(2334, 'Fast Helicopters', '\\N', '', 'FHL', 'FINDON', 'United Kingdom', 'N'),
	(2335, 'Fayban Air Services', '\\N', '', 'FAY', 'FAYBAN AIR', 'Nigeria', 'N'),
	(2336, 'Fayetteville Flying Service and Scheduled Skyways System', '\\N', '', 'SKM', 'SKYTEM', 'United States', 'N'),
	(2337, 'Federal Air', '\\N', '', 'FDR', 'FEDAIR', 'South Africa', 'N'),
	(2338, 'Federal Airlines', '\\N', '', 'FLL', 'FEDERAL AIRLINES', 'Sweden', 'N'),
	(2339, 'Federal Armed Forces', '\\N', '', 'DCN', 'DIPLOMATIC CLEARANCE', 'Germany', 'N'),
	(2340, 'Federal Armored Service', '\\N', '', 'FRM', 'FEDARM', 'United States', 'N'),
	(2341, 'Federal Aviation Administration', '\\N', '', 'NHK', 'NIGHTHAWK', 'United States', 'N'),
	(2342, 'Federal Express', '\\N', 'FX', 'FDX', 'FEDEX', 'United States', 'N'),
	(2343, 'Feniks Airline', '\\N', '', 'FNK', 'AURIKA', 'Kazakhstan', 'N'),
	(2344, 'Feria Aviacion', '\\N', '', 'FER', 'FERIA', 'Spain', 'N'),
	(2345, 'Fika Salaama Airlines', '\\N', 'N8', 'HGK', 'SALAAMA', 'Uganda', 'N'),
	(2346, 'Finalair Congo', '\\N', '4S', 'FNC', 'FINALAIR CONGO', 'Republic of the Congo', 'N'),
	(2347, 'Financial Airxpress', '\\N', '', 'FAK', 'FACTS', 'United States', 'N'),
	(2348, 'Fine Airlines', '\\N', '', 'FBF', 'FINE AIR', 'United States', 'N'),
	(2349, 'Finist\'air', '\\N', '', 'FTR', 'FINISTAIR', 'France', 'N'),
	(2350, 'Finnair', '\\N', 'AY', 'FIN', 'FINNAIR', 'Finland', 'Y'),
	(2351, 'Finncomm Airlines', '\\N', 'FC', 'WBA', 'WESTBIRD', 'Finland', 'Y'),
	(2352, 'Finnish Air Force', '\\N', '', 'FNF', 'FINNFORCE', 'Finland', 'N'),
	(2353, 'Firefly', '\\N', 'FY', 'FFM', 'FIREFLY', 'Malaysia', 'Y'),
	(2354, 'First Air', '\\N', '7F', 'FAB', '', 'Canada', 'Y'),
	(2355, 'First Air Transport', '\\N', '', 'JRF', '', 'Japan', 'N'),
	(2356, 'First Cambodia Airlines', '\\N', '', 'FCC', 'FIRST CAMBODIA', 'Cambodia', 'N'),
	(2357, 'First Choice Airways', '\\N', 'DP', 'FCA', 'JETSET', 'United Kingdom', 'Y'),
	(2358, 'First City Air', '\\N', '', 'MBL', 'FIRST CITY', 'United Kingdom', 'N'),
	(2359, 'First Flying Squadron', '\\N', '', 'GGA', 'JAWJA', 'United States', 'N'),
	(2360, 'First Line Air', '\\N', '', 'FIR', 'FIRSTLINE AIR', 'Sierra Leone', 'N'),
	(2361, 'First Sabre', '\\N', '', 'FTS', 'FIRST SABRE', 'Mexico', 'N'),
	(2362, 'Fischer Air', '\\N', '8F', 'FFR', 'FISCHER', 'Czech Republic', 'N'),
	(2363, 'Fischer Air Polska', '\\N', '', 'FFP', 'FLYING FISH', 'Poland', 'N'),
	(2364, 'Flagship Express Services', '\\N', '', 'FSX', 'FLAG', 'United States', 'N'),
	(2365, 'Flair Airlines', '\\N', '', 'FLE', 'FLAIR', 'Canada', 'N'),
	(2366, 'Flamenco Airways', '\\N', '', 'WAF', 'FLAMENCO', 'United States', 'N'),
	(2367, 'Flamingo Air', '\\N', '', 'FMR', 'FLAMINGO AIR', 'United States', 'N'),
	(2368, 'Flamingo Air-Line', '\\N', '', 'FLN', 'ILIAS', 'Kazakhstan', 'N'),
	(2369, 'Flash Airlines', '\\N', '', 'FSH', 'FLASH', 'Egypt', 'N'),
	(2370, 'Fleet Requirements Air Direction Unit', '\\N', '', 'BWY', 'BROADWAY', 'United Kingdom', 'N'),
	(2371, 'Fleetair', '\\N', '', 'FLR', 'FLEETAIR', 'South Africa', 'N'),
	(2372, 'Flexair', '\\N', '', 'FXY', 'FLEXY', 'Netherlands', 'N'),
	(2373, 'Flexflight', '\\N', '', 'FXT', '', 'Denmark', 'N'),
	(2374, 'Flight Alaska', '\\N', '', 'TUD', 'TUNDRA', 'United States', 'N'),
	(2375, 'Flight Calibration Service', '\\N', '', 'FCK', 'NAV CHECKER', 'Germany', 'N'),
	(2376, 'Flight Centre Victoria', '\\N', '', 'FCV', 'NAVAIR', 'Canada', 'N'),
	(2377, 'Flight Corporation', '\\N', '', 'FCP', 'FLIGHTCORP', 'New Zealand', 'N'),
	(2378, 'Flight Dispatch Services', '\\N', '', 'FDP', '', 'Poland', 'N'),
	(2379, 'Flight Express', '\\N', '', 'FLX', 'FLIGHT EXPRESS', 'United States', 'N'),
	(2380, 'Flight Inspection Center of the General Administration of Civil Aviation in China', '\\N', '', 'CFI', 'CHINA JET', 'China', 'N'),
	(2381, 'Flight Inspections and Systems', '\\N', '', 'LTS', 'SPECAIR', 'Russia', 'N'),
	(2382, 'Flight International', '\\N', '', 'IVJ', 'INVADER JACK', 'United States', 'N'),
	(2383, 'Flight Line', '\\N', '', 'MIT', 'MATCO', 'United States', 'N'),
	(2384, 'Flight Ops International', '\\N', '', 'FOI', '', 'United States', 'N'),
	(2385, 'Flight Options', '\\N', '', 'OPT', 'OPTIONS', 'United States', 'N'),
	(2386, 'Flight Precision Limited', '\\N', '', 'CLB', 'CALIBRATOR', 'United Kingdom', 'N'),
	(2387, 'Flight Safety Limited', '\\N', '', 'FSL', 'FLIGHTSAFETY', 'United Kingdom', 'N'),
	(2388, 'Flight Support Sweden', '\\N', '', 'FSU', '', 'Sweden', 'N'),
	(2389, 'Flight Trac', '\\N', '', 'CCK', 'CABLE CHECK', 'United States', 'N'),
	(2390, 'Flight Training Europe', '\\N', '', 'AYR', 'CYGNET', 'Spain', 'N'),
	(2391, 'Flight West Airlines', '\\N', '', 'FWQ', '', 'Australia', 'N'),
	(2392, 'Flight-Ops International', '\\N', '', 'KLO', 'KLONDIKE', 'Canada', 'N'),
	(2393, 'Flightcraft', '\\N', '', 'CSK', 'CASCADE', 'United States', 'N'),
	(2394, 'Flightexec', '\\N', '', 'FEX', 'FLIGHTEXEC', 'Canada', 'N'),
	(2395, 'Flightline', '\\N', 'B5', 'FLT', 'FLIGHTLINE', 'United Kingdom', 'Y'),
	(2396, 'Flightpass Limited', '\\N', '', 'FPS', 'FLIGHTPASS', 'United Kingdom', 'N'),
	(2397, 'Flightstar Corporation', '\\N', '', 'FSR', 'FLIGHTSTAR', 'United States', 'N'),
	(2398, 'Flightworks', '\\N', '', 'KDZ', 'KUDZU', 'United States', 'N'),
	(2399, 'Flint Aviation Services', '\\N', '', 'FAZ', 'FLINT AIR', 'United States', 'N'),
	(2400, 'Florida Air', '\\N', '', 'OJY', 'OHJAY', 'United States', 'N'),
	(2401, 'Florida Coastal Airlines', '\\N', 'PA', 'FCL', 'FLORIDA COASTAL', 'United States', 'N'),
	(2402, 'Florida Department of Agriculture', '\\N', '', 'FFS', 'FORESTRY', 'United States', 'N'),
	(2403, 'Florida Jet Service', '\\N', '', 'FJS', 'FLORIDAJET', 'United States', 'N'),
	(2404, 'Florida West International Airways', '\\N', 'RF', 'FWL', 'FLO WEST', 'United States', 'Y'),
	(2405, 'Flugdienst Fehlhaber', '\\N', '', 'FFG', 'WITCHCRAFT', 'Germany', 'N'),
	(2406, 'Flugschule Basel', '\\N', '', 'FLU', 'YELLOW FLYER', 'Switzerland', 'N'),
	(2407, 'Flugschule Eichenberger', '\\N', '', 'EZB', 'EICHENBURGER', 'Switzerland', 'N'),
	(2408, 'Flugwerkzeuge Aviation Software', '\\N', '', 'FWZ', '', 'Austria', 'N'),
	(2409, 'Fly Air', '\\N', 'F2', 'FLM', 'FLY WORLD', 'Turkey', 'N'),
	(2410, 'Fly CI Limited', '\\N', '', 'FCT', 'DEALER', 'United Kingdom', 'N'),
	(2411, 'Fly Europa Limited', '\\N', '', 'FEE', 'FLY EURO', 'United Kingdom', 'N'),
	(2412, 'Fly Excellent', '\\N', '', 'FXL', 'FLY EXCELLENT', 'Sweden', 'N'),
	(2413, 'Fly International Airways', '\\N', '', 'NVJ', 'NOUVINTER', 'Tunisia', 'N'),
	(2414, 'Fly Line', '\\N', '', 'FIL', 'FLYLINE', 'Spain', 'N'),
	(2415, 'Fly Me Sweden', '\\N', 'SH', 'FLY', 'FLYBIRD', 'Sweden', 'N'),
	(2416, 'Fly Wex', '\\N', '', 'IAD', 'FLYWEX', 'Italy', 'N'),
	(2417, 'AirAsia X', 'FlyAsianXpress', 'D7', 'XAX', 'XANADU', 'Malaysia', 'Y'),
	(2418, 'FlyLal', '\\N', 'TE', 'LIL', 'LITHUANIA AIR', 'Lithuania', 'Y'),
	(2419, 'FlyNordic', '\\N', 'LF', 'NDC', 'NORDIC', 'Sweden', 'Y'),
	(2420, 'Flybaboo', '\\N', 'F7', 'BBO', 'BABOO', 'Switzerland', 'Y'),
	(2421, 'Flybe', '\\N', 'BE', 'BEE', 'JERSEY', 'United Kingdom', 'Y'),
	(2422, 'Flycolumbia', '\\N', '', 'FCE', 'FLYCOLUMBIA', 'Spain', 'N'),
	(2423, 'Flycom', '\\N', '', 'FLO', 'FLYCOM', 'Slovenia', 'N'),
	(2424, 'Flygaktiebolaget Gota Vingar', '\\N', '', 'GVG', 'BLUECRAFT', 'Sweden', 'N'),
	(2425, 'Flyglobespan', '\\N', 'B4', 'GSM', 'GLOBESPAN', 'United Kingdom', 'Y'),
	(2426, 'Flygprestanda', '\\N', '', 'FPA', '', 'Sweden', 'N'),
	(2427, 'Flygtransporter I Nykoping', '\\N', '', 'ETS', 'EXTRANS', 'Sweden', 'N'),
	(2428, 'Flyguppdraget Backamo', '\\N', '', 'INU', 'INSTRUCTOR', 'Sweden', 'N'),
	(2429, 'Flyhy Cargo Airlines', '\\N', '', 'FYH', 'FLY HIGH', 'Thailand', 'Y'),
	(2430, 'Flying Carpet Company', '\\N', '', 'FCR', 'FLYING CARPET', 'Lebanon', 'N'),
	(2431, 'Flying Service', '\\N', '', 'FYG', 'FLYING GROUP', 'Belgium', 'N'),
	(2432, 'Flying-Research Aerogeophysical Center', '\\N', '', 'FGP', 'FLYING CENTER', 'Russia', 'N'),
	(2433, 'Flylink Express', '\\N', '', 'FLK', 'FLYLINK', 'Spain', 'N'),
	(2434, 'Flyteam Aviation', '\\N', '', 'FTM', 'FLYTEAM', 'United Kingdom', 'N'),
	(2435, 'Focus Air', '\\N', '', 'FKS', 'FOCUS', 'United States', 'N'),
	(2436, 'Fokker', '\\N', '', 'FOP', '', 'Netherlands', 'N'),
	(2437, 'Fonnafly', '\\N', '', 'NOF', 'FONNA', 'Norway', 'N'),
	(2438, 'Ford Motor Company', '\\N', '', 'FOB', 'FORDAIR', 'United Kingdom', 'N'),
	(2439, 'Formosa Airlines', '\\N', 'VY', 'FOS', '', 'Taiwan', 'Y'),
	(2440, 'Formula One Management', '\\N', '', 'FOR', 'FORMULA', 'United Kingdom', 'N'),
	(2441, 'Forth and Clyde Helicopter Services', '\\N', '', 'FHS', 'HELISCOT', 'United Kingdom', 'N'),
	(2442, 'Fortunair Canada', '\\N', '', 'FXC', 'AIR FUTURE', 'Canada', 'N'),
	(2443, 'Forward Air International Airlines', '\\N', 'BN', '', '', 'United States', 'N'),
	(2444, 'Foster Aviation', '\\N', '', 'FSA', 'FOSTER-AIR', 'United States', 'N'),
	(2445, 'Foster Yeoman', '\\N', '', 'JFY', 'YEOMAN', 'United Kingdom', 'N'),
	(2446, 'Fotografia F3', '\\N', '', 'FTE', 'FOTOGRAFIA', 'Spain', 'N'),
	(2447, 'Four Island Air', '\\N', '', 'FIA', 'ISLANDAIR', 'Antigua and Barbuda', 'N'),
	(2448, 'Four Star Aviation / Four Star Cargo', '\\N', 'HK', 'FSC', 'FOUR STAR', 'United States', 'N'),
	(2449, 'Four Winds Aviation', '\\N', '', 'WDS', 'WINDS', 'United States', 'N'),
	(2450, 'Foxair', '\\N', '', 'FXR', 'WILDFOX', 'Italy', 'N'),
	(2451, 'France Douanes', '\\N', '', 'FDO', 'FRENCH CUSTOM', 'France', 'N'),
	(2452, 'Free Bird Airlines', '\\N', '', 'FHY', 'FREE BIRD', 'Turkey', 'N'),
	(2453, 'Freedom Air', '\\N', '', 'FOM', 'FREE AIR', 'New Zealand', 'N'),
	(2454, 'Freedom Air', '\\N', 'FP', 'FRE', 'FREEDOM', 'United States', 'Y'),
	(2455, 'Freedom Air Services', '\\N', '', 'FFF', 'INTER FREEDOM', 'Nigeria', 'N'),
	(2456, 'Freedom Airlines', '\\N', '', 'FRL', 'FREEDOM AIR', 'United States', 'Y'),
	(2457, 'Freedom Airways', '\\N', '', 'FAS', 'FREEDOM AIRWAYS', 'Cyprus', 'N'),
	(2458, 'Freeway Air', '\\N', '', 'FWC', 'FREEWAY', 'Netherlands', 'N'),
	(2459, 'Freight Runners Express', '\\N', '', 'FRG', 'FREIGHT RUNNERS', 'United States', 'N'),
	(2460, 'Force Aerienne Francaise', '\\N', '', 'FAF', 'FRENCH AIR FORCE', 'France', 'N'),
	(2461, 'Aviation Legere De L\'Armee De Terre', '\\N', '', 'FMY', 'FRENCH ARMY', 'France', 'N'),
	(2462, 'France Marine Nationale', '\\N', '', 'FNY', 'FRENCH NAVY', 'France', 'N'),
	(2463, 'Fresh Air', '\\N', '', 'FRR', 'FRESH AIR', 'Nigeria', 'N'),
	(2464, 'Freshaer', '\\N', '', 'FAE', 'WILDGOOSE', 'United Kingdom', 'N'),
	(2465, 'Friendship Air Alaska', '\\N', '', 'FAL', 'FRIENDSHIP', 'United States', 'N'),
	(2466, 'Friendship Airlines', '\\N', '', 'FLF', 'FRIEND AIR', 'Uganda', 'N'),
	(2467, 'Froggy Corporate Aviation', '\\N', '', 'FGY', '', 'Australia', 'N'),
	(2468, 'Frontier Airlines', '\\N', 'F9', 'FFT', 'FRONTIER FLIGHT', 'United States', 'Y'),
	(2469, 'Frontier Commuter', '\\N', '', 'ITR', 'OUT BACK', 'United States', 'N'),
	(2470, 'Frontier Flying Service', '\\N', '2F', 'FTA', 'FRONTIER-AIR', 'United States', 'Y'),
	(2471, 'Frontier Guard', '\\N', '', 'FNG', 'FINNGUARD', 'Finland', 'N'),
	(2472, 'Fujairah Aviation Centre', '\\N', '', 'FUJ', 'FUJAIRAH', 'United Arab Emirates', 'N'),
	(2473, 'Fujian Airlines', '\\N', '', 'CFJ', 'FUJIAN', 'China', 'N'),
	(2474, 'Full Express', '\\N', '', 'GAX', 'GRAND AIRE', 'United States', 'N'),
	(2475, 'Fumigacion Aerea Andaluza', '\\N', '', 'FAM', 'FAASA', 'Spain', 'N'),
	(2476, 'Fun Flying Thai Air Service', '\\N', '', 'FFY', 'FUN FLYING', 'Thailand', 'N'),
	(2477, 'Fundació Rego', '\\N', '', 'ROG', 'REGO', 'Spain', 'N'),
	(2478, 'Funtshi Aviation Service', '\\N', '', 'FUN', 'FUNTSHI', 'Democratic Republic of the Congo', 'N'),
	(2479, 'Futura Gael', '\\N', '', 'FGL', 'Applewood', 'Ireland', 'N'),
	(2480, 'Futura International Airways', '\\N', 'FH', 'FUA', 'FUTURA', 'Spain', 'N'),
	(2481, 'G & L Aviation', '\\N', '', 'GML', 'GEEANDEL', 'South Africa', 'N'),
	(2482, 'G5 Executive', '\\N', '', 'EXH', 'BATMAN', 'Germany', 'N'),
	(2483, 'GAK/Mitchell Aero', '\\N', '', 'MTA', 'GAK AVIATION', 'United States', 'N'),
	(2484, 'GATSA', '\\N', '', 'GGS', 'GATSA', 'Mexico', 'N'),
	(2485, 'GB Airlink', '\\N', '', 'GBX', 'ISLAND TIGER', 'United States', 'N'),
	(2486, 'GB Airways', '\\N', 'GT', 'GBL', 'GEEBEE AIRWAYS', 'United Kingdom', 'Y'),
	(2487, 'GCS Air Service', '\\N', '', 'GCS', 'GALION', 'United States', 'N'),
	(2488, 'GEC Marconi Avionics', '\\N', '', 'FFU', 'FERRANTI', 'United Kingdom', 'N'),
	(2489, 'GECAS', '\\N', '', 'GCC', 'GECAS', 'Ireland', 'N'),
	(2490, 'GENSA', '\\N', '', 'GEN', 'GENSA-BRASIL', 'Brazil', 'N'),
	(2491, 'GETRA', '\\N', '', 'GET', 'GETRA', 'Equatorial Guinea', 'N'),
	(2492, 'GFW Aviation', '\\N', '', 'GFW', '', 'Australia', 'N'),
	(2493, 'GH Stansted Limited', '\\N', '', 'GHI', '', 'United Kingdom', 'N'),
	(2494, 'GM Helicopters', '\\N', '', 'GMG', 'GEE-EM HELICOPTERS', 'Latvia', 'N'),
	(2495, 'GP Express Airlines', '\\N', '', 'GPE', 'REGIONAL EXPRESS', 'United States', 'N'),
	(2496, 'GPM Aeroservicio', '\\N', '', 'GPR', 'GPM AEROSERVICIO', 'Mexico', 'N'),
	(2497, 'GR-Avia', '\\N', '', 'GIB', 'GRAVIA', 'Guinea', 'N'),
	(2498, 'GST Aero Aircompany', '\\N', '', 'BMK', 'MURAT', 'Kazakhstan', 'N'),
	(2499, 'GTA Air', '\\N', '', 'GTX', 'BIG-DEE', 'United States', 'N'),
	(2500, 'Ga-Ma Helicoptere', '\\N', '', 'GAH', 'GAMHELICO', 'France', 'N'),
	(2501, 'Gabon Express', '\\N', '', 'GBE', 'GABEX', 'Gabon', 'N'),
	(2502, 'Gabon-Air-Transport', '\\N', '', 'GRT', '', 'Gabon', 'N'),
	(2503, 'Gacela Air Cargo', '\\N', '', 'GIG', 'GACELA AIR', 'Mexico', 'N'),
	(2504, 'Gail Force Express', '\\N', '', 'GFC', 'GAIL FORCE', 'United States', 'N'),
	(2505, 'Gain Jet Aviation', '\\N', '', 'GNJ', 'HERCULES JET', 'Greece', 'N'),
	(2506, 'Galair International', '\\N', '', 'SWF', 'GALAIR', 'United Kingdom', 'N'),
	(2507, 'Galaircervis', '\\N', '', 'GLS', 'GALS', 'Ukraine', 'N'),
	(2508, 'Galaxy Air', '\\N', '7O', 'GAL', 'GALAXY', 'Kyrgyzstan', 'N'),
	(2509, 'Galaxy Airlines', '\\N', '', 'GXY', 'GALAX', 'Japan', 'N'),
	(2510, 'Galena Air Service', '\\N', '', 'GAS', 'GALENA AIR SERVICE', 'United States', 'N'),
	(2511, 'Galileo International', '\\N', '1G', '', '', 'United States', 'N'),
	(2512, 'Gama Aviation', '\\N', '', 'GMA', 'GAMA', 'United Kingdom', 'N'),
	(2513, 'Gambia International Airlines', '\\N', 'GC', 'GNR', 'GAMBIA INTERNATIONAL', 'Gambia', 'N'),
	(2514, 'Gambia New Millennium Air', '\\N', '', 'NML', 'NEWMILL', 'Gambia', 'N'),
	(2515, 'Gamisa Aviacion', '\\N', '', 'GMJ', 'GAMISA', 'Spain', 'N'),
	(2516, 'Gandalf Airlines', '\\N', 'G7', 'GNF', 'Gandalf', 'Italy', 'N'),
	(2517, 'Gander Aviation', '\\N', '', 'GAN', 'GANAIR', 'Canada', 'N'),
	(2518, 'Garden State Airlines', '\\N', '', 'GSA', 'GARDEN STATE', 'United States', 'N'),
	(2519, 'Garrison Aviation', '\\N', '', 'AHM', 'AIR HURON', 'Canada', 'N'),
	(2520, 'Garuda Indonesia', '\\N', 'GA', 'GIA', 'INDONESIA', 'Indonesia', 'Y'),
	(2521, 'Gatari Hutama Air Services', '\\N', '', 'GHS', 'GATARI', 'Indonesia', 'N'),
	(2522, 'Gauteng Air Cargo', '\\N', '', 'EGO', 'GAUTENG', 'South Africa', 'N'),
	(2523, 'Gavina', '\\N', '', 'GVN', 'GAVINA', 'Spain', 'N'),
	(2524, 'Gazpromavia', '\\N', '4G', 'GZP', 'GAZPROMAVIA', 'Russia', 'Y'),
	(2525, 'Geesair', '\\N', '', 'GEE', 'GEESAIR', 'Canada', 'N'),
	(2526, 'Gemini Air Cargo', '\\N', 'GR', 'GCO', 'GEMINI', 'United States', 'N'),
	(2527, 'Gendall Air', '\\N', '', 'GAB', 'GENDALL', 'Canada', 'N'),
	(2528, 'Gendarmerie Belge', '\\N', '', 'GDB', 'BELGIAN GENERMERIE', 'Belgium', 'N'),
	(2529, 'Gendarmie Nationale', '\\N', '', 'FGN', 'FRANCE GENDARME', 'France', 'N'),
	(2530, 'General Aerospace', '\\N', '', 'SWK', 'SKYWALKER', 'Canada', 'N'),
	(2531, 'General Airways', '\\N', '', 'GWS', 'GENAIR', 'South Africa', 'N'),
	(2532, 'General Aviation', '\\N', '', 'GNZ', 'GONZO', 'Poland', 'N'),
	(2533, 'General Aviation Flying Services', '\\N', '', 'GTH', 'GOTHAM', 'United States', 'N'),
	(2534, 'General Aviation Terminal', '\\N', '', 'XGA', '', 'Canada', 'N'),
	(2535, 'General Motors', '\\N', '', 'GMC', 'GENERAL MOTORS', 'United States', 'N'),
	(2536, 'Genex', '\\N', '', 'GNX', '', 'Belarus', 'N'),
	(2537, 'Geographic Air Surveys', '\\N', '', 'GSL', 'SURVEY-CANADA', 'Canada', 'N'),
	(2538, 'Georgian Airways', '\\N', 'A9', 'TGZ', 'TAMAZI', 'Georgia', 'Y'),
	(2539, 'Georgian Aviation Federation', '\\N', '', 'FGA', 'GEORGIA FED', 'Georgia', 'N'),
	(2540, 'Georgian Cargo Airlines Africa', '\\N', '', 'GGF', 'GEORGIAN AFRICA', 'Senegal', 'N'),
	(2541, 'Georgian National Airlines', '\\N', 'QB', 'GFG', 'NATIONAL', 'Georgia', 'Y'),
	(2542, 'DLR', '\\N', '', 'GPL', 'GERMAN POLAR', 'Germany', 'N'),
	(2543, 'German Air Force', '\\N', '', 'GAF', 'GERMAN AIR FORCE', 'Germany', 'N'),
	(2544, 'German Army', '\\N', '', 'GAM', 'GERMAN ARMY', 'Germany', 'N'),
	(2545, 'German Navy', '\\N', '', 'GNY', 'GERMAN NAVY', 'Germany', 'N'),
	(2546, 'German Sky Airlines', '\\N', '', 'GHY', 'GERMAN SKY', 'Germany', 'N'),
	(2547, 'Germania', '\\N', 'ST', 'GMI', 'GERMANIA', 'Germany', 'Y'),
	(2548, 'Germanwings', '\\N', '4U', 'GWI', 'GERMAN WINGS', 'Germany', 'Y'),
	(2549, 'Gerry\'s Dnata', '\\N', '', 'GDN', '', 'Pakistan', 'N'),
	(2550, 'Gesekkschaft Fur Flugzieldarstellung', '\\N', '', 'GFD', 'KITE', 'Germany', 'N'),
	(2551, 'Gestair', '\\N', 'GP', 'GES', 'GESTAIR', 'Spain', 'N'),
	(2552, 'Gestar', '\\N', '', 'GTR', 'STAR GESTAR', 'Chile', 'N'),
	(2553, 'Gestion Aerea Ajecutiva', '\\N', '', 'GJT', 'BANJET', 'Spain', 'N'),
	(2554, 'Ghadames Air Transport', '\\N', '', 'GHT', '', 'Libya', 'N'),
	(2555, 'Ghana Airways', '\\N', '', 'GHA', 'GHANA', 'Ghana', 'N'),
	(2556, 'Ghana International Airlines', '\\N', 'G0', 'GHB', 'GHANA AIRLINES', 'Ghana', 'Y'),
	(2557, 'Gibson Aviation', '\\N', '', 'NTC', 'NIGHT CHASE', 'United States', 'N'),
	(2558, 'Global Air Charter', '\\N', '', 'RPS', 'RESPONSE', 'United States', 'N'),
	(2559, 'Global Air Operations', '\\N', '', 'GAG', 'GLOBAL AIRGROUP', 'Comoros', 'N'),
	(2560, 'Global Air Services Nigeria', '\\N', '', 'GBS', 'GLOBAL SERVE', 'Nigeria', 'N'),
	(2561, 'Global Aircargo', '\\N', '', 'GLC', '', 'Bahrain', 'N'),
	(2562, 'Global Airways', '\\N', '', 'BSP', '', 'Democratic Republic of Congo', 'N'),
	(2563, 'Global Aviation Operations', '\\N', '', 'GBB', 'GLOBE', 'South Africa', 'N'),
	(2564, 'Global Aviation and Services Group', '\\N', '', 'GAK', 'AVIAGROUP', 'Libya', 'N'),
	(2565, 'Global Georgian Airways', '\\N', '', 'GGZ', 'GLOBAL GEORGIAN', 'Georgia', 'N'),
	(2566, 'Global Jet Austria', '\\N', '', 'GLJ', 'GLOBAL AUSTRIA', 'Austria', 'N'),
	(2567, 'Global Jet Corporation', '\\N', '', 'NSM', 'THUNDERCLOUD', 'United States', 'N'),
	(2568, 'Global Jet Luxembourg', '\\N', '', 'SVW', 'SILVER ARROWS', 'Luxembourg', 'N'),
	(2569, 'Global Sky Aircharter', '\\N', '', 'GSK', 'GLOBAL SKY', 'United States', 'N'),
	(2570, 'Global Supply Systems', '\\N', '', 'GSS', 'JET LIFT', 'United Kingdom', 'N'),
	(2571, 'Global System', '\\N', '', 'XGS', '', 'United States', 'N'),
	(2572, 'Global Weather Dynamics', '\\N', '', 'XGW', '', 'United States', 'N'),
	(2573, 'Global Wings', '\\N', '', 'GLW', '', 'Japan', 'N'),
	(2574, 'Globe Jet', '\\N', '', 'GJA', '', 'Lebanon', 'N'),
	(2575, 'Go Air', '\\N', 'G8', 'GOW', 'GOAIR', 'India', 'Y'),
	(2576, 'Go One Airways', '\\N', 'GK', '', '', 'United Kingdom', 'N'),
	(2577, 'GoJet Airlines', '\\N', 'G7', 'GJS', 'GATEWAY', 'United States', 'Y'),
	(2578, 'Gobierno De Guinea Ecuatorial', '\\N', '', 'GGE', '', 'Equatorial Guinea', 'N'),
	(2579, 'Gof-Air', '\\N', '', 'GOF', 'GOF-AIR', 'Mexico', 'N'),
	(2580, 'Gofir', '\\N', '', 'GOI', 'SWISS HAWK', 'Switzerland', 'N'),
	(2581, 'Gol Transportes Aéreos', '\\N', 'G3', 'GLO', 'GOL TRANSPORTE', 'Brazil', 'Y'),
	(2582, 'Gold Belt Air Transport', '\\N', '', 'GBT', 'GOLD BELT', 'Canada', 'N'),
	(2583, 'GoldAir', '\\N', '', 'GDA', 'AIR PARTNER', 'United Kingdom', 'N'),
	(2584, 'Goldeck-Flug', '\\N', '', 'GDK', 'GOLDECK FLUG', 'Austria', 'N'),
	(2585, 'Golden Air', '\\N', 'DC', 'GAO', 'GOLDEN', 'Sweden', 'Y'),
	(2586, 'Golden Airlines', '\\N', '', 'GDD', 'GOLDEN AIRLINES', 'United States', 'N'),
	(2587, 'Golden Pacific Airlines', '\\N', '', 'GPA', 'GOLDEN PAC', 'United States', 'N'),
	(2588, 'Golden Rule Airlines', '\\N', '', 'GRS', 'GOLDEN RULE', 'Kyrgyzstan', 'N'),
	(2589, 'Golden Star Air Cargo', '\\N', '', 'GLD', 'GOLDEN STAR', 'Sudan', 'N'),
	(2590, 'Goldfields Air Services', '\\N', '', 'GOS', '', 'Australia', 'N'),
	(2591, 'Golfe Air Quebec', '\\N', '', 'GAQ', 'GOLFAIR', 'Canada', 'N'),
	(2592, 'Goliaf Air', '\\N', '', 'GLE', 'GOLIAF AIR', 'Sao Tome and Principe', 'N'),
	(2593, 'Gomel Airlines', '\\N', '', 'GOM', 'GOMEL', 'Belarus', 'N'),
	(2594, 'Goodridge (UK) Limited', '\\N', '', 'RDR', 'RED STAR', 'United Kingdom', 'N'),
	(2595, 'Gorkha Airlines', '\\N', 'G1', 'IKA', 'GORKHA AIRLINES', 'Nepal', 'N'),
	(2596, 'Gorlitsa Airlines', '\\N', '', 'GOR', 'GORLITSA', 'Ukraine', 'N'),
	(2597, 'Government Flying Service', '\\N', '', 'HKG', 'HONGKONG GOVERNMENT', 'Hong Kong SAR of China', 'N'),
	(2598, 'Government of Zambia Communications Flight', '\\N', '', 'GRZ', 'COM FLIGHT', 'Zambia', 'N'),
	(2599, 'Grampian Flight Centre', '\\N', '', 'HLD', 'GRANITE', 'United Kingdom', 'N'),
	(2600, 'Granada Aviacion', '\\N', '', 'GAV', 'GRANAVI', 'Spain', 'N'),
	(2601, 'Grand Aire Express', '\\N', '', 'GAE', 'GRAND EXPRESS', 'United States', 'N'),
	(2602, 'Grand Airways', '\\N', '', 'GND', 'GRAND VEGAS', 'United States', 'N'),
	(2603, 'Grand Canyon Airlines', '\\N', '', 'CVU', 'CANYON VIEW', 'United States', 'N'),
	(2604, 'Grant Aviation', '\\N', 'GS', 'GUN', 'HOOT', 'United States', 'N'),
	(2605, 'Grantex Aviation', '\\N', '', 'LMK', 'LANDMARK', 'United Kingdom', 'N'),
	(2606, 'Great American Airways', '\\N', '', 'GRA', 'GREAT AMERICAN', 'United States', 'N'),
	(2607, 'Great Lakes Airlines', '\\N', 'ZK', 'GLA', 'LAKES AIR', 'United States', 'Y'),
	(2608, 'Great Lakes Airways (Uganda)', '\\N', '', 'GLU', 'LAKES CARGO', 'Uganda', 'N'),
	(2609, 'Great Plains Airlines', '\\N', '', 'GRP', 'GREAT PLAINS', 'United States', 'N'),
	(2610, 'Great Wall Airlines', '\\N', 'IJ', 'GWL', 'GREAT WALL', 'China', 'N'),
	(2611, 'Great Western Air', '\\N', '', 'GWA', 'G-W AIR', 'United States', 'N'),
	(2612, 'Hellenic Air Force', '\\N', '', 'HAF', 'HELLENIC AIR FORCE', 'Greece', 'N'),
	(2613, 'Greek Navy', '\\N', '', 'HNA', 'HELLENIC NAVY', 'Greece', 'N'),
	(2614, 'Griffin Aviation', '\\N', '', 'GFF', 'GRIFFIN AIR', 'Cyprus', 'N'),
	(2615, 'Grixona', '\\N', '', 'GXA', 'GRIXONA', 'Moldova', 'N'),
	(2616, 'Grizodubova Air Company', '\\N', '', 'GZD', 'GRIZODUBOVA AIR', 'Russia', 'N'),
	(2617, 'Grossmann Air Service', '\\N', '', 'HTG', 'GROSSMANN', 'Austria', 'N'),
	(2618, 'Grossmann Jet Service', '\\N', '', 'GSJ', 'GROSSJET', 'Czech Republic', 'N'),
	(2619, 'Ground Handling Service de Mexico', '\\N', '', 'GHV', 'GROUND HANDLING', 'Mexico', 'N'),
	(2620, 'Grup Air-Med', '\\N', '', 'GPM', 'GRUPOMED', 'Spain', 'N'),
	(2621, 'Grupo De Aviacion Ejecutiva', '\\N', '', 'EJC', 'GRUPOEJECUTIVA', 'Mexico', 'N'),
	(2622, 'Grupo TACA', 'TACA', 'TA', 'TAT', 'TACA-COSTARICA', 'Costa Rica', 'Y'),
	(2623, 'Grupo Vuelos Mediterraneo', '\\N', '', 'VMM', 'VUELOS MED', 'Spain', 'N'),
	(2624, 'Grupoaereo Monterrey', '\\N', '', 'GMT', 'GRUPOMONTERREY', 'Mexico', 'N'),
	(2625, 'Guard Systems', '\\N', '', 'GSY', 'GUARD AIR', 'Norway', 'N'),
	(2626, 'Guine Bissaur Airlines', '\\N', 'G6', 'BSR', 'BISSAU AIRLINES', 'Guinea-Bissau', 'N'),
	(2627, 'Guinea Airways', '\\N', '', 'GIJ', 'GUINEA AIRWAYS', 'Guinea', 'N'),
	(2628, 'Guinea Cargo', '\\N', '', 'GNC', 'GUINEA CARGO', 'Equatorial Guinea', 'N'),
	(2629, 'Guinee Airlines', '\\N', 'J9', 'GIF', 'GUINEE AIRLINES', 'Guinea', 'N'),
	(2630, 'Guinea Ecuatorial Airlines', '\\N', '', 'GEA', 'GEASA', 'Equatorial Guinea', 'N'),
	(2631, 'Guinee Paramount Airlines', '\\N', '', 'GIQ', 'GUIPAR', 'Guinea', 'N'),
	(2632, 'Guizhou Airlines', '\\N', '', 'CGH', 'GUIZHOU', 'China', 'N'),
	(2633, 'Guja', '\\N', '', 'GUS', 'GUJA', 'Mexico', 'N'),
	(2634, 'Gujarat Airways', '\\N', 'G8', 'GUJ', 'GUJARATAIR', 'India', 'N'),
	(2635, 'Gulf & Caribbean Cargo / Contract Air Cargo', '\\N', '', 'TSU', 'TRANSAUTO', 'United States', 'N'),
	(2636, 'Gulf African Airlines - Gambia', '\\N', '', 'GUF', 'GULF AFRICAN', '', 'N'),
	(2637, 'Gulf Air', '\\N', '', 'GFA', 'GULF AIR', 'Oman', 'Y'),
	(2638, 'Gulf Air Bahrain', '\\N', 'GF', 'GBA', 'GULF BAHRAIN', 'Bahrain', 'Y'),
	(2639, 'Gulf Air Inc', '\\N', '', 'GAT', 'GULF TRANS', 'United States', 'N'),
	(2640, 'Gulf Central Airlines', '\\N', '', 'GCN', 'GULF CENTRAL', 'United States', 'N'),
	(2641, 'Gulf Flite Center', '\\N', '', 'SFY', 'SKY FLITE', 'United States', 'N'),
	(2642, 'Gulf Pearl Air Lines', '\\N', '', 'GPC', 'AIR GULFPEARL', 'Libya', 'N'),
	(2643, 'Gulfstream Aerospace', '\\N', '', 'GLF', 'GULFSTREAM TEST', 'United States', 'N'),
	(2644, 'Gulfstream Airlines', '\\N', '', 'GFS', 'GULFSTAR', 'United States', 'N'),
	(2645, 'Gulfstream International Airlines', '\\N', '', 'GFT', 'GULF FLIGHT', 'United States', 'Y'),
	(2646, 'Gull Air', '\\N', '', 'GUL', 'GULL-AIR', 'United States', 'N'),
	(2647, 'Gum Air', '\\N', '', 'GUM', 'GUM AIR', 'Suriname', 'N'),
	(2648, 'Guneydogu Havacilik Isletmesi', '\\N', '', 'GDH', 'RISING SUN', 'Turkey', 'N'),
	(2649, 'Guyana Airways 2000', '\\N', 'GY', '', '', '', 'N'),
	(2650, 'Gwyn Aviation', '\\N', '', 'GWN', 'GWYN', 'United Kingdom', 'N'),
	(2651, 'HC Airlines', '\\N', '', 'HLA', 'HEAVYLIFT', 'United Kingdom', 'N'),
	(2652, 'HPM Investments', '\\N', '', 'HWD', 'FLITEWISE', 'United Kingdom', 'N'),
	(2653, 'HT Helikoptertransport', '\\N', '', 'KTR', 'COPTER TRANS', 'Sweden', 'N'),
	(2654, 'HTA Helicopteros', '\\N', '', 'AHT', 'HELIAPRA', 'Portugal', 'N'),
	(2656, 'Hadison Aviation', '\\N', '', 'FMS', 'HADI', 'United States', 'N'),
	(2657, 'Hageland Aviation Services', '\\N', 'H6', 'HAG', 'HAGELAND', 'United States', 'Y'),
	(2658, 'Hagondale Limited', '\\N', '', 'POW', 'AIRNET', 'United Kingdom', 'N'),
	(2659, 'Hahn Air', '\\N', 'HR', 'HHN', 'ROOSTER', 'Germany', 'N'),
	(2660, 'Hainan Airlines', '\\N', 'HU', 'CHH', 'HAINAN', 'China', 'Y'),
	(2661, 'Hainan Phoenix Information Systems', '\\N', '1R', '', '', 'China', 'N'),
	(2662, 'Haiti Air Freight', '\\N', '', 'HLS', '', 'Haiti', 'N'),
	(2663, 'Haiti Ambassador Airlines', '\\N', '2T', 'HAM', '', 'Haiti', 'Y'),
	(2664, 'Haiti International Air', '\\N', '', 'HTI', 'HAITI INTERNATIONAL', 'Haiti', 'N'),
	(2665, 'Haiti International Airline', '\\N', '', 'HRB', 'HAITI AIRLINE', 'Haiti', 'N'),
	(2666, 'Haiti National Airlines (HANA)', '\\N', '', 'HNR', 'HANAIR', 'Haiti', 'N'),
	(2667, 'Haiti North Airline', '\\N', '', 'HTN', '', 'Haiti', 'N'),
	(2668, 'Haiti Trans Air', '\\N', '', 'HTC', 'HAITI TRANSAIR', 'Haiti', 'N'),
	(2669, 'Haitian Aviation Line', '\\N', '', 'HBC', 'HALISA', 'Haiti', 'N'),
	(2670, 'Hajvairy Airlines', '\\N', '', 'HAJ', 'HAJVAIRY', 'Pakistan', 'N'),
	(2671, 'Hak Air', '\\N', '', 'HKL', 'HAK AIRLINE', 'Nigeria', 'N'),
	(2672, 'Hala Air', '\\N', '', 'HLH', 'HALA AIR', 'Sudan', 'N'),
	(2673, 'Halcyon Air/Bissau Airways', '\\N', '', 'HCN', 'HALCYON', 'Guinea-Bissau', 'N'),
	(2674, 'Hamburg International', '\\N', '4R', 'HHI', 'HAMBURG JET', 'Germany', 'Y'),
	(2675, 'Hamlin Jet', '\\N', '', 'HJL', 'BIZJET', 'United Kingdom', 'N'),
	(2676, 'Hamra Air', '\\N', '', 'HMM', 'HAMRA', 'United Arab Emirates', 'N'),
	(2677, 'Hand D Aviation', '\\N', '', 'WVA', 'WABASH VALLEY', 'United States', 'N'),
	(2678, 'Hangar 8', '\\N', '', 'HGR', 'HANG', 'United Kingdom', 'N'),
	(2679, 'Hangard Aviation', '\\N', '', 'HGD', 'HANGARD', 'Mongolia', 'N'),
	(2680, 'Hansung Airlines', '\\N', '', 'HAN', 'HANSUNG AIR', 'Republic of Korea', 'N'),
	(2681, 'TUIfly', '\\N', 'X3', 'HLX', 'YELLOW CAB', 'Germany', 'Y'),
	(2682, 'Hapagfly', '\\N', 'HF', 'HLF', 'HAPAG LLOYD', 'Germany', 'Y'),
	(2683, 'Harbor Airlines', '\\N', 'HB', 'HAR', 'HARBOR', 'United States', 'N'),
	(2684, 'Harmony Airways', '\\N', 'HQ', 'HMY', 'HARMONY', 'Canada', 'N'),
	(2685, 'Haughey Air', '\\N', '', 'NBR', 'NORBROOK', 'United Kingdom', 'N'),
	(2686, 'Haverfordwest Air Charter Services', '\\N', '', 'PYN', 'POYSTON', 'United Kingdom', 'N'),
	(2687, 'Havilah Air Services', '\\N', '', 'HAV', 'HAVILAH', 'Nigeria', 'N'),
	(2688, 'Hawaiian Airlines', '\\N', 'HA', 'HAL', 'HAWAIIAN', 'United States', 'Y'),
	(2689, 'Hawaiian Pacific Airlines', '\\N', 'HP', '', '', 'United States', 'N'),
	(2690, 'Hawk Air', '\\N', '', 'HKR', 'AIR HAW', 'Argentina', 'N'),
	(2691, 'Hawk De Mexico', '\\N', '', 'HMX', 'HAWK MEXICO', 'Mexico', 'N'),
	(2692, 'Hawkair', '\\N', 'BH', '', '', 'Canada', 'Y'),
	(2693, 'Hawkaire', '\\N', '', 'HKI', 'HAWKEYE', 'United States', 'N'),
	(2694, 'Hazelton Airlines', '\\N', '', 'HZL', 'HAZELTON', 'Australia', 'N'),
	(2695, 'Heavylift Cargo Airlines', '\\N', 'HN', 'HVY', 'HEAVY CARGO', 'Australia', 'N'),
	(2696, 'Heavylift International', '\\N', '', 'HVL', 'HEAVYLIFT INTERNATIONAL', 'United Arab Emirates', 'N'),
	(2697, 'Helcopteros De Cataluna', '\\N', '', 'HDC', 'HELICATALUNA', 'Spain', 'N'),
	(2698, 'Helenair (Barbados)', '\\N', '', 'HCB', 'HELEN', 'Barbados', 'N'),
	(2699, 'Helenair Corporation', '\\N', '', 'HCL', 'HELENCORP', 'Saint Lucia', 'N'),
	(2700, 'Helenia Helicopter Service', '\\N', '', 'HHP', 'HELENIA', 'Denmark', 'N'),
	(2701, 'Heli Air Services', '\\N', '', 'HLR', 'HELI BULGARIA', 'Bulgaria', 'N'),
	(2702, 'Heli Ambulance Team', '\\N', '', 'ALJ', 'ALPIN HELI', 'Austria', 'N'),
	(2703, 'Heli Bernina', '\\N', '', 'HEB', 'HELIBERNINA', 'Switzerland', 'N'),
	(2704, 'Heli France', '\\N', '8H', 'HFR', 'HELIFRANCE', 'France', 'Y'),
	(2705, 'Heli Hungary', '\\N', '', 'HYH', 'HELIHUNGARY', 'Hungary', 'N'),
	(2706, 'Heli Medwest De Mexico', '\\N', '', 'HLM', 'HELIMIDWEST', 'Mexico', 'N'),
	(2707, 'Heli Securite', '\\N', '', 'HLI', 'HELI SAINT-TROPEZ', 'France', 'N'),
	(2708, 'Heli Trip', '\\N', '', 'HTP', 'HELI TRIP', 'Mexico', 'N'),
	(2709, 'Heli Union Heli Prestations', '\\N', '', 'HLU', 'HELI UNION', 'France', 'N'),
	(2710, 'Heli-Air-Monaco', '\\N', '', 'MCM', 'HELI AIR', 'Monaco', 'N'),
	(2711, 'Heli-Holland', '\\N', '', 'HHE', 'HELI HOLLAND', 'Netherlands', 'N'),
	(2712, 'Heli-Iberica', '\\N', '', 'HRA', 'ERICA', 'Spain', 'N'),
	(2713, 'Heli-Iberica Fotogrametria', '\\N', '', 'HIF', 'HIFSA', 'Spain', 'N'),
	(2714, 'Heli-Inter Guyane', '\\N', '', 'HIG', 'INTER GUYANNE', 'France', 'N'),
	(2715, 'Heli-Link', '\\N', '', 'HLK', 'HELI-LINK', 'Switzerland', 'N'),
	(2716, 'Heliamerica De Mexico', '\\N', '', 'HMC', 'HELIAMERICA', 'Mexico', 'N'),
	(2717, 'Heliavia-Transporte Aereo', '\\N', '', 'HEA', 'HELIAVIA', 'Portugal', 'N'),
	(2718, 'Heliaviation Limited', '\\N', '', 'CDY', 'CADDY', 'United Kingdom', 'N'),
	(2719, 'Helibravo Aviacao', '\\N', '', 'HIB', 'HELIBRAVO', 'Portugal', 'N'),
	(2720, 'Helicap', '\\N', '', 'HLC', 'HELICAP', 'France', 'N'),
	(2721, 'Helicentre Coventry', '\\N', '', 'COV', 'HELICENTRE', 'United Kingdom', 'N'),
	(2722, 'Helicol', '\\N', '', 'HEL', 'HELICOL', 'Colombia', 'N'),
	(2723, 'Helicopter', '\\N', '', 'HCP', 'HELI CZECH', 'Czech Republic', 'N'),
	(2724, 'Helicopter & Aviation Services', '\\N', '', 'JKY', 'JOCKEY', 'United Kingdom', 'N'),
	(2725, 'Helicopter Training & Hire', '\\N', '', 'MVK', 'MAVRIK', 'United Kingdom', 'N'),
	(2726, 'Helicopteros Aero Personal', '\\N', '', 'HAP', 'HELIPERSONAL', 'Mexico', 'N'),
	(2727, 'Helicopteros Agroforestal', '\\N', '', 'HAA', 'AGROFORESTAL', 'Chile', 'N'),
	(2728, 'Helicopteros Internacionales', '\\N', '', 'HNT', 'HELICOP INTER', 'Mexico', 'N'),
	(2729, 'Helicopteros Y Vehiculos Nacionales Aereos', '\\N', '', 'HEN', 'HELINAC', 'Mexico', 'N'),
	(2730, 'Helicsa', '\\N', '', 'HHH', 'HELICSA', 'Spain', 'N'),
	(2731, 'Helijet', '\\N', 'JB', 'JBA', 'HELIJET', 'Canada', 'Y'),
	(2732, 'Helikopterdrift', '\\N', '', 'HDR', 'HELIDRIFT', 'Norway', 'N'),
	(2733, 'Helikopterservice Euro Air', '\\N', '', 'SCO', 'SWEDCOPTER', 'Sweden', 'N'),
	(2734, 'Heliocean', '\\N', '', 'OCE', 'HELIOCEAN', 'France', 'N'),
	(2735, 'Helios Airways', '\\N', 'ZU', 'HCY', 'HELIOS', 'Cyprus', 'N'),
	(2736, 'Helipistas', '\\N', '', 'HLP', 'HELIPISTAS', 'Spain', 'N'),
	(2737, 'Heliportugal', '\\N', '', 'HPL', 'HELIPORTUGAL', 'Portugal', 'N'),
	(2738, 'Heliservicio Campeche', '\\N', '', 'HEC', 'HELICAMPECHE', 'Mexico', 'N'),
	(2739, 'Helisul', '\\N', '', 'HSU', 'HELIS', 'Portugal', 'N'),
	(2740, 'Heliswiss', '\\N', '', 'HSI', 'HELISWISS', 'Switzerland', 'N'),
	(2741, 'Helitafe', '\\N', '', 'HLT', 'HELITAFE', 'Mexico', 'N'),
	(2742, 'Helitalia', '\\N', '', 'HIT', 'HELITALIA', 'Italy', 'N'),
	(2743, 'Helitaxi Ofavi', '\\N', '', 'OFA', 'OFAVI', 'Mexico', 'N'),
	(2744, 'Helitrans', '\\N', '', 'HTA', 'SCANBIRD', 'Norway', 'N'),
	(2745, 'Helitrans Air Service', '\\N', '', 'HTS', 'HELITRANS', 'United States', 'N'),
	(2746, 'Heliworks', '\\N', '', 'HLW', 'HELIWORKS', 'Chile', 'N'),
	(2747, 'Hellas Jet', '\\N', 'T4', 'HEJ', 'HELLAS JET', 'Greece', 'Y'),
	(2748, 'Hello', '\\N', 'HW', 'FHE', 'FLYHELLO', 'Switzerland', 'Y'),
	(2749, 'Helog', '\\N', '', 'HLG', 'HELOG', 'Switzerland', 'N'),
	(2750, 'Helvetic Airways', '\\N', '2L', 'OAW', 'HELVETIC', 'Switzerland', 'Y'),
	(2751, 'Hemus Air', '\\N', 'DU', 'HMS', 'HEMUS AIR', 'Bulgaria', 'N'),
	(2752, 'Henebury Aviation', '\\N', '', 'HAC', '', 'Australia', 'N'),
	(2753, 'Heritiage Flight (Valley Air Services)', '\\N', '', 'SSH', 'SNOWSHOE', 'United States', 'N'),
	(2754, 'Herman\'s Markair Express', '\\N', '', 'MRX', 'SPEEDMARK', 'United States', 'N'),
	(2755, 'Herritage Aviation Developments', '\\N', '', 'HED', 'FLAPJACK', 'United Kingdom', 'N'),
	(2756, 'Hewa Bora Airways', '\\N', 'EO', 'ALX', 'ALLCONGO', 'Democratic Republic of the Congo', 'N'),
	(2757, 'Hex\'Air', '\\N', 'UD', 'HER', 'HEX AIRLINE', 'France', 'Y'),
	(2758, 'Hi-Jet Helicopter Services', '\\N', '', 'HHS', 'HIJET', 'Suriname', 'N'),
	(2759, 'Hi Fly', '\\N', '5K', 'HFY', 'SKY FLYER', 'Portugal', 'N'),
	(2760, 'High-Line Airways', '\\N', '', 'HLB', 'HIGH-LINE', 'Canada', 'N'),
	(2761, 'Highland Airways', '\\N', '', 'HWY', 'HIWAY', 'United Kingdom', 'Y'),
	(2762, 'Hispaniola Airways', '\\N', '', 'HIS', 'HISPANIOLA', 'Dominican Republic', 'N'),
	(2763, 'Hogan Air', '\\N', '', 'HGA', 'HOGAN AIR', 'United States', 'N'),
	(2764, 'Hokkaido Air System', '\\N', '', 'NTH', 'NORTH AIR', 'Japan', 'N'),
	(2765, 'Hokkaido International Airlines', '\\N', 'HD', 'ADO', 'AIR DO', 'Japan', 'Y'),
	(2766, 'Hokuriki-Koukuu Company', '\\N', '', 'ABH', '', 'Japan', 'N'),
	(2767, 'Hola Airlines', '\\N', 'H5', 'HOA', 'HOLA', 'Spain', 'N'),
	(2768, 'Holding International Group', '\\N', '', 'HIN', 'HOLDING GROUP', 'Mexico', 'N'),
	(2769, 'Holiday Airlines', '\\N', '', 'HOL', 'HOLIDAY', 'United States', 'N'),
	(2770, 'Holstenair Lubeck', '\\N', '', 'HTR', 'HOLSTEN', 'Germany', 'N'),
	(2771, 'Homac Aviation', '\\N', '', 'HMV', 'HOMAC', 'Luxembourg', 'N'),
	(2772, 'Honduras Airlines', '\\N', '', 'HAS', 'HONDURAS AIR', 'Honduras', 'N'),
	(2773, 'Hong Kong Airlines', '\\N', 'HX', 'CRK', 'BAUHINIA', 'Hong Kong SAR of China', 'Y'),
	(2774, 'Hong Kong Express Airways', '\\N', 'UO', 'HKE', 'HONGKONG SHUTTLE', 'Hong Kong SAR of China', 'Y'),
	(2775, 'Honiara Cargo Express', '\\N', '', 'HEX', 'HONIARA CARGO', 'Solomon Islands', 'N'),
	(2776, 'Hop-A-Jet', '\\N', '', 'HPJ', 'HOPA-JET', 'United States', 'N'),
	(2777, 'Hope Air', '\\N', 'HH', '', 'HOPE AIR', 'Canada', 'N'),
	(2778, 'Horizon Air', 'Horizon Airlines', 'QX', 'QXE', 'HORIZON AIR', 'United States', 'Y'),
	(2779, 'Horizon Air Service', '\\N', '', 'KOK', 'KOKO', 'United States', 'N'),
	(2780, 'Horizon Air for Transport and Training', '\\N', '', 'HSM', 'ALOFUKAIR', 'Libya', 'N'),
	(2781, 'Horizon Air-Taxi', '\\N', '', 'HOR', 'HORIZON', 'Switzerland', 'N'),
	(2782, 'Horizon Airlines', '\\N', 'BN', 'HZA', '', 'Australia', 'Y'),
	(2783, 'Horizon Plus', '\\N', '', 'HPS', 'HORIZON PLUS', 'Bangladesh', 'N'),
	(2784, 'Horizons Unlimited', '\\N', '', 'HUD', 'HUD', 'United States', 'N'),
	(2785, 'Horizontes Aereos', '\\N', '', 'HOZ', 'HORIZONTES AEREOS', 'Mexico', 'N'),
	(2786, 'Hoteles Dinamicos', '\\N', '', 'HDI', 'DINAMICOS', 'Mexico', 'N'),
	(2787, 'Houston Helicopters', '\\N', '', 'HHO', 'HOUSTON HELI', 'United States', 'N'),
	(2788, 'Houston Jet Services', '\\N', '', 'GGV', 'GREGG AIR', 'Austria', 'N'),
	(2789, 'Hozu-Avia', '\\N', '', 'OZU', 'HOZAVIA', 'Kazakhstan', 'N'),
	(2790, 'Hub Airlines', '\\N', '', 'HUB', 'HUB', 'United States', 'N'),
	(2791, 'Huessler Air Service', '\\N', '', 'HUS', 'HUESSLER', 'United States', 'N'),
	(2792, 'Hughes Aircraft Company', '\\N', '', 'GMH', 'HUGHES EXPRESS', 'United States', 'N'),
	(2793, 'Hummingbird Helicopter Service', '\\N', '', 'WHR', 'WHIRLEYBIRD', 'United States', 'N'),
	(2794, 'Hunair Hungarian Airlines', '\\N', '', 'HUV', 'SILVER EAGLE', 'Hungary', 'N'),
	(2795, 'Hungarian Air Force', '\\N', '', 'HUF', 'HUNGARIAN AIRFORCE', 'Hungary', 'N'),
	(2796, 'Hyack Air', '\\N', '', 'HYA', 'HYACK', 'Canada', 'N'),
	(2797, 'Hydro Air Flight Operations', '\\N', '', 'HYC', 'HYDRO CARGO', 'South Africa', 'N'),
	(2798, 'Hydro-Québec', '\\N', '', 'HYD', 'HYDRO', 'Canada', 'N'),
	(2799, 'Héli Sécurité Helicopter Airlines', '\\N', 'H4', '', '', 'France', 'N'),
	(2800, 'International Air Carrier Association', '\\N', '', 'ITC', '', 'Belgium', 'N'),
	(2801, 'IBC Airways', '\\N', 'II', 'CSQ', 'CHASQUI', 'United States', 'N'),
	(2802, 'IBL Aviation', '\\N', '', 'IBL', 'CATOVAIR', 'Mauritius', 'N'),
	(2803, 'IBM Euroflight Operations', '\\N', '', 'BBL', 'BLUE', 'Switzerland', 'N'),
	(2804, 'ICAO', '\\N', '', 'YYY', '', '', 'N'),
	(2805, 'ICAR Airlines', '\\N', 'C3', '', '', 'Ukraine', 'N'),
	(2806, 'ICC Canada', '\\N', '', 'CIC', 'AIR TRADER', 'Canada', 'N'),
	(2807, 'IDG Technology Air', '\\N', '', 'IDG', 'INDIGO', 'Czech Republic', 'N'),
	(2808, 'IFL Group', '\\N', '', 'IFL', 'EIFEL', 'United States', 'N'),
	(2809, 'II Lione Alato Arl', '\\N', '', 'RDE', 'FLIGHT RED', 'United Kingdom', 'N'),
	(2810, 'IJM International Jet Management', '\\N', '', 'IJM', 'JET MANAGEMENT', 'Austria', 'N'),
	(2811, 'IKI International Airlines', '\\N', '', 'IKK', 'IKIAIR', 'Japan', 'N'),
	(2812, 'IKON FTO', '\\N', '', 'IKN', 'IKON', 'Germany', 'N'),
	(2813, 'IMP Aviation Services', '\\N', '', 'BLU', 'BLUENOSE', 'Canada', 'N'),
	(2814, 'IMP Group Aviation Services', '\\N', '', 'XGG', '', 'Canada', 'N'),
	(2815, 'INFINI Travel Information', '\\N', '1F', '', '', 'Japan', 'N'),
	(2816, 'IPEC Aviation', '\\N', '', 'IPA', 'IPEC', 'Australia', 'N'),
	(2817, 'IPM Europe', '\\N', '', 'IPM', 'SHIPEX', 'United Kingdom', 'N'),
	(2818, 'IRS Airlines', '\\N', '', 'LVB', 'SILVERBIRD', 'Nigeria', 'N'),
	(2819, 'ISD Avia', '\\N', '', 'ISD', 'ISDAVIA', 'Ukraine', 'N'),
	(2820, 'ITA Software', '\\N', '1U', '', '', 'United States', 'N'),
	(2821, 'IVV Femida', '\\N', '', 'FDF', '', 'Russia', 'N'),
	(2822, 'Iberia Airlines', '\\N', 'IB', 'IBE', 'IBERIA', 'Spain', 'Y'),
	(2823, 'Ibertour Servicios Aereos', '\\N', '', 'IBR', 'IBERTOUR', 'Spain', 'N'),
	(2824, 'Ibertrans Aerea', '\\N', '', 'IBT', 'IBERTRANS', 'Spain', 'N'),
	(2825, 'Iberworld', '\\N', 'TY', 'IWD', '', 'Spain', 'Y'),
	(2826, 'Ibex Airlines', '\\N', 'FW', 'IBX', 'IBEX', 'Japan', 'Y'),
	(2827, 'Ibicenca Air', '\\N', '', 'IBC', 'IBICENCA', 'Spain', 'N'),
	(2828, 'Ibk-Petra', '\\N', '', 'AKI', ' ', 'Sudan', 'N'),
	(2829, 'Icar Air', '\\N', '', 'RAC', 'TUZLA AIR', 'Bosnia and Herzegovina', 'Y'),
	(2830, 'Icare Franche Compte', '\\N', '', 'FRC', 'FRANCHE COMPTE', 'France', 'N'),
	(2831, 'Icaro', '\\N', '', 'ICD', 'ICARO', 'Ecuador', 'N'),
	(2832, 'Icaro', '\\N', '', 'ICA', 'ICARFLY', 'Italy', 'N'),
	(2833, 'Icarus', '\\N', '', 'IUS', 'ICARUS', 'Italy', 'N'),
	(2834, 'Icejet', '\\N', '', 'ICJ', 'ICEJET', 'Iceland', 'N'),
	(2835, 'Icelandair', '\\N', 'FI', 'ICE', 'ICEAIR', 'Iceland', 'Y'),
	(2836, 'Icelandic Coast Guard', '\\N', '', 'ICG', 'ICELAND COAST', 'Iceland', 'N'),
	(2837, 'Ikaros DK', '\\N', '', 'IKR', 'IKAROS', 'Denmark', 'N'),
	(2838, 'Il Ciocco International Travel Service', '\\N', '', 'CIO', 'CIOCCO', 'Italy', 'N'),
	(2839, 'Il-Avia', '\\N', '', 'ILV', 'ILAVIA', 'Russia', 'N'),
	(2840, 'Ildefonso Redriguez', '\\N', '', 'IDL', 'ILDEFONSO', 'Mexico', 'N'),
	(2841, 'Iliamna Air Taxi', '\\N', '', 'IAR', 'ILIAMNA AIR', 'United States', 'N'),
	(2842, 'Ilpo Aruba Cargo', '\\N', '', 'ILP', '', 'Aruba', 'N'),
	(2843, 'Ilyich-Avia', '\\N', '', 'ILL', 'ILYICHAVIA', 'Ukraine', 'N'),
	(2844, 'Imaer', '\\N', '', 'IMR', 'IMAER', 'Portugal', 'N'),
	(2845, 'Imair Airlines', '\\N', 'IK', 'ITX', 'IMPROTEX', 'Azerbaijan', 'Y'),
	(2846, 'Imperial Airways', '\\N', '', 'PNX', 'PHOENIX', 'United States', 'N'),
	(2847, 'Imtrec Aviation', '\\N', '', 'IMT', 'IMTREC', 'Cambodia', 'N'),
	(2848, 'Independence Air', '\\N', 'DH', 'IDE', 'INDEPENDENCE AIR', 'United States', 'N'),
	(2849, 'Independent Air Freighters', '\\N', '', 'IDP', 'INDEPENDENT', 'Australia', 'N'),
	(2850, 'IndiGo Airlines', '\\N', '6E', 'IGO', 'IFLY', 'India', 'Y'),
	(2851, 'India International Airways', '\\N', '', 'IIL', 'INDIA INTER', 'India', 'N'),
	(2852, 'Indian Air Force', '\\N', '', 'IFC', 'INDIAN AIRFORCE', 'India', 'N'),
	(2853, 'Indian Airlines', '\\N', 'IC', 'IAC', 'INDAIR', 'India', 'Y'),
	(2854, 'Indicator Company', '\\N', '', 'IDR', 'INDICATOR', 'Hungary', 'N'),
	(2855, 'Indigo', '\\N', 'I9', 'IBU', 'INDIGO BLUE', 'United States', 'Y'),
	(2856, 'Indonesia Air Transport', '\\N', '', 'IDA', 'INTRA', 'Indonesia', 'N'),
	(2857, 'Indonesia AirAsia', '\\N', 'QZ', 'AWQ', 'WAGON AIR', 'Indonesia', 'Y'),
	(2858, 'Indonesian Airlines', '\\N', 'IO', 'IAA', 'INDO LINES', 'Indonesia', 'Y'),
	(2859, 'Industri Pesawat Terbang Nusantara', '\\N', '', 'IPN', 'NUSANTARA', 'Indonesia', 'N'),
	(2860, 'Industrias Titan', '\\N', '', 'ITN', 'TITANLUX', 'Spain', 'N'),
	(2861, 'Infinit Air', '\\N', '', 'FFI', 'INFINIT', 'Spain', 'N'),
	(2862, 'Inflite The Jet Centre', '\\N', '', 'INS', '', 'United Kingdom', 'N'),
	(2863, 'Innotech Aviation', '\\N', '', 'IVA', 'INNOTECH', 'Canada', 'N'),
	(2864, 'Insel Air International', '\\N', '', 'INC', 'INSELAIR', 'Netherlands Antilles', 'N'),
	(2865, 'Instituto Cartografico de Cataluna', '\\N', '', 'ICC', 'CARTO', 'Spain', 'N'),
	(2866, 'Intair', '\\N', '', 'INT', 'INTAIRCO', 'Canada', 'N'),
	(2867, 'Intal Avia', '\\N', '', 'INL', 'INTAL AVIA', 'Kyrgyzstan', 'N'),
	(2868, 'Intavia Limited', '\\N', '', 'FFL', '', 'United Kingdom', 'N'),
	(2869, 'InteliJet Airways', '\\N', 'IJ', 'IJT', 'INTELIJET', 'Colombia', 'N'),
	(2870, 'Intensive Air', '\\N', '', 'XRA', 'INTENSIVE', 'South Africa', 'N'),
	(2871, 'Inter Air', '\\N', '', 'ITW', 'INTER WINGS', 'Bulgaria', 'N'),
	(2872, 'Inter Express', '\\N', '', 'INX', 'INTER-EURO', 'Turkey', 'N'),
	(2873, 'Inter Islands Airlines', '\\N', 'H4', 'IIN', '', 'Cape Verde', 'N'),
	(2874, 'Inter RCA', '\\N', '', 'CAR', 'QUEBEC ROMEO', 'Central African Republic', 'N'),
	(2875, 'Inter Tropic Airlines', '\\N', '', 'NTT', 'INTER-TROPIC', 'Sierra Leone', 'N'),
	(2876, 'Inter-Air', '\\N', '', 'ITA', 'CAFEX', 'United States', 'N'),
	(2877, 'Inter-Canadian', '\\N', '', 'ICN', 'INTER-CANADIAN', 'Canada', 'N'),
	(2878, 'Inter-Island Air', '\\N', '', 'UGL', 'UGLY VAN', 'United States', 'N'),
	(2879, 'Inter-Mountain Airways', '\\N', '', 'IMA', 'INTER-MOUNTAIN', 'United States', 'N'),
	(2880, 'Inter-State Aviation', '\\N', '', 'ITS', 'INTER-STATE', 'United States', 'N'),
	(2881, 'Interair South Africa', '\\N', 'D6', 'ILN', 'INLINE', 'South Africa', 'Y'),
	(2882, 'Interaire', '\\N', '', 'NTE', 'INTERMEX', 'Mexico', 'N'),
	(2883, 'Interavia Airlines', '\\N', 'ZA', 'SUW', 'ASTAIR', 'Russia', 'Y'),
	(2884, 'Interaviatrans', '\\N', '', 'IVT', 'INTERAVIA', 'Ukraine', 'N'),
	(2885, 'Intercontinental de Aviaci', '\\N', 'RS', 'ICT', 'CONTAVIA', 'Colombia', 'N'),
	(2886, 'Intercopters', '\\N', '', 'ICP', 'CHOPER', 'Spain', 'N'),
	(2887, 'Interflight', '\\N', '', 'IFT', 'INTERFLIGHT', 'United Kingdom', 'N'),
	(2888, 'Interflight (Learjet)', '\\N', '', 'IJT', '', 'United Kingdom', 'N'),
	(2889, 'Interfly', '\\N', '', 'RFL', 'INFLY', 'Italy', 'N'),
	(2890, 'Interfreight Forwarding', '\\N', '', 'IFF', 'INTERFREIGHT', 'Sudan', 'N'),
	(2891, 'Interguide Air', '\\N', '', 'IGN', 'DIVINE AIR', 'Nigeria', 'N'),
	(2892, 'Interisland Airlines', '\\N', '', 'ISN', 'TRI-BIRD', 'Philippines', 'N'),
	(2893, 'Interisland Airways Limited', '\\N', '', 'IWY', 'ISLANDWAYS', 'Turks and Caicos Islands', 'N'),
	(2894, 'Interjet', '\\N', '', 'MTF', 'INTERJET', 'Italy', 'N'),
	(2895, 'Interjet Helicopters', '\\N', '', 'IHE', 'INTERCOPTER', 'Greece', 'N'),
	(2896, 'Interlink Airlines', '\\N', 'ID', 'ITK', 'INTERLINK', 'South Africa', 'Y'),
	(2897, 'International Air Cargo Corporation', '\\N', '', 'IAK', 'AIR CARGO EGYPT', 'Egypt', 'N'),
	(2898, 'International Air Corporation', '\\N', '', 'EXX', 'EXPRESS INTERNATIONAL', 'United States', 'N'),
	(2899, 'International Air Service', '\\N', '', 'IAS', 'STARFLEET', 'United States', 'N'),
	(2900, 'International Air Services', '\\N', '', 'IAX', 'INTERAIR SERVICES', 'Liberia', 'N'),
	(2901, 'International Business Air', '\\N', '6I', 'IBZ', 'INTERBIZ', 'Sweden', 'N'),
	(2902, 'International Business Aircraft', '\\N', '', 'IBY', 'CENTRAL STAGE', 'United States', 'N'),
	(2903, 'International Charter Services', '\\N', '', 'ICS', 'INTERSERVI', 'Mexico', 'N'),
	(2904, 'International Charter Xpress', '\\N', '', 'ICX', 'INTEX', 'United States', 'N'),
	(2905, 'International Committee of the Red Cross', '\\N', '', 'RED', 'RED CROSS', 'Switzerland', 'N'),
	(2906, 'International Company for Transport', '\\N', '', 'IIG', ' Trade and Public Works', 'ALDAWLYH AIR', 'N'),
	(2907, 'International Flight Training Academy', '\\N', '', 'IFX', 'IFTA', 'United States', 'N'),
	(2908, 'International Jet Aviation Services', '\\N', '', 'IJA', 'I-JET', 'United States', 'N'),
	(2909, 'International Jet Charter', '\\N', '', 'HSP', 'HOSPITAL', 'United States', 'N'),
	(2910, 'International SOS WIndhoek', '\\N', '', 'RSQ', 'SKYMEDIC', 'Namibia', 'N'),
	(2911, 'International Sabilisation Assistance Force', '\\N', '', 'ISF', '', 'United Kingdom', 'N'),
	(2912, 'International Security Assistance Force', '\\N', '', 'THN', 'ATHENA', 'Canada', 'N'),
	(2913, 'International Trans-Air', '\\N', '', 'ITH', 'INTRANS NIGERIA', 'Nigeria', 'N'),
	(2914, 'Interport Corporation', '\\N', '', 'IPT', 'INTERPORT', 'United States', 'N'),
	(2915, 'Intersky', '\\N', '', 'IKY', 'GENERAL SKY', 'Bulgaria', 'N'),
	(2916, 'Intersky', '\\N', '3L', 'ISK', 'INTERSKY', 'Austria', 'Y'),
	(2917, 'Interstate Airline', '\\N', 'I4', 'FWA', 'FREEWAYAIR', 'Netherlands', 'N'),
	(2918, 'Intervuelos', '\\N', '', 'ITU', 'INTERLOS', 'Mexico', 'N'),
	(2919, 'Inversija', '\\N', '', 'INV', 'INVER', 'Latvia', 'N'),
	(2920, 'Iona National Airways', '\\N', '', 'IND', 'IONA', 'Ireland', 'N'),
	(2921, 'Iowa Airways', '\\N', '', 'IOA', 'IOWA AIR', 'United States', 'N'),
	(2922, 'Iran Air', '\\N', 'IR', 'IRA', 'IRANAIR', 'Iran', 'Y'),
	(2923, 'Iran Aseman Airlines', '\\N', 'EP', 'IRC', '', 'Iran', 'Y'),
	(2924, 'Iranair Tours', '\\N', '', 'IRB', '', 'Iran', 'N'),
	(2925, 'Naft Air Lines', '\\N', '', 'IRG', 'NAFT', 'Iran', 'N'),
	(2926, 'Iraqi Airways', '\\N', 'IA', 'IAW', 'IRAQI', 'Iraq', 'Y'),
	(2927, 'Irbis Air', '\\N', '', 'BIS', 'IRBIS', 'Kazakhstan', 'N'),
	(2928, 'Irish Air Corps', '\\N', '', 'IRL', 'IRISH', 'Ireland', 'N'),
	(2929, 'Irish Air Transport', '\\N', '', 'RDK', 'IRISH TRANS', 'Ireland', 'N'),
	(2930, 'Irish Aviation Authority', '\\N', '', 'XMR', 'AUTHORITY', 'Ireland', 'N'),
	(2931, 'Irtysh Airlines', '\\N', '', 'IRT', 'IRTYSH AIRLINES', 'Uzbekistan', 'N'),
	(2932, 'Irving Oil', '\\N', '', 'XIA', '', 'Canada', 'N'),
	(2933, 'Irving Oil Transport', '\\N', '', 'KCE', 'KACEY', 'Canada', 'N'),
	(2934, 'Island Air', '\\N', '', 'ISI', 'ISLANDMEX', 'Mexico', 'N'),
	(2935, 'Island Air Charters', '\\N', '', 'ILF', 'ISLAND FLIGHT', 'United States', 'N'),
	(2936, 'Island Air Express', '\\N', '', 'XYZ', 'RAINBIRD', 'United States', 'N'),
	(2937, 'Island Airlines', '\\N', 'IS', '', '', 'United States', 'Y'),
	(2938, 'Island Aviation', '\\N', '', 'SOY', 'SORIANO', 'Philippines', 'N'),
	(2939, 'Island Aviation Services', '\\N', '', 'DQA', '', 'Maldives', 'N'),
	(2940, 'Island Aviation and Travel', '\\N', '', 'IOM', 'ISLE AVIA', 'United Kingdom', 'N'),
	(2941, 'Island Express', '\\N', '2S', 'SDY', 'SANDY ISLE', 'United States', 'N'),
	(2942, 'Cargo Plus Aviation', '\\N', '8L', 'CGP', '', 'United Arab Emirates', 'Y'),
	(2943, 'Island Helicopters', '\\N', '', 'MTP', 'METROCOPTER', 'United States', 'N'),
	(2944, 'Island Link', '\\N', '', 'ILC', '', 'Japan', 'N'),
	(2945, 'Islandair Jersey', '\\N', '', 'IAJ', 'JARLAND', 'United Kingdom', 'N'),
	(2946, 'Islands Nationair', '\\N', 'CN', '', '', 'Papua New Guinea', 'N'),
	(2947, 'Icebird Airline', '\\N', '', 'ICB', 'ICEBIRD', 'Iceland', 'N'),
	(2948, 'Islas Airways', '\\N', 'IF', 'ISW', 'PINTADERA', 'Spain', 'Y'),
	(2949, 'Isle Grande Flying School', '\\N', '', 'IGS', 'ISLA GRANDE', 'United States', 'N'),
	(2950, 'Islena De Inversiones', '\\N', 'WC', 'ISV', '', 'Honduras', 'Y'),
	(2951, 'Isles of Scilly Skybus', '\\N', '', 'IOS', 'SCILLONIA', 'United Kingdom', 'N'),
	(2952, 'Israel Aircraft Industries', '\\N', '', 'IAI', 'ISRAEL AIRCRAFT', 'Israel', 'N'),
	(2953, 'Israeli Air Force', '\\N', '', 'IAF', '', 'Israel', 'N'),
	(2954, 'Israir', '\\N', '6H', 'ISR', 'ISRAIR', 'Israel', 'Y'),
	(2955, 'Istanbul Airlines', '\\N', '', 'IST', 'ISTANBUL', 'Turkey', 'N'),
	(2956, 'Itali Airlines', '\\N', '9X', 'ACL', 'ITALI', 'Italy', 'N'),
	(2957, 'Italy First', '\\N', '', 'IFS', 'RIVIERA', 'Italy', 'N'),
	(2958, 'Itek Air', '\\N', 'GI', 'IKA', 'ITEK-AIR', 'Kyrgyzstan', 'Y'),
	(2959, 'Ivoire Aero Services', '\\N', '', 'IVS', 'IVOIRE AERO', 'Ivory Coast', 'N'),
	(2960, 'Ivoire Airways', '\\N', '', 'IVW', 'IVOIRAIRWAYS', 'Ivory Coast', 'N'),
	(2961, 'Ivoire Jet Express', '\\N', '', 'IJE', 'IVOIRE JET', 'Ivory Coast', 'N'),
	(2962, 'Iwamoto Crane Co Ltd', '\\N', '', 'OIC', '', 'Japan', 'N'),
	(2963, 'Ixair', '\\N', '', 'IXR', 'X-BIRD', 'France', 'N'),
	(2964, 'Izair', '\\N', 'H9', 'IZM', 'IZMIR', 'Turkey', 'N'),
	(2965, 'Izhavia', '\\N', '', 'IZA', 'IZHAVIA', 'Russia', 'N'),
	(2966, 'J C Bamford (Excavators)', '\\N', '', 'JCB', 'JAYSEEBEE', 'United Kingdom', 'N'),
	(2967, 'J P Hunt Air Carriers', '\\N', '', 'RFX', 'REFLEX', 'United States', 'N'),
	(2968, 'J-Air', '\\N', '', 'JLJ', 'J AIR', 'Japan', 'N'),
	(2969, 'JAL Express', '\\N', 'JC', 'JEX', 'JANEX', 'Japan', 'Y'),
	(2970, 'JALways', '\\N', 'JO', 'JAZ', 'JALWAYS', 'Japan', 'Y'),
	(2971, 'JDAviation', '\\N', '', 'JDA', 'JAY DEE', 'United Kingdom', 'N'),
	(2972, 'JDP Lux', '\\N', '', 'JDP', 'RED PELICAN', 'Luxembourg', 'N'),
	(2973, 'JHM Cargo Expreso', '\\N', '', 'JHM', '', 'Costa Rica', 'N'),
	(2974, 'JM Family Aviation', '\\N', '', 'TQM', 'TACOMA', 'United States', 'N'),
	(2975, 'JMC Airlines', '\\N', '', 'JMC', 'JAYEMMSEE', 'United Kingdom', 'N'),
	(2976, 'JSC Transport Automated Information Systems', '\\N', '1M', '', '', 'Russia', 'N'),
	(2977, 'JS Air', '\\N', '', 'JSJ', 'JS CHARTER', 'Pakistan', 'N'),
	(2978, 'JS Aviation', '\\N', '', 'JES', 'JAY-ESS AVIATION', 'Mexico', 'N'),
	(2979, 'Jackson Air Services', '\\N', '', 'JCK', 'JACKSON', 'Canada', 'N'),
	(2980, 'Jade Cargo International', '\\N', '', 'JAE', 'JADE CARGO', 'China', 'N'),
	(2981, 'Jamahiriya Airways', '\\N', '', 'JAW', 'JAW', 'Libya', 'N'),
	(2982, 'Jambo Africa Airlines', '\\N', '', 'JMB', 'JAMBOAFRICA', 'Democratic Republic of Congo', 'N'),
	(2983, 'Jana-Arka', '\\N', '', 'JAK', 'YANZAR', 'Kazakhstan', 'N'),
	(2984, 'Janair', '\\N', '', 'JAX', 'JANAIR', 'United States', 'N'),
	(2985, 'Japan Air Commuter', '\\N', '', 'JAC', 'COMMUTER', 'Japan', 'N'),
	(2986, 'Japan Aircraft Service', '\\N', '', 'JSV', '', 'Japan', 'N'),
	(2987, 'Japan Airlines', 'JAL Japan Airlines', 'JL', 'JAL', 'JAPANAIR', 'Japan', 'Y'),
	(2988, 'Japan Airlines Domestic', '\\N', 'JL', 'JAL', 'J-BIRD', 'Japan', 'Y'),
	(2989, 'Japan Asia Airways', '\\N', 'EG', 'JAA', 'ASIA', 'Japan', 'Y'),
	(2990, 'Japan Transocean Air', '\\N', 'NU', 'JTA', 'JAI OCEAN', 'Japan', 'Y'),
	(2991, 'Jat Airways', '\\N', 'JU', 'JAT', 'JAT', 'Serbia', 'Y'),
	(2992, 'Jatayu Airlines', '\\N', 'VJ', 'JTY', 'JATAYU', 'Indonesia', 'N'),
	(2993, 'Jazeera Airways', '\\N', 'J9', 'JZR', 'JAZEERA', 'Kuwait', 'Y'),
	(2994, 'Jeju Air', '\\N', '7C', 'JJA', 'JEJU AIR', 'Republic of Korea', 'Y'),
	(2995, 'Jenney Beechcraft', '\\N', '', 'JNY', 'JENAIR', 'United States', 'N'),
	(2996, 'Jeppesen Data Plan', '\\N', '', 'XLD', '', 'United States', 'N'),
	(2997, 'Jeppesen UK', '\\N', '', 'JPN', 'JETPLAN', 'United Kingdom', 'N'),
	(2998, 'Jet Air', '\\N', '', 'JEA', 'JETA', 'Poland', 'N'),
	(2999, 'Jet Air Group', '\\N', '', 'JSI', 'SISTEMA', 'Russia', 'N'),
	(3000, 'Jet Airways', '\\N', '9W', 'JAI', 'JET AIRWAYS', 'India', 'Y'),
	(3001, 'Jet Airways', '\\N', 'QJ', '', '', 'United States', 'Y'),
	(3002, 'Jet Aspen Air Lines', '\\N', '', 'JTX', 'JET ASPEN', 'United States', 'N'),
	(3003, 'Jet Aviation', '\\N', '', 'PJS', 'JETAVIATION', 'Switzerland', 'N'),
	(3004, 'Jet Aviation Business Jets', '\\N', '', 'BZF', 'BIZFLEET', 'United States', 'N'),
	(3005, 'Jet Center Flight Training', '\\N', '', 'JCF', 'JET CENTER', 'Spain', 'N'),
	(3006, 'Jet Charter', '\\N', '', 'JCT', 'JET CHARTER', 'United States', 'N'),
	(3007, 'Jetclub', '\\N', '0J', '', '', 'Switzerland', 'N'),
	(3008, 'Jet Connection', '\\N', '', 'JCX', 'JET CONNECT', 'Germany', 'N'),
	(3009, 'Jet Courier Service', '\\N', '', 'DWW', 'DON JUAN', 'United States', 'N'),
	(3010, 'Jet East International', '\\N', '', 'JED', 'JET EAST', 'United States', 'N'),
	(3011, 'Jet Executive International Charter', '\\N', '', 'JEI', 'JET EXECUTIVE', 'Germany', 'N'),
	(3012, 'Jet Fighter Flights', '\\N', '', 'RZA', 'RAZOR', 'Australia', 'N'),
	(3013, 'Jet Freighters', '\\N', '', 'CFT', 'CASPER FREIGHT', 'United States', 'N'),
	(3014, 'Jet G&D Aviation', '\\N', '', 'JGD', 'JET GEE-AND-DEE', 'Israel', 'N'),
	(3015, 'Jet Line International', '\\N', '', 'MJL', 'MOLDJET', 'Moldova', 'N'),
	(3016, 'Jet Link', '\\N', '', 'JEK', 'JET OPS', 'Israel', 'N'),
	(3017, 'Jet Link Aviation', '\\N', '', 'HTL', 'HEARTLAND', 'United States', 'N'),
	(3018, 'Jet Norte', '\\N', '', 'JNR', 'JET NORTE', 'Mexico', 'N'),
	(3019, 'Jet Rent', '\\N', '', 'JRN', 'JET RENT', 'Mexico', 'N'),
	(3020, 'Jet Service', '\\N', '', 'JDI', 'JEDI', 'Poland', 'N'),
	(3021, 'Jetstar Asia Airways', '\\N', '3K', 'JSA', 'JETSTAR ASIA', 'Singapore', 'Y'),
	(3022, 'Jet Stream', '\\N', '', 'JSM', 'JET STREAM', 'Moldova', 'N'),
	(3023, 'Jet Trans Aviation', '\\N', '', 'JTC', 'JETRANS', 'Ghana', 'N'),
	(3024, 'Jet-2000', '\\N', '', 'JTT', 'MOSCOW JET', 'Russia', 'N'),
	(3025, 'Jet-Ops', '\\N', '', 'OPS', 'OPS-JET', 'United Arab Emirates', 'N'),
	(3026, 'Jet2.com', '\\N', 'LS', 'EXS', 'CHANNEX', 'United Kingdom', 'Y'),
	(3027, 'Jet4You', '', '8J', 'JFU', 'ARGAN', 'Morocco', 'Y'),
	(3028, 'JetAfrica Swaziland', '\\N', '', 'OSW', 'BEVO', 'Swaziland', 'N'),
	(3029, 'JetBlue Airways', '\\N', 'B6', 'JBU', 'JETBLUE', 'United States', 'Y'),
	(3030, 'JetConnect', '\\N', '', 'QNZ', 'QANTAS JETCONNECT', 'New Zealand', 'N'),
	(3031, 'JetMagic', '\\N', '', 'JMG', 'JET MAGIC', 'Ireland', 'N'),
	(3032, 'Jetairfly', '\\N', 'JF', 'JAF', 'BEAUTY', 'Belgium', 'Y'),
	(3033, 'Jetall Holdings', '\\N', '', 'JTL', 'FIREFLY', 'Canada', 'N'),
	(3034, 'Jetalliance', '\\N', '', 'JAG', 'JETALLIANCE', 'Austria', 'N'),
	(3035, 'Jetclub', '\\N', '0J', 'JCS', 'JETCLUB', 'Switzerland', 'N'),
	(3036, 'Jetcorp', '\\N', '', 'UEJ', 'JETCORP', 'United States', 'N'),
	(3037, 'Jetcraft Aviation', '\\N', '', 'JCC', 'JETCRAFT', 'Australia', 'N'),
	(3038, 'Jetex Aviation', '\\N', '', 'JXA', '', 'Lebanon', 'N'),
	(3039, 'Jetflite', '\\N', '', 'JEF', 'JETFLITE', 'Finland', 'Y'),
	(3040, 'Jetfly Airlines', '\\N', '', 'JFL', 'LINEFLYER', 'Austria', 'N'),
	(3041, 'Jetgo International', '\\N', '', 'JIC', 'JIC-JET', 'Thailand', 'N'),
	(3042, 'Jetlink Express', '\\N', '', 'JLX', 'KEN JET', 'Kenya', 'N'),
	(3043, 'Jetlink Holland', '\\N', '', 'JLH', '', 'Netherlands', 'N'),
	(3044, 'Jetnova de Aviacion Ejecutiva', '\\N', '', 'JNV', 'JETNOVA', 'Spain', 'N'),
	(3045, 'Jetpro', '\\N', '', 'JPO', 'JETPRO', 'Mexico', 'N'),
	(3046, 'Jetran Air', '\\N', '', 'MDJ', 'JETRAN AIR', 'Romania', 'N'),
	(3047, 'Jetrider International', '\\N', '', 'JRI', 'JETRIDER', 'United Kingdom', 'N'),
	(3048, 'Jets Ejecutivos', '\\N', '', 'JEJ', 'MEXJETS', 'Mexico', 'N'),
	(3049, 'Jets Personales', '\\N', '', 'JEP', 'JET PERSONALES', 'Spain', 'N'),
	(3050, 'Jets Y Servicios Ejecutivos', '\\N', '', 'JSE', 'SERVIJETS', 'Mexico', 'N'),
	(3051, 'JetsGo', '\\N', 'SG', 'JGO', 'JETSGO', 'Canada', 'N'),
	(3052, 'Jetstar Airways', '\\N', 'JQ', 'JST', 'JETSTAR', 'Australia', 'Y'),
	(3053, 'Jetstream Air', '\\N', '', 'JSH', 'STREAM-AIR', 'Hungary', 'N'),
	(3054, 'Jetstream Executive Travel', '\\N', '', 'JXT', 'VANNIN', 'United Kingdom', 'N'),
	(3055, 'Jett Paqueteria', '\\N', '', 'JPQ', 'JETT PAQUETERIA', 'Mexico', 'N'),
	(3056, 'Jett8 Airlines Cargo', '\\N', 'JX', 'JEC', '', 'Singapore', 'N'),
	(3057, 'Jettime', '\\N', '', 'JTG', 'JETTIME', 'Denmark', 'N'),
	(3058, 'Jettrain Corporation', '\\N', '', 'JTN', 'JETTRAIN', 'United States', 'N'),
	(3059, 'Jetways of Iowa', '\\N', '', 'JWY', 'JETWAYS', 'United States', 'N'),
	(3060, 'Jetx Airlines', '\\N', 'GX', 'JXX', 'JETBIRD', 'Iceland', 'N'),
	(3061, 'Jibair', '\\N', '', 'JIB', 'JIBAIRLINE', 'Djibouti', 'N'),
	(3062, 'Jigsaw Project', '\\N', '', 'JSW', 'JIGSAW', 'United Kingdom', 'N'),
	(3063, 'Jim Hankins Air Service', '\\N', '', 'HKN', 'HANKINS', 'United States', 'N'),
	(3064, 'Jim Ratliff Air Service', '\\N', '', 'RAS', 'SHANHIL', 'United States', 'N'),
	(3065, 'Joanas Avialinijos', '\\N', '', 'JDG', 'LADYBLUE', 'Lithuania', 'N'),
	(3066, 'Job Air', '\\N', '', 'JBR', 'JOBAIR', 'Czech Republic', 'N'),
	(3067, 'Johnson Air', '\\N', '', 'JHN', 'AIR JOHNSON', 'United States', 'N'),
	(3068, 'Johnsons Air', '\\N', '', 'JON', 'JOHNSONSAIR', 'Ghana', 'N'),
	(3069, 'Johnston Airways', '\\N', '', 'JMJ', 'JOHNSTON', 'United States', 'N'),
	(3070, 'Joint Military Commission', '\\N', '', 'JMM', 'JOICOMAR', 'Sudan', 'N'),
	(3071, 'Jomartaxi Aereo', '\\N', '', 'JMT', 'JOMARTAXI', 'Mexico', 'N'),
	(3072, 'Jonsson', '\\N', '', 'ODI', ' H Air Taxi', 'ODINN', 'N'),
	(3073, 'Jordan Aviation', '\\N', 'R5', 'JAV', 'JORDAN AVIATION', 'Jordan', 'N'),
	(3074, 'Jordan International Air Cargo', '\\N', '', 'JCI', '', 'Jordan', 'N'),
	(3075, 'Jorvik', '\\N', '', 'JVK', 'ISLANDIC', 'Iceland', 'N'),
	(3076, 'Ju-Air', '\\N', '', 'JUR', 'JUNKERS', 'Switzerland', 'N'),
	(3077, 'Juanda Flying School', '\\N', '', 'JFS', 'JAEMCO', 'Indonesia', 'N'),
	(3078, 'Juba Cargo Services & Aviation Company', '\\N', '', 'JUC', 'JUBA CARGO', 'Sudan', 'N'),
	(3079, 'Jubba Airways', '\\N', '', 'JUB', 'JUBBA', 'Somali Republic', 'N'),
	(3080, 'Jubilee Airways', '\\N', '', 'DKE', 'DUKE', 'United Kingdom', 'N'),
	(3081, 'Juneyao Airlines', '\\N', 'HO', 'DKH', 'JUNEYAO AIRLINES', 'China', 'Y'),
	(3082, 'Justair Scandinavia', '\\N', '', 'MEY', 'MELODY', 'Sweden', 'N'),
	(3083, 'Justice Prisoner and Alien Transportation System', '\\N', '', 'DOJ', 'JUSTICE', 'United States', 'N'),
	(3084, 'K D Air Corporation', '\\N', '', 'KDC', 'KAY DEE', 'Canada', 'N'),
	(3085, 'K S Avia', '\\N', '', 'KSA', 'SKY CAMEL', 'Latvia', 'N'),
	(3086, 'K-Mile Air', '\\N', '', 'KMI', 'KAY-MILE AIR', 'Thailand', 'N'),
	(3087, 'KD Avia', '\\N', 'KD', 'KNI', 'KALININGRAD AIR', 'Russia', 'Y'),
	(3088, 'KLM Cityhopper', '\\N', 'WA', 'KLC', 'CITY', 'Netherlands', 'Y'),
	(3089, 'KLM Helicopter', '\\N', '', 'KLH', 'KLM HELI', 'Netherlands', 'N'),
	(3090, 'KLM Royal Dutch Airlines', '\\N', 'KL', 'KLM', 'KLM', 'Netherlands', 'Y'),
	(3091, 'Kabo Air', '\\N', 'N2', 'QNK', 'KABO', 'Nigeria', 'N'),
	(3092, 'Kahama Mining Corporation', '\\N', '', 'KMC', 'KAHAMA', 'Tanzania', 'N'),
	(3093, 'Kaiser Air', '\\N', '', 'KAI', 'KAISER', 'United States', 'N'),
	(3094, 'Kalitta Air', '\\N', 'K4', 'CKS', 'CONNIE', 'United States', 'N'),
	(3095, 'Kalitta Charters', '\\N', '', 'KFS', 'KALITTA', 'United States', 'N'),
	(3096, 'Kallat El Saker Air Company', '\\N', '', 'KES', 'KALLAT EL SKER', 'Libya', 'N'),
	(3097, 'Kam Air', '\\N', 'RQ', 'KMF', 'KAMGAR', 'Afghanistan', 'Y'),
	(3098, 'Kampuchea Airlines', '\\N', 'E2', 'KMP', 'KAMPUCHEA', 'Cambodia', 'N'),
	(3099, 'Kanaf-Arkia Airlines', '\\N', '', 'KIZ', '', 'Israel', 'N'),
	(3100, 'Kanfey Ha\'emek Aviation', '\\N', '', 'KHE', 'KANFEY HAEMEK', 'Israel', 'N'),
	(3101, 'Kansas State University', '\\N', '', 'KSU', 'K-STATE', 'United States', 'N'),
	(3102, 'Karat', '\\N', 'V2', 'AKT', 'AVIAKARAT', 'Russia', 'N'),
	(3103, 'Karibu Airways Company', '\\N', '', 'KRB', 'KARIBU AIR', 'Tanzania', 'N'),
	(3104, 'Karlog Air Charter', '\\N', '', 'KLG', 'KARLOG', 'Denmark', 'N'),
	(3105, 'Karthago Airlines', '\\N', '', 'KAJ', 'KARTHAGO', 'Tunisia', 'N'),
	(3106, 'Kartika Airlines', '\\N', '', 'KAE', 'KARTIKA', 'Indonesia', 'N'),
	(3107, 'Kata Transportation', '\\N', '', 'KTV', 'KATAVIA', 'Sudan', 'N'),
	(3108, 'Katekavia', '\\N', '', 'KTK', 'KATEKAVIA', 'Russia', 'N'),
	(3109, 'Kato Airline', '\\N', '', 'KAT', 'KATO-AIR', 'Norway', 'N'),
	(3110, 'Kavminvodyavia', '\\N', 'KV', 'MVD', 'AIR MINVODY', 'Russia', 'Y'),
	(3111, 'Kavouras Inc', '\\N', '', 'XKA', '', 'United States', 'N'),
	(3112, 'Kaz Agros Avia', '\\N', '', 'KRN', 'ANTOL', 'Kazakhstan', 'N'),
	(3113, 'Kaz Air West', '\\N', '', 'KAW', 'KAZWEST', 'Kazakhstan', 'N'),
	(3114, 'Kazan Aviation Production Association', '\\N', '', 'KAO', 'KAZAVAIA', 'Russia', 'N'),
	(3115, 'Kazan Helicopters', '\\N', '', 'KPH', 'KAMA', 'Russia', 'N'),
	(3116, 'Kazavia', '\\N', '', 'KKA', 'KAKAIR', 'Kazakhstan', 'N'),
	(3117, 'Kazaviaspas', '\\N', '', 'KZS', 'SPAKAZ', 'Kazakhstan', 'N'),
	(3118, 'Keenair Charter -', '\\N', '', 'JFK', 'KEENAIR', 'United Kingdom', 'N'),
	(3119, 'Kelix Air', '\\N', '', 'KLX', 'KELIX', 'Nigeria', 'N'),
	(3120, 'Kelner Airways', '\\N', '', 'FKL', 'KELNER', 'Canada', 'N'),
	(3121, 'Kelowna Flightcraft Air Charter', '\\N', '', 'KFA', 'FLIGHTCRAFT', 'Canada', 'N'),
	(3122, 'Kendell Airlines', '\\N', '', 'KDA', 'KENDELL', 'Australia', 'Y'),
	(3123, 'Kenmore Air', '\\N', 'M5', 'KEN', 'KENMORE', 'United States', 'Y'),
	(3124, 'Kenn Borek Air', '\\N', '', 'KBA', 'BOREK AIR', 'Canada', 'N'),
	(3125, 'Kent Aviation', '\\N', '', 'KAH', 'DEKAIR', 'Canada', 'N'),
	(3126, 'Kenya Airways', '\\N', 'KQ', 'KQA', 'KENYA', 'Kenya', 'Y'),
	(3127, 'Kevis', '\\N', '', 'KVS', 'KEVIS', 'Kazakhstan', 'N'),
	(3128, 'Key Airlines', '\\N', '', 'KEY', 'KEY AIR', 'United States', 'N'),
	(3129, 'Key Lime Air', '\\N', '', 'LYM', 'KEY LIME', 'United States', 'N'),
	(3130, 'Keystone Aerial Surveys', '\\N', '', 'FTP', 'FOOTPRINT', 'United States', 'N'),
	(3131, 'Keystone Air Services', '\\N', 'BZ', 'KEE', 'KEYSTONE', 'Canada', 'N'),
	(3132, 'Khalifa Airways', '\\N', '', 'KZW', 'KHALIFA AIR', 'Algeria', 'N'),
	(3133, 'Kharkov Aircraft Manufacturing Company', '\\N', '', 'WKH', 'WEST-KHARKOV', 'Ukraine', 'N'),
	(3134, 'Khazar', '\\N', '', 'KHR', 'KHAZAR', 'Turkmenistan', 'N'),
	(3135, 'Khoezestan Photros Air Lines', '\\N', '', 'KHP', 'PHOTROS AIR', 'Iran', 'N'),
	(3136, 'Khoriv-Avia', '\\N', '', 'KRV', 'KHORIV-AVIA', 'Ukraine', 'N'),
	(3137, 'Khors Aircompany', '\\N', '', 'KHO', 'AIRCOMPANY KHORS', 'Ukraine', 'N'),
	(3138, 'Khyber Afghan Airlines', '\\N', '', 'KHY', 'KHYBER', 'Afghanistan', 'N'),
	(3139, 'Kiev Aviation Plant', '\\N', '', 'UAK', 'AVIATION PLANT', 'Ukraine', 'N'),
	(3140, 'King Aviation', '\\N', '', 'KNG', 'KING', 'United Kingdom', 'N'),
	(3141, 'Kingfisher Air Services', '\\N', '', 'BEZ', 'SEA BREEZE', 'United States', 'N'),
	(3142, 'Kingfisher Airlines', '\\N', 'IT', 'KFR', 'KINGFISHER', 'India', 'Y'),
	(3143, 'Knighthawk Air Express', '\\N', '', 'KNX', 'KNIGHT FLIGHT', 'Canada', 'N'),
	(3144, 'Kingston Air Services', '\\N', '', 'KAS', 'KINGSTON AIR', 'Canada', 'N'),
	(3145, 'Kinnarps', '\\N', '', 'KIP', 'KINNARPS', 'Sweden', 'N'),
	(3146, 'Kinshasa Airways', '\\N', '', 'KNS', 'KINSHASA AIRWAYS', 'Democratic Republic of the Congo', 'N'),
	(3147, 'Kirov Air Enterprise', '\\N', '', 'KTA', 'VYATKA-AVIA', 'Russia', 'N'),
	(3148, 'Kish Air', '\\N', 'Y9', 'IRK', 'KISHAIR', 'Iran', 'Y'),
	(3149, 'Kitty Hawk Aircargo', '\\N', '', 'KHA', 'AIR KITTYHAWK', 'United States', 'N'),
	(3150, 'Kitty Hawk Airways', '\\N', '', 'KHC', 'CARGO HAWK', 'United States', 'N'),
	(3151, 'Kiwi International Air Lines', '\\N', 'KP', 'KIA', 'KIWI AIR', 'United States', 'N'),
	(3152, 'Knight Air', '\\N', '', 'KNA', 'KNIGHTAIR', 'Canada', 'N'),
	(3153, 'Knighthawk Express', '\\N', '', 'KHX', 'RIZZ', 'United States', 'N'),
	(3154, 'Knights Airlines', '\\N', '', 'KGT', 'KNIGHT-LINER', 'Nigeria', 'N'),
	(3155, 'Koanda Avacion', '\\N', '', 'KOA', 'KOANDA', 'Spain', 'N'),
	(3156, 'Koda International', '\\N', '', 'OYE', 'KODA AIR', 'Nigeria', 'N'),
	(3157, 'Kogalymavia Air Company', '\\N', '7K', 'KGL', 'KOGALYM', 'Russia', 'Y'),
	(3158, 'Kom Activity', '\\N', '', 'KOM', 'COMJET', 'Netherlands', 'N'),
	(3159, 'Komiaviatrans State Air Enterprise', '\\N', '', 'KMA', 'KOMI AVIA', 'Russia', 'N'),
	(3160, 'Komiinteravia', '', '8J', 'KMV', 'KOMIINTER', 'Russia', 'N'),
	(3161, 'Komsomolsk-on-Amur Air Enterprise', '\\N', '', 'KNM', 'KNAAPO', 'Russia', 'N'),
	(3162, 'Koob-Corp - 96 KFT', '\\N', '', 'KOB', 'AUTOFLEX', 'Hungary', 'N'),
	(3163, 'Korean Air', '\\N', 'KE', 'KAL', 'KOREANAIR', 'Republic of Korea', 'Y'),
	(3164, 'Kosmas Air', '\\N', '', 'KMG', 'KOSMAS CARGO', 'Serbia', 'N'),
	(3165, 'Kosmos', '\\N', '', 'KSM', 'KOSMOS', 'Russia', 'Y'),
	(3166, 'Kosova Airlines', '\\N', '', 'KOS', 'KOSOVA', 'Serbia', 'N'),
	(3167, 'Kovar Air', '\\N', '', 'WOK', 'WOKAIR', 'Czech Republic', 'N'),
	(3168, 'Krasnojarsky Airlines', '\\N', '7B', 'KJC', 'KRASNOJARSKY AIR', 'Russia', 'Y'),
	(3169, 'Kremenchuk Flight College', '\\N', '', 'KFC', 'KREMENCHUK', 'Ukraine', 'N'),
	(3170, 'Krimaviamontag', '\\N', '', 'KRG', 'AVIAMONTAG', 'Ukraine', 'N'),
	(3171, 'Kroonk Air Agency', '\\N', '', 'KRO', 'KROONK', 'Ukraine', 'N'),
	(3172, 'Krylo Airlines', '\\N', 'K9', 'KRI', 'Krylo', 'Russia', 'N'),
	(3173, 'Krym', '\\N', '', 'KYM', 'CRIMEA AIR', 'Ukraine', 'N'),
	(3174, 'Krystel Air Charter', '\\N', '', 'OPC', 'OPTIC', 'United Kingdom', 'N'),
	(3175, 'Kuban Airlines', '\\N', 'GW', 'KIL', 'AIR KUBAN', 'Russia', 'Y'),
	(3176, 'Kunpeng Airlines', '\\N', 'VD', 'KPA', 'KUNPENG', 'China', 'N'),
	(3177, 'Kurzemes Avio', '\\N', '', 'KZA', '', 'Russia', 'N'),
	(3178, 'Kustbevakningen', '\\N', '', 'KBV', 'SWECOAST', 'Sweden', 'N'),
	(3179, 'Kuwait Airways', '\\N', 'KU', 'KAC', 'KUWAITI', 'Kuwait', 'Y'),
	(3180, 'Kuzu Airlines Cargo', '\\N', 'GO', 'KZU', 'KUZU CARGO', 'Turkey', 'Y'),
	(3181, 'Kvadro Aero', '\\N', '', 'QVR', 'PEGASO', 'Kyrgyzstan', 'N'),
	(3182, 'Kwena Air', '\\N', '', 'KWN', 'KWENA', 'South Africa', 'N'),
	(3183, 'Kyrgyz Airlines', '\\N', 'N5', 'KGZ', 'BERMET', 'Kyrgyzstan', 'N'),
	(3184, 'Kyrgyz Trans Avia', '\\N', '', 'KTC', 'DINARA', 'Kyrgyzstan', 'N'),
	(3185, 'Kyrgyzstan', '\\N', 'QH', 'LYN', 'ALTYN AVIA', 'Kyrgyzstan', 'N'),
	(3186, 'Kyrgyzstan Airlines', '\\N', 'R8', 'KGA', 'KYRGYZ', 'Kyrgyzstan', 'N'),
	(3187, 'Kyrgyzstan Department of Aviation', '\\N', '', 'DAM', 'FLIGHT RESCUE', 'Kyrgyzstan', 'N'),
	(3188, 'Kyrgz General Aviation', '\\N', '', 'KGB', 'KEMIN', 'Kyrgyzstan', 'N'),
	(3189, 'Kibris T', '\\N', 'KY', 'KYV', 'AIRKIBRIS', 'Turkey', 'N'),
	(3190, 'L A Helicopter', '\\N', '', 'LAH', 'STAR SHIP', 'United States', 'N'),
	(3191, 'L J Aviation', '\\N', '', 'LJY', 'ELJAY', 'United States', 'N'),
	(3192, 'L R Airlines', '\\N', '', 'LRB', 'LADY RACINE', 'Czech Republic', 'N'),
	(3193, 'L&L Flygbildteknik', '\\N', '', 'PHO', 'PHOTOFLIGHT', 'Sweden', 'N'),
	(3194, 'L\'Express', '\\N', '', 'LEX', 'LEX', 'United States', 'N'),
	(3195, 'L-3 Communications Flight Internation Aviation', '\\N', '', 'FNT', 'FLIGHT INTERNATIONAL', 'United States', 'N'),
	(3196, 'L.A.B. Flying Service', '\\N', 'JF', 'LAB', 'LAB', 'United States', 'N'),
	(3197, 'LACSA', '\\N', 'LR', 'LRC', 'LACSA', 'Costa Rica', 'Y'),
	(3198, 'LADE - Lineas Aereas Del Estado', '\\N', '', 'LDE', 'LADE', 'Argentina', 'N'),
	(3199, 'LAI - Linea Aerea IAACA', '\\N', 'KG', 'BNX', 'AIR BARINAS', 'Venezuela', 'N'),
	(3200, 'LAN Airlines', '\\N', 'LA', 'LAN', 'LAN', 'Chile', 'Y'),
	(3201, 'LAN Argentina', '\\N', '4M', 'DSM', 'LAN AR', 'Argentina', 'Y'),
	(3202, 'LAN Cargo', '\\N', '', 'LCO', 'LAN CARGO', 'Chile', 'N'),
	(3203, 'LAN Dominica', '\\N', '', 'LNC', 'LANCANA', 'Dominican Republic', 'N'),
	(3204, 'LAN Express', '\\N', 'LU', 'LXP', 'LANEX', 'Chile', 'Y'),
	(3205, 'LAN Peru', '\\N', 'LP', 'LPE', 'LANPERU', 'Peru', 'Y'),
	(3206, 'LANSA', '\\N', '', 'LSA', 'INTERNACIONAL', 'Dominican Republic', 'N'),
	(3207, 'LAP Colombia - Lineas Aereas Petroleras', '\\N', '', 'APT', ' S.A.', 'LAP', 'N'),
	(3208, 'LASTP', '\\N', '', 'OTN', 'LASTP', 'S', 'N'),
	(3209, 'LC Busre', '\\N', '', 'LCB', 'BUSRE', 'Peru', 'N'),
	(3210, 'LOT Polish Airlines', '\\N', 'LO', 'LOT', 'POLLOT', 'Poland', 'Y'),
	(3211, 'LTE International Airways', '\\N', 'XO', 'LTE', 'FUN JET', 'Spain', 'Y'),
	(3212, 'LTU Austria', '\\N', 'L3', 'LTO', 'BILLA TRANSPORT', 'Austria', 'Y'),
	(3213, 'LTU International', '\\N', 'LT', 'LTU', 'LTU', 'Germany', 'Y'),
	(3214, 'LTV Jet Fleet Corporation', '\\N', '', 'JFC', 'JET-FLEET', 'United States', 'N'),
	(3215, 'LUKoil-Avia', '\\N', '', 'LUK', 'LUKOIL', 'Russia', 'N'),
	(3216, 'La Ronge Aviation Services', '\\N', '', 'ASK', 'AIR SASK', 'Canada', 'N'),
	(3217, 'La Valenciana Taxi Aereo', '\\N', '', 'LVT', 'TAXIVALENCIANA', 'Mexico', 'N'),
	(3218, 'Labcorp', '\\N', '', 'SKQ', 'SKYLAB', 'United States', 'N'),
	(3219, 'Labrador Airways', '\\N', '', 'LAL', 'LAB AIR', 'Canada', 'N'),
	(3220, 'Lagun Air', '\\N', 'N6', 'JEV', '', 'Spain', 'N'),
	(3221, 'Lake Havasu Air Service', '\\N', '', 'HCA', 'HAVASU', 'United States', 'N'),
	(3222, 'Lakeland Aviation', '\\N', '', 'LKL', 'LAKELAND', 'United States', 'N'),
	(3223, 'Laker Airways', '\\N', '', 'LKR', 'LAKER', 'United States', 'N'),
	(3224, 'Laker Airways (Bahamas)', '\\N', '', 'LBH', 'LAKER BAHAMAS', 'United States', 'N'),
	(3225, 'Lamra', '\\N', '', 'LMR', 'LAMAIR', 'Sudan', 'N'),
	(3226, 'Lanaes Aereas Trans Costa Rica', '\\N', '', 'TCR', 'TICOS', 'Costa Rica', 'N'),
	(3227, 'Landsflug', '\\N', '', 'ISL', 'ISLANDIA', 'Iceland', 'N'),
	(3228, 'Langtry Flying Group', '\\N', '', 'PAP', 'PROFLIGHT', 'United Kingdom', 'N'),
	(3229, 'Lankair', '\\N', 'IK', 'LKN', 'Lankair', 'Sri Lanka', 'N'),
	(3230, 'Lanza Air', '\\N', '', 'LZA', 'AEROLANZA', 'Spain', 'N'),
	(3231, 'Lanzarote Aerocargo', '\\N', '', 'LZT', 'BARAKA', 'Spain', 'N'),
	(3232, 'Lao Air Company', '\\N', '', 'LLL', 'LAVIE', 'Lao Peoples Democratic Republic', 'N'),
	(3233, 'Lao Airlines', '\\N', 'QV', 'LAO', 'LAO', 'Lao Peoples Democratic Republic', 'Y'),
	(3234, 'Lao Capricorn Air', '\\N', '', 'LKA', 'NAKLOA', 'Lao Peoples Democratic Republic', 'N'),
	(3235, 'Laoag International Airlines', '\\N', 'L7', 'LPN', 'LAOAG AIR', 'Philippines', 'N'),
	(3236, 'Laredo Air', '\\N', '', 'LRD', 'LAREDO AIR', 'United States', 'N'),
	(3237, 'LatCharter', '\\N', '', 'LTC', 'LATCHARTER', 'Latvia', 'Y'),
	(3238, 'Latvian Air Force', '\\N', '', 'LAF', 'LATVIAN AIRFORCE', 'Latvia', 'N'),
	(3239, 'Lauda Air', '\\N', 'NG', 'LDA', 'LAUDA AIR', 'Austria', 'Y'),
	(3240, 'Lauda Air Italy', '\\N', '', 'LDI', 'LAUDA ITALY', 'Italy', 'N'),
	(3241, 'Laughlin Express', '\\N', '', 'LEP', 'LAUGHLIN EXPRESS', 'United States', 'N'),
	(3242, 'Laus', '\\N', '', 'LSU', 'LAUS AIR', 'Croatia', 'N'),
	(3243, 'Lawrence Aviation', '\\N', '', 'LAR', 'LAWRENCE', 'United States', 'N'),
	(3244, 'Layang-Layang Aerospace', '\\N', '', 'LAY', 'LAYANG', 'Malaysia', 'N'),
	(3245, 'Lease-a-Plane International', '\\N', '', 'LPL', 'LEASE-A-PLANE', 'United States', 'N'),
	(3246, 'Lebanese Air Transport', '\\N', 'LQ', 'LAQ', 'LAT', 'Lebanon', 'N'),
	(3247, 'Lebanese Air Transport (Charter)', '\\N', '', 'LAT', 'LEBANESE AIR', 'Lebanon', 'N'),
	(3248, 'Lebanon Airport Development Corporation', '\\N', '', 'LAD', 'LADCO-AIR', 'United States', 'N'),
	(3250, 'Leconte Airlines', '\\N', '', 'LCA', 'LECONTE', 'United States', 'N'),
	(3251, 'Leeward Islands Air Transport', '\\N', 'LI', 'LIA', 'LIAT', 'Antigua and Barbuda', 'Y'),
	(3252, 'Legend Airlines', '\\N', '', 'LGD', 'LEGENDARY', 'United States', 'N'),
	(3253, 'Leisure Air', '\\N', '', 'LWD', 'LEISURE WORLD', 'United States', 'N'),
	(3254, 'Lentini Aviation', '\\N', '', 'LEN', 'LENTINI', 'United States', 'N'),
	(3255, 'Leo-Air', '\\N', '', 'LOR', 'LEO CHARTER', 'South Africa', 'N'),
	(3256, 'Leonsa De Aviacion', '\\N', '', 'LEL', 'LEONAVIA', 'Spain', 'N'),
	(3257, 'Libyan Airlines', '\\N', '', 'LYW', 'LIBYAN AIRWAYS', 'Libya', 'N'),
	(3258, 'Libyan Arab Airlines', '\\N', 'LN', 'LAA', 'LIBAIR', 'Libya', 'Y'),
	(3259, 'Libyan Arab Air Cargo', '\\N', '', 'LCR', 'LIBAC', 'Libya', 'N'),
	(3260, 'Lid Air', '\\N', '', 'LIQ', '', 'Sweden', 'N'),
	(3261, 'Lignes Aeriennes Congolaises', '\\N', '', 'LCG', 'CONGOLAISE', 'Democratic Republic of the Congo', 'N'),
	(3262, 'Lignes Aeriennes Du Tchad', '\\N', '', 'LKD', 'LATCHAD', 'Chad', 'N'),
	(3263, 'Lignes Mauritaniennes Air Express', '\\N', '', 'LME', 'LIMAIR EXPRESS', 'Mauritania', 'N'),
	(3264, 'Lignes Nationales Aeriennes - Linacongo', '\\N', '', 'GCB', 'LINACONGO', 'Republic of the Congo', 'N'),
	(3265, 'Lincoln Air National Guard', '\\N', '', 'GDQ', '', 'United States', 'N'),
	(3266, 'Lincoln Airlines', '\\N', '', 'LRT', '', 'Australia', 'N'),
	(3267, 'Lindsay Aviation', '\\N', '', 'LSY', 'LINDSAY AIR', 'United States', 'N'),
	(3268, 'Linea Aerea Costa Norte', '\\N', '', 'NOT', 'COSTA NORTE', 'Chile', 'N'),
	(3269, 'Linea Aerea Mexicana de Carga', '\\N', '', 'LMC', 'LINEAS DECARGA', 'Mexico', 'N'),
	(3270, 'Linea Aerea SAPSA', '\\N', 'L7', 'LNP', 'SAPSA', 'Chile', 'N'),
	(3271, 'Linea Aerea de Fumig Aguas Negras', '\\N', '', 'NEG', 'AGUAS NEGRAS', 'Chile', 'N'),
	(3272, 'Linea Aerea de Servicio Ejecutivo Regional', '\\N', '8z', 'LER', 'LASER', 'Venezuela', 'N'),
	(3273, 'Linea De Aeroservicios', '\\N', '', 'LSE', '', 'Chile', 'N'),
	(3274, 'Linea Turistica Aerotuy', '\\N', 'LD', 'TUY', 'AEREOTUY', 'Venezuela', 'N'),
	(3275, 'Lineas Aereas Alaire S.L.', '\\N', '', 'ALR', 'AEROLAIRE', 'Spain', 'N'),
	(3276, 'Lineas Aereas Azteca', '\\N', 'ZE', 'LCD', 'LINEAS AZTECA', 'Mexico', 'N'),
	(3277, 'Lineas Aereas Canedo LAC', '\\N', '', 'LCN', 'CANEDO', 'Bolivia', 'N'),
	(3278, 'Lineas Aereas Comerciales', '\\N', '', 'LCM', 'LINEAS COMERCIALES', 'Mexico', 'N'),
	(3279, 'Lineas Aereas Ejectuivas De Durango', '\\N', '', 'EDD', 'LINEAS DURANGO', 'Mexico', 'N'),
	(3280, 'Lineas Aereas Eldorado', '\\N', '', 'EDR', 'ELDORADRO', 'Colombia', 'N'),
	(3281, 'Lineas Aereas Federales', '\\N', '', 'FED', 'FEDERALES', 'Argentina', 'N'),
	(3282, 'Lineas Aereas Monarca', '\\N', '', 'LMN', 'LINEAS MONARCA', 'Mexico', 'N'),
	(3283, 'Lineas Aereas San Jose', '\\N', '', 'LIJ', 'LINEAS JOSE', 'Mexico', 'N'),
	(3284, 'Lineas Aereas del Humaya', '\\N', '', 'UMA', 'HUMAYA', 'Mexico', 'N'),
	(3285, 'Linex', '\\N', '', 'LEC', 'LECA', 'Central African Republic', 'N'),
	(3286, 'Linhas Aereas Santomenses', '\\N', '', 'SMS', 'SANTOMENSES', 'S', 'N'),
	(3287, 'Linhas A', '\\N', 'LM', 'LAM', 'MOZAMBIQUE', 'Mozambique', 'Y'),
	(3288, 'Link Airways of Australia', '\\N', '', 'LAW', '', 'Australia', 'N'),
	(3289, 'Lion Air Services', '\\N', '', 'WGT', 'WORLDGATE', 'United Kingdom', 'N'),
	(3290, 'Lion Mentari Airlines', '\\N', 'JT', 'LNI', 'LION INTER', 'Indonesia', 'Y'),
	(3291, 'Lions-Air', '\\N', '', 'LEU', 'LIONSAIR', 'Switzerland', 'N'),
	(3292, 'Lithuanian Air Force', '\\N', '', 'LYF', 'LITHUANIAN AIRFORCE', 'Lithuania', 'N'),
	(3293, 'Little Red Air Service', '\\N', '', 'LRA', 'LITTLE RED', 'Canada', 'N'),
	(3294, 'Livingston', '\\N', 'LM', 'LVG', 'LIVINGSTON', 'Italy', 'N'),
	(3295, 'Lloyd Aereo Boliviano', '\\N', 'LB', 'LLB', 'LLOYDAEREO', 'Bolivia', 'N'),
	(3296, 'Lnair Air Services', '\\N', '', 'LNA', 'ELNAIR', 'Spain', 'N'),
	(3297, 'Lockheed Air Terminal', '\\N', '', 'XLG', '', 'United States', 'N'),
	(3298, 'Lockeed Aircraft Corporation', '\\N', '', 'LAC', 'LOCKHEED', 'United States', 'N'),
	(3299, 'Lockheed DUATS', '\\N', '', 'XDD', '', 'United States', 'N'),
	(3300, 'Lockheed Martin Aeronautics', '\\N', '', 'CBD', 'CATBIRD', 'United States', 'N'),
	(3301, 'Lockheed Martin Aeronautics Company', '\\N', '', 'LNG', 'LIGHTNING', 'United States', 'N'),
	(3302, 'Logan Air', '\\N', '', 'LOG', 'LOGAN', 'United Kingdom', 'N'),
	(3303, 'Lom Praha Flying School', '\\N', '', 'CLV', 'AEROTRAINING', 'Czech Republic', 'N'),
	(3304, 'Lomas Helicopters', '\\N', '', 'LMS', 'LOMAS', 'United Kingdom', 'N'),
	(3305, 'London City Airport Jet Centre', '\\N', '', 'LCY', 'LONDON CITY', 'United Kingdom', 'N'),
	(3306, 'London Executive Aviation', '\\N', '', 'LNX', 'LONEX', 'United Kingdom', 'N'),
	(3307, 'London Flight Centre (Stansted)', '\\N', '', 'LOV', 'LOVEAIR', 'United Kingdom', 'N'),
	(3308, 'London Helicopter Centres', '\\N', '', 'LHC', 'MUSTANG', 'United Kingdom', 'N'),
	(3309, 'Lone Star Airlines', '\\N', '', 'LSS', 'LONE STAR', 'United States', 'N'),
	(3310, 'Long Island Airlines', '\\N', '', 'ORA', 'LONG ISLAND', 'United States', 'N'),
	(3311, 'Longtail Aviation', '\\N', '', 'LGT', 'LONGTAIL', 'Bermuda', 'N'),
	(3312, 'Lorraine Aviation', '\\N', '', 'LRR', 'LORRAINE', 'France', 'N'),
	(3313, 'Los Cedros Aviacion', '\\N', '', 'LSC', 'CEDROS', 'Chile', 'N'),
	(3314, 'Lotus Air', '\\N', '', 'TAS', 'LOTUS FLOWER', 'Egypt', 'N'),
	(3315, 'Luchtvaartmaatschappij Twente', '\\N', '', 'LTW', 'TWENTAIR', 'Netherlands', 'N'),
	(3316, 'Lucky Air', '\\N', '', 'LKE', 'LUCKY AIR', 'China', 'N'),
	(3317, 'Luft Carago', '\\N', '', 'LUT', 'LUGO', 'South Africa', 'N'),
	(3318, 'Luftfahrt-Vermietungs-Dienst', '\\N', '', 'LVD', 'AIR SANTE', 'Austria', 'N'),
	(3319, 'Luftfahrtgesellschaft Walter', '\\N', 'HE', 'LGW', 'WALTER', 'Germany', 'Y'),
	(3320, 'Lufthansa', '\\N', 'LH', 'DLH', 'LUFTHANSA', 'Germany', 'Y'),
	(3321, 'Lufthansa Cargo', '\\N', 'LH', 'GEC', 'LUFTHANSA CARGO', 'Germany', 'Y'),
	(3322, 'Lufthansa CityLine', '\\N', 'CL', 'CLH', 'HANSALINE', 'Germany', 'Y'),
	(3323, 'Lufthansa Systems', '\\N', 'L1', '', '', 'Germany', 'N'),
	(3324, 'Lufthansa Technik', '\\N', '', 'LHT', 'LUFTHANSA TECHNIK', 'Germany', 'N'),
	(3325, 'Lufttaxi Fluggesellschaft', '', 'DV', 'LTF', 'Garfield', 'Germany', 'N'),
	(3326, 'Lufttransport', '\\N', 'L5', 'LTR', 'LUFT TRANSPORT', 'Norway', 'Y'),
	(3327, 'Luhansk', '\\N', '', 'LHS', 'ENTERPRISE LUHANSK', 'Ukraine', 'N'),
	(3328, 'Lund University School of Aviation', '\\N', '', 'UNY', 'UNIVERSITY', 'Sweden', 'N'),
	(3329, 'Luxair', '\\N', 'LG', 'LGL', 'LUXAIR', 'Luxembourg', 'Y'),
	(3330, 'Luxaviation', '\\N', '', 'LXA', 'RED LION', 'Luxembourg', 'N'),
	(3331, 'Luxembourg Air Rescue', '\\N', '', 'LUV', 'LUX RESCUE', 'Luxembourg', 'N'),
	(3332, 'Luxflight Executive', '\\N', '', 'LFE', 'LUX EXPRESS', 'Luxembourg', 'N'),
	(3333, 'Luxor Air', '\\N', '', 'LXO', '', 'Egypt', 'N'),
	(3334, 'Luzair', '\\N', '', 'LUZ', 'LISBON JET', 'Portugal', 'N'),
	(3335, 'Lviv Airlines', '\\N', '5V', 'UKW', 'UKRAINE WEST', 'Ukraine', 'N'),
	(3336, 'Lydd Air', '\\N', '', 'LYD', 'LYDDAIR', 'United Kingdom', 'N'),
	(3337, 'Lynch Flying Service', '\\N', '', 'LCH', 'LYNCH AIR', 'United States', 'N'),
	(3338, 'Lynden Air Cargo', '\\N', 'L2', 'LYC', 'LYNDEN', 'United States', 'N'),
	(3339, 'Lynx Air International', '\\N', '', 'LXF', 'LYNX FLIGHT', 'United States', 'N'),
	(3340, 'Lynx Aviation', '\\N', '', 'LYX', 'LYNX AIR', 'Pakistan', 'N'),
	(3342, 'L', '\\N', 'MJ', 'LPR', 'LAPA', 'Argentina', 'Y'),
	(3343, 'L', '\\N', '', 'LAU', 'SURAMERICANO', 'Colombia', 'N'),
	(3344, 'M & N Aviation', '\\N', '', 'JNH', 'JONAH', 'United States', 'N'),
	(3345, 'MAC Fotografica', '\\N', '', 'MCF', 'MAC FOTO', 'Spain', 'N'),
	(3346, 'MANAG\'AIR', '\\N', '', 'MRG', 'MANAG\'AIR', 'France', 'N'),
	(3347, 'MAP-Management and Planung', '\\N', '', 'MPJ', 'MAPJET', 'Austria', 'N'),
	(3348, 'MAS Airways', '\\N', '', 'TFG', 'TRAFALGAR', 'United Kingdom', 'N'),
	(3349, 'MasAir', '\\N', 'M7', 'MAA', 'MAS CARGA', 'Mexico', 'Y'),
	(3350, 'MAT Macedonian Airlines', '\\N', 'IN', 'MAK', 'MAKAVIO', 'Macedonia', 'Y'),
	(3351, 'MCC Aviation', '\\N', '', 'MCC', 'DISCOVERY', 'South Africa', 'N'),
	(3352, 'MG Aviacion', '\\N', '', 'MGA', 'MAG AVACION', 'Spain', 'N'),
	(3353, 'MIA Airlines', '\\N', '', 'JLA', 'SALLINE', 'Romania', 'N'),
	(3354, 'MIAT Mongolian Airlines', '\\N', 'OM', 'MGL', 'MONGOL AIR', 'Mongolia', 'Y'),
	(3355, 'MIT Airlines', '\\N', '', 'MNC', 'MUNCIE', 'Canada', 'N'),
	(3356, 'MK Airline', '\\N', '', 'MKA', 'KRUGER-AIR', 'Ghana', 'N'),
	(3357, 'MNG Airlines', '\\N', 'MB', 'MNB', 'BLACK SEA', 'Turkey', 'Y'),
	(3358, 'MSR Flug-Charter', '\\N', '', 'EBF', 'SKYRUNNER', 'Germany', 'N'),
	(3359, 'MTC Aviacion', '\\N', '', 'MCV', 'MTC AVIACION', 'Mexico', 'N'),
	(3360, 'Mac Aviation', '\\N', '', 'MAQ', 'MAC AVIATION', 'Spain', 'N'),
	(3361, 'Mac Dan Aviation Corporation', '\\N', '', 'MCN', 'MAC DAN', 'United States', 'N'),
	(3362, 'MacKnight Airlines', '\\N', '', 'MTD', '', 'Australia', 'N'),
	(3363, 'Macair Airlines', '\\N', 'CC', 'MCK', '', 'Australia', 'Y'),
	(3364, 'Macedonian Airlines', '\\N', '', 'MCS', 'MACAIR', 'Greece', 'N'),
	(3365, 'Madina Air', '\\N', '', 'MDH', 'MADINA AIR', 'Libya', 'N'),
	(3366, 'Maersk', '\\N', 'DM', '', '', 'Denmark', 'Y'),
	(3367, 'Magic Blue Airlines', '\\N', '', 'MJB', 'MAGIC BLUE', 'Netherlands', 'N'),
	(3368, 'Magna Air', '\\N', '', 'MGR', 'MAGNA AIR', 'Austria', 'N'),
	(3369, 'Mahalo Air', '\\N', '', 'MLH', 'MAHALO', 'United States', 'N'),
	(3370, 'Mahan Air', '\\N', 'W5', 'IRM', 'MAHAN AIR', 'Iran', 'Y'),
	(3371, 'Mahfooz Aviation', '\\N', 'M2', 'MZS', 'MAHFOOZ', 'Gambia', 'N'),
	(3372, 'Maine Aviation', '\\N', '', 'MAT', 'MAINE-AV', 'United States', 'N'),
	(3373, 'Majestic Airlines', '\\N', '', 'MAJ', 'MAGIC AIR', 'United States', 'N'),
	(3374, 'Mak Air', '\\N', '', 'AKM', 'MAKAIR', 'Kazakhstan', 'N'),
	(3375, 'Malagasy Airlines', '\\N', '', 'MLG', '', 'Madagascar', 'N'),
	(3376, 'Malawi Express', '\\N', '', 'MLX', 'MALAWI EXPRESS', 'Malawi', 'N'),
	(3377, 'Malaya Aviatsia Dona', '\\N', '', 'MKK', 'AEROKEY', 'Russia', 'N'),
	(3378, 'Malaysia Airlines', '\\N', 'MH', 'MAS', 'MALAYSIAN', 'Malaysia', 'Y'),
	(3379, 'Mali Air', '\\N', '', 'MAE', 'MALI AIREXPRESS', 'Austria', 'N'),
	(3380, 'Mali Air Express', '\\N', '', 'VXP', 'AVION EXPRESS', 'Mali', 'N'),
	(3381, 'Mali Airways', '\\N', '', 'MTZ', 'MALI AIRWAYS', 'Mali', 'N'),
	(3382, 'Malila Airlift', '\\N', '', 'MLC', 'MALILA', 'Democratic Republic of the Congo', 'N'),
	(3383, 'Mall Airways', '\\N', '', 'MLS', 'MALL-AIRWAYS', 'United States', 'N'),
	(3384, 'Malmo Aviation', '\\N', '', 'SCW', 'SCANWING', 'Sweden', 'Y'),
	(3385, 'Malmoe Air Taxi', '\\N', '', 'LOD', 'LOGIC', 'Sweden', 'N'),
	(3386, 'Malmö Aviation', '\\N', 'TF', 'SCW', 'Scanwings', 'Sweden', 'Y'),
	(3387, 'Malta Air Charter', '\\N', 'R5', 'MAC', 'MALTA CHARTER', 'Malta', 'Y'),
	(3388, 'Malta Wings', '\\N', '', 'MWS', 'MALTA WINGS', 'Malta', 'N'),
	(3389, 'Malév', '\\N', 'MA', 'MAH', 'MALEV', 'Hungary', 'Y'),
	(3390, 'Manaf International Airways', '\\N', '', 'MLB', 'MANAF', 'Burundi', 'N'),
	(3391, 'Mandala Airlines', '\\N', 'RI', 'MDL', 'MANDALA', 'Indonesia', 'Y'),
	(3392, 'Mandarin Airlines', '\\N', 'AE', 'MDA', 'Mandarin', 'Taiwan', 'Y'),
	(3393, 'Mango', '\\N', 'JE', 'MNO', 'TULCA', 'South Africa', 'Y'),
	(3394, 'Manhattan Air', '\\N', '', 'MHN', 'MANHATTAN', 'United Kingdom', 'N'),
	(3395, 'Manitoulin Air Services', '\\N', '', 'MTO', 'MANITOULIN', 'Canada', 'N'),
	(3396, 'Mann Air', '\\N', '', 'MNR', 'TEEMOL', 'United Kingdom', 'N'),
	(3397, 'Mannion Air Charter', '\\N', '', 'MAN', 'MANNION', 'United States', 'N'),
	(3398, 'Mantrust Asahi Airways', '\\N', '', 'MTS', 'MANTRUST', 'Indonesia', 'N'),
	(3399, 'Manx Airlines', '\\N', '', 'MNX', 'MANX', 'United Kingdom', 'N'),
	(3400, 'Maple Air Services', '\\N', '', 'MAD', 'MAPLE AIR', 'Canada', 'N'),
	(3401, 'March Helicopters', '\\N', '', 'MAR', 'MARCH', 'United Kingdom', 'N'),
	(3402, 'Marcopolo Airways', '\\N', '', 'MCP', 'MARCOPOLO', 'Afghanistan', 'N'),
	(3403, 'Marghi Air', '\\N', '', 'MGI', 'MARGHI', 'Nigeria', 'N'),
	(3404, 'Markair', '\\N', '', 'MRK', 'MARKAIR', 'United States', 'N'),
	(3405, 'Markoss Aviation', '\\N', '', 'MKO', 'GOSHAWK', 'United Kingdom', 'N'),
	(3406, 'Mars RK', '\\N', '6V', 'MRW', 'AVIAMARS', 'Ukraine', 'N'),
	(3407, 'Marshall Aerospace', '\\N', '', 'MCE', 'MARSHALL', 'United Kingdom', 'N'),
	(3408, 'Marsland Aviation', '\\N', 'M7', 'MSL', 'MARSLANDAIR', 'Sudan', 'N'),
	(3409, 'Martin Aviation Services', '\\N', '', 'XMA', '', 'United States', 'N'),
	(3410, 'Martin-Baker', '\\N', '', 'MBE', 'MARTIN', 'United Kingdom', 'N'),
	(3411, 'Martinair', '\\N', 'MP', 'MPH', 'MARTINAIR', 'Netherlands', 'Y'),
	(3412, 'Martinaire', '\\N', '', 'MRA', 'MARTEX', 'United States', 'N'),
	(3413, 'Martyn Fiddler Associates', '\\N', '', 'MFA', 'SEAHORSE', 'United Kingdom', 'N'),
	(3414, 'Marvin Limited', '\\N', '', 'MVN', 'MARVIN', 'United Kingdom', 'N'),
	(3415, 'Maryland State Police', '\\N', '', 'TRP', 'TROOPER', 'United States', 'N'),
	(3416, 'Massachusetts Institute of Technology', '\\N', '', 'MTH', 'RESEARCH', 'United States', 'N'),
	(3417, 'Massey University School of Aviation', '\\N', '', 'MSY', 'MASSEY', 'New Zealand', 'N'),
	(3418, 'Master Airways', '\\N', '', 'MSW', 'MASTER AIRWAYS', 'Serbia', 'N'),
	(3419, 'Master Planner', '\\N', '', 'MPL', '', 'United States', 'N'),
	(3420, 'Masterjet', '\\N', '', 'LMJ', 'MASTERJET', 'Portugal', 'N'),
	(3421, 'Mastertop Linhas Aereas', '\\N', 'Q4', '', '', 'Brazil', 'N'),
	(3422, 'Mauria', '\\N', '', 'MIA', 'MAURIA', 'Mauritania', 'N'),
	(3423, 'Mauritanienne Aerienne Et Navale', '\\N', '', 'MNV', 'NAVALE', 'Mauritania', 'N'),
	(3424, 'Mauritanienne Air Fret', '\\N', '', 'MRF', 'MAUR-FRET', 'Mauritania', 'N'),
	(3425, 'Mauritanienne Airways', '\\N', '', 'MWY', 'MAURITANIENNE', 'Mauritania', 'N'),
	(3426, 'Mauritanienne De Transport Aerien', '\\N', '', 'MDE', 'MAURI-TRANS', 'Mauritania', 'N'),
	(3427, 'Maverick Airways', '\\N', '', 'MVR', 'MAV-AIR', 'United States', 'N'),
	(3428, 'Mavial Magadan Airlines', '\\N', 'H5', 'MVL', 'Mavial', 'Russia', 'N'),
	(3429, 'Max Avia', '\\N', '', 'MAI', 'MAX AVIA', 'Kyrgyzstan', 'N'),
	(3430, 'Max Sea Food', '\\N', '', 'MSF', 'MAXESA', 'El Salvador', 'N'),
	(3431, 'Max-Aviation', '\\N', '', 'MAX', 'MAX AVIATION', 'Canada', 'N'),
	(3432, 'Maxair', '\\N', '8M', 'MXL', 'MAXAIR', 'Sweden', 'Y'),
	(3433, 'Maximus Air Cargo', '\\N', '', 'MXU', 'CARGO MAX', 'United Arab Emirates', 'N'),
	(3434, 'Maxjet Airways', '\\N', 'MY', 'MXJ', 'MAX-JET', 'United States', 'N'),
	(3435, 'Maxsus-Avia', '\\N', '', 'MXS', 'MAXSUS-AVIA', 'Uzbekistan', 'N'),
	(3436, 'May Air Xpress', '\\N', '', 'MXP', 'BEECHNUT', 'United States', 'N'),
	(3437, 'Maya Island Air', '\\N', 'MW', 'MYD', 'MYLAND', 'Belize', 'Y'),
	(3438, 'Mayair', '\\N', '', 'MYI', 'MAYAIR', 'Mexico', 'N'),
	(3439, 'Mbach Air', '\\N', '', 'MBS', 'MBACHI AIR', 'Malawi', 'N'),
	(3440, 'McAlpine Helicopters', '\\N', '', 'MCH', 'MACLINE', 'United Kingdom', 'N'),
	(3441, 'McCall Aviation', '\\N', '', 'MKL', 'MCCALL', 'United States', 'N'),
	(3442, 'McDonnell Douglas', '\\N', '', 'DAC', 'DACO', 'United States', 'N'),
	(3443, 'McNeely Charter Services', '\\N', '', 'MDS', 'MID-SOUTH', 'United States', 'N'),
	(3444, 'Med-Trans of Florida', '\\N', '', 'MEK', 'MED-TRANS', 'United States', 'N'),
	(3445, 'Medavia Company', '\\N', '', 'MDM', 'MEDAVIA', 'Malta', 'N'),
	(3446, 'Medical Air Rescue Services', '\\N', '', 'MRZ', 'MARS', 'Zimbabwe', 'N'),
	(3447, 'Medical Aviation Services', '\\N', '', 'MCL', 'MEDIC', 'United Kingdom', 'N'),
	(3448, 'Mediterranean Air Freight', '\\N', '', 'MDF', 'MED-FREIGHT', 'Greece', 'N'),
	(3449, 'Mediterranean Airways', '\\N', '', 'MDY', '', 'Egypt', 'N'),
	(3450, 'Medjet International', '\\N', '', 'MEJ', 'MEDJET', 'United States', 'N'),
	(3451, 'Mega', '\\N', '', 'MGK', 'MEGLA', 'Kazakhstan', 'N'),
	(3452, 'Mega Linhas Aereas', '\\N', '', 'MEL', 'MEGA AIR', 'Brazil', 'N'),
	(3453, 'Mekong Airlines', '\\N', '', 'MKN', 'MEKONG AIRLINES', 'Cambodia', 'N'),
	(3454, 'Menajet', '\\N', 'IM', 'MNJ', 'MENAJET', 'Lebanon', 'N'),
	(3456, 'Merchant Express Aviation', '\\N', '', 'MXX', 'MERCHANT', 'Nigeria', 'N'),
	(3457, 'Mercury Aircourier Service', '\\N', '', 'MEC', 'MERCAIR', 'United States', 'N'),
	(3458, 'Meridian', '\\N', '', 'POV', 'AIR POLTAVA', 'Ukraine', 'N'),
	(3459, 'Meridian Air Cargo', '\\N', '', 'MRD', 'MERIDIAN', 'United States', 'N'),
	(3460, 'Meridian Airlines', '\\N', '', 'MHL', 'HASSIMAIR', 'Nigeria', 'N'),
	(3461, 'Meridian Aviation', '\\N', '', 'DSL', 'DIESEL', 'United Kingdom', 'N'),
	(3462, 'Meridian Limited', '\\N', '', 'MEM', 'MERIDIAN CHERRY', 'Ukraine', 'N'),
	(3463, 'Meridiana', '\\N', 'IG', 'ISS', 'MERAIR', 'Italy', 'Y'),
	(3464, 'Merlin Airways', '\\N', '', 'MEI', 'AVALON', 'United States', 'N'),
	(3465, 'Merpati Nusantara Airlines', '\\N', 'MZ', 'MNA', 'MERPATI', 'Indonesia', 'Y'),
	(3466, 'Mesa Airlines', '\\N', 'YV', 'ASH', 'AIR SHUTTLE', 'United States', 'Y'),
	(3467, 'Mesaba Airlines', '\\N', 'XJ', 'MES', 'MESABA', 'United States', 'Y'),
	(3468, 'Meta Linhas A', '\\N', '', 'MSQ', 'META', 'Brazil', 'N'),
	(3469, 'Meteorological Research Flight', '\\N', '', 'MET', 'METMAN', 'United Kingdom', 'N'),
	(3470, 'Methow Aviation', '\\N', '', 'MER', 'METHOW', 'United States', 'N'),
	(3471, 'Metro Business Aviation', '\\N', '', 'MVI', '', 'United Kingdom', 'N'),
	(3472, 'Metro Express', '\\N', '', 'MEX', 'EAGLE EXPRESS', 'United States', 'N'),
	(3473, 'Metroflight', '\\N', '', 'MTR', 'METRO', 'United States', 'N'),
	(3474, 'Metrojet', '\\N', '', 'MTJ', 'METROJET', 'Hong Kong SAR of China', 'N'),
	(3475, 'Metropix UK', '\\N', '', 'PIX', 'METROPIX', 'United Kingdom', 'N'),
	(3476, 'Metroplis', '\\N', '', 'MPS', 'METRO REGIONAL', 'Netherlands', 'N'),
	(3477, 'Mex Blue', '\\N', '', 'MXB', 'MEX BLUE', 'Mexico', 'N'),
	(3478, 'Mex-Jet', '\\N', '', 'MJT', 'MEJETS', 'Mexico', 'N'),
	(3479, 'Mexicana de Aviaci', '\\N', 'MX', 'MXA', 'MEXICANA', 'Mexico', 'Y'),
	(3480, 'Mexico Transportes Aereos', '\\N', '', 'MXT', 'TRANSMEX', 'Mexico', 'N'),
	(3481, 'Miami Air Charter', '\\N', '', 'HUR', 'HURRICANE CHARTER', 'United States', 'N'),
	(3482, 'Miami Air International', '\\N', 'GL', 'BSK', 'BISCAYNE', 'United States', 'N'),
	(3483, 'Miami Valley Aviation', '\\N', '', 'OWL', 'NIGHT OWL', 'United States', 'N'),
	(3484, 'Miapet-Avia', '\\N', '', 'MPT', 'MIAPET', 'Armenia', 'N'),
	(3485, 'Michelin Air Services', '\\N', '', 'BIB', '', 'France', 'N'),
	(3486, 'Micromatter Technology Solutions', '\\N', '', 'WIZ', 'WIZARD', 'United Kingdom', 'N'),
	(3487, 'Mid Airlines', '\\N', '', 'NYL', 'NILE', 'Sudan', 'N'),
	(3488, 'Mid-Pacific Airlines', '\\N', '', 'MPA', 'MID PAC', 'United States', 'N'),
	(3489, 'Midamerica Jet', '\\N', '', 'MJR', 'MAJOR', 'United States', 'N'),
	(3490, 'Middle East Airlines', '\\N', 'ME', 'MEA', 'CEDAR JET', 'Lebanon', 'Y'),
	(3491, 'Midland Airport Services', '\\N', '', 'MID', '', 'United Kingdom', 'N'),
	(3492, 'Midline Air Freight', '\\N', '', 'MFR', 'MIDLINE FREIGHT', 'United States', 'N'),
	(3493, 'Midstate Airlines', '\\N', '', 'MIS', 'MIDSTATE', 'United States', 'N'),
	(3494, 'Midway Airlines', '\\N', 'JI', 'MDW', 'MIDWAY', 'United States', 'Y'),
	(3495, 'Midway Express', '\\N', '', 'FLA', 'PALM', 'United States', 'N'),
	(3496, 'Midwest Air Freighters', '\\N', '', 'FAX', 'FAIRFAX', 'United States', 'N'),
	(3497, 'Midwest Airlines', '\\N', 'YX', 'MEP', '', 'United States', 'Y'),
	(3498, 'Midwest Airlines (Egypt)', '\\N', 'MY', 'MWA', '', 'Egypt', 'Y'),
	(3499, 'Midwest Aviation', '\\N', '', 'NIT', 'NIGHTTRAIN', 'United States', 'N'),
	(3500, 'Midwest Aviation Division', '\\N', '', 'MWT', 'MIDWEST', 'United States', 'N'),
	(3501, 'Midwest Helicopters De Mexico', '\\N', '', 'HTE', 'HELICOPTERSMEXICO', 'Mexico', 'N'),
	(3502, 'Millardair', '\\N', '', 'MAB', 'MILLARDAIR', 'Canada', 'N'),
	(3503, 'Millen Corporation', '\\N', '', 'RJM', 'MILLEN', 'United Kingdom', 'N'),
	(3504, 'Millennium Air', '\\N', '', 'MLK', 'NIGERJET', 'Nigeria', 'N'),
	(3505, 'Miller Flying Services', '\\N', '', 'MFS', 'MILLER TIME', 'United States', 'N'),
	(3506, 'Million Air', '\\N', '', 'OXO', 'MILL AIR', 'United States', 'N'),
	(3507, 'Mimino', '\\N', '', 'MIM', 'MIMINO', 'Russia', 'N'),
	(3508, 'Mina Airline Company', '\\N', '', 'NAB', '', 'Egypt', 'N'),
	(3509, 'Minair', '\\N', '', 'OMR', 'ORMINE', 'Central African Republic', 'N'),
	(3510, 'Minebea Technologies', '\\N', '', 'EBE', 'MINEBEA', 'United States', 'N'),
	(3511, 'Mines Air Services Zambia', '\\N', '', 'MAZ', 'MINES', 'Zambia', 'N'),
	(3512, 'Miniliner', '\\N', '', 'MNL', 'MINILINER', 'Italy', 'N'),
	(3513, 'Ministic Air', '\\N', '', 'MNS', 'MINISTIC', 'Canada', 'N'),
	(3514, 'Ministry of Agriculture', '\\N', '', 'WDG', ' Fisheries and Food', 'WATCHDOG', 'N'),
	(3515, 'Minsk Aircraft Overhaul Plant', '\\N', '', 'LIR', 'LISLINE', 'Belarus', 'N'),
	(3516, 'Miramichi Air Service', '\\N', '', 'MIR', 'MIRAMICHI', 'Canada', 'N'),
	(3517, 'Miras', '\\N', '', 'MIF', 'MIRAS', 'Kazakhstan', 'N'),
	(3518, 'Misr Overseas Airways', '\\N', '', 'MOS', '', 'Egypt', 'N'),
	(3519, 'Mission Aviation Fellowship', '\\N', '', 'MAF', 'MISSI', 'Indonesia', 'N'),
	(3520, 'Missionair', '\\N', '', 'MSN', 'MISIONAIR', 'Spain', 'N'),
	(3521, 'Missions Gouvernemtales Francaises', '\\N', '', 'MRN', 'MARIANNE', 'France', 'N'),
	(3522, 'Mississippi State University', '\\N', '', 'BDG', 'BULLDOG', 'United States', 'N'),
	(3523, 'Mississippi Valley Airways', '\\N', '', 'MVA', 'VALAIR', 'United States', 'N'),
	(3524, 'Mistral Air', '\\N', '', 'MSA', 'AIRMERCI', 'Italy', 'N'),
	(3525, 'Mobil Oil', '\\N', '', 'MBO', 'MOBIL', 'Canada', 'N'),
	(3526, 'Mocambique Expresso', '\\N', '', 'MXE', 'MOZAMBIQUE EXPRESS', 'Mozambique', 'N'),
	(3527, 'Mofaz Air', '\\N', '', 'MFZ', 'MOFAZ AIR', 'Malaysia', 'N'),
	(3528, 'Moldaeroservice', '\\N', '', 'MLE', 'MOLDAERO', 'Moldova', 'N'),
	(3529, 'Moldavian Airlines', '\\N', '2M', 'MDV', 'MOLDAVIAN', 'Moldova', 'Y'),
	(3530, 'Moldova', '\\N', '', 'MVG', 'MOLDOVA-STATE', 'Moldova', 'N'),
	(3531, 'Mombasa Air Safari', '\\N', '', 'RRV', 'SKYROVER', 'Kenya', 'N'),
	(3532, 'Monarch Airlines', '\\N', 'ZB', 'MON', 'MONARCH', 'United Kingdom', 'Y'),
	(3533, 'Monarch Airlines', '\\N', '', 'MNH', 'MONARCH AIR', 'United States', 'N'),
	(3534, 'Myway Airlines', '\\N', '8I', '', '', 'Italy', 'Y'),
	(3535, 'Moncton Flying Club', '\\N', '', 'MFC', 'EAST WIND', 'Canada', 'N'),
	(3536, 'Monde Air Charters', '\\N', '', 'MDB', 'MONDEAIR CARGO', 'United Kingdom', 'N'),
	(3537, 'Monerrey Air Taxi', '\\N', '', 'MTI', 'MONTERREY AIR', 'Mexico', 'N'),
	(3538, 'Monky Aerotaxis', '\\N', '', 'MKY', 'MONKY', 'Mexico', 'N'),
	(3539, 'Montenegro Airlines', '\\N', 'YM', 'MGX', 'MONTAIR', 'Montenegro', 'Y'),
	(3540, 'Montserrat Airways', '\\N', '', 'MNT', 'MONTSERRAT', 'Montserrat', 'N'),
	(3541, 'Mooney Aircraft Corporation', '\\N', '', 'MNY', 'MOONEY FLIGHT', 'United States', 'N'),
	(3542, 'Morningstar Air Express', '\\N', '', 'MAL', 'MORNINGSTAR', 'Canada', 'Y'),
	(3543, 'Morris Air Service', '\\N', '', 'MSS', 'WASATCH', 'United States', 'N'),
	(3544, 'Morrison Flying Service', '\\N', '', 'MRO', 'MORRISON', 'United States', 'N'),
	(3545, 'Moskovia Airlines', '\\N', '3R', 'GAI', 'GROMOV AIRLINE', 'Russia', 'Y'),
	(3546, 'Mosphil Aero', '\\N', '', 'MPI', 'MOSPHIL', 'Philippines', 'N'),
	(3547, 'Motor Sich', '\\N', 'M9', 'MSI', 'MOTOR SICH', 'Ukraine', 'Y'),
	(3548, 'Mount Cook Airlines', '\\N', 'NM', 'NZM', 'MOUNTCOOK', 'New Zealand', 'N'),
	(3549, 'Mountain Air Cargo', '\\N', '', 'MTN', 'MOUNTAIN', 'United States', 'N'),
	(3550, 'Mountain Air Company', '\\N', 'N4', 'MTC', 'MOUNTAIN LEONE', 'Sierra Leone', 'N'),
	(3551, 'Mountain Air Express', '\\N', '', 'PKP', 'PIKES PEAK', 'United States', 'N'),
	(3552, 'Mountain Air Service', '\\N', '', 'BRR', 'MOUNTAIN AIR', 'United States', 'N'),
	(3553, 'Mountain Bird', '\\N', '', 'MBI', 'MOUNTAIN BIRD', 'United States', 'N'),
	(3554, 'Mountain High Aviation', '\\N', '', 'MHA', 'MOUNTAIN HIGH', 'United States', 'N'),
	(3555, 'Mountain Pacific Air', '\\N', '', 'MPC', 'MOUNTAIN PACIFIC', 'Canada', 'N'),
	(3556, 'Mountain Valley Air Service', '\\N', '', 'MTV', 'MOUNTAIN VALLEY', 'United States', 'N'),
	(3557, 'Mowhawk Airlines', '\\N', '', 'MOW', 'MOHAWK AIR', 'United States', 'N'),
	(3558, 'Mudan Airlines', '\\N', '', 'MDN', '', 'Somali Republic', 'N'),
	(3559, 'Mudanjiang General Aviation', '\\N', '', 'CMJ', 'MUDANJIANG', 'China', 'N'),
	(3560, 'Multi Taxi', '\\N', '', 'MTX', 'MULTITAXI', 'Mexico', 'N'),
	(3561, 'Multi-Aero', '\\N', '', 'WBR', 'WEBER', 'United States', 'N'),
	(3562, 'Multiflight', '\\N', '', 'MFT', 'YORKAIR', '', 'N'),
	(3563, 'Murmansk Aircompany', '\\N', '', 'MNZ', 'MURMAN AIR', 'Russia', 'N'),
	(3564, 'Murray Air', '\\N', '', 'MUA', 'MURRAY AIR', 'United States', 'N'),
	(3565, 'Musrata Air Transport', '\\N', '', 'MMR', 'MUSRATA AIR', 'Libya', 'N'),
	(3566, 'Mustique Airways', '\\N', '', 'MAW', 'MUSTIQUE', 'Barbados', 'N'),
	(3567, 'My Way Airlines', '\\N', '', 'MYW', 'FRANKY', 'Italy', 'N'),
	(3568, 'MyTravel Airways', '\\N', 'VZ', 'MYT', 'KESTREL', 'United Kingdom', 'Y'),
	(3569, 'Myanma Airways', '\\N', 'UB', 'UBA', 'UNIONAIR', 'Myanmar', 'Y'),
	(3570, 'Myanmar Airways International', '\\N', '8M', 'MMM', 'assignment postponed', 'Myanmar', 'Y'),
	(3571, 'Myflug', '\\N', '', 'MYA', 'MYFLUG', 'Iceland', 'Y'),
	(3572, 'Mytravel Airways', '\\N', '', 'VKG', 'VIKING', 'Denmark', 'N'),
	(3573, 'NEL Cargo', '\\N', '', 'NLG', 'NELCARGO', 'Ivory Coast', 'N'),
	(3574, 'NHT Lineas Aereas', '\\N', '', 'NHG', 'HELGA', 'Brazil', 'N'),
	(3575, 'NZ Warbirds Association', '\\N', '', 'WAR', 'WARBIRDS', 'New Zealand', 'N'),
	(3576, 'Nacoia Lda', '\\N', '', 'ANL', 'AIR NACOIA', 'Angola', 'N'),
	(3577, 'Nada Air Service', '\\N', '', 'NHZ', 'NADA AIR', 'Chad', 'N'),
	(3578, 'Compangnie Nationale Naganagani', '\\N', '', 'BFN', '', 'Burkina Faso', 'N'),
	(3579, 'Nahanni Air Services Ltd', '\\N', '', 'NAH', 'NAHANNI', 'Canada', 'N'),
	(3580, 'Nakheel Aviation', '\\N', '', 'NKL', 'NAKHEEL', 'United Arab Emirates', 'N'),
	(3581, 'Namibia Commerical Aviation', '\\N', '', 'MRE', 'MED RESCUE', 'Namibia', 'N'),
	(3582, 'Namibian Defence Force', '\\N', '', 'NDF', 'NAMIBIAN AIR FORCE', 'Namibia', 'N'),
	(3583, 'Nanjing Airlines', '\\N', '', 'CNJ', 'NINGHANG', 'China', 'N'),
	(3584, 'Nantucket Airlines', '\\N', 'DV', 'ACK', 'ACK AIR', 'United States', 'N'),
	(3585, 'Nanyah Aviation', '\\N', '', 'NYA', 'NANYAH', 'Israel', 'N'),
	(3586, 'Napier Air Service Inc', '\\N', '', 'NAP', 'NAPIER', 'United States', 'N'),
	(3587, 'Nas Air', '\\N', '', 'NCM', 'AIR BANE', 'Angola', 'N'),
	(3588, 'Nas Air', '\\N', 'P9', '', '', 'Mali', 'N'),
	(3589, 'Nasair', '\\N', 'UE', 'NAS', 'NASAIRWAYS', 'Eritrea', 'Y'),
	(3590, 'Nashville Jet Charters', '\\N', '', 'NJC', 'NASHVILLE JET', 'United States', 'N'),
	(3591, 'Natalco Air Lines', '\\N', '', 'NCO', 'NATALCO', 'S', 'N'),
	(3592, 'Natioanl Air Traffic Controllers Association', '\\N', '', 'NTK', 'NATCA', 'United States', 'N'),
	(3593, 'National Air Charter', '\\N', '', 'NSR', 'NASAIR', 'Indonesia', 'N'),
	(3594, 'National Air Traffic Services', '\\N', '', 'RFI', 'SHERLOCK', 'United Kingdom', 'N'),
	(3595, 'National Airlines', '\\N', '', 'NAN', 'NATION AIR', 'United States', 'N'),
	(3596, 'National Airlines', '\\N', 'N4', 'NCN', '', 'Chile', 'N'),
	(3597, 'National Airlines', '\\N', 'N7', 'ROK', 'RED ROCK', 'United States', 'N'),
	(3598, 'National Airlines', '\\N', 'NA', 'NAL', 'NATIONAL', 'United States', 'N'),
	(3599, 'National Airlines', '\\N', '', 'KUS', 'KUSWAG', 'South Africa', 'N'),
	(3600, 'National Airways Cameroon', '\\N', '9O', '', '', 'Cameroon', 'N'),
	(3601, 'National Airways Corporation', '\\N', '', 'LFI', 'AEROMED', 'South Africa', 'N'),
	(3602, 'National Aviation Company', '\\N', '', 'GTY', '', 'Egypt', 'N'),
	(3603, 'National Aviation Consultants', '\\N', '', 'TNC', 'NATCOM', 'Canada', 'N'),
	(3604, 'National Express', '\\N', '', 'NXT', 'NATIONAL FREIGHT', 'United States', 'N'),
	(3605, 'National Grid', '\\N', '', 'GRD', 'GRID', 'United Kingdom', 'N'),
	(3606, 'National Jet Express', '\\N', '', 'JTE', 'JETEX', 'Australia', 'N'),
	(3607, 'National Jet Service', '\\N', '', 'AND', 'AIR INDIANA', 'United States', 'N'),
	(3608, 'National Jet Systems', '\\N', 'NC', 'NJS', 'NATIONAL JET', 'Australia', 'Y'),
	(3609, 'National Oceanic and Atmospheric Administration', '\\N', '', 'NAA', 'NOAA', 'United States', 'N'),
	(3610, 'National Overseas Airlines Company', '\\N', '', 'NOL', 'NAT AIRLINE', 'Egypt', 'N'),
	(3611, 'Nationale Luchtvaartschool', '\\N', '', 'NLS', 'PANDER', 'Netherlands', 'N'),
	(3612, 'Nations Air Express Inc', '\\N', '', 'NAE', 'NATIONS EXPRESS', 'United States', 'N'),
	(3613, 'Nationwide Airlines', '\\N', 'CE', 'NTW', 'NATIONWIDE', 'South Africa', 'Y'),
	(3614, 'Nationwide Airlines (Zambia)', '\\N', '', 'NWZ', 'ZAMNAT', 'Zambia', 'N'),
	(3615, 'Natural Environment Research Council', '\\N', '', 'EVM', 'SCIENCE', 'United Kingdom', 'N'),
	(3616, 'Natureair', '\\N', '', 'NRR', 'NATUREAIR', 'Costa Rica', 'N'),
	(3617, 'Naturelink Charter', '\\N', '', 'NRK', 'NATURELINK', 'South Africa', 'N'),
	(3618, 'Nauru Air Corporation', '\\N', 'ON', 'RON', 'AIR NAURU', 'Nauru', 'Y'),
	(3619, 'NAV CANADA', '\\N', '', 'NVC', 'NAV CAN', 'Canada', 'N'),
	(3620, 'Nav Flight Planning', '\\N', '', 'NAV', 'NAV DISPATCH', 'Czech Republic', 'N'),
	(3621, 'Navegacao Aerea De Portugal', '\\N', '', 'NVP', '', 'Portugal', 'N'),
	(3622, 'Navegacion Servicios Aereos Canarios SA', '\\N', '', 'NAY', 'NAYSA', 'Spain', 'N'),
	(3623, 'Navid', '\\N', '', 'IRI', 'NAVID', 'Iran', 'N'),
	(3624, 'Naviera Mexicana', '\\N', '', 'NVM', 'NAVIERA', 'Mexico', 'N'),
	(3625, 'Navigator Airlines', '\\N', '', 'NVL', 'NAVLINES', 'Armenia', 'N'),
	(3626, 'Navinc Airlines Services', '\\N', '', 'XNV', '', 'United States', 'N'),
	(3627, 'Navitaire', '\\N', '1N', '', '', 'United States', 'N'),
	(3628, 'Navtech System Support', '\\N', '', 'XNS', '', 'Canada', 'N'),
	(3629, 'Nayzak Air Transport', '\\N', '', 'NZA', '', 'Libya', 'N'),
	(3630, 'State of Nebraska', '\\N', '', 'NEB', 'NEBRASKA', 'United States', 'N'),
	(3631, 'Necon Air', '\\N', '', 'NEC', 'NECON AIR', 'Nepal', 'N'),
	(3632, 'Nederlandse Kustwacht', '\\N', '', 'NCG', 'NETHERLANDS COASTGUARD', 'Netherlands', 'N'),
	(3633, 'Nefteyugansk Aviation Division', '\\N', '', 'NFT', 'NEFTEAVIA', 'Russia', 'N'),
	(3634, 'Neiltown Air', '\\N', '', 'NLA', 'NEILTOWN AIR', 'Canada', 'N'),
	(3635, 'Nelair Charters', '\\N', '', 'NLC', 'NELAIR', 'South Africa', 'N'),
	(3636, 'Nelson Aviation College', '\\N', '', 'CGE', 'COLLEGE', 'New Zealand', 'N'),
	(3637, 'Nepal Airlines', '\\N', 'RA', 'RNA', 'ROYAL NEPAL', 'Nepal', 'Y'),
	(3638, 'Neos', '\\N', 'NO', 'NOS', 'MOONFLOWER', 'Italy', 'N'),
	(3639, 'Neosiam Airways', '\\N', '', 'TOX', 'SKY KINGDOM', 'Thailand', 'N'),
	(3640, 'Neric', '\\N', '', 'NSL', 'NERICAIR', 'United Kingdom', 'N'),
	(3641, 'NetJets', '\\N', '1I', 'EJA', 'EXECJET', 'United States', 'Y'),
	(3642, 'Network Aviation Services', '\\N', '', 'NET', 'NETWORK', 'Nigeria', 'N'),
	(3643, 'New England Air Express', '\\N', '', 'NEZ', 'ENGAIR', 'United States', 'N'),
	(3644, 'New England Airlines', '\\N', 'EJ', 'NEA', 'NEW ENGLAND', 'United States', 'Y'),
	(3645, 'New Heights 291', '\\N', '', 'NHT', 'NEWHEIGHTS', 'South Africa', 'N'),
	(3646, 'New World Jet Corporation', '\\N', '', 'NWD', 'NEW WORLD', 'United States', 'N'),
	(3647, 'New York Helicopter', '\\N', '', 'NYH', 'NEW YORK', 'United States', 'N'),
	(3648, 'New York State Police', '\\N', '', 'GRY', 'GRAY RIDER', 'United States', 'N'),
	(3649, 'New Zealand Air Defence Force', '\\N', '', 'KRC', 'KIWI RESCUE', 'New Zealand', 'N'),
	(3650, 'Newair', '\\N', '', 'HVA', 'HAVEN-AIR', 'United States', 'N'),
	(3651, 'Newfoundland Labrador Air Transport', '\\N', '', 'NLT', 'NALAIR', 'Canada', 'N'),
	(3652, 'NextJet', '\\N', '2N', 'NTJ', 'NEXTJET', 'Sweden', 'Y'),
	(3653, 'Nextflight Aviation', '\\N', '', 'NXF', 'NEXTFLIGHT', 'United States', 'N'),
	(3654, 'Nexus Aviation', '\\N', '', 'NXS', 'NEXUS AVIATION', 'Nigeria', 'N'),
	(3655, 'Nicaraguense De Aviacion', '\\N', '', 'NIS', 'NICA', 'Nicaragua', 'N'),
	(3656, 'Nicon Airways', '\\N', '', 'NCN', 'NICON AIRWAYS', 'Nigeria', 'N'),
	(3657, 'Nigeria Airways', '\\N', '', 'NGA', 'NIGERIA', 'Nigeria', 'N'),
	(3658, 'Nigerian Air Force', '\\N', '', 'NGR', 'NIGERIAN AIRFORCE', 'Nigeria', 'N'),
	(3659, 'Nigerian Global', '\\N', '', 'NGX', 'AIR GLOBAL', 'Nigeria', 'N'),
	(3660, 'Night Express', '\\N', '', 'EXT', 'EXECUTIVE', 'Germany', 'N'),
	(3661, 'Niki', '\\N', 'HG', 'NLY', 'FLYNIKI', 'Austria', 'Y'),
	(3662, 'Nikolaev-Air', '\\N', '', 'NKV', 'AIR NIKOLAEV', 'Ukraine', 'N'),
	(3663, 'Nile Safaris Aviation', '\\N', '', 'NSA', 'NILE SAFARIS', 'Sudan', 'N'),
	(3664, 'Nile Valley Aviation Company', '\\N', '', 'NVA', '', 'Egypt', 'N'),
	(3665, 'Nile Wings Aviation Services', '\\N', '', 'NLW', 'NILE WINGS', 'Sudan', 'N'),
	(3666, 'Nimbus Aviation', '\\N', '', 'NBS', 'NIMBUS', 'United Kingdom', 'N'),
	(3667, 'Nippon Cargo Airlines', '\\N', 'KZ', 'NCA', 'NIPPON CARGO', 'Japan', 'N'),
	(3668, 'Nizhnevartovskavia', '\\N', '', 'NVK', 'VARTOSKAVIA', 'Russia', 'N'),
	(3669, 'Search and Rescue 202', '\\N', '', 'SRG', '', 'United Kingdom', 'N'),
	(3670, 'Search and Rescue 22', '\\N', '', 'SRD', '', 'United Kingdom', 'N'),
	(3671, 'No. 32 (The Royal) Squadron RAF', '\\N', '', 'NOH', 'NORTHOLT', 'United Kingdom', 'N'),
	(3672, '84 Squadron Royal Air Force @ RAF Akrotiri', '\\N', '', 'AKG', 'GRIFTER', 'United Kingdom', 'N'),
	(3673, 'Nobil Air', '\\N', '', 'NBL', 'NOBIL AIR', 'Moldova', 'N'),
	(3674, 'Nok Air', '\\N', 'DD', 'NOK', 'NOK AIR', 'Thailand', 'Y'),
	(3675, 'Nolinor Aviation', '\\N', '', 'NRL', 'NOLINOR', 'Canada', 'N'),
	(3676, 'Nomad Aviation', '\\N', '', 'NMD', 'NOMAD AIR', 'Namibia', 'N'),
	(3677, 'Norcopter', '\\N', '', 'NOC', '', 'Norway', 'N'),
	(3678, 'Nord-Flyg', '\\N', '', 'NEF', 'NORDEX', 'Sweden', 'N'),
	(3679, 'Nordeste Linhas Aereas Regionais', '\\N', 'JH', 'NES', 'NORDESTE', 'Brazil', 'N'),
	(3680, 'Nordic Regional', '\\N', '6N', 'NRD', 'NORTH RIDER', 'Sweden', 'N'),
	(3681, 'Nordic Solutions', '\\N', '', 'NVD', 'NORDVIND', 'Lithuania', 'N'),
	(3682, 'Nordstree (Australia)', '\\N', '', 'NDS', '', 'Australia', 'N'),
	(3683, 'Norestair', '\\N', '', 'NRT', 'NORESTAIR', 'Spain', 'N'),
	(3684, 'Norfolk County Flight College', '\\N', '', 'NCF', 'COUNTY', 'United Kingdom', 'Y'),
	(3685, 'Norontair', '\\N', '', 'NOA', 'NORONTAIR', 'Canada', 'N'),
	(3686, 'Norrlandsflyg', '\\N', '', 'HMF', 'LIFEGUARD SWEDEN', 'Sweden', 'N'),
	(3687, 'Norse Air Charter', '\\N', '', 'NRX', 'NORSE AIR', 'South Africa', 'N'),
	(3688, 'Norsk Flyrjeneste', '\\N', '', 'NIR', 'NORSEMAN', 'Norway', 'N'),
	(3689, 'Norsk Helikopter', '\\N', '', 'NOR', 'NORSKE', 'Norway', 'N'),
	(3690, 'Norsk Luftambulanse', '\\N', '', 'DOC', 'HELIDOC', 'Norway', 'N'),
	(3691, 'Nortavia', '\\N', '', 'RTV', 'TIC-TAC', 'Portugal', 'N'),
	(3692, 'North Adria Aviation', '\\N', '', 'NAI', 'NORTH-ADRIA', 'Croatia', 'N'),
	(3693, 'North American Airlines', '\\N', '', 'NTM', 'NORTHAM', 'Canada', 'Y'),
	(3694, 'North American Charters', '\\N', '', 'HMR', 'HAMMER', 'Canada', 'Y'),
	(3695, 'North American Jet Charter Group', '\\N', '', 'NAJ', 'JET GROUP', 'United States', 'N'),
	(3696, 'North Atlantic Air Inc', '\\N', '', 'NAT', 'MASS AIR', 'United States', 'N'),
	(3697, 'North Atlantic Cargo', '\\N', '', 'NFC', 'NORTH ATLANTIC', 'Norway', 'N'),
	(3698, 'North British Airlines', '\\N', '', 'NBN', 'TEESAIR', 'United Kingdom', 'N'),
	(3699, 'North Caribou Flying Service Ltd', '\\N', '', 'NCB', 'NORTH CARIBOU', 'Canada', 'N'),
	(3700, 'North Coast Air Services Ltd', '\\N', '', 'NCC', 'NORTH COAST', 'Canada', 'N'),
	(3701, 'North Coast Aviation', '\\N', 'N9', '', '', 'Papua New Guinea', 'N'),
	(3702, 'North Flying', '\\N', 'M3', 'NFA', 'NORTH FLYING', 'Denmark', 'N'),
	(3703, 'North Sea Airways', '\\N', '', 'NRC', 'NORTH SEA', 'Netherlands', 'N'),
	(3704, 'North Star Air Cargo', '\\N', '', 'SBX', 'SKY BOX', 'United States', 'N'),
	(3705, 'North Vancouver Airlines', '\\N', '', 'NRV', 'NORVAN', 'Canada', 'N'),
	(3706, 'North West Airlines', '\\N', '', 'NWW', 'HALANT', 'Australia', 'N'),
	(3707, 'North West Geomatics', '\\N', '', 'PTO', 'PHOTO', 'Canada', 'N'),
	(3708, 'North-East Airlines', '\\N', '', 'NEN', 'NORTHEAST SWAN', 'Nigeria', 'N'),
	(3709, 'North-West Air Transport Company - Vyborg', '\\N', '', 'VBG', 'VYBORG AIR', 'Russia', 'N'),
	(3710, 'North-Wright Airways', '\\N', 'HW', 'NWL', 'NORTHWRIGHT', 'Canada', 'N'),
	(3711, 'Northafrican Air Transport', '\\N', '', 'NLL', 'NORTHAFRICAN AIR', 'Libya', 'N'),
	(3712, 'Northaire Feight Lines', '\\N', '', 'NFL', 'GREAT LAKES', 'United States', 'N'),
	(3713, 'Northamptonshire School of Flying', '\\N', '', 'NSF', 'NORTON', 'United Kingdom', 'N'),
	(3714, 'Northcoast Executive Airlines', '\\N', '', 'NCE', 'TOP HAT', 'United States', 'N'),
	(3715, 'Northeast Airlines', '\\N', '', 'NEE', 'NORTHEAST', 'United States', 'N'),
	(3716, 'Northeast Aviation', '\\N', '', 'NPX', 'NORTHEAST EXPRESS', 'United States', 'N'),
	(3717, 'Northern Air Cargo', '\\N', 'NC', 'NAC', 'YUKON', 'United States', 'N'),
	(3718, 'Northern Airlines Sanya', '\\N', '', 'BYC', 'BEIYA', 'China', 'N'),
	(3719, 'Northern Airways', '\\N', '', 'NDA', 'NORTHERN DAKOTA', 'United States', 'N'),
	(3720, 'Northern Aviation Service', '\\N', '', 'CMU', 'LANNA AIR', 'Thailand', 'N'),
	(3721, 'Northern Dene Airways', '\\N', 'U7', '', '', 'Canada', 'Y'),
	(3722, 'Northern Executive Aviation', '\\N', '', 'NEX', 'NEATAX', 'United Kingdom', 'N'),
	(3723, 'Northern Illinois Commuter', '\\N', '', 'NIC', 'ILLINOIS COMMUTER', 'United States', 'N'),
	(3724, 'Northern Jet Management', '\\N', '', 'NTX', 'NORTAX', 'United States', 'N'),
	(3725, 'Northern Thunderbird Air', '\\N', '', 'NTA', 'THUNDERBIRD', 'Canada', 'N'),
	(3726, 'Northland Aviation', '\\N', '', 'KOE', 'KOKEE', 'United States', 'N'),
	(3727, 'Northstar Aviation', '\\N', '', 'NSS', 'NORTHSTAR', 'United States', 'N'),
	(3728, 'Northumbria Helicopters', '\\N', '', 'NHL', 'NORTHUMBRIA', 'United Kingdom', 'N'),
	(3729, 'Northway Aviation Ltd', '\\N', '', 'NAL', 'NORTHWAY', 'Canada', 'N'),
	(3730, 'Northwest Aero Associates', '\\N', '', 'NWE', '', 'United States', 'N'),
	(3731, 'Northwest Airlines', '\\N', 'NW', 'NWA', 'NORTHWEST', 'United States', 'Y'),
	(3732, 'Northwest Regional Airlines', '\\N', 'FY', 'NWR', '', 'Australia', 'N'),
	(3733, 'Northwest Territorial Airways', '\\N', '', 'NWT', 'TERRITORIAL', 'Canada', 'N'),
	(3734, 'Northwestern Air', '\\N', 'J3', 'PLR', 'POLARIS', 'Canada', 'Y'),
	(3735, 'Northwinds Northern', '\\N', '', 'NWN', 'NORTHWINDS', 'Canada', 'N'),
	(3736, 'Nortland Air Manitoba', '\\N', '', 'NAM', 'MANITOBA', 'Canada', 'N'),
	(3737, 'Norwegian Air Shuttle', '\\N', 'DY', 'NAX', 'NOR SHUTTLE', 'Norway', 'Y'),
	(3738, 'Norwegian Aviation College', '\\N', '', 'TFN', 'SPRIT', 'Norway', 'Y'),
	(3739, 'Notams International', '\\N', '', 'XNT', '', 'United States', 'N'),
	(3740, 'Nouvel Air Tunisie', '\\N', 'BJ', 'LBT', 'NOUVELAIR', 'Tunisia', 'Y'),
	(3741, 'Nova Airline', '\\N', 'M4', 'NOV', 'NOVANILE', 'Sudan', 'N'),
	(3742, 'Nova Scotia Department of Lands and Forests', '\\N', '', 'PTR', 'PATROL', 'Canada', 'N'),
	(3743, 'Novair', '\\N', '1I', 'NVR', 'NAVIGATOR', 'Sweden', 'Y'),
	(3744, 'Novogorod Air Enterprise', '\\N', '', 'NVG', 'SADKO AVIA', 'Russia', 'N'),
	(3745, 'Novosibirsk Aircraft Repairing Plant', '\\N', '', 'NSP', 'NARPAIR', 'Russia', 'N'),
	(3746, 'Novosibirsk Aviaenterprise', '\\N', '', 'NBE', 'NAKAIR', 'Russia', 'N'),
	(3747, 'Novosibirsk Aviation Production Association', '\\N', '', 'NPO', 'NOVSIB', 'Russia', 'N'),
	(3748, 'Noy Aviation', '\\N', '', 'NOY', 'NOY AVIATION', 'Israel', 'N'),
	(3749, 'Nuevo Continente', '\\N', 'N6', 'ACQ', 'AERO CONTINENTE', 'Peru', 'N'),
	(3750, 'Nuevo Horizonte Internacional', '\\N', '', 'NHR', 'NUEVO HORIZONTE', 'Mexico', 'N'),
	(3751, 'Nunasi-Central Airlines', '\\N', '', 'NUN', 'NUNASI', 'Canada', 'N'),
	(3752, 'Nurman Avia Indopura', '\\N', '', 'NIN', 'NURVINDO', 'Indonesia', 'N'),
	(3753, 'Nyasa Express', '\\N', '', 'NYS', 'NYASA', 'Malawi', 'N'),
	(3754, 'Nas Air', '\\N', 'XY', 'KNE', 'NAS EXPRESS', 'Saudi Arabia', 'Y'),
	(3755, 'O Air', '\\N', '', 'OCN', 'O-BIRD', 'France', 'N'),
	(3756, 'O\'Connor Airlines', '\\N', 'UQ', 'OCM', 'OCONNOR', 'Australia', 'N'),
	(3757, 'OAG', '\\N', 'CR', '', '', 'United Kingdom', 'N'),
	(3758, 'OSACOM', '\\N', '', 'JPA', 'J-PAT', 'United States', 'N'),
	(3759, 'Oasis Hong Kong Airlines', '\\N', 'O8', 'OHK', 'OASIS', 'Hong Kong', 'Y'),
	(3760, 'Ocean Air', '\\N', '', 'BCN', 'BLUE OCEAN', 'Mauritania', 'Y'),
	(3761, 'Ocean Airlines', '\\N', 'VC', 'VCX', 'OCEANCARGO', 'Italy', 'N'),
	(3762, 'Ocean Sky (UK)', '\\N', '', 'OCS', 'OCEANSKY', 'United Kingdom', 'N'),
	(3763, 'Ocean Wings Commuter Service', '\\N', '', 'TUK', 'TUCKERNUCK', 'United States', 'N'),
	(3764, 'Oceanair', '\\N', 'O6', 'ONE', 'OCEANAIR', 'Brazil', 'Y'),
	(3765, 'Oceanic Airlines', '\\N', 'O2', '', '', 'Guinea', 'Y'),
	(3766, 'Odessa Airlines', '\\N', '', 'ODS', 'ODESSA AIR', 'Ukraine', 'N'),
	(3767, 'Odyssey International', '\\N', '', 'ODY', 'ODYSSEY', 'Canada', 'N'),
	(3768, 'Office Federal De\'Aviation Civile', '\\N', '', 'FOC', 'FOCA', 'Switzerland', 'N'),
	(3769, 'Ogooue Air Cargo', '\\N', '', 'GBO', '', 'Gabon', 'N'),
	(3770, 'Okada Airlines', '\\N', '', 'OKJ', 'OKADA AIR', 'Nigeria', 'N'),
	(3771, 'Okapi Airways', '\\N', '', 'OKP', 'OKAPI', 'Democratic Republic of Congo', 'N'),
	(3772, 'Okay Airways', '\\N', '', 'OKA', 'OKAYJET', 'China', 'N'),
	(3773, 'Oklahoma Department of Public Safety', '\\N', '', 'OKL', 'OKLAHOMA', 'United States', 'N'),
	(3774, 'Olimex Aerotaxi', '\\N', '', 'OLX', 'OLIMEX', 'Czech Republic', 'N'),
	(3775, 'Olimp Air', '\\N', '', 'KVK', 'PONTA', 'Kazakhstan', 'N'),
	(3776, 'Olympic Airlines', '\\N', 'OA', 'OAL', 'OLYMPIC', 'Greece', 'Y'),
	(3777, 'Olympic Aviation', '\\N', '', 'OLY', 'OLAVIA', 'Greece', 'N'),
	(3778, 'Oman Air', '\\N', 'WY', 'OMA', 'OMAN AIR', 'Oman', 'Y'),
	(3779, 'Oman Royal Flight', '\\N', '', 'ORF', 'OMAN', 'Oman', 'N'),
	(3780, 'Omni - Aviacao e Tecnologia', '\\N', '', 'OAV', 'OMNI', 'Portugal', 'N'),
	(3781, 'Omni Air International', '\\N', 'OY', 'OAE', 'OMNI-EXPRESS', 'United States', 'Y'),
	(3782, 'Omniflys', '\\N', '', 'OMF', 'OMNIFLYS', 'Mexico', 'N'),
	(3783, 'Omskavia Airline', '\\N', 'N3', 'OMS', 'OMSK', 'Russia', 'N'),
	(3784, 'On Air Limited', '\\N', '', 'ORL', 'ON AIR', 'Canada', 'N'),
	(3785, 'One Two Go Airlines', '\\N', '', 'OTG', 'THAI EXPRESS', 'Thailand', 'Y'),
	(3786, 'Onetime Airlines Zambia', '\\N', '', 'OTM', 'ZEDTIME', 'Zambia', 'N'),
	(3787, 'Ontario Ministry of Health', '\\N', '', 'MED', 'MEDICAL', 'Canada', 'N'),
	(3788, 'Onur Air', '\\N', '8Q', 'OHY', 'ONUR AIR', 'Turkey', 'Y'),
	(3789, 'Opal Air', '\\N', '', 'OPA', '', 'Australia', 'N'),
	(3790, 'Open Sky Aviation', '\\N', '', 'OSA', '', 'Lebanon', 'N'),
	(3791, 'OpenSkies', '\\N', '', 'BOS', 'MISTRAL', 'United Kingdom', 'N'),
	(3792, 'Operadora Turistica Aurora', '\\N', '', 'ORR', 'TURISTICA AURORA', 'Mexico', 'N'),
	(3793, 'Operadora de Lineas Ejecutivas', '\\N', '', 'OLE', 'OPERADORA', 'Mexico', 'N'),
	(3794, 'Operadora de Transportes Aereos', '\\N', '', 'OTP', 'OPERADORA AEREO', 'Mexico', 'N'),
	(3795, 'Operadora de Veulos Ejectutivos', '\\N', '', 'OPV', 'OPERADORA DE VUELOS', 'Mexico', 'N'),
	(3796, 'Operation Enduring Freedom', '\\N', '', 'LLO', 'APOLLO', 'Canada', 'N'),
	(3797, 'Operational Aviation Services', '\\N', '', 'OAX', '', 'Australia', 'N'),
	(3798, 'Orange Air Services', '\\N', '', 'ORD', 'ORANGE SERVICES', 'Sierra Leone', 'N'),
	(3799, 'Orange Air Sierra Leone', '\\N', '', 'ORJ', 'ORANGE SIERRA', 'Sierra Leone', 'N'),
	(3800, 'Orange Aviation', '\\N', '', 'ORE', 'ORANGE AVIATION', 'Israel', 'N'),
	(3801, 'Orbit Express Airlines', '\\N', '', 'ORX', 'OREX', 'Turkey', 'N'),
	(3802, 'Orca Air', '\\N', '', 'ORK', 'ORCA TAXI', 'Egypt', 'N'),
	(3803, 'Orebro Aviation', '\\N', '', 'BUE', 'BLUELIGHT', 'Sweden', 'N'),
	(3804, 'Orel State Air Enterprise', '\\N', '', 'ORM', 'ORPRISE', 'Russia', 'N'),
	(3805, 'Orenburg Airlines', '\\N', 'R2', 'ORB', 'ORENBURG', 'Russia', 'Y'),
	(3806, 'Organizacion De Transportes Aereos', '\\N', '', 'OTA', 'ORGANIZACION', 'Mexico', 'N'),
	(3807, 'Organizacoes Mambra', '\\N', '', 'OML', 'MAMBRA', 'Angola', 'N'),
	(3808, 'Orient Air', '\\N', '', 'OVV', 'ORIENTSYR', 'Syrian Arab Republic', 'N'),
	(3809, 'Orient Airlines', '\\N', '', 'OTR', 'ORIENTROC', 'Sudan', 'N'),
	(3810, 'Orient Airways', '\\N', '', 'ORN', 'ORIENT LINER', 'Pakistan', 'N'),
	(3811, 'Orient Thai Airlines', '\\N', 'OX', 'OEA', 'ORIENT THAI', 'Thailand', 'Y'),
	(3812, 'Oriental Air Bridge', '\\N', '', 'NGK', 'ORIENTAL BRIDGE', 'Japan', 'N'),
	(3813, 'Oriental Airlines', '\\N', '', 'OAC', 'ORIENTAL AIR', 'Nigeria', 'N'),
	(3814, 'Origin Pacific Airways', '\\N', 'QO', 'OGN', 'ORIGIN', 'New Zealand', 'Y'),
	(3815, 'Orion Air Charter', '\\N', '', 'OED', 'ORION CHARTER', 'South Africa', 'N'),
	(3816, 'Orion-x', '\\N', '', 'OIX', 'ORIONIX', 'Russia', 'N'),
	(3817, 'Orlan-2000', '\\N', '', 'KOV', 'ORLAN', 'Kazakhstan', 'N'),
	(3818, 'Ornage Aircraft Leasing', '\\N', '', 'RNG', 'ORANGE', 'Netherlands', 'N'),
	(3819, 'Orscom Tourist Installations Company', '\\N', '', 'OAD', 'ORSCOM', 'Egypt', 'N'),
	(3820, 'Osh Avia', '\\N', '', 'OSH', 'OSH AVIA', 'Kyrgyzstan', 'N'),
	(3821, 'Ostend Air College', '\\N', '', 'OCO', 'AIR COLLEGE', 'Belgium', 'N'),
	(3822, 'Ostfriesische Lufttransport', '\\N', 'OL', 'OLT', 'OLTRA', 'Germany', 'Y'),
	(3823, 'Oulun Tilauslento', '\\N', '', 'FNL', 'FINN FLIGHT', 'Finland', 'N'),
	(3824, 'Our Airline', '\\N', 'ON', 'RON', 'OUR AIRLINE', 'Nauru', 'N'),
	(3825, 'Out Of The Blue Air Safaris', '\\N', '', 'OOT', 'OOTBAS', 'South Africa', 'N'),
	(3826, 'Overland Airways', '\\N', 'OJ', 'OLA', 'OVERLAND', 'Nigeria', 'Y'),
	(3827, 'Oxaero', '\\N', '', 'OXE', 'OXOE', 'United Kingdom', 'N'),
	(3828, 'Oxford Air Services', '\\N', '', 'WDK', 'WOODSTOCK', 'United Kingdom', 'N'),
	(3829, 'Oxley Aviation', '\\N', '', 'OAA', '', 'Australia', 'N'),
	(3830, 'Ozark Air Lines', '\\N', 'OZ', 'OZR', 'OZARK', 'United States', 'N'),
	(3831, 'Ozjet Airlines', '\\N', 'O7', 'OZJ', 'AUSJET', 'Australia', 'Y'),
	(3832, 'P & P Floss Pick Manufacturers', '\\N', '', 'KTL', 'KNOTTSBERRY', 'South Africa', 'N'),
	(3833, 'PAC Air', '\\N', '', 'PCR', 'PACAIR', 'United States', 'N'),
	(3834, 'PAN Air', '\\N', 'PV', 'PNR', 'SKYJET', 'Spain', 'Y'),
	(3835, 'PB Air', '\\N', '9Q', 'PBA', 'PEEBEE AIR', 'Thailand', 'Y'),
	(3836, 'PDQ Air Charter', '\\N', '', 'PDQ', 'DISPATCH', 'United States', 'N'),
	(3837, 'PHH Aviation System', '\\N', '', 'XAS', '', 'United States', 'N'),
	(3838, 'PLM Dollar Group', '\\N', '', 'PDG', 'OSPREY', 'United Kingdom', 'N'),
	(3839, 'PLUNA', '\\N', 'PU', 'PUA', 'PLUNA', 'Uruguay', 'Y'),
	(3840, 'PMTair', '\\N', 'U4', 'PMT', 'MULTITRADE', 'Cambodia', 'Y'),
	(3841, 'PRT Aviation', '\\N', '', 'PRP', 'PRONTO', 'Spain', 'N'),
	(3842, 'PSA Airlines', '\\N', '', 'JIA', 'BLUE STREAK', 'United States', 'N'),
	(3843, 'PTL Luftfahrtunternehemen', '\\N', '', 'KST', 'KING STAR', 'Germany', 'N'),
	(3844, 'Paccair', '\\N', '', 'WIS', 'WISCAIR', 'United States', 'N'),
	(3845, 'Pace Airlines', '\\N', 'Y5', 'PCE', 'PACE', 'United States', 'N'),
	(3846, 'Pacific Air Boats', '\\N', '', 'PAB', 'AIR BOATS', 'Canada', 'N'),
	(3847, 'Pacific Air Charter', '\\N', '', 'PRC', 'PACIFIC CHARTER', 'United States', 'N'),
	(3848, 'Pacific Air Express', '\\N', '', 'PCF', 'PACIFIC EXPRESS', 'United States', 'N'),
	(3849, 'Pacific Air Transport', '\\N', '', 'PXP', 'PAK EXPRESS', 'United States', 'N'),
	(3850, 'Jetstar Pacific', 'Pacific Airlines', 'BL', 'PIC', 'PACIFIC AIRLINES', 'Vietnam', 'Y'),
	(3851, 'Pacific Alaska Airlines', '\\N', '', 'PAK', 'PACIFIC ALASKA', 'United States', 'N'),
	(3852, 'Pacific Aviation (Australia)', '\\N', '', 'PCV', 'PACAV', 'Australia', 'N'),
	(3853, 'Pacific Aviation (United States)', '\\N', '', 'PCX', '', 'United States', 'N'),
	(3854, 'Pacific Blue', '\\N', 'DJ', 'PBN', 'BLUEBIRD', 'New Zealand', 'N'),
	(3855, 'Pacific Coast Airlines', '\\N', '', 'PQA', 'SAGE BRUSH', 'United States', 'N'),
	(3856, 'Pacific Coastal Airline', '\\N', '8P', 'PCO', 'PASCO', 'Canada', 'Y'),
	(3857, 'Pacific East Asia Cargo Airlines', '\\N', 'Q8', 'PEC', 'PAC-EAST CARGO', 'Philippines', 'Y'),
	(3858, 'Pacific Flight Services', '\\N', '', 'PFA', 'PACIFIC SING', 'Singapore', 'N'),
	(3859, 'Pacific International Airlines', '\\N', '', 'PIN', 'ROAD RUNNERS', 'United States', 'N'),
	(3860, 'Pacific Island Aviation', '\\N', '', 'PSA', 'PACIFIC ISLE', 'United States', 'Y'),
	(3861, 'Pacific Jet', '\\N', '', 'PCJ', 'PACIFIC JET', 'United States', 'N'),
	(3862, 'Pacific Pearl Airways', '\\N', '', 'PPM', 'PACIFIC PEARL', 'Philippines', 'N'),
	(3863, 'Pacific Rim Airways', '\\N', '', 'PAR', 'PACRIM', 'Australia', 'N'),
	(3864, 'Pacific Southwest Airlines', '\\N', 'PS', 'PSX', 'SMILEY', 'United States', 'N'),
	(3865, 'Pacific Wings', '\\N', 'LW', 'NMI', 'TSUNAMI', 'United States', 'Y'),
	(3866, 'Pacificair', '\\N', 'GX', '', '', 'Philippines', 'N'),
	(3867, 'Pacificair Airlines', '\\N', '', 'PFR', 'PACIFIC WEST', 'United States', 'N'),
	(3868, 'Package Express', '\\N', '', 'RCY', 'RACE CITY', 'United States', 'N'),
	(3869, 'Paisajes Espanoles', '\\N', '', 'PAE', 'PAISAJES', 'Spain', 'N'),
	(3870, 'Pak West Airlines', '\\N', '', 'PKW', 'PLATINUM WEST', 'United States', 'N'),
	(3871, 'Pakistan International Airlines', 'PIA Pakistan International', 'PK', 'PIA', 'PAKISTAN', 'Pakistan', 'Y'),
	(3872, 'Pakker Avio', '\\N', '', 'PKR', 'PAKKER AVIO', 'Estonia', 'N'),
	(3873, 'Pal Aerolineas', '\\N', '', 'LPA', 'LINEASPAL', 'Mexico', 'N'),
	(3874, 'Palau Asia Pacific Airlines', '\\N', '', 'PPC', 'PALAU ASIAPAC', 'Palau', 'N'),
	(3875, 'Palau Trans Pacific Airline', '\\N', 'GP', 'PTP', 'TRANS PACIFIC', 'Palau', 'N'),
	(3876, 'Palestinian Airlines', '\\N', 'PF', 'PNW', 'PALESTINIAN', 'Egypt', 'N'),
	(3877, 'Palmer Aviation', '\\N', '', 'JSP', 'PALMER', 'United Kingdom', 'N'),
	(3878, 'Pamir Airways', '\\N', 'NR', 'PIR', 'PAMIR', 'Afghanistan', 'N'),
	(3879, 'Pan African Air Services', '\\N', '', 'PFN', 'PANAFRICAN', 'Sierra Leone', 'N'),
	(3880, 'Pan African Airways', '\\N', '', 'ODM', '', 'Kenya', 'N'),
	(3881, 'Pan Air', '\\N', '', 'PAX', 'PANNEX', 'United States', 'N'),
	(3882, 'Pan Am Weather Systems', '\\N', '', 'XPA', '', 'United States', 'N'),
	(3883, 'Pan Am World Airways', '\\N', '', 'PWD', '', 'Dominican Republic', 'N'),
	(3885, 'Pan American Airways', '\\N', 'PA', 'PAA', '', 'United States', 'N'),
	(3886, 'Pan American World Airways', '\\N', 'PA', 'PAA', 'CLIPPER', 'United States', 'N'),
	(3887, 'Pan Europeenne Air Service', '\\N', '', 'PEA', '', 'France', 'N'),
	(3888, 'Pan Havacilik Ve Ticaret', '\\N', '', 'PHT', 'PANANK', 'Turkey', 'N'),
	(3889, 'Pan Malaysian Air Transport', '\\N', '', 'PMA', 'PAN MALAYSIA', 'Malaysia', 'N'),
	(3890, 'Pan-Air', '\\N', '', 'PNC', 'PANAIRSA', 'Mexico', 'N'),
	(3891, 'Panafrican Airways', '\\N', 'PQ', 'PNF', 'PANWAYS', 'Ivory Coast', 'N'),
	(3892, 'Panagra Airways', '\\N', '', 'PGI', 'PANAGRA', 'United States', 'N'),
	(3893, 'Panamedia', '\\N', '', 'PEI', 'PANAMEDIA', 'Spain', 'N'),
	(3894, 'Panavia', '\\N', '', 'PVI', '', 'Panama', 'N'),
	(3895, 'Panh', '\\N', '', 'PNH', 'KUBAN LIK', 'Russia', 'N'),
	(3896, 'Pannon Air Service', '\\N', '', 'PHU', 'PANNON', 'Hungary', 'N'),
	(3897, 'Panorama', '\\N', '', 'PNM', 'PANORAMA', 'Spain', 'N'),
	(3898, 'Panorama Air Tour', '\\N', '', 'PAH', 'LANI', 'United States', 'N'),
	(3899, 'Panorama Flight Service', '\\N', '', 'AFD', 'AIRFED', 'United States', 'N'),
	(3900, 'Pantanal Linhas Aéreas', '\\N', 'P8', 'PTN', 'PANTANAL', 'Brazil', 'N'),
	(3901, 'Papair Terminal', '\\N', '', 'HMP', 'PAPAIR TERMINAL', 'Haiti', 'N'),
	(3902, 'Paradise Airways', '\\N', '', 'PAI', 'SEA RAY', 'United States', 'N'),
	(3903, 'Paradise Island Airways', '\\N', '', 'PDI', 'PARADISE ISLAND', 'United States', 'N'),
	(3904, 'Paragon Air Express', '\\N', '', 'PGX', 'PARAGON EXPRESS', 'United States', 'N'),
	(3905, 'Paragon Global Flight Support', '\\N', '', 'PGF', '', 'United Kingdom', 'N'),
	(3906, 'Paramount Airlines', '\\N', '', 'PRR', 'PARAMOUNT', 'Sierra Leone', 'N'),
	(3907, 'Paramount Airways', '\\N', 'I7', 'PMW', 'PARAWAY', 'India', 'Y'),
	(3908, 'Parcel Express', '\\N', '', 'APE', 'AIR PARCEL', 'United States', 'N'),
	(3909, 'Pariz Air', '\\N', '', 'IRE', 'PARIZAIR', 'Iran', 'N'),
	(3910, 'Pars Aviation Service', '\\N', '', 'PRA', 'PARSAVIA', 'Iran', 'N'),
	(3911, 'Parsa', '\\N', '', 'PST', 'TURISMO REGIONAL', 'Panama', 'N'),
	(3912, 'Parsons Airways Northern', '\\N', '', 'FAP', '', 'Canada', 'N'),
	(3913, 'Pascan Aviation', '\\N', '', 'PSC', 'PASCAN', 'Canada', 'N'),
	(3914, 'Passaredo Transportes Aereos', '\\N', '', 'PTB', 'PASSAREDO', 'Brazil', 'Y'),
	(3915, 'Patria Cargas Aereas', '\\N', '', 'PTC', 'PATRIA', 'Argentina', 'N'),
	(3916, 'Patriot Aviation Limited', '\\N', '', 'BYT', 'BYTE', 'United Kingdom', 'N'),
	(3917, 'Patterson Aviation Company', '\\N', '', 'ETL', 'ENTEL', 'United States', 'N'),
	(3918, 'Pawan Hans', '\\N', '', 'PHE', 'PAWAN HANS', 'India', 'N'),
	(3919, 'Payam Air', '\\N', '', 'IRP', 'PAYAMAIR', 'Iran', 'N'),
	(3920, 'Peach Air', '\\N', '', 'KGC', 'GOLDCREST', 'United Kingdom', 'N'),
	(3921, 'Pearl Air', '\\N', '', 'PRL', 'PEARL LINE', 'Pakistan', 'N'),
	(3922, 'Pearl Air Services', '\\N', '', 'PBY', 'PEARL SERVICES', 'Uganda', 'N'),
	(3923, 'Pearl Airways', '\\N', 'HP', 'HPA', 'PEARL AIRWAYS', 'Haiti', 'N'),
	(3924, 'Peau Vava%Gʻ%@u', '\\N', '', 'PVU', 'PEAU', 'Tonga', 'N'),
	(3925, 'Pecotox Air', '\\N', '', 'PXA', 'PECOTOX', 'Moldova', 'N'),
	(3926, 'Pegasus Airlines', '\\N', 'PC', 'PGT', 'SUNTURK', 'Turkey', 'Y'),
	(3927, 'Pegasus Aviation', '\\N', '', 'PEV', 'PEGAVIATION', 'Greece', 'N'),
	(3928, 'Pegasus Hava Tasimaciligi', '\\N', '1I', '', '', 'Turkey', 'N'),
	(3929, 'Pegasus Helicopters', '\\N', '', 'HAK', 'HELIFALCON', 'Norway', 'N'),
	(3930, 'Pelican Air Services', '\\N', '', 'PDF', 'PELICAN AIRWAYS', 'South Africa', 'N'),
	(3931, 'Pelican Express', '\\N', '', 'PEX', 'PELICAN EXPRESS', 'United States', 'N'),
	(3932, 'Pelita Air Service', '\\N', '', 'PAS', 'PELITA', 'Indonesia', 'N'),
	(3933, 'Pem-Air', '\\N', '', 'PEM', 'PEM-AIR', 'Canada', 'N'),
	(3934, 'Pen-Avia', '\\N', '', 'PDY', 'PENDLEY', 'United Kingdom', 'N'),
	(3935, 'Peninsula Airways', '\\N', 'KS', 'PEN', 'PENINSULA', 'United States', 'Y'),
	(3936, 'Peninter Aerea', '\\N', '', 'PNE', 'PENINTER', 'Mexico', 'N'),
	(3937, 'Penya De L\'Aire', '\\N', '', 'PCA', 'PENA DEL AIRE', 'Spain', 'N'),
	(3938, 'Peran', '\\N', '', 'CVT', 'CVETA', 'Kazakhstan', 'N'),
	(3939, 'Perforadora Central', '\\N', '', 'PCC', 'PERFORADORA CENTRAL', 'Mexico', 'N'),
	(3940, 'Perimeter Aviation', '\\N', '', 'PAG', 'PERIMETER', 'Canada', 'N'),
	(3941, 'Perm Airlines', '\\N', 'P9', 'PGP', 'PERM AIR', 'Russia', 'N'),
	(3942, 'Personas Y Pasquetes Por Air', '\\N', '', 'PPQ', 'PERSONSPAQ', 'Mexico', 'N'),
	(3943, 'Peruvian Air Force', '\\N', '', 'FPR', '', 'Peru', 'N'),
	(3944, 'Peruvian Navy', '\\N', '', 'INP', '', 'Peru', 'N'),
	(3945, 'Petroleos Mexicanos', '\\N', '', 'PMX', 'PEMEX', 'Mexico', 'N'),
	(3946, 'Petroleum Helicopters', '\\N', '', 'PHM', 'PETROLEUM', 'United States', 'N'),
	(3947, 'Petroleum Helicopters de Colombia', '\\N', '', 'PHC', 'HELICOPTERS', 'Colombia', 'N'),
	(3948, 'Petropavlovsk-Kamchatsk Air Enterprise', '\\N', '', 'PTK', 'PETROKAM', 'Russia', 'N'),
	(3949, 'Petty Transport', '\\N', '', 'PTY', 'PETTY', 'United States', 'N'),
	(3950, 'Phenix Aviation', '\\N', '', 'PHV', 'NEW BIRD', 'France', 'N'),
	(3951, 'Phetchabun Airline', '\\N', '', 'PMY', 'PHETCHABUN AIR', 'Thailand', 'N'),
	(3952, 'Philippine Airlines', '\\N', 'PR', 'PAL', 'PHILIPPINE', 'Philippines', 'Y'),
	(3953, 'Philips Aviation Services', '\\N', '', 'PHI', 'PHILAIR', 'Netherlands', 'N'),
	(3954, 'Phillips Air', '\\N', '', 'BCH', 'BEACHBALL', 'United States', 'N'),
	(3955, 'Phillips Alaska', '\\N', '', 'PDD', 'PADA', 'United States', 'N'),
	(3956, 'Phillips Michigan City Flying Service', '\\N', '', 'PHL', 'PHILLIPS', 'United States', 'N'),
	(3957, 'Phoebus Apollo Aviation', '\\N', '', 'PHB', 'PHOEBUS', 'South Africa', 'N'),
	(3958, 'Phoebus Apolloa Zambia', '\\N', '', 'KZM', 'CARZAM', 'Zambia', 'N'),
	(3959, 'Phoenix Air Group', '\\N', '', 'PHA', 'GRAY BIRD', 'United States', 'N'),
	(3960, 'Phoenix Air Lines', '\\N', '', 'PHN', 'PHOENIX BRASIL', 'Brazil', 'N'),
	(3961, 'Phoenix Air Service', '\\N', '', 'PAM', 'PHOENIX', 'Germany', 'N'),
	(3962, 'Phoenix Air Transport', '\\N', '', 'PPG', 'PAPAGO', 'United States', 'N'),
	(3963, 'Phoenix Airline Services', '\\N', '', 'WDY', 'WINDYCITY', 'United States', 'N'),
	(3964, 'Phoenix Airways', '\\N', 'HP', '', '', 'Switzerland', 'N'),
	(3965, 'Phoenix Avia', '\\N', '', 'PHY', 'PHOENIX ARMENIA', 'Armenia', 'N'),
	(3966, 'Phoenix Aviation', '\\N', '', 'PHG', 'PHOENIX GROUP', 'Kyrgyzstan', 'N'),
	(3967, 'Phoenix Flight Operations', '\\N', '', 'XPX', '', 'United States', 'N'),
	(3968, 'Phuket Air', '\\N', '9R', 'VAP', 'PHUKET AIR', 'Thailand', 'N'),
	(3969, 'Piedmont Airlines (1948-1989)', '\\N', 'PI', 'PDT', 'PIEDMONT', 'United States', 'Y'),
	(3970, 'Pilatus Flugzeugwerke', '\\N', '', 'PCH', 'PILATUS WINGS', 'Switzerland', 'N'),
	(3971, 'Pilatus PC-12 Center De Mexico', '\\N', '', 'PLU', 'PILATUS MEXICO', 'Mexico', 'N'),
	(3972, 'Pimichikamac Air', '\\N', '', 'MKS', 'MIKISEW', 'Canada', 'N'),
	(3973, 'Pineapple Air', '\\N', '', 'PNP', 'PINEAPPLE AIR', 'Bahamas', 'N'),
	(3974, 'Pinframat', '\\N', '', 'PIM', 'PINFRAMAT', 'Angola', 'N'),
	(3975, 'Pinnacle Air Group', '\\N', '', 'PCL', 'PINNACLE GROUP', 'United States', 'N'),
	(3976, 'Pinnacle Airlines', '\\N', '9E', 'FLG', 'FLAGSHIP', 'United States', 'Y'),
	(3977, 'Pioneer Airlines', '\\N', '', 'PIO', 'PIONEER', 'United States', 'N'),
	(3978, 'Pioneers Limited', '\\N', '', 'PER', '', 'Pakistan', 'N'),
	(3979, 'Pirinair Express', '\\N', '', 'PRN', 'PRINAIR EXPRESS', 'Spain', 'N'),
	(3980, 'Planar', '\\N', '', 'PLN', 'PLANAR', 'Angola', 'N'),
	(3981, 'Planemaster Services', '\\N', '', 'PMS', 'PLANEMASTER', 'United States', 'N'),
	(3982, 'Planet Airways', '\\N', '', 'PLZ', 'PLANET', 'United States', 'N'),
	(3983, 'Players Air', '\\N', '', 'PYZ', 'PLAYERS AIR', 'United States', 'N'),
	(3984, 'Ploizeihubschrauberstaffel Hamburg', '\\N', '', 'LIB', 'LIBELLE', 'Germany', 'N'),
	(3985, 'Plymouth School of Flying', '\\N', '', 'PSF', 'LIZARD', 'United Kingdom', 'N'),
	(3986, 'Pocono Air Lines', '\\N', '', 'POC', 'POCONO', 'United States', 'N'),
	(3987, 'Podilia-Avia', '\\N', '', 'PDA', 'PODILIA', 'Ukraine', 'N'),
	(3988, 'Point Afrique Niger', '\\N', '', 'PAZ', 'POINTAIR NIGER', 'Niger', 'N'),
	(3989, 'Point Airlines', '\\N', '', 'RMI', 'POINT AIRLINE', 'Nigeria', 'N'),
	(3990, 'Pointair Burkina', '\\N', '', 'PAW', 'POINTAIR BURKINA', 'Burkina Faso', 'N'),
	(3991, 'Points of Call Airlines', '\\N', '', 'PTS', 'POINTSCALL', 'Canada', 'N'),
	(3992, 'Polar Air Cargo', '\\N', 'PO', 'PAC', 'POLAR', 'United States', 'N'),
	(3993, 'Polar Airlines de Mexico', '\\N', '', 'PMO', 'POLAR MEXICO', 'Mexico', 'N'),
	(3994, 'Polestar Aviation', '\\N', '', 'PSR', 'POLESTAR', 'United Kingdom', 'N'),
	(3995, 'Polet', '\\N', '', 'POT', 'POLET', 'Russia', 'Y'),
	(3996, 'Police Aux Frontiers', '\\N', '', 'POF', 'AIRPOL', 'France', 'N'),
	(3997, 'Police Aviation Services', '\\N', '', 'PLC', 'SPECIAL', 'United Kingdom', 'N'),
	(3998, 'Polish Air Force', '\\N', '', 'PLF', 'POLISH AIRFORCE', 'Poland', 'N'),
	(3999, 'Polish Navy', '\\N', '', 'PNY', 'POLISH NAVY', 'Poland', 'N'),
	(4000, 'Polizeifliegerstaffel Nordrhein-Westfalen', '\\N', '', 'NRW', 'HUMMEL', 'Germany', 'N'),
	(4001, 'Polizeihibschrauberstaffel Neidersachsen', '\\N', '', 'PPH', 'POLICE PHOENIX', 'Germany', 'N'),
	(4002, 'Polizeihuberschrauberstaffel Sachsen-Anhalt', '\\N', '', 'PIK', 'POLICE IKARUS', 'Germany', 'N'),
	(4003, 'Polizeihubschrafterstaffel Rheinland-Pfalz', '\\N', '', 'SRP', 'SPERBER', 'Germany', 'N'),
	(4004, 'Polizeihubschrauberstaffel Baden-Wurtemberg', '\\N', '', 'PBW', 'BUSSARD', 'Germany', 'N'),
	(4005, 'Polizeihubschrauberstaffel Bayern', '\\N', '', 'EDL', 'POLICE EDELWEISS', 'Germany', 'N'),
	(4006, 'Polizeihubschrauberstaffel Brandenburg', '\\N', '', 'PBB', 'ADEBAR', 'Germany', 'N'),
	(4007, 'Polizeihubschrauberstaffel Hessen', '\\N', '', 'PHH', 'IBIS', 'Germany', 'N'),
	(4008, 'Polizeihubschrauberstaffel Mecklenburg-Vorpommern', '\\N', '', 'PMV', 'POLICE MERLIN', 'Germany', 'N'),
	(4009, 'Polizeihubschrauberstaffel Sachsen', '\\N', '', 'PHS', 'PASSAT', 'Germany', 'N'),
	(4010, 'Polizeihubschrauberstaffel Thuringen', '\\N', '', 'HBT', 'HABICHT', 'Germany', 'N'),
	(4011, 'Polo Aviation', '\\N', '', 'CUK', 'CHUKKA', 'United Kingdom', 'N'),
	(4012, 'Polynesian Air-Ways', '\\N', '', 'PLA', 'POLYAIR', 'United States', 'N'),
	(4013, 'Polynesian Airlines', '\\N', 'PH', 'PAO', 'POLYNESIAN', 'Samoa', 'Y'),
	(4014, 'Polynesian Blue', '\\N', 'DJ', 'PLB', 'POLYBLUE', 'New Zealand', 'N'),
	(4015, 'Polyot Sirena', '\\N', '1U', '', '', 'Russia', 'N'),
	(4016, 'Pond Air Express', '\\N', '', 'PND', 'POND AIR', 'United States', 'N'),
	(4017, 'Pont International Airline Services', '\\N', '', 'PSI', 'PONT', 'Suriname', 'N'),
	(4018, 'Pool Aviation', '\\N', '', 'PLX', 'POOLEX', 'United Kingdom', 'N'),
	(4019, 'Port Townsend Airways', '\\N', '', 'PTQ', 'TOWNSEND', 'United States', 'N'),
	(4020, 'Porteadora De Cosola', '\\N', '', 'POR', 'PORTEADORA', 'Mexico', 'N'),
	(4021, 'Porter Airlines', '\\N', 'PD', 'POE', 'PORTER AIR', 'Canada', 'Y'),
	(4022, 'Portugalia', '\\N', 'NI', 'PGA', 'PORTUGALIA', 'Portugal', 'Y'),
	(4023, 'Portuguese Air Force', '\\N', '', 'AFP', 'PORTUGUESE AIR FORCE', 'Portugal', 'N'),
	(4024, 'Portuguese Army', '\\N', '', 'POA', 'PORTUGUESE ARMY', 'Portugal', 'N'),
	(4025, 'Portuguese Navy', '\\N', '', 'PON', 'PORTUGUESE NAVY', 'Portugal', 'N'),
	(4026, 'Potomac Air', '\\N', 'BK', 'PDC', 'DISTRICT', 'United States', 'Y'),
	(4027, 'Potosina Del Aire', '\\N', '', 'PSN', 'POTOSINA', 'Mexico', 'N'),
	(4028, 'Powell Air', '\\N', '', 'PWL', 'POWELL AIR', 'Canada', 'N'),
	(4029, 'Prairie Flying Service', '\\N', '', 'PFS', 'PRAIRIE', 'United States', 'N'),
	(4030, 'Pratt and Whitney Canada', '\\N', '', 'PWC', 'PRATT', 'Canada', 'N'),
	(4031, 'Precision Air', '\\N', 'PW', 'PRF', 'PRECISION AIR', 'Tanzania', 'Y'),
	(4032, 'Precision Airlines', '\\N', '', 'PRE', 'PRECISION', 'United States', 'N'),
	(4033, 'Premiair', '\\N', '', 'BAT', 'BALLISTIC', 'Luxembourg', 'N'),
	(4034, 'Premiair Aviation Services', '\\N', '', 'PGL', 'PREMIERE', 'United Kingdom', 'N'),
	(4035, 'Premiair Fliyng Club', '\\N', '', 'PME', 'ADUR', 'United Kingdom', 'N'),
	(4036, 'Premium Air Shuttle', '\\N', '', 'EMI', 'BLUE SHUTTLE', 'Nigeria', 'N'),
	(4037, 'Premium Aviation', '\\N', '', 'PMU', 'PREMIUM', 'Germany', 'N'),
	(4038, 'Presidence Du Faso', '\\N', '', 'BFA', '', 'Burkina Faso', 'N'),
	(4039, 'Presidencia de La Republica de Guinea Ecuatorial', '\\N', '', 'ONM', '', 'Equatorial Guinea', 'N'),
	(4040, 'President Airlines', 'null', 'TO', 'PSD', '', 'Cambodia', 'N'),
	(4041, 'Presidential Aviation', '\\N', '', 'PRD', 'PRESIDENTIAL', 'United States', 'N'),
	(4042, 'Priester Aviation', '\\N', '', 'PWA', 'PRIESTER', 'United States', 'N'),
	(4043, 'Primair', '\\N', '', 'PMM', 'PRIMAVIA', 'Russia', 'N'),
	(4044, 'Primaris Airlines', '\\N', 'FE', 'WCP', 'WHITECAP', 'United States', 'N'),
	(4045, 'Primas Courier', '\\N', '', 'PMC', 'PRIMAC', 'United States', 'N'),
	(4046, 'Primavia Limited', '\\N', '', 'CRY', 'CARRIERS', 'United Kingdom', 'N'),
	(4047, 'Prime Air', '\\N', '', 'PRM', 'PRIME AIR', 'United States', 'N'),
	(4048, 'Prime Aviation', '\\N', '', 'PKZ', 'PRAVI', 'Kazakhstan', 'N'),
	(4049, 'Prince Edward Air', '\\N', '', 'CME', 'COMET', 'Canada', 'N'),
	(4050, 'Princely Jets', '\\N', '', 'PJP', 'PRINCELY JETS', 'Pakistan', 'N'),
	(4051, 'Princess Air', '\\N', '8Q', '', '', '', 'N'),
	(4052, 'Princeton Aviation Corporation', '\\N', '', 'PCN', 'PRINCETON', 'United States', 'N'),
	(4053, 'Priority Air Charter', '\\N', '', 'PRY', 'PRIORITY AIR', 'United States', 'N'),
	(4054, 'Priority Air Transport', '\\N', '', 'PAT', 'PAT', 'United States', 'N'),
	(4055, 'Priority Aviation Company', '\\N', '', 'BCK', 'BANKCHECK', 'United States', 'N'),
	(4056, 'Privatair', '\\N', '', 'PTI', 'PRIVATAIR', 'Switzerland', 'Y'),
	(4057, 'Private Jet Expeditions', '\\N', '', 'PJE', 'PEE JAY', 'United States', 'N'),
	(4058, 'Private Jet Management', '\\N', '', 'PJA', 'PRIVATE FLIGHT', 'United States', 'N'),
	(4059, 'Private Wings Flugcharter', '\\N', '8W', 'PWF', 'PRIVATE WINGS', 'Germany', 'N'),
	(4060, 'Privilege Style L', '\\N', '', 'PVG', 'PRIVILEGE', 'Spain', 'N'),
	(4061, 'Pro Air', '\\N', '', 'PRH', 'PROHAWK', 'United States', 'N'),
	(4062, 'Pro Air Service', '\\N', '', 'PSZ', 'POP-AIR', 'United States', 'N'),
	(4063, 'Probiz Guinee', '\\N', '', 'GIY', 'PROBIZ', 'Guinea', 'N'),
	(4064, 'Professional Express Courier Service', '\\N', '', 'PAD', 'AIR PROFESSIONAL', 'United States', 'N'),
	(4065, 'Professione VOlare', '\\N', '', 'PVL', 'VOLARE', 'Italy', 'N'),
	(4066, 'Proflight Commuter Services', '\\N', 'P0', '', '', 'Zambia', 'Y'),
	(4067, 'Promotora Industria Totolapa', '\\N', '', 'PTT', 'TOTOLAPA', 'Mexico', 'N'),
	(4068, 'Propair', '\\N', '', 'PRO', 'PROPAIR', 'Canada', 'N'),
	(4069, 'Propflight Air Services', '\\N', '', 'PFZ', 'PROFLIGHT-ZAMBIA', 'Zambia', 'N'),
	(4070, 'Propheter Aviation', '\\N', '', 'PPA', 'AIR PROP', 'United States', 'N'),
	(4071, 'Proteus Helicopteres', '\\N', '', 'PTH', 'PROTEUS', 'France', 'N'),
	(4072, 'Providence Airline', '\\N', '', 'PTL', 'PLANTATION', 'United States', 'N'),
	(4073, 'Providence Aviation Services', '\\N', '', 'AWD', '', 'Pakistan', 'N'),
	(4074, 'Provincial Airlines', '\\N', '', 'SPR', 'SPEEDAIR', 'Canada', 'N'),
	(4075, 'Provincial Express', '\\N', '', 'PRV', 'PROVINCIAL', 'Canada', 'N'),
	(4076, 'Pskovavia', '\\N', '', 'PSW', 'PSKOVAVIA', 'Russia', 'N'),
	(4077, 'Psudiklat Perhubungan Udara/PLP', '\\N', '', 'UDA', 'UDARA', 'Indonesia', 'N'),
	(4078, 'Ptarmigan Airways', '\\N', '', 'PTA', 'PTARMIGAN', 'Canada', 'N'),
	(4079, 'Publiservicios Aereos', '\\N', '', 'PSP', 'PUBLISERVICIOS', 'Mexico', 'N'),
	(4080, 'Publivoo', '\\N', '', 'PUV', 'PUBLIVOO', 'Portugal', 'N'),
	(4081, 'Puerto Rico National Guard', '\\N', '', 'PNG', '', 'United States', 'N'),
	(4082, 'Puerto Vallarta Taxi Aereo', '\\N', '', 'TXV', 'TAXIVALLARTA', 'Mexico', 'N'),
	(4083, 'Pulkovo Aircraft Services', '\\N', '', 'PGH', '', 'Russia', 'N'),
	(4084, 'Puma Linhas Aereas', '\\N', '', 'PLY', 'PUMA BRASIL', 'Brazil', 'N'),
	(4085, 'Puntavia Air Services', '\\N', '', 'PTV', 'PUNTAVIA', 'Djibouti', 'N'),
	(4086, 'Punto Fa', '\\N', '', 'MGO', 'MANGO', 'Spain', 'N'),
	(4087, 'Pyramid Air Lines', '\\N', '', 'PYR', 'PYAIR', 'Egypt', 'N'),
	(4088, 'Qanot Sharq', '\\N', '', 'QNT', 'QANAT SHARQ', 'Uzbekistan', 'N'),
	(4089, 'Qantas', 'Qantas Airways', 'QF', 'QFA', 'QANTAS', 'Australia', 'Y'),
	(4090, 'Qatar Air Cargo', '\\N', '', 'QAC', 'QATAR CARGO', 'Qatar', 'N'),
	(4091, 'Qatar Airways', '\\N', 'QR', 'QTR', 'QATARI', 'Qatar', 'Y'),
	(4092, 'Qatar Amiri Flight', '\\N', '', 'QAF', 'AMIRI', 'Qatar', 'N'),
	(4093, 'Qeshm Air', '\\N', '', 'IRQ', 'QESHM AIR', 'Iran', 'N'),
	(4094, 'Quantex Environmental', '\\N', '', 'QTX', 'AIR QUANTEX', 'Canada', 'N'),
	(4095, 'Quebec Government Air Service', '\\N', '', 'QUE', 'QUEBEC', 'Canada', 'N'),
	(4096, 'Queen Air', '\\N', '', 'QNA', 'QUEEN AIR', 'Dominican Republic', 'N'),
	(4097, 'Quest Diagnostics', '\\N', '', 'LBQ', 'LABQUEST', 'United States', 'N'),
	(4098, 'Quick Air Jet Charter', '\\N', '', 'QAJ', 'DAGOBERT', 'Germany', 'N'),
	(4099, 'Quick Airways Holland', '\\N', '', 'QAH', 'QUICK', 'Netherlands', 'N'),
	(4100, 'Quisqueya Airlines', '\\N', '', 'QAS', 'QUISQUEYA', 'Haiti', 'N'),
	(4101, 'Qurinea Air Service', '\\N', '', 'QAQ', 'QURINEA AIR', 'Libya', 'N'),
	(4102, 'Qwest Commuter Corporation', '\\N', '', 'QCC', 'QWEST AIR', 'United States', 'N'),
	(4103, 'Qwestair', '\\N', '', 'QWA', '', 'Australia', 'N'),
	(4104, 'Qwila Air', '\\N', '', 'QWL', 'Q-CHARTER', 'South Africa', 'N'),
	(4105, 'RA Jet Aeroservicios', '\\N', '', 'RJT', 'RA JET', 'Mexico', 'N'),
	(4106, 'RACSA', '\\N', 'R6', '', '', 'Guatemala', 'Y'),
	(4107, 'RAF Barkston Heath', '\\N', '', 'BKH', '', 'United Kingdom', 'N'),
	(4108, 'Church Fenton Flying Training Unit', '\\N', '', 'CFN', 'CHURCH FENTON', 'United Kingdom', 'N'),
	(4109, 'Coltishall Flying Training Unit', '\\N', '', 'COH', 'COLT', 'United Kingdom', 'N'),
	(4110, 'Coningsby Flying Training Unit', '\\N', '', 'CBY', 'TYPHOON', 'United Kingdom', 'N'),
	(4111, 'Cottesmore Flying Training Unit', '\\N', '', 'COT', 'COTTESMORE', 'United Kingdom', 'N'),
	(4112, 'Cranwell Flying Training Unit', '\\N', '', 'CWL', 'CRANWELL', 'United Kingdom', 'N'),
	(4113, 'Kinloss Flying Training Unit', '\\N', '', 'KIN', 'KINLOSS', 'United Kingdom', 'Y'),
	(4114, 'Leeming Flying Training Unit', '\\N', '', 'LEE', 'JAVELIN', 'United Kingdom', 'N'),
	(4115, 'RAF Leuchars', '\\N', '', 'LCS', 'LEUCHARS', 'United Kingdom', 'N'),
	(4116, 'Linton-on-Ouse Flying Training Unit', '\\N', '', 'LOP', 'LINTON ON OUSE', 'United Kingdom', 'N'),
	(4117, 'Lossiemouth Flying Training Unit', '\\N', '', 'LOS', 'LOSSIE', 'United Kingdom', 'N'),
	(4118, 'Marham Flying Training Unit', '\\N', '', 'MRH', 'MARHAM', 'United Kingdom', 'N'),
	(4119, 'Northwood Headquarters (RAF', '\\N', '', 'NWO', '', 'United Kingdom', 'N'),
	(4120, 'RAF Scampton', '\\N', '', 'SMZ', 'SCAMPTON', 'United Kingdom', 'N'),
	(4121, 'RAF St Athan', '\\N', '', 'STN', 'SAINT ATHAN', 'UNited Kingdom', 'N'),
	(4122, 'RAF St Mawgan Search and Rescue', '\\N', '', 'SMG', '', 'United Kingdom', 'N'),
	(4123, 'RAF Topcliffe Flying Training Unit', '\\N', '', 'TOF', 'TOPCLIFFE', 'United Kingdom', 'N'),
	(4124, 'RAF Valley Flying Training Unit', '\\N', '', 'VYT', 'ANGLESEY', 'United Kingdom', 'N'),
	(4125, 'RAF Valley SAR Training Unit', '\\N', '', 'VLL', '', 'United Kingdom', 'N'),
	(4126, 'Waddington FTU', '\\N', '', 'WAD', 'VULCAN', 'United Kingdom', 'N'),
	(4127, 'Wittering FTU', '\\N', '', 'WIT', 'STRIKER', 'United Kingdom', 'N'),
	(4128, 'RAF-Avia', '\\N', '', 'MTL', 'MITAVIA', 'Latvia', 'N'),
	(4129, 'RAK Airways', '\\N', '', 'RKM', 'RAKAIR', 'United Arab Emirates', 'N'),
	(4130, 'RWL Luftfahrtgesellschaft', '\\N', '', 'RWL', 'RHEINTRAINER', 'Germany', 'N'),
	(4131, 'Rabbit-Air', '\\N', '', 'RBB', 'RABBIT', 'Switzerland', 'N'),
	(4132, 'Race Cargo Airlines', '\\N', '', 'ACE', 'Fastcargo', 'Ghana', 'N'),
	(4133, 'Rader Aviation', '\\N', '', 'GBR', 'GREENBRIER AIR', 'United States', 'N'),
	(4134, 'Radixx Solutions International', '\\N', '1D', '', '', 'United States', 'N'),
	(4135, 'Raji Airlines', '\\N', '', 'RAJ', 'RAJI', 'Pakistan', 'N'),
	(4136, 'Raleigh Flying Service', '\\N', '', 'RFA', 'RALEIGH SERVICE', 'United States', 'N'),
	(4137, 'Ram Air Freight', '\\N', '', 'REX', 'RAM EXPRESS', 'United States', 'N'),
	(4138, 'Ram Aircraft Corporation', '\\N', '', 'RMT', 'RAM FLIGHT', 'United States', 'N'),
	(4139, 'Ramp 66', '\\N', '', 'PPK', 'PELICAN', 'United States', 'N'),
	(4140, 'Rangemile Limited', '\\N', '', 'RGM', 'RANGEMILE', 'United Kingdom', 'N'),
	(4141, 'Raslan Air Service', '\\N', '', 'MWR', 'RASLAN', 'Egypt', 'N'),
	(4142, 'Rath Aviaton', '\\N', '', 'RAQ', 'RATH AVIATION', 'Austria', 'N'),
	(4143, 'Ratkhan Air', '\\N', '', 'CSM', 'LORRY', 'Kazakhstan', 'N'),
	(4144, 'Raven Air', '\\N', '', 'RVR', 'RAVEN', 'United Kingdom', 'N'),
	(4145, 'Raven Air', '\\N', '', 'RVN', 'RAVEN U-S', 'United States', 'N'),
	(4146, 'Ray Aviation', '\\N', '', 'REI', 'RAY AVIATION', 'Israel', 'N'),
	(4147, 'Raya Jet', '\\N', '', 'RYT', '', 'Jordan', 'N'),
	(4148, 'Raytheon Aircraft Company', '\\N', '', 'RTN', 'RAYTHEON', 'United States', 'N'),
	(4149, 'Raytheon Corporate Jets', '\\N', '', 'RCJ', 'NEWPIN', 'United Kingdom', 'N'),
	(4150, 'Raytheon Travel Air', '\\N', '', 'KSS', 'KANSAS', 'United States', 'N'),
	(4151, 'Real Aero Club De Baleares', '\\N', '', 'RCB', 'BALEARES', 'Spain', 'N'),
	(4152, 'Real Aero Club de Reus-Costa Dorado', '\\N', '', 'CDT', 'AEROREUS', 'Spain', 'N'),
	(4153, 'Real Aeroclub De Ternerife', '\\N', '', 'RCD', 'AEROCLUB', 'Spain', 'N'),
	(4154, 'Real Aviation', '\\N', '', 'RLV', 'REAL', 'Ghana', 'N'),
	(4155, 'Rebus', '\\N', '', 'REB', 'REBUS', 'Bulgaria', 'N'),
	(4156, 'Red Aviation', '\\N', '', 'PSH', 'PASSION', 'United Kingdom', 'N'),
	(4157, 'Red Baron Aviation', '\\N', '', 'RBN', 'RED BARON', 'United States', 'N'),
	(4158, 'Red Devils Parachute Display Team', '\\N', '', 'DEV', 'RED DEVILS', 'United Kingdom', 'N'),
	(4159, 'Red Sea Aviation', '\\N', '', 'RDV', 'RED AVIATION', 'Egypt', 'N'),
	(4160, 'Red Sky Ventures', '\\N', '', 'RSV', 'RED SKY', 'Namibia', 'N'),
	(4161, 'Red Star', '\\N', '', 'STR', 'STARLINE', 'United Arab Emirates', 'N'),
	(4162, 'Redhill Aviation', '\\N', '8L', 'RHC', 'REDAIR', 'United Kingdom', 'N'),
	(4163, 'Reed Aviation', '\\N', '', 'RAV', 'REED AVIATION', 'United Kingdom', 'N'),
	(4164, 'Reef Air', '\\N', '', 'REF', 'REEF AIR', 'New Zealand', 'N'),
	(4165, 'Reem Air', '\\N', 'V4', 'REK', 'REEM AIR', 'Kyrgyzstan', 'N'),
	(4166, 'Reeve Aleutian Airways', '\\N', '', 'RVV', 'REEVE', 'United States', 'N'),
	(4167, 'Regal Bahamas International Airways', '\\N', '', 'RBH', 'CALYPSO', 'Bahamas', 'N'),
	(4168, 'Regency Airlines', '\\N', '', 'RGY', 'REGENCY', 'United States', 'N'),
	(4169, 'Regent Air', '\\N', '', 'RAH', 'REGENT', 'Canada', 'N'),
	(4170, 'Regio Air', '\\N', '', 'RAG', 'GERMAN LINK', 'Germany', 'N'),
	(4171, 'Region Air', '\\N', '', 'RGR', 'REGIONAIR', 'Canada', 'N'),
	(4172, 'Regional 1', '\\N', '', 'TSH', 'TRANSCANADA', 'Canada', 'N'),
	(4173, 'Regional Air', '\\N', '', 'RIL', '', 'Mauritania', 'N'),
	(4174, 'Regional Air Express', '\\N', '', 'REW', 'REGIONAL WINGS', 'Germany', 'N'),
	(4175, 'Regional Air Lines', '\\N', '', 'RGL', 'MAROC REGIONAL', 'Morocco', 'N'),
	(4176, 'Regional Air Services', '\\N', '', 'REG', 'REGIONAL SERVICES', 'Tanzania', 'N'),
	(4177, 'Regional Airlines', '\\N', 'FN', '', '', 'Morocco', 'Y'),
	(4178, 'Regional Express', '\\N', 'ZL', 'RXA', 'REX', 'Australia', 'Y'),
	(4179, 'Regional Geodata Air', '\\N', '', 'JJM', 'GEODATA', 'Spain', 'N'),
	(4180, 'RegionsAir', '\\N', '3C', 'CEA', 'CORP-X', 'United States', 'N'),
	(4181, 'Reliance Aviation', '\\N', '', 'REL', 'RELIANCE AIR', 'United States', 'N'),
	(4182, 'Reliant Airlines', '\\N', '', 'RLT', 'RELIANT', 'United States', 'N'),
	(4183, 'Relief Transport Services', '\\N', '', 'RTS', 'RELIEF', 'United Kingdom', 'N'),
	(4184, 'Renan', '\\N', '', 'RAN', 'RENAN', 'Moldova', 'N'),
	(4185, 'Reno Air', '\\N', 'QQ', 'ROA', 'RENO AIR', 'United States', 'N'),
	(4186, 'Renown Aviation', '\\N', '', 'RGS', 'RENOWN', 'United States', 'N'),
	(4187, 'Republic Airlines', '\\N', 'RW', 'RPA', 'BRICKYARD', 'United States', 'Y'),
	(4188, 'Republic Express Airlines', '\\N', 'RH', 'RPH', 'PUBLIC EXPRESS', 'Indonesia', 'Y'),
	(4189, 'Republicair', '\\N', '', 'RBC', 'REPUBLICAIR', 'Mexico', 'N'),
	(4190, 'Resort Air', '\\N', '', 'RST', 'RESORT AIR', 'United States', 'N'),
	(4191, 'Rhoades Aviation', '\\N', '', 'RDS', 'RHOADES EXPRESS', 'United States', 'N'),
	(4192, 'Riau Airlines', '\\N', '', 'RIU', 'RIAU AIR', 'Indonesia', 'N'),
	(4193, 'Rich International Airways', '\\N', '', 'RIA', 'RICHAIR', 'United States', 'N'),
	(4194, 'Richards Aviation', '\\N', '', 'RVC', 'RIVER CITY', 'United States', 'N'),
	(4195, 'Richardson\'s Airway', '\\N', '', 'RIC', 'RICHARDSON', 'United States', 'N'),
	(4196, 'Richland Aviation', '\\N', '', 'RCA', 'RICHLAND', 'United States', 'N'),
	(4197, 'Rick Lucas Helicopters', '\\N', '', 'HPR', 'HELIPRO', 'New Zealand', 'N'),
	(4198, 'Rico Linhas A', '\\N', 'C7', 'RLE', 'RICO', 'Brazil', 'N'),
	(4199, 'Ridder Avia', '\\N', '', 'RID', 'AKRID', 'Kazakhstan', 'N'),
	(4200, 'Riga Airclub', '\\N', '', 'RAK', 'SPORT CLUB', 'Latvia', 'N'),
	(4201, 'Rijnmond Air Services', '\\N', '', 'RAZ', 'RIJNMOND', 'Netherland', 'N'),
	(4202, 'Rikspolisstyrelsen', '\\N', '', 'POL', '', 'Sweden', 'N'),
	(4203, 'Rimrock Airlines', '\\N', '', 'RIM', 'RIMROCK', 'United States', 'N'),
	(4204, 'Rio Air Express', '\\N', '', 'SKA', 'RIO EXPRESS', 'Brazil', 'N'),
	(4205, 'Rio Airways', '\\N', '', 'REO', 'RIO', 'United States', 'N'),
	(4206, 'Rio Grande Air', '\\N', 'E2', 'GRN', 'GRANDE', 'United States', 'N'),
	(4207, 'Rio Sul Servi', '\\N', 'SL', 'RSL', 'RIO SUL', 'Brazil', 'N'),
	(4208, 'River Ministries Air Charter', '\\N', '', 'RVM', 'RIVER', 'South Africa', 'N'),
	(4209, 'River State Government of Nigeria', '\\N', '', 'RGP', 'GARDEN CITY', 'Nigeria', 'N'),
	(4210, 'Rivne Universal Avia', '\\N', '', 'UNR', 'RIVNE UNIVERSAL', 'Ukraine', 'N'),
	(4211, 'Roadair Lines', '\\N', '', 'RDL', 'ROADAIR', 'Canada', 'N'),
	(4212, 'Robinton Aero', '\\N', '', 'RBT', 'ROBIN', 'Dominican Republic', 'N'),
	(4213, 'Roblex Aviation', '\\N', '', 'ROX', 'ROBLEX', 'United States', 'N'),
	(4214, 'Rockwell Collins Avionics', '\\N', '', 'RKW', 'ROCKWELL', 'United States', 'N'),
	(4215, 'Rocky Mountain Airlines', '\\N', '', 'ROC', '', 'Canada', 'N'),
	(4216, 'Rocky Mountain Airways', '\\N', '', 'RMA', 'ROCKY MOUNTAIN', 'United States', 'N'),
	(4217, 'Rocky Mountain Holdings', '\\N', '', 'LIF', 'LIFECARE', 'United States', 'N'),
	(4218, 'Rodze Air', '\\N', '', 'RDZ', 'RODZE AIR', 'Nigeria', 'N'),
	(4219, 'Rog-Air', '\\N', '', 'FAD', 'AIR FRONTIER', 'Canada', 'N'),
	(4220, 'Rollright Aviation', '\\N', '', 'RRZ', 'ROLLRIGHT', 'United Kingdom', 'N'),
	(4221, 'Rolls-Royce Limited', '\\N', '', 'RRL', 'MERLIN', 'United Kingdom', 'N'),
	(4222, 'Rolls-Royce plc', '\\N', '', 'BTU', 'ROLLS', 'United Kingdom', 'N'),
	(4223, 'Romanian Air Force', '\\N', '', 'ROF', 'ROMAF', 'Romania', 'N'),
	(4224, 'Romavia', '\\N', '', 'RMV', 'AEROMAVIA', 'Romania', 'N'),
	(4225, 'Ronso', '\\N', '', 'RNS', 'RONSO', 'Mexico', 'N'),
	(4226, 'Roraima Airways', '\\N', '', 'ROR', 'RORAIMA', 'Guyana', 'N'),
	(4227, 'Rosneft-Baltika', '\\N', '', 'RNB', 'ROSBALT', 'Russia', 'N'),
	(4228, 'Ross Aviation', '\\N', '', 'NRG', 'ENERGY', 'United States', 'N'),
	(4229, 'Rossair', '\\N', '', 'RFS', '', 'Australia', 'N'),
	(4230, 'Rossair', '\\N', '', 'RSS', 'ROSS CHARTER', 'South Africa', 'N'),
	(4231, 'Rossair Europe', '\\N', '', 'ROS', 'CATCHER', 'Netherlands', 'N'),
	(4232, 'Rossiya', '\\N', 'R4', '', '', 'Russia', 'Y'),
	(4233, 'Roswell Airlines', '\\N', '', 'RAL', 'ROSWELL', 'United States', 'N'),
	(4234, 'Air Rarotonga', '\\N', 'GZ', 'RAR', '', 'Cook Islands', 'Y'),
	(4235, 'Rotatur', '\\N', '', 'RTR', 'ROTATUR', 'Brazil', 'N'),
	(4236, 'Rotormotion', '\\N', '', 'RKT', 'ROCKET', 'United Kingdom', 'N'),
	(4237, 'Rotterdam Jet Center', '\\N', '', 'JCR', 'ROTTERDAM JETCENTER', 'Netherlands', 'N'),
	(4238, 'Rover Airways International', '\\N', '', 'ROV', 'ROVERAIR', 'United States', 'N'),
	(4239, 'Rovos Air', '\\N', '', 'VOS', 'ROVOS', 'South Africa', 'N'),
	(4240, 'Royal Air Cargo', '\\N', '', 'RCG', 'ROYAL CARGO', 'South Africa', 'N'),
	(4241, 'Royal Air Force', '\\N', 'RR', 'RFR', 'RAFAIR', 'United Kingdom', 'N'),
	(4242, 'Royal Air Force of Oman', '\\N', 'RS', 'MJN', 'MAJAN', 'Oman', 'N'),
	(4243, 'Royal Air Force', '\\N', '', 'ACW', 'AIR CADET', 'United Kingdom', 'N'),
	(4244, 'Royal Air Force', '\\N', '', 'RRR', 'ASCOT', 'United Kingdom', 'N'),
	(4245, 'Royal Air Force', '\\N', '', 'RRF', 'KITTY', 'United Kingdom', 'N'),
	(4246, 'Royal Air Force', '\\N', '', 'SHF', 'VORTEX', 'United Kingdom', 'N'),
	(4247, 'Royal Air Freight', '\\N', '', 'RAX', 'AIR ROYAL', 'United States', 'N'),
	(4248, 'Royal Air Maroc', '\\N', 'AT', 'RAM', 'ROYALAIR MAROC', 'Morocco', 'Y'),
	(4249, 'Royal Airlines', '\\N', 'R0', 'RPK', 'ROYAL PAKISTAN', 'Pakistan', 'N'),
	(4250, 'Royal American Airways', '\\N', '', 'RLM', 'ROYAL AMERICAN', 'United States', 'N'),
	(4251, 'Royal Aruban Airline', '\\N', 'V5', 'RYL', 'ROYAL ARUBAN', 'Aruba', 'N'),
	(4252, 'Royal Australian Air Force', '\\N', '', 'ASY', 'AUSSIE', 'Australia', 'N'),
	(4253, 'Royal Aviation Express', '\\N', '', 'RXP', 'ROY EXPRESS', 'Canada', 'N'),
	(4254, 'Royal Bahrain Airlines', '\\N', '', 'RYB', 'ROYAL BAHRAIN', 'Bahrain', 'N'),
	(4255, 'Royal Brunei Airlines', '\\N', 'BI', 'RBA', 'BRUNEI', 'Brunei', 'Y'),
	(4256, 'Royal Daisy Airlines', '\\N', '', 'KDR', 'DARLINES', 'Uganda', 'N'),
	(4257, 'Royal Ghanaian Airlines', '\\N', '', 'RGA', 'ROYAL GHANA', 'Ghana', 'N'),
	(4258, 'Royal Jet', '\\N', '', 'ROJ', 'ROYALJET', 'United Arab Emirates', 'N'),
	(4259, 'Royal Jordanian', '\\N', 'RJ', 'RJA', 'JORDANIAN', 'Jordan', 'Y'),
	(4260, 'Royal Jordanian Air Force', '\\N', '', 'RJZ', 'JORDAN AIR FORCE', 'Jordan', 'N'),
	(4261, 'Royal Khmer Airlines', '\\N', 'RK', 'RKH', 'KHMER AIR', 'Cambodia', 'N'),
	(4262, 'Royal Malaysian Air Force', '\\N', '', 'RMF', 'ANGKASA', 'Malaysia', 'N'),
	(4263, 'Royal Navy', '\\N', '', 'NVY', 'NAVY', 'United Kingdom', 'N'),
	(4264, 'Royal Nepal Airlines', '\\N', 'RA', 'RNA', 'ROYAL NEPAL', 'Nepal', 'Y'),
	(4265, 'Royal Netherland Navy', '\\N', '', 'NRN', 'NETHERLANDS NAVY', 'Netherlands', 'N'),
	(4266, 'Royal Netherlands Air Force', '\\N', '', 'NAF', 'NETHERLANDS AIR FORCE', 'Netherlands', 'N'),
	(4267, 'Royal New Zealand Air Force', '\\N', '', 'KIW', 'KIWI', 'New Zealand', 'N'),
	(4268, 'Royal Norwegian Air Force', '\\N', '', 'NOW', 'NORWEGIAN', 'Norway', 'N'),
	(4269, 'Royal Oman Police', '\\N', '', 'ROP', '', 'Oman', 'N'),
	(4270, 'Royal Phnom Penh Airways', '\\N', '', 'PPW', 'PHNOM-PENH AIR', 'Cambodia', 'Y'),
	(4271, 'Royal Rwanda Airlines', '\\N', '', 'RRA', 'ROYAL RWANDA', 'Rwanda', 'N'),
	(4272, 'Royal Saudi Air Force', '\\N', '', 'RSF', 'ARSAF', 'Saudi Arabia', 'N'),
	(4273, 'Royal Sky', '\\N', '', 'RYS', 'ROYAL SKY', 'Thailand', 'N'),
	(4274, 'Royal Swazi National Airways', '\\N', '', 'RSN', 'SWAZI NATIONAL', 'Swaziland', 'N'),
	(4275, 'Royal Tongan Airlines', '\\N', 'WR', 'HRH', 'TONGA ROYAL', 'Tonga', 'N'),
	(4276, 'Royal West Airlines', '\\N', '', 'RWE', 'ROYAL WEST', 'United States', 'N'),
	(4277, 'Rubystar', '\\N', '', 'RSB', 'RUBYSTAR', 'Belarus', 'N'),
	(4278, 'Rumugu Air & Space Nigeria', '\\N', '', 'RMG', 'RUMUGU AIR', 'Nigeria', 'N'),
	(4279, 'Rusaero', '\\N', '', 'RUR', '', 'Russia', 'N'),
	(4280, 'Rusaero', '\\N', '', 'KLE', '', 'Russia', 'N'),
	(4281, 'Rusair JSAC', '\\N', '', 'CGI', 'CGI-RUSAIR', 'Russia', 'N'),
	(4282, 'Rusich-T', '\\N', '', 'RUH', '', 'Russia', 'N'),
	(4283, 'Rusline', '\\N', '', 'RLU', 'RUSLINE AIR', 'Russia', 'Y'),
	(4284, 'Russian Aircraft Corporation-MiG', '\\N', '', 'MIG', 'MIG AVIA', 'Russia', 'N'),
	(4285, 'Russian Federation Air Force', '\\N', '', 'RFF', 'RUSSIAN AIRFORCE', 'Russia', 'N'),
	(4286, 'Russian Sky Airlines', '\\N', 'P7', 'ESL', 'RADUGA', 'Russia', 'N'),
	(4287, 'Rusuertol', '\\N', '', 'RUZ', 'ROSTUERTOL', 'Russia', 'N'),
	(4288, 'Rutas Aereas', '\\N', '', 'RUC', 'RUTACA', 'Venezuela', 'N'),
	(4289, 'Rutland Aviation', '\\N', '', 'RND', 'RUTLAND', 'United Kingdom', 'N'),
	(4290, 'Rwanda Airlines', '\\N', '', 'RUA', '', 'Rwanda', 'N'),
	(4291, 'Rwanda Airways', '\\N', '', 'RWA', '', 'Rwanda', 'N'),
	(4292, 'Rwandair Express', '\\N', 'WB', 'RWD', 'RWANDAIR', 'Rwanda', 'Y'),
	(4293, 'Ryan Air Service', '\\N', '', 'RCT', 'ARCTIC TRANPORT', 'United States', 'N'),
	(4294, 'Ryan Air Services', '\\N', '', 'RYA', 'RYAN AIR', 'United States', 'Y'),
	(4295, 'Ryan International Airlines', '\\N', 'RD', 'RYN', 'RYAN INTERNATIONAL', 'United States', 'Y'),
	(4296, 'Ryanair', '\\N', 'FR', 'RYR', 'RYANAIR', 'Ireland', 'Y'),
	(4297, 'Ryazan State Air Enterprise', '\\N', '', 'RYZ', 'RYAZAN AIR', 'Russia', 'N'),
	(4298, 'Rynes Aviation', '\\N', '', 'RAA', 'RYNES AVIATION', 'United States', 'N'),
	(4299, 'Régional', '\\N', 'YS', 'RAE', 'REGIONAL EUROPE', 'France', 'Y'),
	(4302, 'South Asian Airlines', '\\N', '', 'BDS', 'SOUTH ASIAN', 'Bangladesh', 'N'),
	(4303, 'State Air Company Berkut', '\\N', '', 'BEC', '', 'Kazakhstan', 'N'),
	(4304, 'SATA International', '\\N', 'S4', 'RZO', 'AIR AZORES', 'Portugal', 'Y'),
	(4305, 'South African Airways', 'SAA South African Airways', 'SA', 'SAA', 'SPRINGBOK', 'South Africa', 'Y'),
	(4306, 'Sky Way Air', '\\N', '', 'SAB', 'SKY WORKER', 'Kyrgyzstan', 'N'),
	(4307, 'SASCO Airlines', '\\N', '', 'SAC', 'SASCO', 'Sudan', 'N'),
	(4308, 'Republic of Singapore Air Force', '\\N', '', 'SAF', 'SINGA', 'Singapore', 'N'),
	(4309, 'SOS Flygambulans', '\\N', '', 'SAG', 'MEDICAL AIR', 'Sweden', 'N'),
	(4310, 'Sayakhat Airlines', '\\N', '', 'SAH', 'SAYAKHAT', 'Kazakhstan', 'N'),
	(4311, 'Shaheen Air International', '\\N', 'NL', 'SAI', 'SHAHEEN AIR', 'Pakistan', 'Y'),
	(4312, 'Golden Eagle Air Services (FAA)', '\\N', '', 'SAJ', 'SAJEN', 'Canada', 'N'),
	(4313, 'Red Arrows Display Squadron', '\\N', '', 'SAK', 'RED ARROWS', 'United Kingdom', 'N'),
	(4314, 'SAM Colombia', '\\N', 'MM', 'SAM', 'SAM', 'Colombia', 'N'),
	(4315, 'Servicios Aereos Nacionales (SAN)', '\\N', '', 'SAN', 'AEREOS', 'Ecuador', 'N'),
	(4316, 'Sahel Aviation Service', '\\N', '', 'SAO', 'SAVSER', 'Mali', 'N'),
	(4317, 'Secretaria de Marina', '\\N', '', 'ANX', 'SECRETARIA DEMARINA', 'Mexico', 'N'),
	(4318, 'Springbank Aviation', '\\N', '', 'SAQ', 'SPRINGBANK', 'Canada', 'N'),
	(4319, 'Scandinavian Airlines System', 'SAS Scandinavian Airlines', 'SK', 'SAS', 'SCANDINAVIAN', 'Sweden', 'Y'),
	(4320, 'Samal Air', '\\N', '', 'SAV', '', 'Kazakhstan', 'N'),
	(4321, 'Sham Wing Airlines', '\\N', '', 'SAW', 'SHAMWING', 'Syrian Arab Republic', 'N'),
	(4322, 'Sabah Air', '\\N', '', 'SAX', 'SABAH AIR', 'Malaysia', 'N'),
	(4323, 'ScotAirways', '\\N', '', 'SAY', 'SUCKLING', 'United Kingdom', 'Y'),
	(4324, 'Swiss Air-Ambulance', '\\N', '', 'SAZ', 'SWISS AMBULANCE', 'Switzerland', 'N'),
	(4325, 'STA-MALI', '\\N', '', 'SBA', 'STA-MALI', 'Mali', 'N'),
	(4326, 'Steinman Aviation', '\\N', '', 'SBB', 'SABER EXPRESS', 'United States', 'N'),
	(4327, 'Seven Bar Flying Service', '\\N', '', 'SBF', 'S-BAR', 'United States', 'N'),
	(4328, 'Sabre Incorporated', '\\N', '', 'SBG', '', 'United States', 'N'),
	(4329, 'S7 Airlines', 'Sibir Airlines', 'S7', 'SBI', 'SIBERIAN AIRLINES', 'Russia', 'Y'),
	(4330, 'Sobel Airlines of Ghana', '\\N', '', 'SBL', 'SOBGHANA', 'Ghana', 'N'),
	(4331, 'Sky Bahamas', '\\N', '', 'SBM', 'SKY BAHAMAS', 'Bahamas', 'N'),
	(4332, 'Stabo Air', '\\N', '', 'SBO', 'STABAIR', 'Zambia', 'N'),
	(4333, 'Smithkline Beacham Clinical Labs', '\\N', '', 'SBQ', 'SKIBBLE', 'United States', 'N'),
	(4334, 'Saber Aviation', '\\N', '', 'SBR', 'FREIGHTER', 'United States', 'N'),
	(4335, 'Seaborne Airlines', '\\N', 'BB', 'SBS', 'SEABORNE', 'United States', 'Y'),
	(4336, 'Saint Barth Commuter', '\\N', '', 'SBU', 'BLACK FIN', 'France', 'N'),
	(4337, 'Star Air', '\\N', '', 'URJ', 'STARAV', 'Pakistan', 'N'),
	(4338, 'Scibe Airlift', '\\N', '', 'SBZ', 'SCIBE AIRLIFT', 'Democratic Republic of the Congo', 'N'),
	(4339, 'Spanish Air Force', '\\N', '', 'AME', 'AIRMIL', 'Spain', 'N'),
	(4340, 'South Central Air', '\\N', '', 'SCA', 'SOUTH CENTRAL', 'United States', 'N'),
	(4341, 'Seacoast Airlines', '\\N', '', 'SCC', 'SEA-COASTER', 'United States', 'N'),
	(4342, 'Scenic Airlines', '\\N', '', 'SCE', 'SCENIC', 'United States', 'Y'),
	(4343, 'Socofer', '\\N', '', 'SCF', 'SOCOFER', 'Angola', 'N'),
	(4344, 'Servicios Aereos San Cristobal', '\\N', '', 'SCI', 'SAN CRISTOBAL', 'Mexico', 'N'),
	(4345, 'Sky Cam', '\\N', '', 'SCK', 'SKYCAM', 'France', 'N'),
	(4346, 'Switfair Cargo', '\\N', '', 'SCL', 'SWIFTAIR', 'Canada', 'N'),
	(4347, 'South American Airlines', '\\N', '', 'SCN', 'SOUTH AMERICAN', 'Peru', 'N'),
	(4348, 'Servicios Aereos de Chihuahua Aerochisa', '\\N', '', 'AHI', 'AEROCHISA', 'Mexico', 'N'),
	(4349, 'SriLankan Airlines', '\\N', 'UL', 'ALK', 'SRILANKAN', 'Sri Lanka', 'Y'),
	(4350, 'Sunbird Airlines', '\\N', '', 'CDL', 'CAROLINA', 'United States', 'N'),
	(4351, 'Scorpio', '\\N', '', 'SCP', 'SCORPIO', 'Egypt', 'N'),
	(4352, 'Si-Chang Flying Service', '\\N', '', 'SCR', 'SICHART', 'Thailand', 'N'),
	(4353, 'South African Non Scheduled Airways', '\\N', '', 'SCS', 'SOUTHERN CHARTERS', 'South Africa', 'N'),
	(4354, 'SAAB-Aircraft', '\\N', '', 'SCT', 'SAAB-CRAFT', 'Sweden', 'N'),
	(4355, 'Servicios Aereos Del Centro', '\\N', '', 'SCV', 'SACSA', 'Mexico', 'N'),
	(4356, 'Sun Country Airlines', '\\N', 'SY', 'SCX', 'SUN COUNTRY', 'United States', 'Y'),
	(4357, 'St. Andrews Airways', '\\N', '', 'SDA', 'SAINT ANDREWS', 'Canada', 'N'),
	(4358, 'Sukhoi Design Bureau Company', '\\N', '', 'SDB', 'SU-CRAFT', 'Russia', 'N'),
	(4359, 'Sunrise Airlines', '\\N', '', 'SDC', 'SUNDANCE', 'United States', 'N'),
	(4360, 'Skymaster Air Taxi', '\\N', '', 'SDD', 'SKY DANCE', 'United States', 'N'),
	(4361, 'Sundorph Aeronautical Corporation', '\\N', '', 'SDF', 'SUNDORPH', 'United States', 'N'),
	(4362, 'Servicio De Helicopteros', '\\N', '', 'SDH', 'ARCOS', 'Spain', 'N'),
	(4363, 'SADELCA - Sociedad Aerea Del Caqueta', '\\N', '', 'SDK', 'SADELCA', 'Colombia', 'N'),
	(4364, 'Skydrift', '\\N', '', 'SDL', 'SKYDRIFT', 'United Kingdom', 'N'),
	(4365, 'Spirit of Africa Airlines', '\\N', '', 'SDN', 'BLUE NILE', 'Sudan', 'N'),
	(4366, 'Sud Airlines', '\\N', '', 'SDU', 'SUD LINES', 'France', 'N'),
	(4367, 'Servicios Aereos Del Vaupes', '\\N', '', 'SDV', 'SELVA', 'Colombia', 'N'),
	(4368, 'Servicio Tecnico Aero De Mexico', '\\N', '', 'SDX', 'SERVICIO TECNICO', 'Mexico', 'N'),
	(4369, 'Sudan Pezetel for Aviation', '\\N', '', 'SDZ', 'SUDANA', 'Sudan', 'N'),
	(4370, 'Southeast Air', '\\N', '', 'SEA', 'SOUTHEAST AIR', 'United States', 'Y'),
	(4371, 'Servicios Aereos Luce', '\\N', '', 'SEB', 'SERVILUCE', 'Mexico', 'N'),
	(4372, 'Sedona Air Center', '\\N', '', 'SED', 'SEDONA AIR', 'United States', 'N'),
	(4373, 'Shaheen Air Cargo', '\\N', '', 'SEE', 'SHAHEEN CARGO', 'Pakistan', 'N'),
	(4374, 'Sky Express', '\\N', 'G3', 'SEH', 'AIR CRETE', 'Greece', 'Y'),
	(4375, 'Spicejet', '\\N', 'SG', 'SEJ', 'SPICEJET', 'India', 'Y'),
	(4376, 'Skyjet', '\\N', '', 'SEK', 'SKALA', 'Kazakhstan', 'N'),
	(4377, 'Sentel Corporation', '\\N', '', 'SEL', 'SENTEL', 'United States', 'N'),
	(4378, 'Selcon Airlines', '\\N', '', 'SEO', 'SELCON AIR', 'Nigeria', 'N'),
	(4379, 'Sky Eyes', '\\N', 'I6', 'SEQ', 'SKY EYES', 'Thailand', 'N'),
	(4380, 'Servicio Aereo Saltillo', '\\N', '', 'SES', 'SERVISAL', 'Mexico', 'N'),
	(4381, 'SAETA', '\\N', 'EH', 'SET', 'SAETA', 'Ecuador', 'N'),
	(4382, 'Serair Transworld Press', '\\N', '', 'SEV', 'CARGOPRESS', 'Spain', 'N'),
	(4383, 'SEFA', '\\N', '', 'SFA', 'SEFA', 'France', 'N'),
	(4384, 'Shuswap Flight Centre', '\\N', '', 'SFC', 'SHUSWAP', 'Canada', 'N'),
	(4385, 'Sefofane Air Charters', '\\N', '', 'SFE', 'SEFOFANE', 'South Africa', 'N'),
	(4386, 'Safewings Aviation Company', '\\N', '', 'SFF', 'SWIFTWING', 'United States', 'N'),
	(4387, 'Sun Freight Logistics', '\\N', '', 'SFG', 'AERO GULF', 'Thailand', 'N'),
	(4388, 'Star Flyer', '\\N', '7G', 'SFJ', 'STARFLYER', 'Japan', 'Y'),
	(4389, 'Southflight Aviation', '\\N', '', 'SFL', 'SOUTHFLIGHT', 'New Zealand', 'N'),
	(4390, 'Safiran Airlines', '\\N', '', 'SFN', 'SAFIRAN', 'Iran', 'N'),
	(4391, 'Safe Air', '\\N', '', 'SFP', 'SAFE AIR', 'Pakistan', 'N'),
	(4392, 'Safair', '\\N', 'FA', 'SFR', 'CARGO', 'South Africa', 'N'),
	(4393, 'Southern Frontier Air Transport', '\\N', '', 'SFS', 'SOUTHERN FRONTIER', 'Canada', 'N'),
	(4394, 'Skyfreight', '\\N', '', 'SFT', 'SKYFREIGHT', 'United States', 'N'),
	(4395, 'Solent Flight', '\\N', '', 'SFU', 'SAINTS', 'United Kingdom', 'N'),
	(4396, 'S.K. Logistics', '\\N', '', 'SFX', 'SWAMP FOX', 'United States', 'N'),
	(4397, 'Sky King', '\\N', '', 'SGB', 'SONGBIRD', 'United States', 'N'),
	(4398, 'Southern Right Air Charter', '\\N', '', 'SGC', 'SOUTHERNRIGHT', 'South Africa', 'N'),
	(4399, 'Sky Gate International Aviation', '\\N', '', 'SGD', 'AIR BISHKEK', 'Kyrgyzstan', 'N'),
	(4400, 'STAC Swiss Government Flights', '\\N', '', 'SGF', 'STAC', 'Switzerland', 'N'),
	(4401, 'Servisair', '\\N', '', 'SGH', 'SERVISAIR', 'United Kingdom', 'N'),
	(4402, 'Servicios Aereos Agricolas', '\\N', '', 'SGI', 'SERAGRI', 'Chile', 'N'),
	(4403, 'Skyward Aviation', '\\N', '', 'SGK', 'SKYWARD', 'Canada', 'N'),
	(4404, 'Sky Aircraft Service', '\\N', '', 'SGM', 'SIGMA', 'Netherlands', 'N'),
	(4405, 'Siam GA', '\\N', '', 'SGN', 'SIAM', 'Thailand', 'N'),
	(4406, 'Sagolair Transportes Ejecutivos', '\\N', '', 'SGP', 'SAGOLAIR', 'Spain', 'N'),
	(4407, 'Saskatchewan Government Executive Air Service', '\\N', '', 'SGS', 'SASKATCHEWAN', 'Canada', 'N'),
	(4408, 'Skygate', '\\N', '', 'SGT', 'SKYGATE', 'Netherlands', 'N'),
	(4409, 'Samgau', '\\N', '', 'SGU', 'RAUSHAN', 'Kazakhstan', 'N'),
	(4410, 'Saga Airlines', '\\N', '', 'SGX', '', 'Turkey', 'N'),
	(4411, 'Skagway Air Service', '\\N', 'N5', 'SGY', 'SKAGWAY AIR', 'United States', 'Y'),
	(4412, 'Shabair', '\\N', '', 'SHB', 'SHABAIR', 'Democratic Republic of the Congo', 'N'),
	(4413, 'Sky Harbor Air Service', '\\N', '', 'SHC', 'SKY HARBOR CHEYENNE', 'United States', 'N'),
	(4414, 'Sahara Airlines', '\\N', '', 'SHD', '', 'Algeria', 'Y'),
	(4415, 'Shell Aircraft', '\\N', '', 'SHE', 'SHELL', 'United Kingdom', 'N'),
	(4416, 'Shoprite Group', '\\N', '', 'SHG', 'SHOP AIR', 'United Kingdom', 'N'),
	(4417, 'Seoul Air International', '\\N', '', 'SHI', 'SEOUL AIR', 'Republic of Korea', 'N'),
	(4418, 'Sharjah Ruler\'s Flight', '\\N', '', 'SHJ', 'SHARJAH', 'United Arab Emirates', 'N'),
	(4419, 'Shorouk Air', '\\N', '', 'SHK', '', 'Egypt', 'N'),
	(4420, 'Samson Aviation', '\\N', '', 'SHL', 'SAMSON', 'United Kingdom', 'N'),
	(4421, 'Sheltam Aviation', '\\N', '', 'SHM', 'SHELTAM', 'South Africa', 'N'),
	(4422, 'Shaheen Airport Services', '\\N', '', 'SHN', 'SUGAR ALFA', 'Pakistan', 'N'),
	(4423, 'Sheremetyevo-Cargo', '\\N', '', 'SHO', '', 'Russia', 'N'),
	(4424, 'Service Aerien Francais', '\\N', '', 'SHP', 'SAF', 'France', 'N'),
	(4425, 'Shanghai Airlines Cargo', '\\N', '', 'SHQ', 'SHANGHAI CARGO', 'China', 'N'),
	(4426, 'Shooter Air Courier', '\\N', '', 'SHR', 'SHOOTER', 'Canada', 'N'),
	(4427, 'Shura Air Transport Services', '\\N', '', 'SHS', 'SHURA AIR', 'Ethiopia', 'N'),
	(4428, 'Sakhalinskie Aviatrassy (SAT)', '\\N', '', 'SHU', 'SATAIR', 'Russia', 'N'),
	(4429, 'SATA Air Acores', '\\N', 'SP', 'SAT', 'SATA', 'Portugal', 'Y'),
	(4430, 'Scorpio Aviation', '\\N', '8S', '', '', '', 'N'),
	(4431, 'Shavano Air', '\\N', '', 'SHV', 'SHAVANO', 'United States', 'N'),
	(4432, 'Shawnee Airline', '\\N', '', 'SHW', 'SHAWNEE', 'United States', 'N'),
	(4433, 'Slim Aviation Services', '\\N', '', 'SHX', 'SLIM AIR', 'Nigeria', 'N'),
	(4434, 'Sky Airlines', '\\N', '', 'SHY', 'ANTALYA BIRD', 'Turkey', 'N'),
	(4435, 'Singapore Airlines', '\\N', 'SQ', 'SIA', 'SINGAPORE', 'Singapore', 'Y'),
	(4436, 'Sibaviatrans', '\\N', '5M', 'SIB', 'SIBAVIA', 'Russia', 'Y'),
	(4437, 'Sierra Express', '\\N', '', 'SIE', 'SEREX', 'United States', 'N'),
	(4438, 'Skynet Airlines', '\\N', 'SI', 'SIH', 'BLUEJET', 'Ireland', 'Y'),
	(4439, 'Seco International', '\\N', '', 'SIJ', '', 'Japan', 'N'),
	(4440, 'Servicios Aeronauticos Integrales', '\\N', '', 'SIL', 'SERVICIOS INTEGRALES', 'Mexico', 'N'),
	(4441, 'Star Air', '\\N', '', 'SIM', '', 'Sierra Leone', 'N'),
	(4442, 'Sirio', '\\N', '', 'SIO', 'SIRIO', 'Italy', 'N'),
	(4443, 'Salair', '\\N', '', 'SIR', 'SALAIR', 'United States', 'N'),
	(4444, 'Saber Airlines', '\\N', '', 'SIS', '', 'Egypt', 'N'),
	(4445, 'SITA', '\\N', 'XS', 'SIT', '', 'Belgium', 'N'),
	(4446, 'Slovenian Armed Forces', '\\N', '', 'SIV', 'SLOVENIAN', 'Slovenia', 'N'),
	(4447, 'Sirio Executive', '\\N', '', 'SIW', 'SIRIO EXECUTIVE', 'Italy', 'N'),
	(4448, 'Servicios Aereos Especiales De Jalisco', '\\N', '', 'SJA', 'SERVICIOJAL', 'Mexico', 'N'),
	(4449, 'Servicios Ejecutivos Continental', '\\N', '', 'SJC', 'SERVIEJECUTIVO', 'Mexico', 'N'),
	(4450, 'Sunair 2001', '\\N', '', 'SJE', 'SUNBIZ', 'South Africa', 'N'),
	(4451, 'Spirit Aviation', '\\N', '', 'SJJ', 'SPIRIT JET', 'United States', 'N'),
	(4452, 'Servicios Especiales Del Pacifico Jalisco', '\\N', '', 'SJL', 'SERVICIOS JALISCO', 'Mexico', 'N'),
	(4453, 'Swiss Jet', '\\N', '', 'SJT', 'SWISS JET', 'Switzerland', 'N'),
	(4454, 'Sriwijaya Air', '\\N', 'SJ', 'SJY', 'SRIWIJAYA', 'Indonesia', 'Y'),
	(4455, 'Sama Airlines', '\\N', 'ZS', 'SMY', 'NAJIM', 'Saudi Arabia', 'Y'),
	(4456, 'Southern Jersey Airways', '\\N', '', 'ALC', ' Inc.', 'ACOM', 'N'),
	(4457, 'SPASA', '\\N', '', 'SPS', 'SALDUERO', 'Spain', 'N'),
	(4458, 'Speed Aviation', '\\N', '', 'SPT', 'SPEED AVIATION', 'Bangladesh', 'N'),
	(4459, 'Southeast Airmotive', '\\N', '', 'SPU', 'SPUTTER', 'United States', 'N'),
	(4460, 'Servicios Privados De Aviacion', '\\N', '', 'SPV', 'SERVICIOS PRIVADOS', 'Mexico', 'N'),
	(4461, 'Speedwings', '\\N', '', 'SPW', 'SPEEDWING', 'Switzerland', 'N'),
	(4462, 'Service People Gesselschaft fur Charter und Service', '\\N', '', 'SPX', '', 'Germany', 'N'),
	(4463, 'Slovak National Aeroclub', '\\N', '', 'SQA', 'SLOVAK AEROCLUB', 'Slovakia', 'N'),
	(4464, 'Singapore Airlines Cargo', '\\N', 'SQ', 'SQC', 'SINGCARGO', 'Singapore', 'Y'),
	(4465, 'Slovak Air Force', '\\N', '', 'SQF', 'SLOVAK AIRFORCE', 'Slovakia', 'N'),
	(4466, 'Servicos De Alquiler', '\\N', '', 'SQL', 'ALQUILER', 'Mexico', 'N'),
	(4467, 'Sair Aviation', '\\N', '', 'SRA', 'SAIR', 'Canada', 'N'),
	(4468, 'Searca', '\\N', '', 'SRC', 'SEARCA', 'Colombia', 'N'),
	(4469, 'Siem Reap Airways', '\\N', 'FT', 'SRH', 'SIEMREAP AIR', 'Cambodia', 'Y'),
	(4470, 'Sky Work Airlines', 'SkyWork', 'SX', 'SRK', 'SKYFOX', 'Switzerland', 'N'),
	(4471, 'Swedline Express', '\\N', 'SM', 'SRL', 'Starline', 'Sweden', 'N'),
	(4472, 'Servicios Aeronauticos Aero Personal', '\\N', '', 'SRL', 'SERVICIOS PERSONAL', 'Mexico', 'N'),
	(4473, 'Sirair', '\\N', '', 'SRN', 'SIRAIR', 'Russia', 'N'),
	(4474, 'Servicios Aereos Ejecutivos Saereo', '\\N', '', 'SRO', 'SAEREO', 'Ecuador', 'N'),
	(4475, 'South East Asian Airlines', '\\N', 'DG', 'SRQ', 'SEAIR', 'Philippines', 'Y'),
	(4476, 'Star Air', '\\N', '', 'SRR', 'WHITESTAR', 'Denmark', 'N'),
	(4477, 'Selkirk Remote Sensing', '\\N', '', 'SRS', 'PHOTO CHARLIE', 'Canada', 'N'),
	(4478, 'Star Up', '\\N', '', 'SRU', 'STAR-UP', 'Peru', 'N'),
	(4479, 'Sarit Airlines', '\\N', '', 'SRW', 'SARIA', 'Sudan', 'N'),
	(4480, 'Sierra Expressway Airlines', '\\N', '', 'SRX', 'SIERRA EX', 'United States', 'N'),
	(4481, 'Strato Air Services', '\\N', '', 'SRZ', 'STRATO', 'South Africa', 'N'),
	(4482, 'Sasair', '\\N', '', 'SSB', 'SASIR', 'Canada', 'N'),
	(4483, 'Southern Seaplane', '\\N', '', 'SSC', 'SOUTHERN SKIES', 'United States', 'N'),
	(4484, 'Star Service International', '\\N', '', 'SSD', 'STAR SERVICE', 'France', 'N'),
	(4485, 'Servicios Aereos Sunset', '\\N', '', 'SSE', 'SUNSET', 'Mexico', 'N'),
	(4486, 'Severstal', '\\N', '', 'SSF', 'SEVERSTAL', 'Russia', 'N'),
	(4487, 'Slovak Government Flying Service', '\\N', '', 'SSG', 'SLOVAK GOVERNMENT', 'Slovakia', 'N'),
	(4488, 'SwedJet Airways', '\\N', 'VD', 'BBB', 'BLACKBIRD', 'Sweden', 'N'),
	(4489, 'Skystar International', '\\N', '', 'SSK', 'SKYSTAR', 'United States', 'N'),
	(4490, 'Special Scope Limited', '\\N', '', 'SSO', 'DOPE', 'United Kingdom', 'N'),
	(4491, 'Starspeed', '\\N', '', 'SSP', 'STARSPEED', 'United Kingdom', 'N'),
	(4492, 'Sunstate Airlines', '\\N', '', 'SSQ', 'SUNSTATE', 'Australia', 'N'),
	(4493, 'SAESA', '\\N', '', 'SSS', 'SAESA', 'Spain', 'N'),
	(4494, 'Sunwest Airlines', '\\N', '', 'SST', 'SUNFLIGHT', 'Canada', 'N'),
	(4495, 'SASCA', '\\N', '', 'SSU', 'SASCA', 'Venezuela', 'N'),
	(4496, 'Skyservice Airlines', '\\N', '5G', 'SSV', 'SKYTOUR', 'Canada', 'Y'),
	(4497, 'Streamline Aviation', '\\N', '', 'SSW', 'STREAMLINE', 'United Kingdom', 'N'),
	(4498, 'Sky Aviation', '\\N', '', 'SSY', 'SIERRA SKY', 'Sierra Leone', 'N'),
	(4499, 'Specsavers Aviation', '\\N', '', 'SSZ', 'SPECSAVERS', 'United Kingdom', 'N'),
	(4500, 'Star Aviation', '\\N', '', 'STA', 'STAR', 'United Kingdom', 'N'),
	(4501, 'Status-Alpha Airline', '\\N', '', 'STB', 'STATUS-ALPHA', 'Ukraine', 'N'),
	(4502, 'Stadium City Limited', '\\N', '', 'STC', 'STADIUM', 'United Kingdom', 'N'),
	(4503, 'Servicios De Aerotransportacion De Aguascalientes', '\\N', '', 'STD', 'AERO AGUASCALINETES', 'Mexico', 'N'),
	(4504, 'Semitool Europe', '\\N', '', 'STE', 'SEMITRANS', 'United Kingdom', 'N'),
	(4505, 'SFT-Sudanese Flight', '\\N', '', 'STF', '', 'Sudan', 'N'),
	(4506, 'Sedalia', '\\N', '', 'STG', ' Marshall', ' Boonville Stage Line', 'N'),
	(4507, 'South-Airlines', '\\N', '', 'STH', '', 'Armenia', 'N'),
	(4508, 'Sontair', '\\N', '', 'STI', 'SONTAIR', 'Canada', 'N'),
	(4509, 'Sella Aviation', '\\N', '', 'STJ', 'STELLAVIA', 'Netherlands', 'N'),
	(4510, 'Stapleford Flight Centre', '\\N', '', 'STL', 'STAPLEFORD', 'United Kingdom', 'N'),
	(4511, 'Streamline Ops', '\\N', '', 'STO', 'SLOPS', 'Russia', 'N'),
	(4512, 'Star Air', '\\N', '', 'STQ', 'STERA', 'Indonesia', 'N'),
	(4513, 'Servicios de Transportes A', '\\N', 'FS', 'STU', 'FUEGUINO', 'Argentina', 'Y'),
	(4514, 'Star African Air', '\\N', '', 'STU', 'STARSOM', 'Somali Republic', 'N'),
	(4515, 'Southern Aviation', '\\N', '', 'STV', 'SOUTHERN AVIATION', 'Ghana', 'N'),
	(4516, 'South West Air Corporation', '\\N', '', 'STW', 'SIERRA WHISKEY', 'Philippines', 'N'),
	(4517, 'Stars Away Aviation', '\\N', '', 'STX', 'STARSAWAY', 'South Africa', 'N'),
	(4518, 'Styrian Airways', '\\N', '', 'STY', 'STYRIAN', 'Austria', 'N'),
	(4519, 'Silesia Air', '\\N', '', 'SUA', 'AIR SILESIA', 'Czech Republic', 'N'),
	(4520, 'Suburban Air Freight', '\\N', '', 'SUB', 'SUB AIR', 'United States', 'N'),
	(4521, 'Sudan Airways', '\\N', 'SD', 'SUD', 'SUDANAIR', 'Sudan', 'Y'),
	(4522, 'Sun Air (Fiji)', '\\N', 'PI', 'SUF', 'SUNFLOWER', 'Fiji', 'N'),
	(4523, 'Sunu Air', '\\N', '', 'SUG', 'SUNU AIR', 'Senegal', 'N'),
	(4524, 'Sun Light', '\\N', '', 'SUH', 'LIGHT AIR', 'Kyrgyzstan', 'N'),
	(4525, 'Swiss Air Force', '\\N', '', 'SUI', 'SWISS AIR FORCE', 'Switzerland', 'N'),
	(4526, 'Superior Aviation Services', '\\N', '', 'SUK', 'SKYCARGO', 'Kenya', 'N'),
	(4527, 'State Unitary Air Enterprise', '\\N', '', 'SUM', 'SUMES', 'Russia', 'N'),
	(4528, 'Sun Air', '\\N', '', 'SUR', '', 'Egypt', 'N'),
	(4529, 'Sun Air of Scandinavia', '\\N', 'EZ', 'SUS', 'SUNSCAN', 'Denmark', 'N'),
	(4530, 'Sistemas Aeronauuticos 2000', '\\N', '', 'SUT', 'SISTEMAS AERONAUTICOS', 'Mexico', 'N'),
	(4531, 'Star West Aviation', '\\N', '', 'SUU', 'SUNSTAR', 'United States', 'N'),
	(4532, 'Sundance Air', '\\N', '', 'SUV', 'DANCEAIR', 'Venezuela', 'N'),
	(4533, 'Saudi Arabian Airlines', '\\N', 'SV', 'SVA', 'SAUDIA', 'Saudi Arabia', 'Y'),
	(4534, 'St. Vincent Grenadines Air (1990)', '\\N', '', 'SVD', 'GRENADINES', 'Saint Vincent and the Grenadines', 'N'),
	(4535, 'Swedish Armed Forces', '\\N', '', 'SVF', 'SWEDEFORCE', 'Sweden', 'N'),
	(4536, 'Sahel Airlines', '\\N', '', 'AWJ', 'SAHEL AIRLINES', 'Niger', 'N'),
	(4537, 'Sterling Helicopters', '\\N', '', 'SVH', 'SILVER', 'United Kingdom', 'N'),
	(4538, 'Servicios De Transporte Aereo', '\\N', '', 'SVI', 'SETRA', 'Mexico', 'N'),
	(4539, 'Sabre Pacific', '\\N', '', 'APD', '', 'Australia', 'N'),
	(4540, 'Silver Air', '\\N', '', 'SVJ', '', 'Djibouti', 'N'),
	(4541, 'Sevastopol-Avia', '\\N', '', 'SVL', 'SEVAVIA', 'Ukraine', 'N'),
	(4542, 'Savanair (Angola)', '\\N', '', 'SVN', 'SAVANAIR', 'Angola', 'N'),
	(4543, 'Servicios Aeronauticos De Oriente', '\\N', '', 'SVO', 'SERVIORIENTE', 'Mexico', 'N'),
	(4544, 'Servicios Aereos Saar', '\\N', '', 'SVS', 'AEREOS SAAR', 'Mexico', 'N'),
	(4545, 'Seven Four Eight Air Services', '\\N', '', 'SVT', 'SIERRA SERVICES', 'Luxembourg', 'N'),
	(4546, 'Security Aviation', '\\N', '', 'SVX', 'SECURITY AIR', 'United States', 'N'),
	(4547, 'Southwest Airlines', '\\N', 'WN', 'SWA', 'SOUTHWEST', 'United States', 'Y'),
	(4548, 'Swissboogie Parapro', '\\N', '', 'SWB', 'SWISSBOOGIE', 'Switzerland', 'N'),
	(4549, 'South West Air', '\\N', '', 'SWC', 'SAINT CLAIR', 'Canada', 'N'),
	(4550, 'Southern Winds Airlines', '\\N', 'A4', 'SWD', 'SOUTHERN WINDS', 'Argentina', 'Y'),
	(4551, 'Swedeways', '\\N', '', 'SWE', 'SWEDELINE', 'Sweden', 'N'),
	(4552, 'Spurling Aviation', '\\N', '', 'ASL', 'AIR SEATTLE', 'United States', 'N'),
	(4553, 'Sunwing Airlines', '\\N', 'WG', 'SWG', 'SUNWING', 'Canada', 'N'),
	(4554, 'Sunworld Airlines', '\\N', '', 'SWI', 'SUNWORLD', 'United States', 'N'),
	(4555, 'Stateswest Airlines', '\\N', '', 'SWJ', 'STATES', 'United States', 'N'),
	(4556, 'Surninam International Victory Airline', '\\N', '', 'SWO', 'SIVA', 'Suriname', 'N'),
	(4557, 'Star Work Sky', '\\N', '', 'SWP', 'STAR WORK', 'Italy', 'N'),
	(4558, 'Swift Air (Interstate Equipment Leasing)', '\\N', '', 'SWQ', 'SWIFTFLIGHT', 'United States', 'N'),
	(4559, 'Swiss International Air Lines', 'Swiss Airlines', 'LX', 'SWR', 'SWISS', 'Switzerland', 'Y'),
	(4560, 'Swissair', '\\N', 'SR', 'SWR', 'Swissair', 'Switzerland', 'Y'),
	(4561, 'Sunwest Aviation (Lindquist Investment)', '\\N', '', 'SWS', 'SUNNY WEST', 'United States', 'N'),
	(4562, 'Swiftair', '\\N', '', 'SWT', 'SWIFT', 'Spain', 'N'),
	(4563, 'Swiss European Air Lines', 'Swiss European', '', 'SWU', 'EUROSWISS', 'Switzerland', 'Y'),
	(4564, 'Swe Fly', '\\N', 'WV', 'SWV', 'FLYING SWEDE', 'Sweden', 'Y'),
	(4565, 'Shovkoviy Shlyah', '\\N', 'S8', 'SWW', 'WAY AERO', 'Ukraine', 'N'),
	(4566, 'Swazi Express Airways', '\\N', '', 'SWX', 'SWAZI EXPRESS', 'Swaziland', 'N'),
	(4567, 'Sky Jet', '\\N', '', 'SWY', 'SWISSLINK', 'Switzerland', 'N'),
	(4568, 'Servair', '\\N', '', 'SWZ', ' Private Charter', 'SWISSBIRD', 'N'),
	(4569, 'Southern Cross Aviation', '\\N', '', 'SXA', 'FERRY', 'United States', 'N'),
	(4570, 'Sky Exec Aviation Services', '\\N', '', 'SXC', 'SKY EXEC', 'Nigeria', 'N'),
	(4571, 'Southeast Express Airlines', '\\N', '', 'SXE', 'DOGWOOD EXPRESS', 'United States', 'N'),
	(4572, 'Servicios Aereos Sepecializados Mexicanos', '\\N', '', 'SXM', 'SERVIMEX', 'Mexico', 'N'),
	(4573, 'SunExpress', '\\N', 'XQ', 'SXS', 'SUNEXPRESS', 'Turkey', 'Y'),
	(4574, 'Servicios De Taxi Aereo', '\\N', '', 'SXT', 'SERTA', 'Mexico', 'N'),
	(4575, 'Satellite Aero', '\\N', '', 'SXX', 'SATELLITE EXPRESS', 'United States', 'N'),
	(4576, 'Safari Express Cargo', '\\N', '', 'SXY', 'SAFARI EXPRESS', 'Kenya', 'N'),
	(4577, 'Skyways', '\\N', '', 'SYA', 'LINEAS CARDINAL', 'Argentina', 'N'),
	(4578, 'Systec 2000', '\\N', '', 'SYC', 'SYSTEC', 'United States', 'N'),
	(4579, 'Sheba Aviation', '\\N', '', 'SYE', '', 'Yemen', 'N'),
	(4580, 'Sky One Express Airlines', '\\N', '', 'SYF', 'SKY FIRST', 'United States', 'N'),
	(4581, 'Synergy Aviation', '\\N', '', 'SYG', 'SYNERGY', 'United Kingdom', 'N'),
	(4582, 'Sonalysts', '\\N', '', 'SYI', '', 'United States', 'N'),
	(4583, 'Slate Falls Airways', '\\N', '', 'SYJ', '', 'Canada', 'N'),
	(4584, 'Satsair', '\\N', '', 'SYK', 'AEROCAB', 'United States', 'N'),
	(4585, 'Syncrude Canada', '\\N', '', 'SYN', 'SYNCRUDE', 'Canada', 'N'),
	(4586, 'Syrian Arab Airlines', '\\N', 'RB', 'SYR', 'SYRIANAIR', 'Syrian Arab Republic', 'Y'),
	(4587, 'Shawbury Flying Training Unit', '\\N', '', 'SYS', 'SHAWBURY', 'United Kingdom', 'N'),
	(4588, 'Special Aviation Systems', '\\N', '', 'SYV', 'SPECIAL SYSTEM', 'United States', 'N'),
	(4589, 'Skywalk Airlines', '\\N', 'AL', 'SYX', 'SKYWAY-EX', 'United States', 'Y'),
	(4590, 'Silk Way Airlines', '\\N', 'ZP', 'AZQ', 'SILK LINE', 'Azerbaijan', 'N'),
	(4591, 'South African Historic Flight', '\\N', '', 'SYY', 'SKY COACH', 'South Africa', 'N'),
	(4592, 'Servicios Aeronauticos Z', '\\N', '', 'SZT', 'AERO ZEE', 'Mexico', 'N'),
	(4593, 'Specavia Air Company', '\\N', '', 'BHV', 'AVIASPEC', 'Russia', 'N'),
	(4594, 'Starair', '\\N', '', 'BLY', 'BLARNEY', 'Ireland', 'N'),
	(4595, 'Sundance Air', '\\N', '', 'BNC', 'BARNACLE AIR', 'United States', 'N'),
	(4596, 'Samara Airlines', '\\N', 'E5', 'BRZ', 'BERYOZA', 'Russia', 'N'),
	(4597, 'Spark+ Joint-Stock Company', '\\N', '', 'BVV', 'SPARK', 'Russia', 'N'),
	(4598, 'Swedish Civil Aviation Administration', '\\N', '', 'CBN', 'CALIBRATION', 'Sweden', 'N'),
	(4599, 'Shandong Airlines', '\\N', 'SC', 'CDG', 'SHANDONG', 'China', 'Y'),
	(4600, 'Spectrem Air', '\\N', '', 'CDS', 'SPECDAS', 'South Africa', 'N'),
	(4601, 'Servicios Aereos Centrales', '\\N', '', 'CEE', 'CENTRA AEREOS', 'Mexico', 'N'),
	(4602, 'Swedish Airlines', '\\N', '', 'CFL', 'SWEDISH', 'Sweden', 'N'),
	(4603, 'Seagle Air', '\\N', '', 'CGL', 'SEAGLE', 'Slovakia', 'N'),
	(4604, 'Sirius-Aero', '\\N', '', 'CIG', 'SIRIUS AERO', 'Russia', 'N'),
	(4605, 'Sunwest Home Aviation', '\\N', '', 'CNK', 'CHINOOK', 'Canada', 'N'),
	(4606, 'SAS Braathens', '\\N', '', 'CNO', 'SCANOR', 'Norway', 'Y'),
	(4607, 'Spring Airlines', '\\N', '9S', 'CQH', 'AIR SPRING', 'China', 'Y'),
	(4608, 'Sichuan Airlines', '\\N', '3U', 'CSC', 'SI CHUAN', 'China', 'Y'),
	(4609, 'Shanghai Airlines', '\\N', 'FM', 'CSH', 'SHANGHAI AIR', 'China', 'Y'),
	(4610, 'Shuangyang General Aviation', '\\N', '', 'CSY', 'SHUANGYANG', 'China', 'N'),
	(4611, 'Shenzhen Airlines', '\\N', 'ZH', 'CSZ', 'SHENZHEN AIR', 'China', 'Y'),
	(4612, 'Shanxi Airlines', '\\N', '8C', 'CXI', 'SHANXI', 'China', 'N'),
	(4613, 'Sioux Falls Aviation', '\\N', '', 'DKT', 'DAKOTA', 'United States', 'N'),
	(4614, 'Servicios Aereos Elite', '\\N', '', 'DKY', 'DAKOY', 'Spain', 'N'),
	(4615, 'Servicios Aereos Denim', '\\N', '', 'DNI', 'AERO DENIM', 'Mexico', 'N'),
	(4616, 'Swiss Eagle', '\\N', '', 'EAB', 'SWISS EAGLE', 'Switzerland', 'N'),
	(4617, 'Skypower Express Airways', '\\N', '', 'EAN', 'NIGERIA EXPRESS', 'Nigeria', 'N'),
	(4618, 'Scenic Air', '\\N', '', 'ENR', '', 'Namibia', 'N'),
	(4619, 'Sun D\'Or', '\\N', '7L', 'ERO', 'ECHO ROMEO', 'Israel', 'Y'),
	(4620, 'SkyEurope', '\\N', 'NE', 'ESK', 'RELAX', 'Slovakia', 'Y'),
	(4621, 'Sunshine Express Airlines', '\\N', 'CQ', 'EXL', '', 'Australia', 'N'),
	(4622, 'South African Express', '\\N', '', 'EXY', 'EXPRESSWAYS', 'South Africa', 'N'),
	(4623, 'Stuttgarter Flugdienst', '\\N', '', 'FFD', 'FIRST FLIGHT', 'Germany', 'N'),
	(4624, 'Shalom Air Services', '\\N', '', 'FFH', 'PEACE AIR', 'Nigeria', 'N'),
	(4625, 'Silverjet', '\\N', '', 'FJE', 'ENVOY', 'United Kingdom', 'N'),
	(4626, 'Sky Bus', '\\N', '', 'FLH', 'MILE HIGH', 'United States', 'N'),
	(4627, 'South Coast Aviation', '\\N', '', 'GAD', 'SOUTHCOAST', 'United Kingdom', 'N'),
	(4628, 'Servicios Aereos Gadel', '\\N', '', 'GDE', 'GADEL', 'Mexico', 'N'),
	(4629, 'S.P. Aviation', '\\N', '', 'GDG', 'GOLDEN GATE', 'United States', 'N'),
	(4630, 'Seba Airlines', '\\N', '', 'GIK', 'SEBA', 'Guinea', 'N'),
	(4631, 'Servicios Aereos Gana', '\\N', '', 'GNA', 'SERVIGANA', 'Mexico', 'N'),
	(4632, 'Sky Wings Airlines', '\\N', '', 'GSW', '', 'Greece', 'N'),
	(4633, 'Star XL German Airlines', '\\N', '', 'GXL', 'STARDUST', 'Germany', 'N'),
	(4634, 'Skyhaul', '\\N', '', 'HAU', 'SKYHAUL', 'Japan', 'N'),
	(4635, 'Starship', '\\N', '', 'HIP', 'STARSA', 'Mexico', 'N'),
	(4636, 'Servicios Ejecutivos Gosa', '\\N', '', 'HJE', 'GOSA', 'Mexico', 'N'),
	(4637, 'Superior Aviation', '\\N', 'SO', 'HKA', 'SPEND AIR', 'United States', 'N'),
	(4638, 'Samaritan Air Service', '\\N', '', 'HLO', 'HALO', 'Canada', 'N'),
	(4639, 'Skyraidybos Mokymo Centras', '\\N', '', 'HRI', 'HELIRIM', 'Lithuania', 'N'),
	(4640, 'Sky Europe Airlines', '\\N', '', 'HSK', 'MATRA', 'Slovakia', 'Y'),
	(4641, 'Svenska Direktflyg', '\\N', '', 'HSV', 'HIGHSWEDE', 'Sweden', 'N'),
	(4642, 'Sky Helicopteros', '\\N', '', 'HSY', 'HELISKY', 'Spain', 'N'),
	(4643, 'Skytaxi', '\\N', '', 'IGA', 'IGUANA', 'Poland', 'N'),
	(4644, 'Silvair', '\\N', '', 'IJS', '', 'United States', 'N'),
	(4645, 'Servicios Aereos Ilsa', '\\N', '', 'ILS', 'SERVICIOS ILSA', 'Mexico', 'N'),
	(4646, 'Sincom-Avia', '\\N', '', 'INK', 'SINCOM AVIA', 'Ukraine', 'N'),
	(4647, 'Safat Airlines', '\\N', '', 'IRV', 'SAFAT AIR', 'Iran', 'N'),
	(4648, 'Saha Airlines Services', '\\N', '', 'IRZ', 'SAHA', 'Iran', 'N'),
	(4649, 'Sunline Express', '\\N', '', 'JAM', 'SUNTRACK', 'Kenya', 'N'),
	(4650, 'Secure Air Charter', '\\N', '', 'JCM', 'SECUREAIR', 'United States', 'N'),
	(4651, 'Sark International Airways', '\\N', '', 'JIM', 'SARK', 'United Kingdom', 'N'),
	(4652, 'Spanair', '\\N', 'JK', 'JKK', 'SPANAIR', 'Spain', 'Y'),
	(4653, 'Salem', '\\N', '', 'KKS', 'KOKSHE', 'Kazakhstan', 'N'),
	(4654, 'Servicios Aereos Copters', '\\N', '', 'KOP', 'COPTERS', 'Chile', 'N'),
	(4655, 'Servicios Aereos Expecializados En Transportes Petroleros', '\\N', '', 'KSP', 'SAEP', 'Colombia', 'N'),
	(4656, 'Skybridge Airops', '\\N', '', 'KYB', 'SKY AIROPS', 'Italy', 'N'),
	(4657, 'Sky Aeronautical Services', '\\N', '', 'KYR', 'SKY AERONAUTICAL', 'Mexico', 'N'),
	(4658, 'Servicios Aereos Ejecutivos De La Laguna', '\\N', '', 'LGU', 'LAGUNA', 'Mexico', 'N'),
	(4659, 'Servico Leo Lopex', '\\N', '', 'LLA', 'LEO LOPOZ', 'Mexico', 'N'),
	(4660, 'Servicios Aereos Estrella', '\\N', '', 'LLS', 'SERVIESTRELLA', 'Mexico', 'N'),
	(4661, 'South African Air Force', '\\N', '', 'LMG', 'SOUTH AFRICAN', 'South Africa', 'N'),
	(4662, 'Sky Limo Corporation', '\\N', '', 'LMO', 'SKY LIMO', 'United States', 'N'),
	(4663, 'SANSA', '\\N', '', 'LRS', '', 'Costa Rica', 'N'),
	(4664, 'Spectrum Aviation Incorporated', '\\N', '', 'LSP', 'AIR TONY', 'United Kingdom', 'N'),
	(4665, 'SOS Helikoptern Gotland', '\\N', '', 'MCG', 'MEDICOPTER', 'Sweden', 'N'),
	(4666, 'Sundt Air', '\\N', '', 'MDT', 'MIDNIGHT', 'Norway', 'N'),
	(4667, 'Servicios Aereos Milenio', '\\N', '', 'MLO', 'MILENIO', 'Mexico', 'N'),
	(4668, 'SAAD (A320) Limited', '\\N', '', 'MMS', 'MUSAAD AIR', 'Cayman Islands', 'N'),
	(4669, 'Servicios Aereos Moritani', '\\N', '', 'MRI', 'MORITANI', 'Mexico', 'N'),
	(4670, 'San Juan Airlines', '\\N', '2G', 'MRR', 'MARINER', 'United States', 'N'),
	(4671, 'Servico Aereo Regional', '\\N', '', 'MSG', 'SAR-REGIONAL', 'Mozambique', 'N'),
	(4672, 'Servicio De Viglancia Aerea Del Ministerio De Seguridad Publica', '\\N', '', 'MSP', 'SEGURIDAD', 'Costa Rica', 'N'),
	(4673, 'Servicios Aereos MTT', '\\N', '', 'MTG', '', 'Mexico', 'N'),
	(4674, 'Sabre Pacific', '\\N', '1Z', '', '', 'Australia', 'N'),
	(4675, 'Sabre', '\\N', '1S', '', '', 'United States', 'N'),
	(4676, 'Sierra Nevada Airlines', '\\N', '1I', '', '', 'United States', 'N'),
	(4677, 'Siren-Travel', '\\N', '1H', '', '', 'Russia', 'N'),
	(4678, 'Sirena', '\\N', '1Q', '', '', 'Russia', 'N'),
	(4679, 'Sky Trek International Airlines', '\\N', '1I', '', '', '', 'N'),
	(4680, 'Southern Cross Distribution', '\\N', '1K', '', '', 'Australia', 'N'),
	(4681, 'Sutra', '\\N', '1K', '', '', 'United States', 'N'),
	(4682, 'SNCF', '\\N', '2C', '', '', 'France', 'N'),
	(4683, 'Star Equatorial Airlines', '\\N', '2S', '', '', 'Guinea', 'N'),
	(4684, 'Seulawah Nad Air', '\\N', '', 'NAD', 'SEULAWAH', 'Indonesia', 'N'),
	(4685, 'Servicios Aereos del Nazas SA de CV', '\\N', '', 'NAZ', 'NAZAS', 'Mexico', 'N'),
	(4686, 'Simpson Air Ltd', '\\N', '', 'NCS', 'COMMUTER-CANADA', 'Canada', 'N'),
	(4687, 'Spirit Airlines', '\\N', 'NK', 'NKS', 'SPIRIT WINGS', 'United States', 'Y'),
	(4688, 'Servicios Aereos Latinoamericanos', '\\N', '', 'NON', 'SERVICIOS LATINO', 'Mexico', 'N'),
	(4689, 'Servicios Aereos Monarrez', '\\N', '', 'NRZ', 'MONARREZ', 'Mexico', 'N'),
	(4690, 'Societe De Transport Aerien De Mauritanie', '\\N', '', 'NSC', 'TRANS-SOCIETE', 'Mauritania', 'N'),
	(4691, 'SATENA', '\\N', '9R', 'NSE', 'SATENA', 'Colombia', 'Y'),
	(4692, 'Servicios Aereos Del Norte', '\\N', '', 'NTB', 'SERVINORTE', 'Mexico', 'N'),
	(4693, 'Servicios Intergrales De Aviacion', '\\N', '', 'NTG', 'INTERGRALES', 'Mexico', 'N'),
	(4694, 'Slok Air Gambia', '\\N', 'S0', 'OKS', 'SLOK GAMBIA', 'Gambia', 'N'),
	(4695, 'Soko Aviation', '\\N', '', 'OKT', 'SOKO AIR', 'Spain', 'N'),
	(4696, 'Solar Cargo', '\\N', '', 'OLC', 'SOLARCARGO', 'Venezuela', 'N'),
	(4697, 'Soloflight', '\\N', '', 'OLO', 'SOLO', 'United Kingdom', 'N'),
	(4698, 'Sonnig SA', '\\N', '', 'ONG', 'SONNIG', 'Switzerland', 'N'),
	(4699, 'Sosoliso Airlines', '\\N', 'SO', 'OSL', 'SOSOLISO', 'Nigeria', 'N'),
	(4700, 'Servicios Aereos Noticiosos', '\\N', '', 'OSS', 'NOTICIOSOS', 'Mexico', 'N'),
	(4701, 'South Airlines', '\\N', '', 'OTL', 'SOUTHLINE', 'Ukraine', 'N'),
	(4702, 'Skywest Airlines', '\\N', '', 'OZW', 'OZWEST', 'Australia', 'Y'),
	(4703, 'Sokol', '\\N', '', 'PIV', 'AEROSOKOL', 'Russia', 'N'),
	(4704, 'South Carolina Aeronautics Commission', '\\N', '', 'PLT', 'PALMETTO', 'United States', 'N'),
	(4705, 'Servicios Aereos Premier', '\\N', '', 'PMR', 'SERVICIOS PREMIER', 'Mexico', 'N'),
	(4706, 'Survey Udara (Penas)', '\\N', '', 'PNS', 'PENAS', 'Indonesia', 'N'),
	(4707, 'Servicios Aereos Poblanos', '\\N', '', 'POB', 'POBLANOS', 'Mexico', 'N'),
	(4708, 'Servicios Aereos Profesionales', '\\N', '', 'PSV', 'PROSERVICIOS', 'Dominican Republic', 'N'),
	(4709, 'Southeastern Airways', '\\N', '', 'PTM', 'POSTMAN', 'United States', 'N'),
	(4710, 'Spurwing Airlines', '\\N', '', 'PUR', 'SPURWING', 'South Africa', 'N'),
	(4711, 'Sky Trek International Airlines', '\\N', '1I', 'PZR', 'PHAZER', 'United States', 'N'),
	(4712, 'Shandong Airlines Rainbow Jet', '\\N', '', 'RBW', 'CAI HONG', 'China', 'N'),
	(4713, 'SA Airlink Regional', '\\N', '', 'REJ', 'REGIONAL LINK', 'South Africa', 'N'),
	(4714, 'Servicio Aereo Regional Regair', '\\N', '', 'RER', 'REGAIR', 'Ecuador', 'N'),
	(4715, 'Scoala Superioara De Aviatie Civila', '\\N', '', 'RFT', 'ROMANIAN ACADEMY', 'Romania', 'N'),
	(4716, 'Servicios Aereos Regiomontanos', '\\N', '', 'RGC', 'REGIOMONTANO', 'Mexico', 'N'),
	(4717, 'S-Air', '\\N', '', 'RLS', 'S-AIRLINES', 'Russia', 'N'),
	(4718, 'Servicios De Rampa Y Mostrador', '\\N', '', 'RMP', 'SERAMSA', 'Mexico', 'N'),
	(4719, 'SNAS Aviation', '\\N', '', 'RSE', 'RED SEA', 'Saudi Arabia', 'N'),
	(4720, 'Skybus Airlines', '\\N', 'SX', 'SKB', 'SKYBUS', 'United States', 'N'),
	(4721, 'Skymaster Air Lines', '\\N', '', 'SKC', 'SKYMASTER AIR', 'United States', 'N'),
	(4722, 'Sky Harbor Air Service', '\\N', '', 'SKD', 'SKY DAWG', 'United States', 'N'),
	(4723, 'Sky Tours', '\\N', '', 'SKE', 'SKYISLE', 'United States', 'N'),
	(4724, 'Sakaviaservice', '\\N', '', 'AZG', 'SAKSERVICE', 'Georgia', 'N'),
	(4725, 'Skycraft', '\\N', '', 'SKF', 'SKYCRAFT', 'United States', 'N'),
	(4726, 'Skycraft Air Transport', '\\N', '', 'SKG', 'SKYCRAFT-CANADA', 'Canada', 'N'),
	(4727, 'Skyking', '\\N', '', 'SKI', 'SKYKING', 'United Kingdom', 'N'),
	(4728, 'SkyKing Turks and Caicos Airways', '\\N', 'RU', 'SKI', 'SKYKING', 'Turks and Caicos Islands', 'N'),
	(4729, 'Skylink Aviation', '\\N', '', 'SKK', 'SKYLINK', 'Canada', 'N'),
	(4730, 'Skycharter (Malton)', '\\N', '', 'SKL', 'SKYCHARTER', 'Canada', 'N'),
	(4731, 'Skyline Aviation Services', '\\N', '', 'SKN', 'SKYLINER', 'United States', 'N'),
	(4732, 'Scottish Airways Flyers', '\\N', '', 'SKO', 'SKYWORK', 'United Kingdom', 'N'),
	(4733, 'Skyscapes Air Charters', '\\N', '', 'SKR', 'SKYSCAPES', 'South Africa', 'N'),
	(4734, 'Sky Service', '\\N', '', 'SKS', 'SKY SERVICE', 'Belgium', 'N'),
	(4735, 'Santa Barbara Airlines', '\\N', 'S3', 'BBR', 'SANTA BARBARA', 'Venezuela', 'Y'),
	(4736, 'Skystar Airways', '\\N', '', 'SKT', 'SKY YOU', 'Thailand', 'N'),
	(4737, 'Sky Airline', '\\N', 'H2', 'SKU', 'AEROSKY', 'Chile', 'Y'),
	(4738, 'SkyWest', '\\N', 'OO', 'SKW', 'SKYWEST', 'United States', 'Y'),
	(4739, 'Skyways Express', '\\N', 'JZ', 'SKX', 'SKY EXPRESS', 'Sweden', 'Y'),
	(4740, 'Skymark Airlines', '\\N', 'BC', 'SKY', 'SKYMARK', 'Japan', 'Y'),
	(4741, 'Skyway Enterprises', '\\N', '', 'SKZ', 'SKYWAY-INC', 'United States', 'N'),
	(4742, 'Sierra National Airlines', '\\N', 'LJ', 'SLA', 'SELAIR', 'Sierra Leone', 'N'),
	(4743, 'Slok Air', '\\N', '', 'SLB', 'SLOK AIR', 'Nigeria', 'N'),
	(4744, 'Silver Air', '\\N', '', 'SLD', 'SILVERLINE', 'Czech Republic', 'N'),
	(4745, 'Streamline', '\\N', '', 'SLE', 'SLIPSTREAM', 'South Africa', 'N'),
	(4746, 'Starfly', '\\N', '', 'SLF', 'ELISTARFLY', 'Italy', 'N'),
	(4747, 'Saskatchewan Government', '\\N', '', 'SLG', 'LIFEGUARD', 'Canada', 'N'),
	(4748, 'Silverhawk Aviation', '\\N', '', 'SLH', 'SILVERHAWK', 'United States', 'N'),
	(4749, 'Servicios Aereos de Los Angeles', '\\N', '', 'AGE', 'AEROANGEL', 'Mexico', 'N'),
	(4750, 'SilkAir', '\\N', 'MI', 'SLK', 'SILKAIR', 'Singapore', 'Y'),
	(4751, 'Slovak Airlines', '\\N', '6Q', 'SLL', 'SLOV LINE', 'Slovakia', 'N'),
	(4752, 'Surinam Airways', '\\N', 'PY', 'SLM', 'SURINAM', 'Suriname', 'Y'),
	(4753, 'Sloane Aviation', '\\N', '', 'SLN', 'SLOANE', 'United Kingdom', 'N'),
	(4754, 'Salpa Aviation', '\\N', '', 'SLP', 'SALPA', 'Sudan', 'N'),
	(4755, 'Servicios Aereos Slainte', '\\N', '', 'SLS', 'SERVICIOS SLAINTE', 'Mexico', 'N'),
	(4756, 'Stella Aviation', '\\N', '', 'SLV', 'AVISTELLA', 'Mauritania', 'N'),
	(4757, 'Salama Airlines Nigeria', '\\N', '', 'SLW', 'SALMA AIR', 'Nigeria', 'N'),
	(4758, 'Sete Linhas Aereas', '\\N', '', 'SLX', 'SETE', 'Brazil', 'N'),
	(4759, 'Sky Line for Air Services', '\\N', '', 'SLY', 'SKYCO', 'Sudan', 'N'),
	(4760, 'Super Luza', '\\N', '', 'SLZ', 'LUZA', 'Angola', 'N'),
	(4761, 'SMA Airlines', '\\N', '', 'SMA', 'SESAME', 'Nigeria', 'N'),
	(4762, 'Sabang Merauke Raya Air Charter', '\\N', '', 'SMC', 'SAMER', 'Indonesia', 'N'),
	(4763, 'Servicios Aereos La Marquesa', '\\N', '', 'SMD', 'SERVICIOS MARQUESA', 'Mexico', 'N'),
	(4764, 'Servant Air', '\\N', '8D', '', '', 'United States', 'N'),
	(4765, 'Semos', '\\N', '', 'SME', 'SEMICH', 'Kazakhstan', 'N'),
	(4766, 'Smalandsflyg', '\\N', '', 'SMF', 'GORDON', 'Sweden', 'N'),
	(4767, 'Smithair', '\\N', '', 'SMH', 'SMITHAIR', 'United States', 'N'),
	(4768, 'Semeyavia', '\\N', '', 'SMK', 'ERTIS', 'Kazakhstan', 'N'),
	(4769, 'Smith Air (1976)', '\\N', '', 'SML', 'SMITH AIR', 'Canada', 'N'),
	(4770, 'Summit Airlines', '\\N', '', 'SMM', 'SUMMIT-AIR', 'United States', 'N'),
	(4771, 'Samar Air', '\\N', '', 'SMQ', 'SAMAR AIR', 'Tajikistan', 'N'),
	(4772, 'Somon Air', '\\N', '', 'SMR', 'SOMON AIR', 'Tajikistan', 'N'),
	(4773, 'Skyline', '\\N', '', 'SMT', 'SKYLIMIT', 'Nigeria', 'N'),
	(4774, 'Servicios Aerecs Del Sol', '\\N', '', 'AOS', ' S.A. de C.V.', 'AEROSOL', 'N'),
	(4775, 'Senator Aviation Charter', '\\N', '', 'SNA', 'SENATOR', 'Germany', 'N'),
	(4776, 'Sterling Airlines', '\\N', 'NB', 'SNB', 'STERLING', 'Denmark', 'Y'),
	(4777, 'Servicios Aereos De Nicaragua (SANSA)', '\\N', '', 'SNE', 'SANSA', 'Nicaragua', 'N'),
	(4778, 'Shans Air', '\\N', '', 'SNF', 'SHANS AIR', 'Russia', 'N'),
	(4779, 'Senair Services', '\\N', '', 'SNH', 'SENSERVICE', 'Senegal', 'N'),
	(4780, 'Savanah Airlines', '\\N', '', 'SNI', 'SAVANAHLINE', 'Nigeria', 'N'),
	(4781, 'Skynet Asia Airways', '\\N', '6J', 'SNJ', 'NEWSKY', 'Japan', 'Y'),
	(4782, 'Southeast Airlines (Sun Jet International)', '\\N', '', 'SNK', 'SUN KING', 'United States', 'N'),
	(4783, 'Soonair Lines', '\\N', '', 'SNL', 'SOONAIR', 'United States', 'N'),
	(4784, 'Servizi Aerei', '\\N', '', 'SNM', 'SERVIZI AEREI', 'Italy', 'N'),
	(4785, 'Sun Pacific International', '\\N', '', 'SNP', 'SUN PACIFIC', 'United States', 'N'),
	(4786, 'Sun Quest Executive Air Charter', '\\N', '', 'SNQ', 'EXECU-QUEST', 'United States', 'N'),
	(4787, 'Societe Centrafricaine De Transport Aerien', '\\N', '', 'SNS', '', 'Central African Republic', 'N'),
	(4788, 'Suncoast Aviation', '\\N', '', 'SNT', 'SUNCOAST', 'United States', 'N'),
	(4789, 'Snunit Aviation', '\\N', '', 'SNU', '', 'Israel', 'N'),
	(4790, 'Sudanese States Aviation', '\\N', '', 'SNV', 'SUDANESE', 'Sudan', 'N'),
	(4791, 'Sun West Airlines', '\\N', '', 'SNW', 'SUN WEST', 'United States', 'N'),
	(4792, 'Sun Air Aviation Services', '\\N', '', 'SNX', 'SUNEX', 'Canada', 'N'),
	(4793, 'Stabo Freight', '\\N', '', 'SOB', 'STABO', 'Zambia', 'N'),
	(4794, 'Southern Cargo Air Lines', '\\N', '', 'SOC', '', 'Russia', 'N'),
	(4795, 'Southern Ohio Aviation Sales', '\\N', '', 'SOH', 'SOUTHERN OHIO', 'United States', 'N'),
	(4796, 'Southern Aviation', '\\N', '', 'SOI', 'SOAVAIR', 'Zambia', 'N'),
	(4797, 'Solomon Airlines', '\\N', 'IE', 'SOL', 'SOLOMON', 'Solomon Islands', 'Y'),
	(4798, 'Somali Airlines', '\\N', '', 'SOM', 'SOMALAIR', 'Somali Republic', 'N'),
	(4799, 'Sunshine Air Tours', '\\N', '', 'SON', 'SUNSHINE TOURS', 'United States', 'N'),
	(4800, 'Southern Air', '\\N', '', 'SOO', 'SOUTHERN AIR', 'United States', 'N'),
	(4801, 'Solinair', '\\N', '', 'SOP', 'SOLINAIR', 'Slovenia', 'N'),
	(4802, 'Sonair Servico Aereo', '\\N', '', 'SOR', 'SONAIR', 'Angola', 'N'),
	(4803, 'Southeast Correct Craft', '\\N', '', 'SOT', 'SOUTH COURIER', 'United States', 'N'),
	(4804, 'Southern Airways', '\\N', '', 'SOU', 'SOUTHERN EXPRESS', 'United States', 'Y'),
	(4805, 'Saratov Aviation Division', '\\N', '6W', 'SOV', 'SARATOV AIR', 'Russia', 'Y'),
	(4806, 'Sowind Air', '\\N', '', 'SOW', 'SOWIND', 'Canada', 'N'),
	(4807, 'Solid Air', '\\N', '', 'SOX', 'SOLIDAIR', 'Netherland', 'N'),
	(4808, 'Sat Airlines', '\\N', 'HZ', 'SOZ', 'SATCO', 'Kazakhstan', 'Y'),
	(4809, 'Sierra Pacific Airlines', '\\N', '', 'SPA', 'SIERRA PACIFIC', 'United States', 'N'),
	(4810, 'Springbok Classic Air', '\\N', '', 'SPB', 'SPRING CLASSIC', 'South Africa', 'N'),
	(4811, 'Skyworld Airlines', '\\N', '', 'SPC', 'PORT', 'United States', 'N'),
	(4812, 'Sprague Electric Company', '\\N', '', 'SPE', 'SPRAGUE', 'United States', 'N'),
	(4813, 'Space World Airline', '\\N', '', 'SPF', 'SPACE WORLD', 'Nigeria', 'N'),
	(4814, 'Springdale Air Service', '\\N', '', 'SPG', 'SPRING AIR', 'United States', 'N'),
	(4815, 'Sapphire Executive Air', '\\N', '', 'SPH', 'SAPPHIRE-CHARTER', 'South Africa', 'N'),
	(4816, 'South Pacific Island Airways', '\\N', '', 'SPI', 'SOUTH PACIFIC', 'United States', 'Y'),
	(4817, 'Servicios Corporativos Aereos De La Laguna', '\\N', '', 'SPL', 'CORPORATIVOS LAGUNA', 'Mexico', 'N'),
	(4818, 'Skorpion Air', '\\N', '', 'SPN', 'AIR SKORPIO', 'Bulgaria', 'N'),
	(4819, 'Sapphire Aviation', '\\N', '', 'SPP', 'SAPPHIRE', 'United States', 'N'),
	(4820, 'Servicios Aereos Palenque', '\\N', '', 'SPQ', 'SERVICOS PALENQUE', 'Mexico', 'N'),
	(4821, 'Servicios Aereos Tribasa', '\\N', '', 'TBS', 'TRIBASA', 'Mexico', 'N'),
	(4822, 'Shuttle America', '\\N', 'S5', 'TCF', 'MERCURY', 'United States', 'Y'),
	(4823, 'SAAB Nyge Aero', '\\N', '', 'TGT', 'TARGET', 'Sweden', 'N'),
	(4824, 'Spark Air', '\\N', '', 'THB', 'THAI SABAI', 'Thailand', 'N'),
	(4825, 'S C Ion Tiriac', '\\N', '', 'TIH', 'TIRIAC AIR', 'Romania', 'N'),
	(4826, 'Starlite Aviation', '\\N', '', 'TRL', 'STARSTREAM', 'South Africa', 'N'),
	(4827, 'Servicios Aereos Corporativos', '\\N', '', 'TRN', 'AEROTRON', 'Mauritania', 'N'),
	(4828, 'Societe Tout Tranport Mauritanien', '\\N', '', 'TTM', 'TOUT-AIR', 'Mauritania', 'N'),
	(4829, 'Servicios Aereos Tamazula', '\\N', '', 'TZU', 'TAMAZULA', 'Mexico', 'N'),
	(4830, 'Shar Ink', '\\N', '', 'UGP', 'SHARINK', 'Russia', 'N'),
	(4831, 'Second Sverdlovsk Air Enterprise', '\\N', '', 'UKU', 'PYSHMA', 'Russia', 'N'),
	(4832, 'Servicios Aereos Universitarios', '\\N', '', 'UNT', 'UNIVERSITARIO', 'Mexico', 'N'),
	(4833, 'Skif-Air', '\\N', '', 'USK', 'SKIF-AIR', 'Ukraine', 'N'),
	(4834, 'Smarkand Aero Servise', '\\N', '', 'USN', 'SAMAS', 'Uzbekistan', 'N'),
	(4835, 'Samarkand Airways', '\\N', '', 'UZS', 'SOGDIANA', 'Uzbekistan', 'N'),
	(4836, 'Servicios Aereos Avandaro', '\\N', '', 'VDO', 'AVANDARO', 'Mexico', 'N'),
	(4837, 'Stichting Vliegschool 16Hoven', '\\N', '', 'VGS', 'SMART', 'Netherlands', 'N'),
	(4838, 'Silverback Cargo Freighters', '\\N', '', 'VRB', 'SILVERBACK', 'Rwanda', 'N'),
	(4839, 'Sirvair', '\\N', '', 'VRS', 'VAIRSA', 'Mexico', 'N'),
	(4840, 'Scat Air', '', 'DV', 'VSV', 'VLASTA', 'Kazakhstan', 'Y'),
	(4841, 'Sunset Aviation', '\\N', '', 'VXN', 'VIXEN', 'United States', 'N'),
	(4842, 'Sport Air Travel', '\\N', '', 'WCC', 'WEST COAST', 'United States', 'N'),
	(4843, 'Swift Copters', '\\N', '', 'WFC', 'SWIFTCOPTERS', 'Switzerland', 'N'),
	(4844, 'Skyrover CC', '\\N', '', 'WLK', 'SKYWATCH', 'South Africa', 'N'),
	(4845, 'Safarilink Aviation', '\\N', '', 'XLK', 'SAFARILINK', 'Kenya', 'N'),
	(4846, 'SENEAM', '\\N', '', 'XMX', 'SENEAM', 'Mexico', 'N'),
	(4847, 'Southport Air Service', '\\N', '', 'XPG', '', 'United States', 'N'),
	(4848, 'Spectrum Air Service', '\\N', '', 'XSA', '', 'United States', 'N'),
	(4849, 'Stephenville Aviation Services', '\\N', '', 'XSN', '', 'Canada', 'N'),
	(4850, 'Servicios Aereos Textra', '\\N', '', 'XTA', 'TEXTRA', 'Mexico', 'N'),
	(4851, 'Sector Airlines', '\\N', '', 'XTR', 'EXTER', 'Canada', 'N'),
	(4852, 'Skyplan Services', '\\N', '', 'XXS', '', 'Canada', 'N'),
	(4853, 'Stewart Aviation Services', '\\N', '', 'YBE', 'YELLOW BIRD', 'United States', 'N'),
	(4854, 'Sirin', '\\N', 'R1', '', '', '', 'N'),
	(4855, 'Star Air', '\\N', 'S6', '', '', 'Denmark', 'N'),
	(4856, 'Servicios Aereos Integrales / Flyant', '\\N', '', 'FYA', 'FLYANT', 'Spain', 'N'),
	(4857, 'State Flight Academy of Ukraine', '\\N', '', 'UFA', 'FLIGHT ACADEMY', 'Ukraine', 'N'),
	(4860, 'Trans Jet Airways', '\\N', '', 'SWL', 'TRANSJET', 'Sweden', 'N'),
	(4861, 'Turbot Air Cargo', '\\N', '', 'TAC', 'TURBOT', 'Senegal', 'N'),
	(4862, 'Tranporte Aereo Dominicano', '\\N', '', 'TAD', 'TRANS DOMINICAN', 'Dominican Republic', 'N'),
	(4863, 'TAME', '\\N', 'EQ', 'TAE', 'TAME', 'Ecuador', 'Y'),
	(4864, 'Trans International Express Aviation', '\\N', '', 'BAP', 'BIG APPLE', 'United States', 'N'),
	(4865, 'TAG Aviation USA', '\\N', '', 'TAG', 'TAG U-S', 'United States', 'N'),
	(4866, 'Talair', '\\N', '', 'TAL', 'TALAIR', 'Papua New Guinea', 'N'),
	(4867, 'TAM Brazilian Airlines', '\\N', 'JJ', 'TAM', 'TAM', 'Brazil', 'Y'),
	(4868, 'Transaustralian Air Express', '\\N', '', 'AUC', 'AUSCARGO', 'Australia', 'N'),
	(4869, 'TAP Portugal', 'TAP Air Portugal', 'TP', 'TAP', 'AIR PORTUGAL', 'Portugal', 'Y'),
	(4870, 'Tunisair', '\\N', 'TU', 'TAR', 'TUNAIR', 'Tunisia', 'Y'),
	(4871, 'Transportes Aereos Tauro', '\\N', '', 'TAU', 'TRANSTAURO', 'Mexico', 'N'),
	(4872, 'Travelair', '\\N', '', 'TAX', 'TRAVELAIR', 'Germany', 'N'),
	(4873, 'TNT Airways', '\\N', '3V', 'TAY', 'QUALITY', 'Belgium', 'N'),
	(4874, 'Transbrasil', '\\N', '', 'TBA', 'TRANSBRASIL', 'Brazil', 'N'),
	(4875, 'Turbine Air Cargo UK', '\\N', '', 'TBC', '', 'United Kingdom', 'N'),
	(4876, 'Thunderbird Tours', '\\N', '', 'TBD', 'ORCA', 'Canada', 'N'),
	(4877, 'Tropical Airways', '\\N', 'M7', 'TBG', '', 'Haiti', 'N'),
	(4878, 'Trinity Air Bahamas', '\\N', '', 'TBH', '', 'Bahamas', 'N'),
	(4879, 'TAB Express International', '\\N', '', 'TBI', 'TAB INTERNATIONAL', 'United States', 'N'),
	(4880, 'Taban Air Lines', '\\N', '', 'TBM', 'TABAN AIR', 'Iran', 'N'),
	(4881, 'Teebah Airlines', '\\N', '', 'TBN', 'TEEBAH', 'Sierra Leone', 'N'),
	(4882, 'Tubelair', '\\N', '', 'TBR', 'TUBELAIR', 'Tunisia', 'N'),
	(4883, 'Tobago Express', '\\N', '', 'TBX', 'TABEX', 'Trinidad and Tobago', 'N'),
	(4884, 'Tropican Air Services', '\\N', '', 'TCA', 'TROPICANA', 'Egypt', 'N'),
	(4885, 'Transporte del Caribe', '\\N', '', 'TCB', 'TRANSCARIBE', 'Colombia', 'N'),
	(4886, 'Trans Continental Airlines', '\\N', '', 'TCC', 'TRANSCAL', 'Sudan', 'N'),
	(4887, 'Tchad Airlines', '\\N', '', 'TCD', 'TCHADLINES', 'Chad', 'N'),
	(4888, 'Trans-Colorado Airlines', '\\N', '', 'TCE', 'TRANS-COLORADO', 'United States', 'N'),
	(4889, 'Thai Air Cargo', '\\N', 'T2', 'TCG', 'THAI CARGO', 'Thailand', 'Y'),
	(4890, 'Transcontinental Air', '\\N', '', 'TCH', 'TRANS GULF', 'Bahrain', 'N'),
	(4891, 'Teledyne Continental Motors', '\\N', '', 'TCM', 'TELEDYNE', 'United States', 'N'),
	(4892, 'Trans Continental Airlines', '\\N', '', 'TCN', 'TRANSCON', 'United States', 'N'),
	(4893, 'Transcorp Airways', '\\N', '', 'TCP', 'TRANSCORP', 'United Kingdom', 'N'),
	(4894, 'Transcontinental Sur', '\\N', '', 'TCT', 'TRANS-CONT', 'Uruguay', 'N'),
	(4895, 'Transglobal Airways Corporation', '\\N', '', 'TCU', 'TRANSGLOBAL', 'Philippines', 'N'),
	(4896, 'Thomas Cook Airlines', '\\N', 'FQ', 'TCW', 'THOMAS COOK', 'Belgium', 'Y'),
	(4897, 'Thomas Cook Airlines', '\\N', 'MT', 'TCX', 'KESTREL', 'United Kingdom', 'Y'),
	(4898, 'Twin Cities Air Service', '\\N', '', 'TCY', 'TWIN CITY', 'United States', 'N'),
	(4899, 'Tadair', '\\N', '', 'TDC', 'TADAIR', 'Spain', 'N'),
	(4900, 'Tellavia / Flight One', '\\N', '', 'TDE', 'TELLURIDE', 'United States', 'N'),
	(4901, 'Transportes Aereos de Ixtlan', '\\N', '', 'TDI', 'TRANSIXTLAN', 'Mexico', 'N'),
	(4902, 'Tandem Aero', '\\N', 'TQ', 'TDM', 'TANDEM', 'Moldova', 'N'),
	(4903, 'TRADO', '\\N', '', 'TDO', 'TRADO', 'Dominican Republic', 'N'),
	(4904, 'Trade Air', '\\N', '', 'TDR', 'TRADEAIR', 'Croatia', 'N'),
	(4905, 'Taxi Aero Nacional Del Evora', '\\N', '', 'TDV', 'TAXI EVORA', 'Mexico', 'N'),
	(4906, 'Tradewinds Airlines', '\\N', '', 'TDX', 'TRADEWINDS EXPRESS', 'United States', 'N'),
	(4907, 'Tenir Airlines', '\\N', '', 'TEB', 'TENIR AIR', 'Kyrgyzstan', 'N'),
	(4908, 'Teamline Air', '\\N', 'L9', 'TLW', 'Teamline', 'Austria', 'N'),
	(4909, 'Tecnicas Fotograficas', '\\N', '', 'TEF', 'TECFOTO', 'Spain', 'N'),
	(4910, 'Tempelhof Airways', '\\N', '', 'TEH', 'TEMPELHOF', 'United States', 'N'),
	(4911, 'Telford Aviation', '\\N', '', 'TEL', 'TELFORD', 'United States', 'N'),
	(4912, 'Tech-Mont Helicopter Company', '\\N', '', 'TEM', 'TECHMONT', 'Slovakia', 'N'),
	(4913, 'Tennessee Airways', '\\N', '', 'TEN', 'TENNESSEE', 'United States', 'N'),
	(4914, 'Territorial Airlines', '\\N', '', 'TER', 'TERRI-AIRE', 'United States', 'N'),
	(4915, 'TAES Transportes Aereos de El Salvador', '\\N', '', 'TES', 'TAES', 'El Salvador', 'N'),
	(4916, 'Transeuropean Airlines', '\\N', 'UE', 'TEP', 'TRANSEURLINE', 'Russia', 'N'),
	(4917, 'Tepavia-Trans Airlines', '\\N', '', 'TET', 'TEPAVIA', 'Moldova', 'N'),
	(4918, 'Trans-Florida Airlines', '\\N', '', 'TFA', 'TRANS FLORIDA', 'United States', 'N'),
	(4919, 'Tair Airways', '\\N', '', 'TFB', 'ROYAL TEE-AIR', 'Philippines', 'N'),
	(4920, 'Talon Air', '\\N', '', 'TFF', 'TALON FLIGHT', 'United States', 'N'),
	(4921, 'Trabajos Aereos Murcianos', '\\N', '', 'AIM', 'PIJO', 'Spain', 'N'),
	(4922, 'Thai Flying Helicopter Service', '\\N', '', 'TFH', 'THAI HELICOPTER', 'Thailand', 'N'),
	(4923, 'Transport Facilitators', '\\N', '', 'TFI', '', 'United States', 'N'),
	(4924, 'Transafrik International', '\\N', '', 'TFK', '', 'Sao Tome and Principe', 'N'),
	(4925, 'Transportes Aereos del Pacifico', '\\N', '', 'TFO', 'TRANSPORTES PACIFICO', 'Mexico', 'N'),
	(4926, 'Thai Flying Service', '\\N', '', 'TFT', 'THAI FLYING', 'Thailand', 'N'),
	(4927, 'Transportes Aereos San Rafael', '\\N', '', 'SRF', 'SAN RAFEAL', 'Chile', 'N'),
	(4928, 'Tayside Aviation', '\\N', '', 'TFY', 'TAYSIDE', 'United Kingdom', 'N'),
	(4929, 'TG Aviation', '\\N', '', 'TGC', 'THANET', 'United Kingdom', 'N'),
	(4930, 'Trabajos Aereos', '\\N', '', 'TGE', 'TASA', 'Spain', 'N'),
	(4931, 'Transportes Aereos Regionales', '\\N', '', 'TGI', 'TRANSPORTE REGIONAL', 'Mexico', 'N'),
	(4932, 'TAG Aviation Espana', '\\N', '', 'TGM', 'TAG ESPANA', 'Spain', 'N'),
	(4933, 'Trigana Air Service', '\\N', '', 'TGN', 'TRIGANA', 'Indonesia', 'Y'),
	(4934, 'Titan Airways', '\\N', 'ZT', 'AWC', 'ZAP', 'United Kingdom', 'N'),
	(4935, 'Transport Canada', '\\N', '', 'TGO', 'TRANSPORT', 'Canada', 'N'),
	(4936, 'Tiger Airways', '\\N', 'TR', 'TGW', 'GO CAT', 'Singapore', 'Y'),
	(4937, 'Tiger Airways Australia', '\\N', 'TT', 'TGW', 'GO CAT', 'Australia', 'Y'),
	(4938, 'Transair Gabon]', '\\N', '', 'TGX', 'TRANSGABON', 'Gabon', 'N'),
	(4939, 'Trans Guyana Airways', '\\N', '', 'TGY', 'TRANS GUYANA', 'Guyana', 'N'),
	(4940, 'Thai Airways International', '\\N', 'TG', 'THA', 'THAI', 'Thailand', 'Y'),
	(4941, 'Tar Heel Aviation', '\\N', '', 'THC', 'TARHEEL', 'United States', 'N'),
	(4942, 'Toumai Air Tchad', '\\N', '', 'THE', 'TOUMAI AIR', 'Chad', 'N'),
	(4943, 'Touraine Helicoptere', '\\N', '', 'THF', 'TOURAINE HELICO', 'France', 'N'),
	(4944, 'Thai Global Airline', '\\N', '', 'THG', 'THAI GLOBAL', 'Thailand', 'N'),
	(4945, 'Thai Jet Intergroup', '\\N', '', 'THJ', 'THAI JET', 'Thailand', 'N'),
	(4946, 'Turk Hava Kurumu Hava Taksi Isletmesi', '\\N', '', 'THK', 'HUR KUS', 'Turkey', 'Y'),
	(4947, 'Thai AirAsia', 'Thai Air Asia', 'FD', 'AIQ', 'THAI ASIA', 'Thailand', 'Y'),
	(4948, 'TACA De Honduras', '\\N', '', 'THO', 'LEMPIRA', 'Honduras', 'N'),
	(4949, 'Tehran Airline', '\\N', '', 'THR', 'TEHRAN AIR', 'Iran', 'N'),
	(4950, 'Thunder Airlines', '\\N', '', 'THU', 'AIR THUNDER', 'Canada', 'N'),
	(4951, 'Turkish Airlines', '\\N', 'TK', 'THY', 'TURKAIR', 'Turkey', 'Y'),
	(4952, 'Trans Helicoptere Service', '\\N', '', 'THZ', 'LYON HELIJET', 'France', 'N'),
	(4953, 'Trans International Airlines', '\\N', '', 'TIA', 'TRANS INTERNATIONAL', 'United States', 'N'),
	(4954, 'Travel International Air Charters', '\\N', '', 'TIC', 'TRAVEL INTERNATIONAL', 'Zambia', 'N'),
	(4955, 'Time Air', '\\N', '', 'TIE', 'TIME AIR', 'Czech Republic', 'N'),
	(4956, 'Tic Air', '\\N', '', 'TIK', 'TICAIR', 'Australia', 'N'),
	(4957, 'Tajikistan International Airlines', '\\N', '', 'TIL', 'TIL', 'Tajikistan', 'Y'),
	(4958, 'TEAM Transportes Aereos', '\\N', '', 'TIM', 'TEAM BRASIL', 'Brazil', 'N'),
	(4959, 'Taino Tours', '\\N', '', 'TIN', 'TAINO', 'Dominican Republic', 'N'),
	(4960, 'Tesis', '\\N', '', 'TIS', 'TESIS', 'Russia', 'N'),
	(4961, 'Transcarga Intl Airways', '\\N', '', 'TIW', 'TIACA', 'Venezuela', 'N'),
	(4962, 'Tajikair', '\\N', '', 'TJK', 'TAJIKAIR', 'Tajikistan', 'N'),
	(4963, 'Tien-Shan', '\\N', '', 'TJN', 'NERON', 'Kazakhstan', 'N'),
	(4964, 'Tyrolean Jet Service', '\\N', '', 'TJS', 'TYROLJET', 'Austria', 'N'),
	(4965, 'Twin Jet', '\\N', 'T7', 'TJT', 'TWINJET', 'France', 'Y'),
	(4966, 'Tikal Jets Airlines', '\\N', '', 'TKC', 'TIKAL', 'Guatemala', 'N'),
	(4967, 'Take Air Line', '\\N', '', 'TKE', 'ISLAND BIRD', 'France', 'N'),
	(4968, 'Tropical International Airways', '\\N', '', 'TKX', 'TROPEXPRESS', 'Saint Kitts and Nevis', 'N'),
	(4969, 'Thai Sky Airlines', '\\N', '9I', 'TKY', 'THAI SKY', 'Thailand', 'N'),
	(4970, 'Translift Airways', '\\N', '', 'TLA', 'TRANSLIFT', 'Ireland', 'Y'),
	(4971, 'Transport Africa', '\\N', '', 'TLF', 'TRANS-LEONE', 'Sierra Leone', 'N'),
	(4972, 'Trans Atlantic Airlines', '\\N', '', 'TLL', 'ATLANTIC LEONE', 'Sierra Leone', 'N'),
	(4973, 'Eagle Canyon Airlines', '\\N', '', 'TLO', 'TALON AIR', 'United States', 'N'),
	(4974, 'Tulip Air', '\\N', 'TD', 'TLP', 'TULIPAIR', 'Netherland', 'N'),
	(4975, 'Tunisavia', '\\N', '', 'TAJ', 'TUNISAVIA', 'Tunisia', 'N'),
	(4976, 'TLC Air', '\\N', '', 'TLS', 'TEALSY', 'United States', 'N'),
	(4977, 'Turtle Airways', '\\N', '', 'TLT', 'TURTLE', 'Fiji', 'N'),
	(4978, 'Travelair', '\\N', '', 'TLV', 'PAJAROS', 'Uruguay', 'N'),
	(4979, 'Telesis Transair', '\\N', '', 'TLX', 'TELESIS', 'United States', 'N'),
	(4980, 'Top-Fly', '\\N', '', 'TLY', 'TOPFLY', 'Spain', 'N'),
	(4981, 'Trans Mediterranean Airlines', '\\N', 'TL', 'TMA', 'TANGO LIMA', 'Lebanon', 'Y'),
	(4982, 'Transmed Airlines', '\\N', '', 'TMD', '', 'Egypt', 'N'),
	(4983, 'Tri-MG Intra Asia Airlines', '\\N', 'GY', 'TMG', 'TRILINES', 'Indonesia', 'N'),
	(4984, 'Taxis Turisticos Marakame', '\\N', '', 'TMH', 'TAXIMARAKAME', 'Mexico', 'N'),
	(4985, 'Tamir Airways', '\\N', '', 'TMI', 'TAMIRWAYS', 'Israel', 'N'),
	(4986, 'Tomahawk Airways', '\\N', '', 'TMK', 'TOMAHAWK', 'United States', 'N'),
	(4987, 'TAM', '\\N', '', 'TML', 'TAM AIRLINE', 'Madagascar', 'N'),
	(4988, 'TMC Airlines', '\\N', '', 'TMM', 'WILLOW RUN', 'United States', 'N'),
	(4989, 'TRAM', '\\N', '', 'TMQ', 'TRAM AIR', 'Mauritania', 'N'),
	(4990, 'Timberline Air', '\\N', '', 'TMR', 'TIMBER', 'Canada', 'N'),
	(4991, 'Temsco Helicopters', '\\N', '', 'TMS', 'TEMSCO', 'United States', 'N'),
	(4992, 'Trans Midwest Airlines', '\\N', '', 'TMT', 'TRANS MIDWEST', 'United States', 'N'),
	(4993, 'Tramon Air', '\\N', '', 'TMX', 'TRAMON', 'South Africa', 'N'),
	(4994, 'Transportes Aereos del Mundo Maya', '\\N', '', 'TMY', 'MUNDO MAYA', 'Mexico', 'N'),
	(4995, 'Tranporte Amazonair', '\\N', '', 'TMZ', 'TRANS AMAZON', 'Venezuela', 'N'),
	(4996, 'Trans Air-Benin', '\\N', '', 'TNB', 'TRANS-BENIN', 'Benin', 'N'),
	(4997, 'Taxis Aereos del Noroeste', '\\N', '', 'TNE', 'TAXINOROESTE', 'Mexico', 'N'),
	(4998, 'Transafricaine', '\\N', '', 'TNF', 'TRANSFAS', 'Burkina Faso', 'N'),
	(4999, 'Tennessee Air National Guard 164th Airlift Group', '\\N', '', 'TNG', '', 'United States', 'N'),
	(5000, 'Transair International Linhas Aereas', '\\N', '', 'TNI', 'TRANSINTER', 'United States', 'N'),
	(5001, 'Tengeriyn Ulaach Shine', '\\N', '', 'TNL', 'SKY HORSE', 'Mongolia', 'N'),
	(5002, 'Tiara Air', '\\N', '3P', 'TNM', 'TIARA', 'Aruba', 'Y'),
	(5003, 'Transped Aviation', '\\N', '', 'TNP', 'TRANSPED', 'Austria', 'N'),
	(5004, 'Tanana Air Services', '\\N', '', 'TNR', 'TAN AIR', 'United States', 'N'),
	(5005, 'Trans North Turbo Air', '\\N', '', 'TNT', 'TRANS NORTH', 'Canada', 'N'),
	(5006, 'Transnorthern', '\\N', '', 'TNV', 'TRANSNORTHERN', 'United States', 'N'),
	(5007, 'Trans Nation Airways', '\\N', '', 'TNW', 'TRANS-NATION', 'Ethiopia', 'N'),
	(5008, 'Trener Ltd', '\\N', '', 'TNX', 'TRAINER', 'Hungary', 'N'),
	(5009, 'Twin Town Leasing Company', '\\N', '', 'TNY', 'TWINCAL', 'United States', 'N'),
	(5010, 'Tobruk Air', '\\N', '7T', 'TOB', 'TOBRUK AIR', 'Libya', 'N'),
	(5011, 'TOJ Airlines', '\\N', '', 'TOJ', 'TOJ AIRLINE', 'Tajikistan', 'N'),
	(5012, 'Tol-Air Services', '\\N', 'TI', 'TOL', 'TOL AIR', 'United States', 'N'),
	(5013, 'Thomsonfly', '\\N', 'BY', 'TOM', 'TOMSON', 'United Kingdom', 'Y'),
	(5014, 'Top Air', '\\N', '', 'TOP', 'AIR TOP', 'Turkey', 'N'),
	(5015, 'Toronto Airways', '\\N', '', 'TOR', 'TORONTAIR', 'Canada', 'N'),
	(5016, 'Tropic Air', '\\N', 'PM', 'TOS', 'TROPISER', 'Belize', 'Y'),
	(5017, 'Totavia', '\\N', '', 'TOT', '', 'Canada', 'N'),
	(5018, 'Tower Air', '\\N', 'FF', 'TOW', 'TEE AIR', 'United States', 'N'),
	(5019, 'Toyota Canada', '\\N', '', 'TOY', 'TOYOTA', 'Canada', 'N'),
	(5020, 'TAMPA', '\\N', 'QT', 'TPA', 'TAMPA', 'Colombia', 'Y'),
	(5021, 'Top Speed', '\\N', '', 'TPD', 'TOP SPEED', 'Austria', 'N'),
	(5022, 'Taxis Aereos del Pacifico', '\\N', '', 'TPF', 'TAXIPACIFICO', 'Mexico', 'N'),
	(5023, 'Transportes Aereos Pegaso', '\\N', '', 'TPG', 'TRANSPEGASO', 'Mexico', 'N'),
	(5024, 'TAR Interpilot', '\\N', '', 'TPL', 'INTERPILOT', 'Mauritania', 'N'),
	(5025, 'Transpais Aereo', '\\N', '', 'TPM', 'TRANSPAIS', 'Mexico', 'N'),
	(5026, 'Transportacion Aerea del Norte', '\\N', '', 'TPN', 'AEREA DELNORTE', 'Mexico', 'N'),
	(5027, 'Transpac Express', '\\N', '', 'TPP', 'TRANS EXPRESS', 'Australia', 'N'),
	(5028, 'Taxis Aereos De Parral', '\\N', '', 'TPR', 'TAXIS PARRAL', 'Mexico', 'N'),
	(5029, 'TAPSA Transportes Aereos Petroleros', '\\N', '', 'TPS', 'TAPSA', 'Argentina', 'N'),
	(5030, 'Transportes Aereo del Sureste', '\\N', '', 'TPT', 'TASSA', 'Mexico', 'N'),
	(5031, 'Trans American Airlines (Trans Am)', '\\N', '', 'TPU', 'TRANS PERU', 'Peru', 'N'),
	(5032, 'Thai Pacific Airlines Business', '\\N', '', 'TPV', 'THAI PACIFIC', 'Thailand', 'N'),
	(5033, 'Transportes Aereos De Xalapa', '\\N', '', 'TPX', 'TRANSXALAPA', 'Mexico', 'N'),
	(5034, 'Trans-Provincial Airlines', '\\N', '', 'TPY', 'TRANS PROVINCIAL', 'Canada', 'N'),
	(5035, 'Transportes La Paz', '\\N', '', 'TPZ', 'TRANSPAZ', 'Mexico', 'N'),
	(5036, 'Taquan Air Services', '\\N', '', 'TQN', 'TAQUAN', 'United States', 'N'),
	(5037, 'Transportacion Aerea De Queretaro', '\\N', '', 'TQR', 'TRANSQUERETARO', 'Mexico', 'N'),
	(5038, 'TransAsia Airways', '\\N', 'GE', 'TNA', 'TransAsia', 'Taiwan', 'Y'),
	(5039, 'Transavia Holland', '\\N', 'HV', 'TRA', 'TRANSAVIA', 'Netherlands', 'Y'),
	(5040, 'Trans Air Charter', '\\N', '', 'TRC', 'TRACKER', 'United States', 'N'),
	(5041, 'TACV', '\\N', 'VR', 'TCV', 'CABOVERDE', 'Portugal', 'Y'),
	(5042, 'Trans Island Air', '\\N', '', 'TRD', 'TRANS ISLAND', 'Barbados', 'N'),
	(5043, 'Taxi Air Fret', '\\N', '', 'TRF', 'TAXI JET', 'France', 'N'),
	(5044, 'TRAGSA (Medios Aereos)', '\\N', '', 'TRG', '', 'Spain', 'N'),
	(5045, 'Trans Euro Air', '\\N', '', 'TRJ', 'HIGH TIDE', 'United Kingdom', 'N'),
	(5046, 'Transport Aerien de Mauritanie', '\\N', '', 'TRM', 'SOTRANS', 'Mauritania', 'N'),
	(5047, 'Tropic Airlines-Air Molokai', '\\N', '', 'TRO', 'MOLOKAI', 'United States', 'N'),
	(5048, 'Turdus Airways', '\\N', '', 'TRQ', 'HUNTER', 'Netherland', 'N'),
	(5049, 'Tramson Limited', '\\N', '', 'TRR', 'TRAMSON', 'Sudan', 'N'),
	(5050, 'Trans Arabian Air Transport', '\\N', '', 'TRT', 'TRANS ARABIAN', 'Sudan', 'N'),
	(5051, 'Triangle Airline (Uganda)', '\\N', '', 'TRU', 'TRI AIR', 'Uganda', 'N'),
	(5052, 'Transwestern Airlines of Utah', '\\N', '', 'TRW', 'TRANS-WEST', 'United States', 'N'),
	(5053, 'Tristar Airlines', '\\N', '', 'TRY', 'TRISTAR AIR', 'United States', 'N'),
	(5054, 'TransMeridian Airlines', '\\N', 'T9', 'TRZ', 'TRANS-MERIDIAN', 'United States', 'N'),
	(5055, 'Transair France', '\\N', '', 'TSA', 'AIRTRAF', 'France', 'N'),
	(5056, 'TAF-Linhas Aereas', '\\N', '', 'TSD', 'TAFI', 'Brazil', 'N'),
	(5057, 'Transmile Air Services', '\\N', 'TH', 'TSE', 'TRANSMILE', 'Malaysia', 'N'),
	(5058, 'Trans-Air-Congo', '\\N', '', 'TSG', 'TRANS-CONGO', 'Republic of the Congo', 'N'),
	(5059, 'Transport\'air', '\\N', '', 'TSI', 'TRANSPORTAIR', 'France', 'N'),
	(5060, 'Trast Aero', '\\N', 'S5', 'TSJ', 'TRAST AERO', 'Kyrgyzstan', 'N'),
	(5061, 'Trast Aero', '\\N', '', 'TSK', 'TOMSK-AVIA', 'Kyrgyzstan', 'N'),
	(5062, 'Thai Aviation Services', '\\N', '', 'TSL', 'THAI AVIATION', 'Thailand', 'N'),
	(5063, 'Taftan Airlines', '\\N', '', 'SBT', 'TAFTAN', 'Iran', 'N'),
	(5064, 'Transwest Air', '\\N', '9T', 'ABS', 'ATHABASKA', 'Canada', 'Y'),
	(5065, 'Trans Sayegh Airport Services', '\\N', '', 'TSM', '', 'Lebanon', 'N'),
	(5066, 'Trans-Air Services', '\\N', '', 'TSN', 'AIR TRANS', 'Nigeria', 'N'),
	(5067, 'Transaero Airlines', '\\N', 'UN', 'TSO', 'TRANSOVIET', 'Russia', 'Y'),
	(5068, 'Transportes Aereos Inter', '\\N', '', 'TSP', 'TRANSPO-INTER', 'Guatemala', 'N'),
	(5069, 'Trans Service Airlift', '\\N', '', 'TSR', 'TRANS SERVICE', 'Democratic Republic of Congo', 'N'),
	(5070, 'Tri-State Aero', '\\N', '', 'TSS', 'TRI-STATE', 'United States', 'N'),
	(5071, 'TRAST', '\\N', '', 'TST', 'TRAST', 'Kazakhstan', 'N'),
	(5072, 'Tropair Airservices', '\\N', '', 'TSV', 'TROPIC', 'United Kingdom', 'N'),
	(5073, 'Transwings', '\\N', '', 'TSW', 'SWISSTRANS', 'Switzerland', 'N'),
	(5074, 'Thai Star Airlines', '\\N', 'T9', 'TSX', 'THAI STAR', 'Thailand', 'N'),
	(5075, 'Tristar Air', '\\N', '', 'TSY', 'TRIPLE STAR', 'Egypt', 'N'),
	(5076, 'TTA - Sociedade de Transporte e Trabalho Aereo', '\\N', '', 'TTA', 'KANIMANBO', 'Mozambique', 'N'),
	(5077, 'Transteco', '\\N', '', 'TTC', 'TRANSTECO', 'Angola', 'N'),
	(5078, 'Tarhan Tower Airlines', '\\N', '', 'TTH', '', 'Turkey', 'N'),
	(5079, 'Total Linhas Aereas', '\\N', '', 'TTL', 'TOTAL', 'Brazil', 'N'),
	(5080, 'Triple O Aviation', '\\N', '', 'TTP', 'MIGHTY WING', 'Nigeria', 'N'),
	(5081, 'Transportaciones Y Servicios Aereos', '\\N', '', 'TTR', 'TRANSPORTACIONES', 'Mexico', 'N'),
	(5082, 'Transporte Aereo Tecnico Ejecutivo', '\\N', '', 'TTS', 'TECNICO', 'Mexico', 'N'),
	(5083, 'Turkmenistan Airlines', 'Turkmenhovayollary', 'T5', 'TUA', 'TURKMENISTAN', 'Turkmenistan', 'Y'),
	(5084, 'Turismo Aereo de Chile', '\\N', '', 'TUC', 'TURICHILE', 'Chile', 'N'),
	(5085, 'Tuninter', '\\N', 'UG', 'TUI', '', 'Tunisia', 'Y'),
	(5086, 'Tulpar Air', '\\N', '', 'TUL', 'URSAL', 'Russia', 'N'),
	(5087, 'Tyumenspecavia', '\\N', '', 'TUM', 'TUMTEL', 'Russia', 'N'),
	(5088, 'Taxi Aereo Turistico', '\\N', '', 'TUO', 'TURISTICO', 'Mexico', 'N'),
	(5089, 'Tulpar Air Service', '\\N', '', 'TUX', 'TULPA', 'Kazakhstan', 'N'),
	(5090, 'Tuna Aero', '\\N', '', 'TUZ', 'TUNA', 'Sweden', 'N'),
	(5091, 'Trans America Airlines', '\\N', '', 'TVA', 'TRANS-AMERICA', 'United States', 'N'),
	(5092, 'Trabajos Aereos Vascongados', '\\N', '', 'TVH', 'TRAVASA', 'Spain', 'N'),
	(5093, 'Tiramavia', '\\N', '', 'TVI', 'TIRAMAVIA', 'Moldova', 'N'),
	(5094, 'Travel Service', '\\N', '', 'TVL', 'TRAVEL SERVICE', 'Hungary', 'N'),
	(5095, 'Transavio', '\\N', '', 'TVO', 'TRANS-BALLERIO', 'Italy', 'N'),
	(5096, 'Tavrey Airlines', '\\N', 'T6', 'TVR', 'TAVREY', 'Ukraine', 'N'),
	(5097, 'Travel Service', '\\N', 'QS', 'TVS', 'SKYTRAVEL', 'Czech Republic', 'Y'),
	(5098, 'Trans World Airlines', 'TWA', 'TW', 'TWA', 'TWA', 'United States', 'N'),
	(5099, 'Transwede Airways', '\\N', '', 'TWE', 'TRANSWEDE', 'Sweden', 'N'),
	(5100, 'Twinjet Aircraft Sales', '\\N', '', 'TWJ', '', 'United Kingdom', 'N'),
	(5101, 'Tradewinds Aviation', '\\N', '', 'TWL', 'TRADEWINDS CANADA', 'Canada', 'N'),
	(5102, 'Transairways', '\\N', '', 'TWM', '', 'Mozambique', 'N'),
	(5103, 'Twente Airlines', '\\N', '', 'TWO', 'COLIBRI', 'Netherlands', 'N'),
	(5104, 'Trans Air Welwitchia', '\\N', '', 'TWW', 'WELWITCHIA', 'Angola', 'N'),
	(5105, 'Texair Charter', '\\N', '', 'TXA', 'OKAY AIR', 'United States', 'N'),
	(5106, 'Transaviaexport', '\\N', 'AL', 'TXC', 'TRANSEXPORT', 'Belarus', 'N'),
	(5107, 'Transilvania Express', '\\N', '', 'TXE', 'TRANSAIR EXPRESS', 'Romania', 'N'),
	(5108, 'Taxi Aereo Cozatl', '\\N', '', 'TXL', 'TAXI COZATL', 'Mexico', 'N'),
	(5109, 'Taxi Aereo de Mexico', '\\N', '', 'TXM', 'TAXIMEX', 'Mexico', 'N'),
	(5110, 'Texas National Airlines', '\\N', '', 'TXN', 'TEXAS NATIONAL', 'United States', 'N'),
	(5111, 'Taxis Aereos de Sinaloa', '\\N', '', 'TXO', 'TAXIS SINALOA', 'Mexico', 'N'),
	(5112, 'Taxirey', '\\N', '', 'TXR', 'TAXIREY', 'Mexico', 'N'),
	(5113, 'Texas Airlines', '\\N', '', 'TXS', 'TEXAIR', 'United States', 'N'),
	(5114, 'Texas Air Charters', '\\N', '', 'TXT', 'TEXAS CHARTER', 'United States', 'N'),
	(5115, 'Tex Star Air Freight', '\\N', '', 'TXZ', 'TEX STAR', 'United States', 'N'),
	(5116, 'Tayflite', '\\N', '', 'TYF', 'TAYFLITE', 'United Kingdom', 'N'),
	(5117, 'Trygg-Flyg', '\\N', '', 'TYG', 'TRYGG', 'Sweden', 'N'),
	(5118, 'Tyrol Air Ambulance', '\\N', '', 'TYW', 'TYROL AMBULANCE', 'Austria', 'N'),
	(5119, 'Transporte Aereo Ernesto Saenz', '\\N', '', 'TZE', 'TRANSPORTE SAENZ', 'Mexico', 'N'),
	(5120, 'Tajikstan', '\\N', '', 'TZK', 'TAJIKSTAN', 'Tajikistan', 'N'),
	(5121, 'Thyssen Krupp AG', '\\N', '', 'BLI', 'BLUELINE', 'Germany', 'N'),
	(5122, 'TUIfly Nordic', '\\N', '6B', 'BLX', 'BLUESCAN', 'Sweden', 'Y'),
	(5123, 'Transportes Aereos Bolivianos', '\\N', '', 'BOL', 'BOL', 'Bolivia', 'N'),
	(5124, 'Tiphook PLC', '\\N', '', 'BOX', 'BOX', 'United Kingdom', 'N'),
	(5125, 'Top Flight Air Service', '\\N', '', 'CHE', 'CHECK AIR', 'United States', 'N'),
	(5126, 'Trans America', '\\N', '', 'CLR', 'CLINTON AIRWAYS', 'United States', 'N'),
	(5127, 'Triple Alpha', '\\N', '', 'CLU', 'CAROLUS', 'Germany', 'N'),
	(5128, 'Tashkent Aircraft Production Corporation', '\\N', '', 'CTP', 'CORTAS', 'Uzbekistan', 'N'),
	(5129, 'Texas Airways', '\\N', '', 'CWT', 'TEXAS AIRWAYS', 'United States', 'N'),
	(5130, 'Transportes Aereos Don Carlos', '\\N', '', 'DCL', 'DON CARLOS', 'Chile', 'N'),
	(5131, 'Telnic Limited', '\\N', '', 'DOT', 'DOT TEL', 'United Kingdom', 'N'),
	(5132, 'Triton Airlines', '\\N', '', 'DRC', 'TRITON AIR', 'Canada', 'N'),
	(5133, 'TAAG Angola Airlines', '\\N', 'DT', 'DTA', 'DTA', 'Angola', 'Y'),
	(5134, 'Tassili Airlines', '\\N', 'SF', 'DTH', 'TASSILI AIR', 'Algeria', 'N'),
	(5135, 'Transporte Ejecutivo Aereo', '\\N', '', 'EAR', 'EJECUTIVO-AEREO', 'Mexico', 'N'),
	(5136, 'Transportes Aereos Nacionales De Selva Tans', '\\N', '', 'ELV', 'AEREOS SELVA', 'Peru', 'N'),
	(5137, 'TAG Farnborough Airport', '\\N', '', 'FBO', '', 'United Kingdom', 'N'),
	(5138, 'Transaviaservice', '\\N', '', 'FNV', 'TRANSAVIASERVICE', 'Georgia', 'N'),
	(5139, 'TAG Aviation', '\\N', '', 'FPG', 'TAG AVIATION', 'Switzerland', 'N'),
	(5140, 'The 955 Preservation Group', '\\N', '', 'GFN', 'GRIFFON', 'United Kingdom', 'N'),
	(5141, 'Trans-Air-Link', '\\N', '', 'GJB', 'SKY TRUCK', 'United States', 'N'),
	(5142, 'Tradewind Aviation', '\\N', '', 'GPD', 'GOODSPEED', 'United States', 'N'),
	(5143, 'Trail Lake Flying Service', '\\N', '', 'HBA', 'HARBOR AIR', 'United States', 'N'),
	(5144, 'TAF Helicopters', '\\N', '', 'HET', 'HELITAF', 'Spain', 'N'),
	(5145, 'Tango Bravo', '\\N', '', 'HTO', 'HELI TANGO', 'France', 'N'),
	(5146, 'Turkish Air Force', '\\N', '', 'HVK', 'TURKISH AIRFORCE', 'Turkey', 'Y'),
	(5147, 'Thryluthjonustan', '\\N', '', 'IHS', '', 'Iceland', 'N'),
	(5148, 'TA-Air Airline', '\\N', '', 'IRF', 'TA-AIR', 'Iran', 'N'),
	(5149, 'Tara Air Line', '\\N', '', 'IRR', 'TARAIR', 'Iran', 'N'),
	(5150, 'Trading Air Cargo', '\\N', '', 'JCH', 'TRADING CARGO', 'Mauritania', 'N'),
	(5151, 'Trans-Kiev', '\\N', '', 'KCA', 'TRANS-KIEV', 'Ukraine', 'N'),
	(5152, 'Tal Air Charters', '\\N', '', 'JEL', 'JETEL', 'Canada', 'N'),
	(5153, 'Transcontinental Airlines', '\\N', '', 'KRA', 'REGATA', 'Kazakhstan', 'N'),
	(5154, 'Transaviabaltika', '\\N', '', 'KTB', 'TRANSBALTIKA', 'Lithuania', 'N'),
	(5155, 'Transair-Gyraintiee', '\\N', '', 'KTS', 'KOTAIR', 'Russia', 'N'),
	(5156, 'TAM Mercosur', '\\N', 'PZ', 'LAP', 'PARAGUAYA', 'Paraguay', 'Y'),
	(5157, 'The Lancair Company', '\\N', '', 'LCC', 'LANCAIR', 'United States', 'N'),
	(5158, 'The Army Aviation Heritage Foundation', '\\N', '', 'LEG', 'LEGACY', 'United States', 'N'),
	(5159, 'Top Sky International', '\\N', '', 'LKW', 'TOPINTER', 'Indonesia', 'N'),
	(5160, 'Trans States Airlines', '\\N', 'AX', 'LOF', 'WATERSKI', 'United States', 'Y'),
	(5161, 'Trans Atlantis', '\\N', '', 'LTA', 'LANTRA', 'Canada', 'N'),
	(5162, 'Transportacion Aerea Del Mar De Cortes', '\\N', '', 'MCT', 'TRANS CORTES', 'Mexico', 'N'),
	(5163, 'Transporte Aero MGM', '\\N', '', 'MGM', 'AERO EMM-GEE-EMM', 'Mexico', 'N'),
	(5164, 'Tigerfly', '\\N', '', 'MOH', 'MOTH', 'United Kingdom', 'N'),
	(5165, 'Transportes Aereos Amparo', '\\N', '', 'MPO', 'AMPARO', 'Mexico', 'N'),
	(5166, 'Trans Air', '\\N', '', 'MUI', 'MAUI', 'United States', 'N'),
	(5167, 'Transportes Aereos Mexiquenses', '\\N', '', 'MXQ', 'MEXIQUENSES', 'Mexico', 'N'),
	(5168, 'Travelsky Technology', '\\N', '1E', '', '', 'China', 'N'),
	(5169, 'Thalys', '\\N', '2H', '', '', 'Belgium', 'N'),
	(5171, 'TNT International Aviation', '\\N', '', 'NTR', 'NITRO', 'United Kingdom', 'N'),
	(5172, 'Open Skies Consultative Commission', '\\N', '1L', 'OSY', 'OPEN SKIES', 'United States', 'N'),
	(5173, 'Trans-Pacific Orient Airways', '\\N', '', 'PCW', 'PACIFIC ORIENT', 'Philippines', 'N'),
	(5174, 'Tauranga Aer Club', '\\N', '', 'PGS', '', 'New Zealand', 'N'),
	(5175, 'TSSKB-Progress', '\\N', '', 'PSS', 'PROGRESS', 'Russia', 'N'),
	(5176, 'Trans World Express', '\\N', '', 'RBD', 'RED BIRD', 'United States', 'N'),
	(5177, 'Trans Reco', '\\N', '', 'REC', 'TRANS-RECO', 'Mauritania', 'N'),
	(5178, 'Tas Aviation', '\\N', '', 'RMS', 'TASS AIR', 'United States', 'N'),
	(5179, 'Tarom', '\\N', 'RO', 'ROT', 'TAROM', 'Romania', 'Y'),
	(5180, 'Transportes Aereos I.R. Crusoe', '\\N', '', 'ROU', 'ROBINSON CRUSOE', 'Chile', 'N'),
	(5181, 'Transportes Aereos Sierra', '\\N', '', 'RRT', 'SIERRA ALTA', 'Mexico', 'N'),
	(5182, 'Tbilisi Aviation University', '\\N', '', 'RRY', 'AIRFERRY', 'Georgia', 'N'),
	(5183, 'Trans Am Compania', '\\N', '', 'RTM', 'AERO TRANSAM', 'Ecuador', 'N'),
	(5184, 'Trans Sahara Air', '\\N', '', 'SBJ', 'TRANS SAHARA', 'Nigeria', 'N'),
	(5185, 'Transportes Aereos Sierra Madre', '\\N', '', 'SEI', 'TRANSPORTE SIERRA', 'Mexico', 'N'),
	(5186, 'Trans Asian Airlines', '\\N', '', 'SRT', 'TRASER', 'Kazakhstan', 'N'),
	(5187, 'Turan Air', '\\N', '3T', 'URN', 'TURAN', 'Azerbaijan', 'Y'),
	(5188, 'TRIP Linhas A', '\\N', '8R', 'TIB', 'TRIP', 'Brazil', 'Y'),
	(5189, 'Tusheti', '\\N', '', 'USB', 'TUSHETI', 'Georgia', 'N'),
	(5190, 'TAPC Aviatrans Aircompany', '\\N', '', 'UTM', 'AVIATAPS', 'Uzbekistan', 'N'),
	(5191, 'Trans-Ulgii', '\\N', '', 'UTN', 'TRANS-ULGII', 'Mongolia', 'N'),
	(5192, 'Transarabian Transportation Services', '\\N', '', 'UTT', 'ARABIAN TRANSPORT', 'Uganda', 'N'),
	(5193, 'Transaven', '\\N', '', 'VEN', 'TRANSAVEN AIRLINE', 'Venezuela', 'N'),
	(5194, 'Tag Aviation UK', '\\N', '', 'VIP', 'SOVEREIGN', 'United Kingdom', 'N'),
	(5195, 'Tbilaviamsheni', '\\N', '', 'VNZ', 'TBILAVIA', 'Georgia', 'N'),
	(5196, 'Taxi de Veracruz', '\\N', '', 'VRC', 'VERACRUZ', 'Mexico', 'N'),
	(5197, 'Travel Express Aviation Services', '\\N', '', 'XAR', 'TRAVEL EXPRESS', 'Indonesia', 'N'),
	(5198, 'Taxi Aero Del Norte', '\\N', '', 'XNR', 'TAXI NORTE', 'Mexico', 'N'),
	(5199, 'Transports et Travaux A', '\\N', 'OF', '', '', '', 'N'),
	(5202, 'USAF Air Mobility Operations Control Center', '\\N', '', 'DOD', '', 'United States', 'N'),
	(5203, 'U.S. Department of the Interior', '\\N', '', 'DOI', 'INTERIOR', 'United States', 'N'),
	(5204, 'United Kingdom Civil Aviation Authority', '\\N', '', 'EXM', 'EXAM', 'United Kingdom', 'N'),
	(5205, 'Union des Transports Africains de Guinee', '\\N', '', 'GIH', 'TRANSPORT AFRICAIN', 'Guinea', 'N'),
	(5206, 'US Army Parachute Team', '\\N', '', 'GKA', 'GOLDEN KNIGHTS', 'United States', 'N'),
	(5207, 'USA3000 Airlines', '\\N', 'U5', 'GWY', 'GETAWAY', 'United States', 'Y'),
	(5208, 'United Arabian Airlines', '\\N', '', 'UAB', 'UNITED ARABIAN', 'Sudan', 'N'),
	(5209, 'United Airlines', '\\N', 'UA', 'UAL', 'UNITED', 'United States', 'Y'),
	(5210, 'United Air Charters', '\\N', '', 'UAC', 'UNITAIR', 'Zimbabwe', 'Y'),
	(5211, 'United Carriers Systems', '\\N', '', 'UCS', 'UNITED CARRIERS', 'United States', 'N'),
	(5212, 'United Eagle Airlines', '\\N', '', 'UEA', 'UNITED EAGLE', 'China', 'N'),
	(5213, 'United Feeder Service', '\\N', 'U2', '', '', 'United States', 'N'),
	(5214, 'United Kingdom Civil Aviation Authority', '\\N', '', 'CFU', 'MINAIR', 'United Kingdom', 'N'),
	(5215, 'United Kingdom Royal VIP Flights', '\\N', '', 'KRF', 'KITTYHAWK', 'United Kingdom', 'N'),
	(5216, 'United Kingdom Royal VIP Flight', '\\N', '', 'KRH', 'SPARROWHAWK', 'United Kingdom', 'N'),
	(5217, 'United Kingdom Civil Aviation Authority', '\\N', '', 'SDS', 'STANDARDS', 'United Kingdom', 'N'),
	(5218, 'United Kingdom Royal VIP Flights', '\\N', '', 'TQF', 'RAINBOW', 'United Kingdom', 'N'),
	(5219, 'United States Coast Guard Auxiliary', '\\N', '', 'CGX', 'COASTGUARD AUXAIR', 'United States', 'N'),
	(5220, 'United States Department Of Agriculture', '\\N', '', 'AGR', 'AGRICULTURE', 'United States', 'N'),
	(5221, 'University Air Squadron', '\\N', '', 'UAD', '', 'United Kingdom', 'N'),
	(5222, 'University Air Squadron', '\\N', '', 'UAJ', '', 'United Kingdom', 'N'),
	(5223, 'University Air Squadron', '\\N', '', 'UAA', '', 'United Kingdom', 'N'),
	(5224, 'University Air Squadron', '\\N', '', 'UAH', '', 'United Kingdom', 'N'),
	(5225, 'Universal Avia', '\\N', '', 'HBU', 'KHARKIV UNIVERSAL', 'Ukraine', 'N'),
	(5226, 'UK HEMS', '\\N', '', 'HLE', 'HELIMED', 'United Kingdom', 'N'),
	(5227, 'USA Jet Airlines', '\\N', 'U7', 'JUS', 'JET USA', 'United States', 'N'),
	(5228, 'Unijet', '\\N', '', 'LEA', 'LEADAIR', 'France', 'N'),
	(5229, 'US Marshals Service', '\\N', '', 'MSH', 'MARSHALAIR', 'United States', 'N'),
	(5230, 'University of North Dakota', '\\N', '', 'NDU', 'SIOUX', 'United States', 'N'),
	(5231, 'Universal Airlines', '\\N', '', 'PNA', 'PACIFIC NORTHERN', 'United States', 'N'),
	(5232, 'Uganda Royal Airways', '\\N', '', 'RAU', 'UGANDA ROYAL', 'Uganda', 'N'),
	(5233, 'United Aviation Services', '\\N', '', 'SAU', 'UNISERVE', 'Spain', 'N'),
	(5234, 'Ural Airlines', '\\N', 'U6', 'SVR', 'SVERDLOVSK AIR', 'Russia', 'Y'),
	(5235, 'Ukraine Transavia', '\\N', '', 'TRB', 'KIROVTRANS', 'Ukraine', 'N'),
	(5236, 'United Arab Emirates Air Force', '\\N', '', 'UAF', 'UNIFORCE', 'United Arab Emirates', 'N'),
	(5237, 'Union Africaine des Transports', '\\N', '', 'UAI', 'UNAIR', 'Ivory Coast', 'N'),
	(5238, 'Uganda Air Cargo', '\\N', '', 'UCC', 'UGANDA CARGO', 'Uganda', 'N'),
	(5239, 'US Airports Air Charter', '\\N', '', 'UCH', 'US CHARTER', 'United States', 'N'),
	(5240, 'Ucoaviacion', '\\N', '', 'UCO', 'UCOAVIACION', 'Spain', 'N'),
	(5241, 'Ues-Avia Aircompany', '\\N', '', 'UES', 'AVIASYSTEM', 'Ukraine', 'N'),
	(5242, 'UFS', '\\N', '', 'UFS', 'FEEDER EXPRESS', 'United States', 'N'),
	(5243, 'Uganda Airlines', '\\N', '', 'UGA', 'UGANDA', 'Uganda', 'N'),
	(5244, 'Urgemer Canarias', '\\N', '', 'UGC', 'URGEMER', 'Spain', 'N'),
	(5245, 'Ukrainian Helicopters', '\\N', '', 'UHL', 'UKRAINE COPTERS', 'Ukraine', 'N'),
	(5246, 'Ulyanovsk Higher Civil Aviation School', '\\N', '', 'UHS', 'PILOT AIR', 'Russia', 'N'),
	(5247, 'Universal Jet Rental de Mexico', '\\N', '', 'UJR', 'UNIVERSAL JET', 'Mexico', 'N'),
	(5248, 'Universal Jet Aviation', '\\N', '', 'UJT', 'UNI-JET', 'United States', 'N'),
	(5249, 'UK International Airlines', '\\N', '', 'UKI', 'KHALIQ', 'United Kingdom', 'N'),
	(5250, 'Ukraine Air Alliance', '\\N', '', 'UKL', 'UKRAINE ALLIANCE', 'Ukraine', 'N'),
	(5251, 'UM Airlines', '\\N', 'UF', 'UKM', 'UKRAINE MEDITERRANEE', 'Ukraine', 'Y'),
	(5252, 'Ukraine Air Enterprise', '\\N', '', 'UKN', 'ENTERPRISE UKRAINE', 'Ukraine', 'N'),
	(5253, 'United Kingdom Home Office', '\\N', '', 'UKP', 'POLICE', 'United Kingdom', 'N'),
	(5254, 'Ukrainian Cargo Airways', '\\N', '6Z', 'UKS', 'CARGOTRANS', 'Ukraine', 'N'),
	(5255, 'Ultrair', '\\N', '', 'ULT', 'ULTRAIR', 'United States', 'N'),
	(5256, 'Unitemp-M', '\\N', '', 'UMS', 'TOPAZ', 'Russia', 'N'),
	(5257, 'Uni-Fly', '\\N', '', 'UNC', 'UNICOPTER', 'Denmark', 'N'),
	(5258, 'Union Flights', '\\N', '', 'UNF', 'UNION FLIGHTS', 'United States', 'N'),
	(5259, 'Universal Jet', '\\N', '', 'UNJ', 'PROJET', 'Spain', 'N'),
	(5260, 'Unsped Paket Servisi', '\\N', '', 'UNS', 'UNSPED', 'Turkey', 'N'),
	(5261, 'Unifly Servizi Aerei', '\\N', '', 'UNU', 'UNIEURO', 'Italy', 'N'),
	(5262, 'Ukrainian Pilot School', '\\N', '', 'UPL', 'PILOT SCHOOL', 'Ukraine', 'N'),
	(5263, 'United Parcel Service', '\\N', '5X', 'UPS', 'UPS', 'United States', 'N'),
	(5264, 'Uraiavia', '\\N', '', 'URV', 'URAI', 'Russia', 'N'),
	(5265, 'US Airways', '\\N', 'US', 'USA', 'U S AIR', 'United States', 'Y'),
	(5266, 'US Check Airlines', '\\N', '', 'USC', 'STAR CHECK', 'United States', 'N'),
	(5267, 'USAfrica Airways', '\\N', '', 'USF', 'AFRICA EXPRESS', 'United States', 'N'),
	(5268, 'US Helicopter', '\\N', '', 'USH', 'US-HELI', 'United States', 'Y'),
	(5269, 'US Jet', '\\N', '', 'USJ', 'USJET', 'United States', 'N'),
	(5270, 'US Express', '\\N', '', 'USX', 'AIR EXPRESS', 'United States', 'N'),
	(5271, 'UTair Aviation', '\\N', 'UT', 'UTA', 'UTAIR', 'Russia', 'Y'),
	(5272, 'UTAGE', '\\N', '', 'UTG', 'UTAGE', 'Equatorial Guinea', 'N'),
	(5273, 'Utair South Africa', '\\N', '', 'UTR', 'AIRUT', 'South Africa', 'N'),
	(5274, 'Ukrainian State Air Traffic Service Enterprise', '\\N', '', 'UTS', 'AIRRUH', 'Ukraine', 'N'),
	(5275, 'Urartu-Air', '\\N', '', 'UTU', '', 'Armenia', 'N'),
	(5276, 'Universal Airways', '\\N', '', 'UVA', 'UNIVERSAL', 'United States', 'N'),
	(5277, 'Universal Airlines', '\\N', '', 'UVG', 'GUYANA JET', 'Guyana', 'N'),
	(5278, 'Uvavemex', '\\N', '', 'UVM', 'UVAVEMEX', 'Mexico', 'N'),
	(5279, 'United States Air Force', '\\N', '', 'AIO', 'AIR CHIEF', 'United States', 'Y'),
	(5280, 'United Aviation', '\\N', '', 'UVN', 'UNITED AVIATION', 'Kuwait', 'N'),
	(5281, 'Uzbekistan Airways', '\\N', 'HY', 'UZB', 'UZBEK', 'Uzbekistan', 'Y'),
	(5282, 'Ukraine International Airlines', '\\N', 'PS', 'AUI', 'UKRAINE INTERNATIONAL', 'Ukraine', 'Y'),
	(5283, 'Universal Airlines', '\\N', '', 'WEC', 'AIRGO', 'United States', 'N'),
	(5284, 'US Helicopter Corporation', '\\N', 'UH', '', '', 'United States', 'Y'),
	(5288, 'V Australia Airlines', '\\N', 'VA', 'VAU', 'KANGA', 'Australia', 'N'),
	(5289, 'V Bird Airlines Netherlands', '\\N', '', 'VBA', 'VEEBEE', 'Netherlands', 'N'),
	(5290, 'V-avia Airline', '\\N', '', 'WIW', 'VEE-AVIA', 'Ukraine', 'N'),
	(5291, 'V-Berd-Avia', '\\N', '', 'VBD', 'VEEBIRD-AVIA', 'Armenia', 'N'),
	(5292, 'Vacationair', '\\N', '', 'VAC', 'VACATIONAIR', 'Canada', 'N'),
	(5293, 'Valair AG (Helicoptere)', '\\N', '', 'RDW', 'ROADWATCH', 'Switzerland', 'N'),
	(5294, 'Valan International Cargo Charter', '\\N', '', 'VLA', 'NALAU', 'South Africa', 'N'),
	(5295, 'Valan Limited', '\\N', '', 'VLN', 'VALAN', 'Moldova', 'N'),
	(5296, 'Valfell-Verkflug', '\\N', '', 'EHR', 'ROTOR', 'Iceland', 'N'),
	(5297, 'Valuair', '\\N', 'VF', 'VLU', 'VALUAIR', 'Singapore', 'Y'),
	(5298, 'Van Air Europe', '\\N', '', 'VAA', 'EUROVAN', 'Czech Republic', 'N'),
	(5299, 'Vanguardia en Aviacion en Colima', '\\N', '', 'VGC', 'VANGUARDIA COLIMA', 'Mexico', 'N'),
	(5300, 'Vanguard Airlines', '\\N', '', 'VGD', 'VANGUARD AIR', 'United States', 'N'),
	(5301, 'Vasco Air', '\\N', '', 'VFC', 'VASCO AIR', 'Vietnam', 'Y'),
	(5302, 'Vega', '\\N', '', 'VAG', 'SEGA', 'Kazakhstan', 'N'),
	(5303, 'Vega Air Company', '\\N', '', 'WGA', 'WEGA FRANKO', 'Ukraine', 'N'),
	(5304, 'Veles', '\\N', '', 'WEL', ' Ukrainian Aviation Company', 'VELES', 'N'),
	(5305, 'Verataxis', '\\N', '', 'VTX', 'VERATAXIS', 'Mexico', 'N'),
	(5306, 'Veritair Ltd', '\\N', '', 'BTP', 'NET RAIL', 'United Kingdom', 'N'),
	(5307, 'Voyageur Airways', '\\N', 'VC', 'VAL', 'VOYAGEUR', 'Canada', 'N'),
	(5308, 'Vernicos Aviation', '\\N', '', 'GRV', 'NIGHT RIDER', 'Greece', 'N'),
	(5309, 'Vietnam Airlines', '\\N', 'VN', 'HVN', 'VIET NAM AIRLINES', 'Vietnam', 'Y'),
	(5310, 'Vozdushnaya Academy', '\\N', '', 'KWA', 'VOZAIR', 'Kazakhstan', 'N'),
	(5311, 'VIM Airlines', '\\N', 'NN', 'MOV', 'MOV AIR', 'Russia', 'Y'),
	(5312, 'VIM-Aviaservice', '\\N', '', 'MVY', '', 'Russia', 'N'),
	(5313, 'VIA Rail Canada', '\\N', '2R', '', '', 'Canada', 'N'),
	(5314, 'Victoria Aviation', '\\N', '', 'ENV', 'ENDEAVOUR', 'United Kingdom', 'N'),
	(5315, 'Viscount Air Service', '\\N', '', 'VCT', 'VISCOUNT AIR', 'United States', 'N'),
	(5317, 'Vision Airlines', '\\N', '', 'SSI', 'SUPER JET', 'Nigeria', 'N'),
	(5318, 'VIP Air Charter', '\\N', '', 'FXF', 'FOX FLIGHT', 'United States', 'N'),
	(5319, 'VIP Avia', '\\N', '', 'PAV', 'NICOL', 'Kazakhstan', 'N'),
	(5320, 'VIP Avia', '\\N', '', 'PRX', 'PAREX', 'Latvia', 'N'),
	(5321, 'Visionair', '\\N', '', 'VAT', 'VISIONAIR', 'Ireland', 'N'),
	(5322, 'Viasa', '\\N', 'VA', '', '', 'Venezuela', 'N'),
	(5323, 'VICA - Viacao Charter Aereos', '\\N', '', 'VCA', 'VICA', 'Brazil', 'N'),
	(5324, 'Volare Air Charter Company', '\\N', '', 'VCM', 'CARMEN', 'United States', 'N'),
	(5325, 'Volaris', '\\N', 'Y4', 'VOI', 'VOLARIS', 'Mexico', 'Y'),
	(5326, 'Volga-Dnepr Airlines', '\\N', 'VI', 'VDA', 'VOLGA-DNEPR', 'Russia', 'Y'),
	(5327, 'Vega Airlines', '\\N', '', 'VEA', 'VEGA AIRLINES', 'Bulgaria', 'N'),
	(5328, 'Venescar Internacional', '\\N', '', 'VEC', 'VECAR', 'Venezuela', 'N'),
	(5329, 'Victor Echo', '\\N', '', 'VEE', 'VICTOR ECHO', 'Spain', 'N'),
	(5330, 'Virgin Express Ireland', '\\N', '', 'VEI', 'GREEN ISLE', 'Ireland', 'N'),
	(5331, 'Virgin America', '\\N', 'VX', 'VRD', 'REDWOOD', 'United States', 'Y'),
	(5332, 'Vieques Air Link', '\\N', '', 'VES', 'VIEQUES', 'United States', 'N'),
	(5333, 'Virgin Express', '\\N', 'TV', 'VEX', 'VIRGIN EXPRESS', 'Belgium', 'Y'),
	(5334, 'VZ Flights', '\\N', '', 'VFT', 'ZETA FLIGHTS', 'Mexico', 'N'),
	(5335, 'Virgin Nigeria Airways', '\\N', 'VK', 'VGN', 'VIRGIN NIGERIA', 'Nigeria', 'Y'),
	(5336, 'Vologda State Air Enterprise', '\\N', '', 'VGV', 'VOLOGDA AIR', 'Russia', 'N'),
	(5337, 'VH-Air Industrie', '\\N', '', 'VHA', 'AIR V-H', 'Angola', 'N'),
	(5338, 'VHM Schul-und-Charterflug', '\\N', '', 'VHM', 'EARLY BIRD', 'Germany', 'N'),
	(5339, 'Vibroair Flugservice', '\\N', '', 'VIB', 'VITUS', 'Germany', 'N'),
	(5340, 'VIP Servicios Aereos Ejecutivos', '\\N', '', 'VIC', 'VIP-EJECUTIVO', 'Mexico', 'N'),
	(5341, 'VIP Empresarial', '\\N', '', 'VIE', 'VIP EMPRESARIAL', 'Mexico', 'N'),
	(5342, 'VIF Luftahrt', '\\N', '', 'VIF', 'VIENNA FLIGHT', 'Austria', 'N'),
	(5343, 'Vega Aviation', '\\N', '', 'VIG', 'VEGA AVIATION', 'Sudan', 'N'),
	(5344, 'Vichi', '\\N', '', 'VIH', 'VICHI', 'Moldova', 'N'),
	(5345, 'Viking Airlines', '\\N', '', 'VIK', 'SWEDJET', 'Sweden', 'N'),
	(5346, 'Vinair - Helicoptereos', '\\N', '', 'VIN', 'VINAIR', 'Portugal', 'N'),
	(5347, 'Virgin Atlantic Airways', '\\N', 'VS', 'VIR', 'VIRGIN', 'United Kingdom', 'Y'),
	(5348, 'Viajes Ejecutivos Mexicanos', '\\N', '', 'VJM', 'VIAJES MEXICANOS', 'Mexico', 'N'),
	(5349, 'Vistajet', '\\N', '', 'VJT', 'VISTA', 'Canada', 'N'),
	(5350, 'Viva Macau', '\\N', 'ZG', 'VVM', 'JACKPOT', 'Macao', 'Y'),
	(5351, 'Volare Airlines', '\\N', 'VE', 'VLE', 'VOLA', 'Italy', 'Y'),
	(5352, 'Vueling Airlines', '\\N', 'VY', 'VLG', 'VUELING', 'Spain', 'Y'),
	(5353, 'Vladivostok Air', '\\N', 'XF', 'VLK', 'VLADAIR', 'Russia', 'Y'),
	(5354, 'Varig Log', '\\N', 'LC', 'VLO', 'VELOG', 'Brazil', 'Y'),
	(5355, 'Vertical-T Air Company', '\\N', '', 'VLT', 'VERTICAL', 'Russia', 'N'),
	(5356, 'Vero Monmouth Airlines', '\\N', '', 'VMA', 'VERO MONMOUTH', 'United States', 'N'),
	(5357, 'Vipport Joint Stock Company', '\\N', '', 'VNK', '', 'Russia', 'N'),
	(5358, 'Viaggio Air', '\\N', 'VM', 'VOA', 'VIAGGIO', 'Bulgaria', 'N'),
	(5359, 'Voyager Airlines', '\\N', '', 'VOG', 'VOYAGER AIR', 'Bangladesh', 'N'),
	(5360, 'Virgin Australia', '\\N', 'VA', 'VOZ', 'VIRGIN', 'Australia', 'Y'),
	(5361, 'Virgin Blue', '\\N', 'DJ', 'VBI', 'BLUEY', 'Australia', 'N'),
	(5362, 'VIP Air', '\\N', '', 'VPA', 'VIP TAXI', 'Slovakia', 'N'),
	(5363, 'Veteran Air', '\\N', '', 'VPB', 'VETERAN', 'Ukraine', 'N'),
	(5364, 'VIP-Avia', '\\N', '', 'VPV', 'VIP AVIA', 'Georgia', 'N'),
	(5365, 'Vertair', '\\N', '', 'VRA', 'VERITAIR', 'United Kingdom', 'N'),
	(5366, 'Volare Airlines', '\\N', '', 'VRE', 'UKRAINE VOLARE', 'Ukraine', 'N'),
	(5367, 'Voar Lda', '\\N', '', 'VRL', 'VOAR LINHAS', 'Angola', 'N'),
	(5368, 'VRG Linhas Aereas', 'Varig', 'RG', 'VRN', 'VARIG', 'Brazil', 'Y'),
	(5369, 'Vickers Limited', '\\N', '', 'VSB', 'VICKERS', 'United Kingdom', 'N'),
	(5370, 'Visig Operaciones Aereas', '\\N', '', 'VSG', 'VISIG', 'Spain', 'N'),
	(5371, 'Vision Airways Corporation', '\\N', '', 'VSN', 'VISION', 'Canada', 'N'),
	(5372, 'Voronezh Aircraft Manufacturing Society', '\\N', '', 'VSO', 'VASO', 'Russia', 'N'),
	(5373, 'VASP', '\\N', 'VP', 'VSP', 'VASP', 'Brazil', 'Y'),
	(5374, 'Virign Islands Seaplane Shuttle', '\\N', '', 'VSS', 'WATERBIRD', 'United States', 'N'),
	(5375, 'Vuelos Especializados Tollocan', '\\N', '', 'VTC', 'VUELOS TOLLOCAN', 'Mexico', 'N'),
	(5376, 'Vuelos Corporativos de Tehuacan', '\\N', '', 'VTH', 'VUELOS TEHUACAN', 'Mexico', 'N'),
	(5377, 'Vostok Airlines', '\\N', '', 'VTK', 'VOSTOK', 'Russia', 'N'),
	(5378, 'Victor Tagle Larrain', '\\N', '', 'VTL', 'VITALA', 'Chile', 'N'),
	(5379, 'Vointeh', '\\N', '', 'VTV', 'VOINTEH', 'Bulgaria', 'N'),
	(5380, 'Vuelos Internos Privados VIP', '\\N', '', 'VUR', 'VIPEC', 'Ecuador', 'N'),
	(5381, 'Vuela Bus', '\\N', '', 'VUS', 'VUELA BUS', 'Mexico', 'N'),
	(5382, 'Vzlyet', '\\N', '', 'VZL', 'VZLYET', 'Russia', 'N'),
	(5383, 'VLM Airlines', '\\N', 'VG', 'VLM', 'RUBENS', 'Belgium', 'Y'),
	(5384, 'Viking Express', '\\N', '', 'WCY', 'TITAN AIR', 'United States', 'N'),
	(5385, 'Victoria International Airways', '\\N', '', 'WEV', 'VICTORIA UGANDA', 'Uganda', 'N'),
	(5386, 'Volga Aviaexpress', '\\N', '', 'WLG', 'GOUMRAK', 'Russia', 'N'),
	(5387, 'WDL Aviation', '\\N', '', 'WDL', 'WDL', 'Germany', 'N'),
	(5388, 'WRA Inc', '\\N', '', 'WRR', 'WRAP AIR', 'United States', 'N'),
	(5389, 'WSI Corporation', '\\N', '', 'XWS', '', 'United States', 'N'),
	(5390, 'Walmart Aviation', '\\N', '', 'CGG', 'CHARGE', 'United States', 'N'),
	(5391, 'Walsten Air Services', '\\N', '', 'WAS', 'WALSTEN', 'Canada', 'N'),
	(5392, 'Walter I Linkoping', '\\N', '', 'GOT', 'GOTHIC', 'Sweden', 'N'),
	(5393, 'Wapiti Aviation', '\\N', '', 'WPT', 'WAPITI', 'Canada', 'N'),
	(5394, 'Warbelow\'s Air Ventures', '\\N', '', 'WAV', 'WARBELOW', 'United States', 'N'),
	(5395, 'Warwickshire Aerocentre Ltd.', '\\N', '', 'ATX', 'AIRTAX', 'United Kingdom', 'N'),
	(5396, 'Wasaya Airways', '\\N', '', 'WSG', 'WASAYA', 'Canada', 'N'),
	(5397, 'Wayraper', '\\N', '7W', '', 'WAYRAPER', 'Peru', 'Y'),
	(5398, 'Weasua Air Transport Company', '\\N', '', 'WTC', 'WATCO', 'Liberia', 'N'),
	(5399, 'WebJet Linhas A', '\\N', 'WJ', 'WEB', 'WEB-BRASIL', 'Brazil', 'Y'),
	(5400, 'Welch Aviation', '\\N', '', 'TDB', 'THUNDER BAY', 'United States', 'N'),
	(5401, 'Welcome Air', '\\N', '2W', 'WLC', 'WELCOMEAIR', 'Austria', 'Y'),
	(5402, 'Wermlandsflyg AB', '\\N', '', 'BLW', 'BLUESTAR', 'Sweden', 'N'),
	(5403, 'West Africa Airlines', '\\N', '', 'WCB', 'KILO YANKEE', 'Ghana', 'N'),
	(5404, 'West African Air Transport', '\\N', '', 'WTF', 'WESTAF AIRTRANS', 'Senegal', 'N'),
	(5405, 'West African Airlines', '\\N', '', 'WSF', '', 'Benin', 'N'),
	(5406, 'West African Cargo Airlines', '\\N', '', 'WAC', 'WESTAF CARGO', 'Mauritania', 'N'),
	(5407, 'West Air Luxembourg', '\\N', '', 'WLX', 'WEST LUX', 'Luxembourg', 'N'),
	(5408, 'West Air Sweden', '\\N', 'PT', 'SWN', 'AIR SWEDEN', 'Sweden', 'N'),
	(5409, 'West Caribbean Airways', '\\N', '', 'WCW', '', 'Colombia', 'N'),
	(5410, 'West Caribbean Costa Rica', '\\N', '', 'WCR', 'WEST CARIBBEAN', 'Costa Rica', 'N'),
	(5411, 'West Coast Air', '\\N', '8O', '', '', 'Canada', 'Y'),
	(5412, 'West Coast Airlines', '\\N', '', 'WCG', 'WHISKY INDIA', 'Ghana', 'N'),
	(5413, 'West Coast Airways', '\\N', '', 'WCA', 'WEST-LEONE', 'Sierra Leone', 'N'),
	(5414, 'West Freugh DTEO', '\\N', '', 'TEE', 'TEEBIRD', 'United Kingdom', 'N'),
	(5415, 'West Wind Aviation', '\\N', '', 'WEW', 'WESTWIND', 'Canada', 'N'),
	(5416, 'WestJet', '\\N', 'WS', 'WJA', 'WESTJET', 'Canada', 'Y'),
	(5417, 'Westair Aviation', '\\N', '', 'WAA', 'WESTAIR WINGS', 'Namibia', 'N'),
	(5418, 'Westair Cargo Airlines', '\\N', '', 'WSC', 'WESTCAR', 'Cote d\'Ivoire', 'N'),
	(5419, 'Westair Industries', '\\N', '', 'PCM', 'PAC VALLEY', 'United States', 'N'),
	(5420, 'Westcoast Energy', '\\N', '', 'BLK', 'BLUE FLAME', 'Canada', 'N'),
	(5421, 'Western Air', '\\N', '', 'WST', 'WESTERN BAHAMAS', 'Bahamas', 'N'),
	(5422, 'Western Air Couriers', '\\N', '', 'NPC', 'NORPAC', 'United States', 'N'),
	(5423, 'Western Air Express', '\\N', '', 'WAE', 'WESTERN EXPRESS', 'United States', 'N'),
	(5424, 'Western Airlines', '\\N', 'WA', 'WAL', 'WESTERN', 'United States', 'Y'),
	(5425, 'Western Arctic Air', '\\N', '', 'WAL', 'WESTERN ARCTIC', 'Canada', 'N'),
	(5426, 'Western Aviators', '\\N', '', 'WTV', 'WESTAVIA', 'United States', 'N'),
	(5427, 'Western Express Air Lines', '\\N', '', 'WES', 'WEST EX', 'Canada', 'N'),
	(5428, 'Western Pacific Airlines', '\\N', '', 'KMR', 'KOMSTAR', 'United States', 'N'),
	(5429, 'Western Pacific Airservice', '\\N', '', 'WPA', 'WESTPAC', 'Solomon Islands', 'N'),
	(5430, 'Westflight Aviation', '\\N', '', 'WSL', 'WEST LINE', 'United Kingdom', 'N'),
	(5431, 'Westgates Airlines', '\\N', '', 'WSA', 'WESTATES', 'United States', 'N'),
	(5432, 'Westland Helicopters', '\\N', '', 'WHE', 'WESTLAND', 'United Kingdom', 'N'),
	(5433, 'Westpoint Air', '\\N', '', 'WTP', 'WESTPOINT', 'Canada', 'N'),
	(5434, 'Westward Airways', '\\N', 'CN', 'WWD', 'WESTWARD', 'United States', 'N'),
	(5435, 'White', '\\N', '', 'WHT', 'YOUNG SKY', 'Portugal', 'N'),
	(5436, 'White Eagle Aviation', '\\N', '', 'WEA', 'WHITE EAGLE', 'Poland', 'N'),
	(5437, 'White River Air Services', '\\N', '', 'WRA', '', 'Canada', 'N'),
	(5438, 'Whyalla Airlines', '\\N', '', 'WWL', '', 'Australia', 'N'),
	(5439, 'Widerøe', '\\N', 'WF', 'WIF', 'WIDEROE', 'Norway', 'Y'),
	(5440, 'Wiggins Airways', '\\N', '', 'WIG', 'WIGGINS AIRWAYS', 'United States', 'N'),
	(5441, 'Wiking Helikopter Service', '\\N', '', 'WHS', 'WEEKING', 'Germany', 'N'),
	(5442, 'Wilbur\'s Flight Operations', '\\N', '', 'WFO', 'WILBURS', 'United States', 'N'),
	(5443, 'Williams Air', '\\N', '', 'WLS', 'WILLIAMS AIR', 'United States', 'N'),
	(5444, 'Williams Grand Prix Engineering', '\\N', '', 'WGP', 'GRAND PRIX', 'United Kingdom', 'N'),
	(5445, 'Wimbi Dira Airways', '\\N', '', 'WDA', 'WIMBI DIRA', 'Democratic Republic of Congo', 'N'),
	(5446, 'Winair', '\\N', '', 'WNA', 'WINAIR', 'United States', 'N'),
	(5447, 'Wind Jet', '\\N', 'IV', 'JET', 'GHIBLI', 'Italy', 'Y'),
	(5448, 'Wind Spirit Air', '\\N', '', 'WSI', 'WIND SPIRIT', 'United States', 'N'),
	(5449, 'Windrose Air', '\\N', '', 'QGA', 'QUADRIGA', 'Germany', 'N'),
	(5450, 'Windward Islands Airways International', '\\N', '', 'WIA', 'WINDWARD', 'Netherland', 'N'),
	(5451, 'Wings Air', '\\N', 'IW', 'WON', 'WINGS ABADI', 'Indonesia', 'Y'),
	(5452, 'Wings Air Transport', '\\N', '', 'WAT', '', 'Sudan', 'N'),
	(5453, 'Wings Airways', '\\N', '', 'WAW', 'WING SHUTTLE', 'United States', 'N'),
	(5454, 'Wings Aviation', '\\N', '', 'WOL', 'WINGJET', 'Guyana', 'N'),
	(5455, 'Wings Express', '\\N', '', 'WEX', 'WINGS EXPRESS', 'United States', 'N'),
	(5456, 'Wings of Alaska', '\\N', 'K5', 'WAK', 'WINGS ALASKA', 'United States', 'N'),
	(5457, 'Wings of Lebanon Aviation', '\\N', '', 'WLB', 'WING LEBANON', 'Lebanon', 'N'),
	(5458, 'Winlink', '\\N', '', 'WIN', 'WINLINK', 'Saint Lucia', 'N'),
	(5459, 'Wisconsin Air National Guard', '\\N', '', 'WAG', '', 'United States', 'N'),
	(5460, 'Wisman Aviation', '\\N', '', 'WSM', 'WISMAN', 'United States', 'N'),
	(5461, 'Wizz Air', '\\N', 'W6', 'WZZ', 'WIZZ AIR', 'Hungary', 'Y'),
	(5462, 'Wizz Air Hungary', '\\N', '8Z', 'WVL', 'WIZZBUL', 'Bulgaria', 'Y'),
	(5463, 'Wondair on Demand Aviation', '\\N', '', 'WNR', 'WONDAIR', 'Spain', 'N'),
	(5464, 'Woodgate Executive Air Charter', '\\N', '', 'CWY', 'CAUSEWAY', 'United Kingdom', 'N'),
	(5465, 'World Airways', '\\N', 'WO', 'WOA', 'WORLD', 'United States', 'Y'),
	(5466, 'World Weatherwatch', '\\N', '', 'XWW', '', 'Canada', 'N'),
	(5467, 'World Wing Aviation', '\\N', '', 'WWM', 'MANAS WING', 'Kyrgyzstan', 'N'),
	(5468, 'Worldspan', '\\N', '1P', '', '', 'United States', 'N'),
	(5469, 'Worldwide Air Charter Systems', '\\N', '', 'CSW', 'CHARTER SYSTEMS', 'Canada', 'N'),
	(5470, 'Worldwide Aviation Services', '\\N', '', 'WWS', '', 'Pakistan', 'N'),
	(5471, 'Worldwide Jet Charter', '\\N', '', 'WWI', 'WORLDWIDE', 'United States', 'N'),
	(5472, 'Wright Air Lines', '\\N', '', 'WRT', 'WRIGHT-AIR', 'United States', 'N'),
	(5473, 'Wright Air Service', '\\N', '8V', 'WRF', 'WRIGHT FLYER', 'United States', 'N'),
	(5474, 'Wuhan Airlines', '\\N', '', 'CWU', 'WUHAN AIR', 'China', 'N'),
	(5475, 'Wycombe Air Centre', '\\N', '', 'WYC', 'WYCOMBE', 'United Kingdom', 'N'),
	(5476, 'Wyoming Airlines', '\\N', '', 'WYG', 'WYOMING', 'United States', 'N'),
	(5479, 'XL Airways France', '\\N', 'SE', 'SEU', 'STARWAY', 'France', 'Y'),
	(5480, 'XP Internation', '\\N', '', 'XPS', 'XP PARCEL', 'Netherlands', 'N'),
	(5481, 'Xabre Aerolineas', '\\N', '', 'XAB', 'AERO XABRE', 'Mexico', 'N'),
	(5482, 'Xclusive Jet Charter Limited', '\\N', '', 'XJC', 'EXCLUSIVE JET', 'United Kingdom', 'N'),
	(5483, 'Xerox Corporation', '\\N', '', 'XER', 'XEROX', 'United States', 'N'),
	(5484, 'Xiamen Airlines', '\\N', 'MF', 'CXA', 'XIAMEN AIR', 'China', 'Y'),
	(5485, 'Xinjiang Airlines', '\\N', '', 'CXJ', 'XINJIANG', 'China', 'N'),
	(5486, 'Xjet Limited', '\\N', '', 'XJT', 'XRAY', 'United Kingdom', 'N'),
	(5487, 'Xtra Airways', '\\N', 'XP', 'CXP', 'RUBY MOUNTAIN', 'United States', 'N'),
	(5490, 'Yak-Service', '\\N', '', 'AKY', 'YAK-SERVICE', 'Russia', 'N'),
	(5491, 'Yakolev', '\\N', '', 'YAK', 'YAK AVIA', 'Russia', 'N'),
	(5492, 'Yamal Airlines', '\\N', 'YL', 'LLM', 'YAMAL', 'Russia', 'Y'),
	(5493, 'Yana Airlines', '\\N', '', 'CYG', 'VICAIR', 'Cambodia', 'N'),
	(5494, 'Yangtze River Express', '\\N', 'Y8', 'YZR', 'YANGTZE RIVER', 'China', 'N'),
	(5495, 'Yellow Wings Air Services', '\\N', '', 'ELW', 'YELLOW WINGS', 'Kenya', 'N'),
	(5496, 'Yemenia', '\\N', 'IY', 'IYE', 'YEMENI', 'Yemen', 'Y'),
	(5497, 'Yerevan-Avia', '\\N', '', 'ERV', 'YEREVAN-AVIA', 'Armenia', 'N'),
	(5498, 'Young Flying Service', '\\N', '', 'YFS', 'YOUNG AIR', 'United States', 'N'),
	(5499, 'Yuhi Air Lines', '\\N', '', 'AYU', '', 'Japan', 'N'),
	(5500, 'Yuzhnaya Aircompany', '\\N', '', 'UGN', 'PLUTON', 'Kazakhstan', 'N'),
	(5501, 'Yuzhmashavia', '\\N', '', 'UMK', 'YUZMASH', 'Ukraine', 'Y'),
	(5504, 'Z-Avia', '\\N', '', 'RZV', 'ZEDAVIA', 'Armenia', 'N'),
	(5505, 'Zagros Airlines', '\\N', '', 'IZG', 'ZAGROS', 'Iran', 'N'),
	(5506, 'Zaire Aero Service', '\\N', '', 'ZAI', 'ZASAIR', 'Democratic Republic of Congo', 'N'),
	(5507, 'Zairean Airlines', '\\N', '', 'ZAR', 'ZAIREAN', 'Democratic Republic of Congo', 'N'),
	(5508, 'Zambian Airways', '\\N', 'Q3', 'MBN', 'ZAMBIANA', 'Zambia', 'N'),
	(5509, 'Zambezi Airlines', '\\N', '', 'ZMA', 'ZAMBEZI WINGS', 'Zambia', 'N'),
	(5510, 'Zanair', '\\N', '', 'TAN', 'ZANAIR', 'Tanzania', 'Y'),
	(5511, 'Zantop International Airlines', '\\N', '', 'ZAN', 'ZANTOP', 'United States', 'N'),
	(5512, 'ZAS Airlines of Egypt', '\\N', '', 'ZAS', 'ZAS AIRLINES', 'Egypt', 'N'),
	(5513, 'Zenith Air', '\\N', '', 'AZR', 'ZENAIR', 'South Africa', 'N'),
	(5514, 'Zenmour Airlines', '\\N', '', 'EMR', 'ZENMOUR', 'Mauritania', 'N'),
	(5515, 'Zephyr Express', '\\N', '', 'RZR', 'RECOVERY', 'United States', 'N'),
	(5516, 'Zhejiang Airlines', '\\N', '', 'CJG', 'ZHEJIANG', 'China', 'N'),
	(5517, 'Zhetysu', '\\N', '', 'JTU', 'ZHETYSU', 'Kazakhstan', 'N'),
	(5518, 'Zhez Air', '\\N', '', 'KZH', '', 'Kazakhstan', 'N'),
	(5519, 'Zhongfei General Aviation', '\\N', '', 'CFZ', 'ZHONGFEI', 'China', 'N'),
	(5520, 'Zhongyuan Aviation', '\\N', '', 'CYN', 'ZHONGYUAN', 'China', 'N'),
	(5521, 'Zip', '\\N', '3J', 'WZP', 'ZIPPER', 'Canada', 'N'),
	(5522, 'Zimex Aviation', '\\N', 'C4', 'IMX', 'ZIMEX', 'Switzerland', 'N'),
	(5523, 'Zoom Airlines', '\\N', 'Z4', 'OOM', 'ZOOM', 'Canada', 'Y'),
	(5524, 'Zoom Airways', '\\N', '', 'ZAW', 'ZED AIR', 'Bangladesh', 'N'),
	(5525, 'Zorex', '\\N', '', 'ORZ', 'ZOREX', 'Spain', 'N'),
	(5526, 'Zracno Pristaniste Mali Losinj', '\\N', '', 'MLU', 'MALI LOSINJ', 'Croatia', 'N'),
	(5533, 'Tyrolean Airways', '\\N', '\\N', 'TYR', 'TYROLEAN', '\\N', 'Y'),
	(5556, 'buzz', '\\N', 'UK', 'BUZ', '\\N', '\\N', 'N'),
	(5559, 'Maldivian Air Taxi', '\\N', '8Q', '\\N', '\\N', 'Maldives', 'Y'),
	(5584, 'Sky Express', 'SkyExpress', 'XW', 'SXR', 'SKYSTORM', 'Russia', 'Y'),
	(5640, 'Yellow Air Taxi', '', 'Y0', '\\N', '', 'United States', 'N'),
	(5651, 'Royal Air Cambodge', '', 'VJ', 'RAC', '', 'Cambodia', 'Y'),
	(5813, 'Air Mandalay', '', '6T', '\\N', 'Six Tango', 'Burma', 'Y'),
	(5833, 'TEA Switzerland', '', '', '4SW', '', 'Switzerland', 'N'),
	(5905, 'TAN-SAHSA', '', 'SH', '\\N', 'Sierra Hotel', 'Honduras', 'N'),
	(5982, 'Air Busan', '\\N', 'BX', 'ABL', 'Air Busan', 'Republic of Korea', 'Y'),
	(6002, 'TUI Airlines Belgium', 'now Jetairlfy', 'TB', 'TUB', 'BEAUTY', 'Belgium', 'N'),
	(6182, 'Arctic Air', '', '', 'AKR', 'Arctic Norway', 'Norway', 'N'),
	(6183, 'Braathens', 'Braathens SAFE', 'BU', 'BRA', 'Braathens', 'Norway', 'N'),
	(6196, 'Globus', '', 'GH', 'GLP', '', 'Russia', 'Y'),
	(6222, 'Air Kazakhstan', '', '9Y', 'KZK', 'Kazakh', 'Kazakhstan', 'Y'),
	(6557, 'Japan Air System', '', 'JD', 'JAS', 'Air System', 'Japan', 'Y'),
	(6578, 'Annsett New Zealand (NZA)', '', 'ZQ', '\\N', '', 'New Zealand', 'N'),
	(6855, 'EasyJet (DS)', '', 'DS', '\\N', '', 'Switzerland', 'Y'),
	(6856, 'Rheintalflug', '', '', 'RTL', 'Rheintal', 'Austria', 'N'),
	(6860, 'Dan-Air London', '', '', 'DAN', '', 'United Kingdom', 'N'),
	(6862, 'Fred. Olsen', '', '', 'FOF', '', 'Norway', 'N'),
	(8359, 'Star Peru (2I)', '', '2I', '\\N', '', 'Peru', 'Y'),
	(8434, 'Robin Hood Aviation', '', '', 'RHA', 'Sherwood', 'Austria', 'N'),
	(8461, 'Carnival Air Lines', '', 'KW', '\\N', 'Carnival Air', 'United States', 'Y'),
	(8463, 'United Airways', '', '4H', 'UBD', 'UNITED BANGLADESH', 'Bangladesh', 'Y'),
	(8523, 'Inter European Airways', '', '', 'IEA', '', 'United Kingdom', 'N'),
	(8568, 'Trans Maldivian Airways', '', 'M8', 'TMW', '', 'Maldives', 'N'),
	(8576, 'Fly540', '', '5H', 'FFV', 'SWIFT TANGO', 'Kenya', 'Y'),
	(8745, 'Transavia France', '', 'TO', 'TVF', 'FRENCH SUN', 'France', 'Y'),
	(8809, 'Island Air (WP)', '', 'WP', 'MKU', '', 'United States', 'Y'),
	(9018, '1-2-go', 'fly 1-2-go', 'OG', '\\N', '', 'Thailand', 'N'),
	(9082, 'Uni Air', '', 'B7', 'UIA', 'Glory', 'Taiwan', 'Y'),
	(9135, 'Gomelavia', '', 'YD', '\\N', '', 'Belarus', 'Y'),
	(9225, 'NordWind Airlines', 'NordWind Airlines', '', 'NWS', 'NORDLAND', 'Russia', 'N'),
	(9239, 'Red Wings', 'Avialinii 400', 'WZ', 'RWZ', 'AIR RED', 'Russia', 'Y'),
	(9286, 'Hellenic Star Airways', '', '', 'HST', 'Hellenic Star', 'Greece', 'N'),
	(9287, 'BAE Systems Flight Training', '', '', 'BAZ', '', 'Australia', 'N'),
	(9335, 'TUIfly (X3)', '', '11', '\\N', '', 'Germany', 'Y'),
	(9343, 'Felix Airways', '', 'FU', 'FXX', '', 'Yemen', 'Y'),
	(9344, 'Kostromskie avialinii', '', 'K1', 'KOQ', '', 'Russia', 'Y'),
	(9373, 'Greenfly', '', 'XX', 'GFY', '', 'Spain', 'Y'),
	(9531, 'Tajik Air', '', '7J', '\\N', '', 'Tajikistan', 'Y'),
	(9541, 'Air Mozambique', '', 'TM', '\\N', '', 'Mozambique', 'Y'),
	(9577, 'ELK Airways', '', '--', 'ELK', '', 'Estonia', 'Y'),
	(9620, 'Gabon Airlines', '\\N', 'GY', 'GBK', 'GABON AIRLINES', 'Gabon', 'Y'),
	(9626, 'MCA Airlines', '', '', 'MCA', 'CALSON', 'Sweden', 'Y'),
	(9656, 'Maldivo Airlines', '', 'ML', 'MAV', 'Maldivo', 'Maldives', 'Y'),
	(9666, 'Virgin Pacific', '', 'VH', 'VNP', '', 'Fiji', 'Y'),
	(9764, 'Zest Air', '', 'Z2', '\\N', '', 'Philippines', 'Y'),
	(9784, 'Yangon Airways', '', 'HK', '\\N', 'Hotel Kilo', 'Burma', 'Y'),
	(9793, 'Transport Aérien Transrégional', 'TAT', 'IJ', '\\N', '', 'France', 'N'),
	(9798, 'LÍO Flugmennt', '', '', 'LIO', '', 'Iceland', 'N'),
	(9808, 'Minerva Airlines', '', 'N4', '\\N', '', 'Italy', 'N'),
	(9809, 'Eastar Jet', '', 'ZE', 'ESR', 'Eastar', 'South Korea', 'Y'),
	(9810, 'Jin Air', '', 'LJ', 'JNA', 'Jin Air', 'South Korea', 'Y'),
	(9811, 'Wataniya Airways', '', '', 'KW1', '', 'Kuwait', 'Y'),
	(9814, 'Aéris (Priv)', '', 'SH', '\\N', '', 'France', 'N'),
	(9818, 'Air Arabia Maroc', '', '3O', '\\N', 'Air Arabia', 'Morocco', 'Y'),
	(9825, 'Baltic Air lines', '', 'B1', 'BA1', 'Baltic', 'Latvia', 'Y'),
	(9828, 'Ciel Canadien', '', 'YC', 'YCC', 'Ciel', 'Canada', 'Y'),
	(9829, 'Canadian National Airways', '', 'CN', 'YCP', 'CaNational', 'Canada', 'Y'),
	(9833, 'Epic Holiday', 'Epic Holidays', 'FA', '4AA', 'Epic', 'United States', 'Y'),
	(9838, 'Indochina Airlines', '', '', 'AXC', 'Airspup', 'Vietnam', 'Y'),
	(9840, 'JetWind', '', '', 'JWW', 'Jetwind', 'United States', 'N'),
	(9851, 'Air Comet Chile', '', '3I', '\\N', '', 'Chile', 'Y'),
	(9853, 'Nazca', '', '-.', '\\N', '', 'Peru', 'N'),
	(9859, 'German Air Force - FLB', '', '', 'FLB', 'FLB', 'Germany', 'Y'),
	(10069, 'City-Air Germany', '', '', 'CIP', '', 'Germany', 'N'),
	(10094, 'Voronezhskie Airlanes', '', 'DN', '\\N', '', 'Russia', 'N'),
	(10114, 'Line Blue', '', 'L8', 'LBL', 'Bluebird', 'Germany', 'Y'),
	(10117, 'FlyLAL Charters', '', '', 'LLC', '', 'Lithuania', 'Y'),
	(10118, 'Blue Sky America', '', 'BU', 'BKY', '', 'United States', 'N'),
	(10119, 'Texas Spirit', '', 'XS', 'TXP', '', 'United States', 'N'),
	(10121, 'Illinois Airways', '', 'IL', 'ILW', '', 'United States', 'N'),
	(10122, 'Salzburg arrows', 'SZA', 'SZ', '\\N', 'SZA', 'Austria', 'Y'),
	(10123, 'Texas Wings', '', 'TQ', 'TXW', 'TXW', 'United States', 'Y'),
	(10124, 'California Western', '', 'KT', 'CWS', '', 'United States', 'N'),
	(10128, 'Dennis Sky', 'Dennis Sky Holding', 'DH', 'DSY', 'DSY', 'Israel', 'Y'),
	(10224, 'Zz', '', 'ZZ', '\\N', '', 'Belgium', 'Y'),
	(10226, 'Atifly', '', 'A1', 'A1F', 'atifly', 'United States', 'Y'),
	(10318, 'Air UK', '', 'UK', '\\N', '', 'United Kingdom', 'N'),
	(10334, 'Suckling Airways', '', 'CB', '\\N', '', 'United Kingdom', 'N'),
	(10367, 'Reno Sky', '', 'RY', '\\N', '', 'United States', 'N'),
	(10371, 'Aerolineas heredas santa maria', '', '', 'SZB', '', 'Dominican Republic', 'Y'),
	(10372, 'Ciao Air', '', '99', '\\N', '', 'Italy', 'Y'),
	(10642, 'Jc royal.britannica', '', '', 'JRB', '', 'United Kingdom', 'Y'),
	(10646, 'Birmingham European', '', 'VB', '\\N', '', 'United Kingdom', 'N'),
	(10650, 'Pal airlines', '', '5P', '\\N', '', 'Chile', 'Y'),
	(10673, 'CanXpress', '', 'C1', 'CA1', 'CAX', 'Canada', 'Y'),
	(10674, 'Danube Wings (V5)', '', 'V5', '\\N', '', 'Slovakia', 'Y'),
	(10675, 'Sharp Airlines', '', 'SH', 'SHA', 'SHARP', 'Australia', 'Y'),
	(10683, 'CanXplorer', '', 'C2', 'CAP', '', 'Canada', 'Y'),
	(10715, 'Click (Mexicana)', '', 'QA', '\\N', '', 'Mexico', 'Y'),
	(10735, 'World Experience Airline', 'WEA', 'W1', 'WE1', 'WEA', 'Canada', 'Y'),
	(10737, 'ALAK', '', 'J4', '\\N', '', 'Russia', 'Y'),
	(10738, 'AJT Air International', '', 'E9', '\\N', '', 'Russia', 'N'),
	(10739, 'Air Choice One', '', '3E', '\\N', '', 'United States', 'Y'),
	(10740, 'Tianjin Airlines', '', '', 'GCR', '', 'China', 'Y'),
	(10741, 'China United', '', 'KN', '\\N', '', 'China', 'Y'),
	(10748, 'Locair', '', 'ZQ', 'LOC', 'LOCAIR', 'United States', 'Y'),
	(10758, 'Safi Airlines', '', '4Q', '\\N', '', 'Afghanistan', 'Y'),
	(10765, 'SeaPort Airlines', '', 'K5', 'SQH', 'SASQUATCH', 'United States', 'Y'),
	(10776, 'Salmon Air', '', 'S6', '\\N', '', 'United States', 'Y'),
	(10796, 'Fly Illi', '', 'IL', 'ILY', '', 'United States', 'N'),
	(10798, 'Bobb Air Freight', '', '01', '\\N', '', 'Germany', 'Y'),
	(10800, 'Star1 Airlines', '', 'V9', 'HCW', '', 'Lithuania', 'Y'),
	(10845, 'Pelita', '', '6D', '\\N', '', 'Indonesia', 'Y'),
	(10902, 'Alpi Eagles (E8)', '', 'E8', '\\N', '', 'Italy', 'N'),
	(10912, 'Alaska Seaplane Service', '', 'J5', '\\N', '', 'United States', 'Y'),
	(10929, 'TAN', '', 'T8', '\\N', '', 'Argentina', 'N'),
	(10945, 'Enerjet', '', '', 'ENJ', 'ENERJET AIR', 'Canada', 'Y'),
	(10955, 'MexicanaLink', '', 'I6', 'MXI', 'LINK', 'Mexico', 'Y'),
	(10960, 'Island Spirit', '', 'IP', 'ISX', '', 'Iceland', 'Y'),
	(10969, 'TACA Peru', '', 'T0', '\\N', 'TACA PERU', 'Peru', 'Y'),
	(11700, 'Orbest', '', '', 'OBS', 'ORBEST', 'Portugal', 'Y'),
	(11719, 'Southern Air Charter', '', '', 'SOA', '', 'Bahamas', 'Y'),
	(11724, 'SVG Air', '', '', 'SVG', 'Grenadines', 'Saint Vincent and the Grenadines', 'Y'),
	(11726, 'Air Century', '', '', 'CEY', '', 'Dominican Republic', 'Y'),
	(11731, 'Pan Am World Airways Dominicana', 'PAWA Dominicana', '7Q', '\\N', 'PAWA', 'Dominican Republic', 'Y'),
	(11732, 'Primera Air', '', 'PF', '\\N', 'PRIMERA', 'Iceland', 'Y'),
	(11741, 'Air Antilles Express', '', '3S', '\\N', 'GREEN BIRD', 'Guadeloupe', 'Y'),
	(11751, 'Sol Lineas Aereas', '', '', 'OLS', 'FLIGHT SOL', 'Argentina', 'Y'),
	(11755, 'Regional Paraguaya', '', 'P7', 'REP', 'REGIOPAR', 'Paraguay', 'Y'),
	(11761, 'VIP Ecuador', '', 'V6', '\\N', '', 'Ecuador', 'Y'),
	(11762, 'Transportes Aereos Cielos Andinos', '', '', 'NDN', 'ANDINOS', 'Peru', 'Y'),
	(11763, 'Peruvian Airlines', '', 'P9', '\\N', '', 'Peru', 'Y'),
	(11765, 'EasyFly', '', '', 'EFY', 'EASYFLY', 'Colombia', 'Y'),
	(11767, 'Polar Airlines', '', 'ЯП', '\\N', '', 'Russia', 'Y'),
	(11794, 'Catovair', '', 'OC', '\\N', 'CATOVAIR', 'Mauritius', 'Y'),
	(11795, 'Andalus Lineas Aereas', '', '', 'ANU', 'Andalus', 'Spain', 'Y'),
	(11798, 'Air 26', '', '', 'DCD', 'DUCARD', 'Angola', 'Y'),
	(11800, 'Mauritania Airways', '', '', 'MTW', 'MAURITANIA AIRWAYS', 'Mauritania', 'Y'),
	(11802, 'CEIBA Intercontinental', '', '', 'CEL', 'CEIBA LINE', 'Equatorial Guinea', 'Y'),
	(11804, 'Halcyonair', '', '7Z', '\\N', 'CREOLE', 'Cape Verde', 'Y'),
	(11805, 'Business Aviation', '', '4P', '\\N', 'AFRICAN BUSINESS', 'Congo (Kinshasa)', 'Y'),
	(11806, 'Compagnie Africaine d\\\\\'Aviation', '', 'E9', '\\N', 'AFRICOMPANY', 'Congo (Kinshasa)', 'Y'),
	(11808, 'Zambia Skyways', '', 'K8', '\\N', 'ZAMBIA SKIES', 'Zambia', 'Y'),
	(11811, 'AlMasria Universal Airlines', '', 'UJ', 'LMU', 'ALMASRIA', 'Egypt', 'Y'),
	(11813, 'EgyptAir Express', '', '', 'MSE', 'EGYPTAIR EXPRESS', 'Egypt', 'Y'),
	(11814, 'SmartLynx Airlines', '', '6Y', '\\N', '', 'Latvia', 'Y'),
	(11815, 'Air Italy Egypt', '', '', 'EUD', '', 'Egypt', 'Y'),
	(11816, 'KoralBlue Airlines', '', 'K7', 'KBR', 'KORAL BLUE', 'Egypt', 'Y'),
	(11820, 'Wind Rose Aviation', '', '', 'WRC', 'WIND ROSE', 'Ukraine', 'Y'),
	(11823, 'Elysian Airlines', '', 'E4', 'GIE', '', 'Cameroon', 'Y'),
	(11833, 'Sevenair', '', '', 'SEN', 'SEVENAIR', 'Tunisia', 'Y'),
	(11834, 'Hellenic Imperial Airways', '', 'HT', 'IMP', 'IMPERIAL', 'Greece', 'Y'),
	(11836, 'Amsterdam Airlines', '', 'WD', 'AAN', 'AMSTEL', 'Netherlands', 'Y'),
	(11838, 'Arik Niger', '', 'Q9', 'NAK', '', 'Niger', 'Y'),
	(11839, 'Dana Air', '', 'DA', '\\N', 'DANACO', 'Nigeria', 'Y'),
	(11840, 'STP Airways', '', '8F', 'STP', 'SAOTOME AIRWAYS', 'Sao Tome and Principe', 'Y'),
	(11843, 'Med Airways', '', '7Y', '\\N', 'FLYING CARPET', 'Lebanon', 'Y'),
	(11850, 'Skyjet Airlines', '', 'UQ', 'SJU', 'SKYJET', 'Uganda', 'Y'),
	(11855, 'Air Volga', '', 'G6', '\\N', 'GOUMRAK', 'Russia', 'Y'),
	(11856, 'Transavia Denmark', '', '', 'TDK', '', 'Denmark', 'Y'),
	(11857, 'Royal Falcon', '', 'RL', 'RFJ', '', 'Jordan', 'Y'),
	(11873, 'Euroline', '', '4L', 'MJX', 'GEO-LINE', 'Georgia', 'Y'),
	(11922, 'Worldways', '', 'WG', 'WGC', '', 'Canada', 'N'),
	(11943, 'Turkuaz Airlines', '', '', 'TRK', 'TURKU', 'Turkey', 'Y'),
	(11947, 'Athens Airways', '', 'ZF', '\\N', 'ATHENSAIR', 'Greece', 'Y'),
	(11948, 'Viking Hellas', '', 'VQ', 'VKH', 'DELPHI', 'Greece', 'Y'),
	(11949, 'Norlandair', '', '', 'FNA', 'NORLAND', 'Iceland', 'Y'),
	(11950, 'Flugfelag Vestmannaeyja', '', '', 'FVM', 'ELEGANT', 'Iceland', 'Y'),
	(11963, 'Starline.kz', '', 'DZ', '\\N', 'ALUNK', 'Kazakhstan', 'Y'),
	(11995, 'Euro Harmony', 'Euro Harmony ', 'EH', 'EHM', '', 'Portugal', 'N'),
	(12960, 'Lugansk Airlines', '', 'L7', '\\N', 'ENTERPRISE LUHANSK', 'Ukraine', 'Y'),
	(12961, 'Gryphon Airlines', '', '6P', '\\N', '', 'United States', 'Y'),
	(12962, 'Gadair European Airlines', '', 'GP', 'GDR', 'GADAIR', 'Spain', 'Y'),
	(12965, 'Spirit of Manila Airlines', '', 'SM', 'MNP', 'MANILA SKY', 'Philippines', 'Y'),
	(12975, 'Chongqing Airlines', '', 'OQ', 'CQN', 'CHONG QING', 'China', 'Y'),
	(12976, 'Grand China Air', '', '', 'GDC', 'GRAND CHINA', 'China', 'Y'),
	(12978, 'West Air China', '', 'PN', 'CHB', 'WEST CHINA', 'China', 'Y'),
	(12990, 'Falcon Air (IH)', '', 'IH', '\\N', '', 'Sweden', 'N'),
	(12997, 'QatXpress', 'qatXpress', 'C3', 'QAX', '', 'Qatar', 'Y'),
	(13076, 'OneChina', 'OneChina', '1C', '1CH', '', 'China', 'Y'),
	(13088, 'NordStar Airlines', '', 'Y7', '\\N', '', 'Russia', 'Y'),
	(13089, 'Joy Air', '', 'JR', 'JOY', 'JOY AIR', 'China', 'Y'),
	(13105, 'Air India Regional', '', 'CD', '\\N', 'ALLIED', 'India', 'Y'),
	(13106, 'MDLR Airlines', '', '9H', '\\N', 'MDLR', 'India', 'Y'),
	(13107, 'Jagson Airlines', '', '', 'JGN', 'JAGSON', 'India', 'Y'),
	(13108, 'Maldivian', '', 'Q2', '\\N', 'ISLAND AVIATION', 'Maldives', 'Y'),
	(13130, 'Xpressair', '', 'XN', '\\N', '', 'Indonesia', 'Y'),
	(13178, 'Strategic Airlines', '', 'VC', '\\N', '', 'Australia', 'Y'),
	(13181, 'Fars Air Qeshm', '', '', 'QFZ', 'FARS AIR', 'Iran', 'Y'),
	(13187, 'Eastok Avia', '', '', 'EAA', '', 'Kyrgyzstan', 'Y'),
	(13188, 'Jupiter Airlines', '', '', 'JPU', 'JUPITERAIR', 'United Arab Emirates', 'Y'),
	(13189, 'Vision Air International', '', '', 'VIS', '', 'Pakistan', 'Y'),
	(13190, 'Al-Naser Airlines', '', 'NA', '\\N', '', 'Iraq', 'Y'),
	(13200, 'Fuji Dream Airlines', '', 'JH', '\\N', 'FUJI DREAM', 'Japan', 'Y'),
	(13202, 'Korea Express Air', '', '', 'KEA', '', 'South Korea', 'Y'),
	(13209, 'Eznis Airways', '', '', 'EZA', 'EZNIS', 'Mongolia', 'Y'),
	(13211, 'Pacific Flier', '', '', 'PFL', 'KOROR', 'Palau', 'Y'),
	(13217, 'Syrian Pearl Airlines', '', '', 'PSB', '', 'Syria', 'Y'),
	(13218, 'SGA Airlines', '', '5E', '\\N', 'SIAM', 'Thailand', 'Y'),
	(13242, 'Air2there', '', 'F8', '\\N', '', 'New Zealand', 'Y'),
	(13254, 'Avianova (Russia)', '', 'AO', '\\N', 'Nova', 'Russia', 'Y'),
	(13303, 'Parmiss Airlines (IPV)', '', 'PA', 'IPV', 'IPV', 'Iran', 'Y'),
	(13304, 'EuropeSky', '', 'ES', 'EUV', 'EuropeSky', 'Germany', 'Y'),
	(13306, 'BRAZIL AIR', 'BRAZIL AIR', 'GB', 'BZE', 'BRAZIL AIR', 'Brazil', 'Y'),
	(13335, 'Homer Air', 'Homer Sky', 'MR', 'OME', '', 'Germany', 'Y'),
	(13388, 'Court Line', '', '??', '???', '', 'United Kingdom', 'N'),
	(13389, 'South West Africa Territory Force', 'SWATF', '??', '***', '', 'Namibia', 'N'),
	(13390, 'Lombards Air', '', '++', '---', '', 'South Africa', 'N'),
	(13391, 'U.S. Air', '', '-+', '--+', '', 'United States', 'Y'),
	(13392, 'Flitestar', '', 'GM', '===', '', 'South Africa', 'N'),
	(13394, 'Jayrow', '', '\\\\\'', '\\\\\'\\\\', '', 'Australia', 'Y'),
	(13395, 'Llloyd Helicopters', '', '::', ':::', '', 'Australia', 'N'),
	(13397, 'Wilderness Air', '', ';;', '\\N', '', 'Australia', 'Y'),
	(13398, 'Whitaker Air', '', '^^', '\\N', '', 'Australia', 'Y'),
	(13633, 'PanAm World Airways', '', 'WQ', 'PQW', '', 'United States', 'Y'),
	(13690, 'Virginwings', '', 'YY', 'VWA', '', 'Germany', 'Y'),
	(13704, 'KSY', 'Kreta Sky', 'KY', 'KSY', 'KSY', 'Greece', 'Y'),
	(13732, 'Buquebus Líneas Aéreas', '', 'BQ', 'BQB', '', 'Uruguay', 'Y'),
	(13734, 'SOCHI AIR', 'SOCHI', 'CQ', 'KOL', 'SLOW FROG', 'Russia', 'Y'),
	(13757, 'Wizz Air Ukraine', '', 'WU', 'WAU', 'WIZZAIR UKRAINE', 'Ukraine', 'Y'),
	(13781, '88', '', '47', 'VVN', '', 'Cyprus', 'Y'),
	(13815, 'LCM AIRLINES', '', 'LQ', 'LMM', '', 'Russia', 'Y'),
	(13838, 'Aero Brazil', '', 'BZ', 'BZL', '', 'Brazil', 'N'),
	(13899, 'Cambodia Angkor Air (K6)', '', 'K6', '\\N', '', 'Cambodia', 'Y'),
	(13905, 'Skyline nepc', '', 'D5', '\\N', '', 'India', 'N'),
	(13923, 'THREE', '', 'H3', 'T33', '', 'China', 'N'),
	(13936, 'Royal European Airlines', '', '69', '\\N', '', 'United Kingdom', 'Y'),
	(13947, 'Tom\\\\\'s & co airliners', 'Tom\\\\\'s air', '&T', 'T&O', 'T&', 'France', 'Y'),
	(13983, 'Azul', 'Azul Linhas Aéreas Brasileiras', 'AD', 'AZU', '', 'Brazil', 'Y'),
	(14061, 'LSM Airlines', 'slowbird', 'PQ', 'LOO', 'slowbird', 'Russia', 'Y'),
	(14069, 'Zapolyarie Airlines', 'Zapolyarye Airlines', '', 'PZY', '', 'Russia', 'Y'),
	(14073, 'Finlandian', '', '', 'FN1', '', 'Finland', 'Y'),
	(14094, 'LionXpress', 'lionXpress', 'C4', 'LIX', 'LIX', 'Cameroon', 'Y'),
	(14109, 'Nik Airways', '', 'X1', '\\N', '', 'Saudi Arabia', 'N'),
	(14118, 'Genesis', '', 'GK', '\\N', '', 'Pakistan', 'Y'),
	(14388, 'Congo Express', '', 'XZ', '\\N', 'EXPRESSWAYS', 'Congo (Kinshasa)', 'Y'),
	(14485, 'Fly Dubai', '', 'FZ', 'FDB', '', 'United Arab Emirates', 'Y'),
	(14620, 'Domenican Airlines', 'Domenican', 'D1', 'MDO', 'Domenican', 'Dominican Republic', 'Y'),
	(14679, 'ConneX European Airline', '', '', '2CO', 'ConneX', 'Austria', 'Y'),
	(14725, 'Air Atlantic', '', '9A', '\\N', 'Atlantic', 'Canada', 'N'),
	(14728, 'Air Ops', '', 'CR', '\\N', '', 'Sweden', 'N'),
	(14849, 'Aereonautica militare', '', 'JY', 'AXZ', '', 'Italy', 'Y'),
	(14858, 'Kal Star Aviation', '', '', 'KLS', '', 'Indonesia', 'Y'),
	(14881, 'LSM AIRLINES ', 'Russian. Yours Air Lines ', 'YZ', 'YZZ', 'Moscow frog ', 'Russia', 'Y'),
	(14921, 'Aero Lloyd (YP)', '', 'YP', 'AEF', '', 'Germany', 'N'),
	(15814, 'UTair-Express', '', 'UR', '\\N', '', 'Russia', 'Y'),
	(15837, 'Huaxia', 'HUAXIA', 'G5', '\\N', '', 'China', 'Y'),
	(15867, 'Zabaykalskii Airlines', 'Baikal Airlines', 'ZP', 'ZZZ', 'Lakeair', 'Russia', 'Y'),
	(15887, 'CBM America', '', '', 'XBM', 'AIRMAX', 'United States', 'Y'),
	(15893, 'Marysya Airlines', 'MARYSYA AIRLINES', 'M4', '1QA', 'MARSHAK AIR', 'Russia', 'Y'),
	(15897, 'N1', '', 'N1', '\\N', '', 'Peru', 'Y'),
	(15930, 'Airlink (SAA)', '', '4Z', '\\N', '', 'South Africa', 'Y'),
	(15939, 'Westfalia Express VA', '', '', 'WFX', '', 'Germany', 'Y'),
	(15953, 'JobAir', '', '3B', '\\N', '', 'Czech Republic', 'Y'),
	(15970, 'Zuliana de Aviacion', 'Zuliana', 'OD', 'ULA', '', 'Venezuela', 'N'),
	(15975, 'Black Stallion Airways', '', 'BZ', 'BSA', 'Stallion', 'United States', 'Y'),
	(15984, 'German International Air Lines', 'Germanair', 'GM', 'GER', '', 'Germany', 'Y'),
	(15985, 'TrasBrasil', '', 'TB', 'TBZ', '', 'Brazil', 'Y'),
	(15989, 'TransBrasil Airlines', '', 'TH', 'THS', '', 'Brazil', 'Y'),
	(15999, 'China SSS', 'Chunqiu Airlines', '9C', '\\N', '', 'China', 'Y'),
	(16025, 'Nihon.jet', '', 'NJ', '\\N', '', 'Japan', 'N'),
	(16084, 'AIR INDOCHINE', '', '', 'IIA', '', 'Vietnam', 'Y'),
	(16093, 'Transportes Aéreos Nacionales de Selva', '', 'TJ', '\\N', 'Aereos Selva', 'Peru', 'N'),
	(16100, 'Happy Air', '', '', 'HPY', '', 'Thailand', 'Y'),
	(16101, 'Solar Air', '', '', 'SRB', 'Solar Air', 'Thailand', 'Y'),
	(16103, 'Air Mekong', '', 'P8', 'MKG', 'Air Mekong', 'Vietnam', 'Y'),
	(16110, 'Harbour Air (Priv)', '', 'H3', '\\N', '', 'Canada', 'Y'),
	(16116, 'Air Hamburg (AHO)', '', 'HH', 'AHO', 'Air Hamburg', 'Germany', 'Y'),
	(16120, 'ZABAIKAL AIRLINES', 'ZABAIKAL ', 'Z6', 'ZTT', 'BAIKAL ', 'Russia', 'Y'),
	(16127, 'TransHolding', 'Trans', 'TI', 'THI', '', 'Brazil', 'Y'),
	(16130, 'SUR Lineas Aereas', '', '', 'SZZ', '', 'Argentina', 'Y'),
	(16131, 'Aerolineas Africanas', '', '', 'AA1', '', 'Guinea', 'Y'),
	(16133, 'Yeti Airways', '', 'YT', '\\N', '', 'Nepal', 'Y'),
	(16134, 'Georgian Airlines', '', '', 'GEG', '', 'Georgia', 'N'),
	(16135, 'Yellowstone Club Private Shuttle', '', 'Y1', '\\N', 'YCS', 'United States', 'Y'),
	(16136, 'Caucasus Airlines', '', 'NS', '\\N', '', 'Georgia', 'Y'),
	(16139, 'Serbian Airlines', '', 'S1', 'SA1', '', 'Serbia', 'Y'),
	(16149, 'Windward Islands Airways', '', 'WM', '\\N', 'Winair', 'Netherlands Antilles', 'Y'),
	(16150, 'TransHolding System', '', 'YO', 'TYS', '', 'Brazil', 'Y'),
	(16151, 'CCML Airlines', '', 'CB', 'CCC', '', 'Colombia', 'Y'),
	(16197, 'Air Charter International', '', 'SF', '\\N', '', 'France', 'N'),
	(16198, 'Small Planet Airlines', '', '', 'ELC', '', 'Lithuania', 'Y'),
	(16234, 'Fly Brasil', 'Fly Brasil', 'F1', 'FBL', 'FBL', 'Brazil', 'Y'),
	(16260, 'AUOS', 'AUOS', '', 'AUK', 'AUOS', 'United Kingdom', 'N'),
	(16261, 'CB Airways UK ( Interliging Flights )', '', '1F', 'CIF', '', 'United Kingdom', 'Y'),
	(16262, 'Fly Colombia ( Interliging Flights )', '', '3F', '3FF', '', 'Colombia', 'Y'),
	(16264, 'Trans Pas Air', '', 'T6', 'TP6', '', 'United States', 'Y'),
	(16273, 'KMV', '', 'МИ', '\\N', 'Air Minvody', 'Russia', 'Y'),
	(16323, 'Himalayan Airlines', 'Himalaya', 'HC', 'HYM', 'Himalayan', 'Nepal', 'Y'),
	(16327, 'Indya Airline Group', 'Indya1', 'G1', 'IG1', 'Indya1', 'India', 'Y'),
	(16329, 'Sunwing', '', 'WG', '\\N', 'sunwing', 'Canada', 'Y'),
	(16358, 'Turkish Wings Domestic', '', '', 'TWD', 'TWD', 'Turkey', 'Y'),
	(16359, 'Japan Regio', '', 'ZX', 'ZXY', '', 'Japan', 'Y'),
	(16362, 'OCEAN AIR CARGO', '', '', 'IXO', '', 'India', 'Y'),
	(16363, 'Norte Lineas Aereas', 'NORTE', 'N0', '\\N', '', 'Argentina', 'Y'),
	(16364, 'Austral Brasil', 'Austral Brasil lineas aereas', 'W7', '\\N', '', 'Brazil', 'Y'),
	(16373, 'PEGASUS AIRLINES-', '', 'H9', '\\N', '', 'Turkey', 'Y'),
	(16399, 'AirLiberté', '', 'IJ', '\\N', '', 'France', 'N'),
	(16409, 'Nihon.jet connect', '', '', 'NX1', '', 'Kyrgyzstan', 'Y'),
	(16415, 'Camair-co', '', 'QC', '\\N', '', 'Cameroon', 'Y'),
	(16437, 'Aerocontinente (Priv)', '', 'N6', '\\N', '', 'Peru', 'N'),
	(16459, 'Sky Regional', 'Air Canada Express', 'RS', '\\N', 'Sky Regional', 'Canada', 'Y'),
	(16475, 'TUR Avrupa Hava YollarÄ±', 'TUR European Airways', 'YI', '\\N', 'TurAvrupa', 'Turkey', 'N'),
	(16487, 'Cruzeiro do Sul Servicos Aereos', '', '', 'CRZ', '', 'Brazil', 'N'),
	(16507, 'LSM International ', 'Moskva-air', 'II', 'UWW', 'moose', 'Russia', 'Y'),
	(16508, 'Baikotovitchestrian Airlines ', '', 'BU', 'BUU', '', 'American Samoa', 'Y'),
	(16511, 'Luchsh Airlines ', 'Air luch', 'L4', 'LJJ', 'russian sky', 'Russia', 'Y'),
	(16556, 'ENTERair', '', '', 'QQQ', '', 'Poland', 'Y'),
	(16570, 'Zimbabwean Airlines', '', 'Z7', '\\N', '', 'Zimbabwe', 'N'),
	(16585, 'Air Cargo Germany', '', '6U', '\\N', 'Loadmaster', 'Germany', 'Y'),
	(16615, 'Mongolian International Air Lines ', 'Mongol Air ', '7M', 'ZTF', 'Mongol_AIr ', 'Mongolia', 'Y'),
	(16616, 'Alaniya Airlines', 'Алания', '2D', '\\N', '', 'Russia', 'N'),
	(16624, 'Tway Airlines', '', 'TW', 'TWB', 'TWAY AIR', 'South Korea', 'Y'),
	(16625, 'Papillon Grand Canyon Helicopters', '', 'HI', '\\N', '', 'United States', 'Y'),
	(16628, 'Jusur airways', '', 'JX', 'JSR', '', 'Egypt', 'Y'),
	(16645, 'NEXT Brasil', 'NEXT', 'XB', 'NXB', 'XB', 'Brazil', 'Y'),
	(16660, 'AeroWorld ', 'Sovet Air ', 'W4', 'WER', 'sovet', 'Russia', 'Y'),
	(16671, 'Cook Island Air', '', 'KH', '\\N', '', 'Cook Islands', 'N'),
	(16675, 'US Africa Airways', '', 'E8', '\\N', '', 'United States', 'N'),
	(16695, 'GNB Linhas Aereas', '', 'GN', '\\N', '', 'Brazil', 'Y'),
	(16702, 'Usa Sky Cargo', 'USky', 'E1', 'ES2', 'USKY', 'United States', 'Y'),
	(16707, 'Hankook Airline', '', 'HN', 'HNX', 'HNX', 'South Korea', 'Y'),
	(16715, 'Red Jet America', '', 'RR', '\\N', '', 'United States', 'N'),
	(16717, 'REDjet', '', 'Z7', '\\N', '', 'Barbados', 'Y'),
	(16719, 'Hellenic Airways', '', '1H', 'HEY', 'Hellenic', 'Greece', 'N'),
	(16720, 'Red Jet Andes', '', 'PT', '\\N', '', 'Peru', 'Y'),
	(16721, 'Red Jet Canada', '', 'QY', '\\N', '', 'Canada', 'Y'),
	(16723, 'Sprintair', '', '', 'SRN', '', 'Poland', 'Y'),
	(16724, 'Red Jet Mexico', '', '4X', '\\N', '', 'Mexico', 'Y'),
	(16725, 'Marusya Airways', 'Marusya Air', 'Y8', 'MRS', 'snowball', 'Russia', 'Y'),
	(16726, 'Era Alaska', '', '7H', 'ERR', 'ERAH', 'United States', 'Y'),
	(16728, 'AirRussia', 'RussianConector', 'R8', 'RRJ', 'russiancloud', 'Russia', 'Y'),
	(16735, 'Hankook Air US', '', 'H1', 'HA1', '', 'United States', 'Y'),
	(16738, 'NEPC Airlines', '', 'D5', '\\N', '', 'India', 'N'),
	(16753, 'Canadian World', '', '10', 'CNN', 'Canadian', 'Canada', 'N'),
	(16760, 'Pim Air', '', '', 'PHJ', 'Pim Air', 'Netherlands', 'N'),
	(16794, 'Carpatair Flight Training', '', '', 'SMW', 'Smartwings', 'Romania', 'Y'),
	(16796, 'I-Fly', '', 'H5', 'RSY', 'RUSSIAN SKY', 'Russia', 'Y'),
	(16798, 'T.A.T', '', 'IJ', '\\N', '', 'France', 'N'),
	(16804, 'Compania de Aviacion Faucett', '', '', 'CFP', '', 'Peru', 'N'),
	(16808, 'Kar-Air', '', '', 'KAR', '', 'Finland', 'N'),
	(16811, 'Alinord', '', 'DN', '\\N', '', 'Italy', 'N'),
	(16825, 'Pacific Express', '', 'VB', '\\N', '', 'United States', 'N'),
	(16826, 'Whitejets', '', '', 'WTJ', 'WHITEJET', 'Brazil', 'Y'),
	(16837, 'VickJet', '', 'KT', 'VKJ', 'Vickjet', 'France', 'Y'),
	(16844, 'BVI Airways', '', 'XV', '\\N', '', 'British Virgin Islands', 'Y'),
	(16858, 'Hamburg Airways', '', '', 'HAY', '', 'Germany', 'Y'),
	(16860, 'Salsa d\\\\\'Haiti', '', 'SO', 'SLC', 'SALSA', 'Haiti', 'Y'),
	(16867, 'Zambezi Airlines (ZMA)', '', 'ZJ', '\\N', '', 'Zambia', 'Y'),
	(16868, 'Kan Air', '', '', 'KND', 'Kan Air', 'Thailand', 'Y'),
	(16881, 'Air Cudlua', 'Air Cudlua', '', 'CUD', 'Cudlua', 'United Kingdom', 'Y'),
	(16882, 'Polet Airlines (Priv)', '', 'YQ', '\\N', '', 'Russia', 'Y'),
	(16895, 'Air Explore', '', '', 'AXE', '', 'Slovakia', 'Y'),
	(16900, 'TROPICAL LINHAS AEREAS', 'TROPICAL', 'T1', 'TP3', '', 'Brazil', 'N'),
	(16901, '12 North', '', '12', 'N12', '12N', 'India', 'Y'),
	(16919, 'Holidays Czech Airlines', '', '', 'HCC', '', 'Czech Republic', 'Y'),
	(16921, 'Comtel Air', '', '', 'COE', '', 'Austria', 'Y'),
	(16926, 'Mint Airways', '', '', 'MIC', '', 'Spain', 'Y'),
	(16932, 'Orbit Airlines', 'Orbit', '', 'OBT', 'Orbit', 'United States', 'Y'),
	(16939, 'Air Bucharest', '', '', 'BUR', '', 'Romania', 'Y'),
	(16940, 'AlbaStar', '', '', 'LAV', '', 'Spain', 'Y'),
	(16942, 'Mauritania Airlines International', '', 'L6', 'MAI', '', 'Mauritania', 'Y'),
	(16956, 'MAT Airways', '', '6F', 'MKD', '', 'Macedonia', 'Y'),
	(16960, 'Asian Wings Airways', '', 'AW', 'AWM', 'Asian Star', 'Burma', 'Y'),
	(16963, 'Air Arabia Egypt', '', 'E5', 'RBG', '', 'Egypt', 'Y'),
	(16967, 'Eagles Airlines', '', '', 'EGS', 'EAGLES', 'Italy', 'Y'),
	(16973, 'YES Airways', '', '', 'YEP', '', 'Poland', 'Y'),
	(16975, 'Alitalia Cityliner', '', 'CT', '\\N', '', 'Italy', 'Y'),
	(16983, 'Direct Aero Services', '', '', 'DSV', '', 'Romania', 'Y'),
	(16985, 'Medallion Air', '', '', 'MDP', 'MEDALS', 'Romania', 'Y'),
	(17022, 'Orchid Airlines', '', 'OI', 'ORC', '', 'Australia', 'Y'),
	(17023, 'Asia Wings', '', 'Y5', 'AWA', '', 'Kazakhstan', 'Y'),
	(17026, 'Georgian International Airlines', '', '', 'GNN', 'GEO-LINE', 'Georgia', 'Y'),
	(17027, 'Air Batumi', '', '', 'BTM', '', 'Georgia', 'Y'),
	(17082, 'Skywest Australia', '', 'XR', '\\N', '', 'Australia', 'Y'),
	(17083, 'Nile Air', '', 'NP', 'NIA', 'NILEBIRD', 'Egypt', 'Y'),
	(17086, 'Feeder Airlines', '', '', 'FDD', '', 'Sudan', 'Y'),
	(17094, 'Senegal Airlines', '', 'DN', 'SGG', '', 'Senegal', 'Y'),
	(17095, 'Fly 6ix', '', '6I', '\\N', '', 'Sierra Leone', 'Y'),
	(17099, 'Starbow Airlines', '', 'S9', '\\N', '', 'Ghana', 'Y'),
	(17115, 'Copenhagen Express', '', '0X', 'CX0', 'Copex', 'Denmark', 'Y'),
	(17408, 'BusinessAir', '', '8B', 'BCC', '', 'Thailand', 'Y'),
	(17519, 'SENIC AIRLINES', '', 'YR', '\\N', '', 'United States', 'Y'),
	(17557, 'Compass Airlines (Australia)', 'Southern Cross Airlines', '', 'CYM', 'Compair', 'Australia', 'N'),
	(17563, 'XOJET', '', '', 'XOJ', '', 'United States', 'Y'),
	(17568, 'Dexter (DXT)', 'Декстер авиатакси', '', 'DXT', 'Dexter', 'Russia', 'N'),
	(17571, 'Sky Wing Pacific', '', 'C7', 'CR7', '', 'South Korea', 'Y'),
	(17572, 'Bateleur Air', '', '', 'BEU', '', 'South Africa', 'Y'),
	(17574, 'Air Indus', 'Indus Airlines Pak', 'PP', 'AI0', 'AIPL', 'Pakistan', 'Y'),
	(17575, 'Samurai Airlines', 'Samurai Airlines (DUMMY)', '07', '770', 'Sam', 'Pakistan', 'N'),
	(17614, 'AirOne Continental', 'AirOne Continental', '00', '000', 'Eastern', 'Slovakia', 'N'),
	(17618, 'AirOne Polska', 'AirOne Polska', 'U1', '001', 'AOC', 'Poland', 'N'),
	(17628, 'Orbit International Airlines', '', '', 'OAI', 'OA', 'United States', 'Y'),
	(17629, 'Orbit Regional Airlines', '', '', 'OAR', 'OA', 'United States', 'Y'),
	(17630, 'Orbit Atlantic Airways', '', '', 'OAN', '', 'United States', 'Y'),
	(17658, 'Volotea', '', '', 'VOO', 'Volotea', 'Spain', 'Y'),
	(17666, 'Go Fly (United Kingdom)', '', '', 'GOE', 'Go Flight', 'United Kingdom', 'N'),
	(17675, 'Peach Aviation', '', 'MM', '\\N', 'Air Peach', 'Japan', 'Y'),
	(17694, 'Helitt Líneas Aéreas', '', '', 'HTH', '', 'Spain', 'Y'),
	(17695, 'Russia State Transport', 'Federal State Budget Inst', '', 'RSD', 'STATE AERO', 'Russia', 'Y'),
	(17726, 'Malaysia Wings', '', '', 'MWI', 'MWI', 'Malaysia', 'Y'),
	(17750, 'Aviabus', '', 'U1', 'ABI', '', 'Russia', 'Y'),
	(17780, 'Michael Airlines', 'Javi', 'DF', 'MJG', 'MJG', 'Puerto Rico', 'Y'),
	(17786, 'Korongo Airlines', '', 'ZC', 'KGO', 'KORONGO', 'Congo (Kinshasa)', 'Y'),
	(17794, 'Indonesia Sky', '', 'I5', 'IDS', '', 'Indonesia', 'Y'),
	(17822, 'Pelangi ', '', '9P', '\\N', '', 'Malaysia', 'N'),
	(17841, 'Aws express', '', 'B0', '666', 'aws', 'United States', 'Y'),
	(17859, 'Southjet', '', '76', 'SJS', '', 'United States', 'Y'),
	(17860, 'Southjet connect', '', '77', 'ZCS', '', 'United States', 'Y'),
	(17861, 'Air Cape', '', 'KP', '\\N', '', 'South Africa', 'N'),
	(17862, 'Southjet cargo', '', '78', 'XAN', '', 'United States', 'Y'),
	(17881, 'Iberia Express', '', 'I2', 'IBS', '', 'Spain', 'Y'),
	(17885, 'Interjet (ABC Aerolineas)', '', '4O', '\\N', 'INTERJET', 'Mexico', 'Y'),
	(17889, 'AirOnix', '', 'OG', '\\N', '', 'Ukraine', 'Y'),
	(17890, 'Nordic Global Airlines', '', 'NJ', 'NGB', 'Nordic Global', 'Finland', 'Y'),
	(17891, 'Scoot', '', 'TZ', 'SCO', '', 'Singapore', 'Y'),
	(17893, 'Starling Airlines Spain', '', 'SX', 'STS', 'STARLING', 'Spain', 'N'),
	(17909, 'Hi Fly (5K)', '', '5K', '\\N', '', 'Portugal', 'Y'),
	(17911, 'China Northwest Airlines (WH)', '', 'WH', '\\N', '', 'China', 'Y'),
	(17935, 'Zenith International Airline', 'Zenith', 'ZN', 'ZNA', 'ZENITH', 'Thailand', 'Y'),
	(17936, 'Orbit Airlines Azerbaijan', 'Orbit Azerbaijan', 'O1', 'OAB', 'Orbitaz', 'Azerbaijan', 'Y'),
	(17955, 'Air Engiadina-BRN', 'Air Engiadina-BRN', '', 'RQX', 'Engiadina', 'Switzerland', 'N'),
	(17963, 'VG Airlines (IV)', '', '', 'FVG', 'Nico', 'Belgium', 'N'),
	(17989, 'Air Alps Aviation (A6)', '', 'A6', '\\N', 'ALPAV', 'Austria', 'Y'),
	(18011, 'Austrian Airtransport', '', '', 'AAT', '', 'Austria', 'N'),
	(18076, 'Flying kangaroo Airline', 'Skippy', '', 'FKA', 'Skippy', 'Australia', 'Y'),
	(18083, 'RusJet', '', '', 'RSJ', '', 'Russia', 'Y'),
	(18118, 'VietJet Air', 'VietJet', '', 'VJC', 'VIETJETAIR', 'Vietnam', 'Y'),
	(18140, 'Spantax S.A.', '', '', 'BXS', '', 'Spain', 'N'),
	(18169, 'Patriot Airways', '', 'P4', '\\N', '', 'United States', 'Y'),
	(18178, 'Vision Airlines (V2)', '', 'V2', 'RBY', 'RUBY', 'United States', 'Y'),
	(18228, 'Chicago Express (C8)', 'ATA Connection', 'C8', '\\N', '', 'United States', 'N'),
	(18232, 'BQB Lineas Aereas', 'Buquebus', '5Q', '\\N', '', 'Uruguay', 'Y'),
	(18237, 'AirAsia Japan', '', '', 'WAJ', 'WING ASIA', 'Japan', 'Y'),
	(18239, 'Yellowtail', '', 'YE', 'YEL', '', 'United States', 'Y'),
	(18241, 'Royal Airways', 'Royal Inc.', 'KG', 'RAW', 'RAW', 'United States', 'Y'),
	(18252, 'FlyHigh Airlines Ireland (FH)', '', 'FH', 'FHI', 'FLYHIRELAND', 'Ireland', 'Y'),
	(18257, 'Executive AirShare', '', '', 'XSR', '', 'United States', 'Y'),
	(18475, 'Hebei Airlines', '', '', 'HBH', 'Hebei Air', 'China', 'Y'),
	(18476, 'Air KBZ', '', '', 'KBZ', 'Air KBZ', 'Burma', 'Y'),
	(18477, 'Aero VIP (2D)', '', '2D', '\\N', '', 'Portugal', 'Y'),
	(18497, 'Yangon Airways Ltd.', '', 'YH', '\\N', '', 'Burma', 'Y'),
	(18529, 'T.J. Air', '', 'TJ', 'TJA', 'T.J. Air', 'United States', 'Y'),
	(18543, 'SkyWork Airlines ', '', 'SX', '\\N', 'SKYFOX', 'Switzerland', 'Y'),
	(18545, 'ValueJet', '', 'J7', 'VJA', 'CRITTER', 'United States', 'N'),
	(18553, 'Maastricht Airlines', '', 'W2', '\\N', '', 'Netherlands', 'Y'),
	(18592, 'CheapFlyingInternational', 'CheapFlying', 'WL', 'FQR', 'cheapflying', 'France', 'N'),
	(18616, 'Aviaexpresscruise', '', 'E6', '\\N', '', 'Russia', 'N'),
	(18617, 'Euro Jet', '', '24', '\\N', '', 'Germany', 'Y'),
	(18621, 'Ukraine Atlantic', '', '', 'UAT', '', 'Ukraine', 'Y'),
	(18637, 'AirOne Atlantic', 'AirOneAtlantic', '00', 'AO1', '', 'Slovakia', 'N'),
	(18643, 'HQ- Business Express', '', 'HQ', '\\N', 'BizEx', 'United States', 'N'),
	(18668, 'Nesma Airlines', '', '', 'NMA', 'Nesma Airlines', 'Egypt', 'Y'),
	(18672, 'East Horizon', '', '', 'EHN', 'EAST HORIZON', 'Afghanistan', 'Y'),
	(18673, 'Royal Southern Airlines.', 'Royal Southern', 'R1', 'RS1', 'RSA', 'Colombia', 'N'),
	(18676, 'Air Majoro', '', '', 'MJP', 'Air Majoro', 'Peru', 'Y'),
	(18681, 'Fly Zoom', '', '', 'UKZ', '', 'United Kingdom', 'N'),
	(18692, 'Rotana Jet', '', '', 'RJD', 'ROTANA', 'United Arab Emirates', 'Y'),
	(18700, 'SOCHI AIR CHATER', 'Sochi Air ', 'Q3', 'QER', 'russian doll', 'Russia', 'Y'),
	(18702, 'Denim Air ', 'FlyNonstop', 'J7', '\\N', 'DNM', 'Norway', 'Y'),
	(18722, 'WestAir', '', 'OE', '\\N', '', 'United States', 'N'),
	(18723, 'WestAir Airlines', '', 'OE', '\\N', '', 'United States', 'N'),
	(18724, 'WestAir Airlines ', '', 'OE', '\\N', '', 'United States', 'N'),
	(18727, 'North Pacific Airlines', '', 'NO', '\\N', '', 'United States', 'N'),
	(18732, 'Malindo Air', '', 'OD', 'MXD', 'Malindo', 'Malaysia', 'Y'),
	(18749, 'Tramm Airlines', 'Tramm Airlines', '9F', 'TLM', '9F', 'Netherlands Antilles', 'N'),
	(18762, 'Lina Congo', '', 'GC', '\\N', '', 'Congo (Brazzaville)', 'N'),
	(18781, 'Hermes Airlines', '', '', 'HRM', 'HERMES', 'Greece', 'Y'),
	(18825, 'Flightlink Tanzania', 'Flightlink', 'Z9', '\\N', '', 'Tanzania', 'Y'),
	(18828, 'IzAvia', '', 'I8', '\\N', '', 'Russia', 'Y'),
	(18860, 'Катэкавиа', '', '', 'КТК', '', 'Russia', 'Y'),
	(18863, 'Псковавиа', 'Псков Авиа', '', 'PKV', '', 'Russia', 'Y'),
	(18896, '3 Valleys Airlines', '', '3V', 'VA3', '3 Valleys', 'France', 'N'),
	(18930, 'Maryland Air', 'Maryland', 'M1', 'M1F', 'Maryland Flight', 'United States', 'Y'),
	(18944, 'Insel Air (7I/INC) (Priv)', '', '7I', '\\N', '', 'Netherlands Antilles', 'Y'),
	(18946, 'VivaColombia', '', '5Z', 'VVC', '', 'Colombia', 'Y'),
	(18952, 'Flybe Finland Oy', '', '', 'FCM', 'FINNCOMM', 'Finland', 'Y'),
	(18959, 'Bingo Airways', 'Bingo', '', 'BGY', '', 'Poland', 'Y'),
	(19007, 'Bluebird Airways (BZ)', '', '', 'BBG', '', 'Greece', 'Y'),
	(19016, 'Apache Air', 'Apache', 'ZM', 'IWA', 'APACHE', 'United States', 'Y'),
	(19025, 'Taunus Air Gmbh', '', '', 'TAQ', 'Taunusair', 'Germany', 'N'),
	(19026, 'MHS Aviation GmbH', '', 'M2', '\\N', '', 'Germany', 'Y'),
	(19030, 'Jettor Airlines', 'Jettor', 'NR', 'JTO', 'JETHAPPY', 'Hong Kong', 'Y'),
	(19204, 'Eastern Atlantic Charters', '', '', 'EDI', '', 'United States', 'N'),
	(19208, 'GoDutch', '', 'GD', 'GOD', '', 'Netherlands', 'N'),
	(19215, 'Flyme (VP)', '', '', 'VQI', '', 'Maldives', 'Y'),
	(19225, 'Thai Lion Air', '', 'SL', '\\N', '', 'Thailand', 'Y'),
	(19231, 'Deutsche Luftverkehrsgesellschaft', '', 'DW', 'DLT', '', 'Germany', 'N'),
	(19232, 'Nürnberger Flugdienst', '', '', 'NFD', '', 'Germany', 'N'),
	(19244, 'Golden Myanmar Airlines', '', '', 'GMR', 'Golden Myanmar', 'Burma', 'Y'),
	(19262, 'ViznAir', '', '', 'VZA', 'Brian', 'United States', 'N'),
	(19276, 'Canaryfly', '', '', 'CNF', '', 'Spain', 'Y'),
	(19280, 'Sunrise Airways', '', '', 'KSZ', '', 'Haiti', 'Y'),
	(19287, 'National Air Cargo', '', 'N8', 'NCR', '', 'United States', 'Y'),
	(19290, 'Eastern Atlantic Virtual Airlines', '', '13', 'EAV', 'EAVA', 'United States', 'Y'),
	(19305, 'Citilink Indonesia', '', 'QG', '\\N', 'SUPERGREEN', 'Indonesia', 'Y'),
	(19317, 'Gulisano airways', '', 'GU', 'GU1', '', 'Italy', 'N'),
	(19337, 'Transair', '', '', 'TTZ', '', 'Canada', 'Y'),
	(19350, 'Comfort Express Virtual Charters Albany', '', '', 'EVC', 'Comfort Express', 'United States', 'Y'),
	(19351, 'Comfort Express Virtual Charters', '', '', 'CEO', '', 'United States', 'Y'),
	(19358, 'Caribbean Wings', '', 'XP', 'ZYZ', 'caribbean Wings', 'Turks and Caicos Islands', 'N'),
	(19359, 'FLYJET', '', '', 'FYJ', 'Fast Jet', 'Poland', 'Y'),
	(19361, 'Snowbird Airlines', '', 'S8', 'SBD', '', 'Finland', 'Y'),
	(19363, 'Russkie Krylya', '', '', 'KRY', '', 'Russia', 'Y'),
	(19367, 'Kharkiv Airlines', '', 'KH', 'KHK', '', 'Ukraine', 'Y'),
	(19423, 'Key Air', '', '', 'KWY', 'KeyAir', 'United States', 'N'),
	(19433, 'XAIR USA', '', 'XA', 'XAU', 'XAIR', 'United States', 'Y'),
	(19451, 'Air Costa', '', 'LB', '\\N', '', 'India', 'Y'),
	(19459, 'Simrik Airlines', '', '', 'RMK', '', 'Nepal', 'Y'),
	(19465, 'Global Freightways', '', 'F5', 'GF5', 'Freight', 'United States', 'N'),
	(19473, 'XPTO', 'XPTO  ', 'XP', 'XPT', 'XPTO', 'Portugal', 'Y'),
	(19474, 'Royal Flight', '', '', 'DME', '', 'Russia', 'Y'),
	(19525, 'BBN-Airways', 'BlackBurn', '', 'EGH', 'BBN', 'United Kingdom', 'Y'),
	(19531, 'Tomsk-Avia', '', '', 'TKS', '', 'Russia', 'Y'),
	(19538, 'Vintage Props and Jets', '', '', 'VPP', 'VINTAGE', 'United States', 'N'),
	(19541, 'Malawian Airlines', '', '3W', '\\N', '', 'Malawi', 'Y'),
	(19548, 'Yeti Airlines ', '', '', 'NYT', '', 'Nepal', 'Y'),
	(19567, 'Avilu', 'Avilu\' SA', '..', '...', '', 'Switzerland', 'Y'),
	(19599, 'Skyline Ulasim Ticaret A.S.', 'Skyline Ulasim Ticaret A.S.', '', 'KCU', 'Kocoglu', 'Turkey', 'Y'),
	(19619, 'Envoy Air', '', '', 'ENY', 'Envoy', 'United States', 'Y'),
	(19651, 'CARICOM AIRWAYS (BARBADOS) INC.', 'CARICOM AIRWAYS', '', 'CCB', '', 'Barbados', 'Y'),
	(19674, 'Rainbow Air (RAI)', 'Rainbow Air (RAI)', 'RN', 'RAB', 'Rainbow', 'United States', 'Y'),
	(19675, 'Rainbow Air Canada', 'Rainbow Air CAN', 'RY', 'RAY', 'Rainbow CAN', 'Canada', 'Y'),
	(19676, 'Rainbow Air Polynesia', 'Rainbow Air POL', 'RX', 'RPO', 'Rainbow Air', 'United States', 'Y'),
	(19677, 'Rainbow Air Euro', 'Rainbow Air EU', 'RU', 'RUE', 'Rainbow Air', 'United Kingdom', 'Y'),
	(19678, 'Rainbow Air US', 'Rainbow Air US', 'RM', 'RNY', 'Rainbow Air', 'United States', 'Y'),
	(19745, 'Transilvania', '', '', 'TNS', '', 'Romania', 'Y'),
	(19751, 'Dobrolet', 'Добролёт', 'QD', 'DOB', 'DOBROLET', 'Russia', 'Y'),
	(19774, 'Spike Airlines', 'Aero Spike', 'S0', 'SAL', 'Spike Air', 'United States', 'Y'),
	(19776, 'Grand Cru Airlines', '', '', 'GCA', '', 'Lithuania', 'Y'),
	(19785, 'Go2Sky', '', '', 'RLX', 'RELAX', 'Slovakia', 'Y'),
	(19803, 'All Argentina', 'All Argentina', 'L1', 'AL1', '', 'Argentina', 'Y'),
	(19804, 'All America', 'All America', 'A2', 'AL2', '', 'United States', 'Y'),
	(19805, 'All Asia', 'All Asia', 'L9', 'AL3', '', 'China', 'Y'),
	(19806, 'All Africa', 'All Africa', '9A', '99F', '', 'South Africa', 'Y'),
	(19807, 'Regionalia México', 'Regionalia México', 'N4', 'J88', '', 'Mexico', 'Y'),
	(19808, 'All Europe', 'All Europe', 'N9', 'N99', '', 'United Kingdom', 'Y'),
	(19809, 'All Spain', 'All Spain', 'N7', 'N77', '', 'Spain', 'Y'),
	(19810, 'Regional Air Iceland', 'Regional Air Iceland', '9N', 'N78', '', 'Iceland', 'Y'),
	(19811, 'British Air Ferries', '', '??', '??!', '', 'United Kingdom', 'N'),
	(19812, 'Voestar', 'Voestar Brasil', '8K', 'K88', '', 'Brazil', 'Y'),
	(19813, 'All Colombia', 'All Colombia', '7O', '7KK', '', 'Colombia', 'Y'),
	(19814, 'Regionalia Uruguay', 'Regionalia Uruguay', '2X', '2K2', '', 'Uruguay', 'Y'),
	(19815, 'Regionalia Venezuela', 'Regionalia Venezuela', '9X', '9XX', '', 'Venezuela', 'Y'),
	(19827, 'Regionalia Chile', 'Regionalia Chile', '9J', 'CR1', '', 'Chile', 'Y'),
	(19828, 'Vuela Cuba', 'Vuela Cuba', '6C', '6CC', '', 'Cuba', 'Y'),
	(19830, 'All Australia', 'All Australia', '88', '8K8', '', 'Australia', 'Y'),
	(19831, 'Fly Europa', '', 'ER', 'RWW', '', 'Spain', 'Y'),
	(19834, 'FlyPortugal', '', 'PO', 'FPT', 'FlyPortugal', 'Portugal', 'Y'),
	(19845, 'FTI Fluggesellschaft', '', '', 'FTI', '', 'Germany', 'N');
/*!40000 ALTER TABLE `airline` ENABLE KEYS */;


-- Dumping structure for table openflights.airport
CREATE TABLE IF NOT EXISTS `airport` (
  `Airport_ID` int(11) NOT NULL COMMENT 'Unique OpenFlights identifier for this airport',
  `Name` varchar(100) DEFAULT NULL COMMENT '	Name of airport. May or may not contain the City name.',
  `City` varchar(50) DEFAULT NULL COMMENT 'Main city served by airport. May be spelled differently from Name.',
  `Country` varchar(50) DEFAULT NULL COMMENT 'Country or territory where airport is located.',
  `IATA_FAA` varchar(5) DEFAULT NULL COMMENT '3-letter FAA code, for airports located in Country "United States of America"., 3-letter IATA code, for all other airports., Blank if not assigned.',
  `ICAO` varchar(5) DEFAULT NULL COMMENT '4-letter ICAO code. Blank if not assigned.',
  `Latitude` double DEFAULT NULL COMMENT 'Decimal degrees, usually to six significant digits. Negative is South, positive is North.',
  `Longitude` double DEFAULT NULL COMMENT 'Decimal degrees, usually to six significant digits. Negative is West, positive is East.',
  `Altitude` double DEFAULT NULL COMMENT 'In feet.',
  `Timezone` float DEFAULT NULL COMMENT 'Hours offset from UTC. Fractional hours are expressed as decimals, eg. India is 5.5.',
  `DST` char(1) DEFAULT NULL COMMENT 'Daylight savings time. One of E (Europe), A (US/Canada), S (South America), O (Australia), Z (New Zealand), N (None) or U (Unknown).',
  `Tz` varchar(50) DEFAULT NULL COMMENT 'Tz database time zone, Timezone in "tz" (Olson) format, eg. "America/Los_Angeles".',
  PRIMARY KEY (`Airport_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table openflights.airport: ~7.893 rows (approximately)
DELETE FROM `airport`;
/*!40000 ALTER TABLE `airport` DISABLE KEYS */;
INSERT INTO `airport` (`Airport_ID`, `Name`, `City`, `Country`, `IATA_FAA`, `ICAO`, `Latitude`, `Longitude`, `Altitude`, `Timezone`, `DST`, `Tz`) VALUES
	(1, 'Goroka', 'Goroka', 'Papua New Guinea', 'GKA', 'AYGA', -6.081689, 145.391881, 5282, 10, 'U', 'Pacific/Port_Moresby'),
	(2, 'Madang', 'Madang', 'Papua New Guinea', 'MAG', 'AYMD', -5.207083, 145.7887, 20, 10, 'U', 'Pacific/Port_Moresby'),
	(3, 'Mount Hagen', 'Mount Hagen', 'Papua New Guinea', 'HGU', 'AYMH', -5.826789, 144.295861, 5388, 10, 'U', 'Pacific/Port_Moresby'),
	(4, 'Nadzab', 'Nadzab', 'Papua New Guinea', 'LAE', 'AYNZ', -6.569828, 146.726242, 239, 10, 'U', 'Pacific/Port_Moresby'),
	(5, 'Port Moresby Jacksons Intl', 'Port Moresby', 'Papua New Guinea', 'POM', 'AYPY', -9.443383, 147.22005, 146, 10, 'U', 'Pacific/Port_Moresby'),
	(6, 'Wewak Intl', 'Wewak', 'Papua New Guinea', 'WWK', 'AYWK', -3.583828, 143.669186, 19, 10, 'U', 'Pacific/Port_Moresby'),
	(7, 'Narsarsuaq', 'Narssarssuaq', 'Greenland', 'UAK', 'BGBW', 61.160517, -45.425978, 112, -3, 'E', 'America/Godthab'),
	(8, 'Nuuk', 'Godthaab', 'Greenland', 'GOH', 'BGGH', 64.190922, -51.678064, 283, -3, 'E', 'America/Godthab'),
	(9, 'Sondre Stromfjord', 'Sondrestrom', 'Greenland', 'SFJ', 'BGSF', 67.016969, -50.689325, 165, -3, 'E', 'America/Godthab'),
	(10, 'Thule Air Base', 'Thule', 'Greenland', 'THU', 'BGTL', 76.531203, -68.703161, 251, -4, 'E', 'America/Thule'),
	(11, 'Akureyri', 'Akureyri', 'Iceland', 'AEY', 'BIAR', 65.659994, -18.072703, 6, 0, 'N', 'Atlantic/Reykjavik'),
	(12, 'Egilsstadir', 'Egilsstadir', 'Iceland', 'EGS', 'BIEG', 65.283333, -14.401389, 76, 0, 'N', 'Atlantic/Reykjavik'),
	(13, 'Hornafjordur', 'Hofn', 'Iceland', 'HFN', 'BIHN', 64.295556, -15.227222, 24, 0, 'N', 'Atlantic/Reykjavik'),
	(14, 'Husavik', 'Husavik', 'Iceland', 'HZK', 'BIHU', 65.952328, -17.425978, 48, 0, 'N', 'Atlantic/Reykjavik'),
	(15, 'Isafjordur', 'Isafjordur', 'Iceland', 'IFJ', 'BIIS', 66.058056, -23.135278, 8, 0, 'N', 'Atlantic/Reykjavik'),
	(16, 'Keflavik International Airport', 'Keflavik', 'Iceland', 'KEF', 'BIKF', 63.985, -22.605556, 171, 0, 'N', 'Atlantic/Reykjavik'),
	(17, 'Patreksfjordur', 'Patreksfjordur', 'Iceland', 'PFJ', 'BIPA', 65.555833, -23.965, 11, 0, 'N', 'Atlantic/Reykjavik'),
	(18, 'Reykjavik', 'Reykjavik', 'Iceland', 'RKV', 'BIRK', 64.13, -21.940556, 48, 0, 'N', 'Atlantic/Reykjavik'),
	(19, 'Siglufjordur', 'Siglufjordur', 'Iceland', 'SIJ', 'BISI', 66.133333, -18.916667, 10, 0, 'N', 'Atlantic/Reykjavik'),
	(20, 'Vestmannaeyjar', 'Vestmannaeyjar', 'Iceland', 'VEY', 'BIVM', 63.424303, -20.278875, 326, 0, 'N', 'Atlantic/Reykjavik'),
	(21, 'Sault Ste Marie', 'Sault Sainte Marie', 'Canada', 'YAM', 'CYAM', 46.485001, -84.509445, 630, -5, 'A', 'America/Toronto'),
	(22, 'Winnipeg St Andrews', 'Winnipeg', 'Canada', 'YAV', 'CYAV', 50.056389, -97.0325, 760, -6, 'A', 'America/Winnipeg'),
	(23, 'Shearwater', 'Halifax', 'Canada', 'YAW', 'CYAW', 44.639721, -63.499444, 167, -4, 'A', 'America/Halifax'),
	(24, 'St Anthony', 'St. Anthony', 'Canada', 'YAY', 'CYAY', 51.391944, -56.083056, 108, -3.5, 'A', 'America/St_Johns'),
	(25, 'Tofino', 'Tofino', 'Canada', 'YAZ', 'CYAZ', 49.082222, -125.7725, 80, -8, 'A', 'America/Vancouver'),
	(26, 'Kugaaruk', 'Pelly Bay', 'Canada', 'YBB', 'CYBB', 68.534444, -89.808056, 56, -7, 'A', 'America/Edmonton'),
	(27, 'Baie Comeau', 'Baie Comeau', 'Canada', 'YBC', 'CYBC', 49.1325, -68.204444, 71, -5, 'A', 'America/Toronto'),
	(28, 'Bagotville', 'Bagotville', 'Canada', 'YBG', 'CYBG', 48.330555, -70.996391, 522, -5, 'A', 'America/Toronto'),
	(29, 'Baker Lake', 'Baker Lake', 'Canada', 'YBK', 'CYBK', 64.298889, -96.077778, 59, -6, 'A', 'America/Winnipeg'),
	(30, 'Campbell River', 'Campbell River', 'Canada', 'YBL', 'CYBL', 49.950832, -125.270833, 346, -8, 'A', 'America/Vancouver'),
	(31, 'Brandon Muni', 'Brandon', 'Canada', 'YBR', 'CYBR', 49.91, -99.951944, 1343, -6, 'A', 'America/Winnipeg'),
	(32, 'Cambridge Bay', 'Cambridge Bay', 'Canada', 'YCB', 'CYCB', 69.108055, -105.138333, 90, -7, 'A', 'America/Edmonton'),
	(33, 'Nanaimo', 'Nanaimo', 'Canada', 'YCD', 'CYCD', 49.052333, -123.870167, 93, -8, 'A', 'America/Vancouver'),
	(34, 'Castlegar', 'Castlegar', 'Canada', 'YCG', 'CYCG', 49.296389, -117.6325, 1624, -8, 'A', 'America/Vancouver'),
	(35, 'Miramichi', 'Chatham', 'Canada', 'YCH', 'CYCH', 47.007778, -65.449167, 108, -4, 'A', 'America/Halifax'),
	(36, 'Charlo', 'Charlo', 'Canada', 'YCL', 'CYCL', 47.990833, -66.330278, 132, -4, 'A', 'America/Halifax'),
	(37, 'Kugluktuk', 'Coppermine', 'Canada', 'YCO', 'CYCO', 67.816667, -115.143889, 74, -7, 'A', 'America/Edmonton'),
	(38, 'Coronation', 'Coronation', 'Canada', 'YCT', 'CYCT', 52.075001, -111.445278, 2595, -7, 'A', 'America/Edmonton'),
	(39, 'Chilliwack', 'Chilliwack', 'Canada', 'YCW', 'CYCW', 49.152779, -121.93889, 32, -8, 'A', 'America/Vancouver'),
	(40, 'Clyde River', 'Clyde River', 'Canada', 'YCY', 'CYCY', 70.486111, -68.516667, 87, -5, 'A', 'America/Toronto'),
	(41, 'Fairmont Hot Springs', 'Coral Harbour', 'Canada', 'YZS', 'CYCZ', 64.193333, -83.359444, 2661, -5, 'A', 'America/Coral_Harbour'),
	(42, 'Dawson City', 'Dawson', 'Canada', 'YDA', 'CYDA', 64.043056, -139.127778, 1215, -8, 'A', 'America/Vancouver'),
	(43, 'Burwash', 'Burwash', 'Canada', 'YDB', 'CYDB', 61.371111, -139.040556, 2647, -8, 'A', 'America/Vancouver'),
	(44, 'Princeton', 'Princeton', 'Canada', 'YDC', 'CYDC', 49.468056, -120.511389, 2298, -8, 'A', 'America/Vancouver'),
	(45, 'Deer Lake', 'Deer Lake', 'Canada', 'YDF', 'CYDF', 49.210833, -57.391388, 72, -3.5, 'A', 'America/St_Johns'),
	(46, 'Dease Lake', 'Dease Lake', 'Canada', 'YDL', 'CYDL', 58.422222, -130.032222, 2600, -8, 'A', 'America/Vancouver'),
	(47, 'Dauphin Barker', 'Dauphin', 'Canada', 'YDN', 'CYDN', 51.100834, -100.0525, 999, -6, 'A', 'America/Winnipeg'),
	(48, 'Dawson Creek', 'Dawson Creek', 'Canada', 'YDQ', 'CYDQ', 55.742333, -120.183, 2148, -7, 'A', 'America/Dawson_Creek'),
	(49, 'Edmonton Intl', 'Edmonton', 'Canada', 'YEG', 'CYEG', 53.309723, -113.579722, 2373, -7, 'A', 'America/Edmonton'),
	(50, 'Arviat', 'Eskimo Point', 'Canada', 'YEK', 'CYEK', 61.094166, -94.070833, 32, -6, 'A', 'America/Winnipeg'),
	(51, 'Estevan', 'Estevan', 'Canada', 'YEN', 'CYEN', 49.210278, -102.965833, 1905, -6, 'N', 'America/Regina'),
	(52, 'Edson', 'Edson', 'Canada', 'YET', 'CYET', 53.578888, -116.465, 3041, -7, 'A', 'America/Edmonton'),
	(53, 'Eureka', 'Eureka', 'Canada', 'YEU', 'CYEU', 79.994722, -85.814167, 256, -6, 'A', 'America/Winnipeg'),
	(54, 'Inuvik Mike Zubko', 'Inuvik', 'Canada', 'YEV', 'CYEV', 68.304167, -133.482778, 224, -7, 'A', 'America/Edmonton'),
	(55, 'Iqaluit', 'Iqaluit', 'Canada', 'YFB', 'CYFB', 63.75639, -68.555832, 110, -5, 'A', 'America/Toronto'),
	(56, 'Fredericton', 'Fredericton', 'Canada', 'YFC', 'CYFC', 45.868889, -66.537222, 68, -4, 'A', 'America/Halifax'),
	(57, 'Forestville', 'Forestville', 'Canada', '', 'CYFE', 48.746111, -69.097222, 293, -5, 'A', 'America/Toronto'),
	(58, 'Flin Flon', 'Flin Flon', 'Canada', 'YFO', 'CYFO', 54.678055, -101.681667, 997, -6, 'A', 'America/Winnipeg'),
	(59, 'Fort Resolution', 'Fort Resolution', 'Canada', 'YFR', 'CYFR', 61.180832, -113.689722, 526, -7, 'A', 'America/Edmonton'),
	(60, 'Fort Simpson', 'Fort Simpson', 'Canada', 'YFS', 'CYFS', 61.760153, -121.236525, 555, -7, 'A', 'America/Edmonton'),
	(61, 'Kingston', 'Kingston', 'Canada', 'YGK', 'CYGK', 44.225277, -76.596944, 305, -5, 'A', 'America/Toronto'),
	(62, 'La Grande Riviere', 'La Grande Riviere', 'Canada', 'YGL', 'CYGL', 53.625278, -77.704167, 639, -5, 'A', 'America/Toronto'),
	(63, 'Gaspe', 'Gaspe', 'Canada', 'YGP', 'CYGP', 48.775278, -64.478611, 108, -5, 'A', 'America/Toronto'),
	(64, 'Geraldton Greenstone Regional', 'Geraldton', 'Canada', 'YGQ', 'CYGQ', 49.778332, -86.939445, 1144, -5, 'A', 'America/Toronto'),
	(65, 'Iles De La Madeleine', 'Iles De La Madeleine', 'Canada', 'YGR', 'CYGR', 47.424721, -61.778056, 35, -5, 'A', 'America/Toronto'),
	(66, 'Hudson Bay', 'Hudson Bay', 'Canada', 'YHB', 'CYHB', 52.816666, -102.31139, 1175, -6, 'N', 'America/Regina'),
	(67, 'Dryden Rgnl', 'Dryden', 'Canada', 'YHD', 'CYHD', 49.831667, -92.744167, 1354, -6, 'A', 'America/Winnipeg'),
	(68, 'Ulukhaktok Holman', 'Holman Island', 'Canada', 'YHI', 'CYHI', 70.762778, -117.806111, 117, -7, 'A', 'America/Edmonton'),
	(69, 'Gjoa Haven', 'Gjoa Haven', 'Canada', 'YHK', 'CYHK', 68.635556, -95.849722, 152, -7, 'A', 'America/Edmonton'),
	(70, 'Hamilton', 'Hamilton', 'Canada', 'YHM', 'CYHM', 43.173611, -79.935, 780, -5, 'A', 'America/Toronto'),
	(71, 'St Hubert', 'Montreal', 'Canada', 'YHU', 'CYHU', 45.5175, -73.416944, 90, -5, 'A', 'America/Toronto'),
	(72, 'Hay River', 'Hay River', 'Canada', 'YHY', 'CYHY', 60.839722, -115.782778, 543, -7, 'A', 'America/Edmonton'),
	(73, 'Halifax Intl', 'Halifax', 'Canada', 'YHZ', 'CYHZ', 44.880833, -63.50861, 477, -4, 'A', 'America/Halifax'),
	(74, 'Atikokan Muni', 'Atikokan', 'Canada', 'YIB', 'CYIB', 48.773888, -91.638611, 1408, -5, 'A', 'America/Coral_Harbour'),
	(75, 'Pond Inlet', 'Pond Inlet', 'Canada', 'YIO', 'CYIO', 72.683334, -77.966667, 181, -5, 'A', 'America/Toronto'),
	(76, 'St Jean', 'St. Jean', 'Canada', 'YJN', 'CYJN', 45.294445, -73.281111, 136, -5, 'A', 'America/Toronto'),
	(77, 'Stephenville', 'Stephenville', 'Canada', 'YJT', 'CYJT', 48.544167, -58.549999, 80, -3.5, 'A', 'America/St_Johns'),
	(78, 'Kamloops', 'Kamloops', 'Canada', 'YKA', 'CYKA', 50.702222, -120.444444, 1133, -8, 'A', 'America/Vancouver'),
	(79, 'Waterloo', 'Waterloo', 'Canada', 'YKF', 'CYKF', 43.460833, -80.378611, 1054, -5, 'A', 'America/Toronto'),
	(80, 'Schefferville', 'Schefferville', 'Canada', 'YKL', 'CYKL', 54.805278, -66.805278, 1709, -5, 'A', 'America/Toronto'),
	(81, 'Kindersley', 'Kindersley', 'Canada', 'YKY', 'CYKY', 51.5175, -109.180833, 2277, -6, 'N', 'America/Regina'),
	(82, 'Buttonville Muni', 'Toronto', 'Canada', 'YKZ', 'CYKZ', 43.862221, -79.37, 650, -5, 'A', 'America/Toronto'),
	(83, 'Chapleau', 'Chapleau', 'Canada', 'YLD', 'CYLD', 47.82, -83.346667, 1470, -5, 'A', 'America/Toronto'),
	(84, 'Meadow Lake', 'Meadow Lake', 'Canada', 'YLJ', 'CYLJ', 54.125278, -108.522778, 1576, -6, 'N', 'America/Regina'),
	(85, 'Lloydminster', 'Lloydminster', 'Canada', 'YLL', 'CYLL', 53.309166, -110.0725, 2193, -7, 'A', 'America/Edmonton'),
	(86, 'Alert', 'Alert', 'Canada', 'YLT', 'CYLT', 82.517778, -62.280556, 100, -5, 'A', 'America/Toronto'),
	(87, 'Kelowna', 'Kelowna', 'Canada', 'YLW', 'CYLW', 49.956112, -119.377778, 1409, -8, 'A', 'America/Vancouver'),
	(88, 'Mayo', 'Mayo', 'Canada', 'YMA', 'CYMA', 63.616389, -135.868333, 1653, -8, 'A', 'America/Vancouver'),
	(89, 'Moose Jaw Air Vice Marshal C M Mcewen', 'Moose Jaw', 'Canada', 'YMJ', 'CYMJ', 50.330278, -105.559167, 1892, -6, 'N', 'America/Regina'),
	(90, 'Fort Mcmurray', 'Fort Mcmurray', 'Canada', 'YMM', 'CYMM', 56.653333, -111.221944, 1211, -7, 'A', 'America/Edmonton'),
	(91, 'Moosonee', 'Moosonee', 'Canada', 'YMO', 'CYMO', 51.291111, -80.607778, 30, -5, 'A', 'America/Toronto'),
	(92, 'Maniwaki', 'Maniwaki', 'Canada', 'YMW', 'CYMW', 46.272778, -75.990556, 656, -5, 'A', 'America/Toronto'),
	(93, 'Montreal Intl Mirabel', 'Montreal', 'Canada', 'YMX', 'CYMX', 45.681944, -74.005278, 270, -5, 'A', 'America/Toronto'),
	(94, 'Natashquan', 'Natashquan', 'Canada', 'YNA', 'CYNA', 50.19, -61.789167, 39, -5, 'A', 'America/Toronto'),
	(95, 'Gatineau', 'Gatineau', 'Canada', 'YND', 'CYND', 45.521694, -75.563589, 211, -5, 'A', 'America/Toronto'),
	(96, 'Matagami', 'Matagami', 'Canada', 'YNM', 'CYNM', 49.761667, -77.802778, 918, -5, 'A', 'America/Toronto'),
	(97, 'Old Crow', 'Old Crow', 'Canada', 'YOC', 'CYOC', 67.570556, -139.839167, 824, -8, 'A', 'America/Vancouver'),
	(98, 'Cold Lake', 'Cold Lake', 'Canada', 'YOD', 'CYOD', 54.404999, -110.279444, 1775, -7, 'A', 'America/Edmonton'),
	(99, 'High Level', 'High Level', 'Canada', 'YOJ', 'CYOJ', 58.621389, -117.164722, 1110, -7, 'A', 'America/Edmonton'),
	(100, 'Ottawa Macdonald Cartier Intl', 'Ottawa', 'Canada', 'YOW', 'CYOW', 45.3225, -75.669167, 374, -5, 'A', 'America/Toronto'),
	(101, 'Prince Albert Glass Field', 'Prince Albert', 'Canada', 'YPA', 'CYPA', 53.214167, -105.672778, 1405, -6, 'N', 'America/Regina'),
	(102, 'Peace River', 'Peace River', 'Canada', 'YPE', 'CYPE', 56.226944, -117.447222, 1873, -7, 'A', 'America/Edmonton'),
	(103, 'Southport', 'Portage-la-prairie', 'Canada', 'YPG', 'CYPG', 49.903056, -98.273889, 885, -6, 'A', 'America/Winnipeg'),
	(104, 'Pitt Meadows', 'Pitt Meadows', 'Canada', '', 'CYPK', 49.21611, -122.71, 11, -8, 'A', 'America/Vancouver'),
	(105, 'Pickle Lake', 'Pickle Lake', 'Canada', 'YPL', 'CYPL', 51.446388, -90.214167, 1267, -5, 'A', 'America/Coral_Harbour'),
	(106, 'Port Menier', 'Port Menier', 'Canada', 'YPN', 'CYPN', 49.836389, -64.288611, 167, -5, 'A', 'America/Toronto'),
	(107, 'Peterborough', 'Peterborough', 'Canada', 'YPQ', 'CYPQ', 44.23, -78.363333, 628, -5, 'A', 'America/Toronto'),
	(108, 'Prince Rupert', 'Prince Pupert', 'Canada', 'YPR', 'CYPR', 54.28611, -130.444722, 116, -8, 'A', 'America/Vancouver'),
	(109, 'Fort Chipewyan', 'Fort Chipewyan', 'Canada', 'YPY', 'CYPY', 58.767223, -111.117222, 761, -7, 'A', 'America/Edmonton'),
	(110, 'Muskoka', 'Muskoka', 'Canada', 'YQA', 'CYQA', 44.974722, -79.303333, 925, -5, 'A', 'America/Toronto'),
	(111, 'Quebec Jean Lesage Intl', 'Quebec', 'Canada', 'YQB', 'CYQB', 46.791111, -71.393333, 244, -5, 'A', 'America/Toronto'),
	(112, 'Red Deer Regional', 'Red Deer Industrial', 'Canada', 'YQF', 'CYQF', 52.182222, -113.894444, 2968, -7, 'A', 'America/Edmonton'),
	(113, 'Windsor', 'Windsor', 'Canada', 'YQG', 'CYQG', 42.275556, -82.955556, 622, -5, 'A', 'America/Toronto'),
	(114, 'Watson Lake', 'Watson Lake', 'Canada', 'YQH', 'CYQH', 60.116389, -128.8225, 2255, -8, 'A', 'America/Vancouver'),
	(115, 'Kenora', 'Kenora', 'Canada', 'YQK', 'CYQK', 49.788334, -94.363056, 1332, -6, 'A', 'America/Winnipeg'),
	(116, 'Lethbridge', 'Lethbridge', 'Canada', 'YQL', 'CYQL', 49.630278, -112.799722, 3047, -7, 'A', 'America/Edmonton'),
	(117, 'Greater Moncton Intl', 'Moncton', 'Canada', 'YQM', 'CYQM', 46.112221, -64.678611, 232, -4, 'A', 'America/Halifax'),
	(119, 'Comox', 'Comox', 'Canada', 'YQQ', 'CYQQ', 49.710833, -124.886667, 84, -8, 'A', 'America/Vancouver'),
	(120, 'Regina Intl', 'Regina', 'Canada', 'YQR', 'CYQR', 50.431944, -104.665833, 1894, -6, 'N', 'America/Regina'),
	(121, 'Thunder Bay', 'Thunder Bay', 'Canada', 'YQT', 'CYQT', 48.371944, -89.323889, 653, -5, 'A', 'America/Toronto'),
	(122, 'Grande Prairie', 'Grande Prairie', 'Canada', 'YQU', 'CYQU', 55.179722, -118.885, 2195, -7, 'A', 'America/Edmonton'),
	(123, 'Yorkton Muni', 'Yorkton', 'Canada', 'YQV', 'CYQV', 51.264721, -102.461667, 1635, -6, 'N', 'America/Regina'),
	(124, 'North Battleford', 'North Battleford', 'Canada', 'YQW', 'CYQW', 52.769167, -108.24361, 1799, -6, 'N', 'America/Regina'),
	(125, 'Gander Intl', 'Gander', 'Canada', 'YQX', 'CYQX', 48.936944, -54.568056, 496, -3.5, 'A', 'America/St_Johns'),
	(126, 'Sydney', 'Sydney', 'Canada', 'YQY', 'CYQY', 46.161388, -60.047779, 203, -4, 'A', 'America/Halifax'),
	(127, 'Quesnel', 'Quesnel', 'Canada', 'YQZ', 'CYQZ', 53.026112, -122.510278, 1789, -8, 'A', 'America/Vancouver'),
	(128, 'Resolute Bay', 'Resolute', 'Canada', 'YRB', 'CYRB', 74.716944, -94.969444, 215, -6, 'A', 'America/Winnipeg'),
	(129, 'Riviere Du Loup', 'Riviere Du Loup', 'Canada', 'YRI', 'CYRI', 47.764444, -69.584722, 427, -5, 'A', 'America/Toronto'),
	(130, 'Roberval', 'Roberval', 'Canada', 'YRJ', 'CYRJ', 48.52, -72.265556, 586, -5, 'A', 'America/Toronto'),
	(131, 'Rocky Mountain House', 'Rocky Mountain House', 'Canada', 'YRM', 'CYRM', 52.429722, -114.904167, 3244, -7, 'A', 'America/Edmonton'),
	(132, 'Rankin Inlet', 'Rankin Inlet', 'Canada', 'YRT', 'CYRT', 62.81139, -92.115833, 94, -6, 'A', 'America/Winnipeg'),
	(133, 'Sudbury', 'Sudbury', 'Canada', 'YSB', 'CYSB', 46.625, -80.798889, 1141, -5, 'A', 'America/Toronto'),
	(134, 'Sherbrooke', 'Sherbrooke', 'Canada', 'YSC', 'CYSC', 45.438611, -71.691389, 792, -5, 'A', 'America/Toronto'),
	(135, 'Saint John', 'St. John', 'Canada', 'YSJ', 'CYSJ', 45.316111, -65.890278, 357, -4, 'A', 'America/Halifax'),
	(136, 'Fort Smith', 'Fort Smith', 'Canada', 'YSM', 'CYSM', 60.020278, -111.961944, 671, -7, 'A', 'America/Edmonton'),
	(137, 'Nanisivik', 'Nanisivik', 'Canada', 'YSR', 'CYSR', 72.982222, -84.613611, 2106, -5, 'A', 'America/Toronto'),
	(138, 'Summerside', 'Summerside', 'Canada', 'YSU', 'CYSU', 46.440556, -63.833611, 56, -4, 'A', 'America/Halifax'),
	(139, 'Sachs Harbour', 'Sachs Harbour', 'Canada', 'YSY', 'CYSY', 71.993889, -125.2425, 282, -7, 'A', 'America/Edmonton'),
	(140, 'Cape Dorset', 'Cape Dorset', 'Canada', 'YTE', 'CYTE', 64.23, -76.526667, 164, -5, 'A', 'America/Toronto'),
	(141, 'Thompson', 'Thompson', 'Canada', 'YTH', 'CYTH', 55.801111, -97.864166, 729, -6, 'A', 'America/Winnipeg'),
	(142, 'Trenton', 'Trenton', 'Canada', 'YTR', 'CYTR', 44.118889, -77.528056, 283, -5, 'A', 'America/Toronto'),
	(143, 'Timmins', 'Timmins', 'Canada', 'YTS', 'CYTS', 48.569721, -81.376667, 967, -5, 'A', 'America/Toronto'),
	(144, 'City Centre', 'Toronto', 'Canada', 'YTZ', 'CYTZ', 43.627499, -79.396167, 251, -5, 'A', 'America/Toronto'),
	(145, 'Tuktoyaktuk', 'Tuktoyaktuk', 'Canada', 'YUB', 'CYUB', 69.433334, -133.026389, 15, -7, 'A', 'America/Edmonton'),
	(146, 'Pierre Elliott Trudeau Intl', 'Montreal', 'Canada', 'YUL', 'CYUL', 45.470556, -73.740833, 118, -5, 'A', 'America/Toronto'),
	(147, 'Repulse Bay', 'Repulse Bay', 'Canada', 'YUT', 'CYUT', 66.521389, -86.224722, 80, -6, 'A', 'America/Winnipeg'),
	(148, 'Hall Beach', 'Hall Beach', 'Canada', 'YUX', 'CYUX', 68.776111, -81.243611, 27, -5, 'A', 'America/Toronto'),
	(149, 'Rouyn Noranda', 'Rouyn', 'Canada', 'YUY', 'CYUY', 48.206111, -78.835556, 988, -5, 'A', 'America/Toronto'),
	(150, 'La Ronge', 'La Ronge', 'Canada', 'YVC', 'CYVC', 55.15139, -105.261944, 1242, -6, 'N', 'America/Regina'),
	(151, 'Vermilion', 'Vermillion', 'Canada', 'YVG', 'CYVG', 53.355833, -110.82389, 2025, -7, 'A', 'America/Edmonton'),
	(152, 'Qikiqtarjuaq', 'Broughton Island', 'Canada', 'YVM', 'CYVM', 67.545833, -64.031389, 21, -5, 'A', 'America/Toronto'),
	(153, 'Val D Or', 'Val D\'or', 'Canada', 'YVO', 'CYVO', 48.053333, -77.782778, 1107, -5, 'A', 'America/Toronto'),
	(154, 'Kuujjuaq', 'Quujjuaq', 'Canada', 'YVP', 'CYVP', 58.096111, -68.426944, 129, -5, 'A', 'America/Toronto'),
	(155, 'Norman Wells', 'Norman Wells', 'Canada', 'YVQ', 'CYVQ', 65.281617, -126.798219, 238, -7, 'A', 'America/Edmonton'),
	(156, 'Vancouver Intl', 'Vancouver', 'Canada', 'YVR', 'CYVR', 49.193889, -123.184444, 14, -8, 'A', 'America/Vancouver'),
	(157, 'Buffalo Narrows', 'Buffalo Narrows', 'Canada', 'YVT', 'CYVT', 55.841944, -108.4175, 1444, -6, 'N', 'America/Regina'),
	(158, 'Wiarton', 'Wiarton', 'Canada', 'YVV', 'CYVV', 44.745834, -81.107222, 729, -5, 'A', 'America/Toronto'),
	(159, 'Petawawa', 'Petawawa', 'Canada', 'YWA', 'CYWA', 45.952221, -77.319168, 427, -5, 'A', 'America/Toronto'),
	(160, 'Winnipeg Intl', 'Winnipeg', 'Canada', 'YWG', 'CYWG', 49.910036, -97.239886, 783, -6, 'A', 'America/Winnipeg'),
	(161, 'Wabush', 'Wabush', 'Canada', 'YWK', 'CYWK', 52.921944, -66.864444, 1808, -4, 'A', 'America/Halifax'),
	(162, 'Williams Lake', 'Williams Lake', 'Canada', 'YWL', 'CYWL', 52.183056, -122.054167, 3085, -8, 'A', 'America/Vancouver'),
	(163, 'Wrigley', 'Wrigley', 'Canada', 'YWY', 'CYWY', 63.209444, -123.436667, 489, -7, 'A', 'America/Edmonton'),
	(164, 'Canadian Rockies Intl', 'Cranbrook', 'Canada', 'YXC', 'CYXC', 49.612222, -115.781944, 3084, -7, 'A', 'America/Edmonton'),
	(165, 'Edmonton City Centre', 'Edmonton', 'Canada', 'YXD', 'CYXD', 53.5725, -113.520556, 2200, -7, 'A', 'America/Edmonton'),
	(166, 'Saskatoon J G Diefenbaker Intl', 'Saskatoon', 'Canada', 'YXE', 'CYXE', 52.170834, -106.699722, 1653, -6, 'N', 'America/Regina'),
	(167, 'Medicine Hat', 'Medicine Hat', 'Canada', 'YXH', 'CYXH', 50.01889, -110.720833, 2352, -7, 'A', 'America/Edmonton'),
	(168, 'Fort St John', 'Fort Saint John', 'Canada', 'YXJ', 'CYXJ', 56.238056, -120.740278, 2280, -7, 'A', 'America/Dawson_Creek'),
	(169, 'Sioux Lookout', 'Sioux Lookout', 'Canada', 'YXL', 'CYXL', 50.113889, -91.905278, 1258, -6, 'A', 'America/Winnipeg'),
	(170, 'Pangnirtung', 'Pangnirtung', 'Canada', 'YXP', 'CYXP', 66.145, -65.713611, 75, -5, 'A', 'America/Toronto'),
	(171, 'Timiskaming Rgnl', 'Earlton', 'Canada', 'YXR', 'CYXR', 47.695, -79.848889, 798, -5, 'A', 'America/Toronto'),
	(172, 'Prince George', 'Prince George', 'Canada', 'YXS', 'CYXS', 53.889444, -122.678889, 2267, -8, 'A', 'America/Vancouver'),
	(173, 'Terrace', 'Terrace', 'Canada', 'YXT', 'CYXT', 54.468508, -128.576219, 713, -8, 'A', 'America/Vancouver'),
	(174, 'London', 'London', 'Canada', 'YXU', 'CYXU', 43.033056, -81.151111, 912, -5, 'A', 'America/Toronto'),
	(175, 'Abbotsford', 'Abbotsford', 'Canada', 'YXX', 'CYXX', 49.025278, -122.360556, 195, -8, 'A', 'America/Vancouver'),
	(176, 'Whitehorse Intl', 'Whitehorse', 'Canada', 'YXY', 'CYXY', 60.709553, -135.067269, 2317, -8, 'A', 'America/Vancouver'),
	(177, 'North Bay', 'North Bay', 'Canada', 'YYB', 'CYYB', 46.363611, -79.422778, 1215, -5, 'A', 'America/Toronto'),
	(178, 'Calgary Intl', 'Calgary', 'Canada', 'YYC', 'CYYC', 51.113888, -114.020278, 3557, -7, 'A', 'America/Edmonton'),
	(179, 'Smithers', 'Smithers', 'Canada', 'YYD', 'CYYD', 54.824722, -127.182778, 1712, -8, 'A', 'America/Vancouver'),
	(180, 'Fort Nelson', 'Fort Nelson', 'Canada', 'YYE', 'CYYE', 58.836389, -122.596944, 1253, -8, 'A', 'America/Vancouver'),
	(181, 'Penticton', 'Penticton', 'Canada', 'YYF', 'CYYF', 49.463056, -119.602222, 1129, -8, 'A', 'America/Vancouver'),
	(182, 'Charlottetown', 'Charlottetown', 'Canada', 'YYG', 'CYYG', 46.290001, -63.121111, 160, -4, 'A', 'America/Halifax'),
	(183, 'Taloyoak', 'Spence Bay', 'Canada', 'YYH', 'CYYH', 69.546667, -93.576667, 92, -7, 'A', 'America/Edmonton'),
	(184, 'Victoria Intl', 'Victoria', 'Canada', 'YYJ', 'CYYJ', 48.646944, -123.425833, 63, -8, 'A', 'America/Vancouver'),
	(185, 'Lynn Lake', 'Lynn Lake', 'Canada', 'YYL', 'CYYL', 56.863888, -101.07611, 1170, -6, 'A', 'America/Winnipeg'),
	(186, 'Swift Current', 'Swift Current', 'Canada', 'YYN', 'CYYN', 50.291944, -107.690556, 2680, -6, 'N', 'America/Regina'),
	(187, 'Churchill', 'Churchill', 'Canada', 'YYQ', 'CYYQ', 58.739167, -94.065, 94, -6, 'A', 'America/Winnipeg'),
	(188, 'Goose Bay', 'Goose Bay', 'Canada', 'YYR', 'CYYR', 53.319168, -60.425833, 160, -4, 'A', 'America/Halifax'),
	(189, 'St Johns Intl', 'St. John\'s', 'Canada', 'YYT', 'CYYT', 47.61861, -52.751945, 461, -3.5, 'A', 'America/St_Johns'),
	(190, 'Kapuskasing', 'Kapuskasing', 'Canada', 'YYU', 'CYYU', 49.413889, -82.4675, 743, -5, 'A', 'America/Toronto'),
	(191, 'Armstrong', 'Armstrong', 'Canada', 'YYW', 'CYYW', 50.290279, -88.909721, 1058, -5, 'A', 'America/Toronto'),
	(192, 'Mont Joli', 'Mont Joli', 'Canada', 'YYY', 'CYYY', 48.608612, -68.208056, 172, -5, 'A', 'America/Toronto'),
	(193, 'Lester B Pearson Intl', 'Toronto', 'Canada', 'YYZ', 'CYYZ', 43.677223, -79.630556, 569, -5, 'A', 'America/Toronto'),
	(194, 'Downsview', 'Toronto', 'Canada', 'YZD', 'CYZD', 43.7425, -79.465556, 652, -5, 'A', 'America/Toronto'),
	(195, 'Gore Bay Manitoulin', 'Gore Bay', 'Canada', 'YZE', 'CYZE', 45.885277, -82.567778, 635, -5, 'A', 'America/Toronto'),
	(196, 'Yellowknife', 'Yellowknife', 'Canada', 'YZF', 'CYZF', 62.462778, -114.440278, 675, -7, 'A', 'America/Edmonton'),
	(197, 'Slave Lake', 'Slave Lake', 'Canada', 'YZH', 'CYZH', 55.293056, -114.777222, 1912, -7, 'A', 'America/Edmonton'),
	(198, 'Sandspit', 'Sandspit', 'Canada', 'YZP', 'CYZP', 53.254333, -131.813833, 21, -8, 'A', 'America/Vancouver'),
	(199, 'Chris Hadfield', 'Sarnia', 'Canada', 'YZR', 'CYZR', 42.999444, -82.308889, 594, -5, 'A', 'America/Toronto'),
	(200, 'Port Hardy', 'Port Hardy', 'Canada', 'YZT', 'CYZT', 50.680556, -127.366667, 71, -8, 'A', 'America/Vancouver'),
	(201, 'Whitecourt', 'Whitecourt', 'Canada', 'YZU', 'CYZU', 54.14389, -115.786667, 2567, -7, 'A', 'America/Edmonton'),
	(202, 'Sept Iles', 'Sept-iles', 'Canada', 'YZV', 'CYZV', 50.223333, -66.265556, 180, -5, 'A', 'America/Toronto'),
	(203, 'Teslin', 'Teslin', 'Canada', 'YZW', 'CYZW', 60.172779, -132.742778, 2313, -8, 'A', 'America/Vancouver'),
	(204, 'Greenwood', 'Greenwood', 'Canada', 'YZX', 'CYZX', 44.984444, -64.916944, 92, -4, 'A', 'America/Halifax'),
	(205, 'Faro', 'Faro', 'Canada', 'ZFA', 'CZFA', 62.2075, -133.375833, 2351, -8, 'A', 'America/Vancouver'),
	(206, 'Fort Mcpherson', 'Fort Mcpherson', 'Canada', 'ZFM', 'CZFM', 67.4075, -134.860556, 116, -7, 'A', 'America/Edmonton'),
	(207, 'Blida', 'Blida', 'Algeria', '', 'DAAB', 36.503613, 2.814167, 535, 1, 'N', 'Africa/Algiers'),
	(208, 'Bou Saada', 'Bou Saada', 'Algeria', '', 'DAAD', 35.3325, 4.206389, 1506, 1, 'N', 'Africa/Algiers'),
	(209, 'Soummam', 'Bejaja', 'Algeria', 'BJA', 'DAAE', 36.711997, 5.069922, 20, 1, 'N', 'Africa/Algiers'),
	(210, 'Houari Boumediene', 'Algier', 'Algeria', 'ALG', 'DAAG', 36.691014, 3.215408, 82, 1, 'N', 'Africa/Algiers'),
	(211, 'Tiska', 'Djanet', 'Algeria', 'DJG', 'DAAJ', 24.292767, 9.452444, 3176, 1, 'N', 'Africa/Algiers'),
	(212, 'Boufarik', 'Boufarik', 'Algeria', 'QFD', 'DAAK', 36.545834, 2.876111, 335, 1, 'N', 'Africa/Algiers'),
	(213, 'Reggane', 'Reggan', 'Algeria', '', 'DAAN', 26.710103, 0.285647, 955, 1, 'N', 'Africa/Algiers'),
	(214, 'Illizi Takhamalt', 'Illizi', 'Algeria', 'VVZ', 'DAAP', 26.723536, 8.622653, 1778, 1, 'N', 'Africa/Algiers'),
	(215, 'Ain Oussera', 'Ain Oussera', 'Algeria', '', 'DAAQ', 35.525414, 2.878714, 2132, 1, 'N', 'Africa/Algiers'),
	(216, 'Tamanrasset', 'Tamanrasset', 'Algeria', 'TMR', 'DAAT', 22.811461, 5.451075, 4518, 1, 'N', 'Africa/Algiers'),
	(217, 'Jijel', 'Jijel', 'Algeria', 'GJL', 'DAAV', 36.795136, 5.873608, 36, 1, 'N', 'Africa/Algiers'),
	(218, 'Mecheria', 'Mecheria', 'Algeria', '', 'DAAY', 33.535853, -0.242353, 3855, 1, 'N', 'Africa/Algiers'),
	(219, 'Relizane', 'Relizane', 'Algeria', '', 'DAAZ', 35.752239, 0.626272, 282, 1, 'N', 'Africa/Algiers'),
	(220, 'Annaba', 'Annaba', 'Algeria', 'AAE', 'DABB', 36.822225, 7.809167, 16, 1, 'N', 'Africa/Algiers'),
	(221, 'Mohamed Boudiaf Intl', 'Constantine', 'Algeria', 'CZL', 'DABC', 36.276028, 6.620386, 2265, 1, 'N', 'Africa/Algiers'),
	(222, 'Cheikh Larbi Tebessi', 'Tebessa', 'Algeria', 'TEE', 'DABS', 35.431611, 8.120717, 2661, 1, 'N', 'Africa/Algiers'),
	(224, 'Hassi R Mel', 'Tilrempt', 'Algeria', 'HRM', 'DAFH', 32.930431, 3.311542, 2540, 1, 'N', 'Africa/Algiers'),
	(225, 'Bou Chekif', 'Tiaret', 'Algeria', 'TID', 'DAOB', 35.341136, 1.463147, 3245, 1, 'N', 'Africa/Algiers'),
	(226, 'Bou Sfer', 'Bou Sfer', 'Algeria', '', 'DAOE', 35.735389, -0.805389, 187, 1, 'N', 'Africa/Algiers'),
	(227, 'Tindouf', 'Tindouf', 'Algeria', 'TIN', 'DAOF', 27.700372, -8.167103, 1453, 1, 'N', 'Africa/Algiers'),
	(228, 'Ech Cheliff', 'Ech-cheliff', 'Algeria', 'QAS', 'DAOI', 36.212658, 1.331775, 463, 1, 'N', 'Africa/Algiers'),
	(229, 'Tafaraoui', 'Oran', 'Algeria', 'TAF', 'DAOL', 35.542444, -0.532278, 367, 1, 'N', 'Africa/Algiers'),
	(230, 'Zenata', 'Tlemcen', 'Algeria', 'TLM', 'DAON', 35.016667, -1.45, 814, 1, 'N', 'Africa/Algiers'),
	(231, 'Es Senia', 'Oran', 'Algeria', 'ORN', 'DAOO', 35.623858, -0.621183, 295, 1, 'N', 'Africa/Algiers'),
	(232, 'Sidi Bel Abbes', 'Sidi Bel Abbes', 'Algeria', '', 'DAOS', 35.171775, -0.593275, 1614, 1, 'N', 'Africa/Algiers'),
	(233, 'Ghriss', 'Ghriss', 'Algeria', 'MUW', 'DAOV', 35.207725, 0.147142, 1686, 1, 'N', 'Africa/Algiers'),
	(234, 'Touat Cheikh Sidi Mohamed Belkebir', 'Adrar', 'Algeria', 'AZR', 'DAUA', 27.837589, -0.186414, 919, 1, 'N', 'Africa/Algiers'),
	(235, 'Biskra', 'Biskra', 'Algeria', 'BSK', 'DAUB', 34.793289, 5.738231, 289, 1, 'N', 'Africa/Algiers'),
	(236, 'El Golea', 'El Golea', 'Algeria', 'ELG', 'DAUE', 30.571294, 2.859586, 1306, 1, 'N', 'Africa/Algiers'),
	(237, 'Noumerat', 'Ghardaia', 'Algeria', 'GHA', 'DAUG', 32.384106, 3.794114, 1512, 1, 'N', 'Africa/Algiers'),
	(238, 'Oued Irara', 'Hassi Messaoud', 'Algeria', 'HME', 'DAUH', 31.672972, 6.140444, 463, 1, 'N', 'Africa/Algiers'),
	(239, 'In Salah', 'In Salah', 'Algeria', 'INZ', 'DAUI', 27.251022, 2.512017, 896, 1, 'N', 'Africa/Algiers'),
	(240, 'Sidi Mahdi', 'Touggourt', 'Algeria', 'TGR', 'DAUK', 33.067803, 6.088672, 279, 1, 'N', 'Africa/Algiers'),
	(241, 'Laghouat', 'Laghouat', 'Algeria', 'LOO', 'DAUL', 33.764383, 2.928344, 2510, 1, 'N', 'Africa/Algiers'),
	(242, 'Timimoun', 'Timimoun', 'Algeria', 'TMX', 'DAUT', 29.237119, 0.276033, 1027, 1, 'N', 'Africa/Algiers'),
	(243, 'Ouargla', 'Ouargla', 'Algeria', 'OGX', 'DAUU', 31.917223, 5.412778, 492, 1, 'N', 'Africa/Algiers'),
	(244, 'In Amenas', 'Zarzaitine', 'Algeria', 'IAM', 'DAUZ', 28.05155, 9.642911, 1847, 1, 'N', 'Africa/Algiers'),
	(245, 'Cadjehoun', 'Cotonou', 'Benin', 'COO', 'DBBB', 6.357228, 2.384353, 19, 1, 'N', 'Africa/Porto-Novo'),
	(246, 'Ouagadougou', 'Ouagadougou', 'Burkina Faso', 'OUA', 'DFFD', 12.353194, -1.512417, 1037, 0, 'N', 'Africa/Ouagadougou'),
	(247, 'Bobo Dioulasso', 'Bobo-dioulasso', 'Burkina Faso', 'BOY', 'DFOO', 11.160056, -4.330969, 1511, 0, 'N', 'Africa/Ouagadougou'),
	(248, 'Kotoka Intl', 'Accra', 'Ghana', 'ACC', 'DGAA', 5.605186, -0.166786, 205, 0, 'N', 'Africa/Accra'),
	(249, 'Tamale', 'Tamale', 'Ghana', 'TML', 'DGLE', 9.557192, -0.863214, 553, 0, 'N', 'Africa/Accra'),
	(250, 'Wa', 'Wa', 'Ghana', '', 'DGLW', 10.082664, -2.507694, 1060, 0, 'N', 'Africa/Accra'),
	(251, 'Sunyani', 'Sunyani', 'Ghana', 'NYI', 'DGSN', 7.361828, -2.328756, 1014, 0, 'N', 'Africa/Accra'),
	(252, 'Takoradi', 'Takoradi', 'Ghana', 'TKD', 'DGTK', 4.896056, -1.774756, 21, 0, 'N', 'Africa/Accra'),
	(253, 'Abidjan Felix Houphouet Boigny Intl', 'Abidjan', 'Cote d\'Ivoire', 'ABJ', 'DIAP', 5.261386, -3.926294, 21, 0, 'N', 'Africa/Abidjan'),
	(254, 'Bouake', 'Bouake', 'Cote d\'Ivoire', 'BYK', 'DIBK', 7.7388, -5.073667, 1230, 0, 'N', 'Africa/Abidjan'),
	(255, 'Daloa', 'Daloa', 'Cote d\'Ivoire', 'DJO', 'DIDL', 6.792808, -6.473189, 823, 0, 'N', 'Africa/Abidjan'),
	(256, 'Korhogo', 'Korhogo', 'Cote d\'Ivoire', 'HGO', 'DIKO', 9.387183, -5.556664, 1214, 0, 'N', 'Africa/Abidjan'),
	(257, 'Man', 'Man', 'Cote d\'Ivoire', 'MJC', 'DIMN', 7.272069, -7.587364, 1089, 0, 'N', 'Africa/Abidjan'),
	(258, 'San Pedro', 'San Pedro', 'Cote d\'Ivoire', 'SPY', 'DISP', 4.746717, -6.660817, 26, 0, 'N', 'Africa/Abidjan'),
	(259, 'Yamoussoukro', 'Yamoussoukro', 'Cote d\'Ivoire', 'ASK', 'DIYO', 6.903167, -5.365581, 699, 0, 'N', 'Africa/Abidjan'),
	(260, 'Nnamdi Azikiwe Intl', 'Abuja', 'Nigeria', 'ABV', 'DNAA', 9.006792, 7.263172, 1123, 1, 'N', 'Africa/Lagos'),
	(261, 'Akure', 'Akure', 'Nigeria', 'AKR', 'DNAK', 7.246739, 5.301008, 1100, 1, 'N', 'Africa/Lagos'),
	(262, 'Benin', 'Benin', 'Nigeria', 'BNI', 'DNBE', 6.316981, 5.599503, 258, 1, 'N', 'Africa/Lagos'),
	(263, 'Calabar', 'Calabar', 'Nigeria', 'CBQ', 'DNCA', 4.976019, 8.347197, 210, 1, 'N', 'Africa/Lagos'),
	(264, 'Enugu', 'Enugu', 'Nigeria', 'ENU', 'DNEN', 6.474272, 7.561961, 466, 1, 'N', 'Africa/Lagos'),
	(265, 'Gusau', 'Gusau', 'Nigeria', 'QUS', 'DNGU', 12.171667, 6.696111, 1520, 1, 'N', 'Africa/Lagos'),
	(266, 'Ibadan', 'Ibadan', 'Nigeria', 'IBA', 'DNIB', 7.362458, 3.978333, 725, 1, 'N', 'Africa/Lagos'),
	(267, 'Ilorin', 'Ilorin', 'Nigeria', 'ILR', 'DNIL', 8.440211, 4.493919, 1126, 1, 'N', 'Africa/Lagos'),
	(268, 'Yakubu Gowon', 'Jos', 'Nigeria', 'JOS', 'DNJO', 9.639828, 8.86905, 4232, 1, 'N', 'Africa/Lagos'),
	(269, 'Kaduna', 'Kaduna', 'Nigeria', 'KAD', 'DNKA', 10.696025, 7.320114, 2073, 1, 'N', 'Africa/Lagos'),
	(270, 'Mallam Aminu Intl', 'Kano', 'Nigeria', 'KAN', 'DNKN', 12.047589, 8.524622, 1562, 1, 'N', 'Africa/Lagos'),
	(271, 'Maiduguri', 'Maiduguri', 'Nigeria', 'MIU', 'DNMA', 11.855347, 13.08095, 1099, 1, 'N', 'Africa/Lagos'),
	(272, 'Makurdi', 'Makurdi', 'Nigeria', 'MDI', 'DNMK', 7.703883, 8.613939, 371, 1, 'N', 'Africa/Lagos'),
	(273, 'Murtala Muhammed', 'Lagos', 'Nigeria', 'LOS', 'DNMM', 6.577369, 3.321156, 135, 1, 'N', 'Africa/Lagos'),
	(274, 'Minna New', 'Minna', 'Nigeria', 'MXJ', 'DNMN', 9.652172, 6.462256, 834, 1, 'N', 'Africa/Lagos'),
	(275, 'Port Harcourt Intl', 'Port Hartcourt', 'Nigeria', 'PHC', 'DNPO', 5.015494, 6.949594, 87, 1, 'N', 'Africa/Lagos'),
	(276, 'Sadiq Abubakar Iii Intl', 'Sokoto', 'Nigeria', 'SKO', 'DNSO', 12.916322, 5.207189, 1010, 1, 'N', 'Africa/Lagos'),
	(277, 'Yola', 'Yola', 'Nigeria', 'YOL', 'DNYO', 9.257553, 12.430422, 599, 1, 'N', 'Africa/Lagos'),
	(278, 'Zaria', 'Zaria', 'Nigeria', 'ZAR', 'DNZA', 11.130192, 7.685806, 2170, 1, 'N', 'Africa/Lagos'),
	(279, 'Maradi', 'Maradi', 'Niger', 'MFQ', 'DRRM', 13.502531, 7.126753, 1240, 1, 'N', 'Africa/Niamey'),
	(280, 'Diori Hamani', 'Niamey', 'Niger', 'NIM', 'DRRN', 13.481547, 2.183614, 732, 1, 'N', 'Africa/Niamey'),
	(281, 'Tahoua', 'Tahoua', 'Niger', 'THZ', 'DRRT', 14.875658, 5.265358, 1266, 1, 'N', 'Africa/Niamey'),
	(282, 'Manu Dayak', 'Agadez', 'Niger', 'AJY', 'DRZA', 16.965997, 8.000114, 1657, 1, 'N', 'Africa/Niamey'),
	(283, 'Dirkou', 'Dirkou', 'Niger', '', 'DRZD', 18.968703, 12.86865, 1273, 1, 'N', 'Africa/Niamey'),
	(284, 'Diffa', 'Diffa', 'Niger', '', 'DRZF', 13.372894, 12.626686, 994, 1, 'N', 'Africa/Niamey'),
	(285, 'Zinder', 'Zinder', 'Niger', 'ZND', 'DRZR', 13.778997, 8.983761, 1516, 1, 'N', 'Africa/Niamey'),
	(286, 'Habib Bourguiba Intl', 'Monastir', 'Tunisia', 'MIR', 'DTMB', 35.758056, 10.754722, 9, 1, 'E', 'Africa/Tunis'),
	(287, 'Carthage', 'Tunis', 'Tunisia', 'TUN', 'DTTA', 36.851033, 10.227217, 22, 1, 'E', 'Africa/Tunis'),
	(288, 'Sidi Ahmed Air Base', 'Bizerte', 'Tunisia', '', 'DTTB', 37.245447, 9.791453, 20, 1, 'E', 'Africa/Tunis'),
	(289, 'Remada', 'Remada', 'Tunisia', '', 'DTTD', 32.306156, 10.382108, 1004, 1, 'E', 'Africa/Tunis'),
	(290, 'Gafsa', 'Gafsa', 'Tunisia', 'GAF', 'DTTF', 34.422022, 8.822503, 1060, 1, 'E', 'Africa/Tunis'),
	(291, 'Gabes', 'Gabes', 'Tunisia', 'GAE', 'DTTG', 33.876919, 10.103333, 26, 1, 'E', 'Africa/Tunis'),
	(292, 'Borj El Amri', 'Bordj El Amri', 'Tunisia', '', 'DTTI', 36.721339, 9.943147, 108, 1, 'E', 'Africa/Tunis'),
	(293, 'Zarzis', 'Djerba', 'Tunisia', 'DJE', 'DTTJ', 33.875031, 10.775461, 19, 1, 'E', 'Africa/Tunis'),
	(294, 'El Borma', 'El Borma', 'Tunisia', 'EBM', 'DTTR', 31.704281, 9.254619, 827, 1, 'E', 'Africa/Tunis'),
	(295, 'Thyna', 'Sfax', 'Tunisia', 'SFA', 'DTTX', 34.717953, 10.690972, 85, 1, 'E', 'Africa/Tunis'),
	(296, 'Nefta', 'Tozeur', 'Tunisia', 'TOE', 'DTTZ', 33.939722, 8.110556, 287, 1, 'E', 'Africa/Tunis'),
	(297, 'Niamtougou International', 'Niatougou', 'Togo', 'LRL', 'DXNG', 9.767333, 1.09125, 1515, 0, 'N', 'Africa/Lome'),
	(298, 'Gnassingbe Eyadema Intl', 'Lome', 'Togo', 'LFW', 'DXXX', 6.165611, 1.254511, 72, 0, 'N', 'Africa/Lome'),
	(299, 'Deurne', 'Antwerp', 'Belgium', 'ANR', 'EBAW', 51.189444, 4.460278, 39, 1, 'E', 'Europe/Brussels'),
	(300, 'Beauvechain', 'Beauvechain', 'Belgium', '', 'EBBE', 50.75861, 4.768333, 370, 1, 'E', 'Europe/Brussels'),
	(301, 'Kleine Brogel', 'Kleine Brogel', 'Belgium', '', 'EBBL', 51.168333, 5.47, 200, 1, 'E', 'Europe/Brussels'),
	(302, 'Brussels Natl', 'Brussels', 'Belgium', 'BRU', 'EBBR', 50.901389, 4.484444, 184, 1, 'E', 'Europe/Brussels'),
	(303, 'Bertrix', 'Bertrix', 'Belgium', '', 'EBBX', 49.891667, 5.223889, 1514, 1, 'E', 'Europe/Brussels'),
	(304, 'Brussels South', 'Charleroi', 'Belgium', 'CRL', 'EBCI', 50.459197, 4.453817, 614, 1, 'E', 'Europe/Brussels'),
	(305, 'Chievres Ab', 'Chievres', 'Belgium', '', 'EBCV', 50.575833, 3.831, 193, 1, 'E', 'Europe/Brussels'),
	(306, 'Koksijde', 'Koksijde', 'Belgium', '', 'EBFN', 51.090278, 2.652778, 20, 1, 'E', 'Europe/Brussels'),
	(307, 'Florennes', 'Florennes', 'Belgium', '', 'EBFS', 50.243333, 4.645833, 935, 1, 'E', 'Europe/Brussels'),
	(308, 'Wevelgem', 'Kortrijk-vevelgem', 'Belgium', 'QKT', 'EBKT', 50.817222, 3.204722, 64, 1, 'E', 'Europe/Brussels'),
	(309, 'Liege', 'Liege', 'Belgium', 'LGG', 'EBLG', 50.637417, 5.443222, 659, 1, 'E', 'Europe/Brussels'),
	(310, 'Oostende', 'Ostend', 'Belgium', 'OST', 'EBOS', 51.198889, 2.862222, 13, 1, 'E', 'Europe/Brussels'),
	(311, 'Zutendaal', 'Zutendaal', 'Belgium', '', 'EBSL', 50.9475, 5.590556, 312, 1, 'E', 'Europe/Brussels'),
	(312, 'Sint Truiden', 'Sint-truiden', 'Belgium', '', 'EBST', 50.791944, 5.201667, 246, 1, 'E', 'Europe/Brussels'),
	(313, 'Saint Hubert Mil', 'St.-hubert', 'Belgium', '', 'EBSU', 50.035833, 5.404167, 1930, 1, 'E', 'Europe/Brussels'),
	(314, 'Ursel', 'Ursel', 'Belgium', '', 'EBUL', 51.144133, 3.474361, 95, 1, 'E', 'Europe/Brussels'),
	(315, 'Weelde', 'Weelde', 'Belgium', '', 'EBWE', 51.394783, 4.960194, 105, 1, 'E', 'Europe/Brussels'),
	(316, 'Zoersel', 'Zoersel', 'Belgium', '', 'EBZR', 51.264722, 4.753333, 53, 1, 'E', 'Europe/Brussels'),
	(317, 'Bautzen', 'Bautzen', 'Germany', 'BBJ', 'EDAB', 51.193531, 14.519747, 568, 1, 'E', 'Europe/Berlin'),
	(318, 'Altenburg Nobitz', 'Altenburg', 'Germany', 'AOC', 'EDAC', 50.981817, 12.506361, 640, 1, 'E', 'Europe/Berlin'),
	(319, 'Dessau', 'Dessau', 'Germany', '', 'EDAD', 51.831828, 12.184033, 187, 1, 'E', 'Europe/Berlin'),
	(320, 'Eisenhuttenstadt', 'Eisenhuettenstadt', 'Germany', '', 'EDAE', 52.197333, 14.585667, 149, 1, 'E', 'Europe/Berlin'),
	(322, 'Grossenhain', 'Suhl', 'Germany', '', 'EDAK', 51.308111, 13.554973, 417, 1, 'E', 'Europe/Berlin'),
	(323, 'Merseburg', 'Muehlhausen', 'Germany', '', 'EDAM', 51.363, 11.940833, 340, 1, 'E', 'Europe/Berlin'),
	(324, 'Halle Oppin', 'Halle', 'Germany', '', 'EDAQ', 51.552, 12.052667, 347, 1, 'E', 'Europe/Berlin'),
	(325, 'Riesa Gohlis', 'Riesa', 'Germany', '', 'EDAU', 51.2935, 13.356, 322, 1, 'E', 'Europe/Berlin'),
	(326, 'Rechlin Larz', 'Rechlin-laerz', 'Germany', '', 'EDAX', 53.306417, 12.753139, 220, 1, 'E', 'Europe/Berlin'),
	(327, 'Strausberg', 'Strausberg', 'Germany', '', 'EDAY', 52.579978, 13.915683, 263, 1, 'E', 'Europe/Berlin'),
	(328, 'Schonhagen', 'Schoenhagen', 'Germany', '', 'EDAZ', 52.203258, 13.158408, 131, 1, 'E', 'Europe/Berlin'),
	(329, 'Barth', 'Barth', 'Germany', 'BBH', 'EDBH', 54.33754, 12.699705, 23, 1, 'E', 'Europe/Berlin'),
	(330, 'Jena Schongleina', 'Jena', 'Germany', '', 'EDBJ', 50.915161, 11.714519, 1228, 1, 'E', 'Europe/Berlin'),
	(331, 'Kyritz', 'Kyritz', 'Germany', '', 'EDBK', 52.918833, 12.425333, 130, 1, 'E', 'Europe/Berlin'),
	(332, 'Magdeburg', 'Magdeburg', 'Germany', '', 'EDBM', 52.073658, 11.626467, 268, 1, 'E', 'Europe/Berlin'),
	(333, 'Rothenburg Gorlitz', 'Rothenburg/ol', 'Germany', '', 'EDBR', 51.363167, 14.95, 517, 1, 'E', 'Europe/Berlin'),
	(334, 'Anklam', 'Anklam', 'Germany', '', 'EDCA', 53.8327, 13.669131, 18, 1, 'E', 'Europe/Berlin'),
	(335, 'Cottbus Drewitz', 'Cottbus', 'Germany', '', 'EDCD', 51.889475, 14.531986, 274, 1, 'E', 'Europe/Berlin'),
	(336, 'Kamenz', 'Kamenz', 'Germany', '', 'EDCM', 51.29625, 14.129, 495, 1, 'E', 'Europe/Berlin'),
	(337, 'Schonefeld', 'Berlin', 'Germany', 'SXF', 'EDDB', 52.380001, 13.5225, 157, 1, 'E', 'Europe/Berlin'),
	(338, 'Dresden', 'Dresden', 'Germany', 'DRS', 'EDDC', 51.132767, 13.767161, 755, 1, 'E', 'Europe/Berlin'),
	(339, 'Erfurt', 'Erfurt', 'Germany', 'ERF', 'EDDE', 50.979811, 10.958106, 1036, 1, 'E', 'Europe/Berlin'),
	(340, 'Frankfurt Main', 'Frankfurt', 'Germany', 'FRA', 'EDDF', 50.026421, 8.543125, 364, 1, 'E', 'Europe/Berlin'),
	(341, 'Munster Osnabruck', 'Munster', 'Germany', 'FMO', 'EDDG', 52.134642, 7.684831, 160, 1, 'E', 'Europe/Berlin'),
	(342, 'Hamburg', 'Hamburg', 'Germany', 'HAM', 'EDDH', 53.630389, 9.988228, 53, 1, 'E', 'Europe/Berlin'),
	(343, 'Tempelhof', 'Berlin', 'Germany', 'THF', 'EDDI', 52.473025, 13.403944, 167, 1, 'E', 'Europe/Berlin'),
	(344, 'Koln Bonn', 'Cologne', 'Germany', 'CGN', 'EDDK', 50.865917, 7.142744, 302, 1, 'E', 'Europe/Berlin'),
	(345, 'Dusseldorf', 'Duesseldorf', 'Germany', 'DUS', 'EDDL', 51.289453, 6.766775, 147, 1, 'E', 'Europe/Berlin'),
	(346, 'Franz Josef Strauss', 'Munich', 'Germany', 'MUC', 'EDDM', 48.353783, 11.786086, 1487, 1, 'E', 'Europe/Berlin'),
	(347, 'Nurnberg', 'Nuernberg', 'Germany', 'NUE', 'EDDN', 49.4987, 11.066897, 1046, 1, 'E', 'Europe/Berlin'),
	(348, 'Leipzig Halle', 'Leipzig', 'Germany', 'LEJ', 'EDDP', 51.432447, 12.241633, 465, 1, 'E', 'Europe/Berlin'),
	(349, 'Saarbrucken', 'Saarbruecken', 'Germany', 'SCN', 'EDDR', 49.214553, 7.109508, 1058, 1, 'E', 'Europe/Berlin'),
	(350, 'Stuttgart', 'Stuttgart', 'Germany', 'STR', 'EDDS', 48.689878, 9.221964, 1276, 1, 'E', 'Europe/Berlin'),
	(351, 'Tegel', 'Berlin', 'Germany', 'TXL', 'EDDT', 52.559686, 13.287711, 122, 1, 'E', 'Europe/Berlin'),
	(352, 'Hannover', 'Hannover', 'Germany', 'HAJ', 'EDDV', 52.461056, 9.685078, 183, 1, 'E', 'Europe/Berlin'),
	(353, 'Neuenland', 'Bremen', 'Germany', 'BRE', 'EDDW', 53.0475, 8.786667, 14, 1, 'E', 'Europe/Berlin'),
	(354, 'Egelsbach', 'Egelsbach', 'Germany', '', 'EDFE', 49.960833, 8.6415, 385, 1, 'E', 'Europe/Berlin'),
	(355, 'Frankfurt Hahn', 'Hahn', 'Germany', 'HHN', 'EDFH', 49.948672, 7.263892, 1649, 1, 'E', 'Europe/Berlin'),
	(356, 'Mannheim City', 'Mannheim', 'Germany', 'MHG', 'EDFM', 49.472706, 8.514264, 309, 1, 'E', 'Europe/Berlin'),
	(357, 'Allendorf Eder', 'Allendorf', 'Germany', '', 'EDFQ', 51.034878, 8.680839, 1164, 1, 'E', 'Europe/Berlin'),
	(358, 'Worms', 'Worms', 'Germany', '', 'EDFV', 49.606511, 8.3684, 295, 1, 'E', 'Europe/Berlin'),
	(359, 'Mainz Finthen', 'Mainz', 'Germany', '', 'EDFZ', 49.968931, 8.148336, 760, 1, 'E', 'Europe/Berlin'),
	(360, 'Eisenach Kindel', 'Eisenach', 'Germany', '', 'EDGE', 50.992797, 10.472711, 1101, 1, 'E', 'Europe/Berlin'),
	(361, 'Siegerland', 'Siegerland', 'Germany', '', 'EDGS', 50.707658, 8.082969, 1966, 1, 'E', 'Europe/Berlin'),
	(362, 'Hamburg Finkenwerder', 'Hamburg', 'Germany', 'XFW', 'EDHI', 53.535886, 9.837025, 22, 1, 'E', 'Europe/Berlin'),
	(363, 'Kiel Holtenau', 'Kiel', 'Germany', 'KEL', 'EDHK', 54.3795, 10.145167, 101, 1, 'E', 'Europe/Berlin'),
	(364, 'Lubeck Blankensee', 'Luebeck', 'Germany', 'LBC', 'EDHL', 53.805367, 10.719222, 53, 1, 'E', 'Europe/Berlin'),
	(365, 'Dahlemer Binz', 'Dahlemer Binz', 'Germany', '', 'EDKV', 50.405888, 6.528083, 1896, 1, 'E', 'Europe/Berlin'),
	(366, 'Meinerzhagen', 'Meinerzhagen', 'Germany', '', 'EDKZ', 51.099445, 7.601944, 1548, 1, 'E', 'Europe/Berlin'),
	(367, 'Arnsberg Menden', 'Arnsberg', 'Germany', 'ZCA', 'EDLA', 51.483333, 7.899333, 794, 1, 'E', 'Europe/Berlin'),
	(368, 'Essen Mulheim', 'Essen', 'Germany', 'ESS', 'EDLE', 51.402333, 6.937333, 424, 1, 'E', 'Europe/Berlin'),
	(369, 'Bielefeld', 'Bielefeld', 'Germany', '', 'EDLI', 51.964833, 8.544833, 454, 1, 'E', 'Europe/Berlin'),
	(370, 'Monchengladbach', 'Moenchengladbach', 'Germany', 'MGL', 'EDLN', 51.230356, 6.504494, 125, 1, 'E', 'Europe/Berlin'),
	(371, 'Paderborn Lippstadt', 'Paderborn', 'Germany', 'PAD', 'EDLP', 51.614089, 8.616317, 699, 1, 'E', 'Europe/Berlin'),
	(372, 'Stadtlohn Vreden', 'Stadtlohn', 'Germany', '', 'EDLS', 51.995844, 6.840667, 157, 1, 'E', 'Europe/Berlin'),
	(373, 'Dortmund', 'Dortmund', 'Germany', 'DTM', 'EDLW', 51.518314, 7.612242, 425, 1, 'E', 'Europe/Berlin'),
	(374, 'Augsburg', 'Augsburg', 'Germany', 'AGB', 'EDMA', 48.425158, 10.931764, 1515, 1, 'E', 'Europe/Berlin'),
	(375, 'Biberach An Der Riss', 'Biberach', 'Germany', '', 'EDMB', 48.111, 9.762833, 1903, 1, 'E', 'Europe/Berlin'),
	(376, 'Eggenfelden', 'Eggenfelden', 'Germany', '', 'EDME', 48.396167, 12.723667, 1342, 1, 'E', 'Europe/Berlin'),
	(377, 'Mindelheim Mattsies', 'Mindelheim', 'Germany', '', 'EDMN', 48.108833, 10.524333, 1857, 1, 'E', 'Europe/Berlin'),
	(378, 'Oberpfaffenhofen', 'Oberpfaffenhofen', 'Germany', 'OBF', 'EDMO', 48.081364, 11.283067, 1947, 1, 'E', 'Europe/Berlin'),
	(379, 'Straubing', 'Straubing', 'Germany', '', 'EDMS', 48.90095, 12.518186, 1054, 1, 'E', 'Europe/Berlin'),
	(380, 'Vilshofen', 'Vilshofen', 'Germany', '', 'EDMV', 48.635167, 13.195667, 991, 1, 'E', 'Europe/Berlin'),
	(381, 'Leutkirch Unterzeil', 'Leutkirch', 'Germany', '', 'EDNL', 47.859117, 10.014572, 2099, 1, 'E', 'Europe/Berlin'),
	(382, 'Friedrichshafen', 'Friedrichshafen', 'Germany', 'FDH', 'EDNY', 47.671317, 9.511486, 1367, 1, 'E', 'Europe/Berlin'),
	(383, 'Schwerin Parchim', 'Parchim', 'Germany', 'SZW', 'EDOP', 53.426997, 11.783436, 166, 1, 'E', 'Europe/Berlin'),
	(384, 'Stendal Borstel', 'Stendal', 'Germany', 'ZSN', 'EDOV', 52.627778, 11.818333, 184, 1, 'E', 'Europe/Berlin'),
	(385, 'Aalen Heidenheim Elchingen', 'Aalen-heidenheim', 'Germany', '', 'EDPA', 48.777833, 10.264667, 1916, 1, 'E', 'Europe/Berlin'),
	(386, 'Bayreuth', 'Bayreuth', 'Germany', 'BYU', 'EDQD', 49.984428, 11.638569, 1601, 1, 'E', 'Europe/Berlin'),
	(387, 'Burg Feuerstein', 'Burg Feuerstein', 'Germany', '', 'EDQE', 49.793833, 11.133167, 1674, 1, 'E', 'Europe/Berlin'),
	(388, 'Hof Plauen', 'Hof', 'Germany', 'HOQ', 'EDQM', 50.288836, 11.854919, 1960, 1, 'E', 'Europe/Berlin'),
	(389, 'Hassfurt Schweinfurt', 'Hassfurt', 'Germany', '', 'EDQT', 50.018, 10.5295, 718, 1, 'E', 'Europe/Berlin'),
	(390, 'Koblenz Winningen', 'Koblenz', 'Germany', 'ZNV', 'EDRK', 50.3255, 7.528667, 640, 1, 'E', 'Europe/Berlin'),
	(391, 'Trier Fohren', 'Trier', 'Germany', 'ZQF', 'EDRT', 49.8635, 6.788167, 665, 1, 'E', 'Europe/Berlin'),
	(392, 'Speyer', 'Speyer', 'Germany', 'ZQC', 'EDRY', 49.302776, 8.451195, 312, 1, 'E', 'Europe/Berlin'),
	(393, 'Zweibrucken', 'Zweibruecken', 'Germany', '', 'EDRZ', 49.209525, 7.400647, 1133, 1, 'E', 'Europe/Berlin'),
	(394, 'Donaueschingen Villingen', 'Donaueschingen', 'Germany', 'ZQL', 'EDTD', 47.973331, 8.522223, 2231, 1, 'E', 'Europe/Berlin'),
	(395, 'Freiburg', 'Freiburg', 'Germany', '', 'EDTF', 48.022653, 7.832583, 799, 1, 'E', 'Europe/Berlin'),
	(396, 'Mengen Hohentengen', 'Mengen', 'Germany', '', 'EDTM', 48.053833, 9.372833, 1820, 1, 'E', 'Europe/Berlin'),
	(397, 'Schwabisch Hall', 'Schwaebisch Hall', 'Germany', '', 'EDTY', 49.118317, 9.783956, 1311, 1, 'E', 'Europe/Berlin'),
	(398, 'Finsterwalde Schacksdorf', 'Soest', 'Germany', '', 'EDUS', 51.6075, 13.738, 399, 1, 'E', 'Europe/Berlin'),
	(399, 'Braunschweig Wolfsburg', 'Braunschweig', 'Germany', 'BWE', 'EDVE', 52.319167, 10.556111, 295, 1, 'E', 'Europe/Berlin'),
	(400, 'Kassel Calden', 'Kassel', 'Germany', 'KSF', 'EDVK', 51.408394, 9.377631, 908, 1, 'E', 'Europe/Berlin'),
	(401, 'Hildesheim', 'Hildesheim', 'Germany', '', 'EDVM', 52.179833, 9.945667, 293, 1, 'E', 'Europe/Berlin'),
	(402, 'Bremerhaven', 'Bremerhaven', 'Germany', 'BRV', 'EDWB', 53.507081, 8.572878, 11, 1, 'E', 'Europe/Berlin'),
	(403, 'Emden', 'Emden', 'Germany', 'EME', 'EDWE', 53.391186, 7.227408, 2, 1, 'E', 'Europe/Berlin'),
	(404, 'Leer Papenburg', 'Leer', 'Germany', '', 'EDWF', 53.271592, 7.442344, 3, 1, 'E', 'Europe/Berlin'),
	(405, 'Wilhelmshaven Mariensiel', 'Wilhelmshaven', 'Germany', 'WVN', 'EDWI', 53.504833, 8.053333, 16, 1, 'E', 'Europe/Berlin'),
	(406, 'Borkum', 'Borkum', 'Germany', 'BMK', 'EDWR', 53.5955, 6.709167, 3, 1, 'E', 'Europe/Berlin'),
	(407, 'Norderney', 'Norderney', 'Germany', 'NRD', 'EDWY', 53.706822, 7.230247, 6, 1, 'E', 'Europe/Berlin'),
	(408, 'Flensburg Schaferhaus', 'Flensburg', 'Germany', 'FLF', 'EDXF', 54.771772, 9.378214, 130, 1, 'E', 'Europe/Berlin'),
	(409, 'Rendsburg Schachtholm', 'Rendsburg', 'Germany', '', 'EDXR', 54.220928, 9.600803, 23, 1, 'E', 'Europe/Berlin'),
	(410, 'Westerland Sylt', 'Westerland', 'Germany', 'GWT', 'EDXW', 54.91325, 8.340472, 51, 1, 'E', 'Europe/Berlin'),
	(411, 'Amari', 'Armari Air Force Base', 'Estonia', '', 'EEEI', 59.260286, 24.208467, 65, 2, 'E', 'Europe/Tallinn'),
	(412, 'Kardla', 'Kardla', 'Estonia', 'KDL', 'EEKA', 58.990756, 22.830733, 18, 2, 'E', 'Europe/Tallinn'),
	(413, 'Kuressaare', 'Kuressaare', 'Estonia', 'URE', 'EEKE', 58.229883, 22.509494, 14, 2, 'E', 'Europe/Tallinn'),
	(414, 'Parnu', 'Parnu', 'Estonia', 'EPU', 'EEPU', 58.419044, 24.472819, 47, 2, 'E', 'Europe/Tallinn'),
	(415, 'Tallinn', 'Tallinn-ulemiste International', 'Estonia', 'TLL', 'EETN', 59.413317, 24.832844, 131, 2, 'E', 'Europe/Tallinn'),
	(416, 'Tartu', 'Tartu', 'Estonia', 'TAY', 'EETU', 58.307461, 26.690428, 219, 2, 'E', 'Europe/Tallinn'),
	(417, 'Enontekio', 'Enontekio', 'Finland', 'ENF', 'EFET', 68.362586, 23.424322, 1005, 2, 'E', 'Europe/Helsinki'),
	(418, 'Eura', 'Eura', 'Finland', '', 'EFEU', 61.116112, 22.201389, 259, 2, 'E', 'Europe/Helsinki'),
	(419, 'Halli', 'Halli', 'Finland', 'KEV', 'EFHA', 61.85605, 24.7866, 479, 2, 'E', 'Europe/Helsinki'),
	(420, 'Helsinki Malmi', 'Helsinki', 'Finland', 'HEM', 'EFHF', 60.254558, 25.042828, 57, 2, 'E', 'Europe/Helsinki'),
	(421, 'Helsinki Vantaa', 'Helsinki', 'Finland', 'HEL', 'EFHK', 60.317222, 24.963333, 179, 2, 'E', 'Europe/Helsinki'),
	(422, 'Hameenkyro', 'Hameenkyro', 'Finland', '', 'EFHM', 61.689656, 23.073744, 449, 2, 'E', 'Europe/Helsinki'),
	(423, 'Hanko', 'Hanko', 'Finland', '', 'EFHN', 59.848864, 23.083583, 20, 2, 'E', 'Europe/Helsinki'),
	(424, 'Hyvinkaa', 'Hyvinkaa', 'Finland', 'HYV', 'EFHV', 60.654444, 24.881111, 430, 2, 'E', 'Europe/Helsinki'),
	(425, 'Kiikala', 'Kikala', 'Finland', '', 'EFIK', 60.462502, 23.6525, 381, 2, 'E', 'Europe/Helsinki'),
	(426, 'Immola', 'Immola', 'Finland', '', 'EFIM', 61.249172, 28.903711, 338, 2, 'E', 'Europe/Helsinki'),
	(427, 'Kitee', 'Kitee', 'Finland', '', 'EFIT', 62.166111, 30.073611, 364, 2, 'E', 'Europe/Helsinki'),
	(428, 'Ivalo', 'Ivalo', 'Finland', 'IVL', 'EFIV', 68.607269, 27.405328, 481, 2, 'E', 'Europe/Helsinki'),
	(429, 'Joensuu', 'Joensuu', 'Finland', 'JOE', 'EFJO', 62.662906, 29.60755, 398, 2, 'E', 'Europe/Helsinki'),
	(430, 'Jyvaskyla', 'Jyvaskyla', 'Finland', 'JYV', 'EFJY', 62.399453, 25.678253, 459, 2, 'E', 'Europe/Helsinki'),
	(431, 'Kauhava', 'Kauhava', 'Finland', 'KAU', 'EFKA', 63.127078, 23.051442, 151, 2, 'E', 'Europe/Helsinki'),
	(432, 'Kemi Tornio', 'Kemi', 'Finland', 'KEM', 'EFKE', 65.781889, 24.5991, 61, 2, 'E', 'Europe/Helsinki'),
	(433, 'Kajaani', 'Kajaani', 'Finland', 'KAJ', 'EFKI', 64.285472, 27.692414, 483, 2, 'E', 'Europe/Helsinki'),
	(434, 'Kauhajoki', 'Kauhajoki', 'Finland', '', 'EFKJ', 62.462502, 22.393055, 407, 2, 'E', 'Europe/Helsinki'),
	(435, 'Kruunupyy', 'Kruunupyy', 'Finland', 'KOK', 'EFKK', 63.721172, 23.143131, 84, 2, 'E', 'Europe/Helsinki'),
	(436, 'Kemijarvi', 'Kemijarvi', 'Finland', '', 'EFKM', 66.712883, 27.156786, 692, 2, 'E', 'Europe/Helsinki'),
	(437, 'Kuusamo', 'Kuusamo', 'Finland', 'KAO', 'EFKS', 65.987575, 29.239381, 866, 2, 'E', 'Europe/Helsinki'),
	(438, 'Kittila', 'Kittila', 'Finland', 'KTT', 'EFKT', 67.701022, 24.84685, 644, 2, 'E', 'Europe/Helsinki'),
	(439, 'Kuopio', 'Kuopio', 'Finland', 'KUO', 'EFKU', 63.00715, 27.797756, 323, 2, 'E', 'Europe/Helsinki'),
	(440, 'Lahti Vesivehmaa', 'Vesivehmaa', 'Finland', '', 'EFLA', 61.144158, 25.693508, 502, 2, 'E', 'Europe/Helsinki'),
	(441, 'Lappeenranta', 'Lappeenranta', 'Finland', 'LPP', 'EFLP', 61.044553, 28.144397, 349, 2, 'E', 'Europe/Helsinki'),
	(442, 'Mariehamn', 'Mariehamn', 'Finland', 'MHQ', 'EFMA', 60.122203, 19.898156, 17, 2, 'E', 'Europe/Mariehamn'),
	(443, 'Menkijarvi', 'Menkijarvi', 'Finland', '', 'EFME', 62.946667, 23.518889, 331, 2, 'E', 'Europe/Helsinki'),
	(444, 'Mikkeli', 'Mikkeli', 'Finland', 'MIK', 'EFMI', 61.6866, 27.201794, 329, 2, 'E', 'Europe/Helsinki'),
	(445, 'Nummela', 'Nummela', 'Finland', '', 'EFNU', 60.333889, 24.296389, 367, 2, 'E', 'Europe/Helsinki'),
	(446, 'Oulu', 'Oulu', 'Finland', 'OUL', 'EFOU', 64.930061, 25.354564, 47, 2, 'E', 'Europe/Helsinki'),
	(447, 'Piikajarvi', 'Piikajarvi', 'Finland', '', 'EFPI', 61.245558, 22.193356, 148, 2, 'E', 'Europe/Helsinki'),
	(448, 'Pori', 'Pori', 'Finland', 'POR', 'EFPO', 61.461686, 21.799983, 44, 2, 'E', 'Europe/Helsinki'),
	(449, 'Pudasjarvi', 'Pudasjarvi', 'Finland', '', 'EFPU', 65.402222, 26.946944, 397, 2, 'E', 'Europe/Helsinki'),
	(450, 'Pyhasalmi', 'Pyhasalmi', 'Finland', '', 'EFPY', 63.731917, 25.926306, 528, 2, 'E', 'Europe/Helsinki'),
	(451, 'Raahe Pattijoki', 'Pattijoki', 'Finland', '', 'EFRH', 64.688056, 24.695833, 118, 2, 'E', 'Europe/Helsinki'),
	(452, 'Rantasalmi', 'Rantasalmi', 'Finland', '', 'EFRN', 62.065481, 28.356494, 292, 2, 'E', 'Europe/Helsinki'),
	(453, 'Rovaniemi', 'Rovaniemi', 'Finland', 'RVN', 'EFRO', 66.564822, 25.830411, 642, 2, 'E', 'Europe/Helsinki'),
	(454, 'Rayskala', 'Rayskala', 'Finland', '', 'EFRY', 60.744722, 24.107778, 407, 2, 'E', 'Europe/Helsinki'),
	(455, 'Savonlinna', 'Savonlinna', 'Finland', 'SVL', 'EFSA', 61.943064, 28.945136, 311, 2, 'E', 'Europe/Helsinki'),
	(456, 'Selanpaa', 'Selanpaa', 'Finland', '', 'EFSE', 61.062389, 26.798861, 417, 2, 'E', 'Europe/Helsinki'),
	(457, 'Sodankyla', 'Sodankyla', 'Finland', 'SOT', 'EFSO', 67.395033, 26.619133, 602, 2, 'E', 'Europe/Helsinki'),
	(458, 'Tampere Pirkkala', 'Tampere', 'Finland', 'TMP', 'EFTP', 61.414147, 23.604392, 390, 2, 'E', 'Europe/Helsinki'),
	(459, 'Teisko', 'Teisko', 'Finland', '', 'EFTS', 61.77335, 24.027006, 515, 2, 'E', 'Europe/Helsinki'),
	(460, 'Turku', 'Turku', 'Finland', 'TKU', 'EFTU', 60.514142, 22.262808, 161, 2, 'E', 'Europe/Helsinki'),
	(461, 'Utti', 'Utti', 'Finland', 'QVY', 'EFUT', 60.896394, 26.938353, 339, 2, 'E', 'Europe/Helsinki'),
	(462, 'Vaasa', 'Vaasa', 'Finland', 'VAA', 'EFVA', 63.05065, 21.762175, 19, 2, 'E', 'Europe/Helsinki'),
	(463, 'Varkaus', 'Varkaus', 'Finland', 'VRK', 'EFVR', 62.171111, 27.868611, 286, 2, 'E', 'Europe/Helsinki'),
	(464, 'Ylivieska', 'Ylivieska-raudaskyla', 'Finland', '', 'EFYL', 64.060547, 24.715953, 252, 2, 'E', 'Europe/Helsinki'),
	(465, 'Belfast Intl', 'Belfast', 'United Kingdom', 'BFS', 'EGAA', 54.6575, -6.215833, 268, 0, 'E', 'Europe/London'),
	(466, 'St Angelo', 'Enniskillen', 'United Kingdom', 'ENK', 'EGAB', 54.398889, -7.651667, 155, 0, 'E', 'Europe/London'),
	(467, 'Belfast City', 'Belfast', 'United Kingdom', 'BHD', 'EGAC', 54.618056, -5.8725, 15, 0, 'E', 'Europe/London'),
	(468, 'City of Derry', 'Londonderry', 'United Kingdom', 'LDY', 'EGAE', 55.042778, -7.161111, 22, 0, 'E', 'Europe/London'),
	(469, 'Birmingham', 'Birmingham', 'United Kingdom', 'BHX', 'EGBB', 52.453856, -1.748028, 327, 0, 'E', 'Europe/London'),
	(470, 'Coventry', 'Coventry', 'United Kingdom', 'CVT', 'EGBE', 52.369722, -1.479722, 267, 0, 'E', 'Europe/London'),
	(471, 'Leicester', 'Leicester', 'United Kingdom', '', 'EGBG', 52.607778, -1.031944, 469, 0, 'E', 'Europe/London'),
	(472, 'Gloucestershire', 'Golouchestershire', 'United Kingdom', 'GLO', 'EGBJ', 51.894167, -2.167222, 101, 0, 'E', 'Europe/London'),
	(474, 'Wolverhampton', 'Halfpenny Green', 'United Kingdom', '', 'EGBO', 52.5175, -2.259444, 283, 0, 'E', 'Europe/London'),
	(475, 'Kemble', 'Pailton', 'United Kingdom', '', 'EGBP', 51.668056, -2.056944, 433, 0, 'E', 'Europe/London'),
	(476, 'Turweston', 'Turweston', 'United Kingdom', '', 'EGBT', 52.040833, -1.095556, 448, 0, 'E', 'Europe/London'),
	(477, 'Wellesbourne Mountford', 'Wellesbourne', 'United Kingdom', '', 'EGBW', 52.192222, -1.614444, 159, 0, 'E', 'Europe/London'),
	(478, 'Manchester', 'Manchester', 'United Kingdom', 'MAN', 'EGCC', 53.353744, -2.27495, 257, 0, 'E', 'Europe/London'),
	(479, 'Manchester Woodford', 'Woodfort', 'United Kingdom', '', 'EGCD', 53.338056, -2.148889, 295, 0, 'E', 'Europe/London'),
	(480, 'Chivenor', 'Chivenor', 'United Kingdom', '', 'EGDC', 51.087167, -4.150339, 27, 0, 'E', 'Europe/London'),
	(481, 'St Mawgan', 'Newquai', 'United Kingdom', 'NQY', 'EGDG', 50.440558, -4.995408, 390, 0, 'E', 'Europe/London'),
	(482, 'Lyneham', 'Lyneham', 'United Kingdom', 'LYE', 'EGDL', 51.505144, -1.993428, 513, 0, 'E', 'Europe/London'),
	(483, 'Boscombe Down', 'Boscombe Down', 'United Kingdom', '', 'EGDM', 51.152189, -1.747414, 407, 0, 'E', 'Europe/London'),
	(484, 'Culdrose', 'Culdrose', 'United Kingdom', '', 'EGDR', 50.086092, -5.255711, 267, 0, 'E', 'Europe/London'),
	(485, 'St Athan', 'St. Athan', 'United Kingdom', '', 'EGDX', 51.404811, -3.43575, 163, 0, 'E', 'Europe/London'),
	(486, 'Yeovilton', 'Yeovilton', 'United Kingdom', 'YEO', 'EGDY', 51.009358, -2.638819, 75, 0, 'E', 'Europe/London'),
	(487, 'Haverfordwest', 'Haverfordwest', 'United Kingdom', '', 'EGFE', 51.833056, -4.961111, 159, 0, 'E', 'Europe/London'),
	(488, 'Cardiff', 'Cardiff', 'United Kingdom', 'CWL', 'EGFF', 51.396667, -3.343333, 220, 0, 'E', 'Europe/London'),
	(489, 'Swansea', 'Swansea', 'United Kingdom', 'SWS', 'EGFH', 51.605333, -4.067833, 299, 0, 'E', 'Europe/London'),
	(490, 'Bristol', 'Bristol', 'United Kingdom', 'BRS', 'EGGD', 51.382669, -2.719089, 622, 0, 'E', 'Europe/London'),
	(491, 'Liverpool', 'Liverpool', 'United Kingdom', 'LPL', 'EGGP', 53.333611, -2.849722, 80, 0, 'E', 'Europe/London'),
	(492, 'Luton', 'London', 'United Kingdom', 'LTN', 'EGGW', 51.874722, -0.368333, 526, 0, 'E', 'Europe/London'),
	(493, 'Plymouth', 'Plymouth', 'United Kingdom', 'PLH', 'EGHD', 50.422778, -4.105833, 476, 0, 'E', 'Europe/London'),
	(494, 'Bournemouth', 'Bournemouth', 'United Kingdom', 'BOH', 'EGHH', 50.78, -1.8425, 38, 0, 'E', 'Europe/London'),
	(495, 'Southampton', 'Southampton', 'United Kingdom', 'SOU', 'EGHI', 50.950261, -1.356803, 44, 0, 'E', 'Europe/London'),
	(496, 'Lasham', 'Lasham', 'United Kingdom', 'QLA', 'EGHL', 51.187167, -1.0335, 618, 0, 'E', 'Europe/London'),
	(497, 'Alderney', 'Alderney', 'Guernsey', 'ACI', 'EGJA', 49.706111, -2.214722, 290, 0, 'E', 'Europe/Guernsey'),
	(498, 'Guernsey', 'Guernsey', 'Guernsey', 'GCI', 'EGJB', 49.434956, -2.601969, 336, 0, 'E', 'Europe/Guernsey'),
	(499, 'Jersey', 'Jersey', 'Jersey', 'JER', 'EGJJ', 49.207947, -2.195508, 277, 0, 'E', 'Europe/Jersey'),
	(500, 'Shoreham', 'Shoreham By Sea', 'United Kingdom', 'ESH', 'EGKA', 50.835556, -0.297222, 7, 0, 'E', 'Europe/London'),
	(501, 'Biggin Hill', 'Biggin Hill', 'United Kingdom', 'BQH', 'EGKB', 51.330833, 0.0325, 598, 0, 'E', 'Europe/London'),
	(502, 'Gatwick', 'London', 'United Kingdom', 'LGW', 'EGKK', 51.148056, -0.190278, 202, 0, 'E', 'Europe/London'),
	(503, 'City', 'London', 'United Kingdom', 'LCY', 'EGLC', 51.505278, 0.055278, 19, 0, 'E', 'Europe/London'),
	(504, 'Farnborough', 'Farnborough', 'United Kingdom', 'FAB', 'EGLF', 51.275833, -0.776333, 238, 0, 'E', 'Europe/London'),
	(505, 'Chalgrove', 'Chalsgrove', 'United Kingdom', '', 'EGLJ', 51.676111, -1.080833, 240, 0, 'E', 'Europe/London'),
	(506, 'Blackbushe', 'Blackbushe', 'United Kingdom', 'BBS', 'EGLK', 51.323889, -0.8475, 325, 0, 'E', 'Europe/London'),
	(507, 'Heathrow', 'London', 'United Kingdom', 'LHR', 'EGLL', 51.4775, -0.461389, 83, 0, 'E', 'Europe/London'),
	(508, 'Southend', 'Southend', 'United Kingdom', 'SEN', 'EGMC', 51.571389, 0.695556, 49, 0, 'E', 'Europe/London'),
	(509, 'Lydd', 'Lydd', 'United Kingdom', 'LYX', 'EGMD', 50.956111, 0.939167, 13, 0, 'E', 'Europe/London'),
	(510, 'Manston', 'Manston', 'United Kingdom', 'MSE', 'EGMH', 51.342222, 1.346111, 178, 0, 'E', 'Europe/London'),
	(511, 'Brough', 'Brough', 'United Kingdom', '', 'EGNB', 53.719667, -0.566333, 12, 0, 'E', 'Europe/London'),
	(512, 'Carlisle', 'Carlisle', 'United Kingdom', 'CAX', 'EGNC', 54.9375, -2.809167, 190, 0, 'E', 'Europe/London'),
	(513, 'Gamston', 'Repton', 'United Kingdom', '', 'EGNE', 53.280556, -0.951389, 91, 0, 'E', 'Europe/London'),
	(514, 'Blackpool', 'Blackpool', 'United Kingdom', 'BLK', 'EGNH', 53.771667, -3.028611, 34, 0, 'E', 'Europe/London'),
	(515, 'Humberside', 'Humberside', 'United Kingdom', 'HUY', 'EGNJ', 53.574444, -0.350833, 121, 0, 'E', 'Europe/London'),
	(516, 'Walney Island', 'Barrow Island', 'United Kingdom', 'BWF', 'EGNL', 54.131167, -3.263667, 173, 0, 'E', 'Europe/London'),
	(517, 'Leeds Bradford', 'Leeds', 'United Kingdom', 'LBA', 'EGNM', 53.865897, -1.660569, 681, 0, 'E', 'Europe/London'),
	(518, 'Warton', 'Warton', 'United Kingdom', '', 'EGNO', 53.745097, -2.883061, 55, 0, 'E', 'Europe/London'),
	(519, 'Hawarden', 'Hawarden', 'United Kingdom', 'CEG', 'EGNR', 53.178056, -2.977778, 45, 0, 'E', 'Europe/London'),
	(520, 'Isle Of Man', 'Isle Of Man', 'Isle of Man', 'IOM', 'EGNS', 54.083333, -4.623889, 52, 0, 'E', 'Europe/Isle_of_Man'),
	(521, 'Newcastle', 'Newcastle', 'United Kingdom', 'NCL', 'EGNT', 55.0375, -1.691667, 266, 0, 'E', 'Europe/London'),
	(522, 'Durham Tees Valley Airport', 'Teesside', 'United Kingdom', 'MME', 'EGNV', 54.509189, -1.429406, 120, 0, 'E', 'Europe/London'),
	(523, 'Nottingham East Midlands', 'East Midlands', 'United Kingdom', 'EMA', 'EGNX', 52.831111, -1.328056, 306, 0, 'E', 'Europe/London'),
	(524, 'Llanbedr', 'Llanbedr', 'United Kingdom', '', 'EGOD', 52.811744, -4.123575, 30, 0, 'E', 'Europe/London'),
	(525, 'Ternhill', 'Ternhill', 'United Kingdom', '', 'EGOE', 52.871164, -2.533561, 272, 0, 'E', 'Europe/London'),
	(526, 'Shawbury', 'Shawbury', 'United Kingdom', '', 'EGOS', 52.798169, -2.668042, 249, 0, 'E', 'Europe/London'),
	(528, 'Woodvale', 'Woodvale', 'United Kingdom', '', 'EGOW', 53.581575, -3.055522, 37, 0, 'E', 'Europe/London'),
	(529, 'Kirkwall', 'Kirkwall', 'United Kingdom', 'KOI', 'EGPA', 58.957778, -2.905, 50, 0, 'E', 'Europe/London'),
	(530, 'Sumburgh', 'Sumburgh', 'United Kingdom', 'LSI', 'EGPB', 59.878889, -1.295556, 20, 0, 'E', 'Europe/London'),
	(531, 'Wick', 'Wick', 'United Kingdom', 'WIC', 'EGPC', 58.458889, -3.093056, 126, 0, 'E', 'Europe/London'),
	(532, 'Dyce', 'Aberdeen', 'United Kingdom', 'ABZ', 'EGPD', 57.201944, -2.197778, 215, 0, 'E', 'Europe/London'),
	(533, 'Inverness', 'Inverness', 'United Kingdom', 'INV', 'EGPE', 57.5425, -4.0475, 31, 0, 'E', 'Europe/London'),
	(534, 'Glasgow', 'Glasgow', 'United Kingdom', 'GLA', 'EGPF', 55.871944, -4.433056, 26, 0, 'E', 'Europe/London'),
	(535, 'Edinburgh', 'Edinburgh', 'United Kingdom', 'EDI', 'EGPH', 55.95, -3.3725, 135, 0, 'E', 'Europe/London'),
	(536, 'Islay', 'Islay', 'United Kingdom', 'ILY', 'EGPI', 55.681944, -6.256667, 56, 0, 'E', 'Europe/London'),
	(537, 'Prestwick', 'Prestwick', 'United Kingdom', 'PIK', 'EGPK', 55.509444, -4.586667, 65, 0, 'E', 'Europe/London'),
	(538, 'Benbecula', 'Benbecula', 'United Kingdom', 'BEB', 'EGPL', 57.481111, -7.362778, 19, 0, 'E', 'Europe/London'),
	(539, 'Scatsta', 'Scatsta', 'United Kingdom', 'SDZ', 'EGPM', 60.432778, -1.296111, 81, 0, 'E', 'Europe/London'),
	(540, 'Dundee', 'Dundee', 'United Kingdom', 'DND', 'EGPN', 56.452499, -3.025833, 17, 0, 'E', 'Europe/London'),
	(541, 'Stornoway', 'Stornoway', 'United Kingdom', 'SYY', 'EGPO', 58.215556, -6.331111, 26, 0, 'E', 'Europe/London'),
	(542, 'Tiree', 'Tiree', 'United Kingdom', 'TRE', 'EGPU', 56.499167, -6.869167, 38, 0, 'E', 'Europe/London'),
	(543, 'Leuchars', 'Leuchars', 'United Kingdom', 'ADX', 'EGQL', 56.372889, -2.868444, 38, 0, 'E', 'Europe/London'),
	(544, 'Lossiemouth', 'Lossiemouth', 'United Kingdom', 'LMO', 'EGQS', 57.705214, -3.339169, 42, 0, 'E', 'Europe/London'),
	(545, 'Cambridge', 'Cambridge', 'United Kingdom', 'CBG', 'EGSC', 52.205, 0.175, 47, 0, 'E', 'Europe/London'),
	(546, 'Conington', 'Peterborough', 'United Kingdom', '', 'EGSF', 52.468056, -0.251111, 26, 0, 'E', 'Europe/London'),
	(547, 'Norwich', 'Norwich', 'United Kingdom', 'NWI', 'EGSH', 52.675833, 1.282778, 117, 0, 'E', 'Europe/London'),
	(548, 'Stansted', 'London', 'United Kingdom', 'STN', 'EGSS', 51.885, 0.235, 348, 0, 'E', 'Europe/London'),
	(549, 'North Weald', 'North Weald', 'United Kingdom', '', 'EGSX', 51.721667, 0.154167, 321, 0, 'E', 'Europe/London'),
	(550, 'Sheffield City', 'Fowlmere', 'United Kingdom', '', 'EGSY', 53.394256, -1.388486, 231, 0, 'E', 'Europe/London'),
	(551, 'Cranfield', 'Cranfield', 'United Kingdom', '', 'EGTC', 52.072222, -0.616667, 358, 0, 'E', 'Europe/London'),
	(552, 'Exeter', 'Exeter', 'United Kingdom', 'EXT', 'EGTE', 50.734444, -3.413889, 102, 0, 'E', 'Europe/London'),
	(553, 'Bristol Filton', 'Bristol', 'United Kingdom', 'FZO', 'EGTG', 51.519444, -2.590833, 226, 0, 'E', 'Europe/London'),
	(554, 'Kidlington', 'Oxford', 'United Kingdom', 'OXF', 'EGTK', 51.836944, -1.32, 270, 0, 'E', 'Europe/London'),
	(555, 'Benson', 'Benson', 'United Kingdom', '', 'EGUB', 51.616389, -1.095833, 226, 0, 'E', 'Europe/London'),
	(556, 'Lakenheath', 'Lakenheath', 'United Kingdom', '', 'EGUL', 52.409333, 0.561, 32, 0, 'E', 'Europe/London'),
	(557, 'Mildenhall', 'Mildenhall', 'United Kingdom', 'MHZ', 'EGUN', 52.361933, 0.486406, 33, 0, 'E', 'Europe/London'),
	(558, 'Wattisham', 'Wattisham', 'United Kingdom', '', 'EGUW', 52.127283, 0.956264, 284, 0, 'E', 'Europe/London'),
	(559, 'Wyton', 'Wyton', 'United Kingdom', '', 'EGUY', 52.357167, -0.107833, 135, 0, 'E', 'Europe/London'),
	(560, 'Fairford', 'Fairford', 'United Kingdom', 'FFD', 'EGVA', 51.682167, -1.790028, 286, 0, 'E', 'Europe/London'),
	(561, 'Brize Norton', 'Brize Norton', 'United Kingdom', 'BZZ', 'EGVN', 51.749964, -1.583617, 288, 0, 'E', 'Europe/London'),
	(562, 'Odiham', 'Odiham', 'United Kingdom', 'ODH', 'EGVO', 51.234139, -0.942825, 405, 0, 'E', 'Europe/London'),
	(563, 'Cosford', 'Cosford', 'United Kingdom', '', 'EGWC', 52.640028, -2.305578, 272, 0, 'E', 'Europe/London'),
	(564, 'Northolt', 'Northolt', 'United Kingdom', 'NHT', 'EGWU', 51.553, -0.418167, 124, 0, 'E', 'Europe/London'),
	(565, 'Coningsby', 'Coningsby', 'United Kingdom', 'QCY', 'EGXC', 53.093014, -0.166014, 25, 0, 'E', 'Europe/London'),
	(566, 'Dishforth', 'Dishforth', 'United Kingdom', '', 'EGXD', 54.137186, -1.420253, 117, 0, 'E', 'Europe/London'),
	(567, 'Leeming', 'Leeming', 'United Kingdom', '', 'EGXE', 54.292383, -1.5354, 132, 0, 'E', 'Europe/London'),
	(568, 'Church Fenton', 'Church Fenton', 'United Kingdom', '', 'EGXG', 53.834333, -1.1955, 29, 0, 'E', 'Europe/London'),
	(569, 'Honington', 'Honington', 'United Kingdom', 'BEQ', 'EGXH', 52.342611, 0.772939, 174, 0, 'E', 'Europe/London'),
	(570, 'Cottesmore', 'Cottesmore', 'United Kingdom', '', 'EGXJ', 52.735711, -0.648769, 461, 0, 'E', 'Europe/London'),
	(571, 'Scampton', 'Scampton', 'United Kingdom', '', 'EGXP', 53.307778, -0.550833, 202, 0, 'E', 'Europe/London'),
	(572, 'Wittering', 'Wittering', 'United Kingdom', '', 'EGXT', 52.612558, -0.476453, 273, 0, 'E', 'Europe/London'),
	(573, 'Linton On Ouse', 'Linton-on-ouse', 'United Kingdom', '', 'EGXU', 54.048911, -1.252747, 53, 0, 'E', 'Europe/London'),
	(574, 'Waddington', 'Waddington', 'United Kingdom', 'WTN', 'EGXW', 53.166167, -0.523811, 231, 0, 'E', 'Europe/London'),
	(575, 'Topcliffe', 'Topcliffe', 'United Kingdom', '', 'EGXZ', 54.205522, -1.382094, 92, 0, 'E', 'Europe/London'),
	(576, 'Cranwell', 'Cranwell', 'United Kingdom', '', 'EGYD', 53.03035, -0.483242, 218, 0, 'E', 'Europe/London'),
	(577, 'Barkston Heath', 'Barkston Heath', 'United Kingdom', '', 'EGYE', 52.962225, -0.561625, 367, 0, 'E', 'Europe/London'),
	(578, 'Marham', 'Marham', 'United Kingdom', 'KNF', 'EGYM', 52.648353, 0.550692, 75, 0, 'E', 'Europe/London'),
	(579, 'Mount Pleasant', 'Mount Pleasant', 'Falkland Islands', 'MPN', 'EGYP', -51.822777, -58.447222, 244, -3, 'U', 'Atlantic/Stanley'),
	(580, 'Schiphol', 'Amsterdam', 'Netherlands', 'AMS', 'EHAM', 52.308613, 4.763889, -11, 1, 'E', 'Europe/Amsterdam'),
	(581, 'Budel', 'Weert', 'Netherlands', '', 'EHBD', 51.25528, 5.601389, 114, 1, 'E', 'Europe/Amsterdam'),
	(582, 'Maastricht', 'Maastricht', 'Netherlands', 'MST', 'EHBK', 50.911658, 5.770144, 375, 1, 'E', 'Europe/Amsterdam'),
	(583, 'Deelen', 'Deelen', 'Netherlands', '', 'EHDL', 52.060556, 5.873056, 158, 1, 'E', 'Europe/Amsterdam'),
	(584, 'Drachten', 'Drachten', 'Netherlands', '', 'EHDR', 53.119167, 6.129722, 14, 1, 'E', 'Europe/Amsterdam'),
	(585, 'Eindhoven', 'Eindhoven', 'Netherlands', 'EIN', 'EHEH', 51.450139, 5.374528, 74, 1, 'E', 'Europe/Amsterdam'),
	(586, 'Eelde', 'Groningen', 'Netherlands', 'GRQ', 'EHGG', 53.11972, 6.579444, 17, 1, 'E', 'Europe/Amsterdam'),
	(587, 'Gilze Rijen', 'Gilze-rijen', 'Netherlands', '', 'EHGR', 51.567389, 4.931833, 49, 1, 'E', 'Europe/Amsterdam'),
	(588, 'De Kooy', 'De Kooy', 'Netherlands', 'DHR', 'EHKD', 52.923353, 4.780625, 3, 1, 'E', 'Europe/Amsterdam'),
	(589, 'Lelystad', 'Lelystad', 'Netherlands', '', 'EHLE', 52.460278, 5.527222, -13, 1, 'E', 'Europe/Amsterdam'),
	(590, 'Leeuwarden', 'Leeuwarden', 'Netherlands', 'LWR', 'EHLW', 53.228611, 5.760556, 3, 1, 'E', 'Europe/Amsterdam'),
	(591, 'Rotterdam', 'Rotterdam', 'Netherlands', 'RTM', 'EHRD', 51.956944, 4.437222, -15, 1, 'E', 'Europe/Amsterdam'),
	(592, 'Soesterberg', 'Soesterberg', 'Netherlands', 'UTC', 'EHSB', 52.1273, 5.27619, 66, 1, 'E', 'Europe/Amsterdam'),
	(593, 'Twenthe', 'Enschede', 'Netherlands', 'ENS', 'EHTW', 52.27, 6.874167, 114, 1, 'E', 'Europe/Amsterdam'),
	(594, 'Valkenburg', 'Valkenburg', 'Netherlands', 'LID', 'EHVB', 52.166139, 4.417944, 0, 1, 'E', 'Europe/Amsterdam'),
	(595, 'Woensdrecht', 'Woensdrecht', 'Netherlands', 'WOE', 'EHWO', 51.449092, 4.342031, 63, 1, 'E', 'Europe/Amsterdam'),
	(596, 'Cork', 'Cork', 'Ireland', 'ORK', 'EICK', 51.841269, -8.491111, 502, 0, 'E', 'Europe/Dublin'),
	(597, 'Galway', 'Galway', 'Ireland', 'GWY', 'EICM', 53.300175, -8.941592, 81, 0, 'E', 'Europe/Dublin'),
	(599, 'Dublin', 'Dublin', 'Ireland', 'DUB', 'EIDW', 53.421333, -6.270075, 242, 0, 'E', 'Europe/Dublin'),
	(600, 'Ireland West Knock', 'Connaught', 'Ireland', 'NOC', 'EIKN', 53.910297, -8.818492, 665, 0, 'E', 'Europe/Dublin'),
	(601, 'Kerry', 'Kerry', 'Ireland', 'KIR', 'EIKY', 52.180878, -9.523783, 112, 0, 'E', 'Europe/Dublin'),
	(602, 'Casement', 'Casement', 'Ireland', '', 'EIME', 53.301667, -6.451333, 319, 0, 'E', 'Europe/Dublin'),
	(603, 'Shannon', 'Shannon', 'Ireland', 'SNN', 'EINN', 52.701978, -8.924817, 46, 0, 'E', 'Europe/Dublin'),
	(604, 'Sligo', 'Sligo', 'Ireland', 'SXL', 'EISG', 54.280214, -8.599206, 11, 0, 'E', 'Europe/Dublin'),
	(605, 'Waterford', 'Waterford', 'Ireland', 'WAT', 'EIWF', 52.1872, -7.086964, 119, 0, 'E', 'Europe/Dublin'),
	(607, 'Aarhus', 'Aarhus', 'Denmark', 'AAR', 'EKAH', 56.300017, 10.619008, 82, 1, 'E', 'Europe/Copenhagen'),
	(608, 'Billund', 'Billund', 'Denmark', 'BLL', 'EKBI', 55.740322, 9.151778, 247, 1, 'E', 'Europe/Copenhagen'),
	(609, 'Kastrup', 'Copenhagen', 'Denmark', 'CPH', 'EKCH', 55.617917, 12.655972, 17, 1, 'E', 'Europe/Copenhagen'),
	(610, 'Esbjerg', 'Esbjerg', 'Denmark', 'EBJ', 'EKEB', 55.525942, 8.553403, 97, 1, 'E', 'Europe/Copenhagen'),
	(611, 'Gronholt Hillerod', 'Gronholt', 'Denmark', '', 'EKGH', 55.941387, 12.382222, 97, 1, 'E', 'Europe/Copenhagen'),
	(612, 'Karup', 'Karup', 'Denmark', 'KRP', 'EKKA', 56.297458, 9.124628, 170, 1, 'E', 'Europe/Copenhagen'),
	(613, 'Laeso', 'Laeso', 'Denmark', '', 'EKLS', 57.277228, 11.000083, 25, 1, 'E', 'Europe/Copenhagen'),
	(614, 'Lolland Falster Maribo', 'Maribo', 'Denmark', '', 'EKMB', 54.699344, 11.440117, 16, 1, 'E', 'Europe/Copenhagen'),
	(615, 'Odense', 'Odense', 'Denmark', 'ODE', 'EKOD', 55.476664, 10.330933, 56, 1, 'E', 'Europe/Copenhagen'),
	(616, 'Krusa Padborg', 'Krusa-padborg', 'Denmark', '', 'EKPB', 54.870306, 9.279014, 88, 1, 'E', 'Europe/Copenhagen'),
	(617, 'Roskilde', 'Copenhagen', 'Denmark', 'RKE', 'EKRK', 55.585567, 12.131428, 146, 1, 'E', 'Europe/Copenhagen'),
	(618, 'Bornholm Ronne', 'Ronne', 'Denmark', 'RNN', 'EKRN', 55.063267, 14.759558, 52, 1, 'E', 'Europe/Copenhagen'),
	(619, 'Sonderborg', 'Soenderborg', 'Denmark', 'SGD', 'EKSB', 54.964367, 9.791731, 24, 1, 'E', 'Europe/Copenhagen'),
	(621, 'Skrydstrup', 'Skrydstrup', 'Denmark', 'SKS', 'EKSP', 55.225553, 9.263931, 141, 1, 'E', 'Europe/Copenhagen'),
	(622, 'Skive', 'Skive', 'Denmark', '', 'EKSV', 56.550208, 9.172983, 74, 1, 'E', 'Europe/Copenhagen'),
	(623, 'Thisted', 'Thisted', 'Denmark', 'TED', 'EKTS', 57.0688, 8.705225, 23, 1, 'E', 'Europe/Copenhagen'),
	(624, 'Kolding Vamdrup', 'Kolding', 'Denmark', '', 'EKVD', 55.436283, 9.330925, 143, 1, 'E', 'Europe/Copenhagen'),
	(625, 'Vagar', 'Vagar', 'Faroe Islands', 'FAE', 'EKVG', 62.063628, -7.277219, 280, 0, 'E', 'Atlantic/Faeroe'),
	(626, 'Aars', 'Vesthimmerland', 'Denmark', '', 'EKVH', 56.846944, 9.458611, 119, 1, 'E', 'Europe/Copenhagen'),
	(627, 'Stauning', 'Stauning', 'Denmark', 'STA', 'EKVJ', 55.990122, 8.353906, 17, 1, 'E', 'Europe/Copenhagen'),
	(628, 'Aalborg', 'Aalborg', 'Denmark', 'AAL', 'EKYT', 57.092789, 9.849164, 10, 1, 'E', 'Europe/Copenhagen'),
	(629, 'Luxembourg', 'Luxemburg', 'Luxembourg', 'LUX', 'ELLX', 49.626575, 6.211517, 1234, 1, 'E', 'Europe/Luxembourg'),
	(630, 'Vigra', 'Alesund', 'Norway', 'AES', 'ENAL', 62.560372, 6.110164, 69, 1, 'E', 'Europe/Oslo'),
	(631, 'Andenes', 'Andoya', 'Norway', 'ANX', 'ENAN', 69.2925, 16.144167, 43, 1, 'E', 'Europe/Oslo'),
	(632, 'Alta', 'Alta', 'Norway', 'ALF', 'ENAT', 69.976111, 23.371667, 9, 1, 'E', 'Europe/Oslo'),
	(633, 'Bomoen', 'Voss', 'Norway', '', 'ENBM', 60.63885, 6.501497, 300, 1, 'E', 'Europe/Oslo'),
	(634, 'Bronnoy', 'Bronnoysund', 'Norway', 'BNN', 'ENBN', 65.461111, 12.2175, 25, 1, 'E', 'Europe/Oslo'),
	(635, 'Bodo', 'Bodo', 'Norway', 'BOO', 'ENBO', 67.269167, 14.365278, 42, 1, 'E', 'Europe/Oslo'),
	(636, 'Flesland', 'Bergen', 'Norway', 'BGO', 'ENBR', 60.293386, 5.218142, 170, 1, 'E', 'Europe/Oslo'),
	(637, 'Batsfjord', 'Batsfjord', 'Norway', 'BJF', 'ENBS', 70.600278, 29.6925, 490, 1, 'E', 'Europe/Oslo'),
	(638, 'Kjevik', 'Kristiansand', 'Norway', 'KRS', 'ENCN', 58.204214, 8.085369, 57, 1, 'E', 'Europe/Oslo'),
	(639, 'Dagali', 'Geilo', 'Norway', '', 'ENDI', 60.416667, 8.512778, 2618, 1, 'E', 'Europe/Oslo'),
	(640, 'Bardufoss', 'Bardufoss', 'Norway', 'BDU', 'ENDU', 69.055758, 18.540356, 252, 1, 'E', 'Europe/Oslo'),
	(641, 'Evenes', 'Harstad/Narvik', 'Norway', 'EVE', 'ENEV', 68.4913, 16.678108, 84, 1, 'E', 'Europe/Oslo'),
	(642, 'Leirin', 'Fagernes', 'Norway', 'VDB', 'ENFG', 61.015556, 9.288056, 2697, 1, 'E', 'Europe/Oslo'),
	(643, 'Floro', 'Floro', 'Norway', 'FRO', 'ENFL', 61.583611, 5.024722, 37, 1, 'E', 'Europe/Oslo'),
	(644, 'Gardermoen', 'Oslo', 'Norway', 'OSL', 'ENGM', 60.193917, 11.100361, 681, 1, 'E', 'Europe/Oslo'),
	(645, 'Karmoy', 'Haugesund', 'Norway', 'HAU', 'ENHD', 59.345267, 5.208364, 86, 1, 'E', 'Europe/Oslo'),
	(646, 'Hasvik', 'Hasvik', 'Norway', 'HAA', 'ENHK', 70.486675, 22.139744, 21, 1, 'E', 'Europe/Oslo'),
	(647, 'Kvernberget', 'Kristiansund', 'Norway', 'KSU', 'ENKB', 63.111781, 7.824522, 204, 1, 'E', 'Europe/Oslo'),
	(648, 'Kjeller', 'Kjeller', 'Norway', '', 'ENKJ', 59.969336, 11.036089, 354, 1, 'E', 'Europe/Oslo'),
	(649, 'Hoybuktmoen', 'Kirkenes', 'Norway', 'KKN', 'ENKR', 69.725781, 29.891295, 283, 1, 'E', 'Europe/Oslo'),
	(650, 'Lista', 'Farsund', 'Norway', 'FAN', 'ENLI', 58.099486, 6.62605, 29, 1, 'E', 'Europe/Oslo'),
	(651, 'Aro', 'Molde', 'Norway', 'MOL', 'ENML', 62.744722, 7.2625, 10, 1, 'E', 'Europe/Oslo'),
	(652, 'Kjaerstad', 'Mosjoen', 'Norway', 'MJF', 'ENMS', 65.783997, 13.214914, 237, 1, 'E', 'Europe/Oslo'),
	(653, 'Banak', 'Lakselv', 'Norway', 'LKL', 'ENNA', 70.068814, 24.973489, 25, 1, 'E', 'Europe/Oslo'),
	(654, 'Notodden', 'Notodden', 'Norway', 'NTB', 'ENNO', 59.565683, 9.212222, 63, 1, 'E', 'Europe/Oslo'),
	(655, 'Orland', 'Orland', 'Norway', 'OLA', 'ENOL', 63.698908, 9.604003, 28, 1, 'E', 'Europe/Oslo'),
	(656, 'Roros', 'Roros', 'Norway', 'RRS', 'ENRO', 62.578411, 11.342347, 2054, 1, 'E', 'Europe/Oslo'),
	(657, 'Moss', 'Rygge', 'Norway', 'RYG', 'ENRY', 59.378933, 10.785389, 174, 1, 'E', 'Europe/Oslo'),
	(658, 'Longyear', 'Svalbard', 'Norway', 'LYR', 'ENSB', 78.246111, 15.465556, 88, 1, 'E', 'Arctic/Longyearbyen'),
	(659, 'Geiteryggen', 'Skien', 'Norway', 'SKE', 'ENSN', 59.185, 9.566944, 463, 1, 'E', 'Europe/Oslo'),
	(660, 'Sorstokken', 'Stord', 'Norway', 'SRP', 'ENSO', 59.791925, 5.34085, 160, 1, 'E', 'Europe/Oslo'),
	(662, 'Stokka', 'Sandnessjoen', 'Norway', 'SSJ', 'ENST', 65.956828, 12.468944, 56, 1, 'E', 'Europe/Oslo'),
	(663, 'Langnes', 'Tromso', 'Norway', 'TOS', 'ENTC', 69.683333, 18.918919, 31, 1, 'E', 'Europe/Oslo'),
	(664, 'Torp', 'Sandefjord', 'Norway', 'TRF', 'ENTO', 59.186703, 10.258628, 286, 1, 'E', 'Europe/Oslo'),
	(665, 'Vaernes', 'Trondheim', 'Norway', 'TRD', 'ENVA', 63.457556, 10.92425, 56, 1, 'E', 'Europe/Oslo'),
	(666, 'Sola', 'Stavanger', 'Norway', 'SVG', 'ENZV', 58.876778, 5.637856, 29, 1, 'E', 'Europe/Oslo'),
	(667, 'Babice', 'Warsaw', 'Poland', '', 'EPBC', 52.268494, 20.911047, 352, 1, 'E', 'Europe/Warsaw'),
	(668, 'Lech Walesa', 'Gdansk', 'Poland', 'GDN', 'EPGD', 54.377569, 18.466222, 489, 1, 'E', 'Europe/Warsaw'),
	(669, 'Balice', 'Krakow', 'Poland', 'KRK', 'EPKK', 50.077731, 19.784836, 791, 1, 'E', 'Europe/Warsaw'),
	(670, 'Muchowiec', 'Katowice', 'Poland', '', 'EPKM', 50.238147, 19.034181, 909, 1, 'E', 'Europe/Warsaw'),
	(671, 'Pyrzowice', 'Katowice', 'Poland', 'KTW', 'EPKT', 50.474253, 19.080019, 995, 1, 'E', 'Europe/Warsaw'),
	(673, 'Mielec', 'Mielec', 'Poland', '', 'EPML', 50.322275, 21.462131, 548, 1, 'E', 'Europe/Warsaw'),
	(674, 'Lawica', 'Poznan', 'Poland', 'POZ', 'EPPO', 52.421031, 16.826325, 308, 1, 'E', 'Europe/Warsaw'),
	(675, 'Jasionka', 'Rzeszow', 'Poland', 'RZE', 'EPRZ', 50.109958, 22.019, 675, 1, 'E', 'Europe/Warsaw'),
	(676, 'Goleniow', 'Szczecin', 'Poland', 'SZZ', 'EPSC', 53.584731, 14.902206, 154, 1, 'E', 'Europe/Warsaw'),
	(677, 'Redzikowo', 'Slupsk', 'Poland', 'OSP', 'EPSK', 54.478889, 17.1075, 217, 1, 'E', 'Europe/Warsaw'),
	(678, 'Swidwin', 'Shapaja', 'Poland', '', 'EPSN', 53.790639, 15.82625, 385, 1, 'E', 'Europe/Warsaw'),
	(679, 'Okecie', 'Warsaw', 'Poland', 'WAW', 'EPWA', 52.16575, 20.967122, 362, 1, 'E', 'Europe/Warsaw'),
	(680, 'Strachowice', 'Wroclaw', 'Poland', 'WRO', 'EPWR', 51.102683, 16.885836, 404, 1, 'E', 'Europe/Warsaw'),
	(681, 'Babimost', 'Zielona Gora', 'Poland', 'IEG', 'EPZG', 52.138517, 15.798556, 194, 1, 'E', 'Europe/Warsaw'),
	(682, 'Malmen', 'Linkoeping', 'Sweden', '', 'ESCF', 58.402278, 15.525683, 308, 1, 'E', 'Europe/Stockholm'),
	(683, 'Bravalla', 'Norrkoeping', 'Sweden', '', 'ESCK', 58.610867, 16.103592, 90, 1, 'E', 'Europe/Stockholm'),
	(684, 'Uppsala', 'Uppsala', 'Sweden', '', 'ESCM', 59.897328, 17.588581, 68, 1, 'E', 'Europe/Stockholm'),
	(685, 'Ronneby', 'Ronneby', 'Sweden', 'RNB', 'ESDF', 56.266667, 15.265, 191, 1, 'E', 'Europe/Stockholm'),
	(686, 'Rada', 'Rada', 'Sweden', '', 'ESFR', 58.498136, 13.053231, 230, 1, 'E', 'Europe/Stockholm'),
	(687, 'Landvetter', 'Gothenborg', 'Sweden', 'GOT', 'ESGG', 57.662836, 12.279819, 506, 1, 'E', 'Europe/Stockholm'),
	(688, 'Jonkoping', 'Joenkoeping', 'Sweden', 'JKG', 'ESGJ', 57.757594, 14.068731, 741, 1, 'E', 'Europe/Stockholm'),
	(689, 'Falkoping', 'Falkoping', 'Sweden', '', 'ESGK', 58.169794, 13.587847, 785, 1, 'E', 'Europe/Stockholm'),
	(690, 'Lidkoping', 'Lidkoping', 'Sweden', 'LDK', 'ESGL', 58.465522, 13.174414, 200, 1, 'E', 'Europe/Stockholm'),
	(691, 'Save', 'Gothenborg', 'Sweden', 'GSE', 'ESGP', 57.774722, 11.870372, 59, 1, 'E', 'Europe/Stockholm'),
	(692, 'Skovde', 'Skovde', 'Sweden', 'KVB', 'ESGR', 58.4564, 13.972672, 324, 1, 'E', 'Europe/Stockholm'),
	(693, 'Trollhattan Vanersborg', 'Trollhattan', 'Sweden', 'THN', 'ESGT', 58.318056, 12.345, 137, 1, 'E', 'Europe/Stockholm'),
	(694, 'Karlsborg', 'Karlsborg', 'Sweden', '', 'ESIA', 58.513842, 14.507119, 308, 1, 'E', 'Europe/Stockholm'),
	(695, 'Satenas', 'Satenas', 'Sweden', '', 'ESIB', 58.426445, 12.714389, 181, 1, 'E', 'Europe/Stockholm'),
	(696, 'Barkarby', 'Stockholm', 'Sweden', '', 'ESKB', 59.418694, 17.890694, 50, 1, 'E', 'Europe/Stockholm'),
	(697, 'Karlskoga', 'Karlskoga', 'Sweden', 'KSK', 'ESKK', 59.345867, 14.495922, 400, 1, 'E', 'Europe/Stockholm'),
	(698, 'Mora', 'Mora', 'Sweden', 'MXX', 'ESKM', 60.957908, 14.511383, 634, 1, 'E', 'Europe/Stockholm'),
	(699, 'Skavsta', 'Stockholm', 'Sweden', 'NYO', 'ESKN', 58.788636, 16.912189, 140, 1, 'E', 'Europe/Stockholm'),
	(700, 'Arvika', 'Arvika', 'Sweden', '', 'ESKV', 59.675856, 12.639442, 237, 1, 'E', 'Europe/Stockholm'),
	(701, 'Emmaboda', 'Emmaboda', 'Sweden', '', 'ESMA', 56.610761, 15.604761, 442, 1, 'E', 'Europe/Stockholm'),
	(702, 'Feringe', 'Ljungby', 'Sweden', '', 'ESMG', 56.950278, 13.921667, 538, 1, 'E', 'Europe/Stockholm'),
	(703, 'Kristianstad', 'Kristianstad', 'Sweden', 'KID', 'ESMK', 55.921686, 14.085536, 76, 1, 'E', 'Europe/Stockholm'),
	(704, 'Landskrona', 'Landskrona', 'Sweden', 'JLD', 'ESML', 55.944444, 12.869444, 194, 1, 'E', 'Europe/Stockholm'),
	(705, 'Oskarshamn', 'Oskarshamn', 'Sweden', 'OSK', 'ESMO', 57.350453, 16.497972, 96, 1, 'E', 'Europe/Stockholm'),
	(706, 'Anderstorp', 'Anderstorp', 'Sweden', '', 'ESMP', 57.264167, 13.599439, 507, 1, 'E', 'Europe/Stockholm'),
	(707, 'Kalmar', 'Kalkmar', 'Sweden', 'KLR', 'ESMQ', 56.685531, 16.287578, 17, 1, 'E', 'Europe/Stockholm'),
	(708, 'Sturup', 'Malmoe', 'Sweden', 'MMX', 'ESMS', 55.530193, 13.371639, 236, 1, 'E', 'Europe/Stockholm'),
	(709, 'Halmstad', 'Halmstad', 'Sweden', 'HAD', 'ESMT', 56.691128, 12.820211, 101, 1, 'E', 'Europe/Stockholm'),
	(710, 'Hagshult', 'Hagshult', 'Sweden', '', 'ESMV', 57.292222, 14.137222, 556, 1, 'E', 'Europe/Stockholm'),
	(711, 'Kronoberg', 'Vaxjo', 'Sweden', 'VXO', 'ESMX', 56.929144, 14.727994, 610, 1, 'E', 'Europe/Stockholm'),
	(712, 'Hallviken', 'Hallviken', 'Sweden', '', 'ESNA', 63.738333, 15.458333, 1119, 1, 'E', 'Europe/Stockholm'),
	(713, 'Hedlanda', 'Hede', 'Sweden', '', 'ESNC', 62.408889, 13.747222, 1460, 1, 'E', 'Europe/Stockholm'),
	(714, 'Sveg', 'Sveg', 'Sweden', 'EVG', 'ESND', 62.047811, 14.42295, 1178, 1, 'E', 'Europe/Stockholm'),
	(715, 'Gallivare', 'Gallivare', 'Sweden', 'GEV', 'ESNG', 67.132408, 20.814636, 1027, 1, 'E', 'Europe/Stockholm'),
	(716, 'Hudiksvall', 'Hudiksvall', 'Sweden', 'HUV', 'ESNH', 61.768092, 17.080719, 95, 1, 'E', 'Europe/Stockholm'),
	(717, 'Jokkmokk', 'Jokkmokk', 'Sweden', '', 'ESNJ', 66.496236, 20.147181, 904, 1, 'E', 'Europe/Stockholm'),
	(718, 'Kramfors Solleftea', 'Kramfors', 'Sweden', 'KRF', 'ESNK', 63.048597, 17.768856, 34, 1, 'E', 'Europe/Stockholm'),
	(719, 'Lycksele', 'Lycksele', 'Sweden', 'LYC', 'ESNL', 64.548322, 18.716219, 705, 1, 'E', 'Europe/Stockholm'),
	(720, 'Optand', 'Optand', 'Sweden', '', 'ESNM', 63.128611, 14.802778, 1236, 1, 'E', 'Europe/Stockholm'),
	(721, 'Sundsvall Harnosand', 'Sundsvall', 'Sweden', 'SDL', 'ESNN', 62.528125, 17.443928, 16, 1, 'E', 'Europe/Stockholm'),
	(722, 'Ornskoldsvik', 'Ornskoldsvik', 'Sweden', 'OER', 'ESNO', 63.408339, 18.990039, 354, 1, 'E', 'Europe/Stockholm'),
	(723, 'Pitea', 'Pitea', 'Sweden', '', 'ESNP', 65.398333, 21.260833, 43, 1, 'E', 'Europe/Stockholm'),
	(724, 'Kiruna', 'Kiruna', 'Sweden', 'KRN', 'ESNQ', 67.821986, 20.336764, 1508, 1, 'E', 'Europe/Stockholm'),
	(725, 'Orsa', 'Orsa', 'Sweden', '', 'ESNR', 61.190033, 14.712567, 683, 1, 'E', 'Europe/Stockholm'),
	(726, 'Skelleftea', 'Skelleftea', 'Sweden', 'SFT', 'ESNS', 64.624772, 21.076892, 157, 1, 'E', 'Europe/Stockholm'),
	(727, 'Sattna', 'Sattna', 'Sweden', '', 'ESNT', 62.481369, 17.002917, 886, 1, 'E', 'Europe/Stockholm'),
	(728, 'Umea', 'Umea', 'Sweden', 'UME', 'ESNU', 63.791828, 20.282758, 24, 1, 'E', 'Europe/Stockholm'),
	(729, 'Vilhelmina', 'Vilhelmina', 'Sweden', 'VHM', 'ESNV', 64.579083, 16.833575, 1140, 1, 'E', 'Europe/Stockholm'),
	(730, 'Arvidsjaur', 'Arvidsjaur', 'Sweden', 'AJR', 'ESNX', 65.590278, 19.281944, 1245, 1, 'E', 'Europe/Stockholm'),
	(731, 'Orebro', 'Orebro', 'Sweden', 'ORB', 'ESOE', 59.223733, 15.037956, 188, 1, 'E', 'Europe/Stockholm'),
	(733, 'Vasteras', 'Vasteras', 'Sweden', 'VST', 'ESOW', 59.589444, 16.633611, 21, 1, 'E', 'Europe/Stockholm'),
	(734, 'Kallax', 'Lulea', 'Sweden', 'LLA', 'ESPA', 65.543758, 22.121989, 65, 1, 'E', 'Europe/Stockholm'),
	(735, 'Vidsel', 'Vidsel', 'Sweden', '', 'ESPE', 65.875325, 20.149917, 597, 1, 'E', 'Europe/Stockholm'),
	(736, 'Arboga', 'Arboga', 'Sweden', '', 'ESQO', 59.386585, 15.924055, 33, 1, 'E', 'Europe/Stockholm'),
	(737, 'Arlanda', 'Stockholm', 'Sweden', 'ARN', 'ESSA', 59.651944, 17.918611, 137, 1, 'E', 'Europe/Stockholm'),
	(738, 'Bromma', 'Stockholm', 'Sweden', 'BMA', 'ESSB', 59.354372, 17.94165, 47, 1, 'E', 'Europe/Stockholm'),
	(739, 'Borlange', 'Borlange', 'Sweden', 'BLE', 'ESSD', 60.422017, 15.515211, 503, 1, 'E', 'Europe/Stockholm'),
	(740, 'Hultsfred', 'Hultsfred', 'Sweden', 'HLF', 'ESSF', 57.525833, 15.823333, 366, 1, 'E', 'Europe/Stockholm'),
	(741, 'Gavle', 'Gavle', 'Sweden', 'GVX', 'ESSK', 60.593333, 16.951389, 224, 1, 'E', 'Europe/Stockholm'),
	(742, 'Saab', 'Linkoeping', 'Sweden', 'LPI', 'ESSL', 58.40615, 15.680508, 172, 1, 'E', 'Europe/Stockholm'),
	(743, 'Kungsangen', 'Norrkoeping', 'Sweden', 'NRK', 'ESSP', 58.586253, 16.250622, 32, 1, 'E', 'Europe/Stockholm'),
	(745, 'Eskilstuna', 'Eskilstuna', 'Sweden', '', 'ESSU', 59.351078, 16.7084, 139, 1, 'E', 'Europe/Stockholm'),
	(746, 'Visby', 'Visby', 'Sweden', 'VBY', 'ESSV', 57.662797, 18.346211, 164, 1, 'E', 'Europe/Stockholm'),
	(748, 'Kalixfors', 'Kalixfors', 'Sweden', '', 'ESUK', 67.764789, 20.257228, 1549, 1, 'E', 'Europe/Stockholm'),
	(750, 'Spangdahlem Ab', 'Spangdahlem', 'Germany', 'SPM', 'ETAD', 49.972667, 6.6925, 1197, 1, 'E', 'Europe/Berlin'),
	(751, 'Ramstein Ab', 'Ramstein', 'Germany', 'RMS', 'ETAR', 49.436911, 7.600283, 776, 1, 'E', 'Europe/Berlin'),
	(752, 'Bamberg Aaf', 'Bamberg', 'Germany', '', 'ETEJ', 49.920433, 10.914233, 823, 1, 'E', 'Europe/Berlin'),
	(753, 'Giebelstadt Aaf', 'Giebelstadt', 'Germany', 'GHF', 'ETEU', 49.648131, 9.966494, 980, 1, 'E', 'Europe/Berlin'),
	(754, 'Buckeburg', 'Brueckeburg', 'Germany', '', 'ETHB', 52.2785, 9.082167, 230, 1, 'E', 'Europe/Berlin'),
	(755, 'Celle', 'Celle', 'Germany', 'ZCN', 'ETHC', 52.5912, 10.022133, 129, 1, 'E', 'Europe/Berlin'),
	(756, 'Rheine Bentlage', 'Rheine-brentlange', 'Germany', '', 'ETHE', 52.291167, 7.387, 129, 1, 'E', 'Europe/Berlin'),
	(757, 'Fritzlar', 'Fritzlar', 'Germany', '', 'ETHF', 51.1145, 9.285833, 566, 1, 'E', 'Europe/Berlin'),
	(758, 'Laupheim', 'Laupheim', 'Germany', '', 'ETHL', 48.220297, 9.910019, 1766, 1, 'E', 'Europe/Berlin'),
	(759, 'Mendig', 'Mendig', 'Germany', '', 'ETHM', 50.366, 7.315333, 597, 1, 'E', 'Europe/Berlin'),
	(760, 'Niederstetten', 'Niederstetten', 'Germany', '', 'ETHN', 49.391833, 9.958167, 1536, 1, 'E', 'Europe/Berlin'),
	(761, 'Roth', 'Roth', 'Germany', '', 'ETHR', 49.2175, 11.100167, 1268, 1, 'E', 'Europe/Berlin'),
	(762, 'Fassberg', 'Fassberg', 'Germany', '', 'ETHS', 52.919406, 10.197528, 245, 1, 'E', 'Europe/Berlin'),
	(763, 'Grafenwohr Aaf', 'Grafenwoehr', 'Germany', '', 'ETIC', 49.698686, 11.940175, 1363, 1, 'E', 'Europe/Berlin'),
	(764, 'Hanau Aaf', 'Hanau', 'Germany', 'ZNF', 'ETID', 50.169189, 8.961586, 368, 1, 'E', 'Europe/Berlin'),
	(765, 'Hohenfels Aaf', 'Hohenfels', 'Germany', '', 'ETIH', 49.218056, 11.836111, 1455, 1, 'E', 'Europe/Berlin'),
	(766, 'Kitzingen Aaf', 'Kitzingen', 'Germany', '', 'ETIN', 49.743057, 10.200556, 689, 1, 'E', 'Europe/Berlin'),
	(767, 'Nordholz', 'Nordholz', 'Germany', '', 'ETMN', 53.767667, 8.6585, 74, 1, 'E', 'Europe/Berlin'),
	(768, 'Diepholz', 'Diepholz', 'Germany', '', 'ETND', 52.585514, 8.341014, 127, 1, 'E', 'Europe/Berlin'),
	(769, 'Geilenkirchen', 'Geilenkirchen', 'Germany', 'GKE', 'ETNG', 50.960817, 6.042422, 296, 1, 'E', 'Europe/Berlin'),
	(770, 'Hohn', 'Hohn', 'Germany', '', 'ETNH', 54.312167, 9.538167, 39, 1, 'E', 'Europe/Berlin'),
	(771, 'Jever', 'Jever', 'Germany', '', 'ETNJ', 53.5335, 7.888667, 24, 1, 'E', 'Europe/Berlin'),
	(772, 'Laage', 'Laage', 'Germany', 'RLG', 'ETNL', 53.918167, 12.278333, 138, 1, 'E', 'Europe/Berlin'),
	(773, 'Norvenich', 'Noervenich', 'Germany', '', 'ETNN', 50.831167, 6.658167, 386, 1, 'E', 'Europe/Berlin'),
	(774, 'Schleswig', 'Schleswig', 'Germany', '', 'ETNS', 54.459333, 9.516333, 70, 1, 'E', 'Europe/Berlin'),
	(775, 'Wittmundhafen', 'Wittmundhafen', 'Germany', '', 'ETNT', 53.547833, 7.667333, 26, 1, 'E', 'Europe/Berlin'),
	(776, 'Neubrandenburg', 'Neubrandenburg', 'Germany', '', 'ETNU', 53.602167, 13.306, 228, 1, 'E', 'Europe/Berlin'),
	(777, 'Wunstorf', 'Wunstorf', 'Germany', '', 'ETNW', 52.457333, 9.427167, 187, 1, 'E', 'Europe/Berlin'),
	(778, 'Vilseck Aaf', 'Vilseck', 'Germany', '', 'ETOI', 49.63361, 11.767222, 1353, 1, 'E', 'Europe/Berlin'),
	(779, 'Coleman Aaf', 'Coleman', 'Germany', '', 'ETOR', 49.563569, 8.463392, 309, 1, 'E', 'Europe/Berlin'),
	(780, 'Wiesbaden Aaf', 'Wiesbaden', 'Germany', '', 'ETOU', 50.049819, 8.325397, 461, 1, 'E', 'Europe/Berlin'),
	(781, 'Landsberg Lech', 'Landsberg', 'Germany', '', 'ETSA', 48.0705, 10.906, 2044, 1, 'E', 'Europe/Berlin'),
	(782, 'Buchel', 'Buechel', 'Germany', '', 'ETSB', 50.173833, 7.063333, 1568, 1, 'E', 'Europe/Berlin'),
	(783, 'Erding', 'Erding', 'Germany', '', 'ETSE', 48.322333, 11.948667, 1515, 1, 'E', 'Europe/Berlin'),
	(784, 'Furstenfeldbruck', 'Fuerstenfeldbruck', 'Germany', 'FEL', 'ETSF', 48.205667, 11.267, 1703, 1, 'E', 'Europe/Berlin'),
	(785, 'Holzdorf', 'Holzdorf', 'Germany', '', 'ETSH', 51.767833, 13.167667, 265, 1, 'E', 'Europe/Berlin'),
	(786, 'Ingolstadt Manching', 'Ingolstadt', 'Germany', '', 'ETSI', 48.715667, 11.534, 1202, 1, 'E', 'Europe/Berlin'),
	(787, 'Lechfeld', 'Lechfeld', 'Germany', '', 'ETSL', 48.1855, 10.861167, 1822, 1, 'E', 'Europe/Berlin'),
	(788, 'Neuburg', 'Neuburg', 'Germany', '', 'ETSN', 48.711, 11.2115, 1249, 1, 'E', 'Europe/Berlin'),
	(789, 'Gutersloh', 'Guetersloh', 'Germany', 'GUT', 'ETUO', 51.922833, 8.306333, 236, 1, 'E', 'Europe/Berlin'),
	(790, 'Alexander Bay', 'Alexander Bay', 'South Africa', 'ALJ', 'FAAB', -28.575001, 16.533333, 98, 2, 'U', 'Africa/Johannesburg'),
	(791, 'Aggeneys', 'Aggeneys', 'South Africa', 'AGZ', 'FAAG', -29.281767, 18.813869, 2648, 2, 'U', 'Africa/Johannesburg'),
	(792, 'Brakpan', 'Brakpan', 'South Africa', '', 'FABB', -26.23865, 28.301769, 5300, 2, 'U', 'Africa/Johannesburg'),
	(793, 'Bhisho', 'Bisho', 'South Africa', 'BIY', 'FABE', -32.89715, 27.279111, 1950, 2, 'U', 'Africa/Johannesburg'),
	(794, 'Bloemfontein Intl', 'Bloemfontein', 'South Africa', 'BFN', 'FABL', -29.092722, 26.302444, 4458, 2, 'U', 'Africa/Johannesburg'),
	(795, 'Bethlehem', 'Bethlehem', 'South Africa', '', 'FABM', -28.248392, 28.336125, 5561, 2, 'U', 'Africa/Johannesburg'),
	(796, 'Bothaville', 'Bothaville', 'South Africa', '', 'FABO', -27.366769, 26.629194, 4236, 2, 'U', 'Africa/Johannesburg'),
	(797, 'Cape Town Intl', 'Cape Town', 'South Africa', 'CPT', 'FACT', -33.964806, 18.601667, 151, 2, 'U', 'Africa/Johannesburg'),
	(798, 'Calvinia', 'Calvinia', 'South Africa', '', 'FACV', -31.500278, 19.725897, 3250, 2, 'U', 'Africa/Johannesburg'),
	(799, 'Durban Intl', 'Durban', 'South Africa', 'DUR', 'FADN', -29.970089, 30.950519, 33, 2, 'U', 'Africa/Johannesburg'),
	(800, 'East London', 'East London', 'South Africa', 'ELS', 'FAEL', -33.035569, 27.825939, 435, 2, 'U', 'Africa/Johannesburg'),
	(801, 'Ermelo', 'Ermelo', 'South Africa', '', 'FAEO', -26.495644, 29.979764, 5700, 2, 'U', 'Africa/Johannesburg'),
	(802, 'Ficksburg Sentraoes', 'Ficksburg', 'South Africa', '', 'FAFB', -28.823119, 27.9089, 5315, 2, 'U', 'Africa/Johannesburg'),
	(803, 'Grand Central', 'Johannesburg', 'South Africa', 'GCJ', 'FAGC', -25.986267, 28.140061, 5325, 2, 'U', 'Africa/Johannesburg'),
	(804, 'George', 'George', 'South Africa', 'GRJ', 'FAGG', -34.005553, 22.378889, 648, 2, 'U', 'Africa/Johannesburg'),
	(806, 'Graaff Reinet', 'Graaff Reinet', 'South Africa', '', 'FAGR', -32.193611, 24.541389, 2604, 2, 'U', 'Africa/Johannesburg'),
	(807, 'Grahamstown', 'Grahamstown', 'South Africa', '', 'FAGT', -33.284721, 26.498083, 2135, 2, 'U', 'Africa/Johannesburg'),
	(808, 'Greytown', 'Greytown', 'South Africa', '', 'FAGY', -29.122011, 30.586706, 3531, 2, 'U', 'Africa/Johannesburg'),
	(809, 'Harmony', 'Harmony', 'South Africa', '', 'FAHA', -28.078694, 26.861178, 4399, 2, 'U', 'Africa/Johannesburg'),
	(810, 'Harrismith', 'Harrismith', 'South Africa', '', 'FAHR', -28.235072, 29.106206, 5585, 2, 'U', 'Africa/Johannesburg'),
	(811, 'Hoedspruit Afb', 'Hoedspruit', 'South Africa', 'HDS', 'FAHS', -24.368642, 31.048744, 1743, 2, 'U', 'Africa/Johannesburg'),
	(812, 'Gariep Dam', 'Hendrik Verwoerddam', 'South Africa', '', 'FAHV', -30.562164, 25.528286, 4176, 2, 'U', 'Africa/Johannesburg'),
	(813, 'Johannesburg Intl', 'Johannesburg', 'South Africa', 'JNB', 'FAJS', -26.139166, 28.246, 5558, 2, 'U', 'Africa/Johannesburg'),
	(814, 'P C Pelser', 'Klerksdorp', 'South Africa', '', 'FAKD', -26.871064, 26.718003, 4444, 2, 'U', 'Africa/Johannesburg'),
	(815, 'Kimberley', 'Kimberley', 'South Africa', 'KIM', 'FAKM', -28.802834, 24.765167, 3950, 2, 'U', 'Africa/Johannesburg'),
	(816, 'Krugersdorp', 'Krugersdorp', 'South Africa', '', 'FAKR', -26.080978, 27.725667, 5499, 2, 'U', 'Africa/Johannesburg'),
	(817, 'Kroonstad', 'Kroonstad', 'South Africa', '', 'FAKS', -27.660617, 27.315761, 4700, 2, 'U', 'Africa/Johannesburg'),
	(818, 'Johan Pienaar', 'Kuruman', 'South Africa', '', 'FAKU', -27.456667, 23.411388, 4382, 2, 'U', 'Africa/Johannesburg'),
	(819, 'Kleinsee', 'Kleinsee', 'South Africa', 'KLZ', 'FAKZ', -29.688403, 17.094006, 270, 2, 'U', 'Africa/Johannesburg'),
	(820, 'Lanseria', 'Johannesburg', 'South Africa', 'HLA', 'FALA', -25.938514, 27.926133, 4517, 2, 'U', 'Africa/Johannesburg'),
	(821, 'Lichtenburg', 'Lichtenburg', 'South Africa', '', 'FALI', -26.175672, 26.184575, 4875, 2, 'U', 'Africa/Johannesburg'),
	(822, 'Makhado Afb', 'Lambertsbaai', 'South Africa', '', 'FALM', -23.159911, 29.696544, 3069, 2, 'U', 'Africa/Johannesburg'),
	(823, 'Langebaanweg', 'Langebaanweg', 'South Africa', '', 'FALW', -32.968889, 18.160278, 108, 2, 'U', 'Africa/Johannesburg'),
	(824, 'Ladysmith', 'Ladysmith', 'South Africa', 'LAY', 'FALY', -28.581667, 29.749722, 3548, 2, 'U', 'Africa/Johannesburg'),
	(825, 'Middelburg', 'Middelburg', 'South Africa', '', 'FAMB', -25.684775, 29.440158, 4886, 2, 'U', 'Africa/Johannesburg'),
	(827, 'Margate', 'Margate', 'South Africa', 'MGH', 'FAMG', -30.857408, 30.343019, 495, 2, 'U', 'Africa/Johannesburg'),
	(828, 'Marble Hall', 'Marble Hall', 'South Africa', '', 'FAMI', -24.989114, 29.283122, 2980, 2, 'U', 'Africa/Johannesburg'),
	(829, 'Majuba Power Station', 'Majuba Power Station', 'South Africa', '', 'FAMJ', -27.079253, 29.778528, 5600, 2, 'U', 'Africa/Johannesburg'),
	(831, 'Malelane', 'Malalane', 'South Africa', '', 'FAMN', -25.473603, 31.565828, 1153, 2, 'U', 'Africa/Johannesburg'),
	(832, 'Messina', 'Musina', 'South Africa', 'MEZ', 'FAMS', -25.704458, 26.908978, 4251, 2, 'U', 'Africa/Johannesburg'),
	(833, 'Mkuzi', 'Mkuze', 'South Africa', '', 'FAMU', -27.626086, 32.044275, 400, 2, 'U', 'Africa/Johannesburg'),
	(834, 'Newcastle', 'Newcastle', 'South Africa', 'NCS', 'FANC', -27.770586, 29.976894, 4074, 2, 'U', 'Africa/Johannesburg'),
	(835, 'Nylstroom', 'Nylstroom', 'South Africa', '', 'FANY', -24.686056, 28.434944, 3900, 2, 'U', 'Africa/Johannesburg'),
	(836, 'Overberg', 'Overberg', 'South Africa', '', 'FAOB', -34.554861, 20.250681, 52, 2, 'U', 'Africa/Johannesburg'),
	(837, 'Oudtshoorn', 'Oudtshoorn', 'South Africa', 'DUH', 'FAOH', -33.606967, 22.188978, 1063, 2, 'U', 'Africa/Johannesburg'),
	(838, 'Port Elizabeth Intl', 'Port Elizabeth', 'South Africa', 'PLZ', 'FAPE', -33.984919, 25.617275, 226, 2, 'U', 'Africa/Johannesburg'),
	(839, 'Plettenberg Bay', 'Plettenberg Bay', 'South Africa', '', 'FAPG', -34.090279, 23.327778, 465, 2, 'U', 'Africa/Johannesburg'),
	(840, 'Phalaborwa', 'Phalaborwa', 'South Africa', 'PHW', 'FAPH', -23.937166, 31.15539, 1432, 2, 'U', 'Africa/Johannesburg'),
	(841, 'Polokwane International', 'Polokwane', 'South Africa', 'PTG', 'FAPI', -23.926089, 29.484422, 4354, 2, 'U', 'Africa/Johannesburg'),
	(842, 'Port St Johns', 'Port Saint Johns', 'South Africa', '', 'FAPJ', -31.605886, 29.519786, 1227, 2, 'U', 'Africa/Johannesburg'),
	(843, 'Pietermaritzburg', 'Pietermaritzburg', 'South Africa', 'PZB', 'FAPM', -29.648975, 30.398667, 2423, 2, 'U', 'Africa/Johannesburg'),
	(844, 'Pilanesberg Intl', 'Pilanesberg', 'South Africa', 'NTY', 'FAPN', -25.333822, 27.173358, 3412, 2, 'U', 'Africa/Johannesburg'),
	(845, 'Polokwane Intl', 'Potgietersrus', 'South Africa', '', 'FAPP', -23.845306, 29.458611, 4076, 2, 'U', 'Africa/Johannesburg'),
	(846, 'Potchefstroom', 'Potchefstroom', 'South Africa', '', 'FAPS', -26.670994, 27.0819, 4520, 2, 'U', 'Africa/Johannesburg'),
	(847, 'Parys', 'Parys', 'South Africa', '', 'FAPY', -26.889344, 27.503417, 4740, 2, 'U', 'Africa/Johannesburg'),
	(848, 'Queenstown', 'Queenstown', 'South Africa', 'UTW', 'FAQT', -31.920197, 26.882206, 3637, 2, 'U', 'Africa/Johannesburg'),
	(849, 'Richards Bay', 'Richard\'s Bay', 'South Africa', 'RCB', 'FARB', -28.741039, 32.092111, 109, 2, 'U', 'Africa/Johannesburg'),
	(850, 'Rustenburg', 'Rustenburg', 'South Africa', '', 'FARG', -25.6443, 27.271119, 3700, 2, 'U', 'Africa/Johannesburg'),
	(851, 'Robertson', 'Robertson', 'South Africa', '', 'FARS', -33.812181, 19.902828, 640, 2, 'U', 'Africa/Johannesburg'),
	(852, 'Springbok', 'Springbok', 'South Africa', 'SBU', 'FASB', -29.689333, 17.939611, 2690, 2, 'U', 'Africa/Johannesburg'),
	(853, 'Secunda', 'Secunda', 'South Africa', '', 'FASC', -26.524083, 29.170144, 5250, 2, 'U', 'Africa/Johannesburg'),
	(854, 'Saldanha Vredenburg', 'Saldanha', 'South Africa', '', 'FASD', -32.964067, 17.969331, 50, 2, 'U', 'Africa/Johannesburg'),
	(855, 'Springs', 'Springs', 'South Africa', '', 'FASI', -26.248411, 28.397508, 5340, 2, 'U', 'Africa/Johannesburg'),
	(856, 'Swartkop', 'Swartkop', 'South Africa', '', 'FASK', -25.809717, 28.164631, 4780, 2, 'U', 'Africa/Johannesburg'),
	(857, 'Sishen', 'Sishen', 'South Africa', 'SIS', 'FASS', -27.648606, 22.999278, 3848, 2, 'U', 'Africa/Johannesburg'),
	(858, 'Hendrik Swellengrebel', 'Swellendam', 'South Africa', '', 'FASX', -34.048222, 20.474611, 407, 2, 'U', 'Africa/Johannesburg'),
	(859, 'Skukuza', 'Skukuza', 'South Africa', 'SZK', 'FASZ', -24.960944, 31.588731, 1020, 2, 'U', 'Africa/Johannesburg'),
	(860, 'Tommys Fld', 'Tommy\'s Field', 'South Africa', '', 'FATF', -28.260028, 22.993178, 4360, 2, 'U', 'Africa/Johannesburg'),
	(861, 'New Tempe', 'Bloemfontein', 'South Africa', '', 'FATP', -29.032928, 26.157564, 4547, 2, 'U', 'Africa/Johannesburg'),
	(862, 'Tutuka Power Station', 'Tutuka', 'South Africa', '', 'FATT', -26.776556, 29.338778, 5313, 2, 'U', 'Africa/Johannesburg'),
	(863, 'Tzaneen', 'Tzaneen', 'South Africa', 'LTA', 'FATZ', -23.824417, 30.329306, 1914, 2, 'U', 'Africa/Johannesburg'),
	(864, 'Prince Mangosuthu Buthelezi', 'Ulundi', 'South Africa', 'ULD', 'FAUL', -28.320586, 31.416519, 1720, 2, 'U', 'Africa/Johannesburg'),
	(865, 'Upington', 'Upington', 'South Africa', 'UTN', 'FAUP', -28.399097, 21.260239, 2782, 2, 'U', 'Africa/Johannesburg'),
	(866, 'Mthatha', 'Umtata', 'South Africa', 'UTT', 'FAUT', -31.547903, 28.674289, 2400, 2, 'U', 'Africa/Johannesburg'),
	(867, 'Vryburg', 'Vryburg', 'South Africa', 'VRU', 'FAVB', -26.982408, 24.728756, 3920, 2, 'U', 'Africa/Johannesburg'),
	(868, 'Virginia', 'Durban', 'South Africa', 'VIR', 'FAVG', -29.770606, 31.058406, 20, 2, 'U', 'Africa/Johannesburg'),
	(869, 'Vredendal', 'Vredendal', 'South Africa', '', 'FAVR', -31.640961, 18.544789, 330, 2, 'U', 'Africa/Johannesburg'),
	(870, 'Vereeniging', 'Vereeniging', 'South Africa', '', 'FAVV', -26.566372, 27.960756, 4846, 2, 'U', 'Africa/Johannesburg'),
	(871, 'Wonderboom', 'Pretoria', 'South Africa', 'PRY', 'FAWB', -25.653858, 28.224231, 4095, 2, 'U', 'Africa/Johannesburg'),
	(872, 'Witbank', 'Witbank', 'South Africa', '', 'FAWI', -25.832294, 29.192019, 5078, 2, 'U', 'Africa/Johannesburg'),
	(873, 'Waterkloof Afb', 'Waterkloof', 'South Africa', '', 'FAWK', -25.83, 28.2225, 4940, 2, 'U', 'Africa/Johannesburg'),
	(874, 'Welkom', 'Welkom', 'South Africa', 'WEL', 'FAWM', -27.998, 26.669586, 4399, 2, 'U', 'Africa/Johannesburg'),
	(875, 'Ysterplaat', 'Ysterplaat', 'South Africa', '', 'FAYP', -33.900244, 18.498297, 52, 2, 'U', 'Africa/Johannesburg'),
	(876, 'Zeerust', 'Zeerust', 'South Africa', '', 'FAZR', -25.598972, 26.042333, 4258, 2, 'U', 'Africa/Johannesburg'),
	(877, 'Francistown', 'Francistown', 'Botswana', 'FRW', 'FBFT', -21.159597, 27.474525, 3283, 2, 'U', 'Africa/Gaborone'),
	(878, 'Jwaneng', 'Jwaneng', 'Botswana', 'JWA', 'FBJW', -24.602333, 24.690971, 3900, 2, 'U', 'Africa/Gaborone'),
	(879, 'Kasane', 'Kasane', 'Botswana', 'BBK', 'FBKE', -17.832875, 25.1624, 3289, 2, 'U', 'Africa/Gaborone'),
	(880, 'Maun', 'Maun', 'Botswana', 'MUB', 'FBMN', -19.972564, 23.431086, 3093, 2, 'U', 'Africa/Gaborone'),
	(881, 'Sir Seretse Khama Intl', 'Gaberone', 'Botswana', 'GBE', 'FBSK', -24.555225, 25.918208, 3299, 2, 'U', 'Africa/Gaborone'),
	(882, 'Selebi Phikwe', 'Selebi-phikwe', 'Botswana', 'PKW', 'FBSP', -22.05835, 27.828767, 2925, 2, 'U', 'Africa/Gaborone'),
	(883, 'Maya Maya', 'Brazzaville', 'Congo (Brazzaville)', 'BZV', 'FCBB', -4.2517, 15.253031, 1048, 1, 'N', 'Africa/Brazzaville'),
	(884, 'Owando', 'Owando', 'Congo (Kinshasa)', 'FTX', 'FCOO', -0.53135, 15.950094, 1214, 1, 'N', 'Africa/Brazzaville'),
	(885, 'Ouesso', 'Ouesso', 'Congo (Kinshasa)', 'OUE', 'FCOU', 1.615994, 16.037917, 1158, 1, 'N', 'Africa/Brazzaville'),
	(886, 'Pointe Noire', 'Pointe-noire', 'Congo (Brazzaville)', 'PNR', 'FCPP', -4.816028, 11.886597, 55, 1, 'N', 'Africa/Brazzaville'),
	(887, 'Matsapha', 'Manzini', 'Swaziland', 'MTS', 'FDMS', -26.529022, 31.307519, 2075, 2, 'U', 'Africa/Mbabane'),
	(888, 'Bangui M Poko', 'Bangui', 'Central African Republic', 'BGF', 'FEFF', 4.398475, 18.518786, 1208, 1, 'N', 'Africa/Bangui'),
	(889, 'Berberati', 'Berberati', 'Central African Republic', 'BBT', 'FEFT', 4.221583, 15.786369, 1929, 1, 'N', 'Africa/Bangui'),
	(890, 'Bata', 'Bata', 'Equatorial Guinea', 'BSG', 'FGBT', 1.905469, 9.805681, 13, 1, 'N', 'Africa/Malabo'),
	(891, 'Malabo', 'Malabo', 'Equatorial Guinea', 'SSG', 'FGSL', 3.755267, 8.708717, 76, 1, 'N', 'Africa/Malabo'),
	(892, 'Ascension Aux Af', 'Wide Awake', 'Saint Helena', '', 'FHAW', -7.969597, -14.393664, 278, 0, 'N', 'Atlantic/St_Helena'),
	(893, 'Sir Seewoosagur Ramgoolam Intl', 'Plaisance', 'Mauritius', 'MRU', 'FIMP', -20.430235, 57.6836, 186, 4, 'N', 'Indian/Mauritius'),
	(894, 'Plaine Corail', 'Rodriguez Island', 'Mauritius', 'RRG', 'FIMR', -19.757658, 63.360983, 95, 4, 'N', 'Indian/Mauritius'),
	(895, 'Diego Garcia Nsf', 'Diego Garcia Island', 'British Indian Ocean Territory', '', 'FJDG', -7.313267, 72.411089, 9, 6, 'U', 'Indian/Chagos'),
	(896, 'Tiko', 'Tiko', 'Cameroon', 'TKC', 'FKKC', 4.089192, 9.360528, 151, 1, 'N', 'Africa/Douala'),
	(897, 'Douala', 'Douala', 'Cameroon', 'DLA', 'FKKD', 4.006081, 9.719481, 33, 1, 'N', 'Africa/Douala'),
	(898, 'Salak', 'Maroua', 'Cameroon', 'MVR', 'FKKL', 10.451392, 14.257361, 1390, 1, 'N', 'Africa/Douala'),
	(899, 'Foumban Nkounja', 'Foumban', 'Cameroon', 'FOM', 'FKKM', 5.636919, 10.750817, 3963, 1, 'N', 'Africa/Douala'),
	(900, 'Ngaoundere', 'N\'gaoundere', 'Cameroon', 'NGE', 'FKKN', 7.357011, 13.559242, 3655, 1, 'N', 'Africa/Douala'),
	(901, 'Garoua', 'Garoua', 'Cameroon', 'GOU', 'FKKR', 9.335892, 13.370103, 794, 1, 'N', 'Africa/Douala'),
	(902, 'Bafoussam', 'Bafoussam', 'Cameroon', 'BFX', 'FKKU', 5.536919, 10.354583, 4347, 1, 'N', 'Africa/Douala'),
	(903, 'Bamenda', 'Bamenda', 'Cameroon', 'BPC', 'FKKV', 6.039239, 10.122639, 4065, 1, 'N', 'Africa/Douala'),
	(904, 'Yaounde Ville', 'Yaounde', 'Cameroon', 'YAO', 'FKKY', 3.836039, 11.523461, 2464, 1, 'N', 'Africa/Douala'),
	(905, 'Kasompe', 'Kasompe', 'Zambia', '', 'FLKE', -12.572778, 27.89395, 4636, 2, 'U', 'Africa/Lusaka'),
	(906, 'Livingstone', 'Livingstone', 'Zambia', 'LVI', 'FLLI', -17.821756, 25.822692, 3302, 2, 'U', 'Africa/Lusaka'),
	(907, 'Lusaka Intl', 'Lusaka', 'Zambia', 'LUN', 'FLLS', -15.330817, 28.452628, 3779, 2, 'U', 'Africa/Lusaka'),
	(908, 'Mfuwe', 'Mfuwe', 'Zambia', 'MFU', 'FLMF', -13.258878, 31.936581, 1853, 2, 'U', 'Africa/Lusaka'),
	(909, 'Mongu', 'Mongu', 'Zambia', '', 'FLMG', -15.254542, 23.162306, 3488, 2, 'U', 'Africa/Lusaka'),
	(910, 'Ndola', 'Ndola', 'Zambia', 'NLA', 'FLND', -12.998139, 28.664944, 4167, 2, 'U', 'Africa/Lusaka'),
	(911, 'Southdowns', 'Southdowns', 'Zambia', 'KIW', 'FLSO', -12.900469, 28.149858, 4145, 2, 'U', 'Africa/Lusaka'),
	(912, 'Prince Said Ibrahim', 'Moroni', 'Comoros', 'HAH', 'FMCH', -11.533661, 43.27185, 93, 3, 'U', 'Indian/Comoro'),
	(913, 'Bandaressalam', 'Moheli', 'Comoros', 'NWA', 'FMCI', -12.298108, 43.7664, 46, 3, 'U', 'Indian/Comoro'),
	(914, 'Ouani', 'Anjouan', 'Comoros', 'AJN', 'FMCV', -12.131667, 44.430279, 62, 3, 'U', 'Indian/Comoro'),
	(915, 'Dzaoudzi Pamandzi', 'Dzaoudzi', 'Mayotte', 'DZA', 'FMCZ', -12.804722, 45.281113, 23, 3, 'U', 'Indian/Mayotte'),
	(916, 'St Denis Gillot', 'St.-denis', 'Reunion', 'RUN', 'FMEE', -20.8871, 55.510308, 66, 4, 'U', 'Indian/Reunion'),
	(917, 'St Pierre Pierrefonds', 'St.-pierre', 'Reunion', 'ZSE', 'FMEP', -21.320039, 55.423581, 56, 4, 'U', 'Indian/Reunion'),
	(918, 'Ivato', 'Antananarivo', 'Madagascar', 'TNR', 'FMMI', -18.79695, 47.478806, 4198, 3, 'U', 'Indian/Antananarivo'),
	(919, 'Miandrivazo', 'Miandrivazo', 'Madagascar', 'ZVA', 'FMMN', -19.562778, 45.450832, 203, 3, 'U', 'Indian/Antananarivo'),
	(920, 'Sainte Marie', 'Sainte Marie', 'Madagascar', 'SMS', 'FMMS', -17.093889, 49.815834, 7, 3, 'U', 'Indian/Antananarivo'),
	(921, 'Toamasina', 'Toamasina', 'Madagascar', 'TMM', 'FMMT', -18.109517, 49.392536, 22, 3, 'U', 'Indian/Antananarivo'),
	(922, 'Morondava', 'Morondava', 'Madagascar', 'MOQ', 'FMMV', -20.28475, 44.317614, 30, 3, 'U', 'Indian/Antananarivo'),
	(923, 'Arrachart', 'Antsiranana', 'Madagascar', 'DIE', 'FMNA', -12.3494, 49.291747, 374, 3, 'U', 'Indian/Antananarivo'),
	(924, 'Avaratra', 'Mananara', 'Madagascar', 'WMR', 'FMNC', -16.1639, 49.773753, 9, 3, 'U', 'Indian/Antananarivo'),
	(925, 'Andapa', 'Andapa', 'Madagascar', 'ZWA', 'FMND', -14.651667, 49.620556, 1552, 3, 'U', 'Indian/Antananarivo'),
	(926, 'Ambilobe', 'Ambilobe', 'Madagascar', 'AMB', 'FMNE', -13.188431, 48.987978, 72, 3, 'U', 'Indian/Antananarivo'),
	(927, 'Antsirabato', 'Antalaha', 'Madagascar', 'ANM', 'FMNH', -14.999411, 50.320233, 20, 3, 'U', 'Indian/Antananarivo'),
	(928, 'Analalava', 'Analalava', 'Madagascar', 'HVA', 'FMNL', -14.629694, 47.763783, 345, 3, 'U', 'Indian/Antananarivo'),
	(929, 'Philibert Tsiranana', 'Mahajanga', 'Madagascar', 'MJN', 'FMNM', -15.667144, 46.351828, 87, 3, 'U', 'Indian/Antananarivo'),
	(930, 'Fascene', 'Nosy-be', 'Madagascar', 'NOS', 'FMNN', -13.312067, 48.314822, 36, 3, 'U', 'Indian/Antananarivo'),
	(931, 'Besalampy', 'Besalampy', 'Madagascar', 'BPY', 'FMNQ', -16.741945, 44.481388, 125, 3, 'U', 'Indian/Antananarivo'),
	(932, 'Maroantsetra', 'Maroantsetra', 'Madagascar', 'WMN', 'FMNR', -15.436666, 49.688332, 13, 3, 'U', 'Indian/Antananarivo'),
	(933, 'Sambava', 'Sambava', 'Madagascar', 'SVB', 'FMNS', -14.278611, 50.174721, 20, 3, 'U', 'Indian/Antananarivo'),
	(934, 'Vohimarina', 'Vohemar', 'Madagascar', 'VOH', 'FMNV', -13.375834, 50.002777, 19, 3, 'U', 'Indian/Antananarivo'),
	(935, 'Ambalabe', 'Antsohihy', 'Madagascar', 'WAI', 'FMNW', -14.89875, 47.993894, 92, 3, 'U', 'Indian/Antananarivo'),
	(936, 'Ampampamena', 'Ampampamena', 'Madagascar', '', 'FMNZ', -13.484814, 48.632739, 49, 3, 'U', 'Indian/Antananarivo'),
	(937, 'Tolagnaro', 'Tolagnaro', 'Madagascar', 'FTU', 'FMSD', -25.038056, 46.956111, 29, 3, 'U', 'Indian/Antananarivo'),
	(938, 'Fianarantsoa', 'Fianarantsoa', 'Madagascar', 'WFI', 'FMSF', -21.441558, 47.111736, 3658, 3, 'U', 'Indian/Antananarivo'),
	(939, 'Farafangana', 'Farafangana', 'Madagascar', 'RVA', 'FMSG', -22.805286, 47.820614, 26, 3, 'U', 'Indian/Antananarivo'),
	(940, 'Manakara', 'Manakara', 'Madagascar', 'WVK', 'FMSK', -22.119722, 48.021667, 33, 3, 'U', 'Indian/Antananarivo'),
	(941, 'Mananjary', 'Mananjary', 'Madagascar', 'MNJ', 'FMSM', -21.201772, 48.358317, 20, 3, 'U', 'Indian/Antananarivo'),
	(942, 'Morombe', 'Morombe', 'Madagascar', 'MXM', 'FMSR', -21.753867, 43.375533, 16, 3, 'U', 'Indian/Antananarivo'),
	(943, 'Toliara', 'Toliara', 'Madagascar', 'TLE', 'FMST', -23.383369, 43.728453, 29, 3, 'U', 'Indian/Antananarivo'),
	(944, 'Mbanza Congo', 'M\'banza-congo', 'Angola', 'SSY', 'FNBC', -6.269897, 14.247025, 1860, 1, 'N', 'Africa/Luanda'),
	(945, 'Benguela', 'Benguela', 'Angola', 'BUG', 'FNBG', -12.609025, 13.403711, 118, 1, 'N', 'Africa/Luanda'),
	(946, 'Cabinda', 'Cabinda', 'Angola', 'CAB', 'FNCA', -5.596992, 12.188353, 66, 1, 'N', 'Africa/Luanda'),
	(948, 'Huambo', 'Huambo', 'Angola', 'NOV', 'FNHU', -12.808878, 15.760547, 5587, 1, 'N', 'Africa/Luanda'),
	(949, 'Kuito', 'Kuito', 'Angola', 'SVP', 'FNKU', -12.404633, 16.947414, 5618, 1, 'N', 'Africa/Luanda'),
	(950, 'Lobito', 'Lobito', 'Angola', '', 'FNLB', -12.371233, 13.536625, 10, 1, 'N', 'Africa/Luanda'),
	(951, 'Luanda 4 De Fevereiro', 'Luanda', 'Angola', 'LAD', 'FNLU', -8.858375, 13.231178, 243, 1, 'N', 'Africa/Luanda'),
	(952, 'Malanje', 'Malanje', 'Angola', 'MEG', 'FNMA', -9.525086, 16.312406, 3868, 1, 'N', 'Africa/Luanda'),
	(953, 'Menongue', 'Menongue', 'Angola', 'SPP', 'FNME', -14.657583, 17.719833, 4469, 1, 'N', 'Africa/Luanda'),
	(955, 'Negage', 'Negage', 'Angola', 'GXG', 'FNNG', -7.754506, 15.287728, 4105, 1, 'N', 'Africa/Luanda'),
	(956, 'Porto Amboim', 'Porto Amboim', 'Angola', 'PBN', 'FNPA', -10.721956, 13.765528, 16, 1, 'N', 'Africa/Luanda'),
	(957, 'Saurimo', 'Saurimo', 'Angola', 'VHC', 'FNSA', -9.689067, 20.431875, 3584, 1, 'N', 'Africa/Luanda'),
	(958, 'Soyo', 'Soyo', 'Angola', 'SZA', 'FNSO', -6.141086, 12.371764, 15, 1, 'N', 'Africa/Luanda'),
	(959, 'Lubango', 'Lubango', 'Angola', 'SDD', 'FNUB', -14.924733, 13.575022, 5778, 1, 'N', 'Africa/Luanda'),
	(960, 'Luena', 'Luena', 'Angola', 'LUO', 'FNUE', -11.768086, 19.897672, 4360, 1, 'N', 'Africa/Luanda'),
	(961, 'Uige', 'Uige', 'Angola', 'UGO', 'FNUG', -7.603067, 15.027822, 2720, 1, 'N', 'Africa/Luanda'),
	(962, 'Xangongo', 'Xangongo', 'Angola', 'XGN', 'FNXA', -16.755417, 14.965344, 3635, 1, 'N', 'Africa/Luanda'),
	(963, 'Oyem', 'Oyem', 'Gabon', 'OYE', 'FOGO', 1.543108, 11.581361, 2158, 1, 'N', 'Africa/Libreville'),
	(964, 'Okondja', 'Okondja', 'Gabon', 'OKN', 'FOGQ', -0.665214, 13.673133, 1325, 1, 'N', 'Africa/Libreville'),
	(965, 'Lambarene', 'Lambarene', 'Gabon', 'LBQ', 'FOGR', -0.704389, 10.245722, 82, 1, 'N', 'Africa/Libreville'),
	(966, 'Bitam', 'Bitam', 'Gabon', 'BMM', 'FOOB', 2.075639, 11.493195, 1969, 1, 'N', 'Africa/Libreville'),
	(967, 'Port Gentil', 'Port Gentil', 'Gabon', 'POG', 'FOOG', -0.711739, 8.754383, 13, 1, 'N', 'Africa/Libreville'),
	(968, 'Omboue Hopital', 'Omboue Hospial', 'Gabon', 'OMB', 'FOOH', -1.574733, 9.262694, 33, 1, 'N', 'Africa/Libreville'),
	(969, 'Makokou', 'Makokou', 'Gabon', 'MKU', 'FOOK', 0.579211, 12.890908, 1726, 1, 'N', 'Africa/Libreville'),
	(970, 'Leon M Ba', 'Libreville', 'Gabon', 'LBV', 'FOOL', 0.4586, 9.412283, 39, 1, 'N', 'Africa/Libreville'),
	(971, 'Mvengue', 'Franceville', 'Gabon', 'MVB', 'FOON', -1.656156, 13.438036, 1450, 1, 'N', 'Africa/Libreville'),
	(972, 'Principe', 'Principe', 'Sao Tome and Principe', 'PCP', 'FPPR', 1.662936, 7.411742, 591, 0, 'N', 'Africa/Sao_Tome'),
	(973, 'Sao Tome Intl', 'Sao Tome', 'Sao Tome and Principe', 'TMS', 'FPST', 0.378175, 6.712153, 33, 0, 'N', 'Africa/Sao_Tome'),
	(974, 'Beira', 'Beira', 'Mozambique', 'BEW', 'FQBR', -19.796419, 34.907556, 33, 2, 'U', 'Africa/Maputo'),
	(976, 'Inhambane', 'Inhambane', 'Mozambique', 'INH', 'FQIN', -23.876431, 35.408544, 30, 2, 'U', 'Africa/Maputo'),
	(977, 'Lichinga', 'Lichinga', 'Mozambique', 'VXC', 'FQLC', -13.273986, 35.266262, 4505, 2, 'U', 'Africa/Maputo'),
	(978, 'Lumbo', 'Lumbo', 'Mozambique', '', 'FQLU', -15.033058, 40.671728, 33, 2, 'U', 'Africa/Maputo'),
	(979, 'Maputo', 'Maputo', 'Mozambique', 'MPM', 'FQMA', -25.920836, 32.572606, 145, 2, 'U', 'Africa/Maputo'),
	(980, 'Mueda', 'Mueda', 'Mozambique', '', 'FQMD', -11.672922, 39.563142, 2789, 2, 'U', 'Africa/Maputo'),
	(981, 'Mocimboa Da Praia', 'Mocimboa Da Praia', 'Mozambique', 'MZB', 'FQMP', -11.361789, 40.354875, 89, 2, 'U', 'Africa/Maputo'),
	(982, 'Marrupa', 'Marrupa', 'Mozambique', '', 'FQMR', -13.225053, 37.552067, 2480, 2, 'U', 'Africa/Maputo'),
	(983, 'Nacala', 'Nacala', 'Mozambique', 'MNC', 'FQNC', -14.488233, 40.71225, 410, 2, 'U', 'Africa/Maputo'),
	(984, 'Nampula', 'Nampula', 'Mozambique', 'APL', 'FQNP', -15.105611, 39.2818, 1444, 2, 'U', 'Africa/Maputo'),
	(985, 'Pemba', 'Pemba', 'Mozambique', 'POL', 'FQPB', -12.986753, 40.522492, 331, 2, 'U', 'Africa/Maputo'),
	(986, 'Quelimane', 'Quelimane', 'Mozambique', 'UEL', 'FQQL', -17.8555, 36.869106, 36, 2, 'U', 'Africa/Maputo'),
	(987, 'Songo', 'Songo', 'Mozambique', '', 'FQSG', -15.602694, 32.773189, 2904, 2, 'U', 'Africa/Maputo'),
	(988, 'Tete Chingodzi', 'Tete', 'Mozambique', 'TET', 'FQTT', -16.104817, 33.640181, 525, 2, 'U', 'Africa/Maputo'),
	(989, 'Ulongwe', 'Ulongwe', 'Mozambique', '', 'FQUG', -14.704617, 34.352369, 4265, 2, 'U', 'Africa/Maputo'),
	(990, 'Vilankulo', 'Vilankulu', 'Mozambique', 'VNX', 'FQVL', -22.018431, 35.313297, 46, 2, 'U', 'Africa/Maputo'),
	(991, 'Alphonse', 'Alphonse', 'Seychelles', '', 'FSAL', -7.004783, 52.726247, 10, 4, 'U', 'Indian/Mahe'),
	(992, 'Desroches', 'Desroches', 'Seychelles', 'DES', 'FSDR', -5.696697, 53.655844, 10, 4, 'U', 'Indian/Mahe'),
	(993, 'Farquhar', 'Farquhar', 'Seychelles', '', 'FSFA', -10.109611, 51.176119, 10, 4, 'U', 'Indian/Mahe'),
	(994, 'Seychelles Intl', 'Mahe', 'Seychelles', 'SEZ', 'FSIA', -4.674342, 55.521839, 10, 4, 'U', 'Indian/Mahe'),
	(995, 'Praslin', 'Praslin', 'Seychelles', 'PRI', 'FSPP', -4.319292, 55.691417, 10, 4, 'U', 'Indian/Mahe'),
	(996, 'Coetivy', 'Coetivy', 'Seychelles', '', 'FSSC', -7.134567, 56.278239, 10, 4, 'U', 'Indian/Mahe'),
	(997, 'Abeche', 'Abeche', 'Chad', 'AEH', 'FTTC', 13.847, 20.844333, 1788, 1, 'N', 'Africa/Ndjamena'),
	(998, 'Moundou', 'Moundou', 'Chad', 'MQQ', 'FTTD', 8.624406, 16.071419, 1407, 1, 'N', 'Africa/Ndjamena'),
	(999, 'Ndjamena Hassan Djamous', 'N\'djamena', 'Chad', 'NDJ', 'FTTJ', 12.133689, 15.034019, 968, 1, 'N', 'Africa/Ndjamena'),
	(1000, 'Faya Largeau', 'Faya-largeau', 'Chad', 'FYT', 'FTTY', 17.917053, 19.111078, 771, 1, 'N', 'Africa/Ndjamena'),
	(1001, 'J M Nkomo Intl', 'Bulawayo', 'Zimbabwe', 'BUQ', 'FVBU', -20.017431, 28.617869, 4359, 2, 'U', 'Africa/Harare'),
	(1002, 'Charles Prince', 'Harare', 'Zimbabwe', '', 'FVCP', -17.751561, 30.924706, 4845, 2, 'U', 'Africa/Harare'),
	(1003, 'Buffalo Range', 'Chiredzi', 'Zimbabwe', 'BFO', 'FVCZ', -21.008083, 31.57855, 1421, 2, 'U', 'Africa/Harare'),
	(1004, 'Victoria Falls Intl', 'Victoria Falls', 'Zimbabwe', 'VFA', 'FVFA', -18.095881, 25.839006, 3490, 2, 'U', 'Africa/Harare'),
	(1005, 'Harare Intl', 'Harare', 'Zimbabwe', 'HRE', 'FVHA', -17.931806, 31.092847, 4887, 2, 'U', 'Africa/Harare'),
	(1006, 'Kariba Intl', 'Kariba', 'Zimbabwe', 'KAB', 'FVKB', -16.519761, 28.884981, 1706, 2, 'U', 'Africa/Harare'),
	(1007, 'Mutoko', 'Mutoko', 'Zimbabwe', '', 'FVMT', -17.431917, 32.184502, 3950, 2, 'U', 'Africa/Harare'),
	(1008, 'Mutare', 'Mutare', 'Zimbabwe', '', 'FVMU', -18.997499, 32.627224, 3410, 2, 'U', 'Africa/Harare'),
	(1009, 'Masvingo Intl', 'Masvingo', 'Zimbabwe', 'MVZ', 'FVMV', -20.055333, 30.859111, 3595, 2, 'U', 'Africa/Harare'),
	(1010, 'Zvishavane', 'Zvishavane', 'Zimbabwe', '', 'FVSH', -20.289497, 30.088228, 3012, 2, 'U', 'Africa/Harare'),
	(1011, 'Gweru Thornhill', 'Gwert', 'Zimbabwe', 'GWE', 'FVTL', -19.436394, 29.861911, 4680, 2, 'U', 'Africa/Harare'),
	(1012, 'Hwange National Park', 'Hwange National Park', 'Zimbabwe', 'WKM', 'FVWN', -18.629872, 27.021042, 3543, 2, 'U', 'Africa/Harare'),
	(1013, 'Chileka Intl', 'Blantyre', 'Malawi', 'BLZ', 'FWCL', -15.679053, 34.974014, 2555, 2, 'U', 'Africa/Blantyre'),
	(1014, 'Karonga', 'Karonga', 'Malawi', 'KGJ', 'FWKA', -9.953569, 33.893022, 1765, 2, 'U', 'Africa/Blantyre'),
	(1015, 'Kasungu', 'Kasungu', 'Malawi', '', 'FWKG', -13.014631, 33.468597, 3470, 2, 'U', 'Africa/Blantyre'),
	(1016, 'Kamuzu Intl', 'Lilongwe', 'Malawi', 'LLW', 'FWKI', -13.789378, 33.781, 4035, 2, 'U', 'Africa/Blantyre'),
	(1017, 'Mzuzu', 'Mzuzu', 'Malawi', 'ZZU', 'FWUU', -11.44475, 34.011776, 4115, 2, 'U', 'Africa/Blantyre'),
	(1018, 'Moshoeshoe I Intl', 'Maseru', 'Lesotho', 'MSU', 'FXMM', -29.462256, 27.552503, 5348, 2, 'U', 'Africa/Maseru'),
	(1019, 'Mejametalana', 'Maseru', 'Lesotho', '', 'FXMU', -29.304053, 27.503458, 5105, 2, 'U', 'Africa/Maseru'),
	(1020, 'Ndjili Intl', 'Kinshasa', 'Congo (Kinshasa)', 'FIH', 'FZAA', -4.38575, 15.444569, 1027, 1, 'N', 'Africa/Kinshasa'),
	(1021, 'Ndolo', 'Kinshasa', 'Congo (Kinshasa)', 'NLO', 'FZAB', -4.326689, 15.327342, 915, 1, 'N', 'Africa/Kinshasa'),
	(1022, 'Muanda', 'Muanda', 'Congo (Kinshasa)', 'MNB', 'FZAG', -5.930858, 12.351789, 89, 1, 'N', 'Africa/Kinshasa'),
	(1023, 'Kitona Base', 'Kitona Base', 'Congo (Kinshasa)', '', 'FZAI', -5.918056, 12.447694, 394, 1, 'N', 'Africa/Kinshasa'),
	(1024, 'Bandundu', 'Bandoundu', 'Congo (Kinshasa)', 'FDU', 'FZBO', -3.311319, 17.381683, 1053, 1, 'N', 'Africa/Kinshasa'),
	(1025, 'Kikwit', 'Kikwit', 'Congo (Kinshasa)', 'KKW', 'FZCA', -5.035767, 18.785631, 1572, 1, 'N', 'Africa/Kinshasa'),
	(1026, 'Mbandaka', 'Mbandaka', 'Congo (Kinshasa)', 'MDK', 'FZEA', 0.0226, 18.288744, 1040, 1, 'N', 'Africa/Kinshasa'),
	(1027, 'Gbadolite', 'Gbadolite', 'Congo (Kinshasa)', 'BDT', 'FZFD', 4.253206, 20.975283, 1509, 1, 'N', 'Africa/Kinshasa'),
	(1028, 'Gemena', 'Gemena', 'Congo (Kinshasa)', 'GMA', 'FZFK', 3.235369, 19.771258, 1378, 1, 'N', 'Africa/Kinshasa'),
	(1029, 'Kotakoli', 'Kotakoli', 'Congo (Kinshasa)', '', 'FZFP', 4.157639, 21.650917, 1801, 1, 'N', 'Africa/Kinshasa'),
	(1030, 'Lisala', 'Lisala', 'Congo (Kinshasa)', 'LIQ', 'FZGA', 2.170658, 21.496906, 1509, 1, 'N', 'Africa/Kinshasa'),
	(1031, 'Kisangani Simisini', 'Kisangani', 'Congo (Kinshasa)', 'FKI', 'FZIA', 0.5175, 25.155014, 1289, 2, 'U', 'Africa/Lubumbashi'),
	(1032, 'Matari', 'Isiro', 'Congo (Kinshasa)', 'IRP', 'FZJH', 2.827606, 27.588253, 2438, 2, 'U', 'Africa/Lubumbashi'),
	(1033, 'Bunia', 'Bunia', 'Congo (Kinshasa)', 'BUX', 'FZKA', 1.565719, 30.220833, 4045, 2, 'U', 'Africa/Lubumbashi'),
	(1034, 'Buta Zega', 'Buta Zega', 'Congo (Kinshasa)', '', 'FZKJ', 2.818347, 24.793706, 1378, 2, 'U', 'Africa/Lubumbashi'),
	(1035, 'Bukavu Kavumu', 'Bukavu/kavumu', 'Congo (Kinshasa)', 'BKY', 'FZMA', -2.308978, 28.808803, 5643, 2, 'U', 'Africa/Lubumbashi'),
	(1036, 'Goma', 'Goma', 'Congo (Kinshasa)', 'GOM', 'FZNA', -1.670814, 29.238464, 5089, 2, 'U', 'Africa/Kigali'),
	(1037, 'Kindu', 'Kindu', 'Congo (Kinshasa)', 'KND', 'FZOA', -2.919178, 25.915361, 1630, 2, 'U', 'Africa/Lubumbashi'),
	(1038, 'Lubumbashi Intl', 'Lubumashi', 'Congo (Kinshasa)', 'FBM', 'FZQA', -11.591333, 27.530889, 4295, 2, 'U', 'Africa/Lubumbashi'),
	(1039, 'Kolwezi', 'Kolwezi', 'Congo (Kinshasa)', 'KWZ', 'FZQM', -10.765886, 25.505714, 5007, 2, 'U', 'Africa/Lubumbashi'),
	(1040, 'Kalemie', 'Kalemie', 'Congo (Kinshasa)', 'FMI', 'FZRF', -5.875556, 29.25, 2569, 2, 'U', 'Africa/Lubumbashi'),
	(1041, 'Kamina Base', 'Kamina Base', 'Congo (Kinshasa)', 'KMN', 'FZSA', -8.642025, 25.252897, 3543, 2, 'U', 'Africa/Lubumbashi'),
	(1042, 'Kananga', 'Kananga', 'Congo (Kinshasa)', 'KGA', 'FZUA', -5.900055, 22.469166, 2139, 2, 'U', 'Africa/Lubumbashi'),
	(1043, 'Mbuji Mayi', 'Mbuji-mayi', 'Congo (Kinshasa)', 'MJM', 'FZWA', -6.121236, 23.569008, 2221, 2, 'U', 'Africa/Lubumbashi'),
	(1044, 'Senou', 'Bamako', 'Mali', 'BKO', 'GABS', 12.533544, -7.949944, 1247, 0, 'N', 'Africa/Bamako'),
	(1045, 'Gao', 'Gao', 'Mali', 'GAQ', 'GAGO', 16.248433, -0.005456, 870, 0, 'N', 'Africa/Bamako'),
	(1046, 'Kayes Dag Dag', 'Kayes', 'Mali', 'KYS', 'GAKY', 14.481233, -11.404397, 164, 0, 'N', 'Africa/Bamako'),
	(1047, 'Ambodedjo', 'Mopti', 'Mali', 'MZI', 'GAMB', 14.512803, -4.079561, 906, 0, 'N', 'Africa/Bamako'),
	(1048, 'Tombouctou', 'Tombouctou', 'Mali', 'TOM', 'GATB', 16.730458, -3.007583, 863, 0, 'N', 'Africa/Bamako'),
	(1049, 'Tessalit', 'Tessalit', 'Mali', '', 'GATS', 20.242983, 0.977308, 1621, 0, 'N', 'Africa/Bamako'),
	(1050, 'Banjul Intl', 'Banjul', 'Gambia', 'BJL', 'GBYD', 13.337961, -16.652206, 95, 0, 'N', 'Africa/Banjul'),
	(1051, 'Fuerteventura', 'Fuerteventura', 'Spain', 'FUE', 'GCFV', 28.452717, -13.863761, 83, 0, 'E', 'Atlantic/Canary'),
	(1052, 'Hierro', 'Hierro', 'Spain', 'VDE', 'GCHI', 27.814847, -17.887056, 103, 0, 'E', 'Atlantic/Canary'),
	(1053, 'La Palma', 'Santa Cruz De La Palma', 'Spain', 'SPC', 'GCLA', 28.626478, -17.755611, 107, 0, 'E', 'Atlantic/Canary'),
	(1054, 'Gran Canaria', 'Gran Canaria', 'Spain', 'LPA', 'GCLP', 27.931886, -15.386586, 78, 0, 'E', 'Atlantic/Canary'),
	(1055, 'Lanzarote', 'Las Palmas', 'Spain', 'ACE', 'GCRR', 28.945464, -13.605225, 47, 0, 'E', 'Atlantic/Canary'),
	(1056, 'Tenerife Sur', 'Tenerife', 'Spain', 'TFS', 'GCTS', 28.044475, -16.572489, 209, 0, 'E', 'Atlantic/Canary'),
	(1057, 'Tenerife Norte', 'Tenerife', 'Spain', 'TFN', 'GCXO', 28.482653, -16.341536, 2073, 0, 'E', 'Atlantic/Canary'),
	(1058, 'Melilla', 'Melilla', 'Spain', 'MLN', 'GEML', 35.279817, -2.956256, 156, 1, 'E', 'Europe/Madrid'),
	(1059, 'Freetown Lungi', 'Freetown', 'Sierra Leone', 'FNA', 'GFLL', 8.616444, -13.195489, 84, 0, 'N', 'Africa/Freetown'),
	(1060, 'Cufar', 'Cufar', 'Guinea-Bissau', '', 'GGCF', 11.287917, -15.1805, 65, 0, 'N', 'Africa/Bissau'),
	(1062, 'Monrovia Spriggs Payne', 'Monrovia', 'Liberia', 'MLW', 'GLMR', 6.289061, -10.758722, 25, 0, 'N', 'Africa/Monrovia'),
	(1063, 'Monrovia Roberts Intl', 'Monrovia', 'Liberia', 'ROB', 'GLRB', 6.233789, -10.362311, 31, 0, 'N', 'Africa/Monrovia'),
	(1064, 'Inezgane', 'Agadir', 'Morocco', 'AGA', 'GMAA', 30.381353, -9.546311, 89, 0, 'N', 'Africa/Casablanca'),
	(1065, 'Plage Blanche', 'Tan Tan', 'Morocco', 'TTA', 'GMAT', 28.448194, -11.161347, 653, 0, 'N', 'Africa/Casablanca'),
	(1066, 'Saiss', 'Fes', 'Morocco', 'FEZ', 'GMFF', 33.927261, -4.977958, 1900, 0, 'N', 'Africa/Casablanca'),
	(1067, 'Ifrane', 'Ifrane', 'Morocco', '', 'GMFI', 33.505319, -5.152903, 5459, 0, 'N', 'Africa/Casablanca'),
	(1068, 'Moulay Ali Cherif', 'Er-rachidia', 'Morocco', 'ERH', 'GMFK', 31.9475, -4.398333, 3428, 0, 'N', 'Africa/Casablanca'),
	(1069, 'Bassatine', 'Meknes', 'Morocco', 'MEK', 'GMFM', 33.879067, -5.515125, 1890, 0, 'N', 'Africa/Casablanca'),
	(1070, 'Angads', 'Oujda', 'Morocco', 'OUD', 'GMFO', 34.78715, -1.923986, 1535, 0, 'N', 'Africa/Casablanca'),
	(1071, 'Ben Slimane', 'Ben Slimane', 'Morocco', '', 'GMMB', 33.655422, -7.22145, 627, 0, 'N', 'Africa/Casablanca'),
	(1072, 'Sale', 'Rabat', 'Morocco', 'RBA', 'GMME', 34.051467, -6.751519, 276, 0, 'N', 'Africa/Casablanca'),
	(1074, 'Mohammed V Intl', 'Casablanca', 'Morocco', 'CMN', 'GMMN', 33.367467, -7.589967, 656, 0, 'N', 'Africa/Casablanca'),
	(1075, 'Menara', 'Marrakech', 'Morocco', 'RAK', 'GMMX', 31.606886, -8.0363, 1545, 0, 'N', 'Africa/Casablanca'),
	(1076, 'Kenitra', 'Kentira', 'Morocco', 'NNA', 'GMMY', 34.298864, -6.595878, 16, 0, 'N', 'Africa/Casablanca'),
	(1077, 'Ouarzazate', 'Ouarzazate', 'Morocco', 'OZZ', 'GMMZ', 30.939053, -6.909431, 3782, 0, 'N', 'Africa/Casablanca'),
	(1078, 'Cherif El Idrissi', 'Al Hociema', 'Morocco', 'AHU', 'GMTA', 35.177103, -3.839525, 95, 0, 'N', 'Africa/Casablanca'),
	(1079, 'Saniat Rmel', 'Tetouan', 'Morocco', 'TTU', 'GMTN', 35.594333, -5.320019, 10, 0, 'N', 'Africa/Casablanca'),
	(1080, 'Ibn Batouta', 'Tanger', 'Morocco', 'TNG', 'GMTT', 35.726917, -5.916889, 62, 0, 'N', 'Africa/Casablanca'),
	(1081, 'Ziguinchor', 'Ziguinchor', 'Senegal', 'ZIG', 'GOGG', 12.555617, -16.281783, 75, 0, 'N', 'Africa/Dakar'),
	(1082, 'Cap Skiring', 'Cap Skiring', 'Senegal', 'CSK', 'GOGS', 12.4102, -16.746125, 52, 0, 'N', 'Africa/Dakar'),
	(1083, 'Kaolack', 'Kaolack', 'Senegal', 'KLC', 'GOOK', 14.146881, -16.051297, 26, 0, 'N', 'Africa/Dakar'),
	(1084, 'Leopold Sedar Senghor Intl', 'Dakar', 'Senegal', 'DKR', 'GOOY', 14.739708, -17.490225, 85, 0, 'N', 'Africa/Dakar'),
	(1085, 'Saint Louis', 'St. Louis', 'Senegal', 'XLS', 'GOSS', 16.050761, -16.463172, 9, 0, 'N', 'Africa/Dakar'),
	(1086, 'Bakel', 'Bakel', 'Senegal', 'BXE', 'GOTB', 14.847256, -12.468264, 98, 0, 'N', 'Africa/Dakar'),
	(1087, 'Kedougou', 'Kedougou', 'Senegal', 'KGG', 'GOTK', 12.572292, -12.220333, 584, 0, 'N', 'Africa/Dakar'),
	(1088, 'Tambacounda', 'Tambacounda', 'Senegal', 'TUD', 'GOTT', 13.736817, -13.653122, 161, 0, 'N', 'Africa/Dakar'),
	(1089, 'Aioun El Atrouss', 'Aioun El Atrouss', 'Mauritania', 'IEO', 'GQNA', 16.711294, -9.637883, 951, 0, 'N', 'Africa/Nouakchott'),
	(1090, 'Tidjikja', 'Tidjikja', 'Mauritania', 'TIY', 'GQND', 18.570103, -11.423547, 1316, 0, 'N', 'Africa/Nouakchott'),
	(1091, 'Kiffa', 'Kiffa', 'Mauritania', 'KFA', 'GQNF', 16.589983, -11.406208, 423, 0, 'N', 'Africa/Nouakchott'),
	(1092, 'Nema', 'Nema', 'Mauritania', 'EMN', 'GQNI', 16.622, -7.316567, 758, 0, 'N', 'Africa/Nouakchott'),
	(1093, 'Kaedi', 'Kaedi', 'Mauritania', 'KED', 'GQNK', 16.159547, -13.507617, 75, 0, 'N', 'Africa/Nouakchott'),
	(1094, 'Nouakchott', 'Nouakschott', 'Mauritania', 'NKC', 'GQNN', 18.097856, -15.947956, 7, 0, 'N', 'Africa/Nouakchott'),
	(1095, 'Selibady', 'Selibabi', 'Mauritania', 'SEY', 'GQNS', 15.179692, -12.207272, 262, 0, 'N', 'Africa/Nouakchott'),
	(1096, 'Atar', 'Atar', 'Mauritania', 'ATR', 'GQPA', 20.506828, -13.043194, 758, 0, 'N', 'Africa/Nouakchott'),
	(1097, 'Nouadhibou', 'Nouadhibou', 'Mauritania', 'NDB', 'GQPP', 20.933067, -17.029956, 16, 0, 'N', 'Africa/Nouakchott'),
	(1098, 'Bir Moghrein', 'Bir Moghrein', 'Mauritania', '', 'GQPT', 25.236697, -11.588697, 1194, 0, 'N', 'Africa/Nouakchott'),
	(1099, 'Fria', 'Fira', 'Guinea', 'FIG', 'GUFA', 10.350556, -13.569167, 499, 0, 'N', 'Africa/Conakry'),
	(1100, 'Faranah', 'Faranah', 'Guinea', 'FAA', 'GUFH', 10.035467, -10.769825, 1476, 0, 'N', 'Africa/Conakry'),
	(1101, 'Labe', 'Labe', 'Guinea', 'LEK', 'GULB', 11.326058, -12.28685, 3396, 0, 'N', 'Africa/Conakry'),
	(1102, 'Amilcar Cabral Intl', 'Amilcar Cabral', 'Cape Verde', 'SID', 'GVAC', 16.741389, -22.949444, 177, -1, 'U', 'Atlantic/Cape_Verde'),
	(1103, 'Rabil', 'Boa Vista', 'Cape Verde', 'BVC', 'GVBA', 16.136531, -22.888897, 69, -1, 'U', 'Atlantic/Cape_Verde'),
	(1104, 'Maio', 'Maio', 'Cape Verde', 'MMO', 'GVMA', 15.155928, -23.213703, 36, -1, 'U', 'Atlantic/Cape_Verde'),
	(1105, 'Preguica', 'Sao Nocolau Island', 'Cape Verde', 'SNE', 'GVSN', 16.588356, -24.284656, 669, -1, 'U', 'Atlantic/Cape_Verde'),
	(1106, 'Sao Pedro', 'Sao Vicente Island', 'Cape Verde', 'VXE', 'GVSV', 16.833689, -25.054661, 66, -1, 'U', 'Atlantic/Cape_Verde'),
	(1107, 'Bole Intl', 'Addis Ababa', 'Ethiopia', 'ADD', 'HAAB', 8.977889, 38.799319, 7656, 3, 'U', 'Africa/Addis_Ababa'),
	(1108, 'Lideta', 'Addis Ababa', 'Ethiopia', '', 'HAAL', 9.003681, 38.726019, 7749, 3, 'U', 'Africa/Addis_Ababa'),
	(1109, 'Arba Minch', 'Arba Minch', 'Ethiopia', 'AMH', 'HAAM', 6.039389, 37.590453, 3895, 3, 'U', 'Africa/Addis_Ababa'),
	(1110, 'Axum', 'Axum', 'Ethiopia', 'AXU', 'HAAX', 14.14675, 38.772833, 6915, 3, 'U', 'Africa/Addis_Ababa'),
	(1111, 'Bahir Dar', 'Bahar Dar', 'Ethiopia', 'BJR', 'HABD', 11.608075, 37.321644, 5976, 3, 'U', 'Africa/Addis_Ababa'),
	(1112, 'Dire Dawa Intl', 'Dire Dawa', 'Ethiopia', 'DIR', 'HADR', 9.6247, 41.854203, 3829, 3, 'U', 'Africa/Addis_Ababa'),
	(1113, 'Gambella', 'Gambella', 'Ethiopia', 'GMB', 'HAGM', 8.128764, 34.563131, 1771, 3, 'U', 'Africa/Addis_Ababa'),
	(1114, 'Gondar', 'Gondar', 'Ethiopia', 'GDQ', 'HAGN', 12.5199, 37.434047, 6541, 3, 'U', 'Africa/Addis_Ababa'),
	(1116, 'Jimma', 'Jimma', 'Ethiopia', 'JIM', 'HAJM', 7.666094, 36.816639, 5587, 3, 'U', 'Africa/Addis_Ababa'),
	(1117, 'Lalibella', 'Lalibella', 'Ethiopia', 'LLI', 'HALL', 11.975014, 38.979969, 6423, 3, 'U', 'Africa/Addis_Ababa'),
	(1118, 'Makale', 'Makale', 'Ethiopia', 'MQX', 'HAMK', 13.467367, 39.533464, 7406, 3, 'U', 'Africa/Addis_Ababa'),
	(1119, 'Asosa', 'Asosa', 'Ethiopia', 'ASO', 'HASO', 10.01855, 34.586253, 5120, 3, 'U', 'Africa/Addis_Ababa'),
	(1120, 'Bujumbura Intl', 'Bujumbura', 'Burundi', 'BJM', 'HBBA', -3.324019, 29.318519, 2582, 2, 'U', 'Africa/Bujumbura'),
	(1121, 'Egal Intl', 'Hargeisa', 'Somalia', 'HGA', 'HCMH', 9.518167, 44.088758, 4423, 3, 'U', 'Africa/Mogadishu'),
	(1122, 'Berbera', 'Berbera', 'Somalia', 'BBO', 'HCMI', 10.389167, 44.941106, 30, 3, 'U', 'Africa/Mogadishu'),
	(1123, 'Kisimayu', 'Kismayu', 'Somalia', 'KMU', 'HCMK', -0.377353, 42.459233, 49, 3, 'U', 'Africa/Mogadishu'),
	(1126, 'Alexandria Intl', 'Alexandria', 'Egypt', 'ALY', 'HEAX', 31.183903, 29.948889, -6, 2, 'U', 'Africa/Cairo'),
	(1127, 'Abu Simbel', 'Abu Simbel', 'Egypt', 'ABS', 'HEBL', 22.375953, 31.611722, 616, 2, 'U', 'Africa/Cairo'),
	(1128, 'Cairo Intl', 'Cairo', 'Egypt', 'CAI', 'HECA', 30.121944, 31.405556, 382, 2, 'U', 'Africa/Cairo'),
	(1129, 'Cairo West', 'Cairo', 'Egypt', '', 'HECW', 30.116362, 30.915445, 550, 2, 'U', 'Africa/Cairo'),
	(1130, 'Hurghada Intl', 'Hurghada', 'Egypt', 'HRG', 'HEGN', 27.178317, 33.799436, 52, 2, 'U', 'Africa/Cairo'),
	(1131, 'El Gora', 'El Gorah', 'Egypt', 'EGR', 'HEGR', 31.068975, 34.129194, 324, 2, 'U', 'Africa/Cairo'),
	(1132, 'Luxor Intl', 'Luxor', 'Egypt', 'LXR', 'HELX', 25.671028, 32.706583, 294, 2, 'U', 'Africa/Cairo'),
	(1133, 'Mersa Matruh', 'Mersa-matruh', 'Egypt', 'MUH', 'HEMM', 31.325356, 27.221689, 94, 2, 'U', 'Africa/Cairo'),
	(1134, 'Port Said', 'Port Said', 'Egypt', 'PSD', 'HEPS', 31.279444, 32.24, 8, 2, 'U', 'Africa/Cairo'),
	(1135, 'St Catherine Intl', 'St. Catherine', 'Egypt', 'SKV', 'HESC', 28.685278, 34.0625, 4368, 2, 'U', 'Africa/Cairo'),
	(1136, 'Aswan Intl', 'Aswan', 'Egypt', 'ASW', 'HESN', 23.964356, 32.819975, 662, 2, 'U', 'Africa/Cairo'),
	(1137, 'El Tor', 'El-tor', 'Egypt', 'ELT', 'HETR', 28.209028, 33.645517, 115, 2, 'U', 'Africa/Cairo'),
	(1138, 'Eldoret Intl', 'Eldoret', 'Kenya', 'EDL', 'HKEL', 0.404458, 35.238928, 6941, 3, 'U', 'Africa/Nairobi'),
	(1139, 'Kakamega', 'Kakamega', 'Kenya', '', 'HKKG', 0.271342, 34.787297, 5020, 3, 'U', 'Africa/Nairobi'),
	(1140, 'Kisumu', 'Kisumu', 'Kenya', 'KIS', 'HKKI', -0.086139, 34.728892, 3796, 3, 'U', 'Africa/Nairobi'),
	(1141, 'Kitale', 'Kitale', 'Kenya', 'KTL', 'HKKT', 0.971989, 34.958556, 6070, 3, 'U', 'Africa/Nairobi'),
	(1143, 'Lodwar', 'Lodwar', 'Kenya', 'LOK', 'HKLO', 3.121967, 35.608692, 1715, 3, 'U', 'Africa/Nairobi'),
	(1144, 'Lamu Manda', 'Lamu', 'Kenya', 'LAU', 'HKLU', -2.252417, 40.913097, 20, 3, 'U', 'Africa/Nairobi'),
	(1145, 'Mombasa Moi Intl', 'Mombasa', 'Kenya', 'MBA', 'HKMO', -4.034833, 39.59425, 200, 3, 'U', 'Africa/Nairobi'),
	(1146, 'Naivasha', 'Naivasha', 'Kenya', '', 'HKNV', -0.787953, 36.433528, 6380, 3, 'U', 'Africa/Nairobi'),
	(1147, 'Nairobi Wilson', 'Nairobi', 'Kenya', 'WIL', 'HKNW', -1.321719, 36.814833, 5546, 3, 'U', 'Africa/Nairobi'),
	(1148, 'Eastleigh', 'Nairobi', 'Kenya', '', 'HKRE', -1.277267, 36.862339, 5380, 3, 'U', 'Africa/Nairobi'),
	(1149, 'Wajir', 'Wajir', 'Kenya', 'WJR', 'HKWJ', 1.733239, 40.091606, 770, 3, 'U', 'Africa/Nairobi'),
	(1150, 'Bu Attifel', 'Buattifel', 'Libya', '', 'HLFL', 28.795372, 22.080939, 161, 2, 'N', 'Africa/Tripoli'),
	(1151, 'Warehouse 59e', 'Giallo', 'Libya', '', 'HLGL', 28.638458, 21.438042, 325, 2, 'N', 'Africa/Tripoli'),
	(1152, 'Ghat', 'Ghat', 'Libya', 'GHT', 'HLGT', 25.145564, 10.142647, 2296, 2, 'N', 'Africa/Tripoli'),
	(1153, 'Kufra', 'Kufra', 'Libya', 'AKF', 'HLKF', 24.178728, 23.313958, 1367, 2, 'N', 'Africa/Tripoli'),
	(1154, 'Benina', 'Benghazi', 'Libya', 'BEN', 'HLLB', 32.096786, 20.269472, 433, 2, 'N', 'Africa/Tripoli'),
	(1156, 'Sebha', 'Sebha', 'Libya', 'SEB', 'HLLS', 26.986964, 14.472525, 1427, 2, 'N', 'Africa/Tripoli'),
	(1157, 'Tripoli Intl', 'Tripoli', 'Libya', 'TIP', 'HLLT', 32.663544, 13.159011, 263, 2, 'N', 'Africa/Tripoli'),
	(1158, 'Marsa Brega', 'Marsa Brega', 'Libya', '', 'HLMB', 30.378139, 19.576444, 50, 2, 'N', 'Africa/Tripoli'),
	(1159, 'Ras Lanuf Oil', 'Ras Lanouf V 40', 'Libya', '', 'HLNF', 30.500013, 18.527161, 42, 2, 'N', 'Africa/Tripoli'),
	(1160, 'Hon', 'Hon', 'Libya', '', 'HLON', 29.110106, 15.965567, 919, 2, 'N', 'Africa/Tripoli'),
	(1161, 'Dahra', 'Dahra', 'Libya', '', 'HLRA', 29.472567, 17.934936, 1050, 2, 'N', 'Africa/Tripoli'),
	(1162, 'Ghadames East', 'Ghadames', 'Libya', 'LTD', 'HLTD', 30.151695, 9.715305, 1122, 2, 'N', 'Africa/Tripoli'),
	(1163, 'Zella 74', 'Zella 74', 'Libya', '', 'HLZA', 28.589878, 17.293858, 1085, 2, 'N', 'Africa/Tripoli'),
	(1164, 'Gisenyi', 'Gisenyi', 'Rwanda', 'GYI', 'HRYG', -1.677203, 29.258875, 5082, 2, 'U', 'Africa/Kigali'),
	(1165, 'Kigali Intl', 'Kigali', 'Rwanda', 'KGL', 'HRYR', -1.968628, 30.13945, 4859, 2, 'U', 'Africa/Kigali'),
	(1166, 'Kamembe', 'Kamembe', 'Rwanda', 'KME', 'HRZA', -2.462242, 28.90795, 5192, 2, 'U', 'Africa/Kigali'),
	(1167, 'Dongola', 'Dongola', 'Sudan', 'DOG', 'HSDN', 19.153867, 30.430094, 773, 3, 'U', 'Africa/Khartoum'),
	(1168, 'Damazin', 'Damazin', 'Sudan', '', 'HSDZ', 11.785889, 34.336656, 1582, 3, 'U', 'Africa/Khartoum'),
	(1169, 'El Fashir', 'El Fasher', 'Sudan', 'ELF', 'HSFS', 13.614892, 25.32465, 2393, 3, 'U', 'Africa/Khartoum'),
	(1170, 'Kassala', 'Kassala', 'Sudan', 'KSL', 'HSKA', 15.387494, 36.328842, 1671, 3, 'U', 'Africa/Khartoum'),
	(1171, 'Kadugli', 'Kadugli', 'Sudan', '', 'HSLI', 11.138028, 29.701122, 1848, 3, 'U', 'Africa/Khartoum'),
	(1172, 'El Obeid', 'El Obeid', 'Sudan', 'EBD', 'HSOB', 13.153219, 30.232675, 1927, 3, 'U', 'Africa/Khartoum'),
	(1173, 'Juba', 'Juba', 'South Sudan', 'JUB', 'HSSJ', 4.872006, 31.601117, 1513, 3, 'U', 'Africa/Juba'),
	(1174, 'Malakal', 'Malakal', 'Sudan', 'MAK', 'HSSM', 9.558969, 31.652242, 1291, 3, 'U', 'Africa/Juba'),
	(1175, 'Khartoum', 'Khartoum', 'Sudan', 'KRT', 'HSSS', 15.589497, 32.553161, 1265, 3, 'U', 'Africa/Khartoum'),
	(1176, 'Arusha', 'Arusha', 'Tanzania', 'ARK', 'HTAR', -3.367794, 36.633333, 4550, 3, 'U', 'Africa/Dar_es_Salaam'),
	(1177, 'Mwalimu Julius K Nyerere Intl', 'Dar Es Salaam', 'Tanzania', 'DAR', 'HTDA', -6.878111, 39.202625, 182, 3, 'U', 'Africa/Dar_es_Salaam'),
	(1178, 'Dodoma', 'Dodoma', 'Tanzania', 'DOD', 'HTDO', -6.170436, 35.752578, 3637, 3, 'U', 'Africa/Dar_es_Salaam'),
	(1179, 'Iringa', 'Iringa', 'Tanzania', 'IRI', 'HTIR', -7.668633, 35.752114, 4678, 3, 'U', 'Africa/Dar_es_Salaam'),
	(1180, 'Kilimanjaro Intl', 'Kilimanjaro', 'Tanzania', 'JRO', 'HTKJ', -3.429406, 37.074461, 2932, 3, 'U', 'Africa/Dar_es_Salaam'),
	(1181, 'Lake Manyara', 'Lake Manyara', 'Tanzania', 'LKY', 'HTLM', -3.376306, 35.818278, 4150, 3, 'N', 'Africa/Dar_es_Salaam'),
	(1182, 'Mtwara', 'Mtwara', 'Tanzania', 'MYW', 'HTMT', -10.339058, 40.181781, 371, 3, 'U', 'Africa/Dar_es_Salaam'),
	(1183, 'Mwanza', 'Mwanza', 'Tanzania', 'MWZ', 'HTMW', -2.444486, 32.932667, 3763, 3, 'U', 'Africa/Dar_es_Salaam'),
	(1184, 'Pemba', 'Pemba', 'Tanzania', 'PMA', 'HTPE', -5.257264, 39.811417, 80, 3, 'U', 'Africa/Dar_es_Salaam'),
	(1185, 'Tanga', 'Tanga', 'Tanzania', 'TGT', 'HTTG', -5.092358, 39.071158, 129, 3, 'U', 'Africa/Dar_es_Salaam'),
	(1186, 'Zanzibar', 'Zanzibar', 'Tanzania', 'ZNZ', 'HTZA', -6.222025, 39.224886, 54, 3, 'U', 'Africa/Dar_es_Salaam'),
	(1187, 'Entebbe Intl', 'Entebbe', 'Uganda', 'EBB', 'HUEN', 0.042386, 32.443503, 3782, 3, 'U', 'Africa/Kampala'),
	(1189, 'Soroti', 'Soroti', 'Uganda', 'SRT', 'HUSO', 1.727578, 33.622861, 3641, 3, 'U', 'Africa/Kampala'),
	(1190, 'Tirana Rinas', 'Tirana', 'Albania', 'TIA', 'LATI', 41.414742, 19.720561, 126, 1, 'E', 'Europe/Tirane'),
	(1191, 'Burgas', 'Bourgas', 'Bulgaria', 'BOJ', 'LBBG', 42.569583, 27.515236, 135, 2, 'E', 'Europe/Sofia'),
	(1192, 'Gorna Oryahovitsa', 'Gorna Orechovica', 'Bulgaria', 'GOZ', 'LBGO', 43.151444, 25.712889, 285, 2, 'E', 'Europe/Sofia'),
	(1193, 'Plovdiv', 'Plovdiv', 'Bulgaria', 'PDV', 'LBPD', 42.067806, 24.850833, 597, 2, 'E', 'Europe/Sofia'),
	(1194, 'Sofia', 'Sofia', 'Bulgaria', 'SOF', 'LBSF', 42.695194, 23.406167, 1742, 2, 'E', 'Europe/Sofia'),
	(1195, 'Stara Zagora', 'Stara Zagora', 'Bulgaria', '', 'LBSZ', 42.376667, 25.655195, 558, 2, 'E', 'Europe/Sofia'),
	(1196, 'Varna', 'Varna', 'Bulgaria', 'VAR', 'LBWN', 43.232072, 27.825106, 230, 2, 'E', 'Europe/Sofia'),
	(1197, 'Larnaca', 'Larnaca', 'Cyprus', 'LCA', 'LCLK', 34.875117, 33.62485, 8, 2, 'E', 'Asia/Nicosia'),
	(1198, 'Pafos Intl', 'Paphos', 'Cyprus', 'PFO', 'LCPH', 34.718039, 32.485731, 41, 2, 'E', 'Asia/Nicosia'),
	(1199, 'Akrotiri', 'Akrotiri', 'Cyprus', 'AKT', 'LCRA', 34.590416, 32.987861, 76, 0, 'E', 'Europe/London'),
	(1200, 'Dubrovnik', 'Dubrovnik', 'Croatia', 'DBV', 'LDDU', 42.561353, 18.268244, 527, 1, 'E', 'Europe/Zagreb'),
	(1201, 'Cepin', 'Cepin', 'Croatia', '', 'LDOC', 45.542169, 18.636233, 299, 1, 'E', 'Europe/Zagreb'),
	(1202, 'Osijek', 'Osijek', 'Croatia', 'OSI', 'LDOS', 45.462667, 18.810156, 290, 1, 'E', 'Europe/Zagreb'),
	(1203, 'Pula', 'Pula', 'Croatia', 'PUY', 'LDPL', 44.893533, 13.922192, 274, 1, 'E', 'Europe/Zagreb'),
	(1204, 'Grobnicko Polje', 'Grobnik', 'Croatia', '', 'LDRG', 45.379483, 14.503756, 951, 1, 'E', 'Europe/Zagreb'),
	(1205, 'Rijeka', 'Rijeka', 'Croatia', 'RJK', 'LDRI', 45.216889, 14.570267, 278, 1, 'E', 'Europe/Zagreb'),
	(1206, 'Split', 'Split', 'Croatia', 'SPU', 'LDSP', 43.538944, 16.297964, 79, 1, 'E', 'Europe/Zagreb'),
	(1207, 'Varazdin', 'Varazdin', 'Croatia', '', 'LDVA', 46.294724, 16.38125, 548, 1, 'E', 'Europe/Zagreb'),
	(1208, 'Zagreb', 'Zagreb', 'Croatia', 'ZAG', 'LDZA', 45.742931, 16.068778, 353, 1, 'E', 'Europe/Zagreb'),
	(1209, 'Zadar', 'Zadar', 'Croatia', 'ZAD', 'LDZD', 44.108269, 15.346697, 289, 1, 'E', 'Europe/Zagreb'),
	(1210, 'Udbina', 'Udbina', 'Croatia', '', 'LDZU', 44.55761, 15.774361, 2462, 1, 'E', 'Europe/Zagreb'),
	(1211, 'Albacete', 'Albacete', 'Spain', '', 'LEAB', 38.948528, -1.863517, 2302, 1, 'E', 'Europe/Madrid'),
	(1212, 'Alicante', 'Alicante', 'Spain', 'ALC', 'LEAL', 38.282169, -0.558156, 142, 1, 'E', 'Europe/Madrid'),
	(1213, 'Almeria', 'Almeria', 'Spain', 'LEI', 'LEAM', 36.843936, -2.370097, 70, 1, 'E', 'Europe/Madrid'),
	(1214, 'Asturias', 'Aviles', 'Spain', 'OVD', 'LEAS', 43.563567, -6.034622, 416, 1, 'E', 'Europe/Madrid'),
	(1215, 'Cordoba', 'Cordoba', 'Spain', 'ODB', 'LEBA', 37.842006, -4.848878, 297, 1, 'E', 'Europe/Madrid'),
	(1216, 'Bilbao', 'Bilbao', 'Spain', 'BIO', 'LEBB', 43.301097, -2.910608, 138, 1, 'E', 'Europe/Madrid'),
	(1218, 'Barcelona', 'Barcelona', 'Spain', 'BCN', 'LEBL', 41.297078, 2.078464, 12, 1, 'E', 'Europe/Madrid'),
	(1219, 'Talavera La Real', 'Badajoz', 'Spain', 'BJZ', 'LEBZ', 38.89125, -6.821333, 609, 1, 'E', 'Europe/Madrid'),
	(1220, 'A Coruna', 'La Coruna', 'Spain', 'LCG', 'LECO', 43.302061, -8.377256, 326, 1, 'E', 'Europe/Madrid'),
	(1221, 'Armilla', 'Granada', 'Spain', '', 'LEGA', 37.133222, -3.635694, 2297, 1, 'E', 'Europe/Madrid'),
	(1222, 'Girona', 'Gerona', 'Spain', 'GRO', 'LEGE', 41.900969, 2.760547, 468, 1, 'E', 'Europe/Madrid'),
	(1223, 'Granada', 'Granada', 'Spain', 'GRX', 'LEGR', 37.188731, -3.777356, 1860, 1, 'E', 'Europe/Madrid'),
	(1224, 'Getafe', 'Madrid', 'Spain', '', 'LEGT', 40.294139, -3.723833, 2029, 1, 'E', 'Europe/Madrid'),
	(1225, 'Ibiza', 'Ibiza', 'Spain', 'IBZ', 'LEIB', 38.872858, 1.373117, 20, 1, 'E', 'Europe/Madrid'),
	(1226, 'Jerez', 'Jerez', 'Spain', 'XRY', 'LEJR', 36.744622, -6.060111, 93, 1, 'E', 'Europe/Madrid'),
	(1227, 'Murcia San Javier', 'Murcia', 'Spain', 'MJV', 'LELC', 37.774972, -0.812389, 11, 1, 'E', 'Europe/Madrid'),
	(1229, 'Barajas', 'Madrid', 'Spain', 'MAD', 'LEMD', 40.493556, -3.566764, 2000, 1, 'E', 'Europe/Madrid'),
	(1230, 'Malaga', 'Malaga', 'Spain', 'AGP', 'LEMG', 36.6749, -4.499106, 52, 1, 'E', 'Europe/Madrid'),
	(1231, 'Menorca', 'Menorca', 'Spain', 'MAH', 'LEMH', 39.862597, 4.218647, 298, 1, 'E', 'Europe/Madrid'),
	(1232, 'Moron Ab', 'Sevilla', 'Spain', 'OZP', 'LEMO', 37.174917, -5.615944, 285, 1, 'E', 'Europe/Madrid'),
	(1233, 'Ocana', 'Ocana', 'Spain', '', 'LEOC', 39.9375, -3.503333, 2405, 1, 'E', 'Europe/Madrid'),
	(1234, 'Pamplona', 'Pamplona', 'Spain', 'PNA', 'LEPP', 42.770039, -1.646331, 1504, 1, 'E', 'Europe/Madrid'),
	(1235, 'Alcantarilla', 'Murcia', 'Spain', '', 'LERI', 37.951111, -1.230319, 250, 1, 'E', 'Europe/Madrid'),
	(1236, 'Reus', 'Reus', 'Spain', 'REU', 'LERS', 41.147392, 1.167172, 234, 1, 'E', 'Europe/Madrid'),
	(1237, 'Rota Ns', 'Rota', 'Spain', '', 'LERT', 36.645211, -6.349458, 86, 1, 'E', 'Europe/Madrid'),
	(1238, 'Salamanca', 'Salamanca', 'Spain', 'SLM', 'LESA', 40.952117, -5.501986, 2595, 1, 'E', 'Europe/Madrid'),
	(1239, 'Son Bonet', 'Son Bonet', 'Spain', '', 'LESB', 39.598889, 2.702778, 135, 1, 'E', 'Europe/Madrid'),
	(1240, 'Palma De Mallorca', 'Palma De Mallorca', 'Spain', '', 'LESJ', 39.551675, 2.738808, 27, 1, 'E', 'Europe/Madrid'),
	(1241, 'San Luis', 'San Luis', 'Spain', '', 'LESL', 39.862222, 4.258333, 197, 1, 'E', 'Europe/Madrid'),
	(1242, 'San Sebastian', 'San Sebastian', 'Spain', 'EAS', 'LESO', 43.356519, -1.790611, 15, 1, 'E', 'Europe/Madrid'),
	(1243, 'Santiago', 'Santiago', 'Spain', 'SCQ', 'LEST', 42.896333, -8.415144, 1213, 1, 'E', 'Europe/Madrid'),
	(1244, 'Seo De Urgel', 'Seo De Urgel', 'Spain', 'LEU', 'LESU', 42.338611, 1.409167, 2625, 1, 'E', 'Europe/Madrid'),
	(1245, 'Torrejon', 'Madrid', 'Spain', 'TOJ', 'LETO', 40.496747, -3.445872, 2026, 1, 'E', 'Europe/Madrid'),
	(1246, 'Valencia', 'Valencia', 'Spain', 'VLC', 'LEVC', 39.489314, -0.481625, 225, 1, 'E', 'Europe/Madrid'),
	(1247, 'Valladolid', 'Valladolid', 'Spain', 'VLL', 'LEVD', 41.706111, -4.851944, 2775, 1, 'E', 'Europe/Madrid'),
	(1248, 'Cuatro Vientos', 'Madrid', 'Spain', '', 'LEVS', 40.370678, -3.785144, 2267, 1, 'E', 'Europe/Madrid'),
	(1249, 'Vitoria', 'Vitoria', 'Spain', 'VIT', 'LEVT', 42.882836, -2.724469, 1682, 1, 'E', 'Europe/Madrid'),
	(1250, 'Vigo', 'Vigo', 'Spain', 'VGO', 'LEVX', 42.2318, -8.626775, 855, 1, 'E', 'Europe/Madrid'),
	(1251, 'Santander', 'Santander', 'Spain', 'SDR', 'LEXJ', 43.427064, -3.820006, 16, 1, 'E', 'Europe/Madrid'),
	(1252, 'Zaragoza Ab', 'Zaragoza', 'Spain', 'ZAZ', 'LEZG', 41.666242, -1.041553, 863, 1, 'E', 'Europe/Madrid'),
	(1253, 'Sevilla', 'Sevilla', 'Spain', 'SVQ', 'LEZL', 37.418, -5.893106, 111, 1, 'E', 'Europe/Madrid'),
	(1254, 'Calais Dunkerque', 'Calais', 'France', 'CQF', 'LFAC', 50.962097, 1.954764, 12, 1, 'E', 'Europe/Paris'),
	(1255, 'Peronne St Quentin', 'Peronne', 'France', '', 'LFAG', 49.868547, 3.029578, 295, 1, 'E', 'Europe/Paris'),
	(1256, 'Les Loges', 'Nangis', 'France', '', 'LFAI', 48.596219, 3.006786, 428, 1, 'E', 'Europe/Paris'),
	(1257, 'Couterne', 'Bagnole-de-l\'orne', 'France', '', 'LFAO', 48.545836, -0.387444, 718, 1, 'E', 'Europe/Paris'),
	(1258, 'Bray', 'Albert', 'France', '', 'LFAQ', 49.971531, 2.697661, 364, 1, 'E', 'Europe/Paris'),
	(1259, 'Le Touquet Paris Plage', 'Le Tourquet', 'France', 'LTQ', 'LFAT', 50.517385, 1.620587, 36, 1, 'E', 'Europe/Paris'),
	(1260, 'Denain', 'Valenciennes', 'France', '', 'LFAV', 50.325808, 3.461264, 177, 1, 'E', 'Europe/Paris'),
	(1261, 'Glisy', 'Amiens', 'France', '', 'LFAY', 49.873019, 2.387075, 208, 1, 'E', 'Europe/Paris'),
	(1262, 'La Garenne', 'Agen', 'France', 'AGF', 'LFBA', 44.174721, 0.590556, 204, 1, 'E', 'Europe/Paris'),
	(1263, 'Cazaux', 'Cazaux', 'France', '', 'LFBC', 44.533333, -1.125, 84, 1, 'E', 'Europe/Paris'),
	(1264, 'Merignac', 'Bordeaux', 'France', 'BOD', 'LFBD', 44.828335, -0.715556, 162, 1, 'E', 'Europe/Paris'),
	(1265, 'Roumaniere', 'Bergerac', 'France', 'EGC', 'LFBE', 44.825279, 0.518611, 171, 1, 'E', 'Europe/Paris'),
	(1266, 'Francazal', 'Toulouse', 'France', '', 'LFBF', 43.545555, 1.3675, 535, 1, 'E', 'Europe/Paris'),
	(1267, 'Chateaubernard', 'Cognac', 'France', 'CNG', 'LFBG', 45.658333, -0.3175, 102, 1, 'E', 'Europe/Paris'),
	(1268, 'Biard', 'Poitiers', 'France', 'PIS', 'LFBI', 46.587745, 0.306666, 423, 1, 'E', 'Europe/Paris'),
	(1269, 'Montlucon Gueret', 'Montlucon-gueret', 'France', '', 'LFBK', 46.222644, 2.363964, 1497, 1, 'E', 'Europe/Paris'),
	(1270, 'Bellegarde', 'Limoges', 'France', 'LIG', 'LFBL', 45.862778, 1.179444, 1300, 1, 'E', 'Europe/Paris'),
	(1271, 'Mont De Marsan', 'Mont-de-marsan', 'France', '', 'LFBM', 43.911667, -0.5075, 203, 1, 'E', 'Europe/Paris'),
	(1272, 'Souche', 'Niort', 'France', 'NIT', 'LFBN', 46.311303, -0.401503, 203, 1, 'E', 'Europe/Paris'),
	(1273, 'Blagnac', 'Toulouse', 'France', 'TLS', 'LFBO', 43.629075, 1.363819, 499, 1, 'E', 'Europe/Paris'),
	(1274, 'Pau Pyrenees', 'Pau', 'France', 'PUF', 'LFBP', 43.38, -0.418611, 616, 1, 'E', 'Europe/Paris'),
	(1275, 'Lherm', 'La Rochelle', 'France', '', 'LFBR', 43.448891, 1.263333, 622, 1, 'E', 'Europe/Paris'),
	(1276, 'Lourdes', 'Tarbes', 'France', 'LDE', 'LFBT', 43.178675, -0.006439, 1260, 1, 'E', 'Europe/Paris'),
	(1277, 'Brie Champniers', 'Angouleme', 'France', 'ANG', 'LFBU', 45.729247, 0.221456, 436, 1, 'E', 'Europe/Paris'),
	(1278, 'La Roche', 'Brive', 'France', 'BVE', 'LFSL', 45.150833, 1.469167, 379, 1, 'E', 'Europe/Paris'),
	(1279, 'Bassillac', 'Perigueux', 'France', 'PGX', 'LFBX', 45.198055, 0.815556, 328, 1, 'E', 'Europe/Paris'),
	(1280, 'Anglet', 'Biarritz-bayonne', 'France', 'BIQ', 'LFBZ', 43.468419, -1.523325, 245, 1, 'E', 'Europe/Paris'),
	(1281, 'Lalbenque', 'Cahors', 'France', '', 'LFCC', 44.351387, 1.475278, 912, 1, 'E', 'Europe/Paris'),
	(1282, 'Antichan', 'St.-girons', 'France', '', 'LFCG', 43.007764, 1.10315, 1368, 1, 'E', 'Europe/Paris'),
	(1283, 'La Teste De Buch', 'Arcachon', 'France', 'XAC', 'LFCH', 44.59639, -1.110833, 49, 1, 'E', 'Europe/Paris'),
	(1284, 'Le Sequestre', 'Albi', 'France', 'LBI', 'LFCI', 43.913887, 2.113056, 564, 1, 'E', 'Europe/Paris'),
	(1285, 'Mazamet', 'Castres', 'France', 'DCM', 'LFCK', 43.55625, 2.289183, 788, 1, 'E', 'Europe/Paris'),
	(1286, 'Lasbordes', 'Toulouse', 'France', '', 'LFCL', 43.586113, 1.499167, 459, 1, 'E', 'Europe/Paris'),
	(1287, 'Larzac', 'Millau', 'France', '', 'LFCM', 43.989342, 3.183, 2606, 1, 'E', 'Europe/Paris'),
	(1288, 'Montdragon', 'Graulhet', 'France', '', 'LFCQ', 43.771111, 2.010833, 581, 1, 'E', 'Europe/Paris'),
	(1289, 'Marcillac', 'Rodez', 'France', 'RDZ', 'LFCR', 44.407869, 2.482672, 1910, 1, 'E', 'Europe/Paris'),
	(1290, 'Thalamy', 'Ussel', 'France', '', 'LFCU', 45.534721, 2.423889, 2428, 1, 'E', 'Europe/Paris'),
	(1291, 'Villeneuve Sur Lot', 'Villeneuve-sur-lot', 'France', '', 'LFCW', 44.396946, 0.758889, 190, 1, 'E', 'Europe/Paris'),
	(1292, 'Medis', 'Royan', 'France', 'RYN', 'LFCY', 45.628056, -0.9725, 72, 1, 'E', 'Europe/Paris'),
	(1293, 'Mimizan', 'Mimizan', 'France', '', 'LFCZ', 44.146111, -1.174444, 164, 1, 'E', 'Europe/Paris'),
	(1294, 'Aire Sur L Adour', 'Aire-sur-l\'adour', 'France', '', 'LFDA', 43.709444, -0.245278, 259, 1, 'E', 'Europe/Paris'),
	(1295, 'Montauban', 'Montauban', 'France', '', 'LFDB', 44.025694, 1.378042, 351, 1, 'E', 'Europe/Paris'),
	(1296, 'Lamothe', 'Auch', 'France', '', 'LFDH', 43.687778, 0.601667, 411, 1, 'E', 'Europe/Paris'),
	(1297, 'Artigues De Lussac', 'Libourne', 'France', '', 'LFDI', 44.982498, -0.134722, 157, 1, 'E', 'Europe/Paris'),
	(1298, 'Les Pujols', 'Pamiers', 'France', '', 'LFDJ', 43.090556, 1.695833, 1115, 1, 'E', 'Europe/Paris'),
	(1299, 'Virazeil', 'Marmande', 'France', '', 'LFDM', 44.498919, 0.200514, 105, 1, 'E', 'Europe/Paris'),
	(1300, 'St Agnant', 'Rochefort', 'France', 'RCO', 'LFDN', 45.887779, -0.983056, 60, 1, 'E', 'Europe/Paris'),
	(1301, 'Pontivy', 'Pontivy', 'France', '', 'LFED', 48.056789, -2.921244, 407, 1, 'E', 'Europe/Paris'),
	(1302, 'Aubigny Sur Nere', 'Aubigny-sur-nere', 'France', '', 'LFEH', 47.474167, 2.393055, 630, 1, 'E', 'Europe/Paris'),
	(1303, 'Scaer', 'Guiscriff-scaer', 'France', '', 'LFES', 48.052508, -3.664717, 574, 1, 'E', 'Europe/Paris'),
	(1305, 'Ancenis', 'Ancenis', 'France', '', 'LFFI', 47.408056, -1.1775, 111, 1, 'E', 'Europe/Paris'),
	(1306, 'Brienne Le Chateau', 'Brienne-le Chateau', 'France', '', 'LFFN', 48.429764, 4.482222, 381, 1, 'E', 'Europe/Paris'),
	(1307, 'Houssen', 'Colmar', 'France', 'CMR', 'LFGA', 48.109853, 7.359011, 628, 1, 'E', 'Europe/Paris'),
	(1308, 'Challanges', 'Beaune', 'France', '', 'LFGF', 47.005886, 4.893425, 656, 1, 'E', 'Europe/Paris'),
	(1309, 'Tavaux', 'Dole', 'France', 'DLE', 'LFGJ', 47.039014, 5.42725, 645, 1, 'E', 'Europe/Paris'),
	(1310, 'Joigny', 'Joigny', 'France', '', 'LFGK', 47.992222, 3.392222, 732, 1, 'E', 'Europe/Paris'),
	(1311, 'Le Rozelier', 'Verdun', 'France', '', 'LFGW', 49.122383, 5.469047, 1230, 1, 'E', 'Europe/Paris'),
	(1312, 'Ardeche Meridionale', 'Aubenas-vals-lanas', 'France', 'OBS', 'LFHO', 44.544236, 4.372192, 923, 1, 'E', 'Europe/Paris'),
	(1313, 'Loudes', 'Le Puy', 'France', 'LPY', 'LFHP', 45.080689, 3.762889, 2731, 1, 'E', 'Europe/Paris'),
	(1314, 'Coltines', 'St.-flour', 'France', '', 'LFHQ', 45.076389, 2.993611, 3218, 1, 'E', 'Europe/Paris'),
	(1315, 'Ceyzeriat', 'Bourg', 'France', 'XBK', 'LFHS', 46.20089, 5.292028, 857, 1, 'E', 'Europe/Paris'),
	(1316, 'Tarare', 'Vilefrance', 'France', 'XVF', 'LFHV', 45.901947, 4.634906, 1076, 1, 'E', 'Europe/Paris'),
	(1317, 'Montbeugny', 'Moulins', 'France', 'XMU', 'LFHY', 46.534581, 3.423725, 915, 1, 'E', 'Europe/Paris'),
	(1318, 'Belmont', 'St.-afrique-belmont', 'France', '', 'LFIF', 43.823334, 2.745278, 1686, 1, 'E', 'Europe/Paris'),
	(1319, 'Cassagnes Begonhes', 'Cassagnes-beghones', 'France', '', 'LFIG', 44.177776, 2.515, 2024, 1, 'E', 'Europe/Paris'),
	(1320, 'Metz Nancy Lorraine', 'Metz', 'France', 'ETZ', 'LFJL', 48.982142, 6.251319, 870, 1, 'E', 'Europe/Paris'),
	(1321, 'Poretta', 'Bastia', 'France', 'BIA', 'LFKB', 42.552664, 9.483731, 26, 1, 'E', 'Europe/Paris'),
	(1322, 'Saint Catherine', 'Calvi', 'France', 'CLY', 'LFKC', 42.530753, 8.793189, 209, 1, 'E', 'Europe/Paris'),
	(1323, 'Sud Corse', 'Figari', 'France', 'FSC', 'LFKF', 41.500557, 9.097777, 87, 1, 'E', 'Europe/Paris'),
	(1324, 'Campo Dell Oro', 'Ajaccio', 'France', 'AJA', 'LFKJ', 41.923637, 8.802917, 18, 1, 'E', 'Europe/Paris'),
	(1325, 'Propriano', 'Propriano', 'France', '', 'LFKO', 41.660558, 8.889747, 13, 1, 'E', 'Europe/Paris'),
	(1326, 'Solenzara', 'Solenzara', 'France', 'SOZ', 'LFKS', 41.924416, 9.406, 28, 1, 'E', 'Europe/Paris'),
	(1327, 'Corte', 'Corte', 'France', '', 'LFKT', 42.29361, 9.193055, 1132, 1, 'E', 'Europe/Paris'),
	(1328, 'Branches', 'Auxerre', 'France', 'AUF', 'LFLA', 47.850193, 3.497111, 523, 1, 'E', 'Europe/Paris'),
	(1329, 'Aix Les Bains', 'Chambery', 'France', 'CMF', 'LFLB', 45.63805, 5.880225, 779, 1, 'E', 'Europe/Paris'),
	(1330, 'Auvergne', 'Clermont-Ferrand', 'France', 'CFE', 'LFLC', 45.786661, 3.169169, 1090, 1, 'E', 'Europe/Paris'),
	(1331, 'Bourges', 'Bourges', 'France', 'BOU', 'LFLD', 47.058056, 2.370278, 529, 1, 'E', 'Europe/Paris'),
	(1332, 'Challes Les Eaux', 'Chambery', 'France', '', 'LFLE', 45.56105, 5.975761, 973, 1, 'E', 'Europe/Paris'),
	(1333, 'Champforgeuil', 'Chalon', 'France', 'XCD', 'LFLH', 46.826108, 4.817633, 623, 1, 'E', 'Europe/Paris'),
	(1334, 'Annemasse', 'Annemasse', 'France', 'QNJ', 'LFLI', 46.191972, 6.268386, 1620, 1, 'E', 'Europe/Paris'),
	(1335, 'Saint Exupery', 'Lyon', 'France', 'LYS', 'LFLL', 45.726387, 5.090833, 821, 1, 'E', 'Europe/Paris'),
	(1336, 'Charnay', 'Macon', 'France', 'QNX', 'LFLM', 46.295103, 4.795767, 728, 1, 'E', 'Europe/Paris'),
	(1337, 'Saint Yan', 'St.-yan', 'France', '', 'LFLN', 46.412536, 4.013264, 796, 1, 'E', 'Europe/Paris'),
	(1338, 'Renaison', 'Roanne', 'France', 'RNE', 'LFLO', 46.058334, 4.001389, 1106, 1, 'E', 'Europe/Paris'),
	(1339, 'Meythet', 'Annecy', 'France', 'NCY', 'LFLP', 45.929233, 6.098764, 1521, 1, 'E', 'Europe/Paris'),
	(1340, 'Saint Geoirs', 'Grenoble', 'France', 'GNB', 'LFLS', 45.362944, 5.329375, 1302, 1, 'E', 'Europe/Paris'),
	(1341, 'Domerat', 'Montlucon', 'France', 'MCU', 'LFLT', 46.352525, 2.570486, 771, 1, 'E', 'Europe/Paris'),
	(1342, 'Chabeuil', 'Valence', 'France', 'VAF', 'LFLU', 44.921594, 4.9699, 525, 1, 'E', 'Europe/Paris'),
	(1343, 'Charmeil', 'Vichy', 'France', 'VHY', 'LFLV', 46.169689, 3.403736, 817, 1, 'E', 'Europe/Paris'),
	(1344, 'Aurillac', 'Aurillac', 'France', 'AUR', 'LFLW', 44.891388, 2.421944, 2096, 1, 'E', 'Europe/Paris'),
	(1345, 'Deols', 'Chateauroux', 'France', 'CHR', 'LFLX', 46.862194, 1.730667, 529, 1, 'E', 'Europe/Paris'),
	(1346, 'Bron', 'Lyon', 'France', 'LYN', 'LFLY', 45.727172, 4.944275, 659, 1, 'E', 'Europe/Paris'),
	(1347, 'Aix Les Milles', 'Aix-les-milles', 'France', 'QXB', 'LFMA', 43.505554, 5.367778, 367, 1, 'E', 'Europe/Paris'),
	(1348, 'Le Cannet', 'Le Luc', 'France', '', 'LFMC', 43.384672, 6.387139, 265, 1, 'E', 'Europe/Paris'),
	(1349, 'Mandelieu', 'Cannes', 'France', 'CEQ', 'LFMD', 43.54205, 6.953478, 13, 1, 'E', 'Europe/Paris'),
	(1350, 'Boutheon', 'St-Etienne', 'France', 'EBU', 'LFMH', 45.540554, 4.296389, 1325, 1, 'E', 'Europe/Paris'),
	(1351, 'Le Tube', 'Istres', 'France', '', 'LFMI', 43.522736, 4.923844, 82, 1, 'E', 'Europe/Paris'),
	(1352, 'Salvaza', 'Carcassonne', 'France', 'CCF', 'LFMK', 43.215978, 2.306317, 433, 1, 'E', 'Europe/Paris'),
	(1353, 'Provence', 'Marseille', 'France', 'MRS', 'LFML', 43.435555, 5.213611, 74, 1, 'E', 'Europe/Paris'),
	(1354, 'Cote D\\\\\'Azur', 'Nice', 'France', 'NCE', 'LFMN', 43.658411, 7.215872, 12, 1, 'E', 'Europe/Paris'),
	(1355, 'Caritat', 'Orange', 'France', '', 'LFMO', 44.140481, 4.866717, 197, 1, 'E', 'Europe/Paris'),
	(1356, 'Rivesaltes', 'Perpignan', 'France', 'PGF', 'LFMP', 42.740442, 2.870667, 144, 1, 'E', 'Europe/Paris'),
	(1357, 'Le Castellet', 'Le Castellet', 'France', 'CTT', 'LFMQ', 43.252506, 5.785189, 1391, 1, 'E', 'Europe/Paris'),
	(1358, 'Deaux', 'Ales', 'France', '', 'LFMS', 44.069656, 4.142122, 668, 1, 'E', 'Europe/Paris'),
	(1359, 'Mediterranee', 'Montpellier', 'France', 'MPL', 'LFMT', 43.576194, 3.963014, 17, 1, 'E', 'Europe/Paris'),
	(1360, 'Vias', 'Beziers', 'France', 'BZR', 'LFMU', 43.323522, 3.353903, 56, 1, 'E', 'Europe/Paris'),
	(1361, 'Caumont', 'Avignon', 'France', 'AVN', 'LFMV', 43.9073, 4.901831, 124, 1, 'E', 'Europe/Paris'),
	(1362, 'Salon', 'Salon', 'France', '', 'LFMY', 43.606415, 5.10925, 195, 1, 'E', 'Europe/Paris'),
	(1363, 'Lezignan Corbieres', 'Lezignan-corbieres', 'France', '', 'LFMZ', 43.175835, 2.734167, 207, 1, 'E', 'Europe/Paris'),
	(1364, 'Brenoux', 'Mende', 'France', 'MEN', 'LFNB', 44.502108, 3.532819, 3362, 1, 'E', 'Europe/Paris'),
	(1365, 'Carpentras', 'Carpentras', 'France', '', 'LFNH', 44.029847, 5.078058, 394, 1, 'E', 'Europe/Paris'),
	(1366, 'Avord', 'Avord', 'France', '', 'LFOA', 47.053333, 2.6325, 580, 1, 'E', 'Europe/Paris'),
	(1367, 'Tille', 'Beauvais', 'France', 'BVA', 'LFOB', 49.454444, 2.112778, 359, 1, 'E', 'Europe/Paris'),
	(1368, 'Chateaudun', 'Chateaudun', 'France', '', 'LFOC', 48.058142, 1.376625, 433, 1, 'E', 'Europe/Paris'),
	(1369, 'St Florent', 'Saumur', 'France', '', 'LFOD', 47.256839, -0.115142, 269, 1, 'E', 'Europe/Paris'),
	(1370, 'Fauville', 'Evreux', 'France', '', 'LFOE', 49.028669, 1.219864, 464, 1, 'E', 'Europe/Paris'),
	(1371, 'Octeville', 'Le Havre', 'France', 'LEH', 'LFOH', 49.533889, 0.088056, 312, 1, 'E', 'Europe/Paris'),
	(1372, 'Abbeville', 'Abbeville', 'France', '', 'LFOI', 50.143492, 1.831892, 220, 1, 'E', 'Europe/Paris'),
	(1373, 'Bricy', 'Orleans', 'France', 'ORE', 'LFOJ', 47.987778, 1.760556, 412, 1, 'E', 'Europe/Paris'),
	(1374, 'Vatry', 'Chalons', 'France', 'XCR', 'LFOK', 48.776072, 4.184492, 587, 1, 'E', 'Europe/Paris'),
	(1375, 'Vallee De Seine', 'Rouen', 'France', 'URO', 'LFOP', 49.384172, 1.1748, 512, 1, 'E', 'Europe/Paris'),
	(1376, 'Val De Loire', 'Tours', 'France', 'TUF', 'LFOT', 47.432222, 0.727606, 357, 1, 'E', 'Europe/Paris'),
	(1377, 'Le Pontreau', 'Cholet', 'France', 'CET', 'LFOU', 47.082136, -0.877064, 443, 1, 'E', 'Europe/Paris'),
	(1378, 'Entrammes', 'Laval', 'France', 'LVA', 'LFOV', 48.031361, -0.742986, 330, 1, 'E', 'Europe/Paris'),
	(1379, 'St Denis De L Hotel', 'Orleans', 'France', '', 'LFOZ', 47.896946, 2.163333, 396, 1, 'E', 'Europe/Paris'),
	(1380, 'Le Bourget', 'Paris', 'France', 'LBG', 'LFPB', 48.969444, 2.441389, 218, 1, 'E', 'Europe/Paris'),
	(1381, 'Creil', 'Creil', 'France', 'CSF', 'LFPC', 49.253547, 2.519139, 291, 1, 'E', 'Europe/Paris'),
	(1382, 'Charles De Gaulle', 'Paris', 'France', 'CDG', 'LFPG', 49.012779, 2.55, 392, 1, 'E', 'Europe/Paris'),
	(1383, 'Voisins', 'Coulommiers', 'France', '', 'LFPK', 48.837653, 3.016117, 470, 1, 'E', 'Europe/Paris'),
	(1384, 'Villaroche', 'Melun', 'France', '', 'LFPM', 48.604725, 2.671119, 302, 1, 'E', 'Europe/Paris'),
	(1385, 'Toussus Le Noble', 'Toussous-le-noble', 'France', 'TNF', 'LFPN', 48.751922, 2.106189, 538, 1, 'E', 'Europe/Paris'),
	(1386, 'Orly', 'Paris', 'France', 'ORY', 'LFPO', 48.725278, 2.359444, 291, 1, 'E', 'Europe/Paris'),
	(1387, 'Cormeilles En Vexin', 'Pontoise', 'France', 'POX', 'LFPT', 49.096647, 2.040833, 325, 1, 'E', 'Europe/Paris'),
	(1388, 'Velizy', 'Villacoublay', 'France', '', 'LFPV', 48.774406, 2.201536, 584, 1, 'E', 'Europe/Paris'),
	(1389, 'Prunay', 'Reims', 'France', '', 'LFQA', 49.208689, 4.156581, 313, 1, 'E', 'Europe/Paris'),
	(1390, 'Barberey', 'Troyes', 'France', 'QYR', 'LFQB', 48.322136, 4.016703, 388, 1, 'E', 'Europe/Paris'),
	(1391, 'Croismare', 'Luneville', 'France', '', 'LFQC', 48.593275, 6.543456, 790, 1, 'E', 'Europe/Paris'),
	(1392, 'Rouvres', 'Etain', 'France', '', 'LFQE', 49.226917, 5.672219, 770, 1, 'E', 'Europe/Paris'),
	(1393, 'Bellevue', 'Autun', 'France', '', 'LFQF', 46.967283, 4.260572, 997, 1, 'E', 'Europe/Paris'),
	(1394, 'Fourchambault', 'Nevers', 'France', 'NVS', 'LFQG', 47.002625, 3.113333, 602, 1, 'E', 'Europe/Paris'),
	(1395, 'Epinoy', 'Cambrai', 'France', '', 'LFQI', 50.221814, 3.154236, 257, 1, 'E', 'Europe/Paris'),
	(1396, 'Elesmes', 'Maubeuge', 'France', '', 'LFQJ', 50.310467, 4.033119, 452, 1, 'E', 'Europe/Paris'),
	(1397, 'La Veze', 'Besancon-la-veze', 'France', '', 'LFQM', 47.206567, 6.083681, 1271, 1, 'E', 'Europe/Paris'),
	(1398, 'Bourscheid', 'Phalsbourg', 'France', '', 'LFQP', 48.76625, 7.200519, 1017, 1, 'E', 'Europe/Paris'),
	(1399, 'Lesquin', 'Lille', 'France', 'LIL', 'LFQQ', 50.561942, 3.089444, 157, 1, 'E', 'Europe/Paris'),
	(1400, 'Calonne', 'Merville', 'France', '', 'LFQT', 50.618394, 2.642242, 61, 1, 'E', 'Europe/Paris'),
	(1401, 'Charleville Mezieres', 'Charleville', 'France', '', 'LFQV', 49.783942, 4.647078, 492, 1, 'E', 'Europe/Paris'),
	(1402, 'Frotey', 'Vesoul-frotey', 'France', '', 'LFQW', 47.637611, 6.203922, 1249, 1, 'E', 'Europe/Paris'),
	(1403, 'Guipavas', 'Brest', 'France', 'BES', 'LFRB', 48.447911, -4.418539, 325, 1, 'E', 'Europe/Paris'),
	(1404, 'Maupertus', 'Cherbourg', 'France', 'CER', 'LFRC', 49.650106, -1.470281, 459, 1, 'E', 'Europe/Paris'),
	(1405, 'Pleurtuit', 'Dinard', 'France', 'DNR', 'LFRD', 48.587683, -2.079958, 219, 1, 'E', 'Europe/Paris'),
	(1406, 'Escoublac', 'La Baule', 'France', '', 'LFRE', 47.289444, -2.346389, 105, 1, 'E', 'Europe/Paris'),
	(1407, 'Granville', 'Granville', 'France', 'GFR', 'LFRF', 48.883057, -1.564167, 45, 1, 'E', 'Europe/Paris'),
	(1408, 'St Gatien', 'Deauville', 'France', 'DOL', 'LFRG', 49.365339, 0.154306, 479, 1, 'E', 'Europe/Paris'),
	(1409, 'Lann Bihoue', 'Lorient', 'France', 'LRT', 'LFRH', 47.760555, -3.44, 160, 1, 'E', 'Europe/Paris'),
	(1410, 'Les Ajoncs', 'La Roche-sur-yon', 'France', 'EDM', 'LFRI', 46.701944, -1.378625, 299, 1, 'E', 'Europe/Paris'),
	(1411, 'Landivisiau', 'Landivisiau', 'France', '', 'LFRJ', 48.530258, -4.151642, 348, 1, 'E', 'Europe/Paris'),
	(1412, 'Carpiquet', 'Caen', 'France', 'CFR', 'LFRK', 49.173333, -0.45, 256, 1, 'E', 'Europe/Paris'),
	(1413, 'Poulmic', 'Lanvedoc', 'France', '', 'LFRL', 48.281703, -4.445017, 287, 1, 'E', 'Europe/Paris'),
	(1414, 'Arnage', 'Le Mans', 'France', 'LME', 'LFRM', 47.948611, 0.201667, 194, 1, 'E', 'Europe/Paris'),
	(1415, 'St Jacques', 'Rennes', 'France', 'RNS', 'LFRN', 48.069508, -1.734794, 124, 1, 'E', 'Europe/Paris'),
	(1416, 'Lannion', 'Lannion', 'France', 'LAI', 'LFRO', 48.754378, -3.471656, 290, 1, 'E', 'Europe/Paris'),
	(1417, 'Pluguffan', 'Quimper', 'France', 'UIP', 'LFRQ', 47.974981, -4.167786, 297, 1, 'E', 'Europe/Paris'),
	(1418, 'Nantes Atlantique', 'Nantes', 'France', 'NTE', 'LFRS', 47.153189, -1.610725, 90, 1, 'E', 'Europe/Paris'),
	(1419, 'Armor', 'St.-brieuc Armor', 'France', 'SBK', 'LFRT', 48.537777, -2.854445, 453, 1, 'E', 'Europe/Paris'),
	(1420, 'Ploujean', 'Morlaix', 'France', 'MXN', 'LFRU', 48.603222, -3.815783, 272, 1, 'E', 'Europe/Paris'),
	(1421, 'Meucon', 'Vannes', 'France', 'VNE', 'LFRV', 47.723303, -2.718561, 440, 1, 'E', 'Europe/Paris'),
	(1422, 'Montoir', 'St.-nazaire', 'France', 'SNR', 'LFRZ', 47.312189, -2.149181, 13, 1, 'E', 'Europe/Paris'),
	(1423, 'Bale Mulhouse', 'Mulhouse', 'France', 'MLH', 'LFSB', 47.589583, 7.529914, 885, 1, 'E', 'Europe/Paris'),
	(1424, 'Meyenheim', 'Colmar', 'France', '', 'LFSC', 47.921978, 7.399669, 693, 1, 'E', 'Europe/Paris'),
	(1425, 'Longvic', 'Dijon', 'France', 'DIJ', 'LFSD', 47.26889, 5.09, 726, 1, 'E', 'Europe/Paris'),
	(1426, 'Frescaty', 'Metz', 'France', 'MZM', 'LFSF', 49.071667, 6.131667, 629, 1, 'E', 'Europe/Paris'),
	(1427, 'Mirecourt', 'Epinal', 'France', 'EPL', 'LFSG', 48.324961, 6.069983, 1084, 1, 'E', 'Europe/Paris'),
	(1428, 'Haguenau', 'Haguenau', 'France', '', 'LFSH', 48.794331, 7.817613, 491, 1, 'E', 'Europe/Paris'),
	(1429, 'Robinson', 'St.-dizier', 'France', '', 'LFSI', 48.636008, 4.899417, 458, 1, 'E', 'Europe/Paris'),
	(1430, 'Courcelles', 'Montbeliard', 'France', '', 'LFSM', 47.487, 6.790536, 1041, 1, 'E', 'Europe/Paris'),
	(1431, 'Essey', 'Nancy', 'France', 'ENC', 'LFSN', 48.692069, 6.230458, 751, 1, 'E', 'Europe/Paris'),
	(1432, 'Ochey', 'Nancy', 'France', '', 'LFSO', 48.583056, 5.955, 1106, 1, 'E', 'Europe/Paris'),
	(1433, 'Pontarlier', 'Pontarlier', 'France', '', 'LFSP', 46.903958, 6.327367, 2683, 1, 'E', 'Europe/Paris'),
	(1434, 'Champagne', 'Reims', 'France', 'RHE', 'LFSR', 49.31, 4.05, 312, 1, 'E', 'Europe/Paris'),
	(1435, 'Entzheim', 'Strasbourg', 'France', 'SXB', 'LFST', 48.538319, 7.628233, 505, 1, 'E', 'Europe/Paris'),
	(1436, 'Saint Sauveur', 'Luxeuil', 'France', '', 'LFSX', 47.783131, 6.364056, 913, 1, 'E', 'Europe/Paris'),
	(1437, 'Pierrefeu', 'Cuers', 'France', '', 'LFTF', 43.247803, 6.126697, 266, 1, 'E', 'Europe/Paris'),
	(1438, 'Le Palyvestre', 'Hyeres', 'France', 'TLN', 'LFTH', 43.0973, 6.14603, 7, 1, 'E', 'Europe/Paris'),
	(1439, 'Garons', 'Nimes', 'France', 'FNI', 'LFTW', 43.757444, 4.416347, 309, 1, 'E', 'Europe/Paris'),
	(1440, 'Miquelon', 'Miquelon', 'Saint Pierre and Miquelon', 'MQC', 'LFVM', 47.095472, -56.380278, 10, -3, 'U', 'America/Miquelon'),
	(1441, 'St Pierre', 'St.-pierre', 'Saint Pierre and Miquelon', 'FSP', 'LFVP', 46.762904, -56.173088, 27, -3, 'U', 'America/Miquelon'),
	(1442, 'Amberieu', 'Amberieu', 'France', '', 'LFXA', 45.987335, 5.328445, 823, 1, 'E', 'Europe/Paris'),
	(1443, 'Damblain', 'Damblain', 'France', '', 'LFYD', 48.086325, 5.664058, 1280, 1, 'E', 'Europe/Paris'),
	(1444, 'Andravida', 'Andravida', 'Greece', 'PYR', 'LGAD', 37.920708, 21.292583, 55, 2, 'E', 'Europe/Athens'),
	(1445, 'Agrinion', 'Agrinion', 'Greece', 'AGQ', 'LGAG', 38.602022, 21.351208, 154, 2, 'E', 'Europe/Athens'),
	(1446, 'Dimokritos', 'Alexandroupolis', 'Greece', 'AXD', 'LGAL', 40.855869, 25.956264, 24, 2, 'E', 'Europe/Athens'),
	(1447, 'Alexandria', 'Alexandria', 'Greece', '', 'LGAX', 40.651128, 22.488739, 27, 2, 'E', 'Europe/Athens'),
	(1448, 'Nea Anchialos', 'Nea Anghialos', 'Greece', 'VOL', 'LGBL', 39.219619, 22.794339, 83, 2, 'E', 'Europe/Athens'),
	(1449, 'Elefsis', 'Elefsis', 'Greece', '', 'LGEL', 38.063831, 23.556011, 143, 2, 'E', 'Europe/Athens'),
	(1450, 'Chios', 'Chios', 'Greece', 'JKH', 'LGHI', 38.343175, 26.140572, 15, 2, 'E', 'Europe/Athens'),
	(1451, 'Ioannina', 'Ioannina', 'Greece', 'IOA', 'LGIO', 39.696388, 20.8225, 1558, 2, 'E', 'Europe/Athens'),
	(1452, 'Nikos Kazantzakis', 'Heraklion', 'Greece', 'HER', 'LGIR', 35.339719, 25.180297, 115, 2, 'E', 'Europe/Athens'),
	(1453, 'Aristotelis', 'Kastoria', 'Greece', 'KSO', 'LGKA', 40.446294, 21.282186, 2167, 2, 'E', 'Europe/Athens'),
	(1454, 'Kithira', 'Kithira', 'Greece', 'KIT', 'LGKC', 36.274258, 23.016978, 1045, 2, 'E', 'Europe/Athens'),
	(1455, 'Kefallinia', 'Keffallinia', 'Greece', 'EFL', 'LGKF', 38.120069, 20.500481, 59, 2, 'E', 'Europe/Athens'),
	(1456, 'Kalamata', 'Kalamata', 'Greece', 'KLX', 'LGKL', 37.068319, 22.025525, 26, 2, 'E', 'Europe/Athens'),
	(1457, 'Amigdhaleon', 'Kavala', 'Greece', '', 'LGKM', 40.972775, 24.341417, 203, 2, 'E', 'Europe/Athens'),
	(1458, 'Kos', 'Kos', 'Greece', 'KGS', 'LGKO', 36.793335, 27.091667, 412, 2, 'E', 'Europe/Athens'),
	(1459, 'Karpathos', 'Karpathos', 'Greece', 'AOK', 'LGKP', 35.421408, 27.146008, 66, 2, 'E', 'Europe/Athens'),
	(1460, 'Ioannis Kapodistrias Intl', 'Kerkyra/corfu', 'Greece', 'CFU', 'LGKR', 39.601944, 19.911667, 6, 2, 'E', 'Europe/Athens'),
	(1461, 'Kasos', 'Kasos', 'Greece', 'KSJ', 'LGKS', 35.421358, 26.910047, 35, 2, 'E', 'Europe/Athens'),
	(1462, 'Megas Alexandros Intl', 'Kavala', 'Greece', 'KVA', 'LGKV', 40.913306, 24.619223, 18, 2, 'E', 'Europe/Athens'),
	(1463, 'Filippos', 'Kozani', 'Greece', 'KZI', 'LGKZ', 40.28611, 21.840834, 2059, 2, 'E', 'Europe/Athens'),
	(1464, 'Leros', 'Leros', 'Greece', 'LRS', 'LGLE', 37.184903, 26.800289, 39, 2, 'E', 'Europe/Athens'),
	(1465, 'Limnos', 'Limnos', 'Greece', 'LXS', 'LGLM', 39.917072, 25.236308, 14, 2, 'E', 'Europe/Athens'),
	(1466, 'Larisa', 'Larissa', 'Greece', 'LRA', 'LGLR', 39.650253, 22.4655, 241, 2, 'E', 'Europe/Athens'),
	(1467, 'Megara', 'Megara', 'Greece', '', 'LGMG', 37.981114, 23.365422, 12, 2, 'E', 'Europe/Athens'),
	(1468, 'Mikonos', 'Mykonos', 'Greece', 'JMK', 'LGMK', 37.435128, 25.348103, 405, 2, 'E', 'Europe/Athens'),
	(1469, 'Mitilini', 'Mytilini', 'Greece', 'MJT', 'LGMT', 39.056667, 26.598333, 60, 2, 'E', 'Europe/Athens'),
	(1470, 'Aktio', 'Preveza', 'Greece', 'PVK', 'LGPZ', 38.925467, 20.765311, 11, 2, 'E', 'Europe/Athens'),
	(1471, 'Maritsa', 'Rhodos', 'Greece', '', 'LGRD', 36.383056, 28.108889, 204, 2, 'E', 'Europe/Athens'),
	(1472, 'Rhodes Diagoras', 'Rhodos', 'Greece', 'RHO', 'LGRP', 36.405419, 28.086192, 17, 2, 'E', 'Europe/Athens'),
	(1473, 'Araxos', 'Patras', 'Greece', 'GPA', 'LGRX', 38.151111, 21.425556, 46, 2, 'E', 'Europe/Athens'),
	(1474, 'Souda', 'Chania', 'Greece', 'CHQ', 'LGSA', 35.531747, 24.149678, 490, 2, 'E', 'Europe/Athens'),
	(1475, 'Alexandros Papadiamantis', 'Skiathos', 'Greece', 'JSI', 'LGSK', 39.1771, 23.503675, 54, 2, 'E', 'Europe/Athens'),
	(1476, 'Samos', 'Samos', 'Greece', 'SMI', 'LGSM', 37.689999, 26.911667, 19, 2, 'E', 'Europe/Athens'),
	(1478, 'Sparti', 'Sparti', 'Greece', '', 'LGSP', 36.973892, 22.526292, 500, 2, 'E', 'Europe/Athens'),
	(1479, 'Santorini', 'Thira', 'Greece', 'JTR', 'LGSR', 36.399169, 25.479333, 127, 2, 'E', 'Europe/Athens'),
	(1480, 'Sitia', 'Sitia', 'Greece', 'JSH', 'LGST', 35.216108, 26.101325, 376, 2, 'E', 'Europe/Athens'),
	(1481, 'Stefanovikion', 'Stefanovikion', 'Greece', '', 'LGSV', 39.48, 22.767222, 146, 2, 'E', 'Europe/Athens'),
	(1482, 'Skiros', 'Skiros', 'Greece', 'SKU', 'LGSY', 38.967553, 24.487228, 44, 2, 'E', 'Europe/Athens'),
	(1483, 'Tanagra', 'Tanagra', 'Greece', '', 'LGTG', 38.339847, 23.564958, 485, 2, 'E', 'Europe/Athens'),
	(1484, 'Kasteli', 'Kasteli', 'Greece', '', 'LGTL', 35.192019, 25.327, 1180, 2, 'E', 'Europe/Athens'),
	(1485, 'Tripolis', 'Tripolis', 'Greece', '', 'LGTP', 37.530567, 22.403633, 2113, 2, 'E', 'Europe/Athens'),
	(1486, 'Makedonia', 'Thessaloniki', 'Greece', 'SKG', 'LGTS', 40.519725, 22.97095, 22, 2, 'E', 'Europe/Athens'),
	(1487, 'Tatoi', 'Dekelia', 'Greece', '', 'LGTT', 38.108928, 23.783836, 785, 2, 'E', 'Europe/Athens'),
	(1488, 'Dionysios Solomos', 'Zakynthos', 'Greece', 'ZTH', 'LGZA', 37.750853, 20.88425, 15, 2, 'E', 'Europe/Athens'),
	(1489, 'Ferihegy', 'Budapest', 'Hungary', 'BUD', 'LHBP', 47.436933, 19.255592, 495, 1, 'E', 'Europe/Budapest'),
	(1490, 'Debrecen', 'Debrecen', 'Hungary', 'DEB', 'LHDC', 47.488917, 21.615333, 359, 1, 'E', 'Europe/Budapest'),
	(1491, 'Kecskemet', 'Kecskemet', 'Hungary', '', 'LHKE', 46.9175, 19.749222, 376, 1, 'E', 'Europe/Budapest'),
	(1492, 'Nyiregyhaza', 'Nyirregyhaza', 'Hungary', '', 'LHNY', 47.983892, 21.692317, 338, 1, 'E', 'Europe/Budapest'),
	(1493, 'Ocseny', 'Ocseny', 'Hungary', '', 'LHOY', 46.303889, 18.769167, 295, 1, 'E', 'Europe/Budapest'),
	(1496, 'Szentkiralyszabadja', 'Azentkilyszabadja', 'Hungary', '', 'LHSA', 47.077861, 17.968444, 919, 1, 'E', 'Europe/Budapest'),
	(1498, 'Szolnok', 'Szolnok', 'Hungary', '', 'LHSN', 47.122861, 20.2355, 322, 1, 'E', 'Europe/Budapest'),
	(1499, 'Amendola', 'Amendola', 'Italy', '', 'LIBA', 41.541392, 15.718083, 183, 1, 'E', 'Europe/Rome'),
	(1500, 'Crotone', 'Crotone', 'Italy', 'CRV', 'LIBC', 38.997225, 17.080169, 521, 1, 'E', 'Europe/Rome'),
	(1501, 'Bari', 'Bari', 'Italy', 'BRI', 'LIBD', 41.138856, 16.760594, 177, 1, 'E', 'Europe/Rome'),
	(1502, 'Gino Lisa', 'Foggia', 'Italy', 'FOG', 'LIBF', 41.432917, 15.535028, 266, 1, 'E', 'Europe/Rome'),
	(1503, 'Grottaglie', 'Grottaglie', 'Italy', 'TAR', 'LIBG', 40.517514, 17.403212, 215, 1, 'E', 'Europe/Rome'),
	(1504, 'Lecce', 'Lecce', 'Italy', 'LCC', 'LIBN', 40.239228, 18.133325, 156, 1, 'E', 'Europe/Rome'),
	(1505, 'Pescara', 'Pescara', 'Italy', 'PSR', 'LIBP', 42.431656, 14.181067, 48, 1, 'E', 'Europe/Rome'),
	(1506, 'Casale', 'Brindisi', 'Italy', 'BDS', 'LIBR', 40.657633, 17.947033, 47, 1, 'E', 'Europe/Rome'),
	(1507, 'Gioia Del Colle', 'Gioia Del Colle', 'Italy', '', 'LIBV', 40.767833, 16.933333, 1187, 1, 'E', 'Europe/Rome'),
	(1508, 'Lamezia Terme', 'Lamezia', 'Italy', 'SUF', 'LICA', 38.905394, 16.242269, 39, 1, 'E', 'Europe/Rome'),
	(1509, 'Catania Fontanarossa', 'Catania', 'Italy', 'CTA', 'LICC', 37.466781, 15.0664, 39, 1, 'E', 'Europe/Rome'),
	(1510, 'Lampedusa', 'Lampedusa', 'Italy', 'LMP', 'LICD', 35.497914, 12.618083, 70, 1, 'E', 'Europe/Rome'),
	(1511, 'Pantelleria', 'Pantelleria', 'Italy', 'PNL', 'LICG', 36.816519, 11.968864, 635, 1, 'E', 'Europe/Rome'),
	(1512, 'Palermo', 'Palermo', 'Italy', 'PMO', 'LICJ', 38.175958, 13.091019, 65, 1, 'E', 'Europe/Rome'),
	(1513, 'Boccadifalco', 'Palermo', 'Italy', '', 'LICP', 38.110833, 13.313333, 345, 1, 'E', 'Europe/Rome'),
	(1514, 'Reggio Calabria', 'Reggio Calabria', 'Italy', 'REG', 'LICR', 38.071206, 15.651556, 96, 1, 'E', 'Europe/Rome'),
	(1515, 'Trapani Birgi', 'Trapani', 'Italy', 'TPS', 'LICT', 37.911403, 12.487961, 24, 1, 'E', 'Europe/Rome'),
	(1516, 'Sigonella', 'Sigonella', 'Italy', 'NSY', 'LICZ', 37.401664, 14.922358, 79, 1, 'E', 'Europe/Rome'),
	(1517, 'Alghero', 'Alghero', 'Italy', 'AHO', 'LIEA', 40.632133, 8.290772, 87, 1, 'E', 'Europe/Rome'),
	(1518, 'Decimomannu', 'Decimomannu', 'Italy', 'DCI', 'LIED', 39.354222, 8.972481, 100, 1, 'E', 'Europe/Rome'),
	(1519, 'Elmas', 'Cagliari', 'Italy', 'CAG', 'LIEE', 39.251469, 9.054283, 13, 1, 'E', 'Europe/Rome'),
	(1520, 'Olbia Costa Smeralda', 'Olbia', 'Italy', 'OLB', 'LIEO', 40.898661, 9.517628, 37, 1, 'E', 'Europe/Rome'),
	(1521, 'Tortoli', 'Tortoli', 'Italy', 'TTB', 'LIET', 39.918761, 9.682981, 23, 1, 'E', 'Europe/Rome'),
	(1522, 'Aeritalia', 'Turin', 'Italy', '', 'LIMA', 45.086353, 7.603375, 943, 1, 'E', 'Europe/Rome'),
	(1523, 'Bresso', 'Milano', 'Italy', '', 'LIMB', 45.542222, 9.203333, 484, 1, 'E', 'Europe/Rome'),
	(1524, 'Malpensa', 'Milano', 'Italy', 'MXP', 'LIMC', 45.630606, 8.728111, 767, 1, 'E', 'Europe/Rome'),
	(1525, 'Bergamo Orio Al Serio', 'Bergamo', 'Italy', 'BGY', 'LIME', 45.673889, 9.704166, 782, 1, 'E', 'Europe/Rome'),
	(1526, 'Torino', 'Torino', 'Italy', 'TRN', 'LIMF', 45.200761, 7.649631, 989, 1, 'E', 'Europe/Rome'),
	(1527, 'Albenga', 'Albenga', 'Italy', 'ALL', 'LIMG', 44.050608, 8.127428, 148, 1, 'E', 'Europe/Rome'),
	(1528, 'Genova Sestri', 'Genoa', 'Italy', 'GOA', 'LIMJ', 44.413333, 8.8375, 13, 1, 'E', 'Europe/Rome'),
	(1529, 'Linate', 'Milan', 'Italy', 'LIN', 'LIML', 45.445103, 9.276739, 353, 1, 'E', 'Europe/Rome'),
	(1530, 'Cameri', 'Cameri', 'Italy', '', 'LIMN', 45.529592, 8.669225, 586, 1, 'E', 'Europe/Rome'),
	(1531, 'Parma', 'Parma', 'Italy', 'PMF', 'LIMP', 44.824483, 10.296367, 161, 1, 'E', 'Europe/Rome'),
	(1532, 'Piacenza', 'Piacenza', 'Italy', 'QPZ', 'LIMS', 44.913055, 9.723333, 456, 1, 'E', 'Europe/Rome'),
	(1534, 'Levaldigi', 'Cuneo', 'Italy', 'CUF', 'LIMZ', 44.547019, 7.623217, 1267, 1, 'E', 'Europe/Rome'),
	(1535, 'Aviano Ab', 'Aviano', 'Italy', 'AVB', 'LIPA', 46.031889, 12.596472, 410, 1, 'E', 'Europe/Rome'),
	(1536, 'Bolzano', 'Bolzano', 'Italy', 'BZO', 'LIPB', 46.460194, 11.326383, 789, 1, 'E', 'Europe/Rome'),
	(1537, 'Cervia', 'Cervia', 'Italy', '', 'LIPC', 44.224175, 12.307203, 18, 1, 'E', 'Europe/Rome'),
	(1538, 'Bologna', 'Bologna', 'Italy', 'BLQ', 'LIPE', 44.535444, 11.288667, 123, 1, 'E', 'Europe/Rome'),
	(1539, 'Treviso', 'Treviso', 'Italy', 'TSF', 'LIPH', 45.6484, 12.194422, 59, 1, 'E', 'Europe/Rome'),
	(1540, 'Rivolto', 'Rivolto', 'Italy', '', 'LIPI', 45.97875, 13.049331, 179, 1, 'E', 'Europe/Rome'),
	(1541, 'Forli', 'Forli', 'Italy', 'FRL', 'LIPK', 44.194753, 12.070094, 97, 1, 'E', 'Europe/Rome'),
	(1542, 'Ghedi', 'Ghedi', 'Italy', '', 'LIPL', 45.432167, 10.267667, 333, 1, 'E', 'Europe/Rome'),
	(1543, 'Verona Boscomantico', 'Verona', 'Italy', '', 'LIPN', 45.472017, 10.927919, 286, 1, 'E', 'Europe/Rome'),
	(1544, 'Montichiari', 'Brescia', 'Italy', 'VBS', 'LIPO', 45.428889, 10.330556, 356, 1, 'E', 'Europe/Rome'),
	(1545, 'Ronchi Dei Legionari', 'Ronchi De Legionari', 'Italy', 'TRS', 'LIPQ', 45.8275, 13.472222, 37, 1, 'E', 'Europe/Rome'),
	(1546, 'Rimini', 'Rimini', 'Italy', 'RMI', 'LIPR', 44.020292, 12.611747, 41, 1, 'E', 'Europe/Rome'),
	(1547, 'Istrana', 'Treviso', 'Italy', '', 'LIPS', 45.684867, 12.082881, 137, 1, 'E', 'Europe/Rome'),
	(1548, 'Vicenza', 'Vicenza', 'Italy', 'VIC', 'LIPT', 45.573411, 11.52955, 128, 1, 'E', 'Europe/Rome'),
	(1549, 'Padova', 'Padova', 'Italy', 'QPA', 'LIPU', 45.395767, 11.847903, 44, 1, 'E', 'Europe/Rome'),
	(1550, 'Villafranca', 'Villafranca', 'Italy', 'VRN', 'LIPX', 45.395706, 10.888533, 239, 1, 'E', 'Europe/Rome'),
	(1551, 'Venezia Tessera', 'Venice', 'Italy', 'VCE', 'LIPZ', 45.505278, 12.351944, 7, 1, 'E', 'Europe/Rome'),
	(1552, 'Ampugnano', 'Siena', 'Italy', 'SAY', 'LIQS', 43.256286, 11.255036, 634, 1, 'E', 'Europe/Rome'),
	(1553, 'Ciampino', 'Rome', 'Italy', 'CIA', 'LIRA', 41.799361, 12.594936, 427, 1, 'E', 'Europe/Rome'),
	(1554, 'Pratica Di Mare', 'Pratica Di Mare', 'Italy', '', 'LIRE', 41.654522, 12.445183, 41, 1, 'E', 'Europe/Rome'),
	(1555, 'Fiumicino', 'Rome', 'Italy', 'FCO', 'LIRF', 41.804475, 12.250797, 15, 1, 'E', 'Europe/Rome'),
	(1556, 'Guidonia', 'Guidonia', 'Italy', '', 'LIRG', 41.990278, 12.740833, 289, 1, 'E', 'Europe/Rome'),
	(1558, 'Marina Di Campo', 'Marina Di Campo', 'Italy', 'EBA', 'LIRJ', 42.760277, 10.239445, 31, 1, 'E', 'Europe/Rome'),
	(1559, 'Latina', 'Latina', 'Italy', 'QLT', 'LIRL', 41.542436, 12.909019, 93, 1, 'E', 'Europe/Rome'),
	(1560, 'Grazzanise', 'Grazzanise', 'Italy', '', 'LIRM', 41.060833, 14.081944, 29, 1, 'E', 'Europe/Rome'),
	(1561, 'Capodichino', 'Naples', 'Italy', 'NAP', 'LIRN', 40.886033, 14.290781, 294, 1, 'E', 'Europe/Rome'),
	(1562, 'Pisa', 'Pisa', 'Italy', 'PSA', 'LIRP', 43.683917, 10.39275, 6, 1, 'E', 'Europe/Rome'),
	(1563, 'Firenze', 'Florence', 'Italy', 'FLR', 'LIRQ', 43.809953, 11.2051, 142, 1, 'E', 'Europe/Rome'),
	(1564, 'Grosseto', 'Grosseto', 'Italy', 'GRS', 'LIRS', 42.759747, 11.071897, 15, 1, 'E', 'Europe/Rome'),
	(1565, 'Urbe', 'Rome', 'Italy', '', 'LIRU', 41.951946, 12.498889, 55, 1, 'E', 'Europe/Rome'),
	(1566, 'Viterbo', 'Viterbo', 'Italy', '', 'LIRV', 42.430183, 12.064156, 990, 1, 'E', 'Europe/Rome'),
	(1567, 'Perugia', 'Perugia', 'Italy', 'PEG', 'LIRZ', 43.095906, 12.513222, 693, 1, 'E', 'Europe/Rome'),
	(1568, 'Cerklje', 'Cerklje', 'Slovenia', '', 'LJCE', 45.899971, 15.530194, 510, 1, 'E', 'Europe/Ljubljana'),
	(1569, 'Ljubljana', 'Ljubljana', 'Slovenia', 'LJU', 'LJLJ', 46.223686, 14.457611, 1273, 1, 'E', 'Europe/Ljubljana'),
	(1570, 'Maribor', 'Maribor', 'Slovenia', 'MBX', 'LJMB', 46.479861, 15.686131, 876, 1, 'E', 'Europe/Ljubljana'),
	(1571, 'Portoroz', 'Portoroz', 'Slovenia', 'POW', 'LJPZ', 45.473353, 13.614978, 7, 1, 'E', 'Europe/Ljubljana'),
	(1572, 'Slovenj Gradec', 'Slovenj Gradec', 'Slovenia', '', 'LJSG', 46.471975, 15.116997, 1645, 1, 'E', 'Europe/Ljubljana'),
	(1573, 'Ceske Budejovice', 'Ceske Budejovice', 'Czech Republic', '', 'LKCS', 48.946381, 14.427464, 1417, 1, 'E', 'Europe/Prague'),
	(1574, 'Caslav', 'Caslav', 'Czech Republic', '', 'LKCV', 49.939653, 15.381808, 794, 1, 'E', 'Europe/Prague'),
	(1575, 'Hradec Kralove', 'Hradec Kralove', 'Czech Republic', '', 'LKHK', 50.2532, 15.845228, 791, 1, 'E', 'Europe/Prague'),
	(1576, 'Horovice', 'Horovice', 'Czech Republic', '', 'LKHV', 49.848111, 13.893506, 1214, 1, 'E', 'Europe/Prague'),
	(1577, 'Kbely', 'Praha', 'Czech Republic', '', 'LKKB', 50.121367, 14.543642, 939, 1, 'E', 'Europe/Prague'),
	(1578, 'Kunovice', 'Kunovice', 'Czech Republic', '', 'LKKU', 49.029444, 17.439722, 581, 1, 'E', 'Europe/Prague'),
	(1579, 'Karlovy Vary', 'Karlovy Vary', 'Czech Republic', 'KLV', 'LKKV', 50.202978, 12.914983, 1989, 1, 'E', 'Europe/Prague'),
	(1580, 'Plzen Line', 'Line', 'Czech Republic', '', 'LKLN', 49.675172, 13.274617, 1188, 1, 'E', 'Europe/Prague'),
	(1581, 'Mnichovo Hradiste', 'Mnichovo Hradiste', 'Czech Republic', '', 'LKMH', 50.540211, 15.006592, 800, 1, 'E', 'Europe/Prague'),
	(1582, 'Mosnov', 'Ostrava', 'Czech Republic', 'OSR', 'LKMT', 49.696292, 18.111053, 844, 1, 'E', 'Europe/Prague'),
	(1583, 'Namest', 'Namest', 'Czech Republic', '', 'LKNA', 49.165833, 16.124925, 1548, 1, 'E', 'Europe/Prague'),
	(1584, 'Pardubice', 'Pardubice', 'Czech Republic', 'PED', 'LKPD', 50.013419, 15.738647, 741, 1, 'E', 'Europe/Prague'),
	(1585, 'Pribram', 'Pribram', 'Czech Republic', '', 'LKPM', 49.720078, 14.100567, 1529, 1, 'E', 'Europe/Prague'),
	(1586, 'Prerov', 'Prerov', 'Czech Republic', 'PRV', 'LKPO', 49.425833, 17.404722, 676, 1, 'E', 'Europe/Prague'),
	(1587, 'Ruzyne', 'Prague', 'Czech Republic', 'PRG', 'LKPR', 50.100833, 14.26, 1247, 1, 'E', 'Europe/Prague'),
	(1588, 'Turany', 'Brno', 'Czech Republic', 'BRQ', 'LKTB', 49.151269, 16.694433, 778, 1, 'E', 'Europe/Prague'),
	(1589, 'Vodochody', 'Vodochody', 'Czech Republic', '', 'LKVO', 50.216581, 14.395806, 919, 1, 'E', 'Europe/Prague'),
	(1590, 'Ben Gurion', 'Tel-aviv', 'Israel', 'TLV', 'LLBG', 32.011389, 34.886667, 135, 2, 'U', 'Asia/Jerusalem'),
	(1591, 'Teyman', 'Beer-sheba', 'Israel', 'BEV', 'LLBS', 31.287003, 34.722953, 656, 2, 'U', 'Asia/Jerusalem'),
	(1592, 'Tel Nov', 'Tel-nof', 'Israel', '', 'LLEK', 31.839472, 34.821844, 193, 2, 'U', 'Asia/Jerusalem'),
	(1593, 'Eyn Shemer', 'Eyn-shemer', 'Israel', '', 'LLES', 32.440814, 35.007661, 95, 2, 'U', 'Asia/Jerusalem'),
	(1594, 'Eilat', 'Elat', 'Israel', 'ETH', 'LLET', 29.561281, 34.960081, 42, 2, 'U', 'Asia/Jerusalem'),
	(1595, 'En Yahav', 'Eyn-yahav', 'Israel', '', 'LLEY', 30.621656, 35.203325, -164, 2, 'U', 'Asia/Jerusalem'),
	(1596, 'Haifa', 'Haifa', 'Israel', 'HFA', 'LLHA', 32.809444, 35.043056, 28, 2, 'U', 'Asia/Jerusalem'),
	(1597, 'Hatzor', 'Haztor', 'Israel', '', 'LLHS', 31.7625, 34.727222, 148, 2, 'U', 'Asia/Jerusalem'),
	(1598, 'Mahanaim I Ben Yaakov', 'Rosh Pina', 'Israel', 'RPN', 'LLIB', 32.981047, 35.571908, 922, 2, 'U', 'Asia/Jerusalem'),
	(1599, 'Megiddo', 'Megido Airstrip', 'Israel', '', 'LLMG', 32.597139, 35.228803, 200, 2, 'U', 'Asia/Jerusalem'),
	(1600, 'I Bar Yehuda', 'Metzada', 'Israel', '', 'LLMZ', 31.328169, 35.388608, -1266, 2, 'U', 'Asia/Jerusalem'),
	(1601, 'Nevatim Ab', 'Nevatim', 'Israel', '', 'LLNV', 31.208347, 35.0123, 1330, 2, 'U', 'Asia/Jerusalem'),
	(1602, 'Ovda', 'Ovda', 'Israel', 'VDA', 'LLOV', 29.94025, 34.93585, 1492, 2, 'U', 'Asia/Jerusalem'),
	(1603, 'Ramat David', 'Ramat David', 'Israel', '', 'LLRD', 32.665142, 35.179458, 185, 2, 'U', 'Asia/Jerusalem'),
	(1604, 'Ramon', 'Ramon', 'Israel', '', 'LLRM', 30.776061, 34.666769, 2126, 2, 'U', 'Asia/Jerusalem'),
	(1605, 'Sde Dov', 'Tel-aviv', 'Israel', 'SDV', 'LLSD', 32.114661, 34.782239, 43, 2, 'U', 'Asia/Jerusalem'),
	(1606, 'Luqa', 'Malta', 'Malta', 'MLA', 'LMML', 35.857497, 14.4775, 300, 1, 'E', 'Europe/Malta'),
	(1607, 'Wiener Neustadt East', 'Wiener Neustadt Ost', 'Austria', '', 'LOAN', 47.843333, 16.260139, 896, 1, 'E', 'Europe/Vienna'),
	(1608, 'Wels', 'Wels', 'Austria', '', 'LOLW', 48.183304, 14.040861, 1043, 1, 'E', 'Europe/Vienna'),
	(1609, 'Graz', 'Graz', 'Austria', 'GRZ', 'LOWG', 46.991067, 15.439628, 1115, 1, 'E', 'Europe/Vienna'),
	(1610, 'Innsbruck', 'Innsbruck', 'Austria', 'INN', 'LOWI', 47.260219, 11.343964, 1906, 1, 'E', 'Europe/Vienna'),
	(1611, 'Linz', 'Linz', 'Austria', 'LNZ', 'LOWL', 48.233219, 14.187511, 978, 1, 'E', 'Europe/Vienna'),
	(1612, 'Salzburg', 'Salzburg', 'Austria', 'SZG', 'LOWS', 47.793304, 13.004333, 1411, 1, 'E', 'Europe/Vienna'),
	(1613, 'Schwechat', 'Vienna', 'Austria', 'VIE', 'LOWW', 48.110278, 16.569722, 600, 1, 'E', 'Europe/Vienna'),
	(1614, 'Klagenfurt', 'Klagenfurt', 'Austria', '', 'LOXK', 46.642514, 14.337739, 1470, 1, 'E', 'Europe/Vienna'),
	(1615, 'Zeltweg', 'Zeltweg', 'Austria', '', 'LOXZ', 47.202751, 14.744223, 2220, 1, 'E', 'Europe/Vienna'),
	(1616, 'Alverca', 'Alverca', 'Portugal', '', 'LPAR', 38.883278, -9.030097, 11, 0, 'E', 'Europe/Lisbon'),
	(1617, 'Santa Maria', 'Santa Maria (island)', 'Portugal', 'SMA', 'LPAZ', 36.97139, -25.170639, 308, -1, 'E', 'Atlantic/Azores'),
	(1618, 'Braganca', 'Braganca', 'Portugal', 'BGC', 'LPBG', 41.8578, -6.707125, 2241, 0, 'E', 'Europe/Lisbon'),
	(1619, 'Beja', 'Beja (madeira)', 'Portugal', '', 'LPBJ', 38.078903, -7.932397, 636, 0, 'E', 'Europe/Lisbon'),
	(1620, 'Braga', 'Braga', 'Portugal', '', 'LPBR', 41.587058, -8.445139, 247, 0, 'E', 'Europe/Lisbon'),
	(1621, 'Coimbra', 'Coimba', 'Portugal', '', 'LPCO', 40.157223, -8.47, 587, 0, 'E', 'Europe/Lisbon'),
	(1622, 'Cascais', 'Cascais', 'Portugal', '', 'LPCS', 38.725025, -9.355231, 326, 0, 'E', 'Europe/Lisbon'),
	(1623, 'Covilha', 'Covilha', 'Portugal', '', 'LPCV', 40.264772, -7.479958, 1572, 0, 'E', 'Europe/Lisbon'),
	(1624, 'Evora', 'Evora', 'Portugal', '', 'LPEV', 38.533472, -7.889639, 807, 0, 'E', 'Europe/Lisbon'),
	(1625, 'Flores', 'Flores', 'Portugal', 'FLW', 'LPFL', 39.455272, -31.131361, 112, -1, 'E', 'Atlantic/Azores'),
	(1626, 'Faro', 'Faro', 'Portugal', 'FAO', 'LPFR', 37.014425, -7.965911, 24, 0, 'E', 'Europe/Lisbon'),
	(1627, 'Graciosa', 'Graciosa Island', 'Portugal', 'GRW', 'LPGR', 39.092169, -28.029847, 86, -1, 'E', 'Atlantic/Azores'),
	(1628, 'Horta', 'Horta', 'Portugal', 'HOR', 'LPHR', 38.519894, -28.715872, 118, -1, 'E', 'Atlantic/Azores'),
	(1629, 'Lajes', 'Lajes (terceira Island)', 'Portugal', 'TER', 'LPLA', 38.761842, -27.090797, 180, -1, 'E', 'Atlantic/Azores'),
	(1630, 'Monte Real', 'Monte Real', 'Portugal', '', 'LPMR', 39.831244, -8.887261, 187, 0, 'E', 'Europe/Lisbon'),
	(1631, 'Montijo', 'Montijo', 'Portugal', '', 'LPMT', 38.703861, -9.035916, 46, 0, 'E', 'Europe/Lisbon'),
	(1632, 'Ovar', 'Ovar', 'Portugal', '', 'LPOV', 40.915867, -8.645919, 56, 0, 'E', 'Europe/Lisbon'),
	(1633, 'Ponta Delgada', 'Ponta Delgada', 'Portugal', 'PDL', 'LPPD', 37.741184, -25.69787, 259, -1, 'E', 'Atlantic/Azores'),
	(1634, 'Pico', 'Pico', 'Portugal', 'PIX', 'LPPI', 38.554333, -28.441333, 109, -1, 'E', 'Atlantic/Azores'),
	(1635, 'Portimao', 'Portimao', 'Portugal', '', 'LPPM', 37.149331, -8.583961, 5, 0, 'E', 'Europe/Lisbon'),
	(1636, 'Porto', 'Porto', 'Portugal', 'OPO', 'LPPR', 41.248055, -8.681389, 228, 0, 'E', 'Europe/Lisbon'),
	(1637, 'Porto Santo', 'Porto Santo', 'Portugal', 'PXO', 'LPPS', 33.073386, -16.349975, 341, 0, 'E', 'Europe/Lisbon'),
	(1638, 'Lisboa', 'Lisbon', 'Portugal', 'LIS', 'LPPT', 38.781311, -9.135919, 374, 0, 'E', 'Europe/Lisbon'),
	(1639, 'Sao Jorge', 'Sao Jorge Island', 'Portugal', 'SJZ', 'LPSJ', 38.6655, -28.175817, 311, -1, 'E', 'Atlantic/Azores'),
	(1640, 'Sintra', 'Sintra', 'Portugal', '', 'LPST', 38.831053, -9.339553, 440, 0, 'E', 'Europe/Lisbon'),
	(1641, 'Tancos', 'Tancos', 'Portugal', '', 'LPTN', 39.47514, -8.364583, 266, 0, 'E', 'Europe/Lisbon'),
	(1642, 'Vila Real', 'Vila Real', 'Portugal', 'VRL', 'LPVR', 41.274334, -7.720472, 1805, 0, 'E', 'Europe/Lisbon'),
	(1643, 'Viseu', 'Viseu', 'Portugal', '', 'LPVZ', 40.725539, -7.888992, 2060, 0, 'E', 'Europe/Lisbon'),
	(1645, 'Mostar', 'Mostar', 'Bosnia and Herzegovina', 'OMO', 'LQMO', 43.2829, 17.845878, 156, 1, 'E', 'Europe/Sarajevo'),
	(1646, 'Sarajevo', 'Sarajevo', 'Bosnia and Herzegovina', 'SJJ', 'LQSA', 43.824583, 18.331467, 1708, 1, 'E', 'Europe/Sarajevo'),
	(1647, 'Arad', 'Arad', 'Romania', 'ARW', 'LRAR', 46.17655, 21.262022, 352, 2, 'E', 'Europe/Bucharest'),
	(1648, 'Bacau', 'Bacau', 'Romania', 'BCM', 'LRBC', 46.521946, 26.910278, 607, 2, 'E', 'Europe/Bucharest'),
	(1649, 'Tautii Magheraus', 'Baia Mare', 'Romania', 'BAY', 'LRBM', 47.658389, 23.470022, 605, 2, 'E', 'Europe/Bucharest'),
	(1650, 'Aurel Vlaicu', 'Bucharest', 'Romania', 'BBU', 'LRBS', 44.503194, 26.102111, 297, 2, 'E', 'Europe/Bucharest'),
	(1651, 'Mihail Kogalniceanu', 'Constanta', 'Romania', 'CND', 'LRCK', 44.362222, 28.488333, 353, 2, 'E', 'Europe/Bucharest'),
	(1652, 'Cluj Napoca', 'Cluj-napoca', 'Romania', 'CLJ', 'LRCL', 46.785167, 23.686167, 1036, 2, 'E', 'Europe/Bucharest'),
	(1653, 'Caransebes', 'Caransebes', 'Romania', 'CSB', 'LRCS', 45.42, 22.253333, 866, 2, 'E', 'Europe/Bucharest'),
	(1654, 'Craiova', 'Craiova', 'Romania', 'CRA', 'LRCV', 44.318139, 23.888611, 626, 2, 'E', 'Europe/Bucharest'),
	(1655, 'Iasi', 'Iasi', 'Romania', 'IAS', 'LRIA', 47.178492, 27.620631, 397, 2, 'E', 'Europe/Bucharest'),
	(1656, 'Oradea', 'Oradea', 'Romania', 'OMR', 'LROD', 47.025278, 21.9025, 465, 2, 'E', 'Europe/Bucharest'),
	(1657, 'Henri Coanda', 'Bucharest', 'Romania', 'OTP', 'LROP', 44.572161, 26.102178, 314, 2, 'E', 'Europe/Bucharest'),
	(1658, 'Sibiu', 'Sibiu', 'Romania', 'SBZ', 'LRSB', 45.785597, 24.091342, 1496, 2, 'E', 'Europe/Bucharest'),
	(1659, 'Satu Mare', 'Satu Mare', 'Romania', 'SUJ', 'LRSM', 47.703275, 22.8857, 405, 2, 'E', 'Europe/Bucharest'),
	(1660, 'Stefan Cel Mare', 'Suceava', 'Romania', 'SCV', 'LRSV', 47.6875, 26.354056, 1375, 2, 'E', 'Europe/Bucharest'),
	(1661, 'Cataloi', 'Tulcea', 'Romania', 'TCE', 'LRTC', 45.062486, 28.714311, 200, 2, 'E', 'Europe/Bucharest'),
	(1662, 'Transilvania Targu Mures', 'Tirgu Mures', 'Romania', 'TGM', 'LRTM', 46.467714, 24.412525, 963, 2, 'E', 'Europe/Bucharest'),
	(1663, 'Traian Vuia', 'Timisoara', 'Romania', 'TSR', 'LRTR', 45.809861, 21.337861, 348, 2, 'E', 'Europe/Bucharest'),
	(1664, 'Les Eplatures', 'Les Eplatures', 'Switzerland', '', 'LSGC', 47.08385, 6.792836, 3368, 1, 'E', 'Europe/Zurich'),
	(1665, 'Geneve Cointrin', 'Geneva', 'Switzerland', 'GVA', 'LSGG', 46.238064, 6.10895, 1411, 1, 'E', 'Europe/Paris'),
	(1666, 'Saanen', 'Saanen', 'Switzerland', '', 'LSGK', 46.487499, 7.250834, 3307, 1, 'E', 'Europe/Zurich'),
	(1667, 'Sion', 'Sion', 'Switzerland', 'SIR', 'LSGS', 46.219592, 7.326764, 1585, 1, 'E', 'Europe/Zurich'),
	(1668, 'Alpnach', 'Alpnach', 'Switzerland', '', 'LSMA', 46.943889, 8.284167, 1460, 1, 'E', 'Europe/Zurich'),
	(1669, 'Dubendorf', 'Dubendorf', 'Switzerland', '', 'LSMD', 47.398644, 8.648231, 1470, 1, 'E', 'Europe/Zurich'),
	(1670, 'Emmen', 'Emmen', 'Switzerland', '', 'LSME', 47.092369, 8.305117, 1400, 1, 'E', 'Europe/Zurich'),
	(1671, 'Mollis', 'Mollis', 'Switzerland', '', 'LSMF', 47.078872, 9.064831, 1485, 1, 'E', 'Europe/Zurich'),
	(1672, 'Meiringen', 'Meiringen', 'Switzerland', '', 'LSMM', 46.743333, 8.11, 1895, 1, 'E', 'Europe/Zurich'),
	(1673, 'Payerne', 'Payerne', 'Switzerland', '', 'LSMP', 46.843208, 6.915058, 1465, 1, 'E', 'Europe/Zurich'),
	(1674, 'Buochs', 'Buochs', 'Switzerland', '', 'LSMU', 46.974914, 8.39915, 1475, 1, 'E', 'Europe/Zurich'),
	(1675, 'Lugano', 'Lugano', 'Switzerland', 'LUG', 'LSZA', 46.004275, 8.910578, 915, 1, 'E', 'Europe/Zurich'),
	(1676, 'Bern Belp', 'Bern', 'Switzerland', 'BRN', 'LSZB', 46.9141, 7.497153, 1674, 1, 'E', 'Europe/Zurich'),
	(1677, 'Grenchen', 'Grenchen', 'Switzerland', '', 'LSZG', 47.181628, 7.417189, 1411, 1, 'E', 'Europe/Zurich'),
	(1678, 'Zurich', 'Zurich', 'Switzerland', 'ZRH', 'LSZH', 47.464722, 8.549167, 1416, 1, 'E', 'Europe/Zurich'),
	(1679, 'St Gallen Altenrhein', 'Altenrhein', 'Switzerland', 'ACH', 'LSZR', 47.485033, 9.560775, 1306, 1, 'E', 'Europe/Zurich'),
	(1680, 'Samedan', 'Samedan', 'Switzerland', 'SMV', 'LSZS', 46.534075, 9.884106, 5600, 1, 'E', 'Europe/Zurich'),
	(1681, 'Guvercinlik', 'Ankara', 'Turkey', '', 'LTAB', 39.93495, 32.740775, 2694, 2, 'E', 'Europe/Istanbul'),
	(1682, 'Esenboga', 'Ankara', 'Turkey', 'ESB', 'LTAC', 40.128082, 32.995083, 3125, 2, 'E', 'Europe/Istanbul'),
	(1683, 'Etimesgut', 'Ankara', 'Turkey', 'ANK', 'LTAD', 39.949831, 32.688622, 2653, 2, 'E', 'Europe/Istanbul'),
	(1684, 'Akinci', 'Ankara', 'Turkey', '', 'LTAE', 40.078919, 32.565625, 2767, 2, 'E', 'Europe/Istanbul'),
	(1685, 'Adana', 'Adana', 'Turkey', 'ADA', 'LTAF', 36.982166, 35.280388, 65, 2, 'E', 'Europe/Istanbul'),
	(1686, 'Incirlik Ab', 'Adana', 'Turkey', '', 'LTAG', 37.0021, 35.425894, 238, 2, 'E', 'Europe/Istanbul'),
	(1687, 'Afyon', 'Afyon', 'Turkey', 'AFY', 'LTAH', 38.726425, 30.601114, 3310, 2, 'E', 'Europe/Istanbul'),
	(1688, 'Antalya', 'Antalya', 'Turkey', 'AYT', 'LTAI', 36.898731, 30.800461, 177, 2, 'E', 'Europe/Istanbul'),
	(1689, 'Oguzeli', 'Gaziantep', 'Turkey', 'GZT', 'LTAJ', 36.947183, 37.478683, 2315, 2, 'E', 'Europe/Istanbul'),
	(1690, 'Iskenderun', 'Iskenderun', 'Turkey', '', 'LTAK', 36.573472, 36.154, 25, 2, 'E', 'Europe/Istanbul'),
	(1691, 'Konya', 'Konya', 'Turkey', 'KYA', 'LTAN', 37.979, 32.561861, 3381, 2, 'E', 'Europe/Istanbul'),
	(1692, 'Tulga', 'Malatya', 'Turkey', '', 'LTAO', 38.35375, 38.253944, 3016, 2, 'E', 'Europe/Istanbul'),
	(1693, 'Merzifon', 'Merzifon', 'Turkey', 'MZH', 'LTAP', 40.829375, 35.521992, 1758, 2, 'E', 'Europe/Istanbul'),
	(1694, 'Sivas', 'Sivas', 'Turkey', 'VAS', 'LTAR', 39.813828, 36.903497, 5236, 2, 'E', 'Europe/Istanbul'),
	(1695, 'Erhac', 'Malatya', 'Turkey', 'MLX', 'LTAT', 38.435347, 38.091006, 2828, 2, 'E', 'Europe/Istanbul'),
	(1696, 'Erkilet', 'Kayseri', 'Turkey', 'ASR', 'LTAU', 38.770386, 35.495428, 3463, 2, 'E', 'Europe/Istanbul'),
	(1697, 'Sivrihisar', 'Sivrihisar', 'Turkey', '', 'LTAV', 39.451469, 31.365308, 3185, 2, 'E', 'Europe/Istanbul'),
	(1698, 'Tokat', 'Tokat', 'Turkey', '', 'LTAW', 40.306281, 36.371089, 1831, 2, 'E', 'Europe/Istanbul'),
	(1699, 'Cardak', 'Denizli', 'Turkey', 'DNZ', 'LTAY', 37.785567, 29.701297, 2795, 2, 'E', 'Europe/Istanbul'),
	(1701, 'Ataturk', 'Istanbul', 'Turkey', 'IST', 'LTBA', 40.976922, 28.814606, 163, 2, 'E', 'Europe/Istanbul'),
	(1702, 'Balikesir', 'Balikesir', 'Turkey', 'BZI', 'LTBF', 39.619258, 27.925958, 340, 2, 'E', 'Europe/Istanbul'),
	(1703, 'Bandirma', 'Bandirma', 'Turkey', 'BDM', 'LTBG', 40.317972, 27.977694, 170, 2, 'E', 'Europe/Istanbul'),
	(1705, 'Eskisehir', 'Eskisehir', 'Turkey', 'ESK', 'LTBI', 39.784138, 30.582111, 2581, 2, 'E', 'Europe/Istanbul'),
	(1706, 'Adnan Menderes', 'Izmir', 'Turkey', 'ADB', 'LTBJ', 38.292392, 27.156953, 412, 2, 'E', 'Europe/Istanbul'),
	(1707, 'Gaziemir', 'Izmir', 'Turkey', '', 'LTBK', 38.319106, 27.159353, 433, 2, 'E', 'Europe/Istanbul'),
	(1708, 'Cigli', 'Izmir', 'Turkey', 'IGL', 'LTBL', 38.513022, 27.010053, 16, 2, 'E', 'Europe/Istanbul'),
	(1709, 'Isparta', 'Isparta', 'Turkey', '', 'LTBM', 37.785369, 30.581817, 3250, 2, 'E', 'Europe/Istanbul'),
	(1710, 'Kutahya', 'Kutahya', 'Turkey', '', 'LTBN', 39.426708, 30.016872, 3026, 2, 'E', 'Europe/Istanbul'),
	(1712, 'Yalova', 'Yalova', 'Turkey', '', 'LTBP', 40.684353, 29.375728, 6, 2, 'E', 'Europe/Istanbul'),
	(1713, 'Topel', 'Topel', 'Turkey', '', 'LTBQ', 40.735028, 30.083336, 182, 2, 'E', 'Europe/Istanbul'),
	(1715, 'Dalaman', 'Dalaman', 'Turkey', 'DLM', 'LTBS', 36.713056, 28.7925, 20, 2, 'E', 'Europe/Istanbul'),
	(1716, 'Akhisar', 'Akhisar', 'Turkey', '', 'LTBT', 38.808887, 27.83386, 263, 2, 'E', 'Europe/Istanbul'),
	(1718, 'Imsik', 'Bodrum', 'Turkey', 'BXN', 'LTBV', 37.140144, 27.669717, 202, 2, 'E', 'Europe/Istanbul'),
	(1719, 'Samandira', 'Istanbul', 'Turkey', '', 'LTBX', 40.992975, 29.216539, 400, 2, 'E', 'Europe/Istanbul'),
	(1721, 'Elazig', 'Elazig', 'Turkey', 'EZS', 'LTCA', 38.606925, 39.291417, 2927, 2, 'E', 'Europe/Istanbul'),
	(1722, 'Diyarbakir', 'Diyabakir', 'Turkey', 'DIY', 'LTCC', 37.893897, 40.201019, 2251, 2, 'E', 'Europe/Istanbul'),
	(1723, 'Erzincan', 'Erzincan', 'Turkey', 'ERC', 'LTCD', 39.710203, 39.527003, 3783, 2, 'E', 'Europe/Istanbul'),
	(1724, 'Erzurum', 'Erzurum', 'Turkey', 'ERZ', 'LTCE', 39.956501, 41.170166, 5763, 2, 'E', 'Europe/Istanbul'),
	(1726, 'Trabzon', 'Trabzon', 'Turkey', 'TZX', 'LTCG', 40.995108, 39.789728, 104, 2, 'E', 'Europe/Istanbul'),
	(1728, 'Van', 'Van', 'Turkey', 'VAN', 'LTCI', 38.468219, 43.3323, 5480, 2, 'E', 'Europe/Istanbul'),
	(1729, 'Batman', 'Batman', 'Turkey', 'BAL', 'LTCJ', 37.928969, 41.116583, 1822, 2, 'E', 'Europe/Istanbul'),
	(1731, 'Siirt', 'Siirt', 'Turkey', '', 'LTCL', 37.978886, 41.840436, 2001, 2, 'E', 'Europe/Istanbul'),
	(1732, 'Kaklic', 'Izmir', 'Turkey', '', 'LTFA', 38.517608, 26.977406, 13, 2, 'E', 'Europe/Istanbul'),
	(1733, 'Efes', 'Izmir', 'Turkey', '', 'LTFB', 37.950747, 27.329014, 10, 2, 'E', 'Europe/Istanbul'),
	(1734, 'Balti Intl', 'Saltsy', 'Moldova', '', 'LUBL', 47.838114, 27.781475, 758, 2, 'E', 'Europe/Chisinau'),
	(1735, 'Chisinau Intl', 'Chisinau', 'Moldova', 'KIV', 'LUKK', 46.927744, 28.930978, 399, 2, 'E', 'Europe/Chisinau'),
	(1736, 'Ohrid', 'Ohrid', 'Macedonia', 'OHD', 'LWOH', 41.179956, 20.742325, 2313, 1, 'E', 'Europe/Skopje'),
	(1737, 'Skopje', 'Skopje', 'Macedonia', 'SKP', 'LWSK', 41.961622, 21.621381, 781, 1, 'E', 'Europe/Skopje'),
	(1738, 'Gibraltar', 'Gibraltar', 'Gibraltar', 'GIB', 'LXGB', 36.151219, -5.349664, 15, 1, 'N', 'Europe/Gibraltar'),
	(1739, 'Beograd', 'Belgrade', 'Serbia', 'BEG', 'LYBE', 44.818444, 20.309139, 335, 1, 'E', 'Europe/Belgrade'),
	(1740, 'Nis', 'Nis', 'Serbia', 'INI', 'LYNI', 43.337289, 21.853722, 648, 1, 'E', 'Europe/Belgrade'),
	(1741, 'Podgorica', 'Podgorica', 'Montenegro', 'TGD', 'LYPG', 42.359392, 19.251894, 141, 1, 'E', 'Europe/Podgorica'),
	(1742, 'Pristina', 'Pristina', 'Serbia', 'PRN', 'LYPR', 42.572778, 21.035833, 1789, 1, 'E', 'Europe/Belgrade'),
	(1743, 'Tivat', 'Tivat', 'Montenegro', 'TIV', 'LYTV', 42.404664, 18.723286, 20, 1, 'E', 'Europe/Podgorica'),
	(1744, 'Vrsac', 'Vrsac', 'Serbia', '', 'LYVR', 45.146889, 21.309889, 276, 1, 'E', 'Europe/Belgrade'),
	(1745, 'M R Stefanik', 'Bratislava', 'Slovakia', 'BTS', 'LZIB', 48.170167, 17.212667, 436, 1, 'E', 'Europe/Bratislava'),
	(1746, 'Kosice', 'Kosice', 'Slovakia', 'KSC', 'LZKZ', 48.663055, 21.241112, 755, 1, 'E', 'Europe/Bratislava'),
	(1747, 'Malacky', 'Malacky', 'Slovakia', '', 'LZMC', 48.402028, 17.118389, 679, 1, 'E', 'Europe/Bratislava'),
	(1748, 'Piestany', 'Piestany', 'Slovakia', 'PZY', 'LZPP', 48.625247, 17.828444, 545, 1, 'E', 'Europe/Bratislava'),
	(1749, 'Sliac', 'Sliac', 'Slovakia', 'SLD', 'LZSL', 48.637839, 19.134108, 1043, 1, 'E', 'Europe/Bratislava'),
	(1750, 'Trencin', 'Trencin', 'Slovakia', '', 'LZTN', 48.865003, 17.99225, 676, 1, 'E', 'Europe/Bratislava'),
	(1751, 'Tatry', 'Poprad', 'Slovakia', 'TAT', 'LZTT', 49.073594, 20.241142, 2356, 1, 'E', 'Europe/Bratislava'),
	(1753, 'North Caicos', 'North Caicos', 'Turks and Caicos Islands', 'NCA', 'MBNC', 21.917475, -71.939561, 10, -5, 'U', 'America/Grand_Turk'),
	(1754, 'Providenciales', 'Providenciales', 'Turks and Caicos Islands', 'PLS', 'MBPV', 21.773625, -72.265886, 15, -5, 'U', 'America/Grand_Turk'),
	(1755, 'South Caicos', 'South Caicos', 'Turks and Caicos Islands', 'XSC', 'MBSC', 21.515739, -71.528528, 6, -5, 'U', 'America/Grand_Turk'),
	(1756, 'Arroyo Barril Intl', 'Samana', 'Dominican Republic', 'EPS', 'MDAB', 19.198586, -69.429772, 57, -4, 'U', 'America/Santo_Domingo'),
	(1757, 'Maria Montez Intl', 'Barahona', 'Dominican Republic', 'BRX', 'MDBH', 18.251464, -71.1204, 10, -4, 'U', 'America/Santo_Domingo'),
	(1758, 'Cabo Rojo', 'Cabo Rojo', 'Dominican Republic', '', 'MDCR', 17.928981, -71.644769, 262, -4, 'U', 'America/Santo_Domingo'),
	(1759, 'Casa De Campo Intl', 'La Romana', 'Dominican Republic', 'LRM', 'MDLR', 18.450711, -68.911833, 240, -4, 'U', 'America/Santo_Domingo'),
	(1760, 'Punta Cana Intl', 'Punta Cana', 'Dominican Republic', 'PUJ', 'MDPC', 18.567367, -68.363431, 47, -4, 'U', 'America/Santo_Domingo'),
	(1761, 'Gregorio Luperon Intl', 'Puerto Plata', 'Dominican Republic', 'POP', 'MDPP', 19.7579, -70.570033, 15, -4, 'U', 'America/Santo_Domingo'),
	(1762, 'Las Americas Intl', 'Santo Domingo', 'Dominican Republic', 'SDQ', 'MDSD', 18.429664, -69.668925, 59, -4, 'U', 'America/Santo_Domingo'),
	(1763, 'San Isidro Ab', 'San Isidoro', 'Dominican Republic', '', 'MDSI', 18.503706, -69.761706, 111, -4, 'U', 'America/Santo_Domingo'),
	(1764, 'Cibao Intl', 'Santiago', 'Dominican Republic', 'STI', 'MDST', 19.406092, -70.604689, 565, -4, 'U', 'America/Santo_Domingo'),
	(1765, 'Bananera', 'Bananera', 'Guatemala', '', 'MGBN', 15.473528, -88.837222, 130, -6, 'U', 'America/Guatemala'),
	(1766, 'Coban', 'Coban', 'Guatemala', 'CBV', 'MGCB', 15.468958, -90.406742, 4339, -6, 'U', 'America/Guatemala'),
	(1767, 'La Aurora', 'Guatemala City', 'Guatemala', 'GUA', 'MGGT', 14.583272, -90.527475, 4952, -6, 'U', 'America/Guatemala'),
	(1769, 'Retalhuleu', 'Retalhuleu', 'Guatemala', '', 'MGRT', 14.521017, -91.697256, 656, -6, 'U', 'America/Guatemala'),
	(1770, 'San Jose', 'San Jose', 'Guatemala', '', 'MGSJ', 13.936192, -90.835833, 29, -6, 'U', 'America/Guatemala'),
	(1771, 'Goloson Intl', 'La Ceiba', 'Honduras', 'LCE', 'MHLC', 15.742481, -86.853036, 49, -6, 'U', 'America/Tegucigalpa'),
	(1772, 'La Mesa Intl', 'San Pedro Sula', 'Honduras', 'SAP', 'MHLM', 15.452639, -87.923556, 91, -6, 'U', 'America/Tegucigalpa'),
	(1773, 'Guanaja', 'Guanaja', 'Honduras', 'GJA', 'MHNJ', 16.445367, -85.906611, 49, -6, 'U', 'America/Tegucigalpa'),
	(1774, 'Juan Manuel Galvez Intl', 'Roatan', 'Honduras', 'RTB', 'MHRO', 16.316814, -86.522961, 18, -6, 'U', 'America/Tegucigalpa'),
	(1775, 'Tela', 'Tela', 'Honduras', 'TEA', 'MHTE', 15.775864, -87.475847, 7, -6, 'U', 'America/Tegucigalpa'),
	(1776, 'Toncontin Intl', 'Tegucigalpa', 'Honduras', 'TGU', 'MHTG', 14.060883, -87.217197, 3294, -6, 'U', 'America/Tegucigalpa'),
	(1777, 'Trujillo', 'Trujillo', 'Honduras', '', 'MHTJ', 15.926847, -85.93825, 3, -6, 'U', 'America/Tegucigalpa'),
	(1778, 'Boscobel', 'Ocho Rios', 'Jamaica', 'OCJ', 'MKBS', 18.404247, -76.969017, 90, -5, 'U', 'America/Jamaica'),
	(1779, 'Norman Manley Intl', 'Kingston', 'Jamaica', 'KIN', 'MKJP', 17.935667, -76.7875, 10, -5, 'U', 'America/Jamaica'),
	(1780, 'Sangster Intl', 'Montego Bay', 'Jamaica', 'MBJ', 'MKJS', 18.503717, -77.913358, 4, -5, 'U', 'America/Jamaica'),
	(1781, 'Ken Jones', 'Port Antonio', 'Jamaica', 'POT', 'MKKJ', 18.198806, -76.534528, 20, -5, 'U', 'America/Jamaica'),
	(1782, 'Tinson Pen', 'Kingston', 'Jamaica', 'KTP', 'MKTP', 17.988558, -76.823761, 16, -5, 'U', 'America/Jamaica'),
	(1783, 'General Juan N Alvarez Intl', 'Acapulco', 'Mexico', 'ACA', 'MMAA', 16.757061, -99.753953, 16, -6, 'S', 'America/Mexico_City'),
	(1784, 'Del Norte Intl', 'Monterrey', 'Mexico', 'NTR', 'MMAN', 25.865572, -100.237239, 1476, -6, 'S', 'America/Mexico_City'),
	(1785, 'Jesus Teran Intl', 'Aguascalientes', 'Mexico', 'AGU', 'MMAS', 21.705558, -102.317858, 6112, -6, 'S', 'America/Mexico_City'),
	(1786, 'Bahias De Huatulco Intl', 'Huatulco', 'Mexico', 'HUX', 'MMBT', 15.775317, -96.262572, 464, -6, 'S', 'America/Mexico_City'),
	(1787, 'General Mariano Matamoros', 'Cuernavaca', 'Mexico', 'CVJ', 'MMCB', 18.834764, -99.2613, 4277, -6, 'S', 'America/Mexico_City'),
	(1788, 'Ciudad Acuna Intl New', 'Ciudad Acuna', 'Mexico', '', 'MMCC', 29.333917, -101.100892, 1410, -6, 'S', 'America/Mexico_City'),
	(1789, 'Ciudad Del Carmen Intl', 'Ciudad Del Carmen', 'Mexico', 'CME', 'MMCE', 18.653739, -91.799017, 10, -6, 'S', 'America/Mexico_City'),
	(1790, 'Nuevo Casas Grandes', 'Nuevo Casas Grandes', 'Mexico', '', 'MMCG', 30.397439, -107.874969, 4850, -7, 'S', 'America/Mazatlan'),
	(1791, 'Chilpancingo', 'Chilpancingo', 'Mexico', '', 'MMCH', 17.573767, -99.514339, 4199, -6, 'S', 'America/Mexico_City'),
	(1792, 'Culiacan Intl', 'Culiacan', 'Mexico', 'CUL', 'MMCL', 24.764547, -107.474717, 108, -7, 'S', 'America/Mazatlan'),
	(1793, 'Chetumal Intl', 'Chetumal', 'Mexico', 'CTM', 'MMCM', 18.504667, -88.326847, 39, -6, 'S', 'America/Mexico_City'),
	(1794, 'Ciudad Obregon Intl', 'Ciudad Obregon', 'Mexico', 'CEN', 'MMCN', 27.392639, -109.833111, 205, -7, 'S', 'America/Hermosillo'),
	(1795, 'Ingeniero Alberto Acuna Ongay Intl', 'Campeche', 'Mexico', 'CPE', 'MMCP', 19.816794, -90.500314, 34, -6, 'S', 'America/Mexico_City'),
	(1796, 'Abraham Gonzalez Intl', 'Ciudad Juarez', 'Mexico', 'CJS', 'MMCS', 31.636133, -106.428667, 3904, -7, 'S', 'America/Mazatlan'),
	(1797, 'General R Fierro Villalobos Intl', 'Chihuahua', 'Mexico', 'CUU', 'MMCU', 28.702875, -105.964567, 4462, -7, 'S', 'America/Mazatlan'),
	(1798, 'General Pedro Jose Mendez Intl', 'Ciudad Victoria', 'Mexico', 'CVM', 'MMCV', 23.703336, -98.956486, 761, -6, 'S', 'America/Mexico_City'),
	(1800, 'Cozumel Intl', 'Cozumel', 'Mexico', 'CZM', 'MMCZ', 20.522403, -86.925644, 15, -6, 'S', 'America/Mexico_City'),
	(1801, 'Durango Intl', 'Durango', 'Mexico', 'DGO', 'MMDO', 24.124194, -104.528014, 6104, -6, 'S', 'America/Mexico_City'),
	(1802, 'Tepic', 'Tepic', 'Mexico', 'TPQ', 'MMEP', 21.419453, -104.842581, 3020, -7, 'S', 'America/Mazatlan'),
	(1803, 'Ensenada', 'Ensenada', 'Mexico', 'ESE', 'MMES', 31.795281, -116.602772, 66, -8, 'S', 'America/Tijuana'),
	(1804, 'Don Miguel Hidalgo Y Costilla Intl', 'Guadalajara', 'Mexico', 'GDL', 'MMGL', 20.5218, -103.311167, 5016, -6, 'S', 'America/Mexico_City'),
	(1805, 'General Jose Maria Yanez Intl', 'Guaymas', 'Mexico', 'GYM', 'MMGM', 27.968983, -110.925169, 59, -7, 'S', 'America/Hermosillo'),
	(1806, 'Tehuacan', 'Tehuacan', 'Mexico', 'TCN', 'MMHC', 18.497189, -97.419942, 5509, -6, 'S', 'America/Mexico_City'),
	(1807, 'General Ignacio P Garcia Intl', 'Hermosillo', 'Mexico', 'HMO', 'MMHO', 29.095858, -111.047858, 627, -7, 'S', 'America/Hermosillo'),
	(1808, 'Colima', 'Colima', 'Mexico', 'CLQ', 'MMIA', 19.277011, -103.577397, 2467, -6, 'S', 'America/Mexico_City'),
	(1809, 'Isla Mujeres', 'Isla Mujeres', 'Mexico', 'ISJ', 'MMIM', 21.245033, -86.739967, 7, -6, 'S', 'America/Mexico_City'),
	(1810, 'Plan De Guadalupe Intl', 'Saltillo', 'Mexico', 'SLW', 'MMIO', 25.549497, -100.928669, 4778, -6, 'S', 'America/Mexico_City'),
	(1811, 'Ixtepec', 'Iztepec', 'Mexico', '', 'MMIT', 16.449336, -95.093697, 164, -6, 'S', 'America/Mexico_City'),
	(1813, 'Lazaro Cardenas', 'Lazard Cardenas', 'Mexico', 'LZC', 'MMLC', 18.001731, -102.220525, 39, -6, 'S', 'America/Mexico_City'),
	(1814, 'Valle Del Fuerte Intl', 'Los Mochis', 'Mexico', 'LMM', 'MMLM', 25.685194, -109.080806, 16, -7, 'S', 'America/Mazatlan'),
	(1815, 'Guanajuato Intl', 'Del Bajio', 'Mexico', 'BJX', 'MMLO', 20.993464, -101.480847, 5956, -6, 'S', 'America/Mexico_City'),
	(1816, 'General Manuel Marquez De Leon Intl', 'La Paz', 'Mexico', 'LAP', 'MMLP', 24.072694, -110.362475, 69, -7, 'S', 'America/Mazatlan'),
	(1817, 'Loreto Intl', 'Loreto', 'Mexico', 'LTO', 'MMLT', 25.989194, -111.348361, 34, -7, 'S', 'America/Mazatlan'),
	(1818, 'General Servando Canales Intl', 'Matamoros', 'Mexico', 'MAM', 'MMMA', 25.769894, -97.525311, 25, -6, 'S', 'America/Mexico_City'),
	(1819, 'Licenciado Manuel Crescencio Rejon Int', 'Merida', 'Mexico', 'MID', 'MMMD', 20.936981, -89.657672, 38, -6, 'S', 'America/Mexico_City'),
	(1820, 'General Rodolfo Sanchez Taboada Intl', 'Mexicali', 'Mexico', 'MXL', 'MMML', 32.630634, -115.241637, 74, -8, 'S', 'America/Tijuana'),
	(1821, 'General Francisco J Mujica Intl', 'Morelia', 'Mexico', 'MLM', 'MMMM', 19.849944, -101.0255, 6033, -6, 'S', 'America/Mexico_City'),
	(1822, 'Minatitlan', 'Minatitlan', 'Mexico', 'MTT', 'MMMT', 18.103419, -94.580681, 36, -6, 'S', 'America/Mexico_City'),
	(1823, 'Monclova Intl', 'Monclova', 'Mexico', 'LOV', 'MMMV', 26.955733, -101.470136, 1864, -6, 'S', 'America/Mexico_City'),
	(1824, 'Licenciado Benito Juarez Intl', 'Mexico City', 'Mexico', 'MEX', 'MMMX', 19.436303, -99.072097, 7316, -6, 'S', 'America/Mexico_City'),
	(1825, 'General Mariano Escobedo Intl', 'Monterrey', 'Mexico', 'MTY', 'MMMY', 25.778489, -100.106878, 1278, -6, 'S', 'America/Mexico_City'),
	(1826, 'General Rafael Buelna Intl', 'Mazatlan', 'Mexico', 'MZT', 'MMMZ', 23.161356, -106.266072, 38, -7, 'S', 'America/Mazatlan'),
	(1827, 'Nogales Intl', 'Nogales', 'Mexico', 'NOG', 'MMNG', 31.226083, -110.975831, 3990, -7, 'S', 'America/Hermosillo'),
	(1828, 'Quetzalcoatl Intl', 'Nuevo Laredo', 'Mexico', 'NLD', 'MMNL', 27.443918, -99.57046, 484, -6, 'S', 'America/Mexico_City'),
	(1829, 'Xoxocotlan Intl', 'Oaxaca', 'Mexico', 'OAX', 'MMOX', 16.999906, -96.726639, 4989, -6, 'S', 'America/Mexico_City'),
	(1830, 'Tajin', 'Poza Rico', 'Mexico', 'PAZ', 'MMPA', 20.602671, -97.460839, 497, -6, 'S', 'America/Mexico_City'),
	(1831, 'Hermanos Serdan Intl', 'Puebla', 'Mexico', 'PBC', 'MMPB', 19.158144, -98.371447, 7361, -6, 'S', 'America/Mexico_City'),
	(1832, 'Ingeniero Juan Guillermo Villasana', 'Pachuca', 'Mexico', 'PCA', 'MMPC', 20.0772, -98.782814, 7600, -6, 'S', 'America/Mexico_City'),
	(1833, 'Puerto Penasco', 'Punta Penasco', 'Mexico', 'PPE', 'MMPE', 31.351878, -113.525728, 30, -7, 'S', 'America/Hermosillo'),
	(1834, 'Piedras Negras Intl', 'Piedras Negras', 'Mexico', 'PDS', 'MMPG', 28.627394, -100.535211, 901, -6, 'S', 'America/Mexico_City'),
	(1835, 'Licenciado Y Gen Ignacio Lopez Rayon', 'Uruapan', 'Mexico', 'UPN', 'MMPN', 19.396692, -102.039056, 5258, -6, 'S', 'America/Mexico_City'),
	(1836, 'Licenciado Gustavo Diaz Ordaz Intl', 'Puerto Vallarta', 'Mexico', 'PVR', 'MMPR', 20.680083, -105.254167, 23, -6, 'S', 'America/Mexico_City'),
	(1837, 'Puerto Escondido Intl', 'Puerto Escondido', 'Mexico', 'PXM', 'MMPS', 15.876861, -97.089117, 294, -6, 'S', 'America/Mexico_City'),
	(1838, 'Queretaro Intercontinental', 'Queretaro', 'Mexico', 'QRO', 'MMQT', 20.617289, -100.185658, 6296, -6, 'S', 'America/Mexico_City'),
	(1839, 'General Lucio Blanco Intl', 'Reynosa', 'Mexico', 'REX', 'MMRX', 26.008908, -98.228513, 139, -6, 'S', 'America/Mexico_City'),
	(1840, 'Los Cabos Intl', 'San Jose Del Cabo', 'Mexico', 'SJD', 'MMSD', 23.15185, -109.721044, 374, -7, 'S', 'America/Mazatlan'),
	(1841, 'San Felipe Intl', 'San Filipe', 'Mexico', '', 'MMSF', 30.930222, -114.808639, 148, -8, 'S', 'America/Tijuana'),
	(1842, 'Ponciano Arriaga Intl', 'San Luis Potosi', 'Mexico', 'SLP', 'MMSP', 22.254303, -100.930806, 6035, -6, 'S', 'America/Mexico_City'),
	(1843, 'Tlaxcala', 'Tlaxcala', 'Mexico', 'TXA', 'MMTA', 19.537964, -98.173467, 8229, -6, 'S', 'America/Mexico_City'),
	(1844, 'General Div P A Angel H Corzo Molina', 'Tuxtla Gutierrez', 'Mexico', '', 'MMTB', 16.739919, -93.173297, 1909, -6, 'S', 'America/Mexico_City'),
	(1845, 'Torreon Intl', 'Torreon', 'Mexico', 'TRC', 'MMTC', 25.568278, -103.410583, 3688, -6, 'S', 'America/Mexico_City'),
	(1846, 'Angel Albino Corzo', 'Tuxtla Gutierrez', 'Mexico', 'TGZ', 'MMTG', 16.561822, -93.026081, 1491, -6, 'S', 'America/Mexico_City'),
	(1847, 'General Abelardo L Rodriguez Intl', 'Tijuana', 'Mexico', 'TIJ', 'MMTJ', 32.541064, -116.970158, 489, -8, 'S', 'America/Tijuana'),
	(1848, 'General Francisco Javier Mina Intl', 'Tampico', 'Mexico', 'TAM', 'MMTM', 22.29645, -97.865931, 80, -6, 'S', 'America/Mexico_City'),
	(1849, 'Tamuin', 'Tamuin', 'Mexico', 'TSL', 'MMTN', 22.038292, -98.806503, 164, -6, 'S', 'America/Mexico_City'),
	(1850, 'Licenciado Adolfo Lopez Mateos Intl', 'Toluca', 'Mexico', 'TLC', 'MMTO', 19.337072, -99.566008, 8466, -6, 'S', 'America/Mexico_City'),
	(1851, 'Tapachula Intl', 'Tapachula', 'Mexico', 'TAP', 'MMTP', 14.794339, -92.370025, 97, -6, 'S', 'America/Mexico_City'),
	(1852, 'Cancun Intl', 'Cancun', 'Mexico', 'CUN', 'MMUN', 21.036528, -86.877083, 20, -6, 'S', 'America/Mexico_City'),
	(1853, 'C P A Carlos Rovirosa Intl', 'Villahermosa', 'Mexico', 'VSA', 'MMVA', 17.997, -92.817361, 46, -6, 'S', 'America/Mexico_City'),
	(1854, 'General Heriberto Jara Intl', 'Vera Cruz', 'Mexico', 'VER', 'MMVR', 19.145931, -96.187267, 90, -6, 'S', 'America/Mexico_City'),
	(1855, 'General Leobardo C Ruiz Intl', 'Zacatecas', 'Mexico', 'ZCL', 'MMZC', 22.897112, -102.68689, 7141, -6, 'S', 'America/Mexico_City'),
	(1856, 'Ixtapa Zihuatanejo Intl', 'Zihuatanejo', 'Mexico', 'ZIH', 'MMZH', 17.601569, -101.460536, 26, -6, 'S', 'America/Mexico_City'),
	(1857, 'Zamora', 'Zamora', 'Mexico', 'ZMM', 'MMZM', 20.045036, -102.275955, 5141, -6, 'S', 'America/Mexico_City'),
	(1858, 'Playa De Oro Intl', 'Manzanillo', 'Mexico', 'ZLO', 'MMZO', 19.144778, -104.558631, 30, -6, 'S', 'America/Mexico_City'),
	(1859, 'Zapopan', 'Zapopan', 'Mexico', '', 'MMZP', 20.755833, -103.465278, 5333, -6, 'S', 'America/Mexico_City'),
	(1860, 'Bluefields', 'Bluefields', 'Nicaragua', 'BEF', 'MNBL', 11.990961, -83.774086, 41, -6, 'U', 'America/Managua'),
	(1861, 'Los Brasiles', 'Los Brasiles', 'Nicaragua', '', 'MNBR', 12.190044, -86.353872, 262, -6, 'U', 'America/Managua'),
	(1862, 'Leon', 'Leon', 'Nicaragua', '', 'MNLN', 12.428028, -86.902361, 328, -6, 'U', 'America/Managua'),
	(1863, 'Managua Intl', 'Managua', 'Nicaragua', 'MGA', 'MNMG', 12.141494, -86.168178, 194, -6, 'U', 'America/Managua'),
	(1864, 'Puerto Cabezas', 'Puerto Cabezas', 'Nicaragua', 'PUZ', 'MNPC', 14.047194, -83.386722, 69, -6, 'U', 'America/Managua'),
	(1865, 'Bocas Del Toro Intl', 'Bocas Del Toro', 'Panama', 'BOC', 'MPBO', 9.340853, -82.250842, 10, -5, 'U', 'America/Panama'),
	(1866, 'Cap Manuel Nino Intl', 'Changuinola', 'Panama', 'CHX', 'MPCH', 9.458636, -82.516806, 19, -5, 'U', 'America/Panama'),
	(1867, 'Enrique Malek Intl', 'David', 'Panama', 'DAV', 'MPDA', 8.391003, -82.434992, 89, -5, 'U', 'America/Panama'),
	(1868, 'Howard', 'Howard', 'Panama', 'HOW', 'MPHO', 8.914794, -79.599633, 52, -5, 'U', 'America/Panama'),
	(1869, 'Marcos A Gelabert Intl', 'Panama', 'Panama', 'PAC', 'MPMG', 8.973339, -79.555583, 31, -5, 'U', 'America/Panama'),
	(1870, 'Ruben Cantu', 'Santiago', 'Panama', '', 'MPSA', 8.085597, -80.945253, 272, -5, 'U', 'America/Panama'),
	(1871, 'Tocumen Intl', 'Panama City', 'Panama', 'PTY', 'MPTO', 9.071364, -79.383453, 135, -5, 'U', 'America/Panama'),
	(1872, 'Buenos Aires', 'Buenos Aires', 'Costa Rica', '', 'MRBA', 9.163606, -83.329872, 1214, -6, 'U', 'America/Costa_Rica'),
	(1874, 'Coto 47', 'Coto 47', 'Costa Rica', 'OTR', 'MRCC', 8.601556, -82.968614, 26, -6, 'U', 'America/Costa_Rica'),
	(1875, 'Chacarita', 'Chacarita', 'Costa Rica', '', 'MRCH', 9.981408, -84.772736, 7, -6, 'U', 'America/Costa_Rica'),
	(1877, 'El Carmen De Siquirres', 'El Carmen', 'Costa Rica', '', 'MREC', 10.202033, -83.472167, 56, -6, 'U', 'America/Costa_Rica'),
	(1878, 'Nuevo Palmar Sur', 'Finca 10', 'Costa Rica', '', 'MRFI', 8.916347, -83.507267, 49, -6, 'U', 'America/Costa_Rica'),
	(1879, 'Golfito', 'Golfito', 'Costa Rica', 'GLF', 'MRGF', 8.653775, -83.180544, 49, -6, 'U', 'America/Costa_Rica'),
	(1880, 'Guapiles', 'Guapiles', 'Costa Rica', '', 'MRGP', 10.217194, -83.797003, 883, -6, 'U', 'America/Costa_Rica'),
	(1881, 'Daniel Oduber Quiros Intl', 'Liberia', 'Costa Rica', 'LIR', 'MRLB', 10.593289, -85.544408, 270, -6, 'U', 'America/Costa_Rica'),
	(1882, 'Los Chiles', 'Los Chiles', 'Costa Rica', '', 'MRLC', 11.035277, -84.706108, 131, -6, 'U', 'America/Costa_Rica'),
	(1883, 'Limon Intl', 'Limon', 'Costa Rica', 'LIO', 'MRLM', 9.957961, -83.022006, 7, -6, 'U', 'America/Costa_Rica'),
	(1884, 'Nosara', 'Nosara Beach', 'Costa Rica', 'NOB', 'MRNS', 9.97649, -85.653, 33, -6, 'U', 'America/Costa_Rica'),
	(1885, 'Juan Santamaria Intl', 'San Jose', 'Costa Rica', 'SJO', 'MROC', 9.993861, -84.208806, 3021, -6, 'U', 'America/Costa_Rica'),
	(1886, 'Pandora', 'Pandora', 'Costa Rica', '', 'MRPD', 9.732169, -82.983214, 98, -6, 'U', 'America/Costa_Rica'),
	(1887, 'Palmar Sur', 'Palmar Sur', 'Costa Rica', 'PMZ', 'MRPM', 8.951025, -83.468583, 49, -6, 'U', 'America/Costa_Rica'),
	(1889, 'La Managua', 'Quepos', 'Costa Rica', 'XQP', 'MRQP', 9.443164, -84.129772, 85, -6, 'U', 'America/Costa_Rica'),
	(1890, 'Santa Clara De Guapiles', 'Santa Clara', 'Costa Rica', '', 'MRSG', 10.288278, -83.713519, 262, -6, 'U', 'America/Costa_Rica'),
	(1891, 'San Vito De Java', 'San Vito De Jaba', 'Costa Rica', '', 'MRSV', 8.826111, -82.958885, 3228, -6, 'U', 'America/Costa_Rica'),
	(1892, 'El Salvador Intl', 'San Salvador', 'El Salvador', 'SAL', 'MSLP', 13.440947, -89.055728, 101, -6, 'U', 'America/El_Salvador'),
	(1893, 'Ilopango Intl', 'San Salvador', 'El Salvador', '', 'MSSS', 13.699492, -89.119861, 2021, -6, 'U', 'America/El_Salvador'),
	(1894, 'Cayes', 'Cayes', 'Haiti', '', 'MTCA', 18.271103, -73.788289, 203, -5, 'U', 'America/Port-au-Prince'),
	(1895, 'Cap Haitien Intl', 'Cap Haitien', 'Haiti', 'CAP', 'MTCH', 19.732989, -72.194739, 10, -5, 'U', 'America/Port-au-Prince'),
	(1896, 'Jacmel', 'Jacmel', 'Haiti', '', 'MTJA', 18.241083, -72.5185, 167, -5, 'U', 'America/Port-au-Prince'),
	(1897, 'Toussaint Louverture Intl', 'Port-au-prince', 'Haiti', 'PAP', 'MTPP', 18.58005, -72.292542, 122, -5, 'U', 'America/Port-au-Prince'),
	(1898, 'Gustavo Rizo', 'Baracoa Playa', 'Cuba', 'BCA', 'MUBA', 20.365317, -74.506206, 26, -5, 'U', 'America/Havana'),
	(1899, 'Carlos Manuel De Cespedes', 'Bayamo', 'Cuba', 'BYM', 'MUBY', 20.396331, -76.621494, 203, -5, 'U', 'America/Havana'),
	(1900, 'Maximo Gomez', 'Ciego De Avila', 'Cuba', 'AVI', 'MUCA', 22.027053, -78.789617, 335, -5, 'U', 'America/Havana'),
	(1901, 'Jardines Del Rey', 'Cunagua', 'Cuba', '', 'MUCC', 22.460986, -78.328422, 13, -5, 'U', 'America/Havana'),
	(1902, 'Jaime Gonzalez', 'Cienfuegos', 'Cuba', 'CFG', 'MUCF', 22.15, -80.414167, 102, -5, 'U', 'America/Havana'),
	(1903, 'Vilo Acuna Intl', 'Cayo Largo del Sur', 'Cuba', 'CYO', 'MUCL', 21.616453, -81.545989, 10, -5, 'U', 'America/Havana'),
	(1904, 'Ignacio Agramonte Intl', 'Camaguey', 'Cuba', 'CMW', 'MUCM', 21.420428, -77.847433, 413, -5, 'U', 'America/Havana'),
	(1905, 'Antonio Maceo Intl', 'Santiago De Cuba', 'Cuba', 'SCU', 'MUCU', 19.969769, -75.835414, 249, -5, 'U', 'America/Havana'),
	(1906, 'Florida', 'Florida', 'Cuba', '', 'MUFL', 21.499722, -78.202778, 197, -5, 'U', 'America/Havana'),
	(1907, 'Guantanamo Bay Ns', 'Guantanamo', 'Cuba', '', 'MUGM', 19.906458, -75.207056, 56, -5, 'U', '\\N'),
	(1908, 'Mariana Grajales', 'Guantanamo', 'Cuba', 'GAO', 'MUGT', 20.085419, -75.158328, 56, -5, 'U', 'America/Havana'),
	(1909, 'Jose Marti Intl', 'Havana', 'Cuba', 'HAV', 'MUHA', 22.989153, -82.409086, 210, -5, 'U', 'America/Havana'),
	(1910, 'Frank Pais Intl', 'Holguin', 'Cuba', 'HOG', 'MUHG', 20.785589, -76.315108, 361, -5, 'U', 'America/Havana'),
	(1911, 'La Coloma', 'La Coloma', 'Cuba', 'LCL', 'MULM', 22.336261, -83.642111, 131, -5, 'U', 'America/Havana'),
	(1912, 'Orestes Acosta', 'Moa', 'Cuba', 'MOA', 'MUMO', 20.654114, -74.922114, 16, -5, 'U', 'America/Havana'),
	(1913, 'Sierra Maestra', 'Manzanillo', 'Cuba', 'MZO', 'MUMZ', 20.288172, -77.0893, 112, -5, 'U', 'America/Havana'),
	(1914, 'Rafael Cabrera', 'Nueva Gerona', 'Cuba', 'GER', 'MUNG', 21.834689, -82.783819, 79, -5, 'U', 'America/Havana'),
	(1915, 'Playa Baracoa', 'Baracoa Playa', 'Cuba', '', 'MUPB', 23.032778, -82.579444, 102, -5, 'U', 'America/Havana'),
	(1916, 'Pinar Del Rio', 'Pinar Del Rio Norte', 'Cuba', '', 'MUPR', 22.421356, -83.678428, 131, -5, 'U', 'America/Havana'),
	(1917, 'San Antonio De Los Banos', 'San Antonio De Banos', 'Cuba', '', 'MUSA', 22.871529, -82.509308, 164, -5, 'U', 'America/Havana'),
	(1918, 'Abel Santamaria', 'Santa Clara', 'Cuba', 'SNU', 'MUSC', 22.492192, -79.943611, 338, -5, 'U', 'America/Havana'),
	(1919, 'Santa Lucia', 'Santa Lucia', 'Cuba', '', 'MUSL', 21.509453, -77.020375, 13, -5, 'U', 'America/Havana'),
	(1920, 'Siguanea', 'Siguanea', 'Cuba', '', 'MUSN', 21.642525, -82.955114, 39, -5, 'U', 'America/Havana'),
	(1921, 'Sancti Spiritus', 'Sancti Spiritus', 'Cuba', '', 'MUSS', 21.969969, -79.442692, 295, -5, 'U', 'America/Havana'),
	(1923, 'Juan Gualberto Gomez Intl', 'Varadero', 'Cuba', 'VRA', 'MUVR', 23.034445, -81.435278, 210, -5, 'U', 'America/Havana'),
	(1924, 'Hermanos Ameijeiras', 'Las Tunas', 'Cuba', 'VTU', 'MUVT', 20.987642, -76.9358, 328, -5, 'U', 'America/Havana'),
	(1925, 'Gerrard Smith Intl', 'Cayman Barac', 'Cayman Islands', 'CYB', 'MWCB', 19.686981, -79.882789, 8, -5, 'U', 'America/Cayman'),
	(1926, 'Owen Roberts Intl', 'Georgetown', 'Cayman Islands', 'GCM', 'MWCR', 19.292778, -81.35775, 8, -5, 'U', 'America/Cayman'),
	(1927, 'Clarence A Bain', 'Clarence Bain', 'Bahamas', '', 'MYAB', 24.287664, -77.684614, 19, -5, 'U', 'America/Nassau'),
	(1928, 'Fresh Creek', 'Andros Town', 'Bahamas', 'ASD', 'MYAF', 24.698283, -77.795611, 5, -5, 'U', 'America/Nassau'),
	(1930, 'Marsh Harbour', 'Marsh Harbor', 'Bahamas', 'MHH', 'MYAM', 26.511406, -77.083472, 6, -5, 'U', 'America/Nassau'),
	(1931, 'San Andros', 'San Andros', 'Bahamas', 'SAQ', 'MYAN', 25.053814, -78.048997, 5, -5, 'U', 'America/Nassau'),
	(1932, 'Spring Point', 'Spring Point', 'Bahamas', 'AXP', 'MYAP', 22.441828, -73.970858, 11, -5, 'U', 'America/Nassau'),
	(1933, 'Sandy Point', 'Sandy Point', 'Bahamas', '', 'MYAS', 26.004639, -77.395483, 8, -5, 'U', 'America/Nassau'),
	(1934, 'Treasure Cay', 'Treasure Cay', 'Bahamas', 'TCB', 'MYAT', 26.745336, -77.391269, 8, -5, 'U', 'America/Nassau'),
	(1935, 'Chub Cay', 'Chub Cay', 'Bahamas', 'CCZ', 'MYBC', 25.417108, -77.88085, 5, -5, 'U', 'America/Nassau'),
	(1936, 'Great Harbour Cay', 'Bullocks Harbour', 'Bahamas', '', 'MYBG', 25.738331, -77.840114, 18, -5, 'U', 'America/Nassau'),
	(1937, 'South Bimini', 'Alice Town', 'Bahamas', 'BIM', 'MYBS', 25.699881, -79.264656, 10, -5, 'U', 'America/Nassau'),
	(1941, 'Exuma Intl', 'Great Exuma', 'Bahamas', 'GGT', 'MYEF', 23.562631, -75.877958, 9, -5, 'U', 'America/Nassau'),
	(1942, 'George Town', 'George Town', 'Bahamas', '', 'MYEG', 23.466667, -75.78167, 5, -5, 'U', 'America/Nassau'),
	(1943, 'North Eleuthera', 'North Eleuthera', 'Bahamas', 'ELH', 'MYEH', 25.474861, -76.683489, 13, -5, 'U', 'America/Nassau'),
	(1944, 'Governors Harbour', 'Governor\'s Harbor', 'Bahamas', 'GHB', 'MYEM', 25.284706, -76.331011, 26, -5, 'U', 'America/Nassau'),
	(1945, 'Normans Cay', 'Norman\'s Cay', 'Bahamas', '', 'MYEN', 24.594258, -76.820214, 8, -5, 'U', 'America/Nassau'),
	(1946, 'Rock Sound', 'Rock Sound', 'Bahamas', 'RSD', 'MYER', 24.8917, -76.177739, 10, -5, 'U', 'America/Nassau'),
	(1947, 'Staniel Cay', 'Staniel Cay', 'Bahamas', '', 'MYES', 24.169083, -76.439056, 5, -5, 'U', 'America/Nassau'),
	(1948, 'Grand Bahama Intl', 'Freeport', 'Bahamas', 'FPO', 'MYGF', 26.558686, -78.695553, 7, -5, 'U', 'America/Nassau'),
	(1949, 'Matthew Town', 'Matthew Town', 'Bahamas', 'IGA', 'MYIG', 20.975, -73.666862, 8, -5, 'U', 'America/Nassau'),
	(1950, 'Deadmans Cay', 'Dead Man\'s Cay', 'Bahamas', 'LGI', 'MYLD', 23.179014, -75.093597, 9, -5, 'U', 'America/Nassau'),
	(1951, 'Stella Maris', 'Stella Maris', 'Bahamas', 'SML', 'MYLS', 23.581444, -75.270475, 10, -5, 'U', 'America/Nassau'),
	(1952, 'Mayaguana', 'Mayaguana', 'Bahamas', 'MYG', 'MYMM', 22.379528, -73.0135, 11, -5, 'U', 'America/Nassau'),
	(1953, 'Lynden Pindling Intl', 'Nassau', 'Bahamas', 'NAS', 'MYNN', 25.038958, -77.466231, 16, -5, 'U', 'America/Nassau'),
	(1954, 'Duncan Town', 'Duncan Town', 'Bahamas', '', 'MYRD', 22.181803, -75.729456, 6, -5, 'U', 'America/Nassau'),
	(1955, 'New Port Nelson', 'Port Nelson', 'Bahamas', '', 'MYRP', 23.684378, -74.836186, 15, -5, 'U', 'America/Nassau'),
	(1956, 'San Salvador', 'Cockburn Town', 'Bahamas', 'ZSA', 'MYSM', 24.063275, -74.523967, 24, -5, 'U', 'America/Nassau'),
	(1957, 'Philip S W Goldson Intl', 'Belize City', 'Belize', 'BZE', 'MZBZ', 17.539144, -88.308203, 15, -6, 'U', 'America/Belize'),
	(1958, 'Aitutaki', 'Aitutaki', 'Cook Islands', 'AIT', 'NCAI', -18.830922, -159.764233, 14, -10, 'U', 'Pacific/Rarotonga'),
	(1959, 'Rarotonga Intl', 'Avarua', 'Cook Islands', 'RAR', 'NCRG', -21.202739, -159.805556, 19, -10, 'U', 'Pacific/Rarotonga'),
	(1960, 'Nadi Intl', 'Nandi', 'Fiji', 'NAN', 'NFFN', -17.755392, 177.443378, 59, 12, 'U', 'Pacific/Fiji'),
	(1961, 'Nausori Intl', 'Nausori', 'Fiji', 'SUV', 'NFNA', -18.043267, 178.559228, 17, 12, 'U', 'Pacific/Fiji'),
	(1963, 'Fua Amotu Intl', 'Tongatapu', 'Tonga', 'TBU', 'NFTF', -21.241214, -175.149644, 126, 13, 'U', 'Pacific/Tongatapu'),
	(1964, 'Vavau Intl', 'Vava\'u', 'Tonga', 'VAV', 'NFTV', -18.585336, -173.961717, 236, 13, 'U', 'Pacific/Tongatapu'),
	(1965, 'Bonriki Intl', 'Tarawa', 'Kiribati', 'TRW', 'NGTA', 1.381636, 173.147036, 9, 12, 'U', 'Pacific/Tarawa'),
	(1966, 'Tabiteuea North', 'Tabiteuea North', 'Kiribati', 'TBF', 'NGTE', -1.224469, 174.775614, 7, 12, 'U', '\\N'),
	(1968, 'Wallis', 'Wallis', 'Wallis and Futuna', 'WLS', 'NLWW', -13.238281, -176.199228, 79, 12, 'U', 'Pacific/Wallis'),
	(1969, 'Faleolo Intl', 'Faleolo', 'Samoa', 'APW', 'NSFA', -13.829969, -172.008336, 58, 13, 'U', 'Pacific/Apia'),
	(1970, 'Pago Pago Intl', 'Pago Pago', 'American Samoa', 'PPG', 'NSTU', -14.331, -170.7105, 32, -11, 'U', 'Pacific/Pago_Pago'),
	(1971, 'Rurutu', 'Rurutu', 'French Polynesia', 'RUR', 'NTAR', -22.434069, -151.360614, 18, -10, 'U', '\\N'),
	(1972, 'Tubuai', 'Tubuai', 'French Polynesia', 'TUB', 'NTAT', -23.365353, -149.524072, 7, -10, 'U', 'Pacific/Tahiti'),
	(1973, 'Anaa', 'Anaa', 'French Polynesia', 'AAA', 'NTGA', -17.352606, -145.509956, 10, -10, 'U', 'Pacific/Tahiti'),
	(1974, 'Fangatau', 'Fangatau', 'French Polynesia', '', 'NTGB', -15.819928, -140.88715, 9, -10, 'U', 'Pacific/Tahiti'),
	(1975, 'Tikehau', 'Tikehau', 'French Polynesia', 'TIH', 'NTGC', -15.119617, -148.230697, 6, -10, 'U', 'Pacific/Tahiti'),
	(1976, 'Reao', 'Reao', 'French Polynesia', 'REA', 'NTGE', -18.465861, -136.439706, 12, -10, 'U', '\\N'),
	(1977, 'Fakarava', 'Fakarava', 'French Polynesia', 'FAV', 'NTGF', -16.05415, -145.656994, 13, -10, 'U', 'Pacific/Tahiti'),
	(1978, 'Manihi', 'Manihi', 'French Polynesia', 'XMH', 'NTGI', -14.436764, -146.070056, 14, -10, 'U', 'Pacific/Tahiti'),
	(1979, 'Totegegie', 'Totegegie', 'French Polynesia', 'GMR', 'NTGJ', -23.079861, -134.890333, 7, -9, 'U', 'Pacific/Gambier'),
	(1980, 'Kaukura', 'Kaukura Atoll', 'French Polynesia', 'KKR', 'NTGK', -15.663333, -146.884769, 11, -10, 'U', 'Pacific/Tahiti'),
	(1981, 'Makemo', 'Makemo', 'French Polynesia', 'MKP', 'NTGM', -16.583919, -143.658369, 3, -10, 'U', 'Pacific/Tahiti'),
	(1982, 'Puka Puka', 'Puka Puka', 'French Polynesia', 'PKP', 'NTGP', -14.809458, -138.812811, 5, -10, 'U', 'Pacific/Tahiti'),
	(1983, 'Takapoto', 'Takapoto', 'French Polynesia', 'TKP', 'NTGT', -14.709544, -145.245814, 12, -10, 'U', 'Pacific/Tahiti'),
	(1984, 'Arutua', 'Arutua', 'French Polynesia', 'AXR', 'NTGU', -15.248289, -146.616708, 9, -10, 'U', 'Pacific/Tahiti'),
	(1985, 'Mataiva', 'Mataiva', 'French Polynesia', 'MVT', 'NTGV', -14.868055, -148.717225, 11, -10, 'U', 'Pacific/Tahiti'),
	(1986, 'Takaroa', 'Takaroa', 'French Polynesia', 'TKX', 'NTKR', -14.455781, -145.024542, 13, -10, 'U', 'Pacific/Tahiti'),
	(1987, 'Nuku Hiva', 'Nuku Hiva', 'French Polynesia', 'NHV', 'NTMD', -8.795603, -140.228789, 220, -9.5, 'U', 'Pacific/Marquesas'),
	(1989, 'Bora Bora', 'Bora Bora', 'French Polynesia', 'BOB', 'NTTB', -16.444378, -151.751286, 10, -10, 'U', 'Pacific/Tahiti'),
	(1990, 'Rangiroa', 'Rangiroa', 'French Polynesia', 'RGI', 'NTTG', -14.954283, -147.6608, 10, -10, 'U', 'Pacific/Tahiti'),
	(1991, 'Huahine', 'Huahine Island', 'French Polynesia', 'HUH', 'NTTH', -16.687242, -151.021667, 7, -10, 'U', 'Pacific/Tahiti'),
	(1992, 'Moorea', 'Moorea', 'French Polynesia', 'MOZ', 'NTTM', -17.489972, -149.761869, 9, -10, 'U', 'Pacific/Tahiti'),
	(1993, 'Hao', 'Hao Island', 'French Polynesia', 'HOI', 'NTTO', -18.074814, -140.945886, 10, -10, 'U', '\\N'),
	(1994, 'Maupiti', 'Maupiti', 'French Polynesia', 'MAU', 'NTTP', -16.426486, -152.243669, 15, -10, 'U', 'Pacific/Tahiti'),
	(1995, 'Raiatea', 'Raiatea Island', 'French Polynesia', 'RFP', 'NTTR', -16.722861, -151.465856, 3, -10, 'U', 'Pacific/Tahiti'),
	(1997, 'Port Vila Bauerfield', 'Port-vila', 'Vanuatu', 'VLI', 'NVVV', -17.699325, 168.319794, 70, 11, 'U', 'Pacific/Efate'),
	(1998, 'Kone', 'Kone', 'New Caledonia', 'KNQ', 'NWWD', -21.053428, 164.837806, 23, 11, 'U', 'Pacific/Noumea'),
	(1999, 'Koumac', 'Koumac', 'New Caledonia', 'KOC', 'NWWK', -20.546314, 164.255625, 42, 11, 'U', 'Pacific/Noumea'),
	(2000, 'Lifou', 'Lifou', 'New Caledonia', 'LIF', 'NWWL', -20.7748, 167.239864, 92, 11, 'U', 'Pacific/Noumea'),
	(2001, 'Magenta', 'Noumea', 'New Caledonia', 'GEA', 'NWWM', -22.258278, 166.472806, 10, 11, 'U', 'Pacific/Noumea'),
	(2002, 'Mare', 'Mare', 'New Caledonia', 'MEE', 'NWWR', -21.481678, 168.037508, 141, 11, 'U', 'Pacific/Noumea'),
	(2003, 'Touho', 'Touho', 'New Caledonia', 'TOU', 'NWWU', -20.790028, 165.259486, 10, 11, 'U', 'Pacific/Noumea'),
	(2004, 'Ouvea', 'Ouvea', 'New Caledonia', 'UVE', 'NWWV', -20.640556, 166.572778, 23, 11, 'U', 'Pacific/Noumea'),
	(2005, 'La Tontouta', 'Noumea', 'New Caledonia', 'NOU', 'NWWW', -22.014553, 166.212972, 52, 11, 'U', 'Pacific/Noumea'),
	(2006, 'Auckland Intl', 'Auckland', 'New Zealand', 'AKL', 'NZAA', -37.008056, 174.791667, 23, 12, 'Z', 'Pacific/Auckland'),
	(2007, 'Taupo', 'Taupo', 'New Zealand', 'TUO', 'NZAP', -38.739723, 176.084444, 1335, 12, 'Z', 'Pacific/Auckland'),
	(2008, 'Ardmore', 'Ardmore', 'New Zealand', 'AMZ', 'NZAR', -37.029722, 174.973333, 111, 12, 'Z', 'Pacific/Auckland'),
	(2009, 'Christchurch Intl', 'Christchurch', 'New Zealand', 'CHC', 'NZCH', -43.489358, 172.532225, 123, 12, 'Z', 'Pacific/Auckland'),
	(2010, 'Chatham Islands', 'Chatham Island', 'New Zealand', 'CHT', 'NZCI', -43.81, -176.457222, 43, 12.75, 'Z', 'Pacific/Chatham'),
	(2011, 'Dunedin', 'Dunedin', 'New Zealand', 'DUD', 'NZDN', -45.928055, 170.198333, 4, 12, 'Z', 'Pacific/Auckland'),
	(2012, 'Gisborne', 'Gisborne', 'New Zealand', 'GIS', 'NZGS', -38.663333, 177.978333, 15, 12, 'Z', 'Pacific/Auckland'),
	(2013, 'Glentanner', 'Glentanner', 'New Zealand', 'MON', 'NZGT', -43.906666, 170.128333, 1824, 12, 'Z', 'Pacific/Auckland'),
	(2014, 'Hokitika', 'Hokitika', 'New Zealand', 'HKK', 'NZHK', -42.713611, 170.985278, 146, 12, 'Z', 'Pacific/Auckland'),
	(2015, 'Hamilton', 'Hamilton', 'New Zealand', 'HLZ', 'NZHN', -37.866661, 175.332056, 172, 12, 'Z', 'Pacific/Auckland'),
	(2016, 'Hastings', 'Hastings', 'New Zealand', '', 'NZHS', -39.646667, 176.766944, 72, 12, 'Z', 'Pacific/Auckland'),
	(2017, 'Kerikeri', 'Kerikeri', 'New Zealand', 'KKE', 'NZKK', -35.262779, 173.911944, 492, 12, 'Z', 'Pacific/Auckland'),
	(2018, 'Kaitaia', 'Kaitaia', 'New Zealand', 'KAT', 'NZKT', -35.07, 173.285278, 270, 12, 'Z', 'Pacific/Auckland'),
	(2019, 'Alexandra', 'Alexandra', 'New Zealand', 'ALR', 'NZLX', -45.211666, 169.373333, 752, 12, 'Z', 'Pacific/Auckland'),
	(2020, 'Mount Cook', 'Mount Cook', 'New Zealand', 'GTN', 'NZMC', -43.764999, 170.133333, 2153, 12, 'Z', 'Pacific/Auckland'),
	(2021, 'Manapouri', 'Manapouri', 'New Zealand', 'TEU', 'NZMO', -45.533056, 167.65, 687, 12, 'Z', 'Pacific/Auckland'),
	(2022, 'Masterton', 'Masterton', 'New Zealand', 'MRO', 'NZMS', -40.973333, 175.633611, 364, 12, 'Z', 'Pacific/Auckland'),
	(2023, 'New Plymouth', 'New Plymouth', 'New Zealand', 'NPL', 'NZNP', -39.008611, 174.179167, 97, 12, 'Z', 'Pacific/Auckland'),
	(2024, 'Nelson', 'Nelson', 'New Zealand', 'NSN', 'NZNS', -41.298333, 173.221111, 17, 12, 'Z', 'Pacific/Auckland'),
	(2025, 'Invercargill', 'Invercargill', 'New Zealand', 'IVC', 'NZNV', -46.412408, 168.312992, 5, 12, 'Z', 'Pacific/Auckland'),
	(2026, 'Ohakea', 'Ohakea', 'New Zealand', '', 'NZOH', -40.206039, 175.387808, 164, 12, 'Z', 'Pacific/Auckland'),
	(2027, 'Oamaru', 'Oamaru', 'New Zealand', 'OAM', 'NZOU', -44.97, 171.081667, 99, 12, 'Z', 'Pacific/Auckland'),
	(2028, 'Palmerston North', 'Palmerston North', 'New Zealand', 'PMR', 'NZPM', -40.320556, 175.616944, 151, 12, 'Z', 'Pacific/Auckland'),
	(2029, 'Paraparaumu', 'Paraparaumu', 'New Zealand', 'PPQ', 'NZPP', -40.904722, 174.989167, 22, 12, 'Z', 'Pacific/Auckland'),
	(2030, 'Queenstown', 'Queenstown International', 'New Zealand', 'ZQN', 'NZQN', -45.021111, 168.739167, 1171, 12, 'Z', 'Pacific/Auckland'),
	(2031, 'Rotorua', 'Rotorua', 'New Zealand', 'ROT', 'NZRO', -38.109167, 176.317222, 935, 12, 'Z', 'Pacific/Auckland'),
	(2032, 'Waiouru', 'Waiouru', 'New Zealand', '', 'NZRU', -39.446389, 175.658333, 2686, 12, 'Z', 'Pacific/Auckland'),
	(2033, 'South Pole Station', 'Stephen\'s Island', 'Antarctica', '', 'NZSP', -89.999997, 0, 9300, 12, 'U', 'Antarctica/South_Pole'),
	(2034, 'Tauranga', 'Tauranga', 'New Zealand', 'TRG', 'NZTG', -37.671944, 176.19611, 13, 12, 'Z', 'Pacific/Auckland'),
	(2035, 'Timaru', 'Timaru', 'New Zealand', 'TIU', 'NZTU', -44.302778, 171.225278, 89, 12, 'Z', 'Pacific/Auckland'),
	(2036, 'Pukaki', 'Pukaki', 'New Zealand', '', 'NZUK', -44.235, 170.118333, 1575, 12, 'Z', 'Pacific/Auckland'),
	(2037, 'Woodbourne', 'Woodbourne', 'New Zealand', 'BHE', 'NZWB', -41.518333, 173.870278, 109, 12, 'Z', 'Pacific/Auckland'),
	(2038, 'Mcmurdo Station', 'Weydon', 'Antarctica', '', 'NZWD', -77.867358, 167.056572, 68, 12, 'N', 'Antarctica/South_Pole'),
	(2039, 'Wanaka', 'Wanaka', 'New Zealand', 'WKA', 'NZWF', -44.722222, 169.245556, 1142, 12, 'Z', 'Pacific/Auckland'),
	(2040, 'Wigram', 'Wigram', 'New Zealand', '', 'NZWG', -43.551111, 172.552778, 74, 12, 'Z', 'Pacific/Auckland'),
	(2041, 'Whakatane', 'Whakatane', 'New Zealand', 'WHK', 'NZWK', -37.920556, 176.914167, 20, 12, 'Z', 'Pacific/Auckland'),
	(2042, 'Wellington Intl', 'Wellington', 'New Zealand', 'WLG', 'NZWN', -41.327221, 174.805278, 41, 12, 'Z', 'Pacific/Auckland'),
	(2043, 'Wairoa', 'Wairoa', 'New Zealand', '', 'NZWO', -39.006944, 177.406667, 42, 12, 'Z', 'Pacific/Auckland'),
	(2044, 'Whenuapai', 'Whenuapai', 'New Zealand', '', 'NZWP', -36.787777, 174.630278, 100, 12, 'Z', 'Pacific/Auckland'),
	(2045, 'Whangarei', 'Whangarei', 'New Zealand', 'WRE', 'NZWR', -35.768333, 174.365, 133, 12, 'Z', 'Pacific/Auckland'),
	(2046, 'Westport', 'Westport', 'New Zealand', 'WSZ', 'NZWS', -41.738056, 171.580833, 13, 12, 'Z', 'Pacific/Auckland'),
	(2047, 'Wanganui', 'Wanganui', 'New Zealand', 'WAG', 'NZWU', -39.962222, 175.025278, 27, 12, 'Z', 'Pacific/Auckland'),
	(2048, 'Herat', 'Herat', 'Afghanistan', 'HEA', 'OAHR', 34.210017, 62.2283, 3206, 4.5, 'U', 'Asia/Kabul'),
	(2049, 'Jalalabad', 'Jalalabad', 'Afghanistan', 'JAA', 'OAJL', 34.399842, 70.498625, 1814, 4.5, 'U', 'Asia/Kabul'),
	(2050, 'Kabul Intl', 'Kabul', 'Afghanistan', 'KBL', 'OAKB', 34.565853, 69.212328, 5877, 4.5, 'U', 'Asia/Kabul'),
	(2051, 'Kandahar', 'Kandahar', 'Afghanistan', 'KDH', 'OAKN', 31.505756, 65.847822, 3337, 4.5, 'U', 'Asia/Kabul'),
	(2052, 'Maimana', 'Maimama', 'Afghanistan', 'MMZ', 'OAMN', 35.930789, 64.760917, 2743, 4.5, 'U', 'Asia/Kabul'),
	(2053, 'Mazar I Sharif', 'Mazar-i-sharif', 'Afghanistan', 'MZR', 'OAMS', 36.706914, 67.209678, 1284, 4.5, 'U', 'Asia/Kabul'),
	(2054, 'Shindand', 'Shindand', 'Afghanistan', '', 'OASD', 33.391331, 62.260975, 3773, 4.5, 'U', 'Asia/Kabul'),
	(2055, 'Sheberghan', 'Sheberghan', 'Afghanistan', '', 'OASG', 36.750783, 65.913164, 1053, 4.5, 'U', 'Asia/Kabul'),
	(2056, 'Konduz', 'Kunduz', 'Afghanistan', 'UND', 'OAUZ', 36.665111, 68.910833, 1457, 4.5, 'U', 'Asia/Kabul'),
	(2057, 'Bahrain Intl', 'Bahrain', 'Bahrain', 'BAH', 'OBBI', 26.270834, 50.63361, 6, 3, 'U', 'Asia/Bahrain'),
	(2058, 'Shaikh Isa', 'Bahrain', 'Bahrain', '', 'OBBS', 25.918362, 50.590557, 136, 3, 'U', 'Asia/Bahrain'),
	(2059, 'Abha', 'Abha', 'Saudi Arabia', 'AHB', 'OEAB', 18.240367, 42.656625, 6858, 3, 'U', 'Asia/Riyadh'),
	(2060, 'Al Ahsa', 'Al-ahsa', 'Saudi Arabia', 'HOF', 'OEAH', 25.285306, 49.485189, 588, 3, 'U', 'Asia/Riyadh'),
	(2061, 'Al Baha', 'El-baha', 'Saudi Arabia', 'ABT', 'OEBA', 20.296139, 41.634277, 5486, 3, 'U', 'Asia/Riyadh'),
	(2062, 'Bisha', 'Bisha', 'Saudi Arabia', 'BHH', 'OEBH', 19.98435, 42.620881, 3887, 3, 'U', 'Asia/Riyadh'),
	(2063, 'Abqaiq', 'Abqaiq', 'Saudi Arabia', '', 'OEBQ', 25.911281, 49.591231, 229, 3, 'U', 'Asia/Riyadh'),
	(2064, 'King Fahd Intl', 'Dammam', 'Saudi Arabia', 'DMM', 'OEDF', 26.471161, 49.79789, 72, 3, 'U', 'Asia/Riyadh'),
	(2065, 'King Abdulaziz Ab', 'Dhahran', 'Saudi Arabia', 'DHA', 'OEDR', 26.265417, 50.152027, 84, 3, 'U', 'Asia/Riyadh'),
	(2066, 'King Abdullah Bin Abdulaziz', 'Gizan', 'Saudi Arabia', 'GIZ', 'OEGN', 16.901111, 42.585833, 20, 3, 'U', 'Asia/Riyadh'),
	(2067, 'Gassim', 'Gassim', 'Saudi Arabia', 'ELQ', 'OEGS', 26.302822, 43.773911, 2126, 3, 'U', 'Asia/Riyadh'),
	(2068, 'Guriat', 'Guriat', 'Saudi Arabia', 'URY', 'OEGT', 31.411942, 37.279469, 1672, 3, 'U', 'Asia/Riyadh'),
	(2069, 'Hail', 'Hail', 'Saudi Arabia', 'HAS', 'OEHL', 27.437917, 41.686292, 3331, 3, 'U', 'Asia/Riyadh'),
	(2070, 'Jubail', 'Jubail', 'Saudi Arabia', '', 'OEJB', 27.039028, 49.405083, 26, 3, 'U', 'Asia/Riyadh'),
	(2071, 'King Faisal Naval Base', 'Jeddah', 'Saudi Arabia', '', 'OEJF', 21.3481, 39.173033, 7, 3, 'U', 'Asia/Riyadh'),
	(2072, 'King Abdulaziz Intl', 'Jeddah', 'Saudi Arabia', 'JED', 'OEJN', 21.679564, 39.156536, 48, 3, 'U', 'Asia/Riyadh'),
	(2073, 'King Khaled Military City', 'King Khalid Mil.city', 'Saudi Arabia', 'HBT', 'OEKK', 27.900917, 45.528194, 1352, 3, 'U', 'Asia/Riyadh'),
	(2074, 'Prince Mohammad Bin Abdulaziz', 'Madinah', 'Saudi Arabia', 'MED', 'OEMA', 24.553422, 39.705061, 2151, 3, 'U', 'Asia/Riyadh'),
	(2075, 'Nejran', 'Nejran', 'Saudi Arabia', 'EAM', 'OENG', 17.611436, 44.419169, 3982, 3, 'U', 'Asia/Riyadh'),
	(2076, 'Qaisumah', 'Hafr Al-batin', 'Saudi Arabia', 'AQI', 'OEPA', 28.335192, 46.125069, 1174, 3, 'U', 'Asia/Riyadh'),
	(2077, 'Pump Station 3', 'Petroline 3', 'Saudi Arabia', '', 'OEPC', 25.174547, 47.488431, 1740, 3, 'U', 'Asia/Riyadh'),
	(2078, 'Pump Station 6', 'Petroline 6', 'Saudi Arabia', '', 'OEPF', 24.710333, 44.964527, 2530, 3, 'U', 'Asia/Riyadh'),
	(2079, 'Pump Station 10', 'Petroline 10', 'Saudi Arabia', '', 'OEPJ', 24.107339, 41.036047, 2840, 3, 'U', 'Asia/Riyadh'),
	(2080, 'Rabigh', 'Rabigh', 'Saudi Arabia', '', 'OERB', 22.702608, 39.069842, 22, 3, 'U', 'Asia/Riyadh'),
	(2081, 'Rafha', 'Rafha', 'Saudi Arabia', 'RAH', 'OERF', 29.626419, 43.490614, 1474, 3, 'U', 'Asia/Riyadh'),
	(2082, 'King Khaled Intl', 'Riyadh', 'Saudi Arabia', 'RUH', 'OERK', 24.95764, 46.698776, 2049, 3, 'U', 'Asia/Riyadh'),
	(2083, 'Ras Mishab', 'Rash Mishab', 'Saudi Arabia', '', 'OERM', 28.079584, 48.610973, 13, 3, 'U', 'Asia/Riyadh'),
	(2084, 'Arar', 'Arar', 'Saudi Arabia', 'RAE', 'OERR', 30.906589, 41.138217, 1813, 3, 'U', 'Asia/Riyadh'),
	(2085, 'Ras Tanura', 'Ras Tanura', 'Saudi Arabia', '', 'OERT', 26.723108, 50.030814, 6, 3, 'U', 'Asia/Riyadh'),
	(2086, 'Sharurah', 'Sharurah', 'Saudi Arabia', 'SHW', 'OESH', 17.466875, 47.121431, 2363, 3, 'U', 'Asia/Riyadh'),
	(2088, 'Sulayel', 'Sulayel', 'Saudi Arabia', 'SLF', 'OESL', 20.464744, 45.619644, 2021, 3, 'U', 'Asia/Riyadh'),
	(2089, 'Tabuk', 'Tabuk', 'Saudi Arabia', 'TUU', 'OETB', 28.365417, 36.618889, 2551, 3, 'U', 'Asia/Riyadh'),
	(2090, 'Taif', 'Taif', 'Saudi Arabia', 'TIF', 'OETF', 21.483418, 40.544334, 4848, 3, 'U', 'Asia/Riyadh'),
	(2091, 'Thumamah', 'Thumamah', 'Saudi Arabia', '', 'OETH', 25.212986, 46.640978, 1870, 3, 'U', 'Asia/Riyadh'),
	(2092, 'Ras Tanajib', 'Ras Tanajib', 'Saudi Arabia', '', 'OETN', 27.867844, 48.76915, 30, 3, 'U', 'Asia/Riyadh'),
	(2093, 'Turaif', 'Turaif', 'Saudi Arabia', 'TUI', 'OETR', 31.692683, 38.7312, 2803, 3, 'U', 'Asia/Riyadh'),
	(2095, 'Wejh', 'Wejh', 'Saudi Arabia', 'EJH', 'OEWJ', 26.198553, 36.476381, 66, 3, 'U', 'Asia/Riyadh'),
	(2096, 'Yenbo', 'Yenbo', 'Saudi Arabia', 'YNB', 'OEYN', 24.144244, 38.06335, 26, 3, 'U', 'Asia/Riyadh'),
	(2097, 'Abadan', 'Abadan', 'Iran', 'ABD', 'OIAA', 30.371111, 48.228333, 19, 3.5, 'E', 'Asia/Tehran'),
	(2098, 'Dezful', 'Dezful', 'Iran', '', 'OIAD', 32.434444, 48.39764, 474, 3.5, 'E', 'Asia/Tehran'),
	(2099, 'Aghajari', 'Aghajari', 'Iran', '', 'OIAG', 30.74445, 49.677183, 88, 3.5, 'E', 'Asia/Tehran'),
	(2100, 'Gachsaran', 'Gachsaran', 'Iran', '', 'OIAH', 30.337567, 50.827964, 2414, 3.5, 'E', 'Asia/Tehran'),
	(2101, 'Shahid Asyaee', 'Masjed Soleiman', 'Iran', 'QMJ', 'OIAI', 32.002372, 49.270364, 1206, 3.5, 'E', 'Asia/Tehran'),
	(2102, 'Omidiyeh', 'Omidyeh', 'Iran', '', 'OIAJ', 30.835167, 49.534916, 85, 3.5, 'E', 'Asia/Tehran'),
	(2103, 'Mahshahr', 'Bandar Mahshahr', 'Iran', 'MRX', 'OIAM', 30.556192, 49.151879, 8, 3.5, 'E', 'Asia/Tehran'),
	(2104, 'Ahwaz', 'Ahwaz', 'Iran', 'AWZ', 'OIAW', 31.337431, 48.76195, 66, 3.5, 'E', 'Asia/Tehran'),
	(2105, 'Abumusa Island', 'Abumusa I.', 'Iran', '', 'OIBA', 25.875742, 55.032994, 23, 3.5, 'E', 'Asia/Tehran'),
	(2106, 'Bushehr', 'Bushehr', 'Iran', 'BUZ', 'OIBB', 28.944811, 50.834637, 68, 3.5, 'E', 'Asia/Tehran'),
	(2107, 'Bastak', 'Bastak', 'Iran', '', 'OIBH', 27.212678, 54.318592, 1350, 3.5, 'E', 'Asia/Tehran'),
	(2108, 'Asaloyeh', 'Golbandi', 'Iran', '', 'OIBI', 27.481425, 52.615483, 15, 3.5, 'E', 'Asia/Tehran'),
	(2109, 'Kish Island', 'Kish Island', 'Iran', 'KIH', 'OIBK', 26.526156, 53.980211, 101, 3.5, 'E', 'Asia/Tehran'),
	(2110, 'Bandar Lengeh', 'Bandar Lengeh', 'Iran', 'BDH', 'OIBL', 26.532, 54.824847, 67, 3.5, 'E', 'Asia/Tehran'),
	(2111, 'Khark Island', 'Khark Island', 'Iran', '', 'OIBQ', 29.260278, 50.323889, 17, 3.5, 'E', 'Asia/Tehran'),
	(2112, 'Sirri Island', 'Siri Island', 'Iran', '', 'OIBS', 25.908869, 54.5394, 43, 3.5, 'E', 'Asia/Tehran'),
	(2113, 'Lavan Island', 'Lavan Island', 'Iran', '', 'OIBV', 26.8103, 53.356289, 76, 3.5, 'E', 'Asia/Tehran'),
	(2114, 'Shahid Ashrafi Esfahani', 'Bakhtaran', 'Iran', 'KSH', 'OICC', 34.345853, 47.158128, 4301, 3.5, 'E', 'Asia/Tehran'),
	(2117, 'Sanandaj', 'Sanandaj', 'Iran', 'SDG', 'OICS', 35.245856, 47.009247, 4522, 3.5, 'E', 'Asia/Tehran'),
	(2118, 'Hesa', 'Daran', 'Iran', '', 'OIFE', 32.928889, 51.561111, 5256, 3.5, 'E', 'Asia/Tehran'),
	(2119, 'Shahid Vatan Pour Air Base', 'Esfahan', 'Iran', '', 'OIFH', 32.567039, 51.691594, 5310, 3.5, 'E', 'Asia/Tehran'),
	(2120, 'Kashan', 'Kashan', 'Iran', '', 'OIFK', 33.895333, 51.577044, 3465, 3.5, 'E', 'Asia/Tehran'),
	(2121, 'Esfahan Shahid Beheshti Intl', 'Esfahan', 'Iran', '', 'OIFM', 32.750836, 51.861267, 5059, 3.5, 'E', 'Asia/Tehran'),
	(2122, 'Badr Air Base', 'Sepah', 'Iran', '', 'OIFP', 32.621108, 51.697017, 5242, 3.5, 'E', 'Asia/Tehran'),
	(2123, 'Rasht', 'Rasht', 'Iran', 'RAS', 'OIGG', 37.325314, 49.605817, -40, 3.5, 'E', 'Asia/Tehran'),
	(2125, 'Arak', 'Arak', 'Iran', '', 'OIHR', 34.138147, 49.847292, 5440, 3.5, 'E', 'Asia/Tehran'),
	(2126, 'Ghazvin Azadi', 'Abe-ali', 'Iran', '', 'OIIA', 35.952097, 50.450778, 3769, 3.5, 'E', 'Asia/Tehran'),
	(2127, 'Kushke Nosrat', 'Kushke Nosrat', 'Iran', '', 'OIIC', 34.98395, 50.806219, 3008, 3.5, 'E', 'Asia/Tehran'),
	(2128, 'Doshan Tappeh', 'Teheran', 'Iran', '', 'OIID', 35.702983, 51.475131, 4046, 3.5, 'E', 'Asia/Tehran'),
	(2129, 'Imam Khomeini Intl', 'Abyek', 'Iran', '', 'OIIE', 35.416111, 51.152222, 3305, 3.5, 'E', 'Asia/Tehran'),
	(2130, 'Ghale Morghi', 'Teheran', 'Iran', '', 'OIIG', 35.644806, 51.380695, 3627, 3.5, 'E', 'Asia/Tehran'),
	(2131, 'Mehrabad Intl', 'Teheran', 'Iran', 'THR', 'OIII', 35.689167, 51.313416, 3962, 3.5, 'E', 'Asia/Tehran'),
	(2132, 'Ghazvin', 'Ghazvin', 'Iran', '', 'OIIK', 36.240061, 50.047153, 4184, 3.5, 'E', 'Asia/Tehran'),
	(2133, 'Naja', 'Khoram Dareh', 'Iran', '', 'OIIM', 35.776286, 50.881014, 4040, 3.5, 'E', 'Asia/Tehran'),
	(2134, 'Bandar Abbass Intl', 'Bandar Abbas', 'Iran', 'BND', 'OIKB', 27.218317, 56.37785, 22, 3.5, 'E', 'Asia/Tehran'),
	(2135, 'Jiroft', 'Jiroft', 'Iran', '', 'OIKJ', 28.726925, 57.670269, 2663, 3.5, 'E', 'Asia/Tehran'),
	(2136, 'Kerman', 'Kerman', 'Iran', 'KER', 'OIKK', 30.274444, 56.951111, 5741, 3.5, 'E', 'Asia/Tehran'),
	(2138, 'Havadarya', 'Bandar Abbas', 'Iran', '', 'OIKP', 27.158251, 56.172461, 19, 3.5, 'E', 'Asia/Tehran'),
	(2139, 'Dayrestan', 'Gheshm I.', 'Iran', '', 'OIKQ', 26.754639, 55.902353, 45, 3.5, 'E', 'Asia/Tehran'),
	(2141, 'Sirjan', 'Sirjan', 'Iran', '', 'OIKY', 29.550933, 55.672708, 5846, 3.5, 'E', 'Asia/Tehran'),
	(2142, 'Birjand', 'Birjand', 'Iran', 'XBJ', 'OIMB', 32.898056, 59.266111, 4952, 3.5, 'E', 'Asia/Tehran'),
	(2143, 'Sarakhs', 'Sarakhs', 'Iran', '', 'OIMC', 36.501178, 61.064903, 945, 3.5, 'E', 'Asia/Tehran'),
	(2144, 'Shahroud', 'Emam Shahr', 'Iran', '', 'OIMJ', 36.425094, 55.104833, 4197, 3.5, 'E', 'Asia/Tehran'),
	(2147, 'Tabas', 'Tabas', 'Iran', '', 'OIMT', 33.66775, 56.892675, 2312, 3.5, 'E', 'Asia/Tehran'),
	(2148, 'Kalaleh', 'Kalaleh', 'Iran', '', 'OINE', 37.383272, 55.452008, 425, 3.5, 'E', 'Asia/Tehran'),
	(2151, 'Ramsar', 'Ramsar', 'Iran', 'RZR', 'OINR', 36.909908, 50.679589, -70, 3.5, 'E', 'Asia/Tehran'),
	(2153, 'Fasa', 'Fasa', 'Iran', '', 'OISF', 28.891756, 53.723339, 4261, 3.5, 'E', 'Asia/Tehran'),
	(2154, 'Jahrom', 'Jahrom', 'Iran', '', 'OISJ', 28.586675, 53.579144, 3358, 3.5, 'E', 'Asia/Tehran'),
	(2156, 'Lamerd', 'Lamerd', 'Iran', '', 'OISR', 27.372744, 53.188794, 1337, 3.5, 'E', 'Asia/Tehran'),
	(2157, 'Shiraz Shahid Dastghaib Intl', 'Shiraz', 'Iran', 'SYZ', 'OISS', 29.539242, 52.589786, 4920, 3.5, 'E', 'Asia/Tehran'),
	(2158, 'Khoy', 'Khoy', 'Iran', '', 'OITK', 38.427453, 44.973575, 3981, 3.5, 'E', 'Asia/Tehran'),
	(2162, 'Tabriz Intl', 'Tabriz', 'Iran', 'TBZ', 'OITT', 38.133889, 46.235, 4459, 3.5, 'E', 'Asia/Tehran'),
	(2163, 'Zanjan', 'Zanjan', 'Iran', '', 'OITZ', 36.77365, 48.359422, 5382, 3.5, 'E', 'Asia/Tehran'),
	(2164, 'Yazd Shahid Sadooghi', 'Yazd', 'Iran', 'AZD', 'OIYY', 31.904908, 54.276503, 4054, 3.5, 'E', 'Asia/Tehran'),
	(2165, 'Zabol', 'Zabol', 'Iran', '', 'OIZB', 31.098333, 61.543889, 1628, 3.5, 'E', 'Asia/Tehran'),
	(2166, 'Chah Bahar', 'Chah Bahar', 'Iran', 'ZBR', 'OIZC', 25.44335, 60.382114, 43, 3.5, 'E', 'Asia/Tehran'),
	(2167, 'Zahedan Intl', 'Zahedan', 'Iran', 'ZAH', 'OIZH', 29.475686, 60.906189, 4564, 3.5, 'E', 'Asia/Tehran'),
	(2168, 'Iran Shahr', 'Iran Shahr', 'Iran', '', 'OIZI', 27.236117, 60.720039, 2040, 3.5, 'E', 'Asia/Tehran'),
	(2169, 'Saravan', 'Saravan', 'Iran', '', 'OIZS', 27.419261, 62.315789, 3930, 3.5, 'E', 'Asia/Tehran'),
	(2170, 'Queen Alia Intl', 'Amman', 'Jordan', 'AMM', 'OJAI', 31.722556, 35.993214, 2395, 2, 'E', 'Asia/Amman'),
	(2171, 'Marka Intl', 'Amman', 'Jordan', 'ADJ', 'OJAM', 31.972703, 35.991569, 2555, 2, 'E', 'Asia/Amman'),
	(2172, 'Aqaba King Hussein Intl', 'Aqaba', 'Jordan', 'AQJ', 'OJAQ', 29.611619, 35.018067, 175, 2, 'E', 'Asia/Amman'),
	(2173, 'Prince Hasan', 'Hotel Four', 'Jordan', '', 'OJHF', 32.160747, 37.149383, 2220, 2, 'E', 'Asia/Amman'),
	(2174, 'Jerusalem', 'Jerusalem', 'West Bank', '', 'OJJR', 31.864722, 35.219167, 2485, 2, 'U', 'Asia/Gaza'),
	(2175, 'King Hussein', 'Mafraq', 'Jordan', 'OMF', 'OJMF', 32.356353, 36.259181, 2240, 2, 'E', 'Asia/Amman'),
	(2176, 'Kuwait Intl', 'Kuwait', 'Kuwait', 'KWI', 'OKBK', 29.226567, 47.968928, 206, 3, 'U', 'Asia/Kuwait'),
	(2177, 'Rafic Hariri Intl', 'Beirut', 'Lebanon', 'BEY', 'OLBA', 33.820931, 35.488389, 87, 2, 'E', 'Asia/Beirut'),
	(2178, 'Rene Mouawad', 'Kleiat', 'Lebanon', '', 'OLKA', 34.589333, 36.011322, 75, 2, 'E', 'Asia/Beirut'),
	(2179, 'Abu Dhabi Intl', 'Abu Dhabi', 'United Arab Emirates', 'AUH', 'OMAA', 24.432972, 54.651138, 88, 4, 'U', 'Asia/Dubai'),
	(2180, 'Bateen', 'Abu Dhabi', 'United Arab Emirates', 'AZI', 'OMAD', 24.428333, 54.458084, 16, 4, 'U', 'Asia/Dubai'),
	(2181, 'Al Hamra Aux', 'Al Hamra', 'United Arab Emirates', '', 'OMAH', 24.073981, 52.463644, 50, 4, 'U', 'Asia/Dubai'),
	(2182, 'Jebel Dhana', 'Jebel Dhana', 'United Arab Emirates', '', 'OMAJ', 24.187428, 52.614, 43, 4, 'U', 'Asia/Dubai'),
	(2184, 'Al Dhafra', 'Abu Dhabi', 'United Arab Emirates', '', 'OMAM', 24.248249, 54.547722, 77, 4, 'U', 'Asia/Dubai'),
	(2185, 'Arzanah', 'Arzana', 'United Arab Emirates', '', 'OMAR', 24.780528, 52.559944, 15, 4, 'U', 'Asia/Dubai'),
	(2186, 'Das Island', 'Das Island', 'United Arab Emirates', '', 'OMAS', 25.146219, 52.873711, 12, 4, 'U', 'Asia/Dubai'),
	(2187, 'Zirku', 'Zirku', 'United Arab Emirates', '', 'OMAZ', 24.861542, 53.077833, 14, 4, 'U', 'Asia/Dubai'),
	(2188, 'Dubai Intl', 'Dubai', 'United Arab Emirates', 'DXB', 'OMDB', 25.252778, 55.364444, 62, 4, 'U', 'Asia/Dubai'),
	(2189, 'Fujairah Intl', 'Fujeirah', 'United Arab Emirates', 'FJR', 'OMFJ', 25.112225, 56.323964, 152, 4, 'U', 'Asia/Dubai'),
	(2190, 'Ras Al Khaimah Intl', 'Ras Al Khaimah', 'United Arab Emirates', 'RKT', 'OMRK', 25.613483, 55.938817, 102, 4, 'U', 'Asia/Dubai'),
	(2191, 'Sharjah Intl', 'Sharjah', 'United Arab Emirates', 'SHJ', 'OMSJ', 25.328575, 55.51715, 111, 4, 'U', 'Asia/Dubai'),
	(2192, 'Khasab', 'Khasab', 'Oman', 'KHS', 'OOKB', 26.170986, 56.240569, 100, 4, 'U', 'Asia/Muscat'),
	(2193, 'Masirah', 'Masirah', 'Oman', 'MSH', 'OOMA', 20.675434, 58.890467, 64, 4, 'U', 'Asia/Muscat'),
	(2194, 'Seeb Intl', 'Muscat', 'Oman', 'MCT', 'OOMS', 23.593278, 58.284444, 48, 4, 'U', 'Asia/Muscat'),
	(2195, 'Salalah', 'Salalah', 'Oman', 'SLL', 'OOSA', 17.038719, 54.091297, 73, 4, 'U', 'Asia/Muscat'),
	(2196, 'Thumrait', 'Thumrait', 'Oman', 'TTH', 'OOTH', 17.666, 54.024612, 1570, 4, 'U', 'Asia/Muscat'),
	(2197, 'Bhagatanwala', 'Bhagtanwala', 'Pakistan', '', 'OPBG', 32.056108, 72.9484, 600, 5, 'N', 'Asia/Karachi'),
	(2202, 'Faisalabad Intl', 'Faisalabad', 'Pakistan', 'LYP', 'OPFA', 31.365014, 72.994842, 591, 5, 'N', 'Asia/Karachi'),
	(2203, 'Gwadar', 'Gwadar', 'Pakistan', 'GWD', 'OPGD', 25.233308, 62.329494, 36, 5, 'N', 'Asia/Karachi'),
	(2204, 'Gilgit', 'Gilgit', 'Pakistan', 'GIL', 'OPGT', 35.918786, 74.333644, 4796, 5, 'N', 'Asia/Karachi'),
	(2205, 'Shahbaz Ab', 'Jacobsbad', 'Pakistan', '', 'OPJA', 28.284167, 68.449711, 185, 5, 'N', 'Asia/Karachi'),
	(2206, 'Jinnah Intl', 'Karachi', 'Pakistan', 'KHI', 'OPKC', 24.906547, 67.160797, 100, 5, 'N', 'Asia/Karachi'),
	(2207, 'Allama Iqbal Intl', 'Lahore', 'Pakistan', 'LHE', 'OPLA', 31.521564, 74.403594, 712, 5, 'N', 'Asia/Karachi'),
	(2208, 'Walton', 'Lahore', 'Pakistan', '', 'OPLH', 31.494794, 74.346239, 679, 5, 'N', 'Asia/Karachi'),
	(2209, 'Mangla', 'Mangla', 'Pakistan', '', 'OPMA', 33.050086, 73.638381, 902, 5, 'N', 'Asia/Karachi'),
	(2210, 'Muzaffarabad', 'Muzaffarabad', 'Pakistan', 'MFG', 'OPMF', 34.339022, 73.508639, 2691, 5, 'N', 'Asia/Karachi'),
	(2211, 'Mianwali', 'Mianwali', 'Pakistan', '', 'OPMI', 32.563089, 71.570681, 690, 5, 'N', 'Asia/Karachi'),
	(2212, 'Moenjodaro', 'Moenjodaro', 'Pakistan', 'MJD', 'OPMJ', 27.335156, 68.143053, 154, 5, 'N', 'Asia/Karachi'),
	(2213, 'Masroor', 'Karachi', 'Pakistan', '', 'OPMR', 24.893564, 66.938753, 35, 5, 'N', 'Asia/Karachi'),
	(2214, 'Multan Intl', 'Multan', 'Pakistan', 'MUX', 'OPMT', 30.203222, 71.419111, 403, 5, 'N', 'Asia/Karachi'),
	(2215, 'Nawabshah', 'Nawabshah', 'Pakistan', 'WNS', 'OPNH', 26.219442, 68.390053, 95, 5, 'N', 'Asia/Karachi'),
	(2216, 'Okara', 'Okara', 'Pakistan', '', 'OPOK', 30.741025, 73.357736, 568, 5, 'N', 'Asia/Karachi'),
	(2217, 'Panjgur', 'Panjgur', 'Pakistan', 'PJG', 'OPPG', 26.954547, 64.132517, 3289, 5, 'N', 'Asia/Karachi'),
	(2218, 'Pasni', 'Pasni', 'Pakistan', 'PSI', 'OPPI', 25.290487, 63.345083, 33, 5, 'N', 'Asia/Karachi'),
	(2219, 'Peshawar Intl', 'Peshawar', 'Pakistan', 'PEW', 'OPPS', 33.993911, 71.514581, 1158, 5, 'N', 'Asia/Karachi'),
	(2220, 'Qasim', 'Qasim', 'Pakistan', '', 'OPQS', 33.560153, 73.033217, 1581, 5, 'N', 'Asia/Karachi'),
	(2221, 'Quetta', 'Quetta', 'Pakistan', 'UET', 'OPQT', 30.251369, 66.937764, 5267, 5, 'N', 'Asia/Karachi'),
	(2222, 'Sheikh Zayed', 'Rahim Yar Khan', 'Pakistan', 'RYK', 'OPRK', 28.3839, 70.279572, 271, 5, 'N', 'Asia/Karachi'),
	(2223, 'Chaklala', 'Islamabad', 'Pakistan', 'ISB', 'OPRN', 33.616653, 73.099233, 1668, 5, 'N', 'Asia/Karachi'),
	(2224, 'Risalpur', 'Risalpur', 'Pakistan', '', 'OPRS', 34.081112, 71.972583, 1050, 5, 'N', 'Asia/Karachi'),
	(2225, 'Rawalakot', 'Rawala Kot', 'Pakistan', 'RAZ', 'OPRT', 33.849658, 73.798147, 5479, 5, 'N', 'Asia/Karachi'),
	(2227, 'Sukkur', 'Sukkur', 'Pakistan', 'SKZ', 'OPSK', 27.721989, 68.791683, 196, 5, 'N', 'Asia/Karachi'),
	(2228, 'Saidu Sharif', 'Saidu Sharif', 'Pakistan', 'SDT', 'OPSS', 34.813556, 72.352814, 3183, 5, 'N', 'Asia/Karachi'),
	(2229, 'Sui', 'Sui', 'Pakistan', 'SUL', 'OPSU', 28.645142, 69.176917, 763, 5, 'N', 'Asia/Karachi'),
	(2230, 'Talhar', 'Talhar', 'Pakistan', 'BDN', 'OPTH', 24.841519, 68.838408, 28, 5, 'N', 'Asia/Karachi'),
	(2232, 'Wana', 'Wana', 'Pakistan', '', 'OPWN', 32.304664, 69.570433, 4550, 5, 'N', 'Asia/Karachi'),
	(2233, 'Zhob', 'Zhob', 'Pakistan', 'PZH', 'OPZB', 31.358381, 69.463606, 4728, 5, 'N', 'Asia/Karachi'),
	(2234, 'Basrah Intl', 'Basrah', 'Iraq', 'BSR', 'ORMM', 30.549069, 47.662142, 11, 3, 'U', 'Asia/Baghdad'),
	(2235, 'Aleppo Intl', 'Aleppo', 'Syria', 'ALP', 'OSAP', 36.180675, 37.224358, 1276, 2, 'E', 'Asia/Damascus'),
	(2236, 'Damascus Intl', 'Damascus', 'Syria', 'DAM', 'OSDI', 33.410636, 36.514267, 2020, 2, 'E', 'Asia/Damascus'),
	(2237, 'Deir Zzor', 'Deire Zor', 'Syria', 'DEZ', 'OSDZ', 35.285374, 40.175961, 700, 2, 'E', 'Asia/Damascus'),
	(2239, 'Bassel Al Assad Intl', 'Latakia', 'Syria', 'LTK', 'OSLK', 35.401094, 35.948681, 157, 2, 'E', 'Asia/Damascus'),
	(2240, 'Palmyra', 'Palmyra', 'Syria', 'PMS', 'OSPR', 34.557361, 38.316889, 1322, 2, 'E', 'Asia/Damascus'),
	(2241, 'Doha Intl', 'Doha', 'Qatar', 'DOH', 'OTBD', 25.261125, 51.565056, 35, 3, 'U', 'Asia/Qatar'),
	(2242, 'Canton', 'Canton Island', 'Kiribati', 'CIS', 'PCIS', -2.768122, -171.710394, 9, 13, 'U', 'Pacific/Enderbury'),
	(2243, 'Rota Intl', 'Rota', 'Northern Mariana Islands', 'ROP', 'PGRO', 14.174308, 145.242536, 607, 10, 'U', 'Pacific/Saipan'),
	(2244, 'Francisco C Ada Saipan Intl', 'Saipan', 'Northern Mariana Islands', 'SPN', 'PGSN', 15.119003, 145.729356, 215, 10, 'U', 'Pacific/Saipan'),
	(2245, 'Andersen Afb', 'Andersen', 'Guam', 'UAM', 'PGUA', 13.583953, 144.930025, 627, 10, 'U', 'Pacific/Guam'),
	(2246, 'Guam Intl', 'Agana', 'Guam', 'GUM', 'PGUM', 13.48345, 144.795983, 298, 10, 'U', 'Pacific/Guam'),
	(2247, 'Tinian Intl', 'West Tinian', 'Northern Mariana Islands', 'TIQ', 'PGWT', 14.999203, 145.61935, 271, 10, 'U', 'Pacific/Saipan'),
	(2249, 'Marshall Islands Intl', 'Majuro', 'Marshall Islands', 'MAJ', 'PKMJ', 7.064758, 171.272022, 6, 12, 'U', 'Pacific/Majuro'),
	(2250, 'Dyess Aaf', 'Kwajalein', 'Marshall Islands', '', 'PKRO', 9.396886, 167.470869, 9, 12, 'U', 'Pacific/Majuro'),
	(2251, 'Bucholz Aaf', 'Kwajalein', 'Marshall Islands', 'KWA', 'PKWA', 8.720122, 167.731661, 9, 12, 'U', 'Pacific/Majuro'),
	(2252, 'Cassidy Intl', 'Kiritimati', 'Kiribati', 'CXI', 'PLCH', 1.986161, -157.349778, 5, -12, 'U', '\\N'),
	(2253, 'Midway Atoll', 'Midway', 'Midway Islands', 'MDY', 'PMDY', 28.201725, -177.380636, 13, -11, 'U', 'Pacific/Midway'),
	(2254, 'Chuuk Intl', 'Chuuk', 'Micronesia', 'TKK', 'PTKK', 7.461869, 151.843006, 11, 10, 'U', 'Pacific/Truk'),
	(2255, 'Pohnpei Intl', 'Pohnpei', 'Micronesia', 'PNI', 'PTPN', 6.9851, 158.208989, 10, 11, 'U', 'Pacific/Ponape'),
	(2256, 'Babelthuap', 'Babelthuap', 'Palau', 'ROR', 'PTRO', 7.367303, 134.544278, 176, 9, 'U', 'Pacific/Palau'),
	(2257, 'Kosrae', 'Kosrae', 'Micronesia', 'KSA', 'PTSA', 5.356975, 162.958386, 11, 11, 'U', 'Pacific/Kosrae'),
	(2258, 'Yap Intl', 'Yap', 'Micronesia', 'YAP', 'PTYA', 9.498911, 138.082497, 91, 10, 'U', 'Pacific/Truk'),
	(2259, 'Shang Yi', 'Kinmen', 'Taiwan', 'KNH', 'RCBS', 24.427892, 118.359197, 93, 8, 'U', 'Asia/Taipei'),
	(2260, 'Pingtung South', 'Pingtung', 'Taiwan', 'PIF', 'RCDC', 22.672367, 120.461728, 78, 8, 'U', 'Asia/Taipei'),
	(2261, 'Longtan', 'Longtang', 'Taiwan', '', 'RCDI', 24.855136, 121.237636, 790, 8, 'U', 'Asia/Taipei'),
	(2262, 'Fengnin', 'Fengnin', 'Taiwan', 'TTT', 'RCFN', 22.754986, 121.101681, 143, 8, 'U', 'Asia/Taipei'),
	(2263, 'Lyudao', 'Green Island', 'Taiwan', 'GNI', 'RCGI', 22.673853, 121.466481, 28, 8, 'U', 'Asia/Taipei'),
	(2264, 'Kaohsiung Intl', 'Kaohsiung', 'Taiwan', 'KHH', 'RCKH', 22.577094, 120.350006, 31, 8, 'U', 'Asia/Taipei'),
	(2265, 'Chiayi', 'Chiayi', 'Taiwan', 'CYI', 'RCKU', 23.461779, 120.39283, 85, 8, 'U', 'Asia/Taipei'),
	(2267, 'Lanyu', 'Lanyu', 'Taiwan', 'KYD', 'RCLY', 22.028842, 121.533642, 44, 8, 'U', 'Asia/Taipei'),
	(2268, 'Ching Chuang Kang', 'Taichung', 'Taiwan', 'RMQ', 'RCMQ', 24.264668, 120.62058, 663, 8, 'N', 'Asia/Taipei'),
	(2270, 'Tainan', 'Tainan', 'Taiwan', 'TNN', 'RCNN', 22.950361, 120.205778, 63, 8, 'U', 'Asia/Taipei'),
	(2271, 'Hsinchu', 'Hsinchu', 'Taiwan', '', 'RCPO', 24.818033, 120.939394, 26, 8, 'U', 'Asia/Taipei'),
	(2272, 'Magong', 'Makung', 'Taiwan', 'MZG', 'RCQC', 23.568669, 119.628311, 103, 8, 'U', 'Asia/Taipei'),
	(2273, 'Jhihhang', 'Taitung', 'Taiwan', '', 'RCQS', 22.793117, 121.181975, 128, 8, 'U', 'Asia/Taipei'),
	(2274, 'Pingtung North', 'Pingtung', 'Taiwan', '', 'RCSQ', 22.700239, 120.482, 97, 8, 'U', 'Asia/Taipei'),
	(2275, 'Sungshan', 'Taipei', 'Taiwan', 'TSA', 'RCSS', 25.069722, 121.5525, 18, 8, 'U', 'Asia/Taipei'),
	(2276, 'Taoyuan Intl', 'Taipei', 'Taiwan', 'TPE', 'RCTP', 25.077731, 121.232822, 106, 8, 'U', 'Asia/Taipei'),
	(2277, 'Wang An', 'Wang An', 'Taiwan', 'WOT', 'RCWA', 23.370833, 119.494444, 115, 8, 'U', 'Asia/Taipei'),
	(2278, 'Hualien', 'Hualien', 'Taiwan', 'HUN', 'RCYU', 24.023725, 121.616906, 52, 8, 'U', 'Asia/Taipei'),
	(2279, 'Narita Intl', 'Tokyo', 'Japan', 'NRT', 'RJAA', 35.764722, 140.386389, 141, 9, 'U', 'Asia/Tokyo'),
	(2280, 'Matsumoto', 'Matsumoto', 'Japan', 'MMJ', 'RJAF', 36.166758, 137.922669, 2182, 9, 'U', 'Asia/Tokyo'),
	(2281, 'Hyakuri', 'Ibaraki', 'Japan', 'IBR', 'RJAH', 36.181083, 140.415444, 105, 9, 'U', 'Asia/Tokyo'),
	(2282, 'Minami Torishima', 'Minami Tori Shima', 'Japan', '', 'RJAM', 24.289697, 153.979119, 22, 9, 'U', 'Asia/Tokyo'),
	(2283, 'Iwo Jima', 'Iwojima', 'Japan', 'IWO', 'RJAW', 24.784, 141.322722, 384, 9, 'U', 'Asia/Tokyo'),
	(2284, 'Nanki Shirahama', 'Nanki-shirahama', 'Japan', 'SHM', 'RJBD', 33.662222, 135.364444, 298, 9, 'U', 'Asia/Tokyo'),
	(2285, 'Kohnan', 'Kohnan', 'Japan', '', 'RJBK', 34.590836, 133.933225, 3, 9, 'U', 'Asia/Tokyo'),
	(2286, 'Obihiro', 'Obihiro', 'Japan', 'OBO', 'RJCB', 42.733333, 143.217222, 505, 9, 'U', 'Asia/Tokyo'),
	(2287, 'New Chitose', 'Sapporo', 'Japan', 'CTS', 'RJCC', 42.7752, 141.692283, 82, 9, 'U', 'Asia/Tokyo'),
	(2288, 'Hakodate', 'Hakodate', 'Japan', 'HKD', 'RJCH', 41.77, 140.821944, 151, 9, 'U', 'Asia/Tokyo'),
	(2289, 'Chitose', 'Chitose', 'Japan', 'SPK', 'RJCJ', 42.794475, 141.666447, 87, 9, 'U', 'Asia/Tokyo'),
	(2290, 'Memanbetsu', 'Memanbetsu', 'Japan', 'MMB', 'RJCM', 43.880606, 144.164053, 135, 9, 'U', 'Asia/Tokyo'),
	(2291, 'Nakashibetsu', 'Nakashibetsu', 'Japan', 'SHB', 'RJCN', 43.5775, 144.96, 234, 9, 'U', 'Asia/Tokyo'),
	(2293, 'Tokachi', 'Tokachi', 'Japan', '', 'RJCT', 42.890544, 143.158475, 281, 9, 'U', 'Asia/Tokyo'),
	(2294, 'Wakkanai', 'Wakkanai', 'Japan', 'WKJ', 'RJCW', 45.404167, 141.800833, 30, 9, 'U', 'Asia/Tokyo'),
	(2295, 'Iki', 'Iki', 'Japan', 'IKI', 'RJDB', 33.749027, 129.785417, 41, 9, 'U', 'Asia/Tokyo'),
	(2296, 'Yamaguchi Ube', 'Yamaguchi', 'Japan', 'UBJ', 'RJDC', 33.93, 131.278611, 23, 9, 'U', 'Asia/Tokyo'),
	(2297, 'Tsushima', 'Tsushima', 'Japan', 'TSJ', 'RJDT', 34.284889, 129.33055, 213, 9, 'U', 'Asia/Tokyo'),
	(2298, 'Monbetsu', 'Monbetsu', 'Japan', 'MBE', 'RJEB', 44.303914, 143.404028, 80, 9, 'U', 'Asia/Tokyo'),
	(2299, 'Asahikawa', 'Asahikawa', 'Japan', 'AKJ', 'RJEC', 43.670833, 142.4475, 721, 9, 'U', 'Asia/Tokyo'),
	(2300, 'Okushiri', 'Okushiri', 'Japan', 'OIR', 'RJEO', 42.071667, 139.432911, 161, 9, 'U', 'Asia/Tokyo'),
	(2301, 'Rishiri', 'Rishiri Island', 'Japan', 'RIS', 'RJER', 45.242006, 141.186431, 112, 9, 'U', 'Asia/Tokyo'),
	(2302, 'Ashiya', 'Ashiya', 'Japan', '', 'RJFA', 33.883083, 130.653, 98, 9, 'U', 'Asia/Tokyo'),
	(2303, 'Yakushima', 'Yakushima', 'Japan', 'KUM', 'RJFC', 30.385569, 130.659017, 124, 9, 'U', 'Asia/Tokyo'),
	(2304, 'Fukue', 'Fukue', 'Japan', 'FUJ', 'RJFE', 32.666269, 128.832808, 273, 9, 'U', 'Asia/Tokyo'),
	(2305, 'Fukuoka', 'Fukuoka', 'Japan', 'FUK', 'RJFF', 33.585942, 130.450686, 32, 9, 'U', 'Asia/Tokyo'),
	(2306, 'New Tanegashima', 'Tanegashima', 'Japan', 'TNE', 'RJFG', 30.605067, 130.991231, 768, 9, 'U', 'Asia/Tokyo'),
	(2307, 'Kagoshima', 'Kagoshima', 'Japan', 'KOJ', 'RJFK', 31.803397, 130.719408, 906, 9, 'U', 'Asia/Tokyo'),
	(2308, 'Miyazaki', 'Miyazaki', 'Japan', 'KMI', 'RJFM', 31.877222, 131.448611, 20, 9, 'U', 'Asia/Tokyo'),
	(2309, 'Nyutabaru', 'Nyutabaru', 'Japan', '', 'RJFN', 32.083611, 131.451389, 259, 9, 'U', 'Asia/Tokyo'),
	(2310, 'Oita', 'Oita', 'Japan', 'OIT', 'RJFO', 33.479444, 131.737222, 19, 9, 'U', 'Asia/Tokyo'),
	(2311, 'New Kitakyushu', 'Kitakyushu', 'Japan', 'KKJ', 'RJFR', 33.845942, 131.034689, 21, 9, 'U', 'Asia/Tokyo'),
	(2312, 'Kumamoto', 'Kumamoto', 'Japan', 'KMJ', 'RJFT', 32.837319, 130.85505, 642, 9, 'U', 'Asia/Tokyo'),
	(2313, 'Nagasaki', 'Nagasaki', 'Japan', 'NGS', 'RJFU', 32.916944, 129.913611, 15, 9, 'U', 'Asia/Tokyo'),
	(2314, 'Kanoya', 'Kanoya', 'Japan', '', 'RJFY', 31.367608, 130.845456, 214, 9, 'U', 'Asia/Tokyo'),
	(2315, 'Tsuiki', 'Tsuiki', 'Japan', '', 'RJFZ', 33.685, 131.040278, 55, 9, 'U', 'Asia/Tokyo'),
	(2316, 'Amami', 'Amami', 'Japan', 'ASJ', 'RJKA', 28.430633, 129.712542, 27, 9, 'U', 'Asia/Tokyo'),
	(2317, 'Okierabu', 'Okierabu', 'Japan', '', 'RJKB', 27.425522, 128.700903, 101, 9, 'U', 'Asia/Tokyo'),
	(2318, 'Tokunoshima', 'Tokunoshima', 'Japan', 'TKN', 'RJKN', 27.836381, 128.881253, 17, 9, 'U', 'Asia/Tokyo'),
	(2319, 'Fukui', 'Fukui', 'Japan', '', 'RJNF', 36.142847, 136.223922, 19, 9, 'U', 'Asia/Tokyo'),
	(2320, 'Gifu', 'Gifu', 'Japan', '', 'RJNG', 35.394078, 136.869667, 128, 9, 'U', 'Asia/Tokyo'),
	(2321, 'Hamamatsu', 'Hamamatsu', 'Japan', '', 'RJNH', 34.750239, 137.703083, 150, 9, 'U', 'Asia/Tokyo'),
	(2322, 'Komatsu', 'Kanazawa', 'Japan', 'KMQ', 'RJNK', 36.394611, 136.406544, 36, 9, 'U', 'Asia/Tokyo'),
	(2323, 'Oki', 'Oki Island', 'Japan', 'OKI', 'RJNO', 36.181125, 133.324844, 311, 9, 'U', 'Asia/Tokyo'),
	(2324, 'Toyama', 'Toyama', 'Japan', 'TOY', 'RJNT', 36.648333, 137.1875, 95, 9, 'U', 'Asia/Tokyo'),
	(2325, 'Shizuhama', 'Yaizu', 'Japan', '', 'RJNY', 34.812778, 138.298056, 23, 9, 'U', 'Asia/Tokyo'),
	(2326, 'Hiroshima', 'Hiroshima', 'Japan', 'HIJ', 'RJOA', 34.436111, 132.919444, 1088, 9, 'U', 'Asia/Tokyo'),
	(2327, 'Okayama', 'Okayama', 'Japan', 'OKJ', 'RJOB', 34.756944, 133.855278, 806, 9, 'U', 'Asia/Tokyo'),
	(2328, 'Izumo', 'Izumo', 'Japan', 'IZO', 'RJOC', 35.413611, 132.89, 15, 9, 'U', 'Asia/Tokyo'),
	(2329, 'Hofu', 'Hofu', 'Japan', '', 'RJOF', 34.034667, 131.549194, 7, 9, 'U', 'Asia/Tokyo'),
	(2330, 'Yonago Kitaro', 'Miho', 'Japan', 'YGJ', 'RJOH', 35.492222, 133.236389, 20, 9, 'U', 'Asia/Tokyo'),
	(2331, 'Iwakuni Mcas', 'Iwakuni', 'Japan', '', 'RJOI', 34.14386, 132.23575, 7, 9, 'U', 'Asia/Tokyo'),
	(2332, 'Kochi', 'Kochi', 'Japan', 'KCZ', 'RJOK', 33.546111, 133.669444, 42, 9, 'U', 'Asia/Tokyo'),
	(2333, 'Matsuyama', 'Matsuyama', 'Japan', 'MYJ', 'RJOM', 33.827222, 132.699722, 25, 9, 'U', 'Asia/Tokyo'),
	(2334, 'Osaka Intl', 'Osaka', 'Japan', 'ITM', 'RJOO', 34.785528, 135.438222, 50, 9, 'U', 'Asia/Tokyo'),
	(2335, 'Tottori', 'Tottori', 'Japan', 'TTJ', 'RJOR', 35.530069, 134.166553, 65, 9, 'U', 'Asia/Tokyo'),
	(2336, 'Tokushima', 'Tokushima', 'Japan', 'TKS', 'RJOS', 34.132808, 134.606639, 26, 9, 'U', 'Asia/Tokyo'),
	(2337, 'Takamatsu', 'Takamatsu', 'Japan', 'TAK', 'RJOT', 34.214167, 134.015556, 607, 9, 'U', 'Asia/Tokyo'),
	(2338, 'Yao', 'Osaka', 'Japan', '', 'RJOY', 34.596311, 135.602944, 39, 9, 'U', 'Asia/Tokyo'),
	(2339, 'Ozuki', 'Ozuki', 'Japan', '', 'RJOZ', 34.045322, 131.052144, 13, 9, 'U', 'Asia/Tokyo'),
	(2340, 'Aomori', 'Aomori', 'Japan', 'AOJ', 'RJSA', 40.734722, 140.690833, 664, 9, 'U', 'Asia/Tokyo'),
	(2341, 'Yamagata', 'Yamagata', 'Japan', 'GAJ', 'RJSC', 38.411894, 140.371331, 353, 9, 'U', 'Asia/Tokyo'),
	(2342, 'Sado', 'Sado', 'Japan', '', 'RJSD', 38.060181, 138.413928, 88, 9, 'U', 'Asia/Tokyo'),
	(2343, 'Hachinohe', 'Hachinoe', 'Japan', '', 'RJSH', 40.556447, 141.466325, 152, 9, 'U', 'Asia/Tokyo'),
	(2344, 'Hanamaki', 'Hanamaki', 'Japan', 'HNA', 'RJSI', 39.428611, 141.135278, 297, 9, 'U', 'Asia/Tokyo'),
	(2345, 'Akita', 'Akita', 'Japan', 'AXT', 'RJSK', 39.615556, 140.218611, 313, 9, 'U', 'Asia/Tokyo'),
	(2346, 'Misawa Ab', 'Misawa', 'Japan', 'MSJ', 'RJSM', 40.703222, 141.368364, 119, 9, 'U', 'Asia/Tokyo'),
	(2347, 'Sendai', 'Sendai', 'Japan', 'SDJ', 'RJSS', 38.139722, 140.916944, 15, 9, 'U', 'Asia/Tokyo'),
	(2348, 'Matsushima', 'Matsushima', 'Japan', '', 'RJST', 38.404919, 141.219572, 7, 9, 'U', 'Asia/Tokyo'),
	(2350, 'Atsugi Naf', 'Atsugi', 'Japan', '', 'RJTA', 35.454611, 139.450167, 205, 9, 'U', 'Asia/Tokyo'),
	(2351, 'Tateyama', 'Tateyama', 'Japan', '', 'RJTE', 34.987053, 139.829208, 10, 9, 'U', 'Asia/Tokyo'),
	(2352, 'Hachijojima', 'Hachijojima', 'Japan', 'HAC', 'RJTH', 33.115, 139.785833, 303, 9, 'U', 'Asia/Tokyo'),
	(2353, 'Iruma', 'Iruma', 'Japan', '', 'RJTJ', 35.841944, 139.410556, 295, 9, 'U', 'Asia/Tokyo'),
	(2354, 'Kisarazu', 'Kisarazu', 'Japan', '', 'RJTK', 35.398272, 139.909936, 10, 9, 'U', 'Asia/Tokyo'),
	(2355, 'Shimofusa', 'Shimofusa', 'Japan', '', 'RJTL', 35.798944, 140.011111, 98, 9, 'U', 'Asia/Tokyo'),
	(2356, 'Oshima', 'Oshima', 'Japan', 'OIM', 'RJTO', 34.782033, 139.360306, 130, 9, 'U', 'Asia/Tokyo'),
	(2358, 'Kastner Aaf', 'Zama', 'Japan', '', 'RJTR', 35.513769, 139.393675, 360, 9, 'U', 'Asia/Tokyo'),
	(2359, 'Tokyo Intl', 'Tokyo', 'Japan', 'HND', 'RJTT', 35.552258, 139.779694, 35, 9, 'U', 'Asia/Tokyo'),
	(2360, 'Yokota Ab', 'Yokota', 'Japan', 'OKO', 'RJTY', 35.748492, 139.348483, 463, 9, 'U', 'Asia/Tokyo'),
	(2361, 'Gwangju', 'Kwangju', 'South Korea', 'KWJ', 'RKJJ', 35.126389, 126.808889, 39, 9, 'U', 'Asia/Seoul'),
	(2364, 'Jeon Ju', 'Jhunju', 'South Korea', '', 'RKJU', 35.878436, 127.11955, 96, 9, 'U', 'Asia/Seoul'),
	(2365, 'Yeosu', 'Yeosu', 'South Korea', 'RSU', 'RKJY', 34.842328, 127.61685, 53, 9, 'U', 'Asia/Seoul'),
	(2366, 'Sokcho', 'Sokch\'o', 'South Korea', 'SHO', 'RKND', 38.142614, 128.598556, 92, 9, 'U', 'Asia/Seoul'),
	(2367, 'Gangneung', 'Kangnung', 'South Korea', 'KAG', 'RKNN', 37.753561, 128.943625, 35, 9, 'U', 'Asia/Seoul'),
	(2370, 'Jeju Intl', 'Cheju', 'South Korea', 'CJU', 'RKPC', 33.511306, 126.493028, 118, 9, 'U', 'Asia/Seoul'),
	(2371, 'Jinhae', 'Chinhae', 'South Korea', '', 'RKPE', 35.141175, 128.695792, 8, 9, 'U', 'Asia/Seoul'),
	(2372, 'Gimhae Intl', 'Busan', 'South Korea', 'PUS', 'RKPK', 35.179528, 128.938222, 6, 9, 'U', 'Asia/Seoul'),
	(2374, 'Ulsan', 'Ulsan', 'South Korea', 'USN', 'RKPU', 35.593494, 129.351722, 45, 9, 'U', 'Asia/Seoul'),
	(2375, 'A 511', 'Pyongtaek', 'South Korea', '', 'RKSG', 36.962214, 127.031072, 51, 9, 'U', 'Asia/Seoul'),
	(2376, 'Seoul Ab', 'Seoul East', 'South Korea', 'SSN', 'RKSM', 37.445833, 127.113889, 92, 9, 'U', 'Asia/Seoul'),
	(2377, 'Osan Ab', 'Osan', 'South Korea', 'OSN', 'RKSO', 37.090617, 127.029594, 40, 9, 'U', 'Asia/Seoul'),
	(2378, 'Gimpo', 'Seoul', 'South Korea', 'GMP', 'RKSS', 37.558311, 126.790586, 58, 9, 'U', 'Asia/Seoul'),
	(2379, 'Suwon', 'Suwon', 'South Korea', '', 'RKSW', 37.239406, 127.007053, 88, 9, 'U', 'Asia/Seoul'),
	(2380, 'Pohang', 'Pohang', 'South Korea', 'KPO', 'RKTH', 35.987858, 129.420486, 70, 9, 'U', 'Asia/Seoul'),
	(2381, 'Daegu Ab', 'Taegu', 'South Korea', 'TAE', 'RKTN', 35.894108, 128.658856, 116, 9, 'U', 'Asia/Seoul'),
	(2383, 'Yecheon', 'Yechon', 'South Korea', 'YEC', 'RKTY', 36.631933, 128.35485, 354, 9, 'U', 'Asia/Seoul'),
	(2384, 'Naha', 'Okinawa', 'Japan', 'OKA', 'ROAH', 26.195814, 127.645869, 12, 9, 'N', 'Asia/Tokyo'),
	(2385, 'Ie Shima Aux Ab', 'Iejima', 'Japan', '', 'RODE', 26.728775, 127.761775, 184, 9, 'U', 'Asia/Tokyo'),
	(2386, 'Kadena Ab', 'Kadena', 'Japan', 'DNA', 'RODN', 26.355612, 127.767633, 143, 9, 'U', 'Asia/Tokyo'),
	(2387, 'Ishigaki', 'Ishigaki', 'Japan', 'ISG', 'ROIG', 24.344525, 124.186983, 93, 9, 'U', 'Asia/Tokyo'),
	(2388, 'Kumejima', 'Kumejima', 'Japan', 'UEO', 'ROKJ', 26.363506, 126.713806, 23, 9, 'U', 'Asia/Tokyo'),
	(2389, 'Minami Daito', 'Minami Daito', 'Japan', 'MMD', 'ROMD', 25.846533, 131.263494, 167, 9, 'U', 'Asia/Tokyo'),
	(2390, 'Miyako', 'Miyako', 'Japan', 'MMY', 'ROMY', 24.782833, 125.295111, 150, 9, 'U', 'Asia/Tokyo'),
	(2391, 'Kitadaito', 'Kitadaito', 'Japan', 'KTD', 'RORK', 25.944722, 131.326944, 80, 9, 'U', 'Asia/Tokyo'),
	(2392, 'Shimojishima', 'Shimojishima', 'Japan', 'SHI', 'RORS', 24.826667, 125.144722, 54, 9, 'U', 'Asia/Tokyo'),
	(2393, 'Tarama', 'Tarama', 'Japan', '', 'RORT', 24.653889, 124.675278, 36, 9, 'U', 'Asia/Tokyo'),
	(2394, 'Yoron', 'Yoron', 'Japan', 'RNJ', 'RORY', 27.043964, 128.401517, 52, 9, 'U', 'Asia/Tokyo'),
	(2395, 'Futenma Mcas', 'Futema', 'Japan', '', 'ROTM', 26.274275, 127.756494, 247, 9, 'U', 'Asia/Tokyo'),
	(2396, 'Yonaguni', 'Yonaguni Jima', 'Japan', 'OGN', 'ROYN', 24.466944, 122.977778, 70, 9, 'U', 'Asia/Tokyo'),
	(2397, 'Ninoy Aquino Intl', 'Manila', 'Philippines', 'MNL', 'RPLL', 14.508647, 121.019581, 75, 8, 'N', 'Asia/Manila'),
	(2399, 'Cotabato', 'Cotabato', 'Philippines', 'CBO', 'RPMC', 7.165242, 124.209619, 189, 8, 'N', 'Asia/Manila'),
	(2400, 'Cagayan De Oro', 'Ladag', 'Philippines', 'CGY', 'RPML', 8.415619, 124.611219, 601, 8, 'N', 'Asia/Manila'),
	(2401, 'Pagadian', 'Pagadian', 'Philippines', 'PAG', 'RPMP', 7.827197, 123.458294, 5, 8, 'N', 'Asia/Manila'),
	(2402, 'Tambler', 'Romblon', 'Philippines', '', 'RPMR', 6.058003, 125.096033, 505, 8, 'N', 'Asia/Manila'),
	(2404, 'Zamboanga Intl', 'Zamboanga', 'Philippines', 'ZAM', 'RPMZ', 6.922419, 122.059633, 33, 8, 'N', 'Asia/Manila'),
	(2405, 'Baguio', 'Baguio', 'Philippines', 'BAG', 'RPUB', 16.375103, 120.619636, 4251, 8, 'N', 'Asia/Manila'),
	(2406, 'Daet', 'Daet', 'Philippines', '', 'RPUD', 14.129167, 122.980181, 10, 8, 'N', 'Asia/Manila'),
	(2407, 'Basa Ab', 'Floridablanca', 'Philippines', '', 'RPUF', 14.986527, 120.4925, 151, 8, 'N', 'Asia/Manila'),
	(2408, 'Lingayen', 'Lingayen', 'Philippines', '', 'RPUG', 16.034786, 120.241106, 7, 8, 'N', 'Asia/Manila'),
	(2409, 'San Jose', 'San Jose', 'Philippines', '', 'RPUH', 12.361517, 121.046639, 14, 8, 'N', 'Asia/Manila'),
	(2410, 'Fernando Ab', 'Lipa', 'Philippines', '', 'RPUL', 13.955017, 121.124925, 1220, 8, 'N', 'Asia/Manila'),
	(2411, 'Mamburao', 'Mamburao', 'Philippines', '', 'RPUM', 13.208092, 120.60535, 13, 8, 'N', 'Asia/Manila'),
	(2414, 'Vigan', 'Vigan', 'Philippines', '', 'RPUQ', 17.555331, 120.355797, 16, 8, 'N', 'Asia/Manila'),
	(2415, 'Baler', 'Baler', 'Philippines', '', 'RPUR', 15.729836, 121.500133, 108, 8, 'N', 'Asia/Manila'),
	(2421, 'Bagabag', 'Bagabag', 'Philippines', '', 'RPUZ', 16.619194, 121.252319, 820, 8, 'N', 'Asia/Manila'),
	(2422, 'Daniel Z Romualdez', 'Tacloban', 'Philippines', 'TAC', 'RPVA', 11.227628, 125.027758, 10, 8, 'N', 'Asia/Manila'),
	(2423, 'Bacolod', 'Bacolod', 'Philippines', 'BCD', 'RPVB', 10.642511, 122.929617, 25, 8, 'N', 'Asia/Manila'),
	(2425, 'Dumaguete', 'Dumaguete', 'Philippines', 'DGT', 'RPVD', 9.333714, 123.300472, 15, 8, 'N', 'Asia/Manila'),
	(2426, 'Caticlan', 'Caticlan', 'Philippines', '', 'RPVE', 11.924503, 121.95405, 7, 8, 'N', 'Asia/Manila'),
	(2428, 'Guiuan', 'Guiuan', 'Philippines', '', 'RPVG', 11.035544, 125.741594, 7, 8, 'N', 'Asia/Manila'),
	(2429, 'Iloilo', 'Iloilo', 'Philippines', 'ILO', 'RPVI', 10.713044, 122.545297, 27, 8, 'N', 'Asia/Manila'),
	(2430, 'Kalibo', 'Kalibo', 'Philippines', 'KLO', 'RPVK', 11.679431, 122.376294, 14, 8, 'N', 'Asia/Manila'),
	(2431, 'Mactan Cebu Intl', 'Masbate', 'Philippines', '', 'RPVM', 10.307542, 123.979439, 31, 8, 'N', 'Asia/Manila'),
	(2433, 'Puerto Princesa', 'Puerto Princesa', 'Philippines', 'PPS', 'RPVP', 9.742119, 118.758731, 71, 8, 'N', 'Asia/Manila'),
	(2435, 'Antique', 'San Jose', 'Philippines', 'SJI', 'RPVS', 10.766044, 121.933439, 23, 8, 'N', 'Asia/Manila'),
	(2436, 'Comodoro Pierrestegui', 'Concordia', 'Argentina', 'COC', 'SAAC', -31.296944, -57.996631, 112, -3, 'N', 'America/Cordoba'),
	(2437, 'Gualeguaychu', 'Gualeguaychu', 'Argentina', 'GHU', 'SAAG', -33.010278, -58.613056, 75, -3, 'N', 'America/Cordoba'),
	(2438, 'Junin', 'Junin', 'Argentina', '', 'SAAJ', -34.545889, -60.930556, 262, -3, 'N', 'America/Cordoba'),
	(2439, 'General Urquiza', 'Parana', 'Argentina', 'PRA', 'SAAP', -31.794778, -60.480361, 243, -3, 'N', 'America/Cordoba'),
	(2440, 'Rosario', 'Rosario', 'Argentina', 'ROS', 'SAAR', -32.903611, -60.785, 85, -3, 'N', 'America/Cordoba'),
	(2441, 'Sauce Viejo', 'Santa Fe', 'Argentina', 'SFN', 'SAAV', -31.711666, -60.811668, 56, -3, 'N', 'America/Cordoba'),
	(2442, 'Aeroparque Jorge Newbery', 'Buenos Aires', 'Argentina', 'AEP', 'SABE', -34.559175, -58.415606, 18, -3, 'N', 'America/Cordoba'),
	(2443, 'Ambrosio L V Taravella', 'Cordoba', 'Argentina', 'COR', 'SACO', -31.323619, -64.207953, 1604, -3, 'N', 'America/Cordoba'),
	(2444, 'Chamical', 'Gobernador Gordillo', 'Argentina', '', 'SACT', -30.345278, -66.29361, 1503, -3, 'N', 'America/Cordoba'),
	(2445, 'San Fernando', 'San Fernando', 'Argentina', '', 'SADF', -34.453189, -58.589644, 10, -3, 'N', 'America/Cordoba'),
	(2446, 'Mariano Moreno', 'Jose C. Paz', 'Argentina', '', 'SADJ', -34.56065, -58.789564, 105, -3, 'N', 'America/Cordoba'),
	(2447, 'La Plata', 'La Plata', 'Argentina', 'LPG', 'SADL', -34.972222, -57.894694, 72, -3, 'N', 'America/Cordoba'),
	(2448, 'Moron', 'Moron', 'Argentina', '', 'SADM', -34.676317, -58.642756, 95, -3, 'N', 'America/Cordoba'),
	(2449, 'El Palomar', 'El Palomar', 'Argentina', '', 'SADP', -34.609939, -58.612592, 59, -3, 'N', 'America/Cordoba'),
	(2450, 'Chos Malal', 'Chosmadal', 'Argentina', '', 'SAHC', -37.444692, -70.222469, 2788, -3, 'N', 'America/Cordoba'),
	(2451, 'General Roca', 'Fuerte Gral Roca', 'Argentina', '', 'SAHR', -39.000672, -67.620514, 853, -3, 'N', 'America/Cordoba'),
	(2452, 'El Plumerillo', 'Mendoza', 'Argentina', 'MDZ', 'SAME', -32.831717, -68.792856, 2310, -3, 'N', 'America/Cordoba'),
	(2453, 'Malargue', 'Malargue', 'Argentina', 'LGS', 'SAMM', -35.493597, -69.574267, 4683, -3, 'N', 'America/Cordoba'),
	(2454, 'San Rafael', 'San Rafael', 'Argentina', 'AFA', 'SAMR', -34.588314, -68.403854, 2470, -3, 'N', 'America/Cordoba'),
	(2455, 'Catamarca', 'Catamarca', 'Argentina', 'CTC', 'SANC', -28.593214, -65.750925, 1522, -3, 'N', 'America/Cordoba'),
	(2456, 'Santiago Del Estero', 'Santiago Del Estero', 'Argentina', 'SDE', 'SANE', -27.765617, -64.310122, 656, -3, 'N', 'America/Cordoba'),
	(2457, 'Tinogasta', 'Tinogasta', 'Argentina', '', 'SANI', -28.03775, -67.580314, 3968, -3, 'N', 'America/Cordoba'),
	(2458, 'La Rioja', 'La Rioja', 'Argentina', 'IRJ', 'SANL', -29.381636, -66.795839, 1436, -3, 'N', 'America/Cordoba'),
	(2459, 'Chilecito', 'Chilecito', 'Argentina', '', 'SANO', -29.223888, -67.438889, 3099, -3, 'N', 'America/Cordoba'),
	(2460, 'Teniente Benjamin Matienzo', 'Tucuman', 'Argentina', 'TUC', 'SANT', -26.840861, -65.104944, 1495, -3, 'N', 'America/Cordoba'),
	(2461, 'San Juan', 'San Julian', 'Argentina', 'UAQ', 'SANU', -31.571472, -68.418194, 1959, -3, 'N', 'America/Cordoba'),
	(2462, 'Rio Cuarto Area De Material', 'Rio Cuarto', 'Argentina', 'RCU', 'SAOC', -33.085128, -64.261314, 1381, -3, 'N', 'America/Cordoba'),
	(2463, 'Villa Dolores', 'Villa Dolores', 'Argentina', 'VDR', 'SAOD', -31.945183, -65.146283, 1915, -3, 'N', 'America/Cordoba'),
	(2464, 'Laboulaye', 'Laboulaye', 'Argentina', '', 'SAOL', -34.135444, -63.36225, 449, -3, 'N', 'America/Cordoba'),
	(2465, 'Marcos Juarez', 'Marcos Juarez', 'Argentina', '', 'SAOM', -32.683639, -62.157792, 361, -3, 'N', 'America/Cordoba'),
	(2466, 'Villa Reynolds', 'Villa Reynolds', 'Argentina', '', 'SAOR', -33.725144, -65.378086, 1591, -3, 'N', 'America/Cordoba'),
	(2467, 'San Luis', 'San Luis', 'Argentina', 'LUQ', 'SAOU', -33.273192, -66.356422, 2329, -3, 'N', 'America/Cordoba'),
	(2468, 'Corrientes', 'Corrientes', 'Argentina', 'CNQ', 'SARC', -27.445503, -58.761864, 203, -3, 'N', 'America/Cordoba'),
	(2469, 'Resistencia', 'Resistencia', 'Argentina', 'RES', 'SARE', -27.449986, -59.056125, 173, -3, 'N', 'America/Cordoba'),
	(2470, 'Formosa', 'Formosa', 'Argentina', 'FMA', 'SARF', -26.212722, -58.228111, 194, -3, 'N', 'America/Cordoba'),
	(2471, 'Cataratas Del Iguazu', 'Iguazu Falls', 'Argentina', 'IGR', 'SARI', -25.737281, -54.473444, 916, -3, 'N', 'America/Cordoba'),
	(2472, 'Paso De Los Libres', 'Paso De Los Libres', 'Argentina', 'AOL', 'SARL', -29.689425, -57.152078, 230, -3, 'N', 'America/Cordoba'),
	(2473, 'Monte Caseros', 'Monte Caseros', 'Argentina', '', 'SARM', -30.271922, -57.640231, 174, -3, 'N', 'America/Cordoba'),
	(2474, 'Posadas', 'Posadas', 'Argentina', 'PSS', 'SARP', -27.385839, -55.970728, 430, -3, 'N', 'America/Cordoba'),
	(2475, 'Termal', 'Presidencia R.s.pena', 'Argentina', '', 'SARS', -26.756519, -60.493103, 307, -3, 'N', 'America/Cordoba'),
	(2476, 'Salta', 'Salta', 'Argentina', 'SLA', 'SASA', -24.855978, -65.486169, 4088, -3, 'N', 'America/Cordoba'),
	(2477, 'Jujuy', 'Jujuy', 'Argentina', 'JUJ', 'SASJ', -24.392778, -65.097778, 3019, -3, 'N', 'America/Cordoba'),
	(2478, 'Oran', 'Oran', 'Argentina', 'ORA', 'SASO', -23.152779, -64.32917, 1168, -3, 'N', 'America/Cordoba'),
	(2479, 'La Quiaca', 'La Quiaca', 'Argentina', '', 'SASQ', -22.150556, -65.5775, 11414, -3, 'N', 'America/Cordoba'),
	(2481, 'Eldorado', 'El Dorado', 'Argentina', '', 'SATD', -26.397499, -54.574722, 685, -3, 'N', 'America/Cordoba'),
	(2482, 'Goya', 'Goya', 'Argentina', '', 'SATG', -29.099472, -59.250583, 125, -3, 'N', 'America/Cordoba'),
	(2483, 'Obera', 'Obera', 'Argentina', '', 'SATO', -27.518156, -55.124156, 1125, -3, 'N', 'America/Cordoba'),
	(2484, 'Reconquista', 'Reconquista', 'Argentina', '', 'SATR', -29.210278, -59.68, 161, -3, 'N', 'America/Cordoba'),
	(2485, 'Curuzu Cuatia', 'Curuzu Cuatia', 'Argentina', '', 'SATU', -29.770555, -57.978889, 229, -3, 'N', 'America/Cordoba'),
	(2486, 'El Bolson', 'El Bolson', 'Argentina', 'EHL', 'SAVB', -41.943189, -71.532289, 1131, -3, 'N', 'America/Cordoba'),
	(2487, 'Comodoro Rivadavia', 'Comodoro Rivadavia', 'Argentina', 'CRD', 'SAVC', -45.785347, -67.465508, 190, -3, 'N', 'America/Cordoba'),
	(2488, 'Esquel', 'Esquel', 'Argentina', 'EQS', 'SAVE', -42.90795, -71.139472, 2621, -3, 'N', 'America/Cordoba'),
	(2490, 'Almirante Zar', 'Trelew', 'Argentina', 'REL', 'SAVT', -43.2105, -65.270319, 141, -3, 'N', 'America/Cordoba'),
	(2491, 'Gobernador Castello', 'Viedma', 'Argentina', 'VDM', 'SAVV', -40.869222, -63.000389, 20, -3, 'N', 'America/Cordoba'),
	(2492, 'El Tehuelche', 'Puerto Madryn', 'Argentina', 'PMY', 'SAVY', -42.759161, -65.102725, 426, -3, 'N', 'America/Cordoba'),
	(2493, 'Base Marambio', 'Marambio Base', 'Antarctica', '', 'SAWB', -64.238335, -56.630833, 760, 12, 'U', 'Antarctica/South_Pole'),
	(2494, 'Puerto Deseado', 'Puerto Deseado', 'Argentina', 'PUD', 'SAWD', -47.735292, -65.904097, 266, -3, 'N', 'America/Cordoba'),
	(2495, 'Rio Grande', 'Rio Grande', 'Argentina', 'RGA', 'SAWE', -53.777667, -67.749389, 65, -3, 'N', 'America/Cordoba'),
	(2496, 'Rio Gallegos', 'Rio Gallegos', 'Argentina', 'RGL', 'SAWG', -51.608875, -69.312636, 61, -3, 'N', 'America/Cordoba'),
	(2497, 'Ushuaia Malvinas Argentinas', 'Ushuaia', 'Argentina', 'USH', 'SAWH', -54.843278, -68.29575, 71, -3, 'N', 'America/Cordoba'),
	(2498, 'San Julian', 'San Julian', 'Argentina', 'ULA', 'SAWJ', -49.306775, -67.802589, 190, -3, 'N', 'America/Cordoba'),
	(2499, 'Perito Moreno', 'Perito Moreno', 'Argentina', 'PMQ', 'SAWP', -46.537911, -70.978689, 1410, -3, 'N', 'America/Cordoba'),
	(2500, 'Santa Cruz', 'Santa Cruz', 'Argentina', 'RZA', 'SAWU', -50.01655, -68.579197, 364, -3, 'N', 'America/Cordoba'),
	(2501, 'Comandante Espora', 'Bahia Blanca', 'Argentina', 'BHI', 'SAZB', -38.724967, -62.169317, 246, -3, 'N', 'America/Cordoba'),
	(2502, 'Coronel Suarez', 'Colonel Suarez', 'Argentina', '', 'SAZC', -37.446111, -61.889297, 768, -3, 'N', 'America/Cordoba'),
	(2503, 'Olavarria', 'Olavarria', 'Argentina', '', 'SAZF', -36.890039, -60.216619, 551, -3, 'N', 'America/Cordoba'),
	(2504, 'General Pico', 'General Pico', 'Argentina', '', 'SAZG', -35.696183, -63.758286, 459, -3, 'N', 'America/Cordoba'),
	(2505, 'Tres Arroyos', 'Tres Arroyos', 'Argentina', '', 'SAZH', -38.386911, -60.329711, 400, -3, 'N', 'America/Cordoba'),
	(2506, 'Bolivar', 'Bolivar', 'Argentina', '', 'SAZI', -36.186594, -61.076367, 308, -3, 'N', 'America/Cordoba'),
	(2508, 'Mar Del Plata', 'Mar Del Plata', 'Argentina', 'MDQ', 'SAZM', -37.934167, -57.573333, 71, -3, 'N', 'America/Cordoba'),
	(2509, 'Presidente Peron', 'Neuquen', 'Argentina', 'NQN', 'SAZN', -38.949, -68.155711, 895, -3, 'N', 'America/Cordoba'),
	(2511, 'Comodoro P Zanni', 'Pehuajo', 'Argentina', '', 'SAZP', -35.844592, -61.857553, 278, -3, 'N', 'America/Cordoba'),
	(2512, 'Santa Rosa', 'Santa Rosa', 'Argentina', 'RSA', 'SAZR', -36.588322, -64.275694, 630, -3, 'N', 'America/Cordoba'),
	(2513, 'San Carlos De Bariloche', 'San Carlos De Bariloche', 'Argentina', 'BRC', 'SAZS', -41.151172, -71.157542, 2776, -3, 'N', 'America/Cordoba'),
	(2514, 'Tandil', 'Tandil', 'Argentina', 'TDL', 'SAZT', -37.237392, -59.227922, 574, -3, 'N', 'America/Cordoba'),
	(2515, 'Villa Gesell', 'Villa Gesell', 'Argentina', 'VLG', 'SAZV', -37.235408, -57.029239, 32, -3, 'N', 'America/Cordoba'),
	(2516, 'Cutralco', 'Cutralco', 'Argentina', '', 'SAZW', -38.939683, -69.264642, 2133, -3, 'N', 'America/Cordoba'),
	(2517, 'Aviador C Campos', 'San Martin Des Andes', 'Argentina', 'CPC', 'SAZY', -40.075383, -71.137294, 2569, -3, 'N', 'America/Cordoba'),
	(2518, 'Conceicao Do Araguaia', 'Conceicao Do Araguaia', 'Brazil', 'CDJ', 'SBAA', -8.348347, -49.301528, 653, -4, 'S', 'America/Boa_Vista'),
	(2519, 'Campo Delio Jardim De Mattos', 'Rio De Janeiro', 'Brazil', '', 'SBAF', -22.875083, -43.384708, 110, -3, 'S', 'America/Sao_Paulo'),
	(2520, 'Amapa', 'Amapa', 'Brazil', '', 'SBAM', 2.077511, -50.858236, 45, -3, 'S', 'America/Fortaleza'),
	(2521, 'Araraquara', 'Araracuara', 'Brazil', 'AQA', 'SBAQ', -21.812, -48.133028, 2334, -3, 'S', 'America/Sao_Paulo'),
	(2522, 'Santa Maria', 'Aracaju', 'Brazil', 'AJU', 'SBAR', -10.984, -37.070333, 23, -3, 'S', 'America/Fortaleza'),
	(2523, 'Assis', 'Assis', 'Brazil', '', 'SBAS', -22.638564, -50.455914, 1850, -3, 'S', 'America/Sao_Paulo'),
	(2524, 'Alta Floresta', 'Alta Floresta', 'Brazil', 'AFL', 'SBAT', -9.866092, -56.106206, 947, -4, 'S', 'America/Campo_Grande'),
	(2525, 'Aracatuba', 'Aracatuba', 'Brazil', 'ARU', 'SBAU', -21.141342, -50.424722, 1361, -3, 'S', 'America/Sao_Paulo'),
	(2526, 'Val De Cans Intl', 'Belem', 'Brazil', 'BEL', 'SBBE', -1.37925, -48.476292, 54, -4, 'S', 'America/Boa_Vista'),
	(2527, 'Comandante Gustavo Kraemer', 'Bage', 'Brazil', 'BGX', 'SBBG', -31.390528, -54.112244, 600, -3, 'S', 'America/Sao_Paulo'),
	(2528, 'Pampulha Carlos Drummond De Andrade', 'Belo Horizonte', 'Brazil', 'PLU', 'SBBH', -19.851181, -43.950628, 2589, -3, 'S', 'America/Sao_Paulo'),
	(2529, 'Bacacheri', 'Curitiba', 'Brazil', 'BFH', 'SBBI', -25.405078, -49.232036, 3057, -3, 'S', 'America/Sao_Paulo'),
	(2530, 'Major Brigadeiro Doorgal Borges', 'Barbacena', 'Brazil', '', 'SBBQ', -21.267167, -43.761056, 3657, -3, 'S', 'America/Sao_Paulo'),
	(2531, 'Presidente Juscelino Kubitschek', 'Brasilia', 'Brazil', 'BSB', 'SBBR', -15.8711, -47.918625, 3479, -3, 'S', 'America/Sao_Paulo'),
	(2532, 'Bauru', 'Bauru', 'Brazil', 'BAU', 'SBBU', -22.345042, -49.0538, 2025, -3, 'S', 'America/Sao_Paulo'),
	(2533, 'Boa Vista', 'Boa Vista', 'Brazil', 'BVB', 'SBBV', 2.846311, -60.690069, 276, -4, 'S', 'America/Boa_Vista'),
	(2534, 'Barra Do Garcas', 'Barra Do Garcas', 'Brazil', '', 'SBBW', -15.861344, -52.388894, 1147, -4, 'S', 'America/Campo_Grande'),
	(2535, 'Cascavel', 'Cascavel', 'Brazil', 'CAC', 'SBCA', -25.000339, -53.500764, 2473, -3, 'S', 'America/Sao_Paulo'),
	(2536, 'Cachimbo', 'Itaituba', 'Brazil', '', 'SBCC', -9.333936, -54.965422, 1762, -4, 'S', 'America/Boa_Vista'),
	(2537, 'Tancredo Neves Intl', 'Belo Horizonte', 'Brazil', 'CNF', 'SBCF', -19.63375, -43.968856, 2715, -3, 'S', 'America/Sao_Paulo'),
	(2538, 'Campo Grande', 'Campo Grande', 'Brazil', 'CGR', 'SBCG', -20.468667, -54.6725, 1833, -4, 'S', 'America/Campo_Grande'),
	(2539, 'Chapeco', 'Chapeco', 'Brazil', 'XAP', 'SBCH', -27.134219, -52.656553, 2146, -3, 'S', 'America/Sao_Paulo'),
	(2540, 'Carolina', 'Carolina', 'Brazil', 'CLN', 'SBCI', -7.320444, -47.458667, 565, -3, 'S', 'America/Fortaleza'),
	(2541, 'Forquilhinha', 'Criciuma', 'Brazil', 'CCM', 'SBCM', -28.725817, -49.424739, 93, -3, 'S', 'America/Sao_Paulo'),
	(2542, 'Canoas', 'Porto Alegre', 'Brazil', '', 'SBCO', -29.945944, -51.144367, 26, -3, 'S', 'America/Sao_Paulo'),
	(2543, 'Bartolomeu Lisandro', 'Campos', 'Brazil', 'CAW', 'SBCP', -21.698333, -41.301669, 57, -3, 'S', 'America/Sao_Paulo'),
	(2544, 'Corumba Intl', 'Corumba', 'Brazil', 'CMG', 'SBCR', -19.011931, -57.673053, 461, -4, 'S', 'America/Campo_Grande'),
	(2545, 'Afonso Pena', 'Curitiba', 'Brazil', 'CWB', 'SBCT', -25.528475, -49.175775, 2988, -3, 'S', 'America/Sao_Paulo'),
	(2546, 'Caravelas', 'Caravelas', 'Brazil', 'CRQ', 'SBCV', -17.652283, -39.253069, 36, -3, 'S', 'America/Fortaleza'),
	(2547, 'Campo Dos Bugres', 'Caxias Do Sul', 'Brazil', 'CXJ', 'SBCX', -29.197064, -51.187536, 2472, -3, 'S', 'America/Sao_Paulo'),
	(2548, 'Marechal Rondon', 'Cuiaba', 'Brazil', 'CGB', 'SBCY', -15.652931, -56.116719, 617, -4, 'S', 'America/Campo_Grande'),
	(2549, 'Cruzeiro do Sul', 'Cruzeiro do Sul', 'Brazil', 'CZS', 'SBCZ', -7.599906, -72.769489, 637, -5, 'S', 'America/Rio_Branco'),
	(2550, 'Presidente Prudente', 'President Prudente', 'Brazil', 'PPB', 'SBDN', -22.175056, -51.424639, 1477, -3, 'S', 'America/Sao_Paulo'),
	(2551, 'Eduardo Gomes Intl', 'Manaus', 'Brazil', 'MAO', 'SBEG', -3.038611, -60.049721, 264, -4, 'S', 'America/Boa_Vista'),
	(2552, 'Jacareacanga', 'Jacare-acanga', 'Brazil', '', 'SBEK', -6.233156, -57.776869, 324, -4, 'S', 'America/Boa_Vista'),
	(2553, 'Sao Pedro Da Aldeia', 'Sao Pedro Da Aldeia', 'Brazil', '', 'SBES', -22.812872, -42.092633, 61, -3, 'S', 'America/Sao_Paulo'),
	(2554, 'Cataratas Intl', 'Foz Do Iguacu', 'Brazil', 'IGU', 'SBFI', -25.59615, -54.487206, 787, -3, 'S', 'America/Sao_Paulo'),
	(2555, 'Hercilio Luz', 'Florianopolis', 'Brazil', 'FLN', 'SBFL', -27.670489, -48.547181, 20, -3, 'S', 'America/Sao_Paulo'),
	(2556, 'Fernando De Noronha', 'Fernando Do Noronha', 'Brazil', 'FEN', 'SBFN', -3.854928, -32.423336, 193, -3, 'S', 'America/Fortaleza'),
	(2557, 'Fronteira', 'Fronteira', 'Brazil', '', 'SBFT', -20.278483, -49.187472, 1599, -3, 'S', 'America/Sao_Paulo'),
	(2558, 'Furnas', 'Alpinopolis', 'Brazil', '', 'SBFU', -20.702817, -46.335264, 2413, -3, 'S', 'America/Sao_Paulo'),
	(2559, 'Pinto Martins Intl', 'Fortaleza', 'Brazil', 'FOR', 'SBFZ', -3.776283, -38.532556, 82, -3, 'S', 'America/Fortaleza'),
	(2560, 'Galeao Antonio Carlos Jobim', 'Rio De Janeiro', 'Brazil', 'GIG', 'SBGL', -22.808903, -43.243647, 28, -3, 'S', 'America/Sao_Paulo'),
	(2561, 'Guajara Mirim', 'Guajara-mirim', 'Brazil', '', 'SBGM', -10.786375, -65.284792, 478, -4, 'S', 'America/Boa_Vista'),
	(2562, 'Santa Genoveva', 'Goiania', 'Brazil', 'GYN', 'SBGO', -16.632033, -49.220686, 2450, -3, 'S', 'America/Sao_Paulo'),
	(2563, 'Embraer Unidade Gaviao Peixoto', 'Macae', 'Brazil', '', 'SBGP', -21.773683, -48.405078, 1998, -3, 'S', 'America/Sao_Paulo'),
	(2564, 'Guarulhos Gov Andre Franco Montouro', 'Sao Paulo', 'Brazil', 'GRU', 'SBGR', -23.432075, -46.469511, 2459, -3, 'S', 'America/Sao_Paulo'),
	(2565, 'Guaratingueta', 'Guaratingueta', 'Brazil', '', 'SBGW', -22.791608, -45.204778, 1761, -3, 'S', 'America/Sao_Paulo'),
	(2566, 'Altamira', 'Altamira', 'Brazil', 'ATM', 'SBHT', -3.253906, -52.253978, 368, -4, 'S', 'America/Boa_Vista'),
	(2567, 'Itacoatiara', 'Itaituba', 'Brazil', '', 'SBIC', -3.127256, -58.481186, 142, -4, 'S', 'America/Boa_Vista'),
	(2568, 'Itaituba', 'Itaituba', 'Brazil', '', 'SBIH', -4.242342, -56.000669, 110, -4, 'S', 'America/Boa_Vista'),
	(2569, 'Ilheus', 'Ilheus', 'Brazil', 'IOS', 'SBIL', -14.815964, -39.033197, 15, -3, 'S', 'America/Fortaleza'),
	(2570, 'Usiminas', 'Ipatinga', 'Brazil', 'IPN', 'SBIP', -19.470722, -42.487583, 784, -3, 'S', 'America/Sao_Paulo'),
	(2571, 'Hidroeletrica', 'Itumbiara', 'Brazil', '', 'SBIT', -18.444661, -49.213361, 1630, -3, 'S', 'America/Sao_Paulo'),
	(2572, 'Prefeito Renato Moreira', 'Imperatriz', 'Brazil', 'IMP', 'SBIZ', -5.531292, -47.46005, 431, -3, 'S', 'America/Fortaleza'),
	(2573, 'Julio Cesar', 'Belem', 'Brazil', '', 'SBJC', -1.414158, -48.460739, 52, -4, 'S', 'America/Boa_Vista'),
	(2574, 'Francisco De Assis', 'Juiz De Fora', 'Brazil', 'JDF', 'SBJF', -21.7915, -43.386778, 2989, -3, 'S', 'America/Sao_Paulo'),
	(2575, 'Presidente Castro Pinto', 'Joao Pessoa', 'Brazil', 'JPA', 'SBJP', -7.148381, -34.950681, 215, -3, 'S', 'America/Fortaleza'),
	(2576, 'Lauro Carneiro De Loyola', 'Joinville', 'Brazil', 'JOI', 'SBJV', -26.224453, -48.797364, 15, -3, 'S', 'America/Sao_Paulo'),
	(2577, 'Presidente Joao Suassuna', 'Campina Grande', 'Brazil', 'CPV', 'SBKG', -7.269917, -35.896364, 1646, -3, 'S', 'America/Fortaleza'),
	(2578, 'Viracopos', 'Campinas', 'Brazil', 'VCP', 'SBKP', -23.0075, -47.134444, 2170, -3, 'S', 'America/Sao_Paulo'),
	(2579, 'Lages', 'Lajes', 'Brazil', '', 'SBLJ', -27.782142, -50.281486, 3065, -3, 'S', 'America/Sao_Paulo'),
	(2580, 'Lins', 'Lins', 'Brazil', 'LIP', 'SBLN', -21.664039, -49.730519, 1575, -3, 'S', 'America/Sao_Paulo'),
	(2581, 'Londrina', 'Londrina', 'Brazil', 'LDB', 'SBLO', -23.333625, -51.130072, 1867, -3, 'S', 'America/Sao_Paulo'),
	(2582, 'Bom Jesus Da Lapa', 'Bom Jesus Da Lapa', 'Brazil', 'LAZ', 'SBLP', -13.262086, -43.408114, 1454, -3, 'S', 'America/Fortaleza'),
	(2583, 'Lagoa Santa', 'Lagoa Santa', 'Brazil', '', 'SBLS', -19.661611, -43.896403, 2795, -3, 'S', 'America/Sao_Paulo'),
	(2584, 'Maraba', 'Maraba', 'Brazil', 'MAB', 'SBMA', -5.368589, -49.138025, 357, -4, 'S', 'America/Boa_Vista'),
	(2585, 'Monte Dourado', 'Almeirim', 'Brazil', '', 'SBMD', -0.889839, -52.60225, 677, -4, 'S', 'America/Boa_Vista'),
	(2586, 'Regional De Maringa Silvio Name Junior', 'Maringa', 'Brazil', 'MGF', 'SBMG', -23.476392, -52.016406, 1788, -3, 'S', 'America/Sao_Paulo'),
	(2587, 'Mario Ribeiro', 'Montes Claros', 'Brazil', 'MOC', 'SBMK', -16.706925, -43.8189, 2191, -3, 'S', 'America/Sao_Paulo'),
	(2589, 'Ponta Pelada', 'Manaus', 'Brazil', '', 'SBMN', -3.146042, -59.9863, 267, -4, 'S', 'America/Boa_Vista'),
	(2590, 'Zumbi Dos Palmares', 'Maceio', 'Brazil', 'MCZ', 'SBMO', -9.510808, -35.791678, 387, -3, 'S', 'America/Fortaleza'),
	(2591, 'Macapa', 'Macapa', 'Brazil', 'MCP', 'SBMQ', 0.050664, -51.072178, 56, -3, 'S', 'America/Fortaleza'),
	(2592, 'Dix Sept Rosado', 'Mocord', 'Brazil', '', 'SBMS', -5.201919, -37.364347, 77, -3, 'S', 'America/Fortaleza'),
	(2593, 'Marte', 'Sao Paulo', 'Brazil', '', 'SBMT', -23.509119, -46.637753, 2368, -3, 'S', 'America/Sao_Paulo'),
	(2594, 'Manicore', 'Manicore', 'Brazil', 'MNX', 'SBMY', -5.811381, -61.278319, 174, -4, 'S', 'America/Boa_Vista'),
	(2595, 'Ministro Victor Konder Intl', 'Navegantes', 'Brazil', 'NVT', 'SBNF', -26.879999, -48.65139, 18, -3, 'S', 'America/Sao_Paulo'),
	(2596, 'Santo Angelo', 'Santo Angelo', 'Brazil', 'GEL', 'SBNM', -28.281683, -54.169139, 1056, -3, 'S', 'America/Sao_Paulo'),
	(2597, 'Augusto Severo', 'Natal', 'Brazil', 'NAT', 'SBNT', -5.911417, -35.247717, 169, -3, 'S', 'America/Fortaleza'),
	(2598, 'Oiapoque', 'Oioiapoque', 'Brazil', '', 'SBOI', 3.855486, -51.796867, 63, -3, 'S', 'America/Fortaleza'),
	(2599, 'Salgado Filho', 'Porto Alegre', 'Brazil', 'POA', 'SBPA', -29.994428, -51.171428, 11, -3, 'S', 'America/Sao_Paulo'),
	(2600, 'Prefeito Doutor Joao Silva Filho', 'Parnaiba', 'Brazil', '', 'SBPB', -2.893747, -41.731961, 16, -3, 'S', 'America/Fortaleza'),
	(2601, 'Pocos De Caldas', 'Pocos De Caldas', 'Brazil', 'POO', 'SBPC', -21.843014, -46.567917, 4135, -3, 'S', 'America/Sao_Paulo'),
	(2602, 'Lauro Kurtz', 'Passo Fundo', 'Brazil', 'PFB', 'SBPF', -28.243989, -52.326558, 2376, -3, 'S', 'America/Sao_Paulo'),
	(2603, 'Pelotas', 'Pelotas', 'Brazil', 'PET', 'SBPK', -31.718353, -52.327689, 59, -3, 'S', 'America/Sao_Paulo'),
	(2604, 'Senador Nilo Coelho', 'Petrolina', 'Brazil', 'PNZ', 'SBPL', -9.362411, -40.569097, 1263, -3, 'S', 'America/Fortaleza'),
	(2605, 'Porto Nacional', 'Porto Nacional', 'Brazil', 'PNB', 'SBPN', -10.719417, -48.399736, 870, -3, 'S', 'America/Fortaleza'),
	(2606, 'Ponta Pora', 'Ponta Pora', 'Brazil', 'PMG', 'SBPP', -22.549639, -55.702614, 2156, -4, 'S', 'America/Campo_Grande'),
	(2607, 'Governador Jorge Teixeira De Oliveira', 'Porto Velho', 'Brazil', 'PVH', 'SBPV', -8.709294, -63.902281, 294, -4, 'S', 'America/Boa_Vista'),
	(2609, 'PlÃ¡cido de Castro', 'Rio Branco', 'Brazil', 'RBR', 'SBRB', -9.583, -67.4836, 633, -5, 'S', 'America/Rio_Branco'),
	(2610, 'Guararapes Gilberto Freyre Intl', 'Recife', 'Brazil', 'REC', 'SBRF', -8.126794, -34.923039, 33, -3, 'S', 'America/Fortaleza'),
	(2611, 'Rio Grande', 'Rio Grande', 'Brazil', 'RIG', 'SBRG', -32.082617, -52.166542, 27, -3, 'S', 'America/Sao_Paulo'),
	(2612, 'Santos Dumont', 'Rio De Janeiro', 'Brazil', 'SDU', 'SBRJ', -22.910461, -43.163133, 11, -3, 'S', 'America/Sao_Paulo'),
	(2613, 'Leite Lopes', 'Ribeirao Preto', 'Brazil', 'RAO', 'SBRP', -21.134167, -47.774189, 1802, -3, 'S', 'America/Sao_Paulo'),
	(2614, 'Santa Cruz', 'Rio De Janeiro', 'Brazil', 'STU', 'SBSC', -22.93235, -43.719092, 10, -3, 'S', 'America/Sao_Paulo'),
	(2615, 'Professor Urbano Ernesto Stumpf', 'Sao Jose Dos Campos', 'Brazil', 'SJK', 'SBSJ', -23.228172, -45.862739, 2120, -3, 'S', 'America/Sao_Paulo'),
	(2616, 'Marechal Cunha Machado Intl', 'Sao Luis', 'Brazil', 'SLZ', 'SBSL', -2.585361, -44.234139, 178, -3, 'S', 'America/Fortaleza'),
	(2618, 'Congonhas', 'Sao Paulo', 'Brazil', 'CGH', 'SBSP', -23.626692, -46.655375, 2631, -3, 'S', 'America/Sao_Paulo'),
	(2619, 'Sao Jose Do Rio Preto', 'Sao Jose Do Rio Preto', 'Brazil', 'SJP', 'SBSR', -20.816567, -49.406511, 1784, -3, 'S', 'America/Sao_Paulo'),
	(2620, 'Base Aerea De Santos', 'Santos', 'Brazil', 'SSZ', 'SBST', -23.925206, -46.2875, 10, -3, 'S', 'America/Sao_Paulo'),
	(2621, 'Deputado Luis Eduardo Magalhaes', 'Salvador', 'Brazil', 'SSA', 'SBSV', -12.910994, -38.331044, 64, -3, 'S', 'America/Fortaleza'),
	(2622, 'Trombetas', 'Oriximina', 'Brazil', 'TMT', 'SBTB', -1.4896, -56.396803, 287, -4, 'S', 'America/Boa_Vista'),
	(2623, 'Senador Petronio Portella', 'Teresina', 'Brazil', 'THE', 'SBTE', -5.059942, -42.823478, 219, -3, 'S', 'America/Fortaleza'),
	(2624, 'Tefe', 'Tefe', 'Brazil', 'TFF', 'SBTF', -3.382944, -64.724056, 184, -4, 'S', 'America/Boa_Vista'),
	(2625, 'Tarauaca', 'Tarauaca', 'Brazil', '', 'SBTK', -8.155256, -70.783269, 646, -5, 'S', 'America/Rio_Branco'),
	(2626, 'Telemaco Borba', 'Telemaco Borba', 'Brazil', '', 'SBTL', -24.317775, -50.651592, 2610, -3, 'S', 'America/Sao_Paulo'),
	(2627, 'Tirios', 'Obidos Tirios', 'Brazil', '', 'SBTS', 2.223472, -55.946056, 1127, -4, 'S', 'America/Boa_Vista'),
	(2628, 'Tabatinga', 'Tabatinga', 'Brazil', 'TBT', 'SBTT', -4.255669, -69.935828, 279, -4, 'S', 'America/Boa_Vista'),
	(2629, 'Tucurui', 'Tucurui', 'Brazil', 'TUR', 'SBTU', -3.786008, -49.720267, 830, -4, 'S', 'America/Boa_Vista'),
	(2630, 'Sao Gabriel Da Cachoeira', 'Sao Gabriel', 'Brazil', '', 'SBUA', -0.148419, -66.985589, 249, -4, 'S', 'America/Boa_Vista'),
	(2631, 'Paulo Afonso', 'Paulo Alfonso', 'Brazil', 'PAV', 'SBUF', -9.400878, -38.250575, 883, -3, 'S', 'America/Fortaleza'),
	(2632, 'Rubem Berta', 'Uruguaiana', 'Brazil', 'URG', 'SBUG', -29.782178, -57.038189, 256, -3, 'S', 'America/Sao_Paulo'),
	(2633, 'Ten Cel Av Cesar Bombonato', 'Uberlandia', 'Brazil', 'UDI', 'SBUL', -18.882844, -48.225594, 3094, -3, 'S', 'America/Sao_Paulo'),
	(2634, 'Urubupunga', 'Castilho', 'Brazil', '', 'SBUP', -20.777067, -51.564761, 1169, -3, 'S', 'America/Sao_Paulo'),
	(2635, 'Uberaba', 'Uberaba', 'Brazil', 'UBA', 'SBUR', -19.765, -47.964778, 2655, -3, 'S', 'America/Sao_Paulo'),
	(2636, 'Major Brigadeiro Trompowsky', 'Varginha', 'Brazil', 'VAG', 'SBVG', -21.590067, -45.473342, 3028, -3, 'S', 'America/Sao_Paulo'),
	(2637, 'Vilhena', 'Vilhena', 'Brazil', 'BVH', 'SBVH', -12.694375, -60.098269, 2018, -4, 'S', 'America/Boa_Vista'),
	(2638, 'Goiabeiras', 'Vitoria', 'Brazil', 'VIX', 'SBVT', -20.258056, -40.286389, 11, -3, 'S', 'America/Sao_Paulo'),
	(2639, 'Iauarete', 'Iauarete', 'Brazil', '', 'SBYA', 0.6075, -69.185837, 345, -4, 'S', 'America/Boa_Vista'),
	(2640, 'Campo Fontenelle', 'Piracununga', 'Brazil', 'QPS', 'SBYS', -21.984561, -47.334764, 1968, -3, 'S', 'America/Sao_Paulo'),
	(2641, 'Chacalluta', 'Arica', 'Chile', 'ARI', 'SCAR', -18.348531, -70.338742, 167, -4, 'S', 'America/Santiago'),
	(2642, 'Balmaceda', 'Balmaceda', 'Chile', 'BBA', 'SCBA', -45.916058, -71.689475, 1722, -4, 'S', 'America/Santiago'),
	(2643, 'El Bosque', 'Santiago', 'Chile', '', 'SCBQ', -33.5618, -70.6884, 1844, -4, 'S', 'America/Santiago'),
	(2644, 'Chile Chico', 'Chile Chico', 'Chile', 'CCH', 'SCCC', -46.583341, -71.687405, 1070, -4, 'S', 'America/Santiago'),
	(2645, 'El Loa', 'Calama', 'Chile', 'CJC', 'SCCF', -22.498175, -68.903575, 7543, -4, 'S', 'America/Santiago'),
	(2646, 'General Bernardo O Higgins', 'Chillan', 'Chile', '', 'SCCH', -36.582497, -72.031367, 495, -4, 'S', 'America/Santiago'),
	(2647, 'Carlos Ibanez Del Campo Intl', 'Punta Arenas', 'Chile', 'PUQ', 'SCCI', -53.002642, -70.854586, 139, -4, 'S', 'America/Santiago'),
	(2648, 'Teniente Vidal', 'Coyhaique', 'Chile', 'GXQ', 'SCCY', -45.594211, -72.106133, 1020, -4, 'S', 'America/Santiago'),
	(2649, 'Diego Aracena Intl', 'Iquique', 'Chile', 'IQQ', 'SCDA', -20.535222, -70.181275, 155, -4, 'S', 'America/Santiago'),
	(2650, 'Arturo Merino Benitez Intl', 'Santiago', 'Chile', 'SCL', 'SCEL', -33.392975, -70.785803, 1555, -4, 'S', 'America/Santiago'),
	(2651, 'Cerro Moreno Intl', 'Antofagasta', 'Chile', 'ANF', 'SCFA', -23.444478, -70.4451, 455, -4, 'S', 'America/Santiago'),
	(2652, 'Capitan Fuentes Martinez', 'Porvenir', 'Chile', '', 'SCFM', -53.2537, -70.319228, 104, -4, 'S', 'America/Santiago'),
	(2653, 'Futaleufu', 'Futaleufu', 'Chile', '', 'SCFT', -43.189167, -71.851112, 1148, -4, 'S', 'America/Santiago'),
	(2654, 'Maria Dolores', 'Los Angeles', 'Chile', 'LSQ', 'SCGE', -37.401731, -72.425444, 374, -4, 'S', 'America/Santiago'),
	(2655, 'Guardiamarina Zanartu', 'Puerto Williams', 'Chile', '', 'SCGZ', -54.931072, -67.626261, 88, -4, 'S', 'America/Santiago'),
	(2656, 'Carriel Sur Intl', 'Concepcion', 'Chile', 'CCP', 'SCIE', -36.77265, -73.063106, 26, -4, 'S', 'America/Santiago'),
	(2657, 'Mataveri Intl', 'Easter Island', 'Chile', 'IPC', 'SCIP', -27.164792, -109.421831, 227, -6, 'S', 'Pacific/Easter'),
	(2658, 'Canal Bajo Carlos Hott Siebert', 'Osorno', 'Chile', 'ZOS', 'SCJO', -40.611208, -73.061042, 187, -4, 'S', 'America/Santiago'),
	(2659, 'Vallenar', 'Vallenar', 'Chile', '', 'SCLL', -28.596403, -70.755997, 1725, -4, 'S', 'America/Santiago'),
	(2660, 'De La Independencia', 'Rancagua', 'Chile', '', 'SCRG', -34.173694, -70.775694, 1446, -4, 'S', 'America/Santiago'),
	(2661, 'Teniente Rodolfo Marsh Martin', 'Isla Rey Jorge', 'Antarctica', '', 'SCRM', -62.190833, -58.986667, 147, 12, 'U', 'Antarctica/South_Pole'),
	(2662, 'La Florida', 'La Serena', 'Chile', 'LSC', 'SCSE', -29.916233, -71.199522, 481, -4, 'S', 'America/Santiago'),
	(2663, 'Eulogio Sanchez', 'Santiago', 'Chile', '', 'SCTB', -33.456278, -70.546667, 2129, -4, 'S', 'America/Santiago'),
	(2664, 'Maquehue', 'Temuco', 'Chile', 'ZCO', 'SCTC', -38.766819, -72.637097, 304, -4, 'S', 'America/Santiago'),
	(2665, 'El Tepual Intl', 'Puerto Montt', 'Chile', 'PMC', 'SCTE', -41.438886, -73.093953, 294, -4, 'S', 'America/Santiago'),
	(2666, 'Chaiten', 'Chaiten', 'Chile', 'WCH', 'SCTN', -42.932808, -72.699114, 13, -4, 'S', 'America/Santiago'),
	(2667, 'Pichoy', 'Valdivia', 'Chile', 'ZAL', 'SCVD', -39.649956, -73.086111, 59, -4, 'S', 'America/Santiago'),
	(2668, 'Chachoan', 'Ambato', 'Ecuador', 'ATF', 'SEAM', -1.212067, -78.574636, 8502, -5, 'U', 'America/Guayaquil'),
	(2669, 'Hacienda Clementina', 'Clementia', 'Ecuador', '', 'SECM', -1.706275, -79.378936, 328, -5, 'U', 'America/Guayaquil'),
	(2670, 'Francisco De Orellana', 'Coca', 'Ecuador', 'OCC', 'SECO', -0.462886, -76.986842, 834, -5, 'U', 'America/Guayaquil'),
	(2671, 'Mariscal Lamar', 'Cuenca', 'Ecuador', 'CUE', 'SECU', -2.889467, -78.984397, 8306, -5, 'U', 'America/Guayaquil'),
	(2672, 'Seymour', 'Galapagos', 'Ecuador', 'GPS', 'SEGS', -0.453758, -90.265914, 207, -6, 'U', 'Pacific/Galapagos'),
	(2673, 'Jose Joaquin De Olmedo Intl', 'Guayaquil', 'Ecuador', 'GYE', 'SEGU', -2.157419, -79.883558, 19, -5, 'U', 'America/Guayaquil'),
	(2674, 'Gualaquiza', 'Gualaquiza', 'Ecuador', '', 'SEGZ', -3.423214, -78.566994, 2640, -5, 'U', 'America/Guayaquil'),
	(2675, 'Atahualpa', 'Ibarra', 'Ecuador', '', 'SEIB', 0.338419, -78.136422, 7304, -5, 'U', 'America/Guayaquil'),
	(2676, 'Km 192', 'Km-192', 'Ecuador', '', 'SEKK', 0.184203, -79.391956, 1247, -5, 'U', 'America/Guayaquil'),
	(2677, 'Hacienda La Julia', 'La Julia', 'Ecuador', '', 'SELJ', -1.704381, -79.552261, 50, -5, 'U', 'America/Guayaquil'),
	(2678, 'Cotopaxi Intl', 'Latacunga', 'Ecuador', '', 'SELT', -0.906833, -78.615756, 9205, -5, 'U', 'America/Guayaquil'),
	(2679, 'Jose Maria Velasco Ibarra', 'Macara', 'Ecuador', '', 'SEMA', -4.378231, -79.941022, 1508, -5, 'U', 'America/Guayaquil'),
	(2680, 'Coronel E Carvajal', 'Macas', 'Ecuador', 'XMS', 'SEMC', -2.299167, -78.12075, 3452, -5, 'U', 'America/Guayaquil'),
	(2681, 'General Manuel Serrano', 'Machala', 'Ecuador', 'MCH', 'SEMH', -3.268903, -79.961572, 11, -5, 'U', 'America/Guayaquil'),
	(2682, 'Montalvo', 'Montalvo', 'Ecuador', '', 'SEMO', -2.067014, -76.975742, 960, -5, 'U', 'America/Guayaquil'),
	(2683, 'Eloy Alfaro Intl', 'Manta', 'Ecuador', 'MEC', 'SEMT', -0.946078, -80.678808, 48, -5, 'U', 'America/Guayaquil'),
	(2684, 'Maragrosa', 'Maragrosa', 'Ecuador', '', 'SEMX', -2.851097, -79.803619, 18, -5, 'U', 'America/Guayaquil'),
	(2685, 'Amable Calle Gutierrez', 'Pasaje', 'Ecuador', '', 'SEPS', -3.319667, -79.769165, 22, -5, 'U', 'America/Guayaquil'),
	(2686, 'Reales Tamarindos', 'Portoviejo', 'Ecuador', 'PVO', 'SEPV', -1.041647, -80.472206, 130, -5, 'U', 'America/Guayaquil'),
	(2687, 'Quevedo', 'Quevedo', 'Ecuador', '', 'SEQE', -0.9894, -79.465114, 350, -5, 'U', 'America/Guayaquil'),
	(2688, 'Mariscal Sucre Intl', 'Quito', 'Ecuador', 'UIO', 'SEQU', -0.141144, -78.488214, 9228, -5, 'U', 'America/Guayaquil'),
	(2689, 'Chimborazo', 'Riobamba', 'Ecuador', '', 'SERB', -1.653433, -78.656142, 9151, -5, 'U', 'America/Guayaquil'),
	(2690, 'Coronel Artilleria Victor Larrea', 'Santa Rosa', 'Ecuador', '', 'SERO', -3.435161, -79.977817, 170, -5, 'U', 'America/Guayaquil'),
	(2691, 'General Ulpiano Paez', 'Salinas', 'Ecuador', 'SNC', 'SESA', -2.204994, -80.988878, 18, -5, 'U', 'America/Guayaquil'),
	(2692, 'Santo Domingo Los Colorados', 'Santo Domingo', 'Ecuador', '', 'SESD', -0.248222, -79.214447, 1714, -5, 'U', 'America/Guayaquil'),
	(2694, 'Taura', 'Taura', 'Ecuador', '', 'SETA', -2.261036, -79.680169, 56, -5, 'U', 'America/Guayaquil'),
	(2695, 'Mayor Galo Torres', 'Tena', 'Ecuador', '', 'SETE', -0.986767, -77.819447, 1708, -5, 'U', 'America/Guayaquil'),
	(2696, 'Tarapoa', 'Tarapoa', 'Ecuador', 'TPC', 'SETR', -0.122956, -76.33775, 814, -5, 'U', 'America/Guayaquil'),
	(2697, 'Teniente Coronel Luis A Mantilla', 'Tulcan', 'Ecuador', 'TUA', 'SETU', 0.809506, -77.708056, 9649, -5, 'U', 'America/Guayaquil'),
	(2699, 'Silvio Pettirossi Intl', 'Asuncion', 'Paraguay', 'ASU', 'SGAS', -25.23985, -57.519133, 292, -4, 'S', 'America/Asuncion'),
	(2700, 'Juan De Ayolas', 'Ayolas', 'Paraguay', '', 'SGAY', -27.37065, -56.853944, 223, -4, 'S', 'America/Asuncion'),
	(2701, 'Teniente Col Carmelo Peralta', 'Conception', 'Paraguay', '', 'SGCO', -23.44175, -57.427122, 253, -4, 'S', 'America/Asuncion'),
	(2702, 'Itaipu', 'Itaipu', 'Paraguay', '', 'SGIB', -25.407853, -54.619417, 762, -4, 'S', 'America/Asuncion'),
	(2703, 'Dr Luis Maria Argana Intl', 'Mariscal Estigarribia', 'Paraguay', '', 'SGME', -22.044986, -60.621694, 553, -4, 'S', 'America/Asuncion'),
	(2704, 'Carlos Miguel Gimenez', 'Pilar', 'Paraguay', '', 'SGPI', -26.881467, -58.318036, 249, -4, 'S', 'America/Asuncion'),
	(2705, 'El Eden', 'Armenia', 'Colombia', 'AXM', 'SKAR', 4.452775, -75.766447, 3990, -5, 'U', 'America/Bogota'),
	(2706, 'Tres De Mayo', 'Puerto Asis', 'Colombia', 'PUU', 'SKAS', 0.505228, -76.500836, 815, -5, 'U', 'America/Bogota'),
	(2707, 'Las Flores', 'El Banco', 'Colombia', '', 'SKBC', 9.045542, -73.974931, 111, -5, 'U', 'America/Bogota'),
	(2708, 'Palonegro', 'Bucaramanga', 'Colombia', 'BGA', 'SKBG', 7.1265, -73.184778, 3897, -5, 'U', 'America/Bogota'),
	(2709, 'Eldorado Intl', 'Bogota', 'Colombia', 'BOG', 'SKBO', 4.701594, -74.146947, 8361, -5, 'U', 'America/Bogota'),
	(2710, 'Ernesto Cortissoz', 'Barranquilla', 'Colombia', 'BAQ', 'SKBQ', 10.889589, -74.780819, 98, -5, 'U', 'America/Bogota'),
	(2711, 'Jose Celestino Mutis', 'Bahia Solano', 'Colombia', 'BSC', 'SKBS', 6.202917, -77.394675, 80, -5, 'U', 'America/Bogota'),
	(2712, 'Gerardo Tobar Lopez', 'Buenaventura', 'Colombia', 'BUN', 'SKBU', 3.819628, -76.989767, 48, -5, 'U', 'America/Bogota'),
	(2713, 'Camilo Daza', 'Cucuta', 'Colombia', 'CUC', 'SKCC', 7.927567, -72.511547, 1096, -5, 'U', 'America/Bogota'),
	(2714, 'Rafael Nunez', 'Cartagena', 'Colombia', 'CTG', 'SKCG', 10.442381, -75.512961, 4, -5, 'U', 'America/Bogota'),
	(2715, 'Alfonso Bonilla Aragon Intl', 'Cali', 'Colombia', 'CLO', 'SKCL', 3.543222, -76.381583, 3162, -5, 'U', 'America/Bogota'),
	(2716, 'La Florida', 'Tumaco', 'Colombia', 'TCO', 'SKCO', 1.814417, -78.749228, 8, -5, 'U', 'America/Bogota'),
	(2717, 'Las Brujas', 'Corozal', 'Colombia', 'CZU', 'SKCZ', 9.332742, -75.285594, 528, -5, 'U', 'America/Bogota'),
	(2718, 'Yariguies', 'Barrancabermeja', 'Colombia', 'EJA', 'SKEJ', 7.024331, -73.8068, 412, -5, 'U', 'America/Bogota'),
	(2719, 'Gustavo Artunduaga Paredes', 'Florencia', 'Colombia', 'FLA', 'SKFL', 1.589189, -75.564372, 803, -5, 'U', 'America/Bogota'),
	(2720, 'Santiago Vila', 'Girardot', 'Colombia', '', 'SKGI', 4.276242, -74.796692, 900, -5, 'U', 'America/Bogota'),
	(2722, 'Juan Casiano', 'Guapi', 'Colombia', 'GPI', 'SKGP', 2.570133, -77.8986, 164, -5, 'U', 'America/Bogota'),
	(2723, 'Guaymaral', 'Guaymaral', 'Colombia', '', 'SKGY', 4.812333, -74.064919, 8390, -5, 'U', 'America/Bogota'),
	(2724, 'Perales', 'Ibague', 'Colombia', 'IBE', 'SKIB', 4.421608, -75.1333, 2999, -5, 'U', 'America/Bogota'),
	(2725, 'San Luis', 'Ipiales', 'Colombia', 'IPI', 'SKIP', 0.861925, -77.671764, 9765, -5, 'U', 'America/Bogota'),
	(2726, 'Antonio Roldan Betancourt', 'Carepa', 'Colombia', '', 'SKLC', 7.811956, -76.716428, 46, -5, 'U', 'America/Bogota'),
	(2727, 'La Mina', 'La Mina', 'Colombia', '', 'SKLM', 11.232528, -72.490139, 276, -5, 'U', 'America/Bogota'),
	(2728, 'Alfredo Vasquez Cobo', 'Leticia', 'Colombia', 'LET', 'SKLT', -4.193549, -69.943163, 277, -5, 'U', 'America/Bogota'),
	(2729, 'Olaya Herrera', 'Medellin', 'Colombia', 'EOH', 'SKMD', 6.219958, -75.590519, 4940, -5, 'U', 'America/Bogota'),
	(2730, 'Baracoa', 'Magangue', 'Colombia', 'MGN', 'SKMG', 9.284739, -74.846092, 178, -5, 'U', 'America/Bogota'),
	(2731, 'Los Garzones', 'Monteria', 'Colombia', 'MTR', 'SKMR', 8.823744, -75.825831, 36, -5, 'U', 'America/Bogota'),
	(2732, 'Fabio Alberto Leon Bentley', 'Mitu', 'Colombia', 'MVP', 'SKMU', 1.253664, -70.233878, 680, -5, 'U', 'America/Bogota'),
	(2733, 'La Nubia', 'Manizales', 'Colombia', 'MZL', 'SKMZ', 5.029597, -75.464708, 6871, -5, 'U', 'America/Bogota'),
	(2734, 'Benito Salas', 'Neiva', 'Colombia', 'NVA', 'SKNV', 2.95015, -75.294, 1464, -5, 'U', 'America/Bogota'),
	(2735, 'Aguas Claras', 'Ocana', 'Colombia', 'OCV', 'SKOC', 8.315061, -73.358331, 3850, -5, 'U', 'America/Bogota'),
	(2736, 'Otu', 'Otu', 'Colombia', 'OTU', 'SKOT', 7.010369, -74.715497, 2060, -5, 'U', 'America/Bogota'),
	(2737, 'Puerto Bolivar', 'Puerto Bolivar', 'Colombia', '', 'SKPB', 12.221483, -71.984817, 90, -5, 'U', 'America/Bogota'),
	(2738, 'Puerto Carreno', 'Puerto Carreno', 'Colombia', 'PCR', 'SKPC', 6.184717, -67.493164, 177, -5, 'U', 'America/Bogota'),
	(2739, 'Matecana', 'Pereira', 'Colombia', 'PEI', 'SKPE', 4.812675, -75.739519, 4416, -5, 'U', 'America/Bogota'),
	(2740, 'Pitalito', 'Pitalito', 'Colombia', '', 'SKPI', 1.857769, -76.085719, 4212, -5, 'U', 'America/Bogota'),
	(2741, 'Guillermo Leon Valencia', 'Popayan', 'Colombia', 'PPN', 'SKPP', 2.4544, -76.609319, 5687, -5, 'U', 'America/Bogota'),
	(2742, 'Antonio Narino', 'Pasto', 'Colombia', 'PSO', 'SKPS', 1.396247, -77.291478, 5951, -5, 'U', 'America/Bogota'),
	(2743, 'El Embrujo', 'Providencia', 'Colombia', 'PVA', 'SKPV', 13.356944, -81.35833, 10, -5, 'U', 'America/Bogota'),
	(2744, 'Mariquita', 'Mariquita', 'Colombia', '', 'SKQU', 5.212556, -74.883647, 1531, -5, 'U', 'America/Bogota'),
	(2745, 'Jose Maria Cordova', 'Rio Negro', 'Colombia', 'MDE', 'SKRG', 6.164536, -75.423119, 6955, -5, 'U', 'America/Bogota'),
	(2746, 'Almirante Padilla', 'Rio Hacha', 'Colombia', 'RCH', 'SKRH', 11.526222, -72.925958, 43, -5, 'U', 'America/Bogota'),
	(2747, 'Jorge E Gonzalez Torres', 'San Jose Del Guaviare', 'Colombia', 'SJE', 'SKSJ', 2.579694, -72.639358, 605, -5, 'U', 'America/Bogota'),
	(2748, 'Simon Bolivar', 'Santa Marta', 'Colombia', 'SMR', 'SKSM', 11.11965, -74.230647, 22, -5, 'U', 'America/Bogota'),
	(2749, 'Gustavo Rojas Pinilla', 'San Andres Island', 'Colombia', 'ADZ', 'SKSP', 12.583594, -81.711192, 19, -5, 'U', 'America/Bogota'),
	(2750, 'Eduardo Falla Solano', 'San Vincente De Caguan', 'Colombia', 'SVI', 'SKSV', 2.152175, -74.76635, 920, -5, 'U', 'America/Bogota'),
	(2751, 'Tame', 'Tame', 'Colombia', 'TME', 'SKTM', 6.451081, -71.760261, 1050, -5, 'U', 'America/Bogota'),
	(2752, 'Santiago Perez', 'Arauca', 'Colombia', 'AUC', 'SKUC', 7.068881, -70.736925, 420, -5, 'U', 'America/Bogota'),
	(2753, 'El Carano', 'Quibdo', 'Colombia', 'UIB', 'SKUI', 5.690758, -76.641181, 204, -5, 'U', 'America/Bogota'),
	(2754, 'Farfan', 'Tulua', 'Colombia', 'ULQ', 'SKUL', 4.088358, -76.235133, 3132, -5, 'U', 'America/Bogota'),
	(2755, 'Alfonso Lopez Pumarejo', 'Valledupar', 'Colombia', 'VUP', 'SKVP', 10.435042, -73.249506, 456, -5, 'U', 'America/Bogota'),
	(2756, 'Vanguardia', 'Villavicencio', 'Colombia', 'VVC', 'SKVV', 4.167875, -73.613761, 1394, -5, 'U', 'America/Bogota'),
	(2758, 'Bermejo', 'Bermejo', 'Bolivia', 'BJO', 'SLBJ', -22.773336, -64.312881, 1250, -4, 'U', 'America/La_Paz'),
	(2759, 'Jorge Wilsterman', 'Cochabamba', 'Bolivia', 'CBB', 'SLCB', -17.421058, -66.177114, 8360, -4, 'U', 'America/La_Paz'),
	(2760, 'Chimore', 'Chapacura', 'Bolivia', '', 'SLCH', -16.990019, -65.141533, 1000, -4, 'U', 'America/La_Paz'),
	(2761, 'Heroes Del Acre', 'Cobija', 'Bolivia', 'CIJ', 'SLCO', -11.040436, -68.782972, 892, -4, 'U', 'America/La_Paz'),
	(2762, 'El Alto Intl', 'La Paz', 'Bolivia', 'LPB', 'SLLP', -16.513339, -68.192256, 13325, -4, 'U', 'America/La_Paz'),
	(2763, 'Juan Mendoza', 'Oruro', 'Bolivia', '', 'SLOR', -17.962589, -67.076236, 12146, -4, 'U', 'America/La_Paz'),
	(2764, 'Capitan Nicolas Rojas', 'Potosi', 'Bolivia', 'POI', 'SLPO', -19.543069, -65.723706, 12913, -4, 'U', 'America/La_Paz'),
	(2765, 'Tte De Av Salvador Ogaya G', 'Puerto Suarez', 'Bolivia', 'PSZ', 'SLPS', -18.975281, -57.820586, 439, -4, 'U', 'America/La_Paz'),
	(2766, 'Santa Ana Del Yacuma', 'Santa Ana', 'Bolivia', '', 'SLSA', -13.762208, -65.435158, 472, -4, 'U', 'America/La_Paz'),
	(2767, 'Juana Azurduy De Padilla', 'Sucre', 'Bolivia', 'SRE', 'SLSU', -19.007083, -65.288747, 9527, -4, 'U', 'America/La_Paz'),
	(2768, 'Capitan Oriel Lea Plaza', 'Tarija', 'Bolivia', 'TJA', 'SLTJ', -21.555736, -64.701325, 6084, -4, 'U', 'America/La_Paz'),
	(2769, 'Tte Av Jorge Henrich Arauz', 'Trinidad', 'Bolivia', 'TDD', 'SLTR', -14.818739, -64.918019, 509, -4, 'U', 'America/La_Paz'),
	(2770, 'Tcnl Rafael Pabon', 'Villa Montes', 'Bolivia', '', 'SLVM', -21.255231, -63.405611, 1306, -4, 'U', 'America/La_Paz'),
	(2771, 'Viru Viru Intl', 'Santa Cruz', 'Bolivia', 'VVI', 'SLVR', -17.644756, -63.135364, 1225, -4, 'U', 'America/La_Paz'),
	(2772, 'Yacuiba', 'Yacuiba', 'Bolivia', 'BYC', 'SLYA', -21.960925, -63.651669, 2116, -4, 'U', 'America/La_Paz'),
	(2773, 'Johan A Pengel Intl', 'Zandery', 'Suriname', 'PBM', 'SMJP', 5.452831, -55.187783, 59, -3, 'U', 'America/Paramaribo'),
	(2774, 'Rochambeau', 'Cayenne', 'French Guiana', 'CAY', 'SOCA', 4.819808, -52.360447, 26, -3, 'U', 'America/Cayenne'),
	(2775, 'St Georges De L Oyapock', 'St.-georges Oyapock', 'French Guiana', '', 'SOOG', 3.8976, -51.804083, 46, -3, 'U', 'America/Cayenne'),
	(2776, 'Huancabamba', 'Huancabamba', 'Peru', '', 'SPAB', -5.256767, -79.442856, 6312, -5, 'U', 'America/Lima'),
	(2777, 'Alferez Vladimir Sara Bauer', 'Andoas', 'Peru', '', 'SPAS', -2.796128, -76.466617, 728, -5, 'U', 'America/Lima'),
	(2778, 'Atalaya', 'Atalaya', 'Peru', '', 'SPAY', -10.729117, -73.766503, 751, -5, 'U', 'America/Lima'),
	(2780, 'Iberia', 'Iberia', 'Peru', '', 'SPBR', -11.411578, -69.488711, 750, -5, 'U', 'America/Lima'),
	(2781, 'Cap Fap David Abenzur Rengifo Intl', 'Pucallpa', 'Peru', 'PCL', 'SPCL', -8.377939, -74.574297, 513, -5, 'U', 'America/Lima'),
	(2782, 'Teniente Jaime A De Montreuil Morales', 'Chimbote', 'Peru', 'CHM', 'SPEO', -9.149614, -78.52385, 69, -5, 'U', 'America/Lima'),
	(2783, 'Puerto Esperanza', 'Puerto Esperanza', 'Peru', '', 'SPEP', -9.768131, -70.706456, 725, -5, 'U', 'America/Lima'),
	(2784, 'Cesar Torke Podesta', 'Moquegua', 'Peru', '', 'SPEQ', -17.178961, -70.930803, 4480, -5, 'U', 'America/Lima'),
	(2785, 'Capt Jose A Quinones Gonzales Intl', 'Chiclayo', 'Peru', 'CIX', 'SPHI', -6.787475, -79.828097, 97, -5, 'U', 'America/Lima'),
	(2786, 'Coronel Fap Alfredo Mendivil Duarte', 'Ayacucho', 'Peru', 'AYP', 'SPHO', -13.154819, -74.204417, 8917, -5, 'U', 'America/Lima'),
	(2787, 'Andahuaylas', 'Andahuaylas', 'Peru', 'ANS', 'SPHY', -13.706408, -73.350378, 11300, -5, 'U', 'America/Lima'),
	(2788, 'Comandante Fap German Arias Graziani', 'Anta', 'Peru', 'ATA', 'SPHZ', -9.347444, -77.598392, 9097, -5, 'U', 'America/Lima'),
	(2789, 'Jorge Chavez Intl', 'Lima', 'Peru', 'LIM', 'SPIM', -12.021889, -77.114319, 113, -5, 'U', 'America/Lima'),
	(2790, 'Juanjui', 'Juanjui', 'Peru', 'JJI', 'SPJI', -7.1691, -76.728561, 1148, -5, 'U', 'America/Lima'),
	(2791, 'Francisco Carle', 'Jauja', 'Peru', '', 'SPJJ', -11.783144, -75.473394, 11034, -5, 'U', 'America/Lima'),
	(2792, 'Juliaca', 'Juliaca', 'Peru', 'JUL', 'SPJL', -15.467103, -70.158169, 12552, -5, 'U', 'America/Lima'),
	(2794, 'Ilo', 'Ilo', 'Peru', '', 'SPLO', -17.695036, -71.343964, 72, -5, 'U', 'America/Lima'),
	(2795, 'Las Palmas', 'Las Palmas', 'Peru', '', 'SPLP', -12.160708, -76.998942, 250, -5, 'U', 'America/Lima'),
	(2796, 'Pedro Canga', 'Tumbes', 'Peru', 'TBP', 'SPME', -3.552528, -80.381356, 115, -5, 'U', 'America/Lima'),
	(2797, 'Moises Benzaquen Rengifo', 'Yurimaguas', 'Peru', 'YMS', 'SPMS', -5.893772, -76.118211, 587, -5, 'U', 'America/Lima'),
	(2799, 'Collique', 'Collique', 'Peru', '', 'SPOL', -11.9287, -77.061139, 410, -5, 'U', 'America/Lima'),
	(2800, 'Chachapoyas', 'Chachapoyas', 'Peru', 'CHH', 'SPPY', -6.201806, -77.856064, 8333, -5, 'U', 'America/Lima'),
	(2801, 'Coronel Francisco Secada Vignetta Intl', 'Iquitos', 'Peru', 'IQT', 'SPQT', -3.784739, -73.308806, 306, -5, 'U', 'America/Lima'),
	(2802, 'Rodriguez Ballon', 'Arequipa', 'Peru', 'AQP', 'SPQU', -16.341072, -71.583083, 8405, -5, 'U', 'America/Lima'),
	(2803, 'San Ramon', 'San Ramon', 'Peru', '', 'SPRM', -11.128639, -75.3505, 2600, -5, 'U', 'America/Lima'),
	(2804, 'Capitan Carlos Martinez De Pinillos', 'Trujillo', 'Peru', 'TRU', 'SPRU', -8.081411, -79.108761, 106, -5, 'U', 'America/Lima'),
	(2805, 'Pisco Intl', 'Pisco', 'Peru', 'PIO', 'SPSO', -13.744864, -76.220284, 39, -5, 'U', 'America/Lima'),
	(2806, 'Cadete Guillermo Del Castillo Paredes', 'Tarapoto', 'Peru', 'TPP', 'SPST', -6.508742, -76.373247, 869, -5, 'U', 'America/Lima'),
	(2807, 'Coronel Carlos Ciriani Santa Rosa Intl', 'Tacna', 'Peru', 'TCQ', 'SPTN', -18.053333, -70.275833, 1538, -5, 'U', 'America/Lima'),
	(2808, 'Padre Aldamiz', 'Puerto Maldonado', 'Peru', 'PEM', 'SPTU', -12.613611, -69.228611, 659, -5, 'U', 'America/Lima'),
	(2809, 'Capitan Fap Guillermo Concha Iberico', 'Piura', 'Peru', 'PIU', 'SPUR', -5.20575, -80.616444, 120, -5, 'U', 'America/Lima'),
	(2810, 'Capitan Montes', 'Talara', 'Peru', 'TYL', 'SPYL', -4.576639, -81.254139, 282, -5, 'U', 'America/Lima'),
	(2812, 'Teniente Alejandro Velasco Astete Intl', 'Cuzco', 'Peru', 'CUZ', 'SPZO', -13.535722, -71.938781, 10860, -5, 'U', 'America/Lima'),
	(2813, 'Angel S Adami', 'Montevideo', 'Uruguay', '', 'SUAA', -34.789208, -56.264703, 174, -3, 'S', 'America/Montevideo'),
	(2814, 'Santa Bernardina Intl', 'Durazno', 'Uruguay', '', 'SUDU', -33.358867, -56.499172, 305, -3, 'S', 'America/Montevideo'),
	(2816, 'Carrasco Intl', 'Montevideo', 'Uruguay', 'MVD', 'SUMU', -34.838417, -56.030806, 105, -3, 'S', 'America/Montevideo'),
	(2817, 'Nueva Hesperides Intl', 'Salto', 'Uruguay', 'STY', 'SUSO', -31.438481, -57.985294, 187, -3, 'S', 'America/Montevideo'),
	(2818, 'Oswaldo Guevara Mujica', 'Acarigua', 'Venezuela', 'AGV', 'SVAC', 9.553422, -69.237536, 741, -4.5, 'U', 'America/Caracas'),
	(2819, 'Anaco', 'Anaco', 'Venezuela', 'AAO', 'SVAN', 9.430225, -64.470725, 721, -4.5, 'U', 'America/Caracas'),
	(2820, 'San Fernando De Atabapo', 'San Fernando Deatabapo', 'Venezuela', '', 'SVAT', 4.051819, -67.701072, 298, -4.5, 'U', 'America/Caracas'),
	(2821, 'General Jose Antonio Anzoategui Intl', 'Barcelona', 'Venezuela', 'BLA', 'SVBC', 10.107139, -64.689161, 26, -4.5, 'U', 'America/Caracas'),
	(2822, 'Barinas', 'Barinas', 'Venezuela', 'BNS', 'SVBI', 8.619575, -70.220825, 666, -4.5, 'U', 'America/Caracas'),
	(2823, 'El Libertador Ab', 'Maracaibo', 'Venezuela', '', 'SVBL', 10.183375, -67.557319, 1450, -4.5, 'U', 'America/Caracas'),
	(2824, 'Barquisimeto Intl', 'Barquisimeto', 'Venezuela', 'BRM', 'SVBM', 10.042747, -69.358619, 2042, -4.5, 'U', 'America/Caracas'),
	(2826, 'Ciudad Bolivar', 'Ciudad Bolivar', 'Venezuela', 'CBL', 'SVCB', 8.121898, -63.537353, 197, -4.5, 'U', 'America/Caracas'),
	(2827, 'Caicara Del Orinoco', 'Caicara De Orinoco', 'Venezuela', '', 'SVCD', 7.626078, -66.164917, 141, -4.5, 'U', 'America/Caracas'),
	(2828, 'San Carlos', 'San Carlos', 'Venezuela', '', 'SVCJ', 9.647722, -68.574656, 512, -4.5, 'U', 'America/Caracas'),
	(2829, 'Calabozo', 'Calabozo', 'Venezuela', '', 'SVCL', 8.924656, -67.417094, 328, -4.5, 'U', 'America/Caracas'),
	(2830, 'Canaima', 'Canaima', 'Venezuela', 'CAJ', 'SVCN', 6.231989, -62.854433, 1450, -4.5, 'U', 'America/Caracas'),
	(2831, 'Carora', 'Carora', 'Venezuela', '', 'SVCO', 10.175603, -70.065214, 1437, -4.5, 'U', 'America/Caracas'),
	(2832, 'General Jose Francisco Bermudez', 'Carupano', 'Venezuela', 'CUP', 'SVCP', 10.660014, -63.261681, 33, -4.5, 'U', 'America/Caracas'),
	(2833, 'Jose Leonardo Chirinos', 'Coro', 'Venezuela', 'CZE', 'SVCR', 11.414867, -69.681656, 52, -4.5, 'U', 'America/Caracas'),
	(2834, 'Oscar Machado Zuloaga', 'Caracas', 'Venezuela', '', 'SVCS', 10.286589, -66.816219, 2145, -4.5, 'U', 'America/Caracas'),
	(2835, 'Antonio Jose De Sucre', 'Cumana', 'Venezuela', 'CUM', 'SVCU', 10.450333, -64.130472, 25, -4.5, 'U', 'America/Caracas'),
	(2836, 'Capitan Manuel Rios Guarico Airbase', 'Carrizal', 'Venezuela', '', 'SVCZ', 9.372167, -66.922989, 525, -4.5, 'U', 'America/Caracas'),
	(2837, 'El Dorado', 'El Dorado', 'Venezuela', '', 'SVED', 6.715438, -61.639219, 318, -4.5, 'U', 'America/Caracas'),
	(2838, 'Elorza', 'Elorza', 'Venezuela', '', 'SVEZ', 7.059722, -69.496694, 295, -4.5, 'U', 'America/Caracas'),
	(2839, 'Guasdualito', 'Guasdualito', 'Venezuela', '', 'SVGD', 7.211081, -70.75645, 426, -4.5, 'U', 'America/Caracas'),
	(2840, 'Guiria', 'Guiria', 'Venezuela', 'GUI', 'SVGI', 10.574078, -62.312667, 42, -4.5, 'U', 'America/Caracas'),
	(2841, 'Guanare', 'Guanare', 'Venezuela', 'GUQ', 'SVGU', 9.026944, -69.75515, 606, -4.5, 'U', 'America/Caracas'),
	(2842, 'Higuerote', 'Higuerote', 'Venezuela', '', 'SVHG', 10.462453, -66.092758, 10, -4.5, 'U', 'America/Caracas'),
	(2843, 'Andres Miguel Salazar Marcano', 'Isla De Coche', 'Venezuela', '', 'SVIE', 10.794406, -63.981589, 10, -4.5, 'U', 'America/Caracas'),
	(2844, 'Josefa Camejo', 'Paraguana', 'Venezuela', 'LSP', 'SVJC', 11.780775, -70.151497, 75, -4.5, 'U', 'America/Caracas'),
	(2845, 'San Juan De Los Morros', 'San Juan De Los Morros', 'Venezuela', '', 'SVJM', 9.906953, -67.379639, 1404, -4.5, 'U', 'America/Caracas'),
	(2846, 'La Fria', 'La Fria', 'Venezuela', 'LFR', 'SVLF', 8.239167, -72.271028, 323, -4.5, 'U', 'America/Caracas'),
	(2847, 'La Orchila', 'La Orchila', 'Venezuela', '', 'SVLO', 11.808822, -66.179214, 5, -4.5, 'U', 'America/Caracas'),
	(2848, 'La Chinita Intl', 'Maracaibo', 'Venezuela', 'MAR', 'SVMC', 10.558208, -71.727856, 235, -4.5, 'U', 'America/Caracas'),
	(2849, 'Alberto Carnevalli', 'Merida', 'Venezuela', 'MRD', 'SVMD', 8.582294, -71.161186, 5007, -4.5, 'U', 'America/Caracas'),
	(2850, 'Del Caribe Intl Gen Santiago Marino', 'Porlamar', 'Venezuela', 'PMV', 'SVMG', 10.912926, -63.967581, 74, -4.5, 'U', 'America/Caracas'),
	(2851, 'Simon Bolivar Intl', 'Caracas', 'Venezuela', 'CCS', 'SVMI', 10.603117, -66.990583, 235, -4.5, 'U', 'America/Caracas'),
	(2852, 'Maturin', 'Maturin', 'Venezuela', 'MUN', 'SVMT', 9.749067, -63.1534, 224, -4.5, 'U', 'America/Caracas'),
	(2853, 'Casique Aramare', 'Puerto Ayacucho', 'Venezuela', 'PYH', 'SVPA', 5.619992, -67.606103, 245, -4.5, 'U', 'America/Caracas'),
	(2854, 'General Bartolome Salom Intl', 'Puerto Cabello', 'Venezuela', 'PBL', 'SVPC', 10.4805, -68.073025, 32, -4.5, 'U', 'America/Caracas'),
	(2855, 'Paramillo', 'San Cristobal', 'Venezuela', '', 'SVPM', 7.801317, -72.202847, 3314, -4.5, 'U', 'America/Caracas'),
	(2856, 'General Manuel Carlos Piar', 'Guayana', 'Venezuela', 'PZO', 'SVPR', 8.288528, -62.760361, 472, -4.5, 'U', 'America/Caracas'),
	(2857, 'Palmarito', 'Palmarito', 'Venezuela', '', 'SVPT', 7.575706, -70.174328, 347, -4.5, 'U', 'America/Caracas'),
	(2858, 'San Antonio Del Tachira', 'San Antonio', 'Venezuela', 'SVZ', 'SVSA', 7.840831, -72.439742, 1312, -4.5, 'U', 'America/Caracas'),
	(2859, 'Santa Barbara De Barinas', 'Santa Barbara', 'Venezuela', '', 'SVSB', 7.803514, -71.165717, 590, -4.5, 'U', 'America/Caracas'),
	(2860, 'Santa Elena De Uairen', 'Santa Ana De Uairen', 'Venezuela', '', 'SVSE', 4.554722, -61.144922, 2939, -4.5, 'U', 'America/Caracas'),
	(2861, 'Mayor Buenaventura Vivas', 'Santo Domingo', 'Venezuela', 'STD', 'SVSO', 7.565111, -72.035125, 1083, -4.5, 'U', 'America/Caracas'),
	(2862, 'Sub Teniente Nestor Arias', 'San Felipe', 'Venezuela', 'SFH', 'SVSP', 10.278728, -68.755211, 761, -4.5, 'U', 'America/Caracas'),
	(2863, 'San Fernando De Apure', 'San Fernando De Apure', 'Venezuela', 'SFD', 'SVSR', 7.883317, -67.444025, 154, -4.5, 'U', 'America/Caracas'),
	(2864, 'San Tome', 'San Tome', 'Venezuela', 'SOM', 'SVST', 8.945147, -64.151083, 837, -4.5, 'U', 'America/Caracas'),
	(2865, 'Santa Barbara Del Zulia', 'Santa Barbara', 'Venezuela', 'STB', 'SVSZ', 8.974425, -71.943014, 32, -4.5, 'U', 'America/Caracas'),
	(2866, 'Tucupita', 'Tucupita', 'Venezuela', 'TUV', 'SVTC', 9.088994, -62.094175, 105, -4.5, 'U', 'America/Caracas'),
	(2867, 'Tumeremo', 'Tumeremo', 'Venezuela', '', 'SVTM', 7.249381, -61.528933, 344, -4.5, 'U', 'America/Caracas'),
	(2868, 'Arturo Michelena Intl', 'Valencia', 'Venezuela', 'VLN', 'SVVA', 10.149733, -67.9284, 1417, -4.5, 'U', 'America/Caracas'),
	(2870, 'Dr Antonio Nicolas Briceno', 'Valera', 'Venezuela', 'VLV', 'SVVL', 9.340797, -70.584089, 1893, -4.5, 'U', 'America/Caracas'),
	(2871, 'Valle De La Pascua', 'Valle De La Pascua', 'Venezuela', 'VDP', 'SVVP', 9.222028, -65.993583, 410, -4.5, 'U', 'America/Caracas'),
	(2872, 'Linden', 'Linden', 'Guyana', '', 'SYLD', 5.965922, -58.270336, 180, -4, 'U', 'America/Guyana'),
	(2873, 'Lethem', 'Lethem', 'Guyana', 'LTM', 'SYLT', 3.372761, -59.789439, 351, -4, 'U', 'America/Guyana'),
	(2874, 'V C Bird Intl', 'Antigua', 'Antigua and Barbuda', 'ANU', 'TAPA', 17.136749, -61.792667, 62, -4, 'U', 'America/Antigua'),
	(2875, 'Grantley Adams Intl', 'Bridgetown', 'Barbados', 'BGI', 'TBPB', 13.074603, -59.492456, 169, -4, 'U', 'America/Barbados'),
	(2876, 'Canefield', 'Canefield', 'Dominica', 'DCF', 'TDCF', 15.336719, -61.392211, 13, -4, 'U', 'America/Dominica'),
	(2877, 'Melville Hall', 'Dominica', 'Dominica', 'DOM', 'TDPD', 15.547028, -61.3, 73, -4, 'U', 'America/Dominica'),
	(2878, 'Le Lamentin', 'Fort-de-france', 'Martinique', 'FDF', 'TFFF', 14.591033, -61.003175, 16, -4, 'U', 'America/Martinique'),
	(2879, 'Grand Case', 'St. Martin', 'Guadeloupe', 'SFG', 'TFFG', 18.099914, -63.047197, 7, -4, 'U', '\\N'),
	(2881, 'Le Raizet', 'Pointe-a-pitre', 'Guadeloupe', 'PTP', 'TFFR', 16.265306, -61.531806, 36, -4, 'U', 'America/Guadeloupe'),
	(2882, 'Point Salines Intl', 'Point Salines', 'Grenada', 'GND', 'TGPY', 12.004247, -61.786192, 41, -4, 'U', 'America/Grenada'),
	(2883, 'Cyril E King', 'St. Thomas', 'Virgin Islands', 'STT', 'TIST', 18.337306, -64.973361, 23, -4, 'U', 'America/St_Thomas'),
	(2884, 'Henry E Rohlsen', 'St. Croix Island', 'Virgin Islands', 'STX', 'TISX', 17.701889, -64.798556, 74, -4, 'U', 'America/St_Thomas'),
	(2885, 'Rafael Hernandez', 'Aguadilla', 'Puerto Rico', 'BQN', 'TJBQ', 18.494861, -67.129444, 237, -4, 'U', 'America/Puerto_Rico'),
	(2886, 'Diego Jimenez Torres', 'Fajardo', 'Puerto Rico', 'FAJ', 'TJFA', 18.308889, -65.661861, 64, -4, 'U', 'America/Puerto_Rico'),
	(2887, 'Fernando Luis Ribas Dominicci', 'San Juan', 'Puerto Rico', 'SIG', 'TJIG', 18.456828, -66.098139, 10, -4, 'U', 'America/Puerto_Rico'),
	(2888, 'Eugenio Maria De Hostos', 'Mayaguez', 'Puerto Rico', 'MAZ', 'TJMZ', 18.255694, -67.148472, 28, -4, 'U', 'America/Puerto_Rico'),
	(2889, 'Mercedita', 'Ponce', 'Puerto Rico', 'PSE', 'TJPS', 18.008306, -66.563028, 29, -4, 'U', 'America/Puerto_Rico'),
	(2890, 'Luis Munoz Marin Intl', 'San Juan', 'Puerto Rico', 'SJU', 'TJSJ', 18.439417, -66.001833, 9, -4, 'U', 'America/Puerto_Rico'),
	(2891, 'Robert L Bradshaw', 'Basse Terre', 'Saint Kitts and Nevis', 'SKB', 'TKPK', 17.311194, -62.718667, 170, -4, 'U', 'America/St_Kitts'),
	(2893, 'George F L Charles', 'Castries', 'Saint Lucia', 'SLU', 'TLPC', 14.020228, -60.992936, 22, -4, 'U', 'America/St_Lucia'),
	(2894, 'Hewanorra Intl', 'Hewandorra', 'Saint Lucia', 'UVF', 'TLPL', 13.733194, -60.952597, 14, -4, 'U', 'America/St_Lucia'),
	(2895, 'Reina Beatrix Intl', 'Oranjestad', 'Aruba', 'AUA', 'TNCA', 12.501389, -70.015221, 60, -4, 'U', 'America/Aruba'),
	(2896, 'Flamingo', 'Kralendijk', 'Netherlands Antilles', 'BON', 'TNCB', 12.131044, -68.268511, 20, -4, 'U', 'America/Curacao'),
	(2897, 'Hato', 'Willemstad', 'Netherlands Antilles', 'CUR', 'TNCC', 12.188853, -68.959803, 29, -4, 'U', 'America/Curacao'),
	(2898, 'F D Roosevelt', 'Oranjestad', 'Netherlands Antilles', 'EUX', 'TNCE', 17.496492, -62.979439, 129, -4, 'U', 'America/Curacao'),
	(2899, 'Princess Juliana Intl', 'Philipsburg', 'Netherlands Antilles', 'SXM', 'TNCM', 18.040953, -63.1089, 14, -4, 'U', 'America/Curacao'),
	(2900, 'Wallblake', 'The Valley', 'Anguilla', 'AXA', 'TQPF', 18.204834, -63.055084, 127, -4, 'U', 'America/Anguilla'),
	(2901, 'Crown Point', 'Scarborough', 'Trinidad and Tobago', 'TAB', 'TTCP', 11.149658, -60.832194, 38, -4, 'U', 'America/Port_of_Spain'),
	(2902, 'Piarco', 'Port-of-spain', 'Trinidad and Tobago', 'POS', 'TTPP', 10.595369, -61.337242, 58, -4, 'U', 'America/Port_of_Spain'),
	(2903, 'Terrance B Lettsome Intl', 'Tortola', 'British Virgin Islands', 'EIS', 'TUPJ', 18.444834, -64.542975, 15, -4, 'U', 'America/Tortola'),
	(2905, 'Canouan', 'Canouan Island', 'Saint Vincent and the Grenadines', 'CIW', 'TVSC', 12.699042, -61.342431, 11, -4, 'U', 'America/St_Vincent'),
	(2906, 'Mustique', 'Mustique', 'Saint Vincent and the Grenadines', 'MQS', 'TVSM', 12.887947, -61.180161, 8, -4, 'U', 'America/St_Vincent'),
	(2907, 'E T Joshua', 'Kingstown', 'Saint Vincent and the Grenadines', 'SVD', 'TVSV', 13.144306, -61.210861, 66, -4, 'U', 'America/St_Vincent'),
	(2908, 'Almaty', 'Alma-ata', 'Kazakhstan', 'ALA', 'UAAA', 43.352072, 77.040508, 2234, 6, 'U', 'Asia/Qyzylorda'),
	(2909, 'Balkhash', 'Balkhash', 'Kazakhstan', '', 'UAAH', 46.893333, 75.005, 1446, 6, 'U', 'Asia/Qyzylorda'),
	(2910, 'Astana Intl', 'Tselinograd', 'Kazakhstan', 'TSE', 'UACC', 51.022222, 71.466944, 1165, 6, 'U', 'Asia/Qyzylorda'),
	(2911, 'Taraz', 'Dzhambul', 'Kazakhstan', 'DMB', 'UADD', 42.853611, 71.303611, 2184, 6, 'U', 'Asia/Qyzylorda'),
	(2912, 'Manas', 'Bishkek', 'Kyrgyzstan', 'FRU', 'UAFM', 43.061306, 74.477556, 2058, 6, 'U', 'Asia/Bishkek'),
	(2913, 'Osh', 'Osh', 'Kyrgyzstan', 'OSS', 'UAFO', 40.608989, 72.793269, 2927, 6, 'U', 'Asia/Bishkek'),
	(2914, 'Shymkent', 'Chimkent', 'Kazakhstan', 'CIT', 'UAII', 42.364167, 69.478889, 1385, 6, 'U', 'Asia/Qyzylorda'),
	(2916, 'Uralsk', 'Uralsk', 'Kazakhstan', 'URA', 'UARR', 51.150833, 51.543056, 125, 5, 'U', 'Asia/Oral'),
	(2917, 'Pavlodar', 'Pavlodar', 'Kazakhstan', 'PWQ', 'UASP', 52.195, 77.073889, 410, 6, 'U', 'Asia/Qyzylorda'),
	(2918, 'Semipalatinsk', 'Semiplatinsk', 'Kazakhstan', 'PLX', 'UASS', 50.3513, 80.2344, 761, 6, 'U', 'Asia/Qyzylorda'),
	(2919, 'Aktau', 'Shevchenko', 'Kazakhstan', '', 'UATE', 43.86005, 51.091978, 73, 5, 'U', 'Asia/Oral'),
	(2920, 'Aktyubinsk', 'Aktyubinsk', 'Kazakhstan', 'AKX', 'UATT', 50.245833, 57.206667, 738, 5, 'U', 'Asia/Oral'),
	(2922, 'Heydar Aliyev', 'Baku', 'Azerbaijan', 'GYD', 'UBBB', 40.4675, 50.046667, 10, 4, 'E', 'Asia/Baku'),
	(2923, 'Yakutsk', 'Yakutsk', 'Russia', 'YKS', 'UEEE', 62.09325, 129.770672, 325, 10, 'N', 'Asia/Yakutsk'),
	(2925, 'Mirny', 'Mirnyj', 'Russia', 'MJZ', 'UERR', 62.534689, 114.038928, 1156, 10, 'N', 'Asia/Yakutsk'),
	(2926, 'Ignatyevo', 'Blagoveschensk', 'Russia', 'BQS', 'UHBB', 50.425394, 127.412478, 638, 10, 'N', 'Asia/Yakutsk'),
	(2927, 'Novy', 'Khabarovsk', 'Russia', 'KHV', 'UHHH', 48.528044, 135.188361, 244, 11, 'N', 'Asia/Vladivostok'),
	(2929, 'Provideniya Bay', 'Provideniya Bay', 'Russia', 'PVS', 'UHMD', 64.378139, -173.243306, 71, 12, 'N', 'Asia/Magadan'),
	(2930, 'Sokol', 'Magadan', 'Russia', 'GDX', 'UHMM', 59.910989, 150.720439, 574, 12, 'N', 'Asia/Magadan'),
	(2931, 'Pevek', 'Pevek', 'Russia', 'PWE', 'UHMP', 69.783283, 170.597006, 11, 12, 'N', '\\N'),
	(2932, 'Yelizovo', 'Petropavlovsk', 'Russia', 'PKC', 'UHPP', 53.167889, 158.453669, 131, 12, 'N', 'Asia/Magadan'),
	(2933, 'Khomutovo', 'Yuzhno-sakhalinsk', 'Russia', 'UUS', 'UHSS', 46.888672, 142.717531, 59, 11, 'N', 'Asia/Vladivostok'),
	(2934, 'Knevichi', 'Vladivostok', 'Russia', 'VVO', 'UHWW', 43.398953, 132.148017, 46, 11, 'N', 'Asia/Vladivostok'),
	(2935, 'Kadala', 'Chita', 'Russia', 'HTA', 'UIAA', 52.026317, 113.305556, 2272, 10, 'N', 'Asia/Yakutsk'),
	(2936, 'Bratsk', 'Bratsk', 'Russia', 'BTK', 'UIBB', 56.370556, 101.698331, 1610, 9, 'N', 'Asia/Irkutsk'),
	(2937, 'Irkutsk', 'Irkutsk', 'Russia', 'IKT', 'UIII', 52.268028, 104.388975, 1675, 9, 'N', 'Asia/Irkutsk'),
	(2938, 'Mukhino', 'Ulan-ude', 'Russia', 'UUD', 'UIUU', 51.807764, 107.437644, 1690, 9, 'N', 'Asia/Irkutsk'),
	(2939, 'Boryspil Intl', 'Kiev', 'Ukraine', 'KBP', 'UKBB', 50.345, 30.894722, 427, 2, 'E', 'Europe/Kiev'),
	(2940, 'Donetsk Intl', 'Donetsk', 'Ukraine', 'DOK', 'UKCC', 48.073611, 37.739722, 791, 2, 'E', 'Europe/Kiev'),
	(2941, 'Dnipropetrovsk Intl', 'Dnepropetrovsk', 'Ukraine', 'DNK', 'UKDD', 48.357222, 35.100556, 481, 2, 'E', 'Europe/Kiev'),
	(2942, 'Simferopol Intl', 'Simferopol', 'Ukraine', 'SIP', 'UKFF', 45.052222, 33.975139, 639, 2, 'E', 'Europe/Kiev'),
	(2944, 'Zhuliany Intl', 'Kiev', 'Ukraine', 'IEV', 'UKKK', 50.401694, 30.449697, 586, 2, 'E', 'Europe/Kiev'),
	(2945, 'Lviv Intl', 'Lvov', 'Ukraine', 'LWO', 'UKLL', 49.8125, 23.956111, 1071, 2, 'E', 'Europe/Kiev'),
	(2947, 'Odesa Intl', 'Odessa', 'Ukraine', 'ODS', 'UKOO', 46.426767, 30.676464, 172, 2, 'E', 'Europe/Kiev'),
	(2948, 'Pulkovo', 'St. Petersburg', 'Russia', 'LED', 'ULLI', 59.800292, 30.262503, 78, 4, 'N', 'Europe/Moscow'),
	(2949, 'Murmansk', 'Murmansk', 'Russia', 'MMK', 'ULMM', 68.781672, 32.750822, 266, 4, 'N', 'Europe/Moscow'),
	(2950, 'Gomel', 'Gomel', 'Belarus', 'GME', 'UMGG', 52.527022, 31.016692, 471, 3, 'E', 'Europe/Minsk'),
	(2951, 'Vitebsk', 'Vitebsk', 'Belarus', 'VTB', 'UMII', 55.1265, 30.349639, 683, 3, 'E', 'Europe/Minsk'),
	(2952, 'Khrabrovo', 'Kaliningrad', 'Russia', 'KGD', 'UMKK', 54.89005, 20.592633, 42, 3, 'N', 'Europe/Kaliningrad'),
	(2953, 'Minsk 1', 'Minsk', 'Belarus', 'MHP', 'UMMM', 53.864472, 27.539683, 748, 3, 'E', 'Europe/Minsk'),
	(2954, 'Minsk 2', 'Minsk 2', 'Belarus', 'MSQ', 'UMMS', 53.882469, 28.030731, 670, 3, 'E', 'Europe/Minsk'),
	(2955, 'Abakan', 'Abakan', 'Russia', 'ABA', 'UNAA', 53.74, 91.385, 831, 8, 'N', 'Asia/Krasnoyarsk'),
	(2956, 'Barnaul', 'Barnaul', 'Russia', 'BAX', 'UNBB', 53.363775, 83.538533, 838, 7, 'N', 'Asia/Omsk'),
	(2957, 'Kemerovo', 'Kemorovo', 'Russia', 'KEJ', 'UNEE', 55.270094, 86.107208, 863, 7, 'N', 'Asia/Omsk'),
	(2958, 'Omsk', 'Omsk', 'Russia', 'OMS', 'UNOO', 54.967042, 73.310514, 311, 7, 'N', 'Asia/Omsk'),
	(2960, 'Pashkovskiy', 'Krasnodar', 'Russia', 'KRR', 'URKK', 45.034689, 39.170539, 118, 4, 'N', 'Europe/Moscow'),
	(2961, 'Uytash', 'Makhachkala', 'Russia', 'MCX', 'URML', 42.816822, 47.652294, 12, 4, 'N', 'Europe/Moscow'),
	(2962, 'Mineralnyye Vody', 'Mineralnye Vody', 'Russia', 'MRV', 'URMM', 44.225072, 43.081889, 1054, 4, 'N', 'Europe/Moscow'),
	(2963, 'Shpakovskoye', 'Stavropol', 'Russia', 'STW', 'URMT', 45.109165, 42.112778, 1486, 4, 'N', 'Europe/Moscow'),
	(2964, 'Rostov Na Donu', 'Rostov', 'Russia', 'ROV', 'URRR', 47.258208, 39.818089, 280, 4, 'N', 'Europe/Moscow'),
	(2965, 'Sochi', 'Sochi', 'Russia', 'AER', 'URSS', 43.449928, 39.956589, 89, 4, 'N', 'Europe/Moscow'),
	(2966, 'Astrakhan', 'Astrakhan', 'Russia', 'ASF', 'URWA', 46.283333, 48.006278, -65, 4, 'N', 'Europe/Moscow'),
	(2967, 'Gumrak', 'Volgograd', 'Russia', 'VOG', 'URWW', 48.782528, 44.345544, 482, 4, 'N', 'Europe/Moscow'),
	(2968, 'Balandino', 'Chelyabinsk', 'Russia', 'CEK', 'USCC', 55.305836, 61.503333, 769, 6, 'N', 'Asia/Yekaterinburg'),
	(2969, 'Magnitogorsk', 'Magnetiogorsk', 'Russia', 'MQF', 'USCM', 53.393131, 58.755661, 1431, 6, 'N', 'Asia/Yekaterinburg'),
	(2972, 'Nizhnevartovsk', 'Nizhnevartovsk', 'Russia', 'NJC', 'USNN', 60.949272, 76.483617, 177, 6, 'N', 'Asia/Yekaterinburg'),
	(2973, 'Bolshoye Savino', 'Perm', 'Russia', 'PEE', 'USPP', 57.914517, 56.021214, 404, 6, 'N', 'Asia/Yekaterinburg'),
	(2974, 'Surgut', 'Surgut', 'Russia', 'SGC', 'USRR', 61.343694, 73.401842, 200, 6, 'N', 'Asia/Yekaterinburg'),
	(2975, 'Koltsovo', 'Yekaterinburg', 'Russia', 'SVX', 'USSS', 56.743108, 60.802728, 764, 6, 'N', 'Asia/Yekaterinburg'),
	(2976, 'Ashgabat', 'Ashkhabad', 'Turkmenistan', 'ASB', 'UTAA', 37.986814, 58.360967, 692, 5, 'U', 'Asia/Ashgabat'),
	(2977, 'Turkmenbashi', 'Krasnovodsk', 'Turkmenistan', 'KRW', 'UTAK', 40.063333, 53.007222, 279, 5, 'U', 'Asia/Ashgabat'),
	(2978, 'Turkmenabat', 'Chardzhou', 'Turkmenistan', '', 'UTAV', 39.083333, 63.613333, 630, 5, 'U', 'Asia/Ashgabat'),
	(2979, 'Dushanbe', 'Dushanbe', 'Tajikistan', 'DYU', 'UTDD', 38.543333, 68.825, 2575, 5, 'U', 'Asia/Dushanbe'),
	(2980, 'Bukhara', 'Bukhara', 'Uzbekistan', 'BHK', 'UTSB', 39.775, 64.483333, 751, 5, 'U', 'Asia/Samarkand'),
	(2981, 'Samarkand', 'Samarkand', 'Uzbekistan', 'SKD', 'UTSS', 39.700547, 66.983829, 2224, 5, 'U', 'Asia/Samarkand'),
	(2983, 'Yuzhny', 'Tashkent', 'Uzbekistan', 'TAS', 'UTTT', 41.257861, 69.281186, 1417, 5, 'U', 'Asia/Samarkand'),
	(2984, 'Bryansk', 'Bryansk', 'Russia', 'BZK', 'UUBP', 53.214194, 34.176447, 663, 4, 'N', 'Europe/Moscow'),
	(2985, 'Sheremetyevo', 'Moscow', 'Russia', 'SVO', 'UUEE', 55.972642, 37.414589, 622, 4, 'N', 'Europe/Moscow'),
	(2986, 'Migalovo', 'Tver', 'Russia', 'KLD', 'UUEM', 56.824736, 35.757678, 469, 4, 'N', 'Europe/Moscow'),
	(2987, 'Chertovitskoye', 'Voronezh', 'Russia', 'VOZ', 'UUOO', 51.814211, 39.229589, 514, 4, 'N', 'Europe/Moscow'),
	(2988, 'Vnukovo', 'Moscow', 'Russia', 'VKO', 'UUWW', 55.591531, 37.261486, 685, 4, 'N', 'Europe/Moscow'),
	(2989, 'Syktyvkar', 'Syktyvkar', 'Russia', 'SCW', 'UUYY', 61.64705, 50.84505, 342, 4, 'N', 'Europe/Moscow'),
	(2990, 'Kazan', 'Kazan', 'Russia', 'KZN', 'UWKD', 55.606186, 49.278728, 411, 4, 'N', 'Europe/Moscow'),
	(2991, 'Orenburg', 'Orenburg', 'Russia', 'REN', 'UWOO', 51.795786, 55.456744, 387, 6, 'N', 'Asia/Yekaterinburg'),
	(2992, 'Ufa', 'Ufa', 'Russia', 'UFA', 'UWUU', 54.557511, 55.874417, 449, 6, 'N', 'Asia/Yekaterinburg'),
	(2993, 'Kurumoch', 'Samara', 'Russia', 'KBY', 'UWWW', 53.504858, 50.164336, 477, 4, 'N', 'Europe/Moscow'),
	(2994, 'Ahmedabad', 'Ahmedabad', 'India', 'AMD', 'VAAH', 23.077242, 72.63465, 189, 5.5, 'N', 'Asia/Calcutta'),
	(2995, 'Akola', 'Akola', 'India', 'AKD', 'VAAK', 20.699006, 77.058628, 999, 5.5, 'N', 'Asia/Calcutta'),
	(2996, 'Aurangabad', 'Aurangabad', 'India', 'IXU', 'VAAU', 19.862728, 75.398114, 1911, 5.5, 'N', 'Asia/Calcutta'),
	(2997, 'Chhatrapati Shivaji Intl', 'Mumbai', 'India', 'BOM', 'VABB', 19.088686, 72.867919, 37, 5.5, 'N', 'Asia/Calcutta'),
	(2998, 'Bilaspur', 'Bilaspur', 'India', 'PAB', 'VABI', 21.9884, 82.110983, 899, 5.5, 'N', 'Asia/Calcutta'),
	(2999, 'Bhuj', 'Bhuj', 'India', 'BHJ', 'VABJ', 23.287828, 69.670147, 268, 5.5, 'N', 'Asia/Calcutta'),
	(3000, 'Belgaum', 'Belgaum', 'India', 'IXG', 'VABM', 15.859286, 74.618292, 2487, 5.5, 'N', 'Asia/Calcutta'),
	(3001, 'Vadodara', 'Baroda', 'India', 'BDQ', 'VABO', 22.336164, 73.226289, 129, 5.5, 'N', 'Asia/Calcutta'),
	(3002, 'Bhopal', 'Bhopal', 'India', 'BHO', 'VABP', 23.287467, 77.337375, 1719, 5.5, 'N', 'Asia/Calcutta'),
	(3003, 'Bhavnagar', 'Bhaunagar', 'India', 'BHU', 'VABV', 21.752206, 72.185181, 44, 5.5, 'N', 'Asia/Calcutta'),
	(3004, 'Daman', 'Daman', 'India', 'NMB', 'VADN', 20.434364, 72.843206, 33, 5.5, 'N', 'Asia/Calcutta'),
	(3005, 'Deesa', 'Deesa', 'India', '', 'VADS', 24.267936, 72.204433, 485, 5.5, 'N', 'Asia/Calcutta'),
	(3006, 'Guna', 'Guna', 'India', '', 'VAGN', 24.654681, 77.347347, 1600, 5.5, 'N', 'Asia/Calcutta'),
	(3007, 'Goa', 'Goa', 'India', 'GOI', 'VAGO', 15.380833, 73.831422, 184, 5.5, 'N', 'Asia/Calcutta'),
	(3008, 'Devi Ahilyabai Holkar', 'Indore', 'India', 'IDR', 'VAID', 22.721786, 75.801086, 1850, 5.5, 'N', 'Asia/Calcutta'),
	(3009, 'Jabalpur', 'Jabalpur', 'India', 'JLR', 'VAJB', 23.177817, 80.052047, 1624, 5.5, 'N', 'Asia/Calcutta'),
	(3010, 'Jamnagar', 'Jamnagar', 'India', 'JGA', 'VAJM', 22.465522, 70.012556, 69, 5.5, 'N', 'Asia/Calcutta'),
	(3011, 'Kandla', 'Kandla', 'India', 'IXY', 'VAKE', 23.112719, 70.100289, 96, 5.5, 'N', 'Asia/Calcutta'),
	(3012, 'Khajuraho', 'Khajuraho', 'India', 'HJR', 'VAKJ', 24.817197, 79.918597, 728, 5.5, 'N', 'Asia/Calcutta'),
	(3013, 'Kolhapur', 'Kolhapur', 'India', 'KLH', 'VAKP', 16.664658, 74.289353, 1996, 5.5, 'N', 'Asia/Calcutta'),
	(3014, 'Keshod', 'Keshod', 'India', 'IXK', 'VAKS', 21.317069, 70.270403, 167, 5.5, 'N', 'Asia/Calcutta'),
	(3015, 'Dr Ambedkar Intl', 'Nagpur', 'India', 'NAG', 'VANP', 21.092192, 79.047183, 1033, 5.5, 'N', 'Asia/Calcutta'),
	(3016, 'Nasik Road', 'Nasik Road', 'India', 'ISK', 'VANR', 19.963739, 73.807644, 1959, 5.5, 'N', 'Asia/Calcutta'),
	(3017, 'Pune', 'Pune', 'India', 'PNQ', 'VAPO', 18.582111, 73.919697, 1942, 5.5, 'N', 'Asia/Calcutta'),
	(3018, 'Porbandar', 'Porbandar', 'India', 'PBD', 'VAPR', 21.648675, 69.657219, 23, 5.5, 'N', 'Asia/Calcutta'),
	(3019, 'Rajkot', 'Rajkot', 'India', 'RAJ', 'VARK', 22.309183, 70.779525, 441, 5.5, 'N', 'Asia/Calcutta'),
	(3020, 'Raipur', 'Raipur', 'India', 'RPR', 'VARP', 21.180406, 81.738753, 1041, 5.5, 'N', 'Asia/Calcutta'),
	(3021, 'Sholapur', 'Sholapur', 'India', 'SSE', 'VASL', 17.627958, 75.934842, 1584, 5.5, 'N', 'Asia/Calcutta'),
	(3022, 'Surat', 'Surat', 'India', 'STV', 'VASU', 21.114061, 72.741792, 16, 5.5, 'N', 'Asia/Calcutta'),
	(3023, 'Udaipur', 'Udaipur', 'India', 'UDR', 'VAUD', 24.617697, 73.8961, 1684, 5.5, 'N', 'Asia/Calcutta'),
	(3024, 'Bandaranaike Intl Colombo', 'Colombo', 'Sri Lanka', 'CMB', 'VCBI', 7.180756, 79.884117, 30, 5.5, 'U', 'Asia/Colombo'),
	(3025, 'Anuradhapura', 'Anuradhapura', 'Sri Lanka', '', 'VCCA', 8.301486, 80.4279, 324, 5.5, 'U', 'Asia/Colombo'),
	(3026, 'Batticaloa', 'Batticaloa', 'Sri Lanka', '', 'VCCB', 7.705756, 81.678783, 20, 5.5, 'U', 'Asia/Colombo'),
	(3027, 'Colombo Ratmalana', 'Colombo', 'Sri Lanka', 'RML', 'VCCC', 6.821994, 79.886208, 22, 5.5, 'U', 'Asia/Colombo'),
	(3028, 'Amparai', 'Galoya', 'Sri Lanka', 'GOY', 'VCCG', 7.337081, 81.625881, 150, 5.5, 'U', 'Asia/Colombo'),
	(3029, 'Kankesanturai', 'Jaffna', 'Sri Lanka', 'JAF', 'VCCJ', 9.792331, 80.070089, 33, 5.5, 'U', 'Asia/Colombo'),
	(3030, 'China Bay', 'Trinciomalee', 'Sri Lanka', 'TRR', 'VCCT', 8.538514, 81.181853, 6, 5.5, 'U', 'Asia/Colombo'),
	(3033, 'Kampong Chhnang', 'Kompong Chnang', 'Cambodia', '', 'VDKH', 12.255236, 104.563875, 56, 7, 'U', 'Asia/Phnom_Penh'),
	(3034, 'Phnom Penh Intl', 'Phnom-penh', 'Cambodia', 'PNH', 'VDPP', 11.546556, 104.844139, 40, 7, 'U', 'Asia/Phnom_Penh'),
	(3035, 'Siem Reap', 'Siem-reap', 'Cambodia', 'REP', 'VDSR', 13.410666, 103.81284, 60, 7, 'U', 'Asia/Phnom_Penh'),
	(3036, 'Stung Treng', 'Stung Treng', 'Cambodia', '', 'VDST', 13.531897, 106.014531, 203, 7, 'U', 'Asia/Phnom_Penh'),
	(3037, 'Along', 'Along', 'India', '', 'VEAN', 28.175317, 94.802036, 900, 5.5, 'N', 'Asia/Calcutta'),
	(3038, 'Agartala', 'Agartala', 'India', 'IXA', 'VEAT', 23.886978, 91.24045, 46, 5.5, 'N', 'Asia/Calcutta'),
	(3039, 'Aizawl', 'Aizwal', 'India', 'AJL', 'VEAZ', 23.746603, 92.802767, 1001, 5.5, 'N', 'Asia/Calcutta'),
	(3040, 'Bagdogra', 'Baghdogra', 'India', 'IXB', 'VEBD', 26.681206, 88.328567, 412, 5.5, 'N', 'Asia/Calcutta'),
	(3041, 'Bokaro', 'Bokaro', 'India', '', 'VEBK', 23.643489, 86.148886, 715, 5.5, 'N', 'Asia/Calcutta'),
	(3042, 'Bhubaneshwar', 'Bhubaneswar', 'India', 'BBI', 'VEBS', 20.244364, 85.817781, 138, 5.5, 'N', 'Asia/Calcutta'),
	(3043, 'Netaji Subhash Chandra Bose Intl', 'Kolkata', 'India', 'CCU', 'VECC', 22.654739, 88.446722, 16, 5.5, 'N', 'Asia/Calcutta'),
	(3044, 'Cooch Behar', 'Cooch-behar', 'India', 'COH', 'VECO', 26.330508, 89.467203, 138, 5.5, 'N', 'Asia/Calcutta'),
	(3045, 'Dhanbad', 'Dhanbad', 'India', 'DBD', 'VEDB', 23.834044, 86.425261, 847, 5.5, 'N', 'Asia/Calcutta'),
	(3048, 'Gaya', 'Gaya', 'India', 'GAY', 'VEGY', 24.744308, 84.951175, 380, 5.5, 'N', 'Asia/Calcutta'),
	(3049, 'Hirakud', 'Hirakud', 'India', '', 'VEHK', 21.580231, 84.005728, 658, 5.5, 'N', 'Asia/Calcutta'),
	(3050, 'Imphal', 'Imphal', 'India', 'IMF', 'VEIM', 24.75995, 93.896697, 2540, 5.5, 'N', 'Asia/Calcutta'),
	(3051, 'Jharsuguda', 'Jharsuguda', 'India', '', 'VEJH', 21.913536, 84.050383, 751, 5.5, 'N', 'Asia/Calcutta'),
	(3052, 'Jamshedpur', 'Jamshedpur', 'India', 'IXW', 'VEJS', 22.813211, 86.168844, 505, 5.5, 'N', 'Asia/Calcutta'),
	(3053, 'Jorhat', 'Jorhat', 'India', 'JRH', 'VEJT', 26.731528, 94.175536, 311, 5.5, 'N', 'Asia/Calcutta'),
	(3054, 'Kailashahar', 'Kailashahar', 'India', 'IXH', 'VEKR', 24.308192, 92.007156, 79, 5.5, 'N', 'Asia/Calcutta'),
	(3055, 'Silchar', 'Silchar', 'India', 'IXS', 'VEKU', 24.912928, 92.978742, 352, 5.5, 'N', 'Asia/Calcutta'),
	(3056, 'Lilabari', 'Lilabari', 'India', 'IXI', 'VELR', 27.295494, 94.09765, 330, 5.5, 'N', 'Asia/Calcutta'),
	(3057, 'Dibrugarh', 'Mohanbari', 'India', 'MOH', 'VEMN', 27.483853, 95.016922, 362, 5.5, 'N', 'Asia/Calcutta'),
	(3058, 'Muzaffarpur', 'Mazuffarpur', 'India', '', 'VEMZ', 26.119089, 85.313664, 174, 5.5, 'N', 'Asia/Calcutta'),
	(3059, 'Nawapara', 'Nawapara', 'India', '', 'VENP', 20.870036, 82.519553, 1058, 5.5, 'N', 'Asia/Calcutta'),
	(3060, 'Panagarh', 'Panagarh', 'India', '', 'VEPH', 23.474336, 87.427508, 240, 5.5, 'N', 'Asia/Calcutta'),
	(3061, 'Patna', 'Patina', 'India', 'PAT', 'VEPT', 25.591317, 85.087992, 170, 5.5, 'N', 'Asia/Calcutta'),
	(3062, 'Purnea', 'Purnea', 'India', '', 'VEPU', 25.759594, 87.410011, 129, 5.5, 'N', 'Asia/Calcutta'),
	(3063, 'Birsa Munda', 'Ranchi', 'India', 'IXR', 'VERC', 23.31425, 85.321675, 2148, 5.5, 'N', 'Asia/Calcutta'),
	(3064, 'Rourkela', 'Rourkela', 'India', 'RRK', 'VERK', 22.25665, 84.814567, 659, 5.5, 'N', 'Asia/Calcutta'),
	(3065, 'Utkela', 'Utkela', 'India', '', 'VEUK', 20.097411, 83.183797, 680, 5.5, 'N', 'Asia/Calcutta'),
	(3066, 'Vishakhapatnam', 'Vishakhapatnam', 'India', 'VTZ', 'VEVZ', 17.721167, 83.224483, 15, 5.5, 'N', 'Asia/Calcutta'),
	(3067, 'Zero', 'Zero', 'India', '', 'VEZO', 27.588283, 93.828061, 5403, 5.5, 'N', 'Asia/Calcutta'),
	(3068, 'Coxs Bazar', 'Cox\'s Bazar', 'Bangladesh', 'CXB', 'VGCB', 21.452194, 91.963889, 12, 6, 'U', 'Asia/Dhaka'),
	(3069, 'Shah Amanat Intl', 'Chittagong', 'Bangladesh', 'CGP', 'VGEG', 22.249611, 91.813286, 12, 6, 'U', 'Asia/Dhaka'),
	(3070, 'Ishurdi', 'Ishurdi', 'Bangladesh', 'IRD', 'VGIS', 24.1525, 89.049446, 45, 6, 'U', 'Asia/Dhaka'),
	(3071, 'Jessore', 'Jessore', 'Bangladesh', 'JSR', 'VGJR', 23.1838, 89.160833, 20, 6, 'U', 'Asia/Dhaka'),
	(3072, 'Shah Mokhdum', 'Rajshahi', 'Bangladesh', 'RJH', 'VGRJ', 24.437219, 88.616511, 64, 6, 'U', 'Asia/Dhaka'),
	(3073, 'Saidpur', 'Saidpur', 'Bangladesh', 'SPD', 'VGSD', 25.759228, 88.908869, 125, 6, 'U', 'Asia/Dhaka'),
	(3074, 'Osmany Intl', 'Sylhet Osmani', 'Bangladesh', 'ZYL', 'VGSY', 24.963242, 91.866783, 50, 6, 'U', 'Asia/Dhaka'),
	(3075, 'Tejgaon', 'Dhaka', 'Bangladesh', '', 'VGTJ', 23.778783, 90.382689, 24, 6, 'U', 'Asia/Dhaka'),
	(3076, 'Zia Intl', 'Dhaka', 'Bangladesh', 'DAC', 'VGZR', 23.843333, 90.397781, 30, 6, 'U', 'Asia/Dhaka'),
	(3077, 'Hong Kong Intl', 'Hong Kong', 'Hong Kong', 'HKG', 'VHHH', 22.308919, 113.914603, 28, 8, 'U', 'Asia/Hong_Kong'),
	(3078, 'Sek Kong', 'Sek Kong', 'Hong Kong', '', 'VHSK', 22.436592, 114.080397, 50, 8, 'U', 'Asia/Hong_Kong'),
	(3079, 'Agra', 'Agra', 'India', 'AGR', 'VIAG', 27.155831, 77.960892, 551, 5.5, 'N', 'Asia/Calcutta'),
	(3080, 'Allahabad', 'Allahabad', 'India', 'IXD', 'VIAL', 25.440064, 81.733872, 322, 5.5, 'N', 'Asia/Calcutta'),
	(3081, 'Amritsar', 'Amritsar', 'India', 'ATQ', 'VIAR', 31.709594, 74.797264, 756, 5.5, 'N', 'Asia/Calcutta'),
	(3082, 'Nal', 'Bikaner', 'India', '', 'VIBK', 28.070606, 73.207161, 750, 5.5, 'N', 'Asia/Calcutta'),
	(3083, 'Bakshi Ka Talab', 'Bakshi Ka Talab', 'India', '', 'VIBL', 26.988339, 80.893117, 385, 5.5, 'N', 'Asia/Calcutta'),
	(3084, 'Varanasi', 'Varanasi', 'India', 'VNS', 'VIBN', 25.452358, 82.859342, 266, 5.5, 'N', 'Asia/Calcutta'),
	(3085, 'Kullu Manali', 'Kulu', 'India', 'KUU', 'VIBR', 31.876706, 77.154367, 3573, 5.5, 'N', 'Asia/Calcutta'),
	(3086, 'Bhatinda', 'Bhatinda', 'India', '', 'VIBT', 30.270139, 74.755772, 662, 5.5, 'N', 'Asia/Calcutta'),
	(3087, 'Bhiwani', 'Bhiwani', 'India', '', 'VIBW', 28.837039, 76.179094, 720, 5.5, 'N', 'Asia/Calcutta'),
	(3088, 'Bareilly', 'Bareilly', 'India', '', 'VIBY', 28.422061, 79.450842, 580, 5.5, 'N', 'Asia/Calcutta'),
	(3089, 'Chandigarh', 'Chandigarh', 'India', 'IXC', 'VICG', 30.673469, 76.788542, 1012, 5.5, 'N', 'Asia/Calcutta'),
	(3090, 'Kanpur Chakeri', 'Kanpur', 'India', '', 'VICX', 26.4043, 80.410119, 405, 5.5, 'N', 'Asia/Calcutta'),
	(3091, 'Safdarjung', 'Delhi', 'India', '', 'VIDD', 28.584511, 77.205783, 705, 5.5, 'N', 'Asia/Calcutta'),
	(3092, 'Dehradun', 'Dehra Dun', 'India', 'DED', 'VIDN', 30.189689, 78.180256, 1831, 5.5, 'N', 'Asia/Calcutta'),
	(3093, 'Indira Gandhi Intl', 'Delhi', 'India', 'DEL', 'VIDP', 28.5665, 77.103088, 777, 5.5, 'N', 'Asia/Calcutta'),
	(3094, 'Gwalior', 'Gwalior', 'India', 'GWL', 'VIGR', 26.293336, 78.227753, 617, 5.5, 'N', 'Asia/Calcutta'),
	(3095, 'Hissar', 'Hissar', 'India', '', 'VIHR', 29.179444, 75.755336, 700, 5.5, 'N', 'Asia/Calcutta'),
	(3096, 'Jhansi', 'Jhansi', 'India', '', 'VIJN', 25.491172, 78.558422, 801, 5.5, 'N', 'Asia/Calcutta'),
	(3097, 'Jodhpur', 'Jodhpur', 'India', 'JDH', 'VIJO', 26.251092, 73.048869, 717, 5.5, 'N', 'Asia/Calcutta'),
	(3098, 'Jaipur', 'Jaipur', 'India', 'JAI', 'VIJP', 26.824192, 75.812161, 1263, 5.5, 'N', 'Asia/Calcutta'),
	(3099, 'Jaisalmer', 'Jaisalmer', 'India', 'JSA', 'VIJR', 26.888653, 70.864967, 751, 5.5, 'N', 'Asia/Calcutta'),
	(3100, 'Jammu', 'Jammu', 'India', 'IXJ', 'VIJU', 32.689142, 74.837389, 1029, 5.5, 'N', 'Asia/Calcutta'),
	(3101, 'Kanpur', 'Kanpur', 'India', 'KNU', 'VIKA', 26.441444, 80.364864, 411, 5.5, 'N', 'Asia/Calcutta'),
	(3102, 'Kota', 'Kota', 'India', 'KTU', 'VIKO', 25.160219, 75.845631, 896, 5.5, 'N', 'Asia/Calcutta'),
	(3103, 'Ludhiana', 'Ludhiaha', 'India', 'LUH', 'VILD', 30.854681, 75.952592, 834, 5.5, 'N', 'Asia/Calcutta'),
	(3104, 'Leh', 'Leh', 'India', 'IXL', 'VILH', 34.135872, 77.546514, 10682, 5.5, 'N', 'Asia/Calcutta'),
	(3105, 'Lucknow', 'Lucknow', 'India', 'LKO', 'VILK', 26.760594, 80.889339, 410, 5.5, 'N', 'Asia/Calcutta'),
	(3106, 'Pathankot', 'Pathankot', 'India', 'IXP', 'VIPK', 32.233778, 75.634628, 1017, 5.5, 'N', 'Asia/Calcutta'),
	(3107, 'Patiala', 'Patiala', 'India', '', 'VIPL', 30.314847, 76.364469, 820, 5.5, 'N', 'Asia/Calcutta'),
	(3108, 'Pantnagar', 'Nainital', 'India', 'PGH', 'VIPT', 29.033408, 79.473744, 769, 5.5, 'N', 'Asia/Calcutta'),
	(3109, 'Fursatganj', 'Raibarelli', 'India', '', 'VIRB', 26.248489, 81.380506, 360, 5.5, 'N', 'Asia/Calcutta'),
	(3111, 'Sarsawa', 'Saharanpur', 'India', '', 'VISP', 29.993919, 77.425311, 891, 5.5, 'N', 'Asia/Calcutta'),
	(3112, 'Srinagar', 'Srinagar', 'India', 'SXR', 'VISR', 33.987139, 74.77425, 5429, 5.5, 'N', 'Asia/Calcutta'),
	(3113, 'Satna', 'Satna', 'India', 'TNI', 'VIST', 24.562319, 80.854933, 1060, 5.5, 'N', 'Asia/Calcutta'),
	(3115, 'Luang Phabang Intl', 'Luang Prabang', 'Laos', 'LPQ', 'VLLB', 19.897914, 102.160764, 955, 7, 'U', 'Asia/Vientiane'),
	(3116, 'Pakse', 'Pakse', 'Laos', 'PKZ', 'VLPS', 15.132053, 105.781417, 351, 7, 'U', 'Asia/Vientiane'),
	(3117, 'Phonesavanh', 'Phong Savanh', 'Laos', '', 'VLPV', 19.454864, 103.218208, 3628, 7, 'U', 'Asia/Vientiane'),
	(3118, 'Savannakhet', 'Savannakhet', 'Laos', 'ZVK', 'VLSK', 16.556594, 104.759531, 509, 7, 'U', 'Asia/Vientiane'),
	(3119, 'Sam Neua', 'Sam Neua', 'Laos', '', 'VLSN', 20.418358, 104.066583, 3281, 7, 'U', 'Asia/Vientiane'),
	(3120, 'Wattay Intl', 'Vientiane', 'Laos', 'VTE', 'VLVT', 17.988322, 102.563256, 564, 7, 'U', 'Asia/Vientiane'),
	(3121, 'Macau Intl', 'Macau', 'Macau', 'MFM', 'VMMC', 22.149556, 113.591558, 20, 8, 'U', 'Asia/Macau'),
	(3122, 'Bhairahawa', 'Bhairawa', 'Nepal', 'BWA', 'VNBW', 27.505703, 83.41625, 358, 5.75, 'N', 'Asia/Katmandu'),
	(3124, 'Janakpur', 'Janakpur', 'Nepal', '', 'VNJP', 26.708806, 85.922394, 256, 5.75, 'N', 'Asia/Katmandu'),
	(3125, 'Tribhuvan Intl', 'Kathmandu', 'Nepal', 'KTM', 'VNKT', 27.696583, 85.3591, 4390, 5.75, 'N', 'Asia/Katmandu'),
	(3127, 'Pokhara', 'Pokhara', 'Nepal', 'PKR', 'VNPK', 28.200881, 83.982056, 2712, 5.75, 'N', 'Asia/Katmandu'),
	(3128, 'Simara', 'Simara', 'Nepal', 'SIF', 'VNSI', 27.159456, 84.980122, 450, 5.75, 'N', 'Asia/Katmandu'),
	(3129, 'Biratnagar', 'Biratnagar', 'Nepal', 'BIR', 'VNVT', 26.481453, 87.264036, 236, 5.75, 'N', 'Asia/Katmandu'),
	(3130, 'Agatti', 'Agatti Island', 'India', 'AGX', 'VOAT', 10.823656, 72.176042, 14, 5.5, 'N', 'Asia/Calcutta'),
	(3131, 'Bangalore', 'Bangalore', 'India', 'BLR', 'VOBL', 12.949986, 77.668206, 2912, 5.5, 'N', 'Asia/Calcutta'),
	(3132, 'Bellary', 'Bellary', 'India', 'BEP', 'VOBI', 15.162783, 76.882775, 30, 5.5, 'N', 'Asia/Calcutta'),
	(3133, 'Bidar', 'Bidar', 'India', '', 'VOBR', 17.908081, 77.487142, 2178, 5.5, 'N', 'Asia/Calcutta'),
	(3134, 'Vijayawada', 'Vijayawada', 'India', 'VGA', 'VOBZ', 16.530433, 80.796847, 82, 5.5, 'N', 'Asia/Calcutta'),
	(3135, 'Coimbatore', 'Coimbatore', 'India', 'CJB', 'VOCB', 11.030031, 77.043383, 1324, 5.5, 'N', 'Asia/Calcutta'),
	(3136, 'Cochin', 'Kochi', 'India', 'COK', 'VOCI', 10.155556, 76.391389, 8, 5.5, 'N', 'Asia/Calcutta'),
	(3137, 'Calicut', 'Calicut', 'India', 'CCJ', 'VOCL', 11.136839, 75.9553, 342, 5.5, 'N', 'Asia/Calcutta'),
	(3138, 'Cuddapah', 'Cuddapah', 'India', 'CDP', 'VOCP', 14.509961, 78.772833, 430, 5.5, 'N', 'Asia/Calcutta'),
	(3139, 'Carnicobar', 'Carnicobar', 'India', '', 'VOCX', 9.152508, 92.819628, 5, 5.5, 'N', 'Asia/Calcutta'),
	(3140, 'Dundigul', 'Dundigul', 'India', '', 'VODG', 17.627178, 78.403361, 2013, 5.5, 'N', 'Asia/Calcutta'),
	(3141, 'Hyderabad', 'Hyderabad', 'India', 'HYD', 'VOHY', 17.453117, 78.467586, 1742, 5.5, 'N', 'Asia/Calcutta'),
	(3142, 'Madurai', 'Madurai', 'India', 'IXM', 'VOMD', 9.834508, 78.093378, 459, 5.5, 'N', 'Asia/Calcutta'),
	(3143, 'Mangalore', 'Mangalore', 'India', 'IXE', 'VOML', 12.961267, 74.890069, 337, 5.5, 'N', 'Asia/Calcutta'),
	(3144, 'Chennai Intl', 'Madras', 'India', 'MAA', 'VOMM', 12.994414, 80.180517, 52, 5.5, 'N', 'Asia/Calcutta'),
	(3145, 'Nagarjuna Sagar', 'Nagarjunsagar', 'India', '', 'VONS', 16.542653, 79.318714, 658, 5.5, 'N', 'Asia/Calcutta'),
	(3146, 'Port Blair', 'Port Blair', 'India', 'IXZ', 'VOPB', 11.641161, 92.729744, 14, 5.5, 'N', 'Asia/Calcutta'),
	(3147, 'Pondicherry', 'Pendicherry', 'India', 'PNY', 'VOPC', 11.968722, 79.810058, 118, 5.5, 'N', 'Asia/Calcutta'),
	(3148, 'Rajahmundry', 'Rajahmundry', 'India', 'RJA', 'VORY', 17.110361, 81.818208, 151, 5.5, 'N', 'Asia/Calcutta'),
	(3149, 'Salem', 'Salem', 'India', '', 'VOSM', 11.783314, 78.065606, 1008, 5.5, 'N', 'Asia/Calcutta'),
	(3150, 'Tanjore', 'Tanjore', 'India', '', 'VOTJ', 10.722428, 79.101567, 253, 5.5, 'N', 'Asia/Calcutta'),
	(3151, 'Tirupati', 'Tirupeti', 'India', 'TIR', 'VOTP', 13.632492, 79.543256, 350, 5.5, 'N', 'Asia/Calcutta'),
	(3152, 'Trichy', 'Tiruchirappalli', 'India', 'TRZ', 'VOTR', 10.765364, 78.709722, 288, 5.5, 'N', 'Asia/Calcutta'),
	(3153, 'Thiruvananthapuram Intl', 'Trivandrum', 'India', 'TRV', 'VOTV', 8.482122, 76.920114, 15, 5.5, 'N', 'Asia/Calcutta'),
	(3154, 'Tambaram', 'Tambaram', 'India', '', 'VOTX', 12.907214, 80.121861, 90, 5.5, 'N', 'Asia/Calcutta'),
	(3155, 'Paro', 'Thimphu', 'Bhutan', 'PBH', 'VQPR', 27.403192, 89.424606, 7332, 6, 'N', 'Asia/Thimphu'),
	(3156, 'Male Intl', 'Male', 'Maldives', 'MLE', 'VRMM', 4.191833, 73.529128, 6, 5, 'U', 'Indian/Maldives'),
	(3157, 'Don Muang Intl', 'Bangkok', 'Thailand', 'DMK', 'VTBD', 13.912583, 100.60675, 9, 7, 'U', 'Asia/Bangkok'),
	(3158, 'Kamphaeng Saen', 'Nakhon Pathom', 'Thailand', '', 'VTBK', 14.101975, 99.917219, 30, 7, 'U', 'Asia/Bangkok'),
	(3159, 'Khok Kathiam', 'Lop Buri', 'Thailand', '', 'VTBL', 14.874561, 100.663367, 123, 7, 'U', 'Asia/Bangkok'),
	(3161, 'U Taphao Intl', 'Pattaya', 'Thailand', 'UTP', 'VTBU', 12.679944, 101.005028, 42, 7, 'U', 'Asia/Bangkok'),
	(3162, 'Watthana Nakhon', 'Prachin Buri', 'Thailand', '', 'VTBW', 13.7688, 102.315492, 200, 7, 'U', 'Asia/Bangkok'),
	(3163, 'Lampang', 'Lampang', 'Thailand', 'LPT', 'VTCL', 18.270933, 99.504167, 811, 7, 'U', 'Asia/Bangkok'),
	(3164, 'Phrae', 'Phrae', 'Thailand', 'PRH', 'VTCP', 18.132169, 100.164664, 538, 7, 'U', 'Asia/Bangkok'),
	(3165, 'Hua Hin', 'Prachuap Khiri Khan', 'Thailand', 'HHQ', 'VTPH', 12.636225, 99.951533, 62, 7, 'U', 'Asia/Bangkok'),
	(3166, 'Takhli', 'Nakhon Sawan', 'Thailand', '', 'VTPI', 15.277306, 100.295861, 107, 7, 'U', 'Asia/Bangkok'),
	(3167, 'Sak Long', 'Phetchabun', 'Thailand', '', 'VTPL', 16.824322, 101.251389, 500, 7, 'U', 'Asia/Bangkok'),
	(3169, 'Nakhon Sawan', 'Nakhon Sawan', 'Thailand', '', 'VTPN', 15.672997, 100.136794, 113, 7, 'U', 'Asia/Bangkok'),
	(3170, 'Phitsanulok', 'Phitsanulok', 'Thailand', 'PHS', 'VTPP', 16.782939, 100.279122, 154, 7, 'U', 'Asia/Bangkok'),
	(3171, 'Khunan Phumipol', 'Tak', 'Thailand', '', 'VTPY', 17.234211, 99.057911, 492, 7, 'U', 'Asia/Bangkok'),
	(3172, 'Khoun Khan', 'Satun', 'Thailand', '', 'VTSA', 6.661403, 100.080317, 18, 7, 'U', 'Asia/Bangkok'),
	(3173, 'Narathiwat', 'Narathiwat', 'Thailand', 'NAW', 'VTSC', 6.519922, 101.7434, 16, 7, 'U', 'Asia/Bangkok'),
	(3174, 'Krabi', 'Krabi', 'Thailand', 'KBV', 'VTSG', 8.095969, 98.988764, 93, 7, 'U', 'Asia/Bangkok'),
	(3175, 'Songkhla', 'Songkhla', 'Thailand', '', 'VTSH', 7.186564, 100.608031, 12, 7, 'U', 'Asia/Bangkok'),
	(3176, 'Pattani', 'Pattani', 'Thailand', 'PAN', 'VTSK', 6.785458, 101.153569, 8, 7, 'U', 'Asia/Bangkok'),
	(3177, 'Samui', 'Ko Samui', 'Thailand', 'USM', 'VTSM', 9.547794, 100.062272, 64, 7, 'U', 'Asia/Bangkok'),
	(3178, 'Cha Ian', 'Nakhon Si Thammarat', 'Thailand', '', 'VTSN', 8.471147, 99.955625, 44, 7, 'U', 'Asia/Bangkok'),
	(3179, 'Phuket Intl', 'Phuket', 'Thailand', 'HKT', 'VTSP', 8.1132, 98.316872, 82, 7, 'U', 'Asia/Bangkok'),
	(3180, 'Ranong', 'Ranong', 'Thailand', '', 'VTSR', 9.777622, 98.585483, 57, 7, 'U', 'Asia/Bangkok'),
	(3181, 'Hat Yai Intl', 'Hat Yai', 'Thailand', 'HDY', 'VTSS', 6.933206, 100.392975, 90, 7, 'U', 'Asia/Bangkok'),
	(3182, 'Trang', 'Trang', 'Thailand', 'TST', 'VTST', 7.508744, 99.616578, 67, 7, 'U', 'Asia/Bangkok'),
	(3183, 'Udon Thani', 'Udon Thani', 'Thailand', 'UTH', 'VTUD', 17.386436, 102.788247, 579, 7, 'U', 'Asia/Bangkok'),
	(3184, 'Sakon Nakhon', 'Sakon Nakhon', 'Thailand', 'SNO', 'VTUI', 17.195142, 104.118625, 529, 7, 'U', 'Asia/Bangkok'),
	(3185, 'Surin', 'Surin', 'Thailand', '', 'VTUJ', 14.868264, 103.498256, 478, 7, 'U', 'Asia/Bangkok'),
	(3186, 'Loei', 'Loei', 'Thailand', 'LOE', 'VTUL', 17.439133, 101.722064, 860, 7, 'U', 'Asia/Bangkok'),
	(3187, 'Khorat', 'Nakhon Ratchasima', 'Thailand', '', 'VTUN', 14.934514, 102.078639, 729, 7, 'U', 'Asia/Bangkok'),
	(3188, 'Rob Muang', 'Roi Et', 'Thailand', '', 'VTUR', 16.07035, 103.6459, 459, 7, 'U', 'Asia/Bangkok'),
	(3196, 'Danang Intl', 'Danang', 'Vietnam', 'DAD', 'VVDN', 16.043917, 108.19937, 33, 7, 'U', 'Asia/Saigon'),
	(3197, 'Hanoi Gia Lam', 'Hanoi', 'Vietnam', '', 'VVGL', 21.040975, 105.886011, 50, 7, 'U', 'Asia/Saigon'),
	(3198, 'Kep', 'Kep', 'Vietnam', '', 'VVKP', 21.394639, 106.261083, 55, 7, 'U', 'Asia/Saigon'),
	(3199, 'Noibai Intl', 'Hanoi', 'Vietnam', 'HAN', 'VVNB', 21.221192, 105.807178, 39, 7, 'U', 'Asia/Saigon'),
	(3200, 'Nhatrang', 'Nhatrang', 'Vietnam', 'NHA', 'VVNT', 12.227467, 109.192322, 20, 7, 'U', 'Asia/Saigon'),
	(3201, 'Phubai', 'Hue', 'Vietnam', '', 'VVPB', 16.4015, 107.702614, 48, 7, 'U', 'Asia/Saigon'),
	(3204, 'Phu Quoc', 'Phuquoc', 'Vietnam', '', 'VVPQ', 10.227025, 103.967169, 23, 7, 'U', 'Asia/Saigon'),
	(3205, 'Tansonnhat Intl', 'Ho Chi Minh City', 'Vietnam', 'SGN', 'VVTS', 10.818797, 106.651856, 33, 7, 'U', 'Asia/Saigon'),
	(3207, 'Ann', 'Ann', 'Burma', '', 'VYAN', 19.769156, 94.026133, 74, 6.5, 'U', 'Asia/Rangoon'),
	(3208, 'Anisakan', 'Anisakan', 'Burma', '', 'VYAS', 21.955433, 96.40605, 3000, 6.5, 'U', 'Asia/Rangoon'),
	(3209, 'Bagan', 'Bagan', 'Burma', '', 'VYBG', 21.178756, 94.930169, 312, 6.5, 'U', 'Asia/Rangoon'),
	(3211, 'Coco Island', 'Coco Island', 'Burma', '', 'VYCI', 14.141517, 93.368531, 20, 6, 'U', '\\N'),
	(3213, 'Heho', 'Heho', 'Burma', 'HEH', 'VYHH', 20.747036, 96.792044, 3858, 6.5, 'U', 'Asia/Rangoon'),
	(3214, 'Hommalinn', 'Hommalin', 'Burma', '', 'VYHL', 24.899597, 94.914033, 534, 6.5, 'U', 'Asia/Rangoon'),
	(3215, 'Kengtung', 'Kengtung', 'Burma', 'KET', 'VYKG', 21.301611, 99.635997, 2798, 6.5, 'U', 'Asia/Rangoon'),
	(3217, 'Kyaukpyu', 'Kyaukpyu', 'Burma', 'KYP', 'VYKP', 19.426447, 93.534836, 20, 6.5, 'U', 'Asia/Rangoon'),
	(3220, 'Lashio', 'Lashio', 'Burma', 'LSH', 'VYLS', 22.977881, 97.752183, 2450, 6.5, 'U', 'Asia/Rangoon'),
	(3221, 'Lanywa', 'Lanywa', 'Burma', '', 'VYLY', 20.940361, 94.822617, 175, 6.5, 'U', 'Asia/Rangoon'),
	(3222, 'Mandalay Intl', 'Mandalay', 'Burma', 'MDL', 'VYMD', 21.702156, 95.977928, 300, 6.5, 'U', 'Asia/Rangoon'),
	(3223, 'Myeik', 'Myeik', 'Burma', 'MGZ', 'VYME', 12.439797, 98.621478, 75, 6.5, 'U', 'Asia/Rangoon'),
	(3224, 'Myitkyina', 'Myitkyina', 'Burma', 'MYT', 'VYMK', 25.383636, 97.351919, 475, 6.5, 'U', 'Asia/Rangoon'),
	(3226, 'Momeik', 'Momeik', 'Burma', '', 'VYMO', 23.092525, 96.645272, 600, 6.5, 'U', 'Asia/Rangoon'),
	(3227, 'Mong Hsat', 'Mong Hsat', 'Burma', 'MOG', 'VYMS', 20.516758, 99.256825, 1875, 6.5, 'U', 'Asia/Rangoon'),
	(3228, 'Nampong', 'Nampong', 'Burma', '', 'VYNP', 25.354375, 97.29515, 459, 6.5, 'U', 'Asia/Rangoon'),
	(3229, 'Namsang', 'Namsang', 'Burma', '', 'VYNS', 20.890492, 97.735922, 3100, 6.5, 'U', 'Asia/Rangoon'),
	(3230, 'Hpa An', 'Hpa-an', 'Burma', '', 'VYPA', 16.893714, 97.674581, 150, 6.5, 'U', 'Asia/Rangoon'),
	(3232, 'Putao', 'Putao', 'Burma', 'PBU', 'VYPT', 27.329922, 97.426269, 1500, 6.5, 'U', 'Asia/Rangoon'),
	(3233, 'Pyay', 'Pyay', 'Burma', '', 'VYPY', 18.824478, 95.266003, 120, 6.5, 'U', 'Asia/Rangoon'),
	(3234, 'Shante', 'Shante', 'Burma', '', 'VYST', 20.941668, 95.914497, 630, 6.5, 'U', 'Asia/Rangoon'),
	(3235, 'Sittwe', 'Sittwe', 'Burma', 'AKY', 'VYSW', 20.132708, 92.872628, 27, 6.5, 'U', 'Asia/Rangoon'),
	(3236, 'Thandwe', 'Thandwe', 'Burma', 'SNW', 'VYTD', 18.460731, 94.300119, 20, 6.5, 'U', 'Asia/Rangoon'),
	(3237, 'Tachileik', 'Tachilek', 'Burma', 'THL', 'VYTL', 20.483831, 99.935353, 1280, 6.5, 'U', 'Asia/Rangoon'),
	(3238, 'Taungoo', 'Taungoo', 'Burma', '', 'VYTO', 19.031275, 96.401239, 160, 6.5, 'U', 'Asia/Rangoon'),
	(3239, 'Yangon Intl', 'Yangon', 'Burma', 'RGN', 'VYYY', 16.907305, 96.133222, 109, 6.5, 'U', 'Asia/Rangoon'),
	(3240, 'Hasanuddin', 'Ujung Pandang', 'Indonesia', 'UPG', 'WAAA', -5.061631, 119.554042, 47, 8, 'N', 'Asia/Makassar'),
	(3241, 'Frans Kaisiepo', 'Biak', 'Indonesia', 'BIK', 'WABB', -1.190017, 136.107997, 46, 9, 'N', 'Asia/Jayapura'),
	(3242, 'Nabire', 'Nabire', 'Indonesia', 'NBX', 'WABI', -3.368183, 135.496406, 20, 9, 'N', 'Asia/Jayapura'),
	(3243, 'Moses Kilangin', 'Timika', 'Indonesia', 'TIM', 'WABP', -4.528275, 136.887375, 103, 9, 'N', 'Asia/Jayapura'),
	(3244, 'Sentani', 'Jayapura', 'Indonesia', 'DJJ', 'WAJJ', -2.576953, 140.516372, 289, 9, 'N', 'Asia/Jayapura'),
	(3245, 'Wamena', 'Wamena', 'Indonesia', 'WMX', 'WAJW', -4.102511, 138.957372, 5085, 9, 'N', 'Asia/Jayapura'),
	(3246, 'Mopah', 'Merauke', 'Indonesia', 'MKQ', 'WAKK', -8.520294, 140.418453, 10, 9, 'N', 'Asia/Jayapura'),
	(3247, 'Jalaluddin', 'Gorontalo', 'Indonesia', 'GTO', 'WAMG', 0.637119, 122.849858, 105, 8, 'N', 'Asia/Makassar'),
	(3249, 'Mutiara', 'Palu', 'Indonesia', 'PLW', 'WAML', -0.918542, 119.909642, 284, 8, 'N', 'Asia/Makassar'),
	(3250, 'Sam Ratulangi', 'Manado', 'Indonesia', 'MDC', 'WAMM', 1.549447, 124.925878, 264, 8, 'N', 'Asia/Makassar'),
	(3251, 'Kasiguncu', 'Poso', 'Indonesia', 'PSJ', 'WAMP', -1.416753, 120.657669, 174, 8, 'N', 'Asia/Makassar'),
	(3252, 'Pitu', 'Morotai Island', 'Indonesia', 'OTI', 'WAMR', 2.045992, 128.324708, 49, 9, 'N', 'Asia/Jayapura'),
	(3253, 'Sultan Babullah', 'Ternate', 'Indonesia', 'TTE', 'WAMT', 0.831414, 127.381486, 49, 9, 'N', 'Asia/Jayapura'),
	(3254, 'Bubung', 'Luwuk', 'Indonesia', 'LUW', 'WAMW', -1.038919, 122.771906, 56, 8, 'N', 'Asia/Makassar'),
	(3256, 'Pattimura', 'Ambon', 'Indonesia', 'AMQ', 'WAPP', -3.710264, 128.089136, 33, 9, 'N', 'Asia/Jayapura'),
	(3257, 'Fak Fak', 'Fak Fak', 'Indonesia', 'FKQ', 'WASF', -2.920192, 132.267031, 462, 9, 'N', 'Asia/Jayapura'),
	(3258, 'Kaimana', 'Kaimana', 'Indonesia', 'KNG', 'WASK', -3.644517, 133.695553, 19, 9, 'N', 'Asia/Jayapura'),
	(3259, 'Babo', 'Babo', 'Indonesia', 'BXB', 'WASO', -2.532242, 133.438894, 10, 9, 'N', 'Asia/Jayapura'),
	(3260, 'Rendani', 'Manokwari', 'Indonesia', 'MKW', 'WASR', -0.891833, 134.049183, 23, 9, 'N', 'Asia/Jayapura'),
	(3261, 'Jefman', 'Sorong', 'Indonesia', 'SOQ', 'WASS', -0.926358, 131.121194, 10, 9, 'N', 'Asia/Jayapura'),
	(3262, 'Bintulu', 'Bintulu', 'Malaysia', 'BTU', 'WBGB', 3.12385, 113.020472, 74, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3263, 'Kuching Intl', 'Kuching', 'Malaysia', 'KCH', 'WBGG', 1.484697, 110.346933, 89, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3264, 'Limbang', 'Limbang', 'Malaysia', 'LMN', 'WBGJ', 4.808303, 115.010439, 14, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3265, 'Marudi', 'Marudi', 'Malaysia', 'MUR', 'WBGM', 4.1775, 114.321944, 103, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3266, 'Miri', 'Miri', 'Malaysia', 'MYY', 'WBGR', 4.322014, 113.986806, 59, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3267, 'Sibu', 'Sibu', 'Malaysia', 'SBW', 'WBGS', 2.261603, 111.985322, 122, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3268, 'Lahad Datu', 'Lahad Datu', 'Malaysia', 'LDU', 'WBKD', 5.032247, 118.324036, 45, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3269, 'Kota Kinabalu Intl', 'Kota Kinabalu', 'Malaysia', 'BKI', 'WBKK', 5.937208, 116.051181, 10, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3270, 'Labuan', 'Labuan', 'Malaysia', 'LBU', 'WBKL', 5.300683, 115.250181, 101, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3271, 'Tawau', 'Tawau', 'Malaysia', 'TWU', 'WBKW', 4.313369, 118.121953, 57, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3272, 'Brunei Intl', 'Bandar Seri Begawan', 'Brunei', 'BWN', 'WBSB', 4.9442, 114.928353, 73, 8, 'U', 'Asia/Brunei'),
	(3273, 'Sultan Syarif Kasim Ii', 'Pekanbaru', 'Indonesia', 'PKU', 'WIBB', 0.460786, 101.444539, 102, 7, 'N', 'Asia/Jakarta'),
	(3274, 'Pinang Kampai', 'Dumai', 'Indonesia', 'DUM', 'WIBD', 1.609194, 101.433558, 55, 7, 'N', 'Asia/Jakarta'),
	(3275, 'Soekarno Hatta Intl', 'Jakarta', 'Indonesia', 'CGK', 'WIII', -6.125567, 106.655897, 34, 7, 'N', 'Asia/Jakarta'),
	(3276, 'Binaka', 'Gunung Sitoli', 'Indonesia', 'GNS', 'WIMB', 1.166381, 97.704681, 20, 7, 'N', 'Asia/Jakarta'),
	(3277, 'Aek Godang', 'Padang Sidempuan', 'Indonesia', '', 'WIME', 1.400103, 99.430453, 922, 7, 'N', 'Asia/Jakarta'),
	(3278, 'Minangkabau', 'Padang', 'Indonesia', 'PDG', 'WIPT', -0.874989, 100.351881, 9, 7, 'N', 'Asia/Jakarta'),
	(3279, 'Polonia', 'Medan', 'Indonesia', 'MES', 'WIMM', 3.558056, 98.671722, 114, 7, 'N', 'Asia/Jakarta'),
	(3280, 'Dr Ferdinand Lumban Tobing', 'Sibolga', 'Indonesia', '', 'WIMS', 1.555944, 98.888908, 43, 7, 'N', 'Asia/Jakarta'),
	(3281, 'Nanga Pinoh I', 'Nangapinoh', 'Indonesia', '', 'WIOG', -0.348869, 111.747606, 123, 7, 'N', 'Asia/Jakarta'),
	(3282, 'Rahadi Usman', 'Ketapang', 'Indonesia', 'KTG', 'WIOK', -1.816639, 109.963483, 46, 7, 'N', 'Asia/Jakarta'),
	(3284, 'Supadio', 'Pontianak', 'Indonesia', 'PNK', 'WIOO', -0.150711, 109.403892, 10, 7, 'N', 'Asia/Jakarta'),
	(3287, 'Sultan Thaha', 'Jambi', 'Indonesia', 'DJB', 'WIPA', -1.638017, 103.644378, 82, 7, 'N', 'Asia/Jakarta'),
	(3288, 'Fatmawati Soekarno', 'Bengkulu', 'Indonesia', 'BKS', 'WIPL', -3.8637, 102.339036, 50, 7, 'N', 'Asia/Jakarta'),
	(3289, 'Sultan Mahmud Badaruddin Ii', 'Palembang', 'Indonesia', 'PLM', 'WIPP', -2.89825, 104.699903, 49, 7, 'N', 'Asia/Jakarta'),
	(3291, 'Japura', 'Rengat', 'Indonesia', 'RGT', 'WIPR', -0.352808, 102.334917, 62, 7, 'N', 'Asia/Jakarta'),
	(3292, 'Lhok Sukon', 'Lhok Sukon', 'Indonesia', '', 'WITL', 5.069506, 97.259192, 28, 7, 'N', 'Asia/Jakarta'),
	(3294, 'Sultan Iskandarmuda', 'Banda Aceh', 'Indonesia', 'BTJ', 'WITT', 5.523522, 95.420372, 65, 7, 'N', 'Asia/Jakarta'),
	(3295, 'Kluang', 'Kluang', 'Malaysia', '', 'WMAP', 2.041394, 103.307394, 150, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3296, 'Sultan Abdul Halim', 'Alor Setar', 'Malaysia', 'AOR', 'WMKA', 6.189667, 100.398183, 15, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3297, 'Butterworth', 'Butterworth', 'Malaysia', '', 'WMKB', 5.465917, 100.391167, 11, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3298, 'Sultan Ismail Petra', 'Kota Bahru', 'Malaysia', 'KBR', 'WMKC', 6.16685, 102.293014, 16, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3299, 'Kuantan', 'Kuantan', 'Malaysia', 'KUA', 'WMKD', 3.775389, 103.209056, 58, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3300, 'Kerteh', 'Kerteh', 'Malaysia', 'KTE', 'WMKE', 4.537222, 103.426756, 18, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3301, 'Simpang', 'Simpang', 'Malaysia', '', 'WMKF', 3.11225, 101.70275, 111, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3302, 'Sultan Azlan Shah', 'Ipoh', 'Malaysia', 'IPH', 'WMKI', 4.567972, 101.092194, 130, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3303, 'Sultan Ismail', 'Johor Bahru', 'Malaysia', 'JHB', 'WMKJ', 1.641308, 103.669619, 135, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3304, 'Kuala Lumpur Intl', 'Kuala Lumpur', 'Malaysia', 'KUL', 'WMKK', 2.745578, 101.709917, 69, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3305, 'Langkawi Intl', 'Pulau', 'Malaysia', 'LGK', 'WMKL', 6.329728, 99.728667, 29, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3306, 'Malacca', 'Malacca', 'Malaysia', 'MKZ', 'WMKM', 2.263361, 102.251553, 35, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3307, 'Sultan Mahmud', 'Kuala Terengganu', 'Malaysia', 'TGG', 'WMKN', 5.382639, 103.10336, 21, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3308, 'Penang Intl', 'Penang', 'Malaysia', 'PEN', 'WMKP', 5.297139, 100.276864, 11, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3309, 'Suai', 'Suai', 'East Timor', '', 'WPDB', -9.303306, 125.286753, 96, 9, 'U', 'Asia/Dili'),
	(3310, 'Presidente Nicolau Lobato Intl', 'Dili', 'East Timor', 'DIL', 'WPDL', -8.546553, 125.524719, 25, 9, 'U', 'Asia/Dili'),
	(3311, 'Cakung', 'Baucau', 'East Timor', '', 'WPEC', -8.485547, 126.399389, 1777, 9, 'U', 'Asia/Dili'),
	(3312, 'Sembawang', 'Sembawang', 'Singapore', '', 'WSAG', 1.425264, 103.812806, 86, 8, 'N', 'Asia/Singapore'),
	(3313, 'Paya Lebar', 'Paya Lebar', 'Singapore', 'QPG', 'WSAP', 1.360417, 103.90953, 65, 8, 'N', 'Asia/Singapore'),
	(3314, 'Tengah', 'Tengah', 'Singapore', '', 'WSAT', 1.387258, 103.708719, 50, 8, 'N', 'Asia/Singapore'),
	(3315, 'Seletar', 'Singapore', 'Singapore', 'XSP', 'WSSL', 1.41695, 103.867653, 36, 8, 'N', 'Asia/Singapore'),
	(3316, 'Changi Intl', 'Singapore', 'Singapore', 'SIN', 'WSSS', 1.350189, 103.994433, 22, 8, 'N', 'Asia/Singapore'),
	(3317, 'Brisbane Archerfield', 'Brisbane', 'Australia', '', 'YBAF', -27.570278, 153.008056, 63, 10, 'O', 'Australia/Brisbane'),
	(3318, 'Bamaga Injinoo', 'Amberley', 'Australia', 'ABM', 'YBAM', -10.950833, 142.459444, 34, 10, 'O', 'Australia/Brisbane'),
	(3319, 'Alice Springs', 'Alice Springs', 'Australia', 'ASP', 'YBAS', -23.806667, 133.902222, 1789, 9.5, 'N', 'Australia/Darwin'),
	(3320, 'Brisbane Intl', 'Brisbane', 'Australia', 'BNE', 'YBBN', -27.384167, 153.1175, 13, 10, 'N', 'Australia/Brisbane'),
	(3321, 'Gold Coast', 'Coolangatta', 'Australia', 'OOL', 'YBCG', -28.164444, 153.504722, 21, 10, 'N', 'Australia/Brisbane'),
	(3322, 'Cairns Intl', 'Cairns', 'Australia', 'CNS', 'YBCS', -16.885833, 145.755278, 10, 10, 'N', 'Australia/Brisbane'),
	(3323, 'Charleville', 'Charlieville', 'Australia', 'CTL', 'YBCV', -26.413334, 146.2625, 1003, 10, 'O', 'Australia/Brisbane'),
	(3324, 'Mount Isa', 'Mount Isa', 'Australia', 'ISA', 'YBMA', -20.663889, 139.488611, 1121, 10, 'O', 'Australia/Brisbane'),
	(3325, 'Sunshine Coast', 'Maroochydore', 'Australia', 'MCY', 'YBMC', -26.603333, 153.091111, 15, 10, 'O', 'Australia/Brisbane'),
	(3326, 'Mackay', 'Mackay', 'Australia', 'MKY', 'YBMK', -21.171667, 149.179722, 19, 10, 'O', 'Australia/Brisbane'),
	(3328, 'Proserpine Whitsunday Coast', 'Prosserpine', 'Australia', 'PPP', 'YBPN', -20.495, 148.552222, 82, 10, 'O', 'Australia/Brisbane'),
	(3329, 'Rockhampton', 'Rockhampton', 'Australia', 'ROK', 'YBRK', -23.381944, 150.475278, 34, 10, 'O', 'Australia/Brisbane'),
	(3330, 'Townsville', 'Townsville', 'Australia', 'TSV', 'YBTL', -19.2525, 146.765278, 18, 10, 'N', 'Australia/Brisbane'),
	(3331, 'Weipa', 'Weipa', 'Australia', 'WEI', 'YBWP', -12.678611, 141.925278, 63, 10, 'O', 'Australia/Brisbane'),
	(3332, 'Avalon', 'Avalon', 'Australia', 'AVV', 'YMAV', -38.039444, 144.469444, 35, 10, 'O', 'Australia/Hobart'),
	(3333, 'Albury', 'Albury', 'Australia', 'ABX', 'YMAY', -36.067778, 146.958056, 539, 10, 'O', 'Australia/Sydney'),
	(3334, 'Melbourne Essendon', 'Melbourne', 'Australia', 'MEB', 'YMEN', -37.728056, 144.901944, 282, 10, 'O', 'Australia/Hobart'),
	(3335, 'East Sale', 'East Sale', 'Australia', '', 'YMES', -38.098889, 147.149444, 23, 10, 'O', 'Australia/Hobart'),
	(3336, 'Hobart', 'Hobart', 'Australia', 'HBA', 'YMHB', -42.836111, 147.510278, 13, 10, 'O', 'Australia/Melbourne'),
	(3337, 'Launceston', 'Launceston', 'Australia', 'LST', 'YMLT', -41.545278, 147.214167, 562, 10, 'O', 'Australia/Melbourne'),
	(3338, 'Melbourne Moorabbin', 'Melbourne', 'Australia', 'MBW', 'YMMB', -37.975833, 145.102222, 50, 10, 'O', 'Australia/Hobart'),
	(3339, 'Melbourne Intl', 'Melbourne', 'Australia', 'MEL', 'YMML', -37.673333, 144.843333, 434, 10, 'O', 'Australia/Hobart'),
	(3340, 'Point Cook', 'Point Cook', 'Australia', '', 'YMPC', -37.932222, 144.753333, 14, 10, 'O', 'Australia/Hobart'),
	(3341, 'Adelaide Intl', 'Adelaide', 'Australia', 'ADL', 'YPAD', -34.945, 138.530556, 20, 9.5, 'O', 'Australia/Adelaide'),
	(3343, 'Edinburgh', 'Edinburgh', 'Australia', '', 'YPED', -34.7025, 138.620833, 67, 9.5, 'O', 'Australia/Adelaide'),
	(3344, 'Perth Jandakot', 'Perth', 'Australia', 'JAD', 'YPJT', -32.0975, 115.881111, 99, 8, 'O', 'Australia/Perth'),
	(3345, 'Karratha', 'Karratha', 'Australia', 'KTA', 'YPKA', -20.712222, 116.773333, 29, 8, 'O', 'Australia/Perth'),
	(3346, 'Kalgoorlie Boulder', 'Kalgoorlie', 'Australia', 'KGI', 'YPKG', -30.789444, 121.461667, 1203, 8, 'O', 'Australia/Perth'),
	(3347, 'Kununurra', 'Kununurra', 'Australia', 'KNX', 'YPKU', -15.778056, 128.7075, 145, 8, 'O', 'Australia/Perth'),
	(3348, 'Learmonth', 'Learmonth', 'Australia', 'LEA', 'YPLM', -22.235556, 114.088611, 19, 8, 'O', 'Australia/Perth'),
	(3349, 'Port Hedland Intl', 'Port Hedland', 'Australia', 'PHE', 'YPPD', -20.377778, 118.626389, 33, 8, 'O', 'Australia/Perth'),
	(3350, 'Adelaide Parafield', 'Adelaide', 'Australia', '', 'YPPF', -34.793333, 138.633056, 57, 9.5, 'O', 'Australia/Adelaide'),
	(3351, 'Perth Intl', 'Perth', 'Australia', 'PER', 'YPPH', -31.940278, 115.966944, 67, 8, 'N', 'Australia/Perth'),
	(3352, 'Woomera', 'Woomera', 'Australia', 'UMR', 'YPWR', -31.144167, 136.816944, 548, 9.5, 'O', 'Australia/Adelaide'),
	(3353, 'Christmas Island', 'Christmas Island', 'Christmas Island', 'XCH', 'YPXM', -10.450556, 105.690278, 916, 7, 'U', 'Indian/Christmas'),
	(3354, 'Sydney Bankstown', 'Sydney', 'Australia', 'BWU', 'YSBK', -33.924444, 150.988333, 29, 10, 'O', 'Australia/Sydney'),
	(3355, 'Canberra', 'Canberra', 'Australia', 'CBR', 'YSCB', -35.306944, 149.195, 1886, 10, 'O', 'Australia/Sydney'),
	(3356, 'Coffs Harbour', 'Coff\'s Harbour', 'Australia', 'CFS', 'YSCH', -30.320556, 153.116389, 18, 10, 'O', 'Australia/Sydney'),
	(3357, 'Camden', 'Camden', 'Australia', 'CDU', 'YSCN', -34.040278, 150.687222, 230, 10, 'O', 'Australia/Sydney'),
	(3358, 'Dubbo', 'Dubbo', 'Australia', 'DBO', 'YSDU', -32.216667, 148.574722, 935, 10, 'O', 'Australia/Sydney'),
	(3359, 'Norfolk Island Intl', 'Norfolk Island', 'Norfolk Island', 'NLK', 'YSNF', -29.041625, 167.938742, 371, 11.5, 'U', 'Pacific/Norfolk'),
	(3360, 'Richmond', 'Richmond', 'Australia', 'RCM', 'YSRI', -33.600556, 150.780833, 67, 10, 'O', 'Australia/Sydney'),
	(3361, 'Sydney Intl', 'Sydney', 'Australia', 'SYD', 'YSSY', -33.946111, 151.177222, 21, 10, 'O', 'Australia/Sydney'),
	(3362, 'Tamworth', 'Tamworth', 'Australia', 'TMW', 'YSTW', -31.083889, 150.846667, 1334, 10, 'O', 'Australia/Sydney'),
	(3363, 'Wagga Wagga', 'Wagga Wagga', 'Australia', 'WGA', 'YSWG', -35.165278, 147.466389, 724, 10, 'O', 'Australia/Sydney'),
	(3364, 'Capital Intl', 'Beijing', 'China', 'PEK', 'ZBAA', 40.080111, 116.584556, 116, 8, 'U', 'Asia/Chongqing'),
	(3366, 'Dongshan', 'Hailar', 'China', 'HLD', 'ZBLA', 49.204997, 119.825, 2169, 8, 'U', 'Asia/Chongqing'),
	(3368, 'Binhai', 'Tianjin', 'China', 'TSN', 'ZBTJ', 39.124353, 117.346183, 10, 8, 'U', 'Asia/Chongqing'),
	(3369, 'Wusu', 'Taiyuan', 'China', 'TYN', 'ZBYN', 37.746897, 112.628428, 2575, 8, 'U', 'Asia/Chongqing'),
	(3370, 'Baiyun Intl', 'Guangzhou', 'China', 'CAN', 'ZGGG', 23.392436, 113.298786, 50, 8, 'U', 'Asia/Chongqing'),
	(3371, 'Huanghua', 'Changcha', 'China', 'CSX', 'ZGHA', 28.189158, 113.219633, 217, 8, 'U', 'Asia/Chongqing'),
	(3372, 'Liangjiang', 'Guilin', 'China', 'KWL', 'ZGKL', 25.218106, 110.039197, 570, 8, 'U', 'Asia/Chongqing'),
	(3373, 'Wuxu', 'Nanning', 'China', 'NNG', 'ZGNN', 22.608267, 108.172442, 421, 8, 'U', 'Asia/Chongqing'),
	(3374, 'Baoan Intl', 'Shenzhen', 'China', 'SZX', 'ZGSZ', 22.639258, 113.810664, 13, 8, 'U', 'Asia/Chongqing'),
	(3375, 'Xinzheng', 'Zhengzhou', 'China', 'CGO', 'ZHCC', 34.519672, 113.840889, 495, 8, 'U', 'Asia/Chongqing'),
	(3376, 'Tianhe', 'Wuhan', 'China', 'WUH', 'ZHHH', 30.783758, 114.2081, 113, 8, 'U', 'Asia/Chongqing'),
	(3377, 'Pyongyang Intl', 'Pyongyang', 'Korea', 'FNJ', 'ZKPY', 39.224061, 125.67015, 117, 9, 'U', 'Asia/Pyongyang'),
	(3378, 'Zhongchuan', 'Lanzhou', 'China', 'ZGC', 'ZLLL', 36.515242, 103.620775, 6388, 8, 'U', 'Asia/Chongqing'),
	(3379, 'Xianyang', 'Xi\'an', 'China', 'XIY', 'ZLXY', 34.447119, 108.751592, 1572, 8, 'U', 'Asia/Chongqing'),
	(3380, 'Chinggis Khaan Intl', 'Ulan Bator', 'Mongolia', 'ULN', 'ZMUB', 47.843056, 106.766639, 4364, 8, 'U', 'Asia/Ulaanbaatar'),
	(3381, 'Gasa', 'Jinghonggasa', 'China', '', 'ZPJH', 21.973914, 100.759611, 1815, 8, 'U', 'Asia/Chongqing'),
	(3382, 'Wujiaba', 'Kunming', 'China', 'KMG', 'ZPPP', 24.992364, 102.743536, 6217, 8, 'U', 'Asia/Chongqing'),
	(3383, 'Gaoqi', 'Xiamen', 'China', 'XMN', 'ZSAM', 24.544036, 118.127739, 59, 8, 'U', 'Asia/Chongqing'),
	(3384, 'Changbei Intl', 'Nanchang', 'China', 'KHN', 'ZSCN', 28.865, 115.9, 143, 8, 'U', 'Asia/Chongqing'),
	(3385, 'Changle', 'Fuzhou', 'China', 'FOC', 'ZSFZ', 25.935064, 119.663272, 46, 8, 'U', 'Asia/Chongqing'),
	(3386, 'Xiaoshan', 'Hangzhou', 'China', 'HGH', 'ZSHC', 30.229503, 120.434453, 23, 8, 'U', 'Asia/Chongqing'),
	(3387, 'Lishe', 'Ninbo', 'China', 'NGB', 'ZSNB', 29.826683, 121.461906, 13, 8, 'U', 'Asia/Chongqing'),
	(3388, 'Lukou', 'Nanjing', 'China', 'NKG', 'ZSNJ', 31.742042, 118.862025, 49, 8, 'U', 'Asia/Chongqing'),
	(3389, 'Luogang', 'Hefei', 'China', 'HFE', 'ZSOF', 31.780019, 117.298436, 108, 8, 'U', 'Asia/Chongqing'),
	(3390, 'Liuting', 'Qingdao', 'China', 'TAO', 'ZSQD', 36.266108, 120.374436, 33, 8, 'U', 'Asia/Chongqing'),
	(3391, 'Hongqiao Intl', 'Shanghai', 'China', 'SHA', 'ZSSS', 31.197875, 121.336319, 10, 8, 'U', 'Asia/Chongqing'),
	(3392, 'Laishan', 'Yantai', 'China', 'YNT', 'ZSYT', 37.401667, 121.371667, 59, 8, 'U', 'Asia/Chongqing'),
	(3393, 'Jiangbei', 'Chongqing', 'China', 'CKG', 'ZUCK', 29.719217, 106.641678, 1365, 8, 'U', 'Asia/Chongqing'),
	(3394, 'Longdongbao', 'Guiyang', 'China', 'KWE', 'ZUGY', 26.538522, 106.800703, 3736, 8, 'U', 'Asia/Chongqing'),
	(3395, 'Shuangliu', 'Chengdu', 'China', 'CTU', 'ZUUU', 30.578528, 103.947086, 1625, 8, 'U', 'Asia/Chongqing'),
	(3396, 'Qingshan', 'Xichang', 'China', 'XIC', 'ZUXC', 27.989083, 102.184361, 5112, 8, 'U', 'Asia/Chongqing'),
	(3397, 'Kashi', 'Kashi', 'China', 'KHG', 'ZWSH', 39.542922, 76.019956, 4529, 8, 'U', 'Asia/Chongqing'),
	(3398, 'Hotan', 'Hotan', 'China', 'HTN', 'ZWTN', 37.038522, 79.864933, 4672, 8, 'U', 'Asia/Chongqing'),
	(3399, 'Diwopu', 'Urumqi', 'China', 'URC', 'ZWWW', 43.907106, 87.474244, 2125, 8, 'U', 'Asia/Chongqing'),
	(3400, 'Taiping', 'Harbin', 'China', 'HRB', 'ZYHB', 45.623403, 126.250328, 457, 8, 'U', 'Asia/Chongqing'),
	(3402, 'Hailang', 'Mudanjiang', 'China', '', 'ZYMD', 44.524072, 129.568972, 883, 8, 'U', 'Asia/Chongqing'),
	(3404, 'Zhoushuizi', 'Dalian', 'China', 'DLC', 'ZYTL', 38.965667, 121.5386, 107, 8, 'U', 'Asia/Chongqing'),
	(3406, 'Pudong', 'Shanghai', 'China', 'PVG', 'ZSPD', 31.143378, 121.805214, 13, 8, 'U', 'Asia/Chongqing'),
	(3407, 'Pulau Tioman', 'Tioman', 'Malaysia', 'TOD', 'WMBT', 2.818183, 104.160019, 15, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3408, 'Subang-Sultan Abdul Aziz Shah Intl', 'Kuala Lumpur', 'Malaysia', 'SZB', 'WMSA', 3.130583, 101.549333, 90, 8, 'N', 'Asia/Kuala_Lumpur'),
	(3409, 'Noto', 'Wajima', 'Japan', 'NTQ', 'RJNW', 37.293097, 136.961853, 718, 9, 'U', 'Asia/Tokyo'),
	(3410, 'Borg El Arab Intl', 'Alexandria', 'Egypt', 'HBE', 'HEBA', 30.917669, 29.696408, 177, 2, 'U', 'Africa/Cairo'),
	(3411, 'Barter Island Lrrs', 'Barter Island', 'United States', 'BTI', 'PABA', 70.133989, -143.581867, 2, -9, 'A', 'America/Anchorage'),
	(3412, 'Wainwright As', 'Fort Wainwright', 'United States', 'K03', 'PAWT', 70.613378, -159.86035, 35, -9, 'A', 'America/Anchorage'),
	(3413, 'Cape Lisburne Lrrs', 'Cape Lisburne', 'United States', 'LUR', 'PALU', 68.875133, -166.110022, 12, -9, 'A', 'America/Anchorage'),
	(3414, 'Point Lay Lrrs', 'Point Lay', 'United States', 'PIZ', 'PPIZ', 69.732875, -163.005342, 25, -9, 'A', 'America/Anchorage'),
	(3415, 'Hilo Intl', 'Hilo', 'United States', 'ITO', 'PHTO', 19.721375, -155.048469, 38, -10, 'N', 'Pacific/Honolulu'),
	(3416, 'Executive', 'Orlando', 'United States', 'ORL', 'KORL', 28.545464, -81.332936, 113, -5, 'A', 'America/New_York'),
	(3417, 'Bettles', 'Bettles', 'United States', 'BTT', 'PABT', 66.913944, -151.529056, 644, -9, 'A', 'America/Anchorage'),
	(3418, 'Clear', 'Clear Mews', 'United States', 'Z84', 'PACL', 64.301203, -149.120144, 552, -9, 'A', 'America/Anchorage'),
	(3419, 'Indian Mountain Lrrs', 'Indian Mountains', 'United States', 'UTO', 'PAIM', 65.992794, -153.704289, 1220, -9, 'A', 'America/Anchorage'),
	(3420, 'Fort Yukon', 'Fort Yukon', 'United States', 'FYU', 'PFYU', 66.571492, -145.250417, 433, -9, 'A', 'America/Anchorage'),
	(3421, 'Sparrevohn Lrrs', 'Sparrevohn', 'United States', 'SVW', 'PASV', 61.097369, -155.574228, 1583, -9, 'A', 'America/Anchorage'),
	(3422, 'Bryant Ahp', 'Fort Richardson', 'United States', 'FRN', 'PAFR', 61.266381, -149.653119, 378, -9, 'A', 'America/Anchorage'),
	(3423, 'Tatalina Lrrs', 'Tatalina', 'United States', 'TLJ', 'PATL', 62.894369, -155.976525, 964, -9, 'A', 'America/Anchorage'),
	(3424, 'Cape Romanzof Lrrs', 'Cape Romanzof', 'United States', 'CZF', 'PACZ', 61.780297, -166.038747, 457, -9, 'A', 'America/Anchorage'),
	(3425, 'Laurence G Hanscom Fld', 'Bedford', 'United States', 'BED', 'KBED', 42.469953, -71.289031, 133, -5, 'A', 'America/New_York'),
	(3426, 'St Paul Island', 'St. Paul Island', 'United States', 'SNP', 'PASN', 57.167333, -170.220444, 63, -9, 'A', 'America/Anchorage'),
	(3427, 'Cape Newenham Lrrs', 'Cape Newenham', 'United States', 'EHM', 'PAEH', 58.646428, -162.062778, 541, -9, 'A', 'America/Anchorage'),
	(3428, 'St George', 'Point Barrow', 'United States', 'PBV', 'PAPB', 56.578344, -169.661611, 125, -9, 'A', 'America/Anchorage'),
	(3429, 'Iliamna', 'Iliamna', 'United States', 'ILI', 'PAIL', 59.754356, -154.910961, 186, -9, 'A', 'America/Anchorage'),
	(3430, 'Platinum', 'Port Moller', 'United States', 'PTU', 'PAPM', 59.011356, -161.819664, 15, -9, 'A', 'America/Anchorage'),
	(3431, 'Big Mountain Afs', 'Big Mountain', 'United States', 'BMX', 'PABM', 59.361247, -155.258822, 663, -9, 'A', 'America/Anchorage'),
	(3432, 'Oscoda Wurtsmith', 'Oscoda', 'United States', 'OSC', 'KOSC', 44.451558, -83.394053, 634, -5, 'A', 'America/New_York'),
	(3433, 'Marina Muni', 'Fort Ord', 'United States', 'OAR', 'KOAR', 36.681878, -121.762347, 134, -8, 'A', 'America/Los_Angeles'),
	(3434, 'Sacramento Mather', 'Sacramento', 'United States', 'MHR', 'KMHR', 38.553897, -121.297592, 96, -8, 'A', 'America/Los_Angeles'),
	(3435, 'Bicycle Lake Aaf', 'Fort Irwin', 'United States', 'BYS', 'KBYS', 35.280531, -116.630031, 2350, -8, 'A', 'America/Los_Angeles'),
	(3436, 'Twentynine Palms Eaf', 'Twenty Nine Palms', 'United States', 'NXP', 'KNXP', 34.296161, -116.162203, 2051, -8, 'A', 'America/Los_Angeles'),
	(3437, 'Fort Smith Rgnl', 'Fort Smith', 'United States', 'FSM', 'KFSM', 35.336583, -94.367444, 469, -6, 'A', 'America/Chicago'),
	(3438, 'Merrill Fld', 'Anchorage', 'United States', 'MRI', 'PAMR', 61.213544, -149.844447, 137, -9, 'A', 'America/Anchorage'),
	(3439, 'Grants Milan Muni', 'Grants', 'United States', 'GNT', 'KGNT', 35.167286, -107.901989, 6537, -7, 'A', 'America/Denver'),
	(3440, 'Ponca City Rgnl', 'Ponca City', 'United States', 'PNC', 'KPNC', 36.731958, -97.099781, 1007, -6, 'A', 'America/Chicago'),
	(3441, 'Hunter Aaf', 'Hunter Aaf', 'United States', 'SVN', 'KSVN', 32.01, -81.145683, 42, -5, 'A', 'America/New_York'),
	(3442, 'Grand Forks Intl', 'Grand Forks', 'United States', 'GFK', 'KGFK', 47.949256, -97.176111, 845, -6, 'A', 'America/Chicago'),
	(3443, 'Grider Fld', 'Pine Bluff', 'United States', 'PBF', 'KPBF', 34.173142, -91.935597, 206, -6, 'A', 'America/Chicago'),
	(3444, 'Whiting Fld Nas North', 'Milton', 'United States', 'NSE', 'KNSE', 30.724167, -87.021944, 199, -6, 'A', 'America/Chicago'),
	(3445, 'Hana', 'Hana', 'United States', 'HNM', 'PHHN', 20.795636, -156.014439, 78, -10, 'A', 'Pacific/Honolulu'),
	(3446, 'Ernest A Love Fld', 'Prescott', 'United States', 'PRC', 'KPRC', 34.654472, -112.419583, 5045, -7, 'A', 'America/Phoenix'),
	(3447, 'Trenton Mercer', 'Trenton', 'United States', 'TTN', 'KTTN', 40.276692, -74.813469, 213, -5, 'A', 'America/New_York'),
	(3448, 'General Edward Lawrence Logan Intl', 'Boston', 'United States', 'BOS', 'KBOS', 42.364347, -71.005181, 19, -5, 'A', 'America/New_York'),
	(3449, 'Travis Afb', 'Fairfield', 'United States', 'SUU', 'KSUU', 38.262692, -121.927464, 62, -8, 'A', 'America/Los_Angeles'),
	(3450, 'Griffiss Afld', 'Rome', 'United States', 'RME', 'KRME', 43.2338, -75.407033, 504, -5, 'A', 'America/New_York'),
	(3451, 'Wendover', 'Wendover', 'United States', 'ENV', 'KENV', 40.718694, -114.030889, 4237, -7, 'A', 'America/Denver'),
	(3452, 'Mobile Downtown', 'Mobile', 'United States', 'BFM', 'KBFM', 30.626783, -88.068092, 26, -6, 'A', 'America/Chicago'),
	(3453, 'Metropolitan Oakland Intl', 'Oakland', 'United States', 'OAK', 'KOAK', 37.721278, -122.220722, 9, -8, 'A', 'America/Los_Angeles'),
	(3454, 'Eppley Afld', 'Omaha', 'United States', 'OMA', 'KOMA', 41.303167, -95.894069, 984, -6, 'A', 'America/Chicago'),
	(3455, 'Port Angeles Cgas', 'Port Angeles', 'United States', 'NOW', 'KNOW', 48.141481, -123.414075, 13, -8, 'A', 'America/Los_Angeles'),
	(3456, 'Kahului', 'Kahului', 'United States', 'OGG', 'PHOG', 20.89865, -156.430458, 54, -10, 'N', 'Pacific/Honolulu'),
	(3457, 'Wichita Mid Continent', 'Wichita', 'United States', 'ICT', 'KICT', 37.649944, -97.433056, 1333, -6, 'A', 'America/Chicago'),
	(3458, 'Kansas City Intl', 'Kansas City', 'United States', 'MCI', 'KMCI', 39.297606, -94.713905, 1026, -6, 'A', 'America/Chicago'),
	(3459, 'Dane Co Rgnl Truax Fld', 'Madison', 'United States', 'MSN', 'KMSN', 43.139858, -89.337514, 887, -6, 'A', 'America/Chicago'),
	(3460, 'Dillingham', 'Dillingham', 'United States', 'DLG', 'PADL', 59.044667, -158.5055, 74, -9, 'A', 'America/Anchorage'),
	(3461, 'Boone Co', 'Harrison', 'United States', 'HRO', 'KHRO', 36.261519, -93.154728, 1365, -6, 'A', 'America/Chicago'),
	(3462, 'Phoenix Sky Harbor Intl', 'Phoenix', 'United States', 'PHX', 'KPHX', 33.434278, -112.011583, 1135, -7, 'N', 'America/Phoenix'),
	(3463, 'Bangor Intl', 'Bangor', 'United States', 'BGR', 'KBGR', 44.807444, -68.828139, 192, -5, 'A', 'America/New_York'),
	(3464, 'Fort Lauderdale Executive', 'Fort Lauderdale', 'United States', 'FXE', 'KFXE', 26.197281, -80.170706, 13, -5, 'A', 'America/New_York'),
	(3465, 'East Texas Rgnl', 'Longview', 'United States', 'GGG', 'KGGG', 32.384014, -94.711486, 365, -6, 'A', 'America/Chicago'),
	(3466, 'Anderson Rgnl', 'Andersen', 'United States', 'AND', 'KAND', 34.494583, -82.709389, 782, -5, 'A', 'America/New_York'),
	(3467, 'Spokane Intl', 'Spokane', 'United States', 'GEG', 'KGEG', 47.619861, -117.533833, 2376, -8, 'A', 'America/Los_Angeles'),
	(3468, 'North Perry', 'Hollywood', 'United States', 'HWO', 'KHWO', 26.001222, -80.240722, 8, -5, 'A', 'America/New_York'),
	(3469, 'San Francisco Intl', 'San Francisco', 'United States', 'SFO', 'KSFO', 37.618972, -122.374889, 13, -8, 'A', 'America/Los_Angeles'),
	(3470, 'Cut Bank Muni', 'Cutbank', 'United States', 'CTB', 'KCTB', 48.608353, -112.376144, 3854, -7, 'A', 'America/Denver'),
	(3471, 'Acadiana Rgnl', 'Louisiana', 'United States', 'ARA', 'KARA', 30.037758, -91.883896, 24, -6, 'A', 'America/Chicago'),
	(3472, 'Gainesville Rgnl', 'Gainesville', 'United States', 'GNV', 'KGNV', 29.690056, -82.271778, 152, -5, 'A', 'America/New_York'),
	(3473, 'Memphis Intl', 'Memphis', 'United States', 'MEM', 'KMEM', 35.042417, -89.976667, 341, -6, 'A', 'America/Chicago'),
	(3474, 'Bisbee Douglas Intl', 'Douglas', 'United States', 'DUG', 'KDUG', 31.469028, -109.603667, 4154, -7, 'A', 'America/Phoenix'),
	(3475, 'Allen Aaf', 'Delta Junction', 'United States', 'BIG', 'PABI', 63.994547, -145.721642, 1291, -9, 'A', 'America/Anchorage'),
	(3476, 'Tstc Waco', 'Waco', 'United States', 'CNW', 'KCNW', 31.637831, -97.074139, 470, -6, 'A', 'America/Chicago'),
	(3477, 'Annette Island', 'Annette Island', 'United States', 'ANN', 'PANT', 55.042436, -131.572233, 119, -9, 'A', 'America/Anchorage'),
	(3478, 'Caribou Muni', 'Caribou', 'United States', 'CAR', 'KCAR', 46.8715, -68.017917, 626, -5, 'A', 'America/New_York'),
	(3479, 'Little Rock Afb', 'Jacksonville', 'United States', 'LRF', 'KLRF', 34.916944, -92.149722, 311, -6, 'A', 'America/Chicago'),
	(3480, 'Redstone Aaf', 'Redstone', 'United States', 'HUA', 'KHUA', 34.678653, -86.684781, 685, -6, 'A', 'America/Chicago'),
	(3481, 'Pope Field', 'Fort Bragg', 'United States', 'POB', 'KPOB', 35.170883, -79.014472, 217, -5, 'A', 'America/New_York'),
	(3482, 'Dalhart Muni', 'Dalhart', 'United States', 'DHT', 'KDHT', 36.022586, -102.547278, 3991, -6, 'A', 'America/Chicago'),
	(3483, 'Laughlin Afb', 'Del Rio', 'United States', 'DLF', 'KDLF', 29.359486, -100.777975, 1082, -6, 'A', 'America/Chicago'),
	(3484, 'Los Angeles Intl', 'Los Angeles', 'United States', 'LAX', 'KLAX', 33.942536, -118.408075, 126, -8, 'A', 'America/Los_Angeles'),
	(3485, 'Anniston Metro', 'Anniston', 'United States', 'ANB', 'KANB', 33.588167, -85.858111, 612, -6, 'A', 'America/Chicago'),
	(3486, 'Cleveland Hopkins Intl', 'Cleveland', 'United States', 'CLE', 'KCLE', 41.411689, -81.849794, 791, -5, 'A', 'America/New_York'),
	(3487, 'Dover Afb', 'Dover', 'United States', 'DOV', 'KDOV', 39.129539, -75.465958, 28, -5, 'A', 'America/New_York'),
	(3488, 'Cincinnati Northern Kentucky Intl', 'Cincinnati', 'United States', 'CVG', 'KCVG', 39.048836, -84.667822, 896, -5, 'A', 'America/New_York'),
	(3489, 'Tipton', 'Fort Meade', 'United States', 'FME', 'KFME', 39.085386, -76.759414, 150, -5, 'A', 'America/New_York'),
	(3490, 'China Lake Naws', 'China', 'United States', 'NID', 'KNID', 35.685422, -117.692039, 2283, -8, 'A', 'America/Los_Angeles'),
	(3491, 'Huron Rgnl', 'Huron', 'United States', 'HON', 'KHON', 44.3852, -98.228542, 1289, -6, 'A', 'America/Chicago'),
	(3492, 'Juneau Intl', 'Juneau', 'United States', 'JNU', 'PAJN', 58.354972, -134.576278, 21, -9, 'A', 'America/Anchorage'),
	(3493, 'Lafayette Rgnl', 'Lafayette', 'United States', 'LFT', 'KLFT', 30.205278, -91.987611, 43, -6, 'A', 'America/Chicago'),
	(3494, 'Newark Liberty Intl', 'Newark', 'United States', 'EWR', 'KEWR', 40.6925, -74.168667, 18, -5, 'A', 'America/New_York'),
	(3495, 'Boise Air Terminal', 'Boise', 'United States', 'BOI', 'KBOI', 43.564361, -116.222861, 2871, -7, 'A', 'America/Denver'),
	(3496, 'Creech Afb', 'Indian Springs', 'United States', 'INS', 'KINS', 36.587183, -115.673353, 3133, -8, 'A', 'America/Los_Angeles'),
	(3497, 'Garden City Rgnl', 'Garden City', 'United States', 'GCK', 'KGCK', 37.927528, -100.724417, 2891, -6, 'A', 'America/Chicago'),
	(3498, 'Minot Intl', 'Minot', 'United States', 'MOT', 'KMOT', 48.259378, -101.280333, 1716, -6, 'A', 'America/Chicago'),
	(3499, 'Wheeler Aaf', 'Wahiawa', 'United States', 'HHI', 'PHHI', 21.4835, -158.039667, 837, -10, 'A', 'Pacific/Honolulu'),
	(3500, 'Maxwell Afb', 'Montgomery', 'United States', 'MXF', 'KMXF', 32.382944, -86.365778, 171, -6, 'A', 'America/Chicago'),
	(3501, 'Robinson Aaf', 'Robinson', 'United States', 'RBM', 'KRBM', 34.850089, -92.300153, 587, -6, 'A', 'America/Chicago'),
	(3502, 'Dallas Love Fld', 'Dallas', 'United States', 'DAL', 'KDAL', 32.847111, -96.851778, 487, -6, 'A', 'America/Chicago'),
	(3503, 'Butts Aaf', 'Fort Carson', 'United States', 'FCS', 'KFCS', 38.678394, -104.756581, 5838, -7, 'A', 'America/Denver'),
	(3504, 'Helena Rgnl', 'Helena', 'United States', 'HLN', 'KHLN', 46.606806, -111.98275, 3877, -7, 'A', 'America/Denver'),
	(3505, 'Miramar Mcas', 'Miramar', 'United States', 'NKX', 'KNKX', 32.867694, -117.14175, 478, -8, 'A', 'America/Los_Angeles'),
	(3506, 'Luke Afb', 'Phoenix', 'United States', 'LUF', 'KLUF', 33.535, -112.38306, 1085, -7, 'A', 'America/Phoenix'),
	(3507, 'Hurlburt Fld', 'Mary Esther', 'United States', 'HRT', 'KHRT', 30.427803, -86.689278, 38, -6, 'A', 'America/Chicago'),
	(3508, 'Jack Northrop Fld Hawthorne Muni', 'Hawthorne', 'United States', 'HHR', 'KHHR', 33.922839, -118.335186, 66, -8, 'A', 'America/Los_Angeles'),
	(3509, 'Houlton Intl', 'Houlton', 'United States', 'HUL', 'KHUL', 46.123083, -67.792056, 489, -5, 'A', 'America/New_York'),
	(3510, 'Vance Afb', 'Enid', 'United States', 'END', 'KEND', 36.339167, -97.9165, 1307, -6, 'A', 'America/Chicago'),
	(3511, 'Point Mugu Nas', 'Point Mugu', 'United States', 'NTD', 'KNTD', 34.120285, -119.12094, 13, -8, 'A', 'America/Los_Angeles'),
	(3512, 'Edwards Afb', 'Edwards Afb', 'United States', 'EDW', 'KEDW', 34.905417, -117.883739, 2302, -8, 'A', 'America/Los_Angeles'),
	(3513, 'Lake Charles Rgnl', 'Lake Charles', 'United States', 'LCH', 'KLCH', 30.126112, -93.223335, 15, -6, 'A', 'America/Chicago'),
	(3514, 'Kona Intl At Keahole', 'Kona', 'United States', 'KOA', 'PHKO', 19.738767, -156.045631, 47, -10, 'N', 'Pacific/Honolulu'),
	(3515, 'Myrtle Beach Intl', 'Myrtle Beach', 'United States', 'MYR', 'KMYR', 33.67975, -78.928333, 25, -5, 'A', 'America/New_York'),
	(3516, 'Lemoore Nas', 'Lemoore', 'United States', 'NLC', 'KNLC', 36.333012, -119.95208, 234, -8, 'A', 'America/Los_Angeles'),
	(3517, 'Nantucket Mem', 'Nantucket', 'United States', 'ACK', 'KACK', 41.253053, -70.060181, 48, -5, 'A', 'America/New_York'),
	(3518, 'Felker Aaf', 'Fort Eustis', 'United States', 'FAF', 'KFAF', 37.1325, -76.608841, 12, -5, 'A', 'America/New_York'),
	(3519, 'Campbell Aaf', 'Hopkinsville', 'United States', 'HOP', 'KHOP', 36.668567, -87.496183, 573, -6, 'A', 'America/Chicago'),
	(3520, 'Ronald Reagan Washington Natl', 'Washington', 'United States', 'DCA', 'KDCA', 38.852083, -77.037722, 15, -5, 'A', 'America/New_York'),
	(3521, 'Patuxent River Nas', 'Patuxent River', 'United States', 'NHK', 'KNHK', 38.285981, -76.411781, 39, -5, 'A', 'America/New_York'),
	(3522, 'Palacios Muni', 'Palacios', 'United States', 'PSX', 'KPSX', 28.727508, -96.250958, 14, -6, 'A', 'America/Chicago'),
	(3523, 'Arkansas Intl', 'Blytheville', 'United States', 'BYH', 'KBYH', 35.964347, -89.943956, 254, -6, 'A', 'America/Chicago'),
	(3524, 'Atlantic City Intl', 'Atlantic City', 'United States', 'ACY', 'KACY', 39.457583, -74.577167, 75, -5, 'A', 'America/New_York'),
	(3525, 'Tinker Afb', 'Oklahoma City', 'United States', 'TIK', 'KTIK', 35.414739, -97.386633, 1291, -6, 'A', 'America/Chicago'),
	(3526, 'Elizabeth City Cgas Rgnl', 'Elizabeth City', 'United States', 'ECG', 'KECG', 36.260581, -76.174572, 12, -5, 'A', 'America/New_York'),
	(3527, 'Pueblo Memorial', 'Pueblo', 'United States', 'PUB', 'KPUB', 38.289085, -104.496572, 4726, -7, 'A', 'America/Denver'),
	(3528, 'Northern Maine Rgnl At Presque Isle', 'Presque Isle', 'United States', 'PQI', 'KPQI', 46.688958, -68.044797, 534, -5, 'A', 'America/New_York'),
	(3529, 'Kirtland Air Force Base', 'Kirtland A.f.b.', 'United States', 'IKR', 'KIKR', 35.040222, -106.609194, 5355, -7, 'A', 'America/Denver'),
	(3530, 'Gray Aaf', 'Fort Lewis', 'United States', 'GRF', 'KGRF', 47.079217, -122.580783, 302, -8, 'A', 'America/Los_Angeles'),
	(3531, 'Kodiak', 'Kodiak', 'United States', 'ADQ', 'PADQ', 57.749967, -152.493856, 78, -9, 'A', 'America/Anchorage'),
	(3532, 'Upolu', 'Opolu', 'United States', 'UPP', 'PHUP', 20.265256, -155.859989, 96, -10, 'A', 'Pacific/Honolulu'),
	(3533, 'Fort Lauderdale Hollywood Intl', 'Fort Lauderdale', 'United States', 'FLL', 'KFLL', 26.072583, -80.15275, 9, -5, 'A', 'America/New_York'),
	(3534, 'Davis Fld', 'Muskogee', 'United States', 'MKO', 'KMKO', 35.656489, -95.366656, 612, -6, 'A', 'America/Chicago'),
	(3535, 'Falls Intl', 'International Falls', 'United States', 'INL', 'KINL', 48.566186, -93.403067, 1185, -6, 'A', 'America/Chicago'),
	(3536, 'Salt Lake City Intl', 'Salt Lake City', 'United States', 'SLC', 'KSLC', 40.788389, -111.977772, 4227, -7, 'A', 'America/Denver'),
	(3537, 'Childress Muni', 'Childress', 'United States', 'CDS', 'KCDS', 34.433781, -100.287992, 1954, -6, 'A', 'America/Chicago'),
	(3538, 'Keesler Afb', 'Biloxi', 'United States', 'BIX', 'KBIX', 30.410425, -88.924433, 33, -6, 'A', 'America/Chicago'),
	(3539, 'Lawson Aaf', 'Fort Benning', 'United States', 'LSF', 'KLSF', 32.337322, -84.991283, 232, -5, 'A', 'America/New_York'),
	(3540, 'Kingsville Nas', 'Kingsville', 'United States', 'NQI', 'KNQI', 27.507223, -97.809723, 50, -6, 'A', 'America/Chicago'),
	(3541, 'Marshall Aaf', 'Fort Riley', 'United States', 'FRI', 'KFRI', 39.055275, -96.764453, 1063, -6, 'A', 'America/Chicago'),
	(3542, 'Harrisburg Intl', 'Harrisburg', 'United States', 'MDT', 'KMDT', 40.193494, -76.763403, 310, -5, 'A', 'America/New_York'),
	(3543, 'Lincoln', 'Lincoln', 'United States', 'LNK', 'KLNK', 40.850971, -96.75925, 1219, -6, 'A', 'America/Chicago'),
	(3544, 'Capital City', 'Lansing', 'United States', 'LAN', 'KLAN', 42.7787, -84.587357, 861, -5, 'A', 'America/New_York'),
	(3545, 'Waimea Kohala', 'Kamuela', 'United States', 'MUE', 'PHMU', 20.001328, -155.668108, 2671, -10, 'A', 'Pacific/Honolulu'),
	(3546, 'Massena Intl Richards Fld', 'Massena', 'United States', 'MSS', 'KMSS', 44.935833, -74.845547, 215, -5, 'A', 'America/New_York'),
	(3547, 'Hickory Rgnl', 'Hickory', 'United States', 'HKY', 'KHKY', 35.741147, -81.38955, 1189, -5, 'A', 'America/New_York'),
	(3548, 'Albert Whitted', 'St. Petersburg', 'United States', 'SPG', 'KSPG', 27.765111, -82.626972, 7, -5, 'A', 'America/New_York'),
	(3549, 'Page Fld', 'Fort Myers', 'United States', 'FMY', 'KFMY', 26.586611, -81.86325, 17, -5, 'A', 'America/New_York'),
	(3550, 'George Bush Intercontinental', 'Houston', 'United States', 'IAH', 'KIAH', 29.984433, -95.341442, 97, -6, 'A', 'America/Chicago'),
	(3551, 'Millinocket Muni', 'Millinocket', 'United States', 'MLT', 'KMLT', 45.647836, -68.685561, 408, -5, 'A', 'America/New_York'),
	(3552, 'Andrews Afb', 'Camp Springs', 'United States', 'ADW', 'KADW', 38.810806, -76.867028, 280, -5, 'A', 'America/New_York'),
	(3553, 'Smith Reynolds', 'Winston-salem', 'United States', 'INT', 'KINT', 36.133722, -80.222, 969, -5, 'A', 'America/New_York'),
	(3554, 'Southern California Logistics', 'Victorville', 'United States', 'VCV', 'KVCV', 34.597453, -117.382997, 2885, -8, 'A', 'America/Los_Angeles'),
	(3555, 'Bob Sikes', 'Crestview', 'United States', 'CEW', 'KCEW', 30.778833, -86.522111, 213, -6, 'A', 'America/Chicago'),
	(3556, 'Wheeler Sack Aaf', 'Fort Drum', 'United States', 'GTB', 'KGTB', 44.055619, -75.719458, 690, -5, 'A', 'America/New_York'),
	(3557, 'St Clair Co Intl', 'Port Huron', 'United States', 'PHN', 'KPHN', 42.910957, -82.528862, 650, -5, 'A', 'America/New_York'),
	(3558, 'Meadows Fld', 'Bakersfield', 'United States', 'BFL', 'KBFL', 35.433598, -119.05677, 507, -8, 'A', 'America/Los_Angeles'),
	(3559, 'El Paso Intl', 'El Paso', 'United States', 'ELP', 'KELP', 31.80725, -106.377583, 3958, -7, 'A', 'America/Denver'),
	(3560, 'Valley Intl', 'Harlingen', 'United States', 'HRL', 'KHRL', 26.2285, -97.654389, 36, -6, 'A', 'America/Chicago'),
	(3561, 'Columbia Metropolitan', 'Columbia', 'United States', 'CAE', 'KCAE', 33.938833, -81.119528, 236, -5, 'A', 'America/New_York'),
	(3562, 'Davis Monthan Afb', 'Tucson', 'United States', 'DMA', 'KDMA', 32.166467, -110.883144, 2704, -7, 'A', 'America/Phoenix'),
	(3563, 'Pensacola Nas', 'Pensacola', 'United States', 'NPA', 'KNPA', 30.352656, -87.318647, 28, -6, 'A', 'America/Chicago'),
	(3564, 'Pensacola Rgnl', 'Pensacola', 'United States', 'PNS', 'KPNS', 30.473425, -87.186611, 121, -6, 'A', 'America/Chicago'),
	(3565, 'Grand Forks Afb', 'Red River', 'United States', 'RDR', 'KRDR', 47.961098, -97.401194, 913, -6, 'A', 'America/Chicago'),
	(3566, 'William P Hobby', 'Houston', 'United States', 'HOU', 'KHOU', 29.645419, -95.278889, 46, -6, 'A', 'America/Chicago'),
	(3567, 'Buckley Afb', 'Buckley', 'United States', 'BKF', 'KBKF', 39.701668, -104.75166, 5662, -7, 'A', 'America/Denver'),
	(3568, 'Northway', 'Northway', 'United States', 'ORT', 'PAOR', 62.961334, -141.929136, 1716, -9, 'A', 'America/Anchorage'),
	(3569, 'Palmer Muni', 'Palmer', 'United States', 'PAQ', 'PAAQ', 61.594914, -149.088711, 242, -9, 'A', 'America/Anchorage'),
	(3570, 'Pittsburgh Intl', 'Pittsburgh', 'United States', 'PIT', 'KPIT', 40.491467, -80.232872, 1204, -5, 'A', 'America/New_York'),
	(3571, 'Wiley Post Will Rogers Mem', 'Barrow', 'United States', 'BRW', 'PABR', 71.285446, -156.766003, 44, -9, 'A', 'America/Anchorage'),
	(3572, 'Ellington Fld', 'Houston', 'United States', 'EFD', 'KEFD', 29.607333, -95.15875, 32, -6, 'A', 'America/Chicago'),
	(3573, 'Whidbey Island Nas', 'Whidbey Island', 'United States', 'NUW', 'KNUW', 48.351803, -122.655906, 47, -8, 'A', 'America/Los_Angeles'),
	(3574, 'Alice Intl', 'Alice', 'United States', 'ALI', 'KALI', 27.740889, -98.026944, 178, -6, 'A', 'America/Chicago'),
	(3575, 'Moody Afb', 'Valdosta', 'United States', 'VAD', 'KVAD', 30.967833, -83.193, 233, -5, 'A', 'America/New_York'),
	(3576, 'Miami Intl', 'Miami', 'United States', 'MIA', 'KMIA', 25.79325, -80.290556, 8, -5, 'A', 'America/New_York'),
	(3577, 'Seattle Tacoma Intl', 'Seattle', 'United States', 'SEA', 'KSEA', 47.449, -122.309306, 433, -8, 'A', 'America/Los_Angeles'),
	(3578, 'Lovell Fld', 'Chattanooga', 'United States', 'CHA', 'KCHA', 35.035278, -85.203808, 683, -5, 'A', 'America/New_York'),
	(3579, 'Igor I Sikorsky Mem', 'Stratford', 'United States', 'BDR', 'KBDR', 41.163472, -73.126167, 9, -5, 'A', 'America/New_York'),
	(3580, 'Jackson Evers Intl', 'Jackson', 'United States', 'JAN', 'KJAN', 32.311167, -90.075889, 346, -6, 'A', 'America/Chicago'),
	(3581, 'Scholes Intl At Galveston', 'Galveston', 'United States', 'GLS', 'KGLS', 29.265322, -94.860406, 6, -6, 'A', 'America/Chicago'),
	(3582, 'Long Beach', 'Long Beach', 'United States', 'LGB', 'KLGB', 33.817722, -118.151611, 60, -8, 'A', 'America/Los_Angeles'),
	(3583, 'Dillingham', 'Dillingham', 'United States', 'HDH', 'PHDH', 21.579475, -158.197281, 14, -10, 'A', 'Pacific/Honolulu'),
	(3584, 'Williamsport Rgnl', 'Williamsport', 'United States', 'IPT', 'KIPT', 41.241836, -76.921094, 529, -5, 'A', 'America/New_York'),
	(3585, 'Indianapolis Intl', 'Indianapolis', 'United States', 'IND', 'KIND', 39.717331, -86.294383, 797, -5, 'A', 'America/New_York'),
	(3586, 'Whiteman Afb', 'Knobnoster', 'United States', 'SZL', 'KSZL', 38.730306, -93.547864, 870, -6, 'A', 'America/Chicago'),
	(3587, 'Akron Fulton Intl', 'Akron', 'United States', 'AKC', 'KAKR', 41.0375, -81.466917, 1067, -5, 'A', 'America/New_York'),
	(3588, 'Greenwood Leflore', 'Greenwood', 'United States', 'GWO', 'KGWO', 33.494328, -90.084706, 162, -6, 'A', 'America/Chicago'),
	(3589, 'Westchester Co', 'White Plains', 'United States', 'HPN', 'KHPN', 41.066959, -73.707575, 439, -5, 'A', 'America/New_York'),
	(3590, 'Francis S Gabreski', 'West Hampton Beach', 'United States', 'FOK', 'KFOK', 40.843656, -72.631789, 67, -5, 'A', 'America/New_York'),
	(3591, 'Jonesboro Muni', 'Jonesboro', 'United States', 'JBR', 'KJBR', 35.831708, -90.646417, 262, -6, 'A', 'America/Chicago'),
	(3592, 'Tonopah Test Range', 'Tonopah', 'United States', 'TNX', 'KTNX', 37.798836, -116.78075, 5549, -8, 'A', 'America/Los_Angeles'),
	(3593, 'Palm Beach Co Park', 'West Palm Beach', 'United States', 'LNA', 'KLNA', 26.593, -80.085056, 14, -5, 'A', 'America/New_York'),
	(3594, 'North Island Nas', 'San Diego', 'United States', 'NZY', 'KNZY', 32.699219, -117.21531, 26, -8, 'A', 'America/Los_Angeles'),
	(3595, 'Biggs Aaf', 'El Paso', 'United States', 'BIF', 'KBIF', 31.849528, -106.380039, 3948, -7, 'A', 'America/Denver'),
	(3596, 'Yuma Mcas Yuma Intl', 'Yuma', 'United States', 'YUM', 'KYUM', 32.656578, -114.60598, 216, -7, 'N', 'America/Phoenix'),
	(3597, 'Cavern City Air Terminal', 'Carlsbad', 'United States', 'CNM', 'KCNM', 32.337472, -104.263278, 3295, -7, 'A', 'America/Denver'),
	(3598, 'Duluth Intl', 'Duluth', 'United States', 'DLH', 'KDLH', 46.842091, -92.193649, 1428, -6, 'A', 'America/Chicago'),
	(3599, 'Bethel', 'Bethel', 'United States', 'BET', 'PABE', 60.779778, -161.838, 121, -9, 'A', 'America/Anchorage'),
	(3600, 'Bowman Fld', 'Louisville', 'United States', 'LOU', 'KLOU', 38.228, -85.663722, 546, -5, 'A', 'America/New_York'),
	(3601, 'Sierra Vista Muni Libby Aaf', 'Fort Huachuca', 'United States', 'FHU', 'KFHU', 31.588472, -110.344389, 4719, -7, 'A', 'America/Phoenix'),
	(3602, 'Lihue', 'Lihue', 'United States', 'LIH', 'PHLI', 21.975983, -159.338958, 153, -10, 'N', 'Pacific/Honolulu'),
	(3603, 'Terre Haute Intl Hulman Fld', 'Terre Haute', 'United States', 'HUF', 'KHUF', 39.451464, -87.307561, 589, -5, 'A', 'America/New_York'),
	(3604, 'Havre City Co', 'Havre', 'United States', 'HVR', 'KHVR', 48.542983, -109.762342, 2590, -7, 'A', 'America/Denver'),
	(3605, 'Grant Co Intl', 'Grant County Airport', 'United States', 'MWH', 'KMWH', 47.207708, -119.32019, 1185, -8, 'A', 'America/Los_Angeles'),
	(3606, 'Edward F Knapp State', 'Montpelier', 'United States', 'MPV', 'KMPV', 44.203503, -72.562328, 1165, -5, 'A', 'America/New_York'),
	(3607, 'San Nicolas Island Nolf', 'San Nicolas Island', 'United States', '', 'KNSI', 33.239765, -119.45816, 506, -8, 'A', 'America/Los_Angeles'),
	(3608, 'Richmond Intl', 'Richmond', 'United States', 'RIC', 'KRIC', 37.505167, -77.319667, 167, -5, 'A', 'America/New_York'),
	(3609, 'Shreveport Rgnl', 'Shreveport', 'United States', 'SHV', 'KSHV', 32.446629, -93.8256, 258, -6, 'A', 'America/Chicago'),
	(3610, 'Merle K Mudhole Smith', 'Cordova', 'United States', 'CDV', 'PACV', 60.491778, -145.477556, 48, -9, 'A', 'America/Anchorage'),
	(3611, 'Norfolk Intl', 'Norfolk', 'United States', 'ORF', 'KORF', 36.894611, -76.201222, 26, -5, 'A', 'America/New_York'),
	(3612, 'Southeast Texas Rgnl', 'Beaumont', 'United States', 'BPT', 'KBPT', 29.950833, -94.020694, 15, -6, 'A', 'America/Chicago'),
	(3613, 'Savannah Hilton Head Intl', 'Savannah', 'United States', 'SAV', 'KSAV', 32.127583, -81.202139, 51, -5, 'A', 'America/New_York'),
	(3614, 'Hill Afb', 'Ogden', 'United States', 'HIF', 'KHIF', 41.123939, -111.973039, 4789, -7, 'A', 'America/Denver'),
	(3615, 'Nome', 'Nome', 'United States', 'OME', 'PAOM', 64.512203, -165.445247, 37, -9, 'A', 'America/Anchorage'),
	(3616, 'Scappoose Industrial Airpark', 'San Luis', 'United States', 'SPB', 'KSPB', 45.771028, -122.861833, 58, -8, 'A', 'America/Los_Angeles'),
	(3617, 'St Petersburg Clearwater Intl', 'St. Petersburg', 'United States', 'PIE', 'KPIE', 27.910167, -82.687389, 10, -5, 'A', 'America/New_York'),
	(3618, 'Menominee Marinette Twin Co', 'Macon', 'United States', 'MNM', 'KMNM', 45.12665, -87.638443, 625, -6, 'A', 'America/Chicago'),
	(3619, 'Lone Star Executive', 'Conroe', 'United States', 'CXO', 'KCXO', 30.351833, -95.414467, 245, -6, 'A', 'America/Chicago'),
	(3620, 'Deadhorse', 'Deadhorse', 'United States', 'SCC', 'PASC', 70.19475, -148.465167, 64, -9, 'A', 'America/Anchorage'),
	(3621, 'San Antonio Intl', 'San Antonio', 'United States', 'SAT', 'KSAT', 29.533694, -98.469778, 809, -6, 'A', 'America/Chicago'),
	(3622, 'Greater Rochester Intl', 'Rochester', 'United States', 'ROC', 'KROC', 43.118866, -77.672389, 559, -5, 'A', 'America/New_York'),
	(3623, 'Patrick Afb', 'Coco Beach', 'United States', 'COF', 'KCOF', 28.234922, -80.610125, 8, -5, 'A', 'America/New_York'),
	(3624, 'Teterboro', 'Teterboro', 'United States', 'TEB', 'KTEB', 40.850103, -74.060837, 9, -5, 'A', 'America/New_York'),
	(3625, 'Ellsworth Afb', 'Rapid City', 'United States', 'RCA', 'KRCA', 44.145042, -103.103567, 3279, -7, 'A', 'America/Denver'),
	(3626, 'Raleigh Durham Intl', 'Raleigh-durham', 'United States', 'RDU', 'KRDU', 35.877639, -78.787472, 435, -5, 'A', 'America/New_York'),
	(3627, 'James M Cox Dayton Intl', 'Dayton', 'United States', 'DAY', 'KDAY', 39.902375, -84.219375, 1009, -5, 'A', 'America/New_York'),
	(3628, 'Kenai Muni', 'Kenai', 'United States', 'ENA', 'PAEN', 60.573111, -151.245, 99, -9, 'A', 'America/Anchorage'),
	(3629, 'Mc Alester Rgnl', 'Mcalester', 'United States', 'MLC', 'KMLC', 34.882403, -95.783463, 770, -6, 'A', 'America/Chicago'),
	(3630, 'Niagara Falls Intl', 'Niagara Falls', 'United States', 'IAG', 'KIAG', 43.107333, -78.946194, 589, -5, 'A', 'America/New_York'),
	(3631, 'Coulter Fld', 'Bryan', 'United States', 'CFD', 'KCFD', 30.715694, -96.331361, 367, -6, 'A', 'America/Chicago'),
	(3632, 'Wright Aaf', 'Wright', 'United States', '', 'KLHW', 31.889097, -81.562333, 45, -5, 'A', 'America/New_York'),
	(3633, 'Newport News Williamsburg Intl', 'Newport News', 'United States', 'PHF', 'KPHF', 37.131894, -76.492989, 43, -5, 'A', 'America/New_York'),
	(3634, 'Esler Rgnl', 'Alexandria', 'United States', 'ESF', 'KESF', 31.394903, -92.295772, 112, -6, 'A', 'America/Chicago'),
	(3635, 'Altus Afb', 'Altus', 'United States', 'LTS', 'KLTS', 34.667067, -99.266681, 1382, -6, 'A', 'America/Chicago'),
	(3636, 'Tucson Intl', 'Tucson', 'United States', 'TUS', 'KTUS', 32.116083, -110.941028, 2643, -7, 'N', 'America/Phoenix'),
	(3637, 'Minot Afb', 'Minot', 'United States', 'MIB', 'KMIB', 48.415572, -101.357661, 1668, -6, 'A', 'America/Chicago'),
	(3638, 'Beale Afb', 'Marysville', 'United States', 'BAB', 'KBAB', 39.136089, -121.436567, 113, -8, 'A', 'America/Los_Angeles'),
	(3639, 'Greater Kankakee', 'Kankakee', 'United States', 'IKK', 'KIKK', 41.071389, -87.846278, 630, -6, 'A', 'America/Chicago'),
	(3640, 'Seymour Johnson Afb', 'Goldsboro', 'United States', 'GSB', 'KGSB', 35.339383, -77.960589, 110, -5, 'A', 'America/New_York'),
	(3641, 'Theodore Francis Green State', 'Providence', 'United States', 'PVD', 'KPVD', 41.732581, -71.420383, 55, -5, 'A', 'America/New_York'),
	(3642, 'Salisbury Ocean City Wicomico Rgnl', 'Salisbury', 'United States', 'SBY', 'KSBY', 38.340525, -75.510289, 52, -5, 'A', 'America/New_York'),
	(3643, 'Rancho Murieta', 'Rancho Murieta', 'United States', 'RIU', 'KRIU', 38.486778, -121.102778, 141, -8, 'A', 'America/Los_Angeles'),
	(3644, 'Bob Hope', 'Burbank', 'United States', 'BUR', 'KBUR', 34.200667, -118.358667, 778, -8, 'A', 'America/Los_Angeles'),
	(3645, 'Detroit Metro Wayne Co', 'Detroit', 'United States', 'DTW', 'KDTW', 42.212444, -83.353389, 645, -5, 'A', 'America/New_York'),
	(3646, 'Tampa Intl', 'Tampa', 'United States', 'TPA', 'KTPA', 27.975472, -82.53325, 26, -5, 'A', 'America/New_York'),
	(3647, 'Pembina Muni', 'Pembina', 'United States', 'PMB', 'KPMB', 48.942501, -97.240833, 795, -6, 'A', 'America/Chicago'),
	(3648, 'Polk Aaf', 'Fort Polk', 'United States', 'POE', 'KPOE', 31.044833, -93.191667, 330, -6, 'A', 'America/Chicago'),
	(3649, 'Eielson Afb', 'Fairbanks', 'United States', 'EIL', 'PAEI', 64.665667, -147.1015, 548, -9, 'A', 'America/Anchorage'),
	(3650, 'Chisholm Hibbing', 'Hibbing', 'United States', 'HIB', 'KHIB', 47.3866, -92.838994, 1353, -6, 'A', 'America/Chicago'),
	(3651, 'Angelina Co', 'Lufkin', 'United States', 'LFK', 'KLFK', 31.234014, -94.75, 296, -6, 'A', 'America/Chicago'),
	(3652, 'Midland Intl', 'Midland', 'United States', 'MAF', 'KMAF', 31.942528, -102.201914, 2871, -6, 'A', 'America/Chicago'),
	(3653, 'Austin Straubel Intl', 'Green Bay', 'United States', 'GRB', 'KGRB', 44.485072, -88.129589, 695, -6, 'A', 'America/Chicago'),
	(3654, 'Ardmore Muni', 'Ardmore', 'United States', 'ADM', 'KADM', 34.300833, -97.008889, 762, -6, 'A', 'America/Chicago'),
	(3655, 'Mc Guire Afb', 'Wrightstown', 'United States', 'WRI', 'KWRI', 40.015556, -74.591667, 131, -5, 'A', 'America/New_York'),
	(3656, 'Cherry Point Mcas', 'Cherry Point', 'United States', 'NKT', 'KNKT', 34.900872, -76.880733, 29, -5, 'A', 'America/New_York'),
	(3657, 'Emanuel Co', 'Santa Barbara', 'United States', 'SBO', 'KSBO', 32.609139, -82.369944, 327, -5, 'A', 'America/New_York'),
	(3658, 'Augusta Rgnl At Bush Fld', 'Bush Field', 'United States', 'AGS', 'KAGS', 33.369944, -81.9645, 144, -5, 'A', 'America/New_York'),
	(3659, 'Sloulin Fld Intl', 'Williston', 'United States', 'ISN', 'KISN', 48.177939, -103.642347, 1982, -6, 'A', 'America/Chicago'),
	(3660, 'Adams Fld', 'Little Rock', 'United States', 'LIT', 'KLIT', 34.729444, -92.224306, 262, -6, 'A', 'America/Chicago'),
	(3661, 'Stewart Intl', 'Newburgh', 'United States', 'SWF', 'KSWF', 41.504094, -74.104839, 491, -5, 'A', 'America/New_York'),
	(3662, 'Baudette Intl', 'Baudette', 'United States', 'BDE', 'KBDE', 48.728444, -94.612222, 1086, -6, 'A', 'America/Chicago'),
	(3663, 'Sacramento Executive', 'Sacramento', 'United States', 'SAC', 'KSAC', 38.512524, -121.49347, 24, -8, 'A', 'America/Los_Angeles'),
	(3664, 'Homer', 'Homer', 'United States', 'HOM', 'PAHO', 59.645556, -151.476583, 84, -9, 'A', 'America/Anchorage'),
	(3665, 'Waynesville Rgnl Arpt At Forney Fld', 'Fort Leonardwood', 'United States', 'TBN', 'KTBN', 37.741631, -92.140736, 1159, -6, 'A', 'America/Chicago'),
	(3666, 'Dobbins Arb', 'Marietta', 'United States', 'MGE', 'KMGE', 33.915382, -84.516319, 1068, -5, 'A', 'America/New_York'),
	(3667, 'Fairchild Afb', 'Spokane', 'United States', 'SKA', 'KSKA', 47.615058, -117.655772, 2461, -8, 'A', 'America/Los_Angeles'),
	(3668, 'Roscommon Co', 'Houghton Lake', 'United States', 'HTL', 'KHTL', 44.359806, -84.671112, 1150, -5, 'A', 'America/New_York'),
	(3669, 'Tyndall Afb', 'Panama City', 'United States', 'PAM', 'KPAM', 30.069567, -85.575417, 17, -6, 'A', 'America/Chicago'),
	(3670, 'Dallas Fort Worth Intl', 'Dallas-Fort Worth', 'United States', 'DFW', 'KDFW', 32.896828, -97.037997, 607, -6, 'A', 'America/Chicago'),
	(3671, 'Melbourne Intl', 'Melbourne', 'United States', 'MLB', 'KMLB', 28.102753, -80.645258, 33, -5, 'A', 'America/New_York'),
	(3672, 'Mc Chord Afb', 'Tacoma', 'United States', 'TCM', 'KTCM', 47.137678, -122.476475, 322, -8, 'A', 'America/Los_Angeles'),
	(3673, 'Austin Bergstrom Intl', 'Austin', 'United States', 'AUS', 'KAUS', 30.194528, -97.669889, 542, -6, 'A', 'America/Chicago'),
	(3674, 'Rickenbacker Intl', 'Columbus', 'United States', 'LCK', 'KLCK', 39.813786, -82.927822, 744, -5, 'A', 'America/New_York'),
	(3675, 'Sawyer Intl', 'Gwinn', 'United States', '', 'KSAW', 46.353625, -87.395353, 1221, -5, 'A', 'America/New_York'),
	(3676, 'Mc Ghee Tyson', 'Knoxville', 'United States', 'TYS', 'KTYS', 35.810972, -83.994028, 981, -5, 'A', 'America/New_York'),
	(3677, 'Hood Aaf', 'Fort Hood', 'United States', 'HLR', 'KHLR', 31.138731, -97.714469, 924, -6, 'A', 'America/Chicago'),
	(3678, 'Lambert St Louis Intl', 'St. Louis', 'United States', 'STL', 'KSTL', 38.748697, -90.370028, 618, -6, 'A', 'America/Chicago'),
	(3679, 'Millville Muni', 'Millville', 'United States', 'MIV', 'KMIV', 39.367806, -75.072222, 85, -5, 'A', 'America/New_York'),
	(3680, 'Sheppard Afb Wichita Falls Muni', 'Wichita Falls', 'United States', 'SPS', 'KSPS', 33.988797, -98.491894, 1019, -6, 'A', 'America/Chicago'),
	(3681, 'Cincinnati Muni Lunken Fld', 'Cincinnati', 'United States', 'LUK', 'KLUK', 39.103333, -84.418611, 483, -5, 'A', 'America/New_York'),
	(3682, 'Hartsfield Jackson Atlanta Intl', 'Atlanta', 'United States', 'ATL', 'KATL', 33.636719, -84.428067, 1026, -5, 'A', 'America/New_York'),
	(3683, 'Castle', 'Merced', 'United States', 'MER', 'KMER', 37.380481, -120.568189, 189, -8, 'A', 'America/Los_Angeles'),
	(3684, 'Mc Clellan Afld', 'Sacramento', 'United States', 'MCC', 'KMCC', 38.667639, -121.400611, 75, -8, 'A', 'America/Los_Angeles'),
	(3685, 'Gerald R Ford Intl', 'Grand Rapids', 'United States', 'GRR', 'KGRR', 42.880833, -85.522806, 794, -5, 'A', 'America/New_York'),
	(3686, 'Winkler Co', 'Wink', 'United States', 'INK', 'KINK', 31.779628, -103.201361, 2822, -6, 'A', 'America/Chicago'),
	(3687, 'Fresno Yosemite Intl', 'Fresno', 'United States', 'FAT', 'KFAT', 36.776194, -119.71814, 336, -8, 'A', 'America/Los_Angeles'),
	(3688, 'Vero Beach Muni', 'Vero Beach', 'United States', 'VRB', 'KVRB', 27.655556, -80.417944, 24, -5, 'A', 'America/New_York'),
	(3689, 'Imperial Co', 'Imperial', 'United States', 'IPL', 'KIPL', 32.834219, -115.578744, -54, -8, 'A', 'America/Los_Angeles'),
	(3690, 'Nashville Intl', 'Nashville', 'United States', 'BNA', 'KBNA', 36.124472, -86.678194, 599, -6, 'A', 'America/Chicago'),
	(3691, 'Laredo Intl', 'Laredo', 'United States', 'LRD', 'KLRD', 27.54375, -99.461556, 508, -6, 'A', 'America/Chicago'),
	(3692, 'Elmendorf Afb', 'Anchorage', 'United States', 'EDF', 'PAED', 61.250986, -149.806503, 212, -9, 'A', 'America/Anchorage'),
	(3693, 'Ralph Wien Mem', 'Kotzebue', 'United States', 'OTZ', 'PAOT', 66.884678, -162.59855, 11, -9, 'A', 'America/Anchorage'),
	(3694, 'Altoona Blair Co', 'Altoona', 'United States', 'AOO', 'KAOO', 40.296372, -78.320022, 1504, -5, 'A', 'America/New_York'),
	(3695, 'Dyess Afb', 'Abilene', 'United States', 'DYS', 'KDYS', 32.420756, -99.8546, 1789, -6, 'A', 'America/Chicago'),
	(3696, 'South Arkansas Rgnl At Goodwin Fld', 'El Dorado', 'United States', 'ELD', 'KELD', 33.220972, -92.813278, 277, -6, 'A', 'America/Chicago'),
	(3697, 'La Guardia', 'New York', 'United States', 'LGA', 'KLGA', 40.777245, -73.872608, 22, -5, 'A', 'America/New_York'),
	(3698, 'Tallahassee Rgnl', 'Tallahassee', 'United States', 'TLH', 'KTLH', 30.396528, -84.350333, 81, -5, 'A', 'America/New_York'),
	(3699, 'Dupage', 'West Chicago', 'United States', 'DPA', 'KDPA', 41.907778, -88.248611, 758, -6, 'A', 'America/Chicago'),
	(3700, 'Waco Rgnl', 'Waco', 'United States', 'ACT', 'KACT', 31.611289, -97.230519, 516, -6, 'A', 'America/Chicago'),
	(3701, 'Augusta State', 'Augusta', 'United States', 'AUG', 'KAUG', 44.320647, -69.797317, 352, -5, 'A', 'America/New_York'),
	(3702, 'Hillsboro Muni', 'Hillsboro', 'United States', 'INJ', 'KINJ', 32.083486, -97.097228, 685, -6, 'A', 'America/Chicago'),
	(3703, 'Jacksonville Nas', 'Jacksonville', 'United States', 'NIP', 'KNIP', 30.235834, -81.680556, 22, -5, 'A', 'America/New_York'),
	(3704, 'Mc Kellar Sipes Rgnl', 'Jackson', 'United States', 'MKL', 'KMKL', 35.599889, -88.915611, 434, -6, 'A', 'America/Chicago'),
	(3705, 'Molokai', 'Molokai', 'United States', 'MKK', 'PHMK', 21.152886, -157.096256, 454, -10, 'N', 'Pacific/Honolulu'),
	(3706, 'Godman Aaf', 'Fort Knox', 'United States', 'FTK', 'KFTK', 37.907058, -85.972106, 756, -5, 'A', 'America/New_York'),
	(3707, 'New River Mcas', 'Jacksonville', 'United States', '', 'KNCA', 34.708417, -77.439667, 26, -5, 'A', 'America/New_York'),
	(3708, 'San Angelo Rgnl Mathis Fld', 'San Angelo', 'United States', 'SJT', 'KSJT', 31.35775, -100.496306, 1919, -6, 'A', 'America/Chicago'),
	(3709, 'Calexico Intl', 'Calexico', 'United States', 'CXL', 'KCXL', 32.669502, -115.51333, 4, -8, 'A', 'America/Los_Angeles'),
	(3710, 'Chico Muni', 'Chico', 'United States', 'CIC', 'KCIC', 39.795383, -121.858422, 238, -8, 'A', 'America/Los_Angeles'),
	(3711, 'Burlington Intl', 'Burlington', 'United States', 'BTV', 'KBTV', 44.471861, -73.153278, 335, -5, 'A', 'America/New_York'),
	(3712, 'Jacksonville Intl', 'Jacksonville', 'United States', 'JAX', 'KJAX', 30.494056, -81.687861, 30, -5, 'A', 'America/New_York'),
	(3713, 'Durango La Plata Co', 'Durango', 'United States', 'DRO', 'KDRO', 37.151516, -107.75377, 6685, -7, 'A', 'America/Denver'),
	(3714, 'Washington Dulles Intl', 'Washington', 'United States', 'IAD', 'KIAD', 38.944533, -77.455811, 313, -5, 'A', 'America/New_York'),
	(3715, 'Easterwood Fld', 'College Station', 'United States', 'CLL', 'KCLL', 30.588583, -96.363833, 321, -6, 'A', 'America/Chicago'),
	(3716, 'Felts Fld', 'Spokane', 'United States', 'SFF', 'KSFF', 47.682819, -117.322558, 1953, -8, 'A', 'America/Los_Angeles'),
	(3717, 'General Mitchell Intl', 'Milwaukee', 'United States', 'MKE', 'KMKE', 42.947222, -87.896583, 723, -6, 'A', 'America/Chicago'),
	(3718, 'Abilene Rgnl', 'Abilene', 'United States', 'ABI', 'KABI', 32.411319, -99.681897, 1791, -6, 'A', 'America/Chicago'),
	(3719, 'Columbia Rgnl', 'Columbia', 'United States', 'COU', 'KCOU', 38.818094, -92.219631, 889, -6, 'A', 'America/Chicago'),
	(3720, 'Portland Intl', 'Portland', 'United States', 'PDX', 'KPDX', 45.588722, -122.5975, 30, -8, 'A', 'America/Los_Angeles'),
	(3721, 'Dade Collier Training And Transition', 'Miami', 'United States', 'TNT', 'KTNT', 25.861806, -80.897, 13, -5, 'A', 'America/New_York'),
	(3722, 'Palm Beach Intl', 'West Palm Beach', 'United States', 'PBI', 'KPBI', 26.683161, -80.095589, 19, -5, 'A', 'America/New_York'),
	(3723, 'Fort Worth Meacham Intl', 'Fort Worth', 'United States', 'FTW', 'KFTW', 32.819778, -97.362444, 710, -6, 'A', 'America/Chicago'),
	(3724, 'Ogdensburg Intl', 'Ogdensburg', 'United States', 'OGS', 'KOGS', 44.681854, -75.4655, 297, -5, 'A', 'America/New_York'),
	(3725, 'Otis Angb', 'Falmouth', 'United States', 'FMH', 'KFMH', 41.658439, -70.521417, 131, -5, 'A', 'America/New_York'),
	(3726, 'Boeing Fld King Co Intl', 'Seattle', 'United States', 'BFI', 'KBFI', 47.53, -122.301947, 21, -8, 'A', 'America/Los_Angeles'),
	(3727, 'Lackland Afb Kelly Fld Annex', 'San Antonio', 'United States', 'SKF', 'KSKF', 29.384228, -98.581108, 691, -6, 'A', 'America/Chicago'),
	(3728, 'Honolulu Intl', 'Honolulu', 'United States', 'HNL', 'PHNL', 21.318681, -157.922428, 13, -10, 'N', 'Pacific/Honolulu'),
	(3729, 'Des Moines Intl', 'Des Moines', 'United States', 'DSM', 'KDSM', 41.533972, -93.663083, 958, -6, 'A', 'America/Chicago'),
	(3730, 'Craven Co Rgnl', 'New Bern', 'United States', 'EWN', 'KEWN', 35.072972, -77.042944, 18, -5, 'A', 'America/New_York'),
	(3731, 'San Diego Intl', 'San Diego', 'United States', 'SAN', 'KSAN', 32.733556, -117.189667, 17, -8, 'A', 'America/Los_Angeles'),
	(3732, 'Monroe Rgnl', 'Monroe', 'United States', 'MLU', 'KMLU', 32.510864, -92.037689, 79, -6, 'A', 'America/Chicago'),
	(3733, 'Shaw Afb', 'Sumter', 'United States', 'SSC', 'KSSC', 33.972719, -80.470564, 242, -5, 'A', 'America/New_York'),
	(3734, 'Ontario Intl', 'Ontario', 'United States', 'ONT', 'KONT', 34.056, -117.601194, 944, -8, 'A', 'America/Los_Angeles'),
	(3735, 'Majors', 'Greenvile', 'United States', 'GVT', 'KGVT', 33.067839, -96.065333, 535, -6, 'A', 'America/Chicago'),
	(3736, 'Roswell Intl Air Center', 'Roswell', 'United States', 'ROW', 'KROW', 33.301556, -104.530556, 3671, -7, 'A', 'America/Denver'),
	(3737, 'Coleman A Young Muni', 'Detroit', 'United States', 'DET', 'KDET', 42.409195, -83.009861, 626, -5, 'A', 'America/New_York'),
	(3738, 'Brownsville South Padre Island Intl', 'Brownsville', 'United States', 'BRO', 'KBRO', 25.906833, -97.425861, 22, -6, 'A', 'America/Chicago'),
	(3739, 'Dothan Rgnl', 'Dothan', 'United States', 'DHN', 'KDHN', 31.321339, -85.449628, 401, -6, 'A', 'America/Chicago'),
	(3740, 'Cape May Co', 'Wildwood', 'United States', 'WWD', 'KWWD', 39.008507, -74.908275, 23, -5, 'A', 'America/New_York'),
	(3741, 'Fallon Nas', 'Fallon', 'United States', 'NFL', 'KNFL', 39.416584, -118.70098, 3934, -8, 'A', 'America/Los_Angeles'),
	(3742, 'Selfridge Angb', 'Mount Clemens', 'United States', 'MTC', 'KMTC', 42.608333, -82.8355, 580, -5, 'A', 'America/New_York'),
	(3743, 'Four Corners Rgnl', 'Farmington', 'United States', 'FMN', 'KFMN', 36.74125, -108.229944, 5506, -7, 'A', 'America/Denver'),
	(3744, 'Corpus Christi Intl', 'Corpus Christi', 'United States', 'CRP', 'KCRP', 27.770361, -97.501222, 44, -6, 'A', 'America/Chicago'),
	(3745, 'Syracuse Hancock Intl', 'Syracuse', 'United States', 'SYR', 'KSYR', 43.111187, -76.106311, 421, -5, 'A', 'America/New_York'),
	(3746, 'Key West Nas', 'Key West', 'United States', 'NQX', 'KNQX', 24.575834, -81.688889, 6, -5, 'A', 'America/New_York'),
	(3747, 'Chicago Midway Intl', 'Chicago', 'United States', 'MDW', 'KMDW', 41.785972, -87.752417, 620, -6, 'A', 'America/Chicago'),
	(3748, 'Norman Y Mineta San Jose Intl', 'San Jose', 'United States', 'SJC', 'KSJC', 37.3626, -121.929022, 62, -8, 'A', 'America/Los_Angeles'),
	(3749, 'Lea Co Rgnl', 'Hobbs', 'United States', 'HOB', 'KHOB', 32.687528, -103.217028, 3661, -7, 'A', 'America/Denver'),
	(3750, 'Northeast Philadelphia', 'Philadelphia', 'United States', 'PNE', 'KPNE', 40.081944, -75.010586, 121, -5, 'A', 'America/New_York'),
	(3751, 'Denver Intl', 'Denver', 'United States', 'DEN', 'KDEN', 39.861656, -104.673178, 5431, -7, 'A', 'America/Denver'),
	(3752, 'Philadelphia Intl', 'Philadelphia', 'United States', 'PHL', 'KPHL', 39.871944, -75.241139, 36, -5, 'A', 'America/New_York'),
	(3753, 'Sioux Gateway Col Bud Day Fld', 'Sioux City', 'United States', 'SUX', 'KSUX', 42.402603, -96.384367, 1098, -6, 'A', 'America/Chicago'),
	(3754, 'Middle Georgia Rgnl', 'Macon', 'United States', 'MCN', 'KMCN', 32.69285, -83.649211, 354, -5, 'A', 'America/New_York'),
	(3755, 'Truth Or Consequences Muni', 'Truth Or Consequences', 'United States', 'TCS', 'KTCS', 33.236944, -107.27175, 4853, -7, 'A', 'America/Denver'),
	(3756, 'Palmdale Rgnl Usaf Plt 42', 'Palmdale', 'United States', 'PMD', 'KPMD', 34.629391, -118.08456, 2543, -8, 'A', 'America/Los_Angeles'),
	(3757, 'Randolph Afb', 'San Antonio', 'United States', 'RND', 'KRND', 29.529675, -98.2789, 762, -6, 'A', 'America/Chicago'),
	(3758, 'El Centro Naf', 'El Centro', 'United States', 'NJK', 'KNJK', 32.829222, -115.671667, -42, -8, 'A', 'America/Los_Angeles'),
	(3759, 'Port Columbus Intl', 'Columbus', 'United States', 'CMH', 'KCMH', 39.997972, -82.891889, 815, -5, 'A', 'America/New_York'),
	(3760, 'Drake Fld', 'Fayetteville', 'United States', 'FYV', 'KFYV', 36.005094, -94.170059, 1251, -6, 'A', 'America/Chicago'),
	(3761, 'Henry Post Aaf', 'Fort Sill', 'United States', 'FSI', 'KFSI', 34.649833, -98.402167, 1189, -6, 'A', 'America/Chicago'),
	(3762, 'Princeton Muni', 'Princeton', 'United States', 'PNM', 'KPNM', 45.559868, -93.608217, 979, -6, 'A', 'America/Chicago'),
	(3763, 'Wright Patterson Afb', 'Dayton', 'United States', 'FFO', 'KFFO', 39.826111, -84.048332, 823, -5, 'A', 'America/New_York'),
	(3764, 'Edward G Pitka Sr', 'Galena', 'United States', 'GAL', 'PAGA', 64.736178, -156.937417, 152, -9, 'A', 'America/Anchorage'),
	(3765, 'Chandler Muni', 'Chandler', 'United States', '', 'KCHD', 33.269111, -111.811111, 1243, -7, 'A', 'America/Phoenix'),
	(3766, 'Mineral Wells', 'Mineral Wells', 'United States', 'MWL', 'KMWL', 32.781606, -98.060175, 974, -6, 'A', 'America/Chicago'),
	(3767, 'Mc Connell Afb', 'Wichita', 'United States', 'IAB', 'KIAB', 37.621853, -97.268192, 1371, -6, 'A', 'America/Chicago'),
	(3768, 'New Orleans Nas Jrb', 'New Orleans', 'United States', 'NBG', 'KNBG', 29.825333, -90.035, 3, -6, 'A', 'America/Chicago'),
	(3769, 'Beaufort', 'Beaufort', 'United States', 'BFT', 'KNBC', 32.477411, -80.723161, 37, -5, 'A', 'America/New_York'),
	(3770, 'Texarkana Rgnl Webb Fld', 'Texarkana', 'United States', 'TXK', 'KTXK', 33.453722, -93.991028, 390, -6, 'A', 'America/Chicago'),
	(3771, 'Plattsburgh Intl', 'Plattsburgh', 'United States', 'PBG', 'KPBG', 44.650944, -73.468139, 234, -5, 'A', 'America/New_York'),
	(3772, 'Phillips Aaf', 'Aberdeen', 'United States', 'APG', 'KAPG', 39.466219, -76.168808, 57, -5, 'A', 'America/New_York'),
	(3773, 'Tucumcari Muni', 'Tucumcari', 'United States', 'TCC', 'KTCC', 35.182777, -103.603186, 4065, -7, 'A', 'America/Denver'),
	(3774, 'Ted Stevens Anchorage Intl', 'Anchorage', 'United States', 'ANC', 'PANC', 61.174361, -149.996361, 152, -9, 'A', 'America/Anchorage'),
	(3775, 'Robert Gray Aaf', 'Killeen', 'United States', 'GRK', 'KGRK', 31.06725, -97.828917, 1015, -6, 'A', 'America/Chicago'),
	(3776, 'Black Rock', 'Zuni Pueblo', 'United States', 'ZUN', 'KZUN', 35.083228, -108.791778, 6454, -7, 'A', 'America/Denver'),
	(3777, 'Bellingham Intl', 'Bellingham', 'United States', 'BLI', 'KBLI', 48.792694, -122.537528, 170, -8, 'A', 'America/Los_Angeles'),
	(3778, 'Millington Rgnl Jetport', 'Millington', 'United States', 'NQA', 'KNQA', 35.356667, -89.870278, 320, -6, 'A', 'America/Chicago'),
	(3779, 'Elkins Randolph Co Jennings Randolph', 'Elkins', 'United States', 'EKN', 'KEKN', 38.889444, -79.857139, 1987, -5, 'A', 'America/New_York'),
	(3780, 'Hartford Brainard', 'Hartford', 'United States', 'HFD', 'KHFD', 41.736722, -72.649444, 18, -5, 'A', 'America/New_York'),
	(3781, 'North Central State', 'Smithfield', 'United States', 'SFZ', 'KSFZ', 41.920764, -71.491381, 441, -5, 'A', 'America/New_York'),
	(3782, 'Mobile Rgnl', 'Mobile', 'United States', 'MOB', 'KMOB', 30.691231, -88.242814, 219, -6, 'A', 'America/Chicago'),
	(3783, 'Moffett Federal Afld', 'Mountain View', 'United States', 'NUQ', 'KNUQ', 37.416142, -122.049139, 32, -8, 'A', 'America/Los_Angeles'),
	(3784, 'Santa Fe Muni', 'Santa Fe', 'United States', 'SAF', 'KSAF', 35.617108, -106.089422, 6348, -7, 'A', 'America/Denver'),
	(3785, 'Barking Sands Pmrf', 'Barking Sands', 'United States', 'BKH', 'PHBK', 22.022833, -159.785, 23, -10, 'A', 'Pacific/Honolulu'),
	(3786, 'Beauregard Rgnl', 'Deridder', 'United States', 'DRI', 'KDRI', 30.831722, -93.339917, 202, -6, 'A', 'America/Chicago'),
	(3787, 'Bradshaw Aaf', 'Bradshaw Field', 'United States', 'BSF', 'PHSF', 19.760056, -155.553717, 6190, -10, 'A', 'Pacific/Honolulu'),
	(3788, 'Nogales Intl', 'Nogales', 'United States', 'OLS', 'KOLS', 31.417722, -110.84789, 3955, -7, 'A', 'America/Phoenix'),
	(3789, 'Macdill Afb', 'Tampa', 'United States', 'MCF', 'KMCF', 27.849339, -82.521214, 14, -5, 'A', 'America/New_York'),
	(3790, 'Scott Afb Midamerica', 'Belleville', 'United States', 'BLV', 'KBLV', 38.545178, -89.835183, 459, -6, 'A', 'America/Chicago'),
	(3791, 'Opa Locka', 'Miami', 'United States', 'OPF', 'KOPF', 25.907, -80.278389, 8, -5, 'A', 'America/New_York'),
	(3792, 'Del Rio Intl', 'Del Rio', 'United States', 'DRT', 'KDRT', 29.374208, -100.927158, 1002, -6, 'A', 'America/Chicago'),
	(3793, 'Southwest Florida Intl', 'Fort Myers', 'United States', 'RSW', 'KRSW', 26.536167, -81.755167, 30, -5, 'A', 'America/New_York'),
	(3794, 'King Salmon', 'King Salmon', 'United States', 'AKN', 'PAKN', 58.676778, -156.649278, 68, -9, 'A', 'America/Anchorage'),
	(3795, 'Muir Aaf', 'Muir', 'United States', 'MUI', 'KMUI', 40.434811, -76.569411, 489, -5, 'A', 'America/New_York'),
	(3796, 'Kapalua', 'Lahania-kapalua', 'United States', 'JHM', 'PHJH', 20.962936, -156.673031, 256, -10, 'N', 'Pacific/Honolulu'),
	(3797, 'John F Kennedy Intl', 'New York', 'United States', 'JFK', 'KJFK', 40.639751, -73.778925, 13, -5, 'A', 'America/New_York'),
	(3798, 'Homestead Arb', 'Homestead', 'United States', 'HST', 'KHST', 25.48855, -80.383567, 6, -5, 'A', 'America/New_York'),
	(3799, 'Riverside Muni', 'Riverside', 'United States', 'RAL', 'KRAL', 33.951875, -117.445103, 818, -8, 'A', 'America/Los_Angeles'),
	(3800, 'Sherman Aaf', 'Fort Leavenworth', 'United States', 'FLV', 'KFLV', 39.368332, -94.914686, 772, -6, 'A', 'America/Chicago'),
	(3801, 'Wallops Flight Facility', 'Wallops Island', 'United States', 'WAL', 'KWAL', 37.940194, -75.466389, 40, -5, 'A', 'America/New_York'),
	(3802, 'Holloman Afb', 'Alamogordo', 'United States', 'HMN', 'KHMN', 32.852519, -106.106525, 4093, -7, 'A', 'America/Denver'),
	(3803, 'Willow Grove Nas Jrb', 'Willow Grove', 'United States', 'NXX', 'KNXX', 40.199833, -75.148167, 358, -5, 'A', 'America/New_York'),
	(3804, 'Cheyenne Rgnl Jerry Olson Fld', 'Cheyenne', 'United States', 'CYS', 'KCYS', 41.155722, -104.811839, 6156, -7, 'A', 'America/Denver'),
	(3805, 'Stockton Metropolitan', 'Stockton', 'United States', 'SCK', 'KSCK', 37.894167, -121.238306, 33, -8, 'A', 'America/Los_Angeles'),
	(3806, 'Charleston Afb Intl', 'Charleston', 'United States', 'CHS', 'KCHS', 32.898647, -80.040528, 45, -5, 'A', 'America/New_York'),
	(3807, 'Reno Tahoe Intl', 'Reno', 'United States', 'RNO', 'KRNO', 39.499108, -119.768108, 4415, -8, 'A', 'America/Los_Angeles'),
	(3808, 'Ketchikan Intl', 'Ketchikan', 'United States', 'KTN', 'PAKT', 55.355556, -131.71375, 88, -9, 'A', 'America/Anchorage'),
	(3809, 'Willow Run', 'Detroit', 'United States', 'YIP', 'KYIP', 42.237928, -83.530408, 716, -5, 'A', 'America/New_York'),
	(3810, 'Vandenberg Afb', 'Lompoc', 'United States', 'VBG', 'KVBG', 34.737333, -120.584306, 369, -8, 'A', 'America/Los_Angeles'),
	(3811, 'Birmingham Intl', 'Birmingham', 'United States', 'BHM', 'KBHM', 33.562942, -86.75355, 644, -6, 'A', 'America/Chicago'),
	(3812, 'Lakehurst Naes', 'Lakehurst', 'United States', 'NEL', 'KNEL', 40.033333, -74.353333, 103, -5, 'A', 'America/New_York'),
	(3813, 'Eareckson As', 'Shemya', 'United States', 'SYA', 'PASY', 52.712275, 174.11362, 98, -9, 'A', 'America/Anchorage'),
	(3814, 'Nellis Afb', 'Las Vegas', 'United States', 'LSV', 'KLSV', 36.236197, -115.034253, 1870, -8, 'A', 'America/Los_Angeles'),
	(3815, 'March Arb', 'Riverside', 'United States', 'RIV', 'KRIV', 33.880711, -117.259453, 1535, -8, 'A', 'America/Los_Angeles'),
	(3816, 'Modesto City Co Harry Sham', 'Modesto', 'United States', 'MOD', 'KMOD', 37.625817, -120.954422, 97, -8, 'A', 'America/Los_Angeles'),
	(3817, 'Sacramento Intl', 'Sacramento', 'United States', 'SMF', 'KSMF', 38.695417, -121.590778, 27, -8, 'A', 'America/Los_Angeles'),
	(3818, 'Waukegan Rgnl', 'Chicago', 'United States', 'UGN', 'KUGN', 42.422161, -87.867908, 727, -6, 'A', 'America/Chicago'),
	(3819, 'City Of Colorado Springs Muni', 'Colorado Springs', 'United States', 'COS', 'KCOS', 38.805805, -104.700778, 6187, -7, 'A', 'America/Denver'),
	(3820, 'Buffalo Niagara Intl', 'Buffalo', 'United States', 'BUF', 'KBUF', 42.940525, -78.732167, 724, -5, 'A', 'America/New_York'),
	(3821, 'Griffing Sandusky', 'Sandusky', 'United States', 'SKY', 'KSKY', 41.433361, -82.652333, 580, -5, 'A', 'America/New_York'),
	(3822, 'Snohomish Co', 'Everett', 'United States', 'PAE', 'KPAE', 47.906342, -122.281564, 606, -8, 'A', 'America/Los_Angeles'),
	(3823, 'Mountain Home Afb', 'Mountain Home', 'United States', 'MUO', 'KMUO', 43.043603, -115.872431, 2996, -7, 'A', 'America/Denver'),
	(3824, 'Cedar City Rgnl', 'Cedar City', 'United States', 'CDC', 'KCDC', 37.700967, -113.098847, 5622, -7, 'A', 'America/Denver'),
	(3825, 'Bradley Intl', 'Windsor Locks', 'United States', 'BDL', 'KBDL', 41.938889, -72.683222, 173, -5, 'A', 'America/New_York'),
	(3826, 'Mc Allen Miller Intl', 'Mcallen', 'United States', 'MFE', 'KMFE', 26.175833, -98.238611, 107, -6, 'A', 'America/Chicago'),
	(3827, 'Norfolk Ns', 'Norfolk', 'United States', 'NGU', 'KNGU', 36.937644, -76.289289, 15, -5, 'A', 'America/New_York'),
	(3828, 'Westover Arb Metropolitan', 'Chicopee Falls', 'United States', 'CEF', 'KCEF', 42.194014, -72.534783, 241, -5, 'A', 'America/New_York'),
	(3829, 'Lubbock Preston Smith Intl', 'Lubbock', 'United States', 'LBB', 'KLBB', 33.663639, -101.822778, 3282, -6, 'A', 'America/Chicago'),
	(3830, 'Chicago Ohare Intl', 'Chicago', 'United States', 'ORD', 'KORD', 41.978603, -87.904842, 668, -6, 'A', 'America/Chicago'),
	(3831, 'Boca Raton', 'Boca Raton', 'United States', 'BCT', 'KBCT', 26.3785, -80.107694, 13, -5, 'A', 'America/New_York'),
	(3832, 'Fairbanks Intl', 'Fairbanks', 'United States', 'FAI', 'PAFA', 64.815114, -147.856267, 434, -9, 'A', 'America/Anchorage'),
	(3833, 'Quantico Mcaf', 'Quantico', 'United States', 'NYG', 'KNYG', 38.501683, -77.305333, 11, -5, 'A', 'America/New_York'),
	(3834, 'Cannon Afb', 'Clovis', 'United States', 'CVS', 'KCVS', 34.382775, -103.322147, 4295, -7, 'A', 'America/Denver'),
	(3835, 'Kaneohe Bay Mcaf', 'Kaneohe Bay', 'United States', 'NGF', 'PHNG', 21.450453, -157.768, 24, -10, 'A', 'Pacific/Honolulu'),
	(3836, 'Offutt Afb', 'Omaha', 'United States', 'OFF', 'KOFF', 41.118332, -95.912511, 1052, -6, 'A', 'America/Chicago'),
	(3837, 'Gulkana', 'Gulkana', 'United States', 'GKN', 'PAGK', 62.154888, -145.456639, 1580, -9, 'A', 'America/Anchorage'),
	(3838, 'Watertown Intl', 'Watertown', 'United States', 'ART', 'KART', 43.991922, -76.021739, 325, -5, 'A', 'America/New_York'),
	(3839, 'Palm Springs Intl', 'Palm Springs', 'United States', 'PSP', 'KPSP', 33.829667, -116.506694, 477, -8, 'A', 'America/Los_Angeles'),
	(3840, 'Rick Husband Amarillo Intl', 'Amarillo', 'United States', 'AMA', 'KAMA', 35.219369, -101.705931, 3607, -6, 'A', 'America/Chicago'),
	(3841, 'Fort Dodge Rgnl', 'Fort Dodge', 'United States', 'FOD', 'KFOD', 42.5512, -94.191842, 1157, -6, 'A', 'America/Chicago'),
	(3842, 'Barksdale Afb', 'Shreveport', 'United States', 'BAD', 'KBAD', 32.50182, -93.662674, 166, -6, 'A', 'America/Chicago'),
	(3843, 'Forbes Fld', 'Topeka', 'United States', 'FOE', 'KFOE', 38.950944, -95.663611, 1078, -6, 'A', 'America/Chicago'),
	(3844, 'Cotulla Lasalle Co', 'Cotulla', 'United States', 'COT', 'KCOT', 28.456694, -99.220294, 474, -6, 'A', 'America/Chicago'),
	(3845, 'Wilmington Intl', 'Wilmington', 'United States', 'ILM', 'KILM', 34.270615, -77.902569, 32, -5, 'A', 'America/New_York'),
	(3846, 'Baton Rouge Metro Ryan Fld', 'Baton Rouge', 'United States', 'BTR', 'KBTR', 30.533167, -91.149639, 70, -6, 'A', 'America/Chicago'),
	(3847, 'Meridian Nas', 'Meridian', 'United States', 'NMM', 'KNMM', 32.552083, -88.555557, 317, -6, 'A', 'America/Chicago'),
	(3848, 'Tyler Pounds Rgnl', 'Tyler', 'United States', 'TYR', 'KTYR', 32.354139, -95.402386, 544, -6, 'A', 'America/Chicago'),
	(3849, 'Baltimore Washington Intl', 'Baltimore', 'United States', 'BWI', 'KBWI', 39.175361, -76.668333, 146, -5, 'A', 'America/New_York'),
	(3850, 'Hobart Muni', 'Hobart', 'United States', 'HBR', 'KHBR', 34.991308, -99.051353, 1564, -6, 'A', 'America/Chicago'),
	(3851, 'Lanai', 'Lanai', 'United States', 'LNY', 'PHNY', 20.785611, -156.951419, 1308, -10, 'N', 'Pacific/Honolulu'),
	(3852, 'Alexandria Intl', 'Alexandria', 'United States', 'AEX', 'KAEX', 31.3274, -92.549833, 89, -6, 'A', 'America/Chicago'),
	(3853, 'Condron Aaf', 'White Sands', 'United States', 'WSD', 'KWSD', 32.341484, -106.40277, 3934, -7, 'A', 'America/Denver'),
	(3854, 'Cold Bay', 'Cold Bay', 'United States', 'CDB', 'PACD', 55.206061, -162.725436, 96, -9, 'A', 'America/Anchorage'),
	(3855, 'Tulsa Intl', 'Tulsa', 'United States', 'TUL', 'KTUL', 36.198389, -95.888111, 677, -6, 'A', 'America/Chicago'),
	(3856, 'Sitka Rocky Gutierrez', 'Sitka', 'United States', 'SIT', 'PASI', 57.047138, -135.361611, 21, -9, 'A', 'America/Anchorage'),
	(3857, 'Long Island Mac Arthur', 'Islip', 'United States', 'ISP', 'KISP', 40.79525, -73.100222, 99, -5, 'A', 'America/New_York'),
	(3858, 'Minneapolis St Paul Intl', 'Minneapolis', 'United States', 'MSP', 'KMSP', 44.881956, -93.221767, 841, -6, 'A', 'America/Chicago'),
	(3859, 'New Castle', 'Wilmington', 'United States', 'ILG', 'KILG', 39.678722, -75.606528, 79, -5, 'A', 'America/New_York'),
	(3860, 'Unalaska', 'Unalaska', 'United States', 'DUT', 'PADU', 53.900139, -166.5435, 22, -9, 'A', 'America/Anchorage'),
	(3861, 'Louis Armstrong New Orleans Intl', 'New Orleans', 'United States', 'MSY', 'KMSY', 29.993389, -90.258028, 4, -6, 'A', 'America/Chicago'),
	(3862, 'Portland Intl Jetport', 'Portland', 'United States', 'PWM', 'KPWM', 43.646161, -70.309281, 77, -5, 'A', 'America/New_York'),
	(3863, 'Will Rogers World', 'Oklahoma City', 'United States', 'OKC', 'KOKC', 35.393089, -97.600733, 1295, -6, 'A', 'America/Chicago'),
	(3864, 'Albany Intl', 'Albany', 'United States', 'ALB', 'KALB', 42.748267, -73.801692, 285, -5, 'A', 'America/New_York'),
	(3865, 'Valdez Pioneer Fld', 'Valdez', 'United States', 'VDZ', 'PAVD', 61.133949, -146.248342, 118, -9, 'A', 'America/Anchorage'),
	(3866, 'Langley Afb', 'Hampton', 'United States', 'LFI', 'KLFI', 37.082881, -76.360547, 11, -5, 'A', 'America/New_York'),
	(3867, 'John Wayne Arpt Orange Co', 'Santa Ana', 'United States', 'SNA', 'KSNA', 33.675667, -117.868222, 56, -8, 'A', 'America/Los_Angeles'),
	(3868, 'Columbus Afb', 'Colombus', 'United States', 'CBM', 'KCBM', 33.643833, -88.443833, 219, -6, 'A', 'America/Chicago'),
	(3869, 'Kendall Tamiami Executive', 'Kendall-tamiami', 'United States', 'TMB', 'KTMB', 25.647889, -80.432777, 8, -5, 'A', 'America/New_York'),
	(3870, 'Oceana Nas', 'Oceana', 'United States', 'NTU', 'KNTU', 36.820703, -76.033542, 22, -5, 'A', 'America/New_York'),
	(3871, 'Grissom Arb', 'Peru', 'United States', 'GUS', 'KGUS', 40.648094, -86.152119, 812, -5, 'A', 'America/New_York'),
	(3872, 'Natrona Co Intl', 'Casper', 'United States', 'CPR', 'KCPR', 42.908, -106.464417, 5347, -7, 'A', 'America/Denver'),
	(3873, 'Eglin Afb', 'Valparaiso', 'United States', 'VPS', 'KVPS', 30.48325, -86.5254, 87, -6, 'A', 'America/Chicago'),
	(3874, 'Craig Fld', 'Selma', 'United States', 'SEM', 'KSEM', 32.343947, -86.987803, 166, -6, 'A', 'America/Chicago'),
	(3875, 'Key West Intl', 'Key West', 'United States', 'EYW', 'KEYW', 24.556111, -81.759556, 3, -5, 'A', 'America/New_York'),
	(3876, 'Charlotte Douglas Intl', 'Charlotte', 'United States', 'CLT', 'KCLT', 35.214, -80.943139, 748, -5, 'A', 'America/New_York'),
	(3877, 'Mc Carran Intl', 'Las Vegas', 'United States', 'LAS', 'KLAS', 36.080056, -115.15225, 2141, -8, 'A', 'America/Los_Angeles'),
	(3878, 'Orlando Intl', 'Orlando', 'United States', 'MCO', 'KMCO', 28.429394, -81.308994, 96, -5, 'A', 'America/New_York'),
	(3879, 'Florence Rgnl', 'Florence', 'United States', 'FLO', 'KFLO', 34.185361, -79.723889, 146, -5, 'A', 'America/New_York'),
	(3880, 'Great Falls Intl', 'Great Falls', 'United States', 'GTF', 'KGTF', 47.482, -111.370689, 3677, -7, 'A', 'America/Denver'),
	(3881, 'Youngstown Warren Rgnl', 'Youngstown', 'United States', 'YNG', 'KYNG', 41.260736, -80.679097, 1196, -5, 'A', 'America/New_York'),
	(3882, 'Ladd Aaf', 'Fort Wainwright', 'United States', 'FBK', 'PAFB', 64.8375, -147.614444, 454, -9, 'A', 'America/Anchorage'),
	(3883, 'Mc Minnville Muni', 'Mackminnville', 'United States', 'MMV', 'KMMV', 45.194444, -123.135944, 163, -8, 'A', 'America/Los_Angeles'),
	(3884, 'Robins Afb', 'Macon', 'United States', 'WRB', 'KWRB', 32.640144, -83.59185, 294, -5, 'A', 'America/New_York'),
	(3885, 'Suvarnabhumi Intl', 'Bangkok', 'Thailand', 'BKK', 'VTBS', 13.681108, 100.747283, 5, 7, 'U', 'Asia/Bangkok'),
	(3886, 'Naha', 'Naha', 'Indonesia', 'NAH', 'WAMH', 3.683214, 125.528019, 16, 8, 'N', 'Asia/Makassar'),
	(3887, 'Andi Jemma', 'Masamba', 'Indonesia', '', 'WAWM', -2.558044, 120.324383, 164, 8, 'N', 'Asia/Makassar'),
	(3888, 'Soroako', 'Soroako', 'Indonesia', '', 'WAWS', -2.531203, 121.357639, 1388, 8, 'N', 'Asia/Makassar'),
	(3889, 'Pongtiku', 'Makale', 'Indonesia', '', 'WAWT', -3.044736, 119.821536, 2884, 8, 'N', 'Asia/Makassar'),
	(3890, 'Wolter Monginsidi', 'Kendari', 'Indonesia', 'KDI', 'WAWW', -4.081608, 122.418231, 538, 8, 'N', 'Asia/Makassar'),
	(3891, 'Maimun Saleh', 'Sabang', 'Indonesia', 'SBG', 'WITB', 5.874131, 95.339672, 393, 7, 'N', 'Asia/Jakarta'),
	(3892, 'Cibeureum', 'Tasikmalaya', 'Indonesia', '', 'WICM', -7.346603, 108.246092, 1148, 7, 'N', 'Asia/Jakarta'),
	(3893, 'Iswahyudi', 'Madiun', 'Indonesia', '', 'WARI', -7.615767, 111.434117, 361, 7, 'N', 'Asia/Jakarta'),
	(3894, 'Abdul Rachman Saleh', 'Malang', 'Indonesia', 'MLG', 'WARA', -7.926556, 112.714514, 1726, 7, 'N', 'Asia/Jakarta'),
	(3895, 'Budiarto', 'Tangerang', 'Indonesia', '', 'WICB', -6.293169, 106.5699, 151, 7, 'N', 'Asia/Jakarta'),
	(3896, 'Husein Sastranegara', 'Bandung', 'Indonesia', 'BDO', 'WICC', -6.900625, 107.576294, 2436, 7, 'N', 'Asia/Jakarta'),
	(3897, 'Penggung', 'Cirebon', 'Indonesia', 'CBN', 'WICD', -6.756144, 108.539672, 89, 7, 'N', 'Asia/Jakarta'),
	(3898, 'Adi Sutjipto', 'Yogyakarta', 'Indonesia', 'JOG', 'WARJ', -7.788181, 110.431758, 350, 7, 'N', 'Asia/Jakarta'),
	(3899, 'Tunggul Wulung', 'Cilacap', 'Indonesia', 'CXP', 'WIHL', -7.645056, 109.033911, 69, 7, 'N', 'Asia/Jakarta'),
	(3900, 'Pondok Cabe', 'Jakarta', 'Indonesia', 'PCB', 'WIHP', -6.336964, 106.764561, 200, 7, 'N', 'Asia/Jakarta'),
	(3901, 'Achmad Yani', 'Semarang', 'Indonesia', 'SRG', 'WARS', -6.971447, 110.374122, 13, 7, 'N', 'Asia/Jakarta'),
	(3903, 'Hang Nadim', 'Batam', 'Indonesia', 'BTH', 'WIDD', 1.121028, 104.118753, 126, 7, 'N', 'Asia/Jakarta'),
	(3904, 'H As Hanandjoeddin', 'Tanjung Pandan', 'Indonesia', 'TJQ', 'WIOD', -2.745722, 107.754917, 164, 7, 'N', 'Asia/Jakarta'),
	(3905, 'Depati Amir', 'Pangkal Pinang', 'Indonesia', 'PGK', 'WIPK', -2.1622, 106.139064, 109, 7, 'N', 'Asia/Jakarta'),
	(3906, 'Kijang', 'Tanjung Pinang', 'Indonesia', 'TNJ', 'WIDN', 0.922683, 104.532311, 52, 7, 'N', 'Asia/Jakarta'),
	(3907, 'Dabo', 'Singkep', 'Indonesia', 'SIQ', 'WIDS', -0.479189, 104.579283, 95, 7, 'N', 'Asia/Jakarta'),
	(3908, 'Syamsudin Noor', 'Banjarmasin', 'Indonesia', 'BDJ', 'WAOO', -3.442356, 114.762553, 66, 8, 'N', 'Asia/Makassar'),
	(3909, 'Batu Licin', 'Batu Licin', 'Indonesia', '', 'WAOC', -3.412408, 115.995136, 3, 8, 'N', 'Asia/Makassar'),
	(3910, 'Iskandar', 'Pangkalan Bun', 'Indonesia', 'PKN', 'WAOI', -2.705197, 111.673208, 75, 7, 'N', 'Asia/Jakarta'),
	(3911, 'Tjilik Riwut', 'Palangkaraya', 'Indonesia', 'PKY', 'WAOP', -2.225128, 113.942661, 82, 7, 'N', 'Asia/Jakarta'),
	(3913, 'Wai Oti', 'Maumere', 'Indonesia', 'MOF', 'WATC', -8.640647, 122.236889, 115, 8, 'N', 'Asia/Makassar'),
	(3914, 'H Hasan Aroeboesman', 'Ende', 'Indonesia', 'ENE', 'WATE', -8.849294, 121.660644, 49, 8, 'N', 'Asia/Makassar'),
	(3915, 'Satar Tacik', 'Ruteng', 'Indonesia', 'RTG', 'WATG', -8.597011, 120.477061, 3510, 8, 'N', 'Asia/Makassar'),
	(3916, 'El Tari', 'Kupang', 'Indonesia', 'KOE', 'WATT', -10.171583, 123.671136, 335, 8, 'N', 'Asia/Makassar'),
	(3917, 'Mutiara Ii', 'Labuhan Bajo', 'Indonesia', 'LBJ', 'WATO', -8.486656, 119.88905, 66, 8, 'N', 'Asia/Makassar'),
	(3919, 'Sepinggan', 'Balikpapan', 'Indonesia', 'BPN', 'WALL', -1.268272, 116.894478, 12, 8, 'N', 'Asia/Makassar'),
	(3920, 'Juwata', 'Taraken', 'Indonesia', 'TRK', 'WALR', 3.326694, 117.565569, 20, 8, 'N', 'Asia/Makassar'),
	(3921, 'Temindung', 'Samarinda', 'Indonesia', 'SRI', 'WALS', -0.484531, 117.157111, 33, 8, 'N', 'Asia/Makassar'),
	(3922, 'Tanjung Santan', 'Tanjung Santan', 'Indonesia', '', 'WALT', -0.093215, 117.439292, 121, 8, 'N', 'Asia/Makassar'),
	(3923, 'Selaparang', 'Mataram', 'Indonesia', 'AMI', 'WADA', -8.560708, 116.094656, 52, 8, 'N', 'Asia/Makassar'),
	(3924, 'Muhammad Salahuddin', 'Bima', 'Indonesia', 'BMU', 'WADB', -8.539647, 118.687322, 3, 8, 'N', 'Asia/Makassar'),
	(3927, 'Mau Hau', 'Waingapu', 'Indonesia', 'WGP', 'WADW', -9.669217, 120.302006, 33, 8, 'N', 'Asia/Makassar'),
	(3928, 'Juanda', 'Surabaya', 'Indonesia', 'SUB', 'WARR', -7.379831, 112.786858, 9, 7, 'N', 'Asia/Jakarta'),
	(3929, 'Adi Sumarmo Wiryokusumo', 'Solo City', 'Indonesia', 'SOC', 'WARQ', -7.516089, 110.756892, 421, 7, 'N', 'Asia/Jakarta'),
	(3930, 'Incheon Intl', 'Seoul', 'South Korea', 'ICN', 'RKSI', 37.469075, 126.450517, 23, 9, 'U', 'Asia/Seoul'),
	(3931, 'Chiang Mai Intl', 'Chiang Mai', 'Thailand', 'CNX', 'VTCC', 18.766847, 98.962644, 1036, 7, 'U', 'Asia/Bangkok'),
	(3932, 'Chiang Rai Intl', 'Chiang Rai', 'Thailand', 'CEI', 'VTCT', 19.952342, 99.882928, 1280, 7, 'U', 'Asia/Bangkok'),
	(3933, 'Nakhon Si Thammarat', 'Nakhon Si Thammarat', 'Thailand', 'NST', 'VTSF', 8.539617, 99.944725, 13, 7, 'U', 'Asia/Bangkok'),
	(3935, 'Nakhon Ratchasima', 'Nakhon Ratchasima', 'Thailand', 'NAK', 'VTUQ', 14.949497, 102.312736, 765, 7, 'U', 'Asia/Bangkok'),
	(3936, 'Nakhon Phanom', 'Nakhon Phanom', 'Thailand', 'KOP', 'VTUW', 17.383794, 104.643022, 587, 7, 'U', 'Asia/Bangkok'),
	(3937, 'Ubon Ratchathani', 'Ubon Ratchathani', 'Thailand', 'UBP', 'VTUU', 15.251278, 104.870231, 406, 7, 'U', 'Asia/Bangkok'),
	(3938, 'Khon Kaen', 'Khon Kaen', 'Thailand', 'KKC', 'VTUK', 16.466628, 102.783661, 670, 7, 'U', 'Asia/Bangkok'),
	(3939, 'Sukhothai', 'Sukhothai', 'Thailand', 'THS', 'VTPO', 17.237992, 99.818183, 179, 7, 'U', 'Asia/Bangkok'),
	(3940, 'Bali Ngurah Rai', 'Denpasar', 'Indonesia', 'DPS', 'WADD', -8.748169, 115.167172, 14, 8, 'N', 'Asia/Makassar'),
	(3941, 'Eleftherios Venizelos Intl', 'Athens', 'Greece', 'ATH', 'LGAV', 37.936358, 23.944467, 308, 2, 'E', 'Europe/Athens'),
	(3942, 'Chubu Centrair Intl', 'Nagoya', 'Japan', 'NGO', 'RJGG', 34.858414, 136.805408, 15, 9, 'U', 'Asia/Tokyo'),
	(3943, 'Kobe', 'Kobe', 'Japan', 'UKB', 'RJBE', 34.632778, 135.223889, 22, 9, 'U', 'Asia/Tokyo'),
	(3944, 'Pullman-Moscow Rgnl', 'Pullman', 'United States', 'PUW', 'KPUW', 46.743861, -117.109583, 2556, -8, 'A', 'America/Los_Angeles'),
	(3945, 'Lewiston Nez Perce Co', 'Lewiston', 'United States', 'LWS', 'KLWS', 46.3745, -117.015389, 1442, -8, 'A', 'America/Los_Angeles'),
	(3946, 'Elmira Corning Rgnl', 'Elmira', 'United States', 'ELM', 'KELM', 42.159889, -76.891611, 954, -5, 'A', 'America/New_York'),
	(3947, 'Ithaca Tompkins Rgnl', 'Ithaca', 'United States', 'ITH', 'KITH', 42.491028, -76.458444, 1099, -5, 'A', 'America/New_York'),
	(3948, 'Monterey Peninsula', 'Monterey', 'United States', 'MRY', 'KMRY', 36.587, -121.842944, 257, -8, 'A', 'America/Los_Angeles'),
	(3949, 'Santa Barbara Muni', 'Santa Barbara', 'United States', 'SBA', 'KSBA', 34.426211, -119.840372, 10, -8, 'A', 'America/Los_Angeles'),
	(3950, 'Daytona Beach Intl', 'Daytona Beach', 'United States', 'DAB', 'KDAB', 29.179917, -81.058056, 34, -5, 'A', 'America/New_York'),
	(3952, 'Liepaja Intl', 'Liepaja', 'Latvia', 'LPX', 'EVLA', 56.5175, 21.096944, 16, 2, 'E', 'Europe/Riga'),
	(3953, 'Riga Intl', 'Riga', 'Latvia', 'RIX', 'EVRA', 56.923611, 23.971111, 34, 2, 'E', 'Europe/Riga'),
	(3954, 'Siauliai Intl', 'Siauliai', 'Lithuania', 'SQQ', 'EYSA', 55.893886, 23.394975, 443, 2, 'E', 'Europe/Vilnius'),
	(3955, 'Barysiai', 'Barysiai', 'Lithuania', 'HLJ', 'EYSB', 56.070556, 23.558056, 270, 2, 'E', 'Europe/Vilnius'),
	(3956, 'Kaunas Intl', 'Kaunas', 'Lithuania', 'KUN', 'EYKA', 54.963919, 24.084778, 256, 2, 'E', 'Europe/Vilnius'),
	(3957, 'S. Darius', 'Kaunas', 'Lithuania', '', 'EYKS', 54.879792, 23.881511, 246, 2, 'E', 'Europe/Vilnius'),
	(3958, 'Palanga Intl', 'Palanga', 'Lithuania', 'PLQ', 'EYPA', 55.973228, 21.093856, 33, 2, 'E', 'Europe/Vilnius'),
	(3959, 'Vilnius Intl', 'Vilnius', 'Lithuania', 'VNO', 'EYVI', 54.634133, 25.285767, 646, 2, 'E', 'Europe/Vilnius'),
	(3960, 'Pajuostis', 'Panevezys', 'Lithuania', 'PNV', 'EYPP', 55.729444, 24.460833, 197, 2, 'E', 'Europe/Vilnius'),
	(3962, 'Erebuni', 'Yerevan', 'Armenia', '', 'UDYE', 40.122114, 44.464992, 2948, 4, 'E', 'Asia/Yerevan'),
	(3963, 'Stepanavan', 'Stepanavan', 'Armenia', '', 'UDLS', 41.04845, 44.337172, 4836, 4, 'E', 'Asia/Yerevan'),
	(3964, 'Zvartnots', 'Yerevan', 'Armenia', 'EVN', 'UDYZ', 40.147275, 44.395881, 2838, 4, 'E', 'Asia/Yerevan'),
	(3965, 'Gyumri', 'Gyumri', 'Armenia', 'LWN', 'UDSG', 40.750369, 43.859342, 5000, 4, 'E', 'Asia/Yerevan'),
	(3966, 'Assab Intl', 'Assab', 'Eritrea', 'ASA', 'HHSB', 13.071783, 42.645006, 46, 3, 'U', 'Africa/Asmera'),
	(3967, 'Asmara Intl', 'Asmara', 'Eritrea', 'ASM', 'HHAS', 15.291853, 38.910667, 7661, 3, 'U', 'Africa/Asmera'),
	(3968, 'Massawa Intl', 'Massawa', 'Eritrea', 'MSW', 'HHMS', 15.669989, 39.370103, 194, 3, 'U', 'Africa/Asmera'),
	(3969, 'Yasser Arafat Intl', 'Gaza', 'Palestine', 'GZA', 'LVGZ', 31.246389, 34.276111, 320, 2, 'U', 'Asia/Gaza'),
	(3971, 'Batumi', 'Batumi', 'Georgia', 'BUS', 'UGSB', 41.610278, 41.599694, 105, 4, 'N', 'Asia/Tbilisi'),
	(3972, 'Kopitnari', 'Kutaisi', 'Georgia', 'KUT', 'UGKO', 42.176653, 42.482583, 223, 4, 'N', 'Asia/Tbilisi'),
	(3973, 'Tbilisi', 'Tbilisi', 'Georgia', 'TBS', 'UGTB', 41.669167, 44.954722, 1624, 4, 'N', 'Asia/Tbilisi'),
	(3974, 'Riyan', 'Mukalla', 'Yemen', 'RIY', 'OYRN', 14.662639, 49.375028, 54, 3, 'U', 'Asia/Aden'),
	(3975, 'Taiz Intl', 'Taiz', 'Yemen', 'TAI', 'OYTZ', 13.685964, 44.139056, 4838, 3, 'U', 'Asia/Aden'),
	(3976, 'Hodeidah Intl', 'Hodeidah', 'Yemen', 'HOD', 'OYHD', 14.753, 42.976336, 41, 3, 'U', 'Asia/Aden'),
	(3977, 'Aden Intl', 'Aden', 'Yemen', 'ADE', 'OYAA', 12.829542, 45.028792, 7, 3, 'U', 'Asia/Aden'),
	(3978, 'Ataq', 'Ataq', 'Yemen', 'AXK', 'OYAT', 14.551322, 46.826183, 3735, 3, 'U', 'Asia/Aden'),
	(3979, 'Al Ghaidah Intl', 'Al Ghaidah Intl', 'Yemen', 'AAY', 'OYGD', 16.191667, 52.175, 134, 3, 'U', 'Asia/Aden'),
	(3980, 'Sanaa Intl', 'Sanaa', 'Yemen', 'SAH', 'OYSN', 15.476258, 44.219739, 7216, 3, 'U', 'Asia/Aden'),
	(3982, 'Beihan', 'Beihan', 'Yemen', 'BHN', 'OYBN', 14.781972, 45.720083, 3800, 3, 'U', 'Asia/Aden'),
	(3984, 'Socotra Intl', 'Socotra', 'Yemen', 'SCT', 'OYSQ', 12.630672, 53.905778, 146, 3, 'U', 'Asia/Aden'),
	(3985, 'Al Badie', 'Al Badie', 'Yemen', '', 'OYBA', 18.719311, 50.836911, 908, 3, 'U', 'Asia/Aden'),
	(3986, 'Allgau', 'Memmingen', 'Germany', 'FMM', 'EDJA', 47.988758, 10.2395, 2077, 1, 'E', 'Europe/Berlin'),
	(3987, 'Kapadokya', 'Nevsehir', 'Turkey', 'NAV', 'LTAZ', 38.771867, 34.53455, 3100, 2, 'E', 'Europe/Istanbul'),
	(3988, 'Ministro Pistarini', 'Buenos Aires', 'Argentina', 'EZE', 'SAEZ', -34.822222, -58.535833, 67, -3, 'N', 'America/Cordoba'),
	(3989, 'Erbil Intl', 'Erbil', 'Iraq', 'EBL', 'ORER', 36.237611, 43.963158, 1341, 3, 'U', 'Asia/Baghdad'),
	(3990, 'Emerald', 'Emerald', 'Australia', 'EMD', 'YEML', -23.5675, 148.179167, 624, 10, 'O', 'Australia/Brisbane'),
	(3991, 'Ellinikon International Airport', 'Athens', 'Greece', '', 'LGAT', 37.5354, 23.4346, 68, 2, 'E', 'Europe/Athens'),
	(3992, 'Kansai', 'Osaka', 'Japan', 'KIX', 'RJBB', 34.4347222, 135.244167, 49, 9, 'U', 'Asia/Tokyo'),
	(3993, 'Wall Street Heliport', 'New York', 'United States', 'JRB', 'KJRB', 40.701214, -74.009028, 7, -5, 'A', 'America/New_York'),
	(3994, 'Tagbilaran', 'Tagbilaran', 'Philippines', 'TAG', 'RPVT', 9.66408056, 123.853247, 38, 8, 'N', 'Asia/Manila'),
	(3995, 'Ilulissat', 'Ilulissat', 'Greenland', 'JAV', 'BGJN', 69.23444, -51.05111, 2, -3, 'E', 'America/Godthab'),
	(3996, 'Qasigiannguit', 'Qasigiannguit', 'Greenland', 'JCH', 'BGCH', 68.833336, -51, 2, -3, 'E', 'America/Godthab'),
	(3997, 'Aasiaat', 'Aasiaat', 'Greenland', 'JEG', 'BGEM', 68.7, -52.75, 2, -3, 'E', 'America/Godthab'),
	(3998, 'Son Sant Joan', 'Palma de Mallorca', 'Spain', 'PMI', 'LEPA', 39.55361, 2.727778, 24, 1, 'E', 'Europe/Madrid'),
	(3999, 'Darwin Intl', 'Darwin', 'Australia', 'DRW', 'YPDN', -12.4083333, 130.87266, 103, 9.5, 'N', 'Australia/Darwin'),
	(4000, 'Surat Thani', 'Surat Thani', 'Thailand', 'URT', 'VTSB', 9.1325, 99.135556, 286, 7, 'U', 'Asia/Bangkok'),
	(4001, 'Bagan Intl', 'Nyuang U', 'Burma', 'NYU', 'VYBR', 21.173833266, 94.9246666, 290, 6.5, 'U', 'Asia/Rangoon'),
	(4002, 'Godofredo P', 'Caticlan', 'Philippines', 'MPH', 'RPXE', 11.9214999, 121.953, 20, 8, 'N', 'Asia/Manila'),
	(4003, 'Bimini North Seaplane Base', 'Bimini', 'Bahamas', 'NSB', '\\N', 25.767, -79.25, 0, -5, 'U', 'America/Nassau'),
	(4004, 'Talkeetna', 'Talkeetna', 'United States', 'TKA', 'PATK', 62.3205, -150.093694, 358, -9, 'A', 'America/Anchorage'),
	(4005, 'Xewkija Heliport', 'Gozo', 'Malta', 'GZM', 'LMMG', 36.027222, 14.272778, 300, 1, 'E', 'Europe/Malta'),
	(4006, 'Tweed-New Haven Airport', 'New Haven', 'United States', 'HVN', 'KHVN', 41.26375, -72.886806, 14, -5, 'A', 'America/New_York'),
	(4007, 'Asheville Regional Airport', 'Asheville', 'United States', 'AVL', 'KAVL', 35.436194, -82.541806, 2165, -5, 'A', 'America/New_York'),
	(4008, 'Piedmont Triad', 'Greensboro', 'United States', 'GSO', 'KGSO', 36.09775, -79.937306, 925, -5, 'A', 'America/New_York'),
	(4009, 'Sioux Falls', 'Sioux Falls', 'United States', 'FSD', 'KFSD', 43.582014, -96.741914, 1429, -6, 'A', 'America/Chicago'),
	(4010, 'Ayers Rock', 'Uluru', 'Australia', 'AYQ', 'YAYE', -25.186111, 130.975556, 1626, 9.5, 'N', 'Australia/Darwin'),
	(4011, 'Manchester Regional Airport', 'Manchester NH', 'United States', 'MHT', 'KMHT', 42.932556, -71.435667, 266, -5, 'A', 'America/New_York'),
	(4012, 'Naples Muni', 'Naples', 'United States', 'APF', 'KAPF', 26.152619, -81.775294, 8, -5, 'A', 'America/New_York'),
	(4013, 'Redang', 'Redang', 'Malaysia', 'RDN', 'WMPR', 5.76528, 103.007, 10, 8, 'N', 'Asia/Kuala_Lumpur'),
	(4014, 'Louisville International Airport', 'Louisville', 'United States', 'SDF', 'KSDF', 38.1740858, -85.7364989, 501, -5, 'A', 'America/New_York'),
	(4015, 'Charlottesville-Albemarle', 'Charlottesville VA', 'United States', 'CHO', 'KCHO', 38.138639, -78.452861, 639, -5, 'A', 'America/New_York'),
	(4016, 'Roanoke Regional', 'Roanoke VA', 'United States', 'ROA', 'KROA', 37.325472, -79.975417, 1175, -5, 'A', 'America/New_York'),
	(4017, 'Blue Grass', 'Lexington KY', 'United States', 'LEX', 'KLEX', 38.0365, -84.605889, 979, -5, 'A', 'America/New_York'),
	(4018, 'Evansville Regional', 'Evansville', 'United States', 'EVV', 'KEVV', 38.036997, -87.532364, 418, -6, 'A', 'America/Chicago'),
	(4019, 'Albuquerque International Sunport', 'Albuquerque', 'United States', 'ABQ', 'KABQ', 35.0402222, -106.6091944, 5355, -7, 'A', 'America/Denver'),
	(4020, 'Gallatin Field', 'Bozeman', 'United States', 'BZN', 'KBZN', 45.777643, -111.160151, 4500, -7, 'A', 'America/Denver'),
	(4021, 'Billings Logan International Airport', 'Billings', 'United States', 'BIL', 'KBIL', 45.80921, -108.537654, 3652, -7, 'A', 'America/Denver'),
	(4022, 'Bert Mooney Airport', 'Butte', 'United States', 'BTM', 'KBTM', 45.954806, -112.497472, 5550, -7, 'A', 'America/Denver'),
	(4023, 'Cherry Capital Airport', 'Traverse City', 'United States', 'TVC', 'KTVC', 44.741445, -85.582235, 624, -5, 'A', 'America/New_York'),
	(4024, 'Mundo Maya International', 'Flores', 'Guatemala', 'FRS', 'MGTK', 16.913819, -89.866383, 427, -6, 'U', 'America/Guatemala'),
	(4025, 'Hancock County - Bar Harbor', 'Bar Harbor', 'United States', 'BHB', 'KBHB', 44.4497689, -68.3615653, 83, -5, 'A', 'America/New_York'),
	(4026, 'Knox County Regional Airport', 'Rockland', 'United States', 'RKD', 'KRKD', 44.0601111, -69.0992303, 56, -5, 'A', 'America/New_York'),
	(4027, 'Jackson Hole Airport', 'Jacksn Hole', 'United States', 'JAC', 'KJAC', 43.607333333, -110.73775, 6451, -7, 'A', 'America/Denver'),
	(4028, 'Chicago Rockford International Airport ', 'Rockford', 'United States', 'RFD', 'KRFD', 42.1953611, -89.0972222, 742, -6, 'A', 'America/Chicago'),
	(4029, 'Domododevo', 'Moscow', 'Russia', 'DME', 'UUDD', 55.408611, 37.906111, 588, 4, 'N', 'Europe/Moscow'),
	(4030, 'Phoenix International', 'Sanya', 'China', 'SYX', 'ZJSY', 18.302897, 109.412272, 92, 8, 'U', 'Asia/Chongqing'),
	(4031, 'Milford Sound Airport', 'Milford Sound', 'New Zealand', 'MFN', 'NZMF', -44.67333, 167.92333, 10, 12, 'Z', 'Pacific/Auckland'),
	(4032, 'East 34th Street Heliport', 'New York', 'United States', 'TSS', 'NONE', 40.7425, -73.971944, 10, -5, 'A', 'America/New_York'),
	(4033, 'Lijiang Airport', 'Lijiang', 'China', 'LJG', 'ZPLJ', 26.883333, 100.23333, 7923, 8, 'U', 'Asia/Chongqing'),
	(4034, 'Greenville-Spartanburg International', 'Greenville', 'United States', 'GSP', 'KGSP', 34.895556, -82.218889, 964, -5, 'A', 'America/New_York'),
	(4035, 'Cologne Railway', 'Cologne', 'Germany', 'QKL', '\\N', 50.9425, 6.958056, 100, 1, 'E', 'Europe/Berlin'),
	(4036, 'Stuttgart Railway Station', 'Stuttgart', 'Germany', 'ZWS', '\\N', 48.783611, 9.181667, 200, 1, 'E', 'Europe/Berlin'),
	(4037, 'Central Illinois Rgnl', 'Bloomington', 'United States', 'BMI', 'KBMI', 40.477111, -88.915917, 871, -6, 'A', 'America/Chicago'),
	(4038, 'Gulfport-Biloxi', 'Gulfport', 'United States', 'GPT', 'KGPT', 30.407278, -89.070111, 28, -6, 'A', 'America/Chicago'),
	(4039, 'Kalamazoo', 'Kalamazoo', 'United States', 'AZO', 'KAZO', 42.234875, -85.552058, 874, -5, 'A', 'America/New_York'),
	(4040, 'Toledo', 'Toledo', 'United States', 'TOL', 'KTOL', 41.586806, -83.807833, 684, -5, 'A', 'America/New_York'),
	(4041, 'Fort Wayne', 'Fort Wayne', 'United States', 'FWA', 'KFWA', 40.978472, -85.195139, 815, -5, 'A', 'America/New_York'),
	(4042, 'Decatur', 'Decatur', 'United States', 'DEC', 'KDEC', 39.834564, -88.865689, 682, -6, 'A', 'America/Chicago'),
	(4043, 'Cedar Rapids', 'Cedar Rapids', 'United States', 'CID', 'KCID', 41.884694, -91.710806, 869, -6, 'A', 'America/Chicago'),
	(4044, 'La Crosse Municipal', 'La Crosse', 'United States', 'LSE', 'KLSE', 43.878986, -91.256711, 654, -6, 'A', 'America/Chicago'),
	(4045, 'Central Wisconsin', 'Wassau', 'United States', 'CWA', 'KCWA', 44.772726, -89.646635, 840, -6, 'A', 'America/Chicago'),
	(4046, 'Peoria Regional', 'Peoria', 'United States', 'PIA', 'KPIA', 40.664203, -89.693258, 660, -6, 'A', 'America/Chicago'),
	(4047, 'Appleton', 'Appleton', 'United States', 'ATW', 'KATW', 44.257526, -88.507576, 680, -6, 'A', 'America/Chicago'),
	(4048, 'Rochester', 'Rochester', 'United States', 'RST', 'KRST', 43.908283, -92.500014, 1317, -6, 'A', 'America/Chicago'),
	(4049, 'Champaign', 'Champaign', 'United States', 'CMI', 'KCMI', 40.03925, -88.278056, 754, -6, 'A', 'America/Chicago'),
	(4050, 'Manhattan Reigonal', 'Manhattan', 'United States', 'MHK', 'KMHK', 39.140972, -96.670833, 1057, -6, 'A', 'America/Chicago'),
	(4051, 'Kingscote Airport', 'Kingscote', 'Australia', 'KGC', 'YKSC', -35.713889, 137.521389, 24, 9.5, 'O', 'Australia/Adelaide'),
	(4052, 'Hervey Bay Airport', 'Hervey Bay', 'Australia', 'HVB', 'YHBA', -25.318889, 152.880278, 60, 10, 'O', 'Australia/Brisbane'),
	(4053, 'EuroAirport Basel-Mulhouse-Freiburg', 'Basel', 'Switzerland', 'BSL', '\\N', 47.59, 7.529167, 885, 1, 'E', 'Europe/Paris'),
	(4054, 'Dali', 'Dali', 'China', 'DLU', 'ZPDL', 25.649444, 100.319444, 6978, 8, 'U', 'Asia/Chongqing'),
	(4055, 'Jinghong', 'Jinghong', 'China', 'JHG', '\\N', 21.973914, 100.759611, 1815, 8, 'U', 'Asia/Chongqing'),
	(4056, 'Mulu', 'Mulu', 'Malaysia', 'MZV', '\\N', 4.048333, 114.805, 80, 8, 'N', 'Asia/Kuala_Lumpur'),
	(4057, 'Sharm El Sheikh Intl', 'Sharm El Sheikh', 'Egypt', 'SSH', 'HESH', 27.977222, 34.394722, 143, 2, 'N', 'Africa/Cairo'),
	(4058, 'Franklin', 'Franklin', 'United States', 'FKL', 'KFKL', 41.377874, -79.860362, 1540, -5, 'A', 'America/New_York'),
	(4059, 'Jomo Kenyatta International', 'Nairobi', 'Kenya', 'NBO', 'HKJK', -1.319167, 36.9275, 5327, 3, 'N', 'Africa/Nairobi'),
	(4060, 'Seronera', 'Seronera', 'Tanzania', 'SEU', 'HTSN', -2.458056, 34.8225, 5080, 3, 'U', 'Africa/Dar_es_Salaam'),
	(4061, 'El Calafate', 'El Calafate', 'Argentina', 'FTE', 'SAWC', -50.280322, -72.053103, 669, -3, 'N', 'America/Cordoba'),
	(4062, 'Armidale', 'Armidale', 'Australia', 'ARM', 'YARM', -30.528056, 151.617222, 3556, 10, 'O', 'Australia/Sydney'),
	(4063, 'Grand Junction Regional', 'Grand Junction', 'United States', 'GJT', 'KGJT', 39.122413, -108.526735, 4858, -7, 'A', 'America/Denver'),
	(4064, 'St George Muni', 'Saint George', 'United States', 'SGU', 'KSGU', 37.090583, -113.593056, 2941, -7, 'A', 'America/Denver'),
	(4065, 'David Wayne Hooks Field', 'Houston', 'United States', 'DWH', 'KDWH', 30.063746, -95.554276, 152, -6, 'A', 'America/Chicago'),
	(4066, 'Port O\\\\\'Connor Airfield', 'Port O\\\\\'Connor', 'United States', 'S46', 'XS46', 28.429977, -96.442859, 10, -6, 'A', 'America/Chicago'),
	(4067, 'Sarasota Bradenton Intl', 'Sarasota', 'United States', 'SRQ', 'KSRQ', 27.395444, -82.554389, 30, -5, 'A', 'America/New_York'),
	(4069, 'Bermuda Intl', 'Bermuda', 'Bermuda', 'BDA', 'TXKF', 32.364042, -64.678703, 12, -4, 'A', 'Atlantic/Bermuda'),
	(4070, 'Arthur Dunn Airpark', 'Titusville', 'United States', 'X21', '\\N', 28.622552, -80.83541, 30, -5, 'A', 'America/New_York'),
	(4071, 'Van Nuys', 'Van Nuys', 'United States', 'VNY', 'KVNY', 34.209811, -118.489972, 802, -8, 'A', 'America/Los_Angeles'),
	(4072, 'Quad City Intl', 'Moline', 'United States', 'MLI', 'KMLI', 41.448528, -90.507539, 590, -6, 'A', 'America/Chicago'),
	(4073, 'Panama City Bay Co Intl', 'Panama City', 'United States', 'PFN', 'KPFN', 30.212083, -85.682806, 20, -6, 'A', 'America/Chicago'),
	(4074, 'Honiara International', 'Honiara', 'Solomon Islands', 'HIR', 'AGGH', -9.428, 160.054789, 28, 11, 'U', 'Pacific/Guadalcanal'),
	(4075, 'Faa\\\\\'a International', 'Papeete', 'French Polynesia', 'PPT', 'NTAA', -17.556667, -149.611389, 7, -10, 'U', 'Pacific/Tahiti'),
	(4076, 'Nauru Intl', 'Nauru', 'Nauru', 'INU', 'ANYN', -0.547458, 166.9191, 22, 12, 'U', 'Pacific/Nauru'),
	(4077, 'Funafuti International', 'Funafuti', 'Tuvalu', 'FUN', 'NGFU', -8.525, 179.196389, 9, 12, 'U', 'Pacific/Funafuti'),
	(4078, 'Tolmachevo', 'Novosibirsk', 'Russia', 'OVB', 'UNNT', 55.012622, 82.650656, 365, 7, 'N', 'Asia/Omsk'),
	(4079, 'Orlando', 'Orlando', 'United States', 'DWS', '\\N', 28.398, -81.57, 340, -5, 'A', 'America/New_York'),
	(4080, 'Stavns', 'Samsoe', 'Denmark', '', 'EKSS', 55.89, 10.62, 1, 1, 'E', 'Europe/Copenhagen'),
	(4081, 'Xieng Khouang', 'Phon Savan', 'Laos', 'XKH', 'VLXK', 19.449997, 103.158333, 3445, 7, 'U', 'Asia/Vientiane'),
	(4082, 'Phu Bai', 'Hue', 'Vietnam', 'HUI', '\\N', 16.401499, 107.702614, 48, 7, 'U', 'Asia/Saigon'),
	(4083, 'Bismarck Municipal Airport', 'Bismarck', 'United States', 'BIS', 'KBIS', 46.775842, -100.757931, 1661, -6, 'A', 'America/Chicago'),
	(4084, 'Telluride', 'Telluride', 'United States', 'TEX', 'KTEX', 37.953759, -107.90848, 9078, -7, 'A', 'America/Denver'),
	(4085, 'Yinchuan', 'Yinchuan', 'China', 'INC', 'ZLIC', 38.481944, 106.009167, 3600, 8, 'U', 'Asia/Chongqing'),
	(4086, 'Mae Hong Son', 'Mae Hong Son', 'Thailand', 'HGN', 'VTCH', 19.301667, 97.975, 929, 7, 'U', 'Asia/Bangkok'),
	(4087, 'Rapid City Regional Airport', 'Rapid City', 'United States', 'RAP', 'KRAP', 44.045278, -103.057222, 3204, -7, 'A', 'America/Denver'),
	(4088, 'McClellan-Palomar Airport', 'Carlsbad', 'United States', 'CLD', 'KCRQ', 33.0742, -117.1648, 328, -8, 'A', 'America/Los_Angeles'),
	(4089, 'Bishop International', 'Flint', 'United States', 'FNT', 'KFNT', 42.965424, -83.743629, 782, -5, 'A', 'America/New_York'),
	(4090, 'Francisco Bangoy International', 'Davao', 'Philippines', 'DVO', 'RPMD', 7.125522, 125.645778, 59, 8, 'N', 'Asia/Manila'),
	(4091, 'Madeira', 'Funchal', 'Portugal', 'FNC', 'LPMA', 32.697889, -16.774453, 192, 0, 'E', 'Europe/Lisbon'),
	(4092, 'Santarem', 'Santarem', 'Brazil', 'STM', 'SBSN', -2.422431, -54.792789, 198, -4, 'S', 'America/Boa_Vista'),
	(4093, 'Sihanoukville', 'Sihanoukville', 'Cambodia', 'KOS', 'VDSV', 10.579686, 103.636828, 33, 7, 'N', 'Asia/Phnom_Penh'),
	(4094, 'Ekati', 'Ekati', 'Canada', 'YOA', 'CYOA', 64.698889, -110.614722, 1540, -7, 'A', 'America/Edmonton'),
	(4095, 'Napier', 'NAPIER', 'New Zealand', 'NPE', 'NZNR', -39.465833, 176.87, 6, 12, 'Z', 'Pacific/Auckland'),
	(4096, 'Levuka Airfield', 'Levuka', 'Fiji', 'LEV', 'NFNB', -17.68333, 178.83333, 11, 12, 'N', 'Pacific/Fiji'),
	(4097, 'Lhasa-Gonggar', 'Lhasa', 'China', 'LXA', 'ZULS', 29.297778, 90.911944, 13136, 8, 'U', 'Asia/Chongqing'),
	(4098, 'Redding Muni', 'Redding', 'United States', 'RDD', 'KRDD', 40.509, -122.293389, 504, -8, 'A', 'America/Los_Angeles'),
	(4099, 'Mahlon Sweet Fld', 'Eugene', 'United States', 'EUG', 'KEUG', 44.124583, -123.211972, 374, -8, 'A', 'America/Los_Angeles'),
	(4100, 'Idaho Falls Rgnl', 'Idaho Falls', 'United States', 'IDA', 'KIDA', 43.514556, -112.07075, 4744, -7, 'A', 'America/Denver'),
	(4101, 'Rogue Valley Intl Medford', 'Medford', 'United States', 'MFR', 'KMFR', 42.374228, -122.8735, 1335, -8, 'A', 'America/Los_Angeles'),
	(4102, 'Kaikoura', 'Kaikoura', 'New Zealand', 'KBZ', 'NZKI', -42.416668, 173.68333, 19, 12, 'Z', 'Pacific/Auckland'),
	(4103, 'Roberts Fld', 'Redmond-Bend', 'United States', 'RDM', 'KRDM', 44.254066, -121.149964, 3077, -8, 'A', 'America/Los_Angeles'),
	(4104, 'Koromiko', 'Picton', 'New Zealand', 'PCN', 'NZPN', -41.348333, 173.955278, 60, 12, 'Z', 'Pacific/Auckland'),
	(4105, 'Windhoek Hosea Kutako International Airport ', 'Windhoek', 'Namibia', 'WDH', 'FYWV', -22.486667, 17.4625, 5640, 1, 'S', 'Africa/Windhoek'),
	(4106, 'Victoria Inner Harbour Airport', 'Victoria', 'Canada', 'YWH', 'CYWH', 48.422778, -123.3875, 0, -8, 'A', 'America/Vancouver'),
	(4107, 'Vancouver Coal Harbour', 'Vancouver', 'Canada', 'CXH', 'CAQ3', 49.289722, -123.115833, 0, -8, 'A', 'America/Vancouver'),
	(4108, 'Jinan', 'Jinan', 'China', 'TNA', 'ZSJN', 36.857214, 117.215992, 76, 8, 'U', 'Asia/Chongqing'),
	(4109, 'Changzhou', 'Changzhou', 'China', 'CZX', 'ZSCG', 31.941667, 119.711667, 39, 8, 'U', 'Asia/Chongqing'),
	(4110, 'Yibin', 'Yibin', 'China', 'YBP', 'ZUYB', 28.800278, 104.544444, 1000, 8, 'U', 'Asia/Chongqing'),
	(4111, 'Roschino', 'Tyumen', 'Russia', 'TJM', 'USTR', 57.189567, 65.3243, 378, 6, 'N', 'Asia/Yekaterinburg'),
	(4112, 'Akron Canton Regional Airport', 'Akron', 'United States', 'CAK', 'KCAK', 40.9160833, -81.4421944, 1228, -5, 'A', 'America/New_York'),
	(4113, 'Huntsville International Airport-Carl T Jones Field', 'Huntsville', 'United States', 'HSV', 'KHSV', 34.6371944, -86.7750556, 629, -6, 'A', 'America/Chicago'),
	(4114, 'Mid-Ohio Valley Regional Airport', 'PARKERSBURG', 'United States', 'PKB', 'KPKB', 39.3451039, -81.4392031, 858, -5, 'A', 'America/New_York'),
	(4115, 'Montgomery Regional Airport ', 'MONTGOMERY', 'United States', 'MGM', 'KMGM', 32.3006389, -86.3939722, 221, -6, 'A', 'America/Chicago'),
	(4116, 'Tri-Cities Regional Airport', 'BRISTOL', 'United States', 'TRI', 'KTRI', 36.4752222, -82.4074167, 1519, -5, 'A', 'America/New_York'),
	(4117, 'Barkley Regional Airport', 'PADUCAH', 'United States', 'PAH', 'KPAH', 37.0602875, -88.7729583, 410, -6, 'A', 'America/Chicago'),
	(4118, 'Kurumoch', 'Samara', 'Russia', 'KUF', '\\N', 53.5, 50.15, 0, 4, 'N', 'Europe/Moscow'),
	(4119, 'Ambouli International Airport', 'Djibouti', 'Djibouti', 'JIB', 'HDAM', 11.5472, 43.1594, 49, 3, 'U', 'Africa/Djibouti'),
	(4120, 'Meilan', 'Haikou', 'China', 'HAK', 'ZJHK', 19.934856, 110.458961, 75, 8, 'U', 'Asia/Chongqing'),
	(4121, 'Mafia', 'Mafia Island', 'Tanzania', 'MFA', 'HTMA', -7.913889, 39.665, 60, 3, 'U', 'Africa/Dar_es_Salaam'),
	(4123, 'Mtemere Airstrip', 'Selous', 'Tanzania', '', '', -7.75093364715576, 38.2032814025878, 60, 3, 'U', 'Africa/Dar_es_Salaam'),
	(4124, 'Page Municipal Airport', 'Page', 'United States', 'PGA', 'KPGA', 36.9261, -111.4483, 4316, -7, 'A', 'America/Phoenix'),
	(4125, 'Utila Airport', 'Utila', 'Honduras', 'UII', 'MHUT', 16.091667, -86.8875, 10, -6, 'U', 'America/Tegucigalpa'),
	(4126, 'Santa Elena Airport', 'Santa Elena de Uairen', 'Venezuela', 'SNV', '\\N', 4.554722, -61.144922, 3585, -4.5, 'U', 'America/Caracas'),
	(4127, 'Glacier Park Intl', 'Kalispell', 'United States', 'FCA', 'KFCA', 48.310472, -114.256, 2977, -7, 'A', 'America/Denver'),
	(4128, 'Mbs Intl', 'Saginaw', 'United States', 'MBS', 'KMBS', 43.532913, -84.079647, 668, -5, 'A', 'America/New_York'),
	(4129, 'Greater Binghamton Edwin A Link Fld', 'Binghamton', 'United States', 'BGM', 'KBGM', 42.208689, -75.979839, 1636, -5, 'A', 'America/New_York'),
	(4130, 'Baghdad International Airport', 'Baghdad', 'Iraq', 'BGW', 'ORBI', 33.262539, 44.234578, 114, 3, 'U', 'Asia/Baghdad'),
	(4131, 'Nan', 'Nan', 'Thailand', 'NNT', 'VTCN', 18.807914, 100.783419, 685, 7, 'U', 'Asia/Bangkok'),
	(4132, 'Roi Et', 'Roi Et', 'Thailand', 'ROI', 'VTUV', 16.116761, 103.773797, 451, 7, 'U', 'Asia/Bangkok'),
	(4133, 'Buri Ram', 'Buri Ram', 'Thailand', 'BFV', 'VTUO', 15.229539, 103.253231, 590, 7, 'U', 'Asia/Bangkok'),
	(4134, 'Ranong', 'Ranong', 'Thailand', 'UNN', '\\N', 9.777622, 98.585483, 57, 7, 'U', 'Asia/Bangkok'),
	(4135, 'Trat', 'Trat', 'Thailand', 'TDX', 'VTBO', 12.274572, 102.318958, 105, 7, 'U', 'Asia/Bangkok'),
	(4136, 'Blythe Airport', 'Blythe', 'United States', 'BLH', 'KBLH', 33.619167, -114.716889, 399, -8, 'A', 'America/Los_Angeles'),
	(4137, 'Al Asad Airbase', 'Al Asad', 'Iraq', '', 'ORAA', 33.785608, 42.4412, 618, 3, 'U', 'Asia/Baghdad'),
	(4138, 'Al Taqaddum Airbase', 'Al Taqaddum', 'Iraq', '', 'ORAT', 33.338053, 43.597072, 275, 3, 'U', 'Asia/Baghdad'),
	(4139, 'Balad Southeast Airport', 'Al Bakr', 'Iraq', '', 'ORBD', 33.940194, 44.361583, 161, 3, 'U', 'Asia/Baghdad'),
	(4140, 'Diosdado Macapagal International', 'Angeles City', 'Philippines', 'CRK', 'RPLC', 15.185833, 120.560278, 484, 8, 'N', 'Asia/Manila'),
	(4141, 'Sandakan', 'Sandakan', 'Malaysia', 'SDK', 'WBKS', 5.900897, 118.059486, 46, 8, 'N', 'Asia/Kuala_Lumpur'),
	(4142, 'Luang Namtha', 'Luang Namtha', 'Laos', 'LXG', 'VLLN', 20.960556, 101.4025, 1968, 7, 'U', 'Asia/Vientiane'),
	(4143, 'Oudomxay', 'Muang Xay', 'Laos', 'ODY', 'VLOS', 20.6827, 101.994, 1380, 7, 'N', 'Asia/Vientiane'),
	(4144, 'Shenyang Taoxian International Airport', 'Shenyang', 'China', 'SHE', 'ZYTX', 41.3824, 123.2901, 198, 8, 'U', 'Asia/Chongqing'),
	(4145, 'Dongying Airport', 'Dongying', 'China', 'DOY', 'ZSDY', 37.2716, 118.2819, 86, 8, 'U', 'Asia/Chongqing'),
	(4146, 'John A. Osborne Airport', 'Geralds', 'Montserrat', 'MNI', 'TRPG', 16.791389, -62.193333, 40, -4, 'N', 'America/Montserrat'),
	(4147, 'Petersburg James A. Johnson', 'Petersburg', 'United States', 'PSG', 'PAPG', 56.801667, -132.945278, 105, -9, 'A', 'America/Anchorage'),
	(4148, 'Luoyang Airport', 'Luoyang', 'China', 'LYA', 'ZHLY', 34.41, 112.28, 210, 8, 'U', 'Asia/Chongqing'),
	(4149, 'Xuzhou Guanyin Airport', 'Xuzhou', 'China', 'XUZ', 'ZSXZ', 34.16, 117.11, 140, 8, 'U', 'Asia/Chongqing'),
	(4150, 'Esfahan Shahid Beheshti Intl', 'Isfahan', 'Iran', 'IFN', '\\N', 32.750836, 51.861267, 5059, 3.5, 'E', 'Asia/Tehran'),
	(4151, 'Magwe', 'Magwe', 'Burma', 'MWQ', 'VYMW', 20.165453, 94.941185, 275, 6.5, 'U', 'Asia/Rangoon'),
	(4152, 'Khamti', 'Khamti', 'Burma', 'KHM', 'VYKI', 25.988333, 95.674444, 6000, 6.5, 'U', 'Asia/Rangoon'),
	(4153, 'Dalat', 'Dalat', 'Vietnam', 'DLI', 'VVDL', 11.75, 108.367, 3156, 7, 'U', 'Asia/Saigon'),
	(4154, 'Dong Hoi', 'Dong Hoi', 'Vietnam', 'VDH', '\\N', 17.515, 106.590556, 50, 7, 'U', 'Asia/Saigon'),
	(4155, 'Rach Gia', 'Rach Gia', 'Vietnam', 'VKG', 'VVRG', 9.949676, 105.133659, 7, 7, 'U', 'Asia/Saigon'),
	(4156, 'Ca Mau', 'Ca Mau', 'Vietnam', 'CAH', 'VVCM', 9.188049, 105.174721, 50, 7, 'U', 'Asia/Saigon'),
	(4157, 'Chu Lai', 'Chu Lai', 'Vietnam', 'VCL', 'VVCA', 15.405944, 108.705889, 10, 7, 'U', 'Asia/Saigon'),
	(4158, 'Dong Tac', 'Tuy Hoa', 'Vietnam', 'TBB', 'VVTH', 13.04955, 109.333706, 20, 7, 'U', 'Asia/Saigon'),
	(4159, 'Pai', 'Pai', 'Thailand', 'PYY', 'VTCI', 19.372, 98.437, 1271, 7, 'U', 'Asia/Bangkok'),
	(4160, 'Brac', 'Brac', 'Croatia', 'BWK', 'LDSB', 43.285719, 16.679719, 1776, 1, 'E', 'Europe/Zagreb'),
	(4161, 'Yaounde Nsimalen', 'Yaounde', 'Cameroon', 'NSI', 'FKYS', 3.722556, 11.553269, 2278, 1, 'N', 'Africa/Douala'),
	(4162, 'Conakry', 'Conakry', 'Guinea', 'CKY', 'GUCY', 9.576889, -13.611961, 72, 0, 'N', 'Africa/Conakry'),
	(4163, 'Bergrestaurant', 'Trogen', 'Switzerland', '', '\\N', 46.992094, 8.390315, 1800, 1, 'E', 'Europe/Zurich'),
	(4164, 'Uetliberg', 'Zuerich', 'Switzerland', '', '\\N', 47.36029, 8.47805, 1800, 1, 'E', 'Europe/Zurich'),
	(4165, 'Flugplatz Merzbrueck', 'Aachen', 'Germany', 'AAH', 'EDKA', 50.823194, 6.186389, 570, 1, 'E', 'Europe/Berlin'),
	(4166, 'Baden Airpark', 'Karlsruhe/Baden-Baden', 'Germany', 'FKB', 'EDSB', 48.7793, 8.08048, 407, 1, 'E', 'Europe/Berlin'),
	(4167, 'Orlando Sanford Intl', 'Sanford', 'United States', 'SFB', 'KSFB', 28.777639, -81.237489, 55, -5, 'A', 'America/New_York'),
	(4168, 'Duong Dong Airport', 'Phu Quoc', 'Vietnam', 'PQC', '\\N', 10.227025, 103.967169, 23, 7, 'U', 'Asia/Saigon'),
	(4169, 'John Murtha Johnstown-Cambria County Airport', 'Johnstown', 'United States', 'JST', 'KJST', 40.316111, -78.833889, 2284, -5, 'A', 'America/New_York'),
	(4170, 'Lukla', 'Lukla', 'Nepal', 'LUA', 'VNLK', 27.687778, 86.731389, 9100, 5.75, 'N', 'Asia/Katmandu'),
	(4171, 'Bhojpur', 'Bhojpur', 'Nepal', 'BHP', 'VNBJ', 27.14743, 87.050819, 4000, 5.75, 'N', 'Asia/Katmandu'),
	(4172, 'Lamidanda', 'Lamidanda', 'Nepal', 'LDN', 'VNLD', 27.253117, 86.670044, 4100, 5.75, 'N', 'Asia/Katmandu'),
	(4173, 'Jomsom', 'Jomsom', 'Nepal', 'JMO', 'VNJS', 28.782222, 83.7225, 8800, 5.75, 'N', 'Asia/Katmandu'),
	(4174, 'Manang', 'Manang', 'Nepal', 'NGX', 'VNMA', 28.633, 84, 11000, 5.75, 'N', 'Asia/Katmandu'),
	(4175, 'Phaplu', 'Phaplu', 'Nepal', 'PPL', 'VNPL', 27.517, 86.6, 7918, 5.75, 'N', 'Asia/Katmandu'),
	(4176, 'Thamkharka', 'Thamkharka', 'Nepal', 'TMK', '\\N', 27.052222, 86.861944, 6000, 5.75, 'N', 'Asia/Katmandu'),
	(4177, 'Rumjatar', 'Rumjatar', 'Nepal', 'RUM', 'VNRT', 27.303509, 86.55043, 4500, 5.75, 'N', 'Asia/Katmandu'),
	(4178, 'Tulsipur', 'Dang', 'Nepal', 'DNP', 'VNDG', 28.111111, 82.294167, 2100, 5.75, 'N', 'Asia/Katmandu'),
	(4179, 'Rukumkot', 'Rukumkot', 'Nepal', 'RUK', 'VNRK', 28.627, 82.195, 2500, 5.75, 'N', 'Asia/Katmandu'),
	(4180, 'Jumla', 'Jumla', 'Nepal', 'JUM', 'VNJL', 29.274167, 82.193333, 7700, 5.75, 'N', 'Asia/Katmandu'),
	(4181, 'Chaurjhari', 'Chaurjhari', 'Nepal', 'HRJ', 'VNCJ', 28, 83.833, 4000, 5.75, 'N', 'Asia/Katmandu'),
	(4182, 'Taplejung', 'Taplejung', 'Nepal', 'TPJ', 'VNTJ', 27.35, 84.667, 4000, 5.75, 'N', 'Asia/Katmandu'),
	(4183, 'Tumling Tar', 'Tumling Tar', 'Nepal', 'TMI', 'VNTR', 27.315, 87.193333, 1700, 5.75, 'N', 'Asia/Katmandu'),
	(4184, 'Surkhet', 'Surkhet', 'Nepal', 'SKH', 'VNSK', 28.586, 81.636, 2400, 5.75, 'N', 'Asia/Katmandu'),
	(4185, 'Simikot', 'Simikot', 'Nepal', 'IMK', 'VNST', 29.971064, 81.818932, 9246, 5.75, 'N', 'Asia/Katmandu'),
	(4186, 'Dolpa', 'Dolpa', 'Nepal', 'DOP', 'VNDP', 28.985718, 82.819145, 8200, 5.75, 'N', 'Asia/Katmandu'),
	(4187, 'Bajhang', 'Bajhang', 'Nepal', 'BJH', 'VNBG', 29.53896, 81.185364, 4100, 5.75, 'N', 'Asia/Katmandu'),
	(4188, 'Dhangarhi', 'Dhangarhi', 'Nepal', 'DHI', 'VNDH', 28.753333, 80.581944, 690, 5.75, 'N', 'Asia/Katmandu'),
	(4189, 'Muan', 'Muan', 'South Korea', 'MWX', 'RKJB', 34.991389, 126.382778, 51, 9, 'U', 'Asia/Seoul'),
	(4190, 'Astypalaia', 'Astypalaia', 'Greece', 'JTY', 'LGPL', 36.579886, 26.375822, 165, 2, 'E', 'Europe/Athens'),
	(4191, 'Ikaria', 'Ikaria', 'Greece', 'JIK', 'LGIK', 37.682717, 26.347061, 79, 2, 'E', 'Europe/Athens'),
	(4192, 'Kalymnos Island', 'Kalymnos', 'Greece', 'JKL', 'LGKY', 36.963333, 26.940556, 771, 2, 'E', 'Europe/Athens'),
	(4193, 'Milos', 'Milos', 'Greece', 'MLO', 'LGML', 36.696111, 24.4775, 12, 2, 'E', 'Europe/Athens'),
	(4194, 'Naxos', 'Cyclades Islands', 'Greece', 'JNX', 'LGNX', 37.080556, 25.368056, 10, 2, 'E', 'Europe/Athens'),
	(4195, 'Paros', 'Paros', 'Greece', 'PAS', 'LGPA', 37.010278, 25.127778, 121, 2, 'E', 'Europe/Athens'),
	(4196, 'Kastelorizo', 'Kastelorizo', 'Greece', 'KZS', 'LGKJ', 36.127777, 29.566656, 474, 2, 'E', 'Europe/Athens'),
	(4197, 'Marsa Alam Intl', 'Marsa Alam', 'Egypt', 'RMF', 'HEMA', 25.557111, 34.583711, 251, 2, 'U', 'Africa/Cairo'),
	(4198, 'Niederrhein', 'Weeze', 'Germany', 'NRN', 'EDLV', 51.602222, 6.141944, 106, 1, 'E', 'Europe/Berlin'),
	(4199, 'Busuanga', 'Busuanga', 'Philippines', 'USU', 'RPVV', 12.121458, 120.100031, 148, 8, 'N', 'Asia/Manila'),
	(4200, 'Butuan', 'Butuan', 'Philippines', 'BXU', 'RPME', 8.951322, 125.477972, 141, 8, 'N', 'Asia/Manila'),
	(4201, 'Dipolog', 'Dipolog', 'Philippines', 'DPL', 'RPMG', 8.601261, 123.334481, 12, 8, 'N', 'Asia/Manila'),
	(4202, 'Laoag Intl', 'Laoag', 'Philippines', 'LAO', 'RPLI', 18.178092, 120.531522, 25, 8, 'N', 'Asia/Manila'),
	(4203, 'Legazpi', 'Legazpi', 'Philippines', 'LGP', 'RPLP', 13.157064, 123.746247, 66, 8, 'N', 'Asia/Manila'),
	(4204, 'Ozamis', 'Ozamis', 'Philippines', 'OZC', 'RPMO', 8.178508, 123.841731, 75, 8, 'N', 'Asia/Manila'),
	(4206, 'Mactan Cebu Intl', 'Cebu', 'Philippines', 'CEB', 'RPVM', 10.307542, 123.979439, 31, 8, 'N', 'Asia/Manila'),
	(4207, 'Sonderlandeplatz Norden-Norddeich', 'Norden', 'Germany', 'NOE', 'EDWS', 53.632221, 7.191389, 3, 1, 'E', 'Europe/Berlin'),
	(4208, 'Verkehrslandeplatz Juist', 'Juist', 'Germany', 'JUI', 'EDWJ', 53.681572, 7.055731, 6, 1, 'E', 'Europe/Berlin'),
	(4209, 'Aeroporto de Porto Seguro', 'Porto Seguro', 'Brazil', 'BPS', 'SBPS', -16.438611, -39.080833, 167, -3, 'S', 'America/Fortaleza'),
	(4210, 'Gounda Airport', 'Gounda', 'Central African Republic', 'GDA', '\\N', 9.272222, 21.197222, 1509, 1, 'N', 'Africa/Bangui'),
	(4211, 'Heliport Hotel das Cataratas', 'Cataratas National Park', 'Brazil', '', '\\N', -25.684, -54.44024, 1000, -3, 'S', 'America/Cordoba'),
	(4213, 'Iguatu', 'Iguatu', 'Brazil', '', 'SNIG', -6.346639, -39.293777, 699, -3, 'S', 'America/Fortaleza'),
	(4214, 'Palmas', 'Palmas', 'Brazil', 'PMW', 'SBPJ', -10.241667, -48.35278, 774, -3, 'S', 'America/Fortaleza'),
	(4215, 'Caldas Novas', 'Caldas Novas', 'Brazil', 'CLV', 'SBCN', -17.7267, -48.6114, 2247, -3, 'S', 'America/Sao_Paulo'),
	(4216, 'Missoula Intl', 'Missoula', 'United States', 'MSO', 'KMSO', 46.916306, -114.090556, 3205, -7, 'A', 'America/Denver'),
	(4217, 'Blackall', 'Blackall', 'Australia', 'BKQ', 'YBCK', -24.427778, 145.428611, 928, 10, 'O', 'Australia/Brisbane'),
	(4218, 'Bundaberg', 'Bundaberg', 'Australia', 'BDB', 'YBUD', -24.903889, 152.318611, 107, 10, 'O', 'Australia/Brisbane'),
	(4219, 'Grand Canyon National Park Airport', 'Grand Canyon', 'United States', 'GCN', 'KGCN', 35.9523611, -112.1469722, 6609, -7, 'N', 'America/Phoenix'),
	(4220, 'Sugar Land Regional Airport', 'Sugar Land', 'United States', 'SGR', 'KSGR', 29.62225, -95.6565278, 82, -6, 'A', 'America/Chicago'),
	(4221, 'Hayman Island Airport', 'Hayman Island', 'Australia', 'HIS', 'YHYN', -20.066668, 148.86667, 10, 10, 'O', 'Australia/Brisbane'),
	(4222, 'Centennial', 'Denver', 'United States', 'APA', 'KAPA', 39.570129, -104.849294, 5883, -7, 'A', 'America/Denver'),
	(4223, 'Clovis Muni', 'Clovis', 'United States', 'CVN', 'KCVN', 34.425139, -103.079278, 4216, -7, 'A', 'America/Denver'),
	(4224, 'Fort Stockton Pecos Co', 'Fort Stockton', 'United States', 'FST', 'KFST', 30.915667, -102.916139, 3011, -6, 'A', 'America/Chicago'),
	(4225, 'Las Vegas Muni', 'Las Vegas', 'United States', 'LVS', 'KLVS', 35.654222, -105.142389, 6877, -7, 'A', 'America/Denver'),
	(4226, 'West Houston', 'Houston', 'United States', 'IWS', 'KIWS', 29.818194, -95.672611, 111, -6, 'A', 'America/Chicago'),
	(4227, 'La Junta Muni', 'La Junta', 'United States', 'LHX', 'KLHX', 38.049719, -103.509431, 4238, -7, 'A', 'America/Denver'),
	(4228, 'Las Cruces Intl', 'Las Cruces', 'United States', 'LRU', 'KLRU', 32.289417, -106.921972, 4456, -7, 'A', 'America/Denver'),
	(4229, 'Stephens Co', 'Breckenridge', 'United States', 'BKD', 'KBKD', 32.719047, -98.891, 1284, -6, 'A', 'America/Chicago'),
	(4230, 'Draughon Miller Central Texas Rgnl', 'Temple', 'United States', 'TPL', 'KTPL', 31.1525, -97.407778, 682, -6, 'A', 'America/Chicago'),
	(4231, 'Ozona Muni', 'Ozona', 'United States', 'OZA', 'KOZA', 30.735281, -101.202972, 2381, -6, 'A', 'America/Chicago'),
	(4232, 'Hong Kong Kai Tak', 'Hong Kong', 'Hong Kong', '', 'VHXX', 22.315365, 114.195349, 1, 8, 'U', 'Asia/Hong_Kong'),
	(4235, 'Kaadedhdhoo', 'Kaadedhdhoo', 'Maldives', 'KDM', '\\N', 0.4880555, 72.995556, 3, 5, 'U', 'Indian/Maldives'),
	(4236, 'Aklavik', 'Aklavik', 'Canada', 'LAK', 'CYKD', 68.223333, -135.005833, 23, -7, 'A', 'America/Edmonton'),
	(4237, 'Deline', 'Deline', 'Canada', 'YWJ', 'CYWJ', 65.1833333, -125.41666667, 550, -7, 'A', 'America/Edmonton'),
	(4238, 'Tulita', 'Tulita', 'Canada', 'ZFN', 'CZFN', 64.0833333, -125.5833333, 320, -7, 'A', 'America/Edmonton'),
	(4239, 'Fort Good Hope', 'Fort Good Hope', 'Canada', 'YGH', 'CYGH', 66.26666667, -128.65, 215, -7, 'A', 'America/Edmonton'),
	(4240, 'Inuvik Town', 'Inuvik', 'Canada', '', '\\N', 66.3676, -133.7594, 200, -7, 'A', 'America/Edmonton'),
	(4241, 'INAWR', 'Inuvik', 'Canada', '', '\\N', 68.3676, -133.7594, 200, -7, 'A', 'America/Edmonton'),
	(4242, 'Tanna island', 'Tanna', 'Vanuatu', 'TAH', '\\N', -19.455198, 169.22394, 3, 11, 'U', 'Pacific/Efate'),
	(4244, 'Paulatuk', 'Paulatuk', 'Canada', 'YPC', 'CYPC', 62.35, -124.3333, 50, -7, 'A', 'America/Edmonton'),
	(4246, 'Nicholson Peninsula', 'Nicholson Peninsula', 'Canada', '', 'YUCX', 69.917, -128.95, 1, -7, 'A', 'America/Edmonton'),
	(4247, 'Santa Cruz', 'Santa Cruz', 'Bolivia', 'SRZ', '\\N', -17.8, -63.166667, 1224, -4, 'U', 'America/La_Paz'),
	(4248, 'Kulusuk', 'Kulusuk', 'Greenland', 'KUS', '\\N', 65.566667, -37.1166667, 112, -3, 'E', 'America/Godthab'),
	(4249, 'Juancho E. Yrausquin', 'Saba', 'Netherlands Antilles', 'SAB', 'TNCS', 17.645278, -63.220556, 60, -4, 'U', 'America/Curacao'),
	(4250, 'Eagle Co Rgnl', 'Vail', 'United States', 'EGE', 'KEGE', 39.642556, -106.917694, 6540, -7, 'A', 'America/Denver'),
	(4251, 'Stapleton', 'Denver', 'United States', '', '\\N', 39.779255, -104.88184, 5333, -7, 'A', 'America/Denver'),
	(4252, 'Skagen', 'Stokmarknes', 'Norway', 'SKN', 'ENSK', 68.580833, 15.026111, 11, 1, 'E', 'Europe/Oslo'),
	(4253, 'Cuyahoga County', 'Richmond Heights', 'United States', 'CGF', 'KCGF', 41.565124, -81.4863555, 879, -5, 'A', 'America/New_York'),
	(4254, 'Mansfield Lahm Regional', 'Mansfield', 'United States', 'MFD', 'KMFD', 40.8214167, -82.5166389, 1297, -5, 'A', 'America/New_York'),
	(4255, 'Columbus Metropolitan Airport', 'Columbus', 'United States', 'CSG', 'KCSG', 32.5163333, -84.9388611, 397, -5, 'A', 'America/New_York'),
	(4256, 'Lawton-Fort Sill Regional Airport', 'Lawton', 'United States', 'LAW', 'KLAW', 34.5677144, -98.4166367, 1110, -6, 'A', 'America/Chicago'),
	(4257, 'Fort Collins Loveland Muni', 'Fort Collins', 'United States', 'FNL', 'KFNL', 40.451828, -105.011336, 5016, -7, 'A', 'America/Denver'),
	(4261, 'Flagstaff Pulliam Airport', 'Flagstaff', 'United States', 'FLG', 'KFLG', 35.140318, -111.6692392, 7015, -7, 'N', 'America/Phoenix'),
	(4262, 'Lake Tahoe Airport', 'South Lake Tahoe', 'United States', 'TVL', 'KTVL', 38.893889, -119.995278, 8544, -8, 'A', 'America/Los_Angeles'),
	(4263, 'Magic Valley Regional Airport', 'Twin Falls', 'United States', 'TWF', 'KTWF', 42.481803, -114.487733, 4151, -7, 'A', 'America/Denver'),
	(4264, 'Monaco', 'Monaco', 'Monaco', 'MCM', '\\N', 43.73333333, 7.41666666, 0, 1, 'E', 'Europe/Monaco'),
	(4265, 'Martha\\\\\'s Vineyard', 'Vineyard Haven MA', 'United States', 'MVY', 'KMVY', 41.391667, -70.615278, 67, -5, 'A', 'America/New_York'),
	(4266, 'Newport State', 'Newport RI', 'United States', 'UUU', '\\N', 41.533056, -71.282222, 172, -5, 'A', 'America/New_York'),
	(4267, 'Hartness State', 'Springfield VT', 'United States', 'VSF', '\\N', 43.343333, -72.517222, 577, -5, 'A', 'America/New_York'),
	(4268, 'Concord Municipal', 'Concord NH', 'United States', 'CON', '\\N', 43.20267, -71.50233, 342, -5, 'A', 'America/New_York'),
	(4269, 'Sanford Regional', 'Sanford ME', 'United States', 'SFM', '\\N', 43.39383, -70.708, 244, -5, 'A', 'America/New_York'),
	(4270, 'Groton New London', 'Groton CT', 'United States', 'GON', 'KGON', 41.330056, -72.045139, 9, -5, 'A', 'America/New_York'),
	(4271, 'Saint Cloud Regional Airport', 'Saint Cloud', 'United States', 'STC', 'KSTC', 45.546556, -94.059889, 1031, -6, 'A', 'America/Chicago'),
	(4272, 'Bagan', 'Bagan', 'Burma', 'BPE', '\\N', 21.17383327, 94.9246666, 0, 6.5, 'U', 'Asia/Rangoon'),
	(4273, 'Golden Triangle Regional Airport', 'Columbus Mississippi', 'United States', 'GTR', 'KGTR', 33.450333, -88.591361, 264, -6, 'A', 'America/Chicago'),
	(4274, 'Nizhny Novgorod', 'Nizhniy Novgorod', 'Russia', 'GOJ', 'UWGG', 56.230119, 43.784042, 256, 4, 'N', 'Europe/Moscow'),
	(4275, 'Bowerman Field', 'Hoquiam', 'United States', 'HQM', '\\N', 46.9711944, -123.9365556, 18, -8, 'A', 'America/Los_Angeles'),
	(4276, 'Erie Intl Tom Ridge Fld', 'Erie', 'United States', 'ERI', 'KERI', 42.082022, -80.176217, 733, -5, 'A', 'America/New_York'),
	(4277, 'Conrad Maldives Resort', 'Rangali Island', 'Maldives', '', '\\N', 3.5833, 72.7167, 0, 5, 'U', 'Indian/Maldives'),
	(4278, 'Barnstable Muni Boardman Polando Fld', 'Barnstable', 'United States', 'HYA', 'KHYA', 41.669336, -70.280356, 55, -5, 'A', 'America/New_York'),
	(4279, 'San Pedro', 'San Pedro', 'Belize', 'SPR', 'MZ10', 17.913936, -87.971075, 4, -6, 'U', 'America/Belize'),
	(4280, 'Sedona', 'Sedona', 'United States', 'SDX', 'KSEZ', 34.848628, -111.788472, 4830, -7, 'A', 'America/Phoenix'),
	(4281, 'Dry Tortugas', 'Dry Tortugas', 'United States', '', '\\N', 24.62, -82.87, 5, -5, 'A', 'America/New_York'),
	(4282, 'Dry Tortugas', 'Dry Tortugas', 'United States', '', '\\N', 24.62, 24.62, 5, 2, 'A', 'Africa/Tripoli'),
	(4283, 'Dry Tortugas', 'Dry Tortugas', 'United States', '', '\\N', 24.628, 82.873, 5, 5.5, 'A', 'Asia/Calcutta'),
	(4284, 'Morgantown Muni Walter L Bill Hart Fld', 'Morgantown', 'United States', 'MGW', 'KMGW', 39.642908, -79.916314, 1248, -5, 'A', 'America/New_York'),
	(4285, 'Yeager', 'Charleston', 'United States', 'CRW', 'KCRW', 38.373147, -81.593189, 981, -5, 'A', 'America/New_York'),
	(4286, 'Wilkes Barre Scranton Intl', 'Scranton', 'United States', 'AVP', 'KAVP', 41.338478, -75.723403, 962, -5, 'A', 'America/New_York'),
	(4287, 'Bemidji Regional Airport', 'Bemidji', 'United States', 'BJI', 'KBJI', 47.510722, -94.934722, 1391, -6, 'A', 'America/Chicago'),
	(4288, 'Heydar Aliyev', 'Baku', 'Azerbaijan', 'BAK', '\\N', 40.4675, 50.046667, 10, 4, 'E', 'Asia/Baku'),
	(4289, 'Thangool', 'Biloela', 'Australia', 'THG', 'YTNG', -24.493889, 150.576111, 644, 10, 'O', 'Australia/Brisbane'),
	(4290, 'Fagali\\\\\'i', 'Apia', 'Samoa', 'FGI', 'NSFI', -13.84861111, -171.74083333, 25, 13, 'U', 'Pacific/Apia'),
	(4291, 'Ballina Byron Gateway', 'Ballina Byron Bay', 'Australia', 'BNK', 'YBNA', -28.833889, 153.5625, 7, 10, 'O', 'Australia/Sydney'),
	(4292, 'Hector International Airport', 'Fargo', 'United States', 'FAR', 'KFAR', 46.92065, -96.8157639, 902, -6, 'A', 'America/Chicago'),
	(4293, 'Downtown', 'Kansas City', 'United States', 'MKC', 'KMKC', 39.1275, -94.598889, 759, -6, 'A', 'America/Chicago'),
	(4295, 'Ratanakiri', 'Ratanakiri', 'Cambodia', 'RBE', '\\N', 13.73, 106.987, 0, 7, 'U', 'Asia/Phnom_Penh'),
	(4296, 'Gillette-Campbell County Airport', 'Gillette', 'United States', 'GCC', 'KGCC', 44.3489167, -105.5393611, 4365, -7, 'A', 'America/Denver'),
	(4297, 'Tomsk Bogashevo Airport', 'Tomsk', 'Russia', 'TOF', 'UNTT', 56.380278, 85.208333, 597, 7, 'N', 'Asia/Omsk'),
	(4298, 'El Toro', 'Santa Ana', 'United States', 'NZJ', 'KNZJ', 33.676132, -117.731164, 383, -8, 'A', 'America/Los_Angeles'),
	(4299, 'Phetchabun', 'Phetchabun', 'Thailand', 'PHY', 'VTPB', 16.676028, 101.195108, 450, 7, 'U', 'Asia/Bangkok'),
	(4300, 'Chumphon', 'Chumphon', 'Thailand', 'CJM', 'VTSE', 10.7112, 99.361706, 18, 7, 'U', 'Asia/Bangkok'),
	(4301, 'Jiuzhaigou Huanglong', 'Jiuzhaigou', 'China', 'JZH', 'ZUJZ', 32.857, 103.683, 11311, 8, 'U', 'Asia/Chongqing'),
	(4302, 'Wai Sha Airport', 'Shantou', 'China', 'SWA', 'ZGOW', 23.4, 116.683, 0, 8, 'U', 'Asia/Chongqing'),
	(4303, 'Les Ailerons', 'Enghien-moisselles', 'France', '', 'LFFE', 0, 0, 302, 0, 'E', '\\N'),
	(4304, 'Cheddi Jagan Intl', 'Georgetown', 'Guyana', 'GEO', 'SYCJ', 6.498553, -58.254119, 95, -4, 'U', 'America/Guyana'),
	(4305, 'Ciudad del Este', 'Ciudad del Este', 'Paraguay', 'AGT', 'SGES', -25.4555, -54.843592, 846, -4, 'S', 'America/Asuncion'),
	(4306, 'Ogle', 'Georgetown', 'Guyana', 'OGL', 'SYGO', 6.806944, -58.104444, 10, -4, 'U', 'America/Guyana'),
	(4307, 'Kaieteur', 'Kaieteur', 'Guyana', 'KAI', 'SYKA', 5.167, -59.483, 750, -4, 'U', 'America/Guyana'),
	(4308, 'Dunhuang Airport', 'Dunhuang', 'China', 'DNH', 'ZLDH', 40.094, 94.4818, 3688, 8, 'U', 'Asia/Chongqing'),
	(4309, 'Falconara', 'Ancona', 'Italy', 'AOI', 'LIPY', 43.616389, 13.362222, 10, 1, 'E', 'Europe/Rome'),
	(4310, 'Samjiyon', 'Samjiyon', 'South Korea', '', 'ZZ04', 41.542301, 128.243571, 4410, 8, 'U', 'Asia/Chongqing'),
	(4312, 'Copiapo', 'Copiapo', 'Chile', 'CPO', 'SCHA', -27, -70, 1000, -4, 'S', 'America/Santiago'),
	(4313, 'Taba Intl', 'Taba', 'Egypt', 'TCP', 'HETB', 29.587778, 34.778056, 2415, 2, 'U', 'Africa/Cairo'),
	(4314, 'Edward Bodden Airfield', 'Little Cayman', 'Cayman Islands', 'LYB', 'MWCL', 19.6591666667, -80.09083333, 1, -5, 'U', 'America/Cayman'),
	(4315, 'Bodrum - Milas', 'Bodrum', 'Turkey', 'BJV', 'LTFE', 37.249, 27.667, 19, 2, 'E', 'Europe/Istanbul'),
	(4316, '7 Novembre', 'Tabarka', 'Tunisia', 'TBJ', 'DTKA', 36.978333, 8.876389, 0, 1, 'E', 'Africa/Tunis'),
	(4317, 'Sabiha Gokcen', 'Istanbul', 'Turkey', 'SAW', 'LTFJ', 40.898553, 29.309219, 312, 2, 'E', 'Europe/Istanbul'),
	(4318, 'University Park Airport', 'State College Pennsylvania', 'United States', 'SCE', 'KUNV', 40.849278, -77.848694, 1239, -5, 'A', 'America/New_York'),
	(4319, 'Broome', 'Broome', 'Australia', 'BME', 'YPBR', -17.8, 122.2, 56, 8, 'O', 'Australia/Perth'),
	(4320, 'Newcastle Airport', 'Newcastle', 'Australia', 'NTL', 'YWLM', -32.78, 151.83, 31, 10, 'O', 'Australia/Sydney'),
	(4321, 'Bakki Airport', 'Bakki', 'Iceland', '', 'BIBA', 63.55805, -20.14833, 45, 0, 'N', 'Atlantic/Reykjavik'),
	(4322, 'Woerthersee International Airport', 'Klagenfurt', 'Austria', 'KLU', 'LOWK', 46.642514, 14.337739, 452, 1, 'E', 'Europe/Vienna'),
	(4323, 'General Manuel Carlos Piar', 'Ciudad Guayana', 'Venezuela', 'CGU', '\\N', 8.288527, -62.760361, 472, -4.5, 'U', 'America/Caracas'),
	(4324, 'Flugplatz Hoepen', 'Schneverdingen', 'Germany', '', '\\N', 53.1167, 9.8, 267, 1, 'E', 'Europe/Berlin'),
	(4325, 'Hammerfest Airport', 'Hammerfest', 'Norway', 'HFT', 'ENHF', 70.679722, 23.668889, 799, 1, 'E', 'Europe/Oslo'),
	(4326, 'Valan', 'Honningsvag', 'Norway', 'HVG', 'ENHV', 70.99, 25.83, 46, 1, 'E', 'Europe/Oslo'),
	(4327, 'Mehamn', 'Mehamn', 'Norway', 'MEH', 'ENMR', 71.029722, 27.826667, 41, 1, 'E', 'Europe/Oslo'),
	(4328, 'Airport', 'Vadso', 'Norway', 'VDS', 'ENVD', 70.065, 29.844, 127, 1, 'E', 'Europe/Oslo'),
	(4329, 'Riem', 'Munich', 'Germany', '', 'MUCX', 48.137778, 11.690278, 1487, 1, 'E', 'Europe/Berlin'),
	(4330, 'Imam Khomeini', 'Tehran', 'Iran', 'IKA', 'OIIE', 35.416111, 51.152222, 3305, 3.5, 'E', 'Asia/Tehran'),
	(4331, 'Mashhad', 'Mashhad', 'Iran', 'MHD', 'OIMM', 36.234, 59.643, 3263, 3.5, 'E', 'Asia/Tehran'),
	(4332, 'Egelsbach', 'Egelsbach', 'Germany', 'QEF', '\\N', 49.9608, 8.64361, 384, 1, 'E', 'Europe/Berlin'),
	(4333, 'Ust-Ilimsk', 'Ust Ilimsk', 'Russia', 'UIK', 'UIBS', 58.135, 102.566, 0, 9, 'N', 'Asia/Irkutsk'),
	(4334, 'Mudanjiang', 'Mudanjiang', 'China', 'MDG', '\\N', 44.523889, 129.568889, 883, 8, 'U', 'Asia/Chongqing'),
	(4335, 'Key Field', 'Meridian', 'United States', 'MEI', 'KMEI', 32.332624, -88.751868, 297, -6, 'A', 'America/Chicago'),
	(4336, 'Abraham Lincoln Capital', 'Springfield', 'United States', 'SPI', 'KSPI', 39.8441, -89.677889, 597, -6, 'A', 'America/Chicago'),
	(4337, 'Uzundzhovo', 'Haskovo', 'Bulgaria', 'HKV', 'LB14', 41.976375, 25.589817, 160, 2, 'E', 'Europe/Sofia'),
	(4338, 'Cortez Muni', 'Cortez', 'United States', 'CEZ', 'KCEZ', 37.303, -108.628056, 5918, -7, 'A', 'America/Denver'),
	(4339, 'Yampa Valley', 'Hayden', 'United States', 'HDN', 'KHDN', 40.481181, -107.21766, 6602, -7, 'A', 'America/Denver'),
	(4340, 'Gallup Muni', 'Gallup', 'United States', 'GUP', 'KGUP', 35.511058, -108.789308, 6472, -7, 'A', 'America/Denver'),
	(4341, 'Liberal Muni', 'Liberal', 'United States', 'LBL', 'KLBL', 37.044222, -100.95986, 2885, -6, 'A', 'America/Chicago'),
	(4342, 'Lamar Muni', 'Lamar', 'United States', 'LAA', 'KLAA', 38.069694, -102.6885, 3706, -7, 'A', 'America/Denver'),
	(4343, 'Renner Fld', 'Goodland', 'United States', 'GLD', 'KGLD', 39.370621, -101.698992, 3656, -7, 'A', 'America/Denver'),
	(4344, 'Yellowstone Rgnl', 'Cody', 'United States', 'COD', 'KCOD', 44.520194, -109.023806, 5102, -7, 'A', 'America/Denver'),
	(4345, 'Hovden', 'Orsta-Volda', 'Norway', 'HOV', 'ENOV', 62.18, 6.0742, 242, 1, 'E', 'Europe/Oslo'),
	(4346, 'RNAS WATTON', 'WATTON', 'United Kingdom', '', 'EGYR', 52.33, 0.51, 173, 0, 'E', 'Europe/London'),
	(4347, 'ISLES OF SCILLY', 'ST MARY\\\\\'S', 'United Kingdom', 'ISC', '\\N', 49.919, -6.3075, 70, 0, 'E', 'Europe/London'),
	(4348, 'Springfield Branson Natl', 'Springfield', 'United States', 'SGF', 'KSGF', 37.245667, -93.388639, 1268, -6, 'A', 'America/Chicago'),
	(4349, 'Framnes', 'Narvik', 'Norway', 'NVK', 'ENNK', 68.435833, 17.388056, 97, 1, 'E', 'Europe/Oslo'),
	(4350, 'Berlevag', 'Berlevag', 'Norway', 'BVG', 'ENBV', 70.866667, 29, 43, 1, 'E', 'Europe/Oslo'),
	(4351, 'Fornebu', 'Oslo', 'Norway', 'FBU', 'ENFB', 59.883333, 10.616667, 56, 1, 'E', 'Europe/Oslo'),
	(4352, 'Alykel', 'Norilsk', 'Russia', 'NSK', 'UOOO', 69.311053, 87.332183, 595, 8, 'N', 'Asia/Krasnoyarsk'),
	(4353, 'Vityazevo', 'Anapa', 'Russia', 'AAQ', 'URKA', 45.002097, 37.347272, 174, 4, 'N', 'Europe/Moscow'),
	(4354, 'Joplin Rgnl', 'Joplin', 'United States', 'JLN', 'KJLN', 37.151814, -94.498269, 981, -6, 'A', 'America/Chicago'),
	(4355, 'Lehigh Valley Intl', 'Allentown', 'United States', 'ABE', 'KABE', 40.652083, -75.440806, 393, -5, 'A', 'America/New_York'),
	(4356, 'NW Arkansas Regional', 'Bentonville', 'United States', 'XNA', 'KXNA', 36.2818694, -94.3068111, 1287, -6, 'A', 'America/Chicago'),
	(4357, 'Atyrau', 'Atyrau', 'Kazakhstan', 'GUW', 'UATG', 47.121944, 51.821389, 0, 5, 'U', 'Asia/Oral'),
	(4358, 'Kzyl-Orda', 'Kzyl-Orda', 'Kazakhstan', 'KZO', 'UAOO', 44.709, 65.591, 0, 6, 'U', 'Asia/Qyzylorda'),
	(4359, 'South Bend Rgnl', 'South Bend', 'United States', 'SBN', 'KSBN', 41.708661, -86.31725, 799, -5, 'A', 'America/New_York'),
	(4360, 'Bykovo', 'Moscow', 'Russia', 'BKA', 'UUBB', 55.617222, 38.059999, 427, 4, 'N', 'Europe/Moscow'),
	(4361, 'Chintheche', 'Chintheche', 'Malawi', '', 'FWCC', -11.8333, 34.1667, 0, 2, 'U', 'Africa/Blantyre'),
	(4362, 'Talagi', 'Arkhangelsk', 'Russia', 'ARH', 'ULAA', 64.360281, 40.430167, 19, 4, 'N', 'Europe/Moscow'),
	(4363, 'Central', 'Saratov', 'Russia', 'RTW', 'UWSS', 51.334366, 46.022952, 152, 4, 'N', 'Europe/Moscow'),
	(4364, 'Novyi Urengoy', 'Novy Urengoy', 'Russia', 'NUX', 'USMU', 66.041811, 76.313938, 20, 6, 'N', 'Asia/Yekaterinburg'),
	(4365, 'Noyabrsk', 'Noyabrsk', 'Russia', 'NOJ', 'USRO', 63.110079, 75.162243, 20, 6, 'N', 'Asia/Yekaterinburg'),
	(4367, 'Aktau', 'Aktau', 'Kazakhstan', 'SCO', 'UATE', 43.86005, 51.091978, 21, 5, 'U', 'Asia/Oral'),
	(4368, 'Ukhta', 'Ukhta', 'Russia', 'UCT', '\\N', 63.340297, 53.482592, 100, 4, 'N', 'Europe/Moscow'),
	(4369, 'Usinsk', 'Usinsk', 'Russia', 'USK', '\\N', 66.00077, 57.221113, 20, 4, 'N', 'Europe/Moscow'),
	(4370, 'Pechora', 'Pechora', 'Russia', 'PEX', '\\N', 65.070387, 57.082045, 20, 4, 'N', 'Europe/Moscow'),
	(4371, 'Naryan-Mar', 'Naryan-Mar', 'Russia', 'NNM', 'ULAM', 67.380537, 53.051016, 20, 4, 'N', 'Europe/Moscow'),
	(4372, 'Kresty', 'Pskov', 'Russia', 'PKV', 'ULOO', 57.783917, 28.395614, 154, 4, 'N', 'Europe/Moscow'),
	(4373, 'Kogalym International', 'Kogalym', 'Russia', 'KGP', 'USRK', 62.18, 74.53, 220, 6, 'N', 'Asia/Yekaterinburg'),
	(4374, 'Emelyanovo', 'Krasnoyarsk', 'Russia', 'KJA', 'UNKL', 56.18, 92.475, 940, 8, 'N', 'Asia/Krasnoyarsk'),
	(4375, 'Sary-Arka', 'Karaganda', 'Kazakhstan', 'KGF', 'UAKK', 49.670833, 73.334444, 1765, 6, 'U', 'Asia/Qyzylorda'),
	(4376, 'Severny', 'Novosibirsk', 'Russia', '', 'UNCC', 55.1, 82.9, 560, 7, 'N', 'Asia/Omsk'),
	(4377, 'Uraj', 'Uraj', 'Russia', 'URJ', 'USHU', 60.1, 64.83, 186, 6, 'N', 'Asia/Yekaterinburg'),
	(4378, 'Turkmenabat', 'Turkmenabat', 'Turkmenistan', 'CRZ', '\\N', 39.083333, 63.602222, 630, 5, 'U', 'Asia/Ashgabat'),
	(4379, 'Yuzhny', 'Ivanovo', 'Russia', 'IWA', 'UUBI', 56.939444, 40.940833, 410, 4, 'N', 'Europe/Moscow'),
	(4380, 'Changchun', 'Changchun', 'China', 'CGQ', 'ZYCC', 43.5412, 125.1201, 227, 8, 'U', 'Asia/Chongqing'),
	(4381, 'Niigata', 'Niigata', 'Japan', 'KIJ', 'RJSN', 37.5711, 139.0646, 1, 9, 'U', 'Asia/Tokyo'),
	(4382, 'Johnston Atoll', 'Johnston Island', 'Johnston Atoll', 'JON', 'PJON', 16.7286, -169.534, 7, -10, 'U', 'Pacific/Johnston'),
	(4383, 'Smith Fld', 'Fort Wayne IN', 'United States', 'SMD', 'KSMD', 41.143353, -85.152778, 834, -5, 'A', 'America/New_York'),
	(4384, 'Arcata', 'Arcata CA', 'United States', 'ACV', 'KACV', 40.978111, -124.108611, 221, -8, 'A', 'America/Los_Angeles'),
	(4385, 'Camp Mabry Austin City', 'Austin TX', 'United States', 'ATT', 'KATT', 30.31666, -97.7666, 0, -6, 'A', 'America/Chicago'),
	(4386, 'Albert J Ellis', 'Jacksonville NC', 'United States', 'OAJ', 'KOAJ', 34.829164, -77.612139, 94, -5, 'A', 'America/New_York'),
	(4387, 'Tuscaloosa Rgnl', 'Tuscaloosa AL', 'United States', 'TCL', 'KTCL', 33.220627, -87.611403, 170, -6, 'A', 'America/Chicago'),
	(4388, 'Dubuque Rgnl', 'Dubuque IA', 'United States', 'DBQ', 'KDBQ', 42.402, -90.709472, 1076, -6, 'A', 'America/Chicago'),
	(4389, 'Forde Bringeland', 'Forde', 'Norway', 'FDE', '\\N', 61.392, 5.763, 1034, 1, 'E', 'Europe/Oslo'),
	(4390, 'Shun Tak Heliport', 'Hong Kong', 'Hong Kong', '', 'VHST', 22.289372, 114.152153, 10, 8, 'N', 'Asia/Hong_Kong'),
	(5404, 'Uru Harbour Airport', 'Atoifi', 'Solomon Islands', 'ATD', 'AGAT', -8.87333, 161.011, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(5405, 'Auki Airport', 'Auki', 'Solomon Islands', 'AKS', 'AGGA', -8.70257, 160.682, 5, 11, 'U', 'Pacific/Guadalcanal'),
	(5406, 'Ballalae Airport', 'Ballalae', 'Solomon Islands', 'BAS', 'AGGE', -6.967, 155.883, 5, 11, 'U', 'Pacific/Guadalcanal'),
	(5407, 'Fera/Maringe Airport', 'Fera Island', 'Solomon Islands', 'FRE', 'AGGF', -8.1075, 159.577, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(5408, 'Babanakira Airport', 'Mbambanakira', 'Solomon Islands', 'MBU', 'AGGI', -9.7475, 159.839, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(5409, 'Ngorangora Airport', 'Kirakira', 'Solomon Islands', 'IRA', 'AGGK', -10.4497, 161.898, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(5410, 'Santa Cruz/Graciosa Bay/Luova Airport', 'Santa Cruz/Graciosa Bay/Luova', 'Solomon Islands', 'SCZ', 'AGGL', -10.7203, 165.795, 18, 11, 'U', 'Pacific/Guadalcanal'),
	(5411, 'Munda Airport', 'Munda', 'Solomon Islands', 'MUA', 'AGGM', -8.32797, 157.263, 10, 11, 'U', 'Pacific/Guadalcanal'),
	(5412, 'Nusatupe Airport', 'Gizo', 'Solomon Islands', 'GZO', 'AGGN', -8.09778, 156.864, 13, 11, 'U', 'Pacific/Guadalcanal'),
	(5413, 'Mono Airport', 'Stirling Island', 'Solomon Islands', 'MNY', 'AGGO', -7.41694, 155.565, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(5414, 'Rennell/Tingoa Airport', 'Rennell Island', 'Solomon Islands', 'RNL', 'AGGR', -11.5339, 160.063, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(5415, 'Marau Airport', 'Marau', 'Solomon Islands', 'RUS', 'AGGU', -9.86167, 160.825, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(5416, 'Suavanao Airport', 'Suavanao', 'Solomon Islands', 'VAO', 'AGGV', -7.58556, 158.731, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(5417, 'Kagau Island Airport', 'Kagau Island', 'Solomon Islands', 'KGE', 'AGKG', -7.333, 157.583, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(5418, 'Ramata Airport', 'Ramata', 'Solomon Islands', 'RBV', 'AGRM', -8.16806, 157.643, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(5419, 'Buka Airport', 'Buka Island', 'Papua New Guinea', 'BUA', 'AYBK', -5.42232, 154.673, 11, 10, 'U', 'Pacific/Port_Moresby'),
	(5420, 'Chimbu Airport', 'Kundiawa', 'Papua New Guinea', 'CMU', 'AYCH', -6.02429, 144.971, 4974, 10, 'U', 'Pacific/Port_Moresby'),
	(5421, 'Daru Airport', 'Daru', 'Papua New Guinea', 'DAU', 'AYDU', -9.08676, 143.208, 20, 10, 'U', 'Pacific/Port_Moresby'),
	(5422, 'Gurney Airport', 'Gurney', 'Papua New Guinea', 'GUR', 'AYGN', -10.3115, 150.334, 88, 10, 'U', 'Pacific/Port_Moresby'),
	(5423, 'Girua Airport', 'Girua', 'Papua New Guinea', 'PNP', 'AYGR', -8.80454, 148.309, 311, 10, 'U', 'Pacific/Port_Moresby'),
	(5424, 'Kimbe Airport', 'Hoskins', 'Papua New Guinea', 'HKN', 'AYHK', -5.46217, 150.405, 66, 10, 'U', 'Pacific/Port_Moresby'),
	(5425, 'Kiunga Airport', 'Kiunga', 'Papua New Guinea', 'UNG', 'AYKI', -6.12571, 141.282, 88, 10, 'U', 'Pacific/Port_Moresby'),
	(5426, 'Kikori Airport', 'Kikori', 'Papua New Guinea', 'KRI', 'AYKK', -7.42438, 144.25, 50, 10, 'U', 'Pacific/Port_Moresby'),
	(5427, 'Kerema Airport', 'Kerema', 'Papua New Guinea', 'KMA', 'AYKM', -7.96361, 145.771, 10, 10, 'U', 'Pacific/Port_Moresby'),
	(5428, 'Kavieng Airport', 'Kavieng', 'Papua New Guinea', 'KVG', 'AYKV', -2.5794, 150.808, 7, 10, 'U', 'Pacific/Port_Moresby'),
	(5429, 'Mendi Airport', 'Mendi', 'Papua New Guinea', 'MDU', 'AYMN', -6.14774, 143.657, 5680, 10, 'U', 'Pacific/Port_Moresby'),
	(5430, 'Momote Airport', 'Momote', 'Papua New Guinea', 'MAS', 'AYMO', -2.06189, 147.424, 12, 10, 'U', 'Pacific/Port_Moresby'),
	(5431, 'Moro Airport', 'Moro', 'Papua New Guinea', 'MXH', 'AYMR', -6.36333, 143.238, 2740, 10, 'U', 'Pacific/Port_Moresby'),
	(5432, 'Misima Island Airport', 'Misima Island', 'Papua New Guinea', 'MIS', 'AYMS', -10.6892, 152.838, 26, 10, 'U', 'Pacific/Port_Moresby'),
	(5433, 'Tari Airport', 'Tari', 'Papua New Guinea', 'TIZ', 'AYTA', -5.845, 142.948, 5500, 10, 'U', 'Pacific/Port_Moresby'),
	(5434, 'Tabubil Airport', 'Tabubil', 'Papua New Guinea', 'TBG', 'AYTB', -5.27861, 141.226, 1570, 10, 'U', 'Pacific/Port_Moresby'),
	(5435, 'Tokua Airport', 'Tokua', 'Papua New Guinea', 'RAB', 'AYTK', -4.34046, 152.38, 32, 10, 'U', 'Pacific/Port_Moresby'),
	(5436, 'Vanimo Airport', 'Vanimo', 'Papua New Guinea', 'VAI', 'AYVN', -2.69717, 141.302, 10, 10, 'U', 'Pacific/Port_Moresby'),
	(5437, 'Wapenamanda Airport', 'Wapenamanda', 'Papua New Guinea', 'WBM', 'AYWD', -5.6433, 143.895, 5889, 10, 'U', 'Pacific/Port_Moresby'),
	(5438, 'Alluitsup Paa Heliport', 'Alluitsup Paa', 'Greenland', 'LLU', 'BGAP', 60.4644, -45.5778, 89, -3, 'E', 'America/Godthab'),
	(5439, 'Neerlerit Inaat Airport', 'Neerlerit Inaat', 'Greenland', 'CNP', 'BGCO', 70.7433, -22.6606, 45, -1, 'E', 'America/Scoresbysund'),
	(5440, 'Paamiut Heliport', 'Paamiut', 'Greenland', 'JFR', 'BGFH', 61.9922, -49.6625, 0, -3, 'E', 'America/Godthab'),
	(5441, 'Qeqertarsuaq Heliport', 'Qeqertarsuaq Airport', 'Greenland', 'JGO', 'BGGN', 69.2511, -53.5381, 0, -3, 'E', 'America/Godthab'),
	(5442, 'Qaqortoq Heliport', 'Qaqortoq', 'Greenland', 'JJU', 'BGJH', 60.7158, -46.0294, 0, -3, 'E', 'America/Godthab'),
	(5443, 'Maniitsoq Airport', 'Maniitsoq', 'Greenland', 'JSU', 'BGMQ', 65.4125, -52.9394, 91, -3, 'E', 'America/Godthab'),
	(5444, 'Nanortalik Heliport', 'Nanortalik', 'Greenland', 'JNN', 'BGNN', 60.14, -45.2317, 0, -3, 'E', 'America/Godthab'),
	(5445, 'Narsaq Heliport', 'Narsaq', 'Greenland', 'JNS', 'BGNS', 60.9167, -46.0586, 0, -3, 'E', 'America/Godthab'),
	(5446, 'Qaanaaq Airport', 'Qaanaaq', 'Greenland', 'NAQ', 'BGQQ', 77.4886, -69.3887, 51, -4, 'E', 'America/Thule'),
	(5447, 'Sisimiut Airport', 'Sisimiut', 'Greenland', 'JHS', 'BGSS', 66.9513, -53.7293, 33, -3, 'E', 'America/Godthab'),
	(5448, 'Upernavik Airport', 'Upernavik', 'Greenland', 'JUV', 'BGUK', 72.7902, -56.1306, 414, -3, 'E', 'America/Godthab'),
	(5449, 'Qaarsut Airport', 'Uummannaq', 'Greenland', 'JQA', 'BGUQ', 70.7342, -52.6962, 289, -3, 'E', 'America/Godthab'),
	(5450, 'Grímsey Airport', 'Grímsey', 'Iceland', 'GRY', 'BIGR', 66.5547, -18.0175, 66, 0, 'N', 'Atlantic/Reykjavik'),
	(5452, 'Thorshofn Airport', 'Thorshofn', 'Iceland', 'THO', 'BITN', 66.2185, -15.3356, 65, 0, 'N', 'Atlantic/Reykjavik'),
	(5453, 'Vopnafjörður Airport', 'Vopnafjörður', 'Iceland', 'VPN', 'BIVO', 65.7206, -14.8506, 0, 0, 'N', 'Atlantic/Reykjavik'),
	(5454, 'Caye Caulker Airport', 'Caye Caulker', 'Belize', 'CUK', '', 17.7347, -88.0325, 1, -6, 'U', 'America/Belize'),
	(5455, 'Punta Gorda Airport', 'Punta Gorda', 'Belize', 'PND', '', 16.1024, -88.8083, 7, -6, 'U', 'America/Belize'),
	(5456, 'Whistler/Green Lake Water Aerodrome', 'Whistler', 'Canada', 'YWS', 'CAE5', 50.1436, -122.949, 2100, -8, 'A', 'America/Vancouver'),
	(5457, 'Anahim Lake Airport', 'Anahim Lake', 'Canada', 'YAA', 'CAJ4', 52.4525, -125.303, 3635, -8, 'A', 'America/Vancouver'),
	(5458, 'Williams Harbour Airport', 'Williams Harbour', 'Canada', 'YWM', 'CCA6', 52.5669, -55.7847, 70, -3.5, 'A', 'America/St_Johns'),
	(5459, 'St. Lewis (Fox Harbour) Airport', 'St. Lewis', 'Canada', 'YFX', 'CCK4', 52.3728, -55.6739, 74, -3.5, 'A', 'America/St_Johns'),
	(5460, 'Port Hope Simpson Airport', 'Port Hope Simpson', 'Canada', 'YHA', 'CCP4', 52.5281, -56.2861, 347, -3.5, 'A', 'America/St_Johns'),
	(5461, 'Rigolet Airport', 'Rigolet', 'Canada', 'YRG', 'CCZ2', 54.1797, -58.4575, 180, -4, 'A', 'America/Halifax'),
	(5462, 'Colville Lake Airport', 'Colville Lake', 'Canada', 'YCK', 'CEB3', 67.0333, -126.083, 850, -7, 'A', 'America/Edmonton'),
	(5463, 'Whatì Airport', 'Whatì', 'Canada', 'YLE', 'CEM3', 63.1317, -117.246, 882, -7, 'A', 'America/Edmonton'),
	(5464, 'Summer Beaver Airport', 'Summer Beaver', 'Canada', 'SUR', 'CJV7', 52.7086, -88.5419, 832, -5, 'A', 'America/Toronto'),
	(5465, 'Wapekeka Airport', 'Angling Lake', 'Canada', 'YAX', 'CKB6', 53.8492, -89.5794, 712, -6, 'A', 'America/Winnipeg'),
	(5466, 'Wunnumin Lake Airport', 'Wunnumin Lake', 'Canada', 'WNN', 'CKL3', 52.8939, -89.2892, 819, -5, 'A', 'America/Toronto'),
	(5467, 'North Spirit Lake Airport', 'North Spirit Lake', 'Canada', 'YNO', 'CKQ3', 52.49, -92.9711, 1082, -6, 'A', 'America/Winnipeg'),
	(5468, 'Bearskin Lake Airport', 'Bearskin Lake', 'Canada', 'XBE', 'CNE3', 53.9656, -91.0272, 800, -6, 'A', 'America/Winnipeg'),
	(5469, 'Kingfisher Lake Airport', 'Kingfisher Lake', 'Canada', 'KIF', 'CNM5', 53.0125, -89.8553, 866, -5, 'A', 'America/Toronto'),
	(5470, 'Ogoki Post Airport', 'Ogoki Post', 'Canada', 'YOG', 'CNT3', 51.6586, -85.9017, 594, -5, 'A', 'America/Toronto'),
	(5471, 'Poplar Hill Airport', 'Poplar Hill', 'Canada', 'YHP', 'CPV7', 52.1133, -94.2556, 1095, -6, 'A', 'America/Winnipeg'),
	(5472, 'Chisasibi Airport', 'Chisasibi', 'Canada', 'YKU', 'CSU2', 53.8056, -78.9169, 43, -5, 'A', 'America/Toronto'),
	(5473, 'Tête-à-la-Baleine Airport', 'Tête-à-la-Baleine', 'Canada', 'ZTB', 'CTB6', 50.6744, -59.3836, 107, -4, 'A', 'America/Blanc-Sablon'),
	(5474, 'La Tabatière Airport', 'La Tabatière', 'Canada', 'ZLT', 'CTU5', 50.8308, -58.9756, 102, -4, 'A', 'America/Blanc-Sablon'),
	(5475, 'Nantong Airport', 'Nantong', 'China', 'NTG', '', 32.0708, 120.976, 0, 8, 'U', 'Asia/Chongqing'),
	(5476, 'Apartadó Airport', 'Apartadó', 'Colombia', 'APO', '', 7.033, -77.2, 0, -5, 'U', 'America/Bogota'),
	(5477, 'Tarapacá Airport', 'Tarapacá', 'Colombia', 'TCD', '', -2.867, -69.733, 0, -5, 'U', 'America/Bogota'),
	(5478, 'Cat Lake Airport', 'Cat Lake', 'Canada', 'YAC', 'CYAC', 51.7272, -91.8244, 1344, -6, 'A', 'America/Winnipeg'),
	(5479, 'Fort Frances Municipal Airport', 'Fort Frances', 'Canada', 'YAG', 'CYAG', 48.6542, -93.4397, 1125, -6, 'A', 'America/Winnipeg'),
	(5480, 'Kasabonika Airport', 'Kasabonika', 'Canada', 'XKS', 'CYAQ', 53.5247, -88.6428, 672, -5, 'A', 'America/Toronto'),
	(5481, 'Kangirsuk Airport', 'Kangirsuk', 'Canada', 'YKG', 'CYAS', 60.0272, -69.9992, 403, -5, 'A', 'America/Toronto'),
	(5482, 'Attawapiskat Airport', 'Attawapiskat', 'Canada', 'YAT', 'CYAT', 52.9275, -82.4319, 31, -5, 'A', 'America/Toronto'),
	(5483, 'Lac Du Bonnet Airport', 'Lac Du Bonnet', 'Canada', '', 'CYAX', 50.2944, -96.01, 850, -6, 'A', 'America/Winnipeg'),
	(5484, 'Uranium City Airport', 'Uranium City', 'Canada', 'YBE', 'CYBE', 59.5614, -108.481, 1044, -6, 'N', 'America/Regina'),
	(5485, 'Lourdes De Blanc Sablon Airport', 'Lourdes-De-Blanc-Sablon', 'Canada', 'YBX', 'CYBX', 51.4436, -57.1853, 121, -4, 'A', 'America/Blanc-Sablon'),
	(5486, 'Cartwright Airport', 'Cartwright', 'Canada', 'YRF', 'CYCA', 53.6828, -57.0419, 40, -4, 'A', 'America/Halifax'),
	(5487, 'Chesterfield Inlet Airport', 'Chesterfield Inlet', 'Canada', 'YCS', 'CYCS', 63.3469, -90.7311, 32, -6, 'A', 'America/Winnipeg'),
	(5488, 'Nain Airport', 'Nain', 'Canada', 'YDP', 'CYDP', 56.5492, -61.6803, 22, -4, 'A', 'America/Halifax'),
	(5489, 'Fort Severn Airport', 'Fort Severn', 'Canada', 'YER', 'CYER', 56.0189, -87.6761, 48, -5, 'A', 'America/Toronto'),
	(5490, 'Fort Albany Airport', 'Fort Albany', 'Canada', 'YFA', 'CYFA', 52.2014, -81.6969, 48, -5, 'A', 'America/Toronto'),
	(5491, 'Fort Hope Airport', 'Fort Hope', 'Canada', 'YFH', 'CYFH', 51.5619, -87.9078, 899, -5, 'A', 'America/Toronto'),
	(5492, 'Makkovik Airport', 'Makkovik', 'Canada', 'YMN', 'CYFT', 55.0769, -59.1864, 234, -4, 'A', 'America/Halifax'),
	(5493, 'Texada Gillies Bay Airport', 'Texada', 'Canada', 'YGB', 'CYGB', 49.6942, -124.518, 326, -8, 'A', 'America/Vancouver'),
	(5494, 'Gods Lake Narrows Airport', 'Gods Lake Narrows', 'Canada', 'YGO', 'CYGO', 54.5589, -94.4914, 617, -6, 'A', 'America/Winnipeg'),
	(5495, 'Igloolik Airport', 'Igloolik', 'Canada', 'YGT', 'CYGT', 69.3647, -81.8161, 174, -5, 'A', 'America/Toronto'),
	(5496, 'Kuujjuarapik Airport', 'Kuujjuarapik', 'Canada', 'YGW', 'CYGW', 55.2819, -77.7653, 34, -5, 'A', 'America/Toronto'),
	(5497, 'Gillam Airport', 'Gillam', 'Canada', 'YGX', 'CYGX', 56.3575, -94.7106, 476, -6, 'A', 'America/Winnipeg'),
	(5498, 'Grise Fiord Airport', 'Grise Fiord', 'Canada', 'YGZ', 'CYGZ', 76.4261, -82.9092, 146, -5, 'A', 'America/Toronto'),
	(5499, 'Quaqtaq Airport', 'Quaqtaq', 'Canada', 'YQC', 'CYHA', 61.0464, -69.6178, 103, -5, 'A', 'America/Toronto'),
	(5500, 'Vancouver Harbour Water Airport', 'Vancouver', 'Canada', 'YHC', 'CYHC', 49.2944, -123.111, 0, -8, 'A', 'America/Vancouver'),
	(5501, 'Nemiscau Airport', 'Nemiscau', 'Canada', 'YNS', 'CYHH', 51.6911, -76.1356, 802, -5, 'A', 'America/Toronto'),
	(5502, 'Hopedale Airport', 'Hopedale', 'Canada', 'YHO', 'CYHO', 55.4483, -60.2286, 39, -4, 'A', 'America/Halifax'),
	(5503, 'Chevery Airport', 'Chevery', 'Canada', 'YHR', 'CYHR', 50.4689, -59.6367, 39, -4, 'A', 'America/Blanc-Sablon'),
	(5504, 'Ivujivik Airport', 'Ivujivik', 'Canada', 'YIK', 'CYIK', 62.4173, -77.9253, 126, -5, 'A', 'America/Toronto'),
	(5505, 'Island Lake Airport', 'Island Lake', 'Canada', 'YIV', 'CYIV', 53.8572, -94.6536, 770, -6, 'A', 'America/Winnipeg'),
	(5506, 'Akulivik Airport', 'Akulivik', 'Canada', 'AKV', 'CYKO', 60.8186, -78.1486, 75, -5, 'A', 'America/Toronto'),
	(5507, 'Waskaganish Airport', 'Waskaganish', 'Canada', 'YKQ', 'CYKQ', 51.4733, -78.7583, 80, -5, 'A', 'America/Toronto'),
	(5508, 'Aupaluk Airport', 'Aupaluk', 'Canada', 'YPJ', 'CYLA', 59.2967, -69.5997, 119, -5, 'A', 'America/Toronto'),
	(5509, 'Kimmirut Airport', 'Kimmirut', 'Canada', 'YLC', 'CYLC', 62.85, -69.8833, 175, -5, 'A', 'America/Toronto'),
	(5510, 'Lansdowne House Airport', 'Lansdowne House', 'Canada', 'YLH', 'CYLH', 52.1956, -87.9342, 834, -5, 'A', 'America/Toronto'),
	(5511, 'Lutselk\'e Airport', 'Lutselk\'e', 'Canada', 'YSG', 'CYLK', 62.4183, -110.682, 596, -7, 'A', 'America/Edmonton'),
	(5512, 'Kangiqsualujjuaq (Georges River) Airport', 'Kangiqsualujjuaq', 'Canada', 'XGR', 'CYLU', 58.7114, -65.9928, 215, -5, 'A', 'America/Toronto'),
	(5513, 'Mary\'s Harbour Airport', 'Mary\'s Harbour', 'Canada', 'YMH', 'CYMH', 52.3028, -55.8472, 38, -3.5, 'A', 'America/St_Johns'),
	(5514, 'Chapais Airport', 'Chibougamau', 'Canada', 'YMT', 'CYMT', 49.7719, -74.5281, 1270, -5, 'A', 'America/Toronto'),
	(5515, 'Umiujaq Airport', 'Umiujaq', 'Canada', 'YUD', 'CYMU', 56.5361, -76.5183, 250, -5, 'A', 'America/Toronto'),
	(5516, 'Wemindji Airport', 'Wemindji', 'Canada', 'YNC', 'CYNC', 53.0106, -78.8311, 66, -5, 'A', 'America/Toronto'),
	(5517, 'Norway House Airport', 'Norway House', 'Canada', 'YNE', 'CYNE', 53.9583, -97.8442, 734, -6, 'A', 'America/Winnipeg'),
	(5518, 'Points North Landing Airport', 'Points North Landing', 'Canada', 'YNL', 'CYNL', 58.2767, -104.082, 1605, -6, 'N', 'America/Regina'),
	(5519, 'Oxford House Airport', 'Oxford House', 'Canada', 'YOH', 'CYOH', 54.9333, -95.2789, 663, -6, 'A', 'America/Winnipeg'),
	(5520, 'Inukjuak Airport', 'Inukjuak', 'Canada', 'YPH', 'CYPH', 58.4719, -78.0769, 83, -5, 'A', 'America/Toronto'),
	(5521, 'Pikangikum Airport', 'Pikangikum', 'Canada', 'YPM', 'CYPM', 51.8197, -93.9733, 1114, -6, 'A', 'America/Winnipeg'),
	(5522, 'Peawanuck Airport', 'Peawanuck', 'Canada', 'YPO', 'CYPO', 54.9881, -85.4433, 173, -5, 'A', 'America/Toronto'),
	(5523, 'Powell River Airport', 'Powell River', 'Canada', 'YPW', 'CYPW', 49.8342, -124.5, 425, -8, 'A', 'America/Vancouver'),
	(5524, 'The Pas Airport', 'The Pas', 'Canada', 'YQD', 'CYQD', 53.9714, -101.091, 887, -6, 'A', 'America/Winnipeg'),
	(5525, 'Nakina Airport', 'Nakina', 'Canada', 'YQN', 'CYQN', 50.182777, -86.696388, 1057, -5, 'A', 'America/Toronto'),
	(5526, 'Rae Lakes Airport', 'Gamètì', 'Canada', 'YRA', 'CYRA', 64.1161, -117.31, 723, -7, 'A', 'America/Edmonton'),
	(5527, 'Red Lake Airport', 'Red Lake', 'Canada', 'YRL', 'CYRL', 51.0669, -93.7931, 1265, -6, 'A', 'America/Winnipeg'),
	(5528, 'Stony Rapids Airport', 'Stony Rapids', 'Canada', 'YSF', 'CYSF', 59.2503, -105.841, 805, -6, 'N', 'America/Regina'),
	(5529, 'Sanikiluaq Airport', 'Sanikiluaq', 'Canada', 'YSK', 'CYSK', 56.5378, -79.2467, 104, -5, 'A', '\\N'),
	(5530, 'St. Theresa Point Airport', 'St. Theresa Point', 'Canada', 'YST', 'CYST', 53.8456, -94.8519, 773, -6, 'A', 'America/Winnipeg'),
	(5531, 'Big Trout Lake Airport', 'Big Trout Lake', 'Canada', 'YTL', 'CYTL', 53.8178, -89.8969, 729, -6, 'A', 'America/Winnipeg'),
	(5532, 'Deer Lake Airport', 'Deer Lake', 'Canada', 'YVZ', 'CYVZ', 52.6558, -94.0614, 1092, -6, 'A', 'America/Winnipeg'),
	(5533, 'Webequie Airport', 'Webequie', 'Canada', 'YWP', 'CYWP', 52.9597, -87.3689, 685, -5, 'A', 'America/Toronto'),
	(5534, 'Whale Cove Airport', 'Whale Cove', 'Canada', 'YXN', 'CYXN', 62.24, -92.5981, 40, -6, 'A', 'America/Winnipeg'),
	(5535, 'Salluit Airport', 'Salluit', 'Canada', 'YZG', 'CYZG', 62.1794, -75.6672, 743, -5, 'A', 'America/Toronto'),
	(5536, 'York Landing Airport', 'York Landing', 'Canada', 'ZAC', 'CZAC', 56.0894, -96.0892, 621, -6, 'A', 'America/Winnipeg'),
	(5537, 'Ilford Airport', 'Ilford', 'Canada', 'ILF', 'CZBD', 56.0614, -95.6139, 642, -6, 'A', 'America/Winnipeg'),
	(5538, 'Bathurst Airport', 'Bathurst', 'Canada', 'ZBF', 'CZBF', 47.6297, -65.7389, 193, -4, 'A', 'America/Halifax'),
	(5539, 'Eastmain River Airport', 'Eastmain River', 'Canada', 'ZEM', 'CZEM', 52.2264, -78.5225, 24, -5, 'A', 'America/Toronto'),
	(5540, 'Fond-Du-Lac Airport', 'Fond-Du-Lac', 'Canada', 'ZFD', 'CZFD', 59.3344, -107.182, 814, -6, 'N', 'America/Regina'),
	(5541, 'Gods River Airport', 'Gods River', 'Canada', 'ZGI', 'CZGI', 54.8397, -94.0786, 627, -6, 'A', 'America/Winnipeg'),
	(5542, 'Swan River Airport', 'Swan River', 'Canada', 'ZJN', 'CZJN', 52.1206, -101.236, 1100, -6, 'A', 'America/Winnipeg'),
	(5543, 'Kashechewan Airport', 'Kashechewan', 'Canada', 'ZKE', 'CZKE', 52.2825, -81.6778, 35, -5, 'A', 'America/Toronto'),
	(5544, 'Muskrat Dam Airport', 'Muskrat Dam', 'Canada', 'MSA', 'CZMD', 53.4414, -91.7628, 911, -6, 'A', 'America/Winnipeg'),
	(5545, 'Masset Airport', 'Masset', 'Canada', 'ZMT', 'CZMT', 54.0275, -132.125, 25, -8, 'A', 'America/Vancouver'),
	(5546, 'Sachigo Lake Airport', 'Sachigo Lake', 'Canada', 'ZPB', 'CZPB', 53.8911, -92.1964, 876, -6, 'A', 'America/Winnipeg'),
	(5547, 'Round Lake (Weagamow Lake) Airport', 'Round Lake', 'Canada', 'ZRJ', 'CZRJ', 52.9436, -91.3128, 974, -6, 'A', 'America/Winnipeg'),
	(5548, 'Sandy Lake Airport', 'Sandy Lake', 'Canada', 'ZSJ', 'CZSJ', 53.0642, -93.3444, 951, -6, 'A', 'America/Winnipeg'),
	(5549, 'Shamattawa Airport', 'Shamattawa', 'Canada', 'ZTM', 'CZTM', 55.8656, -92.0814, 289, -6, 'A', 'America/Winnipeg'),
	(5550, 'Churchill Falls Airport', 'Churchill Falls', 'Canada', 'ZUM', 'CZUM', 53.5619, -64.1064, 1442, -4, 'A', 'America/Halifax'),
	(5551, 'Wollaston Lake Airport', 'Wollaston Lake', 'Canada', 'ZWL', 'CZWL', 58.1069, -103.172, 1360, -6, 'N', 'America/Regina'),
	(5552, 'Batna Airport', 'Batna', 'Algeria', 'BLJ', 'DABT', 35.752106, 6.308589, 2697, 1, 'N', 'Africa/Algiers'),
	(5553, 'Béchar Boudghene Ben Ali Lotfi Airport', 'Béchar', 'Algeria', 'CBH', 'DAOR', 31.6457, -2.26986, 2661, 1, 'N', 'Africa/Algiers'),
	(5554, 'Bordj Badji Mokhtar Airport', 'Bordj Badji Mokhtar', 'Algeria', 'BMW', 'DATM', 21.375, 0.923889, 1303, 1, 'N', 'Africa/Algiers'),
	(5555, 'Guemar Airport', 'Guemar', 'Algeria', 'ELU', 'DAUO', 33.5114, 6.77679, 203, 1, 'N', 'Africa/Algiers'),
	(5556, 'Kumasi Airport', 'Kumasi', 'Ghana', 'KMS', 'DGSI', 6.71456, -1.59082, 942, 0, 'N', 'Africa/Accra'),
	(5557, 'Heringsdorf Airport', 'Heringsdorf', 'Germany', 'HDF', 'EDAH', 53.878706, 14.152347, 93, 1, 'E', 'Europe/Berlin'),
	(5558, 'Heide-Büsum Airport', 'Büsum', 'Germany', 'HEI', 'EDXB', 54.1533, 8.90167, 7, 1, 'E', 'Europe/Berlin'),
	(5559, 'Helgoland-Düne Airport', 'Helgoland', 'Germany', 'HGL', 'EDXH', 54.1853, 7.91583, 7, 1, 'E', '\\N'),
	(5560, 'Seinäjoki Airport', 'Seinäjoki / Ilmajoki', 'Finland', 'SJY', 'EFSI', 62.6921, 22.8323, 302, 2, 'E', 'Europe/Helsinki'),
	(5561, 'Nottingham Airport', 'Nottingham', 'United Kingdom', 'NQT', 'EGBN', 52.92, -1.079167, 138, 0, 'E', 'Europe/London'),
	(5562, 'Robin Hood Doncaster Sheffield Airport', 'Doncaster, Sheffield', 'United Kingdom', 'DSA', 'EGCN', 53.474722, -1.004444, 55, 0, 'E', 'Europe/London'),
	(5563, 'Campbeltown Airport', 'Campbeltown', 'United Kingdom', 'CAL', 'EGEC', 55.4372, -5.68639, 42, 0, 'E', 'Europe/London'),
	(5564, 'Eday Airport', 'Eday', 'United Kingdom', 'EOI', 'EGED', 59.1906, -2.77222, 10, 0, 'E', 'Europe/London'),
	(5565, 'Fair Isle Airport', 'Fair Isle', 'United Kingdom', 'FIE', 'EGEF', 59.5358, -1.62806, 223, 0, 'E', 'Europe/London'),
	(5566, 'North Ronaldsay Airport', 'North Ronaldsay', 'United Kingdom', 'NRL', 'EGEN', 59.3675, -2.43444, 40, 0, 'E', 'Europe/London'),
	(5567, 'Papa Westray Airport', 'Papa Westray', 'United Kingdom', 'PPW', 'EGEP', 59.3517, -2.90028, 91, 0, 'E', 'Europe/London'),
	(5568, 'Stronsay Airport', 'Stronsay', 'United Kingdom', 'SOY', 'EGER', 59.1553, -2.64139, 39, 0, 'E', 'Europe/London'),
	(5569, 'Sanday Airport', 'Sanday', 'United Kingdom', 'NDY', 'EGES', 59.2503, -2.57667, 68, 0, 'E', 'Europe/London'),
	(5570, 'Lerwick / Tingwall Airport', 'Lerwick', 'United Kingdom', 'LWK', 'EGET', 60.1922, -1.24361, 43, 0, 'E', 'Europe/London'),
	(5571, 'Westray Airport', 'Westray', 'United Kingdom', 'WRY', 'EGEW', 59.3503, -2.95, 29, 0, 'E', 'Europe/London'),
	(5572, 'Land\'s End / St. Just Airport', 'Land\'s End', 'United Kingdom', 'LEQ', 'EGHC', 50.1028, -5.67056, 401, 0, 'E', 'Europe/London'),
	(5573, 'Penzance Heliport', 'Penzance', 'United Kingdom', 'PZE', 'EGHK', 50.1281, -5.51845, 14, 0, 'E', 'Europe/London'),
	(5574, 'Anglesey Airport', 'Angelsey', 'United Kingdom', 'HLY', 'EGOV', 53.248097, -4.535339, 37, 0, 'E', 'Europe/London'),
	(5575, 'Barra Airport', 'Barra', 'United Kingdom', 'BRR', 'EGPR', 57.0228, -7.44306, 5, 0, 'E', 'Europe/London'),
	(5577, 'Donegal Airport', 'Dongloe', 'Ireland', 'CFN', 'EIDL', 55.044192, -8.341, 30, 0, 'E', 'Europe/Dublin'),
	(5578, 'Weston Airport', 'Leixlip', 'Ireland', '', 'EIWT', 53.351333, -6.4875, 150, 0, 'E', 'Europe/Dublin'),
	(5579, 'Sindal Airport', 'Sindal', 'Denmark', 'CNL', 'EKSN', 57.503525, 10.229372, 92, 1, 'N', 'Europe/Copenhagen'),
	(5580, 'Leknes Airport', 'Leknes', 'Norway', 'LKN', 'ENLK', 68.1525, 13.6094, 78, 1, 'E', 'Europe/Oslo'),
	(5581, 'Namsos Høknesøra Airport', 'Namsos', 'Norway', 'OSY', 'ENNM', 64.4722, 11.5786, 7, 1, 'E', 'Europe/Oslo'),
	(5582, 'Røssvoll Airport', 'Mo i Rana', 'Norway', 'MQN', 'ENRA', 66.3639, 14.3014, 229, 1, 'E', 'Europe/Oslo'),
	(5583, 'Ryum Airport', 'Rørvik', 'Norway', 'RVK', 'ENRM', 64.8383, 11.1461, 14, 1, 'E', 'Europe/Oslo'),
	(5584, 'Røst Airport', 'Røst', 'Norway', 'RET', 'ENRS', 67.5278, 12.1033, 7, 1, 'E', 'Europe/Oslo'),
	(5585, 'Anda Airport', 'Sandane', 'Norway', 'SDN', 'ENSD', 61.83, 6.10583, 196, 1, 'E', 'Europe/Oslo'),
	(5586, 'Sogndal Airport', 'Sogndal', 'Norway', 'SOG', 'ENSG', 61.1561, 7.13778, 0, 1, 'E', 'Europe/Oslo'),
	(5587, 'Svolvær Helle Airport', 'Svolvær', 'Norway', 'SVJ', 'ENSH', 68.2433, 14.6692, 27, 1, 'E', 'Europe/Oslo'),
	(5588, 'Sorkjosen Airport', 'Sorkjosen', 'Norway', 'SOJ', 'ENSR', 69.7868, 20.9594, 16, 1, 'E', 'Europe/Oslo'),
	(5589, 'Svartnes Airport', 'Vardø', 'Norway', 'VAW', 'ENSS', 70.355392, 31.044889, 42, 1, 'E', 'Europe/Oslo'),
	(5590, 'Værøy Heliport', 'Værøy', 'Norway', 'VRY', 'ENVR', 67.6667, 12.6833, 36, 1, 'E', 'Europe/Oslo'),
	(5591, 'Bydgoszcz Ignacy Jan Paderewski Airport', 'Bydgoszcz', 'Poland', 'BZG', 'EPBY', 53.0968, 17.9777, 235, 1, 'E', 'Europe/Warsaw'),
	(5592, 'Łódź Władysław Reymont Airport', 'Lodz', 'Poland', 'LCJ', 'EPLL', 51.721881, 19.398133, 604, 1, 'E', 'Europe/Warsaw'),
	(5593, 'Östersund Airport', 'Östersund', 'Sweden', 'OSD', 'ESNZ', 63.1944, 14.5003, 1233, 1, 'E', 'Europe/Stockholm'),
	(5594, 'Hagfors Airport', 'Hagfors', 'Sweden', 'HFS', 'ESOH', 60.020064, 13.578908, 474, 1, 'E', 'Europe/Stockholm'),
	(5595, 'Karlstad Airport', 'Karlstad', 'Sweden', 'KSD', 'ESOK', 59.4447, 13.3374, 352, 1, 'E', 'Europe/Stockholm'),
	(5596, 'Torsby Airport', 'Torsby', 'Sweden', 'TYF', 'ESST', 60.157622, 12.991269, 393, 1, 'E', 'Europe/Stockholm'),
	(5597, 'Ängelholm-Helsingborg Airport', 'Ängelholm', 'Sweden', 'AGH', 'ESTA', 56.2961, 12.8471, 68, 1, 'E', 'Europe/Stockholm'),
	(5598, 'Storuman Airport', 'Mohed', 'Sweden', 'SQO', 'ESUD', 64.960894, 17.696583, 915, 1, 'E', 'Europe/Stockholm'),
	(5599, 'Hemavan Airport', 'Hemavan', 'Sweden', 'HMV', 'ESUT', 65.806111, 15.082778, 1503, 1, 'E', 'Europe/Stockholm'),
	(5600, 'Shilavo Airport', 'Shilavo', 'Ethiopia', 'HIL', '', 6.08333, 44.7667, 1296, 3, 'U', 'Africa/Addis_Ababa'),
	(5601, 'Shire Inda Selassie Airport', 'Shire Indasilase', 'Ethiopia', 'SHC', '', 14.0781, 38.2725, 6207, 3, 'U', 'Africa/Addis_Ababa'),
	(5602, 'Ventspils International Airport', 'Ventspils', 'Latvia', 'VTS', 'EVVA', 57.357778, 21.544167, 19, 2, 'E', 'Europe/Riga'),
	(5603, 'Rand Airport', 'Johannesburg', 'South Africa', 'QRA', 'FAGM', -26.242506, 28.151169, 5483, 2, 'U', 'Africa/Johannesburg'),
	(5604, 'Kruger Mpumalanga International Airport', 'Mpumalanga', 'South Africa', 'MQP', 'FAKN', -25.3832, 31.1056, 2829, 2, 'U', 'Africa/Johannesburg'),
	(5605, 'Malamala Airport', 'Malamala', 'South Africa', 'AAM', 'FAMD', -24.818111, 31.544584, 1124, 2, 'U', 'Africa/Johannesburg'),
	(5606, 'Mmabatho International Airport', 'Mafeking', 'South Africa', 'MBD', 'FAMM', -25.798444, 25.548028, 4181, 2, 'U', 'Africa/Johannesburg'),
	(5607, 'Ghanzi Airport', 'Ghanzi', 'Botswana', 'GNZ', 'FBGZ', -21.6925, 21.6581, 3730, 2, 'U', 'Africa/Gaborone'),
	(5608, 'Orapa Airport', 'Orapa', 'Botswana', 'ORP', 'FBOR', -21.2667, 25.3167, 3100, 2, 'U', 'Africa/Gaborone'),
	(5609, 'Shakawe Airport', 'Shakawe', 'Botswana', 'SWX', 'FBSW', -18.3739, 21.8326, 3379, 2, 'U', 'Africa/Gaborone'),
	(5610, 'Limpopo Valley Airport', 'Tuli Lodge', 'Botswana', 'TLD', 'FBTL', -22.1892, 29.1269, 1772, 2, 'U', 'Africa/Gaborone'),
	(5611, 'Loubomo Airport', 'Loubomo', 'Congo (Brazzaville)', 'DIS', 'FCPL', -4.2, 12.7, 1079, 1, 'N', 'Africa/Brazzaville'),
	(5612, 'Chipata Airport', 'Chipata', 'Zambia', 'CIP', 'FLCP', -13.5583, 32.5872, 3360, 2, 'U', 'Africa/Lusaka'),
	(5613, 'Solwesi Airport', 'Solwesi', 'Zambia', 'SLI', 'FLSW', -12.1737, 26.3651, 4551, 2, 'U', 'Africa/Lusaka'),
	(5614, 'Iconi Airport', 'Moroni', 'Comoros', 'YVA', 'FMCN', -11.7108, 43.2439, 33, 3, 'U', 'Indian/Comoro'),
	(5615, 'Antsalova Airport', 'Antsalova', 'Madagascar', 'WAQ', 'FMMG', -18.7, 44.617, 551, 3, 'U', 'Indian/Antananarivo'),
	(5616, 'Ankavandra Airport', 'Ankavandra', 'Madagascar', 'JVA', 'FMMK', -18.8, 45.283, 427, 3, 'U', 'Indian/Antananarivo'),
	(5617, 'Belo sur Tsiribihina Airport', 'Belo sur Tsiribihina', 'Madagascar', 'BMD', 'FMML', -19.6867, 44.5419, 154, 3, 'U', 'Indian/Antananarivo'),
	(5618, 'Maintirano Airport', 'Maintirano', 'Madagascar', 'MXT', 'FMMO', -18.05, 44.033, 95, 3, 'U', 'Indian/Antananarivo'),
	(5619, 'Morafenobe Airport', 'Morafenobe', 'Madagascar', 'TVA', 'FMMR', -17.85, 44.917, 748, 3, 'U', 'Indian/Antananarivo'),
	(5620, 'Tambohorano Airport', 'Tambohorano', 'Madagascar', 'WTA', 'FMMU', -17.4761, 43.9728, 23, 3, 'U', 'Indian/Antananarivo'),
	(5621, 'Tsiroanomandidy Airport', 'Tsiroanomandidy', 'Madagascar', 'WTS', 'FMMX', -18.75, 46.05, 2776, 3, 'U', 'Indian/Antananarivo'),
	(5622, 'Ambatondrazaka Airport', 'Ambatondrazaka', 'Madagascar', 'WAM', 'FMMZ', -17.8, 48.433, 2513, 3, 'U', 'Indian/Antananarivo'),
	(5623, 'Port Bergé Airport', 'Port Bergé', 'Madagascar', 'WPB', 'FMNG', -15.583, 47.617, 213, 3, 'U', 'Indian/Antananarivo'),
	(5624, 'Ambanja Airport', 'Ambanja', 'Madagascar', 'IVA', 'FMNJ', -13.65, 48.467, 36, 3, 'U', 'Indian/Antananarivo'),
	(5625, 'Soalala Airport', 'Soalala', 'Madagascar', 'DWB', 'FMNO', -16.083, 45.367, 141, 3, 'U', 'Indian/Antananarivo'),
	(5626, 'Mampikony Airport', 'Mampikony', 'Madagascar', 'WMP', 'FMNP', -16.049, 47.622, 0, 3, 'U', 'Indian/Antananarivo'),
	(5627, 'Tsaratanana Airport', 'Tsaratanana', 'Madagascar', 'TTS', 'FMNT', -16.75, 47.617, 1073, 3, 'U', 'Indian/Antananarivo'),
	(5628, 'Mandritsara Airport', 'Mandritsara', 'Madagascar', 'WMA', 'FMNX', -15.817, 48.833, 1007, 3, 'U', 'Indian/Antananarivo'),
	(5629, 'Manja Airport', 'Manja', 'Madagascar', 'MJA', 'FMSJ', -21.417, 44.317, 787, 3, 'U', 'Indian/Antananarivo'),
	(5630, 'Catumbela Airport', 'Catumbela', 'Angola', 'CBT', 'FNCT', -12.4792, 13.4869, 0, 1, 'N', 'Africa/Luanda'),
	(5631, 'Dundo Airport', 'Dundo', 'Angola', 'DUE', 'FNDU', -7.40089, 20.8185, 2451, 1, 'N', 'Africa/Luanda'),
	(5632, 'Ondjiva Pereira Airport', 'Ondjiva', 'Angola', 'VPE', 'FNGI', -17.043464, 15.683822, 3566, 1, 'N', 'Africa/Luanda'),
	(5633, 'Namibe Airport', 'Mocamedes', 'Angola', 'MSZ', 'FNMO', -15.261222, 12.146756, 210, 1, 'N', 'Africa/Luanda'),
	(5634, 'Koulamoutou Airport', 'Koulamoutou', 'Gabon', 'KOU', 'FOGK', -1.18461, 12.4413, 1070, 1, 'N', 'Africa/Libreville'),
	(5635, 'Mouilla Ville Airport', 'Mouila', 'Gabon', 'MJL', 'FOGM', -1.84514, 11.0567, 295, 1, 'N', 'Africa/Libreville'),
	(5636, 'Tchibanga Airport', 'Tchibanga', 'Gabon', 'TCH', 'FOOT', -2.85, 11.017, 269, 1, 'N', 'Africa/Libreville'),
	(5637, 'Chimoio Airport', 'Chimoio', 'Mozambique', 'VPY', 'FQCH', -19.151267, 33.428958, 2287, 2, 'U', 'Africa/Maputo'),
	(5638, 'Croisette Heliport', 'Cannes', 'France', 'JCA', '', 43.536, 7.03736, 0, 1, 'E', 'Europe/Paris'),
	(5639, 'Sarh Airport', 'Sarh', 'Chad', 'SRH', 'FTTA', 9.14444, 18.3744, 1198, 1, 'N', 'Africa/Ndjamena'),
	(5640, 'Club Makokola Airport', 'Club Makokola', 'Malawi', 'CMK', 'FWCM', -14.3069, 35.1325, 1587, 2, 'U', 'Africa/Blantyre'),
	(5641, 'Luderitz Airport', 'Luderitz', 'Namibia', 'LUD', 'FYLZ', -26.6874, 15.2429, 457, 1, 'S', 'Africa/Windhoek'),
	(5642, 'Ondangwa Airport', 'Ondangwa', 'Namibia', 'OND', 'FYOA', -17.8782, 15.9526, 3599, 1, 'S', 'Africa/Windhoek'),
	(5643, 'Oranjemund Airport', 'Oranjemund', 'Namibia', 'OMD', 'FYOG', -28.5847, 16.4467, 14, 1, 'S', 'Africa/Windhoek'),
	(5644, 'Swakopmund Airport', 'Swakopmund', 'Namibia', 'SWP', 'FYSM', -22.6619, 14.5681, 207, 1, 'S', 'Africa/Windhoek'),
	(5645, 'Eros Airport', 'Windhoek', 'Namibia', 'ERS', 'FYWE', -22.6122, 17.0804, 5575, 1, 'S', 'Africa/Windhoek'),
	(5646, 'Boma Airport', 'Boma', 'Congo (Kinshasa)', 'BOA', 'FZAJ', -5.854, 13.064, 26, 1, 'N', 'Africa/Kinshasa'),
	(5647, 'Tshimpi Airport', 'Matadi', 'Congo (Kinshasa)', 'MAT', 'FZAM', -5.79961, 13.4404, 1115, 1, 'N', 'Africa/Kinshasa'),
	(5648, 'Inongo Airport', 'Inongo', 'Congo (Kinshasa)', 'INO', 'FZBA', -1.94722, 18.2858, 1040, 1, 'N', 'Africa/Kinshasa'),
	(5649, 'Nioki Airport', 'Nioki', 'Congo (Kinshasa)', 'NIO', 'FZBI', -2.7175, 17.6847, 1043, 1, 'N', 'Africa/Kinshasa'),
	(5650, 'Basango Mboliasa Airport', 'Kiri', 'Congo (Kinshasa)', 'KRZ', 'FZBT', -1.435, 19.024, 1013, 1, 'N', 'Africa/Kinshasa'),
	(5651, 'Basankusu Airport', 'Basankusu', 'Congo (Kinshasa)', 'BSU', 'FZEN', 1.22472, 19.7889, 1217, 1, 'N', 'Africa/Kinshasa'),
	(5652, 'Tshikapa Airport', 'Tshikapa', 'Congo (Kinshasa)', 'TSH', 'FZUK', -6.43833, 20.7947, 1595, 2, 'N', 'Africa/Lubumbashi'),
	(5653, 'Lodja Airport', 'Lodja', 'Congo (Kinshasa)', 'LJA', 'FZVA', -3.417, 23.45, 1647, 2, 'N', 'Africa/Lubumbashi'),
	(5654, 'Ilebo Airport', 'Ilebo', 'Congo (Kinshasa)', 'PFR', 'FZVS', -4.333, 20.583, 1450, 2, 'N', 'Africa/Lubumbashi'),
	(5655, 'Gamba', 'Gamba', 'Gabon', 'GAX', '', -2.71016, 9.96062, 73, 1, 'N', 'Africa/Libreville'),
	(5656, 'Foula Airport', 'Foula', 'United Kingdom', 'FOA', '', 60.121, -2.052, 0, 0, 'E', 'Europe/London'),
	(5657, 'Outer Skerries Airport', 'Outer Skerries', 'United Kingdom', 'OUK', '', 60.417, -0.75, 0, 0, 'E', 'Europe/London'),
	(5658, 'Papa Stour Airport', 'Papa Stour', 'United Kingdom', 'PSV', '', 60.3217, -1.69306, 0, 0, 'E', 'Europe/London'),
	(5659, 'La Gomera Airport', 'La Gomera', 'Spain', 'GMZ', 'GCGM', 28.0296, -17.2146, 718, 0, 'E', 'Atlantic/Canary'),
	(5660, 'Lauriston Airport', 'Carriacou Island', 'Grenada', 'CRU', '', 12.4761, -61.4728, 0, -4, 'U', 'America/Grenada'),
	(5661, 'Ceuta Heliport', 'Ceuta', 'Spain', 'JCU', 'GECT', 35.8969, -5.29908, 0, 1, 'E', 'Europe/Madrid'),
	(5662, 'Sherbro International Airport', 'Bonthe', 'Sierra Leone', 'BTE', 'GFBN', 7.53242, -12.5189, 14, 0, 'N', 'Africa/Freetown'),
	(5663, 'Bo Airport', 'Bo', 'Sierra Leone', 'KBS', 'GFBO', 7.9444, -11.761, 328, 0, 'N', 'Africa/Freetown'),
	(5664, 'Kenema Airport', 'Kenema', 'Sierra Leone', 'KEN', 'GFKE', 7.89129, -11.1766, 485, 0, 'N', 'Africa/Freetown'),
	(5665, 'Osvaldo Vieira International Airport', 'Bissau', 'Guinea-Bissau', 'OXB', 'GGOV', 11.89485, -15.653681, 129, 0, 'N', 'Africa/Bissau'),
	(5666, 'Groennedal Heliport', 'Groennedal', 'Greenland', 'JGR', '', 61.2333, -48.1, 0, -3, 'E', 'America/Godthab'),
	(5667, 'Akunnaaq Heliport', 'Akunnaaq', 'Greenland', 'QCU', '', 68.75, -52.3333, 0, -3, 'E', 'America/Godthab'),
	(5668, 'Iginniarfik Heliport', 'Iginniarfik', 'Greenland', 'QFI', '', 68.7, -52.9667, 0, -3, 'E', 'America/Godthab'),
	(5669, 'Smara Airport', 'Smara', 'Western Sahara', 'SMW', 'GMMA', 26.7318, -11.6847, 350, 0, 'N', 'Africa/El_Aaiun'),
	(5670, 'Dakhla Airport', 'Dakhla', 'Western Sahara', 'VIL', 'GMMH', 23.7183, -15.932, 36, 0, 'N', 'Africa/El_Aaiun'),
	(5671, 'Mogador Airport', 'Essadouira', 'Morocco', 'ESU', 'GMMI', 31.3975, -9.681667, 384, 0, 'N', 'Africa/Casablanca'),
	(5672, 'Hassan I Airport', 'El Aaiún', 'Western Sahara', 'EUN', 'GMML', 27.1517, -13.2192, 207, 0, 'N', 'Africa/El_Aaiun'),
	(5673, 'El Aroui Airport', 'El Aroui', 'Morocco', 'NDR', 'GMMW', 34.9888, -3.02821, 574, 0, 'N', 'Africa/Casablanca'),
	(5674, 'Praia International Airport', 'Praia, Santiago Island', 'Cape Verde', 'RAI', 'GVNP', 14.9245, -23.4935, 230, -1, 'U', 'Atlantic/Cape_Verde'),
	(5675, 'Sao Filipe Airport', 'Sao Filipe, Fogo Island', 'Cape Verde', 'SFL', 'GVSF', 14.885, -24.48, 617, -1, 'U', 'Atlantic/Cape_Verde'),
	(5676, 'Baco Airport', 'Baco', 'Ethiopia', 'BCO', 'HABC', 5.78287, 36.562, 0, 3, 'U', 'Africa/Addis_Ababa'),
	(5677, 'Beica Airport', 'Beica', 'Ethiopia', 'BEI', 'HABE', 9.38639, 34.5219, 5410, 3, 'U', 'Africa/Addis_Ababa'),
	(5678, 'Combolcha Airport', 'Dessie', 'Ethiopia', 'DSE', 'HADC', 11.0825, 39.7114, 6117, 3, 'U', 'Africa/Addis_Ababa'),
	(5679, 'Dembidollo Airport', 'Dembidollo', 'Ethiopia', 'DEM', 'HADD', 8.554, 34.858, 5200, 3, 'U', 'Africa/Addis_Ababa'),
	(5680, 'Gode Airport', 'Gode', 'Ethiopia', 'GDE', 'HAGO', 5.935128, 43.578567, 834, 3, 'U', 'Africa/Addis_Ababa'),
	(5681, 'Gore Airport', 'Gore', 'Ethiopia', 'GOR', 'HAGR', 8.167, 35.55, 6580, 3, 'U', 'Africa/Addis_Ababa'),
	(5682, 'Kabri Dehar Airport', 'Kabri Dehar', 'Ethiopia', 'ABK', 'HAKD', 6.734, 44.253, 1800, 3, 'U', 'Africa/Addis_Ababa'),
	(5683, 'Mizan Teferi Airport', 'Mizan Teferi', 'Ethiopia', 'MTF', 'HAMT', 6.967, 35.533, 4396, 3, 'U', 'Africa/Addis_Ababa'),
	(5684, 'Tippi Airport', 'Tippi', 'Ethiopia', 'TIE', 'HATP', 7.117, 35.383, 1100, 3, 'U', 'Africa/Addis_Ababa'),
	(5685, 'Alula Airport', 'Alula', 'Somalia', 'ALU', 'HCMA', 11.95, 50.733, 6, 3, 'U', 'Africa/Mogadishu'),
	(5686, 'Bosaso Airport', 'Bosaso', 'Somalia', 'BSA', 'HCMF', 11.2753, 49.1494, 3, 3, 'U', 'Africa/Mogadishu'),
	(5687, 'Aden Adde International Airport', 'Mogadishu', 'Somalia', 'MGQ', 'HCMM', 2.01444, 45.3047, 29, 3, 'U', 'Africa/Mogadishu'),
	(5688, 'Galcaio Airport', 'Galcaio', 'Somalia', 'GLK', 'HCMR', 6.78083, 47.4547, 975, 3, 'U', 'Africa/Mogadishu'),
	(5689, 'Burao Airport', 'Burao', 'Somalia', 'BUO', 'HCMV', 9.517, 45.567, 3400, 3, 'U', 'Africa/Mogadishu'),
	(5690, 'El Arish International Airport', 'El Arish', 'Egypt', 'AAC', 'HEAR', 31.073333, 33.835833, 121, 2, 'U', 'Africa/Cairo'),
	(5691, 'Asyut International Airport', 'Asyut', 'Egypt', 'ATZ', 'HEAT', 27.046508, 31.011983, 772, 2, 'U', 'Africa/Cairo'),
	(5692, 'Amboseli Airport', 'Amboseli National Park', 'Kenya', 'ASV', 'HKAM', -2.64505, 37.2531, 3755, 3, 'U', 'Africa/Nairobi'),
	(5693, 'Lokichoggio Airport', 'Lokichoggio', 'Kenya', 'LKG', 'HKLK', 4.204117, 34.348186, 2074, 3, 'U', 'Africa/Nairobi'),
	(5694, 'Malindi Airport', 'Malindi', 'Kenya', 'MYD', 'HKML', -3.22931, 40.1017, 80, 3, 'U', 'Africa/Nairobi'),
	(5695, 'Nanyuki Civil Airport', 'Nanyuki', 'Kenya', 'NYK', 'HKNY', -0.067, 37.033, 6250, 3, 'U', 'Africa/Nairobi'),
	(5696, 'Gardabya Airport', 'Sirt', 'Libya', 'SRX', 'HLGD', 31.0635, 16.595, 267, 2, 'N', 'Africa/Tripoli'),
	(5697, 'Gamal Abdel Nasser Airport', 'Tobruk', 'Libya', 'TOB', 'HLGN', 31.861, 23.907, 519, 2, 'N', 'Africa/Tripoli'),
	(5698, 'Mitiga Airport', 'Tripoli', 'Libya', 'MJI', 'HLLM', 32.8941, 13.276, 36, 2, 'N', 'Africa/Tripoli'),
	(5699, 'La Abraq Airport', 'Al Bayda\'', 'Libya', 'LAQ', 'HLLQ', 32.788673, 21.964333, 2157, 2, 'N', 'Africa/Tripoli'),
	(5700, 'Atbara Airport', 'Atbara', 'Sudan', 'ATB', 'HSAT', 17.7, 33.967, 1181, 3, 'U', 'Africa/Khartoum'),
	(5701, 'Nyala Airport', 'Nyala', 'Sudan', 'UYL', 'HSNN', 12.0535, 24.9562, 2106, 3, 'U', 'Africa/Khartoum'),
	(5702, 'Port Sudan New International Airport', 'Port Sudan', 'Sudan', 'PZU', 'HSPN', 19.4336, 37.2341, 135, 3, 'U', 'Africa/Khartoum'),
	(5703, 'Bukoba Airport', 'Bukoba', 'Tanzania', 'BKZ', 'HTBU', -1.3, 31.8, 3745, 3, 'U', 'Africa/Dar_es_Salaam'),
	(5704, 'Kigoma Airport', 'Kigoma', 'Tanzania', 'TKQ', 'HTKA', -4.883, 29.633, 2700, 3, 'U', 'Africa/Dar_es_Salaam'),
	(5705, 'Kikwetu Airport', 'Lindi', 'Tanzania', 'LDI', 'HTLI', -9.85111, 39.7578, 100, 3, 'U', 'Africa/Dar_es_Salaam'),
	(5706, 'Musoma Airport', 'Musoma', 'Tanzania', 'MUZ', 'HTMU', -1.483, 33.8, 3806, 3, 'U', 'Africa/Dar_es_Salaam'),
	(5707, 'Shinyanga Airport', 'Shinyanga', 'Tanzania', 'SHY', 'HTSY', -3.667, 33.417, 3800, 3, 'U', 'Africa/Dar_es_Salaam'),
	(5708, 'Tabora Airport', 'Tabora', 'Tanzania', 'TBO', 'HTTB', -5.07639, 32.8333, 3868, 3, 'U', 'Africa/Dar_es_Salaam'),
	(5709, 'Arua Airport', 'Arua', 'Uganda', 'RUA', 'HUAR', 3.05, 30.917, 3951, 3, 'U', 'Africa/Kampala'),
	(5710, 'Gulu Airport', 'Gulu', 'Uganda', 'ULU', 'HUGU', 2.805556, 32.271792, 3510, 3, 'U', 'Africa/Kampala'),
	(5711, 'Diu Airport', 'Diu', 'India', 'DIU', 'VA1P', 20.7131, 70.9211, 31, 5.5, 'N', 'Asia/Calcutta'),
	(5712, 'Gheshm Airport', 'Gheshm', 'Iran', 'GSM', '', 26.9487, 56.2688, 100, 3.5, 'E', 'Asia/Tehran'),
	(5713, 'San Domino Island Heliport', 'Tremiti Islands', 'Italy', 'TQR', '', 42.1025, 15.488, 0, 1, 'E', 'Europe/Rome'),
	(5714, 'Aberdeen Regional Airport', 'Aberdeen', 'United States', 'ABR', 'KABR', 45.4491, -98.4218, 1302, -6, 'A', 'America/Chicago'),
	(5715, 'Southwest Georgia Regional Airport', 'Albany', 'United States', 'ABY', 'KABY', 31.5355, -84.1945, 197, -5, 'A', 'America/New_York'),
	(5716, 'Athens Ben Epps Airport', 'Athens', 'United States', 'AHN', 'KAHN', 33.9486, -83.3263, 808, -5, 'A', 'America/New_York'),
	(5717, 'Alamogordo White Sands Regional Airport', 'Alamogordo', 'United States', 'ALM', 'KALM', 32.8399, -105.991, 4200, -7, 'A', 'America/Denver'),
	(5718, 'Waterloo Regional Airport', 'Waterloo', 'United States', 'ALO', 'KALO', 42.5571, -92.4003, 873, -6, 'A', 'America/Chicago'),
	(5719, 'Walla Walla Regional Airport', 'Walla Walla', 'United States', 'ALW', 'KALW', 46.0949, -118.288, 1191, -8, 'A', 'America/Los_Angeles'),
	(5720, 'Alpena County Regional Airport', 'Alpena', 'United States', 'APN', 'KAPN', 45.0781, -83.5603, 689, -5, 'A', 'America/New_York'),
	(5721, 'Watertown Regional Airport', 'Watertown', 'United States', 'ATY', 'KATY', 44.914, -97.1547, 1748, -6, 'A', 'America/Chicago'),
	(5722, 'Bradford Regional Airport', 'Bradford', 'United States', 'BFD', 'KBFD', 41.8031, -78.6401, 2143, -5, 'A', 'America/New_York'),
	(5723, 'Western Nebraska Regional Airport', 'Scottsbluff', 'United States', 'BFF', 'KBFF', 41.874, -103.596, 3967, -7, 'A', 'America/Denver'),
	(5724, 'Raleigh County Memorial Airport', 'Beckley', 'United States', 'BKW', 'KBKW', 37.7873, -81.1242, 2504, -5, 'A', 'America/New_York'),
	(5725, 'Brunswick Golden Isles Airport', 'Brunswick', 'United States', 'BQK', 'KBQK', 31.2588, -81.4665, 26, -5, 'A', 'America/New_York'),
	(5726, 'Southeast Iowa Regional Airport', 'Burlington', 'United States', 'BRL', 'KBRL', 40.7832, -91.1255, 698, -6, 'A', 'America/Chicago'),
	(5727, 'Del Norte County Airport', 'Crescent City', 'United States', 'CEC', 'KCEC', 41.7802, -124.237, 57, -8, 'A', 'America/Los_Angeles'),
	(5728, 'Cape Girardeau Regional Airport', 'Cape Girardeau', 'United States', 'CGI', 'KCGI', 37.2253, -89.5708, 342, -6, 'A', 'America/Chicago'),
	(5729, 'Chippewa County International Airport', 'Sault Ste Marie', 'United States', 'CIU', 'KCIU', 46.2508, -84.4724, 800, -5, 'A', 'America/New_York'),
	(5730, 'Harrison Marion Regional Airport', 'Clarksburg', 'United States', 'CKB', 'KCKB', 39.2966, -80.2281, 1217, -5, 'A', 'America/New_York'),
	(5731, 'William R Fairchild International Airport', 'Port Angeles', 'United States', 'CLM', 'KCLM', 48.1202, -123.5, 291, -8, 'A', 'America/Los_Angeles'),
	(5732, 'Houghton County Memorial Airport', 'Hancock', 'United States', 'CMX', 'KCMX', 47.1684, -88.4891, 1095, -5, 'A', 'America/New_York'),
	(5733, 'Dodge City Regional Airport', 'Dodge City', 'United States', 'DDC', 'KDDC', 37.7634, -99.9656, 2594, -6, 'A', 'America/Chicago'),
	(5734, 'DuBois Regional Airport', 'Du Bois', 'United States', 'DUJ', 'KDUJ', 41.1783, -78.8987, 1817, -5, 'A', 'America/New_York'),
	(5735, 'Chippewa Valley Regional Airport', 'Eau Claire', 'United States', 'EAU', 'KEAU', 44.8658, -91.4843, 913, -6, 'A', 'America/Chicago'),
	(5736, 'Elko Regional Airport', 'Elko', 'United States', 'EKO', 'KEKO', 40.8249, -115.792, 5140, -8, 'A', 'America/Los_Angeles'),
	(5737, 'New Bedford Regional Airport', 'New Bedford', 'United States', 'EWB', 'KEWB', 41.6761, -70.9569, 80, -5, 'A', 'America/New_York'),
	(5738, 'Fayetteville Regional Grannis Field', 'Fayetteville', 'United States', 'FAY', 'KFAY', 34.9912, -78.8803, 189, -5, 'A', 'America/New_York'),
	(5739, 'Wokal Field Glasgow International Airport', 'Glasgow', 'United States', 'GGW', 'KGGW', 48.2125, -106.615, 2296, -7, 'A', 'America/Denver'),
	(5740, 'Central Nebraska Regional Airport', 'Grand Island', 'United States', 'GRI', 'KGRI', 40.9675, -98.3096, 1847, -6, 'A', 'America/Chicago'),
	(5741, 'Memorial Field', 'Hot Springs', 'United States', 'HOT', 'KHOT', 34.478, -93.0962, 540, -6, 'A', 'America/Chicago'),
	(5742, 'Tri State Milton J Ferguson Field', 'Huntington', 'United States', 'HTS', 'KHTS', 38.3667, -82.558, 828, -5, 'A', 'America/New_York'),
	(5743, 'Kili Airport', 'Kili Island', 'Marshall Islands', 'KIO', 'Q51', 5.64452, 169.12, 5, 12, 'U', 'Pacific/Majuro'),
	(5744, 'Kirksville Regional Airport', 'Kirksville', 'United States', 'IRK', 'KIRK', 40.0935, -92.5449, 966, -6, 'A', 'America/Chicago'),
	(5745, 'Jamestown Regional Airport', 'Jamestown', 'United States', 'JMS', 'KJMS', 46.9297, -98.6782, 1498, -6, 'A', 'America/Chicago'),
	(5746, 'Laramie Regional Airport', 'Laramie', 'United States', 'LAR', 'KLAR', 41.3121, -105.675, 7284, -7, 'A', 'America/Denver'),
	(5747, 'Arnold Palmer Regional Airport', 'Latrobe', 'United States', 'LBE', 'KLBE', 40.2759, -79.4048, 1185, -5, 'A', 'America/New_York'),
	(5748, 'North Platte Regional Airport Lee Bird Field', 'North Platte', 'United States', 'LBF', 'KLBF', 41.1262, -100.684, 2776, -6, 'A', 'America/Chicago'),
	(5749, 'Lebanon Municipal Airport', 'Lebanon', 'United States', 'LEB', 'KLEB', 43.6261, -72.3042, 603, -5, 'A', 'America/New_York'),
	(5750, 'Klamath Falls Airport', 'Klamath Falls', 'United States', 'LMT', 'KLMT', 42.1561, -121.733, 4095, -8, 'A', 'America/Los_Angeles'),
	(5751, 'Lancaster Airport', 'Lancaster', 'United States', 'LNS', 'KLNS', 40.1217, -76.2961, 403, -5, 'A', 'America/New_York'),
	(5752, 'Lewistown Municipal Airport', 'Lewistown', 'United States', 'LWT', 'KLWT', 47.0493, -109.467, 4170, -7, 'A', 'America/Denver'),
	(5753, 'Lynchburg Regional Preston Glenn Field', 'Lynchburg', 'United States', 'LYH', 'KLYH', 37.3267, -79.2004, 938, -5, 'A', 'America/New_York'),
	(5754, 'Muskegon County Airport', 'Muskegon', 'United States', 'MKG', 'KMKG', 43.1695, -86.2382, 628, -5, 'A', 'America/New_York'),
	(5755, 'Frank Wiley Field', 'Miles City', 'United States', 'MLS', 'KMLS', 46.428, -105.886, 2630, -7, 'A', 'America/Denver'),
	(5756, 'Northwest Alabama Regional Airport', 'Muscle Shoals', 'United States', 'MSL', 'KMSL', 34.7453, -87.6102, 550, -6, 'A', 'America/Chicago'),
	(5757, 'Southwest Oregon Regional Airport', 'North Bend', 'United States', 'OTH', 'KOTH', 43.4171, -124.246, 17, -8, 'A', 'America/Los_Angeles'),
	(5758, 'Owensboro Daviess County Airport', 'Owensboro', 'United States', 'OWB', 'KOWB', 37.7401, -87.1668, 406, -6, 'A', 'America/Chicago'),
	(5759, 'Hattiesburg Laurel Regional Airport', 'Hattiesburg/Laurel', 'United States', 'PIB', 'KPIB', 31.4671, -89.3371, 298, -6, 'A', 'America/Chicago'),
	(5760, 'Pocatello Regional Airport', 'Pocatello', 'United States', 'PIH', 'KPIH', 42.9098, -112.596, 4452, -7, 'A', 'America/Denver'),
	(5761, 'Pierre Regional Airport', 'Pierre', 'United States', 'PIR', 'KPIR', 44.3827, -100.286, 1742, -6, 'A', 'America/Chicago'),
	(5762, 'Pellston Regional Airport of Emmet County Airport', 'Pellston', 'United States', 'PLN', 'KPLN', 45.5709, -84.7967, 720, -5, 'A', 'America/New_York'),
	(5763, 'Pease International Tradeport', 'Portsmouth', 'United States', 'PSM', 'KPSM', 43.0779, -70.8233, 100, -5, 'A', 'America/New_York'),
	(5764, 'Reading Regional Carl A Spaatz Field', 'Reading', 'United States', 'RDG', 'KRDG', 40.3785, -75.9652, 344, -5, 'A', 'America/New_York'),
	(5765, 'Rhinelander Oneida County Airport', 'Rhinelander', 'United States', 'RHI', 'KRHI', 45.6312, -89.4675, 1624, -6, 'A', 'America/Chicago'),
	(5766, 'Rock Springs Sweetwater County Airport', 'Rock Springs', 'United States', 'RKS', 'KRKS', 41.5942, -109.065, 6760, -7, 'A', 'America/Denver'),
	(5767, 'Rutland State Airport', 'Rutland', 'United States', 'RUT', 'KRUT', 43.5294, -72.9496, 787, -5, 'A', 'America/New_York'),
	(5768, 'San Luis County Regional Airport', 'San Luis Obispo', 'United States', 'SBP', 'KSBP', 35.2368, -120.642, 212, -8, 'A', 'America/Los_Angeles'),
	(5769, 'Sheridan County Airport', 'Sheridan', 'United States', 'SHR', 'KSHR', 44.7692, -106.98, 4021, -7, 'A', 'America/Denver'),
	(5770, 'Adirondack Regional Airport', 'Saranac Lake', 'United States', 'SLK', 'KSLK', 44.3853, -74.2062, 1663, -5, 'A', 'America/New_York'),
	(5771, 'Salina Municipal Airport', 'Salina', 'United States', 'SLN', 'KSLN', 38.791, -97.6522, 1288, -6, 'A', 'America/Chicago'),
	(5772, 'Santa Maria Pub Cpt G Allan Hancock Airport', 'Santa Maria', 'United States', 'SMX', 'KSMX', 34.8989, -120.457, 261, -8, 'A', 'America/Los_Angeles'),
	(5773, 'Tupelo Regional Airport', 'Tupelo', 'United States', 'TUP', 'KTUP', 34.2681, -88.7699, 346, -6, 'A', 'America/Chicago'),
	(5774, 'Quincy Regional Baldwin Field', 'Quincy', 'United States', 'UIN', 'KUIN', 39.9427, -91.1946, 769, -6, 'A', 'America/Chicago'),
	(5775, 'Victoria Regional Airport', 'Victoria', 'United States', 'VCT', 'KVCT', 28.8526, -96.9185, 115, -6, 'A', 'America/Chicago'),
	(5776, 'Valdosta Regional Airport', 'Valdosta', 'United States', 'VLD', 'KVLD', 30.7825, -83.2767, 203, -5, 'A', 'America/New_York'),
	(5777, 'Worland Municipal Airport', 'Worland', 'United States', 'WRL', 'KWRL', 43.9657, -107.951, 4227, -7, 'A', 'America/Denver'),
	(5778, 'Kiwayu (Mkononi) Airport', 'Kiwayu', 'Kenya', 'KWY', '', -1.96056, 41.2975, 21, 3, 'U', 'Africa/Nairobi'),
	(5779, 'Yakima Air Terminal McAllister Field', 'Yakima', 'United States', 'YKM', 'KYKM', 46.5682, -120.544, 1095, -8, 'A', 'America/Los_Angeles'),
	(5780, 'Ercan International Airport', 'Nicosia', 'Cyprus', 'ECN', 'LCEN', 35.1547, 33.4961, 404, 2, 'E', 'Asia/Nicosia'),
	(5781, 'Logroño-Agoncillo Airport', 'Logroño-Agoncillo', 'Spain', 'RJL', 'LELO', 42.4542, -2.32083, 1161, 1, 'E', 'Europe/Madrid'),
	(5782, 'Île d\'Yeu Airport', 'Île d\'Yeu', 'France', 'IDY', 'LFEY', 46.718611, -2.391111, 79, 1, 'E', 'Europe/Paris'),
	(5783, 'Angers-Loire Airport', 'Angers/Marcé', 'France', 'ANE', 'LFJR', 47.5603, -0.312222, 194, 1, 'E', 'Europe/Paris'),
	(5786, 'La Môle Airport', 'La Môle', 'France', 'LTT', 'LFTZ', 43.2054, 6.482, 59, 1, 'E', 'Europe/Paris'),
	(5787, 'Syros Airport', 'Syros Island', 'Greece', 'JSY', 'LGSO', 37.422792, 24.950936, 236, 2, 'E', 'Europe/Athens'),
	(5788, 'Pécs-Pogány Airport', 'Pécs-Pogány', 'Hungary', 'PEV', 'LHPP', 45.990928, 18.240983, 1000, 1, 'N', 'Europe/Budapest'),
	(5789, 'Győr-Pér International Airport', 'Győr', 'Hungary', 'QGY', 'LHPR', 47.627097, 17.808347, 424, 1, 'N', 'Europe/Budapest'),
	(5790, 'Sármellék International Airport', 'Sármellék', 'Hungary', 'SOB', 'LHSM', 46.686389, 17.159056, 408, 1, 'N', 'Europe/Budapest'),
	(5791, 'Aosta Airport', 'Aosta', 'Italy', 'AOT', 'LIMW', 45.738456, 7.368719, 1791, 1, 'E', 'Europe/Rome'),
	(5792, 'Salerno Pontecagnano Airport', 'Salerno', 'Italy', 'QSR', 'LIRI', 40.6204, 14.911294, 123, 1, 'E', 'Europe/Rome'),
	(5793, 'Corvo Airport', 'Corvo', 'Portugal', 'CVU', 'LPCR', 39.6715, -31.1136, 0, -1, 'E', 'Atlantic/Azores'),
	(5794, 'Banja Luka International Airport', 'Banja Luka', 'Bosnia and Herzegovina', 'BNX', 'LQBK', 44.941444, 17.297501, 400, 1, 'E', 'Europe/Sarajevo'),
	(5795, 'Usak Airport', 'Usak', 'Turkey', 'USQ', 'LTBO', 38.681478, 29.471675, 2897, 2, 'E', 'Europe/Istanbul'),
	(5796, 'Kars Airport', 'Kars', 'Turkey', 'KSY', 'LTCF', 40.562222, 43.115002, 5889, 2, 'E', 'Europe/Istanbul'),
	(5797, 'Sanliurfa Airport', 'Sanliurfa', 'Turkey', 'SFQ', 'LTCH', 37.094261, 38.847103, 1483, 2, 'E', 'Europe/Istanbul'),
	(5798, 'Kahramanmaras Airport', 'Kahramanmaras', 'Turkey', 'KCM', 'LTCN', 37.539, 36.9534, 1723, 2, 'E', 'Europe/Istanbul'),
	(5799, 'Agri Airport', 'Agri', 'Turkey', 'AJI', 'LTCO', 39.6546, 43.0271, 5462, 2, 'E', 'Europe/Istanbul'),
	(5800, 'Adiyaman Airport', 'Adiyaman', 'Turkey', 'ADF', 'LTCP', 37.7314, 38.4689, 2216, 2, 'E', 'Europe/Istanbul'),
	(5801, 'Isparta Süleyman Demirel Airport', 'Isparta', 'Turkey', 'ISE', 'LTFC', 37.8554, 30.3684, 2835, 2, 'E', 'Europe/Istanbul'),
	(5802, 'Balikesir Korfez Airport', 'Balikesir Korfez', 'Turkey', 'EDO', 'LTFD', 39.5546, 27.0138, 50, 2, 'E', 'Europe/Istanbul'),
	(5803, 'Samsun-Çarşamba Airport', 'Samsun', 'Turkey', 'SZF', 'LTFH', 41.2545, 36.5671, 18, 2, 'E', 'Europe/Istanbul'),
	(5804, 'Misratah Airport', 'Misratah', 'Libya', 'MRA', '', 32.325, 15.061, 60, 2, 'N', 'Africa/Tripoli'),
	(5805, 'Ubari Airport', 'Ubari', 'Libya', 'QUB', '', 26.5675, 12.8231, 1387, 2, 'N', 'Africa/Tripoli'),
	(5806, 'Žilina Airport', 'Žilina', 'Slovakia', 'ILZ', 'LZZI', 49.231528, 18.6135, 1020, 1, 'E', 'Europe/Bratislava'),
	(5807, 'JAGS McCartney International Airport', 'Cockburn Town', 'Turks and Caicos Islands', 'GDT', 'MBGT', 21.4445, -71.1423, 13, -5, 'U', 'America/Grand_Turk'),
	(5808, 'Middle Caicos Airport', 'Middle Caicos', 'Turks and Caicos Islands', 'MDS', 'MBMC', 21.833, -71.817, 9, -5, 'U', 'America/Grand_Turk'),
	(5809, 'Salt Cay Airport', 'Salt Cay', 'Turks and Caicos Islands', 'SLX', 'MBSY', 21.333, -71.2, 3, -5, 'U', 'America/Grand_Turk'),
	(5810, 'Samaná El Catey International Airport', 'Samana', 'Dominican Republic', 'AZS', 'MDCY', 19.267, -69.742, 30, -4, 'U', 'America/Santo_Domingo'),
	(5811, 'Dr Joaquin Balaguer International Airport', 'La Isabela', 'Dominican Republic', 'JBQ', 'MDJB', 18.5725, -69.9856, 98, -4, 'U', 'America/Santo_Domingo'),
	(5812, 'Puerto Barrios Airport', 'Puerto Barrios', 'Guatemala', 'PBR', 'MGPB', 15.730878, -88.583767, 33, -6, 'U', 'America/Guatemala'),
	(5813, 'Quezaltenango Airport', 'Quezaltenango', 'Guatemala', 'AAZ', 'MGQZ', 14.8656, -91.502, 7779, -6, 'U', 'America/Guatemala'),
	(5814, 'Utirik Airport', 'Utirik Island', 'Marshall Islands', 'UTK', '03N', 11.222, 169.852, 4, 12, 'U', 'Pacific/Majuro'),
	(5815, 'Ailuk Airport', 'Ailuk Island', 'Marshall Islands', 'AIM', '', 10.2168, 169.983, 0, 12, 'U', 'Pacific/Majuro'),
	(5816, 'Aur Island Airport', 'Aur Atoll', 'Marshall Islands', 'AUL', '', 8.14528, 171.173, 0, 12, 'U', 'Pacific/Majuro'),
	(5817, 'Enyu Airfield', 'Bikini Atoll', 'Marshall Islands', 'BII', '', 11.5225, 165.565, 0, 12, 'U', 'Pacific/Majuro'),
	(5818, 'Jabot Airport', 'Ailinglapalap Atoll', 'Marshall Islands', 'JAT', '', 7.45235, 168.552, 0, 12, 'U', 'Pacific/Majuro'),
	(5819, 'Jeh Airport', 'Ailinglapalap Atoll', 'Marshall Islands', 'JEJ', '', 7.56535, 168.962, 0, 12, 'U', 'Pacific/Majuro'),
	(5820, 'Kaben Airport', 'Kaben', 'Marshall Islands', 'KBT', '', 8.90056, 170.844, 0, 12, 'U', 'Pacific/Majuro'),
	(5821, 'Likiep Airport', 'Likiep Island', 'Marshall Islands', 'LIK', '', 9.82316, 169.308, 0, 12, 'U', 'Pacific/Majuro'),
	(5822, 'Maloelap Island Airport', 'Maloelap Island', 'Marshall Islands', 'MAV', '', 8.70444, 171.23, 0, 12, 'U', 'Pacific/Majuro'),
	(5823, 'Mejit Atoll Airport', 'Mejit Atoll', 'Marshall Islands', 'MJB', 'Q30', 10.2833, 170.883, 5, 12, 'U', 'Pacific/Majuro'),
	(5824, 'Majkin Airport', 'Majkin', 'Marshall Islands', 'MJE', '', 7.833, 168.167, 0, 12, 'U', 'Pacific/Majuro'),
	(5825, 'Namorik Atoll Airport', 'Namorik Atoll', 'Marshall Islands', 'NDK', '3N0', 5.63167, 168.125, 15, 12, 'U', 'Pacific/Majuro'),
	(5826, 'Rongelap Island Airport', 'Rongelap Island', 'Marshall Islands', 'RNP', '', 11.1572, 166.887, 0, 12, 'U', 'Pacific/Majuro'),
	(5827, 'Jaluit Airport', 'Jabor Jaluit Atoll', 'Marshall Islands', 'UIT', 'N55', 5.90924, 169.637, 4, 12, 'U', 'Pacific/Majuro'),
	(5828, 'Woja Airport', 'Majuro Atoll', 'Marshall Islands', 'WJA', '', 7.083, 171.133, 0, 12, 'U', 'Pacific/Majuro'),
	(5829, 'Wotje Atoll Airport', 'Wotje Atoll', 'Marshall Islands', 'WTE', 'N36', 9.46667, 170.233, 4, 12, 'U', 'Pacific/Majuro'),
	(5830, 'Wotho Island Airport', 'Wotho Island', 'Marshall Islands', 'WTO', '', 10.1733, 166.003, 0, 12, 'U', 'Pacific/Majuro'),
	(5831, 'Ahuas Airport', 'Ahuas', 'Honduras', 'AHS', 'MHAH', 15.4722, -84.3522, 98, -6, 'U', 'America/Tegucigalpa'),
	(5832, 'Puerto Lempira Airport', 'Puerto Lempira', 'Honduras', 'PEU', 'MHPL', 15.2622, -83.7812, 25, -6, 'U', 'America/Tegucigalpa'),
	(5833, 'Mili Island Airport', 'Mili Island', 'Marshall Islands', 'MIJ', 'MLIP', 6.08333, 171.733, 4, 12, 'U', 'Pacific/Majuro'),
	(5834, 'Captain Rogelio Castillo National Airport', 'Celaya', 'Mexico', 'CYW', 'MMCY', 20.545994, -100.88655, 5709, -6, 'S', 'America/Mexico_City'),
	(5835, 'Ciudad Constitución Airport', 'Ciudad Constitución', 'Mexico', 'CUA', 'MMDA', 25.0538, -111.615, 213, -7, 'S', 'America/Mazatlan'),
	(5836, 'Guerrero Negro Airport', 'Guerrero Negro', 'Mexico', 'GUB', 'MMGR', 28.0261, -114.024, 59, -8, 'S', 'America/Tijuana'),
	(5837, 'Lencero Airport', 'Jalapa', 'Mexico', 'JAL', 'MMJA', 19.475083, -96.797506, 3127, -6, 'S', 'America/Mexico_City'),
	(5838, 'Alonso Valderrama Airport', 'Chitré', 'Panama', 'CTD', 'MPCE', 7.98784, -80.4097, 33, -5, 'U', 'America/Panama'),
	(5839, 'Enrique Adolfo Jimenez Airport', 'Colón', 'Panama', 'ONX', 'MPEJ', 9.35664, -79.8674, 25, -5, 'U', 'America/Panama'),
	(5840, 'Jaqué Airport', 'Jaqué', 'Panama', 'JQE', 'MPJE', 7.51778, -78.1572, 29, -5, 'U', 'America/Panama'),
	(5841, 'Captain Ramon Xatruch Airport', 'La Palma', 'Panama', 'PLP', 'MPLP', 8.40667, -78.1417, 30, -5, 'U', 'America/Panama'),
	(5842, 'Aerotortuguero Airport', 'Roxana', 'Costa Rica', 'TTQ', 'MRAO', 10.569, -83.5148, 82, -6, 'U', 'America/Costa_Rica'),
	(5843, 'Barra del Colorado Airport', 'Pococi', 'Costa Rica', 'BCL', 'MRBC', 10.768736, -83.585614, 3, -6, 'U', 'America/Costa_Rica'),
	(5844, 'Cabo Velas Airport', 'Nicoya', 'Costa Rica', 'TNO', 'MRCV', 10.3557, -85.852892, 33, -6, 'U', 'America/Costa_Rica'),
	(5845, 'Islita Airport', 'Nandayure', 'Costa Rica', 'PBP', 'MRIA', 9.85611, -85.3708, 7, -6, 'U', 'America/Costa_Rica'),
	(5847, 'Puerto Jimenez Airport', 'Puerto Jimenez', 'Costa Rica', 'PJM', 'MRPJ', 8.53333, -83.3, 7, -6, 'U', 'America/Costa_Rica'),
	(5848, 'Tobias Bolanos International Airport', 'San Jose', 'Costa Rica', 'SYQ', 'MRPV', 9.957053, -84.139797, 3287, -6, 'U', 'America/Costa_Rica'),
	(5849, 'Playa Samara Airport', 'Playa Samara', 'Costa Rica', 'PLD', 'MRSR', 10.25, -85.417, 10, -6, 'U', 'America/Costa_Rica'),
	(5850, 'Jeremie Airport', 'Jeremie', 'Haiti', 'JEE', 'MTJE', 18.6631, -74.1703, 147, -5, 'U', 'America/Port-au-Prince'),
	(5851, 'Port-de-Paix Airport', 'Port-de-Paix', 'Haiti', 'PAX', 'MTPX', 19.9336, -72.8486, 9, -5, 'U', 'America/Port-au-Prince'),
	(5852, 'Cayo Coco Airport', 'Cayo Coco', 'Cuba', 'CCC', 'MUOC', 22.5132, -78.511, 6, -5, 'U', 'America/Havana'),
	(5853, 'Alberto Delgado Airport', 'Trinidad', 'Cuba', 'TND', 'MUTD', 21.788461, -79.997203, 125, -5, 'U', 'America/Havana'),
	(5854, 'Salina Cruz Naval Air Station', 'Salina Cruz', 'Mexico', 'SCX', 'MM57', 16.2126, -95.2016, 75, -6, 'S', 'America/Mexico_City'),
	(5855, 'Long Banga Airport', 'Long Banga', 'Malaysia', 'LBP', '', 3.18495, 115.454, 750, 8, 'N', 'Asia/Kuala_Lumpur'),
	(5856, 'Congo Town Airport', 'Andros', 'Bahamas', 'COX', 'MYAK', 24.158933, -77.589758, 15, -5, 'U', 'America/Nassau'),
	(5857, 'Arthurs Town Airport', 'Arthur\'s Town', 'Bahamas', 'ATC', 'MYCA', 24.629417, -75.673775, 18, -5, 'U', 'America/Nassau'),
	(5858, 'New Bight Airport', 'Cat Island', 'Bahamas', 'CAT', 'MYCB', 24.315292, -75.452331, 5, -5, 'U', 'America/Nassau'),
	(5859, 'Colonel Hill Airport', 'Colonel Hill', 'Bahamas', 'CRI', 'MYCI', 22.745561, -74.182353, 5, -5, 'U', 'America/Nassau'),
	(5860, 'Nassau Paradise Island Airport', 'Nassau', 'Bahamas', 'PID', 'MYPI', 25.083, -77.3, 0, -5, 'U', 'America/Nassau'),
	(5861, 'Atiu Island Airport', 'Atiu Island', 'Cook Islands', 'AIU', 'NCAT', -19.9678, -158.119, 36, -10, 'U', 'Pacific/Rarotonga'),
	(5862, 'Mangaia Island Airport', 'Mangaia Island', 'Cook Islands', 'MGS', 'NCMG', -21.8956, -157.905, 45, -10, 'U', 'Pacific/Rarotonga'),
	(5863, 'Manihiki Island Airport', 'Manihiki Island', 'Cook Islands', 'MHX', 'NCMH', -10.3767, -161.002, 0, -10, 'U', 'Pacific/Rarotonga'),
	(5864, 'Mauke Airport', 'Mauke Island', 'Cook Islands', 'MUK', 'NCMK', -20.1361, -157.345, 26, -10, 'U', 'Pacific/Rarotonga'),
	(5865, 'Mitiaro Island Airport', 'Mitiaro Island', 'Cook Islands', 'MOI', 'NCMR', -19.8425, -157.703, 25, -10, 'U', 'Pacific/Rarotonga'),
	(5866, 'Penrhyn Island Airport', 'Penrhyn Island', 'Cook Islands', 'PYE', 'NCPY', -9.00667, -158.037, 8, -10, 'U', 'Pacific/Rarotonga'),
	(5867, 'Cicia Airport', 'Cicia', 'Fiji', 'ICI', 'NFCI', -17.7433, -179.342, 13, 12, 'U', 'Pacific/Fiji'),
	(5868, 'Malolo Lailai Island Airport', 'Malolo Lailai Island', 'Fiji', 'PTF', 'NFFO', -17.7779, 177.197, 10, 12, 'U', 'Pacific/Fiji'),
	(5869, 'Vunisea Airport', 'Vunisea', 'Fiji', 'KDV', 'NFKD', -19.0581, 178.157, 6, 12, 'U', 'Pacific/Fiji'),
	(5870, 'Mana Island Airport', 'Mana Island', 'Fiji', 'MNF', 'NFMA', -17.6731, 177.098, 0, 12, 'U', 'Pacific/Fiji'),
	(5871, 'Moala Airport', 'Moala', 'Fiji', 'MFJ', 'NFMO', -18.5667, 179.951, 13, 12, 'U', 'Pacific/Fiji'),
	(5872, 'Ngau Airport', 'Ngau', 'Fiji', 'NGI', 'NFNG', -18.1156, 179.34, 50, 12, 'U', 'Pacific/Fiji'),
	(5873, 'Lakeba Island Airport', 'Lakeba Island', 'Fiji', 'LKB', 'NFNK', -18.1992, -178.817, 280, 12, 'U', 'Pacific/Fiji'),
	(5874, 'Labasa Airport', 'Lambasa', 'Fiji', 'LBS', 'NFNL', -16.466749, 179.33986, 44, 12, 'U', 'Pacific/Fiji'),
	(5875, 'Matei Airport', 'Matei', 'Fiji', 'TVU', 'NFNM', -16.6906, -179.877, 60, 12, 'U', 'Pacific/Fiji'),
	(5876, 'Koro Island Airport', 'Koro Island', 'Fiji', 'KXF', 'NFNO', -17.3458, 179.422, 358, 12, 'U', 'Pacific/Fiji'),
	(5877, 'Rotuma Airport', 'Rotuma', 'Fiji', 'RTA', 'NFNR', -12.4825, 177.071, 22, 12, 'U', 'Pacific/Fiji'),
	(5878, 'Savusavu Airport', 'Savusavu', 'Fiji', 'SVU', 'NFNS', -16.8028, 179.341, 17, 12, 'U', 'Pacific/Fiji'),
	(5879, 'Kaufana Airport', 'Eua Island', 'Tonga', 'EUA', 'NFTE', -21.3783, -174.958, 325, 13, 'U', 'Pacific/Tongatapu'),
	(5880, 'Lifuka Island Airport', 'Lifuka', 'Tonga', 'HPA', 'NFTL', -19.777, -174.341, 31, 13, 'U', 'Pacific/Tongatapu'),
	(5881, 'Mata\'aho Airport', 'Angaha, Niuafo\'ou Island', 'Tonga', 'NFO', 'NFTO', -15.5708, -175.633, 160, 13, 'U', 'Pacific/Tongatapu'),
	(5882, 'Kuini Lavenia Airport', 'Niuatoputapu', 'Tonga', 'NTT', 'NFTP', -15.9767, -173.755, 0, 13, 'U', 'Pacific/Tongatapu'),
	(5883, 'Vanua Balavu Airport', 'Vanua Balavu', 'Fiji', 'VBV', 'NFVB', -17.269, -178.976, 76, 12, 'U', 'Pacific/Fiji'),
	(5884, 'Niue International Airport', 'Alofi', 'Niue', 'IUE', 'NIUE', -19.080028, -169.925639, 209, -11, 'U', 'Pacific/Niue'),
	(5885, 'Pointe Vele Airport', 'Futuna Island', 'Wallis and Futuna', 'FUT', 'NLWF', -14.3114, -178.066, 20, 12, 'U', 'Pacific/Wallis'),
	(5886, 'Mountain Airport', 'Mountain', 'Nepal', 'MWP', '', 28, 85.333, 0, 5.75, 'N', 'Asia/Katmandu'),
	(5887, 'Maota Airport', 'Savaii Island', 'Samoa', 'MXS', 'NSMA', -13.733, -172.3, 0, 13, 'U', 'Pacific/Apia'),
	(5888, 'Apataki Airport', 'Apataki', 'French Polynesia', 'APK', 'NTGD', -15.5736, -146.415, 8, -10, 'U', 'Pacific/Tahiti'),
	(5889, 'Ahe Airport', 'Ahe', 'French Polynesia', 'AHE', 'NTHE', -14.4281, -146.257, 11, -10, 'U', 'Pacific/Tahiti'),
	(5890, 'Hiva Oa-Atuona Airport', 'Hiva-oa', 'French Polynesia', 'AUQ', 'NTMN', -9.768794, -139.011256, 1481, -9.5, 'U', 'Pacific/Marquesas'),
	(5891, 'Ua Pou Airport', 'Ua Pou', 'French Polynesia', 'UAP', 'NTMP', -9.35167, -140.078, 16, -9.5, 'U', 'Pacific/Marquesas'),
	(5892, 'Ua Huka Airport', 'Ua Huka', 'French Polynesia', 'UAH', 'NTMU', -8.93611, -139.552, 160, -9.5, 'U', 'Pacific/Marquesas'),
	(5893, 'Mota Lava Airport', 'Ablow', 'Vanuatu', 'MTV', 'NVSA', -13.666, 167.712, 63, 11, 'U', 'Pacific/Efate'),
	(5894, 'Sola Airport', 'Sola', 'Vanuatu', 'SLH', 'NVSC', -13.8517, 167.537, 7, 11, 'U', 'Pacific/Efate'),
	(5895, 'Torres Airstrip', 'Loh/Linua', 'Vanuatu', 'TOH', 'NVSD', -13.328, 166.638, 0, 11, 'U', 'Pacific/Efate'),
	(5896, 'Sangafa Airport', 'Sangafa', 'Vanuatu', 'EAE', 'NVSE', -17.0903, 168.343, 7, 11, 'U', 'Pacific/Efate'),
	(5897, 'Craig Cove Airport', 'Craig Cove', 'Vanuatu', 'CCV', 'NVSF', -16.265, 167.924, 69, 11, 'U', 'Pacific/Efate'),
	(5898, 'Longana Airport', 'Longana', 'Vanuatu', 'LOD', 'NVSG', -15.3067, 167.967, 167, 11, 'U', 'Pacific/Efate'),
	(5899, 'Sara Airport', 'Pentecost Island', 'Vanuatu', 'SSR', 'NVSH', -15.4708, 168.152, 0, 11, 'U', 'Pacific/Efate'),
	(5900, 'Tavie Airport', 'Paama Island', 'Vanuatu', 'PBJ', 'NVSI', -16.439, 168.257, 0, 11, 'U', 'Pacific/Efate'),
	(5901, 'Lamap Airport', 'Lamap', 'Vanuatu', 'LPM', 'NVSL', -16.454, 167.823, 7, 11, 'U', 'Pacific/Efate'),
	(5902, 'Lamen Bay Airport', 'Lamen Bay', 'Vanuatu', 'LNB', 'NVSM', -16.5842, 168.159, 7, 11, 'U', 'Pacific/Efate'),
	(5903, 'Naone Airport', 'Maewo Island', 'Vanuatu', 'MWF', 'NVSN', -15, 168.083, 0, 11, 'U', 'Pacific/Efate'),
	(5904, 'Lonorore Airport', 'Lonorore', 'Vanuatu', 'LNE', 'NVSO', -15.8656, 168.172, 43, 11, 'U', 'Pacific/Efate'),
	(5905, 'Norsup Airport', 'Norsup', 'Vanuatu', 'NUS', 'NVSP', -16.0797, 167.401, 23, 11, 'U', 'Pacific/Efate'),
	(5906, 'Gaua Island Airport', 'Gaua Island', 'Vanuatu', 'ZGU', 'NVSQ', -14.2181, 167.587, 0, 11, 'U', 'Pacific/Efate'),
	(5907, 'Redcliffe Airport', 'Redcliffe', 'Vanuatu', 'RCL', 'NVSR', -15.472, 167.835, 36, 11, 'U', 'Pacific/Efate'),
	(5908, 'Santo Pekoa International Airport', 'Santo', 'Vanuatu', 'SON', 'NVSS', -15.505033, 167.219742, 184, 11, 'U', 'Pacific/Efate'),
	(5909, 'Tongoa Island Airport', 'Tongoa Island', 'Vanuatu', 'TGH', 'NVST', -16.8911, 168.551, 443, 11, 'U', 'Pacific/Efate'),
	(5910, 'Uléi Airport', 'Ambryn Island', 'Vanuatu', 'ULB', 'NVSU', -16.333, 168.283, 0, 11, 'U', 'Pacific/Efate'),
	(5911, 'Valesdir Airport', 'Valesdir', 'Vanuatu', 'VLS', 'NVSV', -16.7961, 168.177, 10, 11, 'U', 'Pacific/Efate'),
	(5912, 'Southwest Bay Airport', 'Malekula Island', 'Vanuatu', 'SWJ', 'NVSX', -16.495, 167.438, 0, 11, 'U', 'Pacific/Efate'),
	(5913, 'North West Santo Airport', 'Olpoi', 'Vanuatu', 'OLZ', 'NVSZ', -14.8817, 166.558, 0, 11, 'U', 'Pacific/Efate'),
	(5914, 'Anelghowhat Airport', 'Anelghowhat', 'Vanuatu', 'AUY', 'NVVA', -20.2492, 169.771, 7, 11, 'U', 'Pacific/Efate'),
	(5915, 'Aniwa Airport', 'Aniwa', 'Vanuatu', 'AWD', 'NVVB', -19.24, 169.605, 69, 11, 'U', 'Pacific/Efate'),
	(5916, 'Dillon\'s Bay Airport', 'Dillon\'s Bay', 'Vanuatu', 'DLY', 'NVVD', -18.7694, 169.001, 538, 11, 'U', 'Pacific/Efate'),
	(5917, 'Futuna Airport', 'Futuna Island', 'Vanuatu', 'FTA', 'NVVF', -19.5164, 170.232, 0, 11, 'U', 'Pacific/Efate'),
	(5918, 'Ipota Airport', 'Ipota', 'Vanuatu', 'IPA', 'NVVI', -18.8783, 169.308, 23, 11, 'U', 'Pacific/Efate'),
	(5919, 'Tiga Airport', 'Tiga', 'New Caledonia', 'TGJ', 'NWWA', -21.0961, 167.804, 128, 11, 'U', 'Pacific/Noumea'),
	(5920, 'Belep Islands Airport', 'Waala', 'New Caledonia', 'BMY', 'NWWC', -19.7206, 163.661, 306, 11, 'U', 'Pacific/Noumea'),
	(5921, 'Île des Pins Airport', 'Île des Pins', 'New Caledonia', 'ILP', 'NWWE', -22.5889, 167.456, 315, 11, 'U', 'Pacific/Noumea'),
	(5922, 'Faizabad Airport', 'Faizabad', 'Afghanistan', 'FBD', 'OAFZ', 37.1211, 70.5181, 3872, 4.5, 'U', 'Asia/Kabul'),
	(5924, 'Dawadmi Domestic Airport', 'Dawadmi', 'Saudi Arabia', 'DWD', 'OEDW', 24.5, 44.4, 3429, 3, 'U', 'Asia/Riyadh'),
	(5925, 'Al-Jawf Domestic Airport', 'Al-Jawf', 'Saudi Arabia', 'AJF', 'OESK', 29.785133, 40.100006, 2261, 3, 'U', 'Asia/Riyadh'),
	(5926, 'Wadi Al Dawasir Airport', 'Wadi-al-dawasir', 'Saudi Arabia', 'EWD', 'OEWD', 20.504275, 45.199556, 2062, 3, 'U', 'Asia/Riyadh'),
	(5927, 'Khoram Abad Airport', 'Khorram Abad', 'Iran', 'KHD', 'OICK', 33.435378, 48.282889, 3782, 3.5, 'E', 'Asia/Tehran'),
	(5928, 'Bam Airport', 'Bam', 'Iran', 'BXR', 'OIKM', 29.084169, 58.450042, 3231, 3.5, 'E', 'Asia/Tehran'),
	(5929, 'Rafsanjan Airport', 'Rafsanjan', 'Iran', 'RJN', 'OIKR', 30.297714, 56.051139, 5298, 3.5, 'E', 'Asia/Tehran'),
	(5930, 'Bojnourd Airport', 'Bojnourd', 'Iran', 'BJB', 'OIMN', 37.492958, 57.308219, 3499, 3.5, 'E', 'Asia/Tehran'),
	(5931, 'Sabzevar National Airport', 'Sabzevar', 'Iran', 'AFZ', 'OIMS', 36.168083, 57.595183, 3010, 3.5, 'E', 'Asia/Tehran'),
	(5932, 'Noshahr Airport', 'Noshahr', 'Iran', 'NSH', 'OINN', 36.663333, 51.464722, -61, 3.5, 'E', 'Asia/Tehran'),
	(5933, 'Sari Dasht E Naz Airport', 'Dasht-e-naz', 'Iran', 'SRY', 'OINZ', 36.635833, 53.193611, 35, 3.5, 'E', 'Asia/Tehran'),
	(5934, 'Lar Airport', 'Lar', 'Iran', 'LRR', 'OISL', 27.674725, 54.383278, 2641, 3.5, 'E', 'Asia/Tehran'),
	(5935, 'Ardabil Airport', 'Ardabil', 'Iran', 'ADU', 'OITL', 38.325678, 48.424356, 4315, 3.5, 'E', 'Asia/Tehran'),
	(5936, 'Uromiyeh Airport', 'Uromiyeh', 'Iran', 'OMH', 'OITR', 37.6681, 45.0687, 4343, 3.5, 'E', 'Asia/Tehran'),
	(5937, 'Al Ain International Airport', 'Al Ain', 'United Arab Emirates', 'AAN', 'OMAL', 24.261667, 55.609167, 869, 4, 'U', 'Asia/Dubai'),
	(5938, 'Bannu Airport', 'Bannu', 'Pakistan', 'BNP', 'OPBN', 32.9729, 70.5279, 1325, 5, 'N', 'Asia/Karachi'),
	(5939, 'Bahawalpur Airport', 'Bahawalpur', 'Pakistan', 'BHV', 'OPBW', 29.3481, 71.717981, 392, 5, 'N', 'Asia/Karachi'),
	(5940, 'Chitral Airport', 'Chitral', 'Pakistan', 'CJL', 'OPCH', 35.886592, 71.800578, 4920, 5, 'N', 'Asia/Karachi'),
	(5941, 'Dalbandin Airport', 'Dalbandin', 'Pakistan', 'DBA', 'OPDB', 28.8783, 64.3998, 2800, 5, 'N', 'Asia/Karachi'),
	(5942, 'Dera Ghazi Khan Airport', 'Dera Ghazi Khan', 'Pakistan', 'DEA', 'OPDG', 29.961011, 70.485925, 492, 5, 'N', 'Asia/Karachi'),
	(5943, 'Dera Ismael Khan Airport', 'Dera Ismael Khan', 'Pakistan', 'DSK', 'OPDI', 31.909422, 70.896639, 594, 5, 'N', 'Asia/Karachi'),
	(5944, 'Jiwani Airport', 'Jiwani', 'Pakistan', 'JIW', 'OPJI', 25.0678, 61.8054, 186, 5, 'N', 'Asia/Karachi'),
	(5945, 'Hyderabad Airport', 'Hyderabad', 'Pakistan', 'HDD', 'OPKD', 25.3181, 68.3661, 130, 5, 'N', 'Asia/Karachi'),
	(5946, 'Khuzdar Airport', 'Khuzdar', 'Pakistan', 'KDD', 'OPKH', 27.7906, 66.6473, 4012, 5, 'N', 'Asia/Karachi'),
	(5947, 'Ormara Airport', 'Ormara Raik', 'Pakistan', 'ORW', 'OPOR', 25.2747, 64.586, 10, 5, 'N', 'Asia/Karachi'),
	(5948, 'Parachinar Airport', 'Parachinar', 'Pakistan', 'PAJ', 'OPPC', 33.9021, 70.0716, 5800, 5, 'N', 'Asia/Karachi'),
	(5949, 'Skardu Airport', 'Skardu', 'Pakistan', 'KDU', 'OPSD', 35.335508, 75.536047, 7316, 5, 'N', 'Asia/Karachi'),
	(5950, 'Sehwan Sharif Airport', 'Sehwan Sharif', 'Pakistan', 'SYW', 'OPSN', 26.4731, 67.7172, 121, 5, 'N', 'Asia/Karachi'),
	(5951, 'Turbat International Airport', 'Turbat', 'Pakistan', 'TUK', 'OPTU', 25.986369, 63.030167, 498, 5, 'N', 'Asia/Karachi'),
	(5952, 'Sulaymaniyah International Airport', 'Sulaymaniyah', 'Iraq', 'ISU', 'ORSU', 35.5608, 45.3147, 2494, 3, 'U', 'Asia/Baghdad'),
	(5953, 'Kamishly Airport', 'Kamishly', 'Syria', 'KAC', 'OSKL', 37.020625, 41.191394, 1480, 2, 'E', 'Asia/Damascus'),
	(5954, 'Sayun International Airport', 'Sayun Intl', 'Yemen', 'GXF', 'OYSY', 15.966111, 48.7883, 2097, 3, 'U', 'Asia/Aden'),
	(5955, 'Bahia Piña Airport', 'Bahia Piña', 'Panama', 'BFQ', '', 7.583, -78.2, 14, -5, 'U', 'America/Panama'),
	(5956, 'EL Real Airport', 'El Real', 'Panama', 'ELE', '', 8.133, -77.7, 57, -5, 'U', 'America/Panama'),
	(5957, 'Contadora Airport', 'Contadora Island', 'Panama', 'OTD', '', 8.62876, -79.0347, 14, -5, 'U', 'America/Panama'),
	(5958, 'Sambu Airport', 'Boca de Sábalo', 'Panama', 'SAX', '', 8.017, -78.2, 32, -5, 'U', 'America/Panama'),
	(5959, 'Adak Airport', 'Adak Island', 'United States', 'ADK', 'PADK', 51.878, -176.646, 18, -9, 'A', 'America/Anchorage'),
	(5960, 'Gustavus Airport', 'Gustavus', 'United States', 'GST', 'PAGS', 58.4253, -135.707, 34, -9, 'A', 'America/Anchorage'),
	(5961, 'Skagway Airport', 'Skagway', 'United States', 'SGY', 'PAGY', 59.4601, -135.316, 44, -9, 'A', 'America/Anchorage'),
	(5962, 'Holy Cross Airport', 'Holy Cross', 'United States', 'HCR', 'PAHC', 62.1883, -159.775, 70, -9, 'A', 'America/Anchorage'),
	(5963, 'Haines Airport', 'Haines', 'United States', 'HNS', 'PAHN', 59.2438, -135.524, 15, -9, 'A', 'America/Anchorage'),
	(5964, 'Kalskag Airport', 'Kalskag', 'United States', 'KLG', 'PALG', 61.5363, -160.341, 55, -9, 'A', 'America/Anchorage'),
	(5965, 'McGrath Airport', 'Mcgrath', 'United States', 'MCG', 'PAMC', 62.9529, -155.606, 338, -9, 'A', 'America/Anchorage'),
	(5966, 'Mountain Village Airport', 'Mountain Village', 'United States', 'MOU', 'PAMO', 62.0954, -163.682, 337, -9, 'A', 'America/Anchorage'),
	(5967, 'Aniak Airport', 'Aniak', 'United States', 'ANI', 'PANI', 61.5816, -159.543, 88, -9, 'A', 'America/Anchorage'),
	(5968, 'Chevak Airport', 'Chevak', 'United States', 'VAK', 'PAVA', 61.5338, -165.584, 75, -9, 'A', 'America/Anchorage'),
	(5969, 'Wrangell Airport', 'Wrangell', 'United States', 'WRG', 'PAWG', 56.4843, -132.37, 44, -9, 'A', 'America/Anchorage'),
	(5970, 'Tadji Airport', 'Aitape', 'Papua New Guinea', 'ATP', '', -3.18985, 142.43, 48, 10, 'U', 'Pacific/Port_Moresby'),
	(5971, 'Gasmata Island Airport', 'Gasmata Island', 'Papua New Guinea', 'GMI', '', -6.27111, 150.331, 23, 10, 'U', 'Pacific/Port_Moresby'),
	(5972, 'Ihu Airport', 'Ihu', 'Papua New Guinea', 'IHU', '', -7.89756, 145.396, 47, 10, 'U', 'Pacific/Port_Moresby'),
	(5973, 'Nissan Island Airport', 'Nissan Island', 'Papua New Guinea', 'IIS', '', -4.49972, 154.226, 52, 10, 'U', 'Pacific/Port_Moresby'),
	(5974, 'Jacquinot Bay Airport', 'Jacquinot Bay', 'Papua New Guinea', 'JAQ', '', -5.6525, 151.507, 136, 10, 'U', 'Pacific/Port_Moresby'),
	(5975, 'Kandrian Airport', 'Kandrian', 'Papua New Guinea', 'KDR', '', -6.183, 149.533, 280, 10, 'U', 'Pacific/Port_Moresby'),
	(5976, 'Kokoda Airport', 'Kokoda', 'Papua New Guinea', 'KKD', '', -8.88468, 147.731, 1240, 10, 'U', 'Pacific/Port_Moresby'),
	(5977, 'Kamusi Airport', 'Kamusi', 'Papua New Guinea', 'KUY', '', -7.42035, 143.122, 0, 10, 'U', 'Pacific/Port_Moresby'),
	(5978, 'Lake Murray Airport', 'Lake Murray', 'Papua New Guinea', 'LMY', '', -7.00992, 141.494, 52, 10, 'U', 'Pacific/Port_Moresby'),
	(5979, 'Londolovit Airport', 'Londolovit', 'Papua New Guinea', 'LNV', '', -3.04361, 152.629, 167, 10, 'U', 'Pacific/Port_Moresby'),
	(5980, 'Losuia Airport', 'Losuia', 'Papua New Guinea', 'LSA', '', -8.50582, 151.081, 27, 10, 'U', 'Pacific/Port_Moresby'),
	(5981, 'Obo Airport', 'Obo', 'Papua New Guinea', 'OBX', '', -7.583, 141.317, 29, 10, 'U', 'Pacific/Port_Moresby'),
	(5982, 'Balimo Airport', 'Balimo', 'Papua New Guinea', 'OPU', '', -8.05, 142.933, 51, 10, 'U', 'Pacific/Port_Moresby'),
	(5983, 'Suki Airport', 'Suki', 'Papua New Guinea', 'SKC', '', -8.033, 141.717, 24, 10, 'U', 'Pacific/Port_Moresby'),
	(5984, 'Tufi Airport', 'Tufi', 'Papua New Guinea', 'TFI', '', -9.07595, 149.32, 85, 10, 'U', 'Pacific/Port_Moresby'),
	(5985, 'Nuku Airport', 'Nuku', 'Papua New Guinea', 'UKU', '', -3.667, 142.483, 750, 10, 'U', 'Pacific/Port_Moresby'),
	(5986, 'Baimuru Airport', 'Baimuru', 'Papua New Guinea', 'VMU', '', -7.49686, 144.82, 27, 10, 'U', 'Pacific/Port_Moresby'),
	(5987, 'Wipim Airport', 'Wipim', 'Papua New Guinea', 'WPM', '', -8.78822, 142.882, 173, 10, 'U', 'Pacific/Port_Moresby'),
	(5988, 'El Nido Airport', 'El Nido', 'Philippines', 'ENI', '', 11.202, 119.417, 0, 8, 'N', 'Asia/Manila'),
	(5989, 'Kalaupapa Airport', 'Molokai', 'United States', 'LUP', 'PHLU', 21.211, -156.974, 24, -10, 'A', 'Pacific/Honolulu'),
	(5990, 'Eniwetok Airport', 'Eniwetok Atoll', 'Marshall Islands', 'ENT', 'PKMA', 11.34075, 162.327861, 13, 12, 'U', 'Pacific/Majuro'),
	(5991, 'Matsu Nangan Airport', 'Matsu Islands', 'Taiwan', 'LZN', 'RCFG', 26.1598, 119.958, 232, 8, 'U', 'Asia/Taipei'),
	(5992, 'Hengchun Airport', 'Hengchun', 'Taiwan', 'HCN', 'RCKW', 22.041075, 120.730208, 46, 8, 'U', 'Asia/Taipei'),
	(5993, 'Matsu Beigan Airport', 'Matsu Islands', 'Taiwan', 'MFK', 'RCMT', 26.224153, 120.00275, 41, 8, 'U', 'Asia/Taipei'),
	(5994, 'Kushiro Airport', 'Kushiro', 'Japan', 'KUH', 'RJCK', 43.041, 144.193, 327, 9, 'U', 'Asia/Tokyo'),
	(5995, 'Okadama Airport', 'Sapporo', 'Japan', 'OKD', 'RJCO', 43.1161, 141.38, 25, 9, 'U', 'Asia/Tokyo'),
	(5996, 'Saga Airport', 'Saga', 'Japan', 'HSG', 'RJFS', 33.1497, 130.302, 6, 9, 'N', 'Asia/Tokyo'),
	(5997, 'Nagoya Airport', 'Nagoya', 'Japan', 'NKM', 'RJNA', 35.255, 136.924, 52, 9, 'U', 'Asia/Tokyo'),
	(5998, 'Iwami Airport', 'Iwami', 'Japan', 'IWJ', 'RJOW', 34.6764, 131.79, 184, 9, 'U', 'Asia/Tokyo'),
	(5999, 'Fukushima Airport', 'Fukushima', 'Japan', 'FKS', 'RJSF', 37.2274, 140.431, 1221, 9, 'U', 'Asia/Tokyo'),
	(6000, 'Odate Noshiro Airport', 'Odate Noshiro', 'Japan', 'ONJ', 'RJSR', 40.1919, 140.371, 292, 9, 'U', 'Asia/Tokyo'),
	(6001, 'Shonai Airport', 'Shonai', 'Japan', 'SYO', 'RJSY', 38.812222, 139.787222, 86, 9, 'U', 'Asia/Tokyo'),
	(6002, 'Miyakejima Airport', 'Miyakejima', 'Japan', 'MYE', 'RJTQ', 34.0736, 139.56, 67, 9, 'U', 'Asia/Tokyo'),
	(6003, 'Kunsan Air Base', 'Kunsan', 'South Korea', 'KUV', 'RKJK', 35.903756, 126.615906, 29, 9, 'U', 'Asia/Seoul'),
	(6004, 'Mokpo Airport', 'Mokpo', 'South Korea', 'MPK', 'RKJM', 34.758906, 126.379872, 23, 9, 'U', 'Asia/Seoul'),
	(6005, 'Wonju Airport', 'Wonju', 'South Korea', 'WJU', 'RKNW', 37.438081, 127.960383, 329, 9, 'U', 'Asia/Seoul'),
	(6006, 'Yangyang International Airport', 'Sokcho / Gangneung', 'South Korea', 'YNY', 'RKNY', 38.061311, 128.669164, 241, 9, 'U', 'Asia/Seoul'),
	(6007, 'Sacheon Air Base', 'Sacheon', 'South Korea', 'HIN', 'RKPS', 35.088543, 128.07037, 25, 9, 'U', 'Asia/Seoul'),
	(6008, 'Cheongju International Airport', 'Chongju', 'South Korea', 'CJJ', 'RKTU', 36.7166, 127.499119, 191, 9, 'U', 'Asia/Seoul'),
	(6009, 'Subic Bay International Airport', 'Olongapo City', 'Philippines', 'SFS', 'RPLB', 14.7944, 120.271, 64, 8, 'N', 'Asia/Manila'),
	(6010, 'Cuyo Airport', 'Cuyo', 'Philippines', 'CYU', 'RPLO', 10.8581, 121.069, 0, 8, 'N', 'Asia/Manila'),
	(6011, 'General Santos International Airport', 'General Santos City', 'Philippines', 'GES', 'RPMB', 6.106439, 125.2353, 28, 8, 'N', 'Asia/Manila'),
	(6012, 'Camiguin Airport', 'Camiguin', 'Philippines', 'CGM', 'RPMH', 9.25352, 124.707, 53, 8, 'N', 'Asia/Manila'),
	(6013, 'Jolo Airport', 'Jolo', 'Philippines', 'JOL', 'RPMJ', 6.05367, 121.011, 118, 8, 'N', 'Asia/Manila'),
	(6014, 'Sanga Sanga Airport', 'Sanga Sanga', 'Philippines', 'SGS', 'RPMN', 5.04699, 119.743, 15, 8, 'N', 'Asia/Manila'),
	(6016, 'Surigao Airport', 'Sangley Point', 'Philippines', 'SUG', 'RPMS', 9.757567, 125.479328, 20, 8, 'N', 'Asia/Manila'),
	(6017, 'Tandag Airport', 'Tandag', 'Philippines', 'TDG', 'RPMW', 9.07211, 126.171, 16, 8, 'N', 'Asia/Manila'),
	(6018, 'Naga Airport', 'Naga', 'Philippines', 'WNP', 'RPUN', 13.584886, 123.270239, 142, 8, 'N', 'Asia/Manila'),
	(6019, 'Basco Airport', 'Basco', 'Philippines', 'BSO', 'RPUO', 20.451322, 121.979883, 291, 8, 'N', '\\N'),
	(6020, 'San Fernando Airport', 'San Fernando', 'Philippines', 'SFE', 'RPUS', 16.595589, 120.303219, 13, 8, 'N', 'Asia/Manila'),
	(6021, 'Tuguegarao Airport', 'Tuguegarao', 'Philippines', 'TUG', 'RPUT', 17.638311, 121.730614, 70, 8, 'N', 'Asia/Manila'),
	(6022, 'Virac Airport', 'Virac', 'Philippines', 'VRC', 'RPUV', 13.576439, 124.205672, 121, 8, 'N', 'Asia/Manila'),
	(6023, 'Calbayog Airport', 'Calbayog City', 'Philippines', 'CYP', 'RPVC', 12.072706, 124.545092, 12, 8, 'N', 'Asia/Manila'),
	(6024, 'Catarman National Airport', 'Catarman', 'Philippines', 'CRM', 'RPVF', 12.502417, 124.635778, 6, 8, 'N', 'Asia/Manila'),
	(6025, 'Masbate Airport', 'Masbate', 'Philippines', 'MBT', 'RPVJ', 12.3694, 123.629, 26, 8, 'N', 'Asia/Manila'),
	(6026, 'Roxas Airport', 'Roxas City', 'Philippines', 'RXS', 'RPVR', 11.597669, 122.751669, 10, 8, 'N', 'Asia/Manila'),
	(6027, 'General Enrique Mosconi Airport', 'Tartagal', 'Argentina', 'TTG', 'SAST', -22.619167, -63.793189, 1472, -3, 'N', 'America/Cordoba'),
	(6028, 'Las Heras Airport', 'Las Heras', 'Argentina', 'LHS', 'SAVH', -46.533056, -68.951111, 1082, -3, 'N', 'America/Cordoba'),
	(6029, 'Antoine De St Exupery Airport', 'San Antonio Oeste', 'Argentina', 'OES', 'SAVN', -40.7512, -65.0343, 85, -3, 'N', 'America/Cordoba'),
	(6030, 'Lago Argentino Airport', 'El Calafate', 'Argentina', 'ING', 'SAWA', -50.3361, -72.2486, 732, -3, 'N', 'America/Cordoba'),
	(6031, 'Gobernador Gregores Airport', 'Gobernador Gregores', 'Argentina', 'GGS', 'SAWR', -48.7831, -70.15, 356, -3, 'N', 'America/Cordoba'),
	(6032, 'Santa Teresita Airport', 'Santa Teresita', 'Argentina', 'SST', 'SAZL', -36.542317, -56.721756, 9, -3, 'N', 'America/Cordoba'),
	(6033, 'Necochea Airport', 'Necochea', 'Argentina', 'NEC', 'SAZO', -38.483056, -58.817222, 72, -3, 'N', 'America/Cordoba'),
	(6034, 'Orlando Bezerra de Menezes Airport', 'Juazeiro Do Norte', 'Brazil', 'JDO', 'SBJU', -7.218958, -39.2701, 1392, -3, 'S', 'America/Fortaleza'),
	(6036, 'Chapada Diamantina Airport', 'Lençóis', 'Brazil', 'LEC', 'SBLE', -12.4823, -41.277, 1676, -3, 'S', 'America/Fortaleza'),
	(6037, 'Macaé Airport', 'Macaé', 'Brazil', 'MEA', 'SBME', -22.343, -41.766, 8, -3, 'S', 'America/Sao_Paulo'),
	(6038, 'Marília Airport', 'Marília', 'Brazil', 'MII', 'SBML', -22.196892, -49.9264, 2122, -3, 'S', 'America/Sao_Paulo'),
	(6039, 'Vitória da Conquista Airport', 'Vitória Da Conquista', 'Brazil', 'VDC', 'SBQV', -14.862761, -40.863106, 2998, -3, 'S', 'America/Fortaleza'),
	(6040, 'Santa Maria Airport', 'Santa Maria', 'Brazil', 'RIA', 'SBSM', -29.711358, -53.688153, 287, -3, 'S', 'America/Sao_Paulo'),
	(6041, 'Toledo Airport', 'Toledo', 'Brazil', 'TOW', 'SBTD', -24.6863, -53.6975, 1843, -3, 'S', 'America/Sao_Paulo'),
	(6042, 'Ricardo García Posada Airport', 'El Salvador', 'Chile', 'ESR', 'SCES', -26.3111, -69.7652, 5240, -4, 'S', 'America/Santiago'),
	(6043, 'Pucón Airport', 'Pucon', 'Chile', 'ZPC', 'SCPC', -39.2928, -71.9159, 853, -4, 'S', 'America/Santiago'),
	(6044, 'Sorocaba Airport', 'Sorocaba', 'Brazil', 'SOD', 'SDCO', -23.478, -47.49, 2077, -3, 'S', 'America/Sao_Paulo'),
	(6045, 'San Cristóbal Airport', 'San Cristóbal', 'Ecuador', 'SCY', 'SEST', -0.910206, -89.61745, 62, -6, 'U', 'Pacific/Galapagos'),
	(6046, 'Camilo Ponce Enriquez Airport', 'La Toma (Catamayo)', 'Ecuador', 'LOH', 'SETM', -3.99589, -79.3719, 4056, -5, 'U', 'America/Guayaquil'),
	(6047, 'General Rivadeneira Airport', 'Esmeraldas', 'Ecuador', 'ESM', 'SETN', 0.978519, -79.6266, 32, -5, 'U', 'America/Guayaquil'),
	(6048, 'Stanley Airport', 'Stanley', 'Falkland Islands', 'PSY', 'SFAL', -51.685672, -57.777644, 75, -3, 'U', 'Atlantic/Stanley'),
	(6049, 'Santa Ana Airport', 'Cartago', 'Colombia', 'CRC', 'SKGO', 4.758181, -75.955753, 2979, -5, 'U', 'America/Bogota'),
	(6050, 'La Jagua Airport', 'Garzón', 'Colombia', 'GLJ', 'SKGZ', 2.17, -75.67, 2620, -5, 'U', 'America/Bogota'),
	(6051, 'Caucaya Airport', 'Puerto Leguízamo', 'Colombia', 'LQM', 'SKLG', -0.18, -74.77, 573, -5, 'U', 'America/Bogota'),
	(6052, 'La Pedrera Airport', 'La Pedrera', 'Colombia', 'LPD', 'SKLP', -1.33, -69.58, 590, -5, 'U', 'America/Bogota'),
	(6053, 'Reyes Murillo Airport', 'Nuquí', 'Colombia', 'NQU', 'SKNQ', 5.7, -77.28, 12, -5, 'U', 'America/Bogota'),
	(6054, 'Obando Airport', 'Puerto Inírida', 'Colombia', 'PDA', 'SKPD', 3.85, -67.91, 460, -5, 'U', 'America/Bogota'),
	(6055, 'El Alcaraván Airport', 'Yopal', 'Colombia', 'EYP', 'SKYP', 5.319114, -72.383975, 1028, -5, 'U', 'America/Bogota'),
	(6056, 'Capitán de Av. Emilio Beltrán Airport', 'Guayaramerín', 'Bolivia', 'GYA', 'SLGY', -10.8206, -65.3456, 557, -4, 'U', 'America/La_Paz'),
	(6057, 'Puerto Rico Airport', 'Puerto Rico/Manuripi', 'Bolivia', 'PUR', 'SLPR', -11.1077, -67.5512, 597, -4, 'U', 'America/La_Paz'),
	(6058, 'Capitán Av. Selin Zeitun Lopez Airport', 'Riberalta', 'Bolivia', 'RIB', 'SLRI', -11, -66, 462, -4, 'U', 'America/La_Paz'),
	(6059, 'Reyes Airport', 'Reyes', 'Bolivia', 'REY', 'SLRY', -14.3044, -67.3534, 935, -4, 'U', 'America/La_Paz'),
	(6060, 'Capitán Av. German Quiroga G. Airport', 'San Borja', 'Bolivia', 'SRJ', 'SLSB', -14.8592, -66.7375, 633, -4, 'U', 'America/La_Paz'),
	(6061, 'Zorg en Hoop Airport', 'Paramaribo', 'Suriname', 'ORG', 'SMZO', 5.81108, -55.1907, 10, -3, 'U', 'America/Paramaribo'),
	(6062, 'Mucuri Airport', 'Mucuri', 'Brazil', 'MVS', 'SNMU', -18.0489, -39.8642, 276, -3, 'S', 'America/Fortaleza'),
	(6063, 'Boorama Airport', 'Boorama', 'Somalia', 'BXX', '', 9.933, 43.15, 0, 3, 'U', 'Africa/Mogadishu'),
	(6064, 'Gatokae Airport', 'Gatokae', 'Solomon Islands', 'GTA', '', -8.75, 158.2, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(6065, 'Caballococha Airport', 'Caballococha', 'Peru', 'LHC', 'SPBC', -3.916858, -70.508225, 328, -5, 'U', 'America/Lima'),
	(6066, 'Mayor General FAP Armando Revoredo Iglesias Airport', 'Cajamarca', 'Peru', 'CJA', 'SPJR', -7.139183, -78.4894, 8781, -5, 'U', 'America/Lima'),
	(6067, 'Alferez Fap David Figueroa Fernandini Airport', 'Huánuco', 'Peru', 'HUU', 'SPNC', -9.878811, -76.204797, 6070, -5, 'U', 'America/Lima'),
	(6068, 'Maria Reiche Neuman Airport', 'Nazca', 'Peru', 'NZA', 'SPZA', -14.854192, -74.961811, 1860, -5, 'U', 'America/Lima'),
	(6069, 'Santa Rosa Airport', 'Santa Rosa', 'Brazil', 'SRA', 'SSZR', -27.9067, -54.5204, 984, -3, 'S', 'America/Sao_Paulo'),
	(6070, 'El Jaguel / Punta del Este Airport', 'Maldonado', 'Uruguay', 'MDO', 'SUPE', -34.917, -54.917, 66, -3, 'S', 'America/Montevideo'),
	(6071, 'Escuela Mariscal Sucre Airport', 'Maracay', 'Venezuela', 'MYC', 'SVBS', 10.249978, -67.649419, 1338, -4.5, 'U', 'America/Caracas'),
	(6072, 'Juan Pablo Pérez Alfonso Airport', 'El Vigía', 'Venezuela', 'VIG', 'SVVG', 8.6241, -71.672819, 250, -4.5, 'U', 'America/Caracas'),
	(6073, 'Ji-Paraná Airport', 'Ji-Paraná', 'Brazil', 'JPR', 'SWJI', -10.8708, -61.8465, 598, -4, 'S', 'America/Boa_Vista'),
	(6074, 'Codrington Airport', 'Codrington', 'Antigua and Barbuda', 'BBQ', 'TAPH', 17.6358, -61.8286, 15, -4, 'U', 'America/Antigua'),
	(6075, 'La Désirade Airport', 'Grande Anse', 'Guadeloupe', 'DSD', 'TFFA', 16.2969, -61.0844, 10, -4, 'U', 'America/Guadeloupe'),
	(6076, 'Baillif Airport', 'Basse Terre', 'Guadeloupe', 'BBR', 'TFFB', 16.0133, -61.7422, 59, -4, 'U', 'America/Guadeloupe'),
	(6077, 'St-François Airport', 'St-François', 'Guadeloupe', 'SFC', 'TFFC', 16.2578, -61.2625, 10, -4, 'U', 'America/Guadeloupe'),
	(6078, 'Les Bases Airport', 'Grand Bourg', 'Guadeloupe', 'GBJ', 'TFFM', 15.86875, -61.270022, 16, -4, 'U', 'America/Guadeloupe'),
	(6079, 'Vance Winkworth Amory International Airport', 'Charlestown', 'Saint Kitts and Nevis', 'NEV', 'TKPN', 17.205678, -62.589869, 14, -4, 'U', 'America/St_Kitts'),
	(6080, 'Virgin Gorda Airport', 'Spanish Town', 'British Virgin Islands', 'VIJ', 'TUPW', 18.4464, -64.4275, 9, -4, 'U', 'America/Tortola'),
	(6081, 'J F Mitchell Airport', 'Bequia', 'Saint Vincent and the Grenadines', 'BQU', 'TVSB', 12.988444, -61.262033, 15, -4, 'U', 'America/St_Vincent'),
	(6082, 'Union Island International Airport', 'Union Island', 'Saint Vincent and the Grenadines', 'UNI', 'TVSU', 12.583, -61.417, 16, -4, 'U', 'America/St_Vincent'),
	(6083, 'Kokshetau Airport', 'Kokshetau', 'Kazakhstan', 'KOV', 'UACK', 53.3291, 69.5946, 900, 6, 'U', 'Asia/Qyzylorda'),
	(6084, 'Petropavlosk South Airport', 'Petropavlosk', 'Kazakhstan', 'PPK', 'UACP', 54.7747, 69.1839, 453, 6, 'U', 'Asia/Qyzylorda'),
	(6085, 'Zhezkazgan Airport', 'Zhezkazgan', 'Kazakhstan', 'DZN', 'UAKD', 47.708333, 67.733333, 1250, 6, 'U', 'Asia/Qyzylorda'),
	(6086, 'Ust Kamenogorsk Airport', 'Ust Kamenogorsk', 'Kazakhstan', 'UKK', 'UASK', 50.0366, 82.4942, 939, 6, 'U', 'Asia/Qyzylorda'),
	(6088, 'Kostanay West Airport', 'Kostanay', 'Kazakhstan', 'KSN', 'UAUU', 53.206944, 63.550278, 595, 6, 'U', 'Asia/Qyzylorda'),
	(6089, 'Ganja Airport', 'Ganja', 'Azerbaijan', 'KVD', 'UBBG', 40.7377, 46.3176, 1083, 4, 'E', 'Asia/Baku'),
	(6090, 'Nakhchivan Airport', 'Nakhchivan', 'Azerbaijan', 'NAJ', 'UBBN', 39.1888, 45.4584, 2863, 4, 'E', 'Asia/Baku'),
	(6091, 'Chulman', 'Neryungri', 'Russia', 'CNN', 'UELL', 56.9139, 124.914, 2812, 10, 'N', 'Asia/Yakutsk'),
	(6092, 'Poliarny Airport', 'Yakutia', 'Russia', 'PYJ', 'UERP', 66.400431, 112.030325, 1660, 10, 'N', 'Asia/Yakutsk'),
	(6093, 'Chokurdakh Airport', 'Chokurdah', 'Russia', 'CKH', 'UESO', 70.6231, 147.902, 151, 12, 'N', 'Asia/Magadan'),
	(6094, 'Cherskiy Airport', 'Cherskiy', 'Russia', 'CYX', 'UESS', 68.7406, 161.338, 20, 12, 'N', 'Asia/Magadan'),
	(6095, 'Tiksi Airport', 'Tiksi', 'Russia', 'IKS', 'UEST', 71.6977, 128.903, 26, 10, 'N', 'Asia/Yakutsk'),
	(6096, 'Moyo Airport', 'Moyo', 'Uganda', 'OYG', '', 3.633, 31.75, 0, 3, 'U', 'Africa/Kampala'),
	(6097, 'Komsomolsk-on-Amur Airport', 'Komsomolsk-on-Amur', 'Russia', 'KXK', 'UHKK', 50.4094, 136.934, 92, 11, 'N', 'Asia/Vladivostok'),
	(6098, 'Ugolny Airport', 'Anadyr', 'Russia', 'DYR', 'UHMA', 64.73495, 177.741483, 194, 12, 'N', 'Asia/Magadan'),
	(6099, 'Okhotsk Airport', 'Okhotsk', 'Russia', 'OHO', 'UHOO', 59.4101, 143.057, 0, 11, 'N', 'Asia/Vladivostok'),
	(6100, 'Ujae Atoll Airport', 'Ujae Atoll', 'Marshall Islands', 'UJE', 'UJAP', 8.92806, 165.762, 0, 12, 'U', 'Pacific/Majuro'),
	(6101, 'Mariupol International Airport', 'Mariupol International', 'Ukraine', 'MPW', 'UKCM', 47.0761, 37.4496, 251, 2, 'E', 'Europe/Kiev'),
	(6102, 'Luhansk International Airport', 'Lugansk', 'Ukraine', 'VSG', 'UKCW', 48.4174, 39.3741, 636, 2, 'E', 'Europe/Kiev'),
	(6103, 'Zaporizhzhia International Airport', 'Zaporozhye', 'Ukraine', 'OZH', 'UKDE', 47.867, 35.3157, 373, 2, 'E', 'Europe/Kiev'),
	(6104, 'Lozuvatka International Airport', 'Krivoy Rog', 'Ukraine', 'KWG', 'UKDR', 48.0433, 33.21, 408, 2, 'E', 'Europe/Kiev'),
	(6105, 'Osnova International Airport', 'Kharkov', 'Ukraine', 'HRK', 'UKHH', 49.924786, 36.289986, 508, 2, 'E', 'Europe/Kiev'),
	(6106, 'Ivano Frankivsk International Airport', 'Ivano-Frankivsk', 'Ukraine', 'IFO', 'UKLI', 48.884167, 24.686111, 919, 2, 'E', 'Europe/Kiev'),
	(6107, 'Chernivtsi International Airport', 'Chernovtsk', 'Ukraine', 'CWC', 'UKLN', 48.259322, 25.980831, 826, 2, 'E', 'Europe/Kiev'),
	(6108, 'Rivne International Airport', 'Rivne', 'Ukraine', 'RWN', 'UKLR', 50.6071, 26.1416, 755, 2, 'E', 'Europe/Kiev'),
	(6109, 'Uzhhorod International Airport', 'Uzhgorod', 'Ukraine', 'UDJ', 'UKLU', 48.634278, 22.263356, 383, 2, 'E', 'Europe/Kiev'),
	(6110, 'Solovki Airport', 'Solovetsky Islands', 'Russia', 'CSH', 'ULAS', 65.03, 35.7333, 0, 4, 'N', 'Europe/Moscow'),
	(6111, 'Cherepovets Airport', 'Cherepovets', 'Russia', 'CEE', 'ULBC', 59.2736, 38.0158, 377, 4, 'N', 'Europe/Moscow'),
	(6112, 'Amderma Airport', 'Amderma', 'Russia', 'AMV', 'ULDD', 69.7633, 61.5564, 13, 4, 'N', 'Europe/Moscow'),
	(6113, 'Kotlas Airport', 'Kotlas', 'Russia', 'KSZ', 'ULKK', 61.2358, 46.6975, 184, 4, 'N', 'Europe/Moscow'),
	(6114, 'Petrozavodsk Airport', 'Petrozavodsk', 'Russia', 'PES', 'ULPB', 61.8852, 34.1547, 151, 4, 'N', 'Europe/Moscow'),
	(6115, 'Hrodno Airport', 'Hrodna', 'Belarus', 'GNA', 'UMMG', 53.602, 24.0538, 443, 3, 'E', 'Europe/Minsk'),
	(6116, 'Mogilev Airport', 'Mogilev', 'Belarus', 'MVQ', 'UMOO', 53.9549, 30.0951, 637, 3, 'E', 'Europe/Minsk'),
	(6117, 'Yeniseysk Airport', 'Yeniseysk', 'Russia', 'EIE', 'UNII', 58.4742, 92.1125, 253, 8, 'N', 'Asia/Krasnoyarsk'),
	(6118, 'Kyzyl Airport', 'Kyzyl', 'Russia', 'KYZ', 'UNKY', 51.6694, 94.4006, 2123, 8, 'N', 'Asia/Krasnoyarsk'),
	(6119, 'Spichenkovo Airport', 'Novokuznetsk', 'Russia', 'NOZ', 'UNWW', 53.8114, 86.8772, 1024, 7, 'N', 'Asia/Omsk'),
	(6120, 'Khatanga Airport', 'Khatanga', 'Russia', 'HTG', 'UOHH', 71.978058, 102.490514, 95, 8, 'N', 'Asia/Krasnoyarsk'),
	(6121, 'Igarka Airport', 'Igarka', 'Russia', 'IAA', 'UOII', 67.4372, 86.6219, 82, 8, 'N', 'Asia/Krasnoyarsk'),
	(6122, 'Grozny Airport', 'Grozny', 'Russia', 'GRV', 'URMG', 43.2981, 45.7841, 548, 4, 'N', 'Europe/Moscow'),
	(6123, 'Nalchik Airport', 'Nalchik', 'Russia', 'NAL', 'URMN', 43.5129, 43.6366, 1461, 4, 'N', 'Europe/Moscow'),
	(6124, 'Beslan Airport', 'Beslan', 'Russia', 'OGZ', 'URMO', 43.2051, 44.6066, 1673, 4, 'N', 'Europe/Moscow'),
	(6125, 'Elista Airport', 'Elista', 'Russia', 'ESL', 'URWI', 46.3739, 44.3309, 501, 4, 'N', 'Europe/Moscow'),
	(6126, 'Aleknagik Airport', 'Aleknagik', 'United States', 'WKK', '5A8', 59.2826, -158.618, 66, -9, 'A', 'America/Anchorage'),
	(6127, 'Brookings Regional Airport', 'Brookings', 'United States', 'BKX', 'BKX', 44.3048, -96.8169, 1648, -6, 'A', 'America/Chicago'),
	(6128, 'Mercer County Airport', 'Bluefield', 'United States', 'BLF', 'BLF', 37.2958, -81.2077, 2857, -5, 'A', 'America/New_York'),
	(6129, 'Kearney Municipal Airport', 'Kearney', 'United States', 'EAR', 'EAR', 40.727, -99.0068, 2131, -6, 'A', 'America/Chicago'),
	(6130, 'Mid Delta Regional Airport', 'Greenville', 'United States', 'GLH', 'GLH', 33.4829, -90.9856, 131, -6, 'A', 'America/Chicago'),
	(6131, 'Laughlin-Bullhead Intl', 'Bullhead', 'United States', 'IFP', 'IFP', 35.1574, -114.56, 695, -7, 'A', 'America/Phoenix'),
	(6132, 'Kingman Airport', 'Kingman', 'United States', 'IGM', 'IGM', 35.2595, -113.938, 3449, -7, 'A', 'America/Phoenix'),
	(6133, 'Tri Cities Airport', 'Pasco', 'United States', 'PSC', 'PSC', 46.2647, -119.119, 410, -8, 'A', 'America/Los_Angeles'),
	(6134, 'Akutan Seaplane Base', 'Akutan', 'United States', 'KQA', 'KQA', 54.1325, -165.785, 0, -9, 'A', 'America/Anchorage'),
	(6135, 'Grant County Airport', 'Silver City', 'United States', 'SVC', 'SVC', 32.6365, -108.156, 5446, -7, 'A', 'America/Denver'),
	(6136, 'Lopez Island Airport', 'Lopez', 'United States', 'LPS', 'S31', 48.4839, -122.938, 209, -8, 'A', 'America/Los_Angeles'),
	(6137, 'Salekhard Airport', 'Salekhard', 'Russia', 'SLY', 'USDD', 66.590753, 66.611042, 218, 6, 'N', 'Asia/Yekaterinburg'),
	(6138, 'Khanty Mansiysk Airport', 'Khanty-Mansiysk', 'Russia', 'HMA', 'USHH', 61.028479, 69.086067, 76, 6, 'N', 'Asia/Yekaterinburg'),
	(6139, 'Nyagan Airport', 'Nyagan', 'Russia', 'NYA', 'USHN', 62.11, 65.615, 361, 6, 'N', 'Asia/Yekaterinburg'),
	(6140, 'Sovetsky Tyumenskaya Airport', 'Sovetskiy', 'Russia', 'OVS', 'USHS', 61.32, 63.6044, 351, 6, 'N', 'Asia/Yekaterinburg'),
	(6141, 'Izhevsk Airport', 'Izhevsk', 'Russia', 'IJK', 'USII', 56.8281, 53.4575, 531, 4, 'N', 'Europe/Moscow'),
	(6142, 'Pobedilovo Airport', 'Kirov', 'Russia', 'KVX', 'USKK', 58.5033, 49.3483, 479, 4, 'N', 'Europe/Moscow'),
	(6143, 'Nadym Airport', 'Nadym', 'Russia', 'NYM', 'USMM', 65.4809, 72.6989, 49, 6, 'N', 'Asia/Yekaterinburg'),
	(6144, 'Raduzhny Airport', 'Raduzhnyi', 'Russia', 'RAT', 'USNR', 62.1586, 77.3289, 250, 6, 'N', 'Asia/Yekaterinburg'),
	(6145, 'Nefteyugansk Airport', 'Nefteyugansk', 'Russia', 'NFG', 'USRN', 61.1083, 72.65, 115, 6, 'N', 'Asia/Yekaterinburg'),
	(6146, 'Kurgan Airport', 'Kurgan', 'Russia', 'KRO', 'USUU', 55.4753, 65.4156, 240, 6, 'N', 'Asia/Yekaterinburg'),
	(6147, 'Khudzhand Airport', 'Khudzhand', 'Tajikistan', 'LBD', 'UTDL', 40.2154, 69.6947, 1450, 5, 'U', 'Asia/Dushanbe'),
	(6148, 'Andizhan Airport', 'Andizhan', 'Uzbekistan', 'AZN', 'UTKA', 40.7277, 72.294, 1515, 5, 'U', 'Asia/Samarkand'),
	(6149, 'Fergana Airport', 'Fergana', 'Uzbekistan', 'FEG', 'UTKF', 40.3588, 71.745, 1980, 5, 'U', 'Asia/Samarkand'),
	(6150, 'Namangan Airport', 'Namangan', 'Uzbekistan', 'NMA', 'UTKN', 40.9846, 71.5567, 1555, 5, 'U', 'Asia/Samarkand'),
	(6151, 'Nukus Airport', 'Nukus', 'Uzbekistan', 'NCU', 'UTNN', 42.4884, 59.6233, 246, 5, 'U', 'Asia/Samarkand'),
	(6152, 'Urgench Airport', 'Urgench', 'Uzbekistan', 'UGC', 'UTNU', 41.5843, 60.6417, 320, 5, 'U', 'Asia/Samarkand'),
	(6153, 'Karshi Khanabad Airport', 'Khanabad', 'Uzbekistan', 'KSQ', 'UTSL', 38.8336, 65.9215, 1365, 5, 'U', 'Asia/Samarkand'),
	(6154, 'Termez Airport', 'Termez', 'Uzbekistan', 'TMJ', 'UTST', 37.286667, 67.31, 1027, 5, 'U', 'Asia/Samarkand'),
	(6155, 'Staroselye Airport', 'Rybinsk', 'Russia', 'RYB', 'UUBK', 58.1042, 38.9294, 423, 4, 'N', 'Europe/Moscow'),
	(6156, 'Belgorod International Airport', 'Belgorod', 'Russia', 'EGO', 'UUOB', 50.6438, 36.5901, 735, 4, 'N', 'Europe/Moscow'),
	(6157, 'Kursk East Airport', 'Kursk', 'Russia', 'URS', 'UUOK', 51.7506, 36.2956, 686, 4, 'N', 'Europe/Moscow'),
	(6158, 'Lipetsk Airport', 'Lipetsk', 'Russia', 'LPK', 'UUOL', 52.7028, 39.5378, 584, 4, 'N', 'Europe/Moscow'),
	(6159, 'Vorkuta Airport', 'Vorkuta', 'Russia', 'VKT', 'UUYW', 67.4886, 63.9931, 604, 4, 'N', 'Europe/Moscow'),
	(6160, 'Bugulma Airport', 'Bugulma', 'Russia', 'UUA', 'UWKB', 54.64, 52.8017, 991, 4, 'N', 'Europe/Moscow'),
	(6161, 'Yoshkar-Ola Airport', 'Yoshkar-Ola', 'Russia', 'JOK', 'UWKJ', 56.7006, 47.9047, 348, 4, 'N', 'Europe/Moscow'),
	(6162, 'Cheboksary Airport', 'Cheboksary', 'Russia', 'CSY', 'UWKS', 56.0903, 47.3473, 558, 4, 'N', 'Europe/Moscow'),
	(6163, 'Ulyanovsk East Airport', 'Ulyanovsk', 'Russia', 'ULY', 'UWLW', 54.401, 48.8027, 252, 4, 'N', 'Europe/Moscow'),
	(6164, 'Orsk Airport', 'Orsk', 'Russia', 'OSW', 'UWOR', 51.0725, 58.5956, 909, 6, 'N', 'Asia/Yekaterinburg'),
	(6165, 'Penza Airport', 'Penza', 'Russia', 'PEZ', 'UWPP', 53.1106, 45.0211, 614, 4, 'N', 'Europe/Moscow'),
	(6166, 'Saransk Airport', 'Saransk', 'Russia', 'SKX', 'UWPS', 54.1251, 45.2123, 676, 4, 'N', 'Europe/Moscow'),
	(6167, 'Balakovo Airport', 'Balakovo', 'Russia', 'BWO', 'UWSB', 51.8583, 47.7456, 95, 4, 'N', 'Europe/Moscow'),
	(6168, 'Hubli Airport', 'Hubli', 'India', 'HBX', 'VAHB', 15.3617, 75.0849, 2171, 5.5, 'N', 'Asia/Calcutta'),
	(6169, 'Koggala Airport', 'Koggala', 'Sri Lanka', 'KCT', 'VCCK', 5.99368, 80.3203, 10, 5.5, 'U', 'Asia/Colombo'),
	(6170, 'Wirawila Airport', 'Wirawila', 'Sri Lanka', 'WRZ', 'VCCW', 6.254494, 81.235189, 50, 5.5, 'U', 'Asia/Colombo'),
	(6171, 'Battambang Airport', 'Battambang', 'Cambodia', 'BBM', 'VDBG', 13.0956, 103.224, 59, 7, 'U', 'Asia/Phnom_Penh'),
	(6172, 'Shillong Airport', 'Shillong', 'India', 'SHL', 'VEBI', 25.7036, 91.9787, 2910, 5.5, 'N', 'Asia/Calcutta'),
	(6173, 'Lokpriya Gopinath Bordoloi International Airport', 'Guwahati', 'India', 'GAU', 'VEGT', 26.106092, 91.585939, 162, 5.5, 'N', 'Asia/Calcutta'),
	(6174, 'Dimapur Airport', 'Dimapur', 'India', 'DMU', 'VEMR', 25.8839, 93.7711, 487, 5.5, 'N', 'Asia/Calcutta'),
	(6175, 'Tezpur Airport', 'Tezpur', 'India', 'TEZ', 'VETZ', 26.7091, 92.7847, 240, 5.5, 'N', 'Asia/Calcutta'),
	(6176, 'Barisal Airport', 'Barisal', 'Bangladesh', 'BZL', 'VGBR', 22.801, 90.3012, 23, 6, 'U', 'Asia/Dhaka'),
	(6177, 'Ban Huoeisay Airport', 'Huay Xai', 'Laos', 'OUI', 'VLHS', 20.2573, 100.437, 1380, 7, 'N', 'Asia/Vientiane'),
	(6178, 'Kontum Airport', 'Kontum', 'Vietnam', 'KON', '', 14.35, 108.017, 1804, 7, 'U', 'Asia/Saigon'),
	(6179, 'Bharatpur Airport', 'Bharatpur', 'Nepal', 'BHR', 'VNBP', 27.6781, 84.4294, 600, 5.75, 'N', 'Asia/Katmandu'),
	(6180, 'Chandragadhi Airport', 'Chandragarhi', 'Nepal', 'BDP', 'VNCG', 26.570822, 88.079578, 300, 5.75, 'N', 'Asia/Katmandu'),
	(6181, 'Meghauli Airport', 'Meghauli', 'Nepal', 'MEY', 'VNMG', 27.583, 84.233, 600, 5.75, 'N', 'Asia/Katmandu'),
	(6182, 'Nepalgunj Airport', 'Nepalgunj', 'Nepal', 'KEP', 'VNNG', 28.103633, 81.667006, 540, 5.75, 'N', 'Asia/Katmandu'),
	(6183, 'Gan Island Airport', 'Gan Island', 'Maldives', 'GAN', 'VRMG', -0.693342, 73.1556, 6, 5, 'U', 'Indian/Maldives'),
	(6184, 'Hanimaadhoo Airport', 'Haa Dhaalu Atoll', 'Maldives', 'HAQ', 'VRMH', 6.74423, 73.1705, 4, 5, 'U', 'Indian/Maldives'),
	(6185, 'Kadhdhoo Airport', 'Laamu Atoll', 'Maldives', 'KDO', 'VRMK', 1.85917, 73.5219, 4, 5, 'U', 'Indian/Maldives'),
	(6186, 'Mae Sot Airport', 'Tak', 'Thailand', 'MAQ', 'VTPM', 16.699856, 98.545056, 690, 7, 'U', 'Asia/Bangkok'),
	(6187, 'Buon Ma Thuot Airport', 'Buonmethuot', 'Vietnam', 'BMV', 'VVBM', 12.668311, 108.120272, 1729, 7, 'U', 'Asia/Saigon'),
	(6188, 'Cat Bi International Airport', 'Haiphong', 'Vietnam', 'HPH', 'VVCI', 20.819386, 106.724989, 6, 7, 'U', 'Asia/Saigon'),
	(6189, 'Cam Ranh Airport', 'Nha Trang', 'Vietnam', 'CXR', 'VVCR', 11.998153, 109.219372, 40, 7, 'U', 'Asia/Saigon'),
	(6190, 'Co Ong Airport', 'Conson', 'Vietnam', 'VCS', 'VVCS', 8.731831, 106.632589, 20, 7, 'U', 'Asia/Saigon'),
	(6191, 'Trà Nóc Airport', 'Can Tho', 'Vietnam', 'VCA', 'VVCT', 10.085119, 105.711922, 9, 7, 'U', 'Asia/Saigon'),
	(6192, 'Dien Bien Phu Airport', 'Dienbienphu', 'Vietnam', 'DIN', 'VVDB', 21.397481, 103.007831, 1611, 7, 'U', 'Asia/Saigon'),
	(6193, 'Phu Cat Airport', 'Phucat', 'Vietnam', 'UIH', 'VVPC', 13.954986, 109.042267, 80, 7, 'U', 'Asia/Saigon'),
	(6194, 'Pleiku Airport', 'Pleiku', 'Vietnam', 'PXU', 'VVPK', 14.004522, 108.017158, 2434, 7, 'U', 'Asia/Saigon'),
	(6195, 'Vinh Airport', 'Vinh', 'Vietnam', 'VII', 'VVVH', 18.737569, 105.670764, 23, 7, 'U', 'Asia/Saigon'),
	(6196, 'Banmaw Airport', 'Banmaw', 'Burma', 'BMO', 'VYBM', 24.269033, 97.246153, 370, 6.5, 'U', 'Asia/Rangoon'),
	(6197, 'Dawei Airport', 'Dawei', 'Burma', 'TVY', 'VYDW', 14.103886, 98.203636, 84, 6.5, 'U', 'Asia/Rangoon'),
	(6198, 'Kawthoung Airport', 'Kawthoung', 'Burma', 'KAW', 'VYKT', 10.049258, 98.538006, 180, 6.5, 'U', 'Asia/Rangoon'),
	(6199, 'Loikaw Airport', 'Loikaw', 'Burma', 'LIW', 'VYLK', 19.691494, 97.214825, 2940, 6.5, 'U', 'Asia/Rangoon'),
	(6200, 'Mawlamyine Airport', 'Mawlamyine', 'Burma', 'MNU', 'VYMM', 16.444747, 97.660669, 52, 6.5, 'U', 'Asia/Rangoon'),
	(6201, 'Pathein Airport', 'Pathein', 'Burma', 'BSX', 'VYPN', 16.815233, 94.779911, 20, 6.5, 'U', 'Asia/Rangoon'),
	(6202, 'Pakhokku Airport', 'Pakhokku', 'Burma', 'PKK', 'VYPU', 21.3333, 95.1, 151, 6.5, 'U', 'Asia/Rangoon'),
	(6203, 'Sumbawa Besar Airport', 'Sumbawa Island', 'Indonesia', 'SWQ', 'WADS', -8.489039, 117.412119, 16, 8, 'N', 'Asia/Makassar'),
	(6204, 'Tambolaka Airport', 'Waikabubak-Sumba Island', 'Indonesia', 'TMC', 'WADT', -9.409717, 119.244494, 161, 8, 'N', 'Asia/Makassar'),
	(6205, 'Bokondini Airport', 'Bokondini-Papua Island', 'Indonesia', 'BUI', 'WAJB', -3.58365, 138.533, 9104, 9, 'N', 'Asia/Jayapura'),
	(6206, 'Senggeh Airport', 'Senggeh-Papua Island', 'Indonesia', 'SEH', 'WAJS', -3.43333, 140.817, 914, 9, 'N', 'Asia/Jayapura'),
	(6207, 'Tanjung Harapan Airport', 'Tanjung Selor-Borneo Island', 'Indonesia', 'TJS', 'WALG', 2.83641, 117.374, 10, 8, 'N', 'Asia/Makassar'),
	(6208, 'Datadawai Airport', 'Datadawai-Borneo Island', 'Indonesia', 'DTD', 'WALJ', 0.717, 116.483, 229, 8, 'N', 'Asia/Makassar'),
	(6209, 'Barau(Kalimaru) Airport', 'Tanjung Redep-Borneo Island', 'Indonesia', 'BEJ', 'WALK', 2.155497, 117.432256, 59, 8, 'N', 'Asia/Makassar'),
	(6210, 'Warukin Airport', 'Tanjung-Borneo Island', 'Indonesia', 'TJG', 'WAON', -2.21656, 115.436, 197, 8, 'N', 'Asia/Makassar'),
	(6211, 'Sampit(Hasan) Airport', 'Sampit-Borneo Island', 'Indonesia', 'SMQ', 'WAOS', -2.499194, 112.974992, 50, 7, 'N', 'Asia/Jakarta'),
	(6212, 'Dumatubun Airport', 'Langgur-Kei Islands', 'Indonesia', 'LUV', 'WAPL', -5.661619, 132.731431, 10, 9, 'N', 'Asia/Jayapura'),
	(6213, 'Mali Airport', 'Alor Island', 'Indonesia', 'ARD', 'WATM', -8.13234, 124.597, 10, 8, 'N', 'Asia/Makassar'),
	(6214, 'Belaga Airport', 'Belaga', 'Malaysia', 'BLG', 'WBGC', 2.65, 113.767, 200, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6215, 'Long Lellang Airport', 'Long Datih', 'Malaysia', 'LGL', 'WBGF', 3.421, 115.154, 1400, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6216, 'Long Seridan Airport', 'Long Seridan', 'Malaysia', 'ODN', 'WBGI', 3.967, 115.05, 607, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6217, 'Mukah Airport', 'Mukah', 'Malaysia', 'MKM', 'WBGK', 2.90639, 112.08, 13, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6218, 'Bakalalan Airport', 'Bakalalan', 'Malaysia', 'BKM', 'WBGQ', 3.974, 115.618, 2900, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6219, 'Lawas Airport', 'Lawas', 'Malaysia', 'LWY', 'WBGW', 4.84917, 115.408, 5, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6220, 'Bario Airport', 'Bario', 'Malaysia', 'BBN', 'WBGZ', 3.73389, 115.479, 3350, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6221, 'Tomanggong Airport', 'Tomanggong', 'Malaysia', 'TMG', 'WBKM', 5.4, 118.65, 26, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6222, 'Kudat Airport', 'Kudat', 'Malaysia', 'KUD', 'WBKT', 6.9225, 116.836, 10, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6223, 'Radin Inten II (Branti) Airport', 'Bandar Lampung-Sumatra Island', 'Indonesia', 'TKG', 'WICT', -5.242339, 105.178939, 282, 7, 'N', 'Asia/Jakarta'),
	(6224, 'Halim Perdanakusuma International Airport', 'Jakarta', 'Indonesia', 'HLP', 'WIHH', -6.26661, 106.891, 84, 7, 'N', 'Asia/Jakarta'),
	(6225, 'Ranai Airport', 'Ranai-Natuna Besar Island', 'Indonesia', 'NTX', 'WION', 3.908714, 108.387897, 7, 7, 'N', 'Asia/Jakarta'),
	(6226, 'Pangsuma Airport', 'Putussibau-Borneo Island', 'Indonesia', 'PSU', 'WIOP', 0.835578, 112.937144, 297, 7, 'N', 'Asia/Jakarta'),
	(6227, 'Susilo Airport', 'Sintang-Borneo Island', 'Indonesia', 'SQG', 'WIOS', 0.063619, 111.473428, 98, 7, 'N', 'Asia/Jakarta'),
	(6228, 'Pendopo Airport', 'Talang Gudang-Sumatra Island', 'Indonesia', 'PDO', 'WIPQ', -3.286069, 103.8796, 184, 7, 'N', 'Asia/Jakarta'),
	(6229, 'Malikus Saleh Airport', 'Lhok Seumawe-Sumatra Island', 'Indonesia', 'LSW', 'WITM', 5.226681, 96.950342, 90, 7, 'N', 'Asia/Jakarta'),
	(6230, 'Pulau Pangkor Airport', 'Pangkor Island', 'Malaysia', 'PKG', 'WMPA', 4.24472, 100.553, 19, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6231, 'Stagen Airport', 'Laut Island', 'Indonesia', 'KBU', 'WRBK', -3.29472, 116.165, 4, 8, 'N', 'Asia/Makassar'),
	(6232, 'Long Bawan Airport', 'Long Bawan-Borneo Island', 'Indonesia', 'LBW', 'WRLB', 3.867, 115.683, 3590, 8, 'N', 'Asia/Makassar'),
	(6233, 'Nunukan Airport', 'Nunukan-Nunukan Island', 'Indonesia', 'NNX', 'WRLF', 4.13653, 117.667, 52, 8, 'N', 'Asia/Makassar'),
	(6234, 'Long Apung Airport', 'Long Apung-Borneo Island', 'Indonesia', 'LPU', 'WRLP', 0.583, 115.6, 627, 8, 'N', 'Asia/Makassar'),
	(6235, 'Albany Airport', 'Albany', 'Australia', 'ALH', 'YABA', -34.9433, 117.809, 233, 8, 'O', 'Australia/Perth'),
	(6236, 'Argyle Airport', 'Argyle', 'Australia', 'GYL', 'YARG', -16.6369, 128.451, 522, 8, 'O', 'Australia/Perth'),
	(6237, 'Aurukun Airport', 'Aurukun', 'Australia', 'AUU', 'YAUR', -13.3539, 141.721, 31, 10, 'O', 'Australia/Brisbane'),
	(6238, 'Barcaldine Airport', 'Barcaldine', 'Australia', 'BCI', 'YBAR', -23.5653, 145.307, 878, 10, 'O', 'Australia/Brisbane'),
	(6239, 'Badu Island Airport', 'Badu Island', 'Australia', 'BDD', 'YBAU', -10.15, 141.175, 14, 9, 'O', '\\N'),
	(6240, 'Birdsville Airport', 'Birdsville', 'Australia', 'BVI', 'YBDV', -25.8975, 139.348, 159, 10, 'O', 'Australia/Brisbane'),
	(6241, 'Broken Hill Airport', 'Broken Hill', 'Australia', 'BHQ', 'YBHI', -32.0014, 141.472, 958, 9.5, 'O', 'Australia/Adelaide'),
	(6242, 'Hamilton Island Airport', 'Hamilton Island', 'Australia', 'HTI', 'YBHM', -20.3581, 148.952, 15, 10, 'O', 'Australia/Brisbane'),
	(6243, 'Bedourie Airport', 'Bedourie', 'Australia', 'BEU', 'YBIE', -24.3461, 139.46, 300, 10, 'O', 'Australia/Brisbane'),
	(6244, 'Bourke Airport', 'Bourke', 'Australia', 'BRK', 'YBKE', -30.0392, 145.952, 352, 10, 'O', 'Australia/Sydney'),
	(6245, 'Burketown Airport', 'Burketown', 'Australia', 'BUC', 'YBKT', -17.7486, 139.534, 21, 10, 'O', 'Australia/Brisbane'),
	(6246, 'Boigu Airport', 'Boigu', 'Australia', 'GIC', 'YBOI', -9.23278, 142.218, 23, 10, 'O', '\\N'),
	(6247, 'Oakey Airport', 'Oakey', 'Australia', 'OKY', 'YBOK', -27.411389, 151.735278, 1335, 10, 'O', 'Australia/Brisbane'),
	(6248, 'Boulia Airport', 'Boulia', 'Australia', 'BQL', 'YBOU', -22.9133, 139.9, 542, 10, 'O', 'Australia/Brisbane'),
	(6249, 'Bathurst Airport', 'Bathurst', 'Australia', 'BHS', 'YBTH', -33.4094, 149.652, 2435, 10, 'O', 'Australia/Sydney'),
	(6250, 'Blackwater Airport', 'Blackwater', 'Australia', 'BLT', 'YBTR', -23.6031, 148.807, 657, 10, 'O', 'Australia/Brisbane'),
	(6251, 'Carnarvon Airport', 'Carnarvon', 'Australia', 'CVQ', 'YCAR', -24.8806, 113.672, 13, 8, 'O', 'Australia/Perth'),
	(6252, 'Cobar Airport', 'Cobar', 'Australia', 'CAZ', 'YCBA', -31.5383, 145.794, 724, 10, 'O', 'Australia/Sydney'),
	(6253, 'Coober Pedy Airport', 'Coober Pedy', 'Australia', 'CPD', 'YCBP', -29.04, 134.721, 740, 9.5, 'O', 'Australia/Adelaide'),
	(6254, 'Coconut Island Airport', 'Coconut Island', 'Australia', 'CNC', 'YCCT', -10.05, 143.07, 3, 10, 'O', '\\N'),
	(6255, 'Cloncurry Airport', 'Cloncurry', 'Australia', 'CNJ', 'YCCY', -20.6686, 140.504, 616, 10, 'O', 'Australia/Brisbane'),
	(6256, 'Ceduna Airport', 'Ceduna', 'Australia', 'CED', 'YCDU', -32.1306, 133.71, 77, 9.5, 'O', 'Australia/Adelaide'),
	(6257, 'Cooktown Airport', 'Cooktown', 'Australia', 'CTN', 'YCKN', -15.4447, 145.184, 26, 10, 'O', 'Australia/Brisbane'),
	(6258, 'Cunnamulla Airport', 'Cunnamulla', 'Australia', 'CMA', 'YCMU', -28.03, 145.622, 630, 10, 'O', 'Australia/Brisbane'),
	(6259, 'Coonamble Airport', 'Coonamble', 'Australia', 'CNB', 'YCNM', -30.9833, 148.376, 604, 10, 'O', 'Australia/Sydney'),
	(6260, 'Coen Airport', 'Coen', 'Australia', 'CUQ', 'YCOE', -13.7608, 143.114, 532, 10, 'O', 'Australia/Brisbane'),
	(6261, 'Cooma Snowy Mountains Airport', 'Cooma', 'Australia', 'OOM', 'YCOM', -36.3006, 148.974, 3088, 10, 'O', 'Australia/Sydney'),
	(6262, 'Doomadgee Airport', 'Doomadgee', 'Australia', 'DMD', 'YDMG', -17.9403, 138.822, 153, 10, 'O', 'Australia/Brisbane'),
	(6263, 'Darnley Island Airport', 'Darnley Island', 'Australia', 'NLF', 'YDNI', -9.58333, 143.767, 0, 10, 'O', '\\N'),
	(6264, 'Devonport Airport', 'Devonport', 'Australia', 'DPO', 'YDPO', -41.1697, 146.43, 33, 10, 'O', 'Australia/Melbourne'),
	(6265, 'Elcho Island Airport', 'Elcho Island', 'Australia', 'ELC', 'YELD', -12.0194, 135.571, 101, 9.5, 'O', 'Australia/Darwin'),
	(6266, 'Esperance Airport', 'Esperance', 'Australia', 'EPR', 'YESP', -33.6844, 121.823, 470, 8, 'O', 'Australia/Perth'),
	(6267, 'Flinders Island Airport', 'Flinders Island', 'Australia', 'FLS', 'YFLI', -40.0917, 147.993, 10, 10, 'O', 'Australia/Melbourne'),
	(6268, 'Geraldton Airport', 'Geraldton', 'Australia', 'GET', 'YGEL', -28.7961, 114.707, 121, 8, 'O', 'Australia/Perth'),
	(6269, 'Gladstone Airport', 'Gladstone', 'Australia', 'GLT', 'YGLA', -23.8697, 151.223, 64, 10, 'O', 'Australia/Brisbane'),
	(6270, 'Groote Eylandt Airport', 'Groote Eylandt', 'Australia', 'GTE', 'YGTE', -13.975, 136.46, 53, 9.5, 'O', 'Australia/Darwin'),
	(6271, 'Griffith Airport', 'Griffith', 'Australia', 'GFF', 'YGTH', -34.2508, 146.067, 439, 10, 'O', 'Australia/Sydney'),
	(6272, 'Horn Island Airport', 'Horn Island', 'Australia', 'HID', 'YHID', -10.5864, 142.29, 43, 10, 'O', 'Australia/Brisbane'),
	(6273, 'Hooker Creek Airport', 'Hooker Creek', 'Australia', 'HOK', 'YHOO', -18.3367, 130.638, 320, 9.5, 'O', 'Australia/Darwin'),
	(6274, 'Mount Hotham Airport', 'Mount Hotham', 'Australia', 'MHU', 'YHOT', -37.0475, 147.334, 4260, 10, 'O', 'Australia/Hobart'),
	(6275, 'Hughenden Airport', 'Hughenden', 'Australia', 'HGD', 'YHUG', -20.815, 144.225, 1043, 10, 'O', 'Australia/Brisbane'),
	(6276, 'Julia Creek Airport', 'Julia Creek', 'Australia', 'JCK', 'YJLC', -20.6683, 141.723, 404, 10, 'O', 'Australia/Brisbane'),
	(6277, 'Kalbarri Airport', 'Kalbarri', 'Australia', 'KAX', 'YKBR', -27.69, 114.262, 157, 8, 'O', 'Australia/Perth'),
	(6278, 'King Island Airport', 'King Island', 'Australia', 'KNS', 'YKII', -39.8775, 143.878, 132, 10, 'O', 'Australia/Melbourne'),
	(6279, 'Kalkgurung Airport', 'Kalkgurung', 'Australia', 'KFG', 'YKKG', -17.4319, 130.808, 646, 9.5, 'O', 'Australia/Darwin'),
	(6280, 'Karumba Airport', 'Karumba', 'Australia', 'KRB', 'YKMB', -17.4567, 140.83, 5, 10, 'O', 'Australia/Brisbane'),
	(6281, 'Kowanyama Airport', 'Kowanyama', 'Australia', 'KWM', 'YKOW', -15.4856, 141.751, 35, 10, 'O', 'Australia/Brisbane'),
	(6282, 'Kubin Airport', 'Kubin', 'Australia', 'KUG', 'YKUB', -10.225, 142.218, 15, 10, 'O', 'Australia/Brisbane'),
	(6283, 'Leonora Airport', 'Leonora', 'Australia', 'LNO', 'YLEO', -28.8781, 121.315, 1217, 8, 'O', 'Australia/Perth'),
	(6284, 'Lake Evella Airport', 'Lake Evella', 'Australia', 'LEL', 'YLEV', -12.4989, 135.806, 256, 9.5, 'O', 'Australia/Darwin'),
	(6285, 'Lord Howe Island Airport', 'Lord Howe Island', 'Australia', 'LDH', 'YLHI', -31.5383, 159.077, 5, 10.5, 'O', '\\N'),
	(6286, 'Lockhart River Airport', 'Lockhart River', 'Australia', 'IRG', 'YLHR', -12.7869, 143.305, 77, 10, 'O', 'Australia/Brisbane'),
	(6287, 'Lismore Airport', 'Lismore', 'Australia', 'LSY', 'YLIS', -28.8303, 153.26, 35, 10, 'O', 'Australia/Sydney'),
	(6288, 'Lightning Ridge Airport', 'Lightning Ridge', 'Australia', 'LHG', 'YLRD', -29.4567, 147.984, 540, 10, 'O', 'Australia/Sydney'),
	(6289, 'Longreach Airport', 'Longreach', 'Australia', 'LRE', 'YLRE', -23.4342, 144.28, 627, 10, 'O', 'Australia/Brisbane'),
	(6290, 'Leinster Airport', 'Leinster', 'Australia', 'LER', 'YLST', -27.8433, 120.703, 1631, 8, 'O', 'Australia/Perth'),
	(6291, 'Laverton Airport', 'Laverton', 'Australia', 'LVO', 'YLTN', -28.6136, 122.424, 1530, 8, 'O', 'Australia/Perth'),
	(6292, 'Mabuiag Island Airport', 'Mabuiag Island', 'Australia', 'UBB', 'YMAA', -9.95, 142.183, 0, 10, 'O', 'Australia/Brisbane'),
	(6293, 'Meekatharra Airport', 'Meekatharra', 'Australia', 'MKR', 'YMEK', -26.6117, 118.548, 1713, 8, 'O', 'Australia/Perth'),
	(6294, 'Merimbula Airport', 'Merimbula', 'Australia', 'MIM', 'YMER', -36.9086, 149.901, 7, 10, 'O', 'Australia/Sydney'),
	(6295, 'Milingimbi Airport', 'Milingimbi', 'Australia', 'MGT', 'YMGB', -12.0944, 134.894, 53, 9.5, 'O', 'Australia/Darwin'),
	(6296, 'Maningrida Airport', 'Maningrida', 'Australia', 'MNG', 'YMGD', -12.0561, 134.234, 123, 9.5, 'O', 'Australia/Darwin'),
	(6297, 'McArthur River Mine Airport', 'McArthur River Mine', 'Australia', 'MCV', 'YMHU', -16.4425, 136.084, 131, 9.5, 'O', 'Australia/Darwin'),
	(6298, 'Mildura Airport', 'Mildura', 'Australia', 'MQL', 'YMIA', -34.2292, 142.086, 167, 10, 'O', 'Australia/Hobart'),
	(6299, 'Mount Magnet Airport', 'Mount Magnet', 'Australia', 'MMG', 'YMOG', -28.1161, 117.842, 1354, 8, 'O', 'Australia/Perth'),
	(6300, 'Moree Airport', 'Moree', 'Australia', 'MRZ', 'YMOR', -29.4989, 149.845, 701, 10, 'O', 'Australia/Sydney'),
	(6301, 'Moranbah Airport', 'Moranbah', 'Australia', 'MOV', 'YMRB', -22.0578, 148.077, 770, 10, 'O', 'Australia/Brisbane'),
	(6302, 'Moruya Airport', 'Moruya', 'Australia', 'MYA', 'YMRY', -35.8978, 150.144, 14, 10, 'O', 'Australia/Sydney'),
	(6303, 'Mount Gambier Airport', 'Mount Gambier', 'Australia', 'MGB', 'YMTG', -37.7456, 140.785, 212, 9.5, 'O', 'Australia/Adelaide'),
	(6304, 'Mornington Island Airport', 'Mornington Island', 'Australia', 'ONG', 'YMTI', -16.6625, 139.178, 33, 10, 'O', 'Australia/Brisbane'),
	(6305, 'Murray Island Airport', 'Murray Island', 'Australia', 'MYI', 'YMUI', -9.91667, 144.055, 0, 10, 'O', '\\N'),
	(6306, 'Maryborough Airport', 'Maryborough', 'Australia', 'MBH', 'YMYB', -25.5133, 152.715, 38, 10, 'O', 'Australia/Brisbane'),
	(6307, 'Narrandera Airport', 'Narrandera', 'Australia', 'NRA', 'YNAR', -34.7022, 146.512, 474, 10, 'O', 'Australia/Sydney'),
	(6308, 'Narrabri Airport', 'Narrabri', 'Australia', 'NAA', 'YNBR', -30.3192, 149.827, 788, 10, 'O', 'Australia/Sydney'),
	(6309, 'Normanton Airport', 'Normanton', 'Australia', 'NTN', 'YNTN', -17.6836, 141.07, 73, 10, 'O', 'Australia/Brisbane'),
	(6310, 'Newman Airport', 'Newman', 'Australia', 'ZNE', 'YNWN', -23.4178, 119.803, 1724, 8, 'O', 'Australia/Perth'),
	(6311, 'Olympic Dam Airport', 'Olympic Dam', 'Australia', 'OLP', 'YOLD', -30.485, 136.877, 343, 9.5, 'O', 'Australia/Adelaide'),
	(6312, 'Port Augusta Airport', 'Argyle', 'Australia', 'PUG', 'YPAG', -32.506944, 137.716667, 56, 9.5, 'O', 'Australia/Adelaide'),
	(6313, 'Palm Island Airport', 'Palm Island', 'Australia', 'PMK', 'YPAM', -18.7553, 146.581, 28, 10, 'O', 'Australia/Brisbane'),
	(6314, 'Paraburdoo Airport', 'Paraburdoo', 'Australia', 'PBO', 'YPBO', -23.1711, 117.745, 1406, 8, 'O', 'Australia/Perth'),
	(6315, 'Cocos Keeling Island Airport', 'Cocos Keeling Island', 'Cocos (Keeling) Islands', 'CCK', 'YPCC', -12.1883, 96.8339, 10, 6.5, 'U', 'Indian/Cocos'),
	(6316, 'Gove Airport', 'Gove', 'Australia', 'GOV', 'YPGV', -12.2694, 136.818, 192, 9.5, 'O', 'Australia/Darwin'),
	(6317, 'Parkes Airport', 'Parkes', 'Australia', 'PKE', 'YPKS', -33.1314, 148.239, 1069, 10, 'O', 'Australia/Sydney'),
	(6318, 'Port Lincoln Airport', 'Port Lincoln', 'Australia', 'PLO', 'YPLC', -34.6053, 135.88, 36, 9.5, 'O', 'Australia/Adelaide'),
	(6319, 'Pormpuraaw Airport', 'Pormpuraaw', 'Australia', 'EDR', 'YPMP', -14.8967, 141.609, 10, 10, 'O', 'Australia/Brisbane'),
	(6320, 'Port Macquarie Airport', 'Port Macquarie', 'Australia', 'PQQ', 'YPMQ', -31.4358, 152.863, 12, 10, 'O', 'Australia/Sydney'),
	(6321, 'Portland Airport', 'Portland', 'Australia', 'PTJ', 'YPOD', -38.3181, 141.471, 265, 10, 'O', 'Australia/Hobart'),
	(6322, 'Quilpie Airport', 'Quilpie', 'Australia', 'ULP', 'YQLP', -26.6122, 144.253, 655, 10, 'O', 'Australia/Brisbane'),
	(6323, 'Ramingining Airport', 'Ramingining', 'Australia', 'RAM', 'YRNG', -12.3564, 134.898, 206, 9.5, 'O', 'Australia/Darwin'),
	(6324, 'Roma Airport', 'Roma', 'Australia', 'RMA', 'YROM', -26.545, 148.775, 1032, 10, 'O', 'Australia/Brisbane'),
	(6325, 'St George Airport', 'St George', 'Australia', 'SGO', 'YSGE', -28.0497, 148.595, 656, 10, 'O', 'Australia/Brisbane'),
	(6326, 'Shark Bay Airport', 'Shark Bay', 'Australia', 'MJK', 'YSHK', -25.8939, 113.577, 111, 8, 'O', 'Australia/Perth'),
	(6327, 'Saibai Island Airport', 'Saibai Island', 'Australia', 'SBR', 'YSII', -9.37833, 142.625, 0, 10, 'O', '\\N'),
	(6328, 'Strahan Airport', 'Strahan', 'Australia', 'SRN', 'YSRN', -42.155, 145.292, 20, 10, 'O', 'Australia/Melbourne'),
	(6329, 'Thargomindah Airport', 'Thargomindah', 'Australia', 'XTG', 'YTGM', -27.9864, 143.811, 433, 10, 'O', 'Australia/Brisbane'),
	(6330, 'Tennant Creek Airport', 'Tennant Creek', 'Australia', 'TCA', 'YTNK', -19.6344, 134.183, 1236, 9.5, 'O', 'Australia/Darwin'),
	(6331, 'Victoria River Downs Airport', 'Victoria River Downs', 'Australia', 'VCD', 'YVRD', -16.4033, 131.002, 89, 9.5, 'O', 'Australia/Darwin'),
	(6332, 'Warraber Island Airport', 'Sue Islet', 'Australia', 'SYU', 'YWBS', -10.2083, 142.825, 3, 10, 'O', 'Australia/Brisbane'),
	(6333, 'Windorah Airport', 'Windorah', 'Australia', 'WNR', 'YWDH', -25.4131, 142.667, 452, 10, 'O', 'Australia/Brisbane'),
	(6334, 'Whyalla Airport', 'Whyalla', 'Australia', 'WYA', 'YWHA', -33.0589, 137.514, 41, 9.5, 'O', 'Australia/Adelaide'),
	(6335, 'Wiluna Airport', 'Wiluna', 'Australia', 'WUN', 'YWLU', -26.6292, 120.221, 1649, 8, 'O', 'Australia/Perth'),
	(6336, 'Wollongong Airport', 'Wollongong', 'Australia', 'WOL', 'YWOL', -34.5611, 150.789, 31, 10, 'O', 'Australia/Sydney'),
	(6337, 'Winton Airport', 'Winton', 'Australia', 'WIN', 'YWTN', -22.3636, 143.086, 638, 10, 'O', 'Australia/Brisbane'),
	(6338, 'Wynyard Airport', 'Burnie', 'Australia', 'BWT', 'YWYY', -40.9989, 145.731, 62, 10, 'O', 'Australia/Melbourne'),
	(6339, 'Yorke Island Airport', 'Yorke Island', 'Australia', 'OKR', 'YYKI', -9.75703, 143.411, 0, 10, 'O', '\\N'),
	(6340, 'Yam Island Airport', 'Yam Island', 'Australia', 'XMY', 'YYMI', -9.90111, 142.776, 0, 10, 'O', '\\N'),
	(6341, 'Beijing Nanyuan Airport', 'Beijing', 'China', 'NAY', 'ZBBB', 39.7825, 116.387778, 0, 8, 'U', 'Asia/Chongqing'),
	(6342, 'Chifeng Airport', 'Chifeng', 'China', 'CIF', 'ZBCF', 42.235, 118.908, 0, 8, 'U', 'Asia/Chongqing'),
	(6343, 'Changzhi Airport', 'Changzhi', 'China', 'CIH', 'ZBCZ', 36.2475, 113.126, 0, 8, 'U', 'Asia/Chongqing'),
	(6344, 'Datong Airport', 'Datong', 'China', 'DAT', 'ZBDT', 40.0603, 113.482, 3442, 8, 'U', 'Asia/Chongqing'),
	(6345, 'Baita Airport', 'Hohhot', 'China', 'HET', 'ZBHH', 40.851422, 111.824103, 3556, 8, 'U', 'Asia/Chongqing'),
	(6346, 'Baotou Airport', 'Baotou', 'China', 'BAV', 'ZBOW', 40.56, 109.997, 3321, 8, 'U', 'Asia/Chongqing'),
	(6347, 'Shijiazhuang Daguocun International Airport', 'Shijiazhuang', 'China', 'SJW', 'ZBSJ', 38.280686, 114.6973, 233, 8, 'U', 'Asia/Chongqing'),
	(6348, 'Tongliao Airport', 'Tongliao', 'China', 'TGO', 'ZBTL', 43.5567, 122.2, 0, 8, 'U', 'Asia/Chongqing'),
	(6349, 'Ulanhot Airport', 'Ulanhot', 'China', 'HLH', 'ZBUL', 46.083, 122.017, 0, 8, 'U', 'Asia/Chongqing'),
	(6350, 'Xilinhot Airport', 'Xilinhot', 'China', 'XIL', 'ZBXH', 43.9156, 115.964, 0, 8, 'U', 'Asia/Chongqing'),
	(6351, 'Beihai Airport', 'Beihai', 'China', 'BHY', 'ZGBH', 21.5394, 109.294, 0, 8, 'U', 'Asia/Chongqing'),
	(6352, 'Changde Airport', 'Changde', 'China', 'CGD', 'ZGCD', 28.9189, 111.64, 0, 8, 'U', 'Asia/Chongqing'),
	(6353, 'Dayong Airport', 'Dayong', 'China', 'DYG', 'ZGDY', 29.1028, 110.443, 692, 8, 'U', 'Asia/Chongqing'),
	(6354, 'Meixian Airport', 'Meixian', 'China', 'MXZ', 'ZGMX', 24.35, 116.133, 0, 8, 'U', 'Asia/Chongqing'),
	(6355, 'Zhuhai Airport', 'Zhuhai', 'China', 'ZUH', 'ZGSD', 22.0064, 113.376, 0, 8, 'U', 'Asia/Chongqing'),
	(6356, 'Bailian Airport', 'Liuzhou', 'China', 'LZH', 'ZGZH', 24.2075, 109.391, 295, 8, 'U', 'Asia/Chongqing'),
	(6357, 'Zhanjiang Airport', 'Zhanjiang', 'China', 'ZHA', 'ZGZJ', 21.2144, 110.358, 0, 8, 'U', 'Asia/Chongqing'),
	(6358, 'Enshi Airport', 'Enshi', 'China', 'ENH', 'ZHES', 30.3203, 109.485, 0, 8, 'U', 'Asia/Chongqing'),
	(6359, 'Nanyang Airport', 'Nanyang', 'China', 'NNY', 'ZHNY', 32.9808, 112.615, 0, 8, 'U', 'Asia/Chongqing'),
	(6360, 'Xiangfan Airport', 'Xiangfan', 'China', 'XFN', 'ZHXF', 32.1506, 112.291, 0, 8, 'U', 'Asia/Chongqing'),
	(6361, 'Yichang Airport', 'Yichang', 'China', 'YIH', 'ZHYC', 30.671, 111.441, 0, 8, 'U', 'Asia/Chongqing'),
	(6362, 'Ankang Airport', 'Ankang', 'China', 'AKA', 'ZLAK', 32.7081, 108.931, 0, 8, 'U', 'Asia/Chongqing'),
	(6363, 'Golmud Airport', 'Golmud', 'China', 'GOQ', 'ZLGM', 34.633, 98.867, 0, 8, 'U', 'Asia/Chongqing'),
	(6364, 'Hanzhong Airport', 'Hanzhong', 'China', 'HZG', 'ZLHZ', 33.0636, 107.008, 0, 8, 'U', 'Asia/Chongqing'),
	(6365, 'Qingyang Airport', 'Qingyang', 'China', 'IQN', 'ZLQY', 35.7997, 107.603, 0, 8, 'U', 'Asia/Chongqing'),
	(6366, 'Xining Caojiabu Airport', 'Xining', 'China', 'XNN', 'ZLXN', 36.5275, 102.043, 0, 8, 'U', 'Asia/Chongqing'),
	(6367, 'Yan\'an Airport', 'Yan\'an', 'China', 'ENY', 'ZLYA', 36.6369, 109.554, 0, 8, 'U', 'Asia/Chongqing'),
	(6368, 'Yulin Airport', 'Yulin', 'China', 'UYN', 'ZLYL', 38.2692, 109.731, 0, 8, 'U', 'Asia/Chongqing'),
	(6369, 'Arvaikheer Airport', 'Arvaikheer', 'Mongolia', 'AVK', 'ZMAH', 46.2503, 102.802, 5932, 8, 'U', 'Asia/Ulaanbaatar'),
	(6370, 'Altai Airport', 'Altai', 'Mongolia', 'LTI', 'ZMAT', 46.3764, 96.2211, 7260, 8, 'U', 'Asia/Ulaanbaatar'),
	(6371, 'Bayankhongor Airport', 'Bayankhongor', 'Mongolia', 'BYN', 'ZMBH', 46.1633, 100.704, 6085, 8, 'U', 'Asia/Ulaanbaatar'),
	(6372, 'Dalanzadgad Airport', 'Dalanzadgad', 'Mongolia', 'DLZ', 'ZMDZ', 43.5917, 104.43, 4787, 8, 'U', 'Asia/Ulaanbaatar'),
	(6373, 'Khovd Airport', 'Khovd', 'Mongolia', 'HVD', 'ZMKD', 47.9541, 91.6282, 4898, 7, 'U', 'Asia/Hovd'),
	(6374, 'Muren Airport', 'Muren', 'Mongolia', 'MXV', 'ZMMN', 49.6633, 100.099, 4272, 8, 'U', 'Asia/Ulaanbaatar'),
	(6375, 'Diqing Airport', 'Shangri-La', 'China', 'DIG', 'ZPDQ', 27.7936, 99.6772, 0, 8, 'U', 'Asia/Chongqing'),
	(6376, 'Mangshi Airport', 'Luxi', 'China', 'LUM', 'ZPLX', 24.4011, 98.5317, 2890, 8, 'U', 'Asia/Chongqing'),
	(6377, 'Simao Airport', 'Simao', 'China', 'SYM', 'ZPSM', 22.7933, 100.959, 0, 8, 'U', 'Asia/Chongqing'),
	(6378, 'Zhaotong Airport', 'Zhaotong', 'China', 'ZAT', 'ZPZT', 27.3256, 103.755, 0, 8, 'U', 'Asia/Chongqing'),
	(6379, 'Ganzhou Airport', 'Ganzhou', 'China', 'KOW', 'ZSGZ', 25.8258, 114.912, 0, 8, 'U', 'Asia/Chongqing'),
	(6380, 'Jingdezhen Airport', 'Jingdezhen', 'China', 'JDZ', 'ZSJD', 29.3386, 117.176, 112, 8, 'U', 'Asia/Chongqing'),
	(6381, 'Jiujiang Lushan Airport', 'Jiujiang', 'China', 'JIU', 'ZSJJ', 29.733, 115.983, 0, 8, 'U', 'Asia/Chongqing'),
	(6382, 'Quzhou Airport', 'Quzhou', 'China', 'JUZ', 'ZSJU', 28.9658, 118.899, 0, 8, 'U', 'Asia/Chongqing'),
	(6383, 'Lianyungang Airport', 'Lianyungang', 'China', 'LYG', 'ZSLG', 34.55, 119.25, 0, 8, 'U', 'Asia/Chongqing'),
	(6384, 'Huangyan Luqiao Airport', 'Huangyan', 'China', 'HYN', 'ZSLQ', 28.5622, 121.429, 0, 8, 'U', 'Asia/Chongqing'),
	(6385, 'Shubuling Airport', 'Linyi', 'China', 'LYI', 'ZSLY', 35.0461, 118.412, 0, 8, 'U', 'Asia/Chongqing'),
	(6386, 'Quanzhou Airport', 'Quanzhou', 'China', 'JJN', 'ZSQZ', 24.7964, 118.59, 0, 8, 'U', 'Asia/Chongqing'),
	(6387, 'Tunxi International Airport', 'Huangshan', 'China', 'TXN', 'ZSTX', 29.7333, 118.256, 0, 8, 'U', 'Asia/Chongqing'),
	(6388, 'Weifang Airport', 'Weifang', 'China', 'WEF', 'ZSWF', 36.6467, 119.119, 0, 8, 'U', 'Asia/Chongqing'),
	(6389, 'Weihai Airport', 'Weihai', 'China', 'WEH', 'ZSWH', 37.1871, 122.229, 145, 8, 'U', 'Asia/Chongqing'),
	(6390, 'Wuxi Airport', 'Wuxi', 'China', 'WUX', 'ZSWX', 31.4944, 120.429, 0, 8, 'U', 'Asia/Chongqing'),
	(6391, 'Nanping Wuyishan Airport', 'Wuyishan', 'China', 'WUS', 'ZSWY', 27.7019, 118.001, 614, 8, 'U', 'Asia/Chongqing'),
	(6392, 'Wenzhou Yongqiang Airport', 'Wenzhou', 'China', 'WNZ', 'ZSWZ', 27.9122, 120.852, 0, 8, 'U', 'Asia/Chongqing'),
	(6393, 'Yancheng Airport', 'Yancheng', 'China', 'YNZ', 'ZSYN', 33.3856, 120.125, 0, 8, 'U', 'Asia/Chongqing'),
	(6394, 'Yiwu Airport', 'Yiwu', 'China', 'YIW', 'ZSYW', 29.3447, 120.032, 0, 8, 'U', 'Asia/Chongqing'),
	(6395, 'Zhoushan Airport', 'Zhoushan', 'China', 'HSN', 'ZSZS', 29.9342, 122.362, 0, 8, 'U', 'Asia/Chongqing'),
	(6396, 'Qamdo Bangda Airport', 'Bangda', 'China', 'BPX', 'ZUBD', 30.5536, 97.1083, 14219, 8, 'U', 'Asia/Chongqing'),
	(6397, 'Dachuan Airport', 'Dazhou', 'China', 'DAX', 'ZUDX', 31.3, 107.5, 0, 8, 'U', 'Asia/Chongqing'),
	(6398, 'Guangyuan Airport', 'Guangyuan', 'China', 'GYS', 'ZUGU', 32.3911, 105.702, 0, 8, 'U', 'Asia/Chongqing'),
	(6399, 'Luzhou Airport', 'Luzhou', 'China', 'LZO', 'ZULZ', 28.8522, 105.393, 0, 8, 'U', 'Asia/Chongqing'),
	(6400, 'Mianyang Airport', 'Mianyang', 'China', 'MIG', 'ZUMY', 31.4281, 104.741, 0, 8, 'U', 'Asia/Chongqing'),
	(6401, 'Nanchong Airport', 'Nanchong', 'China', 'NAO', 'ZUNC', 30.754, 106.062, 0, 8, 'U', 'Asia/Chongqing'),
	(6402, 'Nyingchi Airport', 'Nyingchi', 'China', 'LZY', 'ZUNZ', 29.3033, 94.3353, 9675, 8, 'U', 'Asia/Chongqing'),
	(6403, 'Wanxian Airport', 'Wanxian', 'China', 'WXN', 'ZUWX', 30.8361, 108.406, 0, 8, 'U', 'Asia/Chongqing'),
	(6404, 'Aksu Airport', 'Aksu', 'China', 'AKU', 'ZWAK', 41.2625, 80.2917, 0, 8, 'U', 'Asia/Chongqing'),
	(6405, 'Qiemo Airport', 'Qiemo', 'China', 'IQM', 'ZWCM', 38.1494, 85.5328, 4108, 8, 'U', 'Asia/Chongqing'),
	(6406, 'Kuqa Airport', 'Kuqa', 'China', 'KCA', 'ZWKC', 41.7181, 82.9869, 3524, 8, 'U', 'Asia/Chongqing'),
	(6407, 'Korla Airport', 'Korla', 'China', 'KRL', 'ZWKL', 41.6978, 86.1289, 0, 8, 'U', 'Asia/Chongqing'),
	(6408, 'Karamay Airport', 'Karamay', 'China', 'KRY', 'ZWKM', 45.617, 84.883, 0, 8, 'U', 'Asia/Chongqing'),
	(6409, 'Yining Airport', 'Yining', 'China', 'YIN', 'ZWYN', 43.9558, 81.3303, 0, 8, 'U', 'Asia/Chongqing'),
	(6410, 'Heihe Airport', 'Heihe', 'China', 'HEK', 'ZYHE', 50.25, 127.3, 8530, 8, 'U', 'Asia/Chongqing'),
	(6411, 'Jiamusi Airport', 'Jiamusi', 'China', 'JMU', 'ZYJM', 46.843394, 130.465389, 262, 8, 'U', 'Asia/Chongqing'),
	(6412, 'Jinzhou Airport', 'Jinzhou', 'China', 'JNZ', 'ZYJZ', 41.1014, 121.062, 0, 8, 'U', 'Asia/Chongqing'),
	(6413, 'Qiqihar Sanjiazi Airport', 'Qiqihar', 'China', 'NDG', 'ZYQQ', 47.239628, 123.918131, 477, 8, 'U', 'Asia/Chongqing'),
	(6414, 'Yanji Airport', 'Yanji', 'China', 'YNJ', 'ZYYJ', 42.8828, 129.451258, 624, 8, 'U', 'Asia/Chongqing'),
	(6415, 'Waikoloa Heliport', 'Waikoloa Village', 'United States', 'WKL', 'HI07', 19.9136, -155.864, 109, -10, 'N', 'Pacific/Honolulu'),
	(6416, 'Athen Helenikon Airport', 'Athens', 'Greece', 'HEW', '\\N', 37.8933, 23.7261, 69, 2, 'E', 'Europe/Athens'),
	(6417, 'Valletta Sea Plane Terminal', 'Valletta', 'Malta', '', '\\N', 35.888863, 14.508417, 0, 1, 'E', 'Europe/Malta'),
	(6418, 'Gozo Sea Plane Terminal', 'Mgarr', 'Malta', '', '\\N', 36.026389, 14.298333, 0, 1, 'E', 'Europe/Malta'),
	(6419, 'Mount Keith', 'Mount Keith', 'Australia', 'WME', 'YMNE', -27.286389, 120.554722, 1792, 8, 'O', 'Australia/Perth'),
	(6420, 'Gran Roque Airport', 'Los Roques', 'Venezuela', 'LRV', 'SVRS', 11.95, -66.67, 17, -4.5, 'S', 'America/Caracas'),
	(6421, 'Inishmore Airport', 'Inis Mor', 'Ireland', 'IOR', 'EIIM', 53.1067, -9.65361, 24, 0, 'U', 'Europe/Dublin'),
	(6422, 'Connemara Regional Airport', 'Indreabhan', 'Ireland', 'NNR', 'EICA', 53.2303, -9.46778, 0, 0, 'U', 'Europe/Dublin'),
	(6423, 'Guettin MecklenburgVorpommern Germany', 'Ruegen', 'Germany', 'GTI', 'EDCG', 54.383333, 13.325278, 69, 1, 'U', 'Europe/Berlin'),
	(6424, 'Berezovo', 'Berezovo', 'Russia', 'NBB', 'USHB', 63.9241, 65.0487, 98, 6, 'N', 'Asia/Yekaterinburg'),
	(6425, 'Szczecin-Dabie', 'Szczecin', 'Poland', '', 'EPSD', 53.471138, 14.63775, 3, 1, 'E', 'Europe/Warsaw'),
	(6426, 'Worcester Regional Airport', 'Worcester', 'United States', 'ORH', 'KORH', 42.2673, -71.8757, 1009, -5, 'A', 'America/New_York'),
	(6427, 'Anqing Airport', 'Anqing', 'China', 'AQG', 'ZSAQ', 30.5822, 117.0502, 0, 8, 'N', 'Asia/Chongqing'),
	(6428, 'Jing Gang Shan Airport', 'Ji An', 'China', 'JGS', '\\N', 26.8997, 114.7375, 0, 8, 'N', 'Asia/Chongqing'),
	(6429, 'Shanhaiguan Airport', 'Qinhuangdao', 'China', 'SHP', 'ZBSH', 39.9681, 119.731, 0, 8, 'N', 'Asia/Chongqing'),
	(6430, 'Zhangxiao', 'Yuncheng', 'China', 'YCU', 'ZBYC', 35.018, 110.993, 0, 8, 'N', 'Asia/Chongqing'),
	(6431, 'Lanzhou Airport', 'Lanzhou', 'China', 'LHW', 'ZLAN', 36.117, 103.617, 0, 8, 'N', 'Asia/Chongqing'),
	(6432, 'Jiayuguan Airport', 'Jiayuguan', 'China', 'JGN', 'ZLJQ', 39.8569, 98.3414, 0, 8, 'N', 'Asia/Chongqing'),
	(6433, 'Dandong', 'Dandong', 'China', 'DDG', 'ZYDD', 40.0255, 124.2866, 0, 8, 'N', 'Asia/Chongqing'),
	(6434, 'Ordos Ejin Horo', 'Dongsheng', 'China', 'DSN', 'ZBDS', 39.85, 110.033, 0, 8, 'N', 'Asia/Chongqing'),
	(6435, 'Panzhihua', 'Panzhihua', 'China', 'PZI', 'ZUZH', 26.54, 101.799, 9186, 8, 'N', 'Asia/Chongqing'),
	(6436, 'Grytviken', 'Grytviken', 'South Georgia and the Islands', '', '\\N', -54.16534, -36.30288, 0, -2, 'N', 'Atlantic/South_Georgia'),
	(6437, 'South Shetland', 'South Shetland', 'Antarctica', '', '\\N', -68, -58, 0, -4, 'N', '\\N'),
	(6438, 'South Shetland', 'South Shetland', 'Antarctica', '', '\\N', -63.37, -62.83, 0, 12, 'N', 'Antarctica/South_Pole'),
	(6439, 'New Rochelle Amtrak Station', 'New Rochelle', 'United States', '', '\\N', 40.913923, -73.782008, 66, -5, 'A', 'America/New_York'),
	(6441, 'New Haven Rail Station', 'New Haven', 'United States', 'ZVE', '\\N', 41.298669, -72.925992, 7, -5, 'A', 'America/New_York'),
	(6442, 'Chicago Union Station', 'Chicago', 'United States', '', '\\N', 41.8791966, -87.6388507, 581, -6, 'A', 'America/Chicago'),
	(6443, 'Dibrugarh Airport', 'Dibrugarh', 'India', 'DIB', '\\N', 27.4839, 95.0169, 362, 5.5, 'N', 'Asia/Calcutta'),
	(6444, 'Doha Free Zone Airport', 'Doha', 'Qatar', 'XOZ', '\\N', 24.8333, 50.9166, 0, 3, 'N', 'Asia/Qatar'),
	(6445, 'Bremerton National', 'Bremerton', 'United States', 'PWT', 'KPWT', 47.490244, -122.764814, 444, -8, 'A', 'America/Los_Angeles'),
	(6446, 'Spencer Muni', 'Spencer', 'United States', 'SPW', 'KSPW', 43.165527, -95.202805, 1339, -6, 'A', 'America/Chicago'),
	(6447, 'Jefferson City Memorial Airport', 'Jefferson City', 'United States', 'JEF', 'KJEF', 38.5912, -92.1561, 549, -6, 'A', 'America/Chicago'),
	(6448, 'Grand Canyon West Airport', 'Grand Canyon West', 'United States', 'GCW', '\\N', 35.5925, -113.4859, 4825, -7, 'U', 'America/Phoenix'),
	(6449, 'Boulder City Municipal Airport', 'Boulder City', 'United States', 'BLD', 'KBVU', 35.5651, -114.514, 2201, -7, 'U', 'America/Phoenix'),
	(6450, 'Tannheim', 'Tannheim', 'Germany', '', 'EDMT', 48.011736, 10.100903, 1902, 1, 'E', 'Europe/Berlin'),
	(6451, 'Glenview Amtrak Station', 'Glenview', 'United States', '', '\\N', 42.074197, -87.805346, 630, -6, 'A', 'America/Chicago'),
	(6452, 'Baltimore Penn Station', 'Baltimore', 'United States', '', '\\N', 39.307408, -76.615552, 62, -5, 'A', 'America/New_York'),
	(6453, 'Summit Camp', 'Ice Cap', 'Greenland', '', '\\N', 72.579187, -38.4572, 11000, 0, 'U', 'America/Danmarkshavn'),
	(6454, 'Unst Airport', 'Unst', 'United Kingdom', 'UNT', 'EGPW', 60.7472, -0.85385, 0, 0, 'E', 'Europe/London'),
	(6455, 'Pagerungan', 'Pagerungan', 'Indonesia', '', 'WA19', -6.956608, 115.931239, 20, 7, 'N', 'Asia/Jakarta'),
	(6456, 'Provincetown Muni', 'Provincetown', 'United States', 'PVC', 'KPVC', 42.071945, -70.22139, 9, -5, 'A', 'America/New_York'),
	(6457, 'Kenmore Air Harbor Seaplane Base', 'Seattle', 'United States', 'LKE', 'KW55', 47.629, -122.339, 14, -8, 'A', 'America/Los_Angeles'),
	(6458, 'Seria - Anduki', 'Seria', 'Brunei', '', 'WBAK', 4.6333, 114.3833, 5, 8, 'N', 'Asia/Brunei'),
	(6459, 'Magas', 'Nazran', 'Russia', '%u0', '%u04', 43.323815, 45.017761, 1060, 4, 'N', 'Europe/Moscow'),
	(6460, 'Saint Barthelemy', 'Gustavia', 'France', 'SBH', 'TFFJ', 17.9023, -62.8324, 50, -4, 'E', '\\N'),
	(6461, 'Morro de Sao Paulo', 'Morro de Sao Paulo', 'Brazil', '', '\\N', -13.2314, -38.5432, 10, 3, 'S', '\\N'),
	(6462, 'Morro de Sao Paulo', 'Morro de Sao Paulo', 'Brazil', '', '\\N', -13.386571, -38.909122, 10, -3, 'S', 'America/Fortaleza'),
	(6463, 'Belize City Municipal Airport', 'Belize', 'Belize', 'TZA', '\\N', 17.5344, -88.298, 15, -6, 'N', 'America/Belize'),
	(6464, 'Kostroma - Sokerkino', 'Kostroma', 'Russia', '', 'UUBA', 57.47, 41.01, 453, 4, 'N', 'Europe/Moscow'),
	(6465, 'Sukhumi Dranda', 'Sukhumi', 'Georgia', 'SUI', 'UGSS', 42.87, 41.12, 0, 4, 'N', 'Asia/Tbilisi'),
	(6466, 'Tambow', 'Tambow', 'Russia', 'TBW', 'UUOT', 52.81, 41.48, 126, 4, 'N', 'Europe/Moscow'),
	(6467, 'Oban Airport', 'North Connel', 'United Kingdom', 'OBN', 'EGEO', 56.464, -5.4, 23, 0, 'E', 'Europe/London'),
	(6468, 'Vilamendhoo', 'Vilamendhoo', 'Maldives', '', '\\N', 73.0191098670891, 3.60965475494316, 0, 1, 'U', 'Arctic/Longyearbyen'),
	(6469, 'Vilamendhoo', 'Vilamendhoo', 'Maldives', '', '\\N', 3.60965475494316, 73.0191098670891, 0, 5, 'U', 'Indian/Maldives'),
	(6470, 'Vilamendhoo', 'Vilamendhoo', 'Maldives', '', '\\N', 3.484, 73.802, 0, 5, 'U', 'Indian/Maldives'),
	(6471, 'Vilamendhoo', 'Vilamendhoo', 'Maldives', '', '\\N', 73.801, 3.801, 0, 5, 'U', '\\N'),
	(6472, 'Aaa', 'Aaa', 'Maldives', '', '\\N', 73.9, 3.222, 0, 5, 'U', '\\N'),
	(6473, 'Vilamendhoo', 'Vilamendhoo', 'Maldives', '', '\\N', 0, 0, 0, 5, 'U', '\\N'),
	(6474, 'Vilamendhoo', 'Vilamendhoo', 'Maldives', '', '\\N', 3.8, 73.8, 0, 5, 'U', 'Indian/Maldives'),
	(6475, 'Sharya', 'Sharya', 'Russia', '', '\\N', 58.2321, 45.3314, 453, 4, 'N', 'Europe/Moscow'),
	(6476, 'Mt. Fuji Shizuoka Airport', 'Shizuoka', 'Japan', 'FSZ', 'RJNS', 34.796111, 138.189444, 433, 9, 'N', 'Asia/Tokyo'),
	(6477, 'Erechim Airport', 'Erechim', 'Brazil', 'ERM', 'SSER', -27.6619, -52.2683, 2498, -3, 'S', 'America/Sao_Paulo'),
	(6478, 'La Cote', 'Prangins', 'Switzerland', '', 'LSGP', 46.413056, 6.258611, 1350, 1, 'E', 'Europe/Zurich'),
	(6479, 'Courchevel Airport', 'Courcheval', 'France', 'CVF', 'LFLJ', 45.3967, 6.63472, 6588, 1, 'E', 'Europe/Paris'),
	(6481, 'Fullerton Municipal Airport', 'Fullerton', 'United States', 'FUL', 'KFUL', 33.521925, -117.584722, 96, -8, 'A', 'America/Los_Angeles'),
	(6482, 'Concord Rgnl', 'Concord', 'United States', '', 'KJQF', 35.387775, -80.709136, 705, -5, 'A', 'America/New_York'),
	(6483, 'Sandown', 'Isle Of Wight', 'United Kingdom', '', 'EGHN', 50.677776, -1.317803, 18, 0, 'E', 'Europe/London'),
	(6484, 'Fort William Heliport', 'Fort William', 'United Kingdom', 'FWM', '\\N', 56.816666, -5.116667, 0, 0, 'E', 'Europe/London'),
	(6485, 'Navoi Airport', 'Navoi', 'Uzbekistan', 'NVI', 'UTSA', 40.1172, 65.1708, 0, 5, 'E', 'Asia/Samarkand'),
	(6486, 'La Defense Heliport', 'Paris', 'France', 'JPU', '\\N', 48.86667, 2.333333, 0, 1, 'E', 'Europe/Paris'),
	(6487, 'Andernos-Les-Bains', 'Andernos-Les-Bains', 'France', '', 'LFCD', 44.81111, -1.186023, 0, 1, 'E', 'Europe/Paris'),
	(6488, 'Ronda Airport', 'Ronda', 'Spain', 'RRA', '\\N', 36.75, -5.166667, 2500, 1, 'E', 'Europe/Madrid'),
	(6489, 'Bienenfarm Airport', 'Nauen', 'Germany', '', 'EDOI', 52.6617, 12.7458, 131, 1, 'E', 'Europe/Berlin'),
	(6491, 'Champion-7', 'Champion-7', 'Brunei', '', '\\N', 5.21, 114.7419, 12, 8, 'N', '\\N'),
	(6492, 'Ain Arnat Airport', 'Setif', 'Algeria', 'QSF', 'DAAS', 36.1781, 5.32449, 3360, 1, 'U', 'Africa/Algiers'),
	(6493, 'La Rochelle-Ile de Re', 'La Rochelle', 'France', 'LRH', 'LFBH', 46.1792, -1.19528, 74, 1, 'E', 'Europe/Paris'),
	(6494, 'Friedman Mem', 'Hailey', 'United States', 'SUN', 'KSUN', 43.504444, -114.296194, 5320, -7, 'A', 'America/Denver'),
	(6495, 'Balkhash Airport', 'Balkhash', 'Kazakhstan', 'BXH', '\\N', 46.8933, 75.005, 1446, 6, 'E', 'Asia/Qyzylorda'),
	(6497, 'Yverdon-Les-Bains', 'Yverdon-Les-Bains', 'Switzerland', '', 'LSGY', 46.86667, 6.7, 1427, 1, 'E', 'Europe/Zurich'),
	(6498, 'Portsmouth Airport', 'Portsmouth', 'United Kingdom', 'PME', '\\N', 50.8, -1.083333, 0, 0, 'E', 'Europe/London'),
	(6499, 'Aleksandrowice', 'Bielsko-Biala', 'Poland', '', 'EPBA', 49.84997, 19.020193, 860, 1, 'E', 'Europe/Warsaw'),
	(6500, 'Mason City Municipal', 'Mason City', 'United States', 'MCW', 'KMCW', 43.2247, -93.4067, 1243, -6, 'A', 'America/Chicago'),
	(6501, 'Salar de Uyuni', 'Salar de Uyuni', 'Bolivia', '', '\\N', -20.330706, -67.046881, 12000, -4, 'S', 'America/La_Paz'),
	(6502, 'Isla Pescado', 'Isla Pescado', 'Bolivia', '', '\\N', -20.240932, -67.62538, 12020, -4, 'S', 'America/La_Paz'),
	(6503, 'Toro Toro', 'Toro Toro', 'Bolivia', '', '\\N', -18.133114, -65.768781, 9007, -4, 'S', 'America/La_Paz'),
	(6505, 'Phoenix-Mesa Gateway', 'Mesa', 'United States', 'AZA', 'KIWA', 33.307833, -111.655, 1382, -7, 'N', 'America/Phoenix'),
	(6506, 'Saul Airport', 'Saul', 'French Guiana', 'XAU', 'SOOS', 3.61361, -53.2042, 656, -3, 'U', 'America/Cayenne'),
	(6507, 'Fremont Airport', 'Fremont', 'United States', '', '\\N', 41.3331, -83.1612, 663, -5, 'A', 'America/New_York'),
	(6508, 'Washington Union Station', 'Washington', 'United States', 'ZWU', '\\N', 38.89746, -77.00643, 76, -5, 'A', 'America/New_York'),
	(6509, 'Sun Island', 'Sun Island', 'Maldives', '', '\\N', 3.48596289680953, 72.8060746192932, 0, 5, 'N', 'Indian/Maldives'),
	(6510, 'Zweibruecken', 'Zweibruecken', 'Germany', 'ZQW', '\\N', 49.209445, 7.401323, 1132, 1, 'E', 'Europe/Berlin'),
	(6511, 'Tekapo', 'Lake Tekapo', 'New Zealand', '', 'NZTL', -44, 170.28, 2, 12, 'Z', 'Pacific/Auckland'),
	(6512, 'QTHRL', 'Queenstown', 'New Zealand', '', '\\N', -44.8898, 168.6762, 1, 12, 'Z', 'Pacific/Auckland'),
	(6513, 'QTHRS', 'Queenstown', 'New Zealand', '', '\\N', -44.9486, 168.7068, 1, 12, 'Z', 'Pacific/Auckland'),
	(6514, 'Helirafting Start', 'Queenstown', 'New Zealand', '', '\\N', -44.9486, 168.7068, 1300, 12, 'Z', 'Pacific/Auckland'),
	(6515, 'Helirafting Landung', 'Queenstown', 'New Zealand', '', '\\N', -44.8898, 168.6762, 1300, 12, 'Z', 'Pacific/Auckland'),
	(6517, 'Jomo Kenyatta', 'Nairobi', 'Kenya', '', '\\N', -1.319242, 36.927775, 1625, 3, 'U', 'Africa/Nairobi'),
	(6518, 'DWEST', 'DWEST', 'Germany', '', '\\N', 51.025, 7.1837, 300, 1, 'E', 'Europe/Berlin'),
	(6519, 'Niederoeblarn', 'Niederoeblarn', 'Austria', '', 'LOGO', 47.478, 14.008, 2142, 1, 'E', 'Europe/Vienna'),
	(6520, 'Bad Voeslau', 'Bad Voeslau', 'Austria', '', 'LOAV', 47.965, 16.259, 765, 1, 'E', 'Europe/Vienna'),
	(6521, 'Arekuna Camp', 'Arekuna', 'Venezuela', '', '\\N', 6.290501, -62.534499, 0, -4.5, 'S', 'America/Caracas'),
	(6522, 'Uetersen', 'Uetersen', 'Germany', '', 'EDHE', 53.646667, 9.704167, 7, 1, 'E', 'Europe/Berlin'),
	(6523, 'HLP1 HS-16', 'Salzwedel', 'Germany', '', '\\N', 52.8333, 11.2027, 111, 1, 'U', 'Europe/Berlin'),
	(6524, 'HLP2 HS-16', 'Nordhausen', 'Germany', '', '\\N', 51.4888, 10.7833, 278, 1, 'U', 'Europe/Berlin'),
	(6525, 'HLP HQ GT', 'Paetz', 'Germany', '', '\\N', 52.2361, 13.6667, 98, 1, 'U', 'Europe/Berlin'),
	(6712, 'Anaktuvuk Pass Airport', 'Anaktuvuk Pass', 'United States', 'AKP', 'PAKP', 68.1336, -151.743, 2103, -9, 'A', 'America/Anchorage'),
	(6713, 'Anvik Airport', 'Anvik', 'United States', 'ANV', 'PANV', 62.6467, -160.191, 309, -9, 'A', 'America/Anchorage'),
	(6714, 'Atqasuk Edward Burnell Sr Memorial Airport', 'Atqasuk', 'United States', 'ATK', 'PATQ', 70.4673, -157.436, 96, -9, 'A', 'America/Anchorage'),
	(6715, 'Gambell Airport', 'Gambell', 'United States', 'GAM', 'PAGM', 63.7668, -171.733, 27, -9, 'A', 'America/Anchorage'),
	(6716, 'Hooper Bay Airport', 'Hooper Bay', 'United States', 'HPB', 'PAHP', 61.5239, -166.147, 7, -9, 'A', 'America/Anchorage'),
	(6717, 'Kaltag Airport', 'Kaltag', 'United States', 'KAL', 'PAKV', 64.3191, -158.741, 187, -9, 'A', 'America/Anchorage'),
	(6718, 'St Marys Airport', 'St Mary\'s', 'United States', 'KSM', 'PASM', 62.0605, -163.302, 311, -9, 'A', 'America/Anchorage'),
	(6719, 'Kivalina Airport', 'Kivalina', 'United States', 'KVL', 'PAVL', 67.7362, -164.563, 13, -9, 'A', 'America/Anchorage'),
	(6720, 'Mekoryuk Airport', 'Mekoryuk', 'United States', 'MYU', 'PAMY', 60.3714, -166.271, 48, -9, 'A', 'America/Anchorage'),
	(6721, 'Point Hope Airport', 'Point Hope', 'United States', 'PHO', 'PPHO', 68.3488, -166.799, 12, -9, 'A', 'America/Anchorage'),
	(6722, 'Ruby Airport', 'Ruby', 'United States', 'RBY', 'PARY', 64.7272, -155.47, 653, -9, 'A', 'America/Anchorage'),
	(6723, 'Shishmaref Airport', 'Shishmaref', 'United States', 'SHH', 'PASH', 66.2496, -166.089, 12, -9, 'A', 'America/Anchorage'),
	(6724, 'Savoonga Airport', 'Savoonga', 'United States', 'SVA', 'PASA', 63.6864, -170.493, 53, -9, 'A', 'America/Anchorage'),
	(6725, 'Noatak Airport', 'Noatak', 'United States', 'WTK', 'PAWN', 67.5661, -162.975, 88, -9, 'A', 'America/Anchorage'),
	(6726, 'Ormoc Airport', 'Ormoc City', 'Philippines', 'OMC', 'RPVO', 11.057997, 124.565322, 83, 8, 'N', 'Asia/Manila'),
	(6727, 'Puvirnituq Airport', 'Puvirnituq', 'Canada', 'YPX', 'CYPX', 60.0506, -77.2869, 74, -5, 'A', 'America/Toronto'),
	(6728, 'Tasiujaq Airport', 'Tasiujaq', 'Canada', 'YTQ', 'CYTQ', 58.6678, -69.9558, 122, -5, 'A', 'America/Toronto'),
	(6729, 'Arctic Village Airport', 'Arctic Village', 'United States', 'ARC', 'PARC', 68.1147, -145.579, 2092, -9, 'A', 'America/Anchorage'),
	(6730, 'Imo Airport', 'Imo', 'Nigeria', 'QOW', 'DNIM', 5.42706, 7.20603, 373, 1, 'N', 'Africa/Lagos'),
	(6731, 'Arenal Airport', 'La Fortuna/San Carlos', 'Costa Rica', 'FON', 'MRAN', 10.478, -84.6345, 342, -6, 'U', 'America/Costa_Rica'),
	(6732, 'Tambor Airport', 'Nicoya', 'Costa Rica', 'TMU', 'MRTR', 9.73852, -85.0138, 33, -6, 'U', 'America/Costa_Rica'),
	(6733, 'Cauayan Airport', 'Cauayan', 'Philippines', 'CYZ', 'RPUY', 16.929861, 121.753036, 200, 8, 'N', 'Asia/Manila'),
	(6734, 'Kirovsk-Apatity Airport', 'Apatity', 'Russia', 'KVK', 'ULMK', 67.4633, 33.5883, 515, 4, 'N', 'Europe/Moscow'),
	(6735, 'Governador Valadares Airport', 'Governador Valadares', 'Brazil', 'GVR', 'SBGV', -18.8952, -41.9822, 561, -3, 'S', 'America/Sao_Paulo'),
	(6736, 'Port Clarence Coast Guard Station', 'Port Clarence', 'United States', 'KPC', 'PAPC', 65.2537, -166.859, 10, -9, 'A', 'America/Anchorage'),
	(6737, 'Pajala Airport', 'Pajala', 'Sweden', 'PJA', 'ESUP', 67.2456, 23.0689, 542, 1, 'E', 'Europe/Stockholm'),
	(6738, 'Bella Coola Airport', 'Bella Coola', 'Canada', 'QBC', 'CYBD', 52.3875, -126.596, 117, -8, 'A', 'America/Vancouver'),
	(6739, 'Hagerstown Regional Richard A Henson Field', 'Hagerstown', 'United States', 'HGR', 'KHGR', 39.7079, -77.7295, 704, -5, 'A', 'America/New_York'),
	(6740, 'Araracuara Airport', 'Araracuara', 'Colombia', 'ACR', 'SKAC', -0.58, -72.41, 1250, -5, 'U', 'America/Bogota'),
	(6741, 'Gorakhpur Airport', 'Gorakhpur', 'India', 'GOP', 'VEGK', 26.739708, 83.449708, 259, 5.5, 'N', 'Asia/Calcutta'),
	(6742, 'Sand Point Airport', 'Sand Point', 'United States', 'SDP', 'PASD', 55.315, -160.523, 21, -9, 'A', 'America/Anchorage'),
	(6743, 'Hami Airport', 'Hami', 'China', 'HMI', 'ZWHM', 42.8414, 93.6692, 0, 8, 'U', 'Asia/Chongqing'),
	(6744, 'Changzhoudao Airport', 'Wuzhou', 'China', 'WUZ', 'ZGWZ', 23.4567, 111.248, 89, 8, 'U', 'Asia/Chongqing'),
	(6745, 'Romblon Airport', 'Romblon', 'Philippines', 'TBH', 'RPVU', 12.311, 122.085, 10, 8, 'N', 'Asia/Manila'),
	(6746, 'Sahand Airport', 'Maragheh', 'Iran', 'ACP', 'OITM', 37.348017, 46.127903, 4396, 3.5, 'E', 'Asia/Tehran'),
	(6747, 'Gorgan Airport', 'Gorgan', 'Iran', 'GBT', 'OING', 36.909381, 54.401339, -24, 3.5, 'E', 'Asia/Tehran'),
	(6748, 'Ilam Airport', 'Ilam', 'Iran', 'IIL', 'OICI', 33.586606, 46.404842, 4404, 3.5, 'E', 'Asia/Tehran'),
	(6749, 'Parsabade Moghan Airport', 'Parsabad', 'Iran', 'PFQ', 'OITP', 39.603606, 47.8815, 251, 3.5, 'E', 'Asia/Tehran'),
	(6750, 'Nueva Loja Airport', 'Lago Agrio', 'Ecuador', 'LGQ', 'SELA', 0.093056, -76.8675, 980, -5, 'U', 'America/Guayaquil'),
	(6751, 'Tocache Airport', 'Tocache', 'Peru', '', 'SPCH', -8.183, -76.517, 1500, -5, 'U', 'America/Lima'),
	(6752, 'Tacheng Airport', 'Tacheng', 'China', 'TCG', 'ZWTC', 46.6725, 83.3408, 0, 8, 'U', 'Asia/Chongqing'),
	(6753, 'Mardin Airport', 'Mardin', 'Turkey', 'MQM', 'LTCR', 37.2233, 40.6317, 1729, 2, 'E', 'Europe/Istanbul'),
	(6754, 'Sugraly Airport', 'Zarafshan', 'Uzbekistan', 'AFS', 'UTSN', 41.6139, 64.2332, 1396, 5, 'U', 'Asia/Samarkand'),
	(6755, 'Deering Airport', 'Deering', 'United States', 'DRG', 'PADE', 66.0696, -162.766, 21, -9, 'A', 'America/Anchorage'),
	(6756, 'Leon Airport', 'Leon', 'Spain', 'LEN', 'LELN', 42.589, -5.655556, 3006, 1, 'E', 'Europe/Madrid'),
	(6757, 'Burgos Airport', 'Burgos', 'Spain', 'RGS', 'LEBG', 42.357628, -3.620764, 2945, 1, 'E', 'Europe/Madrid'),
	(6758, 'Sege Airport', 'Sege', 'Solomon Islands', 'EGM', 'AGGS', -8.57889, 157.876, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(6759, 'Shahre Kord Airport', 'Shahre Kord', 'Iran', 'CQD', 'OIFS', 32.2972, 50.8422, 6723, 3.5, 'E', 'Asia/Tehran'),
	(6760, 'Kangra Airport', 'Kangra', 'India', 'DHM', 'VIGG', 32.1651, 76.2634, 2525, 5.5, 'N', 'Asia/Calcutta'),
	(6761, 'Nanded Airport', 'Nanded', 'India', 'NDC', 'VAND', 19.1833, 77.3167, 1250, 5.5, 'N', 'Asia/Calcutta'),
	(6762, 'Shimla Airport', 'Shimla', 'India', 'SLV', 'VISM', 31.081803, 77.067967, 5072, 5.5, 'N', 'Asia/Calcutta'),
	(6763, 'Igiugig Airport', 'Igiugig', 'United States', 'IGG', 'PAIG', 59.324, -155.902, 90, -9, 'A', 'America/Anchorage'),
	(6764, 'New Stuyahok Airport', 'New Stuyahok', 'United States', 'KNW', 'PANW', 59.4499, -157.328, 302, -9, 'A', 'America/Anchorage'),
	(6765, 'King Cove Airport', 'King Cove', 'United States', 'KVC', 'PAVC', 55.1163, -162.266, 155, -9, 'A', 'America/Anchorage'),
	(6766, 'Port Heiden Airport', 'Port Heiden', 'United States', 'PTH', 'PAPH', 56.9591, -158.633, 95, -9, 'A', 'America/Anchorage'),
	(6767, 'Togiak Airport', 'Togiak Village', 'United States', 'TOG', 'PATG', 59.0528, -160.397, 21, -9, 'A', 'America/Anchorage'),
	(6768, 'Geneina Airport', 'Geneina', 'Sudan', 'EGN', 'HSGN', 13.4817, 22.4672, 2650, 3, 'U', 'Africa/Khartoum'),
	(6769, 'Long Akah Airport', 'Long Akah', 'Malaysia', 'LKH', 'WBGL', 3.3, 114.783, 289, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6770, 'Tanjung Manis Airport', 'Tanjung Manis', 'Malaysia', 'TGC', 'WBTM', 2.17784, 111.202, 15, 8, 'N', 'Asia/Kuala_Lumpur'),
	(6771, 'Walaha Airport', 'Walaha', 'Vanuatu', 'WLH', 'NVSW', -15.412, 167.691, 151, 11, 'U', 'Pacific/Efate'),
	(6772, 'Chaoyang Airport', 'Chaoyang', 'China', 'CHG', 'ZYCY', 41.5381, 120.435, 0, 8, 'U', 'Asia/Chongqing'),
	(6773, 'Samburu South Airport', 'Samburu South', 'Kenya', 'UAS', 'HKSB', 0.530583, 37.5342, 3295, 3, 'U', 'Africa/Nairobi'),
	(6774, 'Brus Laguna Airport', 'Brus Laguna', 'Honduras', 'BHG', 'MHBL', 15.7631, -84.5436, 2, -6, 'U', 'America/Tegucigalpa'),
	(6775, 'Bonaventure Airport', 'Bonaventure', 'Canada', 'YVB', 'CYVB', 48.0711, -65.4603, 123, -5, 'A', 'America/Toronto'),
	(6776, 'Sialkot Airport', 'Sialkot', 'Pakistan', 'SKT', 'OPST', 32.5356, 74.3639, 810, 5, 'N', 'Asia/Karachi'),
	(6777, 'Capitan Corbeta C A Curbelo International Airport', 'Punta del Este', 'Uruguay', 'PDP', 'SULS', -34.855139, -55.094278, 95, -3, 'S', 'America/Montevideo'),
	(6778, 'Walvis Bay Airport', 'Walvis Bay', 'Namibia', 'WVB', 'FYWB', -22.9799, 14.6453, 299, 1, 'S', 'Africa/Windhoek'),
	(6779, 'Katima Mulilo Airport', 'Mpacha', 'Namibia', 'MPA', 'FYKM', -17.6344, 24.1767, 3144, 1, 'S', 'Africa/Windhoek'),
	(6780, 'Anadolu Airport', 'Eskissehir', 'Turkey', 'AOE', 'LTBY', 39.809858, 30.519378, 2588, 2, 'E', 'Europe/Istanbul'),
	(6781, 'Canakkale Airport', 'Canakkale', 'Turkey', 'CKZ', 'LTBH', 40.137722, 26.426777, 23, 2, 'E', 'Europe/Istanbul'),
	(6782, 'Mus Airport', 'Mus', 'Turkey', 'MSR', 'LTCK', 38.747769, 41.661236, 4157, 2, 'E', 'Europe/Istanbul'),
	(6783, 'Sinop Airport', 'Sinop', 'Turkey', 'SIC', 'LTCM', 42.0158, 35.0664, 20, 2, 'E', 'Europe/Istanbul'),
	(6784, 'Tekirdağ Çorlu Airport', 'Çorlu', 'Turkey', 'TEQ', 'LTBU', 41.13825, 27.919094, 574, 2, 'E', 'Europe/Istanbul'),
	(6785, 'Yenisehir Airport', 'Yenisehir', 'Turkey', 'YEI', 'LTBR', 40.255208, 29.562569, 764, 2, 'E', 'Europe/Istanbul'),
	(6786, 'Terre-de-Haut Airport', 'Les Saintes', 'Guadeloupe', 'LSS', 'TFFS', 15.8644, -61.5806, 46, -4, 'U', 'America/Guadeloupe'),
	(6787, 'Kalay Airport', 'Kalemyo', 'Myanmar', 'KMV', 'VYKL', 23.188811, 94.051094, 499, 6.5, 'U', 'Asia/Rangoon'),
	(6788, 'Vieques Airport', 'Vieques Island', 'Puerto Rico', 'VQS', 'TJCG', 18.1158, -65.4227, 19, -4, 'U', 'America/Puerto_Rico'),
	(6789, 'St Augustin Airport', 'St-Augustin', 'Canada', 'YIF', 'CYIF', 51.2117, -58.6583, 20, -4, 'A', 'America/Blanc-Sablon'),
	(6790, 'Hamadan Airport', 'Hamadan', 'Iran', 'HDM', 'OIHH', 34.869167, 48.5525, 5755, 3.5, 'E', 'Asia/Tehran'),
	(6791, 'Marinduque Airport', 'Gasan', 'Philippines', 'MRQ', 'RPUW', 13.360967, 121.825583, 32, 8, 'N', 'Asia/Manila'),
	(6792, 'Grafton Airport', 'Grafton', 'Australia', 'GFN', 'YGFN', -29.7594, 153.03, 110, 10, 'U', 'Australia/Sydney'),
	(6793, 'Orange Airport', 'Orange', 'Australia', 'OAG', 'YORG', -33.3817, 149.133, 3115, 10, 'U', 'Australia/Sydney'),
	(6794, 'Taree Airport', 'Taree', 'Australia', 'TRO', 'YTRE', -31.8886, 152.514, 38, 10, 'U', 'Australia/Sydney'),
	(6795, 'Choibalsan Airport', 'Choibalsan', 'Mongolia', 'COQ', 'ZMCD', 48.1357, 114.646, 2457, 8, 'U', 'Asia/Ulaanbaatar'),
	(6797, 'Hohenems', 'Hohenems', 'Austria', 'HOJ', 'LOIH', 47.385, 9.7, 412, 1, 'E', 'Europe/Vienna'),
	(6798, 'Weser-Wuemme', 'Hellwege', 'Germany', '', 'EDWM', 53.054, 9.208667, 59, 1, 'E', 'Europe/Berlin'),
	(6799, 'Krems Langenlois', 'Krems', 'Austria', '', 'LOAG', 48.446075, 15.631243, 1022, 1, 'E', 'Europe/Vienna'),
	(6800, 'Delta County Airport', 'Escanaba', 'United States', 'ESC', 'KESC', 45.722778, -87.093611, 609, -5, 'A', 'America/New_York'),
	(6801, 'Lauf-Lillinghof', 'Lillinghof', 'Germany', '', '\\N', 49.6543, 11.6539, 954, 1, 'E', 'Europe/Berlin'),
	(6803, 'Yakutat', 'Yakutat', 'United States', 'YAK', 'PAYA', 59.3012, -139.3937, 33, -9, 'A', '\\N'),
	(6804, 'Torp', 'Sandefjord', 'Norway', '', '\\N', 59.186703, 10.258628, 286, 1, 'E', 'Europe/Oslo'),
	(6805, 'Goulburn Airport', 'Goulburn', 'Australia', 'GUL', 'YGLB', -34.8103, 149.726, 2141, 10, 'O', 'Australia/Sydney'),
	(6806, 'Cessnock Airport', 'Cessnock', 'Australia', 'CES', 'YCNK', -32.7875, 151.342, 211, 10, 'O', 'Australia/Sydney'),
	(6807, 'Scone Airport', 'Scone', 'Australia', 'NSO', 'YSCO', -32.0372, 150.832, 745, 10, 'O', 'Australia/Sydney'),
	(6808, 'Mudgee Airport', 'Mudgee', 'Australia', 'DGE', 'YMDG', -32.5625, 149.611, 1545, 10, 'O', 'Australia/Sydney'),
	(6809, 'Maitland Airport', 'Maitland', 'Australia', 'MTL', 'YMND', -32.7033, 151.488, 75, 10, 'O', 'Australia/Sydney'),
	(6810, 'EuroAirport', 'Mulhouse', 'France', 'EAP', '\\N', 47.589583, 7.529914, 885, 1, 'E', 'Europe/Paris'),
	(6811, 'South Ari Atoll', 'Paradies Island', 'Maldives', '', 'ARIA', 3.4833, 72.8369, 0, 5, 'U', 'Indian/Maldives'),
	(6813, 'Susse', 'Kangia', 'Greenland', '', '\\N', 69.2225, -49.9383, 100, -3, 'U', 'America/Godthab'),
	(6814, 'Culebra Airport', 'Culebra Island', 'Puerto Rico', 'CPX', 'TJCP', 18.3127, -65.3034, 12, -4, 'U', 'America/Puerto_Rico'),
	(6816, 'Raron Airport', 'Raron', 'Switzerland', '', 'LSTA', 46.3036, 7.82333, 2029, 1, 'E', 'Europe/Zurich'),
	(6817, 'Hongyuan Airfield', 'Hongyuan', 'China', '', '\\N', 32.800428, 102.534785, 11500, 8, 'N', 'Asia/Chongqing'),
	(6818, 'Balti International Airport', 'Strymba', 'Moldova', 'BZY', '\\N', 47.8381, 27.7815, 758, 2, 'U', 'Europe/Chisinau'),
	(6819, 'Borovaya Airfield', 'Minsk', 'Belarus', '', 'UMMB', 53.57, 27.39, 0, 3, 'E', 'Europe/Minsk'),
	(6820, 'Mukachevo', 'Mukacheve', 'Ukraine', '', '\\N', 48.4, 22.683, 390, 2, 'E', 'Europe/Kiev'),
	(6821, 'Mukachevo Air Base', 'Mukacheve', 'Ukraine', '', '\\N', 48.4, 22.6833, 390, 2, 'E', 'Europe/Kiev'),
	(6822, 'Militaerlager', 'S-Chanf', 'Switzerland', '', '\\N', 46.6166, 9.9833, 5100, 1, 'U', 'Europe/Zurich'),
	(6823, 'Amlikon Glider Airport', 'Amlikon', 'Switzerland', '', 'LSPA', 47.5742, 9.0475, 1371, 1, 'E', 'Europe/Zurich'),
	(6824, 'Lommis Airport', 'Lommis', 'Switzerland', '', 'LSZT', 47.5244, 9.00306, 1539, 1, 'E', 'Europe/Zurich'),
	(6825, 'Williamson Country Regional Airport', 'Marion', 'United States', 'MWA', 'KMWA', 37.7549569, -89.0110936, 472, -6, 'A', 'America/Chicago'),
	(6826, 'Bamburi', 'Bamburi', 'Kenya', 'BMQ', 'KBMQ', -3.98268888888889, 39.7308972222222, 50, 3, 'U', 'Africa/Nairobi'),
	(6827, 'Namanga', 'Namanga', 'Kenya', '', '\\N', -2.55, 36.7833333, 4445, 3, 'U', 'Africa/Dar_es_Salaam'),
	(6828, 'Mara Lodges', 'Mara Lodges', 'Kenya', '', '\\N', -1.183581, 35.099931, 5600, 3, 'U', 'Africa/Nairobi'),
	(6829, 'Orchid Beach', 'Fraser Island', 'Australia', 'OKB', 'KOKB', -24.95841, 153.3145, 6, 10, 'O', 'Australia/Brisbane'),
	(6830, 'Finsterwalde-Heinrichsruh', 'Finsterwalde', 'Germany', '', 'EDAS', 51.6377, 13.2419, 384, 1, 'E', 'Europe/Berlin'),
	(6831, 'Nastaetten', 'Nastaetten', 'Germany', '', '\\N', 50.1972, 7.8916, 600, 1, 'E', 'Europe/Berlin'),
	(6832, 'Kirkuk AB', 'Kirkuk', 'Iraq', 'KIK', 'ORKK', 35.17, 44.3483, 1061, 3, 'N', 'Asia/Baghdad'),
	(6833, 'Al Udeid AB', 'Doha', 'Qatar', 'IUD', 'OTBH', 25.1174, 51.3228, 130, 3, 'N', 'Asia/Qatar'),
	(6834, 'Great Barrier Island', 'Claris', 'New Zealand', 'GBZ', 'NZGB', -36.1429, 175.2819, 10, 12, 'Z', 'Pacific/Auckland'),
	(6835, 'Gouvia Marina', 'Gouvia', 'Greece', '', '\\N', 39.648682, 19.855771, 0, 2, 'E', 'Europe/Athens'),
	(6836, 'Paxos Marina', 'Paxos', 'Greece', '', '\\N', 39.202676, 20.187968, 0, 2, 'E', 'Europe/Athens'),
	(6837, 'Ford Airport', 'Iron Mountain', 'United States', 'IMT', 'KIMT', 45.8183611, -88.1145556, 1182, -6, 'A', 'America/Chicago'),
	(6838, 'Sawyer International Airport', 'Marquette', 'United States', 'MQT', 'KMQT', 46.353611, -87.395278, 1221, -5, 'A', 'America/New_York'),
	(6839, 'Allakaket Airport', 'Allakaket', 'United States', 'AET', 'PFAL', 66.5519, -152.6222, 441, -9, 'A', 'America/Anchorage'),
	(6840, 'Dinslaken Schwarze-Heide', 'Dinslaken', 'Germany', '', 'EDLD', 51.3659, 6.5155, 198, 1, 'E', 'Europe/Berlin'),
	(6841, 'Flugplatz Hoexter Holzminden', 'Hoexter Holzminden', 'Germany', '', 'EDVI', 51.4838, 9.2259, 855, 1, 'E', 'Europe/Berlin'),
	(6842, 'East Glacier Park Amtrak Station', 'East Glacier', 'United States', '', '\\N', 48.443965, -113.218556, 5171, -7, 'A', 'America/Denver'),
	(6843, 'Niijima Airport', 'Niijima', 'Japan', '', 'RJAN', 34.366944, 139.268611, 133, 9, 'N', 'Asia/Tokyo'),
	(6844, 'Michigan City Municipal Airport', 'Michigan City', 'United States', 'MGC', 'KMGC', 41.7033, -86.8211, 500, -6, 'A', 'America/Chicago'),
	(6845, 'Seward Airport', 'Seward', 'United States', 'SWD', '\\N', 60.1269383, -149.4188122, 22, -9, 'U', 'America/Anchorage'),
	(6846, 'McCarthy Airport', 'McCarthy', 'United States', 'MXY', '\\N', 61.4370608, -142.90307372, 1531, -9, 'U', 'America/Anchorage'),
	(6847, 'Silverton', 'Silverton', 'United States', '', '\\N', 37.812545, -107.662994, 9308, -7, 'U', 'America/Denver'),
	(6848, 'Porter County Municipal Airport', 'Valparaiso', 'United States', 'NPZ', '\\N', 41.4539722, -87.0070833, 770, -6, 'A', 'America/Chicago'),
	(6849, 'Grand Marais Cook County Airport', 'Grand Marais', 'United States', 'GRM', 'KCKC', 47.8383333, -90.3829444, 1799, -6, 'U', 'America/Chicago'),
	(6850, 'Mackinac Island Airport', 'Mackinac Island', 'United States', 'MCD', '\\N', 45.8649344, -84.637344, 740, -5, 'U', 'America/New_York'),
	(6851, 'Gogebic Iron County Airport', 'Ironwood', 'United States', 'IWD', '\\N', 46.5274747, -90.1313967, 1230, -6, 'U', 'America/Chicago'),
	(6852, 'Portage Municipal Airport', 'Portage', 'United States', 'C47', '\\N', 43.5603136, -89.4828607, 825, -6, 'U', 'America/Chicago'),
	(6853, 'Wausau Downtown Airport', 'Wausau', 'United States', 'AUW', '\\N', 44.9262845, -89.6270018, 1201, -6, 'U', 'America/Chicago'),
	(6854, 'Gardermoen Airport', 'Oslo', 'Norway', 'GEN', '\\N', 60.1939, 11.1004, 681, 1, 'E', 'Europe/Oslo'),
	(6855, 'Kalundborg Flyveplads', 'Kalundborg', 'Denmark', '', 'EKKL', 55.7001, 11.2549, 13, 1, 'E', 'Europe/Copenhagen'),
	(6856, 'Solio Ranch Airport', 'Solio', 'Kenya', '', '\\N', -0.245167, 36.8849, 6300, 3, 'U', 'Africa/Nairobi'),
	(6857, 'Kimana', 'Kimana', 'Kenya', '', '\\N', -2.8, 37.5333333333333, 3900, 3, 'U', 'Africa/Nairobi'),
	(6858, 'Crocodile Camp', 'Tsavo East', 'Kenya', '', '\\N', -3.070875, 39.2194305555556, 400, 3, 'U', 'Africa/Nairobi'),
	(6859, 'Mary Airport', 'Mary', 'Turkmenistan', 'MYP', 'UTAM', 37.6194, 61.8967, 728, 5, 'U', 'Asia/Ashgabat'),
	(6860, 'Bungle Bungle Airport', 'Bungle Bungle', 'Australia', '', 'YBUU', -17.5453, 128.307, 0, 8, 'U', 'Australia/Perth'),
	(6861, 'Macomb Municipal Airport', 'Macomb', 'United States', 'MQB', '\\N', 40.5200833, -90.6523889, 707, -6, 'U', 'America/Chicago'),
	(6862, 'Sazena', 'Sazena', 'Czech Republic', 'LKS', 'LKSZ', 50.1929, 14.1532, 233, 1, 'E', 'Europe/Prague'),
	(6863, 'RK Heliplex', 'Panorama', 'Canada', '', '\\N', 50.2735, -116.14, 358, -7, 'A', 'America/Edmonton'),
	(6864, 'Point Roberts Airpark', 'Point Roberts', 'United States', '1RL', 'K1RL', 48.9797222, -123.0788889, 10, -8, 'A', 'America/Los_Angeles'),
	(6865, 'Lyon Part-Dieu Railway', 'Lyon', 'France', 'XYD', '\\N', 46, 5, 821, 1, 'U', 'Europe/Paris'),
	(6866, 'Spray View Airport', 'Spray View', 'Zimbabwe', '', 'FVSV', -17.917, 25.817, 3210, 2, 'U', 'Africa/Harare'),
	(6867, 'Reykjahlid Airport', 'Myvatn', 'Iceland', 'MVA', 'BIRL', 65.6558, -16.9181, 1030, 0, 'N', 'Atlantic/Reykjavik'),
	(6868, 'Sabadell Airport', 'Sabadell', 'Spain', 'QSA', 'LELL', 41.5209, 2.10508, 0, 1, 'E', 'Europe/Madrid'),
	(6869, 'Aeropuerto de Rafaela', 'Rafaela', 'Argentina', 'RAF', '\\N', -31.282072, -61.501594, 100, -3, 'N', 'America/Cordoba'),
	(6870, 'Whitsunday Airstrip', 'Airlie Beach', 'Australia', 'WSY', 'YWHI', -20.276, 148.755, 60, 10, 'O', 'Australia/Brisbane'),
	(6871, 'Delaware County Airport', 'Muncie', 'United States', 'MIE', '\\N', 40.2424722, -85.39575, 937, -5, 'U', 'America/New_York'),
	(6872, 'Miami University Airport', 'Oxford', 'United States', 'OXD', '\\N', 39.5022607, -84.7843814, 1040, -5, 'U', 'America/New_York'),
	(6873, 'Purude University Airport', 'Lafayette', 'United States', 'LAF', '\\N', 40.4123056, -86.9368889, 606, -5, 'A', 'America/New_York'),
	(6874, 'De Kalb Taylor Municipal Airport', 'De Kalb', 'United States', 'DKB', '\\N', 41.9338342, -88.7056864, 914, -6, 'U', 'America/Chicago'),
	(6875, 'Grand Geneva Resort Airport', 'Lake Geneva', 'United States', 'C02', '\\N', 42.6149167, -88.3895833, 835, -6, 'U', 'America/Chicago'),
	(6876, 'Brown County Airport', 'Georgetown', 'United States', '', 'KGEO', 38.8819456, -83.8827367, 958, -5, 'U', 'America/New_York'),
	(6877, 'North Las Vegas Airport', 'Las Vegas', 'United States', 'VGT', '\\N', 36.2106944, -115.1944444, 2205, -8, 'U', 'America/Los_Angeles'),
	(6878, 'Kenosha Regional Airport', 'Kenosha', 'United States', 'ENW', '\\N', 42.5956944, -87.9278056, 742, -6, 'A', 'America/Chicago'),
	(6879, 'Clow International Airport', 'Bolingbrook', 'United States', '1CS', '\\N', 41.6959744, -88.1292306, 670, -6, 'U', 'America/Chicago'),
	(6880, 'Montrose Regional Airport', 'Montrose CO', 'United States', 'MTJ', 'KMTJ', 38.509794, -107.894242, 5759, -7, 'A', 'America/Denver'),
	(6881, 'Riverton Regional', 'Riverton WY', 'United States', 'RIW', 'KRIW', 43.064167, -108.459722, 5525, -7, 'A', 'America/Denver'),
	(6882, 'Tyonek Airport', 'Tyonek', 'United States', 'TYE', '\\N', 61.076667, -151.138056, 110, -9, 'A', 'America/Anchorage'),
	(6883, 'Eastern Oregon Regional Airport', 'Pendleton', 'United States', 'PDT', 'KPDT', 45.695, -118.841389, 1497, -8, 'A', 'America/Los_Angeles'),
	(6884, 'Shoestring Aviation Airfield', 'Stewartstown', 'United States', '0P2', '\\N', 39.7948244, -76.6471914, 1000, -5, 'U', 'America/New_York'),
	(6885, 'Door County Cherryland Airport', 'Sturgeon Bay', 'United States', 'SUE', '\\N', 44.8436667, -87.4215556, 725, -6, 'U', 'America/Chicago'),
	(6886, 'Ashford', 'Lympne', 'United Kingdom', 'LYM', 'EGMK', 51.083333, 1.016667, 351, 0, 'E', 'Europe/London'),
	(6887, 'Alexion', 'Porto Heli', 'Greece', 'PKH', 'LGHL', 37.298792, 23.148986, 2224, 2, 'E', 'Europe/Athens'),
	(6888, 'Dusseldorf Hauptbahnhof', 'Dusseldorf', 'Germany', 'QDU', '\\N', 51.220278, 6.792778, 125, 1, 'E', 'Europe/Berlin'),
	(6889, 'Cambridge Municipal Airport', 'Cambridge', 'United States', 'CDI', '\\N', 39.9750278, -81.5775833, 799, -5, 'U', 'America/New_York'),
	(6890, 'Dowagiac Municipal Airport', 'Dowagiac', 'United States', 'C91', '\\N', 41.9929342, -86.1280125, 748, -5, 'U', 'America/New_York'),
	(6891, 'Putnam County Airport', 'Greencastle', 'United States', '4I7', '\\N', 39.6335556, -86.8138056, 842, -5, 'U', 'America/New_York'),
	(6892, 'Everglades Airpark', 'Everglades', 'United States', 'X01', '\\N', 25.8488611, -81.3902778, 5, -5, 'U', 'America/New_York'),
	(6893, 'Galt Field Airport', 'Greenwood', 'United States', '10C', '\\N', 42.4028889, -88.3751111, 875, -6, 'U', 'America/Chicago'),
	(6894, 'Zell am See', 'Zell am See', 'Austria', '', 'LOWZ', 47.2933, 12.7883, 2470, 1, 'E', 'Europe/Vienna'),
	(6895, 'Geiranger', 'Geiranger', 'Norway', '', 'GEIR', 62.1, 7.2, 0, 1, 'E', 'Europe/Oslo'),
	(6896, 'Amberley', 'Amberley', 'Australia', '', 'YAMB', -27.64, 152.712, 91, 10, 'O', 'Australia/Brisbane'),
	(6897, 'Tindal Airport', 'Katherine', 'Australia', 'KTR', 'YPTN', -14.5211, 132.378, 443, 9.5, 'O', 'Australia/Darwin'),
	(6898, 'RAAF Williams Laverton Base', 'Laverton', 'Australia', '', 'YLVT', -37.8636, 144.746, 18, 10, 'O', 'Australia/Hobart'),
	(6899, 'Nowra Airport', 'Nowra', 'Australia', 'NOA', 'YSNW', -34.9489, 150.537, 400, 10, 'O', 'Australia/Sydney'),
	(6900, 'Limerick', 'Limerick', 'Ireland', '', '\\N', 52.659, -8.624, 500, 0, 'U', 'Europe/Dublin'),
	(6901, 'Thurles', 'Thurles', 'Ireland', '', '\\N', 52.67888, -7.814369, 500, 0, 'U', 'Europe/Dublin'),
	(6902, 'Ronda', 'Ronda', 'Spain', '', '\\N', 36.73333, -5.166667, 1000, 1, 'U', 'Europe/Madrid'),
	(6903, 'Waukesha County Airport', 'Waukesha', 'United States', 'UES', '\\N', 43.0410278, -88.2370556, 911, -6, 'A', 'America/Chicago'),
	(6904, 'Southwest Michigan Regional Airport', 'Benton Harbor', 'United States', 'BEH', '\\N', 42.1285833, -86.4285, 643, -5, 'A', 'America/New_York'),
	(6905, 'Lutsk', 'Lutsk', 'Ukraine', 'UKC', 'UKLC', 50.6833, 25.4833, 774, 2, 'U', 'Europe/Kiev'),
	(6906, 'Chernigov', 'Chernigov', 'Ukraine', 'CEJ', 'UKRR', 51.24, 31.09, 446, 2, 'E', 'Europe/Kiev'),
	(6907, 'Ternopol', 'Ternopol', 'Ukraine', 'TNL', 'UKLT', 49.31, 25.42, 1073, 2, 'E', 'Europe/Kiev'),
	(6908, 'Brest', 'Brest', 'Belarus', 'BQT', 'UMBB', 52.06, 23.53, 468, 1, 'E', 'Europe/Warsaw'),
	(6909, 'Wittman Regional Airport', 'Oshkosh', 'United States', 'OSH', 'KOSH', 44.024983, -88.551336, 790, -6, 'A', 'America/Chicago'),
	(6910, 'Harle Airport', 'Harlesiel', 'Germany', '', 'EDXP', 53.7067, 7.82028, 7, 1, 'E', 'Europe/Berlin'),
	(6911, 'Wangerooge Airport', 'Wangerooge', 'Germany', 'AGE', 'EDWG', 53.7828, 7.91389, 7, 1, 'E', 'Europe/Berlin'),
	(6913, 'Aeroporto Prefeito Octavio de Almeida Neves', 'Sao Joao del Rei', 'Brazil', 'JDR', '\\N', -21.0864, -44.2258, 3120, -3, 'S', 'America/Sao_Paulo'),
	(6914, 'RAAF Pearce', 'Perth', 'Australia', '', 'YPEA', -31.66778, 116.015, 149, 8, 'O', 'Australia/Perth'),
	(6915, 'Bendigo Airport', 'Bendigo', 'Australia', '', 'YBDG', -36.7394, 144.33, 705, 10, 'U', 'Australia/Hobart'),
	(6916, 'Pangborn Field', 'Wenatchee', 'United States', 'EAT', 'KEAT', 47.398, -120.206, 1249, -8, 'A', 'America/Los_Angeles'),
	(6917, 'Antonio Juarbe Pol Airport', 'Arecibo', 'Puerto Rico', 'ARE', 'TJAB', 18.451111, -66.675556, 23, -4, 'N', 'America/Puerto_Rico'),
	(6918, 'Ringi Cove Airport', 'Ringi Cove', 'Solomon Islands', 'RIN', 'AGRC', -8.12639, 157.143, 0, 11, 'U', 'Pacific/Guadalcanal'),
	(6919, 'Bellona', 'Bellona', 'Solomon Islands', 'BNY', '\\N', -11.302, 159.8, 3, 11, 'U', 'Pacific/Guadalcanal'),
	(6920, 'Bellona', 'Bellona', 'Solomon Islands', 'BN1', '\\N', 15.981666666667, -11.3, 3, 0, 'U', 'Africa/Nouakchott'),
	(6921, 'Fortman Airport', 'St. Marys', 'United States', '1OH', '\\N', 40.5553253, -84.3866186, 885, -5, 'U', 'America/New_York'),
	(6922, 'Kirensk', 'Kirensk', 'Russia', '', 'UIKK', 57.7667, 108.05, 780, 9, 'N', 'Asia/Irkutsk'),
	(6923, 'Kavalerovo', 'Kavalerovo', 'Russia', '', '\\N', 44.270556, 135.054722, 675, 11, 'N', 'Asia/Vladivostok'),
	(6924, 'Ust-Kut', 'Ust-Kut', 'Russia', 'UKX', 'UITT', 56.85, 105.7167, 2033, 9, 'N', 'Asia/Irkutsk'),
	(6925, 'Ust-Ilimsk', 'Ust-Ilimsk', 'Russia', '', '\\N', 58.116667, 102.4666667, 1244, 9, 'N', 'Asia/Irkutsk'),
	(6926, 'Rimatara', 'Rimatara', 'French Polynesia', 'RMT', 'NTAM', -22.637253, -152.805192, 56, -10, 'U', '\\N'),
	(6927, 'Triengen Airport', 'Triengen', 'Switzerland', '', 'LSPN', 47.2267, 8.07806, 1594, 1, 'E', 'Europe/Zurich'),
	(6928, 'Lausanne-la Blecherette Airport', 'Lausanne', 'Switzerland', '', 'LSGL', 46.5453, 6.61667, 2041, 1, 'E', 'Europe/Zurich'),
	(6929, 'Speck-Fehraltorf Airport', 'Fehraltorf', 'Switzerland', '', 'LSZK', 47.3764, 8.7575, 1748, 1, 'E', 'Europe/Zurich'),
	(6930, 'Locarno Airport', 'Locarno', 'Switzerland', 'ZJI', 'LSZL', 46.1608, 8.87861, 650, 1, 'E', 'Europe/Zurich'),
	(6931, 'Neuchatel Airport', 'Neuchatel', 'Switzerland', 'QNC', 'LSGN', 46.9575, 6.86472, 1427, 1, 'E', 'Europe/Zurich'),
	(6932, 'Taganrog-Juzhnyi', 'Taganrog', 'Russia', '', 'URRT', 47.117, 38.513, 100, 4, 'N', '\\N'),
	(6933, 'Gelendzhik', 'Gelendzhik', 'Russia', '', 'URKG', 44.55, 38.083, 100, 4, 'N', 'Europe/Moscow'),
	(6934, 'Zhukovski', 'Ramenskoe', 'Russia', '', 'UUBW', 55.589, 38.154, 335, 4, 'N', 'Europe/Moscow'),
	(6935, 'Irkutsk-2', 'Irkutsk', 'Russia', '', 'UIIR', 52.3678, 104.183, 13411, 9, 'N', 'Asia/Irkutsk'),
	(6936, 'Khabarovsk-MVL', 'Khabarovsk', 'Russia', '', 'UHHT', 48.528, 135.179, 213, 11, 'N', 'Asia/Vladivostok'),
	(6937, 'Dzemgi', 'Komsomolsk-on-Amur', 'Russia', '', 'UHKD', 50.605, 137.08167, 82, 11, 'N', 'Asia/Vladivostok'),
	(6938, 'Borisoglebskoe', 'Kazan', 'Russia', '', '\\N', 55.86067, 49.10099, 384, 4, 'N', 'Europe/Moscow'),
	(6939, 'Belaya', 'Sredniiy', 'Russia', '', 'UIIB', 52.91500001, 103.57500001, 1396, 9, 'N', 'Asia/Irkutsk'),
	(6940, 'Tunoshna', 'Yaroslavl', 'Russia', 'IAR', 'UUDL', 57.560666676667, 40.157369454444, 270, 4, 'N', 'Europe/Moscow'),
	(6941, 'Byron Airport', 'Byron', 'United States', '', '\\N', 37.8284, -121.626, 79, -8, 'A', 'America/Los_Angeles'),
	(6942, 'Daqing Saertu Airport', 'Daqing', 'China', 'DAQ', '\\N', 46.583333, 125, 1020, 8, 'U', 'Asia/Chongqing'),
	(6943, 'Heilongjiang Mohe Airport', 'Mohe County', 'China', 'OHE', '\\N', 52.915, 122.427, 1500, 8, 'U', 'Asia/Chongqing'),
	(6944, 'Jining Airport ', 'Jining', 'China', 'JNG', '\\N', 35.417, 116.533, 1540, 8, 'U', 'Asia/Chongqing'),
	(6945, 'Drake Bay Airport', 'Puntarenas', 'Costa Rica', 'DRK', 'MRDK', 8.71889, -83.6417, 12, -6, 'N', 'America/Costa_Rica'),
	(6946, 'Altay Airport', 'Altay', 'China', 'AAT', 'ZWAT', 47.866667, 88.116667, 2491, 8, 'U', 'Asia/Chongqing'),
	(6947, 'Tuzla', 'Null', 'Bosnia and Herzegovina', '', 'LQTZ', 44.458656, 18.724783, 784, 1, 'E', 'Europe/Sarajevo'),
	(6948, 'Fort Worth NAS', 'Dallas', 'United States', '', 'KNFW', 32.769167, -97.441528, 650, -6, 'A', 'America/Chicago'),
	(6949, 'Naypyidaw', 'Naypyidaw', 'Burma', 'ELA', 'VYEL', 19.6235, 96.201028, 302, 6.5, 'U', 'Asia/Rangoon'),
	(6950, 'Kyauktu', 'Kyauktu', 'Burma', '', 'VYXG', 21.406667, 94.130278, 1345, 6.5, 'U', 'Asia/Rangoon'),
	(6951, 'Jan Mayensfield', 'Jan Mayen', 'Norway', 'ZXB', 'ENJA', 70.961111, -8.575833, 33, 1, 'E', 'Arctic/Longyearbyen'),
	(6952, 'Bokepyin', 'Bokepyin', 'Burma', '', 'VYBP', 11.267, 98.767, 100, 6.5, 'U', 'Asia/Rangoon'),
	(6953, 'Huanghua Intl', 'Changsha', 'China', 'HHA', '\\N', 28.189158, 113.219633, 217, 8, 'U', 'Asia/Chongqing'),
	(6954, 'Manzhouli', 'Manzhouli', 'China', 'NZH', '\\N', 49.566667, 117.329444, 0, 8, 'U', 'Asia/Chongqing'),
	(6955, 'Wuhai', 'Wuhai', 'China', 'WUA', 'ZBUH', 39.794444, 106.799444, 0, 8, 'U', 'Asia/Chongqing'),
	(6956, 'Gary Chicago International Airport', 'Gary', 'United States', 'GYY', 'KGYY', 41.6163, -87.4128, 591, -6, 'A', 'America/Chicago'),
	(6957, 'Brainerd Lakes Rgnl', 'Brainerd', 'United States', 'BRD', 'KBRD', 46.398308, -94.138078, 1226, -6, 'U', 'America/Chicago'),
	(6958, 'Greenbrier Valley Airport', 'Lewisburg', 'United States', 'LWB', 'KLWB', 37.858333, -80.399444, 2302, -5, 'U', 'America/New_York'),
	(6959, 'Pitt-Greenville Airport', 'Greenville', 'United States', 'PGV', 'KPGV', 35.635278, -77.385278, 27, -5, 'A', 'America/New_York'),
	(6960, 'Chefornak Airport', 'Chefornak', 'United States', 'CYF', 'PACK', 60.149167, -164.285556, 40, -9, 'A', 'America/Anchorage'),
	(6961, 'Oxnard - Ventura County', 'Oxnard', 'United States', 'OXR', 'KOXR', 34.200833, -119.207222, 15, -8, 'A', 'America/Los_Angeles'),
	(6962, 'Branson LLC', 'Branson', 'United States', 'BKG', 'KBBG', 36.531994, -93.200556, 1302, -6, 'A', 'America/Chicago'),
	(6963, 'Tongren', 'Tongren', 'China', 'TEN', 'ZUTR', 27.884, 109.31, 0, 8, 'U', 'Asia/Chongqing'),
	(6964, 'Jinggangshan', 'Jian', 'China', 'KNC', 'ZSJA', 26.8575, 114.737222, 0, 8, 'U', 'Asia/Chongqing'),
	(6965, 'Penn Station', 'Baltimore', 'United States', 'ZBP', '\\N', 39.307222, -76.615556, 66, -5, 'A', 'America/New_York'),
	(6966, 'Penn Station', 'New York', 'United States', 'ZYP', '\\N', 40.7505, -73.9935, 35, -5, 'A', 'America/New_York'),
	(6967, 'Niau', 'Niau', 'French Polynesia', 'NIU', 'NTKN', -16.119037, -146.368406, 49, -10, 'U', 'Pacific/Tahiti'),
	(6968, 'Stratton ANGB - Schenectady County Airpor', 'Scotia NY', 'United States', 'SCH', 'KSCH', 42.85245555, -73.928866666, 378, -5, 'A', 'America/New_York'),
	(6969, 'Begishevo', 'Nizhnekamsk', 'Russia', 'NBC', 'UWKE', 55.34, 52.06, 50, 4, 'N', 'Europe/Moscow'),
	(6970, 'Bogovarovo', 'Bogovarovo', 'Russia', '', '\\N', 58.8535, 47.0114, 100, 4, 'N', 'Europe/Moscow'),
	(6971, 'Summit Camp', 'Greenland Ice Cap', 'Greenland', '', 'GSUM', 72.5795841916667, -38.4591850305556, 10552, 0, 'N', 'America/Danmarkshavn'),
	(6972, 'Warri Airport', 'Osubi', 'Nigeria', 'QRW', 'DNSU', 5.31, 5.45, 50, 1, 'U', 'Africa/Lagos'),
	(6973, 'Volkel', 'Volkel', 'Netherlands', '', 'EHVK', 51.656389, 5.708611, 72, 1, 'E', 'Europe/Amsterdam'),
	(6974, 'Sayak Airport', 'Siargao', 'Philippines', '', 'RPNS', 9.859097, 126.014017, 10, 8, 'N', 'Asia/Manila'),
	(6975, 'Langeoog Airport', 'Langeoog', 'Germany', 'LGO', 'EDWL', 53.7425, 7.49778, 7, 1, 'E', 'Europe/Berlin'),
	(6976, 'Fane Airport', 'Fane', 'Papua New Guinea', 'FNE', '\\N', -8.55, 147.083, 0, 10, 'U', 'Pacific/Port_Moresby'),
	(6977, 'Itokama Airport', 'Itokama', 'Papua New Guinea', 'ITK', '\\N', -9.2, 148.25, 0, 10, 'U', 'Pacific/Port_Moresby'),
	(6978, 'Ononge Airport', 'Ononge', 'Papua New Guinea', 'ONB', '\\N', -8.583, 147.2, 0, 10, 'U', 'Pacific/Port_Moresby'),
	(6979, 'Tapini Airport', 'Tapini', 'Papua New Guinea', 'TPI', '\\N', -8.35, 146.983, 0, 10, 'U', 'Pacific/Port_Moresby'),
	(6980, 'Wanigela Airport', 'Wanigela', 'Papua New Guinea', 'AGL', '\\N', -9.333, 149.15, 0, 10, 'U', 'Pacific/Port_Moresby'),
	(6981, 'Woitape Airport', 'Woitape', 'Papua New Guinea', 'WTP', '\\N', -8.533, 147.25, 0, 10, 'U', 'Pacific/Port_Moresby'),
	(6982, 'Awaba Airport', 'Awaba', 'Papua New Guinea', 'AWB', '\\N', -8.014, 142.75, 0, 10, 'U', 'Pacific/Port_Moresby'),
	(6983, 'Telefomin Airport', 'Telefomin', 'Papua New Guinea', 'TFM', '\\N', -5.117, 141.633, 0, 10, 'U', 'Pacific/Port_Moresby'),
	(6984, 'Kappelen', 'Biel', 'Switzerland', '', 'LSZP', 47.089167, 7.29, 1437, 1, 'E', 'Europe/Zurich'),
	(6985, 'Nelspruit Airport', 'Nelspruit', 'South Africa', 'NLP', 'FANS', -25.5, 30.9138, 2875, 2, 'U', 'Africa/Johannesburg'),
	(6986, 'Cherkassy', 'Cherkassy', 'Ukraine', 'CKC', 'UKKE', 49.416666, 32.1333, 114, 2, 'E', 'Europe/Kiev'),
	(6987, 'Gotska Sandon Heliport', 'Gotland', 'Sweden', '', '\\N', 58.392393, 19.193142, 0, 1, 'E', 'Europe/Stockholm'),
	(6988, 'Lauterhorn', 'Faro', 'Sweden', '', '\\N', 57.9521, 19.0812, 0, 1, 'E', 'Europe/Stockholm'),
	(6989, 'St. Augustine Airport', 'St. Augustine Airport', 'United States', 'UST', 'KSGJ', 29.959167, -81.339722, 10, -5, 'A', 'America/New_York'),
	(6990, 'Mykolaiv International Airport', 'Nikolayev', 'Ukraine', 'NLV', 'UKON', 47.0579, 31.9198, 184, 2, 'E', 'Europe/Kiev'),
	(6991, 'Ramechhap', 'Ramechhap', 'Nepal', 'RHP', 'VNRC', 27.394005, 86.06144, 1555, 5.75, 'U', 'Asia/Katmandu'),
	(6992, 'Charles M Schulz Sonoma Co', 'Santa Rosa', 'United States', 'STS', 'KSTS', 38.508978, -122.81288, 125, -8, 'A', 'America/Los_Angeles'),
	(6993, 'Kissimmee Gateway Airport', 'Kissimmee', 'United States', 'ISM', 'KISM', 28.289806, -81.437083, 82, -5, 'A', 'America/New_York'),
	(6994, 'Lake City Municipal Airport', 'Lake City', 'United States', 'LCQ', 'KLCQ', 30.181944, -82.576944, 201, -5, 'A', 'America/New_York'),
	(6995, 'DeLand Municipal Airport', 'DeLand', 'United States', '', 'KDED', 29.066944, -81.283889, 79, -5, 'A', 'America/New_York'),
	(6996, 'Haller Airpark Airport', 'Green Cove Springs', 'United States', '', '7FL4', 29.903021, -81.685923, 75, -5, 'A', 'America/New_York'),
	(6997, 'Santa Lucia PNP Airstrip', 'Santa Lucia', 'Peru', '', 'SLPA', -8.337041, -76.385733, 50, -5, 'U', 'America/Lima'),
	(6998, 'Logan-Cache', 'Logan', 'United States', 'LGU', 'KLGU', 41.791, -111.852, 4457, -7, 'A', 'America/Denver'),
	(6999, 'Brigham City', 'Brigham City', 'United States', 'BMC', 'KBMC', 41.552, -112.062, 4229, -7, 'A', 'America/Denver'),
	(7000, 'Malad City', 'Malad City', 'United States', 'MLD', 'KMLD', 42.17, -112.289, 4503, -7, 'A', 'America/Denver'),
	(7001, 'Aspen Pitkin County Sardy Field', 'Aspen', 'United States', 'ASE', 'KASE', 39.2232, -106.869, 7820, -7, 'A', 'America/Denver'),
	(7002, 'Hilton Head', 'Hilton Head', 'United States', 'HHH', 'KHHH', 32.216, -80.752, 10, -5, 'U', 'America/New_York'),
	(7003, 'Barataevka', 'Ulyanovsk', 'Russia', 'ULV', 'UWLL', 54.268299, 48.2267, 463, 4, 'N', 'Europe/Moscow'),
	(7004, 'Horog', 'Horog', 'Tajikistan', '', 'UTOD', 37.5, 71.5, 2000, 4.5, 'U', 'Asia/Kabul'),
	(7005, 'Sabi Sabi Airport', 'Sabi Sabi', 'South Africa', 'GSS', '\\N', -24.9415, 31.4446, 1276, 2, 'U', 'Africa/Johannesburg'),
	(7006, 'Philadelphia 30th St Station', 'Philadelphia', 'United States', 'ZFV', '\\N', 39.9557, -75.182, 0, -5, 'A', 'America/New_York'),
	(7007, 'KBWD', 'Brownwood', 'United States', 'BWD', '\\N', 31.7936111, -98.9565, 1387, -6, 'A', 'America/Chicago'),
	(7008, 'Mexia - Limestone County Airport', 'Mexia', 'United States', 'LXY', '\\N', 31.6411783, -96.5144594, 544, -6, 'A', 'America/Chicago'),
	(7009, 'Kerrville Municipal Airport', 'Kerrville', 'United States', 'ERV', 'KERV', 29.9766667, -99.0854722, 1617, -6, 'A', 'America/Chicago'),
	(7010, 'Birrfeld', 'Birrfeld', 'Switzerland', '', 'LSZF', 47.4436, 8.23361, 1300, 1, 'E', 'Europe/Zurich'),
	(7011, 'Sussex Co', 'Georgetown', 'United States', 'GED', 'KGED', 38.689194, -75.358889, 50, -5, 'A', 'America/New_York'),
	(7012, 'Seal Cove Seaplane Base', 'Prince Rupert', 'Canada', 'ZSW', 'CZSW', 54.3333, -130.283, 0, -8, 'A', 'America/Vancouver'),
	(7013, 'Great Bend Municipal', 'Great Bend', 'United States', 'GBN', 'KGBD', 38.344167, -98.859167, 1887, -6, 'A', 'America/Chicago'),
	(7014, 'Hays Regional Airport', 'Hays', 'United States', 'HYS', 'KHYS', 38.8422, -99.2732, 1998, -6, 'A', 'America/Chicago'),
	(7015, 'Spirit Of St Louis', 'Null', 'United States', 'SUS', 'KSUS', 38.662119, -90.652044, 463, -6, 'A', 'America/Chicago'),
	(7016, 'Ely Municipal', 'Ely', 'United States', 'LYU', 'KELO', 47.824444, -91.830833, 1456, -6, 'A', 'America/Chicago'),
	(7017, 'Grand Rapids Itasca County', 'Grand Rapids MN', 'United States', 'GPZ', 'KGPZ', 47.211111, -93.509722, 413, -6, 'A', 'America/Chicago'),
	(7018, 'Thief River Falls', 'Thief River Falls', 'United States', 'TVF', 'KTVF', 48.065556, -96.185, 1116, -6, 'A', 'America/Chicago'),
	(7019, 'Eagle River', 'Eagle River', 'United States', 'EGV', 'KEGV', 45.932333, -89.268283, 1642, -6, 'A', 'America/Chicago'),
	(7020, 'Lakeland', 'Minocqua - Woodruff', 'United States', 'ARV', 'KARV', 45.927778, -89.730833, 1629, -6, 'A', 'America/Chicago'),
	(7021, 'Ankeny Regl Airport', 'Ankeny', 'United States', 'IKV', 'KIKV', 41.691389, -93.566389, 910, -6, 'A', 'America/Chicago'),
	(7022, 'Berens River', 'Berens River', 'Canada', 'YBV', 'CYBV', 52.358889, -97.018333, 728, -6, 'A', 'America/Winnipeg'),
	(7023, 'Corpus Christi NAS', 'Corpus Christi', 'United States', 'NGP', 'KNGP', 27.692701, -97.290376, 18, -6, 'A', 'America/Chicago'),
	(7024, 'Seaplane Base', 'Port Simpson', 'Canada', 'YPI', 'CYPI', 54.566667, -130.433333, 0, -8, 'A', 'America/Vancouver'),
	(7025, 'Avalon', 'Catalina Island', 'United States', 'AVX', 'KAVX', 33.405, -118.415833, 1602, -8, 'A', 'America/Los_Angeles'),
	(7026, 'Mojave', 'Mojave', 'United States', 'MHV', 'KMHV', 35.059364, -118.151856, 2791, -8, 'A', 'America/Los_Angeles'),
	(7027, 'Air Base', 'Interlaken', 'Switzerland', 'ZIN', 'LSMI', 46.6766, 7.87908, 1893, 1, 'E', 'Europe/Zurich'),
	(7028, 'Kenmore Air Harbor Inc Seaplane Base', 'Kenmore', 'United States', 'KEH', '\\N', 47.7548, -122.259, 14, -8, 'A', 'America/Los_Angeles'),
	(7029, 'Municipal', 'Corozal', 'Belize', 'CZH', '\\N', 18.3822, -88.4119, 40, -6, 'N', 'America/Belize'),
	(7030, 'Inisheer', 'Inisheer', 'Ireland', 'INQ', 'EIIR', 53.0647, -9.5109, 40, 0, 'E', 'Europe/Dublin'),
	(7031, 'Winterlandeplatz', 'Maennlichen', 'Switzerland', '', '\\N', 46.610833, 7.9425, 7297, 1, 'E', 'Europe/Zurich'),
	(7032, 'Paketzentrum', 'Ostermundigen', 'Switzerland', '', '\\N', 46.963, 7.482, 1854, 1, 'E', 'Europe/Zurich'),
	(7033, 'Strezhevoy', 'Strezhevoy', 'Russia', 'SWT', 'UNSS', 60.716667, 77.65, 164, 7, 'N', 'Asia/Omsk'),
	(7034, 'Cashel', 'Cashel', 'Ireland', '', '\\N', 52.5158333, -7.8855556, 440, 0, 'U', 'Europe/Dublin'),
	(7035, 'Hutchinson Municipal Airport', 'Hutchinson', 'United States', 'HUT', 'KHUT', 38.0655, -97.8606, 1543, -6, 'A', 'America/Chicago'),
	(7036, 'Bagram AFB', 'Kabul', 'Afghanistan', 'BPM', 'OAIX', 34.5646, 69.1554, 4895, 4.5, 'U', 'Asia/Kabul'),
	(7037, 'Al Kharj AFB', 'Al Kharj', 'Saudi Arabia', '', 'OEPS', 24.0346, 47.345, 1651, 3, 'N', 'Asia/Riyadh'),
	(7038, 'Eagle County Airport', 'Eagle', 'United States', 'EGA', '\\N', 39.6427611, -106.9159347, 6548, -7, 'U', 'America/Denver'),
	(7039, 'Oak Lawn Train Station', 'Oak Lawn', 'United States', '', '\\N', 41.7198242969588, -87.7488327026367, 500, -6, 'U', 'America/Chicago'),
	(7040, 'Wrigleyville', 'Chicago', 'United States', '', '\\N', 41.948958067066, -87.6587533950806, 500, -6, 'U', 'America/Chicago'),
	(7041, 'Gelendzik', 'Gelendzik', 'Russia', 'GDZ', '\\N', 44.566666666667, 38.016666666667, 50, 4, 'N', 'Europe/Moscow'),
	(7042, 'Rosecrans Mem', 'Rosecrans', 'United States', 'STJ', 'KSTJ', 39.771944, -94.909706, 826, -6, 'A', 'America/Chicago'),
	(7043, 'Hartford Union Station', 'Hartford', 'United States', 'ZRT', '\\N', 41.76888, -72.6815, 0, -5, 'A', 'America/New_York'),
	(7044, 'Stamford Amtrak Station', 'Stamford', 'United States', 'ZTF', '\\N', 41.046937, -73.541493, 0, -5, 'A', 'America/New_York'),
	(7045, 'Newark Penn Station', 'Newark', 'United States', 'ZRP', '\\N', 40.734722, -74.164167, 0, -5, 'A', 'America/New_York'),
	(7046, 'Papa Airport', 'Papa', 'Hungary', '', 'LHPA', 47.3636, 17.5008, 466, 1, 'E', 'Europe/Budapest'),
	(7047, 'Cuxhaven Airport', 'Cuxhaven', 'Germany', 'NDZ', 'KNDZ', 53.768612, 8.644722, 75, 1, 'E', 'Europe/Berlin'),
	(7048, 'Volk Fld', 'Camp Douglas', 'United States', 'VOK', 'KVOK', 43.938956, -90.253433, 912, -6, 'A', 'America/Chicago'),
	(7049, 'BFT County Airport', 'Beauford', 'United States', 'BFT', 'KBFT', 32.41083, -80.635, 500, -5, 'A', 'America/New_York'),
	(7050, 'Adana-Incirlik Airbase', 'Adana', 'Turkey', 'UAB', 'KUAB', 37.00028, 35.41833, 500, 2, 'E', 'Europe/Istanbul'),
	(7051, 'Gunnison - Crested Butte', 'Gunnison', 'United States', 'GUC', 'KGUC', 38.533889, -106.933056, 7678, -7, 'A', 'America/Denver'),
	(7052, 'Xi\\\\\'An Xiguan', 'Xi\\\\\'AN', 'China', 'SIA', 'ZLSN', 34.3767, 109.12, 0, 8, 'U', 'Asia/Chongqing'),
	(7053, 'Zamperini Field Airport', 'Torrance', 'United States', 'TOA', 'KTOA', 33.803392, -118.339611, 101, -8, 'A', 'America/Los_Angeles'),
	(7054, 'Manistee County-Blacker Airport', 'Manistee', 'United States', 'MBL', 'KMBL', 44.2725, -86.246944, 621, -5, 'A', 'America/New_York'),
	(7055, 'Hickam Air Force Base', 'Honolulu', 'United States', '', 'PHIK', 21.318681, -157.922427, 13, -10, 'N', 'Pacific/Honolulu'),
	(7056, 'Charlotte County-Punta Gorda Airport', 'Punta Gorda', 'United States', 'PGD', 'KPGD', 26.919722, -81.990556, 26, -5, 'A', 'America/New_York'),
	(7057, 'Grand Canyon Heliport', 'Grand Canyon', 'United States', 'JGC', '\\N', 35.96666666, -112.13333333, 2500, -7, 'A', 'America/Phoenix'),
	(7058, 'Northern Aroostook Regional Airport', 'Frenchville', 'United States', 'WFK', 'KFVE', 47.285556, -68.312778, 988, -5, 'A', 'America/New_York'),
	(7059, 'Chautauqua County-Jamestown', 'Jamestown', 'United States', 'JHW', 'KJHW', 42.153333, -79.258056, 525, -5, 'A', 'America/New_York'),
	(7060, 'Riviere Rouge - Mont-Tremblant International Inc. Airport', 'Mont-Tremblant', 'Canada', 'YTM', 'CYFJ', 46.409444, -74.78, 827, -5, 'A', 'America/Toronto'),
	(7061, 'Lake Cumberland Regional Airport', 'Somerset', 'United States', 'SME', 'KSME', 37.053611, -84.615556, 927, -5, 'A', 'America/New_York'),
	(7062, 'Shenandoah Valley Regional Airport', 'Weyers Cave', 'United States', 'SHD', 'KSHD', 38.263889, -78.896389, 1201, -5, 'A', 'America/New_York'),
	(7063, 'Devils Lake Regional Airport', 'Devils Lake', 'United States', 'DVL', 'KDVL', 48.114444, -98.908611, 1445, -6, 'A', 'America/Chicago'),
	(7064, 'Dickinson Theodore Roosevelt Regional Airport', 'Dickinson', 'United States', 'DIK', 'KDIK', 46.7975, -102.801944, 2592, -7, 'A', 'America/Denver'),
	(7065, 'Sidney-Richland Municipal Airport', 'Sidney', 'United States', 'SDY', 'KSDY', 47.706944, -104.1925, 1984, -7, 'A', 'America/Denver'),
	(7066, 'Chadron Municipal Airport', 'Chadron', 'United States', 'CDR', 'KCDR', 42.8375, -103.095556, 3297, -7, 'A', 'America/Denver'),
	(7067, 'Alliance Municipal Airport', 'Alliance', 'United States', 'AIA', 'KAIA', 42.053333, -102.803889, 3931, -7, 'A', 'America/Denver'),
	(7068, 'McCook Regional Airport', 'McCook', 'United States', 'MCK', 'KMCK', 40.206389, -100.592222, 2583, -6, 'A', 'America/Chicago'),
	(7069, 'Florida Keys Marathon Airport', 'Marathon', 'United States', 'MTH', 'KMTH', 24.726111, -81.051389, 7, -5, 'A', 'America/New_York'),
	(7070, 'Dawson Community Airport', 'Glendive', 'United States', 'GDV', 'KGDV', 47.138611, -104.807222, 749, -7, 'A', 'America/Denver'),
	(7071, 'LM Clayton Airport', 'Wolf Point', 'United States', 'OLF', 'KOLF', 48.094444, -105.575, 1986, -7, 'A', 'America/Denver'),
	(7072, 'Yellowstone Airport', 'West Yellowstone', 'United States', 'WYS', 'KWYS', 44.688333, -111.1175, 6644, -7, 'A', 'America/Denver'),
	(7073, 'San Luis Valley Regional Airport', 'Alamosa', 'United States', 'ALS', 'KALS', 37.435, -105.866667, 7539, -7, 'A', 'America/Denver'),
	(7074, 'Canyonlands Field', 'Moab', 'United States', 'CNY', 'KCNY', 38.755, -109.754722, 4555, -7, 'A', 'America/Denver'),
	(7075, 'Ely Airport', 'Ely', 'United States', 'ELY', 'KELY', 39.299722, -114.841944, 6259, -8, 'A', 'America/Los_Angeles'),
	(7076, 'Vernal Regional Airport', 'Vernal', 'United States', 'VEL', 'KVEL', 40.440833, -109.51, 5278, -7, 'A', 'America/Denver'),
	(7077, 'Sierra Blanca Regional Airport', 'Ruidoso', 'United States', 'SRR', 'KSRR', 33.46285, -105.534751, 6814, -7, 'A', 'America/Denver'),
	(7078, 'Show Low Regional Airport', 'Show Low', 'United States', 'SOW', 'KSOW', 34.265556, -110.005556, 6415, -7, 'A', 'America/Phoenix'),
	(7079, 'McCall Municipal Airport', 'McCall', 'United States', 'MYL', 'KMYL', 44.889722, -116.101389, 5021, -7, 'A', 'America/Denver'),
	(7080, 'Lemhi County Airport', 'Salmon', 'United States', 'SMN', 'KSMN', 45.123889, -113.881389, 4043, -7, 'A', 'America/Denver'),
	(7081, 'Mammoth Yosemite Airport', 'Mammoth Lakes', 'United States', 'MMH', 'KMMH', 37.624049, -118.837772, 7128, -8, 'A', 'America/Los_Angeles'),
	(7082, 'Friday Harbor Airport', 'Friday Harbor', 'United States', 'FRD', 'KFHR', 48.521944, -123.024444, 113, -8, 'A', 'America/Los_Angeles'),
	(7083, 'Orcas Island Airport', 'Eastsound', 'United States', 'ESD', 'KORS', 48.708056, -122.910556, 31, -8, 'A', 'America/Los_Angeles'),
	(7084, 'Anacortes Airport', 'Anacortes', 'United States', 'OTS', '\\N', 48.498889, -122.6625, 241, -8, 'A', 'America/Los_Angeles'),
	(7085, 'Astoria Regional Airport', 'Astoria', 'United States', 'AST', 'KAST', 46.157972, -123.878694, 15, -8, 'A', 'America/Los_Angeles'),
	(7086, 'Newport Municipal Airport', 'Newport', 'United States', 'ONP', 'KNOP', 44.580361, -124.057917, 160, -8, 'A', 'America/Los_Angeles'),
	(7087, 'Emmonak Airport', 'Emmonak', 'United States', 'EMK', 'PAEM', 62.786111, -164.490833, 13, -9, 'A', 'America/Anchorage'),
	(7088, 'Unalakleet Airport', 'Unalakleet', 'United States', 'UNK', 'PAUN', 63.888333, -160.798889, 21, -9, 'A', 'America/Anchorage'),
	(7089, 'Ugnu-Kuparuk Airport', 'Kuparuk', 'United States', 'UUK', 'PAKU', 70.330833, -149.5975, 67, -9, 'A', 'America/Anchorage'),
	(7090, 'Shageluk Airport', 'Shageluk', 'United States', 'SHX', 'PAHX', 62.692222, -159.569167, 79, -9, 'A', 'America/Anchorage'),
	(7091, 'Chuathbaluk Airport', 'Chuathbaluk', 'United States', 'CHU', 'PACH', 61.579167, -159.215556, 243, -9, 'A', 'America/Anchorage'),
	(7092, 'Nuiqsut Airport', 'Nuiqsut', 'United States', 'NUI', 'PAQT', 70.21, -151.005556, 38, -9, 'A', 'America/Anchorage'),
	(7093, 'Eek Airport', 'Eek', 'United States', 'EEK', 'PAEE', 60.213611, -162.043889, 15, -9, 'A', 'America/Anchorage'),
	(7094, 'Kasigluk Airport', 'Kasigluk', 'United States', 'KUK', 'PFKA', 60.873333, -162.524444, 40, -9, 'A', 'America/Anchorage'),
	(7095, 'Kwethluk Airport', 'Kwethluk', 'United States', 'KWT', 'PFKW', 60.790278, -161.443611, 30, -9, 'A', 'America/Anchorage'),
	(7096, 'Kwigillingok Airport', 'Kwigillingok', 'United States', 'KWK', 'PAGG', 59.876389, -163.168611, 18, -9, 'A', 'America/Anchorage'),
	(7097, 'Marshall Don Hunter Sr. Airport', 'Marshall', 'United States', 'MLL', 'PADM', 61.8646418, -162.026111, 103, -9, 'A', 'America/Anchorage'),
	(7098, 'Russian Mission Airport', 'Russian Mission', 'United States', 'RSH', 'PARS', 61.775, -161.319444, 51, -9, 'A', 'America/Anchorage'),
	(7099, 'Tuntutuliak Airport', 'Tuntutuliak', 'United States', 'WTL', '\\N', 60.335278, -162.666944, 16, -9, 'A', 'America/Anchorage'),
	(7100, 'Ekwok Airport', 'Ekwok', 'United States', 'KEK', '\\N', 59.356944, -157.471111, 135, -9, 'A', 'America/Anchorage'),
	(7101, 'Koliganek Airport', 'Koliganek', 'United States', 'KGK', 'PAJZ', 59.726667, -157.259444, 269, -9, 'A', 'America/Anchorage'),
	(7102, 'Levelock Airport', 'Levelock', 'United States', 'KLL', '\\N', 59.128056, -156.858611, 39, -9, 'A', 'America/Anchorage'),
	(7103, 'Manokotak Airport', 'Manokotak', 'United States', 'KMO', 'PAMB', 58.990278, -159.05, 51, -9, 'A', 'America/Anchorage'),
	(7104, 'Twin Hills Airport', 'Twin Hills', 'United States', 'TWA', '\\N', 59.074444, -160.275, 82, -9, 'A', 'America/Anchorage'),
	(7105, 'Chalkyitsik Airport', 'Chalkyitsik', 'United States', 'CIK', 'PACI', 66.645, -143.74, 544, -9, 'A', 'America/Anchorage'),
	(7106, 'Eagle Airport', 'Eagle', 'United States', 'EAA', 'PAEG', 64.778056, -141.149722, 908, -9, 'A', 'America/Anchorage'),
	(7107, 'Hughes Airport', 'Hughes', 'United States', 'HUS', 'PAHU', 66.039167, -154.264722, 299, -9, 'A', 'America/Anchorage'),
	(7108, 'Huslia Airport', 'Huslia', 'United States', 'HSL', 'PAHL', 65.697778, -156.351389, 213, -9, 'A', 'America/Anchorage'),
	(7109, 'Livingood Airport', 'Livingood', 'United States', 'LIV', '\\N', 65.531111, -148.541111, 696, -9, 'A', 'America/Anchorage'),
	(7110, 'Minto Airport', 'Minto', 'United States', 'MNT', '\\N', 65.143611, -149.37, 460, -9, 'A', 'America/Anchorage'),
	(7111, 'Nulato Airport', 'Nulato', 'United States', 'NUL', 'PANU', 64.729444, -158.074167, 399, -9, 'A', 'America/Anchorage'),
	(7112, 'Rampart Airport', 'Rampart', 'United States', 'RMP', '\\N', 65.507778, -150.140833, 302, -9, 'A', 'America/Anchorage'),
	(7113, 'Tanana Airport', 'Tanana', 'United States', 'TAL', '\\N', 65.179556, -152.075833, 207, -9, 'A', 'America/Anchorage'),
	(7114, 'Venetie Airport', 'Venetie', 'United States', 'VEE', 'PAVE', 67.008611, -146.366389, 574, -9, 'A', 'America/Anchorage'),
	(7115, 'Beaver Airport', 'Beaver', 'United States', 'WBQ', 'PAWB', 66.362222, -147.406667, 359, -9, 'A', 'America/Anchorage'),
	(7116, 'Central Airport', 'Central', 'United States', 'CEM', 'PACE', 65.573889, -144.780833, 937, -9, 'A', 'America/Anchorage'),
	(7117, 'Shungnak Airport', 'Shungnak', 'United States', 'SHG', 'PAGH', 66.888056, -157.1625, 197, -9, 'A', 'America/Anchorage'),
	(7118, 'Birch Creek Airport', 'Brich Creek', 'United States', 'KBC', '\\N', 66.256708, -145.815319, 450, -9, 'A', 'America/Anchorage'),
	(7119, 'Coldfoot Airport', 'Coldfoot', 'United States', 'CXF', '\\N', 67.251389, -150.176111, 1014, -9, 'A', 'America/Anchorage'),
	(7120, 'Inyokern Airport', 'Inyokern', 'United States', 'IYK', 'KIYK', 35.658889, -117.829444, 2455, -8, 'A', 'America/Los_Angeles'),
	(7121, 'Visalia Municipal Airport', 'Visalia', 'United States', 'VIS', 'KVIS', 36.318611, -119.392778, 295, -8, 'A', 'America/Los_Angeles'),
	(7122, 'Merced Municipal Airport', 'Merced', 'United States', 'MCE', 'KMCE', 37.284722, -120.513889, 156, -8, 'A', 'America/Los_Angeles'),
	(7123, 'Laguna de Los Patos International Airport', 'Colonia', 'Uruguay', 'CYR', 'SUCA', -34.4564, -57.7706, 66, -3, 'U', 'America/Montevideo'),
	(7124, 'Camelo', 'Camelo', 'Uruguay', '', 'SULO', -33.963882, -58.288612, 10, -3, 'U', 'America/Montevideo'),
	(7125, 'Amarais Airport', 'Campinas', 'Brazil', 'CPQ', 'SDAM', -22.8592, -47.1082, 2008, -3, 'S', 'America/Sao_Paulo'),
	(7126, 'Phoenix Goodyear', 'Goodyear', 'United States', '', 'KGYR', 33.423725, -112.374456, 968, -7, 'N', 'America/Phoenix'),
	(7127, 'Park City', 'Park City', 'United States', '', '\\N', 40.659444, -111.4997222, 7000, -7, 'U', 'America/Denver'),
	(7128, 'Toowoomba', 'Toowoomba', 'Australia', 'TWB', 'YTWB', -27.542778, 151.916389, 2086, 10, 'N', 'Australia/Brisbane'),
	(7129, 'Ballera', 'Ballera', 'Australia', '', 'YLLE', -27.408333, 141.808333, 385, 10, 'N', 'Australia/Brisbane'),
	(7130, 'Gatton', 'Gatton', 'Australia', '', 'YGAT', -27.5583000183105, 152.341995239258, 400, 10, 'N', 'Australia/Brisbane'),
	(7131, 'Arkalyk Airport', 'Arkalyk', 'Kazakhstan', 'AYK', 'UAUR', 50.2395, 66.941, 1152, 6, 'U', 'Asia/Qyzylorda'),
	(7132, 'Hamburger Hafen', 'Hamburg', 'Germany', '', 'ZZ06', 53.542369, 9.981592, 0, 1, 'E', 'Europe/Berlin'),
	(7133, 'Flugplatz Fehmarn-Neujellingsdorf', 'Neujellingsdorf', 'Germany', '', 'ZZ05', 54.455802, 11.109273, 0, 1, 'E', 'Europe/Berlin'),
	(7134, 'Nabern Teck', 'Kirchheim-Teck', 'Germany', '', 'EDTN', 48.3676, 9.2863, 1215, 1, 'E', 'Europe/Berlin'),
	(7135, 'Angoon Seaplane Base', 'Angoon', 'United States', 'AGN', 'PAGN', 57.503611, -134.585, 0, -9, 'A', 'America/Anchorage'),
	(7136, 'Elfin Cove Seaplane Base', 'Elfin Cove', 'United States', 'ELV', 'PAEL', 58.195278, -136.3475, 0, -9, 'A', 'America/Anchorage'),
	(7137, 'Tenakee Seaplane Base', 'Tenakee Springs', 'United States', 'TKE', '\\N', 57.779722, -135.218333, 0, -9, 'A', 'America/Anchorage'),
	(7138, 'Pelican Seaplane Base', 'Pelican', 'United States', 'PEC', '\\N', 57.955278, -136.236389, 0, -9, 'A', 'America/Anchorage'),
	(7139, 'Chatham Seaplane Base', 'Sitka', 'United States', 'CYM', '\\N', 57.515, -134.946111, 0, -9, 'A', 'America/Anchorage'),
	(7140, 'Funter Bay Seaplane Base', 'Funter Bay', 'United States', 'FNR', 'PANR', 58.254444, -134.897778, 0, -9, 'A', 'America/Anchorage'),
	(7141, 'Excursion Inlet Seaplane Base', 'Excursion Inlet', 'United States', 'EXI', '\\N', 58.420556, -135.449167, 0, -9, 'A', 'America/Anchorage'),
	(7142, 'Hoonah Airport', 'Hoonah', 'United States', 'HNH', 'PAOH', 58.096111, -135.409722, 19, -9, 'A', 'America/Anchorage'),
	(7143, 'Kake Airport', 'Kake', 'United States', 'AFE', 'PAFE', 56.961389, -133.910278, 172, -9, 'A', 'America/Anchorage'),
	(7144, 'Craig Seaplane Base', 'Craig', 'United States', 'CGA', '\\N', 55.478889, -133.147778, 0, -9, 'A', 'America/Anchorage'),
	(7145, 'Hollis Seaplane Base', 'Hollis', 'United States', 'HYL', '\\N', 55.481667, -132.646111, 0, -9, 'A', 'America/Anchorage'),
	(7146, 'Metlakatla Seaplane Base', 'Metakatla', 'United States', 'MTM', 'PAMM', 55.131111, -131.578056, 0, -9, 'A', 'America/Anchorage'),
	(7147, 'Thorne Bay Seaplane Base', 'Thorne Bay', 'United States', 'KTB', '\\N', 55.688056, -132.536667, 0, -9, 'A', 'America/Anchorage'),
	(7148, 'Hydaburg Seaplane Base', 'Hydaburg', 'United States', 'HYG', 'PAHY', 55.206389, -132.828333, 0, -9, 'A', 'America/Anchorage'),
	(7149, 'Hyder Seaplane Base', 'Hyder', 'United States', 'WHD', '\\N', 55.903333, -130.006667, 0, -8, 'A', 'America/Vancouver'),
	(7150, 'Point Baker Seaplane Base', 'Point Baker', 'United States', 'KPB', '\\N', 56.351944, -133.6225, 0, -9, 'A', 'America/Anchorage'),
	(7151, 'Port Protection Seaplane Base', 'Port Protection', 'United States', 'PPV', '\\N', 56.328889, -133.61, 0, -9, 'A', 'America/Anchorage'),
	(7152, 'North Whale Seaplane Base', 'North Whale Pass', 'United States', 'WWP', '\\N', 56.116389, -133.121667, 0, -9, 'A', 'America/Anchorage'),
	(7153, 'Chignik Lake Airport', 'Chignik Lake', 'United States', 'KCQ', '\\N', 56.255, -158.775278, 50, -9, 'A', 'America/Anchorage'),
	(7154, 'Egegik Airport', 'Egegik', 'United States', 'EGX', 'PAII', 58.185556, -157.375556, 92, -9, 'A', 'America/Anchorage'),
	(7155, 'Chignik Lagoon Airport', 'Chignik Lagoon', 'United States', 'KCL', '\\N', 56.311111, -158.534167, 25, -9, 'A', 'America/Anchorage'),
	(7156, 'Chignik Bay Seaplane Base', 'Chignik', 'United States', 'KBW', '\\N', 56.295556, -158.401398, 0, -9, 'A', 'America/Anchorage'),
	(7157, 'Perryville Airport', 'Perryville', 'United States', 'KPV', 'PAPE', 55.906667, -159.160833, 29, -9, 'A', 'America/Anchorage'),
	(7158, 'Pilot Point Airport', 'Pilot Point', 'United States', 'PIP', 'PAPN', 57.585393, -157.571944, 57, -9, 'A', 'America/Anchorage'),
	(7159, 'South Naknek Airport', 'South Naknek', 'United States', 'WSN', 'PFWS', 58.702222, -157.0025, 162, -9, 'A', 'America/Anchorage'),
	(7160, 'Akhiok Airport', 'Akhiok', 'United States', 'AKK', 'PAKH', 56.938611, -154.1825, 44, -9, 'A', 'America/Anchorage'),
	(7161, 'Karuluk Airport', 'Karluk', 'United States', 'KYK', 'PAKY', 57.566944, -154.450278, 137, -9, 'A', 'America/Anchorage'),
	(7162, 'Larsen Bay Airport', 'Larsen Bay', 'United States', 'KLN', 'PALB', 57.535, -153.976667, 87, -9, 'A', 'America/Anchorage'),
	(7163, 'Old Harbor Airport', 'Old Harbor', 'United States', 'OLH', '\\N', 57.218056, -153.269722, 55, -9, 'A', 'America/Anchorage'),
	(7164, 'Ouzinkie Airport', 'Ouzinkie', 'United States', 'KOZ', '\\N', 57.922876, -152.500511, 55, -9, 'A', 'America/Anchorage'),
	(7165, 'Port Lions Airport', 'Port Lions', 'United States', 'ORI', '\\N', 57.885278, -152.846111, 52, -9, 'A', 'America/Anchorage'),
	(7166, 'Alitak Seaplane Base', 'Lazy Bay', 'United States', 'ALZ', '\\N', 56.899444, -154.247778, 0, -9, 'A', 'America/Anchorage'),
	(7167, 'Amook Bay Seaplane Base', 'Amook Bay', 'United States', 'AOS', '\\N', 57.471389, -153.815278, 0, -9, 'A', 'America/Anchorage'),
	(7168, 'Kitoi Bay Seaplane Base', 'Kitoi Bay', 'United States', 'KKB', '\\N', 58.190833, -152.370556, 0, -9, 'A', 'America/Anchorage'),
	(7169, 'Moser Bay Seaplane Base', 'Moser Bay', 'United States', 'KMY', '\\N', 57.025556, -154.145833, 0, -9, 'A', 'America/Anchorage'),
	(7170, 'Olga Bay Seaplane Base', 'Olga Bay', 'United States', 'KOY', '\\N', 57.161389, -154.229722, 0, -9, 'A', 'America/Anchorage'),
	(7171, 'Port Bailey Seaplane Base', 'Port Bailey', 'United States', 'KPY', '\\N', 57.93, -153.040556, 0, -9, 'A', 'America/Anchorage'),
	(7172, 'Port Williams Seaplane Base', 'Port Williams', 'United States', 'KPR', '\\N', 58.49, -152.582222, 0, -9, 'A', 'America/Anchorage'),
	(7173, 'Seal Bay Seaplane Base', 'Seal Bay', 'United States', 'SYB', '\\N', 58.166667, -152.5, 0, -9, 'A', 'America/Anchorage'),
	(7174, 'San Juan - Uganik Seaplane Base', 'San Juan', 'United States', 'WSJ', '\\N', 57.730278, -153.320556, 0, -9, 'A', 'America/Anchorage'),
	(7175, 'West Point Village Seaplane Base', 'West Point', 'United States', 'KWP', '\\N', 57.77, -153.548889, 0, -9, 'A', 'America/Anchorage'),
	(7176, 'Zachar Bay Seaplane Base', 'Zachar Bay', 'United States', 'KZB', '\\N', 57.55, -153.75, 0, -9, 'A', 'America/Anchorage'),
	(7177, 'Ambler Airport', 'Ambler', 'United States', 'ABL', 'PAFM', 67.106389, -157.8575, 334, -9, 'A', 'America/Anchorage'),
	(7178, 'Buckland Airport', 'Buckland', 'United States', 'BKC', 'PABL', 65.981667, -161.149167, 31, -9, 'A', 'America/Anchorage'),
	(7179, 'Bob Baker Memorial Airport', 'Kiana', 'United States', 'IAN', 'PAIK', 66.975833, -160.436667, 166, -9, 'A', 'America/Anchorage'),
	(7180, 'Kobuk Airport', 'Kobuk', 'United States', 'OBU', 'PAOB', 66.912222, -156.897222, 137, -9, 'A', 'America/Anchorage'),
	(7181, 'Robert Curtis Memorial Airport', 'Noorvik', 'United States', 'ORV', 'PFNO', 66.8175, -161.022222, 55, -9, 'A', 'America/Anchorage'),
	(7182, 'Selawik Airport', 'Selawik', 'United States', 'WLK', 'PASK', 66.6, -159.985833, 17, -9, 'A', 'America/Anchorage'),
	(7183, 'Brevig Mission Airport', 'Brevig Mission', 'United States', 'KTS', 'PFKT', 65.331389, -166.465833, 35, -9, 'A', 'America/Anchorage'),
	(7184, 'Elim Airport', 'Elim', 'United States', 'ELI', 'PFEL', 64.615, -162.270556, 162, -9, 'A', 'America/Anchorage'),
	(7185, 'Golovin Airport', 'Golovin', 'United States', 'GLV', 'PAGL', 64.550556, -163.007222, 59, -9, 'A', 'America/Anchorage'),
	(7186, 'Teller Airport', 'Teller', 'United States', 'TLA', 'PATE', 65.240278, -166.339444, 294, -9, 'A', 'America/Anchorage'),
	(7187, 'Wales Airport', 'Wales', 'United States', 'WAA', 'PAIW', 65.6225, -168.095, 22, -9, 'A', 'America/Anchorage'),
	(7188, 'White Mountain Airport', 'White Mountain', 'United States', 'WMO', 'PAWM', 64.689167, -163.412778, 267, -9, 'A', 'America/Anchorage'),
	(7189, 'Council Airport', 'Council', 'United States', 'CIL', '\\N', 64.897778, -163.703333, 85, -9, 'A', 'America/Anchorage'),
	(7190, 'Koyuk Alfred Adams Airport', 'Koyuk', 'United States', 'KKA', 'PAKK', 64.939444, -161.154167, 154, -9, 'A', 'America/Anchorage'),
	(7191, 'St. Michael Airport', 'St. Michael', 'United States', 'SMK', 'PAMK', 63.49, -162.110278, 98, -9, 'A', 'America/Anchorage'),
	(7192, 'Shaktoolik Airport', 'Shaktoolik', 'United States', 'SKK', 'PFSH', 64.371111, -161.223889, 24, -9, 'A', 'America/Anchorage'),
	(7193, 'Stebbins Airport', 'Stebbins', 'United States', 'WBB', '\\N', 63.515833, -162.278056, 14, -9, 'A', 'America/Anchorage'),
	(7194, 'Tin City LRRS Airport', 'Tin City', 'United States', 'TNC', 'PATC', 65.563056, -167.921667, 269, -9, 'A', 'America/Anchorage'),
	(7195, 'Atka Airport', 'Atka', 'United States', 'AKB', 'PAAK', 52.220278, -174.206389, 56, -9, 'A', 'America/Anchorage'),
	(7196, 'Nikolski Air Station', 'Nikolski', 'United States', 'IKO', 'PAKO', 52.941667, -168.848889, 77, -9, 'A', 'America/Anchorage'),
	(7197, 'Icy Bay Airport', 'Icy Bay', 'United States', 'ICY', '\\N', 59.968889, -141.661667, 50, -9, 'A', 'America/Anchorage'),
	(7198, 'Yakataga Airport', 'Yakataga', 'United States', 'CYT', 'PACY', 60.081901, -142.493611, 12, -9, 'A', 'America/Anchorage'),
	(7199, 'Alakanuk Airport', 'Alakanuk', 'United States', 'AUK', 'PAUK', 62.68, -164.66, 10, -9, 'A', 'America/Anchorage'),
	(7200, 'Sheldon Point Airport', 'Nunam Iqua', 'United States', 'SXP', '\\N', 62.520556, -164.847778, 12, -9, 'A', 'America/Anchorage'),
	(7201, 'Kipnuk Airport', 'Kipnuk', 'United States', 'KPN', 'PAKI', 59.933056, -164.030556, 11, -9, 'A', 'America/Anchorage'),
	(7202, 'False Pass Airport', 'False Pass', 'United States', 'KFP', 'PAKF', 54.8475, -163.410278, 20, -9, 'A', 'America/Anchorage'),
	(7203, 'Nelson Lagoon', 'Nelson Lagoon', 'United States', 'NLG', 'PAOU', 56.0075, -161.160278, 14, -9, 'A', 'America/Anchorage'),
	(7204, 'Port Moller Airport', 'Cold Bay', 'United States', 'PML', 'PAAL', 56.006111, -160.560833, 20, -9, 'A', 'America/Anchorage'),
	(7205, 'Klawock Airport', 'Klawock', 'United States', 'KLW', 'PAKW', 55.579167, -133.076111, 80, -9, 'A', 'America/Anchorage'),
	(7206, 'Quinhagak Airport', 'Quinhagak', 'United States', 'KWN', 'PAQH', 59.755, -161.845278, 42, -9, 'A', 'America/Anchorage'),
	(7207, 'Kotlik Airport', 'Kotlik', 'United States', 'KOT', 'PFKO', 63.030556, -163.532778, 15, -9, 'A', 'America/Anchorage'),
	(7208, 'Koyukuk Airport', 'Koyukuk', 'United States', 'KYU', 'PFKU', 64.875833, -157.730556, 149, -9, 'A', 'America/Anchorage'),
	(7209, 'Scammon Bay Airport', 'Scammon Bay', 'United States', 'SCM', 'PACM', 61.845278, -165.571389, 14, -9, 'A', 'America/Anchorage'),
	(7210, 'Nondalton Airport', 'Nondalton', 'United States', 'NNL', 'PANO', 59.966944, -154.851667, 262, -9, 'A', 'America/Anchorage'),
	(7211, 'Pedro Bay Airport', 'Pedro Bay', 'United States', 'PDB', '\\N', 59.782222, -154.1325, 45, -9, 'A', 'America/Anchorage'),
	(7212, 'Nunapitchuk Airport', 'Nunapitchuk', 'United States', 'NUP', '\\N', 60.905833, -162.439167, 12, -9, 'A', 'America/Anchorage'),
	(7213, 'Kongiganak Airport', 'Kongiganak', 'United States', 'KKH', 'PADY', 59.960833, -162.881111, 30, -9, 'A', 'America/Anchorage'),
	(7214, 'Nikolai Airport', 'Nikolai', 'United States', 'NIB', 'PAFS', 63.010833, -154.383889, 427, -9, 'A', 'America/Anchorage'),
	(7215, 'Takotna Airport', 'Takotna', 'United States', 'TCT', '\\N', 62.971944, -156.082778, 825, -9, 'A', 'America/Anchorage'),
	(7216, 'Pilot Station Airport', 'Pilot Station', 'United States', 'PQS', '\\N', 61.934444, -162.899444, 305, -9, 'A', 'America/Anchorage'),
	(7217, 'Akiak Airport', 'Akiak', 'United States', 'AKI', 'PFAK', 60.902778, -161.230556, 30, -9, 'A', 'America/Anchorage'),
	(7218, 'Tuluksak Airport', 'Tuluksak', 'United States', 'TLT', '\\N', 61.096944, -160.969444, 30, -9, 'A', 'America/Anchorage'),
	(7219, 'Grayling Airport', 'Grayling', 'United States', 'KGX', '\\N', 62.894444, -160.065, 99, -9, 'A', 'America/Anchorage'),
	(7220, 'Wainwright Airport', 'Wainwright', 'United States', 'AIN', 'PAWI', 70.638056, -159.994722, 41, -9, 'A', 'America/Anchorage'),
	(7221, 'ZAPALA', 'ZAPALA', 'Argentina', 'APZ', 'SAHZ', -38.9755, -70.113581, 3330, -3, 'N', 'America/Cordoba'),
	(7222, 'Rincon de los Sauces', 'Rincon de los Sauces', 'Argentina', 'RDS', '\\N', -37.390617, -68.904211, 1969, -3, 'N', 'America/Cordoba'),
	(7223, 'Colonia Sarmiento', 'Colonia Sarmiento', 'Argentina', 'OLN', '\\N', -45.6, -69.083333, 849, -3, 'N', 'America/Cordoba'),
	(7224, 'Grytvyken', 'Grytvyken', 'South Georgia and the Islands', '', '\\N', -54.276667, -36.511667, 538, -2, 'S', 'Atlantic/South_Georgia'),
	(7225, 'Rio Turbio', 'Rio Turbio', 'Argentina', 'RYO', '\\N', -51.533333, -72.3, 1158, -3, 'N', 'America/Cordoba'),
	(7226, 'Puerto Natales', 'Puerto Natales', 'Chile', 'PNT', 'SCNT', -51.733333, -72.516667, 9, -4, 'S', 'America/Santiago'),
	(7227, 'Caleta Olivia', 'Caleta Olivia', 'Argentina', 'CVI', '\\N', -46.4333, -67.5333, 124, -3, 'N', 'America/Cordoba'),
	(7228, 'Fitz Roy', 'El Chalten', 'Argentina', '', '\\N', -47.033333, -67.25, 757, -3, 'N', 'America/Cordoba'),
	(7229, 'Sierra Grande', 'Sierra Grande', 'Argentina', 'SGV', 'SAVS', -41.592, -65.341, 820, -3, 'N', 'America/Cordoba'),
	(7230, 'Ingeniero Jacobacci', 'Ingeniero Jacobacci', 'Argentina', 'IGB', 'SAVJ', -41.3, -69.5833, 2936, -3, 'N', 'America/Cordoba'),
	(7231, 'Lago Posadas', 'Lago Posadas', 'Argentina', '', '\\N', -47.533333, -71.75, 748, -3, 'N', 'America/Cordoba'),
	(7232, 'El Chalten', 'El Chalten', 'Argentina', 'ELX', '\\N', -49.328889, -72.93, 1279, -3, 'N', 'America/Cordoba'),
	(7233, 'Chenega Bay Airport', 'Chenega', 'United States', 'NCN', 'PFCB', 60.077222, -147.991944, 72, -9, 'A', 'America/Anchorage'),
	(7234, 'Chisana Airport', 'Chisana', 'United States', 'CZN', '\\N', 62.071111, -142.048333, 1011, -9, 'A', 'America/Anchorage'),
	(7235, 'Tok Junction Airport', 'Tok', 'United States', '6K8', 'PFTO', 63.329444, -142.953611, 1639, -9, 'A', 'America/Anchorage'),
	(7236, 'Circle City Airport', 'Circle', 'United States', 'IRC', 'PACR', 65.827778, -144.076111, 613, -9, 'A', 'America/Anchorage'),
	(7237, 'Coffman Cove Seaplane Base', 'Coffman Cove', 'United States', 'KCC', '\\N', 56.014722, -132.833889, 0, -9, 'A', 'America/Anchorage'),
	(7238, 'Crooked Creek Airport', 'Crooked Creek', 'United States', 'CKD', '\\N', 61.867778, -158.135, 178, -9, 'A', 'America/Anchorage'),
	(7239, 'Red Devil Airport', 'Red Devil', 'United States', 'RDV', '\\N', 61.788056, -157.350278, 174, -9, 'A', 'America/Anchorage'),
	(7240, 'Sleetmute Airport', 'Sleetmute', 'United States', 'SLQ', 'PASL', 61.700566, -157.165833, 190, -9, 'A', 'America/Anchorage'),
	(7241, 'Stony River 2 Airport', 'Stony River', 'United States', 'SRV', '\\N', 61.7875, -156.591111, 230, -9, 'A', 'America/Anchorage'),
	(7242, 'Healy River Airport', 'Healy', 'United States', 'HKB', 'PAHV', 63.8675, -148.968889, 1263, -9, 'A', 'America/Anchorage'),
	(7243, 'Kake Seaplane Base', 'Kake', 'United States', 'KAE', '\\N', 56.973056, -133.945556, 0, -9, 'A', 'America/Anchorage'),
	(7244, 'Klawock Seaplane Base', 'Klawock', 'United States', 'AQC', 'PAQC', 55.554658, -133.101693, 0, -9, 'A', 'America/Anchorage'),
	(7245, 'Minchumina Airport', 'Lake Minchumina', 'United States', 'MHM', 'PAMH', 63.886111, -152.301944, 678, -9, 'A', 'America/Anchorage'),
	(7246, 'Manley Hot Springs Airport', 'Manley Hot Springs', 'United States', 'MLY', 'PAML', 64.9975, -150.644167, 270, -9, 'A', 'America/Anchorage'),
	(7247, 'St. George Airport', 'St. George', 'United States', 'STG', '\\N', 56.577222, -169.663611, 125, -9, 'A', 'America/Anchorage'),
	(7248, 'Tatitlek Airport', 'Tatitlek', 'United States', 'TEK', '\\N', 60.8725, -146.691111, 62, -9, 'A', 'America/Anchorage'),
	(7249, 'Ketchikan harbor Seaplane Base', 'Ketchikan', 'United States', 'WFB', '\\N', 55.344444, -131.663333, 0, -9, 'A', 'America/Anchorage'),
	(7250, 'Fox Harbour Airport', 'Fox Harbour', 'Canada', '', '\\N', 45.87, -63.461111, 62, -4, 'A', 'America/Halifax'),
	(7251, 'Natuashish Airport', 'Natuashish', 'Canada', '', 'CNH2', 55.913889, -61.184444, 33, -4, 'A', 'America/Halifax'),
	(7252, 'Postville Airport', 'Postville', 'Canada', 'YSO', 'CCD4', 54.910278, -59.785278, 223, -4, 'A', 'America/Halifax'),
	(7253, 'Kangiqsujuaq - Wakeham Bay Airport', 'Kangiqsujuaq', 'Canada', 'YWB', 'CYKG', 61.588611, -71.929444, 501, -5, 'A', 'America/Toronto'),
	(7254, 'Alma Airport', 'Alma', 'Canada', 'YTF', 'CYTF', 48.508611, -71.641389, 449, -5, 'A', 'America/Toronto'),
	(7255, 'Havre Saint-Pierre Airport', 'Havre-Saint-Pierre', 'Canada', 'YGV', 'CYGV', 50.281944, -63.611389, 124, -5, 'A', 'America/Toronto'),
	(7256, 'Rimouski Airport', 'Rimouski', 'Canada', 'YXK', 'CYXK', 48.478056, -68.496944, 82, -5, 'A', 'America/Toronto'),
	(7257, 'Vakarufahli Island', 'Vakarufahli Island', 'Maldives', '', '\\N', 3.578742, 72.902075, 0, 5, 'U', 'Indian/Maldives'),
	(7258, 'Vakarufalhi Island', 'Vakarufalhi Island', 'Maldives', '', '\\N', 3.578742, 72.902075, 0, 5, 'N', 'Indian/Maldives'),
	(7259, 'Tadoule Lake Airport', 'Tadoule Lake', 'Canada', 'XTL', 'CYBQ', 58.706111, -98.512222, 923, -6, 'A', 'America/Winnipeg'),
	(7260, 'Lac Brochet Airport', 'Lac Brochet', 'Canada', 'XLB', 'CZWH', 58.614167, -101.468889, 1212, -6, 'A', 'America/Winnipeg'),
	(7261, 'South Indian Lake Airport', 'South Indian Lake', 'Canada', 'XSI', 'CZSN', 56.792778, -98.907222, 951, -6, 'A', 'America/Winnipeg'),
	(7262, 'Brochet Airport', 'Brochet', 'Canada', 'YBT', 'CYBT', 57.889444, -101.679167, 1131, -6, 'A', 'America/Winnipeg'),
	(7263, 'Little Grand Rapids Airport', 'Little Grand Rapids', 'Canada', 'ZGR', 'CZGR', 52.045, -95.466111, 1008, -6, 'A', 'America/Winnipeg'),
	(7264, 'Cross Lake - Charlie Sinclair Memorial Airport', 'Cross Lake', 'Canada', 'YCR', 'CYCR', 54.610833, -97.760278, 707, -6, 'A', 'America/Winnipeg'),
	(7265, 'Red Sucker Lake Airport', 'Red Sucker Lake', 'Canada', 'YRS', 'CYRS', 54.167222, -93.557222, 729, -6, 'A', 'America/Winnipeg'),
	(7266, 'Rainbow Lake Airport', 'Rainbow Lake', 'Canada', 'YOP', 'CYOP', 58.491389, -119.407778, 1756, -7, 'A', 'America/Edmonton'),
	(7267, 'Bonnyville Airport', 'Bonnyville', 'Canada', 'YBY', 'CYBF', 54.304722, -110.741111, 1839, -7, 'A', 'America/Edmonton'),
	(7268, 'Nanaimo Harbour Water Airport', 'Nanaimo', 'Canada', 'ZNA', 'CAC8', 49.183333, -123.95, 0, -8, 'A', 'America/Vancouver'),
	(7269, 'Ganges Water Aerodrome', 'Ganges', 'Canada', '', 'CAX6', 48.85, -123.5, 0, -8, 'A', 'America/Vancouver'),
	(7270, 'Bedwell Harbour Water Aerdrome', 'Bedwell Harbour', 'Canada', '', '\\N', 48.75, -123.233333, 0, -8, 'A', 'America/Vancouver'),
	(7271, 'Qualicum Beach Airport', 'Qualicum Beach', 'Canada', 'XQU', '\\N', 49.337222, -124.393889, 191, -8, 'A', 'America/Vancouver'),
	(7272, 'Fort St. James - Perison Airport', 'Fort St. James', 'Canada', 'YJM', 'CYJM', 54.397222, -124.262778, 2364, -8, 'A', 'America/Vancouver'),
	(7273, 'Boundary Bay Airport', 'Boundary Bay', 'Canada', 'YDT', 'CZBB', 49.073889, -123.0075, 6, -8, 'A', 'America/Vancouver'),
	(7274, 'Langley Regional Airport', 'Langley Township', 'Canada', '', 'CYNJ', 49.101111, -122.630556, 34, -8, 'A', 'America/Vancouver'),
	(7275, 'Bella Bella Airport', 'Bella Bella', 'Canada', 'ZEL', 'CYJQ', 52.139722, -128.063611, 162, -8, 'A', 'America/Vancouver'),
	(7276, 'Sechelt Aerodrome', 'Sechelt-Gibsons', 'Canada', 'YHS', '\\N', 49.460556, -123.718611, 250, -8, 'A', 'America/Vancouver'),
	(7277, 'Wekweeti Airport', 'Wekweeti', 'Canada', '', 'CFJ2', 64.190833, -114.076667, 1206, -7, 'A', 'America/Edmonton'),
	(7278, 'Campo Cuatro Milpas Airport', 'Guasave', 'Mexico', '', 'MM52', 25.651944, -108.538056, 72, -7, 'A', 'America/Mazatlan'),
	(7279, 'Isla de Cedros Airport', 'Cedros', 'Mexico', '', 'MMCD', 28.0375, -115.189444, 98, -6, 'A', 'America/Mexico_City'),
	(7280, 'Cabo San Lucas International Airport', 'Cabo San Lucas', 'Mexico', '', 'MMSL', 22.9475, -109.937081, 459, -7, 'A', 'America/Mazatlan'),
	(7281, 'Bahia Tortugas Airfield', 'Bahia Tortugas', 'Mexico', '', '\\N', 27.705278, -114.911111, 102, -7, 'A', 'America/Mazatlan'),
	(7282, 'Palo Verde Airport', 'San Bruno', 'Mexico', 'PVP', '\\N', 27.093056, -112.098889, 55, -7, 'A', 'America/Mazatlan'),
	(7283, 'Ziyaraifushi', 'Ziyaraifushi', 'Maldives', '', '\\N', 4.531313889, 73.373325, 0, 5, 'U', 'Indian/Maldives'),
	(7284, 'Brussels Gare du Midi', 'Brussels', 'Belgium', 'ZYR', '\\N', 50.8, 4.4, 180, 1, 'E', 'Europe/Brussels'),
	(7285, 'Caye Chapel Airport', 'Caye Chapel', 'Belize', 'CYC', '\\N', 17.683611, -88.045, 10, -6, 'U', 'America/Belize'),
	(7286, 'Big Creek Airport', 'Big Creek', 'Belize', 'BGK', '\\N', 16.516667, -88.416667, 16, -6, 'U', 'America/Belize'),
	(7287, 'Dangriga Airport', 'Dangriga', 'Belize', 'DGA', '\\N', 16.966667, -88.216667, 10, -6, 'U', 'America/Belize'),
	(7288, 'Placencia Airport', 'Placencia', 'Belize', 'PLJ', '\\N', 16.536944, -88.361667, 42, -6, 'U', 'America/Belize'),
	(7289, 'Sartaneja Airport', 'Sarteneja', 'Belize', 'SJX', '\\N', 18.355556, -88.130833, 10, -6, 'U', 'America/Belize'),
	(7290, 'Huehuetenango Airport', 'Huehuetenango', 'Guatemala', '', '\\N', 15.314722, -91.476111, 1901, -6, 'U', 'America/Guatemala'),
	(7291, 'Corn Island Airport', 'Corn Island', 'Nicaragua', 'RNI', 'MNCI', 12.168611, -83.0675, 26, -6, 'U', 'America/Managua'),
	(7292, 'Bonanza Airport', 'Bonanza', 'Nicaragua', 'BZA', 'MNBZ', 14.041667, -84.630556, 597, -6, 'U', 'America/Managua'),
	(7293, 'Rosita Airport', 'Rosita', 'Nicaragua', 'RFS', 'MNRT', 13.897222, -84.404722, 207, -6, 'U', 'America/Managua'),
	(7294, 'Siuna Airport', 'Siuna', 'Nicaragua', 'SIU', 'MNSI', 13.716667, -84.776944, 480, -6, 'U', 'America/Managua'),
	(7295, 'Waspam Airport', 'Waspam', 'Nicaragua', 'WSP', 'MNWP', 14.737778, -83.975833, 115, -6, 'U', 'America/Managua'),
	(7296, 'San Carols Airport', 'San Carlos', 'Nicaragua', '', 'MNSC', 11.133333, -84.783333, 131, -6, 'U', 'America/Managua'),
	(7297, 'Carrillo Airport', 'Carrillo', 'Costa Rica', 'RIK', 'MRCR', 9.866667, -85.483333, 10, -6, 'U', 'America/Costa_Rica'),
	(7298, 'Fussen', 'Fussen', 'Germany', 'FUS', 'FUSS', 47.585, 10.6866, 800, 1, 'U', 'Europe/Berlin'),
	(7299, 'John A. Osborne Airport', 'Montserrat', 'Montserrat', '', '\\N', 16.791389, -62.193333, 550, -4, 'U', 'America/Montserrat'),
	(7300, 'Monte Plata Batley Juan Sanchez Field', 'Monte Plata', 'Dominican Republic', '', 'MDJS', 18.81, -69.79, 1424, -4, 'U', 'America/Santo_Domingo'),
	(7301, 'Constanza Airport', 'Constanza', 'Dominican Republic', 'COZ', 'MDCZ', 18.907626, -70.719852, 3931, -4, 'U', 'America/Santo_Domingo'),
	(7302, 'Negril Aerodrome', 'Negril', 'Jamaica', 'NEG', 'MKNG', 18.34, -78.335556, 9, -5, 'U', 'America/Jamaica'),
	(7303, 'Bochum Railway', 'Bochum', 'Germany', 'EBO', '\\N', 51.478506, 7.222781, 45, 1, 'U', 'Europe/Berlin'),
	(7304, 'Fliegerhost ', 'Kaufbeuren', 'Germany', 'KFB', '\\N', 47.874, 10.6294, 680, 1, 'U', 'Europe/Berlin'),
	(7305, 'Munich Railway', 'Munich', 'Germany', 'ZMU', '\\N', 48.1408, 11.555, 500, 1, 'U', 'Europe/Berlin'),
	(7306, 'Nuernberg Railway', 'Nuernberg', 'Germany', 'ZAQ', '\\N', 49.446389, 11.081944, 312, 1, 'U', 'Europe/Berlin'),
	(7307, 'Jose Aponte de la Torre Airport', 'Ceiba', 'Puerto Rico', 'RVR', 'TJRV', 18.245278, -65.643333, 38, -4, 'A', 'America/Puerto_Rico'),
	(7308, 'Aeropuerto Internacional Valle del Conlara', 'Merlo', 'Argentina', 'RLO', '\\N', -32.349803, -65.179932, 100, -3, 'N', 'America/Cordoba'),
	(7309, 'Charlotte Amalie Harbor', 'Charlotte Amalie', 'Virgin Islands', '', 'VI22', 18.338611, -64.940833, 0, -4, 'A', 'America/St_Thomas'),
	(7310, 'Christiansted Harbor Seaplane Base', 'Christiansted', 'Virgin Islands', 'SSB', '\\N', 17.747222, -64.705, 0, -4, 'A', 'America/St_Thomas'),
	(7311, 'Alto Rio Senguer Airport', 'Alto Rio Senguer', 'Argentina', 'ARR', 'SAVR', -45.016667, -70.816667, 2145, -3, 'N', 'America/Cordoba'),
	(7312, 'Jose de San Martin Airport', 'Jose de San Martin', 'Argentina', 'JSM', 'SAWS', -44.016667, -70.466667, 4359, -3, 'N', 'America/Cordoba'),
	(7313, 'Uyuni Airport', 'Uyuni', 'Bolivia', 'UYU', 'SLUY', -20.466667, -66.833333, 11990, -4, 'U', 'America/La_Paz'),
	(7314, 'Augsburg Railway', 'Augsburg', 'Germany', 'ZAU', '\\N', 48.3655, 10.8863, 500, 1, 'U', 'Europe/Berlin'),
	(7315, 'Mannheim Railway', 'Mannheim', 'Germany', 'ZMA', '\\N', 49.479633, 8.469858, 200, 1, 'E', 'Europe/Berlin'),
	(7316, 'Essen Railway', 'Essen', 'Germany', 'ZES', '\\N', 51.451389, 7.013889, 200, 1, 'U', 'Europe/Berlin'),
	(7317, 'Rurrenabaque Airport', 'Rerrenabaque', 'Bolivia', 'RBQ', 'SLRQ', -14.4275, -67.498056, 898, -4, 'U', 'America/La_Paz'),
	(7318, 'Lancaster Amtrak Station', 'Lancaster', 'United States', '', '\\N', 40.05, -76.31, 345, -5, 'A', 'America/New_York'),
	(7319, 'Ardmore Amtrak Station', 'Ardmore', 'United States', '', '\\N', 40.01, -75.29, 360, -5, 'A', 'America/New_York'),
	(7320, 'Abaiang Atoll Airport', 'Abaiang Atoll', 'Kiribati', 'ABF', 'NGAB', 1.8, 173.04, 1, 12, 'U', 'Pacific/Tarawa'),
	(7321, 'Metropark Amtrak Station', 'Iselin', 'United States', '', '\\N', 40.568, -74.3275, 1, -5, 'A', 'America/New_York'),
	(7322, 'St. Louis Downtown Airport', 'East St. Louis', 'United States', 'CPS', '\\N', 38.5707244, -90.1562211, 413, -6, 'U', 'America/Chicago'),
	(7323, 'Afobaka Airstrip', 'Afobaka', 'Suriname', '', 'SMAF', 4.9982, -54.9919, 10, -3, 'U', 'America/Paramaribo'),
	(7324, 'Alalapadu Airstrip', 'Alapadu', 'Suriname', '', 'SMDU', 2.5232, -56.3241, 10, -3, 'U', 'America/Paramaribo'),
	(7325, 'Albina Airstrip', 'Albina', 'Suriname', 'ABN', 'SMBN', 5.516667, -54.05, 10, -3, 'U', 'America/Paramaribo'),
	(7326, 'Lawa Anapaike Airstrip', 'Anapaike', 'Suriname', '', 'SMLA', 3.416667, -54.033333, 10, -3, 'U', 'America/Paramaribo'),
	(7327, 'Apetina Airstrip', 'Apetina', 'Suriname', '', 'SMPT', 3.5017, -55.0614, 10, -3, 'U', 'America/Paramaribo'),
	(7328, 'Botopassi Airstrip', 'Botopasi', 'Suriname', 'BTO', '\\N', 4.233333, -55.45, 10, -3, 'U', 'America/Paramaribo'),
	(7329, 'Djoemoe Airstrip', 'Djoemoe', 'Suriname', 'DOE', '\\N', 4.016667, -55.483333, 10, -3, 'U', 'America/Paramaribo'),
	(7330, 'Drietabbetje Airstrip', 'Drietabbetje', 'Suriname', 'DRJ', 'SMDA', 4.11667, -54.66667, 10, -3, 'U', 'America/Paramaribo'),
	(7331, 'Kabalebo Airstrip', 'Kabalebo', 'Suriname', '', 'SMKA', 4.406, -57.223, 10, -3, 'U', 'America/Paramaribo'),
	(7332, 'Kayser Airstrip', 'Kayser', 'Suriname', '', 'SMKE', 3.1, -56.483, 10, -3, 'U', 'America/Paramaribo'),
	(7333, 'Kwamelasemoetoe Airstrip', 'Kwamelasemoetoe', 'Suriname', '', 'SMSM', 2.33333, -56.783333, 10, -3, 'U', 'America/Paramaribo'),
	(7334, 'Moengo Airstrip', 'Moengo', 'Suriname', '', 'SMMO', 5.616667, -54.4, 10, -3, 'U', 'America/Paramaribo'),
	(7335, 'Majoor Henry Fernandes Airport', 'Nieuw Nickerie', 'Suriname', 'ICK', 'SMNI', 5.955556, -57.039444, 9, -3, 'U', 'America/Paramaribo'),
	(7336, 'Vincent Fayks Airport', 'Paloemeu', 'Suriname', 'OEM', 'SMPA', 5.811111, -55.190833, 10, -3, 'U', 'America/Paramaribo'),
	(7337, 'Sarakreek Airstrip', 'Sarakreek', 'Suriname', '', 'SMSK', 4.9, -55.083333, 10, -3, 'U', 'America/Paramaribo'),
	(7338, 'Sipaliwini Airstrip', 'Sipaliwini', 'Suriname', '', 'SMSI', 1.96605, -56.0035, 10, -3, 'U', 'America/Paramaribo'),
	(7339, 'Stoelmans Eiland Airstrip', 'Stoelmans Eiland', 'Suriname', 'SMZ', 'SMST', 4.35, -54.41667, 10, -3, 'U', 'America/Paramaribo'),
	(7340, 'Totness Airstrip', 'Totness', 'Suriname', 'TOT', 'SMCO', 5.865833, -56.3275, 10, -3, 'U', 'America/Paramaribo'),
	(7341, 'Wageningen Airstrip', 'Wageningen', 'Suriname', 'AGI', 'SMWA', 5.76667, -56.63333, 10, -3, 'U', 'America/Paramaribo'),
	(7342, 'Kaieteur International Airport', 'Kaieteur Falls', 'Guyana', 'KIA', 'PSKA', 5.163333, -59.483333, 95, -4, 'U', 'America/Guyana'),
	(7343, 'Codela Airport', 'Guapiles', 'Costa Rica', 'CSC', 'MRCA', 10.414, -85.0917, 328, -6, 'U', 'America/Costa_Rica'),
	(7344, 'Newport News Amtrak Station', 'Newport News', 'United States', '', '\\N', 37.0228, -76.4519, 0, -5, 'A', 'America/New_York'),
	(7345, 'Portland Union Station', 'Portland', 'United States', '', '\\N', 45.529, -122.6768, 0, -8, 'A', 'America/Los_Angeles'),
	(7346, 'Orinduik Airport', 'Orinduik', 'Guyana', 'ORJ', 'SYOR', 4.7, -60.016667, 10, -4, 'U', 'America/Guyana'),
	(7347, 'Annai Airport', 'Annai', 'Guyana', 'NAI', 'SYAN', 3.95, -59.133333, 10, -4, 'U', 'America/Guyana'),
	(7348, 'Apoteri Airport', 'Apoteri', 'Guyana', '', 'SYAP', 4.033333, -58.583333, 10, -4, 'U', 'America/Guyana'),
	(7349, 'Imbaimadai Airport', 'Imbaimadai', 'Guyana', 'IMB', 'SYIB', 5.69252, -60.28198, 10, -4, 'U', 'America/Guyana'),
	(7350, 'Kamarang Airport', 'Kamarang', 'Guyana', 'KAR', 'SYKM', 5.865278, -60.614167, 10, -4, 'U', 'America/Guyana'),
	(7351, 'Mabaruma Airport', 'Mabaruma', 'Guyana', 'USI', 'SYMB', 8.2, -59.783333, 10, -4, 'U', 'America/Guyana'),
	(7352, 'Mahdia Airport', 'Mahdia', 'Guyana', 'MHA', 'SYMD', 5.266667, -59.15, 10, -4, 'U', 'America/Guyana'),
	(7353, 'Dr. Augusto Roberto Fuster International Airport', 'Pedro Juan Caballero', 'Paraguay', 'PJC', 'SGPJ', -22.641389, -55.829722, 1873, -4, 'U', 'America/Asuncion'),
	(7354, 'Alcides Fernandez Airport', 'Acandi', 'Colombia', 'ACD', 'SKAD', 8.516667, -77.3, 50, -5, 'U', 'America/Bogota'),
	(7355, 'Los Colonizadores Airport', 'Saravena', 'Colombia', 'RVE', 'SKSA', 6.916667, -71.9, 10, -5, 'U', 'America/Bogota'),
	(7356, 'La Chorrera Airport', 'La Chorrera', 'Colombia', 'LCR', '\\N', -0.733333, -73.016667, 10, -5, 'U', 'America/Bogota'),
	(7357, 'Batagay Airport', 'Batagay', 'Russia', '', 'UEBB', 67.648, 134.695, 696, 11, 'N', 'Asia/Vladivostok'),
	(7358, 'La Macarena', 'La Macarena', 'Colombia', 'LMC', '\\N', 2.179167, -73.7875, 10, -5, 'U', 'America/Bogota'),
	(7359, 'Villa Garzon Airport', 'Villa Garzon', 'Colombia', 'VGZ', 'SKVG', 0.978889, -76.605556, 1248, -5, 'U', 'America/Bogota'),
	(7360, 'El Bagre Airport', 'El Bagre', 'Colombia', 'EBG', 'SKEB', 7.596389, -74.808889, 180, -5, 'U', 'America/Bogota'),
	(7361, 'Juan H. White', 'Caucasia', 'Colombia', 'CAQ', 'SKCU', 7.968333, -75.198333, 174, -5, 'U', 'America/Bogota'),
	(7362, 'Mandinga Airport', 'Condoto', 'Colombia', 'COG', 'SKCD', 5.071667, -76.676389, 10, -5, 'U', 'America/Bogota'),
	(7363, 'Golfo de Morrosquillo Airport', 'Tolu', 'Colombia', 'TLU', 'SKTL', 9.511944, -75.586389, 10, -5, 'U', 'America/Bogota'),
	(7364, 'Cabo Frio International Airport', 'Cabo Frio', 'Brazil', 'CFB', 'SBCB', -22.921667, -42.074167, 14, -3, 'S', 'America/Sao_Paulo'),
	(7365, 'Westport Amtrak Station', 'Westport', 'United States', '', '\\N', 44.1871, -73.4519, 1, -5, 'A', 'America/New_York'),
	(7366, 'Trenton Amtrak Station', 'Trenton', 'United States', '', '\\N', 40.21889, -74.75417, 1, -5, 'A', 'America/New_York'),
	(7367, 'Sinop Airport', 'Sinop', 'Brazil', 'OPS', 'SWSI', -11.885, -55.586, 10, -4, 'S', 'America/Campo_Grande'),
	(7368, 'Gurupi Airport', 'Gurupi', 'Brazil', 'GRP', 'SWGI', -11.728889, -49.068889, 10, -3, 'S', 'America/Fortaleza'),
	(7369, 'Campo Alegre Airport', 'Santana do Araguaia', 'Brazil', 'CMP', 'SNKE', -9.505, -50.625, 525, -4, 'S', 'America/Boa_Vista'),
	(7370, 'Breves Airport', 'Breves', 'Brazil', 'BVS', 'SNVS', -1.681944, -50.48, 131, -4, 'S', 'America/Boa_Vista'),
	(7371, 'Soure Airport', 'Soure', 'Brazil', 'SFK', 'SNSW', -0.716944, -48.522778, 33, -4, 'S', 'America/Boa_Vista'),
	(7372, 'Julio Belem Airport', 'Parintins', 'Brazil', 'PIN', 'SWPI', -2.627778, -56.735833, 500, -4, 'S', 'America/Boa_Vista'),
	(7373, 'Barreiras Airport', 'Barreiras', 'Brazil', 'BRA', 'SNBR', -12.083333, -45, 1356, -3, 'S', 'America/Fortaleza'),
	(7374, 'Confresa Airport', 'Santa Terezinha', 'Brazil', 'STZ', 'SWST', -10.47, -50.502778, 650, -4, 'S', 'America/Campo_Grande'),
	(7375, 'Minacu Airport', 'Minacu', 'Brazil', 'MQH', 'SBMC', -13.526944, -48.220556, 1053, -3, 'S', 'America/Sao_Paulo'),
	(7376, 'Araguaina Airport', 'Araguaina', 'Brazil', 'AUX', 'SWGN', -7.228333, -48.240833, 771, -3, 'S', 'America/Fortaleza'),
	(7377, 'Novo Aripuana Airport', 'Novo Aripuana', 'Brazil', 'NVP', 'SWNA', -5.121389, -60.380556, 500, -4, 'S', 'America/Boa_Vista'),
	(7378, 'Bom Futuro Airport', 'Lucas do Rio Verde', 'Brazil', 'LVR', 'SWFE', -13.05, -55.910833, 500, -4, 'S', 'America/Campo_Grande'),
	(7379, 'Franca Airport', 'Franca', 'Brazil', 'FRC', 'SIMK', -20.538611, -47.400833, 1040, -3, 'S', 'America/Sao_Paulo'),
	(7380, 'Dourados Airport', 'Dourados', 'Brazil', 'DOU', 'SSDO', -22.220833, -54.805833, 1433, -4, 'S', 'America/Campo_Grande'),
	(7381, 'Labrea Airport', 'Labrea', 'Brazil', 'LBR', 'SWLB', -7.258889, -64.797778, 225, -4, 'S', 'America/Boa_Vista'),
	(7382, 'Rondonopolis Airport', 'Rondonopolis', 'Brazil', 'ROO', 'SWRD', -16.466667, -54.633333, 500, -4, 'S', 'America/Campo_Grande'),
	(7383, 'Tancredo Thomaz de Faria Airport', 'Guarapuava', 'Brazil', 'GPB', 'SBGU', -25.383333, -51.45, 200, -3, 'S', 'America/Sao_Paulo'),
	(7384, 'Joacaba Airport', 'Joacaba', 'Brazil', 'JCB', 'SSJA', -27.172778, -51.500833, 1713, -3, 'S', 'America/Sao_Paulo'),
	(7385, 'North Philadelphia Amtrak Station', 'Philadelphia', 'United States', '', '\\N', 39.9969556, -75.1487722, 1, -5, 'A', 'America/New_York'),
	(7386, 'Aberdeen Railway Station', 'Aberdeen', 'United Kingdom', '', '\\N', 57.1436, -2.0985, 1, 0, 'U', 'Europe/London'),
	(7387, 'Glasgow Railway Station', 'Glasgow', 'United Kingdom', '', '\\N', 55.8622, -4.2512, 0, 0, 'U', 'Europe/London'),
	(7388, 'Edinburgh Waverly Station', 'Edinburgh', 'United Kingdom', 'ZXE', '\\N', 55.952, -3.189, 0, 0, 'U', 'Europe/London'),
	(7389, 'Newcastle Railway Station', 'Newcastle Upon Tyne', 'United Kingdom', '', '\\N', 54.9686, -1.6171, 0, 0, 'U', 'Europe/London'),
	(7390, 'Leeds Railway Station', 'Leeds', 'United Kingdom', '', '\\N', 53.794, -1.547, 0, 0, 'U', 'Europe/London'),
	(7391, 'Manchester Picadilly Station', 'Manchester', 'United Kingdom', '', '\\N', 53.477, -2.23, 0, 0, 'U', 'Europe/London'),
	(7392, 'Liverpool Railway Station', 'Liverpool', 'United Kingdom', '', '\\N', 53.405, -2.979, 0, 0, 'U', 'Europe/London'),
	(7393, 'London Euston Railway Station', 'London', 'United Kingdom', '', '\\N', 51.5284, -0.1331, 0, 0, 'U', 'Europe/London'),
	(7394, 'General leite de Castro Airport', 'Rio Verde', 'Brazil', 'RVD', 'SWLC', -17.790278, -50.918333, 2244, -3, 'S', 'America/Sao_Paulo'),
	(7395, 'Araxa Airport', 'Araxa', 'Brazil', 'AAX', 'SBAX', -19.563056, -46.960278, 3276, -3, 'S', 'America/Sao_Paulo'),
	(7396, 'Maues Airport', 'Maues', 'Brazil', 'MBZ', 'SWMW', -3.383611, -57.718611, 500, -4, 'S', 'America/Boa_Vista'),
	(7397, 'Borba Airport', 'Borba', 'Brazil', 'RBB', 'SWBR', -4.387778, -59.593889, 500, -4, 'S', 'America/Boa_Vista'),
	(7398, 'Coari Airport', 'Coari', 'Brazil', 'CIZ', 'SWKO', -4.085, -63.140833, 33, -4, 'S', 'America/Boa_Vista'),
	(7399, 'Barcelos Airport', 'Barcelos', 'Brazil', 'BAZ', 'SWBC', -0.975, -62.923889, 500, -4, 'S', 'America/Boa_Vista'),
	(7400, 'Herbert Glacier', 'Juneau', 'United States', '', '\\N', 58.571385, -134.607754, 0, -9, 'A', 'America/Anchorage'),
	(7401, 'Seattle Cruise Terminal', 'Seattle', 'United States', '', '\\N', 47.615884, -122.330017, 0, -8, 'A', 'America/Los_Angeles'),
	(7402, 'Juneau Cruise Pier', 'Juneau', 'United States', '', '\\N', 58.335451, -134.414978, 0, -9, 'A', 'America/Anchorage'),
	(7403, 'Skagway Cruise Pier', 'Skagway', 'United States', '', '\\N', 59.470896, -135.31723, 0, -9, 'A', 'America/Anchorage'),
	(7404, 'Ketchikan Cruise Pier', 'Ketchikan ', 'United States', '', '\\N', 55.346327, -131.644707, 0, -9, 'A', 'America/Anchorage'),
	(7405, 'Victoria Cruise Pier', 'Victoria', 'Canada', '', '\\N', 48.429144, -123.367023, 0, -8, 'A', 'America/Vancouver'),
	(7406, 'Diamantino Airport', 'Diamantino', 'Brazil', 'DMT', 'SWDM', -14.408889, -56.445833, 1837, -4, 'S', 'America/Campo_Grande'),
	(7407, 'Guanambi Airport', 'Guanambi', 'Brazil', 'GNM', 'SNGI', -14.216667, -42.783333, 500, -3, 'S', 'America/Fortaleza'),
	(7408, 'Tsletsi Airport', 'Djelfa', 'Algeria', 'QDJ', 'DAFI', 34.6657, 3.351, 10, 1, 'U', 'Africa/Algiers'),
	(7409, 'Nzagi Airport', 'Nzagi', 'Angola', '', 'FNZG', -7.716944, 21.358056, 2431, 1, 'U', 'Africa/Luanda'),
	(7410, 'Catoca Airport', 'Catoca', 'Angola', '', '\\N', -9.433017, 20.311189, 500, 1, 'U', 'Africa/Luanda'),
	(7411, 'Lucapa Airport', 'Lucapa', 'Angola', 'LBZ', 'FNLK', -8.443056, 20.732222, 500, 1, 'U', 'Africa/Luanda'),
	(7412, 'Kapanda Airport', 'Kapanda', 'Angola', 'KNP', 'FNCP', -9.771944, 15.456111, 500, 1, 'U', 'Africa/Luanda'),
	(7413, 'Am Timan Airport', 'Am Timan', 'Chad', 'AMC', 'FTTN', 11.034, 20.274, 1421, 1, 'U', 'Africa/Ndjamena'),
	(7414, 'Sharq Al-Owainat Airport', 'Sharq Al-Owainat', 'Egypt', 'GSQ', 'HEOW', 22.5806, 28.7207, 859, 2, 'U', 'Africa/Cairo'),
	(7415, 'Eastern WV Regional Airport', 'Martinsburg', 'United States', 'MRB', 'KMRB', 39.2407, -77.591, 554, -5, 'A', 'America/New_York'),
	(7416, 'Awasa Airport', 'Awasa', 'Ethiopia', 'AWA', 'HALA', 7.067, 38.5, 5149, 3, 'U', 'Africa/Addis_Ababa'),
	(7417, 'Jijiga Airport', 'Jijiga', 'Ethiopia', 'JIJ', 'HAJJ', 9.359722, 42.7875, 2000, 3, 'U', 'Africa/Addis_Ababa'),
	(7418, 'Mekane Salam Airport', 'Mekane Selam', 'Ethiopia', 'MKS', 'HAMA', 10.633333, 38.783333, 3000, 3, 'U', 'Africa/Addis_Ababa'),
	(7419, 'Debre Marqos', 'Debre Marqos', 'Ethiopia', 'DBM', 'HADM', 10.316667, 37.733333, 7440, 3, 'U', 'Africa/Addis_Ababa'),
	(7420, 'Debre Tabor Airport', 'Debre Tabor', 'Ethiopia', 'DBT', 'HADT', 11.966667, 38, 7740, 3, 'U', 'Africa/Addis_Ababa'),
	(7421, 'Harar Meda Airport', 'Debre Zeyit', 'Ethiopia', 'QHR', 'HAHM', 8.7163, 39.0059, 8850, 3, 'U', 'Africa/Addis_Ababa'),
	(7422, 'Robe Airport', 'Goba', 'Ethiopia', 'GOB', 'HAGB', 6.733333, 44.266667, 4000, 3, 'U', 'Africa/Addis_Ababa'),
	(7423, 'Mayumba Airport', 'Mayumba', 'Gabon', 'MYB', 'FOOY', -3.416667, 10.65, 500, 1, 'U', 'Africa/Libreville'),
	(7424, 'Mara Serena Airport', 'Masai Mara', 'Kenya', 'MRE', '\\N', -1.406111, 35.008056, 500, 3, 'U', 'Africa/Nairobi'),
	(7425, 'Lewa Airport', 'Lewa', 'Kenya', '', '\\N', 0.1955, 37.4699, 2000, 3, 'U', 'Africa/Nairobi'),
	(7426, 'Mulika Lodge Airport', 'Meru National Park', 'Kenya', '', 'HKMK', 0.230278, 38.170556, 2000, 3, 'U', 'Africa/Nairobi'),
	(7427, 'Rumbek Airport', 'Rumbek', 'Sudan', 'RBX', 'HSMK', 6.825, 29.669, 2000, 3, 'U', 'Africa/Juba'),
	(7428, 'Yei Airport', 'Yei', 'Sudan', '', 'HSYE', 4.083, 30.65, 1000, 3, 'U', 'Africa/Juba'),
	(7429, 'Cape Palmas Airport', 'Greenville', 'Liberia', 'CPA', 'GLCP', 4.37902, -7.69695, 500, 0, 'U', 'Africa/Monrovia'),
	(7430, 'Ambatomainty Airport', 'Ambatomainty', 'Madagascar', 'AMY', '\\N', -17.1667, 47.1833, 500, 3, 'U', 'Indian/Antananarivo'),
	(7431, 'Kyoto', 'Kyoto', 'Japan', 'UKY', '\\N', 35.016667, 135.766667, 262, 9, 'N', 'Asia/Tokyo'),
	(7432, 'Ecuvillens Airport', 'Ecuvillens', 'Switzerland', '', 'LSGE', 46.754997, 7.076111, 2293, 1, 'E', 'Europe/Zurich'),
	(7433, 'Andermatt', 'Andermatt', 'Switzerland', '', '\\N', 46.63889, 8.58889, 4747, 1, 'E', 'Europe/Zurich'),
	(7434, 'Wohlen Airfield', 'Wohlen bei Bern', 'Switzerland', '', '\\N', 46.96694, 7.35806, 1795, 1, 'E', 'Europe/Zurich'),
	(7435, 'Bazaruto Island Airport', 'Bazaruto Island', 'Mozambique', 'BZB', '\\N', -21.542778, 35.473056, 500, 2, 'U', 'Africa/Maputo'),
	(7436, 'Benguera Island Airport', 'Benguera Island', 'Mozambique', 'BCW', '\\N', -21.849167, 35.436944, 50, 2, 'U', 'Africa/Maputo'),
	(7437, 'Inhaca Airport', 'Inhaca', 'Mozambique', '', 'FQIA', -26, 32.916667, 500, 2, 'U', 'Africa/Maputo'),
	(7438, 'Indigo Bay Lodge Airport', 'Indigo Bay Lodge', 'Mozambique', 'IBL', '\\N', -21.707222, 35.452222, 50, 2, 'U', 'Africa/Maputo'),
	(7439, 'Gombe Lawanti International Airport', 'Gombe', 'Nigeria', '', '\\N', 9.2575, 12.430278, 500, 1, 'U', 'Africa/Lagos'),
	(7440, 'Akwa Ibom International Airport', 'Uyo', 'Nigeria', '', '\\N', 5.05, 7.933333, 500, 1, 'U', 'Africa/Lagos'),
	(7441, 'Katsina Airport', 'Katsina', 'Nigeria', '', '\\N', 13.007778, 7.660278, 50, 1, 'U', 'Africa/Lagos'),
	(7442, 'Ouro Sogui Airport', 'Matam', 'Senegal', 'MAX', 'GOSM', 15.593611, -13.322778, 85, 0, 'U', 'Africa/Dakar'),
	(7443, 'Bird Island Airport', 'Bird Island', 'Seychelles', 'BDI', 'FSSB', -3.721389, 55.208611, 10, 4, 'U', '\\N'),
	(7444, 'K50 Airport', 'Mogadishu', 'Somalia', '', '\\N', 1.999167, 44.974167, 500, 3, 'U', 'Africa/Mogadishu'),
	(7445, 'El Daein', 'El Daein', 'Sudan', '', '\\N', 14, 32.316667, 1000, 3, 'U', 'Africa/Khartoum'),
	(7446, 'Wadi Halfa Airport', 'Wadi Halfa', 'Sudan', 'WHF', 'HSSW', 21.800278, 31.516389, 1500, 3, 'U', 'Africa/Khartoum'),
	(7447, 'Enfidha - Zine El Abidine Ben Ali International Airport', 'Enfidha', 'Tunisia', 'NBE', 'DTNZ', 36.075833, 10.438611, 500, 1, 'U', 'Africa/Tunis'),
	(7448, 'Kidepo Airport', 'Kidepo', 'Uganda', '', 'HUKD', 3.719167, 33.754167, 3904, 3, 'U', 'Africa/Kampala'),
	(7449, 'Kitgum Airport', 'Kitgum', 'Uganda', '', 'HUKT', 3.278611, 32.89, 2493, 3, 'U', 'Africa/Kampala'),
	(7450, 'Pakuba Airport', 'Pakuba', 'Uganda', 'PAF', 'HUPA', 2.3275, 31.5, 2297, 3, 'U', 'Africa/Kampala'),
	(7451, 'Svea Airport', 'Sveagruva', 'Svalbard', '', 'ENSA', 77.9, 16.683333, 29, 1, 'U', 'Arctic/Longyearbyen'),
	(7452, 'Ny-Alesund Airport', 'Ny-Alesund', 'Svalbard', '', 'ENAS', 78.9275, 11.874167, 50, 1, 'U', 'Arctic/Longyearbyen'),
	(7453, 'Hatay Airport', 'Hatay', 'Turkey', 'HTY', 'LTDA', 36.362778, 36.282222, 25, 2, 'U', 'Europe/Istanbul'),
	(7454, 'Kihnu Airfield', 'Kihnu', 'Estonia', '', 'EEKU', 58.148, 24.003, 50, 2, 'U', 'Europe/Tallinn'),
	(7455, 'Ruhnu Airfield', 'Ruhnu', 'Estonia', '', 'EERU', 57.784, 23.266, 50, 2, 'U', 'Europe/Tallinn'),
	(7456, 'Raivavae Airport', 'Raivavae', 'French Polynesia', 'RVV', 'NTAV', -23.87, -147.67, 25, -10, 'N', 'Pacific/Tahiti'),
	(7457, 'Foshan', 'Foshan', 'China', 'FUO', '\\N', 23.133333, 113.28333, 8, 8, 'N', 'Asia/Chongqing'),
	(7458, 'Huizhou', 'Huizhou', 'China', 'HUZ', '\\N', 23.083332, 114.36667, 23, 8, 'N', 'Asia/Chongqing'),
	(7459, 'Lleida-Alguaire Airport', 'Lleida', 'Spain', 'ILD', 'LEDA', 41.727778, 0.535833, 1148, 1, 'E', 'Europe/Madrid'),
	(7460, 'Aeropuerto Capitan Fuentes Martinez', 'Porvenir', 'Chile', 'WPR', '\\N', -53.2537, -70.319228, 104, -4, 'U', 'America/Santiago'),
	(7461, 'Ouessant Airport', 'Ouessant', 'France', '', 'LFEC', 48.458056, -5.095556, 25, 1, 'U', 'Europe/Paris'),
	(7462, 'Central Railway Station', 'Montreal', 'Canada', 'YMY', '\\N', 45.499722, -73.566111, 0, -5, 'A', 'America/Toronto'),
	(7463, 'Union Station', 'Toronto', 'Canada', 'YBZ', '\\N', 43.645278, -79.380556, 0, -5, 'A', 'America/Toronto'),
	(7464, 'Bildudalur Airport', 'Bildudalur', 'Iceland', 'BIU', 'BIBD', 65.641389, -23.546111, 26, 0, 'N', 'Atlantic/Reykjavik'),
	(7465, 'Gjogur Airport', 'Gjogur', 'Iceland', 'GJR', 'BIGJ', 65.995278, -21.326944, 98, 0, 'N', 'Atlantic/Reykjavik'),
	(7466, 'Saudarkrokur', 'Saudarkrokur', 'Iceland', 'SAK', 'BIKR', 65.731667, -19.572778, 8, 0, 'N', 'Atlantic/Reykjavik'),
	(7467, 'Selfoss Airport', 'Selfoss', 'Iceland', '', 'BISF', 63.929167, -21.037778, 45, 0, 'N', 'Atlantic/Reykjavik'),
	(7468, 'Inishmaan Aerodrome', 'Inishmaan', 'Ireland', 'IIA', 'EIMN', 53.091944, -9.57, 13, 0, 'U', 'Europe/Dublin'),
	(7469, 'Taldykorgan Airport', 'Taldykorgan', 'Kazakhstan', 'TDK', 'UAAT', 45.016667, 78.366667, 1969, 6, 'U', 'Asia/Qyzylorda'),
	(7470, 'Olgii Airport', 'Olgii', 'Mongolia', 'ULG', 'ZMUL', 48.991667, 89.919722, 5610, 7, 'U', 'Asia/Hovd'),
	(7471, 'Lille', 'Lille', 'France', 'XDB', '\\N', 50.563333, 3.08805, 1, 1, 'U', 'Europe/Paris'),
	(7472, 'Qurghonteppa International Airport', 'Kurgan Tyube', 'Tajikistan', '', 'UTDT', 37.862222, 68.862778, 5000, 5, 'U', 'Asia/Dushanbe'),
	(7473, 'Vologda Airport', 'Vologda', 'Russia', 'VGD', 'ULWW', 59.281667, 39.946667, 387, 4, 'N', 'Europe/Moscow'),
	(7474, 'Severo-Evensk Airport', 'Evensk', 'Russia', '', 'UHMW', 61.921667, 159.23, 0, 12, 'N', 'Asia/Magadan'),
	(7475, 'Olenyok Airport', 'Olenyok', 'Russia', '', 'UERO', 68.514722, 112.48, 847, 10, 'N', 'Asia/Yakutsk'),
	(7476, 'Saskylakh Airport', 'Saskylakh', 'Russia', '', 'UERS', 71.927778, 114.08, 500, 10, 'N', 'Asia/Yakutsk'),
	(7477, 'Lensk Airport', 'Lensk', 'Russia', '', '\\N', 60.719444, 114.931944, 700, 10, 'N', 'Asia/Yakutsk'),
	(7478, 'Burevestnik Airport', 'Iturup Island', 'Russia', 'BVV', '\\N', 44.92, 147.621667, 79, 11, 'N', 'Asia/Vladivostok'),
	(7479, 'Okha Airport', 'Okha', 'Russia', 'OHH', '\\N', 53.583333, 142.933333, 100, 11, 'N', 'Asia/Vladivostok'),
	(7480, 'Leshukonskoye Airport', 'Arkhangelsk', 'Russia', 'LDG', 'ULAL', 64.895833, 45.722778, 220, 4, 'N', 'Europe/Moscow'),
	(7481, 'Nizhneangarsk Airport', 'Nizhneangarsk', 'Russia', '', 'UIUN', 55.801667, 109.586667, 1545, 9, 'N', 'Asia/Irkutsk'),
	(7482, 'Taksimo Airport', 'Taksimo', 'Russia', '', '\\N', 56.361667, 114.93, 1500, 9, 'N', 'Asia/Irkutsk'),
	(7483, 'Vanavara Airport', 'Vanavara', 'Russia', '', 'UNIW', 60.355, 102.31, 892, 8, 'N', 'Asia/Krasnoyarsk'),
	(7484, 'Aykhal Airport', 'Aykhal', 'Russia', '', 'UERA', 65.959167, 111.546389, 1499, 10, 'N', 'Asia/Yakutsk'),
	(7485, 'Uktus Airport', 'Yekaterinburg', 'Russia', '', 'USSK', 56.701667, 60.79, 643, 6, 'N', 'Asia/Yekaterinburg'),
	(7486, 'Baykit Airport', 'Baykit', 'Russia', '', 'UNIB', 61.676667, 96.355, 853, 8, 'N', 'Asia/Krasnoyarsk'),
	(7487, 'Biysk Airport', 'Biysk', 'Russia', '', 'UNBI', 52.466667, 85.35, 620, 7, 'N', 'Asia/Omsk'),
	(7488, 'Huesca-Pirineos Airport', 'Huesca', 'Spain', 'HSK', 'LEHC', 42.080833, -0.323333, 1768, 1, 'U', 'Europe/Madrid'),
	(7489, 'Ciudad Real Central Airport', 'Ciudad Real', 'Spain', 'CQM', 'LERL', 38.856389, -3.97, 636, 1, 'U', 'Europe/Madrid'),
	(7490, 'Al Najaf International Airport', 'Najaf', 'Iraq', 'NJF', 'ORNI', 31.991667, 44.404167, 500, 3, 'U', 'Asia/Baghdad'),
	(7491, 'Hilversum Railway Station', 'Hilversum', 'Netherlands', 'QYI', '\\N', 52.226389, 5.181667, 3, 1, 'E', 'Europe/Amsterdam'),
	(7492, 'Colonsay Airport', 'Colonsay', 'United Kingdom', 'CSA', 'EGEY', 56.0575, -6.243056, 44, 0, 'U', 'Europe/London'),
	(7493, 'Coll Airport', 'Coll', 'United Kingdom', 'COL', '\\N', 56.633333, -6.557222, 50, 0, 'U', 'Europe/London'),
	(7494, 'Rock Hill York Co Bryant Airport', 'Rock Hill', 'United States', 'RKH', 'KUZA', 34.9878, -81.0572, 667, -5, 'A', 'America/New_York'),
	(7495, 'Allegheny County Airport', 'Pittsburgh', 'United States', 'AGC', 'KAGC', 40.3544, -79.9302, 1252, -5, 'A', 'America/New_York'),
	(7496, 'Cecil Field', 'Jacksonville', 'United States', 'NZC', 'KVQQ', 30.2187, -81.8767, 81, -5, 'A', 'America/New_York'),
	(7497, 'Fulton County Airport Brown Field', 'Atlanta', 'United States', 'FTY', 'KFTY', 33.7791, -84.5214, 841, -5, 'A', 'America/New_York'),
	(7498, 'Tresco Heliport', 'Tresco', 'United Kingdom', 'TSO', 'EGHT', 49.945556, -6.331389, 20, 0, 'U', 'Europe/London'),
	(7499, 'Tarin Kowt Airport', 'Tarin Kowt', 'Afghanistan', 'TII', 'OATN', 32.605278, 65.864167, 3500, 4.5, 'U', 'Asia/Kabul'),
	(7500, 'Zaranj Airport', 'Zaranj', 'Afghanistan', 'ZAJ', 'OAZJ', 30.969167, 61.866944, 1581, 4.5, 'U', 'Asia/Kabul'),
	(7501, 'Chaghcharan Airport', 'Chaghcharan', 'Afghanistan', 'CCN', 'OACC', 34.526667, 65.271667, 7383, 4.5, 'U', 'Asia/Kabul'),
	(7502, 'Four Corners', 'Four Corners', 'United States', '', '\\N', 36.998976, -109.045172, 1000, -7, 'U', 'America/Denver'),
	(7503, 'Fuyang Airport', 'Fuyang', 'China', 'FUG', 'ZSFY', 32.9, 115.816667, 500, 8, 'U', 'Asia/Chongqing'),
	(7504, 'Longyan Airport', 'Longyan', 'China', 'LCX', '\\N', 25.674167, 116.746389, 300, 8, 'U', 'Asia/Chongqing'),
	(7505, 'Baoshan Airport', 'Baoshan', 'China', 'BSD', 'ZPBS', 25.053333, 99.168333, 500, 8, 'U', 'Asia/Chongqing'),
	(7506, 'Xingyi Airport', 'Xingyi', 'China', 'ACX', '\\N', 25.0882, 104.9587, 500, 8, 'U', 'Asia/Chongqing'),
	(7507, 'Macau Ferry Pier', 'Macau', 'Macau', 'XZM', '\\N', 22.197075, 113.558911, 0, 8, 'U', 'Asia/Macau'),
	(7508, 'Liping Airport', 'Liping', 'China', 'HZH', '\\N', 26.206, 109.039, 500, 8, 'U', 'Asia/Chongqing'),
	(7509, 'Ocean Isle Beach Airport', 'Ocean Isle Beach', 'United States', '60J', '\\N', 33.9085056, -78.4366722, 32, -5, 'U', 'America/New_York'),
	(7510, 'Stepanakert', 'Stepanakert', 'Azerbaijan', '', 'UB13', 39.901439, 46.787031, 2001, 4, 'E', 'Asia/Baku'),
	(7511, 'Ohio State University Airport', 'Columbus', 'United States', 'OSU', 'KOSU', 40.0798, -83.073, 905, -5, 'U', 'America/New_York'),
	(7513, 'Addison', 'Addison', 'United States', 'ADS', 'KADS', 32.9685594, -96.8364478, 644, -6, 'A', 'America/Chicago'),
	(7514, 'Destin', 'Destin', 'United States', 'DTS', 'KDTS', 30.4000611, -86.4714772, 23, -6, 'A', 'America/Chicago'),
	(7515, 'Fort Jefferson', 'Fort Jefferson - Dry Tortugas', 'United States', 'RBN', '\\N', 24.61667, -82.86667, 0, -5, 'A', 'America/New_York'),
	(7516, 'Chernobayevka Airport', 'Kherson', 'Ukraine', 'KHE', 'UKOH', 46.6758, 32.5064, 148, 2, 'E', 'Europe/Kiev'),
	(7517, 'Ryans Creek Aerodrome', 'Stewart Island', 'New Zealand', 'SZS', 'NZRC', -46.899693, 168.101592, 100, 12, 'U', 'Pacific/Auckland'),
	(7518, 'Assumption Island', 'Assumption Island', 'Seychelles', '', 'FSAS', -9.7422, 46.5067, 10, 4, 'U', 'Indian/Mahe'),
	(7519, 'Zhijiang Airport', 'Zhijiang', 'China', 'HJJ', '\\N', 27.441389, 109.699722, 1000, 8, 'U', 'Asia/Chongqing'),
	(7520, 'Aldabra', 'Assumption Island', 'Seychelles', '', '\\N', -9.74, 46.51, 100, 4, 'U', 'Indian/Mahe'),
	(7521, 'Yarmouth Airport', 'Yarmouth', 'Canada', 'YQI', 'CYQI', 43.8269, -66.0881, 141, -4, 'A', 'America/Halifax'),
	(7522, 'Kinston Regional Jetport', 'Kinston', 'United States', 'ISO', 'KISO', 35.331389, -77.608889, 94, -5, 'A', 'America/New_York'),
	(7523, 'First Flight Airport', 'Kill Devil Hills', 'United States', 'FFA', 'KFFA', 36.02, -75.67, 13, -5, 'A', 'America/New_York'),
	(7524, 'Pebble Island Airstrip', 'Pebble Island Settlement', 'Falkland Islands', '', '\\N', -51.31, -59.61, 8, -3, 'S', 'Atlantic/Stanley'),
	(7525, 'Sea Lion Island Landing Strip', 'Sea Lion Island', 'Falkland Islands', '', '\\N', -52.4282, -59.0777, 0, -3, 'S', 'Atlantic/Stanley'),
	(7526, 'Lively Settlement Airstrip', 'Lively Island', 'Falkland Islands', '', '\\N', -52.03, -58.47, 0, -3, 'S', 'Atlantic/Stanley'),
	(7527, 'Lincang Airport', 'Lincang', 'China', 'LNJ', 'ZPLC', 23.738333, 100.025, 1500, 8, 'U', 'Asia/Chongqing'),
	(7528, 'Wenshan Airport', 'Wenshan', 'China', 'WNH', '\\N', 23.375833, 104.243056, 1000, 8, 'U', 'Asia/Chongqing'),
	(7529, 'Ponta Pelada Airport', 'Manaus', 'Brazil', 'PLL', '\\N', -3.14604, -59.9863, 267, -4, 'S', 'America/Boa_Vista'),
	(7530, 'Sao Gabriel da Cachoeira Airport', 'Sao Gabriel da Cachoeira', 'Brazil', 'SJL', '\\N', -0.148056, -66.9858, 251, -4, 'S', 'America/Boa_Vista'),
	(7531, 'Maturaca', 'Maturaca', 'Brazil', '', 'SWMK', 0.628269, -66.115128, 354, -4, 'S', 'America/Boa_Vista'),
	(7532, 'Carajas Airport', 'Parauapebas', 'Brazil', 'CKS', 'SBCJ', -6.11781, -50.0035, 2064, -4, 'S', 'America/Boa_Vista'),
	(7533, 'Centro de Lancamento de Alcantara', 'Alcantara', 'Brazil', '', 'SNCW', -2.373, -44.396389, 148, -3, 'S', 'America/Fortaleza'),
	(7534, 'Cachimbo', 'Itaituba', 'Brazil', 'ITB', '\\N', -4.2446, -56.00384, 0, -4, 'S', 'America/Boa_Vista'),
	(7535, 'Latur Airport', 'Latur', 'India', 'LTU', '\\N', 18.411944, 76.465, 1584, 5.5, 'U', 'Asia/Calcutta'),
	(7536, 'Matak Airport', 'Anambas Islands', 'Indonesia', 'MWK', 'WIOM', 3.348119, 106.25805, 10, 7, 'N', '\\N'),
	(7537, 'Mainz Finthen', 'Mainz', 'Germany', 'QFZ', '\\N', 0, 0, 300, 1, 'E', '\\N'),
	(7538, 'Wuerzburg', 'Wuerzburg', 'Germany', '', 'EDFW', 51.93749, 8.38257, 400, 1, 'E', 'Europe/Berlin'),
	(7539, 'Mainz', 'Mainz', 'Germany', 'QMZ', '\\N', 50.00829, 8.27356, 360, 1, 'E', 'Europe/Berlin'),
	(7540, 'Berlin Gatow', 'Berlin', 'Germany', 'GWW', '\\N', 52.475, 13.139, 160, 1, 'E', 'Europe/Berlin'),
	(7541, 'Rheine Bentlage', 'Rheine', 'Germany', 'ZPQ', '\\N', 52.27656, 7.43843, 120, 1, 'E', 'Europe/Berlin'),
	(7542, 'Sao Jacinto', 'Aveiro', 'Portugal', '', 'LPAV', 40.72222, -8.816667, 26, 0, 'E', 'Europe/Lisbon'),
	(7543, 'Tana Toraja Airport', 'Toraja', 'Indonesia', 'TTR', '\\N', -3.416667, 119.916664, 0, 8, 'N', 'Asia/Makassar'),
	(7544, 'Hopsten Air Base', 'Hopsten', 'Germany', '', 'ETNP', 52.3387, 7.54133, 423, 1, 'E', 'Europe/Berlin'),
	(7545, 'Jose Aponte De La Torre Airport', 'Ceiba', 'Puerto Rico', '', 'TJNR', 18.2453, -65.6434, 38, -4, 'S', 'America/Puerto_Rico'),
	(7546, 'Persian Gulf Airport', 'Khalije Fars', 'Iran', 'PGU', 'OIBP', 27.379444, 52.7375, 27, 3.5, 'U', 'Asia/Tehran'),
	(7547, 'Yasuj Airport', 'Yasuj', 'Iran', 'YES', 'OISY', 30.700556, 51.545, 5939, 3.5, 'U', 'Asia/Tehran'),
	(7548, 'Mosul International Airport', 'Mosul', 'Iraq', 'OSB', 'ORBM', 36.305833, 43.1475, 719, 3, 'U', 'Asia/Baghdad'),
	(7549, 'Tajima Airport', 'Toyooka', 'Japan', 'TJH', 'RJBT', 35.512778, 134.786944, 578, 9, 'U', 'Asia/Tokyo'),
	(7550, 'Amakusa Airfield', 'Amakusa', 'Japan', 'AXJ', 'RJDA', 32.482222, 130.158889, 340, 9, 'U', 'Asia/Tokyo'),
	(7551, 'Kikai Airport', 'Kikai', 'Japan', 'KKX', 'RJKI', 28.321389, 129.928056, 15, 9, 'U', 'Asia/Tokyo'),
	(7552, 'Aguni Airport', 'Aguni', 'Japan', 'AGJ', 'RORA', 26.592778, 127.240278, 38, 9, 'U', 'Asia/Tokyo'),
	(7553, 'Chongjin Airport', 'Chongjin', 'North Korea', '', '\\N', 41.801389, 129.855, 500, 9, 'U', 'Asia/Pyongyang'),
	(7554, 'Haeju Airport', 'Haeju', 'North Korea', 'HAE', '\\N', 38.00543, 125.77863, 131, 9, 'U', 'Asia/Pyongyang'),
	(7555, 'Layang Layang Airport', 'Layang Layang Atoll', 'Malaysia', 'LAC', '\\N', 7.372222, 113.841667, 5, 8, 'N', '\\N'),
	(7556, 'Donoi Airport', 'Uliastai', 'Mongolia', '', 'ZMDN', 47.712778, 96.524167, 5724, 8, 'U', 'Asia/Ulaanbaatar'),
	(7557, 'Bulgan Airport', 'Bulgan', 'Mongolia', 'UGA', 'ZMBN', 48.854167, 103.484167, 3873, 8, 'U', 'Asia/Ulaanbaatar'),
	(7558, 'Ulaangom Airport', 'Ulaangom', 'Mongolia', 'ULO', 'ZMUG', 49.973333, 92.079722, 3500, 7, 'U', 'Asia/Hovd'),
	(7559, 'Borongan Airport', 'Borongan', 'Philippines', 'BPR', 'RPVW', 11.674167, 125.478611, 7, 8, 'N', 'Asia/Manila'),
	(7560, 'Lubang Community Airport', 'Lubang', 'Philippines', 'LBX', 'RPLU', 13.855833, 121.105833, 25, 8, 'N', 'Asia/Manila'),
	(7561, 'Bentota Airport', 'Bentota', 'Sri Lanka', 'BJT', '\\N', 6.416667, 79.983333, 100, 5.5, 'U', 'Asia/Colombo'),
	(7562, 'Dickwella Airport', 'Dickwella', 'Sri Lanka', 'DIW', '\\N', 5.966667, 80.683333, 100, 5.5, 'U', 'Asia/Colombo'),
	(7563, 'Kulob Airport', 'Kulyab', 'Tajikistan', 'TJU', 'UTDK', 37.981667, 69.799444, 2293, 5, 'U', 'Asia/Dushanbe'),
	(7564, 'Cimei Airport', 'Cimei', 'Taiwan', 'CMJ', 'RCCM', 23.266667, 119.666667, 63, 8, 'U', 'Asia/Taipei'),
	(7565, 'Dasoguz Airport', 'Dasoguz', 'Turkmenistan', 'TAZ', 'UTAT', 41.764722, 59.833056, 500, 5, 'U', 'Asia/Ashgabat'),
	(7566, 'Barrow Island Airport', 'Barrow Island', 'Australia', 'BWB', 'YBWX', -20.798, 115.406, 25, 8, 'U', 'Australia/Perth'),
	(7567, 'Morawa Airport', 'Morawa', 'Australia', 'MWB', '\\N', -29.211, 116.009, 899, 8, 'U', 'Australia/Perth'),
	(7568, 'Exmouth Airport', 'Exmouth', 'Australia', 'EXM', '\\N', -21.933, 114.128, 50, 8, 'U', 'Australia/Perth'),
	(7569, 'Derby Airport', 'Derby', 'Australia', 'DRB', 'YDBY', -17.39, 123.68, 26, 8, 'U', 'Australia/Perth'),
	(7570, 'Walgett Airport', 'Walgett', 'Australia', 'WGE', 'YWLG', -30.0318, 148.1222, 439, 10, 'U', 'Australia/Sydney'),
	(7571, 'Bathurst Island Airport', 'Bathurst Island', 'Australia', 'BRT', 'YBTI', -11.769167, 130.619722, 67, 9.5, 'U', 'Australia/Darwin'),
	(7572, 'Dunk Island Airport', 'Dunk Island', 'Australia', 'DKI', 'YDKI', -17.939722, 146.141944, 38, 10, 'U', 'Australia/Brisbane'),
	(7573, 'Lizard Island Airport', 'Lizard Island', 'Australia', 'LZR', 'YLZI', -14.673056, 145.454444, 40, 10, 'O', 'Australia/Brisbane'),
	(7574, 'Hamilton Airport', 'Hamilton', 'Australia', 'HLT', 'YHML', -37.648889, 142.065278, 803, 10, 'O', 'Australia/Hobart'),
	(7575, 'Halls Creek Airport', 'Halls Creek', 'Australia', 'HCQ', 'YHLC', -18.233889, 127.669722, 1346, 8, 'U', 'Australia/Perth'),
	(7576, 'Fitzroy Crossing Airport', 'Fitzroy Crossing', 'Australia', 'FIZ', 'YFTZ', -18.178, 125.591, 374, 8, 'U', 'Australia/Perth'),
	(7577, 'Ravensthorpe Airport', 'Ravensthorpe', 'Australia', 'RVT', 'YNRV', -33.797222, 120.208056, 209, 8, 'U', 'Australia/Perth'),
	(7578, 'Wilkins Runway', 'Budd Coast', 'Antarctica', '', 'YWKS', -66.689444, 111.485833, 2395, 12, 'U', 'Antarctica/South_Pole'),
	(7579, 'Provo Municipal Airport', 'Provo', 'United States', 'PVU', 'KPVU', 40.21805555, -111.72222222, 4497, -7, 'A', 'America/Denver'),
	(7580, 'Steamboat Springs Airport-Bob Adams Field', 'Steamboat Springs', 'United States', 'SBS', 'KSBS', 40.51625, -106.8663056, 6882, -7, 'A', 'America/Denver'),
	(7581, 'Delta Municipal Airport', 'Delta', 'United States', 'DTA', 'KDTA', 39.3806386, -112.5077147, 4759, -7, 'A', 'America/Denver'),
	(7582, 'Richfield Minicipal Airport', 'Richfield', 'United States', 'RIF', 'KRIF', 38.7364361, -112.0989444, 5301, -7, 'A', 'America/Denver'),
	(7583, 'Carbon County Regional-Buck Davis Field', 'Price', 'United States', 'PUC', 'KPUC', 39.609722, -110.75278, 5957, -7, 'A', 'America/Denver'),
	(7584, 'Los Alamos Airport', 'Los Alamos', 'United States', 'LAM', 'KLAM', 35.8798019, -106.2694153, 7171, -7, 'A', 'America/Denver'),
	(7585, 'Borrego Valley Airport', 'Borrego Springs', 'United States', 'BXS', 'KBXS', 33.2590278, -116.3209722, 520, -8, 'A', 'America/Los_Angeles'),
	(7586, 'Lake Havasu City Airport', 'Lake Havasu City', 'United States', 'HII', 'KHII', 34.5711111, -114.3582778, 783, -7, 'N', 'America/Phoenix'),
	(7587, 'Winslow-Lindbergh Regional Airport', 'Winslow', 'United States', 'INW', 'KINW', 35.0219167, -110.7225278, 4941, -7, 'N', 'America/Phoenix'),
	(7588, 'Douglas Municipal Airport', 'Douglas', 'United States', 'DGL', 'KDGL', 31.3426028, -109.5064544, 4173, -7, 'N', 'America/Phoenix'),
	(7589, 'Marakei Airport', 'Marakei', 'Kiribati', 'MZK', 'NGMK', 2.050278, 173.266667, 10, 12, 'U', 'Pacific/Tarawa'),
	(7590, 'Abemama Atoll Airport', 'Abemama', 'Kiribati', 'AEA', 'NGTB', 0.490833, 173.828611, 8, 12, 'U', 'Pacific/Tarawa'),
	(7591, 'Aranuka Airport', 'Buariki', 'Kiribati', 'AAK', 'NGUK', 0.185278, 173.636389, 6, 10, 'U', '\\N'),
	(7592, 'Kuria Airport', 'Kuria', 'Kiribati', 'KUC', 'NGKT', 0.228611, 173.410556, 10, 10, 'U', '\\N'),
	(7593, 'Arorae Island Airport', 'Arorae', 'Kiribati', 'AIS', 'NGTR', -2.633333, 179.816667, 6, 10, 'U', '\\N'),
	(7594, 'Tamana Airport', 'Tamana', 'Kiribati', 'TMN', 'NGTM', -2.5, 175.983333, 10, 12, 'U', 'Pacific/Tarawa'),
	(7595, 'Beru Island Airport', 'Beru Island', 'Kiribati', 'BEZ', 'NGBR', -1.254722, 176.007222, 10, 10, 'U', '\\N'),
	(7596, 'Nikunau Airport', 'Nikunau', 'Kiribati', 'NIG', 'NGNU', -1.35, 176.45, 10, 12, 'U', 'Pacific/Tarawa'),
	(7597, 'Butaritari Atoll Airport', 'Butaritari', 'Kiribati', 'BBG', 'NGTU', 3.086521, 172.811465, 5, 12, 'U', 'Pacific/Tarawa'),
	(7598, 'Makin Airport', 'Makin', 'Kiribati', 'MTK', 'NGMN', 3.383333, 173, 10, 12, 'U', 'Pacific/Tarawa'),
	(7599, 'Maiana Airport', 'Maiana', 'Kiribati', 'MNK', 'NGMA', 0.933333, 173, 10, 10, 'U', '\\N'),
	(7600, 'Nonouti Airport', 'Nonouti', 'Kiribati', 'NON', 'NGTO', -0.616667, 174.366667, 10, 10, 'U', '\\N'),
	(7601, 'Tabiteuea South Airport', 'Tabiteuea', 'Kiribati', 'TSU', 'NGTS', -1.35, 174.8, 10, 10, 'U', '\\N'),
	(7602, 'Bosset Airport', 'Bosset', 'Papua New Guinea', 'BOT', '\\N', -7.240833, 141.092333, 60, 10, 'U', 'Pacific/Port_Moresby'),
	(7603, 'Ine Airport', 'Ine', 'Marshall Islands', 'IMI', '\\N', 7.016667, 171.483333, 4, 12, 'U', 'Pacific/Majuro'),
	(7604, 'Tinak Airport', 'Tinak', 'Marshall Islands', 'TIC', '\\N', 7.133333, 171.916667, 4, 12, 'U', 'Pacific/Majuro'),
	(7605, 'Ebon Airport', 'Ebon', 'Marshall Islands', '', '\\N', 4.598889, 168.753056, 5, 12, 'U', 'Pacific/Majuro'),
	(7606, 'Elenak Airport', 'Elenak', 'Marshall Islands', 'EAL', '\\N', 9.083333, 167.333333, 10, 12, 'U', 'Pacific/Majuro'),
	(7607, 'Lae Airport', 'Lae', 'Marshall Islands', 'LML', '\\N', 8.921667, 166.265556, 10, 12, 'U', 'Pacific/Majuro'),
	(7608, 'Airok Airport', 'Airok', 'Marshall Islands', 'AIC', '\\N', 7.1, 171.233333, 10, 12, 'U', 'Pacific/Majuro'),
	(7609, 'Enejit Airport', 'Enejit', 'Marshall Islands', 'EJT', '\\N', 6.040278, 171.984444, 10, 12, 'U', 'Pacific/Majuro'),
	(7610, 'Whitianga Airport', 'Whitianga', 'New Zealand', 'WTZ', 'NZWT', -36.835833, 175.700278, 500, 12, 'U', 'Pacific/Auckland'),
	(7611, 'Takaka Aerodrome', 'Takaka', 'New Zealand', 'KTF', 'NZTK', -40.85, 172.8, 500, 12, 'U', 'Pacific/Auckland'),
	(7612, 'Peleliu Airfield', 'Peleliu', 'Palau', 'C23', '\\N', 6.998333, 134.232778, 9, 9, 'U', 'Pacific/Palau'),
	(7613, 'Angaur Airstrip', 'Angaur', 'Palau', '', '\\N', 6.906389, 134.145, 20, 9, 'U', 'Pacific/Palau'),
	(7614, 'Asau Airport', 'Savai\\\\\'i', 'Samoa', 'AAU', '\\N', -13.505, -172.627778, 6, 13, 'U', 'Pacific/Apia'),
	(7615, 'Afutara Airport', 'Afutara', 'Solomon Islands', 'AFT', 'AGAF', -9.183056, 160.949722, 5, 11, 'U', 'Pacific/Guadalcanal'),
	(7616, 'Ulawa Airport', 'Ulawa', 'Solomon Islands', 'RNA', 'AGAR', -9.854722, 161.979167, 5, 11, 'U', 'Pacific/Guadalcanal'),
	(7617, 'Choiseul Bay Airport', 'Choiseul Bay', 'Solomon Islands', 'CHY', 'AGGC', -6.711944, 156.396111, 5, 11, 'U', 'Pacific/Guadalcanal'),
	(7618, 'Santa Ana Airport', 'Santa Ana', 'Solomon Islands', 'NNB', 'AGGT', -10.848056, 162.454167, 6, 11, 'U', 'Pacific/Guadalcanal'),
	(7619, 'Yandina Airport', 'Yandina', 'Solomon Islands', 'XYA', 'AGGY', -9.086111, 159.218889, 6, 11, 'U', 'Pacific/Guadalcanal'),
	(7620, 'Batuna Airport', 'Batuna', 'Solomon Islands', 'BPF', 'AGBT', -8.63, 158, 5, 11, 'U', 'Pacific/Guadalcanal'),
	(7621, 'Bartow Municipal Airport', 'Bartow', 'United States', 'BOW', 'KBOW', 27.9434, -81.7834, 125, -5, 'U', 'America/New_York'),
	(7622, 'Sokerkino', 'Kostroma', 'Russia', 'KMW', 'UUBD', 57.7961, 41.0204, 446, 4, 'N', 'Europe/Moscow'),
	(7623, 'Yuryevets', 'Yuryevets', 'Russia', '', '\\N', 57.316667, 43.1, 0, 4, 'N', 'Europe/Moscow'),
	(7624, 'Ozerny', 'Ozerny', 'Russia', '', '\\N', 52.752919, 111.849, 0, 9, 'N', 'Asia/Irkutsk'),
	(7625, 'Enkheluk', 'Enkheluk', 'Russia', '', '\\N', 52.500967, 107.018852, 0, 9, 'N', 'Asia/Irkutsk'),
	(7626, 'Khakusy', 'Khakusy', 'Russia', '', '\\N', 55.365, 109.812, 0, 9, 'N', 'Asia/Irkutsk'),
	(7627, 'Fitiuta Airport', 'Fiti\\\\\'uta', 'American Samoa', 'FTI', 'NSFQ', -14.216111, -169.423611, 110, -11, 'U', 'Pacific/Pago_Pago'),
	(7628, 'Ofu Airport', 'Ofu', 'American Samoa', 'OFU', '\\N', -14.184444, -169.67, 9, -11, 'U', 'Pacific/Pago_Pago'),
	(7629, 'Livermore Municipal', 'Livermore', 'United States', 'LVK', 'KLVK', 37.41362, -121.49133, 400, -8, 'A', 'America/Los_Angeles'),
	(7630, 'MariposaYosemite', 'Mariposa', 'United States', 'MPI', 'KMPI', 37.3039, -120.0222, 2454, -8, 'A', 'America/Los_Angeles'),
	(7633, 'Grootfontein', 'Grootfontein', 'Namibia', 'GFY', 'FYGF', -19.602167, 18.122667, 4636, 1, 'S', 'Africa/Windhoek'),
	(7634, 'Rundu', 'Rundu', 'Namibia', 'NDU', 'FYRU', -17.956461, 19.719439, 3627, 1, 'S', 'Africa/Windhoek'),
	(7635, 'Beppu Airport', 'Beppu', 'Japan', 'BPU', '\\N', 33.3, 131.5333, 197, 9, 'N', 'Asia/Tokyo'),
	(7636, 'Heron Island', 'Heron Island', 'Australia', 'HRN', '\\N', -23.441667, 151.911389, 0, 10, 'O', 'Australia/Brisbane'),
	(7637, 'Lady Elliot Island', 'Lady Elliot Island', 'Australia', 'LYT', '\\N', -24.113333, 152.715278, 0, 10, 'O', 'Australia/Brisbane'),
	(7638, 'Orpheus Island', 'Orpheus Island', 'Australia', 'ORS', '\\N', -18.634, 146.5, 0, 10, 'O', 'Australia/Brisbane'),
	(7639, 'Paddington Station', 'London', 'United Kingdom', 'QQP', '\\N', 51.515833, -0.176111, 0, 0, 'E', 'Europe/London'),
	(7640, 'Liskeard Station', 'Liskeard', 'United States', '', '\\N', 50.44708, -4.46753, 0, 0, 'E', 'Europe/London'),
	(7641, 'Port du Bloscon', 'Roscoff', 'France', '', '\\N', 48.721816, -3.96395, 0, 1, 'E', 'Europe/Paris'),
	(7642, 'Tasiilaq', 'Angmagssalik', 'Greenland', 'AGM', 'BGAM', 65.612222, -37.618333, 24, -3, 'U', 'America/Godthab'),
	(7643, 'Neets Bay', 'Ketchikan', 'United States', '', '\\N', 55.778889, -131.601389, 0, -9, 'U', 'America/Anchorage'),
	(7644, 'Fraser Railroad Station', 'Fraser BC', 'Canada', '', '\\N', 59.715517, -135.046692, 2000, -8, 'U', 'America/Vancouver'),
	(7645, 'Carcross', 'Carcross YT', 'Canada', '', '\\N', 60.17463, -134.698088, 2100, -8, 'U', 'America/Vancouver'),
	(7646, 'Jacqueline Cochran Regional Airport', 'Palm Springs', 'United States', 'TRM', 'KTRM', 33.626666, -116.1596667, 0, -8, 'A', 'America/Los_Angeles'),
	(7647, 'Santa Monica Municipal Airport', 'Santa Monica', 'United States', 'SMO', 'KSMO', 34.0158333, -118.4513056, 177, -8, 'A', 'America/Los_Angeles'),
	(7648, 'Bermuda Dunes Airport', 'Palm Springs', 'United States', 'UDD', 'KUDD', 33.7484375, -116.2748133, 73, -8, 'A', 'America/Los_Angeles'),
	(7649, 'Scottsdale Airport', 'Scottsdale', 'United States', 'ZSY', 'KSDL', 33.6228889, -111.9105278, 1519, -7, 'A', 'America/Phoenix'),
	(7650, 'Olympia Regional Airpor', 'Olympia', 'United States', 'OLM', 'KOLM', 46.9694044, -122.9025447, 209, -8, 'A', 'America/Los_Angeles'),
	(7651, 'Yolo County Airport', 'Davis-Woodland-Winters', 'United States', 'DWA', 'KDWA', 38.5793889, -121.8569444, 100, -8, 'A', 'America/Los_Angeles'),
	(7652, 'Garfield County Regional Airport', 'Rifle', 'United States', 'RIL', 'KRIL', 39.5263056, -107.7269444, 5548, -7, 'A', 'America/Denver'),
	(7653, 'Shively Field Airport', 'SARATOGA', 'United States', 'SAA', 'KSAA', 41.4448594, -106.8235264, 7012, -7, 'A', 'America/Denver'),
	(7654, 'Dekalb-Peachtree Airport', 'Atlanta', 'United States', 'PDK', 'KPDK', 33.8756111, -84.3019722, 1003, -5, 'A', 'America/New_York'),
	(7655, 'Monroe County Airport', 'Bloomington', 'United States', 'BMG', 'KBMG', 39.1460208, -86.6166805, 846, -5, 'A', 'America/New_York'),
	(7656, 'Witham Field Airport', 'Stuart', 'United States', 'SUA', 'KSUA', 27.1816996, -80.221294, 16, -5, 'A', 'America/New_York'),
	(7657, 'Morristown Municipal Airport', 'Morristown', 'United States', 'MMU', 'KMMU', 40.79935, -74.4148747, 187, -5, 'A', 'America/New_York'),
	(7658, 'Napa County Airport', 'Napa', 'United States', 'APC', 'KAPC', 38.2131944, -122.2806944, 35, -8, 'A', 'America/Los_Angeles'),
	(7659, 'Brown Field Municipal Airport', 'San Diego', 'United States', 'SDM', 'KSDM', 32.5722722, -116.9801611, 526, -8, 'A', 'America/Los_Angeles'),
	(7660, 'Wangen-Lachen', 'Wangen-Lachen', 'Switzerland', '', 'LSPV', 47.204805, 8.866834, 1335, 1, 'U', 'Europe/Zurich'),
	(7661, 'Pahokee Airport', 'Pahokee', 'United States', 'PHK', '\\N', 26.789, -80.692, 18, -5, 'A', 'America/New_York'),
	(7662, 'Venice Municipal', 'Venice', 'United States', '', 'KVNC', 27.42439, -82.262364, 18, -5, 'A', 'America/New_York'),
	(7663, 'Pahokee', 'Pahokee', 'United States', '', 'KPHK', 26.471041, -80.413591, 15, -5, 'A', 'America/New_York'),
	(7664, 'Kineshma', 'Kineshma', 'Russia', 'KIE', '\\N', 57.45000001, 42.15000001, 420, 4, 'N', 'Europe/Moscow'),
	(7665, 'Nezhitino', 'Nezhitino', 'Russia', 'NEZ', '\\N', 57.479444454444, 43.29750001, 400, 4, 'N', 'Europe/Moscow'),
	(7666, 'Glasgow Buchanan Bus Station', 'Glasgow', 'United Kingdom', '', '\\N', 55.8652, -4.25033, 0, 0, 'E', 'Europe/London'),
	(7667, 'London Victoria Bus Station', 'London', 'United Kingdom', '', '\\N', 51.494999, -0.144643, 0, 0, 'E', 'Europe/London'),
	(7668, 'Machu Pichu Airport', 'Machu Pichu', 'Peru', 'MFT', '\\N', -13.1167, -72.5667, 9500, -5, 'S', 'America/Lima'),
	(7669, 'Panama City-NW Florida Bea.', 'Panama City', 'United States', 'ECP', 'KECP', 30.3417, -85.7973, 69, -6, 'A', 'America/Chicago'),
	(7670, 'San Bernardino International Airport', 'San Bernardino', 'United States', 'SBD', 'KSBD', 34.0953521, -117.2348722, 1159, -8, 'A', 'America/Los_Angeles'),
	(7671, 'Valenca Airport', 'Valenca', 'Brazil', 'VAL', 'SNVB', -13.2965, -38.9924, 21, -3, 'S', 'America/Fortaleza'),
	(7672, 'Dix Sept Rosado Airport', 'Mossoro', 'Brazil', 'MVF', 'SBMW', -5.20192, -37.3643, 76, -3, 'S', 'America/Fortaleza'),
	(7673, 'Caruaru Airport', 'Caruaru', 'Brazil', 'CAU', 'SNRU', -8.28239, -36.0135, 1891, -3, 'S', 'America/Fortaleza'),
	(7674, 'Wake Island Afld', 'Wake island', 'Wake Island', 'AWK', 'PWAK', 19.282067, 166.636444, 14, 12, 'U', 'Pacific/Wake'),
	(7675, 'Aeroclube de Nova Iguacu', 'Nova Iguacu', 'Brazil', 'QNV', 'SDNY', -22.7453, -43.4603, 164, -3, 'S', 'America/Sao_Paulo'),
	(7676, 'Gare du Nord', 'Paris', 'France', 'XPG', '\\N', 48.880931, 2.355323, 423, 1, 'E', 'Europe/Paris'),
	(7677, 'Gare Montparnasse', 'Paris', 'France', 'XGB', '\\N', 48.84, 2.318611, 423, 1, 'E', 'Europe/Paris'),
	(7678, 'Saint-Pierre-des-Corps', 'Tours', 'France', 'XSH', '\\N', 47.385626, 0.723347, 159, 1, 'E', 'Europe/Paris'),
	(7679, 'Darsena Norte', 'Buenos Aires', 'Argentina', '', '\\N', -34.5978, -58.367841, 46, -3, 'N', 'America/Cordoba'),
	(7680, 'Casa Central', 'Montevideo', 'Uruguay', '', '\\N', -34.90278, -56.213781, 105, -3, 'S', 'America/Montevideo'),
	(7681, 'Puerto Franco', 'Colonia del Sacramento', 'Uruguay', '', '\\N', -34.4741, -57.843427, 89, -3, 'S', 'America/Montevideo'),
	(7682, 'Tres Cruces', 'Montevideo', 'Uruguay', '', '\\N', -34.893891, -56.166589, 141, -3, 'S', 'America/Montevideo'),
	(7683, 'San Carlos Airport', 'San Carlos', 'United States', 'SQL', 'KSQL', 37.511944, -122.249444, 5, -8, 'A', 'America/Los_Angeles'),
	(7684, 'Courtelary ', 'Courtelary ', 'Switzerland', '', 'LSZJ', 47.18611, 7.15833, 2250, 1, 'E', 'Europe/Zurich'),
	(7685, 'Koszalin - Zegrze Pomorskie Airport', 'Koszalin', 'Poland', 'OSZ', 'EPKO', 54.041, 16.266, 111, 1, 'E', 'Europe/Warsaw'),
	(7686, 'Ntswi Island', 'Okavango Delta', 'Botswana', '', 'FBCO', -19.531109, 23.09092, 3000, 2, 'U', 'Africa/Gaborone'),
	(7687, 'Dujiangyan', 'Dujiangyan', 'China', '', '\\N', 30.998584, 103.619673, 2385, 8, 'N', 'Asia/Chongqing'),
	(7688, 'Maiwa', 'Maiwa', 'China', '', '\\N', 33.058044, 102.908775, 11500, 8, 'N', 'Asia/Chongqing'),
	(7689, 'Lelystad Airport', 'Lelystad', 'Netherlands', 'LEY', '\\N', 52.4603, 5.52722, 12, 1, 'E', 'Europe/Amsterdam'),
	(7690, 'Rocky Mount Wilson Regional Airport', 'Rocky Mount', 'United States', 'RWI', 'KRWI', 35.8563, -77.8919, 159, -5, 'A', 'America/New_York'),
	(7691, 'Whittier Airport', 'Whittier', 'United States', '', 'PAWR', 60.7772125, -148.7215775, 30, -9, 'U', 'America/Anchorage'),
	(7692, 'Soldotna Airport', 'Soldotna', 'United States', 'SXQ', '\\N', 60.4749583, -151.0382389, 113, -9, 'U', 'America/Anchorage'),
	(7693, 'Gillespie', 'El Cajon', 'United States', 'SEE', 'KSEE', 32.8262222, -116.9724444, 388, -8, 'A', 'America/Los_Angeles'),
	(7694, 'San Clemente Island Nalf', 'San Clemente Island', 'United States', '', 'KNUC', 33.022744, -118.588489, 184, -8, 'A', 'America/Los_Angeles'),
	(7695, 'Cotopaxi International Airport', 'Latacunga', 'Ecuador', 'LTX', '\\N', -0.5425, -78.3657, 9205, -5, 'S', 'America/Guayaquil'),
	(7696, 'London St Pancras', 'London', 'United Kingdom', 'STP', '\\N', 51.53, -0.125, 0, 0, 'E', 'Europe/London'),
	(7697, 'Amsterdam Centraal', 'Amsterdam', 'Netherlands', 'ZYA', '\\N', 52.378333, 4.9, 0, 1, 'E', 'Europe/Amsterdam'),
	(7698, 'Mammy Yoko Heliport', 'Freetown', 'Sierra Leone', 'JMY', '\\N', 8.490278, -13.289722, 0, 0, 'N', 'Africa/Freetown'),
	(7699, 'Shearwater Heliport', 'Victoria Falls', 'Zimbabwe', '', '\\N', -17.911443, 25.828167, 3937, 2, 'U', 'Africa/Harare'),
	(7700, 'Phan Rang Airport', 'Phan Rang', 'Vietnam', 'PHA', 'VVPR', 11.6335, 108.952, 101, 7, 'N', 'Asia/Saigon'),
	(7701, 'Na-San Airport', 'Son-La', 'Vietnam', 'SQH', 'VVNS', 21.217, 104.033, 2133, 7, 'N', 'Asia/Saigon'),
	(7702, 'Truckee-Tahoe Airport', 'Truckee', 'United States', 'TKF', 'KTRK', 39.3200422, -120.1395628, 5900, -8, 'A', 'America/Los_Angeles'),
	(7703, 'Frejus Saint Raphael', 'Frejus', 'France', 'FRJ', 'LFTU', 43.416667, 6.733333, 7, 1, 'E', 'Europe/Paris'),
	(7704, 'Geelong Airport', 'Geelong', 'Australia', 'GEX', 'YGLG', -38.225, 144.333, 43, 10, 'O', 'Australia/Hobart'),
	(7705, 'Detroit Amtrak Station', 'Detroit', 'United States', '', '\\N', 42.368097, -83.072397, 630, -5, 'A', 'America/New_York'),
	(7706, 'Ventura Amtrak', 'Ventura', 'United States', '', '\\N', 34.27833, -119.29222, 59, -8, 'A', 'America/Los_Angeles'),
	(7707, 'Berlin Hauptbahnhof', 'Berlin', 'Germany', 'QPP', '\\N', 52.52493, 13.36963, 110, 1, 'E', 'Europe/Berlin'),
	(7708, 'Amsterdam Centraal', 'Amsterdam', 'Netherlands', 'ZYA', '\\N', 52.7873, 4.90074, 0, 1, 'E', 'Europe/Amsterdam'),
	(7710, 'Mezen', 'Mezen', 'Russia', '', 'ULAE', 65.878333, 44.215, 46, 4, 'N', 'Europe/Moscow'),
	(7711, 'Vaskovo', 'Arkhangelsk', 'Russia', '', 'ULAH', 64.441667, 40.421667, 8, 4, 'N', 'Europe/Moscow'),
	(7712, 'Cobb County Airport-Mc Collum Field', 'Atlanta', 'United States', 'RYY', 'KRYY', 34.0131569, -84.5970556, 1041, -5, 'A', 'America/New_York'),
	(7713, 'Oneonta Municipal Airport', 'Oneonta', 'United States', 'ONH', '\\N', 42.524722, -75.064444, 1763, -5, 'A', 'America/New_York'),
	(7714, 'Tulln ', 'Tulln', 'Austria', '', 'LOXT', 48.318961, 16.114275, 575, 1, 'U', 'Europe/Vienna'),
	(7715, 'Wideawake Field', 'Georgetown Acension Island Santa Helena', 'United Kingdom', 'ASI', '\\N', -7.969597, -14.393664, 278, 0, 'U', 'Atlantic/St_Helena'),
	(7716, 'Dell Flight Strip', 'Dell', 'United States', '4U9', 'K4U9', 44.7357483, -112.7200133, 6007, -7, 'A', 'America/Denver'),
	(7717, 'Mission Field Airport', 'Livingston-Montana', 'United States', 'LVM', 'KLVM', 45.6993889, -110.4483056, 4660, -7, 'A', 'America/Denver'),
	(7718, 'Kota Kinabalu Airport', 'Kota Kinabalu', 'Malaysia', 'ZWR', '\\N', 11.1111, 11.1111, 1, 1, 'N', 'Africa/Lagos'),
	(7719, 'Valetta Waterfront', 'Valetta', 'Malta', '', '\\N', 35.889867, 14.508584, 0, 1, 'E', 'Europe/Malta'),
	(7720, 'Big Timber Airport', 'Big Timber', 'United States', '6S0', 'K6S0', 45.8063889, -109.9811111, 4492, -7, 'A', 'America/Denver'),
	(7721, 'Tulip City Airport', 'Holland', 'United States', 'BIV', 'KBIV', 42.7427778, -86.1078333, 698, -5, 'A', 'America/New_York'),
	(7722, 'London Heliport', 'London', 'United Kingdom', '', 'EGLW', 51.47, -0.177833, 18, 0, 'E', 'Europe/London'),
	(7723, 'San Nicolo Airport', 'Venice', 'Italy', '', 'LIPV', 45.4283, 12.3881, 13, 1, 'E', 'Europe/Rome'),
	(7724, 'Tallinn Linnahall Heliport', 'Tallinn', 'Estonia', '', 'EECL', 59.4486, 24.7532, 23, 2, 'E', 'Europe/Tallinn'),
	(7725, 'Hernesaari Heliport', 'Helsinki', 'Finland', 'HEN', 'EFHE', 60.1478, 24.9244, 7, 2, 'E', 'Europe/Helsinki'),
	(7726, 'Linkenheim Airport', 'Linkenheim', 'Germany', '', 'EDRI', 49.1417, 8.39472, 325, 1, 'E', 'Europe/Berlin'),
	(7727, 'Monument Valley Airport', 'Monument Valley', 'United States', '', 'UT25', 37.0167, -110.201, 5192, -7, 'U', 'America/Denver'),
	(7728, 'Hilversum Airport', 'Hilversum', 'Netherlands', '', 'EHHV', 52.1919, 5.14694, 3, 1, 'E', 'Europe/Amsterdam'),
	(7729, 'West 30th St. Heliport', 'New York', 'United States', 'JRA', 'KJRA', 40.7545, -74.0071, 7, -5, 'A', 'America/New_York'),
	(7730, 'Texel Airport', 'Texel', 'Netherlands', '', 'EHTX', 53.1153, 4.83361, 2, 1, 'E', 'Europe/Amsterdam'),
	(7731, 'La Cerdanya', 'Das i Fontanals de Cerdanya', 'Spain', '', 'LECD', 42.3864, 1.8667, 3586, 1, 'E', 'Europe/Madrid'),
	(7732, 'Lakeland Linder Regional Airport', 'Lakeland', 'United States', 'LAL', 'KLAL', 27.9889167, -82.0185556, 142, -5, 'A', 'America/New_York'),
	(7733, 'Valetta Grand Harbour', 'Valetta', 'Malta', '', '\\N', 14.507392, 35.888695, 0, 3, 'E', 'Africa/Khartoum'),
	(7734, 'Mgarr Seaplane Base', 'Mgarr', 'Malta', '', '\\N', 36.0245, 14.298359, 0, 1, 'E', 'Europe/Malta'),
	(7735, 'Bangkok', 'Bangkok', 'Thailand', '', '\\N', 13.9126, 100.607, 9, 7, 'U', 'Asia/Bangkok'),
	(7736, 'Soneva Fushi', 'Baa Atoll', 'Maldives', '', '\\N', 5.113033, 73.080288, 0, 5, 'U', 'Indian/Maldives'),
	(7737, 'Jebel Ali Seaplane Base', 'Jebel Ali Golf Resort', 'United Arab Emirates', '', '\\N', 24.988951, 55.023624, 0, 4, 'U', 'Asia/Dubai'),
	(7738, 'Stary Oskol', 'Stary Oskol', 'Russia', '', 'UUOS', 51.33, 37.76833, 791, 4, 'N', 'Europe/Moscow'),
	(7739, 'Savona Cruise Terminal', 'Savona', 'Italy', '', '\\N', 44.309654, 8.486305, 0, 1, 'E', 'Europe/Rome'),
	(7740, 'Barcelona Cruise Terminal', 'Barcelona', 'Spain', '', '\\N', 41.358901, 2.178447, 0, 1, 'E', 'Europe/Madrid'),
	(7741, 'Casablanca Harbor', 'Casablanca', 'Morocco', '', '\\N', 33.604737, -7.611337, 0, 0, 'U', 'Africa/Casablanca'),
	(7742, 'Lanzarote Arrecife Cruise Terminal', 'Arrecife Lanzarote', 'Spain', '', '\\N', 28.967298, -13.527528, 0, 0, 'E', 'Atlantic/Canary'),
	(7743, 'Tenerife Cruise Terminal', 'Santa Cruz de Tenerife', 'Spain', '', '\\N', 28.470068, -16.242471, 0, 0, 'E', 'Atlantic/Canary'),
	(7744, 'Funchal Cruise Terminal', 'Funchal Madeira', 'Portugal', '', '\\N', 32.641868, -16.911478, 0, 0, 'E', 'Europe/Lisbon'),
	(7745, 'Malaga Cruise Terminal', 'Malaga', 'Spain', '', '\\N', 36.702989, -4.41395, 0, 1, 'E', 'Europe/Madrid'),
	(7746, 'Ponta Delgada Cruise Terminal', 'Ponta Delgada Acores', 'Portugal', '', '\\N', 37.738409, -25.662539, 0, -1, 'U', 'Atlantic/Azores'),
	(7747, 'Vigo Cruise Terminal', 'Vigo', 'Spain', '', '\\N', 42.241537, -8.728799, 0, 1, 'E', 'Europe/Madrid'),
	(7748, 'Fort Lauderdale Cruise Terminal', 'Fort Lauderdale', 'United States', '', '\\N', 26.0882, -80.115373, 0, -5, 'A', 'America/New_York'),
	(7749, 'Southampton Cruise Terminal', 'Southampton', 'United Kingdom', '', '\\N', 50.900976, -1.413975, 0, 0, 'E', 'Europe/London'),
	(7750, 'Miami Cruise Terminal', 'Miami', 'United States', '', '\\N', 25.779701, -80.177279, 0, -5, 'A', 'America/New_York'),
	(7751, 'Nassau Cruise Terminal', 'Nassau', 'Bahamas', '', '\\N', 25.081158, -77.341207, 0, -5, 'A', 'America/Nassau'),
	(7752, 'Lisbon Cruise Terminal', 'Lisbon', 'Portugal', '', '\\N', 38.712606, -9.122483, 0, 0, 'E', 'Europe/Lisbon'),
	(7753, 'Cadiz Cruise Terminal', 'Cadiz', 'Spain', '', '\\N', 36.534821, -6.290649, 0, 1, 'E', 'Europe/Madrid'),
	(7754, 'Marseille Cruise Terminal', 'Marseille', 'France', '', '\\N', 43.343969, 5.333025, 0, 1, 'E', 'Europe/Paris'),
	(7755, 'Los Angeles San Pedro Cruise Terminal', 'Los Angeles', 'United States', '', '\\N', 33.747198, -118.276856, 0, -8, 'A', 'America/Los_Angeles'),
	(7756, 'Kailua Kona Harbor', 'Kailua Kona Hawaii', 'United States', '', '\\N', 19.635393, -155.998328, 0, -10, 'A', 'Pacific/Honolulu'),
	(7757, 'Kauai Cruise Terminal Nawiliwili', 'Nawiliwili Kauai Hawaii', 'United States', '', '\\N', 21.954549, -159.355981, 0, -10, 'A', 'Pacific/Honolulu'),
	(7758, 'Hilo Cruise Terminal Hawaii', 'Hilo Hawaii', 'United States', '', '\\N', 19.730967, -155.054094, 0, -10, 'A', 'Pacific/Honolulu'),
	(7759, 'Honolulu Cruise Terminal Oahu', 'Honolulu Oahu', 'United States', '', '\\N', 21.301185, -157.865671, 0, -10, 'A', 'Pacific/Honolulu'),
	(7760, 'Lahaina Harbor Maui Hawaii', 'Lahaina Maui Hawaii', 'United States', '', '\\N', 20.876456, -156.683235, 0, -10, 'A', 'Pacific/Honolulu'),
	(7761, 'Ensenada Cruise Terminal', 'Ensenada', 'Mexico', '', '\\N', 31.855945, -116.624186, 0, -8, 'A', 'America/Tijuana'),
	(7762, 'Nanaimo Train Station', 'Nanaimo Station British Columbia', 'Canada', '', '\\N', 49.163978, -123.942502, 92, -8, 'A', 'America/Vancouver'),
	(7763, 'Victoria Rail Station British Columbia', 'Victoria Station British Columbia', 'Canada', '', '\\N', 48.428339, -123.370618, 75, -8, 'A', 'America/Vancouver'),
	(7764, 'Vancouver Cruise Terminal', 'Vancouver BC', 'Canada', '', '\\N', 49.289012, -123.111463, 0, -8, 'A', 'America/Vancouver'),
	(7765, 'Seattle Cruise Terminal', 'Seattle WA', 'United States', '', '\\N', 47.611241, -122.350026, 0, -8, 'A', 'America/Los_Angeles'),
	(7766, 'Syangboche', 'Syangboche', 'Nepal', 'SYH', 'VNSB', 27.811187, 86.712661, 12309, 5.75, 'N', 'Asia/Katmandu'),
	(7767, 'Idlewild Intl', 'New York', 'United States', 'IDL', 'KIDL', 40.639751, -73.778924, 13, -5, 'A', 'America/New_York'),
	(7768, 'Cheremshanka', 'Krasnoyarsk', 'Russia', '', 'UNKM', 56.179, 92.54265, 1000, 8, 'N', 'Asia/Krasnoyarsk'),
	(7769, 'French Valley Airport', 'Murrieta-Temecula', 'United States', 'RBK', 'KF70', 33.5741791, -117.1284732, 1350, -8, 'A', 'America/Los_Angeles'),
	(7770, 'Anchorage Main Station', 'Anchorage Alaska', 'United States', '', '\\N', 61.221749, -149.890852, 102, -9, 'A', 'America/Anchorage'),
	(7771, 'Seward Train Station', 'Seward Alaska', 'United States', '', '\\N', 60.121586, -149.439983, 22, -9, 'A', 'America/Anchorage'),
	(7772, 'Fenosu', 'Oristano', 'Italy', 'FNU', 'LIER', 39.895, 8.6383, 36, 1, 'E', 'Europe/Rome'),
	(7773, 'White Waltham Airfield', 'Maidenhead', 'United Kingdom', '', 'EGLM', 51.501, -0.774, 133, 0, 'E', 'Europe/London'),
	(7774, 'Mysore Airport', 'Mysore', 'India', 'MYQ', 'VOMY', 12.3072, 76.6497, 2349, 5.5, 'U', 'Asia/Calcutta'),
	(7775, 'Erie-Ottawa Regional Airport', 'Port Clinton', 'United States', 'PCW', 'KPCW', 41.5162703, -82.8694868, 590, -5, 'U', 'America/New_York'),
	(7776, 'Dayton-Wright Brothers Airport', 'Dayton', 'United States', 'MGY', 'KMGY', 39.5889722, -84.2248611, 957, -5, 'U', 'America/New_York'),
	(7777, 'Richmond Municipal Airport', 'Richmond', 'United States', 'RID', 'KRID', 39.7561006, -84.8427175, 1140, -5, 'U', 'America/New_York'),
	(7778, 'Findlay Airport', 'Findley', 'United States', 'FDY', 'KFDY', 41.0120278, -83.6686111, 819, -5, 'U', 'America/New_York'),
	(7779, 'Niagara Falls Station', 'Niagara Falls', 'Canada', '', 'NIAG', 43.108802, -79.06361, 0, -5, 'A', 'America/New_York'),
	(7780, 'Burlington Airpark', 'Burlington', 'Canada', '', 'CZBA', 43.4425, -79.850833, 602, -5, 'A', 'America/Toronto'),
	(7781, 'Baganara Island', 'Baganara', 'Guyana', '', '\\N', 6.343791, -58.591204, 38, -4, 'N', 'America/Guyana'),
	(7782, 'Penneshaw Airport', 'Penneshaw', 'Australia', 'PEA', 'YPSH', -34.75, 137.933, 0, 9.5, 'O', 'Australia/Adelaide'),
	(7783, 'Matamanoa Helipad', 'Matamanoa', 'Fiji', '', '\\N', -17.638056, 177.066944, 10, 12, 'U', 'Pacific/Fiji'),
	(7784, 'Kaufbeuren BF', 'Kaufbeuren', 'Germany', 'KFX', 'KAUF', 47.885, 10.6294, 1200, 1, 'E', 'Europe/Berlin'),
	(7785, 'Munich HBF', 'Munich', 'Germany', 'MUQ', 'MUNI', 48.1408, 11.555, 1200, 1, 'E', 'Europe/Berlin'),
	(7786, 'Nurnberg HBF', 'Nurnberg', 'Germany', 'NUR', 'NURN', 49.446, 11.081944, 1200, 1, 'E', 'Europe/Berlin'),
	(7787, 'Ebenhofen BF', 'Ebenhofen', 'Germany', 'EBE', 'EBEN', 47.824, 10.623, 1200, 1, 'E', 'Europe/Berlin'),
	(7788, 'Augsburg HBF', 'Augsburg', 'Germany', 'AUB', 'AUGS', 48.3655, 10.886, 1200, 1, 'E', 'Europe/Berlin'),
	(7789, 'Biessenhofen BF', 'Biessenhofen', 'Germany', 'BIE', 'BIES', 47.851, 10.634, 1200, 1, 'E', 'Europe/Berlin'),
	(7790, 'Buchloe BF', 'Buchloe', 'Germany', 'BUH', 'BUCH', 48.0411, 10.715, 1200, 1, 'E', 'Europe/Berlin'),
	(7791, 'Fussen BF', 'Fussen', 'Germany', 'FUX', 'FUSN', 47.585, 10.6866, 1200, 1, 'E', 'Europe/Berlin'),
	(7792, 'Kempten HBF', 'Kempten', 'Germany', 'KEX', 'KEMP', 47.724, 10.311, 1200, 1, 'E', 'Europe/Berlin'),
	(7793, 'Aiome', 'Aiome', 'Papua New Guinea', 'AIE', '\\N', -5.8, 144.44, 350, 10, 'U', 'Pacific/Port_Moresby'),
	(7794, 'Simbai', 'Simbai', 'Papua New Guinea', 'SIM', '\\N', -4, 144, 5450, 10, 'U', 'Pacific/Port_Moresby'),
	(7795, 'Ambunti', 'Ambunti', 'Papua New Guinea', 'AUJ', '\\N', -4.15, 142.51, 160, 10, 'U', 'Pacific/Port_Moresby'),
	(7796, 'Gunns Camp', 'Okavango', 'Botswana', '', '\\N', -19.52666, 23.14944, 0, 2, 'U', 'Africa/Gaborone'),
	(7797, 'Sossusvlei', 'Sossusvlei', 'Namibia', '', '\\N', -24.489444, 15.815278, 0, 1, 'S', 'Africa/Windhoek'),
	(7798, 'Marktoberdorf BF', 'Marktoberdorf', 'Germany', 'OAL', 'MARK', 47.78, 10.627, 1200, 1, 'E', 'Europe/Berlin'),
	(7799, 'Marktoberdorf Schule', 'Marktoberdorf', 'Germany', 'MOS', 'MARO', 47.777, 10.623, 1200, 1, 'E', 'Europe/Berlin'),
	(7800, 'Essen HBF', 'Essen', 'Germany', 'ESX', 'ESSE', 51.451389, 7.0138, 1000, 1, 'E', 'Europe/Berlin'),
	(7801, 'Bochum HBF', 'Bochum', 'Germany', 'BOX', 'BOCH', 51.478506, 7.2222, 1000, 1, 'E', 'Europe/Berlin'),
	(7802, 'Koln HBF', 'Koln', 'Germany', 'KOX', 'KOLN', 50.9425, 6.958056, 1000, 1, 'E', 'Europe/Berlin'),
	(7803, 'Mannheim HBF', 'Mannheim', 'Germany', '', '\\N', 49.471, 8.469858, 1000, 1, 'E', 'Europe/Berlin'),
	(7804, 'Booker', 'Wycombe', 'United Kingdom', '', 'EGTB', 51.611667, -0.808056, 520, 0, 'E', 'Europe/London'),
	(7805, 'Bembridge', 'Bembridge', 'United Kingdom', 'BBP', 'EGHJ', 50.677778, -1.109444, 53, 0, 'E', 'Europe/London'),
	(7806, 'Kings County Municipal Airport', 'Waterville', 'Canada', '', 'CCW3', 45.0519, -64.6517, 119, -4, 'A', 'America/Halifax'),
	(7807, 'Chojna Air Base', 'Chojna', 'Poland', '', '\\N', 52.9394, 14.4217, 187, 1, 'E', 'Europe/Warsaw'),
	(7808, 'Leuterschach BF', 'Leuterschach', 'Germany', 'LES', 'LEUT', 47.75, 10.601, 1200, 1, 'E', 'Europe/Berlin'),
	(7809, 'Black Hills Airport-Clyde Ice Field', 'Spearfish-South Dakota', 'United States', 'SPF', 'KSPF', 44.4811407, -103.7860053, 3931, -7, 'A', 'America/Denver'),
	(7810, 'Knokke-Heist Westkapelle Heliport', 'Knokke', 'Belgium', 'KNO', 'EBKW', 51.3222, 3.29306, 0, 1, 'U', 'Europe/Brussels'),
	(7811, 'Redcliffe', 'Rothwell', 'Australia', '', 'YRED', -27.206944, 153.072778, 75, 10, 'U', 'Australia/Brisbane'),
	(7812, 'Gdynia', 'Gdynia', 'Poland', 'QYD', 'EPOK', 54.5797, 18.5172, 144, 1, 'E', 'Europe/Warsaw'),
	(7813, 'Malbork', 'Malbork', 'Poland', '', 'EPMB', 54.026944, 19.134167, 16, 1, 'E', 'Europe/Warsaw'),
	(7814, 'Lask', 'Lask', 'Poland', '', 'EPLK', 51.551667, 19.179058, 633, 1, 'E', 'Europe/Warsaw'),
	(7815, 'Miroslawiec', 'Miroslawiec', 'Poland', '', 'EPMI', 53.395072, 16.082814, 459, 1, 'E', 'Europe/Warsaw'),
	(7816, 'Krzesiny', 'Poznan', 'Poland', '', 'EPKS', 52.331719, 16.966428, 265, 1, 'E', 'Europe/Warsaw'),
	(7817, 'Olive Branch Muni', 'Olive Branch', 'United States', 'OLV', 'KOLV', 34.876944, -89.783333, 350, -6, 'A', 'America/Chicago'),
	(7818, 'Vina Del Mar', 'Vina del Mar', 'Chile', '', 'SCVM', -32.949611, -71.478583, 461, -4, 'S', 'America/Santiago'),
	(7819, 'Bangkok Intl closed', 'Bangkok', 'Thailand', '', 'BKKX', 13.91111, 100.60611, 5, 7, 'U', 'Asia/Bangkok'),
	(7820, 'Brampton Airport', 'Brampton', 'Canada', '', 'CNC3', 43.7603, -79.875, 935, -5, 'A', 'America/Toronto'),
	(7821, 'Zonguldak', 'Zonguldak', 'Turkey', 'ONQ', 'LTAS', 41.506111, 32.088611, 44, 2, 'E', 'Europe/Istanbul'),
	(7822, 'Rocky Mountain Metropolitan Airport', 'Broomfield-CO', 'United States', 'BJC', 'KBJC', 39.90888888, -105.11722222, 5670, -7, 'A', 'America/Denver'),
	(7823, 'Minot Train Station', 'Minot', 'United States', '', '\\N', 48.2361, -101.2987, 0, -6, 'A', 'America/Chicago'),
	(7824, 'Havre Train Station', 'Havre', 'United States', '', '\\N', 48.55457, -109.67836, 0, -7, 'A', 'America/Denver'),
	(7825, 'Wishram Train Station', 'Wishram', 'United States', '', '\\N', 45.6576, -120.9664, 0, -8, 'A', 'America/Los_Angeles'),
	(7826, 'McNary Field', 'Salem', 'United States', 'SLE', 'KSLE', 44.9095, -123.003, 214, -8, 'A', 'America/Los_Angeles'),
	(7827, 'Tunica Municipal Airport', 'Tunica', 'United States', 'UTM', 'KUTA', 34.681, -90.3467, 194, -6, 'A', 'America/Chicago'),
	(7828, 'Batken Airport', 'Batken', 'Kyrgyzstan', '', 'UA30', 40.0427, 70.8381, 3474, 6, 'E', 'Asia/Bishkek'),
	(7829, 'Sun Island', 'Sun Island', 'Maldives', '', '\\N', 4.2868, 73.554894, 1, 5, 'U', 'Indian/Maldives'),
	(7830, 'Kasaba Bay Airport', 'Kasaba Bay', 'Zambia', 'ZKB', 'FLKY', -8.525, 30.663, 2780, 2, 'U', 'Africa/Lusaka'),
	(7831, 'Lindau HBF', 'Lindau', 'Germany', 'LND', 'LIND', 47.5489, 9.688, 1000, 1, 'E', 'Europe/Berlin'),
	(7832, 'Guardiamarina Zanartu Airport', 'Puerto Williams', 'Chile', 'WPU', '\\N', -54.9311, -67.6263, 88, -4, 'U', 'America/Santiago'),
	(7833, 'Volkel AB', 'Volkel', 'Netherlands', 'UDE', '\\N', 51.656389, 5.708611, 72, 1, 'E', 'Europe/Amsterdam'),
	(7834, 'Hoogeveen Airport', 'Hoogeveen', 'Netherlands', '', 'EHHO', 52.7308, 6.51611, 40, 1, 'E', 'Europe/Amsterdam'),
	(7835, 'Teuge Airport', 'Deventer', 'Netherlands', '', 'EHTE', 52.2447, 6.04667, 17, 1, 'E', 'Europe/Amsterdam'),
	(7836, 'Midden-Zeeland Airport', 'Middelburg', 'Netherlands', '', 'EHMZ', 51.5122, 3.73111, 6, 1, 'E', 'Europe/Amsterdam'),
	(7837, 'Ameland Airport', 'Ameland', 'Netherlands', '', 'EHAL', 53.4517, 5.67722, 11, 1, 'E', 'Europe/Amsterdam'),
	(7838, 'Saint-Cyr-l-Ecole Airport', 'Saint-Cyr', 'France', '', 'LFPZ', 48.810278, 2.073332, 373, 1, 'E', 'Europe/Paris'),
	(7839, 'Lawrence J Timmerman Airport', 'Milwaukee', 'United States', 'MWC', 'KMWC', 43.1103889, -88.0344167, 745, -6, 'A', 'America/Chicago'),
	(7840, 'Southern Wisconsin Regional Airport', 'Janesville', 'United States', 'JVL', 'KJVL', 42.62025, -89.0415556, 808, -6, 'A', 'America/Chicago'),
	(7841, 'Mantsonyane Airport', 'Mantsonyane', 'Lesotho', '', 'FXMN', -29.5461, 28.271, 7100, 2, 'U', 'Africa/Maseru'),
	(7842, 'Hatfield', 'Hatfield', 'United Kingdom', 'HTF', '\\N', 51.765, -0.24833, 254, 0, 'U', 'Europe/London'),
	(7843, 'Burswood Park Helipad', 'Perth', 'Australia', '', '\\N', -31.952, 115.859, 25, 8, 'O', 'Australia/Perth'),
	(7844, 'Toronto Coach Terminal', 'Toronto', 'Canada', '', 'TRTO', 43.655996, -79.38416, 0, -5, 'A', 'America/Toronto'),
	(7845, 'Montreal Central Bus Station', 'Montreal', 'Canada', '', 'MTRL', 45.51527887, -73.561427593, 0, -5, 'A', 'America/Toronto'),
	(7846, 'Arlington Municipal', 'Arlington', 'United States', 'GKY', 'KGKY', 32.6638611, -97.0942778, 628, -6, 'A', 'America/Chicago'),
	(7847, 'Gwinnett County Airport-Briscoe Field', 'Lawrenceville', 'United States', 'LZU', 'KLZU', 33.9780761, -83.9623772, 1061, -5, 'A', 'America/New_York'),
	(7848, 'Bowling Green-Warren County Regional Airport', 'Bowling Green', 'United States', 'BWG', 'KBWG', 36.9645278, -86.4196667, 547, -6, 'A', 'America/Chicago'),
	(7849, 'Richard Lloyd Jones Jr Airport', 'Tulsa', 'United States', 'RVS', 'KRVS', 36.0396111, -95.9846389, 638, -6, 'A', 'America/Chicago'),
	(7850, 'Emeryville Amtrak Station', 'Emeryville', 'United States', '', '\\N', 37.8405149, -122.29134, 23, -8, 'A', 'America/Los_Angeles'),
	(7851, 'Bakersfield Amtrak Station', 'Bakersfield', 'United States', '', '\\N', 35.372159, -119.008393, 408, -8, 'A', 'America/Los_Angeles'),
	(7852, 'Krymsk', 'Novorossiysk', 'Russia', 'NOI', '\\N', 44.4016, 37.7779, 50, 4, 'N', '\\N'),
	(7853, 'Minhad HB', 'Minhad AB', 'United Arab Emirates', 'NHD', 'OMDM', 25.02694, 55.36611, 165, 4, 'U', 'Asia/Dubai'),
	(7854, 'Kirovograd', 'Kirovograd', 'Ukraine', 'KGO', 'UKKG', 48.54, 32.29, 510, 2, 'E', 'Europe/Kiev'),
	(7855, 'Roitzschjora Airport', 'Roitzschjora', 'Germany', '', 'EDAW', 51.5778, 12.4944, 289, 1, 'U', 'Europe/Berlin'),
	(7856, 'Alalamain Intl.', 'Dabaa City', 'Egypt', 'DBB', 'HEAL', 30.15, 28.0833, 144, 2, 'N', 'Africa/Cairo'),
	(7857, 'Bryce Canyon', 'Bryce Canyon', 'United States', 'BCE', 'KBCE', 37.706444, -112.145806, 7590, -7, 'A', 'America/Denver'),
	(7858, 'Heidelberg', 'Heidelberg', 'Germany', 'HDB', 'EDIU', 49.393333, 8.6525, 0, 1, 'E', 'Europe/Berlin'),
	(7859, 'Burlington-Alamance Regional Airport', 'Burlington', 'United States', 'BUY', 'KBUY', 36.0485433, -79.4748892, 617, -5, 'A', 'America/New_York'),
	(7860, 'Deputatsky', 'Deputatsky', 'Russia', '', 'UEVD', 69.293, 139.5357, 951, 11, 'N', 'Asia/Vladivostok'),
	(7861, 'Chkalovsky Airport', 'Shchyolkovo', 'Russia', 'CKL', 'UUMU', 55.878333, 38.061667, 152, 4, 'N', 'Europe/Moscow'),
	(7862, 'Tengchong Tuofeng Airport', 'Tengchong', 'China', 'TCZ', 'ZUTC', 24.938651, 98.483591, 5500, 8, 'N', 'Asia/Chongqing'),
	(7863, 'Belbek Sevastopol International Airport', 'Sevastopol', 'Ukraine', 'UKS', 'UKFB', 44.691431, 33.57567, 344, 2, 'U', 'Europe/Kiev'),
	(7865, 'Paradise Island Seaplane Base', 'Nassau', 'Bahamas', 'WZY', '\\N', 25.0872, -77.3239, 0, -5, 'U', 'America/Nassau'),
	(7866, 'Selous Siswandu', 'Selous National Park', 'Tanzania', '', '\\N', -7.70515, 38.158644, 0, 3, 'U', 'Africa/Dar_es_Salaam'),
	(7867, 'De Peel Air Base', 'Deurne', 'Netherlands', '', 'EHDP', 51.5173, 5.85572, 98, 1, 'E', 'Europe/Amsterdam'),
	(7868, 'Camp Bastion ', 'Camp Bastion', 'Afghanistan', '', 'OAZI', 31.865556, 64.195278, 2808, 4.5, 'N', 'Asia/Kabul'),
	(7869, 'New Century AirCenter Airport', 'Olathe', 'United States', 'JCI', 'KIXD', 38.8309167, -94.8903056, 1087, -6, 'A', 'America/Chicago'),
	(7870, 'Easton-Newnam Field Airport', 'Easton', 'United States', 'ESN', 'KESN', 38.8041667, -76.069, 72, -5, 'A', 'America/New_York'),
	(7871, 'Stafsberg Airport', 'Hamar', 'Norway', 'HMR', 'ENHA', 60.8181, 11.068, 713, 1, 'E', 'Europe/Oslo'),
	(7872, 'Ringebu Airport', 'Frya', 'Norway', '', 'ENRI', 61.5472, 10.0611, 571, 1, 'E', 'Europe/Oslo'),
	(7873, 'Starmoen', 'Elverum', 'Norway', '', 'ENSM', 60.88, 11.6731, 659, 1, 'E', 'Europe/Oslo'),
	(7874, 'Ferry County Airport', 'Republic', 'United States', 'R49', '\\N', 48.7182058, -118.6564714, 2522, -8, 'A', 'America/Los_Angeles'),
	(7875, 'Yuba County Airport', 'Yuba City', 'United States', 'MYV', 'KMYV', 39.0553, -121.3411, 62, -8, 'A', 'America/Los_Angeles'),
	(7876, 'Basel SBB', 'Basel', 'Switzerland', '', '\\N', 47.547531, 7.58977, 800, 1, 'E', 'Europe/Zurich'),
	(7877, 'Stockholm Cruise Port', 'Stockholm', 'Sweden', 'STO', '\\N', 59.3233, 18.081, 0, 1, 'E', 'Europe/Stockholm'),
	(7878, 'Helsingborg Cruise Port', 'Helsingborg', 'Sweden', 'JHE', '\\N', 56.0419, 12.6912, 0, 1, 'E', 'Europe/Stockholm'),
	(7879, 'Phillip Island Cruise Port', 'Phillip Island', 'Australia', '', 'YPID', -38.4468, 145.2378, 0, 10, 'O', 'Australia/Hobart'),
	(7880, 'Halliburton Field Airport', 'Duncan', 'United States', 'DUC', 'KDUC', 34.4713056, -97.9598611, 1114, -6, 'A', 'America/Chicago'),
	(7881, 'Port Authority Bus Terminal', 'New York', 'United States', '', 'NYPA', 40.75616, -73.9906, 0, -5, 'A', 'America/New_York'),
	(7882, 'Filitheyo', 'N.Nilandhoo Atoll', 'Maldives', '', '\\N', 3.207801, 73.037308, 0, 5, 'N', 'Indian/Maldives'),
	(7883, 'Helsinki Cruise Port', 'Helsinki', 'Finland', '', 'HELC', 60.163056, 24.969167, 6, 2, 'E', 'Europe/Helsinki'),
	(7884, 'Chinle Municipal Airport', 'Chinle', 'United States', 'E91', '\\N', 36.1108806, -109.5754222, 5547, -7, 'N', 'America/Denver'),
	(7885, 'Garner Field', 'Uvalde', 'United States', 'UVA', 'KUVA', 29.215429, -99.748962, 942, -6, 'A', 'America/Chicago'),
	(7886, 'Lewis University Airport', 'Lockport', 'United States', 'LOT', 'KLOT', 41.606326, -88.083003, 680, -6, 'A', 'America/Chicago'),
	(7887, 'Frasca Field', 'Urbana', 'United States', 'C16', '\\N', 40.144979, -88.200197, 735, -6, 'A', 'America/Chicago'),
	(7888, 'Buchanan Field Airport', 'Concord', 'United States', 'CCR', 'KCCR', 37.9896667, -122.0568889, 26, -8, 'A', 'America/Los_Angeles'),
	(7889, 'Key Largo', 'Ocean Reef Club Airport', 'United States', 'OCA', '07FA', 25.325393, -80.274775, 8, -5, 'A', 'America/New_York'),
	(7890, 'Denver Union Station', 'Denver', 'United States', '', '\\N', 39.753187, -105.000093, 0, -7, 'A', 'America/Denver'),
	(7891, 'DELETE', 'DELETE', 'United States', '', '\\N', -1.1111, -1.1111, 0, 0, 'A', '\\N'),
	(7892, 'Polygone', 'Strasbourg Neudorf', 'France', '', 'LFGC', 48.5548, 7.7778, 130, 1, 'E', 'Europe/Paris'),
	(7893, 'Nannhausen', 'Nannhausen', 'Germany', '', 'EDRN', 50, 7.591667, 1296, 1, 'E', 'Europe/Berlin'),
	(7894, 'Yushu Batang', 'Yushu', 'China', 'YUS', 'ZLYS', 32.825, 97.125, 13000, 8, 'U', 'Asia/Chongqing'),
	(7895, 'Playon Chico', 'Playon Chico', 'Panama', 'PYC', '\\N', 9.303333, -78.236111, 10, -5, 'U', 'America/Panama'),
	(7896, 'Ustupo', 'Ustupo', 'Panama', 'UTU', '\\N', 9.137778, -77.933611, 10, -5, 'U', 'America/Panama'),
	(7897, 'Mamitupo', 'Mamitupo', 'Panama', 'MPU', '\\N', 9.186667, -77.984167, 10, -5, 'U', 'America/Panama'),
	(7898, 'Huai An Lianshui Airport', 'Huai An', 'China', 'HIA', 'ZSSH', 33.7772, 119.1478, 23, 8, 'N', 'Asia/Chongqing'),
	(7899, 'Mureck', 'Mureck', 'Austria', '', '\\N', 46.70778, 15.76941, 764, 1, 'E', 'Europe/Vienna'),
	(7900, 'Guessing', 'Guessing', 'Austria', '', '\\N', 47.05932, 16.32449, 820, 1, 'E', 'Europe/Vienna'),
	(7901, 'El Porvenir', 'El Porvenir', 'Panama', 'PVE', '\\N', 9.559167, -78.971111, 5, -5, 'U', 'America/Panama'),
	(7902, 'Oshawa Airport', 'Oshawa', 'Canada', 'YOO', 'CYOO', 43.9228, -78.895, 459, -5, 'A', 'America/Toronto'),
	(7903, 'Marl-Loemuehle Airport', 'Recklinghausen', 'Germany', '', 'EDLM', 51.6472, 7.16333, 240, 1, 'U', 'Europe/Berlin'),
	(7904, 'Farila Air Base', 'Farila', 'Sweden', '', 'ESNF', 62.03, 15.752, 660, 1, 'E', 'Europe/Stockholm'),
	(7905, 'Lahr Airport', 'Lahr', 'Germany', 'LHA', 'EDTL', 48.3693, 7.82772, 511, 1, 'E', 'Europe/Berlin'),
	(7906, 'Monywa Airport', 'Monywa', 'Burma', '', 'VYMY', 22.233, 95.117, 298, 6.5, 'N', 'Asia/Rangoon'),
	(7907, 'Ohio University Airport', 'Athens', 'United States', '', 'KUNI', 39.2118928, -82.2292554, 766, -5, 'U', 'America/New_York'),
	(7908, 'Springfield-Beckly Municipal Airport', 'Springfield', 'United States', 'SGH', 'KSGH', 39.8402778, -83.8401667, 1051, -5, 'A', 'America/New_York'),
	(7909, 'Sun Island Airport', 'South Aari Atoll', 'Maldives', 'MSI', 'SIAM', 3.295, 72.4814, 2, 5, 'N', 'Indian/Maldives'),
	(7910, 'Fes Sefrou Airport', 'Fes', 'Morocco', '', 'GMFU', 34.0081, -4.96556, 1539, 0, 'U', 'Africa/Casablanca'),
	(7911, 'Herrera International Airport', 'Santo Domingo', 'Dominican Republic', 'HEX', 'MDHE', 18.475, -69.975, 22, -4, 'U', 'America/Santo_Domingo'),
	(7912, 'Cooinda', 'Cooinda', 'Australia', 'CDA', 'YCOO', -12.9033, 132.532, 43, 9.5, 'U', 'Australia/Darwin'),
	(7913, 'Jabiru', 'Jabiru', 'Australia', 'JAB', 'YJAB', -12.6571, 132.893, 52, 9.5, 'U', 'Australia/Darwin'),
	(7914, 'Pitt Island Airport', 'Pitt Island', 'New Zealand', '', 'PITT', -44.300278, -176.220556, 12, 12.75, 'U', 'Pacific/Chatham'),
	(7915, 'Plattling Bahnhof', 'Plattling', 'Germany', '', '\\N', 48.780147, 12.863573, 1050, 1, 'E', 'Europe/Berlin'),
	(7916, 'Osterhofen Bahnhof', 'Osterhofen Niederbayern', 'Germany', '', '\\N', 48.7, 13.016667, 1043, 1, 'E', 'Europe/Berlin'),
	(7917, 'Passau Hbf', 'Passau', 'Germany', '', '\\N', 48.574167, 13.450833, 1000, 1, 'E', 'Europe/Berlin'),
	(7918, 'Regensburg-Oberhub Airport', 'Regensburg', 'Germany', '', 'EDNR', 49.1419, 12.0819, 1299, 1, 'E', 'Europe/Berlin'),
	(7919, 'Regensburg HBF', 'Regensburg', 'Germany', 'RGB', 'REGE', 49.022, 12.1111, 1200, 1, 'E', 'Europe/Berlin'),
	(7920, 'Treuchtlingen BF', 'Treuchtlingen', 'Germany', 'TLG', 'TREU', 49.04, 11.081944, 1200, 1, 'E', 'Europe/Berlin'),
	(7921, 'Rivera Intl.', 'Rivera', 'Uruguay', '', '\\N', -31.1127, 55.4611, 200, -3, 'U', '\\N'),
	(7922, 'Rio Sidra', 'Rio Sidra', 'Panama', 'RSI', '\\N', 8.966667, -80.333336, 10, -5, 'U', 'America/Panama'),
	(7923, 'Miami Seaplane Base', 'Miami', 'United States', 'MPB', '\\N', 25.7783, -80.1703, 0, -5, 'A', 'America/New_York'),
	(7924, 'Hastings Airport', 'Freetown', 'Sierra Leone', 'HGS', 'GFHA', 8.39713, -13.1291, 60, 0, 'N', 'Africa/Freetown'),
	(7925, 'Philip Billard Muni', 'Topeka', 'United States', 'TOP', 'KTOP', 39.068657, -95.622482, 881, -6, 'A', 'America/Chicago'),
	(7926, 'Grumeti Airstrip', 'Serengeti National Park', 'Tanzania', '', '\\N', -2.157488, 34.221232, 5080, 3, 'N', 'Africa/Dar_es_Salaam'),
	(7927, 'Emporia Municipal Airport', 'Emporia', 'United States', 'EMP', '\\N', 38.3321, -96.1912, 1208, -6, 'A', 'America/Chicago'),
	(7928, 'Benson Airstrip', 'Uvalde', 'United States', '', '2XS8', 29.229405, -99.823947, 929, -6, 'A', 'America/Chicago'),
	(7929, 'Rough River State Park', 'Null', 'United States', '', 'K2I3', 37.609778, -86.506925, 577, -6, 'A', 'America/Chicago'),
	(7930, 'Smyrna Airport', 'Smyrna', 'United States', '', 'KMQY', 36.009, -86.5201, 543, -6, 'A', 'America/Chicago'),
	(7931, 'Franklin County Airport', 'Sewanee', 'United States', '', 'KUOS', 35.2051, -85.8981, 1953, -6, 'A', 'America/Chicago'),
	(7932, 'Gunsa', 'Shiquanhe', 'China', 'NGQ', 'ZUAL', 32.10027, 80.052778, 13780, 8, 'N', 'Asia/Chongqing'),
	(7933, 'Magdeburg-Cochstedt', 'Cochstedt', 'Germany', 'CSO', 'EDBC', 51.855833, 11.418333, 596, 1, 'E', 'Europe/Berlin'),
	(7934, 'Wurzburg HBF', 'Wurzburg', 'Germany', 'WZB', 'WURZ', 49.7999, 9.95555, 1000, 1, 'E', 'Europe/Berlin'),
	(7935, 'Collin County Regional Airport at Mc Kinney', 'DALLAS', 'United States', 'TKI', 'KTKI', 33.1779444, -96.5905278, 585, -6, 'A', 'America/Chicago'),
	(7936, 'Chicago Executive', 'Chicago-Wheeling', 'United States', 'PWK', 'KPWK', 42.1142897, -87.9015376, 647, -6, 'A', 'America/Chicago'),
	(7937, 'Ol Kiombo Airstrip', 'Masai Mara National Park', 'Kenya', '', '\\N', -1.409595, 35.110803, 0, 3, 'U', 'Africa/Nairobi'),
	(7938, 'Kelso Longview', 'Kelso', 'United States', 'KLS', 'KKLS', 46.118, -122.898389, 20, -8, 'A', 'America/Los_Angeles'),
	(7939, 'Letiste Benesov', 'Benesov', 'Czech Republic', '', 'LKBE', 49.4427, 14.3841, 1322, 1, 'U', 'Europe/Prague'),
	(7940, 'Put-in-Bay Airport', 'Put-in-Bay', 'United States', '3W2', '\\N', 41.3521, -82.497, 595, -5, 'A', 'America/New_York'),
	(7941, 'Bougouni', 'Bougouni', 'Mali', '', 'GABG', 11.45, -7.517, 300, 0, 'N', 'Africa/Bamako'),
	(7942, 'Glenwood Springs Train Station', 'Glenwood Springs', 'United States', '', '\\N', 39.548, -107.3233, 0, -7, 'A', 'America/Denver'),
	(7943, 'Grand Junction Train Station', 'Grand Junction', 'United States', '', '\\N', 39.0646, -108.5705, 0, -7, 'A', 'America/Denver'),
	(7944, 'Reno Amtrak Station', 'Reno', 'United States', '', '\\N', 39.5287, -119.8116, 0, -8, 'A', 'America/Los_Angeles'),
	(7945, 'Sacramento Amtrak Station', 'Sacramento', 'United States', '', '\\N', 38.584791, -121.500517, 0, -8, 'A', 'America/Los_Angeles'),
	(7946, 'Tureia Airport', 'Tureia', 'French Polynesia', 'ZTA', 'NTGY', -20.7897, -138.57, 12, -10, 'N', '\\N'),
	(7947, 'Ice Runway-McMurdo Sstation', 'Ross Island', 'Antarctica', '', 'NZIR', -77.8477778, 166.6683333, 1, 12, 'N', 'Antarctica/South_Pole'),
	(7948, 'Keekorok', 'Keekorok', 'Kenya', '', 'HKKE', -1.586418, 35.259036, 5536, 3, 'N', 'Africa/Nairobi'),
	(7949, 'Ol Kiombo', 'Mara Intrepids', 'Kenya', '', '\\N', -1.409569, 35.110788, 5006, 3, 'N', 'Africa/Nairobi'),
	(7950, 'Ol Kiombo', 'Mara Intrepids', 'Kenya', '', '\\N', -1.409569, 35.110788, 5006, 3, 'N', 'Africa/Nairobi'),
	(7951, 'Kichwa Tembo', 'Kichwa Tembo', 'Kenya', '', '\\N', -1.264132, 35.022719, 5174, 3, 'N', 'Africa/Nairobi'),
	(7952, 'Busan', 'Busan', 'South Korea', '', '\\N', 35.179444, 129.075556, 0, 9, 'U', 'Asia/Seoul'),
	(7953, 'Busan', 'Busan', 'South Korea', '', '\\N', 35.179444, 129.075556, 0, 9, 'U', 'Asia/Seoul'),
	(7954, 'Gare de Marne-la-Vallee', 'Chessy', 'France', '', '\\N', 48.869722, 2.782778, 250, 1, 'E', 'Europe/Paris'),
	(7955, 'Jefferson County Intl', 'Port Townsend', 'United States', 'TWD', '\\N', 48.0314, -122.4838, 108, -8, 'A', 'America/Los_Angeles'),
	(7956, 'Lynden Airport', 'Lynden', 'United States', '38W', '\\N', 48.9558961, -122.4581183, 106, -8, 'A', 'America/Los_Angeles'),
	(7957, 'Jefferson County Intl', 'Port Townsend', 'United States', '0S9', '\\N', 48.0538086, -122.8106436, 108, -8, 'A', 'America/Los_Angeles'),
	(7958, 'Savut', 'Savut', 'Botswana', '', '\\N', 1, 1, 1, 1, 'U', '\\N'),
	(7959, 'Xakan', 'Xakan', 'Botswana', '', '\\N', 1, 1, 1, 1, 'N', '\\N'),
	(7960, 'Xakan', 'Xakan', 'Botswana', '', '\\N', 1, 1, 1, 1, 'N', '\\N'),
	(7961, 'Xugan', 'Xugan', 'Botswana', '', '\\N', 1, 1, 1, 0, 'N', '\\N'),
	(7962, 'Puerto Obaldia', 'Puerto Obaldia', 'Panama', 'PUE', 'MPOA', 8.68333, -77.5333, 223, -5, 'U', 'America/Panama'),
	(7963, 'Kerch Intl', 'Kerch', 'Ukraine', 'KHC', 'UKFK', 45.372869, 36.402761, 152, 2, 'E', 'Europe/Kiev'),
	(7964, 'Khao Sok National Park', 'Surat Thani', 'Thailand', '', '\\N', 8.936667, 98.530278, 1200, 7, 'U', 'Asia/Bangkok'),
	(7965, 'Khao Sok National Park', 'Surat Thani', 'Thailand', '', '\\N', 8.936667, 98.530278, 1200, 7, 'U', 'Asia/Bangkok'),
	(7966, 'Boston South Station', 'Boston', 'United States', '', 'BOST', 42.35, -71.0558, 0, -5, 'A', 'America/New_York'),
	(7967, 'Tarifa', 'Tarifa', 'Spain', '', '\\N', 36.070781, -5.602764, 20, 1, 'E', 'Europe/Madrid'),
	(7968, 'Train Station', 'Ottawa', 'Canada', 'XDS', '\\N', 45.4164, -75.6517, 374, -5, 'A', 'America/Toronto'),
	(7969, 'Train Station', 'Belleville', 'Canada', 'XVV', '\\N', 44.1793, -77.3747, 315, -5, 'A', 'America/Toronto'),
	(7970, 'Train Station', 'Edmonton', 'Canada', 'XZL', '\\N', 53.5789, -113.5307, 2208, -7, 'A', 'America/Edmonton'),
	(7971, 'Train Station', 'Richmond', 'United States', 'ZRD', '\\N', 37.5343, -77.42945, 26, -5, 'A', 'America/New_York'),
	(7972, 'Sentral', 'Kuala Lumpur', 'Malaysia', 'XKL', '\\N', 3.134, 101.686, 126, 8, 'N', 'Asia/Kuala_Lumpur'),
	(7973, 'Train Station', 'Churchill', 'Canada', 'XAD', '\\N', 58.76775, -94.17425, 10, -6, 'A', 'America/Winnipeg'),
	(7974, 'Train Station', 'Winnipeg', 'Canada', 'XEF', '\\N', 49.8889, -97.1342, 751, -6, 'A', 'America/Winnipeg'),
	(7975, 'Kingston VIA Station', 'Kingston', 'Canada', '', '\\N', 44.2572, -76.53715, 282, -5, 'A', 'America/Toronto'),
	(7976, 'Ukunda Airport', 'Ukunda', 'Kenya', 'UKA', 'HKUK', -4.29694, 39.5714, 0, 3, 'U', 'Africa/Nairobi'),
	(7977, 'Whitehaven Beach', 'Whitsunday Island', 'Australia', '', '\\N', -20.28866, 149.044966, 0, 10, 'U', 'Australia/Brisbane'),
	(7978, 'Wilmington Airborne Airpark', 'Wilmington', 'United States', 'ILN', 'KILN', 39.42792, -83.792118, 1077, -5, 'U', 'America/New_York'),
	(7979, 'Marana Regional', 'Tucson', 'United States', 'AVW', 'KAVQ', 32.409556, -111.218388, 2031, -7, 'U', 'America/Phoenix'),
	(7980, 'Casa Grande Municipal Airport', 'Casa Grande', 'United States', 'CGZ', 'KCGZ', 32.954889, -111.766832, 1464, -7, 'U', 'America/Phoenix'),
	(7981, 'Mobile', 'Mobile', 'United States', '', '1AZ0', 33.111944, -112.269166, 1261, -7, 'U', 'America/Phoenix'),
	(7982, 'Buckeye Municipal Airport', 'Buckeye', 'United States', 'BXK', 'KBXK', 33.420417, -112.68618, 1033, -7, 'U', 'America/Phoenix'),
	(7983, 'Gila Bend Municipal Airport', 'Gila Bend', 'United States', 'E63', 'KE63', 32.960169, -112.673636, 789, -7, 'U', 'America/Phoenix'),
	(7984, 'McMinn Co', 'Athens', 'United States', 'MMI', 'KMMI', 35.39919, -84.56177, 874, -5, 'N', 'America/New_York'),
	(7985, 'Sterling Municipal Airport', 'Sterling', 'United States', 'STK', 'KSTK', 40.6153136, -103.2648454, 4040, -7, 'A', 'America/Denver'),
	(7986, 'Rawlins Municipal Airport-Harvey Field', 'Rawlins', 'United States', 'RWL', 'KFWL', 41.8055975, -107.19994, 6813, -7, 'A', 'America/Denver'),
	(7987, 'Mackenzie Airport', 'Mackenzie British Columbia', 'Canada', 'YZY', 'CYZY', 55.29944, -123.08333, 2264, -8, 'A', 'America/Vancouver'),
	(7988, 'JALOU', 'Jalu', 'Libya', '', '\\N', 29.142222, 21.380556, 0, 2, 'U', 'Africa/Tripoli'),
	(7989, 'JALOU', 'Jalu', 'Libya', '', '\\N', 29.142222, 21.380556, 0, 2, 'U', 'Africa/Tripoli'),
	(7990, 'Caldwell Essex County Airport', 'Caldwell', 'United States', 'CDW', 'KCDW', 40.8752222, -74.2813611, 172, -5, 'A', 'America/New_York'),
	(7991, 'Lee C Fine Memorial Airport', 'Kaiser Lake Ozark', 'United States', 'AIZ', 'KAIZ', 38.096035, -92.5494875, 869, -6, 'A', 'America/Chicago'),
	(7992, 'Yuryevets', 'Yuryevets', 'Russia', '', '\\N', 57.3106, 43.1003, 269, 4, 'N', 'Europe/Moscow'),
	(7993, 'Big Bear City', 'Big Bear', 'United States', 'L35', '\\N', 34.2637778, -116.8560278, 6725, -8, 'A', 'America/Los_Angeles'),
	(7994, 'KIEV  INTERNATIONAL AIRPORT', 'KIEV', 'Ukraine', 'KIP', 'KIEV', 50.1403, 30.1808, 250, 2, 'E', 'Europe/Kiev'),
	(7995, 'Los Angeles Union Station', 'Los Angeles', 'United States', '', '\\N', 34.056111, -118.234167, 300, -8, 'A', 'America/Los_Angeles'),
	(7996, 'Bamberg BF', 'Bamberg', 'Germany', 'BAM', 'BAMB', 49.911, 10.9, 800, 1, 'E', 'Europe/Berlin'),
	(7997, 'Ingolstadt BF', 'Ingolstadt', 'Germany', 'IGS', 'INGS', 48.7777, 11.422, 888, 1, 'E', 'Europe/Berlin'),
	(7998, 'Thomasville Regional Airport', 'Thomasville', 'United States', 'TVI', 'KTVI', 30.9017921, -83.8811285, 264, -5, 'A', 'America/New_York'),
	(7999, 'Henderson Executive Airport', 'Henderson', 'United States', 'HSH', 'KHND', 35.972778, -115.134444, 1881, -8, 'A', 'America/Los_Angeles'),
	(8000, 'Gostomel Antonov', 'Kiev', 'Ukraine', 'GML', 'UKKM', 50.603611, 30.191944, 517, 2, 'E', 'Europe/Kiev'),
	(8001, 'Zuoying Station', 'Kaohsiung', 'Taiwan', '', '\\N', 22.687389, 120.307481, 31, 8, 'N', 'Asia/Taipei'),
	(8002, 'Taipei Station', 'Taipei', 'Taiwan', '', '\\N', 25.047778, 121.517222, 30, 8, 'N', 'Asia/Taipei'),
	(8003, 'Donghae', 'Donghae', 'South Korea', '', '\\N', 37.489, 129.124, 0, 9, 'N', 'Asia/Seoul'),
	(8004, 'Sakaiminato Port', 'Sakaiminato', 'Japan', '', '\\N', 35.539, 133.264, 0, 9, 'N', 'Asia/Tokyo'),
	(8005, 'Henry Tift Myers Airport', 'Tifton', 'United States', 'TMA', 'KTMA', 31.4289814, -83.488545, 355, -5, 'A', 'America/New_York'),
	(8006, 'Landshut Ellermuehle', 'Landshut', 'Germany', '', 'EDML', 48.5133333333333, 12.035, 1200, 1, 'E', 'Europe/Berlin'),
	(8007, 'Itzehoe-Hungriger Wolf Airport', 'Itzehoe', 'Germany', '', 'EDHF', 53.9944, 9.57861, 89, 1, 'E', 'Europe/Berlin'),
	(8008, 'Savannah Cruise Terminal', 'Savannah', 'United States', '', '\\N', 32.08558, -81.097559, 0, -5, 'U', 'America/New_York'),
	(8009, 'CHARLESTON CRUISE TERMINAL', 'CHARLESTON', 'United States', '', '\\N', 32.781081, -79.92364, 0, -5, 'U', 'America/New_York'),
	(8010, 'NEW YORK CRUISE TERMINAL PIER 92', 'NEW YORK', 'United States', '', '\\N', 40.767681, -73.999107, 0, -5, 'U', 'America/New_York'),
	(8011, 'Navy Dockyard Hamilton Bermuda', 'HAMILTON', 'Bermuda', '', '\\N', 32.327037, -64.830626, 0, -4, 'U', 'Atlantic/Bermuda'),
	(8012, 'Tokyo Station', 'Tokyo', 'Japan', '', '\\N', 35.672498, 139.753218, 16, 9, 'N', 'Asia/Tokyo'),
	(8013, 'Shin-Osaka Station', 'Osaka', 'Japan', '', '\\N', 34.738932, 135.500093, 61, 9, 'N', 'Asia/Tokyo'),
	(8014, 'Hiroshima Station', 'Hiroshima', 'Japan', '', '\\N', 34.3973853173792, 132.475978195923, 28, 9, 'N', 'Asia/Tokyo'),
	(8015, 'Frankfurt-Main Hauptbahnhof', 'Frankfurt', 'Germany', 'ZRB', '\\N', 50.1070257990375, 8.66276050515751, 372, 1, 'E', 'Europe/Berlin'),
	(8016, 'Amsterdam Amstel Station', 'Amsterdam', 'Netherlands', '', '\\N', 52.3466365904832, 4.91781401731873, 21, 1, 'E', 'Europe/Amsterdam'),
	(8017, 'Florenc Central Bus Station', 'Prague', 'Czech Republic', '', '\\N', 50.0909636578274, 14.4394929551697, 617, 1, 'E', 'Europe/Prague'),
	(8018, 'Wien Sudbahnhof', 'Vienna', 'Austria', '', '\\N', 48.1866480486625, 16.3815008466187, 651, 1, 'E', 'Europe/Vienna'),
	(8019, 'Praha hlavni nadrazi', 'Prague', 'Czech Republic', 'XYG', '\\N', 50.0826892098189, 14.4350297593689, 691, 1, 'E', 'Europe/Prague'),
	(8020, 'Wien Westbahnhof', 'Vienna', 'Austria', '', '\\N', 48.1965754250116, 16.3374911611023, 675, 1, 'E', 'Europe/Vienna'),
	(8021, 'Venezia Santa Lucia', 'Venice', 'Italy', '', '\\N', 45.4417738709625, 12.3199978080597, 8, 1, 'E', 'Europe/Rome'),
	(8022, 'Firenze Santa Maria Novella', 'Florence', 'Italy', '', '\\N', 43.7766651171349, 11.2480175237426, 159, 1, 'E', 'Europe/Rome'),
	(8023, 'Roma Termini', 'Rome', 'Italy', '', '\\N', 41.9004811137748, 12.5020006853333, 189, 1, 'E', 'Europe/Rome'),
	(8024, 'St Pancras Railway Station', 'London', 'United Kingdom', 'QQS', '\\N', 51.532519492138, -0.12630037301642, 80, 0, 'E', 'Europe/London'),
	(8025, 'Chitabe Airstrip', 'Chitabe', 'Botswana', '', '\\N', -19.4687, 23.38271, 3000, 2, 'U', 'Africa/Gaborone'),
	(8026, 'Fish River Canyon Lodge Airstrip', 'Fish River Canyon', 'Namibia', '', '\\N', -27.659288, 17.837624, 3077, 1, 'S', 'Africa/Windhoek'),
	(8027, 'Sossusvlei Desert Lodge Airstrip', 'Sossusvlei', 'Namibia', '', '\\N', -24.802812, 15.891713, 2950, 1, 'S', 'Africa/Windhoek'),
	(8028, 'Ulusaba Airstrip', 'Ulusaba', 'Namibia', 'ULX', '\\N', -24.782766, 31.353929, 1470, 2, 'S', 'Africa/Johannesburg'),
	(8029, 'RADOM', 'RADOM', 'Poland', 'QXR', 'EPRA', 51.231978, 21.124183, 479, 1, 'E', 'Europe/Warsaw'),
	(8030, 'Deer Valley Municipal Airport', 'Phoenix ', 'United States', 'DVT', 'KDVT', 33.4117, 112.457, 1478, 8, 'A', 'Asia/Chongqing'),
	(8031, 'Calgary Springbank Airport', 'Calgary', 'Canada', 'YBW', 'CYBW', 51.1031, -114.374, 3939, -7, 'A', 'America/Edmonton'),
	(8032, 'Golden Airport', 'Golden', 'Canada', 'YGE', 'CYGE', 51.2992, -116.982, 2575, -7, 'A', 'America/Edmonton'),
	(8033, 'Revelstoke Airport', 'Revelstoke', 'Canada', 'YRV', 'CYRV', 50.9667, -118.183, 1459, -8, 'A', 'America/Vancouver'),
	(8034, 'Republic Airport', 'Farmingdale', 'United States', '', 'KFRG', 40.7288, -73.4134, 82, -5, 'A', 'America/New_York'),
	(8035, 'Allstedt', 'Allstedt', 'Germany', '', 'EDBT', 51.3806, 11.4467, 932, 1, 'E', 'Europe/Berlin'),
	(8036, 'BWKAM', 'Amberg', 'Germany', '', '\\N', 49.43, 11.8, 500, 1, 'E', 'Europe/Berlin'),
	(8037, 'Glindbruchkippe', 'Peine', 'Germany', '', 'KIPP', 52.3237, 10.182, 230, 1, 'E', 'Europe/Berlin'),
	(8038, 'General Freire', 'Curico', 'Chile', '', 'SCIC', -34.9667, -71.2164, 722, -4, 'S', 'America/Santiago'),
	(8039, 'Peine-Eddesse Airport', 'Peine', 'Germany', '', 'EDVP', 52.4025, 10.2289, 249, 1, 'E', 'Europe/Berlin'),
	(8040, 'Seattle King Street Station', 'Seattle', 'United States', '', '\\N', 47.5985, -122.3299, 7, -8, 'A', 'America/Los_Angeles'),
	(8041, 'Tula', 'Tula', 'Russia', 'TYA', '\\N', 54.142208, 37.355619, 590, 4, 'N', 'Europe/Moscow'),
	(8042, 'Hondo Municipal Airport', 'Hondo', 'United States', 'HDO', 'KHDO', 29.3591, -99.1775, 930, -6, 'A', 'America/Chicago'),
	(8043, 'Zhongwei Xiangshan Airport', 'Zhongwei', 'China', 'ZHY', 'ZLZW', 37.5728, 105.1544, 4305, 8, 'N', 'Asia/Chongqing'),
	(8044, 'Milwaukee Airport Station', 'Milwaukee', 'United States', '', '\\N', 42.940556, -87.924722, 730, -6, 'A', 'America/Chicago'),
	(8045, 'Springfield IL Amtrak', 'Springfield', 'United States', '', '\\N', 39.8023, -89.6515, 593, -6, 'A', 'America/Chicago'),
	(8046, 'St. Louis Amtrak - old', 'St. Louis', 'United States', '', '\\N', 38.6241, -90.2056, 450, -6, 'A', 'America/Chicago'),
	(8047, 'Camarillo Amtrak', 'Camarillo', 'United States', '', '\\N', 34.2164, -119.0335, 140, -8, 'A', 'America/Los_Angeles'),
	(8048, 'Seattle Pier 52', 'Seattle', 'United States', '', '\\N', 47.6005, -122.3388, 7, -8, 'A', 'America/Los_Angeles'),
	(8049, 'Bremerton Terminal', 'Bremerton', 'United States', '', '\\N', 47.5619, -122.625, 7, -8, 'A', 'America/Los_Angeles'),
	(8050, 'McKinley National Park Airport', 'McKinley Park', 'United States', 'MCL', 'PAIN', 63.732757, -148.91129, 1720, -9, 'A', 'America/Anchorage'),
	(8051, 'Lake Hood Seaplane Base', 'Anchorage', 'United States', 'LHD', 'PALH', 61.1866382, -149.9653918, 71, -9, 'A', 'America/Anchorage'),
	(8052, 'Prospect Creek Airport', 'Prospect Creek', 'United States', 'PPC', 'PAPR', 66.814167, -150.643611, 1095, -9, 'A', 'America/Anchorage'),
	(8053, 'Khwai River Lodge', 'Khwai River', 'Botswana', 'KHW', 'FBKR', -19.149166, 23.7875, 3000, 2, 'N', 'Africa/Gaborone'),
	(8054, 'Spremberg-Welzow Airport', 'Welzow', 'Germany', '', 'EDCY', 51.5756, 14.1369, 374, 1, 'E', 'Europe/Berlin'),
	(8055, 'Taichung Airport', 'Taichung', 'Taiwan', 'TXG', 'RCLG', 24.1863, 120.654, 369, 8, 'N', 'Asia/Taipei'),
	(8056, 'Columbia County', 'Hudson NY', 'United States', 'HCC', '\\N', 42.2913, -73.7103, 198, -5, 'A', 'America/New_York'),
	(8057, 'Sasovo', 'Sasovo', 'Russia', '', '\\N', 54.3539, 41.9739, 365, 4, 'N', 'Europe/Moscow'),
	(8058, 'Hong Kong Macau Ferry Terminal', 'Hong Kong', 'Hong Kong', '', '\\N', 22.289372, 114.152153, 0, 8, 'N', 'Asia/Hong_Kong'),
	(8059, 'Hong Kong Macau Ferry Terminal', 'Hong Kong', 'Hong Kong', '', '\\N', 22.289372, 114.152153, 0, 8, 'N', 'Asia/Hong_Kong'),
	(8060, 'Macau Taipa Ferry Terminal', 'Macau', 'Macau', '', '\\N', 22.1633, 113.57404, 0, 8, 'N', 'Asia/Macau'),
	(8061, 'Macau Taipa Ferry Terminal', 'Macau', 'Macau', '', '\\N', 22.1633, 113.57404, 0, 8, 'N', 'Asia/Macau'),
	(8062, 'Wheeling Ohio County Airport', 'Wheeling', 'United States', 'HLG', '\\N', 40.175, -80.6463, 1195, -5, 'A', 'America/New_York'),
	(8063, 'Fitzgerald Municipal Airport', 'Fitzgerald', 'United States', 'FZG', 'KFZG', 31.6839046, -83.2709036, 365, -5, 'A', 'America/New_York'),
	(8064, 'Perry-Foley Airport', 'Perry', 'United States', '40J', '\\N', 30.0692778, -83.5805833, 44, -5, 'A', 'America/New_York'),
	(8065, 'Cairo-Grady County Airport', 'Cairo', 'United States', '70J', '\\N', 30.8879767, -84.1547353, 265, -5, 'A', 'America/New_York'),
	(8066, 'Pacific Station', 'Vancouver', 'Canada', '', '\\N', 49.2739, -123.0986, 0, -8, 'A', 'America/Vancouver'),
	(8067, 'Tamar Mepe Airport', 'Mestia', 'Georgia', '', '\\N', 43.06848, 42.75424, 100, 4, 'N', 'Asia/Tbilisi'),
	(8068, 'Samsun ', 'Samsun', 'Turkey', 'SSX', '\\N', 41.1641, 36.1814, 521, 2, 'U', 'Europe/Istanbul'),
	(8069, 'Ye', 'Ye', 'Burma', 'XYE', 'VYYE', 15.25, 97.85, 25, 6.5, 'U', 'Asia/Rangoon'),
	(8070, 'Isla San Felix', 'Isla San Felix', 'Chile', '', 'SCFX', -26.293864, -80.096214, 165, -4, 'U', 'America/Santiago'),
	(8071, 'Kingston Train Station', 'Kingston', 'Canada', 'XEG', 'KGST', 44.256944, -76.536943, 282, -5, 'A', 'America/Toronto'),
	(8072, 'Dorval Railway Station', 'Dorval', 'Canada', 'XAX', '\\N', 45.448611, -73.74111, 0, -5, 'A', 'America/Toronto'),
	(8073, 'Brockville Megabus Stop', 'Brockville', 'Canada', '', 'BRKM', 44.6003, -75.7039, 0, -5, 'A', 'America/Toronto'),
	(8074, 'Brockville VIA Station', 'Brockville', 'Canada', '', 'BRKV', 44.5919, -75.693343, 0, -5, 'A', 'America/Toronto'),
	(8075, 'Shaybah airport', 'Shaybah', 'Saudi Arabia', '', 'OESB', 22.5147, 53.9597, 262, 3, 'N', 'Asia/Riyadh'),
	(8076, 'Dubai Al Maktoum', 'Dubai', 'United Arab Emirates', 'DWC', 'OMDW', 24.55056, 55.103174, 170, 4, 'U', 'Asia/Dubai'),
	(8077, 'Aransas County Airport', 'Rockport', 'United States', 'RKP', 'KRKP', 28.0862222, -97.0436944, 24, -6, 'A', 'America/Chicago'),
	(8078, 'Bandanaira Airport', 'Bandanaira-Naira Island', 'Indonesia', 'NDA', '\\N', -4.53333, 129.9, 37, 9, 'N', '\\N'),
	(8079, 'Megeve Airport', 'Verdun', 'France', 'MVV', 'LFHM', 45.8208, 6.65222, 4823, 1, 'U', 'Europe/Paris'),
	(8080, 'Meribel Airport', 'Ajaccio', 'France', 'MFX', 'LFKX', 45.4069, 6.58056, 5636, 1, 'U', 'Europe/Paris'),
	(8081, 'Oldbury', 'Oldbury', 'United Kingdom', '', '\\N', 52.55, -2.0166, 499, 0, 'E', 'Europe/London'),
	(8082, 'Tianyang', 'Baise', 'China', 'AEB', '\\N', 23.72, 106.96, 485, 8, 'N', 'Asia/Chongqing'),
	(8083, 'Okaukuejo Airport', 'Okaukuejo', 'Namibia', 'OKF', 'FYOO', -19.1492, 15.9119, 3911, 1, 'S', 'Africa/Windhoek'),
	(8084, 'Mokuti Lodge Airport', 'Mokuti Lodge', 'Namibia', 'OKU', 'FYMO', -18.8128, 17.0594, 3665, 1, 'S', 'Africa/Windhoek'),
	(8085, 'Rotenburg Wuemme Airport', 'Rotenburg Wuemme', 'Germany', '', 'EDXQ', 53.1283, 9.34861, 98, 1, 'E', 'Europe/Berlin'),
	(8086, 'Wipperfuerth-Neye Airport', 'Wipperfuerth', 'Germany', '', 'EDKN', 51.1242, 7.37361, 863, 1, 'E', 'Europe/Berlin'),
	(8087, 'Osnabrueck-Atterheide Airport', 'Osnabrueck', 'Germany', '', 'EDWO', 52.2864, 7.96972, 285, 1, 'E', 'Europe/Berlin'),
	(8088, 'Ballenstedt Airport', 'Ballenstedt', 'Germany', '', 'EDCB', 51.7458, 11.2297, 535, 1, 'E', 'Europe/Berlin'),
	(8089, 'Hartenholm Airport', 'Hasenmoor', 'Germany', '', 'EDHM', 53.915, 10.0356, 108, 1, 'E', 'Europe/Berlin'),
	(8090, 'Ganderkesee Atlas Airfield Airport', 'Ganderkesee', 'Germany', '', 'EDWQ', 53.0361, 8.50556, 95, 1, 'E', 'Europe/Berlin'),
	(8091, 'Nienburg-Holzbalge Airport', 'Nienburg Weser', 'Germany', '', 'EDXI', 52.7097, 9.1625, 82, 1, 'E', 'Europe/Berlin'),
	(8092, 'Damme Airport', 'Damme', 'Germany', '', 'EDWC', 52.4875, 8.18556, 151, 1, 'E', 'Europe/Berlin'),
	(8093, 'Borkenberge Airport', 'Duelmen', 'Germany', '', 'EDLB', 51.78, 7.288, 157, 1, 'E', 'Europe/Berlin'),
	(8094, 'Obermehler-Schlotheim Airport', 'Obermehler', 'Germany', '', 'EDCO', 51.2678, 10.6347, 909, 1, 'E', 'Europe/Berlin'),
	(8095, 'Hodenhagen Airport', 'Hodenhagen', 'Germany', '', 'EDVH', 52.7611, 9.60556, 79, 1, 'E', 'Europe/Berlin'),
	(8096, 'Grube Airport', 'Grube', 'Germany', '', 'EDHB', 54.2444, 11.0247, 7, 1, 'E', 'Europe/Berlin'),
	(8097, 'Toender Airport', 'Toender', 'Denmark', '', 'EKTD', 54.9297, 8.84057, 0, 1, 'E', 'Europe/Copenhagen'),
	(8098, 'Celle-Arloh Airport', 'Celle', 'Germany', '', 'EDVC', 52.6872, 10.1114, 207, 1, 'E', 'Europe/Berlin'),
	(8099, 'Uelzen Airport', 'Uelzen', 'Germany', '', 'EDVU', 52.9839, 10.465, 246, 1, 'E', 'Europe/Berlin'),
	(8100, 'Hamm-Lippewiesen Airport', 'Hamm', 'Germany', '', 'EDLH', 51.6897, 7.81611, 190, 1, 'E', 'Europe/Berlin'),
	(8101, 'Luesse Airport', 'Luesse', 'Germany', '', 'EDOJ', 52.1411, 12.6647, 217, 1, 'E', 'Europe/Berlin'),
	(8102, 'Porta Westfalica Airport', 'Bad Oeynhausen', 'Germany', '', 'EDVY', 52.2208, 8.85917, 148, 1, 'E', 'Europe/Berlin'),
	(8103, 'Brilon Hochsauerlandkreis Airport', 'Brilon', 'Germany', '', 'EDKO', 51.4025, 8.64167, 1509, 1, 'E', 'Europe/Berlin'),
	(8104, 'Hameln Pyrmont Airport', 'Bad Pyrmont', 'Germany', '', 'EDVW', 51.9667, 9.29167, 1178, 1, 'E', 'Europe/Berlin'),
	(8105, 'Nordholz Spieka Airport', 'Cuxhaven', 'Germany', '', 'EDXN', 53.7672, 8.64361, 72, 1, 'E', 'Europe/Berlin'),
	(8106, 'Koethen Airport', 'Koethen', 'Germany', '', 'EDCK', 51.7211, 11.9528, 305, 1, 'E', 'Europe/Berlin'),
	(8107, 'St. Michaelisdonn Airport', 'Sankt Michaelisdonn', 'Germany', '', 'EDXM', 53.9781, 9.14472, 125, 1, 'E', 'Europe/Berlin'),
	(8108, 'Salzgitter Druette Airport', 'Salzgitter', 'Germany', '', 'EDVS', 52.1544, 10.4267, 328, 1, 'E', 'Europe/Berlin'),
	(8109, 'Karlshoefen Airport', 'Karlshoefen', 'Germany', '', 'EDWK', 53.3328, 9.02833, 20, 1, 'E', 'Europe/Berlin'),
	(8110, 'Oldenburg Hatten Airport', 'Oldenburg', 'Germany', '', 'EDWH', 53.0689, 8.31361, 26, 1, 'E', 'Europe/Berlin'),
	(8111, 'Rinteln Airport', 'Rinteln', 'Germany', '', 'EDVR', 52.1753, 9.05333, 180, 1, 'E', 'Europe/Berlin'),
	(8112, 'Muenster-Telgte Airport', 'Muenster', 'Germany', '', 'EDLT', 51.9444, 7.77389, 177, 1, 'E', 'Europe/Berlin'),
	(8113, 'St. Peter-Ording Airport', 'Sankt Peter-Ording', 'Germany', 'PSH', 'EDXO', 54.3089, 8.68694, 7, 1, 'E', 'Europe/Berlin'),
	(8114, 'Luechow-Rehbeck Airport', 'Luechow', 'Germany', '', 'EDHC', 53.0161, 11.1444, 49, 1, 'E', 'Europe/Berlin'),
	(8115, 'Klietz-Scharlibbe Airport', 'Scharlibbe', 'Germany', '', 'EDCL', 52.7094, 12.0733, 95, 1, 'E', 'Europe/Berlin'),
	(8116, 'Burg Airport', 'Burg', 'Germany', '', 'EDBG', 52.2417, 11.8561, 174, 1, 'E', 'Europe/Berlin'),
	(8117, 'Crisp County Cordele Airport', 'Cordele', 'United States', 'CKF', 'KCKF', 31.9888333, -83.7739167, 310, -5, 'A', 'America/New_York'),
	(8118, 'Ormond Beach municipal Airport', 'Ormond Beach', 'United States', 'OMN', 'KOMN', 29.1804, -81.06497, 28, -5, 'A', 'America/New_York'),
	(8119, 'Bad Neuenahr-Ahrweiler Airport', 'Bad Neuenahr', 'Germany', '', 'EDRA', 50.5578, 7.13639, 673, 1, 'E', 'Europe/Berlin'),
	(8120, 'Bad Duerkheim Airport', 'Bad Duerkheim', 'Germany', '', 'EDRF', 49.4731, 8.19639, 351, 1, 'E', 'Europe/Berlin'),
	(8121, 'Portland Troutdale', 'Troutdale', 'United States', 'TTD', 'KTTD', 45.54937, -122.401253, 39, -8, 'A', 'America/Los_Angeles'),
	(8122, 'Portland Hillsboro', 'Hillsboro', 'United States', 'HIO', 'KHIO', 45.540394, -122.949825, 204, -8, 'A', 'America/Los_Angeles'),
	(8123, 'One Police Plaza Heliport', 'New York', 'United States', '', 'NK39', 40.7126, -73.9996, 244, -5, 'A', 'America/New_York'),
	(8124, 'Leverkusen Airport', 'Leverkusen', 'Germany', '', 'EDKL', 51.0153, 7.00556, 157, 1, 'E', 'Europe/Berlin'),
	(8125, 'Suwannee County Airport', 'Live Oak', 'United States', '24J', '\\N', 30.300125, -83.0246944, 104, -5, 'A', 'America/New_York'),
	(8126, 'Wershofen Eifel', 'Wershofen', 'Germany', '', 'EDRV', 50.451667, 6.784444, 1560, 1, 'E', 'Europe/Berlin'),
	(8127, 'FOB Salerno', 'Khost', 'Afghanistan', 'KHT', 'OAKS', 33.3334, 69.952, 3756, 4.5, 'N', 'Asia/Kabul'),
	(8128, 'TCO', 'Tengiz', 'Kazakhstan', '', '\\N', 46.303056, 53.4275, 0, 5, 'U', 'Asia/Oral'),
	(8129, 'TCO', 'Tengiz', 'Kazakhstan', '', '\\N', 46.303056, 53.4275, 0, 5, 'U', 'Asia/Oral'),
	(8130, 'NAYPYITAW', 'NAYPYITAW', 'Burma', 'NYT', 'VYNT', 19.374, 96.121, 294, 6.5, 'N', 'Asia/Rangoon'),
	(8131, 'Nguma Island Lodge Airstrip', 'Etsha 13', 'Botswana', '', '\\N', -18.9538, 22.3668, 0, 2, 'U', 'Africa/Gaborone'),
	(8132, 'Maramba Aerodrome', 'Livingstone', 'Zambia', '', '\\N', -17.8846, 25.8468, 0, 2, 'U', 'Africa/Lusaka'),
	(8133, 'Bend Municipal Airport', 'Bend', 'United States', '', 'KBDN', 44.0945556, -121.2002222, 3460, -8, 'A', 'America/Los_Angeles'),
	(8134, 'Christmas Valley Airport', 'Christmas Valley', 'United States', '', 'K62S', 43.2365314, -120.6660967, 4317, -8, 'A', 'America/Los_Angeles'),
	(8135, 'Burns Municipal Airport', 'Burns', 'United States', '', 'KBNO', 43.5919167, -118.95554444, 4159, -8, 'A', 'America/Los_Angeles'),
	(8136, 'Prineville Airport', 'Prineville', 'United States', '', 'KS39', 44.2869939, -120.9038328, 3250, -8, 'A', 'America/Los_Angeles'),
	(8137, 'Red Bluff Municipal Airport', 'Red Bluff', 'United States', '', 'KRBL', 40.1506944, -122.2523056, 352, -8, 'A', 'America/Los_Angeles'),
	(8138, 'Gnoss Field Airport', 'Novato', 'United States', '', 'KDVO', 38.1436111, -122.5561, 2, -8, 'A', 'America/Los_Angeles'),
	(8139, 'Lake County Airport', 'Lakeview', 'United States', '', 'KLKV', 42.1611111, -120.3990833, 4733, -8, 'A', 'America/Los_Angeles'),
	(8140, 'Tillamook Airport', 'Tillamook', 'United States', '', 'KTMK', 45.4182419, -123.8143839, 36, -8, 'A', 'America/Los_Angeles'),
	(8141, 'Ontario Municipal Airport', 'Ontario', 'United States', '', 'KONO', 44.0193611, -117.0130278, 2193, -7, 'A', 'America/Denver'),
	(8142, 'Columbia Gorge Regional - The Dalles Municipal Airport', 'The Dalles', 'United States', '', 'KDLS', 45.6185556, -121.1673333, 247, -8, 'A', 'America/Los_Angeles'),
	(8143, 'Montgomery County Airpark', 'Gaithersburg', 'United States', 'GAI', 'KGAI', 39.1006, -77.09576, 0, -5, 'A', 'America/New_York'),
	(8144, 'Cincinnati Union Terminal', 'Cincinnati', 'United States', '', '\\N', 39.109961, -84.537074, 497, -5, 'A', 'America/New_York'),
	(8145, 'FOB Sharana', 'Sharan', 'Afghanistan', '', '\\N', 33.12777215, 68.8369847, 7400, 4.5, 'N', 'Asia/Kabul'),
	(8146, 'Sharona', 'Sharona', 'Afghanistan', 'AZ3', 'OASA', 33.1277215, 68.8369847, 7400, 4.5, 'N', 'Asia/Kabul'),
	(8147, 'Pembroke Airport', 'Pembroke', 'Canada', 'YTA', 'CYTA', 45.864399, -77.251701, 529, -5, 'A', 'America/Toronto'),
	(8148, 'Tsumeb Airport', 'Tsumeb', 'Namibia', 'TSB', 'FYTM', -19.1542, 17.4357, 4353, 1, 'U', 'Africa/Windhoek'),
	(8149, 'Suffield Heliport', 'Suffield', 'Canada', 'YSD', 'CYSD', 50.2666701, -111.182999, 2525, -7, 'A', 'America/Edmonton'),
	(8150, 'Field 21', 'Wainwright', 'Canada', '', '\\N', 52.830601, -111.100998, 2260, -7, 'A', 'America/Edmonton'),
	(8151, 'Field 21', 'Wainwright', 'Canada', '', '\\N', 52.830601, -111.100998, 2260, -7, 'A', 'America/Edmonton'),
	(8152, 'Aeroporto Blumenau', 'BLUMENAU', 'Brazil', 'BNU', 'SSBL', -26.834239, -49.091696, 70, -3, 'S', 'America/Sao_Paulo'),
	(8153, 'Aeroclub Mures', 'Targu Mures', 'Romania', '', 'LRMS', 46.3201, 24.3157, 1000, 2, 'E', 'Europe/Bucharest'),
	(8154, 'Aeroclub Sibiu', 'Sibiu', 'Romania', '', '\\N', 45.4649, 24.053, 1451, 2, 'E', 'Europe/Bucharest'),
	(8155, 'Aeroclub Sibiu', 'Sibiu', 'Romania', 'SIB', '\\N', 45.4649, 24.053, 1451, 2, 'E', 'Europe/Bucharest'),
	(8156, 'Bolshoe Gryzlovo', 'Stupino', 'Russia', '', 'UUDG', 54.786667, 37.649167, 797, 4, 'N', 'Europe/Moscow'),
	(8157, 'Aerodrom Cioca', 'Timisoara', 'Romania', '', '\\N', 46.436, 24.4445, 280, 2, 'E', 'Europe/Bucharest'),
	(8158, 'Aeroclub Cioca', 'Timisoara', 'Romania', 'CIO', 'LRT2', 45.471009, 21.111967, 280, 2, 'E', 'Europe/Bucharest'),
	(8159, 'Crocodile Camp Air Strip', 'Tsavo East', 'Kenya', '', '\\N', -3.0764, 39.2428, 0, 3, 'U', 'Africa/Nairobi'),
	(8160, 'Crocodile Camp Air Strip', 'Tsavo East', 'Kenya', '', '\\N', -3.0764, 39.2428, 0, 3, 'U', 'Africa/Nairobi'),
	(8161, 'Cleveland Clinic', 'Cleveland', 'United States', '', 'CCLN', 41.50225, -81.62233, 0, -5, 'A', 'America/New_York'),
	(8162, 'Charlevoix Municipal Airport', 'Charelvoix', 'United States', 'CVX', 'KCVX', 45.3047778, -85.2753333, 669, -5, 'A', 'America/New_York'),
	(8163, 'Quincy Municipal Airport', 'Quincy', 'United States', '2J9', '\\N', 30.5978708, -84.557425, 225, -5, 'A', 'America/New_York'),
	(8164, 'Pferdsfeld', 'Pferdsfeld', 'Germany', '', 'ETSP', 49.857778, 7.604167, 492, 1, 'E', 'Europe/Berlin'),
	(8165, 'Mykines Heliport', 'Mykines', 'Faroe Islands', '', 'EKMS', 62.1021, -7.6459, 112, 0, 'E', 'Atlantic/Faeroe'),
	(8166, 'V-A Waterfront', 'Cape Town', 'South Africa', '', '\\N', -33.901161, 18.425896, 0, 2, 'N', 'Africa/Johannesburg'),
	(8167, 'Steenberg Helipad', 'Cape Town', 'South Africa', '', '\\N', -34.070582, 18.424067, 50, 2, 'N', 'Africa/Johannesburg'),
	(8168, 'Steenberg Helipad', 'Cape Town', 'South Africa', '', '\\N', -34.070582, 18.424067, 50, 2, 'N', 'Africa/Johannesburg'),
	(8169, 'Moultrie Municipal Airport', 'Moultrie', 'United States', 'MGR', '\\N', 31.0849167, -83.80325, 294, -5, 'A', 'America/New_York'),
	(8170, 'Roche Harbor Seaplane Base', 'Roche Harbor', 'United States', 'RCE', '\\N', 48.608056, -123.159722, 0, -8, 'A', 'America/Los_Angeles'),
	(8171, 'Blakely Island Airport', 'Blakely Island', 'United States', 'BYW', '\\N', 48.56025, -122.80243, 0, -8, 'A', 'America/Los_Angeles'),
	(8172, 'Rosario Seaplane Base', 'Rosario', 'United States', 'RSJ', '\\N', 48.645556, -122.868056, 0, -8, 'A', 'America/Los_Angeles'),
	(8173, 'Westsound Seaplane Base', 'Westsound', 'United States', 'WSX', '\\N', 48.617778, -122.952778, 0, -8, 'A', 'America/Los_Angeles'),
	(8174, 'Friday Harbor Seaplane Base', 'Friday Harbor', 'United States', 'FBS', '\\N', 48.537222, -123.009722, 0, -8, 'A', 'America/Los_Angeles'),
	(8175, 'Big Bay Water Aerodrome', 'Big Bay', 'Canada', 'YRR', '\\N', 50.4, -125.133333, 0, -8, 'A', 'America/Vancouver'),
	(8176, 'Furnace Creek', 'Death Valley National Park', 'United States', 'L06', '\\N', 36.273, -116.515, 0, -8, 'A', 'America/Los_Angeles'),
	(8177, 'Cornwall Regional Airport', 'Cornwall', 'Canada', 'YCC', 'CYCC', 45.092778, -74.567778, 175, -5, 'A', 'America/Toronto'),
	(8178, 'Seppe', 'Bosschenhoofd', 'Netherlands', '', 'EHSE', 51.3317, 4.339, 30, 1, 'E', 'Europe/Brussels'),
	(8179, 'St.Stephan', 'St.Stephan', 'Switzerland', '', 'LSTS', 46.497442, 7.412572, 3304, 1, 'E', 'Europe/Zurich'),
	(8180, 'Zona da Mata Regional Airport', 'Juiz de Fora', 'Brazil', 'IZA', 'SDZY', -21.5130558014, -43.1730575562, 1348, -3, 'S', 'America/Sao_Paulo'),
	(8181, 'Aeroclub Ghimbav', 'Brasov', 'Romania', '', 'LRBG', 45.4153, 25.3137, 1743, 2, 'E', 'Europe/Bucharest'),
	(8182, 'Flagler County Airport', 'Flagler', 'United States', 'XFL', 'KXFL', 29.2821, -81.1212, 33, -5, 'A', 'America/New_York'),
	(8183, 'Aeroclub Deva', 'Deva', 'Romania', 'DVA', '\\N', 45.5153, 22.5813, 615, 2, 'U', 'Europe/Bucharest'),
	(8184, 'Aeroclub Cluj', 'Dezmir', 'Romania', 'DZM', '\\N', 46.4643, 23.4258, 1019, 2, 'U', 'Europe/Bucharest'),
	(8185, 'Antarctica', 'Antarctica', 'Antarctica', '', '\\N', -66, 90, 8000, 12, 'U', 'Antarctica/South_Pole'),
	(8186, 'Antarctica', 'Antarctica', 'Antarctica', '', '\\N', -66, 90, 8000, 12, 'N', 'Antarctica/South_Pole'),
	(8187, 'Morrisville Stowe State Airport', 'Morrisville', 'United States', 'MVL', 'KMVL', 44.535, -72.614, 732, -5, 'A', 'America/New_York'),
	(8188, 'Dallas Executive Airport', 'Dallas', 'United States', 'RBD', 'KRBD', 32.680833, -96.868333, 201, -6, 'A', 'America/Chicago'),
	(8189, 'Como Water AD', 'Como', 'Italy', '', 'LILY', 45.4853, 9.0411, 663, 1, 'E', 'Europe/Rome'),
	(8190, 'Superficie Cielo Blu', 'Vellezzo Bellini', 'Italy', '', '\\N', 45.283855, 9.111979, 350, 1, 'E', 'Europe/Rome'),
	(8191, 'Welke Airport', 'Beaver Island', 'United States', '6Y8', '\\N', 45.721111, -85.520278, 664, -5, 'A', 'America/New_York'),
	(8192, 'Krainiy', 'Baikonur', 'Kazakhstan', '', 'UAOL', 45.6183, 63.2144, 328, 6, 'U', 'Asia/Qyzylorda'),
	(8193, 'MOW', 'Moscow', 'Russia', 'MOW', '\\N', 55.7557, 37.6176, 0, 4, 'N', 'Europe/Moscow'),
	(8194, 'Westerly State Airport', 'Washington County', 'United States', 'WST', 'KWST', 41.349722, -71.803333, 81, -5, 'A', 'America/New_York'),
	(8195, 'Block Island State Airport', 'Block Island', 'United States', 'BID', 'KBID', 41.168056, -71.577778, 108, -5, 'A', 'America/New_York'),
	(8196, 'Atmautluak Airport', 'Atmautluak', 'United States', '', '\\N', 60.866667, -162.273056, 18, -9, 'A', 'America/Anchorage'),
	(8197, 'Atmautluak Airport', 'Atmautluak', 'United States', '', '\\N', 60.866667, -162.273056, 18, -9, 'A', 'America/Anchorage'),
	(8198, 'Atmautluak Airport', 'Atmautluak', 'United States', '369', '\\N', 60.866667, -162.273056, 18, -9, 'A', 'America/Anchorage'),
	(8199, 'Nightmute Airport', 'Nightmute', 'United States', 'NME', 'PAGT', 60.471111, -164.700833, 4, -9, 'A', 'America/Anchorage'),
	(8200, 'Toksook Bay Airport', 'Toksook Bay', 'United States', 'OOK', 'PAOO', 60.541389, -165.087222, 59, -9, 'A', 'America/Anchorage'),
	(8201, 'Tununak Airport', 'Tununak', 'United States', 'TNK', '\\N', 60.575556, -165.271667, 14, -9, 'A', 'America/Anchorage'),
	(8202, 'Goodnews Airport', 'Goodnews Bay', 'United States', 'GNU', '\\N', 59.1175, -161.5775, 15, -9, 'A', 'America/Anchorage'),
	(8203, 'Newtok Airport', 'Newtok', 'United States', 'WWT', '\\N', 60.939167, -164.641111, 25, -9, 'U', 'America/Anchorage'),
	(8204, 'Achutupo Airport', 'Achutupo', 'Panama', 'ACU', '\\N', 9.2, -77.98, 0, -5, 'U', 'America/Panama'),
	(8205, 'Tubuala Airport', 'Tubuala', 'Panama', 'TUW', '\\N', 9.52, -79.03, 0, -5, 'U', 'America/Panama'),
	(8206, 'Garachine Airport', 'Garachine', 'Panama', 'GHE', '\\N', 8.06, -78.36, 0, -5, 'U', 'America/Panama'),
	(8207, 'Mulatupo Airport', 'Mulatupo', 'Panama', 'MPP', '\\N', 8.95, -77.75, 0, -5, 'U', 'America/Panama'),
	(8208, 'Ittoqqortoormiit Heliport', 'Ittoqqortoormiit', 'Greenland', 'OBY', 'BGSC', 70.485278, -21.966667, 238, -1, 'U', 'America/Scoresbysund'),
	(8209, 'Vinnitsa', 'Vinnitsa', 'Ukraine', 'VIN', 'UKWW', 49.2433, 28.6063, 900, 2, 'E', 'Europe/Kiev'),
	(8210, 'Gent Sint-Pieters', 'Gent', 'Belgium', '', '\\N', 51.0352, 3.7097, 130, 1, 'E', 'Europe/Brussels'),
	(8211, 'Brugge', 'Bruges', 'Belgium', '', '\\N', 51.1972, 3.2172, 120, 1, 'E', 'Europe/Brussels'),
	(8212, 'Brugge', 'Bruges', 'Belgium', '', '\\N', 51.1972, 3.2172, 130, 1, 'E', 'Europe/Brussels'),
	(8213, 'Shin-yokohama-eki', 'Yokohama', 'Japan', '', '\\N', 35.5075, 139.6175, 50, 9, 'N', 'Asia/Tokyo'),
	(8214, 'Angers St Laud', 'Angers', 'France', 'QXG', '\\N', 47.464714, -0.556405, 300, 1, 'E', 'Europe/Paris'),
	(8215, 'Decatur County Industrial Air Park', 'Bainbridge', 'United States', 'BGE', 'KBGE', 30.9715981, -84.6369278, 141, -5, 'A', 'America/New_York'),
	(8216, 'La Romaine Airport', 'La Romaine', 'Canada', '', 'CTT5', 50.257222, -60.669167, 90, -4, 'A', 'America/Blanc-Sablon'),
	(8217, 'Kegaska Airport', 'Kegaska', 'Canada', 'ZKG', 'CTK6', 50.195833, -61.265833, 32, -4, 'A', 'America/Blanc-Sablon'),
	(8218, 'Black Tickle Airport', 'Black Tickle', 'Canada', 'YBI', 'CCE4', 53.47, -55.7875, 57, -4, 'A', 'America/Halifax'),
	(8219, 'Silver Springs Airport', 'Silver Springs', 'United States', 'SPZ', 'KSPZ', 39.4030278, -119.2511944, 4269, -8, 'A', 'America/Los_Angeles'),
	(8220, 'Whiteman Airport', 'Los Angeles', 'United States', 'WHP', 'KWHP', 34.2593253, -118.4134331, 1003, -8, 'A', 'America/Los_Angeles'),
	(8221, 'Madera Municipal Airport', 'Madera', 'United States', 'MAE', 'KMAE', 36.9886111, -120.1124444, 255, -8, 'A', 'America/Los_Angeles'),
	(8222, 'Mountain Home Municipal Airport', 'Mountain Home', 'United States', 'U76', '\\N', 43.1316111, -115.7305671, 3167, -7, 'A', 'America/Denver'),
	(8223, 'Trail Airport', 'Trail', 'Canada', 'YZZ', 'CAD4', 49.055556, -117.609167, 1427, -8, 'A', 'America/Vancouver'),
	(8224, 'Victoria Airport Water Aerodrome', 'Patricia Bay', 'Canada', '', 'CAP5', 48.65, -123.45, 0, -8, 'A', 'America/Vancouver'),
	(8225, 'Arctic Bay Airport', 'Arctic Bay', 'Canada', 'YAB', 'CJX7', 73.006389, -85.047222, 72, -6, 'A', 'America/Winnipeg'),
	(8226, 'Hope Bay Aerodrome', 'Hope Bay', 'Canada', '', 'CHB3', 68.163889, -106.614444, 125, -7, 'A', 'America/Edmonton'),
	(8227, 'Hector Silva Airstrip', 'Belmopan', 'Belize', 'BCV', '\\N', 17.269444, -88.776111, 50, -6, 'U', 'America/Belize'),
	(8228, 'Grand-Santi Airport', 'Grand-Santi', 'French Guiana', '', 'SOGS', 4.283333, -54.381111, 186, -3, 'S', 'America/Cayenne'),
	(8229, 'Maripasoula Airport', 'Maripasoula', 'French Guiana', 'MPY', 'SOOA', 3.6575, -54.037222, 377, -3, 'S', 'America/Cayenne'),
	(8230, 'Saint-Laurent-du-Maroni Airport', 'Saint-Laurent-du-Maroni', 'French Guiana', 'LDX', 'SOOM', 5.483056, -54.034444, 17, -3, 'S', 'America/Cayenne'),
	(8231, 'Cayana Airstrip', 'Cayana', 'Suriname', 'AAJ', '\\N', 3.898611, -55.577778, 50, -3, 'S', 'America/Paramaribo'),
	(8232, 'Laduani Airstrip', 'Laduani', 'Suriname', 'LDO', '\\N', 4.3754, -55.4075, 50, -3, 'S', 'America/Paramaribo'),
	(8233, 'Kanas Airport', 'Burqin', 'China', 'KJI', 'ZWKN', 48.221111, 86.998056, 3900, 8, 'U', 'Asia/Chongqing'),
	(8234, 'Capurgana Airport', 'Capurgana', 'Colombia', 'CPB', 'SKCA', 8.616667, -77.333333, 100, -5, 'S', 'America/Bogota'),
	(8235, 'Sohag International', 'Sohag', 'Egypt', 'HMB', 'HEMK', 26.341189, 31.742983, 859, 2, 'E', 'Africa/Cairo'),
	(8236, 'Rivera International Airport', 'Rivera', 'Uruguay', 'RVY', 'SURV', -30.974444, -55.476111, 712, -3, 'S', 'America/Montevideo'),
	(8237, 'Patos de Minas Airport', 'Patos de Minas', 'Brazil', 'POJ', 'SNPD', -18.672778, -46.491111, 851, -3, 'S', 'America/Sao_Paulo'),
	(8238, 'Bauru-Arealva', 'Bauru', 'Brazil', 'JTC', 'SJTC', -22.157778, -49.068333, 594, -3, 'S', 'America/Sao_Paulo'),
	(8239, 'Ourilandia do Norte Airport', 'Ourilandia do Norte', 'Brazil', 'OIA', 'SDOW', -6.763056, -51.05, 229, -4, 'S', 'America/Boa_Vista'),
	(8240, 'Redencao Airport', 'Redencao', 'Brazil', 'RDC', 'SNDC', -8.033333, -49.98, 669, -4, 'S', 'America/Boa_Vista'),
	(8241, 'Sao Felix do Xingu Airport', 'Sao Felix do Xingu', 'Brazil', 'SXX', 'SNFX', -6.641389, -51.952222, 656, -4, 'S', 'America/Boa_Vista'),
	(8242, 'Bonito Airport', 'Bointo', 'Brazil', 'BYO', 'SJDB', -21.247222, -56.4525, 1180, -4, 'S', 'America/Campo_Grande'),
	(8243, 'Sao Felix do Araguaia Airport', 'Sao Felix do Araguaia', 'Brazil', 'SXO', 'SWFX', -11.6325, -50.689444, 650, -4, 'S', 'America/Campo_Grande'),
	(8244, 'Carlos Alberto da Costa Neves Airport', 'Cacador', 'Brazil', 'CFC', 'SBCD', -26.788333, -50.939722, 3376, -3, 'S', 'America/Sao_Paulo'),
	(8245, 'Carauari Airport', 'Carauari', 'Brazil', 'CAF', 'SWCA', -4.871389, -66.8975, 354, -4, 'S', 'America/Boa_Vista'),
	(8246, 'Porto Urucu', 'Porto Urucu', 'Brazil', '', 'SWUY', -4.884167, -65.355556, 210, -4, 'S', 'America/Boa_Vista'),
	(8247, 'Amaury Feitosa Tomaz Airport', 'Eirunepe', 'Brazil', 'ERN', 'SWEI', -6.639444, -69.879722, 412, -4, 'S', 'America/Boa_Vista'),
	(8248, 'Concordia Airport', 'Concordia', 'Brazil', 'CCI', 'SSCK', -27.180556, -52.052778, 2461, -3, 'S', 'America/Sao_Paulo'),
	(8249, 'Paulo Abdala Airport', 'Francisco Beltrao', 'Brazil', 'FBE', 'SSFB', -26.059167, -53.063333, 2100, -3, 'S', 'America/Sao_Paulo'),
	(8250, 'Confresa Airport', 'Confresa', 'Brazil', 'CFO', 'SJHG', -10.633611, -51.567222, 250, -4, 'S', 'America/Campo_Grande'),
	(8251, 'Jackson County Airport', 'Jefferson', 'United States', '19A', '\\N', 34.1758638, -83.5615972, 951, -5, 'U', 'America/New_York'),
	(8252, 'Apalachicola Regional Airport', 'Apalachicola', 'United States', 'AAF', 'KAAF', 29.7276066, -85.0274416, 20, -5, 'A', 'America/New_York'),
	(8253, 'Orlando de Carvalho Airport', 'Umuarama', 'Brazil', 'UMU', 'SSUM', -23.798611, -53.313611, 1558, -3, 'S', 'America/Sao_Paulo'),
	(8254, 'Diamantina Airport', 'Diamantina', 'Brazil', 'DTI', 'SNDT', -18.231944, -43.650278, 4446, -3, 'S', 'America/Sao_Paulo'),
	(8255, 'Fonte Boa Airport', 'Fonte Boa', 'Brazil', 'FBA', 'SWOB', -2.5325, -66.083333, 207, -4, 'S', 'America/Boa_Vista'),
	(8256, 'Senadora Eunice Micheles Airport', 'Sao Paulo de Olivenca', 'Brazil', 'OLC', 'SDCG', -3.465556, -68.918889, 335, -4, 'S', 'America/Boa_Vista'),
	(8257, 'Humaita Airport', 'Humaita', 'Brazil', 'HUW', 'SWHT', -7.532222, -63.072222, 230, -4, 'S', 'America/Boa_Vista'),
	(8258, 'Tapuruquara Airport', 'Santa Isabel do Rio Negro', 'Brazil', 'IRZ', 'SWTP', -0.416944, -65.033889, 223, -4, 'S', 'America/Boa_Vista'),
	(8259, 'Oriximina Airport', 'Oriximina', 'Brazil', 'ORX', 'SNOX', -1.714167, -55.836111, 262, -4, 'S', 'America/Boa_Vista'),
	(8260, 'Una-Comandatuba Airport', 'Una', 'Brazil', 'UNA', 'SBTC', -15.355278, -38.998889, 20, -3, 'S', 'America/Fortaleza'),
	(8261, 'Algeciras Heliport', 'Algeciras', 'Spain', '', '\\N', 36.128889, -5.441111, 98, 1, 'E', 'Europe/Madrid'),
	(8262, 'Algeciras Heliport', 'Algeciras', 'Spain', '', '\\N', 36.128889, -5.441111, 98, 1, 'E', 'Europe/Madrid'),
	(8263, 'Kai Tak International Airport ', 'Hong Kong', 'Hong Kong', '', '\\N', 22.3177, 114.202, 30, 8, 'U', 'Asia/Hong_Kong'),
	(8264, 'Kai Tak International Airport ', 'Hong Kong', 'Hong Kong', '', '\\N', 22.3177, 114.202, 30, 8, 'U', 'Asia/Hong_Kong'),
	(8265, 'Telfer Airport', 'Telfer', 'Australia', 'TEF', 'YTEF', -21.713057, 122.21222, 970, 8, 'N', 'Australia/Perth'),
	(8266, 'Gazipasa Airport', 'Alanya', 'Turkey', 'GZP', 'LTFG', 36.2993, 32.3014, 92, 2, 'E', 'Europe/Istanbul'),
	(8267, 'FOB Shank', 'Shank', 'Afghanistan', '', 'OASH', 33.921369, 69.07813, 6614, 4.5, 'N', 'Asia/Kabul'),
	(8268, 'St. Augustine Airport', 'St. Augustine', 'United States', 'SGJ', '\\N', 29.95925, -81.3397222, 10, -5, 'A', 'America/New_York'),
	(8269, 'Londolozi', 'Londolozi', 'South Africa', 'LDZ', '\\N', -24.8333, 31.5, 3510, 2, 'N', 'Africa/Johannesburg'),
	(8270, 'Singita Sabi Sands', 'Sabi Sands', 'South Africa', '', '\\N', -24.84, 31.41, 3500, 2, 'N', 'Africa/Johannesburg'),
	(8271, 'Singita Sabi Sands', 'Sabi Sands', 'South Africa', '', '\\N', -24.84, 31.41, 3500, 2, 'N', 'Africa/Johannesburg'),
	(8272, 'Singita Sabi Sands', 'Sabi Sands', 'South Africa', 'INY', '\\N', -24.815, 31.42, 1200, 2, 'N', 'Africa/Johannesburg'),
	(8273, 'Douglas Municipal Airport', 'Douglas', 'United States', 'DQH', 'KDQH', 31.4767385, -82.8605664, 257, -5, 'A', 'America/New_York'),
	(8274, 'St Lucie County International Airport', 'Fort Pierce', 'United States', 'FRP', 'KFPR', 27.497472, -80.372638, 23, -5, 'A', 'America/New_York'),
	(8275, 'Alexandria', 'Alexandria', 'United States', 'ALX', 'ALX_', 38.806346, -77.0621, 1, -5, 'A', 'America/New_York'),
	(8276, 'Taunton Municipal Airport - King Field', 'Taunton', 'United States', 'TAN', 'KTAN', 41.8744017, -71.0166453, 43, -5, 'A', 'America/New_York'),
	(8277, 'Plymouth Municipal Airport', 'Plymouth', 'United States', 'PYM', 'KPYM', 41.9090278, -70.7287778, 148, -5, 'A', 'America/New_York'),
	(8278, 'Quonset State Airport', 'North Kingstown', 'United States', 'OQU', 'KOQU', 41.5971389, -71.4121389, 18, -5, 'A', 'America/New_York'),
	(8279, 'Mansfield Municipal', 'Mansfield', 'United States', '1B9', '\\N', 42.0001331, -71.1967714, 122, -5, 'A', 'America/New_York'),
	(8280, 'Norwood Memorial Airport', 'Norwood', 'United States', 'OWD', 'KOWD', 42.1905278, -71.1729444, 49, -5, 'A', 'America/New_York'),
	(8281, 'Barnes Municipal', 'Westfield', 'United States', 'BAF', 'KBAF', 42.1579472, -72.715875, 270, -5, 'A', 'America/New_York'),
	(8282, 'Windham Airport', 'Willimantic', 'United States', 'IJD', 'KIJD', 41.7440278, -72.1802222, 246, -5, 'A', 'America/New_York'),
	(8283, 'Orange County Airport', 'Montgomery', 'United States', 'MGJ', 'KMGJ', 41.5099884, -74.2646444, 364, -5, 'A', 'America/New_York'),
	(8284, 'Capital City Airport', 'Harrisburg', 'United States', 'CXY', 'KCXY', 40.2171389, -76.8513611, 347, -5, 'A', 'America/New_York'),
	(8285, 'Marshfield Municipal Airport', 'Marshfield', 'United States', 'GHG', 'KGHG', 42.09825, -70.6721389, 9, -5, 'A', 'America/New_York'),
	(8286, 'Danbury Municipal Airport', 'Danbury', 'United States', 'DXR', 'KDXR', 41.3715353, -73.4821906, 458, -5, 'A', 'America/New_York'),
	(8287, 'Boire Field Airport', 'Nashua', 'United States', 'ASH', 'KASH', 42.78175, -71.5147778, 199, -5, 'A', 'America/New_York'),
	(8288, 'Lawrence Municipal Airport', 'Lawrence', 'United States', 'LWM', 'KLWM', 42.7171944, -71.1234167, 148, -5, 'A', 'America/New_York'),
	(8289, 'Waterbury-Oxford Airport', 'Oxford', 'United States', 'OXC', 'KOXC', 41.4785556, -73.13525, 726, -5, 'A', 'America/New_York'),
	(8290, 'Fitchburg Municipal Airport', 'Fitchburg', 'United States', 'FIT', 'KFIT', 42.5541111, -71.7589722, 348, -5, 'A', 'America/New_York'),
	(8291, 'Stockmar Airport', 'Villa Rica', 'United States', '', '20GA', 33.7565556, -84.8850625, 1110, -5, 'A', 'America/New_York'),
	(8292, 'Cartersville Airport', 'Cartersville', 'United States', 'VPC', 'KVPC', 34.1231475, -84.8487067, 759, -5, 'A', 'America/New_York'),
	(8293, 'Centre-Piedmont-Cherokee County Regional Airport', 'Centre', 'United States', 'PYP', 'KPYP', 34.0899167, -85.6100833, 595, -6, 'A', 'America/Chicago'),
	(8294, 'Richard B Russell Airport', 'Rome', 'United States', 'RMG', 'KRMG', 34.3507778, -85.1586667, 664, -5, 'A', 'America/New_York'),
	(8295, 'Northeast Alabama Regional Airport', 'Gadsden', 'United States', 'GAD', 'KGAD', 33.9726489, -86.0890834, 569, -6, 'A', 'America/Chicago'),
	(8296, 'Knoxville Downtown Island Airport', 'Knoxville', 'United States', 'DKX', 'KDKX', 35.9638333, -83.8736667, 833, -5, 'A', 'America/New_York'),
	(8297, 'Barrow County Airport', 'Winder', 'United States', 'WDR', 'KWDR', 33.9828611, -83.6674167, 943, -5, 'A', 'America/New_York'),
	(8298, 'Plantation Airpark', 'Sylvania', 'United States', 'JYL', 'KJYL', 32.6452778, -81.5971111, 188, -5, 'A', 'America/New_York'),
	(8299, 'Dalton Municipal Airport', 'Dalton', 'United States', 'DNN', 'KDNN', 34.7229444, -84.87025, 709, -5, 'A', 'America/New_York'),
	(8300, 'West Georgia Regional Airport - O V Gray Field', 'Carrollton', 'United States', 'CTJ', 'KCTJ', 33.6316964, -85.1522641, 1165, -5, 'A', 'America/New_York'),
	(8301, 'Isbell Field Airport', 'Fort Payne', 'United States', '4A9', '\\N', 34.4736944, -85.7213889, 877, -6, 'A', 'America/Chicago'),
	(8302, 'LaGrange-Callaway Airport', 'LaGrange', 'United States', 'LGC', 'KLGC', 33.0088611, -85.0726111, 694, -5, 'A', 'America/New_York'),
	(8303, 'Baldwin County Airport', 'Milledgeville', 'United States', 'MLJ', 'KMLJ', 33.154225, -83.2414139, 385, -5, 'A', 'America/New_York'),
	(8304, 'Polk County Airport - Cornelius Moore Field', 'Cedartown', 'United States', '4A4', '\\N', 34.0186944, -85.1464722, 974, -5, 'A', 'America/New_York'),
	(8305, 'Harris County Airport', 'Pine Mountain', 'United States', 'PIM', 'KPIM', 32.8406944, -84.8824444, 902, -5, 'A', 'America/New_York'),
	(8306, 'Atlanta Regional Airport - Falcon Field', 'Atlanta', 'United States', 'FFC', 'KFFC', 33.35725, -84.5718333, 808, -5, 'A', 'America/New_York'),
	(8307, 'Covington Municipal Airport', 'Covington', 'United States', '9A1', '\\N', 33.6323083, -83.8474472, 809, -5, 'A', 'America/New_York'),
	(8308, 'Lee Gilmer Memorial Airport', 'Gainesville', 'United States', 'GVL', 'KGVL', 34.272627, -83.8302233, 1276, -5, 'A', 'America/New_York'),
	(8309, 'Cherokee County Airport', 'Canton', 'United States', '', 'KCNI', 34.3122175, -84.4221556, 1219, -5, 'A', 'America/New_York'),
	(8310, 'DeFuniak Springs Airport', 'DeFuniak Springs', 'United States', '54J', '\\N', 30.7311111, -86.1537778, 289, -6, 'A', 'America/Chicago'),
	(8311, 'Barwick Lafayette Airport', 'LaFayette', 'United States', '9A5', '\\N', 34.6884792, -85.2903319, 777, -5, 'A', 'America/New_York'),
	(8312, 'Harry Clever Field Airport', 'New Philadelpha', 'United States', 'PHD', 'KPHD', 40.4701667, -81.4199444, 894, -5, 'A', 'America/New_York'),
	(8313, 'Darlington County Jetport', 'Darlington', 'United States', 'UDG', 'KUDG', 34.4493845, -79.8900608, 192, -5, 'A', 'America/New_York'),
	(8314, 'Hilton Head Airport', 'Hilton Head Island', 'United States', 'HXD', 'KHXD', 32.2243611, -80.6974722, 19, -5, 'A', 'America/New_York'),
	(8315, 'Gilmer County Airport', 'Ellijay', 'United States', '49A', '\\N', 34.6282222, -84.5265833, 1486, -5, 'A', 'America/New_York'),
	(8316, 'Elizabethton Municipal Airport', 'Elizabethton', 'United States', '0A9', '\\N', 36.3712222, -82.1734167, 1593, -5, 'A', 'America/New_York'),
	(8317, 'Moton Field Municipal Airport', 'Tuskegee', 'United States', '06A', '\\N', 32.4605722, -85.6800278, 264, -6, 'A', 'America/Chicago'),
	(8318, 'Daniel Field Airport', 'Augusta', 'United States', 'DNL', 'KDNL', 33.4665028, -82.0393808, 423, -5, 'A', 'America/New_York'),
	(8319, 'Foothills Regional Airport', 'Morganton', 'United States', 'MRN', 'KMRN', 35.8202336, -81.6115119, 1270, -5, 'A', 'America/New_York'),
	(8320, 'Pike County Airport - Hatcher Field', 'Pikeville', 'United States', 'PBX', 'KPBX', 37.5617639, -82.5663889, 1473, -5, 'A', 'America/New_York'),
	(8321, 'Mallards Landing Airport', 'Locust Grove', 'United States', '', 'GA04', 33.3656703, -84.1651964, 837, -5, 'A', 'America/New_York'),
	(8322, 'Toccoa RG Letourneau Field Airport', 'Toccoa', 'United States', 'TOC', 'KTOC', 34.5928117, -83.2963717, 996, -5, 'A', 'America/New_York'),
	(8323, 'Shaftesbury-Compton Abbas Aerodrome', 'Shaftesbury', 'United Kingdom', '', 'EGHA', 50.9672, -2.1536, 811, 0, 'U', 'Europe/London'),
	(8324, 'SCC4', 'MFO', 'Egypt', '', '\\N', 30.524819, 34.584025, 2037, 2, 'U', 'Asia/Jerusalem'),
	(8325, 'SCC4', 'MFO', 'Egypt', '', '\\N', 30.524819, 34.584025, 2037, 2, 'E', 'Asia/Jerusalem'),
	(8326, 'SCC4', 'MFO', 'Egypt', '', '\\N', 30.524819, 34.584025, 2037, 2, 'E', 'Asia/Jerusalem'),
	(8327, 'SCC4', 'MFO', 'Egypt', '', '\\N', 30.524819, 34.584025, 2037, 2, 'E', 'Asia/Jerusalem'),
	(8328, 'Poltava', 'Poltava', 'Ukraine', 'PLV', 'UKHP', 49.34261, 34.23551, 333, 2, 'U', 'Europe/Kiev'),
	(8329, 'Ferry Port', 'Calais', 'France', '', '\\N', 50.967536, 1.849308, 6, 1, 'E', 'Europe/Paris'),
	(8330, 'Ferry Port', 'Dover', 'United Kingdom', '', '\\N', 51.126876, 1.339747, 6, 0, 'E', 'Europe/London'),
	(8331, 'Aweil Airport', 'Aweil', 'Sudan', '', 'HSAW', 8.77, 27.3975, 1394, 3, 'U', 'Africa/Juba'),
	(8332, 'Wau Airport', 'Wau', 'Sudan', 'WUU', 'HSWW', 7.725, 27.98, 1420, 3, 'U', 'Africa/Juba'),
	(8333, 'Humera Airport', 'Humera', 'Ethiopia', 'HUE', 'HAHU', 14.3, 36.616667, 1500, 3, 'U', 'Africa/Asmera'),
	(8334, 'Moyale Airport', 'Moyale', 'Kenya', 'OYL', 'HKMY', 3.465, 39.105, 2790, 3, 'U', 'Africa/Nairobi'),
	(8335, 'Zagora Airport', 'Zagora', 'Morocco', '', 'GMAZ', 30.330556, -5.838056, 1500, 0, 'U', 'Africa/Casablanca'),
	(8336, 'Yengema Airport', 'Yengema', 'Sierra Leone', 'WYE', 'GFYE', 8.615308, -11.047192, 1300, 0, 'U', 'Africa/Freetown'),
	(8337, 'Gbangbatok Airport', 'Gbangbatok', 'Sierra Leone', 'GBK', 'GFGK', 7.767, -12.383, 500, 0, 'U', 'Africa/Freetown'),
	(8338, 'Hong Kong China Ferry Terminal', 'Hong Kong', 'Hong Kong', '', '\\N', 22.299204, 114.166164, 0, 8, 'N', 'Asia/Hong_Kong'),
	(8339, 'Tampa Executive Airport', 'Tampa', 'United States', 'VDF', '\\N', 28.0139772, -82.3452778, 22, -5, 'A', 'America/New_York'),
	(8340, 'UOTT', 'Turukhansk', 'Russia', '', 'UOTT', 65.46, 87.53, 125, 8, 'N', 'Asia/Krasnoyarsk'),
	(8341, 'Podkamennaya Tunguska', 'Bor', 'Russia', '', 'UNIP', 61.34, 89.56, 213, 8, 'N', 'Asia/Krasnoyarsk'),
	(8342, 'Fort Worth Alliance Airport', 'Fort Worth', 'United States', 'AFW', 'KAFW', 32.987778, -97.318889, 722, -6, 'A', 'America/Chicago'),
	(8343, 'East Troy Municipal Airport', 'East Troy', 'United States', '57C', 'K57C', 42.7971667, -88.3726111, 860, -6, 'A', 'America/Chicago'),
	(8344, 'Kolpashevo Airport', 'Kolpashevo', 'Russia', '', 'UNLL', 58.3333, 82.9333, 243, 7, 'N', 'Asia/Omsk'),
	(8345, 'Montgomery Field', 'San Diego', 'United States', 'MYF', 'NULL', 32.4759, 117.759, 17, 8, 'A', 'Asia/Chongqing'),
	(8346, 'Gimpo International Airpot', 'Seoul', 'South Korea', 'SEL', '\\N', 37.558311, 126.790586, 58, 9, 'N', 'Asia/Seoul'),
	(8347, 'Ali Al Salem Air Base', 'Kuwait', 'Kuwait', '', 'OKAS', 29.346742, 47.520753, 472, 3, 'A', 'Asia/Kuwait'),
	(8348, 'Renmark', 'Renmark', 'Australia', 'RMK', 'YREN', -34.118, 140.404, 115, 9.5, 'O', 'Australia/Adelaide'),
	(8349, 'Leigh Creek', 'Leigh Creek', 'Australia', '', 'YLEC', -30.598333, 138.425833, 856, 9.5, 'O', 'Australia/Adelaide'),
	(8350, 'Warburton', 'Warburton Community', 'Australia', '', 'YWBR', -26.128333, 126.583333, 1500, 8, 'O', 'Australia/Perth'),
	(8351, 'Cunderdin', 'Cunderdin', 'Australia', '', 'YCUN', -31.622223, 117.216667, 705, 8, 'O', 'Australia/Perth'),
	(8352, 'Rottnest Island', 'Rottnest Island', 'Australia', '', 'YRTI', -32.006667, 115.539722, 12, 8, 'O', 'Australia/Perth'),
	(8353, 'Forrest', 'Forrest', 'Australia', '', 'YFRT', -30.838056, 128.115, 511, 8, 'O', 'Australia/Perth'),
	(8354, 'Ballarat', 'Ballarat', 'Australia', '', 'YBLT', -37.511667, 143.791111, 1433, 10, 'O', 'Australia/Hobart'),
	(8355, 'Keewaywin', 'Keewaywin', 'Canada', 'KEW', 'CPV8', 52.991111, -92.836389, 988, -6, 'A', 'America/Winnipeg'),
	(8356, 'Marathon', 'Marathon', 'Canada', 'YSP', 'CYSP', 48.755278, -86.344444, 1035, -5, 'A', 'America/Toronto'),
	(8357, 'Rene Fontaine', 'Hearst', 'Canada', 'YHF', 'CYHF', 49.713889, -83.686944, 826, -5, 'A', 'America/Toronto'),
	(8358, 'Hornepayne', 'Hornepayne', 'Canada', 'YHN', 'CYHN', 49.193056, -84.758889, 1099, -5, 'A', 'America/Toronto'),
	(8359, 'Kirkland Lake', 'Kirkland Lake', 'Canada', 'YKX', 'CYKX', 48.210278, -79.981389, 1157, -5, 'A', 'America/Toronto'),
	(8360, 'Manitouwadge', 'Manitouwadge', 'Canada', 'YMG', 'CYMG', 49.083889, -85.860556, 1198, -5, 'A', 'America/Toronto'),
	(8361, 'Wawa', 'Wawa', 'Canada', 'YXZ', 'CYXZ', 47.966944, -84.786389, 944, -5, 'A', 'America/Toronto'),
	(8362, 'Manitoulin East', 'Manitowaning', 'Canada', 'YEM', 'CYEM', 45.8425, -81.8575, 869, -5, 'A', 'America/Toronto'),
	(8363, 'Slate Falls', 'Slate Falls', 'Canada', '', 'CKD9', 51.13, -91.665556, 1355, -6, 'A', 'America/Winnipeg'),
	(8364, 'Collingwood', 'Collingwood', 'Canada', '', 'CNY3', 44.449167, -80.158333, 730, -5, 'A', 'America/Toronto'),
	(8365, 'Brantford', 'Brantford', 'Canada', 'YFD', 'CYFD', 43.131389, -80.3425, 815, -5, 'A', 'America/Toronto'),
	(8366, 'Lawrence Municipal', 'Lawrence', 'United States', 'LWC', 'KLWC', 39.009167, -95.2175, 833, -6, 'A', 'America/Chicago'),
	(8367, 'Wellington Municipal', 'Wellington', 'United States', 'EGT', 'KEGT', 37.39411, -97.423225, 1277, -6, 'A', 'America/Chicago'),
	(8368, 'Isla San Jose', 'Isla San Jose', 'Panama', '', '\\N', 8.252, -79.0668, 150, -5, 'N', 'America/Panama'),
	(8369, 'Griffin-Spalding County Airport', 'Griffin', 'United States', '6A2', '\\N', 33.2269722, -84.2749444, 958, -5, 'A', 'America/New_York'),
	(8370, 'Dieu Merci', 'Saint-Elie', 'French Guiana', '', '\\N', 4.7828, -53.2611, 253, -3, 'N', 'America/Cayenne'),
	(8371, 'DEGRA', 'REMIRE-MONTJOLY', 'French Guiana', '', '\\N', 4.8708, 52.2783, 33, -3, 'N', '\\N'),
	(8372, 'Herapel', 'Morsbach', 'France', '', '\\N', 49.1606, 6.8649, 840, 1, 'E', 'Europe/Paris'),
	(8373, 'Degrad des Cannes', 'REMIRE-MONTJOLY', 'French Guiana', '', '\\N', 4.8708, -52.2783, 33, -3, 'N', 'America/Cayenne'),
	(8374, 'Elysee', 'Elysee', 'French Guiana', '', '\\N', 4.75, -54.05, 100, -3, 'N', 'America/Cayenne'),
	(8375, 'Citron', 'Citron', 'French Guiana', '', '\\N', 4.7301, -53.9516, 100, -3, 'N', 'America/Cayenne'),
	(8376, 'Yaou', 'Maripasoula', 'French Guiana', '', '\\N', 3.7243, -53.9747, 300, -3, 'N', 'America/Cayenne'),
	(8377, 'Helicojyp', 'REMIRE-MONTJOLY', 'French Guiana', '', '\\N', 4.8936, -52.2922, 39, -3, 'N', 'America/Cayenne'),
	(8378, 'Nicosia International Airport', 'Nicosia', 'Cyprus', 'NIC', '\\N', 35.15111, 33.27222, 0, 2, 'E', 'Asia/Nicosia'),
	(8379, 'Pompano Beach Airpark', 'Pompano Beach', 'United States', 'PMP', 'KPMP', 26.2471389, -80.1110556, 19, -5, 'A', 'America/New_York'),
	(8380, 'Mallacoota Airport', 'Mallacoota', 'Australia', 'XMC', 'YMCO', -37.598301, 149.720001, 31, 10, 'U', 'Australia/Hobart'),
	(8381, 'Prince Abdul Majeed Airport', 'Al-Ula', 'Saudi Arabia', 'ULH', 'OEAO', 26.636718, 37.908018, 2047, 3, 'N', 'Asia/Riyadh'),
	(8382, 'Pogapa Airstrip', 'Pogapa', 'Indonesia', '', '\\N', -3.7518, 136.842481, 6060, 9, 'N', 'Asia/Jayapura'),
	(8383, 'Pogapa Airstrip', 'Pogapa', 'Indonesia', '', '\\N', -3.7518, 136.842481, 6060, 9, 'N', 'Asia/Jayapura'),
	(8384, 'Greyhound Station', 'Washington DC', 'United States', '', 'DCBS', 38.90339, -77.00583, 0, -5, 'A', 'America/New_York'),
	(8385, 'Roma Street Railway Station', 'Brisbane', 'Australia', '', '\\N', -27.4666667, -153.0166667, 100, 10, 'N', '\\N'),
	(8386, 'Roma Street Railway Station', 'Brisbane', 'Australia', '', '\\N', -27.4666667, 153.0166667, 100, 10, 'N', 'Australia/Brisbane'),
	(8387, 'Rockhampton Railway Station', 'Rockhampton', 'Australia', '', '\\N', -23.378941, 150.512323, 100, 10, 'N', 'Australia/Brisbane'),
	(8388, 'Sydney Terminal Railway Station', 'Sydney', 'Australia', '', '\\N', -33.88373, 151.20592, 100, 10, 'O', 'Australia/Sydney'),
	(8389, 'Melbourne Southern Cross Railway Station', 'Melbourne', 'Australia', '', '\\N', -37.8181602, 144.9533883, 111, 10, 'O', 'Australia/Hobart'),
	(8390, 'Nambour Railway Station', 'Nambour', 'Australia', '', '\\N', -26.617353, 152.973785, 400, 10, 'N', 'Australia/Brisbane'),
	(8391, 'Bundaberg Railway Station', 'Bundaberg', 'Australia', '', '\\N', -24.867837, 152.349416, 100, 10, 'U', 'Australia/Brisbane'),
	(8392, 'Hung Hom Railway Station', 'Hong Kong', 'Hong Kong', '', '\\N', 22.308813, 114.169624, 100, 8, 'N', 'Asia/Hong_Kong'),
	(8393, 'Hong Kong Railway Station', 'Hong Kong', 'Hong Kong', '', '\\N', 22.2846291082599, 114.158227443695, 100, 8, 'N', 'Asia/Hong_Kong'),
	(8394, 'Shelby County Airport', 'Alabaster', 'United States', 'EET', 'KEET', 33.1777778, -86.7832222, 586, -6, 'A', 'America/Chicago'),
	(8395, 'Yuendumu ', 'Yuendumu ', 'Australia', 'YUE', 'YYND', -22.254167, 131.781944, 2205, 9.5, 'O', 'Australia/Darwin'),
	(8396, 'Gare de Strasbourg', 'Strasbourg', 'France', 'XWG', '\\N', 48.585068, 7.734547, 475, 1, 'E', 'Europe/Paris'),
	(8397, 'Sky Ranch at Carefree', 'Carefree', 'United States', '', '18AZ', 33.8180947, -111.8979242, 2568, -7, 'N', 'America/Phoenix'),
	(8398, 'St Peter and St Paul Fortress', 'St. Petersburg', 'Russia', '', '\\N', 59.951443, 30.313831, 30, 4, 'N', 'Europe/Moscow'),
	(8399, 'Guangzhou South Railway Station', 'Guangzhou', 'China', 'GZS', '\\N', 22.990081, 113.270631, 1, 8, 'U', 'Asia/Chongqing'),
	(8400, 'Oddballs Camp Private Airstrip', 'Okavango Oddballs Camp', 'Botswana', '', '\\N', -19.531281, 23.091847, 3133, 2, 'N', 'Africa/Gaborone'),
	(8401, 'Lombok International Airport', 'Praya', 'Indonesia', 'LOP', 'WADL', -8.7573222, 116.276675, 52, 8, 'N', 'Asia/Makassar'),
	(8402, 'Marmul', 'Marmul', 'Oman', 'OMM', 'OONR', 18.133333, 55.266666, 900, 4, 'N', 'Asia/Muscat'),
	(8403, 'One Hundred Mile House Airport', 'One Hundred Mile House', 'Canada', '', 'CAV3', 51.3833, -121.1825, 3055, -8, 'A', 'America/Vancouver'),
	(8404, 'South Cariboo Regional Airport', '108 Mile Ranch', 'Canada', 'ZML', 'CZML', 51.4412, -121.1958, 3129, -8, 'A', 'America/Vancouver'),
	(8405, 'Glasgow City Heliport', 'Glasgow', 'United Kingdom', '', 'EGEG', 55.5141, -4.1749, 10, 0, 'E', 'Europe/London'),
	(8406, 'Yarram', 'Yarram', 'Australia', '', 'YYRM', -38.56, 146.75, 200, 10, 'O', 'Australia/Hobart'),
	(8407, 'Hebei Handan Airport', 'Handan', 'China', 'HDG', 'ZBHD', 36.524, 114.43, 0, 8, 'N', 'Asia/Chongqing'),
	(8408, 'Jade Mountain Helipad', 'Soufriere', 'Saint Lucia', '', '\\N', 13.868921, -61.073596, 341, -4, 'N', 'America/St_Lucia'),
	(8409, 'Indianapolis Metropolitan Airport', 'Indianapolis', 'United States', 'UMP', 'KUMP', 39.935278, -86.045, 811, -5, 'A', 'America/New_York'),
	(8410, 'London-Corbin Airport-MaGee Field', 'London', 'United States', 'LOZ', 'KLOZ', 37.0868889, -84.0773889, 1212, -5, 'A', 'America/New_York'),
	(8411, 'Camden Station', 'Baltimore', 'United States', '', '\\N', 39.2837181, -76.621634, 49, -5, 'A', 'America/New_York'),
	(8412, 'Fredericksburg Amtrak Station', 'Fredericksburg', 'United States', 'FBG', '\\N', 38.298416, -77.456875, 130, -5, 'A', 'America/New_York'),
	(8413, 'Pamalican Airstrip', 'Cuyo', 'Philippines', '', '\\N', 11.354499, 120.730991, 0, 8, 'N', 'Asia/Manila'),
	(8414, 'Warsaw Modlin', 'Warsaw', 'Poland', 'WMI', 'EPMO', 52.451111, 20.651667, 341, 1, 'E', 'Europe/Warsaw'),
	(8415, 'Buffalo Bus Terminal', 'Buffalo', 'United States', '', 'BBUF', 42.883512, -78.87205, 0, -5, 'A', 'America/New_York'),
	(8416, 'Twelve Apostles Heliport', 'Princetown', 'Australia', '', '\\N', -38.665833, 143.104444, 165, 10, 'U', 'Australia/Hobart'),
	(8417, 'Jixi Airport', 'Jixi', 'China', 'JXA', 'ZYJX', 45.30611, 130.99667, 0, 8, 'N', 'Asia/Chongqing'),
	(8418, 'King St Station', 'Seattle', 'United States', '', 'SEAT', 47.5985, -122.3299, 7, -8, 'A', 'America/Los_Angeles'),
	(8419, 'Jungseok', 'Seogwipo', 'South Korea', '', 'RKPD', 33.399561, 126.711567, 1171, 9, 'U', 'Asia/Seoul'),
	(8420, 'Berlin Brandenburg Willy Brandt', 'Berlin', 'Germany', 'BER', 'EDDB', 52.366667, 13.503333, 154, 1, 'E', 'Europe/Berlin'),
	(8421, 'Taoyuan Station', 'Zhongli', 'Taiwan', '', '\\N', 25.013092, 121.215216, 250, 8, 'N', 'Asia/Taipei'),
	(8422, 'Palatka Amtrak Station', 'Palatka', 'United States', '', '\\N', 29.649178, -81.640456, 16, -5, 'A', 'America/New_York'),
	(8423, 'Gimli Industrial Park Airport', 'Gimli', 'Canada', 'YGM', 'CYGM', 50.628056, -97.043333, 753, -6, 'A', 'America/Winnipeg'),
	(8424, 'Matheson Island Airport', 'Matheson Island', 'Canada', '', '\\N', 51.732222, -96.934444, 725, -6, 'A', 'America/Winnipeg'),
	(8425, 'Matheson Island Airport', 'Matheson Island', 'Canada', '', '\\N', 51.732222, -96.934444, 725, -6, 'A', 'America/Winnipeg'),
	(8426, 'Matheson Island Airport', 'Matheson Island', 'Canada', '', 'CJT2', 51.732222, -96.934444, 725, -6, 'A', 'America/Winnipeg'),
	(8427, 'Tura', 'Tura', 'Russia', '', 'UNIT', 64.33, 100.43, 400, 8, 'N', 'Asia/Krasnoyarsk'),
	(8428, 'Beloyarsky', 'Beloyarsky', 'Russia', 'EYK', 'USHQ', 63.683056, 66.683056, 25, 6, 'E', 'Asia/Yekaterinburg'),
	(8429, 'Ypenburg', 'Ypenburg', 'Netherlands', '', 'EHYB', 52.040376, 4.365771, 0, 1, 'E', 'Europe/Amsterdam'),
	(8430, 'John H. Batten Airport', 'Racine', 'United States', 'RAC', 'KRAC', 42.7605, -87.8152, 674, -6, 'A', 'America/Chicago'),
	(8431, 'Taytay Sandoval', 'Taytay', 'Philippines', 'RZP', 'RPSD', 11.05167, 119.5183, 75, 8, 'U', 'Asia/Manila'),
	(8432, 'Gera Leumnitz', 'Gera', 'Germany', '', 'EDAJ', 50.8814, 12.1322, 100, 1, 'E', 'Europe/Berlin'),
	(8433, 'Gera Leumnitz', 'Gera', 'Germany', '', '\\N', 50.880023, 12.132411, 100, 1, 'E', 'Europe/Berlin'),
	(8434, 'Mira Flores', 'Mira Flores', 'Colombia', '', '\\N', 1.444549, -71.949921, 300, -5, 'S', 'America/Bogota'),
	(8435, 'Kasimovo', 'Saint-Petersburg', 'Russia', '', 'XLLN', 60.200059, 30.334926, 230, 4, 'N', 'Europe/Moscow'),
	(8436, 'Otaru', 'Otaru', 'Japan', 'QOT', '\\N', 43.1894444, 141.0022222, 0, 9, 'N', 'Asia/Tokyo'),
	(8437, 'Noboribetsu', 'Noboribetsu', 'Japan', '', '\\N', 42.46867, 141.03833, 361, 9, 'N', 'Asia/Tokyo'),
	(8438, 'Terlet', 'Arnhem', 'Netherlands', '', 'EHTL', 52.057222, 5.924444, 276, 1, 'E', 'Europe/Amsterdam'),
	(8439, 'Schaffen Diest', 'Schaffen', 'Belgium', '', '\\N', 51.002846, 5.060649, 100, 1, 'E', 'Europe/Brussels'),
	(8440, 'Blomberg 3GGW', 'Blomberg', 'Germany', '', '\\N', 51.930401, 9.094285, 200, 1, 'E', 'Europe/Berlin'),
	(8441, 'Buckeburg', 'Buckeburg', 'Germany', '', '\\N', 52.279764, 9.079843, 200, 1, 'E', 'Europe/Berlin'),
	(8442, 'Shigatse Peace Airport', 'Shigatse', 'China', 'RKZ', 'ZURK', 29.351667, 89.306944, 12408, 8, 'N', 'Asia/Chongqing'),
	(8443, 'Redlands Municipal Airport', 'Redlands', 'United States', 'REI', 'KREI', 34.08525, -117.146388, 1574, -8, 'A', 'America/Los_Angeles'),
	(8444, 'Chemehuevi Valley', 'Chemehuevi Valley', 'United States', '49X', '\\N', 34.528889, -114.431971, 638, -8, 'A', 'America/Los_Angeles'),
	(8445, 'Flabob Airport', 'Riverside', 'United States', 'RIR', 'KRIR', 33.988778, -117.409971, 764, -8, 'A', 'America/Los_Angeles'),
	(8446, 'Tacoma Narrows Airport', 'Tacoma', 'United States', 'TIW', 'KTIW', 47.267944, -122.57811, 294, -8, 'A', 'America/Los_Angeles'),
	(8447, 'Tampa North Aero Park', 'Tampa', 'United States', 'X39', '\\N', 28.221278, -82.374555, 68, -5, 'A', 'America/New_York'),
	(8448, 'Athuruga', 'Athuruga', 'Maldives', '', '\\N', 3, 72, 0, 5, 'N', 'Indian/Maldives'),
	(8449, 'Athuruga', 'Athuruga', 'Maldives', '', '\\N', 3, 72, 0, 5, 'U', 'Indian/Maldives'),
	(8450, 'Athuruga', 'Athuruga', 'Maldives', '', '\\N', 3, 72, 0, 5, 'U', 'Indian/Maldives'),
	(8451, 'STROE KAZERNE', 'STROE', 'Netherlands', '', '\\N', 52.198138, 5.705802, 10, 1, 'E', 'Europe/Amsterdam'),
	(8452, '\\\\\'t Harde', 'Oldebroek', 'Netherlands', '', '\\N', 52.406503, 5.898492, 10, 1, 'E', 'Europe/Amsterdam'),
	(8453, 'WERL KAZERNE', 'WERL', 'Germany', '', '\\N', 51.566907, 7.915326, 100, 1, 'E', 'Europe/Berlin'),
	(8454, 'SZEGED', 'SZEGED', 'Hungary', '', '\\N', 46.252761, 20.096519, 100, 1, 'E', 'Europe/Budapest'),
	(8455, 'LAKE WANNSEE', 'BERLIN', 'Germany', '', '\\N', 52.437517, 13.175561, 0, 1, 'E', 'Europe/Berlin'),
	(8456, 'Tenkiller Lake Airpark', 'COOKSON', 'United States', '', '\\N', 35.705541, -94.933605, 150, -6, 'U', 'America/Chicago'),
	(8457, 'HOEVENEN', 'HOEVENEN', 'Belgium', '', '\\N', 51.304111, 4.388766, 50, 1, 'E', 'Europe/Brussels'),
	(8458, 'GRAS', 'HARREVELD', 'Netherlands', '', '\\N', 51.981127, 6.516252, 50, 1, 'E', 'Europe/Amsterdam'),
	(8459, 'Muenster-Telgte', 'TELGTE', 'Germany', '', 'EDLO', 51.944556, 7.773292, 100, 1, 'E', 'Europe/Berlin'),
	(8460, 'Jack Edwards Airport', 'Gulf Shores', 'United States', 'JKA', 'KJKA', 30.2896389, -87.6717778, 17, -6, 'A', 'America/Chicago'),
	(8461, 'General Villamil Airport', 'Isabela', 'Ecuador', '', 'SEII', -0.942499999, -90.95305555, 35, -6, 'N', 'Pacific/Galapagos'),
	(8462, 'Balzers Heliport', 'Balzers', 'Switzerland', '', 'LSXB', 47.076667, 9.5, 1585, 1, 'E', 'Europe/Vaduz'),
	(8463, 'Vieste Heliport', 'Vieste', 'Italy', 'VIF', '\\N', 41.885277, 16.176945, 46, 1, 'E', 'Europe/Rome'),
	(8464, 'Alpha', 'Cork', 'Ireland', '', '\\N', 51.400377, -7.901464, 100, 0, 'U', '\\N'),
	(8465, 'Gogld', 'Island of Gogland', 'Russia', '', '\\N', 60.011662, 27.008236, 10, 3, 'U', '\\N'),
	(8466, 'HIBER', 'Offshore', 'Mexico', '', '\\N', 19.398611, -92.016111, 100, -6, 'U', '\\N'),
	(8467, 'Punitz-Guessing', 'Punitz-Guessing', 'Austria', '', 'LOGG', 47.14833, 16.31833, 950, 1, 'E', 'Europe/Vienna'),
	(8468, 'Khmeinitskiy', 'Khmeinitskiy', 'Ukraine', 'HMJ', 'UKLH', 49.366, 26.933, 351, 2, 'E', 'Europe/Kiev'),
	(8469, 'Hiroshima-Nishi', 'Hiroshima', 'Japan', 'HIW', 'RJBH', 34.367, 132.408, 9, 9, 'N', 'Asia/Tokyo'),
	(8470, 'Annapolis', 'Annapolis', 'United States', '', 'ANNA', 38.972944, -76.501158, 0, -5, 'A', 'America/New_York'),
	(8471, 'High River Regional Airport', 'High River', 'Canada', '', '\\N', 50.3333, -113.833, 3431, -7, 'A', 'America/Edmonton'),
	(8472, 'Yalata', 'Yalata', 'Australia', '', 'YYTA', -31.29, 131.51, 100, 9.5, 'O', 'Australia/Adelaide'),
	(8473, 'Hazleton Municipal', 'Hazleton', 'United States', 'HZL', 'KHZL', 40.989167, -76.0025, 1603, -5, 'A', 'America/New_York'),
	(8474, 'Greater Cumberland Rgnl.', 'Cumberland', 'United States', 'CBE', 'KCBE', 39.615278, -78.760556, 775, -5, 'A', 'America/New_York'),
	(8475, 'Sugar Loaf Shores Airport', 'Key West', 'United States', '', '7FA1', 24.6487544, -81.5798083, 4, -5, 'A', 'America/New_York'),
	(8476, 'Wyndham', 'Wyndham', 'Australia', '', 'YWYM', -15.2857, 128.0722, 100, 8, 'U', 'Australia/Perth'),
	(8477, 'Bob Quinn Lake', 'Bob Quinn Lake', 'Canada', 'YBO', 'CBW4', 56.58, -130.5, 50, -8, 'U', 'America/Vancouver'),
	(8478, 'Songo Songo', 'Songo Songo Island', 'Tanzania', '', '\\N', -8.528056, 39.506944, 1, 3, 'U', 'Africa/Dar_es_Salaam'),
	(8479, 'Jongomero Camp', 'Ruaha National Park', 'Tanzania', '', '\\N', -7.895, 34.580853, 0, 3, 'U', 'Africa/Dar_es_Salaam'),
	(8480, 'Msembe Airstrip', 'Msembe', 'Tanzania', '', '\\N', -7.686111, 35.926944, 0, 3, 'U', 'Africa/Dar_es_Salaam'),
	(8481, 'Fox Glacier Airstrip', 'Fox Glacier', 'New Zealand', 'FGL', '\\N', -43.4, 170.033, 475, 12, 'Z', 'Pacific/Auckland'),
	(8482, 'Grabtsevo', 'Kaluga', 'Russia', 'KLF', 'UUBS', 54.55, 36.367, 600, 4, 'E', 'Europe/Moscow'),
	(8483, 'Reykjahlid', 'Reykjahlid', 'Iceland', '', '\\N', 65.6, -17, 100, 0, 'U', 'Atlantic/Reykjavik'),
	(8484, 'Central Station', 'Stockholm', 'Sweden', 'XEV', '\\N', 59.33, 18.058056, 10, 1, 'E', 'Europe/Stockholm'),
	(8485, 'Central Station', 'Uppsala', 'Sweden', 'QYX', '\\N', 59.858333, 17.646111, 23, 1, 'E', 'Europe/Stockholm'),
	(8486, 'Centraal', 'Rotterdam', 'Netherlands', 'QRH', '\\N', 51.924444, 4.469444, 7, 1, 'E', 'Europe/Amsterdam'),
	(8487, 'Holesovice', 'Praha', 'Czech Republic', 'XYJ', '\\N', 50.11, 14.439444, 616, 1, 'E', 'Europe/Prague'),
	(8488, 'Hauptbahnhof', 'Bonn', 'Germany', 'BNJ', '\\N', 50.731944, 7.096944, 204, 1, 'E', 'Europe/Berlin'),
	(8489, 'Central', 'Copenhagen', 'Denmark', 'ZGH', '\\N', 55.672778, 12.564444, 16, 1, 'E', 'Europe/Copenhagen'),
	(8490, 'Hauptbahnhof', 'Salzburg', 'Austria', 'ZSB', '\\N', 47.813056, 13.046667, 1391, 1, 'E', 'Europe/Vienna'),
	(8491, 'Centraal', 'Antwerp', 'Belgium', 'ZWE', '\\N', 51.217222, 4.421111, 51, 1, 'E', 'Europe/Brussels'),
	(8492, 'Ellisras', 'Lephalale', 'South Africa', 'ELL', 'FAEA', -23.666667, 27.75, 2700, 2, 'U', 'Africa/Johannesburg'),
	(8493, 'Tri-County Regional Airport', 'Lone Rock', 'United States', 'LNR', 'KLNR', 43.211667, -90.181667, 718, -6, 'A', 'America/Chicago'),
	(8494, 'Price County Airport', 'Phillips', 'United States', '', 'KPBH', 45.705, -90.403056, 1466, -6, 'A', 'America/Chicago'),
	(8495, 'Municipal', 'Monroe', 'United States', '', 'KEFT', 42.616389, -89.591944, 1079, -6, 'A', 'America/Chicago'),
	(8496, 'Regional Airport', 'Joliet', 'United States', 'JOT', 'KJOT', 41.517778, -88.175556, 582, -6, 'A', 'America/Chicago'),
	(8497, 'Illinois Valley Regional', 'Peru', 'United States', 'VYS', 'KVYS', 41.351944, -89.153056, 654, -6, 'A', 'America/Chicago'),
	(8498, 'Dirk Hartog Island', 'Dirk Hartog Island', 'Australia', '', 'YDHD', -26.00937, 113.160008, 15, 8, 'O', 'Australia/Perth'),
	(8499, 'Reynolds Field', 'Jackson', 'United States', 'JXN', 'KJXN', 42.260556, -84.460556, 1001, -5, 'A', 'America/New_York'),
	(8500, 'Flugplatz', 'Furstenwalde', 'Germany', '', 'EDAL', 52.393889, 14.099722, 141, 1, 'E', 'Europe/Berlin'),
	(8501, 'Flugplatz Finow', 'Eberswalde', 'Germany', '', 'EDAV', 52.827222, 13.693611, 121, 1, 'E', 'Europe/Berlin'),
	(8502, 'Joseph A. Hardy Airport', 'Connellsville', 'United States', '', 'KVVS', 39.959167, -79.657222, 1267, -5, 'A', 'America/New_York'),
	(8503, 'Bedford County', 'Bedford', 'United States', '', 'KHMZ', 40.086111, -78.513333, 1162, -5, 'A', 'America/New_York'),
	(8504, 'Wings Field', 'Philadelphia', 'United States', 'BBX', 'KLOM', 40.1375, -75.265, 302, -5, 'A', 'America/New_York'),
	(8505, 'County', 'Okeechobee', 'United States', 'OBE', 'KOBE', 27.265833, -80.851111, 34, -5, 'A', 'America/New_York'),
	(8506, 'Regional - Hendricks AAF', 'Sebring', 'United States', 'SEF', 'KSEF', 27.456389, -81.342222, 63, -5, 'A', 'America/New_York'),
	(8507, 'Executive', 'Avon Park', 'United States', 'AVO', 'KAVO', 27.591389, -81.528889, 160, -5, 'A', 'America/New_York'),
	(8508, 'Gilbert Airport', 'Winter Haven', 'United States', 'GIF', 'KGIF', 28.062778, -81.753333, 145, -5, 'A', 'America/New_York'),
	(8509, 'Municipal Airport', 'Zephyrhills', 'United States', 'ZPH', 'KZPH', 28.228056, -82.155833, 90, -5, 'A', 'America/New_York'),
	(8510, 'International Airport', 'Ocala', 'United States', 'OCF', 'KOCF', 29.1725, -82.224167, 89, -5, 'A', 'America/New_York'),
	(8511, 'Jesup-Wayne County Airport', 'Jesup', 'United States', 'JES', 'KJES', 31.553889, -81.8825, 107, -5, 'A', 'America/New_York'),
	(8512, 'Madison GA Municipal Airport', 'Madison', 'United States', '52A', 'K52A', 33.612125, -83.4604444, 694, -5, 'A', 'America/New_York'),
	(8513, 'Coweta County Airport', 'Newnan', 'United States', 'CCO', 'KCCO', 33.3115656, -84.7697554, 970, -5, 'A', 'America/New_York'),
	(8514, 'McDuffie County Airport', 'Thomson', 'United States', 'HQU', 'KHQU', 33.5297315, -82.5169509, 501, -5, 'A', 'America/New_York'),
	(8515, 'Municipal Airport', 'Aiken', 'United States', 'AIK', 'KAIK', 33.6493889, -81.6850278, 529, -5, 'A', 'America/New_York'),
	(8516, 'Woodward Field', 'Camden', 'United States', 'CDN', 'KCDN', 34.2835833, -80.5648611, 302, -5, 'A', 'America/New_York'),
	(8517, 'Municipal Airport', 'Lumberton', 'United States', 'LBT', 'KLBT', 34.6098056, -79.0595556, 125, -5, 'A', 'America/New_York'),
	(8518, 'Ridgeland Airport', 'Ridgeland', 'United States', '3J1', '\\N', 32.4934167, -80.99175, 79, -5, 'A', 'America/New_York'),
	(8519, 'Moore County Airport', 'Pinehurst-Southern Pines', 'United States', 'SOP', 'KSOP', 35.2376111, -79.3887958, 455, -5, 'A', 'America/New_York'),
	(8520, 'Richmond County Airport', 'Rockingham', 'United States', 'RCZ', 'KRCZ', 34.8913056, -79.7596111, 358, -5, 'A', 'America/New_York'),
	(8521, 'Bamberg County Airport', 'Bamberg', 'United States', '99N', '\\N', 33.3045278, -81.1084167, 231, -5, 'A', 'America/New_York'),
	(8522, 'Richland Airport', 'Richland Center', 'United States', '93C', '\\N', 43.2833575, -90.2982819, 742, -6, 'A', 'America/Chicago'),
	(8523, 'Municipal Airport', 'Viroqua', 'United States', 'Y51', '\\N', 43.5793603, -90.8964742, 1292, -6, 'A', 'America/Chicago'),
	(8524, 'Baraboo Wisconsin Dells Airport', 'Baraboo', 'United States', 'DLL', 'KDLL', 43.5217843, -89.7709266, 979, -6, 'A', 'America/Chicago'),
	(8525, 'Foster Field', 'Apple River', 'United States', '7A4', '\\N', 42.4664444, -90.1693889, 990, -6, 'A', 'America/Chicago'),
	(8526, 'Regional Airport', 'Statesville', 'United States', 'SVH', 'KSVH', 35.7649958, -80.9538958, 968, -5, 'A', 'America/New_York'),
	(8527, 'Sylvania Airport', 'Sturtevant', 'United States', 'C89', '\\N', 42.70325, -87.9589722, 785, -6, 'A', 'America/Chicago'),
	(8528, 'Municipal Airport', 'Burlington', 'United States', 'BUU', 'KBUU', 42.6907171, -88.3046825, 780, -6, 'A', 'America/Chicago'),
	(8529, 'Stroudsburg-Pocono Airport', 'East Stroudsburg', 'United States', 'N53', '\\N', 41.0358717, -75.1606789, 480, -5, 'A', 'America/New_York'),
	(8530, 'Spring Hill Airport', 'Sterling', 'United States', '70N', '\\N', 41.3473569, -75.4158972, 1729, -5, 'A', 'America/New_York'),
	(8531, 'Randall Airport', 'Middletown', 'United States', '06N', '\\N', 41.431912, -74.3915611, 523, -5, 'A', 'America/New_York'),
	(8532, 'William T. Piper Mem.', 'Lock Haven', 'United States', 'LHV', 'KLHV', 41.1357778, -77.4223056, 556, -5, 'A', 'America/New_York'),
	(8533, 'Grove City Airport', 'Grove City', 'United States', '29D', '\\N', 41.1460278, -80.16775, 1371, -5, 'A', 'America/New_York'),
	(8534, 'Lansdowne Airport', 'Youngstown', 'United States', '04G', '\\N', 41.1304722, -80.6195833, 1044, -5, 'A', 'America/New_York'),
	(8535, 'Wadsworth Municipal', 'Wadsworth', 'United States', '3G3', '\\N', 41.0031572, -81.7564401, 974, -5, 'A', 'America/New_York'),
	(8536, 'Ashland County Airport', 'Ashland', 'United States', '3G4', '\\N', 40.9029722, -82.2556389, 1206, -5, 'A', 'America/New_York'),
	(8537, 'Pittsburgh-Monroeville Airport', 'Monroeville', 'United States', '4G0', '\\N', 40.4526389, -79.7749167, 1187, -5, 'A', 'America/New_York'),
	(8538, 'Zelienople Municipal Airport', 'Zelienople', 'United States', '', 'KPJC', 40.8019722, -80.1608611, 898, -5, 'A', 'America/New_York'),
	(8539, 'Somerset County Airport', 'Somerset', 'United States', '2G9', '\\N', 40.0388708, -79.0149951, 2275, -5, 'A', 'America/New_York'),
	(8540, 'Youngstown Elser Metro Airport', 'Youngstown', 'United States', '4G4', '\\N', 40.9617953, -80.6773264, 1070, -5, 'A', 'America/New_York'),
	(8541, 'Braceville Airport', 'Braceville', 'United States', '41N', '\\N', 41.2111675, -80.9692572, 900, -5, 'A', 'America/New_York'),
	(8542, 'Lorain County Regional Airport', 'Lorain-Elyria', 'United States', 'LPR', 'KLPR', 41.3442778, -82.1776389, 793, -5, 'A', 'America/New_York'),
	(8543, 'Germack Airport', 'Geneva', 'United States', '7D9', '\\N', 41.7778322, -80.9039797, 820, -5, 'A', 'America/New_York'),
	(8544, 'Burke Lakefront Airport', 'Cleveland', 'United States', 'BKL', 'KBKL', 41.5175, -81.683333, 583, -5, 'A', 'America/New_York'),
	(8545, 'Chautauqua County-Dunkirk Airport', 'Dunkirk', 'United States', 'DKK', 'KDKK', 42.4933353, -79.2720417, 693, -5, 'A', 'America/New_York'),
	(8546, 'Hamburg Inc Airport', 'Hamburg', 'United States', '4G2', '\\N', 42.7008925, -78.9147569, 751, -5, 'A', 'America/New_York'),
	(8547, 'Trenton-Robbinsville Airport', 'Trenton', 'United States', 'N87', '\\N', 40.2139444, -74.6017778, 118, -5, 'A', 'America/New_York'),
	(8548, 'South Jersey Regional Airport', 'Mount Holly', 'United States', 'VAY', 'KVAY', 39.9428889, -74.84575, 53, -5, 'A', 'America/New_York'),
	(8549, 'Spitfire Aerodrome', 'Pedricktown', 'United States', '7N7', '\\N', 39.7355633, -75.3977211, 40, -5, 'A', 'America/New_York'),
	(8550, 'Linden Airport', 'Linden', 'United States', 'LDJ', 'KLDJ', 40.6174472, -74.2445942, 23, -5, 'A', 'America/New_York'),
	(8551, 'Morgantown Airport', 'Morgantown', 'United States', 'O03', '\\N', 40.1570414, -75.8704892, 600, -5, 'A', 'America/New_York'),
	(8552, 'Harford County Airport', 'Churchville', 'United States', '0W3', '\\N', 39.5668378, -76.2024028, 409, -5, 'A', 'America/New_York'),
	(8553, 'Tri-State Steuben County Airport', 'Angola', 'United States', 'ANQ', 'KANQ', 41.6396983, -85.0834933, 995, -5, 'A', 'America/New_York'),
	(8554, 'Plymouth Municipal Airport', 'Plymouth', 'United States', 'C65', '\\N', 41.3651307, -86.3002574, 800, -5, 'A', 'America/New_York'),
	(8555, 'Warsaw Municipal Airport', 'Warsaw', 'United States', '', 'KASW', 41.2746944, -85.8400556, 850, -5, 'A', 'America/New_York'),
	(8556, 'Van Wert County Airport', 'Van Wert', 'United States', 'VNW', 'KVNW', 40.8638295, -84.606358, 787, -5, 'A', 'America/New_York'),
	(8557, 'Port Bucyrus-Crawford County Airport', 'Bucyrus', 'United States', '17G', '\\N', 40.7815556, -82.9748056, 1003, -5, 'A', 'America/New_York'),
	(8558, 'Lake Wales Municipal Airport', 'Lake Wales', 'United States', 'X07', '\\N', 27.8938056, -81.6203889, 127, -5, 'A', 'America/New_York'),
	(8559, 'Brooks Field Airport', 'Marshall', 'United States', 'RMY', 'KRMY', 42.2511932, -84.9554443, 941, -5, 'A', 'America/New_York'),
	(8560, 'Genesee County Airport', 'Batavia', 'United States', 'GVQ', 'KGVQ', 43.03175, -78.1696667, 914, -5, 'A', 'America/New_York'),
	(8561, 'Finger Lakes Regional Airport', 'Seneca Falls', 'United States', '0G7', '\\N', 42.8835647, -76.7812318, 492, -5, 'A', 'America/New_York'),
	(8562, 'Stormville Airport', 'Stormville', 'United States', 'N69', '\\N', 41.5769708, -73.7323514, 358, -5, 'A', 'America/New_York'),
	(8563, 'Robertson Field', 'Plainville', 'United States', '4B8', '\\N', 41.6893333, -72.8646944, 202, -5, 'A', 'America/New_York'),
	(8564, 'Williams County Airport', 'Bryan', 'United States', '0G6', '\\N', 41.4673056, -84.5067778, 730, -5, 'A', 'America/New_York'),
	(8565, 'Clearwater Air Park', 'Clearwater', 'United States', 'CLW', 'KCLW', 27.9764722, -82.7586667, 70, -5, 'A', 'America/New_York'),
	(8566, 'South Lakeland Airport', 'Lakeland', 'United States', 'X49', '\\N', 27.9333581, -82.0439739, 110, -5, 'A', 'America/New_York'),
	(8567, 'Scatsta Airport', 'Scatsta', 'United Kingdom', 'SCS', '\\N', 60.433, -1.3, 0, 0, 'U', 'Europe/London'),
	(8568, 'North Sea', 'Buchan Alpha', 'United Kingdom', '', '\\N', 57.9039, 0.0319, 0, 0, 'U', '\\N'),
	(8569, 'North Sea', 'Buchan Alpha', 'United Kingdom', '', '\\N', 57.9039, 0.0319, 0, 0, 'U', '\\N'),
	(8570, 'North Sea', 'Claymore', 'United Kingdom', '', 'CLAA', 58.4494, -0.2536, 0, 0, 'U', '\\N'),
	(8571, 'North Sea', 'FPSO Anasuria', 'United Kingdom', '', 'ANAS', 57.1524, 0.0483, 0, 0, 'U', '\\N'),
	(8572, 'North Sea', 'BP Bruce', 'United Kingdom', '', 'BRU1', 58.44, 2.33, 0, 0, 'U', '\\N'),
	(8573, 'North Sea', 'Buchan Alpha', 'United Kingdom', '', 'BUCA', 57.9039, 0.0319, 0, 0, 'U', '\\N'),
	(8574, 'North Sea', 'Buzzard', 'United Kingdom', '', 'BUZZ', 56.8, 0.766, 0, 0, 'U', '\\N'),
	(8575, 'North Sea', 'Clyde', 'United Kingdom', '', 'CLY1', 56.45, 2.2833, 0, 0, 'U', '\\N'),
	(8576, 'North Sea', 'Cormorant Alpha', 'United Kingdom', '', 'COA1', 61.2333, -1.15, 0, 0, 'U', '\\N'),
	(8577, 'North Sea', 'Forties Alpha', 'United Kingdom', '', 'FA08', 57.7167, -1.0167, 0, 0, 'U', '\\N'),
	(8578, 'North Sea', 'Forties Charlie', 'United Kingdom', '', 'FC08', 57.7167, -1.0167, 0, 0, 'U', '\\N'),
	(8579, 'North Sea', 'Fulmar', 'United Kingdom', '', 'FUA1', 56.48, 2.13, 0, 0, 'U', '\\N'),
	(8580, 'North Sea', 'Gannet Alpha', 'United Kingdom', '', 'GAA1', 57.3, 1.2, 0, 0, 'U', '\\N'),
	(8581, 'North Sea', 'Montrose Alpha', 'United Kingdom', '', 'MOA1', 57.4506, 1.3883, 0, 0, 'U', '\\N'),
	(8582, 'North Sea', 'Tern', 'United Kingdom', '', 'TEA1', 61.3333, 0.8333, 0, 0, 'U', '\\N'),
	(8583, 'Atlantic Ocean', 'FPSO Xikomba', 'Angola', '', 'XKSO', -6.0333, 11.0166, 0, 0, 'U', '\\N'),
	(8584, 'Zoo', 'Berlin', 'Germany', 'QWC', '\\N', 52.507222, 13.3325, 120, 1, 'E', 'Europe/Berlin'),
	(8585, 'Frankfurt Oder Hbf', 'Frankfurt Oder', 'Germany', 'ZFR', '\\N', 52.336944, 14.547222, 177, 1, 'E', 'Europe/Berlin'),
	(8586, 'Gare de Lyon', 'Paris', 'France', 'PLY', '\\N', 48.844722, 2.373611, 129, 1, 'E', 'Europe/Paris'),
	(8587, 'Gare de LEst', 'Paris', 'France', 'XHP', '\\N', 48.876944, 2.359167, 149, 1, 'E', 'Europe/Paris'),
	(8588, 'All Airports', 'Paris', 'France', 'PAR', '\\N', 48.856389, 2.352222, 107, 1, 'E', 'Europe/Paris'),
	(8589, 'Ostbahnhof', 'Berlin', 'Germany', 'BHF', '\\N', 52.51, 13.434722, 135, 1, 'E', 'Europe/Berlin'),
	(8590, 'All Airports', 'London', 'United Kingdom', 'LON', '\\N', 51.508056, -0.127778, 66, 0, 'E', 'Europe/London'),
	(8591, 'All Airports', 'New York', 'United States', 'NYC', '\\N', 40.714167, -74.005833, 31, -5, 'A', 'America/New_York'),
	(8592, 'All Airports', 'Chicago', 'United States', 'CHI', '\\N', 41.883611, -87.631667, 596, -6, 'A', 'America/Chicago'),
	(8593, 'Meigs Field', 'Chicago', 'United States', 'CGX', 'KCGX', 41.860278, -87.609722, 585, -6, 'A', 'America/Chicago'),
	(8594, 'All Airports', 'Tokyo', 'Japan', 'TYO', '\\N', 35.689444, 139.691667, 123, 9, 'U', 'Asia/Tokyo'),
	(8595, 'All Airports', 'Beijing', 'China', 'BJS', '\\N', 39.904167, 116.407222, 171, 8, 'U', 'Asia/Chongqing'),
	(8596, 'All Airports', 'Milan', 'Italy', 'MIL', '\\N', 45.463611, 9.188056, 402, 1, 'E', 'Europe/Rome'),
	(8597, 'All Airports', 'Washington', 'United States', 'WAS', '\\N', 38.889444, -77.035278, 25, -5, 'A', 'America/New_York'),
	(8598, 'All Airports', 'Montreal', 'Canada', 'YMQ', '\\N', 45.508611, -73.553889, 53, -5, 'A', 'America/Toronto'),
	(8599, 'All Airports', 'Toronto', 'Canada', 'YTO', '\\N', 43.653056, -79.383056, 302, -5, 'A', 'America/Toronto'),
	(8600, 'Longhua Airport', 'Shanghai', 'China', '', 'ZSSL', 31.166944, 121.453611, 14, 8, 'U', 'Asia/Chongqing'),
	(8601, 'Pickens County Airport', 'Jasper', 'United States', 'JZP', 'KJZP', 34.4534722, -84.4572222, 1535, -5, 'A', 'America/New_York'),
	(8602, 'Gesundbrunnen', 'Berlin', 'Germany', 'BGS', '\\N', 52.548611, 13.389444, 150, 1, 'E', 'Europe/Berlin'),
	(8603, 'Saarmund Airport', 'Saarmund', 'Germany', '', 'EDCS', 52.3089943, 13.1006727, 160, 1, 'E', 'Europe/Berlin'),
	(8604, 'Grand Strand Airport', 'North Myrtle Beach', 'United States', 'CRE', '\\N', 33.81175, -78.7239444, 31, -5, 'A', 'America/New_York'),
	(8605, 'Sun Moon Lake Airport', 'Sun Moon Lake', 'Taiwan', 'SMT', '\\N', 23.8833, 120.933, 2405, 8, 'U', 'Asia/Taipei'),
	(8606, 'Lansing Municipal', 'Lansing', 'United States', 'IGQ', 'KIGQ', 41.5349167, -87.5295278, 620, -6, 'A', 'America/Chicago'),
	(8607, 'Bloyer Field', 'Tomah', 'United States', 'Y72', '\\N', 43.9762222, -90.4806111, 966, -6, 'A', 'America/Chicago'),
	(8608, 'Ramona Airport', 'Ramona', 'United States', 'RNM', 'KRNM', 33.0391667, -116.91525, 1395, -8, 'A', 'America/Los_Angeles'),
	(8609, 'Dole-Pont Sur Yonne Airport', 'Pont Sur Yonne', 'France', '', 'LFGO', 48.288333, 3.246389, 223, 1, 'E', 'Europe/Paris'),
	(8610, 'Dole-St Florentin Cheu Airport', 'St Florentin Cheu', 'France', '', 'LFGP', 47.981389, 3.776389, 345, 1, 'E', 'Europe/Paris'),
	(8611, 'Guiscriff-Saulieu Liernais Airport', 'Saulieu', 'France', '', 'LFEW', 47.238611, 4.263056, 1699, 1, 'E', 'Europe/Paris'),
	(8612, 'Olten Airport', 'Olten', 'Switzerland', '', 'LSPO', 47.343611, 7.8875, 1370, 1, 'E', 'Europe/Zurich'),
	(8613, 'Buochs Airport', 'Buochs', 'Switzerland', 'BXO', 'LSZC', 46.9725, 8.398611, 1464, 1, 'E', 'Europe/Zurich'),
	(8614, 'Ambri Airport', 'Quinto', 'Switzerland', '', 'LSPM', 46.513056, 8.689444, 3214, 1, 'E', 'Europe/Zurich'),
	(8615, 'Lodrino Airport', 'Lodrino', 'Switzerland', '', 'LSML', 46.29499, 8.9916, 850, 1, 'E', 'Europe/Zurich'),
	(8616, 'Roudnice Airport', 'Roudnice nad Lebem', 'Czech Republic', '', 'LKRO', 50.407222, 14.232778, 719, 1, 'E', 'Europe/Prague'),
	(8617, 'Usti Nad Labem Airport', 'Usti Nad Labem', 'Czech Republic', '', 'LKUL', 50.698889, 13.970833, 765, 1, 'E', 'Europe/Prague'),
	(8618, 'Mauterndorf Airport', 'Mauterndorf', 'Austria', '', 'LOSM', 47.131667, 13.695278, 3629, 1, 'E', 'Europe/Vienna'),
	(8619, 'Notsch Im Gailtal Airport', 'Notsch Im Gailtal', 'Austria', '', 'LOKN', 46.580833, 13.629167, 1810, 1, 'E', 'Europe/Vienna'),
	(8620, 'Forchheim Airport', 'Karlsruhe', 'Germany', '', 'EDTK', 49.097778, 8.453056, 400, 1, 'E', 'Europe/Berlin'),
	(8621, 'Bergstrasse Airport', 'Weinheim', 'Germany', '', 'EDGZ', 49.567222, 8.611389, 319, 1, 'E', 'Europe/Berlin'),
	(8622, 'Creil-Meaux Esbly Airport', 'Meaux', 'France', '', 'LFPE', 48.928611, 2.833056, 210, 1, 'E', 'Europe/Paris'),
	(8623, 'Belleau Airport', 'Chateau-Thierry', 'France', '', 'LFFH', 49.066944, 3.356111, 719, 1, 'E', 'Europe/Paris'),
	(8624, 'Branch County Memorial Airport', 'Coldwater', 'United States', 'OEB', 'KOEB', 41.9335691, -85.0522935, 959, -5, 'A', 'America/New_York'),
	(8625, 'Wilkes-Barre Wyoming Valley Airport', 'Wilkes-Barre', 'United States', 'WBW', 'KWBW', 41.2973074, -75.8522405, 543, -5, 'A', 'America/New_York'),
	(8626, 'Lost Nation Municipal Airport', 'Willoughby', 'United States', 'LNN', 'KLNN', 41.6840278, -81.38975, 626, -5, 'A', 'America/New_York'),
	(8627, 'Taoyuan Air Base', 'Taoyuan', 'Taiwan', '', 'RCGM', 25.05660057, 121.2442627, 143, 8, 'U', 'Asia/Taipei'),
	(8628, 'Uummannaq Heliport', 'Uummannaq', 'Greenland', 'UMD', 'BGUM', 70.4047, 52.0702, 5, -4, 'E', '\\N'),
	(8629, 'Civitavecchia', 'Civitavecchia', 'Italy', '', '\\N', 42.6, 11.48, 0, 1, 'E', 'Europe/Rome'),
	(8630, 'Bayannur', 'Bayannur', 'China', 'RLK', '\\N', 40.926389, 107.738889, 3389, 8, 'U', 'Asia/Chongqing'),
	(8631, 'Capital City Airport', 'Frankfort', 'United States', 'FFT', 'KFFT', 38.1819722, -84.9061389, 812, -5, 'A', 'America/New_York'),
	(8632, 'Lewiston Maine', 'Lewiston', 'United States', 'LEW', 'KLEW', 44.0484728, -70.2835075, 288, -5, 'A', 'America/New_York'),
	(8633, 'Inowroclaw Inowr Airport', 'Inowroclaw', 'Poland', '', 'EPIR', 52.829444, 18.330556, 259, 1, 'E', 'Europe/Warsaw'),
	(8634, 'Pruszcz Gdansk Airport', 'Pruszcz Gdansk', 'Poland', '', 'EPPR', 54.248056, 18.671667, 21, 1, 'E', 'Europe/Warsaw'),
	(8635, 'Florence', 'Florence', 'United States', '6S2', '\\N', 43.9828168, -124.1113687, 51, -8, 'A', 'America/Los_Angeles'),
	(8636, 'Martin Campbell Field Airport', 'Copperhead', 'United States', '1A3', '\\N', 35.0158056, -84.3468333, 1789, -5, 'A', 'America/New_York'),
	(8637, 'Sudkreuz', 'Berlin', 'Germany', '', 'BPAP', 52.475556, 13.364444, 136, 1, 'E', 'Europe/Berlin'),
	(8638, 'Naval Air Station', 'Glenview', 'United States', 'NBU', 'KNBU', 42.090556, -87.8225, 653, -6, 'A', 'America/Chicago'),
	(8639, 'Bloyer Field', 'Tomah', 'United States', '', 'KY72', 43.975278, -90.483333, 965, -6, 'A', 'America/Chicago'),
	(8640, 'Yongning Air Base', 'Beijing', 'China', '', 'CN-0', 40.50310135, 116.1080017, 1677, 8, 'U', 'Asia/Chongqing'),
	(8641, 'Marco Islands', 'Marco Island Airport', 'United States', 'MRK', 'KMKY', 25.9950278, -81.6725278, 5, -5, 'A', 'America/New_York'),
	(8642, 'Boipeba', 'Boipeba Island', 'Brazil', '', '\\N', -13.565589, -38.939241, 5, -3, 'S', 'America/Fortaleza'),
	(8643, 'Boipeba', 'Boipeba Island', 'Brazil', '', '\\N', -13.565589, -38.939241, 5, -3, 'S', 'America/Fortaleza'),
	(8644, 'Drummond Island Airport', 'Drummond Island', 'United States', 'DRM', 'KDRM', 46.0093114, -83.7439342, 668, -5, 'A', 'America/New_York'),
	(8645, 'Garland Airport', 'Lewiston', 'United States', '8M8', '\\N', 44.8065278, -84.2761944, 1218, -5, 'A', 'America/New_York'),
	(8646, 'Gladwin Zettel Memorial Airport', 'Gladwin', 'United States', 'GDW', 'KGDW', 43.9705893, -84.47502, 774, -5, 'A', 'America/New_York'),
	(8647, 'Lowell City Airport', 'Lowell', 'United States', '24C', '\\N', 42.95392, -85.3439058, 681, -5, 'A', 'America/New_York'),
	(8648, 'South Haven Area Regional Airport', 'South Haven', 'United States', 'LWA', 'KLWA', 42.3511944, -86.2556389, 666, -5, 'A', 'America/New_York'),
	(8649, 'Schaumburg Regional', 'Schaumburg', 'United States', '06C', '\\N', 41.9893408, -88.1012428, 801, -6, 'A', 'America/Chicago'),
	(8650, 'Khulna Seaplane Landing Site', 'Khulna', 'Bangladesh', '', '\\N', 22.464897, 89.351261, 0, 6, 'N', 'Asia/Dhaka'),
	(8651, 'Khulna Seaplane Landing Site', 'Khulna', 'Bangladesh', '', '\\N', 22.464897, 89.351261, 0, 6, 'N', 'Asia/Dhaka'),
	(8652, 'Khulna Seaplane Landing Site', 'Khulna', 'Bangladesh', '', '\\N', 22.464897, 89.351261, 0, 6, 'N', 'Asia/Dhaka'),
	(8653, 'Marshfield Municipal Airport', 'Marshfield', 'United States', 'MFI', 'KMFI', 44.6368797, -90.1893267, 1278, -6, 'A', 'America/Chicago'),
	(8654, 'Alexander Field South Wood County Airport', 'Wisconsin Rapids', 'United States', 'ISW', 'KISW', 44.3606456, -89.8381412, 1021, -6, 'A', 'America/Chicago'),
	(8655, 'Clinton Municipal', 'Clinton', 'United States', 'CWI', 'KCWI', 41.83075, -90.3289722, 708, -6, 'A', 'America/Chicago'),
	(8656, 'Wiescheid', 'Langenfeld', 'Germany', '', '\\N', 51.141663, 6.987305, 1000, 1, 'E', 'Europe/Berlin'),
	(8657, 'Wadi Rum', 'Wadi Rum Desert', 'Jordan', '', '\\N', 29.682087, 35.470734, 1000, 2, 'U', 'Asia/Amman'),
	(8658, 'Beverly Municipal Airport', 'Beverly', 'United States', 'BVY', 'KBVY', 42.584141, -70.9161444, 107, -5, 'A', 'America/New_York'),
	(8659, 'Priob\\\\\'e', 'Priob\\\\\'e', 'Russia', '', '\\N', 62.5461, 65.6261, 200, 6, 'N', 'Asia/Yekaterinburg'),
	(8660, 'Nagaur Airport', 'Nagaur', 'India', '', 'VI73', 27.20829964, 73.71140289, 3853, 5.5, 'U', 'Asia/Calcutta'),
	(8661, 'Ostafyevo International Airport', 'Moscow', 'Russia', '', 'UUMO', 55.511667, 37.507222, 568, 4, 'N', 'Europe/Moscow'),
	(8662, 'Oakdale Airport', 'Oakdale', 'United States', 'O27', '\\N', 37.7563333, -120.8001944, 237, -8, 'A', 'America/Los_Angeles'),
	(8663, 'Trois Rivieres Airport', 'Trois Rivieres', 'Canada', 'YRQ', 'CYRQ', 46.351667, -72.680556, 199, -5, 'A', 'America/Toronto'),
	(8664, 'Poplar Bluff Municipal Airport', 'Poplar Bluff', 'United States', 'POF', 'KPOF', 36.77394444, -90.3248611, 331, -6, 'A', 'America/Chicago'),
	(8665, 'Somerset Airport', 'Somerville', 'United States', '', 'KSMQ', 40.6259908, -74.6702433, 105, -5, 'A', 'America/New_York'),
	(8666, 'Eastport Municipal Airport', 'Eastport', 'United States', 'EPM', 'KEPM', 44.9101111, -67.0126944, 45, -5, 'A', 'America/New_York'),
	(8667, 'Keokuk Municipal Airport', 'Keokuk', 'United States', 'EOK', 'KEOK', 40.4599078, -91.4285011, 671, -6, 'A', 'America/Chicago'),
	(8668, 'Banks Airport', 'Swans Island', 'United States', 'ME5', '\\N', 44.1653889, -68.4281667, 100, -5, 'A', 'America/New_York'),
	(8669, 'Perth Scone Airport', 'Perth', 'United Kingdom', 'PSL', 'EGPT', 56.439722, -3.371389, 392, 0, 'E', 'Europe/London'),
	(8670, 'Caernarfon Airport', 'Caernarfon', 'United Kingdom', '', 'EGCK', 53.104167, -4.340278, 14, 0, 'E', 'Europe/London'),
	(8671, 'Grefrath-Niershorst Airport', 'Grefrath', 'Germany', '', 'EDLF', 51.333889, 6.359444, 105, 1, 'E', 'Europe/Berlin'),
	(8672, 'Offenburg', 'Offenburg', 'Germany', '', '\\N', 48.4711, 7.9411, 535, 1, 'E', 'Europe/Berlin'),
	(8673, 'Oberwolfach', 'Oberwolfach', 'Germany', '', '\\N', 48.3167, 8.2167, 1060, 1, 'E', 'Europe/Berlin'),
	(8674, 'Karlsruhe Hbf', 'Karlsruhe', 'Germany', '', '\\N', 49.0135, 8.4044, 377, 1, 'E', 'Europe/Berlin'),
	(8675, 'Lichtenwalde', 'Lichtenwalde', 'Germany', '', '\\N', 50.8833, 13.0167, 984, 1, 'E', 'Europe/Berlin'),
	(8676, 'Karlsruhe', 'Karlsruhe', 'Germany', '', '\\N', 49.0135, 8.4044, 377, 1, 'E', 'Europe/Berlin'),
	(8677, 'Holzhau', 'Holzhau', 'Germany', '', '\\N', 50.7333334, 13.6, 1969, 1, 'E', 'Europe/Berlin'),
	(8678, 'Porto', 'Porto', 'Portugal', '', '\\N', 41.1667, 8.5833, 341, 1, 'E', 'Europe/Rome'),
	(8679, 'Lisboa-Oriente', 'Lisboa', 'Portugal', '', '\\N', 38.424972, 9.82179, 7, 0, 'E', '\\N'),
	(8680, 'Bad Herrenalb', 'Bad Herrenalb', 'Germany', '', '\\N', 48.7976817, 8.4361503, 1198, 1, 'E', 'Europe/Berlin'),
	(8681, 'St. Paul Downtown Airport - Holman Field', 'St. Paul', 'United States', '', 'KSTP', 44.9346225, -93.0603424, 705, -6, 'A', 'America/Chicago'),
	(8682, 'Soderhamn Airport', 'Soderhamn', 'Sweden', 'SOO', 'ESCL', 61.261667, 17.098056, 94, 1, 'E', 'Europe/Stockholm'),
	(8683, 'Newcastle Airfield', 'Newcastle', 'Ireland', '', 'EINC', 53.073056, -6.039722, 14, 0, 'E', 'Europe/Dublin'),
	(8684, 'Saravane Airport', 'Saravane', 'Laos', 'VNA', 'VLSV', 15.709444, 106.411667, 612, 7, 'U', 'Asia/Vientiane'),
	(8685, 'Lisboa-Oriente', 'Lisboa', 'Portugal', '', '\\N', 38.7, 9.1833, 6, 0, 'E', '\\N'),
	(8686, 'Lisboa-Oriente', 'Lisboa-Oriente', 'Portugal', '', '\\N', 38.7, -9.1833, 6, 0, 'E', 'Europe/Lisbon'),
	(8687, 'Zurich', 'Zurich', 'Switzerland', '', '\\N', 47.369, 8.538, 1339, 1, 'E', 'Europe/Zurich'),
	(8688, 'Bagdad Airport', 'Bagdad', 'United States', 'E51', '\\N', 34.5958528, -113.170195, 4183, -7, 'A', 'America/Phoenix'),
	(8689, 'Segeletz Airport', 'Segeletz', 'Germany', '', 'EDAI', 52.826667, 12.541944, 141, 1, 'E', 'Europe/Berlin'),
	(8690, 'Fuentemilanos Airport', 'Segovia', 'Spain', '', 'LEFM', 40.889233, -4.239478, 3284, 1, 'E', 'Europe/Madrid'),
	(8691, 'Akeno Aero', 'Akeno', 'Japan', '', 'RJOE', 34.533333, 136.672222, 12, 9, 'U', 'Asia/Tokyo'),
	(8692, 'Ust Kamchatsk Airport', 'Ust Kamchatsk', 'Russia', '', 'UHPK', 56.238556, 162.688851, 200, 12, 'N', 'Asia/Magadan'),
	(8693, 'Oconomowoc Airport', 'Oconomowoc', 'United States', '', '0WI8', 43.1388947, -88.4723206, 885, -6, 'A', 'America/Chicago'),
	(8694, 'Kozyrevsk Airport', 'Kozyrevsk', 'Russia', '', 'UHPO', 56.09, 159.876663, 331, 12, 'N', 'Asia/Magadan'),
	(8695, 'Dikson Airport', 'Dikson', 'Russia', 'DKS', 'UODD', 73.517807, 80.379669, 47, 8, 'N', 'Asia/Krasnoyarsk'),
	(8696, 'Beverley Airport', 'Mine Site', 'Australia', '', 'YBEE', -30.19033959, 139.5554942, 381, 9.5, 'O', 'Australia/Adelaide'),
	(8697, 'Bogande Airport', 'Bogande', 'Canada', 'XBG', '\\N', 48.329498, -70.995697, 531, -5, 'A', 'America/Toronto'),
	(8698, 'Bantry Aerodrome', 'Bantry', 'Ireland', 'BYT', 'EIBN', 51.668598, -9.48417, 7, 0, 'E', 'Europe/Dublin'),
	(8699, 'Reeroe Airport', 'Caherciveen', 'Ireland', 'CHE', '\\N', 51.933334, -10.233333, 314, 0, 'E', 'Europe/Dublin'),
	(8700, 'Aliwal North', 'Aliwal North', 'South Africa', '', 'FAAN', -30.683333, 26.733333, 4361, 2, 'U', 'Africa/Johannesburg'),
	(8701, 'Alkantpan Airport', 'Alkantpan', 'South Africa', '', 'FACO', -29.906389, 22.316667, 3585, 2, 'U', 'Africa/Johannesburg'),
	(8702, 'Alldays Airport', 'Alldays', 'South Africa', 'ADY', 'FAAL', -22.678889, 29.055278, 2676, 2, 'U', 'Africa/Johannesburg'),
	(8703, 'Barberton Airport', 'Barberton', 'South Africa', '', 'FABR', -25.7175, 30.975, 2260, 2, 'U', 'Africa/Johannesburg'),
	(8704, 'Ocean Ridge Airport', 'Gualala', 'United States', 'E55', '\\N', 38.8016111, -123.5306389, 940, -8, 'A', 'America/Los_Angeles'),
	(8705, 'Kent State Airport', 'Kent', 'United States', '1G3', '\\N', 41.1513889, -81.4151111, 1134, -5, 'A', 'America/New_York'),
	(8706, 'Bulter County Regional Airport', 'Hamilton', 'United States', '', 'KHAO', 39.36375, -84.5219444, 633, -5, 'A', 'America/New_York'),
	(8707, 'Bungoma Airport', 'Bungoma', 'Kenya', '', 'HKBU', 0.576389, 34.551389, 4752, 3, 'U', 'Africa/Nairobi'),
	(8708, 'Bura East', 'Bura', 'Kenya', '', 'HKBR', -1.185, 39.813889, 295, 3, 'U', 'Africa/Nairobi'),
	(8709, 'Busia', 'Busia', 'Kenya', '', 'HKBA', 0.272, 34.748, 3989, 3, 'U', 'Africa/Nairobi'),
	(8710, 'Embu', 'Embu', 'Kenya', '', 'HKEM', -0.568889, 37.492222, 4131, 3, 'U', 'Africa/Nairobi'),
	(8711, 'Garba Tula', 'Garba Tula', 'Kenya', '', 'HKGT', 0.3112, 38.3056, 1764, 3, 'U', 'Africa/Nairobi'),
	(8712, 'Garissa', 'Garissa', 'Kenya', 'GAS', 'HKGA', -0.468611, 39.649444, 469, 3, 'U', 'Africa/Nairobi'),
	(8713, 'Hola', 'Hola', 'Kenya', 'HOA', 'HKHO', -1.52, 40.00389, 220, 3, 'U', 'Africa/Nairobi'),
	(8714, 'Homa Bay', 'Homa Bay', 'Kenya', '', 'HKHB', -0.591668, 34.48, 4231, 3, 'U', 'Africa/Nairobi'),
	(8715, 'Isiolo', 'Isiolo', 'Kenya', '', 'HKIS', 0.34361, 37.587778, 3688, 3, 'U', 'Africa/Nairobi'),
	(8716, 'Kalokol', 'Kalokol', 'Kenya', 'KLK', 'HYFG', 3.49, 35.84, 1296, 3, 'U', 'Africa/Nairobi'),
	(8717, 'Kericho', 'Kericho', 'Kenya', 'KEY', 'HKKR', -0.385, 35.245, 6453, 3, 'U', 'Africa/Nairobi'),
	(8718, 'Kilaguni', 'Kilaguni', 'Kenya', 'ILU', 'HKKL', -2.9, 38.073889, 2832, 3, 'U', 'Africa/Nairobi'),
	(8719, 'Kerio Valley', 'Kimwarer', 'Kenya', 'KRV', '\\N', 0.1912, 35.3954, 7095, 3, 'U', 'Africa/Nairobi'),
	(8720, 'Andavadoaka', 'Andavadoaka', 'Madagascar', 'DVD', '\\N', -22.111111, 43.270556, 27, 3, 'U', 'Indian/Antananarivo'),
	(8721, 'Antsirabe', 'Antsirabe', 'Madagascar', 'ATJ', 'FMME', -19.836944, 47.065278, 4913, 3, 'U', 'Indian/Antananarivo'),
	(8722, 'Bekily', 'Bekily', 'Madagascar', 'OVA', 'FMSL', -24.236111, 45.305, 1259, 3, 'U', 'Indian/Antananarivo'),
	(8723, 'Ust-Tsylma', 'Ust-Tsylma', 'Russia', '', 'UUYX', 65.434722232222, 52.20000001, 262, 4, 'N', 'Europe/Moscow'),
	(8724, 'Atlantic City Rail Terminal', 'Atlantic City NJ', 'United States', 'ZRA', '\\N', 39.3665, -74.442, 8, -5, 'A', 'America/New_York'),
	(8725, 'Springfield Amtrak Station', 'Springfield MA', 'United States', 'ZSF', '\\N', 42.106, -72.593054, 65, -5, 'A', 'America/New_York'),
	(8726, 'Amherst Amtrak Station AMM', 'Amherst MA', 'United States', 'XZK', '\\N', 42.375, -72.511389, 258, -5, 'A', 'America/New_York'),
	(8727, 'Cape May Ferry Terminal', 'Cape May NJ', 'United States', '', '\\N', 38.9696286, -74.960918, 0, -5, 'A', 'America/New_York'),
	(8728, 'Lewes Ferry Terminal', 'Lewes DE', 'United States', '', '\\N', 38.781655, -75.119534, 0, -5, 'A', 'America/New_York'),
	(8729, 'Bar Harbor Yarmouth Ferry Terminal', 'Bar Harbor ME', 'United States', '', '\\N', 44.39917, -68.225, 0, -5, 'A', 'America/New_York'),
	(8730, 'Yarmouth Ferry Terminal', 'Yarmouth NS', 'Canada', '', '\\N', 43.833227, -66.122653, 0, -4, 'A', 'America/Halifax'),
	(8731, 'Gare de Montreux Railway Station', 'Montreux', 'Switzerland', '', '\\N', 46.435833, 6.910278, 1280, 1, 'E', 'Europe/Zurich'),
	(8732, 'London - Kings Cross', 'London', 'United Kingdom', 'QQK', '\\N', 51.5326, 0.1233, 72, 0, 'E', 'Europe/London'),
	(8733, 'Stevenage Railway Station', 'Stevenage', 'United Kingdom', 'XVJ', '\\N', 51.902, 0.207, 262, 0, 'E', 'Europe/London'),
	(8734, 'Peterborough Railway Station', 'Peterborough', 'United Kingdom', 'XVH', '\\N', 52.5748, -0.2502, 91, 0, 'E', 'Europe/London'),
	(8735, 'Pomalaa', 'Pomalaa', 'Indonesia', 'PUM', '\\N', -4.183333, 121.61667, 0, 8, 'N', 'Asia/Makassar'),
	(8736, 'St. Ignace Ferry Dock', 'St. Ignace MI', 'United States', '', '\\N', 45.866405, -84.720254, 587, -5, 'A', 'America/New_York'),
	(8737, 'Mackinac Island Dock', 'Mackinac Island MI', 'United States', '', '\\N', 45.848801, -84.615927, 889, -5, 'A', 'America/New_York'),
	(8738, 'YUR\'EVETS', 'YUR\'EVETS', 'Russia', '', 'UUIC', 57.338582, 43.0949, 413, 4, 'E', 'Europe/Moscow'),
	(8739, 'Whittlesford Parkway Rail Station', 'Whittlesford', 'United Kingdom', 'WLF', '\\N', 52.104, 0.166, 95, 0, 'E', 'Europe/London'),
	(8740, 'Gorno-Altaysk Airport', 'Gorno-Altaysk', 'Russia', 'RGK', 'UNBG', 51.966667, 85.833333, 965, 7, 'U', 'Asia/Omsk'),
	(8741, 'Gryzliny - Lansk', 'Gryzliny', 'Poland', '', 'EPGR', 53.3629, 20.204, 520, 1, 'E', 'Europe/Warsaw'),
	(8742, 'Fond Du Lac County Airport', 'Fond du Lac', 'United States', 'FLD', 'KFLD', 43.7711667, -88.4884167, 808, -6, 'A', 'America/Chicago'),
	(8743, 'Waupaca Municipal Airport', 'Waupaca', 'United States', 'PCZ', 'KPCZ', 44.33325, -89.0197778, 840, -6, 'A', 'America/Chicago'),
	(8744, 'Stevens Point Municipal Airport', 'Stevens Point', 'United States', 'STE', 'KSTE', 44.5451356, -89.5302844, 1110, -6, 'A', 'America/Chicago'),
	(8745, 'Mys Shmidta Airport', 'Mys Shmidta', 'Russia', '', 'UHMI', 68.868301, 179.373001, 20, 12, 'N', 'Asia/Magadan'),
	(8746, 'Moma Airport', 'Honuu', 'Russia', '', 'UEMA', 66.450859, 143.261551, 656, 12, 'N', 'Asia/Magadan'),
	(8747, 'Luce County Airport', 'Newberry', 'United States', 'ERY', 'KERY', 46.311199, -85.457298, 869, -5, 'A', 'America/New_York'),
	(8748, 'Forest Lake Airport', 'Forest Lake', 'United States', '25D', '\\N', 45.2477456, -92.9943853, 925, -6, 'A', 'America/Chicago'),
	(8749, 'Hannover Messe-Heliport', 'Hannover', 'Germany', 'ZVM', '\\N', 52.329035, 9.822136, 152, 1, 'E', 'Europe/Berlin'),
	(8750, 'Peenemunde Airfield', 'Peenemunde', 'Germany', 'PEF', 'EDCP', 54.157778, 13.772778, 7, 1, 'E', 'Europe/Berlin'),
	(8751, 'Goraszka', 'Goraszka', 'Poland', '', 'EPGO', 52.1104, 21.1652, 110, 1, 'E', 'Europe/Warsaw'),
	(8752, 'Pangandaran-Java Island-Nusawiru Airport', 'Nusawiru', 'Indonesia', '', 'WI1A', -7.72039, 108.489998, 16, 7, 'N', 'Asia/Jakarta'),
	(8753, 'Pom Pom Camp', 'Pom Pom', 'Botswana', '', '\\N', -19.35, 22.5, 965, 2, 'U', 'Africa/Gaborone'),
	(8754, 'Moremi Crossing', 'Moremi', 'Botswana', '', '\\N', -19.31, 23.08, 965, 2, 'U', 'Africa/Gaborone'),
	(8755, 'New Delhi Train Station', 'New Delhi', 'India', '', '\\N', 28.64197, 77.2206, 708, 5.5, 'N', 'Asia/Calcutta'),
	(8756, 'Agra Cantonment Railway Station', 'Agra', 'India', '', '\\N', 27.1578, 77.98993, 571, 5.5, 'N', 'Asia/Calcutta'),
	(8757, 'Urumqi Railway Station', 'Urumqi', 'China', '', '\\N', 43.7809, 87.585, 2844, 8, 'N', 'Asia/Chongqing'),
	(8758, 'Turpan Railway Station', 'Turpan', 'China', '', '\\N', 43.151, 88.875, 98, 8, 'N', 'Asia/Chongqing'),
	(8759, 'Galion Municipal Airport', 'Galion', 'United States', 'GQQ', 'KGQQ', 40.7533889, -82.7238056, 1224, -5, 'A', 'America/New_York'),
	(8760, 'Musiara Airstrip', 'Musiara', 'Kenya', '', 'HKMZ', -1.29861, 35.063611, 5200, 3, 'U', 'Africa/Nairobi'),
	(8761, 'Tiputini', 'Tiputini', 'Ecuador', 'TPN', 'SETI', -0.766667, -75.53333, 997, -5, 'S', 'America/Guayaquil'),
	(8762, 'Shell Mera', 'Pastaza', 'Ecuador', 'PTZ', 'SESM', -2, -77, 7076, -5, 'S', 'America/Guayaquil'),
	(8763, 'Clarksville-Montgomery County Regional Airport', 'Clarksville', 'United States', 'CKV', 'KCKV', 36.621944, -87.415, 550, -6, 'A', 'America/Chicago'),
	(8764, 'Oban Rail Station', 'Oban', 'United Kingdom', '', '\\N', 56.4124, -5.4702, 0, 0, 'E', 'Europe/London'),
	(8765, 'Memmingen Rail Station', 'Memmingen', 'Germany', '', '\\N', 47.9878, 10.1811, 2077, 1, 'E', 'Europe/Berlin'),
	(8766, 'Ulm Railway Station', 'Ulm', 'Germany', '', '\\N', 48.4, 9.9833, 1641, 1, 'E', 'Europe/Berlin'),
	(8767, 'Aachen HBF', 'Aachen', 'Germany', '', '\\N', 50.7667, 6.1, 873, 1, 'E', 'Europe/Berlin'),
	(8768, 'Liege-Guillemins Railway Station', 'Liege', 'Belgium', 'XHN', '\\N', 50.6333, 5.56667, 659, 1, 'E', 'Europe/Brussels'),
	(8769, 'Bruxelles-Central', 'Brussels', 'Belgium', '', 'FBCL', 50.8411, 4.3564, 43, 1, 'E', 'Europe/Brussels'),
	(8770, 'Wyk auf Foehr', 'Wyk', 'Germany', 'OHR', '\\N', 54.411, 8.3145, 24, 1, 'E', 'Europe/Berlin'),
	(8771, 'Lompoc Airport', 'Lompoc', 'United States', 'LPC', 'KLPC', 34.6656, -120.4675, 88, -8, 'A', 'America/Los_Angeles'),
	(8772, 'Chester County G O Carlson Airport', 'Coatesville', 'United States', 'CTH', 'KMQS', 39.9789, -75.8654, 660, -5, 'A', 'America/New_York'),
	(8773, 'Bost Airport', 'Lashkar Gah', 'Afghanistan', 'BST', 'OABT', 31.558889, 64.364167, 2464, 4.5, 'U', 'Asia/Kabul'),
	(8774, 'Lankaran International Airport', 'Lankaran', 'Azerbaijan', 'LLK', 'UBBL', 38.746389, 48.817778, 30, 4, 'U', 'Asia/Baku'),
	(8775, 'Qabala Airport', 'Qabala', 'Azerbaijan', 'GBB', 'UBBQ', 40.826667, 47.7125, 100, 4, 'E', 'Asia/Baku'),
	(8776, 'Zaqatala International Airport', 'Zaqatala', 'Azerbaijan', 'ZTU', 'UBBY', 41.562222, 46.667222, 100, 4, 'E', 'Asia/Baku'),
	(8777, 'Lake Placid Airport', 'Lake Placid', 'United States', 'LKP', 'KLKP', 44.264444, -73.961944, 1747, -5, 'A', 'America/New_York'),
	(8778, 'Long Lake', 'Long Lake', 'United States', 'NY9', '\\N', 43.9750617, -74.42044, 1629, -5, 'A', 'America/New_York'),
	(8779, 'Tyopliy Klyuch', 'Khandyga', 'Russia', '', 'UEMH', 62.471, 136.505, 932, 10, 'N', 'Asia/Yakutsk'),
	(8780, 'Magan', 'Yakutsk', 'Russia', '', 'UEMM', 62.0626, 129.3334, 577, 10, 'N', 'Asia/Yakutsk'),
	(8781, 'Zhoubai', 'Qianjiang', 'China', 'JIQ', '\\N', 29.515, 108.83, 2461, 8, 'N', 'Asia/Chongqing'),
	(8782, 'Mendeleevo', 'Yuzhno-Kurilsk', 'Russia', 'DEE', 'YXCM', 43.5739, 145.4107, 50, 12, 'N', '\\N'),
	(8783, 'Wishram Amtrak Station', 'Wishram', 'United States', 'WIH', '\\N', 45.6576, -120.9664, 1, -8, 'A', 'America/Los_Angeles'),
	(8784, 'Lima Allen County Airport', 'Lima', 'United States', 'AOH', 'KAOH', 40.707478, -84.0270781, 975, -5, 'A', 'America/New_York'),
	(8785, 'Sondok Airport', 'Hamhung', 'North Korea', 'DSO', '\\N', 39.747333, 127.474611, 0, 9, 'U', 'Asia/Pyongyang'),
	(8786, 'Samjiyon Airport', 'Samjiyon', 'North Korea', 'YJS', '\\N', 41.907167, 128.409889, 0, 9, 'U', 'Asia/Pyongyang'),
	(8787, 'Geiranger', 'Geiranger Fjord', 'Norway', '', '\\N', 62.474976458, 6.1528587341, 0, 1, 'E', 'Europe/Oslo'),
	(8788, 'Gangtok Helipad', 'Gangtok', 'India', '', '\\N', 27.3521, 88.6051, 1500, 5.5, 'N', 'Asia/Calcutta'),
	(8789, 'McKinnon Airport', 'Brunswick', 'United States', 'SSI', 'KSSI', 31.1519722, -81.3910556, 19, -5, 'A', 'America/New_York'),
	(8790, 'Beaver Falls', 'Beaver Falls', 'United States', 'BFP', 'KBFP', 40.7724722, -80.3914444, 1253, -5, 'A', 'America/New_York'),
	(8791, 'Seaplane Base', 'Winterhaven', 'United States', 'F57', '\\N', 28.0575, -81.7628056, 140, -5, 'A', 'America/New_York'),
	(8792, 'Georgetown County Airport', 'Georgetown', 'United States', 'GGE', 'KGGE', 33.3114018, -79.3203139, 40, -5, 'A', 'America/New_York'),
	(8793, 'Hardwick Field Airport', 'Cleveland', 'United States', 'HDI', 'KHDI', 35.2199994, -84.832369, 874, -5, 'A', 'America/New_York'),
	(8794, 'Mark Anton Airport', 'Dayton', 'United States', '2A0', '\\N', 35.48625, -84.9310833, 718, -5, 'A', 'America/New_York'),
	(8795, 'Jefferson County Airpark', 'Steubenville', 'United States', '2G2', '\\N', 40.3602179, -80.7008742, 1196, -5, 'A', 'America/New_York'),
	(8796, 'Renton', 'Renton', 'United States', 'RNT', 'KRNT', 47.4931389, -122.21575, 32, -8, 'A', 'America/Los_Angeles'),
	(8798, 'Brackett Field', 'La Verne', 'United States', 'POC', 'KPOC', 34.0916667, -117.7817778, 1014, -8, 'A', 'America/Los_Angeles'),
	(8799, 'Jekyll Island Airport', 'Jekyll Island', 'United States', '09J', '\\N', 31.0744722, -81.4277778, 11, -5, 'A', 'America/New_York'),
	(8800, 'CedarKey', 'Cedar Key', 'United States', 'CDK', 'KCDK', 29.1342222, -83.0504722, 11, -5, 'A', 'America/New_York'),
	(8801, 'Cross City', 'Cross City', 'United States', 'CTY', 'KCTY', 29.6355278, -83.10475, 42, -5, 'A', 'America/New_York'),
	(8802, 'Clemson', 'Clemson', 'United States', 'CEU', 'KCEU', 34.6722222, -82.8858889, 891, -5, 'A', 'America/New_York'),
	(8803, 'Heber City Municipal Airport', 'Heber', 'United States', '36U', '\\N', 40.4818056, -111.4288056, 5637, -7, 'A', 'America/Denver'),
	(8804, 'Beech Factory Airport', 'Wichita', 'United States', 'BEC', 'KBEC', 37.6939167, -97.2149167, 1409, -6, 'A', 'America/Chicago'),
	(8805, 'Cherokee County Airport', 'Canton', 'United States', '47A', '\\N', 34.3122175, -84.4221556, 1219, -5, 'A', 'America/New_York'),
	(8806, 'Fernandina Beach Municipal Airport', 'Fernandina Beach', 'United States', '55J', '\\N', 30.6118333, -81.4611944, 16, -5, 'A', 'America/New_York'),
	(8807, 'Padang Tabing', 'Padang', 'Indonesia', '', 'WIMG', -0.875, 100.3519, 3, 7, 'U', 'Asia/Jakarta'),
	(8808, 'Tom B. David Field Airport', 'Calhoun', 'United States', '', 'KCZL', 34.45545, -84.9391622, 651, -5, 'A', 'America/New_York'),
	(8809, 'Habersham County Airport', 'Cornelia', 'United States', '', 'KAJR', 34.4998483, -83.5566701, 1448, -5, 'A', 'America/New_York'),
	(8810, 'Hamburg Hbf', 'Hamburg', 'Germany', 'ZMB', '\\N', 53.552776, 10.006683, 30, 1, 'E', 'Europe/Berlin'),
	(8811, 'Georgetown Municipal Airport', 'Georgetown', 'United States', 'GTU', 'KGTU', 30.678809, -97.6793837, 790, -6, 'A', 'America/Chicago'),
	(8812, 'Old Rhinebeck Airport', 'Rhinebeck', 'United States', '', 'NY94', 41.969833, -73.864555, 323, -5, 'U', 'America/New_York'),
	(8813, 'Duxford Aerodrome', 'Duxford', 'United Kingdom', 'QFO', 'EGSU', 52.09083, 0.13194, 125, 0, 'E', 'Europe/London'),
	(8814, 'BLABU', 'Blankenburg', 'Germany', '', '\\N', 51.7946, 11.0183, 551, 1, 'E', 'Europe/Berlin'),
	(8815, 'Sidney Muni Airport', 'Sidney', 'United States', 'SNY', 'KSNY', 41.10167, -102.985, 4313, -7, 'A', 'America/Denver'),
	(8816, 'Manantali Bengassi Airport ', 'Bengassi', 'Mali', '', 'GA46', 13.25561, -10.50432, 538, 0, 'N', 'Africa/Bamako'),
	(8817, 'Schofields Aerodrome', 'Schofields', 'Australia', '', '\\N', -33.717389, 150.871396, 21, 10, 'O', 'Australia/Sydney'),
	(8818, 'Luray Caverns Airport', 'Luray', 'United States', '', 'KLUA', 38.666944, -78.500556, 903, -5, 'A', 'America/New_York'),
	(8819, 'Eagle\'s Nest Airport', 'Waynesboro', 'United States', 'W13', '\\N', 38.076944, -78.944167, 1437, -5, 'A', 'America/New_York'),
	(8820, 'Great Keppel Island', 'Great Keppel Island', 'Australia', 'GKL', 'YGKL', -23.186, 150.943, 250, 10, 'U', 'Australia/Brisbane'),
	(8821, 'Roper Bar', 'Roper Bar', 'Australia', 'RPB', 'YRRB', -14.73457, 134.5252, 70, 9.5, 'U', 'Australia/Darwin'),
	(8822, 'Mount Garnet', 'Mount Garnet', 'Australia', '', 'YMRT', -17.70601, 145.14889, 2159, 10, 'U', 'Australia/Brisbane'),
	(8823, 'Innisfail', 'Innisfail', 'Australia', 'IFL', 'YIFL', -17.55908, 146.01123, 46, 10, 'U', 'Australia/Brisbane'),
	(8824, 'Kalaeloa', 'Kapolei', 'United States', '', 'PHJR', 21.307222, -158.070278, 30, -10, 'U', 'Pacific/Honolulu'),
	(8825, 'Bamyan Airport', 'Bamyan', 'Afghanistan', 'BIN', 'OABN', 34.816667, 67.816667, 2550, 4.5, 'N', 'Asia/Kabul'),
	(8826, 'Changbaishan Airport', 'Baishan', 'China', 'NBS', '\\N', 42.088056, 127.548889, 2762, 8, 'N', 'Asia/Chongqing'),
	(8827, 'SFO Helicopter', 'Sausalito', 'United States', '', '\\N', 37.87856, -122.512742, 13, -8, 'A', 'America/Los_Angeles'),
	(8828, 'Lewa Airport', 'Lewa Downs', 'Kenya', '', '\\N', 0.1927, 37.4725, 6250, 3, 'U', 'Africa/Nairobi'),
	(8829, 'Huaorani Ecolodge', 'Huaorani', 'Ecuador', '', '\\N', -1.0102, -77.1501, 1000, -5, 'U', 'America/Guayaquil'),
	(8830, 'Chongjin Airport', 'Chongjin', 'North Korea', 'RGO', 'ZZ07', 41.4297, 129.6488, 0, 9, 'U', 'Asia/Pyongyang'),
	(8831, 'Moomba', 'Moomba', 'Australia', 'MOO', 'YOOM', -28.1, 140.2, 143, 9.5, 'O', 'Australia/Adelaide'),
	(8832, 'Lublin', 'Lublin', 'Poland', 'LUZ', 'EPLB', 51.239333, 22.714083, 203, 1, 'E', 'Europe/Warsaw'),
	(8833, 'Iosco County', 'East Tawas', 'United States', 'ECA', 'K6D9', 44.311, -83.422, 606, -5, 'A', 'America/New_York'),
	(8834, 'Madison County Executive Airport', 'Huntsville', 'United States', '', 'KMDQ', 34.861, -86.558, 756, -6, 'A', 'America/Chicago'),
	(8835, 'Leesburg Executive Airport', 'Leesburg', 'United States', 'JYO', 'KJYO', 39.078, -77.558, 389, -5, 'A', 'America/New_York'),
	(8836, 'CNC4', 'Guelph', 'Canada', '', '\\N', 43.563889, -80.196111, 1100, -5, 'A', 'America/Toronto'),
	(8837, 'CNC4', 'Geulph', 'Canada', '', '\\N', 43.563889, -80.196111, 1100, -5, 'A', 'America/Toronto'),
	(8838, 'Anoka County Blaine Airport', 'Anoka', 'United States', '', 'KANE', 45.1448889, -93.2101944, 912, -6, 'U', 'America/Chicago'),
	(8839, 'Robinson Crusoe Airport', 'San Juan Bautista', 'Chile', '', 'SCIR', -33.665001, -78.929703, 433, -4, 'S', 'America/Santiago'),
	(8840, 'Maamigili Airport', 'Maamigili', 'Maldives', 'VAM', 'VRMV', 3.4702, 72.8344, 6, 5, 'U', 'Indian/Maldives'),
	(8841, 'Hilton Iru fushi', 'Maldives Hilton Iru fushi', 'Maldives', 'IRU', 'IRUF', 5.7435, 73.3249, 6, 5, 'U', 'Indian/Maldives'),
	(8842, 'Dhigurah Centara Grand Maldives', 'Dhigurah', 'Maldives', 'DHG', 'DHGU', 3.5939, 72.8834, 6, 5, 'U', 'Indian/Maldives'),
	(8843, 'Beijing Railway Station', 'Beijing', 'China', '', '\\N', 39.5408, 116.2516, 143, 8, 'N', 'Asia/Chongqing'),
	(8844, 'Chengde Railway Station', 'Chengde', 'China', '', '\\N', 40.965755, 117.954019, 1083, 8, 'N', 'Asia/Chongqing'),
	(8845, 'Yongzhou Lingling Airport', 'Yongzhou', 'China', 'LLF', '\\N', 26.345556, 111.612222, 428, 8, 'U', 'Asia/Chongqing'),
	(8846, 'Losinj Airport', 'Mali Losinj', 'Croatia', 'LSZ', 'LDLO', 44.3357, 14.2335, 154, 1, 'E', '\\N'),
	(8847, 'Onslow ', 'Onslow', 'Australia', 'ONS', 'YOLW', -21.667, 115.116, 23, 8, 'O', 'Australia/Perth'),
	(8848, 'Theodore', 'Theodore', 'Australia', 'TDR', 'YTDR', -24.986737, 150.093112, 560, 10, 'N', 'Australia/Brisbane'),
	(8849, 'RUDNIKI ', 'RUDNIKI', 'Poland', 'CZW', 'EPRU', 50.884722, 19.202222, 262, 1, 'E', 'Europe/Warsaw'),
	(8850, 'Williamson-Sodus Airport', 'Williamson', 'United States', 'SDC', 'KSDC', 43.2347904, -77.119444, 424, -5, 'A', 'America/New_York'),
	(8851, 'Clear Lake Metroport', 'Clear Lake City', 'United States', 'CLC', '\\N', 29.5569, -95.137497, 35, -6, 'A', 'America/Chicago'),
	(8852, 'Gilberto Lavaque', 'Cafayate', 'Argentina', 'CFX', 'SASC', -26.06245, -65.932095, 5523, -3, 'S', 'America/Cordoba'),
	(8853, 'Woking', 'Fairoaks', 'United Kingdom', '', 'EGTF', 51.348056, -0.558611, 80, 0, 'U', 'Europe/London'),
	(8854, 'Boulder Municipal', 'Boulder', 'United States', 'WBU', 'KBDU', 40.039444, -105.225833, 5288, -7, 'A', 'America/Denver'),
	(8855, 'Neustadt-Glewe', 'Neustadt-Glewe', 'Germany', '', 'EDAN', 53.364779, 11.607352, 115, 1, 'E', 'Europe/Berlin'),
	(8856, 'Berchtesgarden BKS', 'Bischofswiesen', 'Germany', '', '\\N', 47.62313, 12.972214, 2297, 1, 'E', 'Europe/Berlin'),
	(8857, 'Hohe Duene', 'Warnemuende', 'Germany', '', 'ETMW', 54.181438, 12.132082, 10, 1, 'E', 'Europe/Berlin'),
	(8858, 'Sannvhe', 'Tangshan', 'China', 'TVS', 'ZBSN', 39.717444, 118.002389, 25, 8, 'N', 'Asia/Chongqing'),
	(8859, 'GOETSENHOVEN AB', 'GOETSENHOVEN', 'Belgium', '', 'EBTN', 50.7817, 4.95778, 246, 1, 'E', 'Europe/Brussels'),
	(8860, 'Wildenrath AB Closed', 'Wildenrath', 'Germany', '', 'EDUW', 51.113721, 6.210245, 200, 1, 'E', 'Europe/Berlin'),
	(8861, 'Bremgarten Airport', 'Bremgarten', 'Germany', '', 'EDTG', 47.902779, 7.617778, 300, 1, 'E', 'Europe/Berlin'),
	(8862, 'Bitburg AB closed', 'Birburg', 'Germany', '', 'EDRB', 49.945278, 6.565, 1200, 1, 'U', 'Europe/Berlin'),
	(8863, 'Toul AB closed', 'Toul', 'France', '', '\\N', 48.779999, 5.98, 936, 1, 'E', 'Europe/Paris'),
	(8864, 'Palo Alto Airport of Santa Clara County', 'Palo Alto', 'United States', 'PAO', 'KPAO', 37.4611111, -122.1150556, 7, -8, 'A', 'America/Los_Angeles'),
	(8865, 'Dubai Cruise Terminal', 'Dubai', 'United Arab Emirates', '', '\\N', 25.274193, 55.28311, 0, 4, 'U', 'Asia/Dubai'),
	(8866, 'Ust-Nera Airport', 'Ust-Nera', 'Russia', '', 'UEMT', 64.568056, 143.236111, 3000, 11, 'U', 'Asia/Vladivostok'),
	(8867, 'Vostice', 'Vysoke Myto', 'Czech Republic', '', 'LKVM', 49.5537, 16.1109, 988, 1, 'E', 'Europe/Prague'),
	(8868, 'Spa La Sauveniere', 'Spa', 'Belgium', '', 'EBSP', 50.4824981689453, 5.91029977798462, 1581, 1, 'E', 'Europe/Brussels'),
	(8869, 'Mesa Falcon Field', 'Mesa', 'United States', 'FFZ', 'KFFZ', 33.4608001708984, -111.727996826172, 1394, -7, 'A', 'America/Phoenix'),
	(8870, 'Coolidge Municipal Airport', 'Cooldige', 'United States', 'P08', 'KP08', 32.9359016418457, -111.427001953125, 1574, -7, 'A', 'America/Phoenix'),
	(8871, 'Cottonwood Airport', 'Cottonwood', 'United States', 'P52', 'KP52', 34.7299995422363, -112.035003662109, 3550, -7, 'A', 'America/Phoenix'),
	(8872, 'Suarlee Airport', 'Namur', 'Belgium', '', 'EBNM', 50.4879989624023, 4.76891994476318, 594, 1, 'E', 'Europe/Brussels'),
	(8873, 'Hasselt Airport', 'Hasselt', 'Belgium', '', 'EBZH', 50.9700012207031, 5.37507009506226, 141, 1, 'E', 'Europe/Brussels'),
	(8874, 'Phoenix Regional Airport', 'Phoenix', 'United States', 'A39', 'KA39', 32.99169921875, -111.920997619629, 1300, -7, 'A', 'America/Phoenix'),
	(8875, 'Wickenburg Municipal Airport', 'Wickenburg', 'United States', 'E25', 'KE25', 33.96889877, -112.7990036, 2377, -7, 'A', 'America/Phoenix'),
	(8876, 'Yangzhou Taizhou Airport', 'Yangzhou', 'China', 'YTY', 'ZSYA', 32.5617, 119.715, 7, 8, 'N', 'Asia/Chongqing'),
	(8877, 'Oakland Co. Intl', 'Pontiac', 'United States', 'PTK', 'KPTK', 42.667, -83.35, 980, -5, 'A', 'America/New_York'),
	(8878, 'Fuzhou Railway Station', 'Fuzhou', 'China', '', '\\N', 26.11351, 119.319998, 39, 8, 'N', 'Asia/Chongqing'),
	(8879, 'Xiamen Railway Station', 'Xiamen', 'China', '', '\\N', 24.4679, 118.116, 255, 8, 'N', 'Asia/Chongqing'),
	(8880, 'Kissidougou', 'Kissidougou', 'Guinea', 'KSI', 'GUKU', 9.160556, -10.124443, 550, 0, 'N', 'Africa/Conakry'),
	(8881, 'Pecs', 'Pecs', 'Hungary', 'QPJ', '\\N', 46.070833, 18.233056, 1000, 1, 'E', 'Europe/Budapest'),
	(8882, 'Neuwied', 'Neuwied', 'Germany', '', '\\N', 50.432008, 7.472785, 300, 1, 'E', 'Europe/Berlin'),
	(8883, 'Castelnuovo di Garfagnana', 'Castelnuovo di Garfagnana', 'Italy', '', '\\N', 44.116464, 10.409954, 1100, 1, 'E', 'Europe/Rome'),
	(8884, 'Portovenere', 'Portovenere', 'Italy', '', '\\N', 44.0519359, 9.8353078, 10, 1, 'E', 'Europe/Rome'),
	(8885, 'Amsterdam Zuid WTC', 'Amsterdam', 'Netherlands', '', '\\N', 52.338841, 4.871471, 10, 1, 'E', 'Europe/Amsterdam'),
	(8886, 'Budapest Keteli', 'Budapest', 'Hungary', '', '\\N', 47.500497, 19.085484, 100, 1, 'E', 'Europe/Budapest'),
	(8887, 'Zagreb Glavni Kolod.', 'Zagreb', 'Croatia', '', '\\N', 45.804289, 15.979121, 500, 1, 'E', 'Europe/Zagreb'),
	(8888, 'Dillant Hopkins Airport', 'Keene', 'United States', 'EEN', '\\N', 72.270833, 42.898333, 149, -5, 'A', '\\N'),
	(8889, 'Tianshui Airport', 'Tianshui', 'China', 'THQ', 'ZLTS', 34.333, 105.514, 9186, 8, 'N', 'Asia/Chongqing'),
	(8890, 'Kawama Airport', 'Kawama', 'Cuba', '', 'MUKW', 23.123642, -81.301805, 16, -5, 'U', 'America/Havana'),
	(8891, 'Yumuri Valley', 'Yumuri Valley', 'Cuba', '', '\\N', 23.1, -81.9, 0, -5, 'U', 'America/Havana'),
	(8892, 'Kooddoo', 'Kooddoo', 'Maldives', 'GKK', 'VRMO', 0.7308, 73.433, 10, 5, 'U', 'Indian/Maldives'),
	(8893, 'Glasgow Industrial', 'Glasgow', 'United States', '', '07MT', 48.4211069, -106.5277039, 2762, -7, 'A', 'America/Denver'),
	(8894, 'Rochester Airport', 'Rochester', 'United Kingdom', 'RCS', 'EGTO', 51.351944, 0.502778, 426, 0, 'E', 'Europe/London'),
	(8895, 'Den Haag Centraal', 'Den Haag', 'Netherlands', '', '\\N', 52.081667, 4.329167, 0, 1, 'E', 'Europe/Amsterdam'),
	(8896, 'Paris Nord', 'Paris', 'France', '', '\\N', 48.880931, 2.355323, 0, 1, 'E', 'Europe/Paris'),
	(8897, 'Venlo railway station', 'Venlo', 'Netherlands', '', '\\N', 51.364722, 6.171389, 0, 1, 'E', 'Europe/Amsterdam'),
	(8898, 'Monchengladbach Central Station', 'Monchengladbach', 'Germany', '', '\\N', 51.196, 6.446, 0, 1, 'E', 'Europe/Berlin'),
	(8899, 'Utrecht Centraal', 'Utrecht ', 'Netherlands', '', '\\N', 52.089167, 5.109722, 0, 1, 'E', 'Europe/Amsterdam'),
	(8900, 'Rensselaer Rail Station', 'Albany', 'United States', '', '\\N', 42.641389, -73.741111, 324, -5, 'A', 'America/New_York'),
	(8901, 'Amtrak Station', 'Tacoma', 'United States', '', '\\N', 47.242733, -122.42041, 50, -8, 'A', 'America/Los_Angeles'),
	(8902, 'Amtrak Station', 'Orlando', 'United States', '', '\\N', 28.5259, -81.3813, 82, -5, 'A', 'America/New_York'),
	(8903, 'Denali Rail', 'Healy', 'United States', '', '\\N', 63.7306, -148.913733333333, 1730, -9, 'A', 'America/Anchorage'),
	(8904, 'Albian Aerodrome', 'Wood Buffalo', 'Canada', 'JHL', '\\N', 57.223889, -111.418889, 1048, -7, 'A', 'America/Edmonton'),
	(8905, 'Monroe Reqional Airport', 'Charlotte', 'United States', 'EQY', '\\N', 35.01833, -80.62001, 679, -5, 'A', 'America/New_York'),
	(8906, 'Station Aare', 'Aare', 'Sweden', '', '\\N', 63.398779, 13.075956, 1240, 1, 'E', 'Europe/Stockholm'),
	(8907, 'Villach Hauptbahnhof', 'Villach', 'Austria', '', '\\N', 46.618333, 13.848333, 1644, 1, 'E', 'Europe/Vienna'),
	(8908, 'Krakow Glowny', 'Krakow', 'Poland', '', '\\N', 50.065556, 19.947222, 719, 1, 'E', 'Europe/Warsaw'),
	(8909, 'Wien Meidling', 'Vienna', 'Austria', '', '\\N', 48.175, 16.335278, 738, 1, 'E', 'Europe/Vienna'),
	(8910, 'Roma Termini', 'Rome', 'Italy', '', '\\N', 41.900833, 12.501944, 197, 1, 'E', 'Europe/Rome'),
	(8911, 'Napoli Centrale', 'Naples', 'Italy', '', '\\N', 40.8525, 14.271944, 39, 1, 'E', 'Europe/Rome'),
	(8912, 'Euston Station', 'London', 'United Kingdom', '', '\\N', 51.5284, -0.1331, 89, 0, 'E', 'Europe/London'),
	(8913, 'Kankan', 'Kankan', 'Guinea', 'KNN', 'GUXD', 10.448333, -9.227499, 8694, 0, 'U', 'Africa/Conakry'),
	(8914, 'Termal', 'Rio Hondo', 'Argentina', 'RHD', 'SANH', -27.509946, -64.936666, 1181, -3, 'S', 'America/Cordoba'),
	(8915, 'Guangzhou Railway Station', 'Guangzhou', 'China', '', '\\N', 23.151343, 113.252073, 19, 8, 'N', 'Asia/Chongqing'),
	(8916, 'Shenzhen West Railway Station', 'Shenzhen', 'China', '', '\\N', 22.532043, 113.908729, 3, 8, 'N', 'Asia/Chongqing'),
	(8917, 'Shenzhen North Railway Station', 'Shenzhen', 'China', '', '\\N', 22.607058, 114.027203, 229, 8, 'N', 'Asia/Chongqing'),
	(8918, 'Keetmanshoop', 'Keetmanshoop', 'Namibia', 'KMP', 'FYKT', -26.5397, 18.1114, 3506, 1, 'U', 'Africa/Windhoek'),
	(8919, 'Shekou Ferry Terminal', 'Shenzhen', 'China', '', '\\N', 22.476555, 113.912855, 2, 8, 'N', 'Asia/Chongqing'),
	(8920, 'Zhuhai-Jiuzhou Port', 'Zhuhai', 'China', '', '\\N', 22.233333, 113.583333, 2, 8, 'N', 'Asia/Chongqing'),
	(8921, 'Kangding Airport', 'Kangding', 'China', 'KGT', 'ZUKD', 30.1575, 101.734722, 14042, 8, 'N', 'Asia/Chongqing'),
	(8922, 'Train Station', 'Aranyaprathet', 'Thailand', '', '\\N', 13.4058, 102.311, 150, 7, 'N', 'Asia/Bangkok'),
	(8923, 'Train Station', 'Nha Trang', 'Vietnam', '', '\\N', 12.15, 109.11, 50, 7, 'N', 'Asia/Saigon'),
	(8924, 'Veliky Ustyug', 'Veliky Ustyug', 'Russia', 'VUS', 'ULWU', 60.788333, 46.26, 331, 4, 'N', 'Europe/Moscow'),
	(8925, 'Iowa City Municipal Airport', 'Iowa City', 'United States', 'IOW', 'KIOW', 41.639244, -91.546503, 668, -6, 'A', 'America/Chicago'),
	(8926, 'Turpan', 'Turpan', 'China', 'TLQ', 'ZWTP', 42.942328, 89.185877, 20, 8, 'U', 'Asia/Chongqing'),
	(8927, 'Lorenzo', 'Morro de Sao Paulo', 'Brazil', '', 'SNCL', -13.389444445, -38.91, 3, -3, 'S', 'America/Fortaleza'),
	(8928, 'Windom Municipal Airport', 'Windom', 'United States', 'MWM', 'KMWM', 43.9134017, -95.1094083, 1410, -6, 'A', 'America/Chicago'),
	(8929, 'Sasakwa Airstrip', 'Sasakwa', 'Tanzania', '', '\\N', -2.0714, 34.5068, 4000, 3, 'N', 'Africa/Dar_es_Salaam'),
	(8930, 'Yabuli', 'Yabuli Town', 'China', '', '\\N', 44.4653, 128.27, 1200, 8, 'N', 'Asia/Chongqing'),
	(8931, 'Longview Ranch Airport', 'Longview', 'United States', '', 'OG39', 44.6608611, -119.6526153, 2080, -8, 'A', 'America/Los_Angeles'),
	(8932, 'Rothera Research Station', 'Rothera Research Station', 'United Kingdom', '', 'EGAR', -67.34, -68.08, 200, 12, 'U', 'Antarctica/South_Pole'),
	(8933, 'Sortavala', 'Sortavala', 'Russia', '', 'ULPW', 61.736099, 30.673599, 14, 4, 'N', 'Europe/Moscow'),
	(8934, 'Valaam', 'Valaam', 'Russia', '', '\\N', 61.37115, 30.88977, 15, 4, 'N', 'Europe/Moscow'),
	(8935, 'Lee Airport', 'Annapolis', 'United States', 'ANP', 'KANP', 38.942778, -76.568333, 34, -5, 'A', 'America/New_York'),
	(8936, 'Songshan Train Station', 'Taipei', 'Taiwan', '', '\\N', 25.049214, 121.577961, 0, 8, 'N', 'Asia/Taipei'),
	(8937, 'Kaohsiung Station', 'Kaohsiung', 'Taiwan', '', '\\N', 22.638432, 120.301877, 39, 8, 'N', 'Asia/Taipei'),
	(8938, 'Hualien Station', 'Hualien', 'Taiwan', '', '\\N', 23.992722, 121.60135, 45, 8, 'N', 'Asia/Taipei'),
	(8939, 'El Merk', 'El Merk', 'Algeria', '', '\\N', 30.300039, 8.160833, 0, 1, 'U', 'Africa/Algiers'),
	(8940, 'Budapest Keleti pu.', 'Budapest', 'Hungary', '', '\\N', -47.500278, -160.916111, 0, 1, 'E', '\\N'),
	(8941, 'Bratislava hl. st.', 'Bratislava', 'Slovakia', '', '\\N', -48.158263, 17.105839, 430, 1, 'E', '\\N'),
	(8942, 'Ndutu', 'Ndutu', 'Tanzania', 'DUU', 'HTND', -3.0243398, 34.98450589999993, 5400, 3, 'U', 'Africa/Dar_es_Salaam'),
	(8943, 'Cuamba', 'Cuamba', 'Mozambique', 'FXO', 'FQCB', -14.8175, 36.528333, 1931, 2, 'N', 'Africa/Maputo'),
	(8944, 'Bodaibo', 'Bodaibo', 'Russia', 'ODO', 'UIKB', 57.5137, 114.1348, 940, 9, 'N', 'Asia/Irkutsk'),
	(8945, 'Berdoba Airport', 'Berdoba', 'Chad', '', '\\N', 16.072, 22.8466, 2953, 1, 'N', 'Africa/Ndjamena'),
	(8946, 'Zhytomyr', 'Zhytomyr', 'Ukraine', 'ZTR', 'UKKV', 50.270556, 28.738611, 0, 2, 'E', 'Europe/Kiev'),
	(8947, 'Mozyr', 'Mozyr', 'Belarus', '', 'UMGM', 51.981944, 29.165, 0, 3, 'N', 'Europe/Minsk'),
	(8948, 'Paluknys', 'Paluknys', 'Lithuania', '', 'EYVP', 54.483056, 24.989722, 0, 2, 'E', 'Europe/Vilnius'),
	(8949, 'Mattala Rajapaksa Intl.', 'Mattala', 'Sri Lanka', 'HRI', 'VCRI', 6.284467, 81.124128, 157, 5.5, 'N', 'Asia/Colombo'),
	(8950, 'Pecos Municipal Airport', 'Pecos', 'United States', 'PEQ', 'KPEQ', 31.3823889, -103.5107222, 2613, -6, 'A', 'America/Chicago'),
	(8951, 'Hattiesburg Bobby L. Chain Municipal Airport', 'Hattiesburg', 'United States', 'HBG', 'KHBG', 31.2649444, -89.2528889, 151, -6, 'A', 'America/Chicago'),
	(8952, 'Botucatu', 'Botucatu', 'Brazil', 'QCJ', 'SDBK', -22.938, -48.467, 3012, -3, 'S', 'America/Sao_Paulo'),
	(8953, 'Anapolis Military Airbase', 'Anapolis', 'Brazil', '', 'SBAN', -16.23, -48.966, 3731, -3, 'S', 'America/Sao_Paulo'),
	(8954, 'Sao Carlos TAM', 'Sao Carlos', 'Brazil', 'QSC', 'SDSC', -21.875, -47.904, 2649, -3, 'S', 'America/Sao_Paulo'),
	(8955, 'Byron Airport', 'Byron Bay', 'Australia', '', '\\N', 28.383504, 153.365447, 10, 10, 'O', '\\N'),
	(8956, 'Grindelwald', 'Grindelwald', 'Switzerland', '', '\\N', 46.35106, 7.57408, 6000, 1, 'U', 'Europe/Zurich'),
	(8957, 'Grindelwald', 'Grindelwald', 'Switzerland', '', '\\N', 46.3506, 7.57408, 6000, 1, 'U', 'Europe/Zurich'),
	(8958, 'Chan Gurney', 'Yankton', 'United States', 'YKN', 'KYKN', 42.8711, -97.3969, 1200, -6, 'A', 'America/Chicago'),
	(8959, 'Selfield Airport', 'Selma Alabama', 'United States', 'SES', 'KSES', 32.4404, -86.9522, 131, -6, 'A', 'America/Chicago'),
	(8960, 'Linkwasha Airfield', 'Hwange National Park', 'Zimbabwe', '', '\\N', -19.123333, 27.201389, 3543, 2, 'N', 'Africa/Harare'),
	(8961, 'Sir Bani Yas Island', 'Sir Bani Yas Island', 'United Arab Emirates', 'XSB', '\\N', 24.2856083, 52.5783472, 5, 4, 'U', 'Asia/Dubai'),
	(8962, 'Dalma Airport', 'Dalma Island', 'United Arab Emirates', 'ZDY', '\\N', 24.5033833, 52.3360528, 8, 4, 'U', 'Asia/Dubai'),
	(8963, 'Bromont Airport', 'Bromont', 'Canada', 'ZBM', 'CZBM', 45.290833, -72.741944, 374, -5, 'A', 'America/Toronto'),
	(8964, 'Playa del Carmen Airport', 'Playa del Carmen', 'Mexico', 'PCM', '\\N', 20.6225, -87.082221, 1, -6, 'U', 'America/Mexico_City'),
	(8965, 'Ellough', 'Beccles', 'United Kingdom', '', 'EGSM', 52.438333, 1.606944, 80, 0, 'E', 'Europe/London'),
	(8966, 'Kratie Airport', 'Kratie', 'Cambodia', 'KTI', 'VDKT', 12.4905, 106.055, 3610, 7, 'N', 'Asia/Phnom_Penh'),
	(8967, 'Caldera Airport', 'Caldera', 'Chile', '', 'SCCL', -27.078052, -70.795305, 180, -4, 'U', 'America/Santiago'),
	(8968, 'San Pedro de Atacama Airport', 'San Pedro de Atacama', 'Chile', '', 'SCPE', -22.918888, -68.162777, 7959, -4, 'U', 'America/Santiago'),
	(8969, 'Copacabana Airport', 'Copacabana', 'Bolivia', '', 'SLCC', -16.183326, -69.087501, 12591, -4, 'U', 'America/La_Paz'),
	(8970, 'Havelock Island Seaport', 'Havelock Island', 'India', '', '\\N', 12.042636, 92.982574, 0, 5.5, 'N', 'Asia/Calcutta'),
	(8971, 'Guyuan', 'Guyuan', 'China', 'GYU', 'ZLGY', 36.078611, 106.216667, 5577, 8, 'U', 'Asia/Chongqing'),
	(8972, 'Brawdy RAF Airport', 'Brawdy', 'United Kingdom', '', 'EGDA', 51.880462, -5.12148, 355, 0, 'E', 'Europe/London'),
	(8973, 'Gaios Bay', 'Paxi', 'Greece', '', '\\N', 39.195944, 20.195961, 0, 2, 'E', 'Europe/Athens'),
	(8974, 'Changhai', 'Changhai', 'China', 'CNI', 'ZYCH', 39.266389, 122.666944, 1, 8, 'N', 'Asia/Chongqing'),
	(8975, 'Redhill Aerodrome', 'Redhill', 'United Kingdom', 'KRH', 'EGKR', 51.213612, -0.13861, 221, 0, 'E', 'Europe/London'),
	(8976, 'Bahnhof', 'Bad Gastein', 'Austria', '', '\\N', 47.1, 13.0167, 3287, 1, 'E', 'Europe/Vienna'),
	(8977, 'Acquafredda Station', 'Maratea', 'Italy', '', '\\N', 40, 15.7167, 1000, 1, 'E', 'Europe/Rome'),
	(8978, 'Victoria Station', 'London', 'United Kingdom', '', '\\N', 51.4964, -0.14391, 48, 0, 'E', 'Europe/London'),
	(8979, 'Jiagedaqi Airport', 'Jiagedaqi District', 'China', 'JGD', '\\N', 50.375, 124.117, 1205, 8, 'N', 'Asia/Chongqing'),
	(8980, 'Chinchilla', 'Chinchilla', 'Australia', 'CCL', 'YCCA', -26.769444, 150.616667, 1030, 10, 'O', 'Australia/Brisbane'),
	(8981, 'Frazier Lake Airpark', 'Hollister', 'United States', '1C9', '\\N', 54.013333333333335, -124.76833333333333, 152, -8, 'A', 'America/Vancouver'),
	(8982, 'Hayward Executive Airport', 'Hayward', 'United States', 'HWD', 'KHWD', 37.65888888888889, -122.12166666666666, 52, -8, 'A', 'America/Los_Angeles'),
	(8983, 'Motueka', 'Motueka', 'New Zealand', 'MZP', 'NZMK', -41.123299, 172.988998, 39, 12, 'Z', 'Pacific/Auckland'),
	(8984, 'Shute Harbour', 'Shute Harbour', 'Australia', 'JHQ', 'YSHR', -20.278299, 148.757004, 12, 10, 'O', 'Australia/Brisbane'),
	(8985, 'Enstone', 'Enstone', 'United Kingdom', '', 'EGTN', 51.928167, -1.4285, 550, 0, 'U', 'Europe/London'),
	(8986, 'Portoferrario Cruise Terminal', 'Portoferrario', 'Italy', '', '\\N', 42.49, 10.19, 13, 1, 'E', 'Europe/Rome'),
	(8987, 'Pittsburgh Amtrak', 'Pittsburgh', 'United States', '', '\\N', 40.4406, -79.9961, 1370, -5, 'A', 'America/New_York'),
	(8988, 'Raton Amtrak', 'Raton', 'United States', '', '\\N', 36.9033, -104.4386, 8800, -7, 'A', 'America/Denver'),
	(8989, 'Ann Arbor Municipal Airport', 'Ann Arbor', 'United States', 'ARB', 'KARB', 42.132274, -83.444418, 839, -5, 'A', 'America/New_York'),
	(8990, 'Myrdal Station', 'Myrdal', 'Norway', '', '\\N', 60.4418, 7.0723, 2844, 1, 'E', 'Europe/Oslo'),
	(8991, 'Flam Station', 'Flam', 'Norway', '', '\\N', 60.5017, 7.0714, 6, 1, 'E', 'Europe/Oslo'),
	(8992, 'Leikanger Terminal', 'Leikanger', 'Norway', '', '\\N', 61.1351, 6.4723, 6, 1, 'E', 'Europe/Oslo'),
	(8993, 'North Sea', 'Gryphon FPSO', 'United Kingdom', '', 'GRY1', 59.35, 1.57, 0, 0, 'U', '\\N'),
	(8994, 'Shepparton', 'Shepparton', 'Australia', 'SHT', 'YSHT', -36.428902, 145.393005, 374, 10, 'O', 'Australia/Hobart'),
	(8995, 'Temora', 'Temora', 'Australia', 'TEM', 'YTEM', -34.4248, 147.5104, 921, 10, 'O', 'Australia/Sydney'),
	(8996, 'Gayndah', 'Gayndah', 'Australia', 'GAH', 'YGAY', -25.61528, 151.62083, 369, 10, 'N', 'Australia/Brisbane'),
	(8997, 'Popondetta', 'Popondetta', 'Papua New Guinea', 'EIA', '\\N', -8.19999980927, 147.850006104, 311, 10, 'U', 'Pacific/Port_Moresby'),
	(8998, 'Wilcannia', 'Wilcannia', 'Australia', 'WIO', 'YWCA', -31.5174999237, 143.378997803, 250, 10, 'O', 'Australia/Sydney'),
	(8999, 'Bollards Lagoon', 'Bollards Lagoon Station', 'Australia', '', '\\N', -28.9832259, 140.852844, 250, 9.5, 'O', 'Australia/Adelaide'),
	(9000, 'Delamere Range', 'Delamere Range', 'Australia', '', '\\N', -15.7467, 131.919998, 200, 9.5, 'U', 'Australia/Darwin'),
	(9001, 'Ivanhoe', 'Ivanhoe', 'Australia', '', 'YIVO', -32.883301, 144.309998, 331, 10, 'O', 'Australia/Sydney'),
	(9002, 'Menindee', 'Menindee', 'Australia', '', 'YMED', -32.22, 142.2418, 164, 10, 'O', 'Australia/Sydney'),
	(9003, 'Naduri', 'Naduri', 'Papua New Guinea', '', '\\N', -8.93, 147.73, 900, 10, 'U', 'Pacific/Port_Moresby'),
	(9004, 'Pooncarie', 'Pooncarie', 'Australia', '', 'YPCE', -33.366699, 142.587977, 184, 10, 'O', 'Australia/Sydney'),
	(9005, 'Wiawera Station', 'Wiawera station', 'Australia', '', '\\N', -32.29515, 140.4145, 180, 9.5, 'O', 'Australia/Adelaide'),
	(9006, 'Tilpa', 'Tilpa', 'Australia', '', 'YTLP', -30.556, 144.251, 280, 10, 'O', 'Australia/Sydney'),
	(9007, 'Yarramba Station', 'Yarramba Station', 'Australia', '', '\\N', -31.66136, 140.6277, 180, 9.5, 'O', 'Australia/Adelaide'),
	(9008, 'Reichenbach', 'Reichenbach im Kandertal', 'Switzerland', '', 'LSGR', 46.61298, 7.67773, 2300, 1, 'E', 'Europe/Zurich'),
	(9009, 'Takayama Station', 'Takayama', 'Japan', '', '\\N', 36.1406, 137.2519, 2200, 9, 'N', 'Asia/Tokyo'),
	(9010, 'Himeji Station', 'Himeji', 'Japan', '', '\\N', 34.49395, 134.412706, 141, 9, 'U', 'Asia/Tokyo'),
	(9011, 'Miyajimaguchi Station', 'Miyajimaguchi', 'Japan', '', '\\N', 34.3122, 132.3022, 6, 9, 'U', 'Asia/Tokyo'),
	(9012, 'Miyajima Port', 'Miyajima', 'Japan', '', '\\N', 34.302043, 132.32213, 0, 9, 'U', 'Asia/Tokyo'),
	(9013, 'Brown Bluff Port', 'Brown Bluff', 'Antarctica', '', '\\N', -63.32, -56.54, 0, 12, 'S', 'Antarctica/South_Pole'),
	(9014, 'Devil Island Port', 'Devil Island', 'Antarctica', '', '\\N', -63.48, -57.17, 0, 12, 'S', 'Antarctica/South_Pole'),
	(9015, 'Gourdin Island Port', 'Gourdin Island', 'Antarctica', '', '\\N', -63.12, -57.18, 0, 12, 'S', 'Antarctica/South_Pole'),
	(9016, 'Cuverville Island Port', 'Cuverville Island', 'Antarctica', '', '\\N', -64.41, -62.38, 0, 12, 'S', 'Antarctica/South_Pole'),
	(9017, 'Neko Harbor', 'Neko Harbor', 'Antarctica', '', '\\N', -64.5, -62.33, 0, 12, 'S', 'Antarctica/South_Pole'),
	(9018, 'Port Lockroy', 'Port Lockroy', 'Antarctica', '', '\\N', -64.4931, -63.294, 0, 12, 'S', 'Antarctica/South_Pole'),
	(9019, 'Walker Bay', 'Walker Bay', 'Antarctica', '', '\\N', -62.38, -60.42, 0, 12, 'S', 'Antarctica/South_Pole'),
	(9020, 'Whalers Bay', 'Deception Island', 'Antarctica', '', '\\N', -62.5837, -60.39, 0, 12, 'S', 'Antarctica/South_Pole'),
	(9021, 'Labadee Port', 'Labadee', 'Haiti', '', '\\N', 19.4711, -72.1444, 0, -5, 'A', 'America/Port-au-Prince'),
	(9022, 'Lagos Lagoon', 'Lekki', 'Nigeria', '', '\\N', 6.465907, 3.532115, 0, 1, 'N', 'Africa/Lagos'),
	(9023, 'Escravos', 'Escravos', 'Nigeria', '', '\\N', 5.617203, 5.187993, 0, 1, 'U', 'Africa/Lagos'),
	(9024, 'Volosovo', 'Volosovo', 'Russia', '', 'XUMW', 55.0683, 37.4517, 577, 4, 'N', 'Europe/Moscow'),
	(9025, 'Bijie Feixiong Airport', 'Bijie', 'China', 'BFJ', '\\N', 27.253, 105.426, 5250, 8, 'N', 'Asia/Chongqing'),
	(9026, 'Lensk', 'Lensk', 'Russia', 'ULK', 'UERL', 60.723, 114.825, 843, 10, 'U', 'Asia/Yakutsk'),
	(9027, 'Fairbanks Train Depot', 'Fairbanks', 'United States', '', '\\N', 64.5109, -147.4445, 446, -9, 'A', 'America/Anchorage'),
	(9028, 'Denali Train Depot', 'Denali', 'United States', '', '\\N', 63.43083, -150.31111, 3733, -9, 'A', 'America/Anchorage'),
	(9029, 'Talkeetna Train Depot', 'Talkeetna', 'United States', '', '\\N', 62.18934, -150.06177, 348, -9, 'A', 'America/Anchorage'),
	(9030, 'Anchorage Rail Depot', 'Anchorage', 'United States', '', '\\N', 61.1318, -149.5326, 102, -9, 'A', 'America/Anchorage'),
	(9031, 'Whittier Port', 'Whittier', 'United States', '', '\\N', 60.774174, -148.677649, 0, -9, 'A', 'America/Anchorage'),
	(9032, 'Qingdao Railway Station', 'Qingdao', 'China', '', '\\N', 36.063497, 120.312542, 45, 8, 'N', 'Asia/Chongqing'),
	(9033, 'Beijing South Railway Station', 'Beijing', 'China', '', '\\N', 39.5157, 116.2235, 144, 8, 'N', 'Asia/Chongqing'),
	(9034, 'Shanghai Railway Station', 'Shanghai', 'China', '', '\\N', 31.251552, 121.450446, 16, 8, 'N', 'Asia/Chongqing'),
	(9035, 'Suzhou Railway Station', 'Suzhou', 'China', '', '\\N', 31.195, 120.3623, 9, 8, 'N', 'Asia/Chongqing'),
	(9036, 'Biluty', 'Khamar-Daban', 'Russia', '', '\\N', 51.994, 102.099, 3000, 9, 'N', 'Asia/Irkutsk'),
	(9037, 'Shumak', 'Khamar-Daban', 'Russia', '', '\\N', 51.964, 101.867, 3600, 9, 'N', 'Asia/Irkutsk'),
	(9038, 'Shumak', 'Khamar-Daban', 'Russia', '', '\\N', 51.964, 101.897, 3300, 9, 'N', 'Asia/Irkutsk'),
	(9039, 'Kitoi', 'Khamar-Daban', 'Russia', '', '\\N', 52.111, 101.986, 2000, 9, 'N', 'Asia/Irkutsk'),
	(9040, 'Kitoi', 'Khamar-Daban', 'Russia', '', '\\N', 52.111, 101.986, 2000, 9, 'N', 'Asia/Irkutsk'),
	(9041, 'Angasolka', 'Baikal', 'Russia', '', '\\N', 51.758, 103.849, 1500, 9, 'N', 'Asia/Irkutsk'),
	(9042, 'Kavalerovo', 'Kavalerovo', 'Russia', '', 'UHWK', 44.273, 135.029, 660, 11, 'N', 'Asia/Vladivostok'),
	(9043, 'Igdir', 'Igdir', 'Turkey', 'IGD', 'LTCT', 39.983056, 43.866389, 3100, 2, 'E', 'Europe/Istanbul'),
	(9044, 'Sanliurfa GAP', 'Sanliurfa', 'Turkey', 'GNY', 'LTCS', 37.45, 38.9, 2700, 2, 'E', 'Europe/Istanbul'),
	(9045, 'Zafer', 'Kutahya', 'Turkey', 'KZR', 'LTBZ', 39.111389, 30.13, 3327, 2, 'E', 'Europe/Istanbul'),
	(9046, 'Barentsburg', 'Barentsburg', 'Svalbard', '', '\\N', 78.1006, 14.1998, 20, 1, 'U', 'Arctic/Longyearbyen'),
	(9047, 'Piramida', 'Piramida', 'Svalbard', '', '\\N', 78.6528, 16.3392, 20, 1, 'U', 'Arctic/Longyearbyen'),
	(9048, 'Velikiye Luki', 'Velikiye Luki', 'Russia', 'VLU', 'ULOL', 56.381667, 30.61, 328, 4, 'N', 'Europe/Moscow'),
	(9049, 'Boston Back Bay Station', 'Boston', 'United States', 'ZTY', '\\N', 42.3478, -71.075, 20, -5, 'A', 'America/New_York'),
	(9050, 'Burlington GO Station', 'Burlington', 'Canada', '', '\\N', 43.3408282, -79.8093881, 243, -5, 'A', 'America/Toronto'),
	(9051, 'Niagra Falls Railway Station', 'Niagra Falls', 'Canada', '', '\\N', 43.1088, -79.0634, 521, -5, 'A', 'America/New_York'),
	(9052, 'Niagara Falls Station', 'Niagara Falls', 'United States', '', '\\N', 43.1135, -79.0318, 0, -5, 'A', 'America/New_York'),
	(9053, 'Yelahanka AFB', 'Bangalore', 'India', 'YLK', 'VOYK', 13.136, 77.607, 2912, 5.5, 'N', 'Asia/Calcutta'),
	(9054, 'Yeltsovka', 'Novosibirsk', 'Russia', '', 'UNNE', 55.077, 82.997, 617, 7, 'N', 'Asia/Omsk'),
	(9055, 'Veligandu Resort', 'Veligandu', 'Maldives', '', '\\N', 4.1753, 73.0037, 0, 5, 'U', 'Indian/Maldives'),
	(9056, 'Kuramathi', 'Kuramathi', 'Maldives', '', '\\N', 4.1525, 73, 0, 5, 'U', 'Indian/Maldives'),
	(9057, 'Olkiombo Airstrip', 'Masai Mara', 'Kenya', '', 'HKOK', -1.409569, 35.110788, 4997, 3, 'U', 'Africa/Nairobi'),
	(9058, 'Shanghai South Railway Station', 'Shanghai', 'China', '', '\\N', 31.154425, 121.42416, 13, 8, 'N', 'Asia/Chongqing'),
	(9059, 'Suzhou North Railway Station', 'Suzhou', 'China', '', '\\N', 31.423646, 120.639045, 6, 8, 'N', 'Asia/Chongqing'),
	(9060, 'Ulithi', 'Ulithi', 'Micronesia', 'ULI', '\\N', 10.016699791, 139.800003052, 10, 10, 'O', 'Pacific/Truk'),
	(9061, 'Mar-Kuel', 'Mar-Kuel', 'Russia', '', 'UHHK', 57.2712, 132.314, 200, 11, 'N', 'Asia/Vladivostok'),
	(9062, 'Kodinsk', 'Kodinsk', 'Russia', '', 'UNKI', 58.285, 99.055, 200, 8, 'N', 'Asia/Krasnoyarsk'),
	(9063, 'Nanjing Railway Station', 'Nanjing', 'China', '', '\\N', 32.088583, 118.792189, 29, 8, 'N', 'Asia/Chongqing'),
	(9064, 'Balkanabat', 'Balkanabat', 'Turkmenistan', 'BKN', '\\N', 39.481389, 54.362778, 7, 5, 'N', 'Asia/Ashgabat'),
	(9065, 'Belmont Airport', 'Lake Macquarie', 'Australia', 'BEO', 'YPEC', -33.066667, 151.648333, 5, 10, 'O', 'Australia/Sydney'),
	(9066, 'Clayton County Tara Field', 'Hampton', 'United States', '4A7', 'K4A7', 33.389099, -84.332397, 874, -5, 'A', 'America/New_York'),
	(9067, 'Stapleton International Airport', 'Denver', 'United States', '', 'DENX', 39.779255, -104.88184, 5333, -7, 'A', 'America/Denver'),
	(9068, 'Brampton Island', 'Brampton Island', 'Australia', 'BMP', 'YBPI', -20.804444402073734, 149.2794443842832, 5, 10, 'O', 'Australia/Brisbane'),
	(9069, 'Shanghai Maglev Long Yang Road Station', 'Shanghai', 'China', '', '\\N', 31.202854, 121.558335, 16, 8, 'U', 'Asia/Chongqing'),
	(9070, 'Nuernberg Port', 'Nuernberg', 'Germany', '', '\\N', 49.392222, 11.061944, 990, 1, 'E', 'Europe/Berlin'),
	(9071, 'NAS Alameda', 'Alameda', 'United States', 'NGZ', 'KNGZ', 37.7861, -122.3186, 10, -8, 'U', 'America/Los_Angeles'),
	(9072, 'Stein', 'Stein', 'Germany', '', '\\N', 49.406324, 11.003054, 984, 1, 'E', 'Europe/Berlin'),
	(9073, 'Dippenricht Heliport', 'Dippenricht', 'Germany', '', '\\N', 49.253972, 11.363216, 1400, 1, 'E', 'Europe/Berlin'),
	(9074, 'Lagoon Cove water aerodrome', 'Lagoon Cove', 'Canada', '', '\\N', 50.6, -126.3167, 0, -8, 'A', 'America/Vancouver'),
	(9075, 'Endelage West', 'Endelage', 'Denmark', '', 'EKEL', 55.75616, 10.250716, 0, 1, 'E', 'Europe/Copenhagen'),
	(9076, 'Flugplatz St. Johann in Tirol', 'St. Johann in Tirol', 'Austria', '', 'LOIJ', 47.517222, 12.435833, 2198, 1, 'E', 'Europe/Vienna'),
	(9077, 'Echo Bay water aerodrome', 'Echo Bay', 'Canada', '', '\\N', 50.45, -126.29, 0, -8, 'A', 'America/Vancouver'),
	(9078, 'Kingcome water aerodrome', 'Kingcome', 'Canada', '', '\\N', 50.58, -128.11, 0, -8, 'A', 'America/Vancouver'),
	(9079, 'Thalmaessing Waizenhofen', 'Thalmaessing', 'Germany', '', 'EDPW', 49.064444, 11.208056, 1893, 1, 'E', 'Europe/Berlin'),
	(9080, 'Tcentralny', 'Taganrog', 'Russia', '', 'XRRC', 47.246, 38.84, 183, 4, 'N', 'Europe/Moscow'),
	(9081, 'Buffalo Exchange Street Station', 'Buffalo', 'United States', '', '\\N', 42.8783, -78.8738, 600, -5, 'A', 'America/New_York'),
	(9082, 'Wilmington Amtrak Station', 'Wilmington', 'United States', 'ZWI', '\\N', 39.736667, -75.551667, 0, -5, 'A', 'America/New_York'),
	(9083, 'Vagaru Island', 'Viceroy Resort', 'Maldives', '', '\\N', 6.089305, 73.203857, 5, 5, 'N', 'Indian/Maldives'),
	(9084, 'Fort McMurray - Mildred Lake Airport', 'Fort McMurray', 'Canada', 'NML', '\\N', 57.055599, -111.573997, 1046, -7, 'A', 'America/Edmonton'),
	(9085, 'Genoa Cruise Terminal', 'Genova', 'Italy', '', '\\N', 44.40725, 8.876301, 0, 1, 'E', 'Europe/Rome'),
	(9086, 'Suzhou Industrial Park Railway Station', 'Suzhou', 'China', '', '\\N', 31.344444, 120.706667, 7, 8, 'N', 'Asia/Chongqing'),
	(9087, 'Elkhart Municipal', 'Elkhart', 'United States', 'EKI', '\\N', 41.719444, -86.003333, 778, -5, 'A', 'America/New_York'),
	(9088, 'Cochrane', 'Cochrane', 'Canada', 'YCN', 'CYCN', 49.106667, -81.015278, 852, -5, 'A', 'America/Toronto'),
	(9089, 'Aeroporto Estadual Arthur Siqueira', 'Braganca Paulista', 'Brazil', 'BJP', 'SBBP', -22.979167, -46.5375, 3, -3, 'S', 'America/Sao_Paulo'),
	(9090, 'Brusselton', 'Brusselton', 'Australia', 'BQB', 'YBLN', -33.687222, 115.400278, 55, 8, 'O', 'Australia/Perth'),
	(9091, 'Srednekolymsk', 'Srednekolymsk', 'Russia', '', 'UESK', 67.2748, 153.4258, 98, 12, 'N', 'Asia/Magadan'),
	(9092, 'Garowe - International', 'Garowe', 'Somalia', 'GGR', '\\N', 8.24, 48.29, 553, 3, 'N', 'Africa/Mogadishu'),
	(9093, 'Salt Lake City Intermodal Hub', 'Salt Lake City', 'United States', '', 'SLCR', 40.762778, -111.908333, 0, -7, 'A', 'America/Denver'),
	(9094, 'Thorny Bush Game Lodge Airport', 'Hoedspruit', 'South Africa', '', '\\N', -24.414722, 31.165001, 1900, 2, 'U', 'Africa/Johannesburg'),
	(9095, 'Inverell', 'Inverell', 'Australia', 'IVR', 'YIVL', -29.888333, 151.144167, 2667, 10, 'O', 'Australia/Sydney'),
	(9096, 'Glen Innes', 'Glen Innes', 'Australia', 'GLI', 'YGLI', -29.675, 151.69, 3433, 10, 'O', 'Australia/Sydney'),
	(9097, 'Hangzhou Railway Station', 'Hangzhou', 'China', '', '\\N', 30.246, 120.1784, 39, 8, 'N', 'Asia/Chongqing'),
	(9098, 'Sorrento Valley Station', 'San Diego', 'United States', '', '\\N', 32.903, -117.225, 150, -8, 'A', 'America/Los_Angeles'),
	(9099, 'San Diego Union Station', 'San Diego', 'United States', '', '\\N', 32.716944, -117.168611, 50, -8, 'A', 'America/Los_Angeles'),
	(9100, 'Petersdorf', 'Ansbach', 'Germany', '', 'EDQF', 49.216, 10.4026, 1370, 1, 'E', 'Europe/Berlin'),
	(9101, 'Venice-Venezia Mestre', 'Venice', 'Italy', '', '\\N', 45.48189, 12.231923, 0, 1, 'E', 'Europe/Rome'),
	(9102, 'Immokalee ', 'Immokalee ', 'United States', 'IMM', 'KIMM', 26.433889, -81.401389, 37, -5, 'A', 'America/New_York'),
	(9103, 'Maranggo', 'Sulawesi Tenggara', 'Indonesia', '', 'WA44', -5.76457, 123.917, 169, 8, 'N', 'Asia/Makassar'),
	(9104, 'Rancho San Simeon Airport', 'Cambria', 'United States', '', '66CA', 35.607748, -121.110192, 320, -8, 'A', 'America/Los_Angeles'),
	(9105, 'Port Canaveral', 'Brevard County', 'United States', '', '\\N', 28.4113919, -80.6081066, 0, -5, 'A', 'America/New_York'),
	(9106, 'Cococay', 'Ragged Island', 'Bahamas', '', '\\N', 22.148056, -75.693333, 0, -5, 'A', 'America/Nassau'),
	(9107, 'Yichun Mingyueshan Airport', 'Yichun', 'China', 'YIC', 'ZSYC', 27.8033, 114.3081, 131, 8, 'U', 'Asia/Chongqing'),
	(9108, 'Costa maya port', 'Costa maya', 'Mexico', '', '\\N', 18.714, -87.709, 0, -6, 'U', 'America/Mexico_City'),
	(9109, 'Costa maya port', 'Costa maya', 'Mexico', '', '\\N', 18.714, -87.709, 0, -6, 'U', 'America/Mexico_City'),
	(9110, 'Fajardo', 'Fajardo', 'Puerto Rico', '', '\\N', 18.32, -65.65, 0, -4, 'U', 'America/Puerto_Rico'),
	(9111, 'Billings field', 'Essex', 'Canada', '', '\\N', 42.199, -82.465, 650, -5, 'U', 'America/Toronto'),
	(9112, 'Hiberico Offshore Platform', 'Cuidad del Carmen', 'Mexico', '', '\\N', 19.398611, -92.016111, 0, -6, 'A', '\\N'),
	(9113, 'Alpha offshore platform', 'Cork', 'Ireland', '', '\\N', 51.400377, -7.901464, 0, 0, 'E', '\\N'),
	(9114, 'Peterhof Helicopter Landing area', 'Saint-Petersburg', 'Russia', '', '\\N', 59.890529, 29.894609, 0, 4, 'U', 'Europe/Moscow'),
	(9115, 'Gogland Helicopter Landing', 'Gogland Island', 'Russia', '', '\\N', 60.011662, 27.008236, 0, 4, 'U', '\\N'),
	(9116, 'New Carrollton Rail Station', 'New Carrollton', 'United States', 'ZRZ', '\\N', 38.948, -76.8719, 39, -5, 'A', 'America/New_York'),
	(9117, 'Ship Channel Cay', 'Ship Channel Cay', 'Bahamas', '', '\\N', 24.819302, -76.824331, 0, -5, 'A', 'America/Nassau'),
	(9118, 'Walkersville Train Depot', 'Walkersville', 'United States', '', '\\N', 39.48618333333334, -77.35475, 308, -5, 'A', 'America/New_York'),
	(9119, 'Seattle Pier 69 - Victoria Clipper', 'Seattle', 'United States', '', '\\N', 47.613801, -122.354019, 7, -8, 'A', 'America/Los_Angeles'),
	(9120, 'Dinwiddie County Airport', 'Petersburg', 'United States', 'PTB', 'KPTB', 37.18375, -77.507388, 193, -5, 'A', 'America/New_York'),
	(9121, 'Mount Aso helipad', 'Aso', 'Japan', '', '\\N', 32.884308, 131.064638, 1350, 9, 'N', 'Asia/Tokyo'),
	(9122, 'Mount Aso helipad', 'Aso', 'Japan', '', '\\N', 32.884308, 131.064638, 1350, 9, 'N', 'Asia/Tokyo'),
	(9123, 'Kasongo Lunda', 'Kasongo', 'Congo (Kinshasa)', 'KGN', 'FZOK', -6.583333, 16.816668, 0, 1, 'U', 'Africa/Kinshasa'),
	(9124, 'McMurdo Station Pegasus Field', 'McMurdo Station', 'Antarctica', '', 'NZPG', -77.963333, 166.524444, 18, 12, 'Z', 'Antarctica/South_Pole'),
	(9125, 'Klatovy', 'Klatovy', 'Czech Republic', '', 'LKKT', 49.418327, 13.321944, 1299, 1, 'E', 'Europe/Prague'),
	(9126, 'Sheboygan County Memorial Airport', 'Sheboygan', 'United States', 'SBM', 'KSBM', 43.7696, -87.851402, 755, -6, 'A', 'America/Chicago'),
	(9127, 'Dave Forest Airport', 'Cloudbreak', 'Australia', 'KFE', 'YFDF', -22.291945, 119.437225, 1555, 8, 'N', 'Australia/Perth'),
	(9128, 'Ephraim-Gibraltar Airport', 'Ephraim', 'United States', '3D2', '\\N', 45.1354167, -87.1879444, 773, -6, 'A', 'America/Chicago'),
	(9129, 'Kangel Danda Airport', 'Kangel Danda', 'Nepal', '', 'VNKL', 27.41667, 86.64167, 6880, 5.75, 'N', 'Asia/Katmandu'),
	(9130, 'Man Maya Airport', 'Khanidanda', 'Nepal', '', 'VNKD', 27.19028, 86.77167, 4435, 5.75, 'N', 'Asia/Katmandu'),
	(9131, 'Talcha Airport', 'Rara National Park', 'Nepal', '', 'VNT1', 29.43, 81, 0, 5.75, 'N', 'Asia/Katmandu'),
	(9132, 'Bajura Airport', 'Bajura', 'Nepal', 'BJU', 'VNBR', 29.50611, 81.66944, 4606, 5.75, 'N', 'Asia/Katmandu'),
	(9133, 'Walkersville Turnaround', 'Frederick', 'United States', '', '\\N', 39.4449, -77.4012, 302, -5, 'A', 'America/New_York'),
	(9134, 'Airport Chara', 'Chara', 'Russia', '', 'UIAR', 56.912765, 118.271007, 671, 10, 'N', 'Asia/Yakutsk'),
	(9135, 'Tho Xuan Airport', 'Thanh Hoa', 'Vietnam', 'THD', '\\N', 19.90167, 105.46778, 0, 7, 'N', 'Asia/Saigon'),
	(9136, 'Herning', 'Herning', 'Denmark', '', 'EKHG', 56.197224, 9.147222, 136, 1, 'E', 'Europe/Copenhagen'),
	(9137, 'Sonderlandeplatz Schleissheim', 'Schleissheim', 'Germany', '', 'EDNX', 48.239167, 11.561389, 1594, 1, 'E', 'Europe/Berlin'),
	(9138, 'Pinal Airpark', 'Marana', 'United States', 'MZJ', 'KMZJ', 32.509722, -111.325278, 1893, -7, 'N', 'America/Phoenix'),
	(9139, 'Glendale Municipal Airport', 'Glendale', 'United States', 'GEU', 'KGEU', 33.5269167, -112.2951389, 1071, -7, 'N', 'America/Phoenix'),
	(9140, 'Safford Regional Airport', 'Safford', 'United States', 'SAD', 'KSAD', 32.8533333, -109.6350833, 3179, -7, 'N', 'America/Phoenix'),
	(9141, 'Verden Scharnhorst', 'Verden', 'Germany', '', 'EDWV', 52.965278, 9.282778, 144, 1, 'E', 'Europe/Berlin'),
	(9142, 'Mara North', 'Masai Mara', 'Kenya', '', '\\N', -1.142636, 35.139856, 5468, 3, 'N', 'Africa/Nairobi'),
	(9143, 'Fort Lauderdale-Hollywood International Airport Station at Dania Beach', 'Dania Beach', 'United States', '', '\\N', 26.061933, -80.16565, 9, -5, 'A', 'America/New_York'),
	(9144, 'Deerfield Beach Station', 'Deerfield Beach', 'United States', '', '\\N', 26.316944, -80.122222, 13, -5, 'A', 'America/New_York'),
	(9145, 'Lecheo', 'Korinthos', 'Greece', '', '\\N', 37.92592, 22.860228, 60, 2, 'E', 'Europe/Athens'),
	(9146, 'Solomon Airport', 'Solomon', 'Australia', 'SLJ', 'YSOL', -22.255, 117.85, 2008, 8, 'N', 'Australia/Perth'),
	(9147, 'Bruck-Nittenau', 'Nittenau', 'Germany', '', 'EDNM', 49.2225, 12.2967, 1161, 1, 'E', 'Europe/Berlin'),
	(9148, 'Kerama Airport', 'Kerama', 'Japan', 'KJP', 'ROKR', 26.168333, 127.293333, 156, 9, 'N', 'Asia/Tokyo'),
	(9149, 'Americana', 'Americana', 'Brazil', '', 'SDAI', -22.7558, -47.269402, 2085, -3, 'S', 'America/Sao_Paulo'),
	(9150, 'Brussels Gare Centrale', 'Brussels', 'Belgium', '', '\\N', 50.84548, 4.357174, 43, 1, 'E', 'Europe/Brussels'),
	(9151, 'Comino Airport', 'Comino', 'Malta', 'JCO', '\\N', 36.016, 14.333, 201, 1, 'E', 'Europe/Malta'),
	(9152, 'Udine stazione', 'Udine', 'Italy', '', '\\N', 46.04, 13.14, 1, 1, 'E', 'Europe/Rome'),
	(9153, 'Bratislava Hlavna Stanica', 'Bratislava', 'Slovakia', '', '\\N', 48.08, 17.06, 1, 1, 'E', 'Europe/Vienna'),
	(9154, 'Depati Parbo Airport', 'Sungai Penuh', 'Indonesia', '', '\\N', 1.881071, 101.442261, 2000, 7, 'U', 'Asia/Jakarta'),
	(9155, 'Kolosovka', 'Kolosovka', 'Russia', '', '\\N', 56.2752, 73.3641, 100, 7, 'U', 'Asia/Omsk'),
	(9156, 'Ekibastuz airport', 'Ekibastuz', 'Kazakhstan', '', 'UASB', 51.5723, 75.2613, 776, 6, 'N', 'Asia/Qyzylorda'),
	(9157, 'Znamenka airport', 'Znamenskoe', 'Russia', '', '\\N', 57.1523, 73.7512, 432, 7, 'E', 'Asia/Omsk'),
	(9158, 'Tevriz airport', 'Tevriz', 'Russia', '', '\\N', 57.5243, 72.4653, 456, 7, 'U', 'Asia/Omsk'),
	(9159, 'Besobe airport', 'Bestobe', 'Kazakhstan', '', '\\N', 52.4986, 73.1434, 645, 6, 'N', 'Asia/Qyzylorda'),
	(9160, 'Stepnogorsk airport', 'Stepnogorsk', 'Kazakhstan', '', '\\N', 52.3575, 71.7865, 432, 6, 'N', 'Asia/Qyzylorda'),
	(9161, 'Bekdash airport', 'Karabogaz', 'Turkmenistan', '', '\\N', 41.5397, 52.5711, 12, 5, 'U', 'Asia/Ashgabat'),
	(9162, 'Adamovka', 'Adamovka', 'Russia', '', 'UWOD', 51.4929, 59.92752, 931, 6, 'N', 'Asia/Yekaterinburg'),
	(9163, 'Kvarkeno', 'Kvarkeno', 'Russia', '', 'UWOH', 52.078333, 59.683333, 305, 6, 'U', 'Asia/Yekaterinburg'),
	(9164, 'Sikeston Memorial Municipal', 'Sikeston', 'United States', 'SIK', 'KSIK', 36.8988889, -89.56175, 315, -6, 'A', 'America/Chicago'),
	(9165, 'Nynashamn Ferry Port', 'Nynashamn', 'Sweden', 'NYN', '\\N', 58.9, 17.95, 0, 1, 'E', 'Europe/Stockholm'),
	(9166, 'Rodby Port', 'Rodby', 'Denmark', 'ROD', '\\N', 54.65, 11.35, 0, 1, 'E', 'Europe/Copenhagen'),
	(9167, 'Puttgarden', 'Puttgarden', 'Germany', 'QUA', '\\N', 54.5, 11.2167, 0, 1, 'E', 'Europe/Berlin'),
	(9168, 'Sonevafushi', 'Sonevafushi', 'Maldives', '', '\\N', 5.112336, 73.07805, 0, 5, 'U', 'Indian/Maldives'),
	(9169, 'Royal Island Resort', 'Royal Island Resort', 'Maldives', '', '\\N', 5.162911, 73.053578, 0, 5, 'U', 'Indian/Maldives'),
	(9170, 'Royal Island Resort', 'Royal Island Resort', 'Maldives', '', '\\N', 5.162911, 73.053578, 0, 5, 'U', 'Indian/Maldives'),
	(9171, 'Port of Belfast', 'Belfast', 'United Kingdom', 'BE2', '\\N', 54.6178, -5.9017, 0, 0, 'E', 'Europe/London'),
	(9172, 'Stranraer Ferry Port', 'Stranraer', 'United Kingdom', 'SR2', '\\N', 54.902, -5.027, 0, 0, 'E', 'Europe/London'),
	(9173, 'Oceano County Airport', 'Oceano', 'United States', 'L52', 'KL52', 35.10147222, -120.62236111, 14, -8, 'U', 'America/Los_Angeles'),
	(9174, 'Eupen - Rail', 'Eupen', 'Belgium', '', '\\N', 50.3743, 6.0201, 1000, 1, 'E', 'Europe/Brussels'),
	(9175, 'Tetiaroa Airport', 'Tetiaroa', 'French Polynesia', 'TTI', 'NTTE', -17.0132999, -149.5870056, 0, -10, 'N', 'Pacific/Tahiti'),
	(9176, 'Osnabrueck Hbf', 'Osnabrueck', 'Germany', '', '\\N', 52.272778, 8.061111, 207, 1, 'E', 'Europe/Berlin'),
	(9177, 'Hannover Hbf', 'Hannover', 'Germany', '', '\\N', 52.366667, 9.716667, 180, 1, 'E', 'Europe/Berlin'),
	(9178, 'Floyd Bennett Memorial Airport', 'Queensbury', 'United States', 'GFL', 'KGFL', 43.341222, -73.610305, 328, -5, 'A', 'America/New_York'),
	(9179, 'Saratoga County Airport', 'Ballston Spa', 'United States', '5B2', 'K5B2', 43.050722, -73.861638, 433, -5, 'A', 'America/New_York'),
	(9180, 'Burrello-Mechanicville Airport', 'Mechanicville', 'United States', 'K27', '\\N', 42.893133, -73.66845, 195, -5, 'A', 'America/New_York'),
	(9181, 'Tampa Padang', 'Mamuju', 'Indonesia', 'MJU', 'WAWJ', -2.583333, 119.033333, 2, 8, 'N', 'Asia/Makassar'),
	(9182, 'Crystal River', 'Crystal River', 'United States', 'CGC', 'KCGC', 28.8676111, -82.5741111, 9, -5, 'A', 'America/New_York'),
	(9183, 'Martin State', 'Baltimore', 'United States', 'MTN', 'KMTN', 39.3256667, -76.4137778, 22, -5, 'A', 'America/New_York'),
	(9184, 'Lincoln Regional Airport Karl Harder Field', 'Lincoln', 'United States', 'LHM', 'KLHM', 38.9091667, -121.3513333, 121, -8, 'A', 'America/Los_Angeles'),
	(9185, 'Fostoria Metropolitan Airport', 'Fostoria', 'United States', 'FZI', 'KFZI', 41.1908333, -83.3930833, 752, -5, 'A', 'America/New_York'),
	(9186, 'Eastern Slopes Regional', 'Fryeburg', 'United States', 'IZG', 'KIZG', 43.9911389, -70.9478889, 455, -5, 'A', 'America/New_York'),
	(9187, 'Coral Creek', 'Placida', 'United States', '', 'FA54', 26.8537417, -82.2526028, 8, -5, 'A', 'America/New_York'),
	(9188, 'Lakefront', 'New Orleans', 'United States', 'NEW', 'KNEW', 30.0424167, -90.02825, 7, -6, 'A', 'America/Chicago'),
	(9189, 'Pappy Boyington', 'Coeur d\'Alene', 'United States', 'COE', 'KCOE', 47.7743056, -116.8195833, 2320, -8, 'A', 'America/Los_Angeles'),
	(9190, 'Beaumont Municipal', 'Beaumont', 'United States', 'BMT', 'KBMT', 30.0702044, -94.2150967, 32, -6, 'A', 'America/Chicago'),
	(9191, 'Vermilion Regional', 'Danville', 'United States', 'DNV', 'KDNV', 40.1996944, -87.5955278, 696, -6, 'A', 'America/Chicago'),
	(9192, 'Varberg Railway Station', 'Varberg', 'Sweden', '', '\\N', 57.107118, 12.2520907, 0, 1, 'E', 'Europe/Stockholm'),
	(9193, 'Coonabarabran', 'Coonabarabran', 'Australia', 'COJ', 'YCBB', -31.337221, 149.27194, 2117, 10, 'O', 'Australia/Sydney'),
	(9194, 'Toronto Union Station', 'Toronto', 'Canada', '', '\\N', 43.645278, -79.380556, 249, -5, 'A', 'America/Toronto'),
	(9195, 'Windsor Station', 'Windsor', 'Canada', '', '\\N', 42.3254, -83.0092, 623, -5, 'A', 'America/Toronto'),
	(9196, 'Dearborn Amtrak Station', 'Dearborn', 'United States', '', '\\N', 42.312222, -83.198611, 591, -5, 'A', 'America/New_York'),
	(9197, 'Merritt Island Airport', 'Cocoa', 'United States', 'COI', '\\N', 28.3416111, -80.6854722, 6, -5, 'A', 'America/New_York'),
	(9198, 'Valkaria Municipal', 'Valkaria', 'United States', 'X59', '\\N', 27.9608611, -80.5583333, 26, -5, 'A', 'America/New_York'),
	(9199, 'Space Coast Reg\'l Airport', 'Titusville', 'United States', 'TIX', '\\N', 28.5148, -80.7992278, 34, -5, 'A', 'America/New_York'),
	(9200, 'Sebastian Municipal', 'Sebastian', 'United States', 'X26', '\\N', 27.81325, -80.4955833, 21, -5, 'A', 'America/New_York'),
	(9201, 'Terrace Bay', 'Terrace Bay', 'Namibia', 'TCY', '\\N', -19.9705556, 13.0244444, 0, 1, 'N', 'Africa/Windhoek'),
	(9202, 'Nxabega Airstrip', 'Nxabega', 'Botswana', '', 'FB57', -19.5147, 22.77665, 3100, 2, 'U', 'Africa/Gaborone'),
	(9203, 'Kelani River-Peliyagoda Waterdrome', 'Colombo', 'Sri Lanka', 'KEZ', '\\N', 6.967463700288899, 79.88197231301456, 28, 5.5, 'N', 'Asia/Colombo'),
	(9204, 'Polgolla Reservoir', 'Kandy', 'Sri Lanka', 'KDZ', '\\N', 7.325125009685146, 80.64211571225314, 1472, 5.5, 'N', 'Asia/Colombo'),
	(9205, 'Bumi', 'Bumi Hills', 'Zimbabwe', '', 'FVBM', -16.81685727384918, 28.348887920401467, 1633, 2, 'N', 'Africa/Harare'),
	(9206, 'Priv', 'Lagos', 'Portugal', '', '\\N', 37.096744, -8.663535, 0, 0, 'E', 'Europe/Lisbon');
INSERT INTO `airport` (`Airport_ID`, `Name`, `City`, `Country`, `IATA_FAA`, `ICAO`, `Latitude`, `Longitude`, `Altitude`, `Timezone`, `DST`, `Tz`) VALUES
	(9207, 'Warnervale Airport', 'Warnervale Airport', 'Australia', '', 'YWVA', -33.240833, 151.427778, 25, 10, 'U', 'Australia/Sydney'),
	(9208, 'Boat', 'Hati', 'Haiti', '', '\\N', 19.15, -73, 0, -5, 'N', 'America/Port-au-Prince'),
	(9209, 'Boat', 'Hati', 'Haiti', '', '\\N', 19.1, -73, 0, -5, 'N', 'America/Port-au-Prince'),
	(9210, 'Cartitas', 'Hati', 'Haiti', '', '\\N', 18.55, -72.3, 50, -5, 'N', 'America/Port-au-Prince'),
	(9211, 'Boat', 'Hati', 'Haiti', '', '\\N', 19, -73, 0, -5, 'N', 'America/Port-au-Prince'),
	(9212, 'Hospital', 'Port Au Prince', 'Haiti', '', '\\N', 18.5501, -72.3001, 50, -5, 'N', 'America/Port-au-Prince'),
	(9213, 'Clinic', 'Saint Marc', 'Haiti', '', '\\N', 19.1001, -72.7001, 30, -5, 'N', 'America/Port-au-Prince'),
	(9214, 'Village', 'Dodard', 'Haiti', '', '\\N', 19.0661, -72.3001, 2639, -5, 'N', 'America/Port-au-Prince'),
	(9215, 'Bouarfa International', 'Bouarfa', 'Morocco', '', 'GMFB', 32.518889, -1.9775, 3564, 0, 'N', 'Africa/Casablanca'),
	(9216, 'Beijing West Railway Station', 'Beijing', 'China', '', '\\N', 39.8955463, 116.3201722, 167, 8, 'N', 'Asia/Chongqing'),
	(9217, 'Hung Hom Railway Station', 'Hong Kong', 'Hong Kong', '', '\\N', 22.303067, 114.18152699999996, 39, 8, 'N', 'Asia/Hong_Kong'),
	(9218, 'NYERI', 'NYERI', 'Kenya', 'NYE', 'HKNI', -0.34, 36.91, 5830, 3, 'U', 'Africa/Nairobi'),
	(9219, 'Angaga Seaplane Dock', 'Alifu Dhaalu Atoll', 'Maldives', '', '\\N', 3.652859, 72.824086, 2, 5, 'N', 'Indian/Maldives'),
	(9220, 'Madoogali Seaplane Dock', 'Alifu Atoll', 'Maldives', '', '\\N', 4.0956, 72.753439, 2, 5, 'N', 'Indian/Maldives'),
	(9221, 'Effingham Memorial Airport', 'Effingham', 'United States', '1H2', 'KEFH', 39.07, -88.534, 585, -6, 'A', 'America/Chicago'),
	(9222, 'Stoke', 'Stoke-on-Trent', 'United Kingdom', '', '\\N', 53, 2.18333, 500, 0, 'E', '\\N'),
	(9223, 'Tobermory Dock', 'Tobermory', 'Canada', '', '\\N', 45.2578121, -81.6637838, 1335, -5, 'A', 'America/Toronto'),
	(9224, 'South Baymouth Docks', 'South Baymouth', 'Canada', '', '\\N', 45.5564479, -82.0071535, 1335, -5, 'A', 'America/Toronto'),
	(9225, 'Andrau Airport', 'Houston', 'United States', 'AAP', 'KAAP', 29.43, -95.35, 80, -6, 'A', 'America/Chicago'),
	(9226, 'Flying Cloud Airport', 'Eden Prairie', 'United States', 'FCM', 'KFCM', 44.4938, -93.2726, 906, -6, 'A', 'America/Chicago'),
	(9227, 'Likoma Island Airport', 'Likoma Island', 'Malawi', 'LIX', 'FWLK', -12.083, 34.733001, 1600, 2, 'N', 'Africa/Blantyre'),
	(9228, 'Johnson County Airport', 'Olathe', 'United States', 'OJC', 'KOJC', 38.5051, -94.4415, 1096, -6, 'A', 'America/Chicago'),
	(9229, 'Sigiriya Airport', 'Sigiriya', 'Sri Lanka', 'GIU', 'VCCS', 7.57212, 80.43412, 630, 5.5, 'N', 'Asia/Colombo'),
	(9230, 'Westbahnhoff', 'Vienna', 'Austria', 'XWW', '\\N', 48.196667, 16.337778, 600, 1, 'E', 'Europe/Vienna'),
	(9231, 'York Mills GO Bus Terminal', 'York Mills', 'Canada', '', '\\N', 43.745, -79.406389, 449, -5, 'A', 'America/Toronto'),
	(9232, 'Neumuenster', 'Neumuenster', 'Germany', 'EUM', 'EDHN', 54.079069, 9.941719, 69, 1, 'E', 'Europe/Berlin'),
	(9233, 'Tak', 'Tak', 'Thailand', 'TKT', 'VTPT', 16.89611, 99.25361, 478, 7, 'N', 'Asia/Bangkok'),
	(9234, 'Marshall Aiport', 'Marshall', 'United States', '', '\\N', 44.4469, 95.7883, 354, 8, 'A', 'Asia/Ulaanbaatar'),
	(9235, 'Meedhuffushi Seaplane dock', 'Meedhuffushi Island', 'Maldives', '', '\\N', 3.003899, 73.000696, 0, 5, 'U', 'Indian/Maldives'),
	(9236, 'Lake Simcoe', 'Barrie-Orillia', 'Canada', 'YLS', 'CYLS', 44.487778, -79.559444, 972, -5, 'A', 'America/Toronto'),
	(9237, 'Huronia', 'Midland', 'Canada', 'YEE', 'CYEE', 44.684722, -79.929167, 773, -5, 'A', 'America/Toronto'),
	(9238, 'Markham', 'Markham', 'Canada', 'NU8', 'CNU8', 43.935278, -79.263333, 807, -5, 'A', 'America/Toronto'),
	(9239, 'Stanhope', 'Haliburton', 'Canada', 'ND4', 'CND4', 45.110833, -78.64, 1066, -5, 'A', 'America/Toronto'),
	(9240, 'Lindsay', 'Lindsay', 'Canada', 'NF4', 'CNF4', 44.364722, -78.783889, 895, -5, 'A', 'America/Toronto'),
	(9241, 'Niagara District', 'Saint Catherines', 'Canada', 'YCM', 'CYSN', 43.191667, -79.171111, 321, -5, 'A', 'America/Toronto'),
	(9242, 'Apopka', 'Orlando', 'United States', 'X04', '\\N', 28.707222, -81.581667, 143, -5, 'A', 'America/New_York'),
	(9243, 'Edenvale', 'Edenvale', 'Canada', '', 'CNV8', 44.438889, -79.965278, 718, -5, 'A', 'America/Toronto'),
	(9244, 'Orillia', 'Orillia', 'Canada', '', 'CNJ4', 44.683333, -79.316667, 725, -5, 'A', 'America/Toronto'),
	(9245, 'Holland Landing', 'Holland Landing', 'Canada', '', 'CLA4', 44.089444, -79.495, 855, -5, 'A', 'America/Toronto'),
	(9246, 'Kent', 'Chatham', 'Canada', 'XCM', 'CNZ3', 42.306111, -82.081667, 645, -5, 'A', 'America/Toronto'),
	(9247, 'Parry Sound', 'Parry Sound', 'Canada', 'YPD', 'CNK4', 45.253889, -79.827778, 830, -5, 'A', 'America/Toronto'),
	(9248, 'Saugeen', 'Hanover', 'Canada', '', 'CYHS', 44.158056, -81.063333, 940, -5, 'A', 'America/Toronto'),
	(9249, 'Brandywine Airport', 'West Goshen Township', 'United States', 'OQN', 'KOQN', 39.5924, -75.3455, 466, -5, 'A', 'America/New_York'),
	(9250, 'Batoka', 'Livingston', 'Zambia', '', '\\N', -17.53, 25.5, 3235, 2, 'U', 'Africa/Lusaka'),
	(9251, 'Manassas', 'Manassas', 'United States', 'MNZ', 'KHEF', 38.721389, -77.515556, 192, -5, 'A', 'America/New_York'),
	(9252, 'Texas Gulf Coast Regional', 'Angleton', 'United States', '', 'KLBX', 29.1086389, -95.4620833, 25, -6, 'A', 'America/Chicago'),
	(9253, 'Bubovice', 'Bubovice', 'Czech Republic', '', 'LKBU', 49.974422, 14.180801, 1385, 1, 'E', 'Europe/Prague'),
	(9254, 'Shenzhen Railway Station', 'Shenzhen', 'China', '', '\\N', 22.5344, 114.1121, 67, 8, 'N', 'Asia/Chongqing'),
	(9255, 'Rakkestad Flyplass', 'Rakkestad', 'Norway', '', 'ENRK', 59.3975, 11.3469, 381, 1, 'E', 'Europe/Oslo'),
	(9256, 'Johnstown Amtrak', 'Johnstown', 'United States', '', '\\N', 40.3297222, -78.9222222, 1142, -5, 'A', 'America/New_York'),
	(9257, 'Harvey Field S43', 'Snohomish WA', 'United States', '', '\\N', 47.904451, -122.102529, 22, -8, 'A', 'America/Los_Angeles'),
	(9258, 'Urgup', 'Urgup', 'Turkey', '', '\\N', 38.606239, 34.860276, 4000, 2, 'E', 'Europe/Istanbul'),
	(9259, 'Dolo Ado', 'Dolo Ado', 'Ethiopia', '', '\\N', 4.175858, 42.034083, 630, 3, 'U', 'Africa/Addis_Ababa'),
	(9260, 'AYaou', 'Yaou', 'French Guiana', '', '\\N', 3.724286, -53.974698, 0, -3, 'N', 'America/Cayenne'),
	(9261, 'Camop', 'Camopi', 'French Guiana', '', '\\N', 3.17004, -52.337801, 0, -3, 'N', 'America/Cayenne'),
	(9262, 'CApat', 'Croisee d Apatou', 'French Guiana', '', '\\N', 5.04305, -54.0425, 0, -3, 'N', 'America/Cayenne'),
	(9263, 'Citro', 'Citron', 'French Guiana', '', '\\N', 4.730072, -53.95158, 0, -3, 'N', 'America/Cayenne'),
	(9264, 'DieuM', 'Dieu Merci', 'French Guiana', '', '\\N', 4.782964, -53.260539, 0, -3, 'N', 'America/Cayenne'),
	(9265, 'Dorli', 'Dorlin', 'French Guiana', '', '\\N', 3.7353, -53.5287, 0, -3, 'N', 'America/Cayenne'),
	(9266, 'Elyse', 'Elysee', 'French Guiana', '', '\\N', 4.75, -54.05, 0, -3, 'N', 'America/Cayenne'),
	(9267, 'Herap', 'Morsbach', 'France', '', '\\N', 49.160592, 6.864892, 0, 1, 'E', 'Europe/Paris'),
	(9268, 'OSMSE', 'Saint Elie', 'French Guiana', '', '\\N', 4.81444, -53.28833, 0, -3, 'N', 'America/Cayenne'),
	(9269, 'Prevo', 'Remire', 'French Guiana', '', '\\N', 4.89333, -52.29222, 0, -3, 'N', 'America/Cayenne'),
	(9270, 'Sisli Belediyesi Evlendirme Dairesi Heliport', 'Istanbul', 'Turkey', '', '\\N', 41.0410805, 28.9923138, 100, 2, 'E', 'Europe/Istanbul'),
	(9271, 'Kadikoy Ispark Heliport', 'Istanbul', 'Turkey', '', '\\N', 40.989305, 29.018833, 100, 2, 'E', 'Europe/Istanbul'),
	(9272, 'Bingol', 'Bingol', 'Turkey', 'BGG', 'LTCU', 38.86111, 40.5925, 3490, 2, 'E', 'Europe/Istanbul'),
	(9273, 'Uzunyazi', 'Kastamonu', 'Turkey', 'KFS', 'LTAL', 41.316944, 33.796111, 3520, 2, 'E', 'Europe/Istanbul'),
	(9274, 'Okawango Lodge', 'Okawango', 'Botswana', '', '\\N', -19.25, 23.09, 3100, 2, 'N', 'Africa/Gaborone'),
	(9275, 'Kai Tak', 'Hong Kong', 'Hong Kong', '', 'HKGX', 22.317883, 114.202108, 50, 8, 'U', 'Asia/Hong_Kong'),
	(9276, 'Elstree', 'Elstree', 'United Kingdom', '', 'EGTR', 51.4807, -0.00093, 250, 0, 'E', 'Europe/London'),
	(9277, 'Sandtoft Airfield', 'Sandtoft', 'United Kingdom', '', 'EGCF', 53.559444, -0.858332, 11, 0, 'E', 'Europe/London'),
	(9278, 'Bourne Park', 'Hurtsbourne Tarrant', 'United Kingdom', '', '\\N', 51.264449, -1.461975, 550, 0, 'E', 'Europe/London'),
	(9279, 'Hite Airport', 'Hanksville', 'United States', 'UT3', '\\N', 37.8916547, -110.3840289, 3840, -7, 'A', 'America/Denver'),
	(9280, 'Dieppe Ferry Port', 'Dieppe', 'France', '', '\\N', 49.933616, 1.088039, 0, 1, 'E', 'Europe/Paris'),
	(9281, 'Newhaven Ferry Port', 'Newhaven', 'United Kingdom', '', '\\N', 50.790385, 0.054551, 0, 0, 'E', 'Europe/London'),
	(9282, 'Ollantaytambo Train Station', 'Ollantaytambo', 'Peru', '', '\\N', -13.263155, -72.270291, 9160, -5, 'N', 'America/Lima'),
	(9283, 'Aguas Calientes Train Station', 'Aguas Calientes', 'Peru', '', '\\N', -13.1556, -72.5238, 6693, -5, 'N', 'America/Lima'),
	(9284, 'Poroy Train Station', 'Cusco', 'Peru', '', '\\N', -13.4944, -72.0421, 11710, -5, 'N', 'America/Lima'),
	(9285, 'Aberdeen Harbour', 'Aberdeen', 'United Kingdom', '', '\\N', 57.13967, -2.07467, 0, 0, 'E', 'Europe/London'),
	(9286, 'Lerwick Harbour', 'Lerwick', 'United Kingdom', '', '\\N', 60.15, -1.13333, 0, 0, 'E', 'Europe/London'),
	(9287, 'Torshavn Harbour', 'Torshavn', 'Faroe Islands', '', '\\N', 62.0057, -6.7717, 0, 0, 'E', 'Atlantic/Faeroe'),
	(9288, 'Seydisfjordur', 'Seydisfjordur', 'Iceland', '', '\\N', 65.26016, -14.00905, 0, 0, 'E', 'Atlantic/Reykjavik'),
	(9289, 'Queen Street Station', 'Glasgow', 'United Kingdom', 'GLQ', '\\N', 55.8622, -4.2512, 50, 0, 'E', 'Europe/London'),
	(9290, 'Torit', 'Torit', 'South Sudan', '', 'HSTR', 4.411111, 32.578889, 2018, 3, 'N', 'Africa/Juba'),
	(9291, 'Falmouth Port', 'Falmouth', 'Jamaica', '', '\\N', 18.492762, -77.649675, 0, -5, 'N', 'America/Jamaica'),
	(9292, 'Cozumel Port', 'Cozumel', 'Mexico', '', '\\N', 20.510439, -86.94925, 0, -6, 'A', 'America/Mexico_City'),
	(9293, 'Philipsburg Port', 'Philipsburg', 'Netherlands Antilles', '', '\\N', 18.012868, -63.045242, 0, -4, 'N', 'America/Curacao'),
	(9294, 'Basseterre Port', 'Basseterre', 'Saint Kitts and Nevis', '', '\\N', 17.290464, -62.709473, 0, -4, 'N', 'America/St_Kitts'),
	(9295, 'Charlotte Amalie Port', 'Charlotte Amalie', 'Virgin Islands', '', '\\N', 18.335431, -64.926824, 0, -4, 'N', 'America/St_Thomas'),
	(9296, 'San Juan Port', 'San Juan', 'Puerto Rico', '', '\\N', 18.458992, -66.097693, 0, -4, 'N', 'America/Puerto_Rico'),
	(9297, 'Santa Barbara Train Station', 'Santa Barbara', 'United States', '', '\\N', 34.413611, -119.691667, 8, -8, 'A', 'America/Los_Angeles'),
	(9298, 'Eugene Amtrak Station', 'Eugene', 'United States', '', '\\N', 44.055062, -123.092372, 426, -8, 'A', 'America/Los_Angeles'),
	(9299, 'Lincolnville GO Station', 'Lincolnville', 'Canada', '', '\\N', 43.995278, -79.233333, 873, -5, 'A', 'America/Toronto'),
	(9300, 'Mormugao-Goa Port', 'Mormugao', 'India', '', '\\N', 15.4, 73.8, 0, 5.5, 'N', 'Asia/Calcutta'),
	(9301, 'Cochin Port', 'Cochin', 'India', '', '\\N', 9.58, 76.14, 0, 5.5, 'N', 'Asia/Calcutta'),
	(9302, 'Penang Cruise Terminal', 'Penang', 'Malaysia', '', '\\N', 5.418828, 100.345804, 0, 8, 'N', 'Asia/Kuala_Lumpur'),
	(9303, 'Port Klang-Kuala Lumpur Cruise Terminal', 'Port Klang', 'Malaysia', '', '\\N', 2.984629, 101.336839, 0, 8, 'N', 'Asia/Kuala_Lumpur'),
	(9304, 'Singapore Cruise Terminal', 'Singapore', 'Singapore', '', '\\N', 1.264185, 103.819821, 0, 8, 'N', 'Asia/Singapore'),
	(9305, 'Shelby County Airport', 'Shelbyville', 'United States', '2H0', 'K2H0', 39.410556, -88.845556, 550, -6, 'A', 'America/Chicago'),
	(9306, 'Illinois Terminal', 'Champaign', 'United States', '', '\\N', 40.1155, -88.2411, 732, -6, 'A', 'America/Chicago'),
	(9307, 'Mattoon Amtrak', 'Mattoon', 'United States', '', '\\N', 39.4828, -88.3759, 733, -6, 'A', 'America/Chicago'),
	(9308, 'Dawu', 'Lvliang', 'China', 'LLV', '\\N', 37.683333, 111.142778, 3020, 8, 'N', 'Asia/Chongqing'),
	(9309, 'Delft Central', 'Delft', 'Netherlands', '', '\\N', 52.006667, 4.356667, 0, 1, 'E', 'Europe/Amsterdam'),
	(9310, 'Yading Daocheng', 'Daocheng', 'China', 'DCY', 'ZUDC', 29.3231, 100.0533, 14472, 8, 'N', 'Asia/Chongqing'),
	(9311, 'Gannan', 'Xiahe city', 'China', 'GXH', 'ZLXH', 34.4909, 102.3719, 10466, 8, 'N', 'Asia/Chongqing'),
	(9312, 'Komandoo', 'Komandoo', 'Maldives', '', '\\N', 5.494003, 73.424183, 0, 5, 'N', 'Indian/Maldives'),
	(9313, 'Komandoo', 'Komandoo', 'Maldives', '', '\\N', 5.494003, 73.424183, 0, 5, 'N', 'Indian/Maldives'),
	(9314, 'Meck Island Airstrip', 'Meck Island', 'Marshall Islands', '', '\\N', 9, 167.726944, 10, 12, 'Z', 'Pacific/Majuro'),
	(9315, 'Sormovo', 'Nizhny Novgorod', 'Russia', '', 'XUDS', 56.1906, 43.4742, 210, 4, 'N', 'Europe/Moscow'),
	(9316, 'Grand Canyon West Airport', 'Peach Springs', 'United States', '1G4', '\\N', 35.899904, -113.815674, 4813, -7, 'A', 'America/Phoenix'),
	(9317, 'Vangso', 'Vangso', 'Sweden', '', 'ESSZ', 59.13333, 17.25, 10, 1, 'E', 'Europe/Stockholm'),
	(9318, 'Yaroslavsky Station', 'Moscow', 'Russia', '', '\\N', 55.776, 37.658, 400, 4, 'N', 'Europe/Moscow'),
	(9319, 'Railway Station', 'Perm', 'Russia', '', '\\N', 58.0203, 56.2525, 558, 6, 'N', 'Asia/Yekaterinburg'),
	(9320, 'Railway Station', 'Novosibirsk', 'Russia', '', '\\N', 55.0188, 82.9339, 531, 7, 'N', 'Asia/Omsk'),
	(9321, 'Railway Station', 'Ulan Bator', 'Mongolia', '', '\\N', 47.92, 106.92, 4300, 8, 'N', 'Asia/Ulaanbaatar'),
	(9322, 'Main Station', 'Beijing', 'China', '', '\\N', 39.9, 116.421, 130, 8, 'N', 'Asia/Chongqing'),
	(9323, 'Railway Station', 'Irkutsk', 'Russia', '', '\\N', 52.3122, 104.2958, 1305, 9, 'N', 'Asia/Irkutsk'),
	(9324, 'Kuredu ', 'Kuredu', 'Maldives', '', '\\N', 5.3244, 73.3756, 10, 5, 'U', 'Indian/Maldives'),
	(9325, 'Heliport NUS', 'Umea', 'Sweden', '', '\\N', 63.817, 20.2981, 100, 1, 'E', 'Europe/Stockholm'),
	(9326, 'Heliport SU', 'Sundsvall', 'Sweden', '', '\\N', 62.4077, 17.3024, 10, 1, 'E', 'Europe/Stockholm'),
	(9327, 'Comiso', 'Comiso', 'Italy', 'CIY', 'LICB', 37, 14.6144, 756, 1, 'E', 'Europe/Rome'),
	(9328, 'Leroo La Tau', 'Leroo La Tau', 'Botswana', '', '\\N', -20.422617, 24.517433, 1000, 2, 'U', 'Africa/Gaborone'),
	(9329, 'Xaxanaka', 'Xaxanaka', 'Botswana', '', '\\N', -19.198083, 23.431383, 1000, 2, 'U', 'Africa/Gaborone'),
	(9330, 'Xugana', 'Xugana', 'Botswana', '', '\\N', -19.068, 23.10015, 1000, 2, 'U', 'Africa/Gaborone'),
	(9331, 'Nxamaseri', 'Nxamaseri', 'Botswana', '', '\\N', -18.597283, 21.999267, 1000, 2, 'U', 'Africa/Gaborone'),
	(9332, 'Kwando', 'Kwando', 'Botswana', '', '\\N', -18.208717, 23.396733, 1000, 2, 'U', 'Africa/Gaborone'),
	(9333, 'Boston North Station', 'Boston', 'United States', '', '\\N', 42.366235, -71.061122, 141, -5, 'A', 'America/New_York'),
	(9334, 'Rockport Station', 'Rockport', 'United States', '', '\\N', 42.6558328, -70.6266667, 77, -5, 'A', 'America/New_York'),
	(9335, 'Salem Station', 'Salem', 'United States', '', '\\N', 42.5249995, -70.8958333, 26, -5, 'A', 'America/New_York'),
	(9336, 'Salem Ferry Dock', 'Salem', 'United States', '', '\\N', 42.522421, -70.881607, 26, -5, 'A', 'America/New_York'),
	(9337, 'Long Wharf', 'Boston', 'United States', '', '\\N', 42.36024, -71.048105, 16, -5, 'A', 'America/New_York'),
	(9338, 'Joliet Union Station', 'Joliet', 'United States', '', '\\N', 41.5244, -88.0795, 532, -6, 'A', 'America/Chicago'),
	(9339, 'Laraway Road', 'New Lenox', 'United States', '', '\\N', 41.485, -87.9596, 703, -6, 'A', 'America/Chicago'),
	(9340, 'Lasalle Station', 'Chicago', 'United States', '', '\\N', 41.875, -87.632, 592, -6, 'A', 'America/Chicago'),
	(9341, 'Waterloo International', 'London', 'United Kingdom', '', '\\N', 51.5031, -0.1147, 10, 0, 'E', 'Europe/London'),
	(9342, 'Norfolk Station', 'Norfolk', 'United States', '', '\\N', 36.843233, -76.275952, 16, -5, 'A', 'America/New_York'),
	(9343, 'London Railway Station', 'London', 'Canada', '', '\\N', 42.9819, -81.2464, 0, -5, 'A', 'America/Toronto'),
	(9344, 'Gloucester Station', 'Gloucester', 'United States', '', '\\N', 42.61666666666667, -70.66833333333334, 50, -5, 'A', 'America/New_York'),
	(9345, 'Kitchener Bus Terminal', 'Kitchener', 'Canada', '', '\\N', 43.44968, -80.49222, 1083, -5, 'A', 'America/Toronto'),
	(9346, 'Gare du Palais', 'Quebec', 'Canada', '', '\\N', 46.8174, -71.2139, 13, -5, 'A', 'America/Toronto'),
	(9347, 'Johnstown Amtrak', 'Johnstown', 'United States', '', '\\N', 40.3296, -78.9219, 1168, -5, 'A', 'America/New_York'),
	(9348, 'Enumclaw Airport', 'Enumclaw', 'United States', '', 'WA77', 47.1956569, -122.0220561, 738, -8, 'A', 'America/Los_Angeles'),
	(9349, 'Rock Airport', 'Tarentum', 'United States', '9G1', '\\N', 40.6035463, -79.8261189, 1063, -5, 'A', 'America/New_York'),
	(9350, 'Grand Central Terminal', 'New York', 'United States', '', '\\N', 40.752726, -73.977229, 70, -5, 'A', 'America/New_York'),
	(9351, 'Tremont', 'New York', 'United States', '', '\\N', 40.847301, -73.89955, 200, -5, 'A', 'America/New_York'),
	(9352, 'Plum Island Airport', 'Newburyport', 'United States', '2B2', '\\N', 42.7953611, -70.8394444, 11, -5, 'A', 'America/New_York'),
	(9353, 'Brooks Camp', 'Brooks Camp', 'United States', '', '\\N', 58.556539, -155.777311, 100, -9, 'A', 'America/Anchorage'),
	(9354, 'Kulik Lake Airport', 'Kulik Lake', 'United States', 'LKK', '\\N', 58.96591, -155.108089, 1000, -9, 'U', 'America/Anchorage'),
	(9355, 'Central Station', 'Glasgow', 'United Kingdom', 'ZGG', '\\N', 55.858, -4.258, 25, 0, 'E', 'Europe/London'),
	(9356, 'Euston Station', 'London', 'United Kingdom', 'QQU', '\\N', 51.5284, -0.1331, 89, 0, 'E', 'Europe/London'),
	(9357, 'Waterloo International', 'London', 'United Kingdom', 'QQW', '\\N', 51.5031, -0.1147, 10, 0, 'E', 'Europe/London'),
	(9358, 'Belorussky Station', 'Moscow', 'Russia', '', '\\N', 55.7764, 37.5803, 400, 4, 'N', 'Europe/Moscow'),
	(9359, 'Railway Station', 'Omsk', 'Russia', '', '\\N', 54.9833, 73.3667, 285, 7, 'N', 'Asia/Omsk'),
	(9360, 'Railway Station', 'Krasnoyarsk', 'Russia', '', '\\N', 56.0167, 93.0667, 446, 8, 'N', 'Asia/Krasnoyarsk'),
	(9361, 'Railway Station', 'Naushki', 'Russia', '', '\\N', 50.3827, 106.1056, 1975, 9, 'N', 'Asia/Irkutsk'),
	(9362, 'Railway Station', 'Erlian', 'China', '', '\\N', 43.65, 111.9833, 3159, 8, 'N', 'Asia/Chongqing'),
	(9363, 'Guangzhoudong Railway Station', 'Guangzhou', 'China', '', '\\N', 23.149554, 113.32479, 0, 8, 'U', 'Asia/Chongqing'),
	(9364, 'Domodedovo', 'Moscow', 'Russia', '', '\\N', 55.442, 37.763, 207, 4, 'U', 'Europe/Moscow'),
	(9365, 'Levashovo', 'St. Petersburg', 'Russia', '', 'XLLV', 60.08738, 30.19152, 59, 4, 'E', 'Europe/Moscow'),
	(9366, 'Kettle Falls Lodge', 'Minaki', 'Canada', '', '\\N', 50.349812, -94.583456, 180, -6, 'A', 'America/Winnipeg'),
	(9367, 'Severobajkalsk Port', 'Severobajkalsk', 'Russia', '', '\\N', 55.4209, 109.3225, 500, 9, 'U', 'Asia/Irkutsk'),
	(9368, 'Vanino-Port', 'Vanino', 'Russia', '', '\\N', 49.093, 140.285, 20, 11, 'U', 'Asia/Vladivostok'),
	(9369, 'Holmsk-Port', 'Holmsk', 'Russia', '', '\\N', 47.040278, 142.043056, 29, 11, 'U', 'Asia/Vladivostok'),
	(9370, 'Nogliki', 'Nogliki', 'Russia', '', '\\N', 51.816667, 143.116667, 10, 11, 'U', 'Asia/Vladivostok'),
	(9371, 'Markovo Airport', 'Markovo', 'Russia', 'KVM', 'UHMO', 64.665278, 170.414167, 89, 12, 'E', 'Asia/Magadan'),
	(9372, 'Seymchan Airport', 'Seymchan', 'Russia', '', 'UHMS', 62.919167, 152.421667, 679, 12, 'E', 'Asia/Magadan'),
	(9373, 'Zyryanka West Airport', 'Zyryanka', 'Russia', 'ZKP', 'UESU', 65.736389, 150.700278, 118, 12, 'E', 'Asia/Magadan'),
	(9374, 'Susuman Airport', 'Susuman', 'Russia', '', 'UHMH', 62.767222, 148.146111, 2129, 12, 'E', 'Asia/Magadan'),
	(9375, 'OYMYAKON', 'OYMYAKON', 'Russia', '', 'UEMY', 63.45, 142.783333, 2431, 11, 'E', 'Asia/Vladivostok'),
	(9376, 'Ust-Maya Airport', 'Ust-Maya', 'Russia', 'UMS', 'UEMU', 60.358056, 134.437778, 561, 10, 'E', 'Asia/Yakutsk'),
	(9377, 'Aldan Airport', 'Aldan', 'Russia', 'ADH', 'UEEA', 58.603056, 125.407222, 2241, 10, 'E', 'Asia/Yakutsk'),
	(9378, 'Olekminsk Airport', 'Olekminsk', 'Russia', '', 'UEMO', 60.399167, 120.464167, 426, 10, 'E', 'Asia/Yakutsk'),
	(9379, 'Vitim Airport', 'Vitim', 'Russia', '', 'UERT', 59.457778, 112.562778, 610, 10, 'E', 'Asia/Yakutsk'),
	(9380, 'Pellworm', 'Pellworm', 'Germany', '', 'EDHP', 54.536431, 8.67994, 10, 1, 'E', 'Europe/Berlin'),
	(9381, 'Tynda', 'Tynda', 'Russia', '', '\\N', 55.1512, 124.716667, 350, 10, 'U', 'Asia/Yakutsk'),
	(9382, 'Tommot', 'Tommot', 'Russia', '', '\\N', 58.966667, 126.266667, 280, 10, 'U', 'Asia/Yakutsk'),
	(9383, 'Etretat', 'Etretat', 'France', '', '\\N', 49.701, 0.205, 102, 1, 'E', 'Europe/Paris'),
	(9384, 'Le Havre', 'Le Havre', 'France', '', '\\N', 49.4901, 0.1001, 13, 1, 'E', 'Europe/Paris'),
	(9385, 'Weimar', 'Weimar', 'Germany', '', '\\N', 50.983333, 11.316667, 208, 1, 'E', 'Europe/Berlin'),
	(9386, 'Nalati', 'Xinyuan', 'China', 'NLT', 'ZWNL', 43.433056, 83.380278, 0, 8, 'U', 'Asia/Chongqing'),
	(9387, 'Port Alsworth Airport', 'Port alsworth', 'United States', 'PTA', 'PALJ', 60.208281, -154.306586, 253, -9, 'A', 'America/Anchorage'),
	(9388, 'Fontaine Airport', 'Belfort', 'France', 'BOR', 'LFSQ', 47.6556015, 7.0108299, 3663, 1, 'E', 'Europe/Paris'),
	(9389, 'Pampulha', 'Belo Horizonte', 'Brazil', 'BHZ', '\\N', -19.8517, -43.9508, 8708, -3, 'S', 'America/Sao_Paulo'),
	(9390, 'Fairfield County Airport', 'Winnsboro', 'United States', 'FDW', 'KFDW', 34.315472, -81.108806, 577, -5, 'A', 'America/New_York'),
	(9391, 'Obock', 'Obock', 'Djibouti', 'OBC', 'HDOB', 11.968333, 43.278611, 69, 3, 'N', 'Africa/Djibouti'),
	(9392, 'Tadjoura', 'Tadjoura', 'Djibouti', 'TDJ', 'HDTJ', 11.783, 42.917, 246, 3, 'N', 'Africa/Djibouti'),
	(9393, 'Santa Cruz des Quiche Airport', 'Santa Cruz des Quiche', 'Guatemala', 'AQB', 'MGQC', 15.0122004, -91.1505966, 6631, -6, 'S', 'America/Guatemala'),
	(9394, 'Nordfjordur Airport', 'Nordfjordur', 'Iceland', 'NOR', 'BINF', 65.131897, -13.7463999, 3648, 0, 'E', 'Atlantic/Reykjavik'),
	(9395, 'Bursa Airport', 'Bursa', 'Turkey', 'BTZ', 'LTBE', 40.2332993, 29.0091991, 772, 2, 'U', 'Europe/Istanbul'),
	(9396, 'Skyhaven Airport', 'Rochester', 'United States', 'DAW', 'KDAW', 43.2840556, -70.9292778, 321, -5, 'A', 'America/New_York'),
	(9397, 'Waris Airport', 'Waris-Papua Island', 'Indonesia', 'WAR', 'WAJR', -3.22243, 140.9790039, 1224, 9, 'U', 'Asia/Jayapura'),
	(9398, 'Port Oceanic Airport', 'Port Oceanic', 'United States', 'PRL', '\\N', 60.2083333, -147.8194444, 142, -9, 'A', 'America/Anchorage'),
	(9399, 'Newton City-County Airport', 'Newton', 'United States', 'EWK', 'KEWK', 38.0570785, -97.2752278, 1533, -6, 'A', 'America/Chicago'),
	(9400, 'La Ferte Alais Airport', 'La Ferte Alais', 'France', '', 'LFFQ', 48.497799, 2.34333, 453, 1, 'E', 'Europe/Paris'),
	(9401, 'Angguruk airstrip', 'Angguruk', 'Indonesia', '', '\\N', -4.2001, 139.4329, 4200, 9, 'U', 'Asia/Jayapura'),
	(9402, 'Bairnsdale Airport', 'Bairnsdale', 'Australia', 'BSJ', 'YBNS', -37.8875, 147.567778, 165, 10, 'O', 'Australia/Hobart'),
	(9403, 'Bolton Field', 'Columbus', 'United States', 'TZR', 'KTZR', 39.901111, -83.136944, 905, -5, 'A', 'America/New_York'),
	(9404, 'Ocean Shores Municipal', 'Ocean Shores', 'United States', 'W04', 'KW04', 46.5995, -124.0854, 15, -8, 'A', 'America/Los_Angeles'),
	(9405, 'Packwood', 'Packwood', 'United States', '55S', 'K55S', 46.3625, -121.4067, 1057, -8, 'A', 'America/Los_Angeles'),
	(9406, 'Fort Bridger', 'Fort Bridger', 'United States', 'FBR', 'KFBR', 41.236, -110.2436, 7038, -7, 'A', 'America/Denver'),
	(9407, 'Prosser', 'Prosser', 'United States', 'S40', 'KS40', 46.128, -119.4773, 705, -8, 'A', 'America/Los_Angeles'),
	(9408, 'Chehalis-Centralia', 'Chehalis', 'United States', 'CLS', 'KCLS', 46.4062, -122.5897, 177, -8, 'A', 'America/Los_Angeles'),
	(9409, 'Desert Aire', 'Mattawa', 'United States', 'M94', 'KM94', 46.4124, -119.5518, 586, -8, 'A', 'America/Los_Angeles'),
	(9410, 'Lebanon State', 'Lebanon', 'United States', 'S30', 'KS30', 44.3179, -122.5577, 344, -8, 'A', 'America/Los_Angeles'),
	(9411, 'Evanston-Uinta CO Burns Fld', 'Evanston', 'United States', 'EVW', 'KEVW', 41.1649, -111.0208, 7143, -7, 'A', 'America/Denver'),
	(9412, 'Sabetha Municipal', 'Sabetha', 'United States', 'K83', 'KK83', 39.5425, -95.4677, 1330, -6, 'A', 'America/Chicago'),
	(9413, 'Mount Pleasant Regional-Faison Field', 'Mount Pleasant', 'United States', 'LRO', 'KLRO', 32.5387, -79.4697, 12, -5, 'A', '\\N'),
	(9414, 'Jimmy Carter Regional', 'Americus', 'United States', 'ACJ', 'KACJ', 32.0665, -84.1133, 468, -5, 'A', 'America/New_York'),
	(9415, 'Weedon Field', 'Eufala', 'United States', 'EUF', 'KEUF', 31.5708, -85.0774, 285, -6, 'A', 'America/Chicago'),
	(9416, 'Saluda County', 'Saluda', 'United States', '6J4', 'K6J4', 33.5561, -81.4768, 539, -5, 'A', 'America/New_York'),
	(9417, 'Dare County Regional', 'Manteo', 'United States', 'MQI', 'KMQI', 35.5514, -75.4173, 13, -5, 'A', 'America/New_York'),
	(9418, 'Auburn University Regional', 'Auburn', 'United States', 'AUO', 'KAUO', 32.3691, -85.2604, 777, -6, 'A', 'America/Chicago'),
	(9419, 'Tri-Cities', 'Endicott', 'United States', 'CZG', 'KCZG', 42.0471, -76.0578, 833, -5, 'A', 'America/New_York'),
	(9420, 'Isla Culebrita', 'Culebrita', 'Puerto Rico', '', '\\N', 18.31206, -65.228405, 10, -4, 'U', 'America/Puerto_Rico'),
	(9421, 'Culebrita', 'Isla Culebrita', 'Puerto Rico', '', '\\N', 18.31206, -65.228405, 10, -4, 'U', 'America/Puerto_Rico'),
	(9422, 'Apollo Bay', 'Apollo Bay', 'Australia', '', '\\N', -38.758827, 143.676624, 10, 10, 'U', 'Australia/Hobart'),
	(9423, 'Zabrat', 'Baku', 'Azerbaijan', '', 'ZABR', 40.483, 49.967, 0, 4, 'U', 'Asia/Baku'),
	(9424, 'Chirag', 'Caspian Sea', 'Azerbaijan', '', 'CHIR', 40.283, 51.283, 0, 4, 'U', '\\N'),
	(9425, 'Kendal Glider Port', 'Kendall', 'United States', '', '\\N', 25.603889, -80.585556, 10, -5, 'U', 'America/New_York'),
	(9426, 'Lipa Noi Pier', 'Lipa Noi', 'Thailand', '', '\\N', 9.481772, 99.926558, 10, 7, 'N', 'Asia/Bangkok'),
	(9427, 'Don Sak Pier', 'Don Sak', 'Thailand', '', '\\N', 9.321146, 99.735693, 10, 7, 'N', 'Asia/Bangkok'),
	(9428, 'Bessemer', 'Bessemer', 'United States', 'EKY', 'KEKY', 33.1876, -86.5558, 700, -6, 'A', 'America/Chicago'),
	(9429, 'Colorado Springs East', 'Ellicott', 'United States', 'A50', 'KA50', 38.87, -104.41, 6145, -7, 'A', 'America/Denver'),
	(9430, 'Olds Didsbury Airport', 'Didsbury', 'Canada', '', '\\N', 51.710833, -114.106111, 3360, -7, 'A', 'America/Edmonton'),
	(9431, 'Sundre Airport', 'Sundre', 'Canada', '', '\\N', 51.774722, -114.680833, 3663, -7, 'A', 'America/Edmonton'),
	(9432, 'Buffalo-Depew Station', 'Depew', 'United States', '', '\\N', 42.9074, -78.7266, 676, -5, 'A', 'America/New_York'),
	(9433, 'South Bend Station', 'South Bend', 'United States', '', '\\N', 41.678, -86.2876, 722, -5, 'A', 'America/New_York'),
	(9434, 'Carroll Avenue NICTD Station', 'Michigan City', 'United States', '', '\\N', 41.7133, -86.8677, 630, -6, 'A', 'America/Chicago'),
	(9435, 'Chicago Millennium Station', 'Chicago', 'United States', '', '\\N', 41.8837, -87.623, 620, -6, 'A', 'America/Chicago'),
	(9436, 'St. Louis Gateway Transportation Center', 'St. Louis', 'United States', '', '\\N', 38.6239, -90.2039, 476, -6, 'A', 'America/Chicago'),
	(9437, 'Kansas City Union Station', 'Kansas City', 'United States', '', '\\N', 39.0865, -94.586, 791, -6, 'A', 'America/Chicago'),
	(9438, 'Alvarado Transportation Center', 'Albuquerque', 'United States', '', '\\N', 35.0826, -106.6474, 4970, -7, 'A', 'America/Denver'),
	(9439, 'San Francisco 4th and King St. Station', 'San Francisco', 'United States', '', '\\N', 37.7763884, -122.3944444, 15, -8, 'A', 'America/Los_Angeles'),
	(9440, 'Oakland Jack London Square Station', 'Oakland', 'United States', '', '\\N', 37.7935, -122.2719, 13, -8, 'A', 'America/Los_Angeles'),
	(9441, 'Downtown Mountain View Station', 'Mountain View', 'United States', '', '\\N', 37.3943934, -122.075872, 15, -8, 'A', 'America/Los_Angeles'),
	(9442, 'San Mateo Station', 'San Mateo', 'United States', '', '\\N', 37.5683328, -122.3241667, 15, -8, 'A', 'America/Los_Angeles'),
	(9443, 'Sunnyvale Station', 'Sunnyvale', 'United States', '', '\\N', 37.3786106, -122.0308333, 15, -8, 'A', 'America/Los_Angeles'),
	(9444, 'Millbrae Intermodal Terminal', 'San Mateo', 'United States', '', '\\N', 37.6002772, -122.3866667, 15, -8, 'A', 'America/Los_Angeles'),
	(9445, 'Cleveland Greyhound Station', 'Cleveland', 'United States', '', '\\N', 41.5034, -81.6822, 679, -5, 'A', 'America/New_York'),
	(9446, 'Issyk-Kul International Airport', 'Tamchy', 'Kyrgyzstan', 'ИКУ', 'UCFL', 42.3527, 76.4278, 5426, 6, 'N', 'Asia/Bishkek'),
	(9447, 'Crystal Airport', 'Crystal', 'United States', 'MIC', 'KMIC', 45.0343, -93.2114, 869, -6, 'A', 'America/Chicago'),
	(9448, 'Clarke CO', 'Quitman', 'United States', '23M', 'K23M', 32.0517, -88.4434, 320, -6, 'A', 'America/Chicago'),
	(9449, 'Ellaidhoo', 'Ellaidhoo', 'Maldives', '', '\\N', 4.005694444444444, 72.9486111111111, 0, 5, 'N', 'Indian/Maldives'),
	(9450, 'W H Barron Field', 'Dublin', 'United States', 'DBN', 'KDBN', 32.3388, -82.591, 311, -5, 'A', 'America/New_York'),
	(9451, 'Port Authority', 'New York', 'United States', '', '\\N', 40.756667, -73.991111, 33, -5, 'A', 'America/New_York'),
	(9452, 'Bus Terminal', 'Allentown', 'United States', '', 'ATWN', 40.605604, -75.462384, 338, -5, 'A', 'America/New_York'),
	(9453, 'Binghamton Bus Terminal', 'Binghamton', 'United States', '', 'BING', 42.101438, -75.910431, 850, -5, 'A', 'America/New_York'),
	(9454, 'William F. Walsh Regional Transportation Center', 'Syracuse', 'United States', '', 'SYTC', 43.0767, -76.1691, 380, -5, 'A', 'America/New_York'),
	(9455, 'Union Station', 'Utica', 'United States', 'UCA', '\\N', 43.104167, -75.223333, 456, -5, 'A', 'America/New_York'),
	(9456, 'Clinton Bus Stop', 'Clinton', 'United States', '', 'CLTN', 43.048889, -75.380278, 604, -5, 'A', 'America/New_York'),
	(9457, 'Heuston Station', 'Dublin', 'Ireland', '', '\\N', 53.3463, -6.2927, 19, 0, 'E', 'Europe/Dublin'),
	(9458, 'Killarney Station', 'Killarney', 'Ireland', '', '\\N', 52.5089, -9.5015, 144, 0, 'U', 'Europe/Dublin'),
	(9459, 'Susquehanna Trailways Terminal', 'Williamsport', 'United States', '', 'WSPT', 41.239395, -77.000245, 518, -5, 'A', 'America/New_York'),
	(9460, 'Martz Trailways Bus Terminal', 'Wilkes-Barre', 'United States', '', 'WKBR', 41.243958, -75.882365, 525, -5, 'A', 'America/New_York'),
	(9461, 'Hazelton Bus Station', 'Hazelton', 'United States', '', 'HZLT', 40.954055, -75.976102, 1689, -5, 'A', 'America/New_York'),
	(9462, 'Lewisburg Bus Stop', 'Lewisburg', 'United States', '', 'LWSB', 40.963889, -76.888056, 456, -5, 'A', 'America/New_York'),
	(9463, 'Madison NJT Station', 'Madison', 'United States', '', 'MDSN', 40.757028, -74.415194, 266, -5, 'A', 'America/New_York'),
	(9464, 'Maplewood NJT Station', 'Maplewood', 'United States', '', 'MPLD', 40.731111, -74.275556, 115, -5, 'A', 'America/New_York'),
	(9465, 'Harrisburg Transportation Center', 'Harrisburg', 'United States', '', 'HBRG', 40.26223, -76.878709, 320, -5, 'A', 'America/New_York'),
	(9466, 'Metro-North Station', 'Poughkeepsie', 'United States', '', 'PKPS', 41.706516, -73.937774, 180, -5, 'A', 'America/New_York'),
	(9467, 'Port Everglades', 'Fort Lauderdale', 'United States', '', 'FTLD', 26.087679, -80.115942, 0, -5, 'A', 'America/New_York'),
	(9468, 'Crown Bay', 'Charlotte Amalie', 'Virgin Islands', '', 'STCB', 18.33482, -64.952187, 0, -4, 'N', 'America/St_Thomas'),
	(9469, 'Cruise Ship Dock', 'Roseau', 'Dominica', '', 'RSAU', 15.296416, -61.38781, 0, -4, 'N', 'America/Dominica'),
	(9470, 'Grenada Port Authority Cruise Ship Terminal', 'St. George\'s', 'Grenada', '', 'GREN', 12.050773, -61.754982, 0, -4, 'N', 'America/Grenada'),
	(9471, 'Martinique Cruise Terminal', 'Fort de France', 'Martinique', '', 'MTQE', 14.601432, -61.073111, 0, -4, 'N', 'America/Martinique'),
	(9472, 'Dr AC Wathey Cruise Pier', 'Philipsburg', 'Netherlands Antilles', '', 'PHBG', 18.011475, -63.046401, 0, -4, 'N', 'America/Curacao'),
	(9473, 'Half Moon Cay', 'Little San Salvador Island', 'Bahamas', '', 'HMCY', 24.574135, -75.955868, 0, -5, 'U', 'America/Nassau'),
	(9474, 'Pukarua Airport', 'Pukarua', 'French Polynesia', 'PUK', 'NTGQ', -18.3166666, -137.016666, 6, -10, 'N', '\\N'),
	(9475, 'Kabale', 'Kabale', 'Uganda', '', 'HUKB', -1.223333, 29.96, 5850, 3, 'N', 'Africa/Kampala'),
	(9476, 'Cruz Bay Ferry Dock', 'Cruz Bay', 'Virgin Islands', '', 'CBFD', 18.331263, -64.795408, 0, -4, 'A', 'America/St_Thomas'),
	(9477, 'Red Hook Bay Ferry Dock', 'Red Hook', 'Virgin Islands', '', 'RHVI', 18.326479, -64.849361, 0, -4, 'A', 'America/St_Thomas'),
	(9478, 'Gare Routiere de Fort-de-France', 'Fort-de-France', 'Martinique', '', 'FDFM', 14.602932, -61.070873, 0, -4, 'U', 'America/Martinique'),
	(9479, 'Saint Pierre', 'Saint Pierre', 'Martinique', '', 'SPMQ', 14.746061, -61.176809, 0, -4, 'U', 'America/Martinique'),
	(9480, 'Philipsburg Bus Stop', 'Philipsburg', 'Netherlands Antilles', '', 'PHSM', 18.0263, -63.049759, 0, -4, 'N', 'America/Curacao'),
	(9481, 'Marigot Bus Stop', 'Marigot', 'France', '', 'MRGT', 18.066039, -63.084385, 0, -4, 'N', '\\N'),
	(9482, 'Summit NJT Station', 'Summit', 'United States', '', 'SMMT', 40.716556, -74.35775, 374, -5, 'A', 'America/New_York'),
	(9483, 'Batoka Airfield', 'Dambwa - Livingstone', 'Zambia', '', '\\N', -17.88464, 25.84697, 2695, 2, 'N', 'Africa/Lusaka'),
	(9484, 'Santa Justa', 'Sevilla', 'Spain', '', 'SVSJ', 37.392051, -5.975135, 23, 1, 'E', 'Europe/Madrid'),
	(9485, 'Cordoba Station', 'Cordoba', 'Spain', '', 'CRDB', 37.888573, -4.789177, 390, 1, 'E', 'Europe/Madrid'),
	(9486, 'Granada Station', 'Granada', 'Spain', '', 'GRND', 37.184055, -3.60916, 2421, 1, 'E', 'Europe/Madrid'),
	(9487, 'Atocha', 'Madrid', 'Spain', '', 'MDAT', 40.4075, -3.691667, 2188, 1, 'E', 'Europe/Madrid'),
	(9488, 'Corvallis Muni', 'Corvallis', 'United States', 'CVO', 'KCVO', 44.5067, -123.2915, 250, -8, 'A', 'America/Los_Angeles'),
	(9489, 'Helipad of Viraj Group', 'Boisar', 'India', '', '\\N', 19.779, 72.805, 50, 5.5, 'U', 'Asia/Calcutta'),
	(9490, 'Heydar Aliyev', 'Caspian Sea', 'Azerbaijan', '', 'HEYD', 39.86218, 50.3959, 0, 4, 'E', '\\N'),
	(9491, 'Phantom Lake', 'Phantom Lake', 'Canada', '', '\\N', 49.859473, -123.494509, 3386, -8, 'A', 'America/Vancouver'),
	(9492, 'Tuzla', 'Tuzla', 'Romania', '', 'LRTZ', 43.9841995, 28.6096992, 78, 2, 'U', 'Europe/Bucharest'),
	(9493, 'Toledo Railway Station', 'Toledo', 'Spain', '', 'TLDO', 39.862363, -4.011083, 1736, 1, 'E', 'Europe/Madrid'),
	(9494, 'Chamartin Station', 'Madrid', 'Spain', '', 'MADC', 40.472272, -3.68215, 2188, 1, 'E', 'Europe/Madrid'),
	(9495, 'Abando', 'Bilbao', 'Spain', '', 'BLBO', 43.25947, -2.929017, 62, 1, 'E', 'Europe/Madrid'),
	(9496, 'Aeroport', 'Barcelona', 'Spain', '', 'ARPT', 41.288436, 2.072409, 39, 1, 'E', 'Europe/Madrid'),
	(9497, 'Passeig de Gracia', 'Barcelona', 'Spain', '', 'PGRC', 41.392186, 2.16482, 39, 1, 'U', 'Europe/Madrid'),
	(9498, 'Sants', 'Barcelona', 'Spain', '', 'BSNT', 41.379359, 2.140474, 39, 1, 'E', 'Europe/Madrid'),
	(9499, 'Railway Station', 'Figueres', 'Spain', '', 'FGRS', 42.265065, 2.968822, 128, 1, 'E', 'Europe/Madrid'),
	(9500, 'Martz Trailways', 'Scranton', 'United States', '', 'SCRT', 41.410253, -75.670297, 745, -5, 'A', 'America/New_York'),
	(9501, 'New Brunswick Station', 'New Brunswick', 'United States', '', 'NBWK', 40.496432, -74.446447, 62, -5, 'A', 'America/New_York'),
	(9502, 'Trenton Transit Center', 'Trenton', 'United States', '', 'TRTC', 40.218839, -74.754279, 49, -5, 'A', 'America/New_York'),
	(9503, 'Holmesburg Jct Station', 'Philadelphia', 'United States', '', 'HOLM', 40.032679, -75.023718, 39, -5, 'U', 'America/New_York'),
	(9504, 'White Plains', 'White Plains', 'United States', '', 'WPLN', 41.032549, -73.775069, 213, -5, 'A', 'America/New_York'),
	(9505, 'Southeast', 'Southeast', 'United States', '', 'STHT', 41.413179, -73.623551, 338, -5, 'A', 'America/New_York'),
	(9506, 'B Street Cruise Terminal', 'San Diego', 'United States', '', 'SANB', 32.716861, -117.174296, 0, -8, 'A', 'America/Los_Angeles'),
	(9507, 'Terminal Maritima', 'Puerto Vallarta', 'Mexico', '', 'PRTV', 20.657616, -105.241082, 0, -6, 'A', 'America/Mexico_City'),
	(9508, 'Bahia San Lucas', 'Cabo San Lucas', 'Mexico', '', 'CABO', 22.880854, -109.902117, 0, -7, 'A', 'America/Mazatlan'),
	(9509, 'Ferry Terminal', 'Anacortes', 'United States', '', 'ACRT', 48.50728, -122.677596, 0, -8, 'A', 'America/Los_Angeles'),
	(9510, 'Ferry Dock', 'Friday Harbor', 'United States', '', 'FRID', 48.535673, -123.014044, 0, -8, 'A', 'America/Los_Angeles'),
	(9511, 'Morristown Station', 'Morristown', 'United States', '', 'MRST', 40.796957, -74.473834, 315, -5, 'A', 'America/New_York'),
	(9512, 'Port of Seattle', 'Seattle', 'United States', '', 'PSEA', 47.609178, -122.350605, 0, -8, 'A', 'America/Los_Angeles'),
	(9513, 'Ferry Terminal', 'Whittier', 'United States', '', 'WHIT', 60.776566, -148.683367, 0, -9, 'A', 'America/Anchorage'),
	(9514, 'Ferry Terminal', 'Valdez', 'United States', '', 'VLDZ', 61.123976, -146.365309, 0, -9, 'A', 'America/Anchorage'),
	(9515, 'Gare Routiere', 'Saint-Louis', 'Reunion', '', 'STLS', -21.289604, 55.407269, 103, 4, 'E', 'Indian/Reunion'),
	(9516, 'Bus Stop', 'La Riviere', 'Reunion', '', 'LRIV', -21.272574, 55.437706, 190, 4, 'E', 'Indian/Reunion'),
	(9517, 'Bus Stop', 'Cilaos', 'Reunion', '', 'CILS', -21.135518, 55.472087, 4000, 4, 'E', 'Indian/Reunion'),
	(9518, 'Bus Stop', 'Hell-Bourg', 'Reunion', '', 'HLBG', -21.06402, 55.518453, 3000, 4, 'E', 'Indian/Reunion'),
	(9519, 'Bus Stop', 'Salazie', 'Reunion', '', 'SLZI', -21.027485, 55.538955, 3000, 4, 'E', 'Indian/Reunion'),
	(9520, 'Gare', 'St Andre', 'Reunion', '', 'ANDR', -20.963272, 55.652508, 100, 4, 'E', 'Indian/Reunion'),
	(9521, 'L\'Ocean Bus Terminal', 'Saint Denis', 'Reunion', '', 'SDNS', -20.877683, 55.457393, 0, 4, 'E', 'Indian/Reunion'),
	(9522, 'Gare Routiere', 'Saint Pierre', 'Reunion', '', 'STPR', -21.33424, 55.471331, 0, 4, 'E', 'Indian/Reunion'),
	(9523, 'Baie Ste Anne', 'Praslin', 'Seychelles', '', 'PLIN', -4.347119, 55.765688, 0, 4, 'N', 'Indian/Mahe'),
	(9524, 'La Passe', 'La Digue', 'Seychelles', '', 'LADG', -4.347969, 55.829069, 0, 4, 'N', 'Indian/Mahe'),
	(9525, 'Ferry Dock', 'Bainbridge Island', 'United States', '', 'BAIN', 47.622237, -122.509362, 0, -8, 'A', 'America/Los_Angeles'),
	(9526, 'Bus', 'Phnom Penh', 'Cambodia', '', 'PNMP', 11.561716, 104.914276, 0, 7, 'N', 'Asia/Phnom_Penh'),
	(9527, 'Bus', 'Siem Reap', 'Cambodia', '', 'SMRP', 13.361002, 103.859543, 0, 7, 'N', 'Asia/Phnom_Penh'),
	(9528, 'Bus', 'Sihanoukville', 'Cambodia', '', 'SNKV', 10.60722, 103.524886, 0, 7, 'N', 'Asia/Phnom_Penh'),
	(9529, 'Bus', 'Kampot', 'Cambodia', '', 'KMPT', 10.614922, 104.177724, 0, 7, 'N', 'Asia/Phnom_Penh'),
	(9530, 'Bus', 'Kep', 'Cambodia', '', 'KEPC', 10.480174, 104.294228, 0, 7, 'N', 'Asia/Phnom_Penh'),
	(9531, 'Main Station', 'Taipei', 'Taiwan', '', 'TPEI', 25.046176, 121.517532, 0, 8, 'N', 'Asia/Taipei'),
	(9532, 'Prominent Hill', 'Prominent Hill', 'Australia', 'PXH', 'YPMH', -29.716667, 135.521667, 734, 9.5, 'O', 'Australia/Adelaide'),
	(9533, 'Chatsworth Station', 'Chatsworth', 'United States', 'CWT', '\\N', 34.256944, -118.598889, 978, -8, 'A', 'America/Los_Angeles'),
	(9534, 'Algerciras Port', 'Algerciras', 'Spain', '', '\\N', 36.136, -5.435, 0, 1, 'E', 'Europe/Madrid'),
	(9535, 'Ganges Water Aerodrome', 'Ganges', 'Canada', 'YGG', '\\N', 48.85, -123.5, 0, -8, 'A', 'America/Vancouver'),
	(9536, 'Pender Harbour Water Aerodrome', 'Pender Harbour', 'Canada', 'YPT', '\\N', 49.616667, -124.016667, 0, -8, 'A', 'America/Vancouver'),
	(9537, 'Mansons Landing Water Aerodrome', 'Mansons Landing', 'Canada', 'YMU', '\\N', 50.066667, -124.983333, 0, -8, 'A', 'America/Vancouver'),
	(9538, 'Port McNeill Airport', 'Port McNeill', 'Canada', 'YMP', '\\N', 50.575556, -127.028611, 225, -8, 'A', 'America/Vancouver'),
	(9539, 'Sullivan Bay Water Aerodrome', 'Sullivan Bay', 'Canada', 'YTG', '\\N', 50.883333, -126.833333, 0, -8, 'A', 'America/Vancouver'),
	(9540, 'Deer Harbor Seaplane', 'Deer Harbor', 'United States', 'DHB', '\\N', 48.618397, -123.00596, 0, -8, 'A', 'America/Los_Angeles'),
	(9541, 'San Diego Old Town Transit Center', 'San Diego', 'United States', 'OLT', '\\N', 32.7552, -117.1995, 0, -8, 'A', 'America/Los_Angeles');
/*!40000 ALTER TABLE `airport` ENABLE KEYS */;


-- Dumping structure for table openflights.route
CREATE TABLE IF NOT EXISTS `route` (
  `Airline` varchar(5) DEFAULT NULL COMMENT '2-letter (IATA) or 3-letter (ICAO) code of the airline.',
  `Airline_ID` int(11) DEFAULT NULL COMMENT 'Unique OpenFlights identifier for airline (see Airline).',
  `Source_airport` varchar(5) DEFAULT NULL COMMENT '3-letter (IATA) or 4-letter (ICAO) code of the source airport.',
  `Source_airport_ID` int(11) DEFAULT NULL COMMENT 'Unique OpenFlights identifier for source airport (see Airport)',
  `Destination_airport` varchar(5) DEFAULT NULL COMMENT '3-letter (IATA) or 4-letter (ICAO) code of the destination airport.',
  `Destination_airport_ID` int(11) DEFAULT NULL COMMENT 'Unique OpenFlights identifier for destination airport (see Airport)',
  `Codeshare` char(1) DEFAULT NULL COMMENT '"Y" if this flight is a codeshare (that is, not operated by Airline, but another carrier), empty otherwise',
  `Stops` int(11) DEFAULT NULL COMMENT 'Number of stops on this flight ("0" for direct)',
  `Equipment` varchar(50) DEFAULT NULL COMMENT '3-letter codes for plane type(s) generally used on this flight, separated by spaces',
  KEY `FK_route_airline` (`Airline_ID`),
  KEY `FK_route_airport` (`Source_airport_ID`),
  KEY `FK_route_airport_2` (`Destination_airport_ID`),
  CONSTRAINT `FK_route_airline` FOREIGN KEY (`Airline_ID`) REFERENCES `airline` (`Airline_ID`),
  CONSTRAINT `FK_route_airport` FOREIGN KEY (`Source_airport_ID`) REFERENCES `airport` (`Airport_ID`),
  CONSTRAINT `FK_route_airport_2` FOREIGN KEY (`Destination_airport_ID`) REFERENCES `airport` (`Airport_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table openflights.route: ~66.762 rows (approximately)
DELETE FROM `route`;
/*!40000 ALTER TABLE `route` DISABLE KEYS */;
INSERT INTO `route` (`Airline`, `Airline_ID`, `Source_airport`, `Source_airport_ID`, `Destination_airport`, `Destination_airport_ID`, `Codeshare`, `Stops`, `Equipment`) VALUES
	('2B', 410, 'AER', 2965, 'KZN', 2990, '', 0, 'CR2\r'),
	('2B', 410, 'ASF', 2966, 'KZN', 2990, '', 0, 'CR2\r'),
	('2B', 410, 'ASF', 2966, 'MRV', 2962, '', 0, 'CR2\r'),
	('2B', 410, 'CEK', 2968, 'KZN', 2990, '', 0, 'CR2\r'),
	('2B', 410, 'CEK', 2968, 'OVB', 4078, '', 0, 'CR2\r'),
	('2B', 410, 'DME', 4029, 'KZN', 2990, '', 0, 'CR2\r'),
	('2B', 410, 'DME', 4029, 'NBC', 6969, '', 0, 'CR2\r'),
	('2B', 410, 'DME', 4029, 'UUA', 6160, '', 0, 'CR2\r'),
	('2B', 410, 'EGO', 6156, 'KGD', 2952, '', 0, 'CR2\r'),
	('2B', 410, 'EGO', 6156, 'KZN', 2990, '', 0, 'CR2\r'),
	('2B', 410, 'GYD', 2922, 'NBC', 6969, '', 0, 'CR2\r'),
	('2B', 410, 'KGD', 2952, 'EGO', 6156, '', 0, 'CR2\r'),
	('2B', 410, 'KZN', 2990, 'AER', 2965, '', 0, 'CR2\r'),
	('2B', 410, 'KZN', 2990, 'ASF', 2966, '', 0, 'CR2\r'),
	('2B', 410, 'KZN', 2990, 'CEK', 2968, '', 0, 'CR2\r'),
	('2B', 410, 'KZN', 2990, 'DME', 4029, '', 0, 'CR2\r'),
	('2B', 410, 'KZN', 2990, 'EGO', 6156, '', 0, 'CR2\r'),
	('2B', 410, 'KZN', 2990, 'LED', 2948, '', 0, 'CR2\r'),
	('2B', 410, 'KZN', 2990, 'SVX', 2975, '', 0, 'CR2\r'),
	('2B', 410, 'LED', 2948, 'KZN', 2990, '', 0, 'CR2\r'),
	('2B', 410, 'LED', 2948, 'NBC', 6969, '', 0, 'CR2\r'),
	('2B', 410, 'LED', 2948, 'UUA', 6160, '', 0, 'CR2\r'),
	('2B', 410, 'MRV', 2962, 'ASF', 2966, '', 0, 'CR2\r'),
	('2B', 410, 'NBC', 6969, 'DME', 4029, '', 0, 'CR2\r'),
	('2B', 410, 'NBC', 6969, 'GYD', 2922, '', 0, 'CR2\r'),
	('2B', 410, 'NBC', 6969, 'LED', 2948, '', 0, 'CR2\r'),
	('2B', 410, 'NBC', 6969, 'SVX', 2975, '', 0, 'CR2\r'),
	('2B', 410, 'NJC', 2972, 'SVX', 2975, '', 0, 'CR2\r'),
	('2B', 410, 'NJC', 2972, 'UUA', 6160, '', 0, 'CR2\r'),
	('2B', 410, 'NUX', 4364, 'SVX', 2975, '', 0, 'CR2\r'),
	('2B', 410, 'OVB', 4078, 'CEK', 2968, '', 0, 'CR2\r'),
	('2B', 410, 'OVB', 4078, 'SVX', 2975, '', 0, 'CR2\r'),
	('2B', 410, 'SVX', 2975, 'KZN', 2990, '', 0, 'CR2\r'),
	('2B', 410, 'SVX', 2975, 'NBC', 6969, '', 0, 'CR2\r'),
	('2B', 410, 'SVX', 2975, 'NJC', 2972, '', 0, 'CR2\r'),
	('2B', 410, 'SVX', 2975, 'NUX', 4364, '', 0, 'CR2\r'),
	('2B', 410, 'SVX', 2975, 'OVB', 4078, '', 0, 'CR2\r'),
	('2B', 410, 'UUA', 6160, 'DME', 4029, '', 0, 'CR2\r'),
	('2B', 410, 'UUA', 6160, 'LED', 2948, '', 0, 'CR2\r'),
	('2B', 410, 'UUA', 6160, 'NJC', 2972, '', 0, 'CR2\r'),
	('2G', 1654, 'BTK', 2936, 'IKT', 2937, '', 0, 'A81\r'),
	('2G', 1654, 'BTK', 2936, 'OVB', 4078, '', 0, 'A81\r'),
	('2G', 1654, 'CEK', 2968, 'OVB', 4078, '', 0, 'A81\r'),
	('2G', 1654, 'HTA', 2935, 'IKT', 2937, '', 0, 'AN4\r'),
	('2G', 1654, 'IKT', 2937, 'BTK', 2936, '', 0, 'A81\r'),
	('2G', 1654, 'IKT', 2937, 'HTA', 2935, '', 0, 'AN4\r'),
	('2G', 1654, 'IKT', 2937, 'ODO', 8944, '', 0, 'AN4\r'),
	('2G', 1654, 'IKT', 2937, 'OVB', 4078, '', 0, 'A81\r'),
	('2G', 1654, 'IKT', 2937, 'UKX', 6924, '', 0, 'AN4\r'),
	('2G', 1654, 'IKT', 2937, 'ULK', 9026, '', 0, 'AN4\r'),
	('2G', 1654, 'IKT', 2937, 'YKS', 2923, '', 0, 'A81\r'),
	('2G', 1654, 'MJZ', 2925, 'OVB', 4078, '', 0, 'A81\r'),
	('2G', 1654, 'ODO', 8944, 'IKT', 2937, '', 0, 'AN4\r'),
	('2G', 1654, 'OVB', 4078, 'BTK', 2936, '', 0, 'A81\r'),
	('2G', 1654, 'OVB', 4078, 'CEK', 2968, '', 0, 'A81\r'),
	('2G', 1654, 'OVB', 4078, 'IKT', 2937, '', 0, 'A81\r'),
	('2G', 1654, 'UKX', 6924, 'IKT', 2937, '', 0, 'AN4\r'),
	('2G', 1654, 'ULK', 9026, 'IKT', 2937, '', 0, 'AN4\r'),
	('2G', 1654, 'YKS', 2923, 'IKT', 2937, '', 0, 'A81\r'),
	('2I', 8359, 'AYP', 2786, 'LIM', 2789, '', 0, '142\r'),
	('2I', 8359, 'CUZ', 2812, 'LIM', 2789, '', 0, '142 141\r'),
	('2I', 8359, 'CUZ', 2812, 'PEM', 2808, '', 0, '142\r'),
	('2I', 8359, 'HUU', 6067, 'LIM', 2789, '', 0, '141\r'),
	('2I', 8359, 'IQT', 2801, 'PCL', 2781, '', 0, '143\r'),
	('2I', 8359, 'IQT', 2801, 'TPP', 2806, '', 0, '142\r'),
	('2I', 8359, 'LIM', 2789, 'AYP', 2786, '', 0, '142\r'),
	('2I', 8359, 'LIM', 2789, 'CUZ', 2812, '', 0, '142 141\r'),
	('2I', 8359, 'LIM', 2789, 'HUU', 6067, '', 0, '141\r'),
	('2I', 8359, 'LIM', 2789, 'PCL', 2781, '', 0, '143 146\r'),
	('2I', 8359, 'LIM', 2789, 'TPP', 2806, '', 0, '142 146\r'),
	('2I', 8359, 'PCL', 2781, 'IQT', 2801, '', 0, '143\r'),
	('2I', 8359, 'PCL', 2781, 'LIM', 2789, '', 0, '143 146\r'),
	('2I', 8359, 'PCL', 2781, 'TPP', 2806, '', 0, '146\r'),
	('2I', 8359, 'PEM', 2808, 'CUZ', 2812, '', 0, '142\r'),
	('2I', 8359, 'TPP', 2806, 'IQT', 2801, '', 0, '142\r'),
	('2I', 8359, 'TPP', 2806, 'LIM', 2789, '', 0, '142 146\r'),
	('2I', 8359, 'TPP', 2806, 'PCL', 2781, '', 0, '146\r'),
	('2J', 470, 'ABJ', 253, 'BOY', 247, '', 0, 'CRJ\r'),
	('2J', 470, 'ABJ', 253, 'OUA', 246, '', 0, 'E70 CRJ M87\r'),
	('2J', 470, 'ACC', 248, 'OUA', 246, '', 0, 'CRJ\r'),
	('2J', 470, 'BKO', 1044, 'ABJ', 253, '', 0, 'M87\r'),
	('2J', 470, 'BKO', 1044, 'DKR', 1084, '', 0, 'M87\r'),
	('2J', 470, 'BKO', 1044, 'OUA', 246, '', 0, 'CRJ\r'),
	('2J', 470, 'BOY', 247, 'ABJ', 253, '', 0, 'CRJ\r'),
	('2J', 470, 'BOY', 247, 'OUA', 246, '', 0, 'CRJ\r'),
	('2J', 470, 'COO', 245, 'LFW', 298, '', 0, 'M87\r'),
	('2J', 470, 'COO', 245, 'OUA', 246, '', 0, 'M87\r'),
	('2J', 470, 'DKR', 1084, 'BKO', 1044, '', 0, 'M87\r'),
	('2J', 470, 'DKR', 1084, 'OUA', 246, '', 0, 'M87\r'),
	('2J', 470, 'LFW', 298, 'OUA', 246, '', 0, 'M87 CRJ\r'),
	('2J', 470, 'NIM', 280, 'OUA', 246, '', 0, 'CRJ\r'),
	('2J', 470, 'OUA', 246, 'ABJ', 253, '', 0, 'E70 CRJ M87\r'),
	('2J', 470, 'OUA', 246, 'ACC', 248, '', 0, 'CRJ\r'),
	('2J', 470, 'OUA', 246, 'BKO', 1044, '', 0, 'M87 CRJ\r'),
	('2J', 470, 'OUA', 246, 'BOY', 247, '', 0, 'CRJ\r'),
	('2J', 470, 'OUA', 246, 'COO', 245, '', 0, 'M87\r'),
	('2J', 470, 'OUA', 246, 'DKR', 1084, '', 0, 'M87\r'),
	('2J', 470, 'OUA', 246, 'LFW', 298, '', 0, 'CRJ\r'),
	('2J', 470, 'OUA', 246, 'NIM', 280, '', 0, 'CRJ\r'),
	('2K', 1338, 'BOG', 2709, 'GYE', 2673, '', 0, '319\r'),
	('2K', 1338, 'BOG', 2709, 'UIO', 2688, '', 0, '319 320\r'),
	('2K', 1338, 'CLO', 2715, 'GYE', 2673, '', 0, '319\r'),
	('2K', 1338, 'GYE', 2673, 'BOG', 2709, '', 0, '319\r'),
	('2K', 1338, 'GYE', 2673, 'CLO', 2715, '', 0, '319\r'),
	('2K', 1338, 'GYE', 2673, 'SCY', 6045, '', 0, '319 320\r'),
	('2K', 1338, 'GYE', 2673, 'UIO', 2688, '', 0, '320 319\r'),
	('2K', 1338, 'OCC', 2670, 'UIO', 2688, '', 0, '319\r'),
	('2K', 1338, 'SCY', 6045, 'GYE', 2673, '', 0, '319 320\r'),
	('2K', 1338, 'UIO', 2688, 'BOG', 2709, '', 0, '319 320\r'),
	('2K', 1338, 'UIO', 2688, 'GYE', 2673, '', 0, '319\r'),
	('2K', 1338, 'UIO', 2688, 'OCC', 2670, '', 0, '319\r'),
	('2L', 2750, 'BDS', 1506, 'ZRH', 1678, '', 0, '100\r'),
	('2L', 2750, 'BOD', 1264, 'ZRH', 1678, '', 0, '100\r'),
	('2L', 2750, 'BRS', 490, 'ZRH', 1678, '', 0, '100\r'),
	('2L', 2750, 'GVA', 1665, 'LPA', 1054, '', 0, '319\r'),
	('2L', 2750, 'LCA', 1197, 'ZRH', 1678, '', 0, '319\r'),
	('2L', 2750, 'LPA', 1054, 'ZRH', 1678, '', 0, '319\r'),
	('2L', 2750, 'RMF', 4197, 'ZRH', 1678, '', 0, '319\r'),
	('2L', 2750, 'TFS', 1056, 'GVA', 1665, '', 0, '319\r'),
	('2L', 2750, 'ZRH', 1678, 'BDS', 1506, '', 0, '100\r'),
	('2L', 2750, 'ZRH', 1678, 'BOD', 1264, '', 0, '100\r'),
	('2L', 2750, 'ZRH', 1678, 'BRS', 490, '', 0, '100\r'),
	('2L', 2750, 'ZRH', 1678, 'LCA', 1197, '', 0, '319\r'),
	('2L', 2750, 'ZRH', 1678, 'LPA', 1054, '', 0, '319\r'),
	('2L', 2750, 'ZRH', 1678, 'RMF', 4197, '', 0, '319\r'),
	('2N', 3652, 'AJR', 730, 'LYC', 719, '', 0, 'ATP\r'),
	('2N', 3652, 'ARN', 737, 'GEV', 715, '', 0, 'ATP\r'),
	('2N', 3652, 'ARN', 737, 'HAD', 709, '', 0, 'SF3\r'),
	('2N', 3652, 'ARN', 737, 'JKG', 688, '', 0, 'ATP SF3\r'),
	('2N', 3652, 'ARN', 737, 'KRF', 718, '', 0, 'ATP\r'),
	('2N', 3652, 'ARN', 737, 'KSD', 5595, '', 0, 'SF3\r'),
	('2N', 3652, 'ARN', 737, 'LYC', 719, '', 0, 'ATP\r'),
	('2N', 3652, 'ARN', 737, 'MHQ', 442, '', 0, 'SF3\r'),
	('2N', 3652, 'ARN', 737, 'OER', 722, '', 0, 'ATR\r'),
	('2N', 3652, 'ARN', 737, 'POR', 448, '', 0, 'SF3\r'),
	('2N', 3652, 'ARN', 737, 'TRF', 664, '', 0, 'SF3\r'),
	('2N', 3652, 'ARN', 737, 'VBY', 746, '', 0, 'SF3 ATP\r'),
	('2N', 3652, 'ARN', 737, 'VHM', 729, '', 0, 'SF3\r'),
	('2N', 3652, 'ARN', 737, 'VXO', 711, '', 0, 'SF3\r'),
	('2N', 3652, 'GEV', 715, 'ARN', 737, '', 0, 'ATP\r'),
	('2N', 3652, 'GEV', 715, 'KRF', 718, '', 0, 'ATP\r'),
	('2N', 3652, 'HAD', 709, 'ARN', 737, '', 0, 'SF3 ATP\r'),
	('2N', 3652, 'HAD', 709, 'JKG', 688, '', 0, 'ATP SF3\r'),
	('2N', 3652, 'HAD', 709, 'VXO', 711, '', 0, 'SF3\r'),
	('2N', 3652, 'HMV', 5599, 'VHM', 729, '', 0, 'SF3\r'),
	('2N', 3652, 'JKG', 688, 'ARN', 737, '', 0, 'ATP SF3\r'),
	('2N', 3652, 'JKG', 688, 'HAD', 709, '', 0, 'ATP SF3\r'),
	('2N', 3652, 'KOK', 435, 'POR', 448, '', 0, 'SF3\r'),
	('2N', 3652, 'KRF', 718, 'ARN', 737, '', 0, 'ATP\r'),
	('2N', 3652, 'KRF', 718, 'GEV', 715, '', 0, 'ATP\r'),
	('2N', 3652, 'KSD', 5595, 'ARN', 737, '', 0, 'SF3\r'),
	('2N', 3652, 'LYC', 719, 'AJR', 730, '', 0, 'ATP\r'),
	('2N', 3652, 'LYC', 719, 'ARN', 737, '', 0, 'ATP\r'),
	('2N', 3652, 'MHQ', 442, 'ARN', 737, '', 0, 'SF3\r'),
	('2N', 3652, 'MHQ', 442, 'TKU', 460, '', 0, 'SF3\r'),
	('2N', 3652, 'OER', 722, 'ARN', 737, '', 0, 'ATR\r'),
	('2N', 3652, 'OSL', 644, 'VXO', 711, '', 0, 'SF3\r'),
	('2N', 3652, 'POR', 448, 'ARN', 737, '', 0, 'SF3\r'),
	('2N', 3652, 'POR', 448, 'KOK', 435, '', 0, 'SF3\r'),
	('2N', 3652, 'TKU', 460, 'MHQ', 442, '', 0, 'SF3\r'),
	('2N', 3652, 'TRF', 664, 'ARN', 737, '', 0, 'SF3\r'),
	('2N', 3652, 'VBY', 746, 'ARN', 737, '', 0, 'SF3 ATP\r'),
	('2N', 3652, 'VHM', 729, 'ARN', 737, '', 0, 'SF3\r'),
	('2N', 3652, 'VHM', 729, 'HMV', 5599, '', 0, 'SF3\r'),
	('2N', 3652, 'VXO', 711, 'ARN', 737, '', 0, 'SF3\r'),
	('2N', 3652, 'VXO', 711, 'OSL', 644, '', 0, 'SF3\r'),
	('2O', 146, 'ADQ', 3531, 'AOS', 7167, '', 0, 'BNI\r'),
	('2O', 146, 'ADQ', 3531, 'KKB', 7168, '', 0, 'BNI\r'),
	('2O', 146, 'ADQ', 3531, 'KLN', 7162, '', 0, 'BNI\r'),
	('2O', 146, 'ADQ', 3531, 'KOZ', 7164, '', 0, 'BNI\r'),
	('2O', 146, 'ADQ', 3531, 'OLH', 7163, '', 0, 'BNI\r'),
	('2O', 146, 'AOS', 7167, 'KZB', 7176, '', 0, 'BNI\r'),
	('2O', 146, 'KKB', 7168, 'SYB', 7173, '', 0, 'BNI\r'),
	('2O', 146, 'KLN', 7162, 'KYK', 7161, '', 0, 'BNI\r'),
	('2O', 146, 'KOZ', 7164, 'ORI', 7165, '', 0, 'BNI\r'),
	('2O', 146, 'SYB', 7173, 'KPR', 7172, '', 0, 'BNI\r'),
	('2P', 897, 'BSO', 6019, 'MNL', 2397, '', 0, 'DH4\r'),
	('2P', 897, 'BXU', 4200, 'MNL', 2397, '', 0, '320\r'),
	('2P', 897, 'CBO', 2399, 'MNL', 2397, '', 0, '320\r'),
	('2P', 897, 'CGY', 2400, 'MNL', 2397, '', 0, '320\r'),
	('2P', 897, 'CRM', 6024, 'MNL', 2397, '', 0, 'DH4\r'),
	('2P', 897, 'DGT', 2425, 'MNL', 2397, '', 0, '320\r'),
	('2P', 897, 'DWC', 8076, 'MNL', 2397, '', 0, '330\r'),
	('2P', 897, 'GES', 6011, 'MNL', 2397, 'Y', 0, '320\r'),
	('2P', 897, 'KLO', 2430, 'MNL', 2397, '', 0, '320\r'),
	('2P', 897, 'LGP', 4203, 'MNL', 2397, '', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'BSO', 6019, '', 0, 'DH4\r'),
	('2P', 897, 'MNL', 2397, 'BXU', 4200, '', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'CBO', 2399, '', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'CGY', 2400, '', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'CRM', 6024, '', 0, 'DH4\r'),
	('2P', 897, 'MNL', 2397, 'DGT', 2425, '', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'DWC', 8076, '', 0, '330\r'),
	('2P', 897, 'MNL', 2397, 'GES', 6011, 'Y', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'KLO', 2430, '', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'LGP', 4203, '', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'MPH', 4002, '', 0, 'DH3\r'),
	('2P', 897, 'MNL', 2397, 'OZC', 4204, '', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'PPS', 2433, '', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'RXS', 6026, '', 0, '320\r'),
	('2P', 897, 'MNL', 2397, 'SUG', 6016, '', 0, 'DH4\r'),
	('2P', 897, 'MNL', 2397, 'TUG', 6021, '', 0, 'DH4\r'),
	('2P', 897, 'MNL', 2397, 'ZAM', 2404, '', 0, '320\r'),
	('2P', 897, 'MPH', 4002, 'MNL', 2397, '', 0, 'DH3\r'),
	('2P', 897, 'OZC', 4204, 'MNL', 2397, '', 0, '320\r'),
	('2P', 897, 'PPS', 2433, 'MNL', 2397, '', 0, '320\r'),
	('2P', 897, 'RXS', 6026, 'MNL', 2397, '', 0, '320\r'),
	('2P', 897, 'SUG', 6016, 'MNL', 2397, '', 0, 'DH4\r'),
	('2P', 897, 'TUG', 6021, 'MNL', 2397, '', 0, 'DH4\r'),
	('2P', 897, 'ZAM', 2404, 'MNL', 2397, '', 0, '320\r'),
	('2Z', 1729, 'AUX', 7376, 'PMW', 4214, '', 0, 'AT7\r'),
	('2Z', 1729, 'BRA', 7373, 'BSB', 2531, '', 0, 'AT7\r'),
	('2Z', 1729, 'BRA', 7373, 'SSA', 2621, '', 0, 'AT7\r'),
	('2Z', 1729, 'BSB', 2531, 'BRA', 7373, '', 0, 'AT7\r'),
	('2Z', 1729, 'BSB', 2531, 'OPS', 7367, '', 0, 'AT7\r'),
	('2Z', 1729, 'BSB', 2531, 'RAO', 2613, '', 0, 'AT7\r'),
	('2Z', 1729, 'CAC', 2535, 'GRU', 2564, '', 0, 'AT7\r'),
	('2Z', 1729, 'CGB', 2548, 'GYN', 2562, '', 0, 'AT7\r'),
	('2Z', 1729, 'CGB', 2548, 'OPS', 7367, '', 0, 'AT7\r'),
	('2Z', 1729, 'CGR', 2538, 'DOU', 7380, '', 0, 'AT7\r'),
	('2Z', 1729, 'DOU', 7380, 'CGR', 2538, '', 0, 'AT7\r'),
	('2Z', 1729, 'DOU', 7380, 'GRU', 2564, '', 0, 'AT7\r'),
	('2Z', 1729, 'GIG', 2560, 'RAO', 2613, '', 0, 'AT7\r'),
	('2Z', 1729, 'GRU', 2564, 'CAC', 2535, '', 0, 'AT7\r'),
	('2Z', 1729, 'GRU', 2564, 'DOU', 7380, '', 0, 'AT7\r'),
	('2Z', 1729, 'GRU', 2564, 'RAO', 2613, '', 0, 'AT7\r'),
	('2Z', 1729, 'GRU', 2564, 'UBA', 2635, '', 0, 'AT7\r'),
	('2Z', 1729, 'GRU', 2564, 'UDI', 2633, '', 0, 'AT7\r'),
	('2Z', 1729, 'GRU', 2564, 'VDC', 6039, '', 0, 'AT7\r'),
	('2Z', 1729, 'GYN', 2562, 'CGB', 2548, '', 0, 'AT7\r'),
	('2Z', 1729, 'GYN', 2562, 'PMW', 4214, '', 0, 'AT7\r'),
	('2Z', 1729, 'GYN', 2562, 'RAO', 2613, '', 0, 'AT7\r'),
	('2Z', 1729, 'GYN', 2562, 'UDI', 2633, '', 0, 'AT7\r'),
	('2Z', 1729, 'OPS', 7367, 'BSB', 2531, '', 0, 'AT7\r'),
	('2Z', 1729, 'OPS', 7367, 'CGB', 2548, '', 0, 'AT7\r'),
	('2Z', 1729, 'PLU', 2528, 'RAO', 2613, '', 0, 'AT7\r'),
	('2Z', 1729, 'PMW', 4214, 'AUX', 7376, '', 0, 'AT7\r'),
	('2Z', 1729, 'PMW', 4214, 'GYN', 2562, '', 0, 'AT7\r'),
	('2Z', 1729, 'RAO', 2613, 'BSB', 2531, '', 0, 'AT7\r'),
	('2Z', 1729, 'RAO', 2613, 'GIG', 2560, '', 0, 'AT7\r'),
	('2Z', 1729, 'RAO', 2613, 'GRU', 2564, '', 0, 'AT7\r'),
	('2Z', 1729, 'RAO', 2613, 'GYN', 2562, '', 0, 'AT7\r'),
	('2Z', 1729, 'RAO', 2613, 'PLU', 2528, '', 0, 'AT7\r'),
	('2Z', 1729, 'RAO', 2613, 'SJP', 2619, '', 0, 'AT7\r'),
	('2Z', 1729, 'RAO', 2613, 'UDI', 2633, '', 0, 'AT7\r'),
	('2Z', 1729, 'SJP', 2619, 'RAO', 2613, '', 0, 'AT7\r'),
	('2Z', 1729, 'SSA', 2621, 'BRA', 7373, '', 0, 'AT7\r'),
	('2Z', 1729, 'SSA', 2621, 'VDC', 6039, '', 0, 'AT7\r'),
	('2Z', 1729, 'UBA', 2635, 'GRU', 2564, '', 0, 'AT7\r'),
	('2Z', 1729, 'UBA', 2635, 'UDI', 2633, '', 0, 'AT7\r'),
	('2Z', 1729, 'UDI', 2633, 'GRU', 2564, '', 0, 'AT7\r'),
	('2Z', 1729, 'UDI', 2633, 'GYN', 2562, '', 0, 'AT7\r'),
	('2Z', 1729, 'UDI', 2633, 'RAO', 2613, '', 0, 'AT7\r'),
	('2Z', 1729, 'UDI', 2633, 'UBA', 2635, '', 0, 'AT7\r'),
	('2Z', 1729, 'VDC', 6039, 'GRU', 2564, '', 0, 'AT7\r'),
	('2Z', 1729, 'VDC', 6039, 'SSA', 2621, '', 0, 'AT7\r'),
	('3E', 10739, 'BRL', 5726, 'ORD', 3830, '', 0, 'CNC\r'),
	('3E', 10739, 'BRL', 5726, 'STL', 3678, '', 0, 'CNC\r'),
	('3E', 10739, 'DEC', 4042, 'ORD', 3830, '', 0, 'CNC\r'),
	('3E', 10739, 'DEC', 4042, 'STL', 3678, '', 0, 'CNC\r'),
	('3E', 10739, 'JBR', 3591, 'STL', 3678, '', 0, 'CNC\r'),
	('3E', 10739, 'ORD', 3830, 'BRL', 5726, '', 0, 'CNC\r'),
	('3E', 10739, 'ORD', 3830, 'DEC', 4042, '', 0, 'CNC\r'),
	('3E', 10739, 'STL', 3678, 'BRL', 5726, '', 0, 'CNC\r'),
	('3E', 10739, 'STL', 3678, 'DEC', 4042, '', 0, 'CNC\r'),
	('3E', 10739, 'STL', 3678, 'JBR', 3591, '', 0, 'CNC\r'),
	('3F', 16262, 'CGA', 7144, 'HYL', 7145, '', 0, 'DHP\r'),
	('3F', 16262, 'CGA', 7144, 'KTN', 3808, '', 0, 'DHP\r'),
	('3F', 16262, 'HYL', 7145, 'CGA', 7144, '', 0, 'DHP\r'),
	('3F', 16262, 'HYL', 7145, 'KTB', 7147, '', 0, 'DHP\r'),
	('3F', 16262, 'HYL', 7145, 'KTN', 3808, '', 0, 'DHP\r'),
	('3F', 16262, 'KTB', 7147, 'HYL', 7145, '', 0, 'DHP\r'),
	('3F', 16262, 'KTB', 7147, 'KTN', 3808, '', 0, 'DHP\r'),
	('3F', 16262, 'KTN', 3808, 'CGA', 7144, '', 0, 'DHP\r'),
	('3F', 16262, 'KTN', 3808, 'HYL', 7145, '', 0, 'DHP\r'),
	('3F', 16262, 'KTN', 3808, 'KTB', 7147, '', 0, 'DHP\r'),
	('3F', 16262, 'KTN', 3808, 'MTM', 7146, '', 0, 'DHP\r'),
	('3F', 16262, 'MTM', 7146, 'KTN', 3808, '', 0, 'DHP\r'),
	('3G', 595, 'ACC', 248, 'DKR', 1084, '', 0, '319\r'),
	('3G', 595, 'ACC', 248, 'LOS', 273, '', 0, '319\r'),
	('3G', 595, 'ACC', 248, 'ROB', 1063, '', 0, '319\r'),
	('3G', 595, 'BCN', 1218, 'BJL', 1050, '', 0, '319\r'),
	('3G', 595, 'BJL', 1050, 'BCN', 1218, '', 0, '319\r'),
	('3G', 595, 'BJL', 1050, 'DKR', 1084, '', 0, '319\r'),
	('3G', 595, 'BJL', 1050, 'FNA', 1059, '', 0, '319\r'),
	('3G', 595, 'CKY', 4162, 'OXB', 5665, '', 0, '319\r'),
	('3G', 595, 'DKR', 1084, 'ACC', 248, '', 0, '319\r'),
	('3G', 595, 'DKR', 1084, 'BJL', 1050, '', 0, '319\r'),
	('3G', 595, 'DKR', 1084, 'DLA', 897, '', 0, '319\r'),
	('3G', 595, 'DKR', 1084, 'FNA', 1059, '', 0, '319\r'),
	('3G', 595, 'DKR', 1084, 'LOS', 273, '', 0, '319\r'),
	('3G', 595, 'DKR', 1084, 'OXB', 5665, '', 0, '319\r'),
	('3G', 595, 'DLA', 897, 'DKR', 1084, '', 0, '319\r'),
	('3G', 595, 'DLA', 897, 'LOS', 273, '', 0, '319\r'),
	('3G', 595, 'FNA', 1059, 'BJL', 1050, '', 0, '319\r'),
	('3G', 595, 'FNA', 1059, 'DKR', 1084, '', 0, '319\r'),
	('3G', 595, 'FNA', 1059, 'LGW', 502, '', 0, '319\r'),
	('3G', 595, 'FNA', 1059, 'ROB', 1063, '', 0, '319\r'),
	('3G', 595, 'LGW', 502, 'FNA', 1059, '', 0, '319\r'),
	('3G', 595, 'LOS', 273, 'ACC', 248, '', 0, '319\r'),
	('3G', 595, 'LOS', 273, 'DKR', 1084, '', 0, '319\r'),
	('3G', 595, 'LOS', 273, 'DLA', 897, '', 0, '319\r'),
	('3G', 595, 'LOS', 273, 'ROB', 1063, '', 0, '319\r'),
	('3G', 595, 'OXB', 5665, 'CKY', 4162, '', 0, '319\r'),
	('3G', 595, 'OXB', 5665, 'DKR', 1084, '', 0, '319\r'),
	('3G', 595, 'ROB', 1063, 'ACC', 248, '', 0, '319\r'),
	('3G', 595, 'ROB', 1063, 'FNA', 1059, '', 0, '319\r'),
	('3G', 595, 'ROB', 1063, 'LOS', 273, '', 0, '319\r'),
	('3J', 5521, 'JIB', 4119, 'DXB', 2188, '', 0, '737\r'),
	('3J', 5521, 'JIB', 4119, 'JED', 2072, '', 0, '737\r'),
	('3J', 5521, 'JIB', 4119, 'MGQ', 5687, '', 0, '737\r'),
	('3J', 5521, 'MGQ', 5687, 'NBO', 4059, '', 0, '737\r'),
	('3J', 5521, 'NBO', 4059, 'MGQ', 5687, '', 0, '737\r'),
	('3K', 3021, 'BKK', 3885, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'DRW', 3999, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'HAK', 4120, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'HGH', 3386, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'HKG', 3077, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'HKT', 3179, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'KIX', 3992, 'MNL', 2397, '', 0, '320\r'),
	('3K', 3021, 'KIX', 3992, 'TPE', 2276, '', 0, '320\r'),
	('3K', 3021, 'KUL', 3304, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'MNL', 2397, 'KIX', 3992, '', 0, '320\r'),
	('3K', 3021, 'MNL', 2397, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'PEN', 3308, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'PER', 3351, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'PNH', 3034, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'REP', 3035, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'RGN', 3239, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'SGN', 3205, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'BKK', 3885, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'DRW', 3999, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'HAK', 4120, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'HGH', 3386, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'HKG', 3077, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'HKT', 3179, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'KUL', 3304, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'MNL', 2397, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'PEN', 3308, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'PER', 3351, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'PNH', 3034, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'REP', 3035, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'RGN', 3239, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'SGN', 3205, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'SWA', 4302, '', 0, '320\r'),
	('3K', 3021, 'SIN', 3316, 'TPE', 2276, '', 0, '320\r'),
	('3K', 3021, 'SWA', 4302, 'SIN', 3316, '', 0, '320\r'),
	('3K', 3021, 'TPE', 2276, 'KIX', 3992, '', 0, '320\r'),
	('3K', 3021, 'TPE', 2276, 'SIN', 3316, '', 0, '320\r'),
	('3L', 2916, 'ACH', 1679, 'EBA', 1558, '', 0, 'DH3\r'),
	('3L', 2916, 'DRS', 338, 'ZRH', 1678, '', 0, 'DH3\r'),
	('3L', 2916, 'DUS', 345, 'FDH', 382, '', 0, 'DH3\r'),
	('3L', 2916, 'EBA', 1558, 'ACH', 1679, '', 0, 'DH3\r'),
	('3L', 2916, 'EBA', 1558, 'FDH', 382, '', 0, 'DH3\r'),
	('3L', 2916, 'EBA', 1558, 'MUC', 346, '', 0, 'DH3\r'),
	('3L', 2916, 'EBA', 1558, 'ZRH', 1678, '', 0, 'DH3\r'),
	('3L', 2916, 'FDH', 382, 'DUS', 345, '', 0, 'DH3\r'),
	('3L', 2916, 'FDH', 382, 'EBA', 1558, '', 0, 'DH3\r'),
	('3L', 2916, 'FDH', 382, 'HAM', 342, '', 0, 'AT7\r'),
	('3L', 2916, 'FDH', 382, 'OLB', 1520, '', 0, 'AT7\r'),
	('3L', 2916, 'FDH', 382, 'TXL', 351, '', 0, 'AT7\r'),
	('3L', 2916, 'FDH', 382, 'ZAD', 1209, '', 0, 'AT7\r'),
	('3L', 2916, 'FMM', 3986, 'NAP', 1561, '', 0, 'AT7\r'),
	('3L', 2916, 'GRZ', 1609, 'ZRH', 1678, '', 0, 'DH3\r'),
	('3L', 2916, 'HAM', 342, 'FDH', 382, '', 0, 'AT7\r'),
	('3L', 2916, 'MUC', 346, 'EBA', 1558, '', 0, 'DH3\r'),
	('3L', 2916, 'NAP', 1561, 'FMM', 3986, '', 0, 'AT7\r'),
	('3L', 2916, 'OLB', 1520, 'FDH', 382, '', 0, 'AT7\r'),
	('3L', 2916, 'SZG', 1612, 'ZRH', 1678, '', 0, 'DH3\r'),
	('3L', 2916, 'TXL', 351, 'FDH', 382, '', 0, 'AT7\r'),
	('3L', 2916, 'ZAD', 1209, 'FDH', 382, '', 0, 'AT7\r'),
	('3L', 2916, 'ZRH', 1678, 'DRS', 338, '', 0, 'DH3\r'),
	('3L', 2916, 'ZRH', 1678, 'EBA', 1558, '', 0, 'DH3\r'),
	('3L', 2916, 'ZRH', 1678, 'GRZ', 1609, '', 0, 'DH3\r'),
	('3L', 2916, 'ZRH', 1678, 'SZG', 1612, '', 0, 'DH3\r'),
	('3O', 9818, 'AMS', 580, 'NDR', 5673, '', 0, '320\r'),
	('3O', 9818, 'AMS', 580, 'TNG', 1080, '', 0, '320\r'),
	('3O', 9818, 'BCN', 1218, 'CMN', 1074, '', 0, '320\r'),
	('3O', 9818, 'BCN', 1218, 'NDR', 5673, '', 0, '320\r'),
	('3O', 9818, 'BCN', 1218, 'TNG', 1080, '', 0, '320\r'),
	('3O', 9818, 'BGY', 1525, 'CMN', 1074, '', 0, '320\r'),
	('3O', 9818, 'BLQ', 1538, 'CMN', 1074, '', 0, '320\r'),
	('3O', 9818, 'BRU', 302, 'CMN', 1074, '', 0, '320\r'),
	('3O', 9818, 'BRU', 302, 'NDR', 5673, '', 0, '320\r'),
	('3O', 9818, 'BRU', 302, 'TNG', 1080, '', 0, '320\r'),
	('3O', 9818, 'CGN', 344, 'NDR', 5673, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'BCN', 1218, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'BGY', 1525, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'BLQ', 1538, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'BRU', 302, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'CUF', 1534, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'LGW', 502, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'LYS', 1335, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'MPL', 1359, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'SAW', 4317, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'TLS', 1273, '', 0, '320\r'),
	('3O', 9818, 'CMN', 1074, 'TSF', 1539, '', 0, '320\r'),
	('3O', 9818, 'CUF', 1534, 'CMN', 1074, '', 0, '320\r'),
	('3O', 9818, 'FEZ', 1066, 'MPL', 1359, '', 0, '320\r'),
	('3O', 9818, 'LGW', 502, 'CMN', 1074, '', 0, '320\r'),
	('3O', 9818, 'LGW', 502, 'TNG', 1080, '', 0, '320\r'),
	('3O', 9818, 'LYS', 1335, 'CMN', 1074, '', 0, '320\r'),
	('3O', 9818, 'MPL', 1359, 'CMN', 1074, '', 0, '320\r'),
	('3O', 9818, 'MPL', 1359, 'FEZ', 1066, '', 0, '320\r'),
	('3O', 9818, 'MPL', 1359, 'NDR', 5673, '', 0, '320\r'),
	('3O', 9818, 'NDR', 5673, 'AMS', 580, '', 0, '320\r'),
	('3O', 9818, 'NDR', 5673, 'BCN', 1218, '', 0, '320\r'),
	('3O', 9818, 'NDR', 5673, 'BRU', 302, '', 0, '320\r'),
	('3O', 9818, 'NDR', 5673, 'CGN', 344, '', 0, '320\r'),
	('3O', 9818, 'NDR', 5673, 'MPL', 1359, '', 0, '320\r'),
	('3O', 9818, 'NDR', 5673, 'PMI', 3998, '', 0, '320\r'),
	('3O', 9818, 'PMI', 3998, 'NDR', 5673, '', 0, '320\r'),
	('3O', 9818, 'SAW', 4317, 'CMN', 1074, '', 0, '320\r'),
	('3O', 9818, 'TLS', 1273, 'CMN', 1074, '', 0, '320\r'),
	('3O', 9818, 'TNG', 1080, 'AMS', 580, '', 0, '320\r'),
	('3O', 9818, 'TNG', 1080, 'BCN', 1218, '', 0, '320\r'),
	('3O', 9818, 'TNG', 1080, 'BRU', 302, '', 0, '320\r'),
	('3O', 9818, 'TNG', 1080, 'LGW', 502, '', 0, '320\r'),
	('3O', 9818, 'TSF', 1539, 'CMN', 1074, '', 0, '320\r'),
	('3P', 5002, 'AUA', 2895, 'LSP', 2844, '', 0, 'SH6\r'),
	('3P', 5002, 'AUA', 2895, 'MAR', 2848, '', 0, 'SH6\r'),
	('3P', 5002, 'BON', 2896, 'CUR', 2897, '', 0, 'SH6\r'),
	('3P', 5002, 'CUR', 2897, 'AUA', 2895, '', 0, 'SH6\r'),
	('3P', 5002, 'LSP', 2844, 'AUA', 2895, '', 0, 'SH6\r'),
	('3P', 5002, 'MAR', 2848, 'AUA', 2895, '', 0, 'SH6\r'),
	('3R', 3545, 'ASF', 2966, 'DME', 4029, '', 0, 'SU9\r'),
	('3R', 3545, 'ASF', 2966, 'LED', 2948, '', 0, 'SU9\r'),
	('3R', 3545, 'BHK', 2980, 'DME', 4029, '', 0, '734\r'),
	('3R', 3545, 'DME', 4029, 'ASF', 2966, '', 0, 'SU9\r'),
	('3R', 3545, 'DME', 4029, 'BHK', 2980, '', 0, '734\r'),
	('3R', 3545, 'DME', 4029, 'EGO', 6156, '', 0, 'SU9\r'),
	('3R', 3545, 'DME', 4029, 'FEG', 6149, '', 0, '734\r'),
	('3R', 3545, 'DME', 4029, 'KSQ', 6153, '', 0, '734\r'),
	('3R', 3545, 'DME', 4029, 'NMA', 6150, '', 0, '734\r'),
	('3R', 3545, 'DME', 4029, 'NVI', 6485, '', 0, '734\r'),
	('3R', 3545, 'DME', 4029, 'SKD', 2981, '', 0, '734\r'),
	('3R', 3545, 'DME', 4029, 'TIV', 1743, '', 0, 'SU9 73G\r'),
	('3R', 3545, 'EGO', 6156, 'DME', 4029, '', 0, 'SU9\r'),
	('3R', 3545, 'FEG', 6149, 'DME', 4029, '', 0, '734\r'),
	('3R', 3545, 'KSQ', 6153, 'DME', 4029, '', 0, '734\r'),
	('3R', 3545, 'LED', 2948, 'ASF', 2966, '', 0, 'SU9\r'),
	('3R', 3545, 'NMA', 6150, 'DME', 4029, '', 0, '734\r'),
	('3R', 3545, 'NVI', 6485, 'DME', 4029, '', 0, '734\r'),
	('3R', 3545, 'SKD', 2981, 'DME', 4029, '', 0, '734\r'),
	('3R', 3545, 'TIV', 1743, 'DME', 4029, '', 0, 'SU9 73G\r'),
	('3S', 11741, 'ANU', 2874, 'PTP', 2881, '', 0, 'AT5\r'),
	('3S', 11741, 'CAY', 2774, 'FDF', 2878, '', 0, '320\r'),
	('3S', 11741, 'CUR', 2897, 'SDQ', 1762, '', 0, 'AT5\r'),
	('3S', 11741, 'DOM', 2877, 'PTP', 2881, '', 0, 'AT5\r'),
	('3S', 11741, 'DOM', 2877, 'SXM', 2899, '', 0, 'AT5\r'),
	('3S', 11741, 'FDF', 2878, 'CAY', 2774, '', 0, '320\r'),
	('3S', 11741, 'FDF', 2878, 'PTP', 2881, '', 0, 'AT5 320\r'),
	('3S', 11741, 'FDF', 2878, 'SDQ', 1762, '', 0, 'AT5\r'),
	('3S', 11741, 'FDF', 2878, 'SLU', 2893, '', 0, 'AT5\r'),
	('3S', 11741, 'PTP', 2881, 'ANU', 2874, '', 0, 'AT5\r'),
	('3S', 11741, 'PTP', 2881, 'DOM', 2877, '', 0, 'AT5\r'),
	('3S', 11741, 'PTP', 2881, 'FDF', 2878, '', 0, 'AT5 320\r'),
	('3S', 11741, 'PTP', 2881, 'SBH', 6460, '', 0, 'DHT\r'),
	('3S', 11741, 'PTP', 2881, 'SDQ', 1762, '', 0, 'AT5\r'),
	('3S', 11741, 'PTP', 2881, 'SFG', 2879, '', 0, 'AT5\r'),
	('3S', 11741, 'PTP', 2881, 'SXM', 2899, '', 0, 'AT5\r'),
	('3S', 11741, 'SBH', 6460, 'PTP', 2881, '', 0, 'DHT\r'),
	('3S', 11741, 'SDQ', 1762, 'PTP', 2881, '', 0, 'AT5\r'),
	('3S', 11741, 'SDQ', 1762, 'SXM', 2899, '', 0, 'AT5\r'),
	('3S', 11741, 'SFG', 2879, 'PTP', 2881, '', 0, 'AT5\r'),
	('3S', 11741, 'SLU', 2893, 'FDF', 2878, '', 0, 'AT5\r'),
	('3S', 11741, 'SXM', 2899, 'DOM', 2877, '', 0, 'AT5\r'),
	('3S', 11741, 'SXM', 2899, 'PTP', 2881, '', 0, 'AT5\r'),
	('3S', 11741, 'SXM', 2899, 'SDQ', 1762, '', 0, 'AT5\r'),
	('3U', 4608, 'BHY', 6351, 'XIY', 3379, '', 0, '321\r'),
	('3U', 4608, 'CAN', 3370, 'CKG', 3393, '', 0, '321 320\r'),
	('3U', 4608, 'CAN', 3370, 'CTU', 3395, '', 0, '321 320 330\r'),
	('3U', 4608, 'CAN', 3370, 'SPN', 2244, '', 0, '330\r'),
	('3U', 4608, 'CGO', 3375, 'CGQ', 4380, '', 0, '321\r'),
	('3U', 4608, 'CGO', 3375, 'CKG', 3393, '', 0, '321\r'),
	('3U', 4608, 'CGO', 3375, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'CGO', 3375, 'HGH', 3386, '', 0, '320\r'),
	('3U', 4608, 'CGO', 3375, 'HRB', 3400, '', 0, '320\r'),
	('3U', 4608, 'CGO', 3375, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'CGO', 3375, 'URC', 3399, '', 0, '320\r'),
	('3U', 4608, 'CGQ', 4380, 'CGO', 3375, '', 0, '321\r'),
	('3U', 4608, 'CGQ', 4380, 'NKG', 3388, '', 0, '320\r'),
	('3U', 4608, 'CGQ', 4380, 'TNA', 4108, '', 0, '321\r'),
	('3U', 4608, 'CGQ', 4380, 'TSN', 3368, '', 0, '320 319\r'),
	('3U', 4608, 'CKG', 3393, 'CAN', 3370, '', 0, '321 320\r'),
	('3U', 4608, 'CKG', 3393, 'CGO', 3375, '', 0, '321\r'),
	('3U', 4608, 'CKG', 3393, 'CSX', 3371, '', 0, '319 321\r'),
	('3U', 4608, 'CKG', 3393, 'CTU', 3395, '', 0, '330\r'),
	('3U', 4608, 'CKG', 3393, 'CZX', 4109, '', 0, '320\r'),
	('3U', 4608, 'CKG', 3393, 'DLC', 3404, '', 0, '320\r'),
	('3U', 4608, 'CKG', 3393, 'DYG', 6353, '', 0, '320\r'),
	('3U', 4608, 'CKG', 3393, 'HAK', 4120, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'HGH', 3386, '', 0, '320 319\r'),
	('3U', 4608, 'CKG', 3393, 'HKT', 3179, '', 0, '321\r'),
	('3U', 4608, 'CKG', 3393, 'INC', 4085, '', 0, '321\r'),
	('3U', 4608, 'CKG', 3393, 'KHN', 3384, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'KMG', 3382, '', 0, '319 320\r'),
	('3U', 4608, 'CKG', 3393, 'LHW', 6431, '', 0, '319 321\r'),
	('3U', 4608, 'CKG', 3393, 'LJG', 4033, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'LXA', 4097, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'NGB', 3387, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'NKG', 3388, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'NNG', 3373, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'PEK', 3364, '', 0, '321 319 320\r'),
	('3U', 4608, 'CKG', 3393, 'PVG', 3406, '', 0, '320 319\r'),
	('3U', 4608, 'CKG', 3393, 'PZI', 6435, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'SWA', 4302, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'SYD', 3361, '', 0, '330\r'),
	('3U', 4608, 'CKG', 3393, 'SYX', 4030, '', 0, '320\r'),
	('3U', 4608, 'CKG', 3393, 'SZX', 3374, '', 0, '320\r'),
	('3U', 4608, 'CKG', 3393, 'TNA', 4108, '', 0, '321\r'),
	('3U', 4608, 'CKG', 3393, 'TSA', 2275, '', 0, '320\r'),
	('3U', 4608, 'CKG', 3393, 'TSN', 3368, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'TYN', 3369, '', 0, '321\r'),
	('3U', 4608, 'CKG', 3393, 'URC', 3399, '', 0, '320\r'),
	('3U', 4608, 'CKG', 3393, 'WUH', 3376, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'WUX', 6390, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'XIY', 3379, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'XNN', 6366, '', 0, '320\r'),
	('3U', 4608, 'CKG', 3393, 'YIH', 6361, '', 0, '319\r'),
	('3U', 4608, 'CKG', 3393, 'ZHA', 6357, '', 0, '319\r'),
	('3U', 4608, 'CSX', 3371, 'CKG', 3393, '', 0, '319 321\r'),
	('3U', 4608, 'CSX', 3371, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'CSX', 3371, 'FOC', 3385, '', 0, '320\r'),
	('3U', 4608, 'CSX', 3371, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'CSX', 3371, 'SHE', 4144, '', 0, '320\r'),
	('3U', 4608, 'CSX', 3371, 'WNZ', 6392, '', 0, '319\r'),
	('3U', 4608, 'CSX', 3371, 'XMN', 3383, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'CAN', 3370, '', 0, '321 320 330\r'),
	('3U', 4608, 'CTU', 3395, 'CGO', 3375, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'CKG', 3393, '', 0, '330\r'),
	('3U', 4608, 'CTU', 3395, 'CSX', 3371, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'DCY', 9310, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'DSN', 6434, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'HAK', 4120, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'HDG', 8407, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'HET', 6345, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'HFE', 3389, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'HGH', 3386, '', 0, '320 319\r'),
	('3U', 4608, 'CTU', 3395, 'HKG', 3077, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'HKT', 3179, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'ICN', 3930, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'INC', 4085, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'JHG', 4055, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'JIQ', 8781, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'JZH', 4301, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'KHN', 3384, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'KOW', 6379, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'KWE', 3394, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'LHW', 6431, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'LJG', 4033, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'LUM', 6376, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'LXA', 4097, '', 0, '330 319\r'),
	('3U', 4608, 'CTU', 3395, 'LZY', 6402, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'MEL', 3339, '', 0, '330\r'),
	('3U', 4608, 'CTU', 3395, 'NKG', 3388, '', 0, '319 320\r'),
	('3U', 4608, 'CTU', 3395, 'NNG', 3373, '', 0, '319 320\r'),
	('3U', 4608, 'CTU', 3395, 'PEK', 3364, '', 0, '330 321 320\r'),
	('3U', 4608, 'CTU', 3395, 'PVG', 3406, '', 0, '321 330\r'),
	('3U', 4608, 'CTU', 3395, 'PZI', 6435, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'SHE', 4144, '', 0, '330\r'),
	('3U', 4608, 'CTU', 3395, 'SJW', 6347, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'SYX', 4030, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'SZX', 3374, '', 0, '320 321\r'),
	('3U', 4608, 'CTU', 3395, 'TAO', 3390, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'TNA', 4108, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'TSA', 2275, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'TSN', 3368, '', 0, '321\r'),
	('3U', 4608, 'CTU', 3395, 'TYN', 3369, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'URC', 3399, '', 0, '319 330\r'),
	('3U', 4608, 'CTU', 3395, 'WNZ', 6392, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'WUH', 3376, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'WUX', 6390, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'WXN', 6403, '', 0, '319\r'),
	('3U', 4608, 'CTU', 3395, 'XIC', 3396, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'XIY', 3379, '', 0, '320 319\r'),
	('3U', 4608, 'CTU', 3395, 'XMN', 3383, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'XNN', 6366, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'XUZ', 4149, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'YIH', 6361, '', 0, '320\r'),
	('3U', 4608, 'CTU', 3395, 'YTY', 8876, '', 0, '319\r'),
	('3U', 4608, 'CZX', 4109, 'CKG', 3393, '', 0, '320\r'),
	('3U', 4608, 'CZX', 4109, 'HRB', 3400, '', 0, '321\r'),
	('3U', 4608, 'CZX', 4109, 'XMN', 3383, '', 0, '321\r'),
	('3U', 4608, 'CZX', 4109, 'ZUH', 6355, '', 0, '320\r'),
	('3U', 4608, 'DAT', 6344, 'TYN', 3369, '', 0, '319\r'),
	('3U', 4608, 'DCY', 9310, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'DLC', 3404, 'CKG', 3393, '', 0, '320\r'),
	('3U', 4608, 'DLC', 3404, 'HGH', 3386, '', 0, '320\r'),
	('3U', 4608, 'DLC', 3404, 'HRB', 3400, '', 0, '320\r'),
	('3U', 4608, 'DLC', 3404, 'TNA', 4108, '', 0, '321\r'),
	('3U', 4608, 'DLC', 3404, 'XUZ', 4149, '', 0, '320\r'),
	('3U', 4608, 'DNH', 4308, 'LHW', 6431, '', 0, '319\r'),
	('3U', 4608, 'DSN', 6434, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'DSN', 6434, 'SHE', 4144, '', 0, '319\r'),
	('3U', 4608, 'DYG', 6353, 'CKG', 3393, '', 0, '320\r'),
	('3U', 4608, 'DYG', 6353, 'NKG', 3388, '', 0, '319\r'),
	('3U', 4608, 'FOC', 3385, 'CSX', 3371, '', 0, '320\r'),
	('3U', 4608, 'FOC', 3385, 'XIY', 3379, '', 0, '319\r'),
	('3U', 4608, 'GXH', 9311, 'LXA', 4097, '', 0, '319\r'),
	('3U', 4608, 'GXH', 9311, 'XIY', 3379, '', 0, '319\r'),
	('3U', 4608, 'HAK', 4120, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'HAK', 4120, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'HAK', 4120, 'HGH', 3386, '', 0, '320\r'),
	('3U', 4608, 'HAK', 4120, 'NGB', 3387, '', 0, '321\r'),
	('3U', 4608, 'HAK', 4120, 'ZUH', 6355, '', 0, '320\r'),
	('3U', 4608, 'HDG', 8407, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'HET', 6345, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'HFE', 3389, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'HGH', 3386, 'CGO', 3375, '', 0, '320\r'),
	('3U', 4608, 'HGH', 3386, 'CKG', 3393, '', 0, '320 319\r'),
	('3U', 4608, 'HGH', 3386, 'CTU', 3395, '', 0, '319 320\r'),
	('3U', 4608, 'HGH', 3386, 'DLC', 3404, '', 0, '320\r'),
	('3U', 4608, 'HGH', 3386, 'HAK', 4120, '', 0, '320\r'),
	('3U', 4608, 'HGH', 3386, 'KWE', 3394, '', 0, '320\r'),
	('3U', 4608, 'HGH', 3386, 'TSN', 3368, '', 0, '320\r'),
	('3U', 4608, 'HGH', 3386, 'TYN', 3369, '', 0, '320\r'),
	('3U', 4608, 'HKG', 3077, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'HKG', 3077, 'YIH', 6361, '', 0, '320\r'),
	('3U', 4608, 'HKG', 3077, 'ZHA', 6357, '', 0, '319\r'),
	('3U', 4608, 'HKT', 3179, 'CKG', 3393, '', 0, '321\r'),
	('3U', 4608, 'HKT', 3179, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'HRB', 3400, 'CGO', 3375, '', 0, '320\r'),
	('3U', 4608, 'HRB', 3400, 'CZX', 4109, '', 0, '321\r'),
	('3U', 4608, 'HRB', 3400, 'DLC', 3404, '', 0, '320\r'),
	('3U', 4608, 'HRB', 3400, 'INC', 4085, '', 0, '321\r'),
	('3U', 4608, 'HRB', 3400, 'NGB', 3387, '', 0, '321\r'),
	('3U', 4608, 'HRB', 3400, 'NKG', 3388, '', 0, '319\r'),
	('3U', 4608, 'HRB', 3400, 'NZH', 6954, '', 0, '321\r'),
	('3U', 4608, 'HRB', 3400, 'SJW', 6347, '', 0, '321\r'),
	('3U', 4608, 'HRB', 3400, 'TNA', 4108, '', 0, '320 321\r'),
	('3U', 4608, 'HRB', 3400, 'TSN', 3368, '', 0, '321\r'),
	('3U', 4608, 'HRB', 3400, 'WNZ', 6392, '', 0, '321\r'),
	('3U', 4608, 'HRB', 3400, 'WUH', 3376, '', 0, '321\r'),
	('3U', 4608, 'HRB', 3400, 'XIY', 3379, '', 0, '321\r'),
	('3U', 4608, 'HRB', 3400, 'XUZ', 4149, '', 0, '320 321\r'),
	('3U', 4608, 'ICN', 3930, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'INC', 4085, 'CKG', 3393, '', 0, '321\r'),
	('3U', 4608, 'INC', 4085, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'INC', 4085, 'HRB', 3400, '', 0, '321\r'),
	('3U', 4608, 'INC', 4085, 'KWL', 3372, '', 0, '320\r'),
	('3U', 4608, 'JGN', 6432, 'LHW', 6431, '', 0, '319\r'),
	('3U', 4608, 'JHG', 4055, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'JHG', 4055, 'KMG', 3382, '', 0, '319\r'),
	('3U', 4608, 'JIQ', 8781, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'JJN', 6386, 'KWE', 3394, '', 0, '320\r'),
	('3U', 4608, 'JJN', 6386, 'WUH', 3376, '', 0, '319\r'),
	('3U', 4608, 'JZH', 4301, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'KHG', 3397, 'URC', 3399, '', 0, '319\r'),
	('3U', 4608, 'KHN', 3384, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'KHN', 3384, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'KHN', 3384, 'KMG', 3382, '', 0, '319\r'),
	('3U', 4608, 'KHN', 3384, 'NGB', 3387, '', 0, '321\r'),
	('3U', 4608, 'KMG', 3382, 'CGO', 3375, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'CKG', 3393, '', 0, '319 320\r'),
	('3U', 4608, 'KMG', 3382, 'CSX', 3371, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'JHG', 4055, '', 0, '319\r'),
	('3U', 4608, 'KMG', 3382, 'KHN', 3384, '', 0, '319\r'),
	('3U', 4608, 'KMG', 3382, 'KWE', 3394, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'LUM', 6376, '', 0, '319\r'),
	('3U', 4608, 'KMG', 3382, 'NGB', 3387, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'NKG', 3388, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'TAO', 3390, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'TNA', 4108, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'TPE', 2276, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'WXN', 6403, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'XIY', 3379, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'XMN', 3383, '', 0, '320\r'),
	('3U', 4608, 'KMG', 3382, 'XUZ', 4149, '', 0, '320\r'),
	('3U', 4608, 'KOW', 6379, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'KOW', 6379, 'XMN', 3383, '', 0, '320\r'),
	('3U', 4608, 'KWE', 3394, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'KWE', 3394, 'HGH', 3386, '', 0, '320\r'),
	('3U', 4608, 'KWE', 3394, 'JJN', 6386, '', 0, '320\r'),
	('3U', 4608, 'KWE', 3394, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'KWE', 3394, 'LHW', 6431, '', 0, '321\r'),
	('3U', 4608, 'KWE', 3394, 'SYX', 4030, '', 0, '321\r'),
	('3U', 4608, 'KWE', 3394, 'WNZ', 6392, '', 0, '320\r'),
	('3U', 4608, 'KWE', 3394, 'XUZ', 4149, '', 0, '321\r'),
	('3U', 4608, 'KWL', 3372, 'INC', 4085, '', 0, '320\r'),
	('3U', 4608, 'KWL', 3372, 'SJW', 6347, '', 0, '321\r'),
	('3U', 4608, 'KWL', 3372, 'SYX', 4030, '', 0, '320\r'),
	('3U', 4608, 'LHW', 6431, 'CKG', 3393, '', 0, '319 321\r'),
	('3U', 4608, 'LHW', 6431, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'LHW', 6431, 'DNH', 4308, '', 0, '319\r'),
	('3U', 4608, 'LHW', 6431, 'JGN', 6432, '', 0, '319\r'),
	('3U', 4608, 'LHW', 6431, 'KWE', 3394, '', 0, '321\r'),
	('3U', 4608, 'LHW', 6431, 'TSN', 3368, '', 0, '321\r'),
	('3U', 4608, 'LJG', 4033, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'LJG', 4033, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'LJG', 4033, 'MIG', 6400, '', 0, '319\r'),
	('3U', 4608, 'LUM', 6376, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'LUM', 6376, 'KMG', 3382, '', 0, '319\r'),
	('3U', 4608, 'LXA', 4097, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'LXA', 4097, 'CTU', 3395, '', 0, '330 319\r'),
	('3U', 4608, 'LXA', 4097, 'GXH', 9311, '', 0, '319\r'),
	('3U', 4608, 'LXA', 4097, 'XIY', 3379, '', 0, '319\r'),
	('3U', 4608, 'LXA', 4097, 'XNN', 6366, '', 0, '319\r'),
	('3U', 4608, 'LYI', 6385, 'XIY', 3379, '', 0, '319 320\r'),
	('3U', 4608, 'LZY', 6402, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'MEL', 3339, 'CTU', 3395, '', 0, '330\r'),
	('3U', 4608, 'MIG', 6400, 'LJG', 4033, '', 0, '319\r'),
	('3U', 4608, 'MIG', 6400, 'NKG', 3388, '', 0, '319\r'),
	('3U', 4608, 'MIG', 6400, 'SYX', 4030, '', 0, '320\r'),
	('3U', 4608, 'MIG', 6400, 'XNN', 6366, '', 0, '320\r'),
	('3U', 4608, 'NGB', 3387, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'NGB', 3387, 'HAK', 4120, '', 0, '321\r'),
	('3U', 4608, 'NGB', 3387, 'HRB', 3400, '', 0, '321\r'),
	('3U', 4608, 'NGB', 3387, 'KHN', 3384, '', 0, '321\r'),
	('3U', 4608, 'NGB', 3387, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'NGB', 3387, 'SHE', 4144, '', 0, '321\r'),
	('3U', 4608, 'NGB', 3387, 'SYX', 4030, '', 0, '321\r'),
	('3U', 4608, 'NKG', 3388, 'CGQ', 4380, '', 0, '320\r'),
	('3U', 4608, 'NKG', 3388, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'NKG', 3388, 'CTU', 3395, '', 0, '319 320\r'),
	('3U', 4608, 'NKG', 3388, 'DYG', 6353, '', 0, '319\r'),
	('3U', 4608, 'NKG', 3388, 'HRB', 3400, '', 0, '319\r'),
	('3U', 4608, 'NKG', 3388, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'NKG', 3388, 'MIG', 6400, '', 0, '319\r'),
	('3U', 4608, 'NKG', 3388, 'SYX', 4030, '', 0, '320\r'),
	('3U', 4608, 'NNG', 3373, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'NNG', 3373, 'CTU', 3395, '', 0, '319 320\r'),
	('3U', 4608, 'NNG', 3373, 'SGN', 3205, '', 0, '320\r'),
	('3U', 4608, 'NNG', 3373, 'WUH', 3376, '', 0, '321\r'),
	('3U', 4608, 'NTG', 5475, 'WUH', 3376, '', 0, '319\r'),
	('3U', 4608, 'NZH', 6954, 'HRB', 3400, '', 0, '321\r'),
	('3U', 4608, 'PEK', 3364, 'CKG', 3393, '', 0, '319 321 320\r'),
	('3U', 4608, 'PEK', 3364, 'CTU', 3395, '', 0, '321 320 330\r'),
	('3U', 4608, 'PEK', 3364, 'WXN', 6403, '', 0, '320\r'),
	('3U', 4608, 'PEK', 3364, 'ZHY', 8043, '', 0, '320\r'),
	('3U', 4608, 'PVG', 3406, 'CKG', 3393, '', 0, '320 319\r'),
	('3U', 4608, 'PVG', 3406, 'CTU', 3395, '', 0, '330 321\r'),
	('3U', 4608, 'PVG', 3406, 'SPN', 2244, '', 0, '330\r'),
	('3U', 4608, 'PZI', 6435, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'PZI', 6435, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'SGN', 3205, 'NNG', 3373, '', 0, '320\r'),
	('3U', 4608, 'SHE', 4144, 'CSX', 3371, '', 0, '320\r'),
	('3U', 4608, 'SHE', 4144, 'CTU', 3395, '', 0, '330\r'),
	('3U', 4608, 'SHE', 4144, 'DSN', 6434, '', 0, '319\r'),
	('3U', 4608, 'SHE', 4144, 'NGB', 3387, '', 0, '321\r'),
	('3U', 4608, 'SHE', 4144, 'TYN', 3369, '', 0, '321\r'),
	('3U', 4608, 'SHE', 4144, 'XUZ', 4149, '', 0, '320\r'),
	('3U', 4608, 'SHE', 4144, 'YVR', 156, '', 0, '330\r'),
	('3U', 4608, 'SJW', 6347, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'SJW', 6347, 'HRB', 3400, '', 0, '321\r'),
	('3U', 4608, 'SJW', 6347, 'KWL', 3372, '', 0, '321\r'),
	('3U', 4608, 'SPN', 2244, 'CAN', 3370, '', 0, '330\r'),
	('3U', 4608, 'SPN', 2244, 'PVG', 3406, '', 0, '330\r'),
	('3U', 4608, 'SWA', 4302, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'SYD', 3361, 'CKG', 3393, '', 0, '330\r'),
	('3U', 4608, 'SYX', 4030, 'CKG', 3393, '', 0, '320\r'),
	('3U', 4608, 'SYX', 4030, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'SYX', 4030, 'KWE', 3394, '', 0, '321\r'),
	('3U', 4608, 'SYX', 4030, 'KWL', 3372, '', 0, '320\r'),
	('3U', 4608, 'SYX', 4030, 'MIG', 6400, '', 0, '320\r'),
	('3U', 4608, 'SYX', 4030, 'NGB', 3387, '', 0, '321\r'),
	('3U', 4608, 'SYX', 4030, 'NKG', 3388, '', 0, '320\r'),
	('3U', 4608, 'SYX', 4030, 'TNA', 4108, '', 0, '321\r'),
	('3U', 4608, 'SYX', 4030, 'WNZ', 6392, '', 0, '321\r'),
	('3U', 4608, 'SYX', 4030, 'YBP', 4110, '', 0, '319\r'),
	('3U', 4608, 'SZX', 3374, 'CKG', 3393, '', 0, '320\r'),
	('3U', 4608, 'SZX', 3374, 'CTU', 3395, '', 0, '320 321\r'),
	('3U', 4608, 'SZX', 3374, 'WXN', 6403, '', 0, '319\r'),
	('3U', 4608, 'TAO', 3390, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'TAO', 3390, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'TNA', 4108, 'CGQ', 4380, '', 0, '321\r'),
	('3U', 4608, 'TNA', 4108, 'CKG', 3393, '', 0, '321\r'),
	('3U', 4608, 'TNA', 4108, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'TNA', 4108, 'DLC', 3404, '', 0, '321\r'),
	('3U', 4608, 'TNA', 4108, 'HRB', 3400, '', 0, '320 321\r'),
	('3U', 4608, 'TNA', 4108, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'TNA', 4108, 'SYX', 4030, '', 0, '321\r'),
	('3U', 4608, 'TNA', 4108, 'XIY', 3379, '', 0, '320\r'),
	('3U', 4608, 'TPE', 2276, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'TSA', 2275, 'CKG', 3393, '', 0, '320\r'),
	('3U', 4608, 'TSA', 2275, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'TSN', 3368, 'CGQ', 4380, '', 0, '320 319\r'),
	('3U', 4608, 'TSN', 3368, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'TSN', 3368, 'CTU', 3395, '', 0, '321\r'),
	('3U', 4608, 'TSN', 3368, 'HGH', 3386, '', 0, '320\r'),
	('3U', 4608, 'TSN', 3368, 'HRB', 3400, '', 0, '321\r'),
	('3U', 4608, 'TSN', 3368, 'LHW', 6431, '', 0, '321\r'),
	('3U', 4608, 'TVS', 8858, 'TYN', 3369, '', 0, '319\r'),
	('3U', 4608, 'TYN', 3369, 'CKG', 3393, '', 0, '321\r'),
	('3U', 4608, 'TYN', 3369, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'TYN', 3369, 'DAT', 6344, '', 0, '319\r'),
	('3U', 4608, 'TYN', 3369, 'HGH', 3386, '', 0, '320\r'),
	('3U', 4608, 'TYN', 3369, 'SHE', 4144, '', 0, '321\r'),
	('3U', 4608, 'TYN', 3369, 'TVS', 8858, '', 0, '319\r'),
	('3U', 4608, 'URC', 3399, 'CGO', 3375, '', 0, '320\r'),
	('3U', 4608, 'URC', 3399, 'CKG', 3393, '', 0, '320\r'),
	('3U', 4608, 'URC', 3399, 'CTU', 3395, '', 0, '319 330\r'),
	('3U', 4608, 'URC', 3399, 'KHG', 3397, '', 0, '319\r'),
	('3U', 4608, 'URC', 3399, 'XIY', 3379, '', 0, '319\r'),
	('3U', 4608, 'UYN', 6368, 'XIY', 3379, '', 0, '319\r'),
	('3U', 4608, 'WNZ', 6392, 'CSX', 3371, '', 0, '319\r'),
	('3U', 4608, 'WNZ', 6392, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'WNZ', 6392, 'HRB', 3400, '', 0, '321\r'),
	('3U', 4608, 'WNZ', 6392, 'KWE', 3394, '', 0, '320\r'),
	('3U', 4608, 'WNZ', 6392, 'SYX', 4030, '', 0, '321\r'),
	('3U', 4608, 'WUH', 3376, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'WUH', 3376, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'WUH', 3376, 'HRB', 3400, '', 0, '321\r'),
	('3U', 4608, 'WUH', 3376, 'JJN', 6386, '', 0, '319\r'),
	('3U', 4608, 'WUH', 3376, 'NNG', 3373, '', 0, '321\r'),
	('3U', 4608, 'WUH', 3376, 'NTG', 5475, '', 0, '319\r'),
	('3U', 4608, 'WUX', 6390, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'WUX', 6390, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'WXN', 6403, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'WXN', 6403, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'WXN', 6403, 'PEK', 3364, '', 0, '320\r'),
	('3U', 4608, 'WXN', 6403, 'SZX', 3374, '', 0, '319\r'),
	('3U', 4608, 'XIC', 3396, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'XIY', 3379, 'BHY', 6351, '', 0, '321\r'),
	('3U', 4608, 'XIY', 3379, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'XIY', 3379, 'CTU', 3395, '', 0, '320 319\r'),
	('3U', 4608, 'XIY', 3379, 'FOC', 3385, '', 0, '319\r'),
	('3U', 4608, 'XIY', 3379, 'GXH', 9311, '', 0, '319\r'),
	('3U', 4608, 'XIY', 3379, 'HRB', 3400, '', 0, '321\r'),
	('3U', 4608, 'XIY', 3379, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'XIY', 3379, 'LXA', 4097, '', 0, '319\r'),
	('3U', 4608, 'XIY', 3379, 'LYI', 6385, '', 0, '319 320\r'),
	('3U', 4608, 'XIY', 3379, 'TNA', 4108, '', 0, '320\r'),
	('3U', 4608, 'XIY', 3379, 'URC', 3399, '', 0, '319\r'),
	('3U', 4608, 'XIY', 3379, 'UYN', 6368, '', 0, '319\r'),
	('3U', 4608, 'XIY', 3379, 'XMN', 3383, '', 0, '319\r'),
	('3U', 4608, 'XIY', 3379, 'XNN', 6366, '', 0, '319\r'),
	('3U', 4608, 'XIY', 3379, 'YBP', 4110, '', 0, '319\r'),
	('3U', 4608, 'XMN', 3383, 'CSX', 3371, '', 0, '321\r'),
	('3U', 4608, 'XMN', 3383, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'XMN', 3383, 'CZX', 4109, '', 0, '321\r'),
	('3U', 4608, 'XMN', 3383, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'XMN', 3383, 'KOW', 6379, '', 0, '320\r'),
	('3U', 4608, 'XMN', 3383, 'XIY', 3379, '', 0, '319\r'),
	('3U', 4608, 'XNN', 6366, 'CKG', 3393, '', 0, '320\r'),
	('3U', 4608, 'XNN', 6366, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'XNN', 6366, 'LXA', 4097, '', 0, '319\r'),
	('3U', 4608, 'XNN', 6366, 'MIG', 6400, '', 0, '320\r'),
	('3U', 4608, 'XNN', 6366, 'XIY', 3379, '', 0, '319\r'),
	('3U', 4608, 'XNN', 6366, 'ZHY', 8043, '', 0, '320\r'),
	('3U', 4608, 'XUZ', 4149, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'XUZ', 4149, 'DLC', 3404, '', 0, '320\r'),
	('3U', 4608, 'XUZ', 4149, 'HRB', 3400, '', 0, '320 321\r'),
	('3U', 4608, 'XUZ', 4149, 'KMG', 3382, '', 0, '320\r'),
	('3U', 4608, 'XUZ', 4149, 'KWE', 3394, '', 0, '321\r'),
	('3U', 4608, 'XUZ', 4149, 'SHE', 4144, '', 0, '320\r'),
	('3U', 4608, 'YBP', 4110, 'SYX', 4030, '', 0, '319\r'),
	('3U', 4608, 'YBP', 4110, 'XIY', 3379, '', 0, '319\r'),
	('3U', 4608, 'YIH', 6361, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'YIH', 6361, 'CTU', 3395, '', 0, '320\r'),
	('3U', 4608, 'YIH', 6361, 'HKG', 3077, '', 0, '320\r'),
	('3U', 4608, 'YTY', 8876, 'CTU', 3395, '', 0, '319\r'),
	('3U', 4608, 'YVR', 156, 'SHE', 4144, '', 0, '330\r'),
	('3U', 4608, 'ZHA', 6357, 'CKG', 3393, '', 0, '319\r'),
	('3U', 4608, 'ZHA', 6357, 'HKG', 3077, '', 0, '319\r'),
	('3U', 4608, 'ZHY', 8043, 'PEK', 3364, '', 0, '320\r'),
	('3U', 4608, 'ZHY', 8043, 'XNN', 6366, '', 0, '320\r'),
	('3U', 4608, 'ZUH', 6355, 'CZX', 4109, '', 0, '320\r'),
	('3U', 4608, 'ZUH', 6355, 'HAK', 4120, '', 0, '320\r'),
	('4D', 442, 'CAI', 1128, 'TLV', 1590, '', 0, 'E70\r'),
	('4D', 442, 'TLV', 1590, 'CAI', 1128, '', 0, 'E70\r'),
	('4G', 2524, 'EYK', 8428, 'VKO', 2988, '', 0, 'YK2\r'),
	('4G', 2524, 'NCU', 6151, 'VKO', 2988, '', 0, '73G\r'),
	('4G', 2524, 'NUX', 4364, 'TJM', 4111, '', 0, 'TU5\r'),
	('4G', 2524, 'NUX', 4364, 'UFA', 2992, '', 0, 'TU5\r'),
	('4G', 2524, 'NUX', 4364, 'VKO', 2988, '', 0, '73G TU5\r'),
	('4G', 2524, 'NYM', 6143, 'OVS', 6140, '', 0, 'YK4\r'),
	('4G', 2524, 'NYM', 6143, 'VKO', 2988, '', 0, '73G\r'),
	('4G', 2524, 'OVS', 6140, 'NYM', 6143, '', 0, 'YK4\r'),
	('4G', 2524, 'OVS', 6140, 'SVX', 2975, '', 0, 'YK4\r'),
	('4G', 2524, 'OVS', 6140, 'VKO', 2988, '', 0, 'YK2\r'),
	('4G', 2524, 'SVX', 2975, 'OVS', 6140, '', 0, 'YK4\r'),
	('4G', 2524, 'TJM', 4111, 'NUX', 4364, '', 0, 'TU5\r'),
	('4G', 2524, 'UCT', 4368, 'VKO', 2988, '', 0, 'YK2\r'),
	('4G', 2524, 'UFA', 2992, 'NUX', 4364, '', 0, 'TU5\r'),
	('4G', 2524, 'VKO', 2988, 'EYK', 8428, '', 0, 'YK2\r'),
	('4G', 2524, 'VKO', 2988, 'NCU', 6151, '', 0, '73G\r'),
	('4G', 2524, 'VKO', 2988, 'NUX', 4364, '', 0, '73G TU5\r'),
	('4G', 2524, 'VKO', 2988, 'NYM', 6143, '', 0, '73G\r'),
	('4G', 2524, 'VKO', 2988, 'OVS', 6140, '', 0, 'YK2\r'),
	('4G', 2524, 'VKO', 2988, 'UCT', 4368, '', 0, 'YK2\r'),
	('4H', 8463, 'BKK', 3885, 'DAC', 3076, '', 0, 'AT7\r'),
	('4H', 8463, 'BZL', 6176, 'DAC', 3076, '', 0, 'DH8\r'),
	('4H', 8463, 'CCU', 3043, 'CGP', 3069, '', 0, 'AT7\r'),
	('4H', 8463, 'CCU', 3043, 'DAC', 3076, '', 0, 'AT7\r'),
	('4H', 8463, 'CGP', 3069, 'CCU', 3043, '', 0, 'AT7\r'),
	('4H', 8463, 'CGP', 3069, 'DAC', 3076, '', 0, 'DH8\r'),
	('4H', 8463, 'CGP', 3069, 'MCT', 2194, '', 0, '313\r'),
	('4H', 8463, 'CXB', 3068, 'DAC', 3076, '', 0, 'DH8\r'),
	('4H', 8463, 'DAC', 3076, 'BKK', 3885, '', 0, 'AT7\r'),
	('4H', 8463, 'DAC', 3076, 'BZL', 6176, '', 0, 'DH8\r'),
	('4H', 8463, 'DAC', 3076, 'CCU', 3043, '', 0, 'AT7\r'),
	('4H', 8463, 'DAC', 3076, 'CGP', 3069, '', 0, 'DH8\r'),
	('4H', 8463, 'DAC', 3076, 'CXB', 3068, '', 0, 'DH8\r'),
	('4H', 8463, 'DAC', 3076, 'DXB', 2188, '', 0, '313\r'),
	('4H', 8463, 'DAC', 3076, 'JED', 2072, '', 0, '313\r'),
	('4H', 8463, 'DAC', 3076, 'JSR', 3071, '', 0, 'DH8\r'),
	('4H', 8463, 'DAC', 3076, 'KTM', 3125, '', 0, 'AT7\r'),
	('4H', 8463, 'DAC', 3076, 'KUL', 3304, '', 0, 'AT7\r'),
	('4H', 8463, 'DAC', 3076, 'MCT', 2194, '', 0, '313\r'),
	('4H', 8463, 'DAC', 3076, 'SPD', 3073, '', 0, 'DH8\r'),
	('4H', 8463, 'DAC', 3076, 'ZYL', 3074, '', 0, '313\r'),
	('4H', 8463, 'DXB', 2188, 'DAC', 3076, '', 0, '313\r'),
	('4H', 8463, 'JED', 2072, 'DAC', 3076, '', 0, '313\r'),
	('4H', 8463, 'JSR', 3071, 'DAC', 3076, '', 0, 'DH8\r'),
	('4H', 8463, 'KTM', 3125, 'DAC', 3076, '', 0, 'AT7\r'),
	('4H', 8463, 'KUL', 3304, 'DAC', 3076, '', 0, 'AT7\r'),
	('4H', 8463, 'MCT', 2194, 'CGP', 3069, '', 0, '313\r'),
	('4H', 8463, 'MCT', 2194, 'DAC', 3076, '', 0, '313\r'),
	('4H', 8463, 'RJH', 3072, 'DAC', 3076, '', 0, 'DH8\r'),
	('4H', 8463, 'SPD', 3073, 'DAC', 3076, '', 0, 'DH8\r'),
	('4H', 8463, 'SPD', 3073, 'RJH', 3072, '', 0, 'DH8\r'),
	('4H', 8463, 'ZYL', 3074, 'DAC', 3076, '', 0, '313\r'),
	('4K', 29, 'YGZ', 5498, 'YRB', 128, '', 0, 'DHT\r'),
	('4K', 29, 'YRB', 128, 'YGZ', 5498, '', 0, 'DHT\r'),
	('4M', 3201, 'DFW', 3670, 'EZE', 3988, 'Y', 0, '777\r'),
	('4M', 3201, 'EZE', 3988, 'DFW', 3670, 'Y', 0, '777\r'),
	('4M', 3201, 'EZE', 3988, 'JFK', 3797, 'Y', 0, '777\r'),
	('4M', 3201, 'EZE', 3988, 'MIA', 3576, '', 0, '777 763\r'),
	('4M', 3201, 'EZE', 3988, 'PUJ', 1760, '', 0, '763\r'),
	('4M', 3201, 'JFK', 3797, 'EZE', 3988, 'Y', 0, '777\r'),
	('4M', 3201, 'MIA', 3576, 'EZE', 3988, '', 0, '777 763\r'),
	('4M', 3201, 'MIA', 3576, 'PUJ', 1760, '', 0, '763\r'),
	('4M', 3201, 'PUJ', 1760, 'EZE', 3988, '', 0, '763\r'),
	('4M', 3201, 'PUJ', 1760, 'MIA', 3576, '', 0, '763\r'),
	('4N', 341, 'YEG', 49, 'YXY', 176, '', 0, '737\r'),
	('4N', 341, 'YLW', 87, 'YVR', 156, '', 0, '737\r'),
	('4N', 341, 'YLW', 87, 'YXY', 176, '', 0, '737\r'),
	('4N', 341, 'YOW', 100, 'YZF', 196, '', 0, '737\r'),
	('4N', 341, 'YVR', 156, 'YLW', 87, '', 0, '737\r'),
	('4N', 341, 'YVR', 156, 'YXY', 176, '', 0, '737\r'),
	('4N', 341, 'YXY', 176, 'YLW', 87, '', 0, '737\r'),
	('4N', 341, 'YXY', 176, 'YVR', 156, '', 0, '737\r'),
	('4N', 341, 'YXY', 176, 'YYC', 178, '', 0, '737\r'),
	('4N', 341, 'YXY', 176, 'YZF', 196, '', 0, '737\r'),
	('4N', 341, 'YYC', 178, 'YEG', 49, '', 0, '737\r'),
	('4N', 341, 'YZF', 196, 'YOW', 100, '', 0, '737\r'),
	('4N', 341, 'YZF', 196, 'YXY', 176, '', 0, '737\r'),
	('4O', 17885, 'ACA', 1783, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'ACA', 1783, 'TLC', 1850, '', 0, '320\r'),
	('4O', 17885, 'AGU', 1785, 'MEX', 1824, '', 0, 'SU9\r'),
	('4O', 17885, 'BOG', 2709, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'CEN', 1794, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'CJS', 1796, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'CME', 1789, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'CPE', 1795, 'MEX', 1824, '', 0, 'SU9\r'),
	('4O', 17885, 'CTM', 1793, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'CUL', 1792, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'CUN', 1852, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'CUN', 1852, 'MTY', 1825, '', 0, '320\r'),
	('4O', 17885, 'CUN', 1852, 'TLC', 1850, '', 0, '320\r'),
	('4O', 17885, 'CUU', 1797, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'CZM', 1800, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'GDL', 1804, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'GDL', 1804, 'MTY', 1825, '', 0, '320\r'),
	('4O', 17885, 'GDL', 1804, 'SAT', 3621, '', 0, '320\r'),
	('4O', 17885, 'GDL', 1804, 'SJD', 1840, '', 0, '320\r'),
	('4O', 17885, 'GDL', 1804, 'SNA', 3867, '', 0, '320\r'),
	('4O', 17885, 'GDL', 1804, 'TIJ', 1847, '', 0, '320\r'),
	('4O', 17885, 'GUA', 1767, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'HAV', 1909, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'HMO', 1807, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'HUX', 1786, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'JFK', 3797, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'LAP', 1816, 'MEX', 1824, '', 0, 'SU9\r'),
	('4O', 17885, 'LAS', 3877, 'MTY', 1825, '', 0, '320\r'),
	('4O', 17885, 'LAS', 3877, 'TLC', 1850, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'ACA', 1783, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'AGU', 1785, '', 0, 'SU9\r'),
	('4O', 17885, 'MEX', 1824, 'BOG', 2709, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'CEN', 1794, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'CJS', 1796, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'CME', 1789, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'CPE', 1795, '', 0, 'SU9\r'),
	('4O', 17885, 'MEX', 1824, 'CTM', 1793, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'CUL', 1792, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'CUN', 1852, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'CUU', 1797, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'CZM', 1800, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'GDL', 1804, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'GUA', 1767, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'HAV', 1909, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'HMO', 1807, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'HUX', 1786, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'JFK', 3797, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'LAP', 1816, '', 0, 'SU9\r'),
	('4O', 17885, 'MEX', 1824, 'MIA', 3576, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'MID', 1819, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'MTT', 1822, '', 0, 'SU9\r'),
	('4O', 17885, 'MEX', 1824, 'MTY', 1825, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'MZT', 1826, '', 0, 'SU9\r'),
	('4O', 17885, 'MEX', 1824, 'OAX', 1829, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'PVR', 1836, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'REX', 1839, '', 0, 'SU9\r'),
	('4O', 17885, 'MEX', 1824, 'SAT', 3621, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'SJD', 1840, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'SJO', 1885, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'SNA', 3867, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'TAM', 1848, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'TGZ', 1846, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'TIJ', 1847, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'TRC', 1845, '', 0, 'SU9\r'),
	('4O', 17885, 'MEX', 1824, 'VER', 1854, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'VSA', 1853, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'ZCL', 1855, '', 0, 'SU9\r'),
	('4O', 17885, 'MEX', 1824, 'ZIH', 1856, '', 0, '320\r'),
	('4O', 17885, 'MEX', 1824, 'ZLO', 1858, '', 0, 'SU9\r'),
	('4O', 17885, 'MIA', 3576, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'MID', 1819, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'MTT', 1822, 'MEX', 1824, '', 0, 'SU9\r'),
	('4O', 17885, 'MTY', 1825, 'CUN', 1852, '', 0, '320\r'),
	('4O', 17885, 'MTY', 1825, 'GDL', 1804, '', 0, '320\r'),
	('4O', 17885, 'MTY', 1825, 'LAS', 3877, '', 0, '320\r'),
	('4O', 17885, 'MTY', 1825, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'MTY', 1825, 'SAT', 3621, '', 0, '320\r'),
	('4O', 17885, 'MTY', 1825, 'TLC', 1850, '', 0, '320\r'),
	('4O', 17885, 'MZT', 1826, 'MEX', 1824, '', 0, 'SU9\r'),
	('4O', 17885, 'OAX', 1829, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'PVR', 1836, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'PVR', 1836, 'TLC', 1850, '', 0, '320\r'),
	('4O', 17885, 'REX', 1839, 'MEX', 1824, '', 0, 'SU9\r'),
	('4O', 17885, 'SAT', 3621, 'GDL', 1804, '', 0, '320\r'),
	('4O', 17885, 'SAT', 3621, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'SAT', 3621, 'MTY', 1825, '', 0, '320\r'),
	('4O', 17885, 'SAT', 3621, 'TLC', 1850, '', 0, '320\r'),
	('4O', 17885, 'SJD', 1840, 'GDL', 1804, '', 0, '320\r'),
	('4O', 17885, 'SJD', 1840, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'SJD', 1840, 'TLC', 1850, '', 0, '320\r'),
	('4O', 17885, 'SJO', 1885, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'SNA', 3867, 'GDL', 1804, '', 0, '320\r'),
	('4O', 17885, 'SNA', 3867, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'TAM', 1848, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'TGZ', 1846, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'TIJ', 1847, 'GDL', 1804, '', 0, '320\r'),
	('4O', 17885, 'TIJ', 1847, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'TLC', 1850, 'ACA', 1783, '', 0, '320\r'),
	('4O', 17885, 'TLC', 1850, 'CUN', 1852, '', 0, '320\r'),
	('4O', 17885, 'TLC', 1850, 'LAS', 3877, '', 0, '320\r'),
	('4O', 17885, 'TLC', 1850, 'MTY', 1825, '', 0, '320\r'),
	('4O', 17885, 'TLC', 1850, 'PVR', 1836, '', 0, '320\r'),
	('4O', 17885, 'TLC', 1850, 'SAT', 3621, '', 0, '320\r'),
	('4O', 17885, 'TLC', 1850, 'SJD', 1840, '', 0, '320\r'),
	('4O', 17885, 'TLC', 1850, 'ZIH', 1856, '', 0, '320\r'),
	('4O', 17885, 'TRC', 1845, 'MEX', 1824, '', 0, 'SU9\r'),
	('4O', 17885, 'VER', 1854, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'VSA', 1853, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'ZCL', 1855, 'MEX', 1824, '', 0, 'SU9\r'),
	('4O', 17885, 'ZIH', 1856, 'MEX', 1824, '', 0, '320\r'),
	('4O', 17885, 'ZIH', 1856, 'TLC', 1850, '', 0, '320\r'),
	('4O', 17885, 'ZLO', 1858, 'MEX', 1824, '', 0, 'SU9\r'),
	('4Q', 10758, 'DEL', 3093, 'HEA', 2048, '', 0, '320\r'),
	('4Q', 10758, 'DEL', 3093, 'KBL', 2050, '', 0, '320\r'),
	('4Q', 10758, 'DXB', 2188, 'KBL', 2050, '', 0, '319\r'),
	('4Q', 10758, 'HEA', 2048, 'DEL', 3093, '', 0, '320\r'),
	('4Q', 10758, 'HEA', 2048, 'ISB', 2223, '', 0, '319\r'),
	('4Q', 10758, 'HEA', 2048, 'KBL', 2050, '', 0, '319 320\r'),
	('4Q', 10758, 'ISB', 2223, 'HEA', 2048, '', 0, '319\r'),
	('4Q', 10758, 'ISB', 2223, 'KBL', 2050, '', 0, '319\r'),
	('4Q', 10758, 'KBL', 2050, 'DEL', 3093, '', 0, '320\r'),
	('4Q', 10758, 'KBL', 2050, 'DXB', 2188, '', 0, '319\r'),
	('4Q', 10758, 'KBL', 2050, 'HEA', 2048, '', 0, '319 320\r'),
	('4Q', 10758, 'KBL', 2050, 'ISB', 2223, '', 0, '319\r'),
	('4Q', 10758, 'KBL', 2050, 'MZR', 2053, '', 0, '319\r'),
	('4Q', 10758, 'MZR', 2053, 'KBL', 2050, '', 0, '319\r'),
	('4T', 1401, 'AYT', 1688, 'ZRH', 1678, '', 0, '320\r'),
	('4T', 1401, 'BSL', 4053, 'HRG', 1130, '', 0, '320\r'),
	('4T', 1401, 'HRG', 1130, 'BSL', 4053, '', 0, '320\r'),
	('4T', 1401, 'HRG', 1130, 'ZRH', 1678, '', 0, '320\r'),
	('4T', 1401, 'PRN', 1742, 'ZRH', 1678, '', 0, '320\r'),
	('4T', 1401, 'RMF', 4197, 'ZRH', 1678, '', 0, '320\r'),
	('4T', 1401, 'SKP', 1737, 'ZRH', 1678, '', 0, '320\r'),
	('4T', 1401, 'ZRH', 1678, 'AYT', 1688, '', 0, '320\r'),
	('4T', 1401, 'ZRH', 1678, 'HRG', 1130, '', 0, '320\r'),
	('4T', 1401, 'ZRH', 1678, 'PRN', 1742, '', 0, '320\r'),
	('4T', 1401, 'ZRH', 1678, 'RMF', 4197, '', 0, '320\r'),
	('4T', 1401, 'ZRH', 1678, 'SKP', 1737, '', 0, '320\r'),
	('4U', 2548, 'AGP', 1230, 'STR', 350, '', 0, '320 319\r'),
	('4U', 2548, 'AGP', 1230, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'ALG', 210, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'AMS', 580, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'AOI', 4309, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'AOI', 4309, 'TXL', 351, '', 0, 'CRJ\r'),
	('4U', 2548, 'ARN', 737, 'CGN', 344, '', 0, 'CRJ\r'),
	('4U', 2548, 'ARN', 737, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'ARN', 737, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'ATH', 3941, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'ATH', 3941, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'AYT', 1688, 'CGN', 344, '', 0, '320\r'),
	('4U', 2548, 'BCN', 1218, 'CGN', 344, '', 0, '320 319\r'),
	('4U', 2548, 'BCN', 1218, 'DUS', 345, '', 0, '320 319\r'),
	('4U', 2548, 'BCN', 1218, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'BCN', 1218, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'BCN', 1218, 'STR', 350, '', 0, '319 320\r'),
	('4U', 2548, 'BDS', 1506, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'BEG', 1739, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'BGO', 636, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'BHX', 469, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'BHX', 469, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'BIA', 1321, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'BIA', 1321, 'DUS', 345, '', 0, '320\r'),
	('4U', 2548, 'BIA', 1321, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'BIA', 1321, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'BIA', 1321, 'TXL', 351, '', 0, '320\r'),
	('4U', 2548, 'BIO', 1216, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'BIO', 1216, 'STR', 350, '', 0, 'CRJ 319\r'),
	('4U', 2548, 'BLQ', 1538, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'BLQ', 1538, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'BRE', 353, 'STR', 350, '', 0, '319 CRJ\r'),
	('4U', 2548, 'BRI', 1501, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'BRI', 1501, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'BRI', 1501, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'BRU', 302, 'STR', 350, '', 0, '319 CRJ\r'),
	('4U', 2548, 'BSL', 4053, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'BUD', 1489, 'CGN', 344, '', 0, '319 320 CRJ\r'),
	('4U', 2548, 'BUD', 1489, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'BUD', 1489, 'STR', 350, '', 0, '319 CRJ\r'),
	('4U', 2548, 'CAG', 1519, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'CAG', 1519, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'CAG', 1519, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'CDG', 1382, 'HAM', 342, '', 0, '319 CRJ\r'),
	('4U', 2548, 'CFU', 1460, 'CGN', 344, '', 0, '320 319\r'),
	('4U', 2548, 'CFU', 1460, 'DRS', 338, '', 0, '319\r'),
	('4U', 2548, 'CFU', 1460, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'ALG', 210, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'ARN', 737, '', 0, 'CRJ\r'),
	('4U', 2548, 'CGN', 344, 'ATH', 3941, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'AYT', 1688, '', 0, '320\r'),
	('4U', 2548, 'CGN', 344, 'BCN', 1218, '', 0, '320 319\r'),
	('4U', 2548, 'CGN', 344, 'BIA', 1321, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'BLQ', 1538, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'BRI', 1501, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'BUD', 1489, '', 0, '319 320 CRJ\r'),
	('4U', 2548, 'CGN', 344, 'CAG', 1519, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'CFU', 1460, '', 0, '320 319\r'),
	('4U', 2548, 'CGN', 344, 'CLY', 1322, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'CTA', 1509, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'DBV', 1200, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'DRS', 338, '', 0, '319 CRJ\r'),
	('4U', 2548, 'CGN', 344, 'DUB', 599, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'EDI', 535, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'FAO', 1626, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'FCO', 1555, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'FDH', 382, '', 0, '319 CRJ\r'),
	('4U', 2548, 'CGN', 344, 'HAM', 342, '', 0, '319 CRJ\r'),
	('4U', 2548, 'CGN', 344, 'HDF', 5557, '', 0, 'CRJ\r'),
	('4U', 2548, 'CGN', 344, 'HER', 1452, '', 0, '320 319\r'),
	('4U', 2548, 'CGN', 344, 'IBZ', 1225, '', 0, '320 319\r'),
	('4U', 2548, 'CGN', 344, 'JMK', 1468, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'JTR', 1479, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'KGS', 1458, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'KLU', 4322, '', 0, 'CRJ\r'),
	('4U', 2548, 'CGN', 344, 'KVA', 1462, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'LEJ', 348, '', 0, 'CRJ 319 320\r'),
	('4U', 2548, 'CGN', 344, 'LHR', 507, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'LIS', 1638, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'LPA', 1054, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'MAN', 478, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'MXP', 1524, '', 0, '319 CRJ\r'),
	('4U', 2548, 'CGN', 344, 'NAP', 1561, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'NCE', 1354, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'NDR', 5673, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'OLB', 1520, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'PMI', 3998, '', 0, '320 319\r'),
	('4U', 2548, 'CGN', 344, 'PMO', 1512, '', 0, '319 CRJ\r'),
	('4U', 2548, 'CGN', 344, 'PRG', 1587, '', 0, '319 320 CRJ\r'),
	('4U', 2548, 'CGN', 344, 'PSA', 1562, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'PUY', 1203, '', 0, '319 CRJ\r'),
	('4U', 2548, 'CGN', 344, 'RAK', 1075, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'RHO', 1472, '', 0, '320\r'),
	('4U', 2548, 'CGN', 344, 'RJK', 1205, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'RLG', 772, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'SAW', 4317, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'SJJ', 1646, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'SKG', 1486, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'SPU', 1206, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'STN', 548, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'SUF', 1508, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'SZG', 1612, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'TLV', 1590, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'TUN', 287, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'TXL', 351, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'VCE', 1551, '', 0, '320 319\r'),
	('4U', 2548, 'CGN', 344, 'VIE', 1613, '', 0, '319 320\r'),
	('4U', 2548, 'CGN', 344, 'VRN', 1550, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'WAW', 679, '', 0, 'CRJ\r'),
	('4U', 2548, 'CGN', 344, 'XRY', 1226, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'ZAD', 1209, '', 0, '319\r'),
	('4U', 2548, 'CGN', 344, 'ZAG', 1208, '', 0, 'CRJ 319\r'),
	('4U', 2548, 'CGN', 344, 'ZRH', 1678, '', 0, '320 319\r'),
	('4U', 2548, 'CLY', 1322, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'CTA', 1509, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'CTA', 1509, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'CTA', 1509, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'CTA', 1509, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'CTA', 1509, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'CTA', 1509, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'CWL', 488, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'DBV', 1200, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'DBV', 1200, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'DBV', 1200, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'DBV', 1200, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'DBV', 1200, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'DBV', 1200, 'TXL', 351, '', 0, '320\r'),
	('4U', 2548, 'DRS', 338, 'CFU', 1460, '', 0, '319\r'),
	('4U', 2548, 'DRS', 338, 'CGN', 344, '', 0, '319 CRJ\r'),
	('4U', 2548, 'DRS', 338, 'DUS', 345, '', 0, '319 CRJ\r'),
	('4U', 2548, 'DRS', 338, 'STR', 350, '', 0, '319 CRJ\r'),
	('4U', 2548, 'DTM', 373, 'HDF', 5557, '', 0, '319\r'),
	('4U', 2548, 'DTM', 373, 'MUC', 346, '', 0, '319\r'),
	('4U', 2548, 'DTM', 373, 'PMI', 3998, '', 0, '319 320\r'),
	('4U', 2548, 'DTM', 373, 'SAW', 4317, '', 0, '319\r'),
	('4U', 2548, 'DTM', 373, 'SPU', 1206, '', 0, '319\r'),
	('4U', 2548, 'DUB', 599, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'DUB', 599, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'AOI', 4309, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'ARN', 737, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'BCN', 1218, '', 0, '320 319\r'),
	('4U', 2548, 'DUS', 345, 'BIA', 1321, '', 0, '320\r'),
	('4U', 2548, 'DUS', 345, 'BIO', 1216, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'BRI', 1501, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'BSL', 4053, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'CAG', 1519, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'CTA', 1509, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'CWL', 488, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'DBV', 1200, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'DRS', 338, '', 0, '319 CRJ\r'),
	('4U', 2548, 'DUS', 345, 'DUB', 599, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'GVA', 1665, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'HDF', 5557, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'HER', 1452, '', 0, '319\r'),
	('4U', 2548, 'DUS', 345, 'IBZ', 1225, '', 0, '320\r'),
	('4U', 2548, 'DUS', 345, 'KTW', 671, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'LEJ', 348, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'LYS', 1335, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'MAD', 1229, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'MPL', 1359, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'MXP', 1524, '', 0, 'CRJ 320\r'),
	('4U', 2548, 'DUS', 345, 'NQY', 481, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'NUE', 347, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'OLB', 1520, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'PMI', 3998, '', 0, '320\r'),
	('4U', 2548, 'DUS', 345, 'POZ', 674, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'PRG', 1587, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'PRN', 1742, '', 0, '319\r'),
	('4U', 2548, 'DUS', 345, 'SKG', 1486, '', 0, '319 320\r'),
	('4U', 2548, 'DUS', 345, 'SPU', 1206, '', 0, '319\r'),
	('4U', 2548, 'DUS', 345, 'SUF', 1508, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'TRN', 1526, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'VCE', 1551, '', 0, '320 319\r'),
	('4U', 2548, 'DUS', 345, 'WAW', 679, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'WRO', 680, '', 0, 'CRJ\r'),
	('4U', 2548, 'DUS', 345, 'ZAD', 1209, '', 0, 'CRJ\r'),
	('4U', 2548, 'EDI', 535, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'FAO', 1626, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'FAO', 1626, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'FAO', 1626, 'STR', 350, '', 0, '319 320\r'),
	('4U', 2548, 'FCO', 1555, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'FCO', 1555, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'FCO', 1555, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'FCO', 1555, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'FCO', 1555, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'FDH', 382, 'CGN', 344, '', 0, '319 CRJ\r'),
	('4U', 2548, 'FKB', 4166, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'FMM', 3986, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'FMM', 3986, 'TXL', 351, '', 0, 'CRJ\r'),
	('4U', 2548, 'FRA', 340, 'HDF', 5557, '', 0, 'CRJ\r'),
	('4U', 2548, 'GVA', 1665, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'GVA', 1665, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAJ', 352, 'BCN', 1218, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'CTA', 1509, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'DBV', 1200, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'FCO', 1555, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'HER', 1452, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'MXP', 1524, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'NAP', 1561, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'PMI', 3998, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'PRN', 1742, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'SAW', 4317, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'SKG', 1486, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'SPU', 1206, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'STN', 548, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'SUF', 1508, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'VCE', 1551, '', 0, '319\r'),
	('4U', 2548, 'HAJ', 352, 'VIE', 1613, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'AMS', 580, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'ARN', 737, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'BCN', 1218, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'BGO', 636, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'BHX', 469, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'BIA', 1321, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'BUD', 1489, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'CDG', 1382, '', 0, '319 CRJ\r'),
	('4U', 2548, 'HAM', 342, 'CGN', 344, '', 0, '319 CRJ\r'),
	('4U', 2548, 'HAM', 342, 'CTA', 1509, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'DBV', 1200, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'FAO', 1626, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'FCO', 1555, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'FKB', 4166, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'FMM', 3986, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'GVA', 1665, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'HER', 1452, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'KLU', 4322, '', 0, '319 CRJ\r'),
	('4U', 2548, 'HAM', 342, 'LHR', 507, '', 0, '319 CRJ\r'),
	('4U', 2548, 'HAM', 342, 'MAD', 1229, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'MAN', 478, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'MXP', 1524, '', 0, '319 CRJ\r'),
	('4U', 2548, 'HAM', 342, 'NAP', 1561, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'NCE', 1354, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'NUE', 347, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'OLB', 1520, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'OSL', 644, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'PMI', 3998, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'PRG', 1587, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'PRN', 1742, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'RJK', 1205, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'SAW', 4317, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'SKG', 1486, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'SPU', 1206, '', 0, '319\r'),
	('4U', 2548, 'HAM', 342, 'STR', 350, '', 0, '319 CRJ\r'),
	('4U', 2548, 'HAM', 342, 'TLS', 1273, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'VCE', 1551, '', 0, '319 CRJ\r'),
	('4U', 2548, 'HAM', 342, 'VIE', 1613, '', 0, '319 CRJ\r'),
	('4U', 2548, 'HAM', 342, 'VRN', 1550, '', 0, 'CRJ\r'),
	('4U', 2548, 'HAM', 342, 'ZRH', 1678, '', 0, '319 CRJ\r'),
	('4U', 2548, 'HDF', 5557, 'CGN', 344, '', 0, 'CRJ\r'),
	('4U', 2548, 'HDF', 5557, 'DTM', 373, '', 0, '319\r'),
	('4U', 2548, 'HDF', 5557, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'HDF', 5557, 'FRA', 340, '', 0, 'CRJ\r'),
	('4U', 2548, 'HDF', 5557, 'STR', 350, '', 0, 'CRJ\r'),
	('4U', 2548, 'HEL', 421, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'HER', 1452, 'CGN', 344, '', 0, '320 319\r'),
	('4U', 2548, 'HER', 1452, 'DUS', 345, '', 0, '319\r'),
	('4U', 2548, 'HER', 1452, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'HER', 1452, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'HER', 1452, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'HER', 1452, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'IBZ', 1225, 'CGN', 344, '', 0, '320 319\r'),
	('4U', 2548, 'IBZ', 1225, 'DUS', 345, '', 0, '320\r'),
	('4U', 2548, 'IBZ', 1225, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'IBZ', 1225, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'JMK', 1468, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'JTR', 1479, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'KGS', 1458, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'KLU', 4322, 'CGN', 344, '', 0, 'CRJ\r'),
	('4U', 2548, 'KLU', 4322, 'HAM', 342, '', 0, '319 CRJ\r'),
	('4U', 2548, 'KLU', 4322, 'TXL', 351, '', 0, '319 CRJ\r'),
	('4U', 2548, 'KRK', 669, 'STR', 350, '', 0, 'CRJ\r'),
	('4U', 2548, 'KTW', 671, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'KVA', 1462, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'KVA', 1462, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'LEJ', 348, 'CGN', 344, '', 0, 'CRJ 319 320\r'),
	('4U', 2548, 'LEJ', 348, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'LEJ', 348, 'STR', 350, '', 0, '319 CRJ\r'),
	('4U', 2548, 'LHR', 507, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'LHR', 507, 'HAM', 342, '', 0, '319 CRJ\r'),
	('4U', 2548, 'LHR', 507, 'STR', 350, '', 0, '319 320\r'),
	('4U', 2548, 'LHR', 507, 'TXL', 351, '', 0, '319 320\r'),
	('4U', 2548, 'LIN', 1529, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'LIS', 1638, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'LIS', 1638, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'LPA', 1054, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'LYS', 1335, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'MAD', 1229, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'MAD', 1229, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'MAN', 478, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'MAN', 478, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'MPL', 1359, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'MUC', 346, 'DTM', 373, '', 0, '319\r'),
	('4U', 2548, 'MXP', 1524, 'CGN', 344, '', 0, '319 CRJ\r'),
	('4U', 2548, 'MXP', 1524, 'DUS', 345, '', 0, 'CRJ 320\r'),
	('4U', 2548, 'MXP', 1524, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'MXP', 1524, 'HAM', 342, '', 0, '319 CRJ\r'),
	('4U', 2548, 'MXP', 1524, 'STR', 350, '', 0, 'CRJ 319\r'),
	('4U', 2548, 'NAP', 1561, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'NAP', 1561, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'NAP', 1561, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'NAP', 1561, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'NCE', 1354, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'NCE', 1354, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'NCE', 1354, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'NDR', 5673, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'NQY', 481, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'NUE', 347, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'NUE', 347, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'NUE', 347, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'OLB', 1520, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'OLB', 1520, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'OLB', 1520, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'OLB', 1520, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'OSL', 644, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'PMI', 3998, 'CGN', 344, '', 0, '320 319\r'),
	('4U', 2548, 'PMI', 3998, 'DTM', 373, '', 0, '319 320\r'),
	('4U', 2548, 'PMI', 3998, 'DUS', 345, '', 0, '320\r'),
	('4U', 2548, 'PMI', 3998, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'PMI', 3998, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'PMI', 3998, 'STR', 350, '', 0, '319 320\r'),
	('4U', 2548, 'PMI', 3998, 'TXL', 351, '', 0, '320\r'),
	('4U', 2548, 'PMO', 1512, 'CGN', 344, '', 0, '319 CRJ\r'),
	('4U', 2548, 'POZ', 674, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'PRG', 1587, 'CGN', 344, '', 0, '319 320 CRJ\r'),
	('4U', 2548, 'PRG', 1587, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'PRG', 1587, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'PRN', 1742, 'DUS', 345, '', 0, '319\r'),
	('4U', 2548, 'PRN', 1742, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'PRN', 1742, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'PRN', 1742, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'PRN', 1742, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'PSA', 1562, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'PUY', 1203, 'CGN', 344, '', 0, '319 CRJ\r'),
	('4U', 2548, 'RAK', 1075, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'RHO', 1472, 'CGN', 344, '', 0, '320\r'),
	('4U', 2548, 'RJK', 1205, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'RJK', 1205, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'RJK', 1205, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'RLG', 772, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'RLG', 772, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'SAW', 4317, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'SAW', 4317, 'DTM', 373, '', 0, '319\r'),
	('4U', 2548, 'SAW', 4317, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'SAW', 4317, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'SAW', 4317, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'SAW', 4317, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'SJJ', 1646, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'SJJ', 1646, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'SJJ', 1646, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'SKG', 1486, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'SKG', 1486, 'DUS', 345, '', 0, '319 320\r'),
	('4U', 2548, 'SKG', 1486, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'SKG', 1486, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'SKG', 1486, 'STR', 350, '', 0, '319 320\r'),
	('4U', 2548, 'SPU', 1206, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'SPU', 1206, 'DTM', 373, '', 0, '319\r'),
	('4U', 2548, 'SPU', 1206, 'DUS', 345, '', 0, '319\r'),
	('4U', 2548, 'SPU', 1206, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'SPU', 1206, 'HAM', 342, '', 0, '319\r'),
	('4U', 2548, 'SPU', 1206, 'STR', 350, '', 0, '319 320\r'),
	('4U', 2548, 'SPU', 1206, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'STN', 548, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'STN', 548, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'STN', 548, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'AGP', 1230, '', 0, '320 319\r'),
	('4U', 2548, 'STR', 350, 'ATH', 3941, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'BCN', 1218, '', 0, '319 320\r'),
	('4U', 2548, 'STR', 350, 'BDS', 1506, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'BEG', 1739, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'BIA', 1321, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'BIO', 1216, '', 0, 'CRJ 319\r'),
	('4U', 2548, 'STR', 350, 'BRE', 353, '', 0, '319 CRJ\r'),
	('4U', 2548, 'STR', 350, 'BRI', 1501, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'BRU', 302, '', 0, '319 CRJ\r'),
	('4U', 2548, 'STR', 350, 'BUD', 1489, '', 0, '319 CRJ\r'),
	('4U', 2548, 'STR', 350, 'CAG', 1519, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'CFU', 1460, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'CTA', 1509, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'DBV', 1200, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'DRS', 338, '', 0, '319 CRJ\r'),
	('4U', 2548, 'STR', 350, 'FAO', 1626, '', 0, '319 320\r'),
	('4U', 2548, 'STR', 350, 'FCO', 1555, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'HAM', 342, '', 0, '319 CRJ\r'),
	('4U', 2548, 'STR', 350, 'HDF', 5557, '', 0, 'CRJ\r'),
	('4U', 2548, 'STR', 350, 'HER', 1452, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'IBZ', 1225, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'KRK', 669, '', 0, 'CRJ\r'),
	('4U', 2548, 'STR', 350, 'KVA', 1462, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'LEJ', 348, '', 0, '319 CRJ\r'),
	('4U', 2548, 'STR', 350, 'LHR', 507, '', 0, '319 320\r'),
	('4U', 2548, 'STR', 350, 'LIS', 1638, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'MXP', 1524, '', 0, 'CRJ 319\r'),
	('4U', 2548, 'STR', 350, 'NAP', 1561, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'OLB', 1520, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'PMI', 3998, '', 0, '319 320\r'),
	('4U', 2548, 'STR', 350, 'PRN', 1742, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'RJK', 1205, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'RLG', 772, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'SAW', 4317, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'SJJ', 1646, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'SKG', 1486, '', 0, '319 320\r'),
	('4U', 2548, 'STR', 350, 'SPU', 1206, '', 0, '319 320\r'),
	('4U', 2548, 'STR', 350, 'STN', 548, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'SUF', 1508, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'TXL', 351, '', 0, '320 319 CRJ\r'),
	('4U', 2548, 'STR', 350, 'VIE', 1613, '', 0, '319 320 CRJ\r'),
	('4U', 2548, 'STR', 350, 'ZAD', 1209, '', 0, '319\r'),
	('4U', 2548, 'STR', 350, 'ZAG', 1208, '', 0, '319\r'),
	('4U', 2548, 'SUF', 1508, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'SUF', 1508, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'SUF', 1508, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'SUF', 1508, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'SZG', 1612, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'TLS', 1273, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'TLV', 1590, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'TRN', 1526, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'TUN', 287, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'AGP', 1230, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'AOI', 4309, '', 0, 'CRJ\r'),
	('4U', 2548, 'TXL', 351, 'BHX', 469, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'BIA', 1321, '', 0, '320\r'),
	('4U', 2548, 'TXL', 351, 'BLQ', 1538, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'CGN', 344, '', 0, '320 319\r'),
	('4U', 2548, 'TXL', 351, 'CTA', 1509, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'DBV', 1200, '', 0, '320\r'),
	('4U', 2548, 'TXL', 351, 'FCO', 1555, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'FMM', 3986, '', 0, 'CRJ\r'),
	('4U', 2548, 'TXL', 351, 'HEL', 421, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'HER', 1452, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'IBZ', 1225, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'KLU', 4322, '', 0, '319 CRJ\r'),
	('4U', 2548, 'TXL', 351, 'LHR', 507, '', 0, '319 320\r'),
	('4U', 2548, 'TXL', 351, 'LIN', 1529, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'NCE', 1354, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'NUE', 347, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'PMI', 3998, '', 0, '320\r'),
	('4U', 2548, 'TXL', 351, 'PRN', 1742, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'SAW', 4317, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'SJJ', 1646, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'SPU', 1206, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'STR', 350, '', 0, '319 320 CRJ\r'),
	('4U', 2548, 'TXL', 351, 'VIE', 1613, '', 0, '319 320\r'),
	('4U', 2548, 'TXL', 351, 'VRN', 1550, '', 0, '319\r'),
	('4U', 2548, 'TXL', 351, 'ZAD', 1209, '', 0, '319\r'),
	('4U', 2548, 'VCE', 1551, 'CGN', 344, '', 0, '320 319\r'),
	('4U', 2548, 'VCE', 1551, 'DUS', 345, '', 0, '320 319\r'),
	('4U', 2548, 'VCE', 1551, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'VCE', 1551, 'HAM', 342, '', 0, '319 CRJ\r'),
	('4U', 2548, 'VIE', 1613, 'CGN', 344, '', 0, '319 320\r'),
	('4U', 2548, 'VIE', 1613, 'HAJ', 352, '', 0, '319\r'),
	('4U', 2548, 'VIE', 1613, 'HAM', 342, '', 0, '319 CRJ\r'),
	('4U', 2548, 'VIE', 1613, 'STR', 350, '', 0, '319 320 CRJ\r'),
	('4U', 2548, 'VIE', 1613, 'TXL', 351, '', 0, '319 320\r'),
	('4U', 2548, 'VRN', 1550, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'VRN', 1550, 'HAM', 342, '', 0, 'CRJ\r'),
	('4U', 2548, 'VRN', 1550, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'WAW', 679, 'CGN', 344, '', 0, 'CRJ\r'),
	('4U', 2548, 'WAW', 679, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'WRO', 680, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'XRY', 1226, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'ZAD', 1209, 'CGN', 344, '', 0, '319\r'),
	('4U', 2548, 'ZAD', 1209, 'DUS', 345, '', 0, 'CRJ\r'),
	('4U', 2548, 'ZAD', 1209, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'ZAD', 1209, 'TXL', 351, '', 0, '319\r'),
	('4U', 2548, 'ZAG', 1208, 'CGN', 344, '', 0, 'CRJ 319\r'),
	('4U', 2548, 'ZAG', 1208, 'STR', 350, '', 0, '319\r'),
	('4U', 2548, 'ZRH', 1678, 'CGN', 344, '', 0, '320 319\r'),
	('4U', 2548, 'ZRH', 1678, 'HAM', 342, '', 0, '319 CRJ\r'),
	('4Y', 1173, 'AKI', 7217, 'TLT', 7218, '', 0, 'CNA\r'),
	('4Y', 1173, 'ATT', 4385, 'KUK', 7094, '', 0, 'CNA\r'),
	('4Y', 1173, 'BET', 3599, 'ATT', 4385, '', 0, 'CNA\r'),
	('4Y', 1173, 'BET', 3599, 'EEK', 7093, '', 0, 'CNA\r'),
	('4Y', 1173, 'BET', 3599, 'GNU', 8202, '', 0, 'CNA\r'),
	('4Y', 1173, 'BET', 3599, 'KPN', 7201, '', 0, 'CNA\r'),
	('4Y', 1173, 'BET', 3599, 'KWN', 7206, '', 0, 'CNA\r'),
	('4Y', 1173, 'BET', 3599, 'KWT', 7095, '', 0, 'CNA\r'),
	('4Y', 1173, 'BET', 3599, 'MLL', 7097, '', 0, 'CNA\r'),
	('4Y', 1173, 'BET', 3599, 'NME', 8199, '', 0, 'CNA\r'),
	('4Y', 1173, 'BET', 3599, 'WTL', 7099, '', 0, 'CNA\r'),
	('4Y', 1173, 'CYF', 6960, 'BET', 3599, '', 0, 'CNA\r'),
	('4Y', 1173, 'EEK', 7093, 'BET', 3599, '', 0, 'CNA\r'),
	('4Y', 1173, 'EEK', 7093, 'KWN', 7206, '', 0, 'CNA\r'),
	('4Y', 1173, 'GNU', 8202, 'PTU', 3430, '', 0, 'CNA\r'),
	('4Y', 1173, 'KKH', 7213, 'KWK', 7096, '', 0, 'CNA\r'),
	('4Y', 1173, 'KPN', 7201, 'CYF', 6960, '', 0, 'CNA\r'),
	('4Y', 1173, 'KUK', 7094, 'NUP', 7212, '', 0, 'CNA\r'),
	('4Y', 1173, 'KWK', 7096, 'BET', 3599, '', 0, 'CNA\r'),
	('4Y', 1173, 'KWN', 7206, 'BET', 3599, '', 0, 'CNA\r'),
	('4Y', 1173, 'KWN', 7206, 'EEK', 7093, '', 0, 'CNA\r'),
	('4Y', 1173, 'MLL', 7097, 'PQS', 7216, '', 0, 'CNA\r'),
	('4Y', 1173, 'NME', 8199, 'OOK', 8200, '', 0, 'CNA\r'),
	('4Y', 1173, 'NUP', 7212, 'BET', 3599, '', 0, 'CNA\r'),
	('4Y', 1173, 'OOK', 8200, 'TNK', 8201, '', 0, 'CNA\r'),
	('4Y', 1173, 'PQS', 7216, 'BET', 3599, '', 0, 'CNA\r'),
	('4Y', 1173, 'PTU', 3430, 'BET', 3599, '', 0, 'CNA\r'),
	('4Y', 1173, 'TLT', 7218, 'BET', 3599, '', 0, 'CNA\r'),
	('4Y', 1173, 'TNK', 8201, 'WWT', 8203, '', 0, 'CNA\r'),
	('4Y', 1173, 'WTL', 7099, 'KKH', 7213, '', 0, 'CNA\r'),
	('4Y', 1173, 'WWT', 8203, 'BET', 3599, '', 0, 'CNA\r'),
	('5C', 1581, 'BOC', 1865, 'SJO', 1885, '', 0, 'DHT\r'),
	('5C', 1581, 'DRK', 6945, 'SJO', 1885, '', 0, 'DHT\r'),
	('5C', 1581, 'FON', 6731, 'XQP', 1889, '', 0, 'DHT\r'),
	('5C', 1581, 'GLF', 1879, 'PJM', 5847, '', 0, 'DHT\r'),
	('5C', 1581, 'LIR', 1881, 'SJO', 1885, '', 0, 'DHT\r'),
	('5C', 1581, 'LIR', 1881, 'SYQ', 5848, '', 0, 'DHT\r'),
	('5C', 1581, 'LIR', 1881, 'TNO', 5844, '', 0, 'DHT\r'),
	('5C', 1581, 'MGA', 1863, 'SJO', 1885, '', 0, 'DHT\r'),
	('5C', 1581, 'NOB', 1884, 'TMU', 6732, '', 0, 'CNA\r'),
	('5C', 1581, 'PJM', 5847, 'SJO', 1885, '', 0, 'DHT\r'),
	('5C', 1581, 'PMZ', 1887, 'SJO', 1885, '', 0, 'CNA\r'),
	('5C', 1581, 'SJO', 1885, 'BOC', 1865, '', 0, 'DHT\r'),
	('5C', 1581, 'SJO', 1885, 'DRK', 6945, '', 0, 'DHT\r'),
	('5C', 1581, 'SJO', 1885, 'FON', 6731, '', 0, 'DHT\r'),
	('5C', 1581, 'SJO', 1885, 'GLF', 1879, '', 0, 'DHT\r'),
	('5C', 1581, 'SJO', 1885, 'MGA', 1863, '', 0, 'DHT\r'),
	('5C', 1581, 'SJO', 1885, 'NOB', 1884, '', 0, 'CNA\r'),
	('5C', 1581, 'SJO', 1885, 'PJM', 5847, '', 0, 'DHT\r'),
	('5C', 1581, 'SJO', 1885, 'TMU', 6732, '', 0, 'DHT\r'),
	('5C', 1581, 'SJO', 1885, 'TNO', 5844, '', 0, 'DHT\r'),
	('5C', 1581, 'SJO', 1885, 'TTQ', 5842, '', 0, 'CNA\r'),
	('5C', 1581, 'SJO', 1885, 'XQP', 1889, '', 0, 'CNA DHT\r'),
	('5C', 1581, 'SYQ', 5848, 'LIR', 1881, '', 0, 'DHT\r'),
	('5C', 1581, 'TMU', 6732, 'SJO', 1885, '', 0, 'CNA DHT\r'),
	('5C', 1581, 'TNO', 5844, 'LIR', 1881, '', 0, 'DHT\r'),
	('5C', 1581, 'TNO', 5844, 'SJO', 1885, '', 0, 'DHT\r'),
	('5C', 1581, 'TTQ', 5842, 'SJO', 1885, '', 0, 'CNA\r'),
	('5C', 1581, 'XQP', 1889, 'PMZ', 1887, '', 0, 'CNA\r'),
	('5C', 1581, 'XQP', 1889, 'SJO', 1885, '', 0, 'CNA DHT\r'),
	('5G', 4496, 'ACC', 248, 'KMS', 5556, '', 0, 'AT7\r'),
	('5G', 4496, 'KMS', 5556, 'ACC', 248, '', 0, 'AT7\r'),
	('5H', 8576, 'EDL', 1138, 'LOK', 1143, '', 0, 'DH8\r'),
	('5H', 8576, 'EDL', 1138, 'NBO', 4059, '', 0, 'DH8 CRJ\r'),
	('5H', 8576, 'JUB', 1173, 'NBO', 4059, '', 0, 'CRJ\r'),
	('5H', 8576, 'KIS', 1140, 'EDL', 1138, '', 0, 'CRJ\r'),
	('5H', 8576, 'KIS', 1140, 'NBO', 4059, '', 0, 'CRJ CNA\r'),
	('5H', 8576, 'LAU', 1144, 'MYD', 5694, '', 0, 'DH8\r'),
	('5H', 8576, 'LOK', 1143, 'EDL', 1138, '', 0, 'DH8\r'),
	('5H', 8576, 'MBA', 1145, 'NBO', 4059, '', 0, 'CRJ\r'),
	('5H', 8576, 'MBA', 1145, 'ZNZ', 1186, '', 0, 'CRJ\r'),
	('5H', 8576, 'MYD', 5694, 'LAU', 1144, '', 0, 'DH8\r'),
	('5H', 8576, 'MYD', 5694, 'NBO', 4059, '', 0, 'DH8\r'),
	('5H', 8576, 'NBO', 4059, 'EDL', 1138, '', 0, 'DH8 CRJ\r'),
	('5H', 8576, 'NBO', 4059, 'JUB', 1173, '', 0, 'CRJ\r'),
	('5H', 8576, 'NBO', 4059, 'KIS', 1140, '', 0, 'CRJ\r'),
	('5H', 8576, 'NBO', 4059, 'LOK', 1143, '', 0, 'DH8\r'),
	('5H', 8576, 'NBO', 4059, 'MBA', 1145, '', 0, 'CRJ\r'),
	('5H', 8576, 'NBO', 4059, 'MYD', 5694, '', 0, 'DH8\r'),
	('5H', 8576, 'ZNZ', 1186, 'MBA', 1145, '', 0, 'CRJ\r'),
	('5J', 1683, 'BCD', 2423, 'CEB', 4206, '', 0, '320 ATR\r'),
	('5J', 1683, 'BCD', 2423, 'CGY', 2400, '', 0, 'ATR\r'),
	('5J', 1683, 'BCD', 2423, 'DVO', 4090, '', 0, '320\r'),
	('5J', 1683, 'BCD', 2423, 'MNL', 2397, '', 0, '320 319\r'),
	('5J', 1683, 'BKI', 3269, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'BKK', 3885, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'BWN', 3272, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'BXU', 4200, 'CEB', 4206, '', 0, '319\r'),
	('5J', 1683, 'BXU', 4200, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'CAN', 3370, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'CBO', 2399, 'MNL', 2397, '', 0, '319 320\r'),
	('5J', 1683, 'CEB', 4206, 'BCD', 2423, '', 0, '320 ATR\r'),
	('5J', 1683, 'CEB', 4206, 'BXU', 4200, '', 0, '319\r'),
	('5J', 1683, 'CEB', 4206, 'CGM', 6012, '', 0, 'ATR\r'),
	('5J', 1683, 'CEB', 4206, 'CGY', 2400, '', 0, 'ATR 320 319\r'),
	('5J', 1683, 'CEB', 4206, 'CRK', 4140, '', 0, '319\r'),
	('5J', 1683, 'CEB', 4206, 'DGT', 2425, '', 0, 'ATR\r'),
	('5J', 1683, 'CEB', 4206, 'DPL', 4201, '', 0, 'ATR\r'),
	('5J', 1683, 'CEB', 4206, 'DVO', 4090, '', 0, '320 319\r'),
	('5J', 1683, 'CEB', 4206, 'GES', 6011, '', 0, '320\r'),
	('5J', 1683, 'CEB', 4206, 'HKG', 3077, '', 0, '320\r'),
	('5J', 1683, 'CEB', 4206, 'ICN', 3930, '', 0, '320\r'),
	('5J', 1683, 'CEB', 4206, 'ILO', 2429, '', 0, '319 320\r'),
	('5J', 1683, 'CEB', 4206, 'KLO', 2430, '', 0, '320\r'),
	('5J', 1683, 'CEB', 4206, 'LGP', 4203, '', 0, 'ATR\r'),
	('5J', 1683, 'CEB', 4206, 'MNL', 2397, '', 0, '319 320 330 ATR\r'),
	('5J', 1683, 'CEB', 4206, 'MPH', 4002, '', 0, 'ATR\r'),
	('5J', 1683, 'CEB', 4206, 'OZC', 4204, '', 0, 'ATR\r'),
	('5J', 1683, 'CEB', 4206, 'PAG', 2401, '', 0, 'ATR\r'),
	('5J', 1683, 'CEB', 4206, 'PPS', 2433, '', 0, '320\r'),
	('5J', 1683, 'CEB', 4206, 'PUS', 2372, '', 0, '320\r'),
	('5J', 1683, 'CEB', 4206, 'SIN', 3316, '', 0, '320\r'),
	('5J', 1683, 'CEB', 4206, 'SUG', 6016, '', 0, 'ATR\r'),
	('5J', 1683, 'CEB', 4206, 'TAC', 2422, '', 0, 'ATR 319\r'),
	('5J', 1683, 'CEB', 4206, 'USU', 4199, '', 0, 'ATR\r'),
	('5J', 1683, 'CEB', 4206, 'ZAM', 2404, '', 0, '319\r'),
	('5J', 1683, 'CGK', 3275, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'CGM', 6012, 'CEB', 4206, '', 0, 'ATR\r'),
	('5J', 1683, 'CGY', 2400, 'BCD', 2423, '', 0, 'ATR\r'),
	('5J', 1683, 'CGY', 2400, 'CEB', 4206, '', 0, '320 ATR 319\r'),
	('5J', 1683, 'CGY', 2400, 'DVO', 4090, '', 0, 'ATR\r'),
	('5J', 1683, 'CGY', 2400, 'ILO', 2429, '', 0, '319\r'),
	('5J', 1683, 'CGY', 2400, 'MNL', 2397, '', 0, '320 319\r'),
	('5J', 1683, 'CRK', 4140, 'CEB', 4206, '', 0, '319\r'),
	('5J', 1683, 'CRK', 4140, 'HKG', 3077, '', 0, '319\r'),
	('5J', 1683, 'CRK', 4140, 'MFM', 3121, '', 0, '319\r'),
	('5J', 1683, 'CRK', 4140, 'SIN', 3316, '', 0, '319\r'),
	('5J', 1683, 'CYZ', 6733, 'MNL', 2397, '', 0, '319\r'),
	('5J', 1683, 'DGT', 2425, 'CEB', 4206, '', 0, 'ATR\r'),
	('5J', 1683, 'DGT', 2425, 'MNL', 2397, '', 0, '319\r'),
	('5J', 1683, 'DPL', 4201, 'CEB', 4206, '', 0, 'ATR\r'),
	('5J', 1683, 'DPL', 4201, 'DVO', 4090, '', 0, 'ATR\r'),
	('5J', 1683, 'DPL', 4201, 'MNL', 2397, '', 0, '320 319\r'),
	('5J', 1683, 'DPS', 3940, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'DVO', 4090, 'BCD', 2423, '', 0, '320\r'),
	('5J', 1683, 'DVO', 4090, 'CEB', 4206, '', 0, '320 319\r'),
	('5J', 1683, 'DVO', 4090, 'CGY', 2400, '', 0, 'ATR\r'),
	('5J', 1683, 'DVO', 4090, 'DPL', 4201, '', 0, 'ATR\r'),
	('5J', 1683, 'DVO', 4090, 'ILO', 2429, '', 0, '320 319\r'),
	('5J', 1683, 'DVO', 4090, 'MNL', 2397, '', 0, '320 330\r'),
	('5J', 1683, 'DVO', 4090, 'PPS', 2433, '', 0, '319\r'),
	('5J', 1683, 'DVO', 4090, 'ZAM', 2404, '', 0, '319\r'),
	('5J', 1683, 'DXB', 2188, 'MNL', 2397, '', 0, '330\r'),
	('5J', 1683, 'GES', 6011, 'CEB', 4206, '', 0, '320\r'),
	('5J', 1683, 'GES', 6011, 'ILO', 2429, '', 0, '319\r'),
	('5J', 1683, 'GES', 6011, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'HAN', 3199, 'MNL', 2397, '', 0, '319\r'),
	('5J', 1683, 'HKG', 3077, 'CEB', 4206, '', 0, '320\r'),
	('5J', 1683, 'HKG', 3077, 'CRK', 4140, '', 0, '319\r'),
	('5J', 1683, 'HKG', 3077, 'ILO', 2429, '', 0, '319\r'),
	('5J', 1683, 'HKG', 3077, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'HKT', 3179, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'ICN', 3930, 'CEB', 4206, '', 0, '320\r'),
	('5J', 1683, 'ICN', 3930, 'KLO', 2430, '', 0, '320\r'),
	('5J', 1683, 'ICN', 3930, 'MNL', 2397, '', 0, '330\r'),
	('5J', 1683, 'ILO', 2429, 'CEB', 4206, '', 0, '319 320\r'),
	('5J', 1683, 'ILO', 2429, 'CGY', 2400, '', 0, '319\r'),
	('5J', 1683, 'ILO', 2429, 'DVO', 4090, '', 0, '320 319\r'),
	('5J', 1683, 'ILO', 2429, 'GES', 6011, '', 0, '319\r'),
	('5J', 1683, 'ILO', 2429, 'HKG', 3077, '', 0, '319\r'),
	('5J', 1683, 'ILO', 2429, 'MNL', 2397, '', 0, '320 319\r'),
	('5J', 1683, 'ILO', 2429, 'PPS', 2433, '', 0, '319\r'),
	('5J', 1683, 'ILO', 2429, 'SIN', 3316, '', 0, '319\r'),
	('5J', 1683, 'KIX', 3992, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'KLO', 2430, 'CEB', 4206, '', 0, '320\r'),
	('5J', 1683, 'KLO', 2430, 'ICN', 3930, '', 0, '320\r'),
	('5J', 1683, 'KLO', 2430, 'MNL', 2397, '', 0, '320 ATR 319\r'),
	('5J', 1683, 'KUL', 3304, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'LAO', 4202, 'MNL', 2397, '', 0, '319\r'),
	('5J', 1683, 'LGP', 4203, 'CEB', 4206, '', 0, 'ATR\r'),
	('5J', 1683, 'LGP', 4203, 'MNL', 2397, '', 0, '320 319\r'),
	('5J', 1683, 'MFM', 3121, 'CRK', 4140, '', 0, '319\r'),
	('5J', 1683, 'MFM', 3121, 'MNL', 2397, '', 0, '319\r'),
	('5J', 1683, 'MNL', 2397, 'BCD', 2423, '', 0, '320 319\r'),
	('5J', 1683, 'MNL', 2397, 'BKI', 3269, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'BKK', 3885, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'BWN', 3272, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'BXU', 4200, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'CAN', 3370, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'CBO', 2399, '', 0, '319 320\r'),
	('5J', 1683, 'MNL', 2397, 'CEB', 4206, '', 0, '319 320 330 ATR\r'),
	('5J', 1683, 'MNL', 2397, 'CGK', 3275, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'CGY', 2400, '', 0, '320 319\r'),
	('5J', 1683, 'MNL', 2397, 'CYZ', 6733, '', 0, '319\r'),
	('5J', 1683, 'MNL', 2397, 'DGT', 2425, '', 0, '319\r'),
	('5J', 1683, 'MNL', 2397, 'DPL', 4201, '', 0, '320 319\r'),
	('5J', 1683, 'MNL', 2397, 'DPS', 3940, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'DVO', 4090, '', 0, '320 330\r'),
	('5J', 1683, 'MNL', 2397, 'DXB', 2188, '', 0, '330\r'),
	('5J', 1683, 'MNL', 2397, 'GES', 6011, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'HAN', 3199, '', 0, '319\r'),
	('5J', 1683, 'MNL', 2397, 'HKG', 3077, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'HKT', 3179, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'ICN', 3930, '', 0, '330\r'),
	('5J', 1683, 'MNL', 2397, 'ILO', 2429, '', 0, '320 319\r'),
	('5J', 1683, 'MNL', 2397, 'KIX', 3992, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'KLO', 2430, '', 0, '320 ATR 319\r'),
	('5J', 1683, 'MNL', 2397, 'KUL', 3304, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'LAO', 4202, '', 0, '319\r'),
	('5J', 1683, 'MNL', 2397, 'LGP', 4203, '', 0, '320 319\r'),
	('5J', 1683, 'MNL', 2397, 'MFM', 3121, '', 0, '319\r'),
	('5J', 1683, 'MNL', 2397, 'MPH', 4002, '', 0, 'ATR\r'),
	('5J', 1683, 'MNL', 2397, 'NGO', 3942, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'NRT', 2279, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'OZC', 4204, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'PAG', 2401, '', 0, '319 320\r'),
	('5J', 1683, 'MNL', 2397, 'PEK', 3364, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'PPS', 2433, '', 0, '320 319\r'),
	('5J', 1683, 'MNL', 2397, 'PUS', 2372, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'PVG', 3406, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'REP', 3035, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'RXS', 6026, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'SGN', 3205, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'SIN', 3316, '', 0, '330 320\r'),
	('5J', 1683, 'MNL', 2397, 'SJI', 2435, '', 0, '319\r'),
	('5J', 1683, 'MNL', 2397, 'TAC', 2422, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'TAG', 3994, '', 0, '319\r'),
	('5J', 1683, 'MNL', 2397, 'TPE', 2276, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'TUG', 6021, '', 0, '319\r'),
	('5J', 1683, 'MNL', 2397, 'USU', 4199, '', 0, 'ATR\r'),
	('5J', 1683, 'MNL', 2397, 'VRC', 6022, '', 0, '319\r'),
	('5J', 1683, 'MNL', 2397, 'WNP', 6018, '', 0, 'ATR\r'),
	('5J', 1683, 'MNL', 2397, 'XMN', 3383, '', 0, '320\r'),
	('5J', 1683, 'MNL', 2397, 'ZAM', 2404, '', 0, '320\r'),
	('5J', 1683, 'MPH', 4002, 'CEB', 4206, '', 0, 'ATR\r'),
	('5J', 1683, 'MPH', 4002, 'MNL', 2397, '', 0, 'ATR\r'),
	('5J', 1683, 'NGO', 3942, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'NRT', 2279, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'OZC', 4204, 'CEB', 4206, '', 0, 'ATR\r'),
	('5J', 1683, 'OZC', 4204, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'PAG', 2401, 'CEB', 4206, '', 0, 'ATR\r'),
	('5J', 1683, 'PAG', 2401, 'MNL', 2397, '', 0, '319 320\r'),
	('5J', 1683, 'PEK', 3364, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'PPS', 2433, 'CEB', 4206, '', 0, '320\r'),
	('5J', 1683, 'PPS', 2433, 'DVO', 4090, '', 0, '319\r'),
	('5J', 1683, 'PPS', 2433, 'ILO', 2429, '', 0, '319\r'),
	('5J', 1683, 'PPS', 2433, 'MNL', 2397, '', 0, '320 319\r'),
	('5J', 1683, 'PUS', 2372, 'CEB', 4206, '', 0, '320\r'),
	('5J', 1683, 'PUS', 2372, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'PVG', 3406, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'REP', 3035, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'RXS', 6026, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'SGN', 3205, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'SIN', 3316, 'CEB', 4206, '', 0, '320\r'),
	('5J', 1683, 'SIN', 3316, 'CRK', 4140, '', 0, '319\r'),
	('5J', 1683, 'SIN', 3316, 'ILO', 2429, '', 0, '319\r'),
	('5J', 1683, 'SIN', 3316, 'MNL', 2397, '', 0, '320 330\r'),
	('5J', 1683, 'SJI', 2435, 'MNL', 2397, '', 0, '319\r'),
	('5J', 1683, 'SUG', 6016, 'CEB', 4206, '', 0, 'ATR\r'),
	('5J', 1683, 'TAC', 2422, 'CEB', 4206, '', 0, 'ATR 319\r'),
	('5J', 1683, 'TAC', 2422, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'TAG', 3994, 'MNL', 2397, '', 0, '319\r'),
	('5J', 1683, 'TPE', 2276, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'TUG', 6021, 'MNL', 2397, '', 0, '319\r'),
	('5J', 1683, 'USU', 4199, 'CEB', 4206, '', 0, 'ATR\r'),
	('5J', 1683, 'USU', 4199, 'MNL', 2397, '', 0, 'ATR\r'),
	('5J', 1683, 'VRC', 6022, 'MNL', 2397, '', 0, '319\r'),
	('5J', 1683, 'WNP', 6018, 'MNL', 2397, '', 0, 'ATR\r'),
	('5J', 1683, 'XMN', 3383, 'MNL', 2397, '', 0, '320\r'),
	('5J', 1683, 'ZAM', 2404, 'CEB', 4206, '', 0, '319\r'),
	('5J', 1683, 'ZAM', 2404, 'DVO', 4090, '', 0, '319\r'),
	('5J', 1683, 'ZAM', 2404, 'MNL', 2397, '', 0, '320\r'),
	('5M', 4436, 'ANU', 2874, 'NEV', 6079, '', 0, 'BNI\r'),
	('5M', 4436, 'NEV', 6079, 'ANU', 2874, '', 0, 'BNI\r'),
	('5N', 503, 'ARH', 4362, 'CSH', 6110, 'Y', 0, 'AN4\r'),
	('5N', 503, 'ARH', 4362, 'LED', 2948, '', 0, '735\r'),
	('5N', 503, 'ARH', 4362, 'MMK', 2949, 'Y', 0, 'AN4\r'),
	('5N', 503, 'ARH', 4362, 'NNM', 4371, '', 0, 'AT5\r'),
	('5N', 503, 'ARH', 4362, 'SVO', 2985, '', 0, '735\r'),
	('5N', 503, 'ARH', 4362, 'USK', 4369, 'Y', 0, 'AN4\r'),
	('5N', 503, 'CSH', 6110, 'ARH', 4362, 'Y', 0, 'AN4\r'),
	('5N', 503, 'LED', 2948, 'ARH', 4362, '', 0, '735\r'),
	('5N', 503, 'LED', 2948, 'MMK', 2949, '', 0, '735\r'),
	('5N', 503, 'LED', 2948, 'SCW', 2989, '', 0, '735\r'),
	('5N', 503, 'MMK', 2949, 'ARH', 4362, 'Y', 0, 'AN4\r'),
	('5N', 503, 'MMK', 2949, 'LED', 2948, '', 0, '735\r'),
	('5N', 503, 'MMK', 2949, 'SVO', 2985, '', 0, '735\r'),
	('5N', 503, 'MMK', 2949, 'TOS', 663, 'Y', 0, 'AN4\r'),
	('5N', 503, 'NNM', 4371, 'ARH', 4362, '', 0, 'AT5\r'),
	('5N', 503, 'SCW', 2989, 'LED', 2948, '', 0, '735\r'),
	('5N', 503, 'SCW', 2989, 'SVO', 2985, '', 0, '735\r'),
	('5N', 503, 'SVO', 2985, 'ARH', 4362, '', 0, '735\r'),
	('5N', 503, 'SVO', 2985, 'MMK', 2949, '', 0, '735\r'),
	('5N', 503, 'SVO', 2985, 'SCW', 2989, '', 0, '735\r'),
	('5N', 503, 'TOS', 663, 'MMK', 2949, 'Y', 0, 'AN4\r'),
	('5N', 503, 'USK', 4369, 'ARH', 4362, 'Y', 0, 'AN4\r'),
	('5P', 10650, 'ANF', 2651, 'IQQ', 2649, '', 0, '737\r'),
	('5P', 10650, 'CCP', 2656, 'SCL', 2650, '', 0, '737\r'),
	('5P', 10650, 'IQQ', 2649, 'SCL', 2650, '', 0, '737\r'),
	('5P', 10650, 'SCL', 2650, 'ANF', 2651, '', 0, '737\r'),
	('5Q', 18232, 'AEP', 2442, 'MVD', 2816, '', 0, 'AT7\r'),
	('5Q', 18232, 'AEP', 2442, 'PDP', 6777, '', 0, 'AT7\r'),
	('5Q', 18232, 'ASU', 2699, 'MVD', 2816, '', 0, 'AT7\r'),
	('5Q', 18232, 'CWB', 2545, 'MVD', 2816, '', 0, 'AT7\r'),
	('5Q', 18232, 'EZE', 3988, 'MVD', 2816, '', 0, 'AT7\r'),
	('5Q', 18232, 'GIG', 2560, 'MVD', 2816, '', 0, 'AT7 319\r'),
	('5Q', 18232, 'GRU', 2564, 'MVD', 2816, '', 0, 'AT7 319\r'),
	('5Q', 18232, 'MVD', 2816, 'AEP', 2442, '', 0, 'AT7\r'),
	('5Q', 18232, 'MVD', 2816, 'ASU', 2699, '', 0, 'AT7\r'),
	('5Q', 18232, 'MVD', 2816, 'CWB', 2545, '', 0, 'AT7\r'),
	('5Q', 18232, 'MVD', 2816, 'EZE', 3988, '', 0, 'AT7\r'),
	('5Q', 18232, 'MVD', 2816, 'GIG', 2560, '', 0, 'AT7 319\r'),
	('5Q', 18232, 'MVD', 2816, 'GRU', 2564, '', 0, '319 AT7\r'),
	('5Q', 18232, 'MVD', 2816, 'POA', 2599, '', 0, 'AT7\r'),
	('5Q', 18232, 'MVD', 2816, 'SCL', 2650, '', 0, '319\r'),
	('5Q', 18232, 'PDP', 6777, 'AEP', 2442, '', 0, 'AT7\r'),
	('5Q', 18232, 'POA', 2599, 'MVD', 2816, '', 0, 'AT7\r'),
	('5Q', 18232, 'SCL', 2650, 'MVD', 2816, '', 0, '319\r'),
	('5T', 1623, 'YBK', 29, 'YCS', 5487, 'Y', 0, 'ATR\r'),
	('5T', 1623, 'YBK', 29, 'YXN', 5534, 'Y', 0, 'ATR\r'),
	('5T', 1623, 'YCB', 32, 'YCO', 37, '', 0, 'DH8 73M\r'),
	('5T', 1623, 'YCB', 32, 'YYH', 183, '', 0, 'DH8\r'),
	('5T', 1623, 'YCB', 32, 'YZF', 196, '', 0, 'DH8 73M\r'),
	('5T', 1623, 'YCO', 37, 'YCB', 32, '', 0, 'DH8 73M\r'),
	('5T', 1623, 'YCO', 37, 'YZF', 196, '', 0, 'DH8 73M\r'),
	('5T', 1623, 'YCS', 5487, 'YBK', 29, 'Y', 0, 'AT4\r'),
	('5T', 1623, 'YCS', 5487, 'YRT', 132, 'Y', 0, 'ATR AT4\r'),
	('5T', 1623, 'YCY', 40, 'YFB', 55, '', 0, 'DH8\r'),
	('5T', 1623, 'YCY', 40, 'YIO', 75, '', 0, 'DH8\r'),
	('5T', 1623, 'YEG', 49, 'YZF', 196, '', 0, '73M 733\r'),
	('5T', 1623, 'YEK', 50, 'YXN', 5534, 'Y', 0, 'ATR AT4\r'),
	('5T', 1623, 'YEK', 50, 'YYQ', 187, 'Y', 0, 'ATR AT4\r'),
	('5T', 1623, 'YEV', 54, 'YVQ', 155, '', 0, '73M 733\r'),
	('5T', 1623, 'YFB', 55, 'YCY', 40, '', 0, 'DH8\r'),
	('5T', 1623, 'YFB', 55, 'YGT', 5495, '', 0, 'BE1 DH8\r'),
	('5T', 1623, 'YFB', 55, 'YOW', 100, '', 0, '73M\r'),
	('5T', 1623, 'YFB', 55, 'YRT', 132, '', 0, '73M\r'),
	('5T', 1623, 'YFB', 55, 'YTE', 140, '', 0, 'BE1 DH8\r'),
	('5T', 1623, 'YFB', 55, 'YUX', 148, '', 0, 'BE1 DH8\r'),
	('5T', 1623, 'YFB', 55, 'YXP', 170, '', 0, 'DH8\r'),
	('5T', 1623, 'YGT', 5495, 'YFB', 55, '', 0, 'DH8\r'),
	('5T', 1623, 'YGT', 5495, 'YIO', 75, '', 0, 'DH8\r'),
	('5T', 1623, 'YGT', 5495, 'YUX', 148, '', 0, 'DH8 BE1\r'),
	('5T', 1623, 'YHK', 69, 'YYH', 183, '', 0, 'DH8\r'),
	('5T', 1623, 'YHK', 69, 'YZF', 196, '', 0, 'DH8\r'),
	('5T', 1623, 'YIO', 75, 'YCY', 40, '', 0, 'DH8\r'),
	('5T', 1623, 'YIO', 75, 'YGT', 5495, '', 0, 'DH8\r'),
	('5T', 1623, 'YOW', 100, 'YFB', 55, '', 0, '73M\r'),
	('5T', 1623, 'YRT', 132, 'YBK', 29, 'Y', 0, 'AT4\r'),
	('5T', 1623, 'YRT', 132, 'YCS', 5487, 'Y', 0, 'ATR AT4\r'),
	('5T', 1623, 'YRT', 132, 'YEK', 50, '', 1, 'ATR\r'),
	('5T', 1623, 'YRT', 132, 'YFB', 55, '', 0, '73M\r'),
	('5T', 1623, 'YRT', 132, 'YUT', 147, 'Y', 0, 'AT4\r'),
	('5T', 1623, 'YRT', 132, 'YYQ', 187, 'Y', 0, 'ATR FRJ AT4\r'),
	('5T', 1623, 'YRT', 132, 'YZF', 196, '', 0, '73M\r'),
	('5T', 1623, 'YRT', 132, 'YZS', 41, 'Y', 0, 'ATR AT4\r'),
	('5T', 1623, 'YTE', 140, 'YFB', 55, '', 0, 'BE1 DH8\r'),
	('5T', 1623, 'YTH', 141, 'YYQ', 187, 'Y', 0, 'ATR\r'),
	('5T', 1623, 'YUX', 148, 'YFB', 55, '', 0, 'DH8 BE1\r'),
	('5T', 1623, 'YUX', 148, 'YGT', 5495, '', 0, 'BE1 DH8\r'),
	('5T', 1623, 'YVM', 152, 'YXP', 170, '', 0, 'DH8\r'),
	('5T', 1623, 'YVQ', 155, 'YEV', 54, '', 0, '73M 733\r'),
	('5T', 1623, 'YVQ', 155, 'YZF', 196, '', 0, '73M 733\r'),
	('5T', 1623, 'YWG', 160, 'YRT', 132, 'Y', 0, 'FRJ ATR\r'),
	('5T', 1623, 'YWG', 160, 'YYQ', 187, 'Y', 0, 'FRJ\r'),
	('5T', 1623, 'YXN', 5534, 'YRT', 132, 'Y', 0, 'ATR AT4\r'),
	('5T', 1623, 'YXP', 170, 'YFB', 55, '', 0, 'DH8\r'),
	('5T', 1623, 'YXP', 170, 'YVM', 152, '', 0, 'DH8\r'),
	('5T', 1623, 'YYH', 183, 'YCB', 32, '', 0, 'DH8\r'),
	('5T', 1623, 'YYH', 183, 'YHK', 69, '', 0, 'DH8\r'),
	('5T', 1623, 'YYQ', 187, 'YEK', 50, 'Y', 0, 'ATR\r'),
	('5T', 1623, 'YYQ', 187, 'YRT', 132, 'Y', 0, 'ATR AT4 FRJ\r'),
	('5T', 1623, 'YYQ', 187, 'YTH', 141, 'Y', 0, 'AT4\r'),
	('5T', 1623, 'YYQ', 187, 'YWG', 160, 'Y', 0, 'ATR FRJ AT4\r'),
	('5T', 1623, 'YZF', 196, 'YCB', 32, '', 0, 'DH8 73M\r'),
	('5T', 1623, 'YZF', 196, 'YCO', 37, '', 0, 'DH8 73M\r'),
	('5T', 1623, 'YZF', 196, 'YEG', 49, '', 0, '73M 733\r'),
	('5T', 1623, 'YZF', 196, 'YHK', 69, '', 0, 'DH8\r'),
	('5T', 1623, 'YZF', 196, 'YRT', 132, '', 0, '73M\r'),
	('5T', 1623, 'YZF', 196, 'YVQ', 155, '', 0, '73M 733\r'),
	('5T', 1623, 'YZF', 196, 'YYH', 183, '', 0, 'DH8\r'),
	('5T', 1623, 'YZS', 41, 'YRT', 132, 'Y', 0, 'ATR\r'),
	('5T', 1623, 'YZS', 41, 'YUT', 147, 'Y', 0, 'AT4\r'),
	('5Z', 18946, 'ELL', 8492, 'JNB', 813, '', 0, 'BEH\r'),
	('5Z', 18946, 'JNB', 813, 'ELL', 8492, '', 0, 'BEH\r'),
	('5Z', 18946, 'JNB', 813, 'MGH', 827, '', 0, 'BEH\r'),
	('5Z', 18946, 'MGH', 827, 'JNB', 813, '', 0, 'BEH\r'),
	('6E', 2850, 'AMD', 2994, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'AMD', 2994, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'AMD', 2994, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'AMD', 2994, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'AMD', 2994, 'GOI', 3007, '', 0, '320\r'),
	('6E', 2850, 'AMD', 2994, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'AMD', 2994, 'JAI', 3098, '', 0, '320\r'),
	('6E', 2850, 'AMD', 2994, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'AMD', 2994, 'PNQ', 3017, '', 0, '320\r'),
	('6E', 2850, 'BBI', 3042, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'BBI', 3042, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'BBI', 3042, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'BBI', 3042, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'BBI', 3042, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'BBI', 3042, 'VTZ', 3066, '', 0, '320\r'),
	('6E', 2850, 'BDQ', 3001, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'BDQ', 3001, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'BKK', 3885, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'BKK', 3885, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'AMD', 2994, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'BBI', 3042, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'COK', 3136, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'GAU', 6173, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'GOI', 3007, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'JAI', 3098, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'LKO', 3105, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'NAG', 3015, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'PNQ', 3017, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'TRV', 3153, '', 0, '320\r'),
	('6E', 2850, 'BLR', 3131, 'VTZ', 3066, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'AMD', 2994, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'BBI', 3042, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'BDQ', 3001, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'CJB', 3135, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'COK', 3136, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'DXB', 2188, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'GAU', 6173, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'GOI', 3007, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'IDR', 3008, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'IXC', 3089, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'IXJ', 3100, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'JAI', 3098, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'LKO', 3105, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'MCT', 2194, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'NAG', 3015, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'PAT', 3061, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'SXR', 3112, '', 0, '320\r'),
	('6E', 2850, 'BOM', 2997, 'TRV', 3153, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'AMD', 2994, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'BBI', 3042, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'BKK', 3885, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'DIB', 6443, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'GAU', 6173, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'IMF', 3050, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'IXA', 3038, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'IXB', 3040, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'IXR', 3063, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'JAI', 3098, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'NAG', 3015, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'PAT', 3061, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'PNQ', 3017, '', 0, '320\r'),
	('6E', 2850, 'CCU', 3043, 'RPR', 3020, '', 0, '320\r'),
	('6E', 2850, 'CJB', 3135, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'CJB', 3135, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'CJB', 3135, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'COK', 3136, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'COK', 3136, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'COK', 3136, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'COK', 3136, 'DXB', 2188, '', 0, '320\r'),
	('6E', 2850, 'COK', 3136, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'COK', 3136, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'COK', 3136, 'TRV', 3153, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'AMD', 2994, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'BBI', 3042, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'BDQ', 3001, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'BKK', 3885, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'CJB', 3135, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'COK', 3136, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'DIB', 6443, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'DXB', 2188, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'GAU', 6173, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'GOI', 3007, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'IDR', 3008, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'IXB', 3040, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'IXJ', 3100, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'IXR', 3063, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'KTM', 3125, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'LKO', 3105, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'NAG', 3015, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'PAT', 3061, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'PNQ', 3017, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'RPR', 3020, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'SXR', 3112, '', 0, '320\r'),
	('6E', 2850, 'DEL', 3093, 'VNS', 3084, '', 0, '320\r'),
	('6E', 2850, 'DIB', 6443, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'DIB', 6443, 'GAU', 6173, '', 0, '320\r'),
	('6E', 2850, 'DXB', 2188, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'DXB', 2188, 'COK', 3136, '', 0, '320\r'),
	('6E', 2850, 'DXB', 2188, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'DXB', 2188, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'DXB', 2188, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'DXB', 2188, 'TRV', 3153, '', 0, '320\r'),
	('6E', 2850, 'GAU', 6173, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'GAU', 6173, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'GAU', 6173, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'GAU', 6173, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'GAU', 6173, 'IMF', 3050, '', 0, '320\r'),
	('6E', 2850, 'GAU', 6173, 'IXA', 3038, '', 0, '320\r'),
	('6E', 2850, 'GAU', 6173, 'IXB', 3040, '', 0, '320\r'),
	('6E', 2850, 'GOI', 3007, 'AMD', 2994, '', 0, '320\r'),
	('6E', 2850, 'GOI', 3007, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'GOI', 3007, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'GOI', 3007, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'GOI', 3007, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'AMD', 2994, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'BBI', 3042, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'COK', 3136, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'DXB', 2188, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'GOI', 3007, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'JAI', 3098, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'PNQ', 3017, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'RPR', 3020, '', 0, '320\r'),
	('6E', 2850, 'HYD', 3141, 'VTZ', 3066, '', 0, '320\r'),
	('6E', 2850, 'IDR', 3008, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'IDR', 3008, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'IDR', 3008, 'NAG', 3015, '', 0, '320\r'),
	('6E', 2850, 'IDR', 3008, 'RPR', 3020, '', 0, '320\r'),
	('6E', 2850, 'IMF', 3050, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'IMF', 3050, 'GAU', 6173, '', 0, '320\r'),
	('6E', 2850, 'IMF', 3050, 'IXA', 3038, '', 0, '320\r'),
	('6E', 2850, 'IXA', 3038, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'IXA', 3038, 'GAU', 6173, '', 0, '320\r'),
	('6E', 2850, 'IXA', 3038, 'IMF', 3050, '', 0, '320\r'),
	('6E', 2850, 'IXB', 3040, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'IXB', 3040, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'IXB', 3040, 'GAU', 6173, '', 0, '320\r'),
	('6E', 2850, 'IXC', 3089, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'IXJ', 3100, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'IXJ', 3100, 'SXR', 3112, '', 0, '320\r'),
	('6E', 2850, 'IXR', 3063, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'IXR', 3063, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'IXR', 3063, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'IXR', 3063, 'PAT', 3061, '', 0, '320\r'),
	('6E', 2850, 'JAI', 3098, 'AMD', 2994, '', 0, '320\r'),
	('6E', 2850, 'JAI', 3098, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'JAI', 3098, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'JAI', 3098, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'JAI', 3098, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'KTM', 3125, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'LKO', 3105, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'LKO', 3105, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'LKO', 3105, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'LKO', 3105, 'PAT', 3061, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'AMD', 2994, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'CJB', 3135, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'COK', 3136, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'DXB', 2188, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'PNQ', 3017, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'SIN', 3316, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'TRV', 3153, '', 0, '320\r'),
	('6E', 2850, 'MAA', 3144, 'VTZ', 3066, '', 0, '320\r'),
	('6E', 2850, 'MCT', 2194, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'NAG', 3015, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'NAG', 3015, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'NAG', 3015, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'NAG', 3015, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'NAG', 3015, 'IDR', 3008, '', 0, '320\r'),
	('6E', 2850, 'NAG', 3015, 'PNQ', 3017, '', 0, '320\r'),
	('6E', 2850, 'PAT', 3061, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'PAT', 3061, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'PAT', 3061, 'IXR', 3063, '', 0, '320\r'),
	('6E', 2850, 'PAT', 3061, 'LKO', 3105, '', 0, '320\r'),
	('6E', 2850, 'PNQ', 3017, 'AMD', 2994, '', 0, '320\r'),
	('6E', 2850, 'PNQ', 3017, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'PNQ', 3017, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'PNQ', 3017, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'PNQ', 3017, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'PNQ', 3017, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'PNQ', 3017, 'NAG', 3015, '', 0, '320\r'),
	('6E', 2850, 'RPR', 3020, 'CCU', 3043, '', 0, '320\r'),
	('6E', 2850, 'RPR', 3020, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'RPR', 3020, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'RPR', 3020, 'IDR', 3008, '', 0, '320\r'),
	('6E', 2850, 'SIN', 3316, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'SXR', 3112, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'SXR', 3112, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'SXR', 3112, 'IXJ', 3100, '', 0, '320\r'),
	('6E', 2850, 'TRV', 3153, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'TRV', 3153, 'BOM', 2997, '', 0, '320\r'),
	('6E', 2850, 'TRV', 3153, 'COK', 3136, '', 0, '320\r'),
	('6E', 2850, 'TRV', 3153, 'DXB', 2188, '', 0, '320\r'),
	('6E', 2850, 'TRV', 3153, 'MAA', 3144, '', 0, '320\r'),
	('6E', 2850, 'VNS', 3084, 'DEL', 3093, '', 0, '320\r'),
	('6E', 2850, 'VTZ', 3066, 'BBI', 3042, '', 0, '320\r'),
	('6E', 2850, 'VTZ', 3066, 'BLR', 3131, '', 0, '320\r'),
	('6E', 2850, 'VTZ', 3066, 'HYD', 3141, '', 0, '320\r'),
	('6E', 2850, 'VTZ', 3066, 'MAA', 3144, '', 0, '320\r'),
	('6H', 2954, 'ETH', 1594, 'SDV', 1605, '', 0, 'AT4\r'),
	('6H', 2954, 'ETH', 1594, 'TLV', 1590, '', 0, '320\r'),
	('6H', 2954, 'FCO', 1555, 'TLV', 1590, '', 0, '320\r'),
	('6H', 2954, 'NCE', 1354, 'TLV', 1590, '', 0, '320\r'),
	('6H', 2954, 'SDV', 1605, 'ETH', 1594, '', 0, 'AT4\r'),
	('6H', 2954, 'SXF', 337, 'TLV', 1590, '', 0, '320\r'),
	('6H', 2954, 'TBS', 3973, 'TLV', 1590, '', 0, '320\r'),
	('6H', 2954, 'TLV', 1590, 'ETH', 1594, '', 0, '320\r'),
	('6H', 2954, 'TLV', 1590, 'FCO', 1555, '', 0, '320\r'),
	('6H', 2954, 'TLV', 1590, 'NCE', 1354, '', 0, '320\r'),
	('6H', 2954, 'TLV', 1590, 'SXF', 337, '', 0, '320\r'),
	('6H', 2954, 'TLV', 1590, 'TBS', 3973, '', 0, '320\r'),
	('6I', 17095, 'CPH', 609, 'SGD', 619, '', 0, 'AT7\r'),
	('6I', 17095, 'SGD', 619, 'CPH', 609, '', 0, 'AT7\r'),
	('6R', 1340, 'DME', 4029, 'KRR', 2960, '', 0, '738 73G\r'),
	('6R', 1340, 'DME', 4029, 'LED', 2948, '', 0, '738\r'),
	('6R', 1340, 'DME', 4029, 'MJZ', 2925, '', 0, '738\r'),
	('6R', 1340, 'DME', 4029, 'PYJ', 6092, '', 0, 'TU5\r'),
	('6R', 1340, 'IKT', 2937, 'MJZ', 2925, '', 0, '738\r'),
	('6R', 1340, 'IKT', 2937, 'ULK', 9026, '', 0, 'AN4\r'),
	('6R', 1340, 'KJA', 4374, 'MJZ', 2925, '', 0, 'TU3\r'),
	('6R', 1340, 'KRR', 2960, 'DME', 4029, '', 0, '738 73G\r'),
	('6R', 1340, 'KRR', 2960, 'OVB', 4078, '', 0, '738\r'),
	('6R', 1340, 'LED', 2948, 'DME', 4029, '', 0, '738\r'),
	('6R', 1340, 'LED', 2948, 'OVB', 4078, '', 0, '738\r'),
	('6R', 1340, 'MJZ', 2925, 'DME', 4029, '', 0, '738\r'),
	('6R', 1340, 'MJZ', 2925, 'IKT', 2937, '', 0, '738\r'),
	('6R', 1340, 'MJZ', 2925, 'KJA', 4374, '', 0, 'TU3\r'),
	('6R', 1340, 'MJZ', 2925, 'OVB', 4078, '', 0, 'TU5 738\r'),
	('6R', 1340, 'MJZ', 2925, 'PYJ', 6092, '', 0, 'AN4\r'),
	('6R', 1340, 'MJZ', 2925, 'YKS', 2923, '', 0, 'TU3 AN4\r'),
	('6R', 1340, 'OVB', 4078, 'KRR', 2960, '', 0, '738\r'),
	('6R', 1340, 'OVB', 4078, 'LED', 2948, '', 0, '738\r'),
	('6R', 1340, 'OVB', 4078, 'MJZ', 2925, '', 0, 'TU5 738\r'),
	('6R', 1340, 'OVB', 4078, 'PYJ', 6092, '', 0, 'TU5\r'),
	('6R', 1340, 'PYJ', 6092, 'DME', 4029, '', 0, 'TU5\r'),
	('6R', 1340, 'PYJ', 6092, 'MJZ', 2925, '', 0, 'AN4\r'),
	('6R', 1340, 'PYJ', 6092, 'OVB', 4078, '', 0, 'TU5\r'),
	('6R', 1340, 'PYJ', 6092, 'YKS', 2923, '', 0, 'AN4\r'),
	('6R', 1340, 'ULK', 9026, 'IKT', 2937, '', 0, 'AN4\r'),
	('6R', 1340, 'ULK', 9026, 'YKS', 2923, '', 0, 'AN4\r'),
	('6R', 1340, 'YKS', 2923, 'MJZ', 2925, '', 0, 'TU3 AN4\r'),
	('6R', 1340, 'YKS', 2923, 'PYJ', 6092, '', 0, 'AN4\r'),
	('6R', 1340, 'YKS', 2923, 'ULK', 9026, '', 0, 'AN4\r'),
	('6T', 5813, 'AKY', 3235, 'RGN', 3239, '', 0, 'ATR\r'),
	('6T', 5813, 'AKY', 3235, 'SNW', 3236, '', 0, 'ATR\r'),
	('6T', 5813, 'HEH', 3213, 'MDL', 3222, '', 0, 'ATR\r'),
	('6T', 5813, 'HEH', 3213, 'RGN', 3239, '', 0, 'ATR\r'),
	('6T', 5813, 'KAW', 6198, 'MGZ', 3223, '', 0, 'ATR\r'),
	('6T', 5813, 'MDL', 3222, 'HEH', 3213, '', 0, 'ATR\r'),
	('6T', 5813, 'MDL', 3222, 'NYU', 4001, '', 0, 'ATR\r'),
	('6T', 5813, 'MDL', 3222, 'THL', 3237, '', 0, 'ATR\r'),
	('6T', 5813, 'MGZ', 3223, 'KAW', 6198, '', 0, 'ATR\r'),
	('6T', 5813, 'MGZ', 3223, 'TVY', 6197, '', 0, 'ATR\r'),
	('6T', 5813, 'NYU', 4001, 'MDL', 3222, '', 0, 'ATR\r'),
	('6T', 5813, 'NYU', 4001, 'RGN', 3239, '', 0, 'ATR\r'),
	('6T', 5813, 'RGN', 3239, 'AKY', 3235, '', 0, 'ATR\r'),
	('6T', 5813, 'RGN', 3239, 'HEH', 3213, '', 0, 'ATR\r'),
	('6T', 5813, 'RGN', 3239, 'NYU', 4001, '', 0, 'ATR\r'),
	('6T', 5813, 'RGN', 3239, 'SNW', 3236, '', 0, 'ATR\r'),
	('6T', 5813, 'RGN', 3239, 'TVY', 6197, '', 0, 'ATR\r'),
	('6T', 5813, 'SNW', 3236, 'AKY', 3235, '', 0, 'ATR\r'),
	('6T', 5813, 'SNW', 3236, 'RGN', 3239, '', 0, 'ATR\r'),
	('6T', 5813, 'THL', 3237, 'MDL', 3222, '', 0, 'ATR\r'),
	('6T', 5813, 'TVY', 6197, 'MGZ', 3223, '', 0, 'ATR\r'),
	('6T', 5813, 'TVY', 6197, 'RGN', 3239, '', 0, 'ATR\r'),
	('6W', 4805, 'DME', 4029, 'RTW', 4363, '', 0, 'YK2 E90\r'),
	('6W', 4805, 'EVN', 3964, 'RTW', 4363, '', 0, 'YK2\r'),
	('6W', 4805, 'MRV', 2962, 'RTW', 4363, '', 0, 'YK2\r'),
	('6W', 4805, 'PRG', 1587, 'RTW', 4363, '', 0, 'E90\r'),
	('6W', 4805, 'RTW', 4363, 'DME', 4029, '', 0, 'E90 YK2\r'),
	('6W', 4805, 'RTW', 4363, 'EVN', 3964, '', 0, 'YK2\r'),
	('6W', 4805, 'RTW', 4363, 'MRV', 2962, '', 0, 'YK2\r'),
	('6W', 4805, 'RTW', 4363, 'PRG', 1587, '', 0, 'E90\r'),
	('6W', 4805, 'RTW', 4363, 'SVX', 2975, '', 0, 'YK2\r'),
	('6W', 4805, 'SVX', 2975, 'RTW', 4363, '', 0, 'YK2\r'),
	('6Y', 11814, 'RIX', 3953, 'TFS', 1056, '', 0, '320\r'),
	('6Y', 11814, 'TFS', 1056, 'RIX', 3953, '', 0, '320\r'),
	('7C', 2994, 'BKK', 3885, 'ICN', 3930, '', 0, '737\r'),
	('7C', 2994, 'BKK', 3885, 'PUS', 2372, '', 0, '737\r'),
	('7C', 2994, 'CEB', 4206, 'ICN', 3930, '', 0, '737\r'),
	('7C', 2994, 'CEB', 4206, 'PUS', 2372, '', 0, '737\r'),
	('7C', 2994, 'CJJ', 6008, 'CJU', 2370, '', 0, '737\r'),
	('7C', 2994, 'CJU', 2370, 'CJJ', 6008, '', 0, '737\r'),
	('7C', 2994, 'CJU', 2370, 'GMP', 2378, '', 0, '737\r'),
	('7C', 2994, 'CJU', 2370, 'PUS', 2372, '', 0, '737\r'),
	('7C', 2994, 'FUK', 2305, 'ICN', 3930, '', 0, '737\r'),
	('7C', 2994, 'GMP', 2378, 'CJU', 2370, '', 0, '737 738\r'),
	('7C', 2994, 'GMP', 2378, 'KIX', 3992, '', 0, '737\r'),
	('7C', 2994, 'GMP', 2378, 'NGO', 3942, '', 0, '737\r'),
	('7C', 2994, 'GUM', 2246, 'ICN', 3930, '', 0, '737\r'),
	('7C', 2994, 'HKG', 3077, 'ICN', 3930, '', 0, '737\r'),
	('7C', 2994, 'ICN', 3930, 'BKK', 3885, '', 0, '737\r'),
	('7C', 2994, 'ICN', 3930, 'CEB', 4206, '', 0, '737\r'),
	('7C', 2994, 'ICN', 3930, 'FUK', 2305, '', 0, '737\r'),
	('7C', 2994, 'ICN', 3930, 'GUM', 2246, '', 0, '737\r'),
	('7C', 2994, 'ICN', 3930, 'HKG', 3077, '', 0, '737\r'),
	('7C', 2994, 'ICN', 3930, 'KIX', 3992, '', 0, '737\r'),
	('7C', 2994, 'ICN', 3930, 'MNL', 2397, '', 0, '737\r'),
	('7C', 2994, 'ICN', 3930, 'NGO', 3942, '', 0, '737\r'),
	('7C', 2994, 'ICN', 3930, 'NRT', 2279, '', 0, '737\r'),
	('7C', 2994, 'ICN', 3930, 'TAO', 3390, '', 0, '737\r'),
	('7C', 2994, 'KIX', 3992, 'GMP', 2378, '', 0, '737\r'),
	('7C', 2994, 'KIX', 3992, 'ICN', 3930, '', 0, '737\r'),
	('7C', 2994, 'MNL', 2397, 'ICN', 3930, '', 0, '737\r'),
	('7C', 2994, 'NGO', 3942, 'GMP', 2378, '', 0, '737\r'),
	('7C', 2994, 'NGO', 3942, 'ICN', 3930, '', 0, '737\r'),
	('7C', 2994, 'NRT', 2279, 'ICN', 3930, '', 0, '737\r'),
	('7C', 2994, 'PUS', 2372, 'BKK', 3885, '', 0, '737\r'),
	('7C', 2994, 'PUS', 2372, 'CJU', 2370, '', 0, '737\r'),
	('7C', 2994, 'TAO', 3390, 'ICN', 3930, '', 0, '737\r'),
	('7E', 563, 'GWT', 410, 'HAM', 342, '', 0, 'CNA\r'),
	('7E', 563, 'HAM', 342, 'GWT', 410, '', 0, 'CNA\r'),
	('7F', 2354, 'YAB', 8225, 'YFB', 55, '', 0, 'AT4\r'),
	('7F', 2354, 'YAB', 8225, 'YRB', 128, '', 0, 'AT4\r'),
	('7F', 2354, 'YBK', 29, 'YRT', 132, '', 0, 'AT4\r'),
	('7F', 2354, 'YBK', 29, 'YUT', 147, '', 0, 'AT4\r'),
	('7F', 2354, 'YCB', 32, 'YCO', 37, '', 0, 'AT7\r'),
	('7F', 2354, 'YCB', 32, 'YHK', 69, '', 0, 'AT7\r'),
	('7F', 2354, 'YCB', 32, 'YZF', 196, '', 0, 'AT7 73M\r'),
	('7F', 2354, 'YCO', 37, 'YCB', 32, '', 0, 'AT7\r'),
	('7F', 2354, 'YCO', 37, 'YHI', 68, '', 0, 'AT7\r'),
	('7F', 2354, 'YCO', 37, 'YZF', 196, '', 0, 'AT7\r'),
	('7F', 2354, 'YCS', 5487, 'YRT', 132, '', 0, 'AT4\r'),
	('7F', 2354, 'YCS', 5487, 'YZS', 41, '', 0, 'AT4\r'),
	('7F', 2354, 'YCY', 40, 'YFB', 55, '', 0, 'AT4\r'),
	('7F', 2354, 'YCY', 40, 'YIO', 75, '', 0, 'AT4\r'),
	('7F', 2354, 'YEG', 49, 'YZF', 196, '', 0, '73M 737\r'),
	('7F', 2354, 'YEK', 50, 'YRT', 132, '', 0, 'AT4\r'),
	('7F', 2354, 'YEK', 50, 'YXN', 5534, '', 0, 'AT4\r'),
	('7F', 2354, 'YEV', 54, 'YVQ', 155, '', 0, '73M\r'),
	('7F', 2354, 'YFB', 55, 'YAB', 8225, '', 0, 'AT4\r'),
	('7F', 2354, 'YFB', 55, 'YCY', 40, '', 0, 'AT4\r'),
	('7F', 2354, 'YFB', 55, 'YGT', 5495, '', 0, 'AT4\r'),
	('7F', 2354, 'YFB', 55, 'YLC', 5509, 'Y', 0, 'DHT\r'),
	('7F', 2354, 'YFB', 55, 'YOW', 100, '', 0, '73M\r'),
	('7F', 2354, 'YFB', 55, 'YRT', 132, '', 0, '73M\r'),
	('7F', 2354, 'YFB', 55, 'YTE', 140, '', 0, 'AT4\r'),
	('7F', 2354, 'YFB', 55, 'YUX', 148, '', 0, 'AT4\r'),
	('7F', 2354, 'YFB', 55, 'YVP', 154, '', 0, '73M\r'),
	('7F', 2354, 'YFB', 55, 'YXP', 170, '', 0, 'AT4\r'),
	('7F', 2354, 'YFS', 60, 'YZF', 196, '', 0, 'AT4 AT7\r'),
	('7F', 2354, 'YGT', 5495, 'YFB', 55, '', 0, 'AT4\r'),
	('7F', 2354, 'YGT', 5495, 'YUX', 148, '', 0, 'AT4\r'),
	('7F', 2354, 'YHI', 68, 'YCO', 37, '', 0, 'AT7\r'),
	('7F', 2354, 'YHK', 69, 'YCB', 32, '', 0, 'AT7\r'),
	('7F', 2354, 'YHK', 69, 'YYH', 183, '', 0, 'AT7\r'),
	('7F', 2354, 'YHY', 72, 'YZF', 196, '', 0, 'AT4 AT7\r'),
	('7F', 2354, 'YIO', 75, 'YCY', 40, '', 0, 'AT4\r'),
	('7F', 2354, 'YLC', 5509, 'YFB', 55, 'Y', 0, 'DHT\r'),
	('7F', 2354, 'YOW', 100, 'YFB', 55, '', 0, '73M\r'),
	('7F', 2354, 'YRB', 128, 'YAB', 8225, '', 0, 'AT4\r'),
	('7F', 2354, 'YRT', 132, 'YBK', 29, '', 0, 'AT4\r'),
	('7F', 2354, 'YRT', 132, 'YCS', 5487, '', 0, 'AT4\r'),
	('7F', 2354, 'YRT', 132, 'YEK', 50, '', 0, 'AT4\r'),
	('7F', 2354, 'YRT', 132, 'YFB', 55, '', 0, '73M\r'),
	('7F', 2354, 'YRT', 132, 'YWG', 160, '', 0, '73M AT4\r'),
	('7F', 2354, 'YRT', 132, 'YXN', 5534, '', 0, 'AT4\r'),
	('7F', 2354, 'YRT', 132, 'YZF', 196, '', 0, '73M\r'),
	('7F', 2354, 'YTE', 140, 'YFB', 55, '', 0, 'AT4\r'),
	('7F', 2354, 'YTE', 140, 'YZS', 41, '', 0, 'AT4\r'),
	('7F', 2354, 'YUL', 146, 'YVP', 154, '', 0, '73M\r'),
	('7F', 2354, 'YUT', 147, 'YBK', 29, '', 0, 'AT4\r'),
	('7F', 2354, 'YUX', 148, 'YFB', 55, '', 0, 'AT4\r'),
	('7F', 2354, 'YUX', 148, 'YGT', 5495, '', 0, 'AT4\r'),
	('7F', 2354, 'YVM', 152, 'YXP', 170, '', 0, 'AT4\r'),
	('7F', 2354, 'YVP', 154, 'YFB', 55, '', 0, '73M\r'),
	('7F', 2354, 'YVP', 154, 'YUL', 146, '', 0, '73M\r'),
	('7F', 2354, 'YVQ', 155, 'YEV', 54, '', 0, '73M\r'),
	('7F', 2354, 'YVQ', 155, 'YZF', 196, '', 0, '73M\r'),
	('7F', 2354, 'YWG', 160, 'YRT', 132, '', 0, '73M AT4\r'),
	('7F', 2354, 'YXN', 5534, 'YEK', 50, '', 0, 'AT4\r'),
	('7F', 2354, 'YXN', 5534, 'YRT', 132, '', 0, 'AT4\r'),
	('7F', 2354, 'YXP', 170, 'YFB', 55, '', 0, 'AT4\r'),
	('7F', 2354, 'YXP', 170, 'YVM', 152, '', 0, 'AT4\r'),
	('7F', 2354, 'YYH', 183, 'YHK', 69, '', 0, 'AT7\r'),
	('7F', 2354, 'YYH', 183, 'YZF', 196, '', 0, 'AT7\r'),
	('7F', 2354, 'YZF', 196, 'YCB', 32, '', 0, '73M AT7\r'),
	('7F', 2354, 'YZF', 196, 'YCO', 37, '', 0, 'AT7\r'),
	('7F', 2354, 'YZF', 196, 'YEG', 49, '', 0, '73M 737\r'),
	('7F', 2354, 'YZF', 196, 'YFS', 60, '', 0, 'AT4 AT7\r'),
	('7F', 2354, 'YZF', 196, 'YHK', 69, '', 0, 'AT7 AT4\r'),
	('7F', 2354, 'YZF', 196, 'YHY', 72, '', 0, 'AT4 AT7\r'),
	('7F', 2354, 'YZF', 196, 'YRT', 132, '', 0, '73M\r'),
	('7F', 2354, 'YZF', 196, 'YVQ', 155, '', 0, '73M\r'),
	('7F', 2354, 'YZS', 41, 'YCS', 5487, '', 0, 'AT4\r'),
	('7F', 2354, 'YZS', 41, 'YTE', 140, '', 0, 'AT4\r'),
	('7G', 4388, 'FUK', 2305, 'HND', 2359, '', 0, '320\r'),
	('7G', 4388, 'HND', 2359, 'FUK', 2305, '', 0, '320\r'),
	('7G', 4388, 'HND', 2359, 'KIX', 3992, '', 0, '320\r'),
	('7G', 4388, 'HND', 2359, 'KKJ', 2311, '', 0, '320\r'),
	('7G', 4388, 'KIX', 3992, 'HND', 2359, '', 0, '320\r'),
	('7G', 4388, 'KKJ', 2311, 'HND', 2359, '', 0, '320\r'),
	('7H', 16726, 'ABL', 7177, 'OTZ', 3693, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'ABL', 7177, 'SHG', 7117, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'ADQ', 3531, 'ANC', 3774, '', 0, 'DH8 BE1\r'),
	('7H', 16726, 'AIN', 7220, 'ATK', 6714, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'AIN', 7220, 'BRW', 3571, 'Y', 0, 'BE1 CNC\r'),
	('7H', 16726, 'AKI', 7217, 'TLT', 7218, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'ANC', 3774, 'ADQ', 3531, '', 0, 'DH8 BE1\r'),
	('7H', 16726, 'ANC', 3774, 'ANI', 5967, '', 0, 'BE1 DH8\r'),
	('7H', 16726, 'ANC', 3774, 'BET', 3599, '', 0, 'DH8\r'),
	('7H', 16726, 'ANC', 3774, 'CDV', 3610, '', 0, 'BE1\r'),
	('7H', 16726, 'ANC', 3774, 'ENA', 3628, '', 0, 'BE1 DH8\r'),
	('7H', 16726, 'ANC', 3774, 'FAI', 3832, '', 0, 'DH8 BE1\r'),
	('7H', 16726, 'ANC', 3774, 'HOM', 3664, '', 0, 'BE1 DH8\r'),
	('7H', 16726, 'ANC', 3774, 'KSM', 6718, '', 0, 'DH8\r'),
	('7H', 16726, 'ANC', 3774, 'UNK', 7088, '', 0, 'DH8\r'),
	('7H', 16726, 'ANC', 3774, 'VDZ', 3865, '', 0, 'DH8 BE1\r'),
	('7H', 16726, 'ANI', 5967, 'ANC', 3774, '', 0, 'BE1 DH8\r'),
	('7H', 16726, 'ANI', 5967, 'CHU', 7091, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'ANI', 5967, 'HCR', 5962, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'ANI', 5967, 'KLG', 5964, 'Y', 0, 'CNA CNC\r'),
	('7H', 16726, 'ANI', 5967, 'RSH', 7098, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'ANI', 5967, 'SHX', 7090, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'ANV', 6713, 'HCR', 5962, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'ANV', 6713, 'KGX', 7219, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'ATK', 6714, 'AIN', 7220, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'ATK', 6714, 'BRW', 3571, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'ATT', 4385, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'AUK', 7199, 'EMK', 7087, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'AUK', 7199, 'SXP', 7200, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'ANC', 3774, '', 0, 'DH8\r'),
	('7H', 16726, 'BET', 3599, 'CYF', 6960, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'EEK', 7093, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'HPB', 6716, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'KKH', 7213, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'KLG', 5964, 'Y', 0, 'CNA CNC\r'),
	('7H', 16726, 'BET', 3599, 'KUK', 7094, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'KWK', 7096, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'KWN', 7206, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'KWT', 7095, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'MLL', 7097, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'NME', 8199, 'Y', 0, 'CNA CNC\r'),
	('7H', 16726, 'BET', 3599, 'OOK', 8200, 'Y', 0, 'CNA CNC\r'),
	('7H', 16726, 'BET', 3599, 'PQS', 7216, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'TLT', 7218, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'VAK', 5968, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BET', 3599, 'WTL', 7099, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'BKC', 7178, 'DRG', 6755, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'BKC', 7178, 'OTZ', 3693, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'BRW', 3571, 'AIN', 7220, 'Y', 0, 'BE1 CNC\r'),
	('7H', 16726, 'BRW', 3571, 'ATK', 6714, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'BRW', 3571, 'NUI', 7092, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'BRW', 3571, 'PIZ', 3414, 'Y', 0, 'CNC BE1\r'),
	('7H', 16726, 'BTI', 3411, 'FYU', 3420, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'BTI', 3411, 'SCC', 3620, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'CDV', 3610, 'ANC', 3774, '', 0, 'BE1\r'),
	('7H', 16726, 'CHU', 7091, 'CKD', 7238, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'CKD', 7238, 'RDV', 7239, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'CKD', 7238, 'SLQ', 7240, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'CYF', 6960, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'CYF', 6960, 'KPN', 7201, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'DRG', 6755, 'BKC', 7178, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'DRG', 6755, 'OTZ', 3693, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'EEK', 7093, 'KWN', 7206, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'ELI', 7184, 'KKA', 7190, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'ELI', 7184, 'OME', 3615, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'EMK', 7087, 'AUK', 7199, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'EMK', 7087, 'KOT', 7207, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'ENA', 3628, 'ANC', 3774, '', 0, 'BE1 DH8\r'),
	('7H', 16726, 'FAI', 3832, 'ANC', 3774, '', 0, 'DH8 BE1\r'),
	('7H', 16726, 'FAI', 3832, 'FYU', 3420, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'FAI', 3832, 'GAL', 3764, '', 0, 'BE1\r'),
	('7H', 16726, 'FAI', 3832, 'RBY', 6722, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'FAI', 3832, 'SCC', 3620, '', 0, 'DH8\r'),
	('7H', 16726, 'FYU', 3420, 'BTI', 3411, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'FYU', 3420, 'FAI', 3832, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'GAL', 3764, 'FAI', 3832, '', 0, 'BE1\r'),
	('7H', 16726, 'GAL', 3764, 'HSL', 7108, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'GAL', 3764, 'KAL', 6717, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'GAL', 3764, 'NUL', 7111, 'Y', 0, 'CNC BE1\r'),
	('7H', 16726, 'GAL', 3764, 'RBY', 6722, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'GAM', 6715, 'OME', 3615, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'GAM', 6715, 'SVA', 6724, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'GLV', 7185, 'OME', 3615, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'GLV', 7185, 'WMO', 7188, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'HCR', 5962, 'ANI', 5967, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'HCR', 5962, 'ANV', 6713, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'HOM', 3664, 'ANC', 3774, '', 0, 'BE1 DH8\r'),
	('7H', 16726, 'HPB', 6716, 'SCM', 7209, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'HPB', 6716, 'VAK', 5968, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'HSL', 7108, 'GAL', 3764, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'HSL', 7108, 'KYU', 7208, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'IAN', 7179, 'ORV', 7181, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'IAN', 7179, 'OTZ', 3693, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'KAL', 6717, 'GAL', 3764, 'Y', 0, 'CNC BE1\r'),
	('7H', 16726, 'KAL', 6717, 'NUL', 7111, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'KGX', 7219, 'ANV', 6713, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'KGX', 7219, 'SHX', 7090, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'KKA', 7190, 'ELI', 7184, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'KKA', 7190, 'SKK', 7192, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'KKA', 7190, 'UNK', 7088, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'KKH', 7213, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KKH', 7213, 'KWK', 7096, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KLG', 5964, 'ANI', 5967, 'Y', 0, 'CNA CNC\r'),
	('7H', 16726, 'KLG', 5964, 'BET', 3599, 'Y', 0, 'CNA CNC\r'),
	('7H', 16726, 'KLG', 5964, 'RSH', 7098, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KOT', 7207, 'EMK', 7087, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KOT', 7207, 'KSM', 6718, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KOT', 7207, 'WBB', 7193, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'KPN', 7201, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KPN', 7201, 'CYF', 6960, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KSM', 6718, 'ANC', 3774, '', 0, 'DH8\r'),
	('7H', 16726, 'KSM', 6718, 'KOT', 7207, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KSM', 6718, 'MOU', 5966, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KSM', 6718, 'SXP', 7200, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KTS', 7183, 'TLA', 7186, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'KTS', 7183, 'WAA', 7187, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'KUK', 7094, 'NUP', 7212, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KVL', 6719, 'OTZ', 3693, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'KWK', 7096, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KWK', 7096, 'KKH', 7213, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KWK', 7096, 'KPN', 7201, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KWN', 7206, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KWN', 7206, 'TOG', 6767, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KWT', 7095, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'KYU', 7208, 'GAL', 3764, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'MLL', 7097, 'RSH', 7098, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'MOU', 5966, 'KSM', 6718, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'MOU', 5966, 'PQS', 7216, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'MYU', 6720, 'BET', 3599, 'Y', 0, 'CNA CNC\r'),
	('7H', 16726, 'NME', 8199, 'OOK', 8200, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'NME', 8199, 'TNK', 8201, 'Y', 0, 'CNC CNA\r'),
	('7H', 16726, 'NUI', 7092, 'BRW', 3571, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'NUI', 7092, 'SCC', 3620, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'NUL', 7111, 'GAL', 3764, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'NUL', 7111, 'KAL', 6717, 'Y', 0, 'CNC BE1\r'),
	('7H', 16726, 'NUP', 7212, 'ATT', 4385, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'OBU', 7180, 'ABL', 7177, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OBU', 7180, 'OTZ', 3693, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OME', 3615, 'ELI', 7184, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'OME', 3615, 'GAM', 6715, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'OME', 3615, 'GLV', 7185, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'OME', 3615, 'KTS', 7183, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'OME', 3615, 'SHH', 6723, 'Y', 0, 'PAG CNT\r'),
	('7H', 16726, 'OME', 3615, 'SKK', 7192, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'OME', 3615, 'SVA', 6724, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'OME', 3615, 'TLA', 7186, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'OME', 3615, 'UNK', 7088, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OME', 3615, 'WAA', 7187, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'OME', 3615, 'WBB', 7193, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OME', 3615, 'WMO', 7188, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'OOK', 8200, 'MYU', 6720, 'Y', 0, 'CNC CNA\r'),
	('7H', 16726, 'OOK', 8200, 'TNK', 8201, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'ORV', 7181, 'IAN', 7179, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'ORV', 7181, 'OTZ', 3693, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OTZ', 3693, 'ABL', 7177, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OTZ', 3693, 'BKC', 7178, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OTZ', 3693, 'DRG', 6755, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OTZ', 3693, 'IAN', 7179, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OTZ', 3693, 'ORV', 7181, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OTZ', 3693, 'PHO', 6721, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OTZ', 3693, 'SHG', 7117, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OTZ', 3693, 'WLK', 7182, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'OTZ', 3693, 'WTK', 6725, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'PHO', 6721, 'OTZ', 3693, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'PHO', 6721, 'PIZ', 3414, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'PIZ', 3414, 'BRW', 3571, 'Y', 0, 'CNC BE1\r'),
	('7H', 16726, 'PIZ', 3414, 'PHO', 6721, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'PQS', 7216, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'PQS', 7216, 'MOU', 5966, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'RBY', 6722, 'FAI', 3832, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'RBY', 6722, 'GAL', 3764, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'RDV', 7239, 'SLQ', 7240, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'RSH', 7098, 'ANI', 5967, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'RSH', 7098, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'RSH', 7098, 'KLG', 5964, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'SCC', 3620, 'BTI', 3411, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'SCC', 3620, 'FAI', 3832, '', 0, 'DH8\r'),
	('7H', 16726, 'SCC', 3620, 'NUI', 7092, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'SCM', 7209, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'SHG', 7117, 'OBU', 7180, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'SHH', 6723, 'OME', 3615, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'SHH', 6723, 'WAA', 7187, 'Y', 0, 'CNT\r'),
	('7H', 16726, 'SHX', 7090, 'ANI', 5967, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'SHX', 7090, 'KGX', 7219, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'SKK', 7192, 'KKA', 7190, 'Y', 0, 'PAG CNC\r'),
	('7H', 16726, 'SKK', 7192, 'OME', 3615, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'SKK', 7192, 'UNK', 7088, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'SLQ', 7240, 'ANI', 5967, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'SLQ', 7240, 'SRV', 7241, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'SMK', 7191, 'UNK', 7088, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'SMK', 7191, 'WBB', 7193, 'Y', 0, 'CNA CNC\r'),
	('7H', 16726, 'SRV', 7241, 'ANI', 5967, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'SVA', 6724, 'GAM', 6715, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'SVA', 6724, 'OME', 3615, 'Y', 0, 'BE1\r'),
	('7H', 16726, 'SXP', 7200, 'AUK', 7199, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'SXP', 7200, 'KSM', 6718, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'TLA', 7186, 'KTS', 7183, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'TLA', 7186, 'OME', 3615, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'TLT', 7218, 'AKI', 7217, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'TLT', 7218, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'TNK', 8201, 'WWT', 8203, 'Y', 0, 'CNC CNA\r'),
	('7H', 16726, 'TOG', 6767, 'KWN', 7206, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'UNK', 7088, 'ANC', 3774, '', 0, 'DH8\r'),
	('7H', 16726, 'UNK', 7088, 'SKK', 7192, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'UNK', 7088, 'SMK', 7191, 'Y', 0, 'CNA CNC\r'),
	('7H', 16726, 'VAK', 5968, 'HPB', 6716, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'VAK', 5968, 'SCM', 7209, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'VDZ', 3865, 'ANC', 3774, '', 0, 'DH8 BE1\r'),
	('7H', 16726, 'WAA', 7187, 'KTS', 7183, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'WAA', 7187, 'OME', 3615, 'Y', 0, 'PAG CNT\r'),
	('7H', 16726, 'WBB', 7193, 'KOT', 7207, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'WBB', 7193, 'OME', 3615, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'WBB', 7193, 'SMK', 7191, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'WBB', 7193, 'UNK', 7088, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'WLK', 7182, 'OTZ', 3693, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'WMO', 7188, 'GLV', 7185, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'WMO', 7188, 'OME', 3615, 'Y', 0, 'PAG\r'),
	('7H', 16726, 'WTK', 6725, 'KVL', 6719, 'Y', 0, 'CNC\r'),
	('7H', 16726, 'WTL', 7099, 'BET', 3599, 'Y', 0, 'CNA\r'),
	('7H', 16726, 'WWT', 8203, 'BET', 3599, 'Y', 0, 'CNA CNC\r'),
	('7I', 18944, 'AUA', 2895, 'CCS', 2851, '', 0, 'M83\r'),
	('7I', 18944, 'AUA', 2895, 'CUR', 2897, '', 0, 'M83 F50\r'),
	('7I', 18944, 'AUA', 2895, 'LRM', 1759, '', 0, 'M83\r'),
	('7I', 18944, 'AUA', 2895, 'MIA', 3576, '', 0, 'M83\r'),
	('7I', 18944, 'AUA', 2895, 'VLN', 2868, '', 0, 'M83\r'),
	('7I', 18944, 'BON', 2896, 'AUA', 2895, '', 0, 'M83\r'),
	('7I', 18944, 'BON', 2896, 'CUR', 2897, '', 0, 'F50 M83\r'),
	('7I', 18944, 'BRM', 2824, 'CUR', 2897, '', 0, 'M83 F50\r'),
	('7I', 18944, 'CCS', 2851, 'AUA', 2895, '', 0, 'M83\r'),
	('7I', 18944, 'CCS', 2851, 'CUR', 2897, '', 0, 'M83 F50\r'),
	('7I', 18944, 'CLT', 3876, 'CUR', 2897, '', 0, 'M83\r'),
	('7I', 18944, 'CUR', 2897, 'AUA', 2895, '', 0, 'M83 F50\r'),
	('7I', 18944, 'CUR', 2897, 'BON', 2896, '', 0, 'F50 M83\r'),
	('7I', 18944, 'CUR', 2897, 'BRM', 2824, '', 0, 'M83 F50\r'),
	('7I', 18944, 'CUR', 2897, 'CCS', 2851, '', 0, 'M83 F50\r'),
	('7I', 18944, 'CUR', 2897, 'CLT', 3876, '', 0, 'M83\r'),
	('7I', 18944, 'CUR', 2897, 'KIN', 1779, '', 0, 'F50\r'),
	('7I', 18944, 'CUR', 2897, 'LSP', 2844, '', 0, 'F50\r'),
	('7I', 18944, 'CUR', 2897, 'MAR', 2848, '', 0, 'M83\r'),
	('7I', 18944, 'CUR', 2897, 'MDE', 2745, '', 0, 'M83\r'),
	('7I', 18944, 'CUR', 2897, 'MIA', 3576, '', 0, 'M83\r'),
	('7I', 18944, 'CUR', 2897, 'PBM', 2773, '', 0, 'M83\r'),
	('7I', 18944, 'CUR', 2897, 'POS', 2902, '', 0, '733\r'),
	('7I', 18944, 'CUR', 2897, 'SDQ', 1762, '', 0, 'M83\r'),
	('7I', 18944, 'CUR', 2897, 'SXM', 2899, '', 0, 'M83\r'),
	('7I', 18944, 'CUR', 2897, 'VLN', 2868, '', 0, 'M83\r'),
	('7I', 18944, 'KIN', 1779, 'CUR', 2897, '', 0, 'F50\r'),
	('7I', 18944, 'LRM', 1759, 'AUA', 2895, '', 0, 'M83\r'),
	('7I', 18944, 'LSP', 2844, 'CUR', 2897, '', 0, 'F50\r'),
	('7I', 18944, 'MAR', 2848, 'CUR', 2897, '', 0, 'M83\r'),
	('7I', 18944, 'MDE', 2745, 'CUR', 2897, '', 0, 'M83\r'),
	('7I', 18944, 'MIA', 3576, 'AUA', 2895, '', 0, 'M83\r'),
	('7I', 18944, 'MIA', 3576, 'CUR', 2897, '', 0, 'M83\r'),
	('7I', 18944, 'PAP', 1897, 'SXM', 2899, '', 0, 'M83\r'),
	('7I', 18944, 'PBM', 2773, 'CUR', 2897, '', 0, 'M83\r'),
	('7I', 18944, 'PBM', 2773, 'POS', 2902, '', 0, '733\r'),
	('7I', 18944, 'POS', 2902, 'CUR', 2897, '', 0, '733\r'),
	('7I', 18944, 'POS', 2902, 'PBM', 2773, '', 0, '733\r'),
	('7I', 18944, 'SDQ', 1762, 'CUR', 2897, '', 0, 'M83\r'),
	('7I', 18944, 'SDQ', 1762, 'SXM', 2899, '', 0, 'M83\r'),
	('7I', 18944, 'SXM', 2899, 'CUR', 2897, '', 0, 'M83\r'),
	('7I', 18944, 'SXM', 2899, 'PAP', 1897, '', 0, 'M83\r'),
	('7I', 18944, 'SXM', 2899, 'SDQ', 1762, '', 0, 'M83\r'),
	('7I', 18944, 'VLN', 2868, 'AUA', 2895, '', 0, 'M83\r'),
	('7I', 18944, 'VLN', 2868, 'CUR', 2897, '', 0, 'M83\r'),
	('7J', 9531, 'AER', 2965, 'DYU', 2979, '', 0, '735\r'),
	('7J', 9531, 'ALA', 2908, 'DYU', 2979, '', 0, 'MA6\r'),
	('7J', 9531, 'DEL', 3093, 'DYU', 2979, '', 0, '735\r'),
	('7J', 9531, 'DME', 4029, 'DYU', 2979, '', 0, '752\r'),
	('7J', 9531, 'DME', 4029, 'LBD', 6147, '', 0, '735\r'),
	('7J', 9531, 'DYU', 2979, 'AER', 2965, '', 0, '735\r'),
	('7J', 9531, 'DYU', 2979, 'ALA', 2908, '', 0, 'MA6\r'),
	('7J', 9531, 'DYU', 2979, 'DEL', 3093, '', 0, '735\r'),
	('7J', 9531, 'DYU', 2979, 'DME', 4029, '', 0, '752\r'),
	('7J', 9531, 'DYU', 2979, 'FRU', 2912, '', 0, 'MA6\r'),
	('7J', 9531, 'DYU', 2979, 'IKA', 4330, '', 0, '735\r'),
	('7J', 9531, 'DYU', 2979, 'IST', 1701, '', 0, '735\r'),
	('7J', 9531, 'DYU', 2979, 'LED', 2948, '', 0, '735\r'),
	('7J', 9531, 'DYU', 2979, 'OVB', 4078, '', 0, '735\r'),
	('7J', 9531, 'DYU', 2979, 'SGC', 2974, '', 0, '735\r'),
	('7J', 9531, 'DYU', 2979, 'SHJ', 2191, '', 0, '735\r'),
	('7J', 9531, 'DYU', 2979, 'SVX', 2975, '', 0, '735\r'),
	('7J', 9531, 'DYU', 2979, 'URC', 3399, '', 0, '752\r'),
	('7J', 9531, 'FRU', 2912, 'DYU', 2979, '', 0, 'MA6\r'),
	('7J', 9531, 'IKA', 4330, 'DYU', 2979, '', 0, '735\r'),
	('7J', 9531, 'IST', 1701, 'DYU', 2979, '', 0, '735\r'),
	('7J', 9531, 'LBD', 6147, 'DME', 4029, '', 0, '733\r'),
	('7J', 9531, 'LBD', 6147, 'LED', 2948, '', 0, '733\r'),
	('7J', 9531, 'LBD', 6147, 'OVB', 4078, '', 0, '733\r'),
	('7J', 9531, 'LBD', 6147, 'SGC', 2974, '', 0, '733\r'),
	('7J', 9531, 'LED', 2948, 'DYU', 2979, '', 0, '735\r'),
	('7J', 9531, 'LED', 2948, 'LBD', 6147, '', 0, '735\r'),
	('7J', 9531, 'OVB', 4078, 'DYU', 2979, '', 0, '735\r'),
	('7J', 9531, 'OVB', 4078, 'LBD', 6147, '', 0, '735\r'),
	('7J', 9531, 'SGC', 2974, 'DYU', 2979, '', 0, '735\r'),
	('7J', 9531, 'SGC', 2974, 'LBD', 6147, '', 0, '735\r'),
	('7J', 9531, 'SHJ', 2191, 'DYU', 2979, '', 0, '735\r'),
	('7J', 9531, 'SVX', 2975, 'DYU', 2979, '', 0, '735\r'),
	('7J', 9531, 'URC', 3399, 'DYU', 2979, '', 0, '752\r'),
	('7M', 16615, 'CUN', 1852, 'CZM', 1800, '', 0, 'D28 CNA\r'),
	('7M', 16615, 'CUN', 1852, 'MID', 1819, '', 0, 'D28\r'),
	('7M', 16615, 'CZM', 1800, 'CUN', 1852, '', 0, 'CNA D28\r'),
	('7M', 16615, 'MID', 1819, 'CUN', 1852, '', 0, 'D28\r'),
	('7M', 16615, 'MID', 1819, 'VSA', 1853, '', 0, 'D28\r'),
	('7M', 16615, 'VER', 1854, 'VSA', 1853, '', 0, 'D28\r'),
	('7M', 16615, 'VSA', 1853, 'MID', 1819, '', 0, 'D28\r'),
	('7M', 16615, 'VSA', 1853, 'VER', 1854, '', 0, 'D28\r'),
	('7P', 1500, 'ACU', 8204, 'PAC', 1869, '', 0, 'DHT\r'),
	('7P', 1500, 'BFQ', 5955, 'JQE', 5840, '', 0, 'DHT\r'),
	('7P', 1500, 'BOC', 1865, 'PAC', 1869, '', 0, 'F50\r'),
	('7P', 1500, 'CHX', 1866, 'BOC', 1865, '', 0, 'F50\r'),
	('7P', 1500, 'DAV', 1867, 'PAC', 1869, '', 0, '100 F50\r'),
	('7P', 1500, 'DAV', 1867, 'SJO', 1885, '', 0, 'F50\r'),
	('7P', 1500, 'GHE', 8206, 'PAC', 1869, '', 0, 'BNI\r'),
	('7P', 1500, 'JQE', 5840, 'PAC', 1869, '', 0, 'DHT\r'),
	('7P', 1500, 'MPP', 8207, 'PAC', 1869, '', 0, 'DHT\r'),
	('7P', 1500, 'OTD', 5957, 'SIC', 6783, '', 0, 'DHT\r'),
	('7P', 1500, 'PAC', 1869, 'BFQ', 5955, '', 0, 'DHT\r'),
	('7P', 1500, 'PAC', 1869, 'BOC', 1865, '', 0, 'F50\r'),
	('7P', 1500, 'PAC', 1869, 'CHX', 1866, '', 0, 'F50\r'),
	('7P', 1500, 'PAC', 1869, 'DAV', 1867, '', 0, '100 F50\r'),
	('7P', 1500, 'PAC', 1869, 'OTD', 5957, '', 0, 'DHT\r'),
	('7P', 1500, 'PAC', 1869, 'PUE', 7962, '', 0, 'DHT\r'),
	('7P', 1500, 'PAC', 1869, 'PVE', 7901, '', 0, 'DHT\r'),
	('7P', 1500, 'PAC', 1869, 'PYC', 7895, '', 0, 'DHT\r'),
	('7P', 1500, 'PAC', 1869, 'SAX', 5958, '', 0, 'BNI\r'),
	('7P', 1500, 'PUE', 7962, 'PAC', 1869, '', 0, 'DHT\r'),
	('7P', 1500, 'PYC', 7895, 'ACU', 8204, '', 0, 'DHT\r'),
	('7P', 1500, 'SAX', 5958, 'GHE', 8206, '', 0, 'BNI\r'),
	('7P', 1500, 'SIC', 6783, 'PAC', 1869, '', 0, 'DHT\r'),
	('7P', 1500, 'SJO', 1885, 'DAV', 1867, '', 0, 'F50\r'),
	('7R', 1469, 'AKX', 2920, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'CSY', 6162, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'CSY', 6162, 'LED', 2948, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'AKX', 2920, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'CSY', 6162, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'EGO', 6156, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'ESL', 6125, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'GRV', 6122, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'IJK', 6141, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'MCX', 2961, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'PES', 6114, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'PEZ', 6165, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'SKX', 6166, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'ULV', 7003, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'VKT', 6159, '', 0, 'CR2\r'),
	('7R', 1469, 'DME', 4029, 'VOZ', 2987, '', 0, 'CR2\r'),
	('7R', 1469, 'EGO', 6156, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'EGO', 6156, 'KUF', 4118, '', 0, 'CR2\r'),
	('7R', 1469, 'EGO', 6156, 'ROV', 2964, '', 0, 'CR2\r'),
	('7R', 1469, 'ESL', 6125, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'EVN', 3964, 'VOG', 2967, '', 0, 'CR2\r'),
	('7R', 1469, 'GRV', 6122, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'IAR', 6940, 'LED', 2948, '', 0, 'CR2\r'),
	('7R', 1469, 'IJK', 6141, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'KRO', 6146, 'SVX', 2975, '', 0, 'EM2\r'),
	('7R', 1469, 'KRR', 2960, 'VOG', 2967, '', 0, 'CR2\r'),
	('7R', 1469, 'KRR', 2960, 'VOZ', 2987, '', 0, 'CR2\r'),
	('7R', 1469, 'KUF', 4118, 'EGO', 6156, '', 0, 'CR2\r'),
	('7R', 1469, 'KUF', 4118, 'SVX', 2975, '', 0, 'CR2\r'),
	('7R', 1469, 'KVX', 6142, 'LED', 2948, '', 0, 'CR2\r'),
	('7R', 1469, 'LED', 2948, 'CSY', 6162, '', 0, 'CR2\r'),
	('7R', 1469, 'LED', 2948, 'IAR', 6940, '', 0, 'CR2\r'),
	('7R', 1469, 'LED', 2948, 'KVX', 6142, '', 0, 'CR2\r'),
	('7R', 1469, 'LED', 2948, 'MCX', 2961, '', 0, 'CR2\r'),
	('7R', 1469, 'LED', 2948, 'SKX', 6166, '', 0, 'CR2\r'),
	('7R', 1469, 'LED', 2948, 'VOG', 2967, '', 0, 'CR2\r'),
	('7R', 1469, 'LED', 2948, 'VOZ', 2987, '', 0, 'CR2\r'),
	('7R', 1469, 'MCX', 2961, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'MCX', 2961, 'LED', 2948, '', 0, 'CR2\r'),
	('7R', 1469, 'MQF', 2969, 'SVX', 2975, '', 0, 'EM2\r'),
	('7R', 1469, 'MRV', 2962, 'SAW', 4317, '', 0, 'CR2\r'),
	('7R', 1469, 'NUX', 4364, 'SVX', 2975, '', 0, 'CR2\r'),
	('7R', 1469, 'OVB', 4078, 'SVX', 2975, '', 0, 'CR2\r'),
	('7R', 1469, 'PES', 6114, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'PEZ', 6165, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'ROV', 2964, 'EGO', 6156, '', 0, 'CR2\r'),
	('7R', 1469, 'ROV', 2964, 'VOG', 2967, '', 0, 'CR2\r'),
	('7R', 1469, 'SAW', 4317, 'MRV', 2962, '', 0, 'CR2\r'),
	('7R', 1469, 'SCW', 2989, 'SVX', 2975, '', 0, 'CR2\r'),
	('7R', 1469, 'SKX', 6166, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'SKX', 6166, 'LED', 2948, '', 0, 'CR2\r'),
	('7R', 1469, 'SVX', 2975, 'KRO', 6146, '', 0, 'EM2\r'),
	('7R', 1469, 'SVX', 2975, 'KUF', 4118, '', 0, 'CR2\r'),
	('7R', 1469, 'SVX', 2975, 'MQF', 2969, '', 0, 'EM2\r'),
	('7R', 1469, 'SVX', 2975, 'NUX', 4364, '', 0, 'CR2\r'),
	('7R', 1469, 'SVX', 2975, 'OVB', 4078, '', 0, 'CR2\r'),
	('7R', 1469, 'SVX', 2975, 'SCW', 2989, '', 0, 'CR2\r'),
	('7R', 1469, 'SVX', 2975, 'UFA', 2992, '', 0, 'EM2\r'),
	('7R', 1469, 'SVX', 2975, 'ULV', 7003, '', 0, 'CR2\r'),
	('7R', 1469, 'SVX', 2975, 'URJ', 4377, '', 0, 'EM2\r'),
	('7R', 1469, 'UFA', 2992, 'SVX', 2975, '', 0, 'EM2\r'),
	('7R', 1469, 'ULV', 7003, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'ULV', 7003, 'SVX', 2975, '', 0, 'CR2\r'),
	('7R', 1469, 'URJ', 4377, 'SVX', 2975, '', 0, 'EM2\r'),
	('7R', 1469, 'VKT', 6159, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'VOG', 2967, 'EVN', 3964, '', 0, 'CR2\r'),
	('7R', 1469, 'VOG', 2967, 'KRR', 2960, '', 0, 'CR2\r'),
	('7R', 1469, 'VOG', 2967, 'LED', 2948, '', 0, 'CR2\r'),
	('7R', 1469, 'VOG', 2967, 'ROV', 2964, '', 0, 'CR2\r'),
	('7R', 1469, 'VOZ', 2987, 'DME', 4029, '', 0, 'CR2\r'),
	('7R', 1469, 'VOZ', 2987, 'KRR', 2960, '', 0, 'CR2\r'),
	('7R', 1469, 'VOZ', 2987, 'LED', 2948, '', 0, 'CR2\r'),
	('8B', 17408, 'BKK', 3885, 'CKG', 3393, '', 0, '763\r'),
	('8B', 17408, 'BKK', 3885, 'HKT', 3179, '', 0, '763\r'),
	('8B', 17408, 'BKK', 3885, 'ICN', 3930, '', 0, '763\r'),
	('8B', 17408, 'CKG', 3393, 'BKK', 3885, '', 0, '763\r'),
	('8B', 17408, 'CKG', 3393, 'HKT', 3179, '', 0, '763\r'),
	('8B', 17408, 'CNX', 3931, 'ICN', 3930, '', 0, '763\r'),
	('8B', 17408, 'HKT', 3179, 'BKK', 3885, '', 0, '763\r'),
	('8B', 17408, 'HKT', 3179, 'CKG', 3393, '', 0, '763\r'),
	('8B', 17408, 'HKT', 3179, 'ICN', 3930, '', 0, '763\r'),
	('8B', 17408, 'ICN', 3930, 'BKK', 3885, '', 0, '763\r'),
	('8B', 17408, 'ICN', 3930, 'CNX', 3931, '', 0, '763\r'),
	('8B', 17408, 'ICN', 3930, 'HKT', 3179, '', 0, '763\r'),
	('8D', 1109, 'ADQ', 3531, 'AKK', 7160, '', 0, 'CNA\r'),
	('8D', 1109, 'ADQ', 3531, 'KOZ', 7164, '', 0, 'CNA\r'),
	('8D', 1109, 'ADQ', 3531, 'OLH', 7163, '', 0, 'CNA\r'),
	('8D', 1109, 'ADQ', 3531, 'ORI', 7165, '', 0, 'CNA\r'),
	('8D', 1109, 'AKK', 7160, 'ADQ', 3531, '', 0, 'CNA\r'),
	('8D', 1109, 'KOZ', 7164, 'ADQ', 3531, '', 0, 'CNA\r'),
	('8D', 1109, 'OLH', 7163, 'ADQ', 3531, '', 0, 'CNA\r'),
	('8D', 1109, 'ORI', 7165, 'ADQ', 3531, '', 0, 'CNA\r'),
	('8E', 1472, 'ABL', 7177, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8E', 1472, 'ABL', 7177, 'SHG', 7117, '', 0, 'CNC\r'),
	('8E', 1472, 'BKC', 7178, 'DRG', 6755, '', 0, 'CNC\r'),
	('8E', 1472, 'BKC', 7178, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8E', 1472, 'DRG', 6755, 'BKC', 7178, '', 0, 'CNC\r'),
	('8E', 1472, 'DRG', 6755, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8E', 1472, 'ELI', 7184, 'GLV', 7185, '', 0, 'PA2\r'),
	('8E', 1472, 'ELI', 7184, 'KKA', 7190, '', 0, 'CNC\r'),
	('8E', 1472, 'ELI', 7184, 'OME', 3615, '', 0, 'CNC\r'),
	('8E', 1472, 'GAM', 6715, 'OME', 3615, '', 0, 'BE1\r'),
	('8E', 1472, 'GAM', 6715, 'SVA', 6724, '', 0, 'BE1\r'),
	('8E', 1472, 'GLV', 7185, 'ELI', 7184, '', 0, 'CNC\r'),
	('8E', 1472, 'GLV', 7185, 'WMO', 7188, '', 0, 'PA2\r'),
	('8E', 1472, 'IAN', 7179, 'ORV', 7181, '', 0, 'CNC\r'),
	('8E', 1472, 'IAN', 7179, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8E', 1472, 'KKA', 7190, 'OME', 3615, '', 0, 'CNC\r'),
	('8E', 1472, 'KKA', 7190, 'SKK', 7192, '', 0, 'CNC\r'),
	('8E', 1472, 'KTS', 7183, 'OME', 3615, '', 0, 'CNC\r'),
	('8E', 1472, 'KTS', 7183, 'WAA', 7187, '', 0, 'CNC\r'),
	('8E', 1472, 'KVL', 6719, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8E', 1472, 'KVL', 6719, 'PHO', 6721, '', 0, 'CNC\r'),
	('8E', 1472, 'LUR', 3413, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8E', 1472, 'OBU', 7180, 'ABL', 7177, '', 0, 'CNC\r'),
	('8E', 1472, 'OBU', 7180, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8E', 1472, 'OME', 3615, 'ELI', 7184, '', 0, 'PA2\r'),
	('8E', 1472, 'OME', 3615, 'GAM', 6715, '', 0, 'BE1\r'),
	('8E', 1472, 'OME', 3615, 'KKA', 7190, '', 0, 'CNC\r'),
	('8E', 1472, 'OME', 3615, 'OTZ', 3693, '', 0, 'PA2\r'),
	('8E', 1472, 'OME', 3615, 'SHH', 6723, '', 0, 'BE1\r'),
	('8E', 1472, 'OME', 3615, 'SVA', 6724, '', 0, 'BE1\r'),
	('8E', 1472, 'OME', 3615, 'TLA', 7186, '', 0, 'CNC\r'),
	('8E', 1472, 'OME', 3615, 'TNC', 7194, '', 0, 'CNC\r'),
	('8E', 1472, 'OME', 3615, 'UNK', 7088, '', 0, 'PA2\r'),
	('8E', 1472, 'OME', 3615, 'WBB', 7193, '', 0, 'BE1\r'),
	('8E', 1472, 'OME', 3615, 'WMO', 7188, '', 0, 'CNC\r'),
	('8E', 1472, 'ORV', 7181, 'IAN', 7179, '', 0, 'CNC\r'),
	('8E', 1472, 'ORV', 7181, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8E', 1472, 'OTZ', 3693, 'ABL', 7177, '', 0, 'CNC\r'),
	('8E', 1472, 'OTZ', 3693, 'BKC', 7178, '', 0, 'CNC\r'),
	('8E', 1472, 'OTZ', 3693, 'DRG', 6755, '', 0, 'CNC\r'),
	('8E', 1472, 'OTZ', 3693, 'IAN', 7179, '', 0, 'CNC\r'),
	('8E', 1472, 'OTZ', 3693, 'KVL', 6719, '', 0, 'CNC\r'),
	('8E', 1472, 'OTZ', 3693, 'OME', 3615, '', 0, 'PA2\r'),
	('8E', 1472, 'OTZ', 3693, 'ORV', 7181, '', 0, 'CNC\r'),
	('8E', 1472, 'OTZ', 3693, 'PHO', 6721, '', 0, 'CNC\r'),
	('8E', 1472, 'OTZ', 3693, 'SHG', 7117, '', 0, 'CNC\r'),
	('8E', 1472, 'OTZ', 3693, 'WLK', 7182, '', 0, 'CNC\r'),
	('8E', 1472, 'OTZ', 3693, 'WTK', 6725, '', 0, 'CNC\r'),
	('8E', 1472, 'PHO', 6721, 'LUR', 3413, '', 0, 'CNC\r'),
	('8E', 1472, 'PHO', 6721, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8E', 1472, 'SHG', 7117, 'OBU', 7180, '', 0, 'CNC\r'),
	('8E', 1472, 'SHH', 6723, 'OME', 3615, '', 0, 'BE1 CNC\r'),
	('8E', 1472, 'SKK', 7192, 'KKA', 7190, '', 0, 'CNC\r'),
	('8E', 1472, 'SKK', 7192, 'OME', 3615, '', 0, 'CNC\r'),
	('8E', 1472, 'SKK', 7192, 'UNK', 7088, '', 0, 'CNC\r'),
	('8E', 1472, 'SMK', 7191, 'UNK', 7088, '', 0, 'BE1\r'),
	('8E', 1472, 'SMK', 7191, 'WBB', 7193, '', 0, 'CNC PA2\r'),
	('8E', 1472, 'SVA', 6724, 'GAM', 6715, '', 0, 'BE1\r'),
	('8E', 1472, 'SVA', 6724, 'OME', 3615, '', 0, 'BE1\r'),
	('8E', 1472, 'TLA', 7186, 'KTS', 7183, '', 0, 'CNC\r'),
	('8E', 1472, 'TNC', 7194, 'WAA', 7187, '', 0, 'CNC\r'),
	('8E', 1472, 'UNK', 7088, 'OME', 3615, '', 0, 'BE1\r'),
	('8E', 1472, 'UNK', 7088, 'SKK', 7192, '', 0, 'CNC\r'),
	('8E', 1472, 'UNK', 7088, 'SMK', 7191, '', 0, 'CNC PA2\r'),
	('8E', 1472, 'WAA', 7187, 'OME', 3615, '', 0, 'CNC\r'),
	('8E', 1472, 'WAA', 7187, 'SHH', 6723, '', 0, 'CNC\r'),
	('8E', 1472, 'WBB', 7193, 'OME', 3615, '', 0, 'PA2\r'),
	('8E', 1472, 'WBB', 7193, 'SMK', 7191, '', 0, 'BE1\r'),
	('8E', 1472, 'WBB', 7193, 'UNK', 7088, '', 0, 'CNC\r'),
	('8E', 1472, 'WLK', 7182, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8E', 1472, 'WMO', 7188, 'GLV', 7185, '', 0, 'CNC\r'),
	('8E', 1472, 'WMO', 7188, 'OME', 3615, '', 0, 'PA2\r'),
	('8E', 1472, 'WTK', 6725, 'KVL', 6719, '', 0, 'CNC\r'),
	('8E', 1472, 'WTK', 6725, 'OTZ', 3693, '', 0, 'CNC\r'),
	('8I', 3534, 'AUA', 2895, 'CCS', 2851, '', 0, 'M82\r'),
	('8I', 3534, 'AUA', 2895, 'MIA', 3576, '', 0, 'M82\r'),
	('8I', 3534, 'AUA', 2895, 'VLN', 2868, '', 0, 'M82\r'),
	('8I', 3534, 'CCS', 2851, 'AUA', 2895, '', 0, 'M82\r'),
	('8I', 3534, 'MIA', 3576, 'AUA', 2895, '', 0, 'M82\r'),
	('8I', 3534, 'VLN', 2868, 'AUA', 2895, '', 0, 'M82\r'),
	('8L', 2942, 'BAV', 6346, 'XIY', 3379, '', 0, '738\r'),
	('8L', 2942, 'CGO', 3375, 'KMG', 3382, '', 0, '320 738 737\r'),
	('8L', 2942, 'CGO', 3375, 'LJG', 4033, '', 0, '319 321\r'),
	('8L', 2942, 'CKG', 3393, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'CKG', 3393, 'LJG', 4033, '', 0, '321\r'),
	('8L', 2942, 'CKG', 3393, 'XUZ', 4149, '', 0, '738\r'),
	('8L', 2942, 'CSX', 3371, 'FOC', 3385, '', 0, '738\r'),
	('8L', 2942, 'CSX', 3371, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'CSX', 3371, 'LJG', 4033, '', 0, '321 319\r'),
	('8L', 2942, 'CSX', 3371, 'NKG', 3388, '', 0, '321\r'),
	('8L', 2942, 'CTU', 3395, 'JZH', 4301, '', 0, '737\r'),
	('8L', 2942, 'CTU', 3395, 'KMG', 3382, '', 0, '321 737\r'),
	('8L', 2942, 'CTU', 3395, 'TCZ', 7862, '', 0, '737\r'),
	('8L', 2942, 'CTU', 3395, 'TSN', 3368, '', 0, '737\r'),
	('8L', 2942, 'DIG', 6375, 'KMG', 3382, '', 0, '737\r'),
	('8L', 2942, 'DLC', 3404, 'TSN', 3368, '', 0, '737\r'),
	('8L', 2942, 'DLC', 3404, 'WUH', 3376, '', 0, '737\r'),
	('8L', 2942, 'DLU', 4054, 'JHG', 4055, '', 0, '737\r'),
	('8L', 2942, 'DLU', 4054, 'KMG', 3382, '', 0, '737\r'),
	('8L', 2942, 'FOC', 3385, 'CSX', 3371, '', 0, '738\r'),
	('8L', 2942, 'FOC', 3385, 'NNG', 3373, '', 0, '738\r'),
	('8L', 2942, 'HAK', 4120, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'HET', 6345, 'TYN', 3369, '', 0, '321\r'),
	('8L', 2942, 'HFE', 3389, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'HFE', 3389, 'LJG', 4033, '', 0, '319\r'),
	('8L', 2942, 'HFE', 3389, 'PVG', 3406, '', 0, '319\r'),
	('8L', 2942, 'HGH', 3386, 'KMG', 3382, '', 0, '737\r'),
	('8L', 2942, 'HGH', 3386, 'KOW', 6379, '', 0, '321\r'),
	('8L', 2942, 'JHG', 4055, 'DLU', 4054, '', 0, '737\r'),
	('8L', 2942, 'JHG', 4055, 'KMG', 3382, '', 0, '737\r'),
	('8L', 2942, 'JHG', 4055, 'LJG', 4033, '', 0, '737\r'),
	('8L', 2942, 'JZH', 4301, 'CTU', 3395, '', 0, '737\r'),
	('8L', 2942, 'KMG', 3382, 'CGO', 3375, '', 0, '320 738 737\r'),
	('8L', 2942, 'KMG', 3382, 'CKG', 3393, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'CSX', 3371, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'CTU', 3395, '', 0, '321 737\r'),
	('8L', 2942, 'KMG', 3382, 'DIG', 6375, '', 0, '737\r'),
	('8L', 2942, 'KMG', 3382, 'DLU', 4054, '', 0, '737\r'),
	('8L', 2942, 'KMG', 3382, 'HAK', 4120, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'HFE', 3389, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'HGH', 3386, '', 0, '737\r'),
	('8L', 2942, 'KMG', 3382, 'JHG', 4055, '', 0, '737\r'),
	('8L', 2942, 'KMG', 3382, 'KOW', 6379, '', 0, '321\r'),
	('8L', 2942, 'KMG', 3382, 'KWE', 3394, '', 0, '737 321\r'),
	('8L', 2942, 'KMG', 3382, 'KWL', 3372, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'LHW', 6431, '', 0, '737\r'),
	('8L', 2942, 'KMG', 3382, 'LJG', 4033, '', 0, '319 321\r'),
	('8L', 2942, 'KMG', 3382, 'LUM', 6376, '', 0, '737\r'),
	('8L', 2942, 'KMG', 3382, 'NNG', 3373, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'PEK', 3364, '', 0, '738 737 321\r'),
	('8L', 2942, 'KMG', 3382, 'PVG', 3406, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'SYM', 6377, '', 0, '737\r'),
	('8L', 2942, 'KMG', 3382, 'SYX', 4030, '', 0, '321 737\r'),
	('8L', 2942, 'KMG', 3382, 'TCZ', 7862, '', 0, '737\r'),
	('8L', 2942, 'KMG', 3382, 'TNA', 4108, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'TYN', 3369, '', 0, '321\r'),
	('8L', 2942, 'KMG', 3382, 'WUH', 3376, '', 0, '738 737 321\r'),
	('8L', 2942, 'KMG', 3382, 'XIY', 3379, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'XNN', 6366, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'YIC', 9107, '', 0, '738\r'),
	('8L', 2942, 'KMG', 3382, 'YIH', 6361, '', 0, '738\r'),
	('8L', 2942, 'KOW', 6379, 'HGH', 3386, '', 0, '321\r'),
	('8L', 2942, 'KOW', 6379, 'KMG', 3382, '', 0, '321\r'),
	('8L', 2942, 'KWE', 3394, 'KMG', 3382, '', 0, '737 321\r'),
	('8L', 2942, 'KWE', 3394, 'LJG', 4033, '', 0, '319\r'),
	('8L', 2942, 'KWE', 3394, 'NKG', 3388, '', 0, '737\r'),
	('8L', 2942, 'KWE', 3394, 'SIN', 3316, '', 0, '321\r'),
	('8L', 2942, 'KWE', 3394, 'XUZ', 4149, '', 0, '319\r'),
	('8L', 2942, 'KWL', 3372, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'KWL', 3372, 'XMN', 3383, '', 0, '738\r'),
	('8L', 2942, 'LHW', 6431, 'KMG', 3382, '', 0, '737\r'),
	('8L', 2942, 'LHW', 6431, 'URC', 3399, '', 0, '737\r'),
	('8L', 2942, 'LJG', 4033, 'CGO', 3375, '', 0, '319 321\r'),
	('8L', 2942, 'LJG', 4033, 'CKG', 3393, '', 0, '321\r'),
	('8L', 2942, 'LJG', 4033, 'CSX', 3371, '', 0, '321 319\r'),
	('8L', 2942, 'LJG', 4033, 'HFE', 3389, '', 0, '319\r'),
	('8L', 2942, 'LJG', 4033, 'JHG', 4055, '', 0, '737\r'),
	('8L', 2942, 'LJG', 4033, 'KMG', 3382, '', 0, '321 319\r'),
	('8L', 2942, 'LJG', 4033, 'KWE', 3394, '', 0, '319\r'),
	('8L', 2942, 'LJG', 4033, 'NGB', 3387, '', 0, '319\r'),
	('8L', 2942, 'LJG', 4033, 'NKG', 3388, '', 0, '319\r'),
	('8L', 2942, 'LJG', 4033, 'SZX', 3374, '', 0, '321\r'),
	('8L', 2942, 'LJG', 4033, 'TYN', 3369, '', 0, '319\r'),
	('8L', 2942, 'LJG', 4033, 'WUH', 3376, '', 0, '321\r'),
	('8L', 2942, 'LJG', 4033, 'XIY', 3379, '', 0, '321\r'),
	('8L', 2942, 'LUM', 6376, 'KMG', 3382, '', 0, '737\r'),
	('8L', 2942, 'LUM', 6376, 'PEK', 3364, '', 0, '737\r'),
	('8L', 2942, 'NGB', 3387, 'LJG', 4033, '', 0, '319\r'),
	('8L', 2942, 'NGB', 3387, 'YIH', 6361, '', 0, '738\r'),
	('8L', 2942, 'NKG', 3388, 'CSX', 3371, '', 0, '321\r'),
	('8L', 2942, 'NKG', 3388, 'KWE', 3394, '', 0, '737\r'),
	('8L', 2942, 'NKG', 3388, 'LJG', 4033, '', 0, '319\r'),
	('8L', 2942, 'NNG', 3373, 'FOC', 3385, '', 0, '738\r'),
	('8L', 2942, 'NNG', 3373, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'PEK', 3364, 'KMG', 3382, '', 0, '738 737\r'),
	('8L', 2942, 'PEK', 3364, 'LUM', 6376, '', 0, '737\r'),
	('8L', 2942, 'PVG', 3406, 'HFE', 3389, '', 0, '319\r'),
	('8L', 2942, 'PVG', 3406, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'SHA', 3391, 'YIC', 9107, '', 0, '738\r'),
	('8L', 2942, 'SIN', 3316, 'KWE', 3394, '', 0, '321\r'),
	('8L', 2942, 'SYM', 6377, 'KMG', 3382, '', 0, '737\r'),
	('8L', 2942, 'SYX', 4030, 'KMG', 3382, '', 0, '738 737\r'),
	('8L', 2942, 'SZX', 3374, 'LJG', 4033, '', 0, '321\r'),
	('8L', 2942, 'TAO', 3390, 'WUH', 3376, '', 0, '320\r'),
	('8L', 2942, 'TCZ', 7862, 'CTU', 3395, '', 0, '737\r'),
	('8L', 2942, 'TCZ', 7862, 'KMG', 3382, '', 0, '737\r'),
	('8L', 2942, 'TNA', 4108, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'TSN', 3368, 'CTU', 3395, '', 0, '737\r'),
	('8L', 2942, 'TSN', 3368, 'DLC', 3404, '', 0, '737\r'),
	('8L', 2942, 'TYN', 3369, 'HET', 6345, '', 0, '321\r'),
	('8L', 2942, 'TYN', 3369, 'KMG', 3382, '', 0, '321\r'),
	('8L', 2942, 'TYN', 3369, 'LJG', 4033, '', 0, '319\r'),
	('8L', 2942, 'URC', 3399, 'LHW', 6431, '', 0, '737\r'),
	('8L', 2942, 'URC', 3399, 'XNN', 6366, '', 0, '738\r'),
	('8L', 2942, 'WUH', 3376, 'DLC', 3404, '', 0, '737\r'),
	('8L', 2942, 'WUH', 3376, 'KMG', 3382, '', 0, '738 737 320\r'),
	('8L', 2942, 'WUH', 3376, 'LJG', 4033, '', 0, '321\r'),
	('8L', 2942, 'WUH', 3376, 'TAO', 3390, '', 0, '321\r'),
	('8L', 2942, 'XIY', 3379, 'BAV', 6346, '', 0, '738\r'),
	('8L', 2942, 'XIY', 3379, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'XIY', 3379, 'LJG', 4033, '', 0, '321\r'),
	('8L', 2942, 'XMN', 3383, 'KWL', 3372, '', 0, '738\r'),
	('8L', 2942, 'XNN', 6366, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'XNN', 6366, 'URC', 3399, '', 0, '738\r'),
	('8L', 2942, 'XUZ', 4149, 'CKG', 3393, '', 0, '738\r'),
	('8L', 2942, 'XUZ', 4149, 'KWE', 3394, '', 0, '319\r'),
	('8L', 2942, 'YIC', 9107, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'YIC', 9107, 'SHA', 3391, '', 0, '738\r'),
	('8L', 2942, 'YIH', 6361, 'KMG', 3382, '', 0, '738\r'),
	('8L', 2942, 'YIH', 6361, 'NGB', 3387, '', 0, '738\r'),
	('8M', 3432, 'BKK', 3885, 'RGN', 3239, '', 0, '320\r'),
	('8M', 3432, 'CAN', 3370, 'RGN', 3239, '', 0, '320\r'),
	('8M', 3432, 'ICN', 3930, 'RGN', 3239, '', 0, '737 767\r'),
	('8M', 3432, 'KUL', 3304, 'RGN', 3239, '', 0, '320\r'),
	('8M', 3432, 'PNH', 3034, 'RGN', 3239, '', 0, '319\r'),
	('8M', 3432, 'RGN', 3239, 'BKK', 3885, '', 0, '320\r'),
	('8M', 3432, 'RGN', 3239, 'CAN', 3370, '', 0, '320\r'),
	('8M', 3432, 'RGN', 3239, 'ICN', 3930, '', 0, '737 767\r'),
	('8M', 3432, 'RGN', 3239, 'KUL', 3304, '', 0, '320\r'),
	('8M', 3432, 'RGN', 3239, 'PNH', 3034, '', 0, '319\r'),
	('8M', 3432, 'RGN', 3239, 'SIN', 3316, '', 0, '320\r'),
	('8M', 3432, 'SIN', 3316, 'RGN', 3239, '', 0, '320\r'),
	('8P', 3856, 'QBC', 6738, 'YAA', 5457, '', 0, 'BE1\r'),
	('8P', 3856, 'QBC', 6738, 'YVR', 156, '', 0, 'BE1\r'),
	('8P', 3856, 'YAA', 5457, 'YVR', 156, '', 0, 'BE1\r'),
	('8P', 3856, 'YBL', 30, 'YQQ', 119, '', 0, 'SF3 BE1\r'),
	('8P', 3856, 'YBL', 30, 'YVR', 156, '', 0, 'BE1\r'),
	('8P', 3856, 'YBL', 30, 'ZEL', 7275, '', 0, 'BE1\r'),
	('8P', 3856, 'YLW', 87, 'YXC', 164, '', 0, 'BE1\r'),
	('8P', 3856, 'YPW', 5523, 'YVR', 156, '', 0, 'BE1 SF3\r'),
	('8P', 3856, 'YQQ', 119, 'YBL', 30, '', 0, 'BE1 SF3\r'),
	('8P', 3856, 'YQQ', 119, 'YVR', 156, '', 0, 'SF3 BE1\r'),
	('8P', 3856, 'YVR', 156, 'QBC', 6738, '', 0, 'BE1\r'),
	('8P', 3856, 'YVR', 156, 'YBL', 30, '', 0, 'BE1\r'),
	('8P', 3856, 'YVR', 156, 'YPW', 5523, '', 0, 'BE1 SF3\r'),
	('8P', 3856, 'YVR', 156, 'YQQ', 119, '', 0, 'BE1 SF3\r'),
	('8P', 3856, 'YVR', 156, 'YWL', 162, '', 0, 'BE1\r'),
	('8P', 3856, 'YVR', 156, 'YXC', 164, '', 0, 'BE1\r'),
	('8P', 3856, 'YVR', 156, 'YYJ', 184, '', 0, 'BE1\r'),
	('8P', 3856, 'YVR', 156, 'YZT', 200, '', 0, 'SF3 BE1\r'),
	('8P', 3856, 'YVR', 156, 'YZZ', 8223, '', 0, 'SF3 BE1\r'),
	('8P', 3856, 'YVR', 156, 'ZMT', 5545, '', 0, 'SF3\r'),
	('8P', 3856, 'YWL', 162, 'YVR', 156, '', 0, 'BE1\r'),
	('8P', 3856, 'YXC', 164, 'YLW', 87, '', 0, 'BE1\r'),
	('8P', 3856, 'YXC', 164, 'YVR', 156, '', 0, 'BE1\r'),
	('8P', 3856, 'YYJ', 184, 'YVR', 156, '', 0, 'BE1\r'),
	('8P', 3856, 'YZT', 200, 'YVR', 156, '', 0, 'SF3 BE1\r'),
	('8P', 3856, 'YZT', 200, 'ZEL', 7275, '', 0, 'SF3\r'),
	('8P', 3856, 'YZZ', 8223, 'YVR', 156, '', 0, 'SF3 BE1\r'),
	('8P', 3856, 'ZEL', 7275, 'YBL', 30, '', 0, 'BE1\r'),
	('8P', 3856, 'ZEL', 7275, 'YZT', 200, '', 0, 'SF3\r'),
	('8P', 3856, 'ZMT', 5545, 'YVR', 156, '', 0, 'SF3\r'),
	('8Q', 3788, 'ADA', 1685, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'ADB', 1706, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'AYT', 1688, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'AYT', 1688, 'KZN', 2990, '', 0, '321\r'),
	('8Q', 3788, 'AYT', 1688, 'SVO', 2985, '', 0, '321\r'),
	('8Q', 3788, 'BJV', 4315, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'CDG', 1382, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'DIY', 1722, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'DLM', 1715, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'ECN', 5780, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'ERZ', 1724, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'EZS', 1721, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'GNY', 9044, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'GZP', 8266, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'GZT', 1689, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'ADA', 1685, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'ADB', 1706, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'AYT', 1688, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'BJV', 4315, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'CDG', 1382, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'DIY', 1722, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'DLM', 1715, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'ECN', 5780, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'ERZ', 1724, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'EZS', 1721, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'GNY', 9044, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'GZP', 8266, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'GZT', 1689, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'MLX', 1695, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'ODS', 2947, '', 0, '320\r'),
	('8Q', 3788, 'IST', 1701, 'TZX', 1726, '', 0, '320\r'),
	('8Q', 3788, 'KZN', 2990, 'AYT', 1688, '', 0, '321\r'),
	('8Q', 3788, 'MLX', 1695, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'ODS', 2947, 'IST', 1701, '', 0, '320\r'),
	('8Q', 3788, 'SVO', 2985, 'AYT', 1688, '', 0, '321\r'),
	('8Q', 3788, 'TZX', 1726, 'IST', 1701, '', 0, '320\r'),
	('8R', 5188, 'AEP', 2442, 'MDQ', 2508, '', 0, 'SF3\r'),
	('8R', 5188, 'AEP', 2442, 'PRA', 2439, '', 0, 'SF3\r'),
	('8R', 5188, 'AEP', 2442, 'ROS', 2440, '', 0, 'SF3\r'),
	('8R', 5188, 'AEP', 2442, 'SFN', 2441, '', 0, 'SF3\r'),
	('8R', 5188, 'BHI', 2501, 'MDQ', 2508, '', 0, 'SF3\r'),
	('8R', 5188, 'BHI', 2501, 'REL', 2490, '', 0, 'SF3\r'),
	('8R', 5188, 'BRC', 2513, 'CRD', 2487, '', 0, 'SF3\r'),
	('8R', 5188, 'BRC', 2513, 'EQS', 2488, '', 0, 'SF3\r'),
	('8R', 5188, 'COR', 2443, 'MDZ', 2452, '', 0, 'SF3\r'),
	('8R', 5188, 'COR', 2443, 'ROS', 2440, '', 0, 'SF3\r'),
	('8R', 5188, 'CRD', 2487, 'NQN', 2509, '', 0, 'SF3\r'),
	('8R', 5188, 'CRD', 2487, 'REL', 2490, '', 0, 'SF3\r'),
	('8R', 5188, 'CRD', 2487, 'RGL', 2496, '', 0, 'SF3\r'),
	('8R', 5188, 'EQS', 2488, 'BRC', 2513, '', 0, 'SF3\r'),
	('8R', 5188, 'EQS', 2488, 'CRD', 2487, '', 0, 'SF3\r'),
	('8R', 5188, 'MDQ', 2508, 'AEP', 2442, '', 0, 'SF3\r'),
	('8R', 5188, 'MDQ', 2508, 'BHI', 2501, '', 0, 'SF3\r'),
	('8R', 5188, 'MDZ', 2452, 'COR', 2443, '', 0, 'SF3\r'),
	('8R', 5188, 'MDZ', 2452, 'NQN', 2509, '', 0, 'SF3\r'),
	('8R', 5188, 'NQN', 2509, 'CRD', 2487, '', 0, 'SF3\r'),
	('8R', 5188, 'NQN', 2509, 'MDZ', 2452, '', 0, 'SF3\r'),
	('8R', 5188, 'PDP', 6777, 'ROS', 2440, '', 0, 'SF3\r'),
	('8R', 5188, 'PRA', 2439, 'AEP', 2442, '', 0, 'SF3\r'),
	('8R', 5188, 'REL', 2490, 'BHI', 2501, '', 0, 'SF3\r'),
	('8R', 5188, 'REL', 2490, 'BRC', 2513, '', 0, 'SF3\r'),
	('8R', 5188, 'REL', 2490, 'CRD', 2487, '', 0, 'SF3\r'),
	('8R', 5188, 'REL', 2490, 'EQS', 2488, '', 0, 'SF3\r'),
	('8R', 5188, 'RGA', 2495, 'RGL', 2496, '', 0, 'SF3\r'),
	('8R', 5188, 'RGL', 2496, 'CRD', 2487, '', 0, 'SF3\r'),
	('8R', 5188, 'RGL', 2496, 'RGA', 2495, '', 0, 'SF3\r'),
	('8R', 5188, 'RGL', 2496, 'USH', 2497, '', 0, 'SF3\r'),
	('8R', 5188, 'ROS', 2440, 'AEP', 2442, '', 0, 'SF3\r'),
	('8R', 5188, 'ROS', 2440, 'COR', 2443, '', 0, 'SF3\r'),
	('8R', 5188, 'ROS', 2440, 'PDP', 6777, '', 0, 'SF3\r'),
	('8R', 5188, 'SFN', 2441, 'AEP', 2442, '', 0, 'SF3\r'),
	('8T', 68, 'YFS', 60, 'YZF', 196, '', 0, 'DHT\r'),
	('8T', 68, 'YLE', 5463, 'YZF', 196, '', 0, 'DHT\r'),
	('8T', 68, 'YRA', 5526, 'YZF', 196, '', 0, 'DHT\r'),
	('8T', 68, 'YSG', 5511, 'YZF', 196, '', 0, 'DHT\r'),
	('8T', 68, 'YZF', 196, 'YFS', 60, '', 0, 'DHT\r'),
	('8T', 68, 'YZF', 196, 'YLE', 5463, '', 0, 'DHT\r'),
	('8T', 68, 'YZF', 196, 'YRA', 5526, '', 0, 'DHT\r'),
	('8T', 68, 'YZF', 196, 'YSG', 5511, '', 0, 'DHT\r'),
	('8U', 32, 'AKF', 1153, 'BEN', 1154, '', 0, '320\r'),
	('8U', 32, 'AMM', 2170, 'BEN', 1154, '', 0, '320\r'),
	('8U', 32, 'AMM', 2170, 'TIP', 1157, '', 0, '332 320\r'),
	('8U', 32, 'BEN', 1154, 'AKF', 1153, '', 0, '320\r'),
	('8U', 32, 'BEN', 1154, 'AMM', 2170, '', 0, '320\r'),
	('8U', 32, 'BEN', 1154, 'CAI', 1128, '', 0, '320\r'),
	('8U', 32, 'BEN', 1154, 'CMN', 1074, '', 0, '320\r'),
	('8U', 32, 'BEN', 1154, 'IST', 1701, '', 0, '320\r'),
	('8U', 32, 'BEN', 1154, 'JED', 2072, '', 0, '320\r'),
	('8U', 32, 'BEN', 1154, 'MRA', 5804, '', 0, '320\r'),
	('8U', 32, 'BEN', 1154, 'TIP', 1157, '', 0, '320 319 332\r'),
	('8U', 32, 'BEN', 1154, 'TUN', 287, '', 0, '319 320\r'),
	('8U', 32, 'CAI', 1128, 'BEN', 1154, '', 0, '320\r'),
	('8U', 32, 'CAI', 1128, 'TIP', 1157, '', 0, '320 332\r'),
	('8U', 32, 'CMN', 1074, 'BEN', 1154, '', 0, '320\r'),
	('8U', 32, 'CMN', 1074, 'TIP', 1157, '', 0, '320 319 332\r'),
	('8U', 32, 'DXB', 2188, 'TIP', 1157, '', 0, '332\r'),
	('8U', 32, 'FCO', 1555, 'TIP', 1157, '', 0, '320\r'),
	('8U', 32, 'HBE', 3410, 'TIP', 1157, '', 0, '320 319\r'),
	('8U', 32, 'IST', 1701, 'BEN', 1154, '', 0, '320\r'),
	('8U', 32, 'IST', 1701, 'MRA', 5804, '', 0, '320\r'),
	('8U', 32, 'IST', 1701, 'TIP', 1157, '', 0, '332 319\r'),
	('8U', 32, 'JED', 2072, 'BEN', 1154, '', 0, '320\r'),
	('8U', 32, 'JED', 2072, 'TIP', 1157, '', 0, '332\r'),
	('8U', 32, 'MRA', 5804, 'BEN', 1154, '', 0, '320\r'),
	('8U', 32, 'MRA', 5804, 'IST', 1701, '', 0, '320\r'),
	('8U', 32, 'MRA', 5804, 'SFA', 295, '', 0, '320 319\r'),
	('8U', 32, 'MRA', 5804, 'TUN', 287, '', 0, '319 320\r'),
	('8U', 32, 'SFA', 295, 'MRA', 5804, '', 0, '319\r'),
	('8U', 32, 'SFA', 295, 'TIP', 1157, '', 0, '320 319\r'),
	('8U', 32, 'TIP', 1157, 'AMM', 2170, '', 0, '332 320\r'),
	('8U', 32, 'TIP', 1157, 'BEN', 1154, '', 0, '320 319 332\r'),
	('8U', 32, 'TIP', 1157, 'CAI', 1128, '', 0, '320 332\r'),
	('8U', 32, 'TIP', 1157, 'CMN', 1074, '', 0, '320 319 332\r'),
	('8U', 32, 'TIP', 1157, 'FCO', 1555, '', 0, '320\r'),
	('8U', 32, 'TIP', 1157, 'HBE', 3410, '', 0, '320 319\r'),
	('8U', 32, 'TIP', 1157, 'IST', 1701, '', 0, '332 319\r'),
	('8U', 32, 'TIP', 1157, 'JED', 2072, '', 0, '332\r'),
	('8U', 32, 'TIP', 1157, 'SFA', 295, '', 0, '320 319\r'),
	('8U', 32, 'TIP', 1157, 'TOB', 5697, '', 0, '320\r'),
	('8U', 32, 'TIP', 1157, 'TUN', 287, '', 0, '319 320\r'),
	('8U', 32, 'TUN', 287, 'BEN', 1154, '', 0, '319 320\r'),
	('8U', 32, 'TUN', 287, 'MRA', 5804, '', 0, '319 320\r'),
	('8U', 32, 'TUN', 287, 'TIP', 1157, '', 0, '319 320\r'),
	('8V', 55, 'AET', 6839, 'BTT', 3417, '', 0, 'CNC\r'),
	('8V', 55, 'AET', 6839, 'FAI', 3832, '', 0, 'CNC\r'),
	('8V', 55, 'AET', 6839, 'HUS', 7107, '', 0, 'CNC\r'),
	('8V', 55, 'AKP', 6712, 'BTT', 3417, '', 0, 'CNC\r'),
	('8V', 55, 'AKP', 6712, 'FAI', 3832, '', 0, 'PAG\r'),
	('8V', 55, 'ARC', 6729, 'VEE', 7114, '', 0, 'CNC\r'),
	('8V', 55, 'BTT', 3417, 'AET', 6839, '', 0, 'CNC\r'),
	('8V', 55, 'BTT', 3417, 'AKP', 6712, '', 0, 'CNC\r'),
	('8V', 55, 'BTT', 3417, 'FAI', 3832, '', 0, 'CNC\r'),
	('8V', 55, 'FAI', 3832, 'AET', 6839, '', 0, 'CNC\r'),
	('8V', 55, 'FAI', 3832, 'AKP', 6712, '', 0, 'PAG\r'),
	('8V', 55, 'FAI', 3832, 'BTT', 3417, '', 0, 'CNC\r'),
	('8V', 55, 'FAI', 3832, 'FYU', 3420, '', 0, 'CNC\r'),
	('8V', 55, 'FAI', 3832, 'GAL', 3764, '', 0, 'CNC\r'),
	('8V', 55, 'FAI', 3832, 'KBC', 7118, '', 0, 'CNC\r'),
	('8V', 55, 'FAI', 3832, 'RBY', 6722, '', 0, 'CNC\r'),
	('8V', 55, 'FAI', 3832, 'TAL', 7113, '', 0, 'CNC\r'),
	('8V', 55, 'FYU', 3420, 'FAI', 3832, '', 0, 'CNC\r'),
	('8V', 55, 'FYU', 3420, 'VEE', 7114, '', 0, 'CNC\r'),
	('8V', 55, 'GAL', 3764, 'KAL', 6717, '', 0, 'CNC\r'),
	('8V', 55, 'GAL', 3764, 'NUL', 7111, '', 0, 'CNC\r'),
	('8V', 55, 'HSL', 7108, 'HUS', 7107, '', 0, 'CNC\r'),
	('8V', 55, 'HSL', 7108, 'RBY', 6722, '', 0, 'CNC\r'),
	('8V', 55, 'HSL', 7108, 'TAL', 7113, '', 0, 'CNC\r'),
	('8V', 55, 'HUS', 7107, 'FAI', 3832, '', 0, 'CNC\r'),
	('8V', 55, 'HUS', 7107, 'TAL', 7113, '', 0, 'CNC\r'),
	('8V', 55, 'KAL', 6717, 'HSL', 7108, '', 0, 'CNC\r'),
	('8V', 55, 'KBC', 7118, 'FYU', 3420, '', 0, 'CNC\r'),
	('8V', 55, 'KYU', 7208, 'FAI', 3832, '', 0, 'CNC\r'),
	('8V', 55, 'NUL', 7111, 'KYU', 7208, '', 0, 'CNC\r'),
	('8V', 55, 'RBY', 6722, 'FAI', 3832, '', 0, 'CNC\r'),
	('8V', 55, 'RBY', 6722, 'TAL', 7113, '', 0, 'CNC\r'),
	('8V', 55, 'TAL', 7113, 'FAI', 3832, '', 0, 'CNC\r'),
	('8V', 55, 'TAL', 7113, 'HSL', 7108, '', 0, 'CNC\r'),
	('8V', 55, 'TAL', 7113, 'RBY', 6722, '', 0, 'CNC\r'),
	('8V', 55, 'VEE', 7114, 'ARC', 6729, '', 0, 'CNC\r'),
	('8V', 55, 'VEE', 7114, 'FYU', 3420, '', 0, 'CNC\r'),
	('9C', 15999, 'BKI', 3269, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'BKK', 3885, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'CAN', 3370, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'CAN', 3370, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'CGD', 6352, 'KMG', 3382, '', 0, '320\r'),
	('9C', 15999, 'CGD', 6352, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'CGQ', 4380, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'CJU', 2370, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'CKG', 3393, 'LYA', 4148, '', 0, '320\r'),
	('9C', 15999, 'CKG', 3393, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'CKG', 3393, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'CKG', 3393, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'CNX', 3931, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'CSX', 3371, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'CTU', 3395, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'CTU', 3395, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'DLC', 3404, 'HGH', 3386, '', 0, '320\r'),
	('9C', 15999, 'DLC', 3404, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'DLC', 3404, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'DYG', 6353, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'HET', 6345, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'HGH', 3386, 'DLC', 3404, '', 0, '320\r'),
	('9C', 15999, 'HGH', 3386, 'KWL', 3372, '', 0, '320\r'),
	('9C', 15999, 'HGH', 3386, 'SHE', 4144, '', 0, '320\r'),
	('9C', 15999, 'HGH', 3386, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'HGH', 3386, 'SYX', 4030, '', 0, '320\r'),
	('9C', 15999, 'HGH', 3386, 'SZX', 3374, '', 0, '320\r'),
	('9C', 15999, 'HIA', 7898, 'HRB', 3400, '', 0, '320\r'),
	('9C', 15999, 'HIA', 7898, 'SZX', 3374, '', 0, '320\r'),
	('9C', 15999, 'HKG', 3077, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'HKT', 3179, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'HRB', 3400, 'HIA', 7898, '', 0, '320\r'),
	('9C', 15999, 'HRB', 3400, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'HSG', 5996, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'IBR', 2281, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'JIQ', 8781, 'KMG', 3382, '', 0, '320\r'),
	('9C', 15999, 'JIQ', 8781, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'JJN', 6386, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'KHH', 2264, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'KIX', 3992, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'KMG', 3382, 'CGD', 6352, '', 0, '320\r'),
	('9C', 15999, 'KMG', 3382, 'JIQ', 8781, '', 0, '320\r'),
	('9C', 15999, 'KMG', 3382, 'MIG', 6400, '', 0, '320\r'),
	('9C', 15999, 'KMG', 3382, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'KMG', 3382, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'KMG', 3382, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'KWE', 3394, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'KWL', 3372, 'HGH', 3386, '', 0, '320\r'),
	('9C', 15999, 'KWL', 3372, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'KWL', 3372, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'LHW', 6431, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'LYA', 4148, 'CKG', 3393, '', 0, '320\r'),
	('9C', 15999, 'LYA', 4148, 'SHE', 4144, '', 0, '320\r'),
	('9C', 15999, 'MFM', 3121, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'MIG', 6400, 'KMG', 3382, '', 0, '320\r'),
	('9C', 15999, 'MIG', 6400, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'MIG', 6400, 'SHE', 4144, '', 0, '320\r'),
	('9C', 15999, 'NKG', 3388, 'SHE', 4144, '', 0, '320\r'),
	('9C', 15999, 'NNG', 3373, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'BKI', 3269, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'BKK', 3885, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'CGQ', 4380, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'CJU', 2370, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'CKG', 3393, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'CNX', 3931, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'DLC', 3404, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'DYG', 6353, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'HKG', 3077, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'HKT', 3179, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'HRB', 3400, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'IBR', 2281, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'KHH', 2264, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'KIX', 3992, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'KWL', 3372, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'MFM', 3121, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'NNG', 3373, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'REP', 3035, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'SHE', 4144, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'SIN', 3316, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'SYX', 4030, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'TAK', 2337, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'TAO', 3390, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'TPE', 2276, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'XMN', 3383, '', 0, '320\r'),
	('9C', 15999, 'PVG', 3406, 'ZHA', 6357, '', 0, '320\r'),
	('9C', 15999, 'REP', 3035, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'CAN', 3370, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'CGD', 6352, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'CKG', 3393, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'CSX', 3371, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'CTU', 3395, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'JIQ', 8781, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'JJN', 6386, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'KMG', 3382, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'KWE', 3394, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'LHW', 6431, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'SWA', 4302, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'SYX', 4030, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'SZX', 3374, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'TAO', 3390, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'URC', 3399, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'XIY', 3379, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'XMN', 3383, '', 0, '320\r'),
	('9C', 15999, 'SHA', 3391, 'ZUH', 6355, '', 0, '320\r'),
	('9C', 15999, 'SHE', 4144, 'HGH', 3386, '', 0, '320\r'),
	('9C', 15999, 'SHE', 4144, 'LYA', 4148, '', 0, '320\r'),
	('9C', 15999, 'SHE', 4144, 'MIG', 6400, '', 0, '320\r'),
	('9C', 15999, 'SHE', 4144, 'NKG', 3388, '', 0, '320\r'),
	('9C', 15999, 'SHE', 4144, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'SHE', 4144, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'SHE', 4144, 'SZX', 3374, '', 0, '320\r'),
	('9C', 15999, 'SHE', 4144, 'XIY', 3379, '', 0, '320\r'),
	('9C', 15999, 'SIN', 3316, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'CAN', 3370, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'CKG', 3393, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'CTU', 3395, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'DLC', 3404, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'HET', 6345, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'HGH', 3386, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'KMG', 3382, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'KWL', 3372, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'SHE', 4144, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'SZX', 3374, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'TPE', 2276, '', 0, '320\r'),
	('9C', 15999, 'SJW', 6347, 'XMN', 3383, '', 0, '320\r'),
	('9C', 15999, 'SWA', 4302, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'SYX', 4030, 'HGH', 3386, '', 0, '320\r'),
	('9C', 15999, 'SYX', 4030, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'SYX', 4030, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'SZX', 3374, 'HGH', 3386, '', 0, '320\r'),
	('9C', 15999, 'SZX', 3374, 'HIA', 7898, '', 0, '320\r'),
	('9C', 15999, 'SZX', 3374, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'SZX', 3374, 'SHE', 4144, '', 0, '320\r'),
	('9C', 15999, 'SZX', 3374, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'TAK', 2337, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'TAO', 3390, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'TPE', 2276, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'TPE', 2276, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'URC', 3399, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'URC', 3399, 'XIY', 3379, '', 0, '320\r'),
	('9C', 15999, 'XIY', 3379, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'XIY', 3379, 'SHE', 4144, '', 0, '320\r'),
	('9C', 15999, 'XIY', 3379, 'URC', 3399, '', 0, '320\r'),
	('9C', 15999, 'XMN', 3383, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'XMN', 3383, 'SHA', 3391, '', 0, '320\r'),
	('9C', 15999, 'XMN', 3383, 'SJW', 6347, '', 0, '320\r'),
	('9C', 15999, 'ZHA', 6357, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'ZUH', 6355, 'PVG', 3406, '', 0, '320\r'),
	('9C', 15999, 'ZUH', 6355, 'SHA', 3391, '', 0, '320\r'),
	('9E', 3976, 'ATL', 3682, 'AZO', 4039, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'CHA', 3578, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'CID', 4043, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'CRW', 4285, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'CVG', 3488, '', 0, 'CR9 \r'),
	('9E', 3976, 'ATL', 3682, 'EVV', 4018, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'FWA', 4041, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'GSO', 4008, '', 0, 'CR9\r'),
	('9E', 3976, 'ATL', 3682, 'GSP', 4034, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'LAN', 3544, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'LEX', 4017, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'MBS', 4128, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'MSP', 3858, '', 0, '\r'),
	('9E', 3976, 'ATL', 3682, 'ROA', 4016, '', 0, 'CRJ\r'),
	('9E', 3976, 'ATL', 3682, 'SYR', 3745, '', 0, 'CR9\r'),
	('9E', 3976, 'ATL', 3682, 'TYS', 3676, '', 0, 'CRJ CR9\r'),
	('9E', 3976, 'ATL', 3682, 'XNA', 4356, '', 0, 'CRJ\r'),
	('9E', 3976, 'AZO', 4039, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'CHA', 3578, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'CRW', 4285, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'CVG', 3488, 'ATL', 3682, '', 0, 'CR9 \r'),
	('9E', 3976, 'DTW', 3645, 'MSY', 3861, '', 0, 'CR9\r'),
	('9E', 3976, 'EVV', 4018, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'FWA', 4041, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'GFK', 3442, 'TVF', 7018, '', 0, '\r'),
	('9E', 3976, 'GSO', 4008, 'ATL', 3682, '', 0, 'CR9\r'),
	('9E', 3976, 'GSP', 4034, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'JFK', 3797, 'MSY', 3861, '', 0, 'CR9\r'),
	('9E', 3976, 'LAN', 3544, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'LEX', 4017, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'LGA', 3697, 'MSY', 3861, '', 0, 'CR9\r'),
	('9E', 3976, 'MBS', 4128, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'MDT', 3542, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'MEM', 3473, 'MSY', 3861, '', 0, 'CRJ\r'),
	('9E', 3976, 'MSP', 3858, 'ATL', 3682, '', 0, '\r'),
	('9E', 3976, 'MSP', 3858, 'MSY', 3861, '', 0, 'CR9\r'),
	('9E', 3976, 'MSY', 3861, 'DTW', 3645, '', 0, 'CR9\r'),
	('9E', 3976, 'MSY', 3861, 'JFK', 3797, '', 0, 'CR9\r'),
	('9E', 3976, 'MSY', 3861, 'LGA', 3697, '', 0, 'CR9\r'),
	('9E', 3976, 'MSY', 3861, 'MEM', 3473, '', 0, 'CRJ\r'),
	('9E', 3976, 'MSY', 3861, 'MSP', 3858, '', 0, 'CR9\r'),
	('9E', 3976, 'ROA', 4016, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9E', 3976, 'SYR', 3745, 'ATL', 3682, '', 0, 'CR9\r'),
	('9E', 3976, 'TVF', 7018, 'GFK', 3442, '', 0, '\r'),
	('9E', 3976, 'TYS', 3676, 'ATL', 3682, '', 0, 'CRJ CR9 \r'),
	('9E', 3976, 'XNA', 4356, 'ATL', 3682, '', 0, 'CRJ\r'),
	('9K', 1629, 'ACK', 3517, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'ACK', 3517, 'EWB', 5737, '', 0, 'CNA\r'),
	('9K', 1629, 'ACK', 3517, 'HYA', 4278, 'Y', 0, 'CNA\r'),
	('9K', 1629, 'ACK', 3517, 'MVY', 4265, '', 0, 'CNA\r'),
	('9K', 1629, 'ALB', 3864, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'ALB', 3864, 'MSS', 3546, '', 0, 'CNA\r'),
	('9K', 1629, 'ALB', 3864, 'OGS', 3724, '', 0, 'CNA\r'),
	('9K', 1629, 'AUG', 3701, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'AXA', 2900, 'SJU', 2890, '', 0, 'CNA\r'),
	('9K', 1629, 'BHB', 4025, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'BIL', 4021, 'GDV', 7070, '', 0, 'CNA\r'),
	('9K', 1629, 'BIL', 4021, 'GGW', 5739, '', 0, 'CNA\r'),
	('9K', 1629, 'BIL', 4021, 'HVR', 3604, '', 0, 'CNA\r'),
	('9K', 1629, 'BIL', 4021, 'OLF', 7071, '', 0, 'CNA\r'),
	('9K', 1629, 'BIL', 4021, 'SDY', 7065, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'ACK', 3517, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'ALB', 3864, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'AUG', 3701, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'BHB', 4025, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'HYA', 4278, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'LEB', 5749, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'MVY', 4265, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'PVC', 6456, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'RKD', 4026, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'RUT', 5767, '', 0, 'CNA\r'),
	('9K', 1629, 'BOS', 3448, 'SLK', 5770, '', 0, 'CNA\r'),
	('9K', 1629, 'CGI', 5728, 'STL', 3678, '', 0, 'CNA\r'),
	('9K', 1629, 'CPX', 6814, 'SJU', 2890, '', 0, 'BNI\r'),
	('9K', 1629, 'EIS', 2903, 'SJU', 2890, '', 0, 'CNA\r'),
	('9K', 1629, 'EIS', 2903, 'STT', 2883, '', 0, 'CNA\r'),
	('9K', 1629, 'EWB', 5737, 'ACK', 3517, '', 0, 'CNA\r'),
	('9K', 1629, 'EWB', 5737, 'HPN', 3589, '', 0, 'CNA\r'),
	('9K', 1629, 'EWB', 5737, 'MVY', 4265, '', 0, 'CNA\r'),
	('9K', 1629, 'GDV', 7070, 'BIL', 4021, '', 0, 'CNA\r'),
	('9K', 1629, 'GGW', 5739, 'BIL', 4021, '', 0, 'CNA\r'),
	('9K', 1629, 'HPN', 3589, 'HYA', 4278, '', 0, 'CNA\r'),
	('9K', 1629, 'HPN', 3589, 'LEB', 5749, '', 0, 'CNA\r'),
	('9K', 1629, 'HPN', 3589, 'MVY', 4265, '', 0, 'CNA\r'),
	('9K', 1629, 'HVR', 3604, 'BIL', 4021, '', 0, 'CNA\r'),
	('9K', 1629, 'HYA', 4278, 'ACK', 3517, 'Y', 0, 'CNA\r'),
	('9K', 1629, 'HYA', 4278, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'IRK', 5744, 'STL', 3678, '', 0, 'CNA\r'),
	('9K', 1629, 'LEB', 5749, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'LEB', 5749, 'HPN', 3589, '', 0, 'CNA\r'),
	('9K', 1629, 'MAZ', 2888, 'SJU', 2890, '', 0, 'CNA\r'),
	('9K', 1629, 'MSS', 3546, 'ALB', 3864, '', 0, 'CNA\r'),
	('9K', 1629, 'MVY', 4265, 'ACK', 3517, '', 0, 'CNA\r'),
	('9K', 1629, 'MVY', 4265, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'MVY', 4265, 'EWB', 5737, '', 0, 'CNA\r'),
	('9K', 1629, 'MVY', 4265, 'HPN', 3589, '', 0, 'CNA\r'),
	('9K', 1629, 'MWA', 6825, 'STL', 3678, '', 0, 'CNA\r'),
	('9K', 1629, 'NEV', 6079, 'SJU', 2890, '', 0, 'CNA\r'),
	('9K', 1629, 'OGS', 3724, 'ALB', 3864, '', 0, 'CNA\r'),
	('9K', 1629, 'OLF', 7071, 'BIL', 4021, '', 0, 'CNA\r'),
	('9K', 1629, 'OWB', 5758, 'STL', 3678, '', 0, 'CNA\r'),
	('9K', 1629, 'PVC', 6456, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'RKD', 4026, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'RUT', 5767, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'SDY', 7065, 'BIL', 4021, '', 0, 'CNA\r'),
	('9K', 1629, 'SJU', 2890, 'AXA', 2900, '', 0, 'CNA\r'),
	('9K', 1629, 'SJU', 2890, 'CPX', 6814, '', 0, 'BNI\r'),
	('9K', 1629, 'SJU', 2890, 'EIS', 2903, '', 0, 'CNA\r'),
	('9K', 1629, 'SJU', 2890, 'MAZ', 2888, '', 0, 'CNA\r'),
	('9K', 1629, 'SJU', 2890, 'NEV', 6079, '', 0, 'CNA\r'),
	('9K', 1629, 'SJU', 2890, 'STT', 2883, '', 0, 'CNA\r'),
	('9K', 1629, 'SJU', 2890, 'STX', 2884, '', 0, 'CNA\r'),
	('9K', 1629, 'SJU', 2890, 'VIJ', 6080, '', 0, 'BNI\r'),
	('9K', 1629, 'SJU', 2890, 'VQS', 6788, '', 0, 'CNA\r'),
	('9K', 1629, 'SLK', 5770, 'BOS', 3448, '', 0, 'CNA\r'),
	('9K', 1629, 'STL', 3678, 'CGI', 5728, '', 0, 'CNA\r'),
	('9K', 1629, 'STL', 3678, 'IRK', 5744, '', 0, 'CNA\r'),
	('9K', 1629, 'STL', 3678, 'MWA', 6825, '', 0, 'CNA\r'),
	('9K', 1629, 'STL', 3678, 'OWB', 5758, '', 0, 'CNA\r'),
	('9K', 1629, 'STL', 3678, 'TBN', 3665, '', 0, 'CNA\r'),
	('9K', 1629, 'STL', 3678, 'UIN', 5774, '', 0, 'CNA\r'),
	('9K', 1629, 'STT', 2883, 'EIS', 2903, '', 0, 'CNA\r'),
	('9K', 1629, 'STT', 2883, 'SJU', 2890, '', 0, 'CNA\r'),
	('9K', 1629, 'STT', 2883, 'STX', 2884, '', 0, 'CNA\r'),
	('9K', 1629, 'STX', 2884, 'SJU', 2890, '', 0, 'CNA\r'),
	('9K', 1629, 'STX', 2884, 'STT', 2883, '', 0, 'CNA\r'),
	('9K', 1629, 'STX', 2884, 'VQS', 6788, '', 0, 'CNA\r'),
	('9K', 1629, 'TBN', 3665, 'STL', 3678, '', 0, 'CNA\r'),
	('9K', 1629, 'UIN', 5774, 'STL', 3678, '', 0, 'CNA\r'),
	('9K', 1629, 'VIJ', 6080, 'SJU', 2890, '', 0, 'BNI\r'),
	('9K', 1629, 'VQS', 6788, 'SJU', 2890, '', 0, 'CNA\r'),
	('9K', 1629, 'VQS', 6788, 'STX', 2884, '', 0, 'CNA\r'),
	('9Q', 3835, 'GDT', 5807, 'PLS', 1754, '', 0, 'CNT\r'),
	('9Q', 3835, 'GDT', 5807, 'SLX', 5809, '', 0, 'CNT\r'),
	('9Q', 3835, 'PLS', 1754, 'GDT', 5807, '', 0, 'CNT\r'),
	('9Q', 3835, 'SLX', 5809, 'GDT', 5807, '', 0, 'CNT\r'),
	('9R', 4691, 'ACR', 6740, 'LCR', 7356, '', 0, 'BE1\r'),
	('9R', 4691, 'ACR', 6740, 'SVI', 2750, '', 0, 'BE1\r'),
	('9R', 4691, 'ADZ', 2749, 'PVA', 2743, '', 0, 'L4T\r'),
	('9R', 4691, 'APO', 5476, 'BOG', 2709, '', 0, 'ER4\r'),
	('9R', 4691, 'APO', 5476, 'EOH', 2729, '', 0, 'AT7\r'),
	('9R', 4691, 'AUC', 2752, 'BOG', 2709, '', 0, 'E70\r'),
	('9R', 4691, 'BOG', 2709, 'APO', 5476, '', 0, 'ER4\r'),
	('9R', 4691, 'BOG', 2709, 'AUC', 2752, '', 0, 'E70\r'),
	('9R', 4691, 'BOG', 2709, 'BUN', 2712, '', 0, 'AT5\r'),
	('9R', 4691, 'BOG', 2709, 'CZU', 2717, '', 0, 'AT7\r'),
	('9R', 4691, 'BOG', 2709, 'EOH', 2729, '', 0, 'ER4 AT5 AT7\r'),
	('9R', 4691, 'BOG', 2709, 'FLA', 2719, '', 0, 'AT5\r'),
	('9R', 4691, 'BOG', 2709, 'IPI', 2725, '', 0, 'BE1\r'),
	('9R', 4691, 'BOG', 2709, 'MVP', 2732, '', 0, 'E70\r'),
	('9R', 4691, 'BOG', 2709, 'PCR', 2738, '', 0, 'E70\r'),
	('9R', 4691, 'BOG', 2709, 'PDA', 6054, '', 0, 'E70\r'),
	('9R', 4691, 'BOG', 2709, 'PSO', 2742, '', 0, 'E70\r'),
	('9R', 4691, 'BOG', 2709, 'PUU', 2706, '', 0, 'AT5\r'),
	('9R', 4691, 'BOG', 2709, 'RVE', 7355, '', 0, 'AT5\r'),
	('9R', 4691, 'BOG', 2709, 'SJE', 2747, '', 0, 'AT5\r'),
	('9R', 4691, 'BOG', 2709, 'SVI', 2750, '', 0, 'BE1\r'),
	('9R', 4691, 'BOG', 2709, 'TME', 2751, '', 0, 'AT5\r'),
	('9R', 4691, 'BOG', 2709, 'UIB', 2753, '', 0, 'AT5\r'),
	('9R', 4691, 'BOG', 2709, 'VGZ', 7359, '', 0, 'AT5\r'),
	('9R', 4691, 'BOG', 2709, 'VVC', 2756, '', 0, 'AT7 BE1\r'),
	('9R', 4691, 'BSC', 2711, 'EOH', 2729, '', 0, 'AT5\r'),
	('9R', 4691, 'BUN', 2712, 'BOG', 2709, '', 0, 'AT5\r'),
	('9R', 4691, 'CLO', 2715, 'GPI', 2722, '', 0, 'AT5\r'),
	('9R', 4691, 'CLO', 2715, 'PUU', 2706, '', 0, 'AT5\r'),
	('9R', 4691, 'CLO', 2715, 'UIB', 2753, '', 0, 'AT5\r'),
	('9R', 4691, 'CZU', 2717, 'BOG', 2709, '', 0, 'AT7\r'),
	('9R', 4691, 'EOH', 2729, 'APO', 5476, '', 0, 'AT7\r'),
	('9R', 4691, 'EOH', 2729, 'BOG', 2709, '', 0, 'AT5 ER4 AT7\r'),
	('9R', 4691, 'EOH', 2729, 'BSC', 2711, '', 0, 'AT5\r'),
	('9R', 4691, 'EOH', 2729, 'NQU', 6053, '', 0, 'L4T\r'),
	('9R', 4691, 'EOH', 2729, 'UIB', 2753, '', 0, 'AT5\r'),
	('9R', 4691, 'FLA', 2719, 'BOG', 2709, '', 0, 'AT5\r'),
	('9R', 4691, 'GPI', 2722, 'CLO', 2715, '', 0, 'AT5\r'),
	('9R', 4691, 'IPI', 2725, 'BOG', 2709, '', 0, 'BE1\r'),
	('9R', 4691, 'LCR', 7356, 'ACR', 6740, '', 0, 'BE1\r'),
	('9R', 4691, 'LCR', 7356, 'LET', 2728, '', 0, 'BE1\r'),
	('9R', 4691, 'LET', 2728, 'LCR', 7356, '', 0, 'BE1\r'),
	('9R', 4691, 'LET', 2728, 'LPD', 6052, '', 0, 'BE1\r'),
	('9R', 4691, 'LET', 2728, 'TCD', 5477, '', 0, 'BE1\r'),
	('9R', 4691, 'LMC', 7358, 'VVC', 2756, '', 0, 'BE1\r'),
	('9R', 4691, 'LPD', 6052, 'LET', 2728, '', 0, 'BE1\r'),
	('9R', 4691, 'LQM', 6051, 'PUU', 2706, '', 0, 'AT5\r'),
	('9R', 4691, 'MVP', 2732, 'BOG', 2709, '', 0, 'E70\r'),
	('9R', 4691, 'MVP', 2732, 'VVC', 2756, '', 0, 'AT7\r'),
	('9R', 4691, 'NQU', 6053, 'EOH', 2729, '', 0, 'L4T\r'),
	('9R', 4691, 'PCR', 2738, 'BOG', 2709, '', 0, 'E70\r'),
	('9R', 4691, 'PCR', 2738, 'VVC', 2756, '', 0, 'E70\r'),
	('9R', 4691, 'PDA', 6054, 'BOG', 2709, '', 0, 'E70\r'),
	('9R', 4691, 'PDA', 6054, 'VVC', 2756, '', 0, 'E70\r'),
	('9R', 4691, 'PSO', 2742, 'BOG', 2709, '', 0, 'E70\r'),
	('9R', 4691, 'PUU', 2706, 'BOG', 2709, '', 0, 'AT5\r'),
	('9R', 4691, 'PUU', 2706, 'CLO', 2715, '', 0, 'AT5\r'),
	('9R', 4691, 'PUU', 2706, 'LQM', 6051, '', 0, 'AT5\r'),
	('9R', 4691, 'PVA', 2743, 'ADZ', 2749, '', 0, 'L4T\r'),
	('9R', 4691, 'RVE', 7355, 'BOG', 2709, '', 0, 'AT5\r'),
	('9R', 4691, 'RVE', 7355, 'TME', 2751, '', 0, 'AT5\r'),
	('9R', 4691, 'SJE', 2747, 'BOG', 2709, '', 0, 'AT5\r'),
	('9R', 4691, 'SVI', 2750, 'ACR', 6740, '', 0, 'BE1\r'),
	('9R', 4691, 'SVI', 2750, 'BOG', 2709, '', 0, 'BE1\r'),
	('9R', 4691, 'TCD', 5477, 'LET', 2728, '', 0, 'BE1\r'),
	('9R', 4691, 'TME', 2751, 'BOG', 2709, '', 0, 'AT5\r'),
	('9R', 4691, 'TME', 2751, 'RVE', 7355, '', 0, 'AT5\r'),
	('9R', 4691, 'UIB', 2753, 'BOG', 2709, '', 0, 'AT5\r'),
	('9R', 4691, 'UIB', 2753, 'CLO', 2715, '', 0, 'AT5\r'),
	('9R', 4691, 'UIB', 2753, 'EOH', 2729, '', 0, 'AT5\r'),
	('9R', 4691, 'VGZ', 7359, 'BOG', 2709, '', 0, 'AT5\r'),
	('9R', 4691, 'VVC', 2756, 'BOG', 2709, '', 0, 'AT7 BE1\r'),
	('9R', 4691, 'VVC', 2756, 'LMC', 7358, '', 0, 'BE1\r'),
	('9R', 4691, 'VVC', 2756, 'MVP', 2732, '', 0, 'AT7\r'),
	('9R', 4691, 'VVC', 2756, 'PCR', 2738, '', 0, 'E70\r'),
	('9R', 4691, 'VVC', 2756, 'PDA', 6054, '', 0, 'E70\r'),
	('9U', 1073, 'AER', 2965, 'KIV', 1735, '', 0, 'EM2\r'),
	('9U', 1073, 'ATH', 3941, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'BLQ', 1538, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'BVA', 1367, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'DME', 4029, 'KIV', 1735, '', 0, '320 E90\r'),
	('9U', 1073, 'DUB', 599, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'FCO', 1555, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'FRA', 340, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'IST', 1701, 'KIV', 1735, '', 0, '320 E90\r'),
	('9U', 1073, 'KBP', 2939, 'KIV', 1735, '', 0, 'EM2\r'),
	('9U', 1073, 'KIV', 1735, 'AER', 2965, '', 0, 'EM2\r'),
	('9U', 1073, 'KIV', 1735, 'ATH', 3941, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'BLQ', 1538, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'BVA', 1367, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'DME', 4029, '', 0, '320 E90\r'),
	('9U', 1073, 'KIV', 1735, 'DUB', 599, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'FCO', 1555, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'FRA', 340, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'IST', 1701, '', 0, '320 E90\r'),
	('9U', 1073, 'KIV', 1735, 'KBP', 2939, '', 0, 'EM2\r'),
	('9U', 1073, 'KIV', 1735, 'LCA', 1197, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'LED', 2948, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'LIS', 1638, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'MXP', 1524, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'OTP', 1657, '', 0, 'EM2\r'),
	('9U', 1073, 'KIV', 1735, 'SGC', 2974, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'STN', 548, '', 0, 'E90 320\r'),
	('9U', 1073, 'KIV', 1735, 'VCE', 1551, '', 0, 'E90\r'),
	('9U', 1073, 'KIV', 1735, 'VRN', 1550, '', 0, 'E90\r'),
	('9U', 1073, 'LCA', 1197, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'LED', 2948, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'LIS', 1638, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'MXP', 1524, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'OTP', 1657, 'KIV', 1735, '', 0, 'EM2\r'),
	('9U', 1073, 'SGC', 2974, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'STN', 548, 'KIV', 1735, '', 0, 'E90 320\r'),
	('9U', 1073, 'VCE', 1551, 'KIV', 1735, '', 0, 'E90\r'),
	('9U', 1073, 'VRN', 1550, 'KIV', 1735, '', 0, 'E90\r'),
	('9W', 3000, 'AJL', 3039, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'AJL', 3039, 'GAU', 6173, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'AMD', 2994, 'AUH', 2179, '', 0, '320\r'),
	('9W', 3000, 'AMD', 2994, 'BOM', 2997, '', 0, '738\r'),
	('9W', 3000, 'AMD', 2994, 'DEL', 3093, 'Y', 0, '738 73W\r'),
	('9W', 3000, 'ATQ', 3081, 'DEL', 3093, '', 0, '738\r'),
	('9W', 3000, 'AUH', 2179, 'AMD', 2994, '', 0, '320\r'),
	('9W', 3000, 'AUH', 2179, 'BLR', 3131, '', 0, '73H 320\r'),
	('9W', 3000, 'AUH', 2179, 'BOM', 2997, '', 0, '73H 320\r'),
	('9W', 3000, 'AUH', 2179, 'CCJ', 3137, '', 0, '320\r'),
	('9W', 3000, 'AUH', 2179, 'COK', 3136, '', 0, '73H\r'),
	('9W', 3000, 'AUH', 2179, 'DEL', 3093, '', 0, '73H 320\r'),
	('9W', 3000, 'AUH', 2179, 'DMM', 2064, '', 0, '73H\r'),
	('9W', 3000, 'AUH', 2179, 'HYD', 3141, '', 0, '73H\r'),
	('9W', 3000, 'AUH', 2179, 'KWI', 2176, '', 0, '73H\r'),
	('9W', 3000, 'AUH', 2179, 'MAA', 3144, '', 0, '73H\r'),
	('9W', 3000, 'AUH', 2179, 'TRV', 3153, 'Y', 0, '320\r'),
	('9W', 3000, 'BAH', 2057, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'BDQ', 3001, 'BOM', 2997, '', 0, '73W 738 73H\r'),
	('9W', 3000, 'BHJ', 2999, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'BHO', 3002, 'BOM', 2997, 'Y', 0, '73G 738\r'),
	('9W', 3000, 'BHO', 3002, 'DEL', 3093, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'BHU', 3003, 'BOM', 2997, 'Y', 0, '73G\r'),
	('9W', 3000, 'BKK', 3885, 'BOM', 2997, '', 0, '739 73H\r'),
	('9W', 3000, 'BKK', 3885, 'DEL', 3093, '', 0, '73H\r'),
	('9W', 3000, 'BLR', 3131, 'AUH', 2179, '', 0, '320 73H\r'),
	('9W', 3000, 'BLR', 3131, 'BOM', 2997, '', 0, '738 73W 73H 739\r'),
	('9W', 3000, 'BLR', 3131, 'CCU', 3043, 'Y', 0, '738\r'),
	('9W', 3000, 'BLR', 3131, 'CJB', 3135, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'BLR', 3131, 'COK', 3136, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'BLR', 3131, 'DEL', 3093, '', 0, '73H 738\r'),
	('9W', 3000, 'BLR', 3131, 'GOI', 3007, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'BLR', 3131, 'HYD', 3141, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'BLR', 3131, 'IDR', 3008, 'Y', 0, '738\r'),
	('9W', 3000, 'BLR', 3131, 'IXE', 3143, 'Y', 0, 'AT7 738\r'),
	('9W', 3000, 'BLR', 3131, 'KUL', 3304, 'Y', 0, '738\r'),
	('9W', 3000, 'BLR', 3131, 'MAA', 3144, 'Y', 0, '739 AT7 738\r'),
	('9W', 3000, 'BLR', 3131, 'PNQ', 3017, 'Y', 0, '738\r'),
	('9W', 3000, 'BLR', 3131, 'TRV', 3153, 'Y', 0, '73H\r'),
	('9W', 3000, 'BLR', 3131, 'VTZ', 3066, 'Y', 0, '73G\r'),
	('9W', 3000, 'BOM', 2997, 'AMD', 2994, '', 0, '738\r'),
	('9W', 3000, 'BOM', 2997, 'AUH', 2179, '', 0, '73H 320\r'),
	('9W', 3000, 'BOM', 2997, 'BAH', 2057, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'BDQ', 3001, '', 0, '73W 738 73H\r'),
	('9W', 3000, 'BOM', 2997, 'BHJ', 2999, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'BHO', 3002, 'Y', 0, '73G\r'),
	('9W', 3000, 'BOM', 2997, 'BHU', 3003, 'Y', 0, '73G\r'),
	('9W', 3000, 'BOM', 2997, 'BKK', 3885, '', 0, '73H 739\r'),
	('9W', 3000, 'BOM', 2997, 'BLR', 3131, '', 0, '738 73W 739 73H\r'),
	('9W', 3000, 'BOM', 2997, 'BRU', 302, '', 0, '332 333\r'),
	('9W', 3000, 'BOM', 2997, 'CCJ', 3137, 'Y', 0, '738\r'),
	('9W', 3000, 'BOM', 2997, 'CCU', 3043, '', 0, '73H 738\r'),
	('9W', 3000, 'BOM', 2997, 'CJB', 3135, 'Y', 0, '738\r'),
	('9W', 3000, 'BOM', 2997, 'CMB', 3024, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'COK', 3136, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'DAC', 3076, '', 0, '739 73H\r'),
	('9W', 3000, 'BOM', 2997, 'DEL', 3093, '', 0, '739 73H 738\r'),
	('9W', 3000, 'BOM', 2997, 'DIU', 5711, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'BOM', 2997, 'DMM', 2064, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'DOH', 2241, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'DXB', 2188, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'GOI', 3007, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'HKG', 3077, '', 0, '77W\r'),
	('9W', 3000, 'BOM', 2997, 'HYD', 3141, '', 0, '738 73H\r'),
	('9W', 3000, 'BOM', 2997, 'IDR', 3008, 'Y', 0, '73H 73G\r'),
	('9W', 3000, 'BOM', 2997, 'IXC', 3089, '', 0, '738\r'),
	('9W', 3000, 'BOM', 2997, 'IXE', 3143, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'IXU', 2996, '', 0, '738\r'),
	('9W', 3000, 'BOM', 2997, 'JAI', 3098, '', 0, '73W\r'),
	('9W', 3000, 'BOM', 2997, 'JDH', 3097, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'JED', 2072, '', 0, '739\r'),
	('9W', 3000, 'BOM', 2997, 'JNB', 813, '', 0, '332\r'),
	('9W', 3000, 'BOM', 2997, 'KTM', 3125, '', 0, '73H 739\r'),
	('9W', 3000, 'BOM', 2997, 'KUL', 3304, 'Y', 0, '772\r'),
	('9W', 3000, 'BOM', 2997, 'KWI', 2176, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'LHR', 507, '', 0, '77W\r'),
	('9W', 3000, 'BOM', 2997, 'LKO', 3105, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'MAA', 3144, '', 0, '738 73H\r'),
	('9W', 3000, 'BOM', 2997, 'MCT', 2194, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'NAG', 3015, 'Y', 0, '73G\r'),
	('9W', 3000, 'BOM', 2997, 'NBO', 4059, 'Y', 0, '772\r'),
	('9W', 3000, 'BOM', 2997, 'NRT', 2279, 'Y', 0, '737\r'),
	('9W', 3000, 'BOM', 2997, 'PNQ', 3017, '', 0, '738\r'),
	('9W', 3000, 'BOM', 2997, 'RAJ', 3019, 'Y', 0, '73G\r'),
	('9W', 3000, 'BOM', 2997, 'RPR', 3020, 'Y', 0, '738\r'),
	('9W', 3000, 'BOM', 2997, 'RUH', 2082, '', 0, '739 73H\r'),
	('9W', 3000, 'BOM', 2997, 'SIN', 3316, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'TRV', 3153, '', 0, '73H\r'),
	('9W', 3000, 'BOM', 2997, 'UDR', 3023, 'Y', 0, '73H 73G\r'),
	('9W', 3000, 'BOM', 2997, 'VTZ', 3066, '', 0, '738\r'),
	('9W', 3000, 'BRU', 302, 'BOM', 2997, '', 0, '333 332\r'),
	('9W', 3000, 'BRU', 302, 'DEL', 3093, '', 0, '333\r'),
	('9W', 3000, 'BRU', 302, 'EWR', 3494, '', 0, '333\r'),
	('9W', 3000, 'BRU', 302, 'YYZ', 193, '', 0, '332 333\r'),
	('9W', 3000, 'CCJ', 3137, 'AUH', 2179, '', 0, '320\r'),
	('9W', 3000, 'CCJ', 3137, 'BOM', 2997, 'Y', 0, '738\r'),
	('9W', 3000, 'CCU', 3043, 'AJL', 3039, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'CCU', 3043, 'BLR', 3131, 'Y', 0, '738\r'),
	('9W', 3000, 'CCU', 3043, 'BOM', 2997, '', 0, '738 73H\r'),
	('9W', 3000, 'CCU', 3043, 'DAC', 3076, '', 0, '738\r'),
	('9W', 3000, 'CCU', 3043, 'DEL', 3093, 'Y', 0, '738\r'),
	('9W', 3000, 'CCU', 3043, 'GAU', 6173, 'Y', 0, 'AT7 738\r'),
	('9W', 3000, 'CCU', 3043, 'IXA', 3038, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'CCU', 3043, 'IXB', 3040, '', 0, '738\r'),
	('9W', 3000, 'CCU', 3043, 'IXR', 3063, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'CCU', 3043, 'IXS', 3055, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'CCU', 3043, 'IXZ', 3146, 'Y', 0, '738\r'),
	('9W', 3000, 'CCU', 3043, 'PAT', 3061, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'CCU', 3043, 'VNS', 3084, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'CCU', 3043, 'VTZ', 3066, 'Y', 0, '73G\r'),
	('9W', 3000, 'CJB', 3135, 'BLR', 3131, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'CJB', 3135, 'BOM', 2997, 'Y', 0, '738\r'),
	('9W', 3000, 'CJB', 3135, 'MAA', 3144, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'CMB', 3024, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'COK', 3136, 'AUH', 2179, '', 0, '73H\r'),
	('9W', 3000, 'COK', 3136, 'BLR', 3131, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'COK', 3136, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'COK', 3136, 'DMM', 2064, '', 0, '73H\r'),
	('9W', 3000, 'COK', 3136, 'DOH', 2241, '', 0, '73H\r'),
	('9W', 3000, 'COK', 3136, 'MAA', 3144, 'Y', 0, 'AT7 73H\r'),
	('9W', 3000, 'COK', 3136, 'MCT', 2194, '', 0, '73H\r'),
	('9W', 3000, 'COK', 3136, 'SHJ', 2191, '', 0, '73H\r'),
	('9W', 3000, 'DAC', 3076, 'BOM', 2997, '', 0, '739 73H\r'),
	('9W', 3000, 'DAC', 3076, 'CCU', 3043, '', 0, '738\r'),
	('9W', 3000, 'DAC', 3076, 'DEL', 3093, '', 0, '738\r'),
	('9W', 3000, 'DED', 3092, 'DEL', 3093, '', 0, '738\r'),
	('9W', 3000, 'DEL', 3093, 'AMD', 2994, 'Y', 0, '73W 738\r'),
	('9W', 3000, 'DEL', 3093, 'ATQ', 3081, '', 0, '738\r'),
	('9W', 3000, 'DEL', 3093, 'AUH', 2179, '', 0, '73H 320\r'),
	('9W', 3000, 'DEL', 3093, 'BHO', 3002, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'DEL', 3093, 'BKK', 3885, '', 0, '73H\r'),
	('9W', 3000, 'DEL', 3093, 'BLR', 3131, '', 0, '738 73H\r'),
	('9W', 3000, 'DEL', 3093, 'BOM', 2997, '', 0, '739 738 73H\r'),
	('9W', 3000, 'DEL', 3093, 'BRU', 302, '', 0, '333\r'),
	('9W', 3000, 'DEL', 3093, 'CCU', 3043, 'Y', 0, '738\r'),
	('9W', 3000, 'DEL', 3093, 'DAC', 3076, '', 0, '738\r'),
	('9W', 3000, 'DEL', 3093, 'DED', 3092, '', 0, '738\r'),
	('9W', 3000, 'DEL', 3093, 'DMM', 2064, '', 0, '73H\r'),
	('9W', 3000, 'DEL', 3093, 'DOH', 2241, '', 0, '73H\r'),
	('9W', 3000, 'DEL', 3093, 'DXB', 2188, '', 0, '73H\r'),
	('9W', 3000, 'DEL', 3093, 'GAU', 6173, 'Y', 0, '738\r'),
	('9W', 3000, 'DEL', 3093, 'GOP', 6741, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'DEL', 3093, 'HKG', 3077, '', 0, '332 77W\r'),
	('9W', 3000, 'DEL', 3093, 'HYD', 3141, 'Y', 0, '73W 738\r'),
	('9W', 3000, 'DEL', 3093, 'IDR', 3008, '', 0, '73H\r'),
	('9W', 3000, 'DEL', 3093, 'IXB', 3040, '', 0, '73W\r'),
	('9W', 3000, 'DEL', 3093, 'IXC', 3089, 'Y', 0, '738 AT7\r'),
	('9W', 3000, 'DEL', 3093, 'IXJ', 3100, 'Y', 0, '73H 738\r'),
	('9W', 3000, 'DEL', 3093, 'IXL', 3104, 'Y', 0, '73W\r'),
	('9W', 3000, 'DEL', 3093, 'IXR', 3063, 'Y', 0, '73H\r'),
	('9W', 3000, 'DEL', 3093, 'JAI', 3098, '', 0, '73H\r'),
	('9W', 3000, 'DEL', 3093, 'JDH', 3097, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'DEL', 3093, 'KTM', 3125, '', 0, '73H\r'),
	('9W', 3000, 'DEL', 3093, 'KUL', 3304, 'Y', 0, '333 738\r'),
	('9W', 3000, 'DEL', 3093, 'LHR', 507, '', 0, '77W\r'),
	('9W', 3000, 'DEL', 3093, 'LKO', 3105, 'Y', 0, 'AT7 73W 739 738\r'),
	('9W', 3000, 'DEL', 3093, 'MAA', 3144, '', 0, '73H 738\r'),
	('9W', 3000, 'DEL', 3093, 'PAT', 3061, '', 0, '73H\r'),
	('9W', 3000, 'DEL', 3093, 'PNQ', 3017, '', 0, '738 73H 73W\r'),
	('9W', 3000, 'DEL', 3093, 'RPR', 3020, 'Y', 0, '73W\r'),
	('9W', 3000, 'DEL', 3093, 'SIN', 3316, '', 0, '73H\r'),
	('9W', 3000, 'DEL', 3093, 'SXR', 3112, '', 0, '738 73H\r'),
	('9W', 3000, 'DEL', 3093, 'UDR', 3023, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'DEL', 3093, 'VNS', 3084, 'Y', 0, '738\r'),
	('9W', 3000, 'DIB', 6443, 'GAU', 6173, 'Y', 0, '738\r'),
	('9W', 3000, 'DIU', 5711, 'PBD', 3018, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'DMM', 2064, 'AUH', 2179, '', 0, '73H\r'),
	('9W', 3000, 'DMM', 2064, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'DMM', 2064, 'COK', 3136, '', 0, '73H\r'),
	('9W', 3000, 'DMM', 2064, 'DEL', 3093, '', 0, '73H\r'),
	('9W', 3000, 'DMM', 2064, 'TRV', 3153, '', 0, '73H\r'),
	('9W', 3000, 'DOH', 2241, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'DOH', 2241, 'COK', 3136, '', 0, '73H\r'),
	('9W', 3000, 'DOH', 2241, 'DEL', 3093, '', 0, '73H\r'),
	('9W', 3000, 'DXB', 2188, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'DXB', 2188, 'DEL', 3093, '', 0, '73H\r'),
	('9W', 3000, 'DXB', 2188, 'IXE', 3143, '', 0, '73H\r'),
	('9W', 3000, 'EWR', 3494, 'BRU', 302, '', 0, '333\r'),
	('9W', 3000, 'GAU', 6173, 'AJL', 3039, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'GAU', 6173, 'CCU', 3043, 'Y', 0, 'AT7 738\r'),
	('9W', 3000, 'GAU', 6173, 'DEL', 3093, 'Y', 0, '738\r'),
	('9W', 3000, 'GAU', 6173, 'DIB', 6443, 'Y', 0, '738\r'),
	('9W', 3000, 'GAU', 6173, 'IMF', 3050, 'Y', 0, '738\r'),
	('9W', 3000, 'GAU', 6173, 'IXS', 3055, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'GOI', 3007, 'BLR', 3131, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'GOI', 3007, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'GOI', 3007, 'MAA', 3144, '', 0, '738\r'),
	('9W', 3000, 'GOP', 6741, 'DEL', 3093, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'HKG', 3077, 'BOM', 2997, '', 0, '77W\r'),
	('9W', 3000, 'HKG', 3077, 'DEL', 3093, '', 0, '332 77W\r'),
	('9W', 3000, 'HYD', 3141, 'AUH', 2179, '', 0, '73H\r'),
	('9W', 3000, 'HYD', 3141, 'BLR', 3131, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'HYD', 3141, 'BOM', 2997, '', 0, '738 73H\r'),
	('9W', 3000, 'HYD', 3141, 'DEL', 3093, 'Y', 0, '738 73W\r'),
	('9W', 3000, 'HYD', 3141, 'KUL', 3304, 'Y', 0, '738\r'),
	('9W', 3000, 'HYD', 3141, 'MAA', 3144, 'Y', 0, '738 AT7\r'),
	('9W', 3000, 'HYD', 3141, 'PNQ', 3017, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'HYD', 3141, 'RJA', 3148, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'IDR', 3008, 'BLR', 3131, 'Y', 0, '738\r'),
	('9W', 3000, 'IDR', 3008, 'BOM', 2997, 'Y', 0, '73H 73G\r'),
	('9W', 3000, 'IDR', 3008, 'DEL', 3093, '', 0, '73H\r'),
	('9W', 3000, 'IDR', 3008, 'PNQ', 3017, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'IMF', 3050, 'GAU', 6173, 'Y', 0, '738\r'),
	('9W', 3000, 'IXA', 3038, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'IXB', 3040, 'CCU', 3043, '', 0, '738\r'),
	('9W', 3000, 'IXB', 3040, 'DEL', 3093, '', 0, '73W\r'),
	('9W', 3000, 'IXC', 3089, 'BOM', 2997, '', 0, '738\r'),
	('9W', 3000, 'IXC', 3089, 'DEL', 3093, 'Y', 0, '738 AT7\r'),
	('9W', 3000, 'IXE', 3143, 'BLR', 3131, '', 0, '738\r'),
	('9W', 3000, 'IXE', 3143, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'IXE', 3143, 'DXB', 2188, '', 0, '73H\r'),
	('9W', 3000, 'IXJ', 3100, 'DEL', 3093, 'Y', 0, '73H 738\r'),
	('9W', 3000, 'IXL', 3104, 'DEL', 3093, '', 0, '73W\r'),
	('9W', 3000, 'IXM', 3142, 'MAA', 3144, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'IXR', 3063, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'IXR', 3063, 'DEL', 3093, 'Y', 0, '73H\r'),
	('9W', 3000, 'IXS', 3055, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'IXS', 3055, 'GAU', 6173, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'IXU', 2996, 'BOM', 2997, '', 0, '738\r'),
	('9W', 3000, 'IXZ', 3146, 'CCU', 3043, 'Y', 0, '738\r'),
	('9W', 3000, 'IXZ', 3146, 'MAA', 3144, '', 0, '73H\r'),
	('9W', 3000, 'JAI', 3098, 'BOM', 2997, 'Y', 0, '73G 73W\r'),
	('9W', 3000, 'JAI', 3098, 'DEL', 3093, '', 0, '73H\r'),
	('9W', 3000, 'JDH', 3097, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'JDH', 3097, 'DEL', 3093, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'JED', 2072, 'BOM', 2997, '', 0, '739\r'),
	('9W', 3000, 'JNB', 813, 'BOM', 2997, '', 0, '332\r'),
	('9W', 3000, 'KTM', 3125, 'BOM', 2997, '', 0, '73H 739\r'),
	('9W', 3000, 'KTM', 3125, 'DEL', 3093, '', 0, '73H\r'),
	('9W', 3000, 'KUL', 3304, 'BLR', 3131, 'Y', 0, '738\r'),
	('9W', 3000, 'KUL', 3304, 'BOM', 2997, 'Y', 0, '772\r'),
	('9W', 3000, 'KUL', 3304, 'DEL', 3093, 'Y', 0, '333 738\r'),
	('9W', 3000, 'KUL', 3304, 'HYD', 3141, 'Y', 0, '738\r'),
	('9W', 3000, 'KUL', 3304, 'MAA', 3144, 'Y', 0, '738\r'),
	('9W', 3000, 'KWI', 2176, 'AUH', 2179, '', 0, '73H\r'),
	('9W', 3000, 'KWI', 2176, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'LHR', 507, 'BOM', 2997, '', 0, '77W\r'),
	('9W', 3000, 'LHR', 507, 'DEL', 3093, '', 0, '77W\r'),
	('9W', 3000, 'LKO', 3105, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'LKO', 3105, 'DEL', 3093, 'Y', 0, 'AT7 73W 739 738\r'),
	('9W', 3000, 'MAA', 3144, 'AUH', 2179, '', 0, '73H\r'),
	('9W', 3000, 'MAA', 3144, 'BLR', 3131, 'Y', 0, 'AT7 739 738 73H\r'),
	('9W', 3000, 'MAA', 3144, 'BOM', 2997, '', 0, '738 73H\r'),
	('9W', 3000, 'MAA', 3144, 'CJB', 3135, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'MAA', 3144, 'COK', 3136, 'Y', 0, 'AT7 73H\r'),
	('9W', 3000, 'MAA', 3144, 'DEL', 3093, '', 0, '738\r'),
	('9W', 3000, 'MAA', 3144, 'GOI', 3007, '', 0, '738\r'),
	('9W', 3000, 'MAA', 3144, 'HYD', 3141, 'Y', 0, '738\r'),
	('9W', 3000, 'MAA', 3144, 'IXM', 3142, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'MAA', 3144, 'IXZ', 3146, '', 0, '73H\r'),
	('9W', 3000, 'MAA', 3144, 'KUL', 3304, 'Y', 0, '738\r'),
	('9W', 3000, 'MAA', 3144, 'SIN', 3316, '', 0, '73H\r'),
	('9W', 3000, 'MAA', 3144, 'TRZ', 3152, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'MCT', 2194, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'MCT', 2194, 'COK', 3136, '', 0, '73H\r'),
	('9W', 3000, 'MCT', 2194, 'TRV', 3153, '', 0, '73H\r'),
	('9W', 3000, 'NAG', 3015, 'BOM', 2997, 'Y', 0, '73G\r'),
	('9W', 3000, 'NBO', 4059, 'BOM', 2997, 'Y', 0, '772 763\r'),
	('9W', 3000, 'NRT', 2279, 'BOM', 2997, 'Y', 0, '737\r'),
	('9W', 3000, 'PAT', 3061, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'PAT', 3061, 'DEL', 3093, '', 0, '73H\r'),
	('9W', 3000, 'PBD', 3018, 'BOM', 2997, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'PNQ', 3017, 'BLR', 3131, 'Y', 0, '738\r'),
	('9W', 3000, 'PNQ', 3017, 'BOM', 2997, '', 0, '738\r'),
	('9W', 3000, 'PNQ', 3017, 'DEL', 3093, '', 0, '738 73H 73W\r'),
	('9W', 3000, 'PNQ', 3017, 'HYD', 3141, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'PNQ', 3017, 'IDR', 3008, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'RAJ', 3019, 'BOM', 2997, 'Y', 0, '73G\r'),
	('9W', 3000, 'RJA', 3148, 'HYD', 3141, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'RPR', 3020, 'BHO', 3002, 'Y', 0, '738\r'),
	('9W', 3000, 'RPR', 3020, 'BOM', 2997, 'Y', 0, '738\r'),
	('9W', 3000, 'RPR', 3020, 'DEL', 3093, 'Y', 0, '73W\r'),
	('9W', 3000, 'RUH', 2082, 'BOM', 2997, '', 0, '739 73H\r'),
	('9W', 3000, 'SHJ', 2191, 'COK', 3136, '', 0, '73H\r'),
	('9W', 3000, 'SIN', 3316, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'SIN', 3316, 'DEL', 3093, '', 0, '73H\r'),
	('9W', 3000, 'SIN', 3316, 'MAA', 3144, '', 0, '73H\r'),
	('9W', 3000, 'SXR', 3112, 'DEL', 3093, '', 0, '738 73H\r'),
	('9W', 3000, 'TRV', 3153, 'AUH', 2179, 'Y', 0, '320\r'),
	('9W', 3000, 'TRV', 3153, 'BLR', 3131, 'Y', 0, '73H\r'),
	('9W', 3000, 'TRV', 3153, 'BOM', 2997, '', 0, '73H\r'),
	('9W', 3000, 'TRV', 3153, 'DMM', 2064, '', 0, '73H\r'),
	('9W', 3000, 'TRV', 3153, 'MCT', 2194, '', 0, '73H\r'),
	('9W', 3000, 'TRZ', 3152, 'MAA', 3144, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'UDR', 3023, 'BOM', 2997, 'Y', 0, '73H 73G\r'),
	('9W', 3000, 'UDR', 3023, 'DEL', 3093, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'VNS', 3084, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('9W', 3000, 'VNS', 3084, 'DEL', 3093, 'Y', 0, '738\r'),
	('9W', 3000, 'VTZ', 3066, 'BLR', 3131, 'Y', 0, '73G\r'),
	('9W', 3000, 'VTZ', 3066, 'BOM', 2997, '', 0, '738\r'),
	('9W', 3000, 'VTZ', 3066, 'CCU', 3043, 'Y', 0, '73G\r'),
	('9W', 3000, 'YYZ', 193, 'BRU', 302, '', 0, '332 333\r'),
	('A2', 1780, 'ATH', 3941, 'JSH', 1480, '', 0, '143\r'),
	('A2', 1780, 'CFU', 1460, 'SKG', 1486, '', 0, '143\r'),
	('A2', 1780, 'JKH', 1450, 'SKG', 1486, '', 0, '143\r'),
	('A2', 1780, 'JSH', 1480, 'ATH', 3941, '', 0, '143\r'),
	('A2', 1780, 'KLX', 1456, 'SKG', 1486, '', 0, '143\r'),
	('A2', 1780, 'SKG', 1486, 'CFU', 1460, '', 0, '143\r'),
	('A2', 1780, 'SKG', 1486, 'JKH', 1450, '', 0, '143\r'),
	('A2', 1780, 'SKG', 1486, 'KLX', 1456, '', 0, '143\r'),
	('A2', 1780, 'SKG', 1486, 'SMI', 1476, '', 0, '143\r'),
	('A2', 1780, 'SMI', 1476, 'SKG', 1486, '', 0, '143\r'),
	('A3', 96, 'AOK', 1459, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'AOK', 1459, 'KSJ', 1461, '', 0, 'DH8\r'),
	('A3', 96, 'AOK', 1459, 'RHO', 1472, '', 0, 'DH8\r'),
	('A3', 96, 'ARN', 737, 'KLX', 1456, '', 0, '319\r'),
	('A3', 96, 'ARN', 737, 'SKG', 1486, 'Y', 0, '736\r'),
	('A3', 96, 'ATH', 3941, 'AOK', 1459, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'AUH', 2179, '', 0, '321 320\r'),
	('A3', 96, 'ATH', 3941, 'AXD', 1446, '', 0, '320 DH4 321\r'),
	('A3', 96, 'ATH', 3941, 'BCN', 1218, '', 0, '320 321\r'),
	('A3', 96, 'ATH', 3941, 'BEG', 1739, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'BRU', 302, '', 0, '321 320\r'),
	('A3', 96, 'ATH', 3941, 'BUD', 1489, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'CAI', 1128, '', 0, '738\r'),
	('A3', 96, 'ATH', 3941, 'CDG', 1382, '', 0, '321 320\r'),
	('A3', 96, 'ATH', 3941, 'CFU', 1460, '', 0, 'DH4 320\r'),
	('A3', 96, 'ATH', 3941, 'CHQ', 1474, '', 0, '320 DH4\r'),
	('A3', 96, 'ATH', 3941, 'DME', 4029, '', 0, '320 321\r'),
	('A3', 96, 'ATH', 3941, 'DUS', 345, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'EFL', 1455, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'FCO', 1555, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'FRA', 340, '', 0, '321\r'),
	('A3', 96, 'ATH', 3941, 'GVA', 1665, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'HBE', 3410, '', 0, 'E70\r'),
	('A3', 96, 'ATH', 3941, 'HER', 1452, '', 0, '321 DH4 320\r'),
	('A3', 96, 'ATH', 3941, 'IEV', 2944, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'IOA', 1451, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'IST', 1701, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'JIK', 4191, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'JKH', 1450, '', 0, 'DH4 319\r'),
	('A3', 96, 'ATH', 3941, 'JKL', 4192, '', 0, 'DH8\r'),
	('A3', 96, 'ATH', 3941, 'JMK', 1468, '', 0, '320 DH4\r'),
	('A3', 96, 'ATH', 3941, 'JNX', 4194, '', 0, 'DH8\r'),
	('A3', 96, 'ATH', 3941, 'JSI', 1475, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'JSY', 5787, '', 0, 'DH8\r'),
	('A3', 96, 'ATH', 3941, 'JTR', 1479, '', 0, '321 320 DH4 319\r'),
	('A3', 96, 'ATH', 3941, 'JTY', 4190, '', 0, 'DH8\r'),
	('A3', 96, 'ATH', 3941, 'KGS', 1458, '', 0, '320 DH4\r'),
	('A3', 96, 'ATH', 3941, 'KIT', 1454, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'KVA', 1462, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'LCA', 1197, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'LED', 2948, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'LHR', 507, '', 0, '321 320\r'),
	('A3', 96, 'ATH', 3941, 'LRS', 1464, '', 0, 'DH8\r'),
	('A3', 96, 'ATH', 3941, 'LXS', 1465, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'LYS', 1335, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'MAD', 1229, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'MAN', 478, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'MJT', 1469, '', 0, '320 DH4\r'),
	('A3', 96, 'ATH', 3941, 'MLO', 4193, '', 0, 'DH8\r'),
	('A3', 96, 'ATH', 3941, 'MRS', 1353, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'MUC', 346, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'MXP', 1524, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'NTE', 1418, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'OSL', 644, 'Y', 0, '73W 73G\r'),
	('A3', 96, 'ATH', 3941, 'OTP', 1657, '', 0, '320 DH4\r'),
	('A3', 96, 'ATH', 3941, 'PAS', 4195, '', 0, 'DH8\r'),
	('A3', 96, 'ATH', 3941, 'PHL', 3752, 'Y', 0, '332\r'),
	('A3', 96, 'ATH', 3941, 'PRG', 1587, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'RHO', 1472, '', 0, '320 DH4\r'),
	('A3', 96, 'ATH', 3941, 'SKG', 1486, '', 0, '320 321 DH4\r'),
	('A3', 96, 'ATH', 3941, 'SKU', 1482, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'SMI', 1476, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'SOF', 1194, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'TBS', 3973, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'TIA', 1190, '', 0, 'DH4\r'),
	('A3', 96, 'ATH', 3941, 'TLV', 1590, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'TXL', 351, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'VIE', 1613, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'WAW', 679, '', 0, '320\r'),
	('A3', 96, 'ATH', 3941, 'ZTH', 1488, '', 0, 'DH4\r'),
	('A3', 96, 'AUH', 2179, 'ATH', 3941, '', 0, '321 320\r'),
	('A3', 96, 'AXD', 1446, 'ATH', 3941, '', 0, '320 DH4 321\r'),
	('A3', 96, 'BCN', 1218, 'ATH', 3941, '', 0, '320 321\r'),
	('A3', 96, 'BEG', 1739, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'BOD', 1264, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'BRU', 302, 'ATH', 3941, '', 0, '321 320\r'),
	('A3', 96, 'BRU', 302, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'BUD', 1489, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'CAI', 1128, 'ATH', 3941, '', 0, '738\r'),
	('A3', 96, 'CDG', 1382, 'ATH', 3941, '', 0, '321 320\r'),
	('A3', 96, 'CDG', 1382, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'CDG', 1382, 'RHO', 1472, '', 0, '320\r'),
	('A3', 96, 'CDG', 1382, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'CFU', 1460, 'ATH', 3941, '', 0, 'DH4 320\r'),
	('A3', 96, 'CFU', 1460, 'DME', 4029, '', 0, '320\r'),
	('A3', 96, 'CHQ', 1474, 'ATH', 3941, '', 0, '320 DH4\r'),
	('A3', 96, 'CHQ', 1474, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'CPH', 609, 'SKG', 1486, 'Y', 0, '320\r'),
	('A3', 96, 'DME', 4029, 'ATH', 3941, '', 0, '320 321\r'),
	('A3', 96, 'DME', 4029, 'CFU', 1460, '', 0, '320\r'),
	('A3', 96, 'DME', 4029, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'DME', 4029, 'KGS', 1458, '', 0, '320\r'),
	('A3', 96, 'DME', 4029, 'RHO', 1472, '', 0, '320\r'),
	('A3', 96, 'DME', 4029, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'DUS', 345, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'DUS', 345, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'DUS', 345, 'KLX', 1456, '', 0, '319\r'),
	('A3', 96, 'DUS', 345, 'SKG', 1486, '', 0, '321\r'),
	('A3', 96, 'EFL', 1455, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'FCO', 1555, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'FRA', 340, 'ATH', 3941, '', 0, '321\r'),
	('A3', 96, 'FRA', 340, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'FRA', 340, 'SKG', 1486, '', 0, '321\r'),
	('A3', 96, 'GVA', 1665, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'GVA', 1665, 'OPO', 1636, 'Y', 0, '320 319\r'),
	('A3', 96, 'HAJ', 352, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'HBE', 3410, 'ATH', 3941, '', 0, 'E70\r'),
	('A3', 96, 'HER', 1452, 'ATH', 3941, '', 0, '321 DH4 320\r'),
	('A3', 96, 'HER', 1452, 'BOD', 1264, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'BRU', 302, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'CDG', 1382, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'DME', 4029, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'DUS', 345, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'FRA', 340, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'LED', 2948, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'MRS', 1353, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'MUC', 346, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'RHO', 1472, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'TLV', 1590, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'TXL', 351, '', 0, '320\r'),
	('A3', 96, 'HER', 1452, 'VIE', 1613, '', 0, '320\r'),
	('A3', 96, 'IEV', 2944, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'IOA', 1451, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'IST', 1701, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'JIK', 4191, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'JKH', 1450, 'ATH', 3941, '', 0, 'DH4 319\r'),
	('A3', 96, 'JKL', 4192, 'ATH', 3941, '', 0, 'DH8\r'),
	('A3', 96, 'JKL', 4192, 'KGS', 1458, '', 0, 'DH8\r'),
	('A3', 96, 'JKL', 4192, 'LRS', 1464, '', 0, 'DH8\r'),
	('A3', 96, 'JMK', 1468, 'ATH', 3941, '', 0, '320 DH4\r'),
	('A3', 96, 'JNX', 4194, 'ATH', 3941, '', 0, 'DH8\r'),
	('A3', 96, 'JSH', 1480, 'KSJ', 1461, '', 0, 'DH8\r'),
	('A3', 96, 'JSI', 1475, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'JSY', 5787, 'ATH', 3941, '', 0, 'DH8\r'),
	('A3', 96, 'JTR', 1479, 'ATH', 3941, '', 0, '321 320 DH4 319\r'),
	('A3', 96, 'JTY', 4190, 'ATH', 3941, '', 0, 'DH8\r'),
	('A3', 96, 'JTY', 4190, 'LRS', 1464, '', 0, 'DH8\r'),
	('A3', 96, 'KGS', 1458, 'ATH', 3941, '', 0, '320 DH4\r'),
	('A3', 96, 'KGS', 1458, 'DME', 4029, '', 0, '320\r'),
	('A3', 96, 'KGS', 1458, 'JKL', 4192, '', 0, 'DH8\r'),
	('A3', 96, 'KGS', 1458, 'RHO', 1472, '', 0, 'DH8\r'),
	('A3', 96, 'KIT', 1454, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'KLX', 1456, 'ARN', 737, '', 0, '319\r'),
	('A3', 96, 'KLX', 1456, 'DUS', 345, '', 0, '319\r'),
	('A3', 96, 'KLX', 1456, 'MUC', 346, '', 0, '319\r'),
	('A3', 96, 'KSJ', 1461, 'AOK', 1459, '', 0, 'DH8\r'),
	('A3', 96, 'KSJ', 1461, 'JSH', 1480, '', 0, 'DH8\r'),
	('A3', 96, 'KVA', 1462, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'KZS', 4196, 'RHO', 1472, '', 0, 'DH8\r'),
	('A3', 96, 'LCA', 1197, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'LCA', 1197, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'LED', 2948, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'LED', 2948, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'LED', 2948, 'RHO', 1472, '', 0, '320\r'),
	('A3', 96, 'LED', 2948, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'LHR', 507, 'ATH', 3941, '', 0, '321 320\r'),
	('A3', 96, 'LRS', 1464, 'ATH', 3941, '', 0, 'DH8\r'),
	('A3', 96, 'LRS', 1464, 'JKL', 4192, '', 0, 'DH8\r'),
	('A3', 96, 'LRS', 1464, 'JTY', 4190, '', 0, 'DH8\r'),
	('A3', 96, 'LXS', 1465, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'LYS', 1335, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'MAD', 1229, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'MAN', 478, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'MJT', 1469, 'ATH', 3941, '', 0, '320 DH4\r'),
	('A3', 96, 'MJT', 1469, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'MLO', 4193, 'ATH', 3941, '', 0, 'DH8\r'),
	('A3', 96, 'MRS', 1353, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'MRS', 1353, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'MUC', 346, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'MUC', 346, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'MUC', 346, 'KLX', 1456, '', 0, '319\r'),
	('A3', 96, 'MUC', 346, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'MXP', 1524, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'NTE', 1418, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'NUE', 347, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'OSL', 644, 'ATH', 3941, 'Y', 0, '73W 73G\r'),
	('A3', 96, 'OTP', 1657, 'ATH', 3941, '', 0, '320 DH4\r'),
	('A3', 96, 'PAS', 4195, 'ATH', 3941, '', 0, 'DH8\r'),
	('A3', 96, 'PHL', 3752, 'ATH', 3941, 'Y', 0, '332\r'),
	('A3', 96, 'PRG', 1587, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'RHO', 1472, 'AOK', 1459, '', 0, 'DH8\r'),
	('A3', 96, 'RHO', 1472, 'ATH', 3941, '', 0, '320 DH4\r'),
	('A3', 96, 'RHO', 1472, 'CDG', 1382, '', 0, '320\r'),
	('A3', 96, 'RHO', 1472, 'DME', 4029, '', 0, '320\r'),
	('A3', 96, 'RHO', 1472, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'RHO', 1472, 'KGS', 1458, '', 0, 'DH8\r'),
	('A3', 96, 'RHO', 1472, 'KZS', 4196, '', 0, 'DH8\r'),
	('A3', 96, 'RHO', 1472, 'LED', 2948, '', 0, '320\r'),
	('A3', 96, 'RHO', 1472, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'ARN', 737, 'Y', 0, '736\r'),
	('A3', 96, 'SKG', 1486, 'ATH', 3941, '', 0, '320 321 DH4\r'),
	('A3', 96, 'SKG', 1486, 'CDG', 1382, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'CHQ', 1474, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'CPH', 609, 'Y', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'DME', 4029, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'DUS', 345, '', 0, '321\r'),
	('A3', 96, 'SKG', 1486, 'FRA', 340, '', 0, '321\r'),
	('A3', 96, 'SKG', 1486, 'HAJ', 352, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'LCA', 1197, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'LED', 2948, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'MJT', 1469, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'MUC', 346, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'NUE', 347, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'RHO', 1472, '', 0, '320\r'),
	('A3', 96, 'SKG', 1486, 'STR', 350, '', 0, '320\r'),
	('A3', 96, 'SKU', 1482, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'SMI', 1476, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'SOF', 1194, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'STR', 350, 'SKG', 1486, '', 0, '320\r'),
	('A3', 96, 'TBS', 3973, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'TIA', 1190, 'ATH', 3941, '', 0, 'DH4\r'),
	('A3', 96, 'TLV', 1590, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'TLV', 1590, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'TXL', 351, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'TXL', 351, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'VIE', 1613, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'VIE', 1613, 'HER', 1452, '', 0, '320\r'),
	('A3', 96, 'WAW', 679, 'ATH', 3941, '', 0, '320\r'),
	('A3', 96, 'ZRH', 1678, 'LIS', 1638, '', 0, '320\r'),
	('A3', 96, 'ZTH', 1488, 'ATH', 3941, '', 0, 'DH4\r'),
	('A4', 4550, 'BYC', 2772, 'SRZ', 4247, '', 0, 'SWM\r'),
	('A4', 4550, 'BYC', 2772, 'TJA', 2768, '', 0, 'SWM\r'),
	('A4', 4550, 'CBB', 2759, 'TDD', 2769, '', 0, 'SWM\r'),
	('A4', 4550, 'CIJ', 2761, 'TDD', 2769, '', 0, 'SWM\r'),
	('A4', 4550, 'GYA', 6056, 'TDD', 2769, '', 0, 'SWM\r'),
	('A4', 4550, 'LPB', 2762, 'POI', 2764, '', 0, 'SWM\r'),
	('A4', 4550, 'LPB', 2762, 'SRZ', 4247, '', 0, 'SWM\r'),
	('A4', 4550, 'LPB', 2762, 'TDD', 2769, '', 0, 'SWM\r'),
	('A4', 4550, 'POI', 2764, 'LPB', 2762, '', 0, 'SWM\r'),
	('A4', 4550, 'RIB', 6058, 'TDD', 2769, '', 0, 'SWM\r'),
	('A4', 4550, 'SRZ', 4247, 'BYC', 2772, '', 0, 'SWM\r'),
	('A4', 4550, 'SRZ', 4247, 'LPB', 2762, '', 0, 'SWM\r'),
	('A4', 4550, 'SRZ', 4247, 'TDD', 2769, '', 0, 'SWM\r'),
	('A4', 4550, 'TDD', 2769, 'CBB', 2759, '', 0, 'SWM\r'),
	('A4', 4550, 'TDD', 2769, 'CIJ', 2761, '', 0, 'SWM\r'),
	('A4', 4550, 'TDD', 2769, 'GYA', 6056, '', 0, 'SWM\r'),
	('A4', 4550, 'TDD', 2769, 'LPB', 2762, '', 0, 'SWM\r'),
	('A4', 4550, 'TDD', 2769, 'RIB', 6058, '', 0, 'SWM\r'),
	('A4', 4550, 'TDD', 2769, 'SRZ', 4247, '', 0, 'SWM\r'),
	('A4', 4550, 'TJA', 2768, 'BYC', 2772, '', 0, 'SWM\r'),
	('A5', 1203, 'AGF', 1262, 'DCM', 1285, '', 0, 'AT5\r'),
	('A5', 1203, 'AGF', 1262, 'ORY', 1386, '', 0, 'AT5\r'),
	('A5', 1203, 'AJA', 1324, 'BVE', 1278, '', 0, 'AT5\r'),
	('A5', 1203, 'AJA', 1324, 'DCM', 1285, '', 0, 'AT5\r'),
	('A5', 1203, 'AJA', 1324, 'PIS', 1268, '', 0, 'AT5\r'),
	('A5', 1203, 'AMS', 580, 'CFE', 1330, '', 0, 'ER4\r'),
	('A5', 1203, 'AMS', 580, 'SXB', 1435, '', 0, 'ER4 CR7 E70\r'),
	('A5', 1203, 'AUR', 1344, 'ORY', 1386, '', 0, 'AT5\r'),
	('A5', 1203, 'BES', 1403, 'LYS', 1335, '', 0, 'CR7 CRK ER4\r'),
	('A5', 1203, 'BES', 1403, 'NCE', 1354, '', 0, 'CR7\r'),
	('A5', 1203, 'BIA', 1321, 'LIL', 1399, '', 0, 'E70\r'),
	('A5', 1203, 'BIQ', 1280, 'GVA', 1665, '', 0, 'CR7\r'),
	('A5', 1203, 'BIQ', 1280, 'LIL', 1399, '', 0, 'ER4\r'),
	('A5', 1203, 'BIQ', 1280, 'LYS', 1335, '', 0, 'CR7 ER4\r'),
	('A5', 1203, 'BIQ', 1280, 'NCE', 1354, '', 0, 'CR7\r'),
	('A5', 1203, 'BLQ', 1538, 'LYS', 1335, '', 0, 'ER4 AT5\r'),
	('A5', 1203, 'BOD', 1264, 'FCO', 1555, '', 0, 'E70 E90 CR7\r'),
	('A5', 1203, 'BOD', 1264, 'LIL', 1399, '', 0, 'E70 CR7 E90\r'),
	('A5', 1203, 'BOD', 1264, 'LYS', 1335, '', 0, 'E90 E70\r'),
	('A5', 1203, 'BOD', 1264, 'NCE', 1354, '', 0, 'CR7\r'),
	('A5', 1203, 'BOD', 1264, 'NTE', 1418, '', 0, 'ER4\r'),
	('A5', 1203, 'BOD', 1264, 'SXB', 1435, '', 0, 'E70 ER4\r'),
	('A5', 1203, 'BRU', 302, 'LYS', 1335, '', 0, 'ER4\r'),
	('A5', 1203, 'BRU', 302, 'NTE', 1418, '', 0, 'ER4\r'),
	('A5', 1203, 'BVE', 1278, 'AJA', 1324, '', 0, 'AT5\r'),
	('A5', 1203, 'BVE', 1278, 'ORY', 1386, '', 0, 'AT5\r'),
	('A5', 1203, 'CFE', 1330, 'AMS', 580, '', 0, 'ER4\r'),
	('A5', 1203, 'CFE', 1330, 'LYS', 1335, '', 0, 'ER4\r'),
	('A5', 1203, 'CFE', 1330, 'NCE', 1354, '', 0, 'ER4\r'),
	('A5', 1203, 'CFR', 1412, 'LYS', 1335, '', 0, 'CR7\r'),
	('A5', 1203, 'CFR', 1412, 'NCE', 1354, '', 0, 'CR7\r'),
	('A5', 1203, 'CFR', 1412, 'ORY', 1386, '', 0, 'BEH\r'),
	('A5', 1203, 'CLY', 1322, 'NTE', 1418, '', 0, 'E70\r'),
	('A5', 1203, 'DCM', 1285, 'AGF', 1262, '', 0, 'AT5\r'),
	('A5', 1203, 'DCM', 1285, 'AJA', 1324, '', 0, 'AT5\r'),
	('A5', 1203, 'DCM', 1285, 'ORY', 1386, '', 0, 'AT5\r'),
	('A5', 1203, 'DUS', 345, 'NTE', 1418, '', 0, 'ER4\r'),
	('A5', 1203, 'ETZ', 1320, 'LYS', 1335, '', 0, 'AT7 ER4 CRJ\r'),
	('A5', 1203, 'ETZ', 1320, 'NCE', 1354, '', 0, 'ER4 CRJ CR7\r'),
	('A5', 1203, 'FCO', 1555, 'BOD', 1264, '', 0, 'E70 E90 CR7\r'),
	('A5', 1203, 'FCO', 1555, 'LYS', 1335, '', 0, 'CRK\r'),
	('A5', 1203, 'FCO', 1555, 'SXB', 1435, '', 0, 'ER4 CR7\r'),
	('A5', 1203, 'FLR', 1563, 'LYS', 1335, '', 0, 'AT5\r'),
	('A5', 1203, 'FSC', 1323, 'LIL', 1399, '', 0, 'CRK\r'),
	('A5', 1203, 'FSC', 1323, 'NTE', 1418, '', 0, 'CRK\r'),
	('A5', 1203, 'GOT', 687, 'LYS', 1335, '', 0, 'ER4\r'),
	('A5', 1203, 'GVA', 1665, 'BIQ', 1280, '', 0, 'CR7\r'),
	('A5', 1203, 'LAI', 1416, 'ORY', 1386, '', 0, 'AT5\r'),
	('A5', 1203, 'LDE', 1276, 'ORY', 1386, '', 0, 'CR7\r'),
	('A5', 1203, 'LIL', 1399, 'BIA', 1321, '', 0, 'E70\r'),
	('A5', 1203, 'LIL', 1399, 'BIQ', 1280, '', 0, 'ER4\r'),
	('A5', 1203, 'LIL', 1399, 'BOD', 1264, '', 0, 'E70 CR7 E90\r'),
	('A5', 1203, 'LIL', 1399, 'FSC', 1323, '', 0, 'CRK\r'),
	('A5', 1203, 'LIL', 1399, 'LYS', 1335, '', 0, 'ER4 CRJ\r'),
	('A5', 1203, 'LIL', 1399, 'MPL', 1359, '', 0, 'E70\r'),
	('A5', 1203, 'LIL', 1399, 'NTE', 1418, '', 0, 'ER4\r'),
	('A5', 1203, 'LIL', 1399, 'SXB', 1435, '', 0, 'CRJ ER4\r'),
	('A5', 1203, 'LIL', 1399, 'TLS', 1273, '', 0, 'E70\r'),
	('A5', 1203, 'LRH', 6493, 'ORY', 1386, '', 0, 'BEH\r'),
	('A5', 1203, 'LRH', 6493, 'PIS', 1268, '', 0, 'AT5\r'),
	('A5', 1203, 'LRT', 1409, 'ORY', 1386, '', 0, 'CR7\r'),
	('A5', 1203, 'LYS', 1335, 'BES', 1403, '', 0, 'CR7 CRK ER4\r'),
	('A5', 1203, 'LYS', 1335, 'BIQ', 1280, '', 0, 'CR7 ER4\r'),
	('A5', 1203, 'LYS', 1335, 'BLQ', 1538, '', 0, 'ER4 AT5\r'),
	('A5', 1203, 'LYS', 1335, 'BOD', 1264, '', 0, 'E90 E70\r'),
	('A5', 1203, 'LYS', 1335, 'BRU', 302, '', 0, 'ER4\r'),
	('A5', 1203, 'LYS', 1335, 'CFE', 1330, '', 0, 'ER4\r'),
	('A5', 1203, 'LYS', 1335, 'CFR', 1412, '', 0, 'CR7\r'),
	('A5', 1203, 'LYS', 1335, 'ETZ', 1320, '', 0, 'ER4 AT7 CRJ\r'),
	('A5', 1203, 'LYS', 1335, 'FCO', 1555, '', 0, 'CRK\r'),
	('A5', 1203, 'LYS', 1335, 'FLR', 1563, '', 0, 'AT5\r'),
	('A5', 1203, 'LYS', 1335, 'GOT', 687, '', 0, 'ER4\r'),
	('A5', 1203, 'LYS', 1335, 'LIL', 1399, '', 0, 'CRJ ER4\r'),
	('A5', 1203, 'LYS', 1335, 'MLH', 1423, '', 0, 'AT5\r'),
	('A5', 1203, 'LYS', 1335, 'MPL', 1359, '', 0, 'AT5\r'),
	('A5', 1203, 'LYS', 1335, 'MRS', 1353, '', 0, 'AT5 CRJ\r'),
	('A5', 1203, 'LYS', 1335, 'MXP', 1524, '', 0, 'CRJ ER4\r'),
	('A5', 1203, 'LYS', 1335, 'NTE', 1418, '', 0, 'CRK E70 ER4\r'),
	('A5', 1203, 'LYS', 1335, 'PIS', 1268, '', 0, 'AT5\r'),
	('A5', 1203, 'LYS', 1335, 'PRG', 1587, '', 0, 'E90 CRK\r'),
	('A5', 1203, 'LYS', 1335, 'PUF', 1274, '', 0, 'AT7 ER4 CRJ CR7\r'),
	('A5', 1203, 'LYS', 1335, 'RNS', 1415, '', 0, 'CRK CR7\r'),
	('A5', 1203, 'LYS', 1335, 'SXB', 1435, '', 0, 'CR7 CRK\r'),
	('A5', 1203, 'LYS', 1335, 'VCE', 1551, '', 0, 'ER4 CRK\r'),
	('A5', 1203, 'MLH', 1423, 'LYS', 1335, '', 0, 'AT5\r'),
	('A5', 1203, 'MPL', 1359, 'LIL', 1399, '', 0, 'E70\r'),
	('A5', 1203, 'MPL', 1359, 'LYS', 1335, '', 0, 'AT5\r'),
	('A5', 1203, 'MPL', 1359, 'NTE', 1418, '', 0, 'E70 CRK ER4\r'),
	('A5', 1203, 'MPL', 1359, 'SXB', 1435, '', 0, 'E70\r'),
	('A5', 1203, 'MRS', 1353, 'LYS', 1335, '', 0, 'AT5 CRJ\r'),
	('A5', 1203, 'MRS', 1353, 'SXB', 1435, '', 0, 'CR7 ER4 E70\r'),
	('A5', 1203, 'MRS', 1353, 'TLS', 1273, '', 0, 'AT5\r'),
	('A5', 1203, 'MXP', 1524, 'LYS', 1335, '', 0, 'ER4 CRJ\r'),
	('A5', 1203, 'MXP', 1524, 'NTE', 1418, '', 0, 'ER4\r'),
	('A5', 1203, 'NCE', 1354, 'BES', 1403, '', 0, 'CR7\r'),
	('A5', 1203, 'NCE', 1354, 'BIQ', 1280, '', 0, 'CR7\r'),
	('A5', 1203, 'NCE', 1354, 'BOD', 1264, '', 0, 'CR7\r'),
	('A5', 1203, 'NCE', 1354, 'CFE', 1330, '', 0, 'ER4\r'),
	('A5', 1203, 'NCE', 1354, 'CFR', 1412, '', 0, 'CR7\r'),
	('A5', 1203, 'NCE', 1354, 'ETZ', 1320, '', 0, 'ER4 CRJ CR7\r'),
	('A5', 1203, 'NCE', 1354, 'RNS', 1415, '', 0, 'CRK CR7\r'),
	('A5', 1203, 'NCE', 1354, 'TLS', 1273, '', 0, 'AT7\r'),
	('A5', 1203, 'NTE', 1418, 'BOD', 1264, '', 0, 'ER4\r'),
	('A5', 1203, 'NTE', 1418, 'BRU', 302, '', 0, 'ER4\r'),
	('A5', 1203, 'NTE', 1418, 'CLY', 1322, '', 0, 'E70\r'),
	('A5', 1203, 'NTE', 1418, 'DUS', 345, '', 0, 'ER4\r'),
	('A5', 1203, 'NTE', 1418, 'FSC', 1323, '', 0, 'CRK\r'),
	('A5', 1203, 'NTE', 1418, 'LIL', 1399, '', 0, 'ER4\r'),
	('A5', 1203, 'NTE', 1418, 'LYS', 1335, '', 0, 'CRK E70 ER4\r'),
	('A5', 1203, 'NTE', 1418, 'MPL', 1359, '', 0, 'E70 CRK ER4\r'),
	('A5', 1203, 'NTE', 1418, 'MXP', 1524, '', 0, 'ER4\r'),
	('A5', 1203, 'NTE', 1418, 'SXB', 1435, '', 0, 'ER4\r'),
	('A5', 1203, 'NTE', 1418, 'TLS', 1273, '', 0, 'CR7\r'),
	('A5', 1203, 'ORY', 1386, 'AGF', 1262, '', 0, 'AT5\r'),
	('A5', 1203, 'ORY', 1386, 'AUR', 1344, '', 0, 'AT5\r'),
	('A5', 1203, 'ORY', 1386, 'BVE', 1278, '', 0, 'AT5\r'),
	('A5', 1203, 'ORY', 1386, 'CFR', 1412, '', 0, 'BEH\r'),
	('A5', 1203, 'ORY', 1386, 'DCM', 1285, '', 0, 'AT5\r'),
	('A5', 1203, 'ORY', 1386, 'LAI', 1416, '', 0, 'AT5\r'),
	('A5', 1203, 'ORY', 1386, 'LDE', 1276, '', 0, 'CR7\r'),
	('A5', 1203, 'ORY', 1386, 'LRH', 6493, '', 0, 'BEH\r'),
	('A5', 1203, 'ORY', 1386, 'LRT', 1409, '', 0, 'CR7\r'),
	('A5', 1203, 'ORY', 1386, 'PGF', 1356, '', 0, 'CRK CR7\r'),
	('A5', 1203, 'ORY', 1386, 'RDZ', 1289, '', 0, 'AT7\r'),
	('A5', 1203, 'ORY', 1386, 'UIP', 1417, '', 0, 'CR7\r'),
	('A5', 1203, 'PGF', 1356, 'ORY', 1386, '', 0, 'CRK CR7\r'),
	('A5', 1203, 'PIS', 1268, 'AJA', 1324, '', 0, 'AT5\r'),
	('A5', 1203, 'PIS', 1268, 'LRH', 6493, '', 0, 'AT5\r'),
	('A5', 1203, 'PIS', 1268, 'LYS', 1335, '', 0, 'AT5\r'),
	('A5', 1203, 'PRG', 1587, 'LYS', 1335, '', 0, 'E90 CRK\r'),
	('A5', 1203, 'PUF', 1274, 'LYS', 1335, '', 0, 'CRK AT7 ER4 CRJ CR7\r'),
	('A5', 1203, 'RDZ', 1289, 'ORY', 1386, '', 0, 'AT7\r'),
	('A5', 1203, 'RNS', 1415, 'LYS', 1335, '', 0, 'CRK CR7\r'),
	('A5', 1203, 'RNS', 1415, 'NCE', 1354, '', 0, 'CRK CR7\r'),
	('A5', 1203, 'RNS', 1415, 'TLS', 1273, '', 0, 'CRJ CR7\r'),
	('A5', 1203, 'SXB', 1435, 'AMS', 580, '', 0, 'ER4 CR7 E70\r'),
	('A5', 1203, 'SXB', 1435, 'BOD', 1264, '', 0, 'E70 ER4\r'),
	('A5', 1203, 'SXB', 1435, 'FCO', 1555, '', 0, 'ER4 CR7\r'),
	('A5', 1203, 'SXB', 1435, 'LIL', 1399, '', 0, 'ER4 CRJ\r'),
	('A5', 1203, 'SXB', 1435, 'LYS', 1335, '', 0, 'CR7 CRK\r'),
	('A5', 1203, 'SXB', 1435, 'MPL', 1359, '', 0, 'E70\r'),
	('A5', 1203, 'SXB', 1435, 'MRS', 1353, '', 0, 'CR7 ER4 E70\r'),
	('A5', 1203, 'SXB', 1435, 'NTE', 1418, '', 0, 'ER4\r'),
	('A5', 1203, 'TLS', 1273, 'LIL', 1399, '', 0, 'E70\r'),
	('A5', 1203, 'TLS', 1273, 'MRS', 1353, '', 0, 'AT5\r'),
	('A5', 1203, 'TLS', 1273, 'NCE', 1354, '', 0, 'AT7\r'),
	('A5', 1203, 'TLS', 1273, 'NTE', 1418, '', 0, 'CR7\r'),
	('A5', 1203, 'TLS', 1273, 'RNS', 1415, '', 0, 'CRJ CR7\r'),
	('A5', 1203, 'UIP', 1417, 'ORY', 1386, '', 0, 'CR7\r'),
	('A5', 1203, 'VCE', 1551, 'LYS', 1335, '', 0, 'ER4 CRK\r'),
	('A8', 1392, 'EBB', 1187, 'PAF', 7450, '', 0, 'CNA\r'),
	('A8', 1392, 'PAF', 7450, 'EBB', 1187, '', 0, 'CNA\r'),
	('A9', 2538, 'AMS', 580, 'TBS', 3973, '', 0, '735\r'),
	('A9', 2538, 'BUS', 3971, 'DME', 4029, '', 0, 'CRJ\r'),
	('A9', 2538, 'BUS', 3971, 'TBS', 3973, '', 0, 'CRJ\r'),
	('A9', 2538, 'CDG', 1382, 'TBS', 3973, '', 0, '735\r'),
	('A9', 2538, 'DME', 4029, 'BUS', 3971, '', 0, 'CRJ\r'),
	('A9', 2538, 'KUT', 3972, 'TBS', 3973, '', 0, 'CRJ\r'),
	('A9', 2538, 'RIX', 3953, 'TBS', 3973, '', 0, '733\r'),
	('A9', 2538, 'TBS', 3973, 'AMS', 580, '', 0, '735\r'),
	('A9', 2538, 'TBS', 3973, 'BUS', 3971, '', 0, 'CRJ\r'),
	('A9', 2538, 'TBS', 3973, 'CDG', 1382, '', 0, '735\r'),
	('A9', 2538, 'TBS', 3973, 'RIX', 3953, '', 0, '733\r'),
	('A9', 2538, 'TBS', 3973, 'TLV', 1590, '', 0, '737\r'),
	('A9', 2538, 'TBS', 3973, 'VIE', 1613, '', 0, '735\r'),
	('A9', 2538, 'TBS', 3973, 'VKO', 2988, '', 0, '737\r'),
	('A9', 2538, 'TLV', 1590, 'TBS', 3973, '', 0, '737\r'),
	('A9', 2538, 'VIE', 1613, 'TBS', 3973, '', 0, '735\r'),
	('A9', 2538, 'VKO', 2988, 'KUT', 3972, '', 0, 'CRJ\r'),
	('A9', 2538, 'VKO', 2988, 'TBS', 3973, '', 0, '737\r'),
	('AA', 24, 'ABE', 4355, 'CLT', 3876, 'Y', 0, 'CR9 CR7 CRJ\r'),
	('AA', 24, 'ABE', 4355, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'ABI', 3718, 'DFW', 3670, 'Y', 0, 'ERD ER4 CRJ\r'),
	('AA', 24, 'ABQ', 4019, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('AA', 24, 'ABQ', 4019, 'LAX', 3484, 'Y', 0, 'CR7 CRJ\r'),
	('AA', 24, 'ABQ', 4019, 'ORD', 3830, 'Y', 0, 'E75\r'),
	('AA', 24, 'ABQ', 4019, 'PHX', 3462, 'Y', 0, 'CRJ CR9\r'),
	('AA', 24, 'ABZ', 532, 'LHR', 507, 'Y', 0, '321 320 319\r'),
	('AA', 24, 'ACC', 248, 'LHR', 507, 'Y', 0, '744\r'),
	('AA', 24, 'ACT', 3700, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ADL', 3341, 'BNE', 3320, 'Y', 0, '737\r'),
	('AA', 24, 'ADL', 3341, 'SYD', 3361, 'Y', 0, '737\r'),
	('AA', 24, 'AEX', 3852, 'DFW', 3670, 'Y', 0, 'ER4 CRJ ERD\r'),
	('AA', 24, 'AGP', 1230, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'AGS', 3658, 'CLT', 3876, '', 0, 'DH8 CRJ\r'),
	('AA', 24, 'AGS', 3658, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'AGU', 1785, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'AKL', 2006, 'BNE', 3320, 'Y', 0, '737\r'),
	('AA', 24, 'AKL', 2006, 'PPT', 4075, 'Y', 0, '340\r'),
	('AA', 24, 'AKL', 2006, 'SYD', 3361, 'Y', 0, '737\r'),
	('AA', 24, 'ALB', 3864, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'ALB', 3864, 'DCA', 3520, 'Y', 0, 'E75 CRJ E70\r'),
	('AA', 24, 'ALB', 3864, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'ALO', 5718, 'ORD', 3830, 'Y', 0, 'ERD\r'),
	('AA', 24, 'AMA', 3840, 'DFW', 3670, 'Y', 0, 'ER4 CRJ ERD\r'),
	('AA', 24, 'AMM', 2170, 'JFK', 3797, 'Y', 0, '340 330\r'),
	('AA', 24, 'AMM', 2170, 'ORD', 3830, 'Y', 0, '340\r'),
	('AA', 24, 'AMM', 2170, 'YUL', 146, 'Y', 0, '330\r'),
	('AA', 24, 'AMS', 580, 'LHR', 507, 'Y', 0, '320 767 321 319\r'),
	('AA', 24, 'AMS', 580, 'PHL', 3752, '', 0, '757\r'),
	('AA', 24, 'ANC', 3774, 'LAX', 3484, 'Y', 0, '737\r'),
	('AA', 24, 'ANC', 3774, 'PHX', 3462, '', 0, '319 320\r'),
	('AA', 24, 'ANU', 2874, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'ANU', 2874, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'ANU', 2874, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'AQP', 2802, 'LIM', 2789, 'Y', 0, '319\r'),
	('AA', 24, 'ARN', 737, 'LHR', 507, 'Y', 0, '320 321 319\r'),
	('AA', 24, 'ART', 3838, 'ORD', 3830, 'Y', 0, 'ERD\r'),
	('AA', 24, 'ART', 3838, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'ASP', 3319, 'SYD', 3361, 'Y', 0, '737\r'),
	('AA', 24, 'ASU', 2699, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'ATH', 3941, 'LHR', 507, 'Y', 0, '320 767\r'),
	('AA', 24, 'ATH', 3941, 'PHL', 3752, '', 0, '332\r'),
	('AA', 24, 'ATL', 3682, 'CLT', 3876, 'Y', 0, '319 320 CR9 321\r'),
	('AA', 24, 'ATL', 3682, 'DFW', 3670, '', 0, 'M80 319 M83\r'),
	('AA', 24, 'ATL', 3682, 'LHR', 507, 'Y', 0, '777\r'),
	('AA', 24, 'ATL', 3682, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'CR7 E75\r'),
	('AA', 24, 'ATL', 3682, 'PHL', 3752, 'Y', 0, 'E75 E90 319 CRJ E70\r'),
	('AA', 24, 'ATL', 3682, 'PHX', 3462, 'Y', 0, '320 321\r'),
	('AA', 24, 'AUA', 2895, 'CLT', 3876, '', 0, '757 319 320\r'),
	('AA', 24, 'AUA', 2895, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'AUA', 2895, 'PHL', 3752, '', 0, '320\r'),
	('AA', 24, 'AUH', 2179, 'CMB', 3024, 'Y', 0, '320\r'),
	('AA', 24, 'AUH', 2179, 'DUS', 345, 'Y', 0, '330\r'),
	('AA', 24, 'AUH', 2179, 'IAD', 3714, 'Y', 0, '340\r'),
	('AA', 24, 'AUH', 2179, 'ISB', 2223, 'Y', 0, '320 332\r'),
	('AA', 24, 'AUH', 2179, 'JFK', 3797, 'Y', 0, '777\r'),
	('AA', 24, 'AUH', 2179, 'LHE', 2207, 'Y', 0, '332 320 77W\r'),
	('AA', 24, 'AUH', 2179, 'LHR', 507, 'Y', 0, '777\r'),
	('AA', 24, 'AUH', 2179, 'MCT', 2194, 'Y', 0, '777\r'),
	('AA', 24, 'AUH', 2179, 'ORD', 3830, 'Y', 0, '777\r'),
	('AA', 24, 'AUS', 3673, 'CLT', 3876, 'Y', 0, 'CR9\r'),
	('AA', 24, 'AUS', 3673, 'DFW', 3670, '', 0, 'M80 738 M83\r'),
	('AA', 24, 'AUS', 3673, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'AUS', 3673, 'LAX', 3484, '', 0, '738 M83\r'),
	('AA', 24, 'AUS', 3673, 'LHR', 507, '', 0, '787\r'),
	('AA', 24, 'AUS', 3673, 'MSY', 3861, '', 0, '\r'),
	('AA', 24, 'AUS', 3673, 'ORD', 3830, '', 0, 'M83 M80\r'),
	('AA', 24, 'AUS', 3673, 'PHL', 3752, '', 0, '319 E90\r'),
	('AA', 24, 'AUS', 3673, 'PHX', 3462, '', 0, '319\r'),
	('AA', 24, 'AVL', 4007, 'CLT', 3876, '', 0, 'DH8 DH3\r'),
	('AA', 24, 'AVP', 4286, 'CLT', 3876, '', 0, 'CRJ\r'),
	('AA', 24, 'AVP', 4286, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'AZO', 4039, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'BAH', 2057, 'DOH', 2241, 'Y', 0, '777\r'),
	('AA', 24, 'BAH', 2057, 'LHR', 507, 'Y', 0, '777\r'),
	('AA', 24, 'BCN', 1218, 'JFK', 3797, '', 0, '763\r'),
	('AA', 24, 'BCN', 1218, 'LHR', 507, 'Y', 0, '320 319 321 767\r'),
	('AA', 24, 'BCN', 1218, 'MIA', 3576, '', 0, '763\r'),
	('AA', 24, 'BCN', 1218, 'PHL', 3752, '', 0, '332\r'),
	('AA', 24, 'BDA', 4069, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'BDA', 4069, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'BDA', 4069, 'PHL', 3752, '', 0, '319\r'),
	('AA', 24, 'BDL', 3825, 'CLT', 3876, '', 0, '320 321 319\r'),
	('AA', 24, 'BDL', 3825, 'DCA', 3520, 'Y', 0, 'E75 CRJ E70\r'),
	('AA', 24, 'BDL', 3825, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'BDL', 3825, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'BDL', 3825, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'BDL', 3825, 'ORD', 3830, 'Y', 0, 'E75 ER4\r'),
	('AA', 24, 'BDL', 3825, 'PHL', 3752, '', 0, '319 DH3 E90\r'),
	('AA', 24, 'BDL', 3825, 'PIT', 3570, 'Y', 0, 'ER4\r'),
	('AA', 24, 'BFL', 3558, 'PHX', 3462, 'Y', 0, 'CRJ CR9\r'),
	('AA', 24, 'BGI', 2875, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'BGM', 4129, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'BGO', 636, 'LHR', 507, 'Y', 0, '319\r'),
	('AA', 24, 'BGR', 3463, 'DCA', 3520, 'Y', 0, 'CRJ E70\r'),
	('AA', 24, 'BGR', 3463, 'PHL', 3752, 'Y', 0, 'E75 CRJ\r'),
	('AA', 24, 'BHD', 467, 'LHR', 507, 'Y', 0, '319\r'),
	('AA', 24, 'BHM', 3811, 'CLT', 3876, '', 0, 'CRJ CR7\r'),
	('AA', 24, 'BHM', 3811, 'DCA', 3520, '', 0, 'CRJ\r'),
	('AA', 24, 'BHM', 3811, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'BHM', 3811, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'BHM', 3811, 'PHL', 3752, '', 0, 'CRJ\r'),
	('AA', 24, 'BJL', 1050, 'DKR', 1084, 'Y', 0, 'L4T\r'),
	('AA', 24, 'BJX', 1815, 'DFW', 3670, '', 0, '319\r'),
	('AA', 24, 'BKK', 3885, 'KUL', 3304, '', 0, '737\r'),
	('AA', 24, 'BKK', 3885, 'NRT', 2279, '', 0, '763\r'),
	('AA', 24, 'BLQ', 1538, 'LHR', 507, 'Y', 0, '319 320\r'),
	('AA', 24, 'BLR', 3131, 'LHR', 507, 'Y', 0, '777\r'),
	('AA', 24, 'BMI', 4037, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'BMI', 4037, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'BNA', 3690, 'CLT', 3876, '', 0, '319 CR7\r'),
	('AA', 24, 'BNA', 3690, 'DCA', 3520, '', 0, 'CRJ\r'),
	('AA', 24, 'BNA', 3690, 'DFW', 3670, '', 0, 'M80 738 M83\r'),
	('AA', 24, 'BNA', 3690, 'JFK', 3797, 'Y', 0, 'ER4\r'),
	('AA', 24, 'BNA', 3690, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'BNA', 3690, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('AA', 24, 'BNA', 3690, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'BNA', 3690, 'ORD', 3830, 'Y', 0, 'ERD ER4 CR7 E75\r'),
	('AA', 24, 'BNA', 3690, 'PHL', 3752, '', 0, 'CRJ\r'),
	('AA', 24, 'BNE', 3320, 'ADL', 3341, 'Y', 0, '737\r'),
	('AA', 24, 'BNE', 3320, 'AKL', 2006, 'Y', 0, '737\r'),
	('AA', 24, 'BNE', 3320, 'CBR', 3355, 'Y', 0, '737\r'),
	('AA', 24, 'BNE', 3320, 'CNS', 3322, 'Y', 0, '737\r'),
	('AA', 24, 'BNE', 3320, 'DRW', 3999, 'Y', 0, '763\r'),
	('AA', 24, 'BNE', 3320, 'LAX', 3484, 'Y', 0, '744\r'),
	('AA', 24, 'BNE', 3320, 'MEL', 3339, 'Y', 0, '737\r'),
	('AA', 24, 'BNE', 3320, 'PER', 3351, 'Y', 0, '330\r'),
	('AA', 24, 'BNE', 3320, 'SYD', 3361, 'Y', 0, '744 737\r'),
	('AA', 24, 'BNE', 3320, 'TSV', 3330, 'Y', 0, '737\r'),
	('AA', 24, 'BOG', 2709, 'DFW', 3670, '', 0, '319\r'),
	('AA', 24, 'BOG', 2709, 'MIA', 3576, '', 0, '757 763\r'),
	('AA', 24, 'BOI', 3495, 'PHX', 3462, '', 0, '319\r'),
	('AA', 24, 'BOM', 2997, 'LHR', 507, 'Y', 0, '777\r'),
	('AA', 24, 'BOS', 3448, 'BUF', 3820, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'BOS', 3448, 'CLT', 3876, '', 0, '319 321 320 E90\r'),
	('AA', 24, 'BOS', 3448, 'CUN', 1852, '', 0, '319\r'),
	('AA', 24, 'BOS', 3448, 'DCA', 3520, '', 0, '319 E90\r'),
	('AA', 24, 'BOS', 3448, 'DFW', 3670, '', 0, '738 757\r'),
	('AA', 24, 'BOS', 3448, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'BOS', 3448, 'LAX', 3484, '', 0, '738 757\r'),
	('AA', 24, 'BOS', 3448, 'LGA', 3697, '', 0, 'E90 319\r'),
	('AA', 24, 'BOS', 3448, 'LHR', 507, 'Y', 0, '777 744\r'),
	('AA', 24, 'BOS', 3448, 'MAD', 1229, '', 0, '330\r'),
	('AA', 24, 'BOS', 3448, 'MDT', 3542, '', 0, 'DH3\r'),
	('AA', 24, 'BOS', 3448, 'MIA', 3576, '', 0, '757 738\r'),
	('AA', 24, 'BOS', 3448, 'NRT', 2279, '', 0, '787\r'),
	('AA', 24, 'BOS', 3448, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'BOS', 3448, 'PDX', 3720, 'Y', 0, '737\r'),
	('AA', 24, 'BOS', 3448, 'PHL', 3752, '', 0, 'E90 319 321 320\r'),
	('AA', 24, 'BOS', 3448, 'PHX', 3462, '', 0, '320 319 321\r'),
	('AA', 24, 'BOS', 3448, 'PIT', 3570, 'Y', 0, 'E70 CRJ\r'),
	('AA', 24, 'BOS', 3448, 'RIC', 3608, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'BOS', 3448, 'ROC', 3622, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'BOS', 3448, 'SAN', 3731, 'Y', 0, '737\r'),
	('AA', 24, 'BOS', 3448, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'BOS', 3448, 'SYR', 3745, '', 0, 'DH3\r'),
	('AA', 24, 'BPT', 3612, 'DFW', 3670, 'Y', 0, 'CRJ ERD ER4\r'),
	('AA', 24, 'BRO', 3738, 'DFW', 3670, 'Y', 0, 'CRJ ER4\r'),
	('AA', 24, 'BRU', 302, 'LHR', 507, 'Y', 0, '319 320 321\r'),
	('AA', 24, 'BRU', 302, 'PHL', 3752, '', 0, '767\r'),
	('AA', 24, 'BSB', 2531, 'MIA', 3576, '', 0, '757 763\r'),
	('AA', 24, 'BSL', 4053, 'LHR', 507, 'Y', 0, '319 320\r'),
	('AA', 24, 'BTR', 3846, 'CLT', 3876, '', 0, 'CRJ\r'),
	('AA', 24, 'BTR', 3846, 'DFW', 3670, 'Y', 0, 'CRJ ERD ER4\r'),
	('AA', 24, 'BTV', 3711, 'DCA', 3520, '', 0, 'CRJ\r'),
	('AA', 24, 'BTV', 3711, 'PHL', 3752, '', 0, 'E90\r'),
	('AA', 24, 'BUD', 1489, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'BUF', 3820, 'BOS', 3448, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'BUF', 3820, 'CLT', 3876, '', 0, '320 319 737\r'),
	('AA', 24, 'BUF', 3820, 'DCA', 3520, 'Y', 0, 'E70 CRJ E75\r'),
	('AA', 24, 'BUF', 3820, 'ORD', 3830, 'Y', 0, 'CR7 ER4 E75\r'),
	('AA', 24, 'BUF', 3820, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'BUR', 3644, 'PDX', 3720, 'Y', 0, 'CR7\r'),
	('AA', 24, 'BUR', 3644, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'BUR', 3644, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'BWI', 3849, 'CLT', 3876, '', 0, 'E90 321 757 319 737 320\r'),
	('AA', 24, 'BWI', 3849, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('AA', 24, 'BWI', 3849, 'JFK', 3797, 'Y', 0, 'ER4\r'),
	('AA', 24, 'BWI', 3849, 'LHR', 507, 'Y', 0, '767\r'),
	('AA', 24, 'BWI', 3849, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'BWI', 3849, 'ORD', 3830, 'Y', 0, 'E75 ER4 CR7\r'),
	('AA', 24, 'BWI', 3849, 'PHL', 3752, '', 0, '319 DH3 E90\r'),
	('AA', 24, 'BWI', 3849, 'PHX', 3462, '', 0, '319 320\r'),
	('AA', 24, 'BZE', 1957, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'BZE', 1957, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'BZE', 1957, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'CAE', 3561, 'CLT', 3876, '', 0, 'DH8\r'),
	('AA', 24, 'CAE', 3561, 'DCA', 3520, '', 0, 'CRJ\r'),
	('AA', 24, 'CAE', 3561, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'CAE', 3561, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'CAK', 4112, 'CLT', 3876, '', 0, 'CR7 CRJ\r'),
	('AA', 24, 'CAK', 4112, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'CAK', 4112, 'PHL', 3752, '', 0, 'CRJ\r'),
	('AA', 24, 'CBR', 3355, 'BNE', 3320, 'Y', 0, '737\r'),
	('AA', 24, 'CBR', 3355, 'MEL', 3339, 'Y', 0, '737\r'),
	('AA', 24, 'CBR', 3355, 'SYD', 3361, 'Y', 0, '737\r'),
	('AA', 24, 'CCS', 2851, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'CCS', 2851, 'JFK', 3797, '', 0, '757 738\r'),
	('AA', 24, 'CCS', 2851, 'MIA', 3576, '', 0, '757 763 738\r'),
	('AA', 24, 'CCS', 2851, 'SJU', 2890, '', 0, '738\r'),
	('AA', 24, 'CDG', 1382, 'CLT', 3876, '', 0, '333\r'),
	('AA', 24, 'CDG', 1382, 'DFW', 3670, '', 0, '763 777\r'),
	('AA', 24, 'CDG', 1382, 'JFK', 3797, '', 0, '763 757\r'),
	('AA', 24, 'CDG', 1382, 'KUL', 3304, '', 0, '380\r'),
	('AA', 24, 'CDG', 1382, 'LHR', 507, 'Y', 0, '319 320 321\r'),
	('AA', 24, 'CDG', 1382, 'MIA', 3576, '', 0, '763\r'),
	('AA', 24, 'CDG', 1382, 'ORD', 3830, '', 0, '763\r'),
	('AA', 24, 'CDG', 1382, 'PHL', 3752, '', 0, '332\r'),
	('AA', 24, 'CHA', 3578, 'CLT', 3876, '', 0, 'CRJ DH8\r'),
	('AA', 24, 'CHA', 3578, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'CHA', 3578, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'CHA', 3578, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'CHC', 2009, 'SYD', 3361, 'Y', 0, '737\r'),
	('AA', 24, 'CHO', 4015, 'CLT', 3876, '', 0, 'DH8 CRJ DH3\r'),
	('AA', 24, 'CHO', 4015, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('AA', 24, 'CHO', 4015, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'CHO', 4015, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'CHS', 3806, 'CLT', 3876, '', 0, '319 CR7 DH8\r'),
	('AA', 24, 'CHS', 3806, 'DCA', 3520, 'Y', 0, 'E70 CRJ E75\r'),
	('AA', 24, 'CHS', 3806, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'CHS', 3806, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'CHS', 3806, 'PHL', 3752, '', 0, 'CRJ\r'),
	('AA', 24, 'CID', 4043, 'DFW', 3670, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'CID', 4043, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('AA', 24, 'CLE', 3486, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'CLE', 3486, 'DFW', 3670, '', 0, '319\r'),
	('AA', 24, 'CLE', 3486, 'JFK', 3797, 'Y', 0, 'ER4\r'),
	('AA', 24, 'CLE', 3486, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'CLE', 3486, 'ORD', 3830, 'Y', 0, 'CR7 ER4 ERD\r'),
	('AA', 24, 'CLE', 3486, 'PHL', 3752, 'Y', 0, 'E75 CRJ E70 CR9\r'),
	('AA', 24, 'CLL', 3715, 'DFW', 3670, 'Y', 0, 'ER4 ERD CRJ\r'),
	('AA', 24, 'CLO', 2715, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'CLT', 3876, 'ABE', 4355, 'Y', 0, 'CR7 CRJ CR9\r'),
	('AA', 24, 'CLT', 3876, 'AGS', 3658, '', 0, 'DH8\r'),
	('AA', 24, 'CLT', 3876, 'ALB', 3864, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'ANU', 2874, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'ATL', 3682, 'Y', 0, '320 CR9 321 319\r'),
	('AA', 24, 'CLT', 3876, 'AUA', 2895, '', 0, '757 319 320\r'),
	('AA', 24, 'CLT', 3876, 'AUS', 3673, '', 0, 'CR9\r'),
	('AA', 24, 'CLT', 3876, 'AVL', 4007, '', 0, 'DH8 DH3\r'),
	('AA', 24, 'CLT', 3876, 'AVP', 4286, 'Y', 0, 'CRJ CR9\r'),
	('AA', 24, 'CLT', 3876, 'BDL', 3825, '', 0, '319 321 320\r'),
	('AA', 24, 'CLT', 3876, 'BHM', 3811, '', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'BNA', 3690, '', 0, '319 CR7\r'),
	('AA', 24, 'CLT', 3876, 'BOS', 3448, '', 0, '321 319 320\r'),
	('AA', 24, 'CLT', 3876, 'BTR', 3846, '', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'BUF', 3820, '', 0, '319 320 737\r'),
	('AA', 24, 'CLT', 3876, 'BWI', 3849, '', 0, '319 737 321 757 320 E90\r'),
	('AA', 24, 'CLT', 3876, 'BZE', 1957, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'CAE', 3561, '', 0, 'DH8\r'),
	('AA', 24, 'CLT', 3876, 'CAK', 4112, '', 0, 'CRJ CR7\r'),
	('AA', 24, 'CLT', 3876, 'CDG', 1382, '', 0, '333\r'),
	('AA', 24, 'CLT', 3876, 'CHA', 3578, '', 0, 'DH8 CRJ\r'),
	('AA', 24, 'CLT', 3876, 'CHO', 4015, '', 0, 'DH3 DH8\r'),
	('AA', 24, 'CLT', 3876, 'CHS', 3806, '', 0, 'DH8 319 CR7\r'),
	('AA', 24, 'CLT', 3876, 'CLE', 3486, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'CMH', 3759, 'Y', 0, 'CR9 E75 CR7 CRJ E70\r'),
	('AA', 24, 'CLT', 3876, 'CRW', 4285, '', 0, 'DH3 DH8\r'),
	('AA', 24, 'CLT', 3876, 'CUN', 1852, '', 0, '321 320 737\r'),
	('AA', 24, 'CLT', 3876, 'CVG', 3488, '', 0, 'CRJ CR9\r'),
	('AA', 24, 'CLT', 3876, 'CZM', 1800, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'DAB', 3950, '', 0, 'CR7\r'),
	('AA', 24, 'CLT', 3876, 'DAY', 3627, '', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'DCA', 3520, '', 0, '319 320 CRJ E90\r'),
	('AA', 24, 'CLT', 3876, 'DEN', 3751, '', 0, '321 320\r'),
	('AA', 24, 'CLT', 3876, 'DFW', 3670, '', 0, 'M80 321 319 M83 320 737 757\r'),
	('AA', 24, 'CLT', 3876, 'DSM', 3729, 'Y', 0, 'CR9\r'),
	('AA', 24, 'CLT', 3876, 'DTW', 3645, '', 0, '319 321 320\r'),
	('AA', 24, 'CLT', 3876, 'DUB', 599, '', 0, '757\r'),
	('AA', 24, 'CLT', 3876, 'EWN', 3730, '', 0, 'DH8 CRJ DH3\r'),
	('AA', 24, 'CLT', 3876, 'EWR', 3494, '', 0, '321 320 737 319\r'),
	('AA', 24, 'CLT', 3876, 'FAY', 5738, '', 0, 'DH8\r'),
	('AA', 24, 'CLT', 3876, 'FCO', 1555, '', 0, '333\r'),
	('AA', 24, 'CLT', 3876, 'FLL', 3533, '', 0, '320 737 321 319\r'),
	('AA', 24, 'CLT', 3876, 'FLO', 3879, '', 0, 'DH3 DH8\r'),
	('AA', 24, 'CLT', 3876, 'FPO', 1948, 'Y', 0, 'CR7\r'),
	('AA', 24, 'CLT', 3876, 'FRA', 340, '', 0, '333 332\r'),
	('AA', 24, 'CLT', 3876, 'GCM', 1926, '', 0, '320 321 319\r'),
	('AA', 24, 'CLT', 3876, 'GNV', 3472, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'GPT', 4038, 'Y', 0, 'CR7 CRJ\r'),
	('AA', 24, 'CLT', 3876, 'GRU', 2564, '', 0, '332\r'),
	('AA', 24, 'CLT', 3876, 'GSO', 4008, '', 0, 'DH8 CR9\r'),
	('AA', 24, 'CLT', 3876, 'GSP', 4034, '', 0, 'DH3 DH8\r'),
	('AA', 24, 'CLT', 3876, 'HHH', 7002, '', 0, 'DH3\r'),
	('AA', 24, 'CLT', 3876, 'HPN', 3589, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'HSV', 4113, '', 0, 'CR7\r'),
	('AA', 24, 'CLT', 3876, 'HTS', 5742, '', 0, 'DH8 DH3\r'),
	('AA', 24, 'CLT', 3876, 'IAD', 3714, '', 0, 'CR7\r'),
	('AA', 24, 'CLT', 3876, 'IAH', 3550, '', 0, '737 319 321 320\r'),
	('AA', 24, 'CLT', 3876, 'ILM', 3845, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'IND', 3585, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'JAN', 3580, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'CLT', 3876, 'JAX', 3712, '', 0, '319 737\r'),
	('AA', 24, 'CLT', 3876, 'JFK', 3797, '', 0, '321 319\r'),
	('AA', 24, 'CLT', 3876, 'LAS', 3877, '', 0, '321\r'),
	('AA', 24, 'CLT', 3876, 'LAX', 3484, '', 0, '321\r'),
	('AA', 24, 'CLT', 3876, 'LEX', 4017, '', 0, 'CR7\r'),
	('AA', 24, 'CLT', 3876, 'LGA', 3697, '', 0, '321 320 319\r'),
	('AA', 24, 'CLT', 3876, 'LHR', 507, '', 0, '333\r'),
	('AA', 24, 'CLT', 3876, 'LIR', 1881, '', 0, '320\r'),
	('AA', 24, 'CLT', 3876, 'LIT', 3660, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'CLT', 3876, 'LYH', 5753, '', 0, 'DH8\r'),
	('AA', 24, 'CLT', 3876, 'MBJ', 1780, '', 0, '319 321 320\r'),
	('AA', 24, 'CLT', 3876, 'MCI', 3458, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'MCO', 3878, '', 0, '321 767 757 319\r'),
	('AA', 24, 'CLT', 3876, 'MDT', 3542, '', 0, 'CR7 319\r'),
	('AA', 24, 'CLT', 3876, 'MEM', 3473, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'MEX', 1824, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'MGM', 4115, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'MHT', 4011, 'Y', 0, 'CR9\r'),
	('AA', 24, 'CLT', 3876, 'MIA', 3576, '', 0, '320 321 319 737\r'),
	('AA', 24, 'CLT', 3876, 'MKE', 3717, 'Y', 0, 'CR7 CRJ CR9\r'),
	('AA', 24, 'CLT', 3876, 'MLB', 3671, '', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'MOB', 3782, '', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'MSP', 3858, '', 0, '319 321 320\r'),
	('AA', 24, 'CLT', 3876, 'MSY', 3861, 'Y', 0, '319 320 E75 CR9\r'),
	('AA', 24, 'CLT', 3876, 'MYR', 3515, '', 0, 'DH8\r'),
	('AA', 24, 'CLT', 3876, 'NAS', 1953, '', 0, '319 737\r'),
	('AA', 24, 'CLT', 3876, 'OAJ', 4386, '', 0, 'DH8 CR7 CRJ\r'),
	('AA', 24, 'CLT', 3876, 'OMA', 3454, 'Y', 0, 'CR9\r'),
	('AA', 24, 'CLT', 3876, 'ORD', 3830, '', 0, '321 320 CR9 E90\r'),
	('AA', 24, 'CLT', 3876, 'ORF', 3611, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'PBI', 3722, '', 0, '320 319 737\r'),
	('AA', 24, 'CLT', 3876, 'PDX', 3720, '', 0, '320\r'),
	('AA', 24, 'CLT', 3876, 'PGV', 6959, '', 0, 'DH8\r'),
	('AA', 24, 'CLT', 3876, 'PHF', 3633, '', 0, 'CR7\r'),
	('AA', 24, 'CLT', 3876, 'PHL', 3752, '', 0, '767 E90 319 320 332 757 321 737\r'),
	('AA', 24, 'CLT', 3876, 'PHX', 3462, '', 0, '757 321\r'),
	('AA', 24, 'CLT', 3876, 'PIT', 3570, '', 0, '319 737 320 321\r'),
	('AA', 24, 'CLT', 3876, 'PLS', 1754, '', 0, '321\r'),
	('AA', 24, 'CLT', 3876, 'PNS', 3564, 'Y', 0, 'CR9\r'),
	('AA', 24, 'CLT', 3876, 'PUJ', 1760, '', 0, '319 757 321 320\r'),
	('AA', 24, 'CLT', 3876, 'PVD', 3641, '', 0, '321 320 319\r'),
	('AA', 24, 'CLT', 3876, 'PWM', 3862, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'RDU', 3626, '', 0, '320 737 319 321 E90\r'),
	('AA', 24, 'CLT', 3876, 'RIC', 3608, '', 0, '319 CR7\r'),
	('AA', 24, 'CLT', 3876, 'ROA', 4016, '', 0, 'DH8 DH3\r'),
	('AA', 24, 'CLT', 3876, 'ROC', 3622, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'RSW', 3793, '', 0, '320 321 319 737\r'),
	('AA', 24, 'CLT', 3876, 'SAN', 3731, '', 0, '320 321\r'),
	('AA', 24, 'CLT', 3876, 'SAT', 3621, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'SAV', 3613, '', 0, 'CR9\r'),
	('AA', 24, 'CLT', 3876, 'SBY', 3642, '', 0, 'DH8\r'),
	('AA', 24, 'CLT', 3876, 'SDF', 4014, '', 0, 'CR7 CR9 CRJ\r'),
	('AA', 24, 'CLT', 3876, 'SEA', 3577, '', 0, '320 321 319\r'),
	('AA', 24, 'CLT', 3876, 'SFO', 3469, '', 0, '321\r'),
	('AA', 24, 'CLT', 3876, 'SJD', 1840, '', 0, '320\r'),
	('AA', 24, 'CLT', 3876, 'SJO', 1885, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'SJU', 2890, '', 0, '321\r'),
	('AA', 24, 'CLT', 3876, 'SLC', 3536, '', 0, '320\r'),
	('AA', 24, 'CLT', 3876, 'SMF', 3817, '', 0, '321\r'),
	('AA', 24, 'CLT', 3876, 'SRQ', 4067, 'Y', 0, 'CR9 E75\r'),
	('AA', 24, 'CLT', 3876, 'STL', 3678, '', 0, '319\r'),
	('AA', 24, 'CLT', 3876, 'STT', 2883, '', 0, '757 767\r'),
	('AA', 24, 'CLT', 3876, 'SXM', 2899, '', 0, '757 319\r'),
	('AA', 24, 'CLT', 3876, 'SYR', 3745, '', 0, 'CR9 319 320\r'),
	('AA', 24, 'CLT', 3876, 'TLH', 3698, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'CLT', 3876, 'TPA', 3646, '', 0, '320 321 319 737\r'),
	('AA', 24, 'CLT', 3876, 'TRI', 4116, '', 0, 'DH8 DH3\r'),
	('AA', 24, 'CLT', 3876, 'TYS', 3676, '', 0, 'CR7\r'),
	('AA', 24, 'CLT', 3876, 'UVF', 2894, '', 0, '320 319\r'),
	('AA', 24, 'CLT', 3876, 'VPS', 3873, '', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'XNA', 4356, '', 0, 'CR7\r'),
	('AA', 24, 'CLT', 3876, 'YOW', 100, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'CLT', 3876, 'YYZ', 193, 'Y', 0, 'E75 CRJ\r'),
	('AA', 24, 'CMB', 3024, 'AUH', 2179, 'Y', 0, '320\r'),
	('AA', 24, 'CMH', 3759, 'CLT', 3876, '', 0, 'CR9\r'),
	('AA', 24, 'CMH', 3759, 'DCA', 3520, 'Y', 0, 'CRJ E75 E70\r'),
	('AA', 24, 'CMH', 3759, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('AA', 24, 'CMH', 3759, 'JFK', 3797, 'Y', 0, 'CR7 ER4\r'),
	('AA', 24, 'CMH', 3759, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'CMH', 3759, 'LGA', 3697, 'Y', 0, 'CR7 ERD\r'),
	('AA', 24, 'CMH', 3759, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'CMH', 3759, 'ORD', 3830, 'Y', 0, 'ER4 CR7 ERD\r'),
	('AA', 24, 'CMH', 3759, 'PHL', 3752, 'Y', 0, 'E70 CRJ E75\r'),
	('AA', 24, 'CMH', 3759, 'PHX', 3462, '', 0, '319 320\r'),
	('AA', 24, 'CMI', 4049, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'CMI', 4049, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'CNF', 2537, 'MIA', 3576, '', 0, '763\r'),
	('AA', 24, 'CNS', 3322, 'BNE', 3320, 'Y', 0, '737\r'),
	('AA', 24, 'COS', 3819, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'COU', 3719, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'COU', 3719, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'CPH', 609, 'LHR', 507, 'Y', 0, '321 320 319\r'),
	('AA', 24, 'CPT', 797, 'LHR', 507, 'Y', 0, '744 777\r'),
	('AA', 24, 'CRP', 3744, 'DFW', 3670, '', 0, '319\r'),
	('AA', 24, 'CTS', 2287, 'NRT', 2279, '', 0, '773\r'),
	('AA', 24, 'CUN', 1852, 'BOS', 3448, '', 0, '319\r'),
	('AA', 24, 'CUN', 1852, 'CLT', 3876, '', 0, '321 320 737\r'),
	('AA', 24, 'CUN', 1852, 'DFW', 3670, '', 0, '738 757\r'),
	('AA', 24, 'CUN', 1852, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'CUN', 1852, 'MIA', 3576, '', 0, '738 757\r'),
	('AA', 24, 'CUN', 1852, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'CUN', 1852, 'PHL', 3752, '', 0, '757 332 321 319\r'),
	('AA', 24, 'CUN', 1852, 'PHX', 3462, '', 0, '757 320 321\r'),
	('AA', 24, 'CUR', 2897, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'CUU', 1797, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'CVG', 3488, 'CLT', 3876, '', 0, 'CRJ\r'),
	('AA', 24, 'CVG', 3488, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'CVG', 3488, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'CVG', 3488, 'JFK', 3797, 'Y', 0, 'ER4\r'),
	('AA', 24, 'CVG', 3488, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'CVG', 3488, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('AA', 24, 'CVG', 3488, 'PHL', 3752, 'Y', 0, 'E70 CRJ E75\r'),
	('AA', 24, 'CWA', 4045, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'CWB', 2545, 'POA', 2599, '', 0, '763\r'),
	('AA', 24, 'CZM', 1800, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'CZM', 1800, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'CZM', 1800, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'DAB', 3950, 'CLT', 3876, '', 0, 'CR7\r'),
	('AA', 24, 'DAY', 3627, 'CLT', 3876, '', 0, 'CRJ\r'),
	('AA', 24, 'DAY', 3627, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DAY', 3627, 'DFW', 3670, '', 0, 'M83 319 M80\r'),
	('AA', 24, 'DAY', 3627, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('AA', 24, 'DAY', 3627, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DAY', 3627, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DBQ', 4388, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DCA', 3520, 'AGS', 3658, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'ALB', 3864, 'Y', 0, 'E70 CRJ E75\r'),
	('AA', 24, 'DCA', 3520, 'BDL', 3825, 'Y', 0, 'CRJ E75 E70\r'),
	('AA', 24, 'DCA', 3520, 'BGR', 3463, 'Y', 0, 'CRJ E70\r'),
	('AA', 24, 'DCA', 3520, 'BHM', 3811, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'BNA', 3690, 'Y', 0, 'ERD CRJ E70\r'),
	('AA', 24, 'DCA', 3520, 'BOS', 3448, '', 0, '319 E90\r'),
	('AA', 24, 'DCA', 3520, 'BTV', 3711, '', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'BUF', 3820, 'Y', 0, 'CRJ E75 E70\r'),
	('AA', 24, 'DCA', 3520, 'CAE', 3561, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'CAK', 4112, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'CHA', 3578, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'CHS', 3806, 'Y', 0, 'E70 CRJ E75\r'),
	('AA', 24, 'DCA', 3520, 'CLT', 3876, '', 0, '319 320\r'),
	('AA', 24, 'DCA', 3520, 'CMH', 3759, 'Y', 0, 'CRJ E75 E70\r'),
	('AA', 24, 'DCA', 3520, 'CRW', 4285, 'Y', 0, 'DH3\r'),
	('AA', 24, 'DCA', 3520, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'DAY', 3627, '', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'DFW', 3670, '', 0, '738 M80\r'),
	('AA', 24, 'DCA', 3520, 'DSM', 3729, 'Y', 0, 'E70 CRJ\r'),
	('AA', 24, 'DCA', 3520, 'DTW', 3645, 'Y', 0, 'CRJ E70 E75\r'),
	('AA', 24, 'DCA', 3520, 'FAY', 5738, '', 0, 'DH3\r'),
	('AA', 24, 'DCA', 3520, 'FLL', 3533, '', 0, '319\r'),
	('AA', 24, 'DCA', 3520, 'GSO', 4008, 'Y', 0, 'CRJ E70 E75\r'),
	('AA', 24, 'DCA', 3520, 'GSP', 4034, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'HHH', 7002, '', 0, 'DH3\r'),
	('AA', 24, 'DCA', 3520, 'HPN', 3589, 'Y', 0, 'DH3 CRJ\r'),
	('AA', 24, 'DCA', 3520, 'HSV', 4113, 'Y', 0, 'CRJ E70\r'),
	('AA', 24, 'DCA', 3520, 'ILM', 3845, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'IND', 3585, 'Y', 0, 'E70 E75 CRJ\r'),
	('AA', 24, 'DCA', 3520, 'ISP', 3857, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'JAN', 3580, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'JAX', 3712, 'Y', 0, 'CRJ E75 E70\r'),
	('AA', 24, 'DCA', 3520, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'DCA', 3520, 'LAS', 3877, '', 0, '319\r'),
	('AA', 24, 'DCA', 3520, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'DCA', 3520, 'LGA', 3697, '', 0, '319 E90\r'),
	('AA', 24, 'DCA', 3520, 'LIT', 3660, 'Y', 0, 'E70\r'),
	('AA', 24, 'DCA', 3520, 'MCI', 3458, 'Y', 0, 'E70 E75\r'),
	('AA', 24, 'DCA', 3520, 'MCO', 3878, '', 0, '320 319\r'),
	('AA', 24, 'DCA', 3520, 'MEM', 3473, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'MHT', 4011, 'Y', 0, 'CRJ E75 E70\r'),
	('AA', 24, 'DCA', 3520, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'DCA', 3520, 'MSP', 3858, 'Y', 0, 'E70 E75\r'),
	('AA', 24, 'DCA', 3520, 'MSY', 3861, 'Y', 0, 'E70 E75\r'),
	('AA', 24, 'DCA', 3520, 'MYR', 3515, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'NAS', 1953, '', 0, '319\r'),
	('AA', 24, 'DCA', 3520, 'OAJ', 4386, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'OMA', 3454, 'Y', 0, 'E70\r'),
	('AA', 24, 'DCA', 3520, 'ORD', 3830, '', 0, '738 M83 M80\r'),
	('AA', 24, 'DCA', 3520, 'ORF', 3611, '', 0, 'DH3\r'),
	('AA', 24, 'DCA', 3520, 'PBI', 3722, 'Y', 0, 'E75 E70\r'),
	('AA', 24, 'DCA', 3520, 'PDX', 3720, 'Y', 0, '737\r'),
	('AA', 24, 'DCA', 3520, 'PHL', 3752, '', 0, '319 320 DH3\r'),
	('AA', 24, 'DCA', 3520, 'PHX', 3462, '', 0, '320 757\r'),
	('AA', 24, 'DCA', 3520, 'PIT', 3570, 'Y', 0, 'CRJ E75\r'),
	('AA', 24, 'DCA', 3520, 'PNS', 3564, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'PVD', 3641, 'Y', 0, 'CRJ E75 E70\r'),
	('AA', 24, 'DCA', 3520, 'PWM', 3862, 'Y', 0, 'E75 CRJ E70\r'),
	('AA', 24, 'DCA', 3520, 'RDU', 3626, 'Y', 0, 'ERD CRJ\r'),
	('AA', 24, 'DCA', 3520, 'ROC', 3622, 'Y', 0, 'E70 CRJ\r'),
	('AA', 24, 'DCA', 3520, 'RSW', 3793, 'Y', 0, 'E75 E70\r'),
	('AA', 24, 'DCA', 3520, 'SAN', 3731, '', 0, '319\r'),
	('AA', 24, 'DCA', 3520, 'SAV', 3613, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'SDF', 4014, 'Y', 0, 'CRJ E75\r'),
	('AA', 24, 'DCA', 3520, 'SRQ', 4067, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'STL', 3678, 'Y', 0, 'CR7\r'),
	('AA', 24, 'DCA', 3520, 'SYR', 3745, 'Y', 0, 'E70 CRJ E75\r'),
	('AA', 24, 'DCA', 3520, 'TLH', 3698, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'TPA', 3646, '', 0, '319\r'),
	('AA', 24, 'DCA', 3520, 'TYS', 3676, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'VPS', 3873, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'YHZ', 73, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DCA', 3520, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DEL', 3093, 'LHR', 507, 'Y', 0, '777\r'),
	('AA', 24, 'DEN', 3751, 'CLT', 3876, '', 0, '321 320\r'),
	('AA', 24, 'DEN', 3751, 'DFW', 3670, '', 0, '738 M83 M80\r'),
	('AA', 24, 'DEN', 3751, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('AA', 24, 'DEN', 3751, 'LHR', 507, 'Y', 0, '777\r'),
	('AA', 24, 'DEN', 3751, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'DEN', 3751, 'ORD', 3830, '', 0, 'M80 M83\r'),
	('AA', 24, 'DEN', 3751, 'PHL', 3752, '', 0, '320 321\r'),
	('AA', 24, 'DEN', 3751, 'PHX', 3462, '', 0, '320 321\r'),
	('AA', 24, 'DEN', 3751, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'DFW', 3670, 'ABI', 3718, 'Y', 0, 'ERD CRJ ER4\r'),
	('AA', 24, 'DFW', 3670, 'ABQ', 4019, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'ACT', 3700, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'AEX', 3852, 'Y', 0, 'CRJ ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'AGU', 1785, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'AMA', 3840, 'Y', 0, 'ER4 CRJ ERD\r'),
	('AA', 24, 'DFW', 3670, 'ATL', 3682, '', 0, 'M83 M80 319\r'),
	('AA', 24, 'DFW', 3670, 'AUS', 3673, '', 0, 'M80 M83 738\r'),
	('AA', 24, 'DFW', 3670, 'BDL', 3825, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'BHM', 3811, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'BJX', 1815, '', 0, '319\r'),
	('AA', 24, 'DFW', 3670, 'BMI', 4037, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'BNA', 3690, '', 0, '738 M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'BNE', 3320, 'Y', 0, '744\r'),
	('AA', 24, 'DFW', 3670, 'BOG', 2709, '', 0, '319\r'),
	('AA', 24, 'DFW', 3670, 'BOS', 3448, '', 0, '738 757\r'),
	('AA', 24, 'DFW', 3670, 'BPT', 3612, 'Y', 0, 'ERD ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'BRO', 3738, 'Y', 0, 'CRJ ER4\r'),
	('AA', 24, 'DFW', 3670, 'BTR', 3846, 'Y', 0, 'ERD ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'BWI', 3849, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'BZE', 1957, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'CAE', 3561, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'CCS', 2851, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'CDG', 1382, '', 0, '763 777\r'),
	('AA', 24, 'DFW', 3670, 'CHA', 3578, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'CHS', 3806, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'CID', 4043, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'CLE', 3486, '', 0, '319\r'),
	('AA', 24, 'DFW', 3670, 'CLL', 3715, 'Y', 0, 'ER4 ERD CRJ\r'),
	('AA', 24, 'DFW', 3670, 'CLT', 3876, '', 0, '321 319 M80 M83 320 737 757\r'),
	('AA', 24, 'DFW', 3670, 'CMH', 3759, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'CMI', 4049, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'COS', 3819, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'COU', 3719, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'CRP', 3744, '', 0, '319\r'),
	('AA', 24, 'DFW', 3670, 'CRW', 4285, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'DFW', 3670, 'CUN', 1852, '', 0, '738 757\r'),
	('AA', 24, 'DFW', 3670, 'CUU', 1797, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'CVG', 3488, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'CZM', 1800, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'DAY', 3627, '', 0, '319 M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'DCA', 3520, '', 0, '738 M80\r'),
	('AA', 24, 'DFW', 3670, 'DEN', 3751, '', 0, '738 M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'DRO', 3713, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'DSM', 3729, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'DTW', 3645, '', 0, '738 M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'ELP', 3559, '', 0, 'M80 319\r'),
	('AA', 24, 'DFW', 3670, 'EVV', 4018, 'Y', 0, 'ERD\r'),
	('AA', 24, 'DFW', 3670, 'EWR', 3494, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'EZE', 3988, '', 0, '777\r'),
	('AA', 24, 'DFW', 3670, 'FAR', 4292, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'FAT', 3687, '', 0, 'M80\r'),
	('AA', 24, 'DFW', 3670, 'FLL', 3533, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'FRA', 340, '', 0, '777\r'),
	('AA', 24, 'DFW', 3670, 'FSD', 4009, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'FSM', 3437, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'FWA', 4041, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'GCK', 3497, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'GDL', 1804, '', 0, 'M80\r'),
	('AA', 24, 'DFW', 3670, 'GGG', 3465, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'GIG', 2560, '', 0, '763\r'),
	('AA', 24, 'DFW', 3670, 'GJT', 4063, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'GPT', 4038, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'GRI', 5740, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'GRK', 3775, 'Y', 0, 'ER4 CRJ ERD\r'),
	('AA', 24, 'DFW', 3670, 'GRR', 3685, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'GRU', 2564, '', 0, '77W\r'),
	('AA', 24, 'DFW', 3670, 'GSO', 4008, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'GSP', 4034, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'GUA', 1767, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'HNL', 3728, '', 0, '763\r'),
	('AA', 24, 'DFW', 3670, 'HOU', 3566, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'HSV', 4113, '', 0, '319\r'),
	('AA', 24, 'DFW', 3670, 'IAD', 3714, '', 0, '738 M80\r'),
	('AA', 24, 'DFW', 3670, 'IAH', 3550, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'ICN', 3930, '', 0, '777\r'),
	('AA', 24, 'DFW', 3670, 'ICT', 3457, '', 0, '319\r'),
	('AA', 24, 'DFW', 3670, 'IND', 3585, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'JAN', 3580, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'JAX', 3712, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'JLN', 4354, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'LAS', 3877, '', 0, '738 M80 M83 757\r'),
	('AA', 24, 'DFW', 3670, 'LAW', 4256, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'LAX', 3484, '', 0, '738 763 757 M83\r'),
	('AA', 24, 'DFW', 3670, 'LBB', 3829, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'LCH', 3513, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'LEX', 4017, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'LFT', 3493, 'Y', 0, 'ERD ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'LGA', 3697, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'LHR', 507, '', 0, '77W 777\r'),
	('AA', 24, 'DFW', 3670, 'LIM', 2789, '', 0, '763\r'),
	('AA', 24, 'DFW', 3670, 'LIR', 1881, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'LIT', 3660, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'LRD', 3691, 'Y', 0, 'ERD CRJ ER4\r'),
	('AA', 24, 'DFW', 3670, 'MAD', 1229, '', 0, '777\r'),
	('AA', 24, 'DFW', 3670, 'MAF', 3652, 'Y', 0, 'ERD CRJ ER4\r'),
	('AA', 24, 'DFW', 3670, 'MBJ', 1780, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'MCI', 3458, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'MCO', 3878, '', 0, '738 M80 M83 757\r'),
	('AA', 24, 'DFW', 3670, 'MEM', 3473, '', 0, '319\r'),
	('AA', 24, 'DFW', 3670, 'MEX', 1824, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'MFE', 3826, '', 0, '319 M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'MGM', 4115, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'MHK', 4050, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'MIA', 3576, '', 0, '738 763 757\r'),
	('AA', 24, 'DFW', 3670, 'MKE', 3717, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'MLI', 4072, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'MLM', 1821, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'MLU', 3732, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'MOB', 3782, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'MSN', 3459, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'MSP', 3858, '', 0, 'M80 M83 738\r'),
	('AA', 24, 'DFW', 3670, 'MSY', 3861, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'MTY', 1825, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'MZT', 1826, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'NAS', 1953, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'NRT', 2279, '', 0, '777\r'),
	('AA', 24, 'DFW', 3670, 'OGG', 3456, '', 0, '763\r'),
	('AA', 24, 'DFW', 3670, 'OKC', 3863, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'OMA', 3454, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'ONT', 3734, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'ORD', 3830, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'ORF', 3611, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'PBC', 1831, 'Y', 0, 'ERD\r'),
	('AA', 24, 'DFW', 3670, 'PBI', 3722, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'PDX', 3720, '', 0, 'M83\r'),
	('AA', 24, 'DFW', 3670, 'PHL', 3752, '', 0, '738 320 319 M83 M80 E90 757\r'),
	('AA', 24, 'DFW', 3670, 'PHX', 3462, '', 0, '321 738 M80 319 M83 320\r'),
	('AA', 24, 'DFW', 3670, 'PIA', 4046, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'PIT', 3570, '', 0, 'M80\r'),
	('AA', 24, 'DFW', 3670, 'PLS', 1754, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'PNS', 3564, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'PSP', 3839, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'PTY', 1871, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'PVR', 1836, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'QRO', 1838, 'Y', 0, 'ERD\r'),
	('AA', 24, 'DFW', 3670, 'RAP', 4087, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'RDU', 3626, '', 0, 'M80 M83 738\r'),
	('AA', 24, 'DFW', 3670, 'RIC', 3608, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'RNO', 3807, '', 0, 'M83 738\r'),
	('AA', 24, 'DFW', 3670, 'ROW', 3736, 'Y', 0, 'ERD\r'),
	('AA', 24, 'DFW', 3670, 'RSW', 3793, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'RTB', 1774, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'SAF', 3784, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'SAL', 1892, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'SAN', 3731, '', 0, '738 M80 M83 757\r'),
	('AA', 24, 'DFW', 3670, 'SAT', 3621, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'SAV', 3613, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'SCL', 2650, '', 0, '763\r'),
	('AA', 24, 'DFW', 3670, 'SDF', 4014, '', 0, 'M80 M83 319\r'),
	('AA', 24, 'DFW', 3670, 'SEA', 3577, '', 0, '738 757\r'),
	('AA', 24, 'DFW', 3670, 'SFO', 3469, '', 0, '738 757 763\r'),
	('AA', 24, 'DFW', 3670, 'SGF', 4348, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'SHV', 3609, 'Y', 0, 'CRJ ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'SJC', 3748, '', 0, 'M83\r'),
	('AA', 24, 'DFW', 3670, 'SJD', 1840, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'SJO', 1885, '', 0, '757\r'),
	('AA', 24, 'DFW', 3670, 'SJT', 3708, 'Y', 0, 'ER4 CRJ ERD\r'),
	('AA', 24, 'DFW', 3670, 'SJU', 2890, '', 0, '757\r'),
	('AA', 24, 'DFW', 3670, 'SLC', 3536, '', 0, 'M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'SLP', 1842, 'Y', 0, 'ERD\r'),
	('AA', 24, 'DFW', 3670, 'SMF', 3817, '', 0, 'M83\r'),
	('AA', 24, 'DFW', 3670, 'SNA', 3867, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'SPI', 4336, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'SPS', 3680, 'Y', 0, 'ER4 CRJ ERD\r'),
	('AA', 24, 'DFW', 3670, 'STL', 3678, '', 0, 'M80 M83 738\r'),
	('AA', 24, 'DFW', 3670, 'TLH', 3698, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'DFW', 3670, 'TPA', 3646, '', 0, '738 M83 M80\r'),
	('AA', 24, 'DFW', 3670, 'TRC', 1845, 'Y', 0, 'ER4\r'),
	('AA', 24, 'DFW', 3670, 'TUL', 3855, '', 0, 'M83 757 M80 738\r'),
	('AA', 24, 'DFW', 3670, 'TUS', 3636, '', 0, 'M80 M83\r'),
	('AA', 24, 'DFW', 3670, 'TXK', 3770, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'DFW', 3670, 'TYR', 3848, 'Y', 0, 'ERD ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'TYS', 3676, 'Y', 0, 'ERD ER4 CRJ\r'),
	('AA', 24, 'DFW', 3670, 'VPS', 3873, 'Y', 0, 'ER4 CRJ ERD\r'),
	('AA', 24, 'DFW', 3670, 'XNA', 4356, '', 0, 'M80\r'),
	('AA', 24, 'DFW', 3670, 'YEG', 49, '', 0, '319\r'),
	('AA', 24, 'DFW', 3670, 'YUL', 146, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'YVR', 156, '', 0, '738\r'),
	('AA', 24, 'DFW', 3670, 'YYC', 178, '', 0, 'M80 M83 738\r'),
	('AA', 24, 'DFW', 3670, 'YYZ', 193, '', 0, '319\r'),
	('AA', 24, 'DFW', 3670, 'ZCL', 1855, 'Y', 0, 'ERD\r'),
	('AA', 24, 'DKR', 1084, 'BJL', 1050, 'Y', 0, 'L4T\r'),
	('AA', 24, 'DKR', 1084, 'LPA', 1054, 'Y', 0, '320\r'),
	('AA', 24, 'DOH', 2241, 'BAH', 2057, 'Y', 0, '777\r'),
	('AA', 24, 'DOH', 2241, 'IAD', 3714, '', 0, '777\r'),
	('AA', 24, 'DOH', 2241, 'IAH', 3550, '', 0, '777\r'),
	('AA', 24, 'DOH', 2241, 'JFK', 3797, '', 0, '777\r'),
	('AA', 24, 'DOH', 2241, 'ORD', 3830, '', 0, '777\r'),
	('AA', 24, 'DOH', 2241, 'PHL', 3752, '', 0, '777\r'),
	('AA', 24, 'DOM', 2877, 'SJU', 2890, '', 0, 'SF3\r'),
	('AA', 24, 'DRO', 3713, 'DFW', 3670, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'DRO', 3713, 'PHX', 3462, 'Y', 0, 'CRJ CR9\r'),
	('AA', 24, 'DRW', 3999, 'BNE', 3320, 'Y', 0, '763 737\r'),
	('AA', 24, 'DRW', 3999, 'SYD', 3361, 'Y', 0, '737\r'),
	('AA', 24, 'DSM', 3729, 'CLT', 3876, 'Y', 0, 'CR9\r'),
	('AA', 24, 'DSM', 3729, 'DCA', 3520, 'Y', 0, 'E70 CRJ\r'),
	('AA', 24, 'DSM', 3729, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'DSM', 3729, 'ORD', 3830, 'Y', 0, 'E75 ERD ER4\r'),
	('AA', 24, 'DSM', 3729, 'PHX', 3462, '', 0, '319\r'),
	('AA', 24, 'DTW', 3645, 'CLT', 3876, '', 0, '319 321\r'),
	('AA', 24, 'DTW', 3645, 'DCA', 3520, 'Y', 0, 'E70 CRJ E75\r'),
	('AA', 24, 'DTW', 3645, 'DFW', 3670, '', 0, 'M83 M80 738\r'),
	('AA', 24, 'DTW', 3645, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('AA', 24, 'DTW', 3645, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'DTW', 3645, 'ORD', 3830, 'Y', 0, 'E75 ERD ER4 CR7\r'),
	('AA', 24, 'DTW', 3645, 'PHL', 3752, '', 0, '320 E90 319\r'),
	('AA', 24, 'DTW', 3645, 'PHX', 3462, '', 0, '319 321\r'),
	('AA', 24, 'DTW', 3645, 'YUL', 146, 'Y', 0, '330\r'),
	('AA', 24, 'DUB', 599, 'CLT', 3876, '', 0, '757\r'),
	('AA', 24, 'DUB', 599, 'JFK', 3797, '', 0, '757\r'),
	('AA', 24, 'DUB', 599, 'LHR', 507, 'Y', 0, '319\r'),
	('AA', 24, 'DUB', 599, 'ORD', 3830, '', 0, '763\r'),
	('AA', 24, 'DUB', 599, 'PHL', 3752, '', 0, '332\r'),
	('AA', 24, 'DUS', 345, 'AUH', 2179, 'Y', 0, '330\r'),
	('AA', 24, 'DUS', 345, 'JFK', 3797, 'Y', 0, '330\r'),
	('AA', 24, 'DUS', 345, 'LAX', 3484, 'Y', 0, '330\r'),
	('AA', 24, 'DUS', 345, 'LHR', 507, 'Y', 0, '319 320\r'),
	('AA', 24, 'DUS', 345, 'MIA', 3576, 'Y', 0, '330\r'),
	('AA', 24, 'DUS', 345, 'ORD', 3830, '', 0, '763\r'),
	('AA', 24, 'DUS', 345, 'RSW', 3793, 'Y', 0, '330\r'),
	('AA', 24, 'DXB', 2188, 'LHR', 507, 'Y', 0, '744 777\r'),
	('AA', 24, 'EBB', 1187, 'LHR', 507, 'Y', 0, '767\r'),
	('AA', 24, 'EDI', 535, 'LHR', 507, 'Y', 0, '767 320 321\r'),
	('AA', 24, 'EIS', 2903, 'SJU', 2890, '', 0, 'SF3\r'),
	('AA', 24, 'ELH', 1943, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'ELM', 3946, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'ELP', 3559, 'DFW', 3670, '', 0, 'M80 319\r'),
	('AA', 24, 'ELP', 3559, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'ELP', 3559, 'ORD', 3830, 'Y', 0, 'E75\r'),
	('AA', 24, 'ELP', 3559, 'PHX', 3462, 'Y', 0, 'CRJ CR9\r'),
	('AA', 24, 'ERI', 4276, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'EUG', 4099, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'EUG', 4099, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AA', 24, 'EVV', 4018, 'DFW', 3670, 'Y', 0, 'ERD\r'),
	('AA', 24, 'EVV', 4018, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'EWN', 3730, 'CLT', 3876, '', 0, 'DH8 DH3\r'),
	('AA', 24, 'EWR', 3494, 'CLT', 3876, '', 0, '321 320 737 319\r'),
	('AA', 24, 'EWR', 3494, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('AA', 24, 'EWR', 3494, 'HKG', 3077, 'Y', 0, '773\r'),
	('AA', 24, 'EWR', 3494, 'LHR', 507, 'Y', 0, '777 787\r'),
	('AA', 24, 'EWR', 3494, 'MIA', 3576, '', 0, '757 738\r'),
	('AA', 24, 'EWR', 3494, 'ORD', 3830, 'Y', 0, 'E75 CR7\r'),
	('AA', 24, 'EWR', 3494, 'ORY', 1386, 'Y', 0, '757\r'),
	('AA', 24, 'EWR', 3494, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'EWR', 3494, 'PHX', 3462, '', 0, '320\r'),
	('AA', 24, 'EWR', 3494, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'EYW', 3875, 'MIA', 3576, 'Y', 0, 'ERD\r'),
	('AA', 24, 'EZE', 3988, 'DFW', 3670, '', 0, '777\r'),
	('AA', 24, 'EZE', 3988, 'JFK', 3797, '', 0, '777\r'),
	('AA', 24, 'EZE', 3988, 'MIA', 3576, '', 0, '777\r'),
	('AA', 24, 'FAR', 4292, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'FAR', 4292, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('AA', 24, 'FAT', 3687, 'DFW', 3670, '', 0, 'M80\r'),
	('AA', 24, 'FAT', 3687, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'FAT', 3687, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'FAY', 5738, 'CLT', 3876, '', 0, 'DH8\r'),
	('AA', 24, 'FAY', 5738, 'DCA', 3520, 'Y', 0, 'DH3\r'),
	('AA', 24, 'FCO', 1555, 'CLT', 3876, '', 0, '333\r'),
	('AA', 24, 'FCO', 1555, 'JFK', 3797, '', 0, '763\r'),
	('AA', 24, 'FCO', 1555, 'LHR', 507, 'Y', 0, '321 767 319 320\r'),
	('AA', 24, 'FCO', 1555, 'ORD', 3830, '', 0, '763\r'),
	('AA', 24, 'FCO', 1555, 'PHL', 3752, '', 0, '333\r'),
	('AA', 24, 'FDF', 2878, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'FDF', 2878, 'SJU', 2890, 'Y', 0, 'SF3\r'),
	('AA', 24, 'FLG', 4261, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'FLL', 3533, 'CLT', 3876, '', 0, '319 321 320 737\r'),
	('AA', 24, 'FLL', 3533, 'DCA', 3520, '', 0, '319\r'),
	('AA', 24, 'FLL', 3533, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'FLL', 3533, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'FLL', 3533, 'PAP', 1897, '', 0, '738\r'),
	('AA', 24, 'FLL', 3533, 'PHL', 3752, '', 0, '320 319 737\r'),
	('AA', 24, 'FLL', 3533, 'PHX', 3462, '', 0, '320 319\r'),
	('AA', 24, 'FLO', 3879, 'CLT', 3876, '', 0, 'DH3 DH8\r'),
	('AA', 24, 'FNT', 4089, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'FPO', 1948, 'CLT', 3876, 'Y', 0, 'CR7\r'),
	('AA', 24, 'FPO', 1948, 'MIA', 3576, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'FRA', 340, 'CLT', 3876, '', 0, '333 332\r'),
	('AA', 24, 'FRA', 340, 'DFW', 3670, '', 0, '777\r'),
	('AA', 24, 'FRA', 340, 'KUL', 3304, '', 0, '777\r'),
	('AA', 24, 'FRA', 340, 'LHR', 507, 'Y', 0, '320 767 319\r'),
	('AA', 24, 'FRA', 340, 'PHL', 3752, '', 0, '332 767\r'),
	('AA', 24, 'FSD', 4009, 'DFW', 3670, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'FSD', 4009, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'FSM', 3437, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'FUK', 2305, 'NRT', 2279, '', 0, '737\r'),
	('AA', 24, 'FWA', 4041, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'FWA', 4041, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'GCK', 3497, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'GCM', 1926, 'CLT', 3876, '', 0, '320 321 319\r'),
	('AA', 24, 'GCM', 1926, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'GCM', 1926, 'PHL', 3752, '', 0, '319\r'),
	('AA', 24, 'GDL', 1804, 'DFW', 3670, '', 0, 'M80\r'),
	('AA', 24, 'GDL', 1804, 'LAX', 3484, 'Y', 0, '737\r'),
	('AA', 24, 'GDL', 1804, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'GDL', 1804, 'SJC', 3748, 'Y', 0, '737\r'),
	('AA', 24, 'GEG', 3467, 'PHX', 3462, '', 0, '319\r'),
	('AA', 24, 'GGG', 3465, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'GGT', 1941, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'GIB', 1738, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'GIG', 2560, 'CLT', 3876, '', 0, '767\r'),
	('AA', 24, 'GIG', 2560, 'DFW', 3670, '', 0, '763\r'),
	('AA', 24, 'GIG', 2560, 'JFK', 3797, '', 0, '763\r'),
	('AA', 24, 'GIG', 2560, 'MIA', 3576, '', 0, '763\r'),
	('AA', 24, 'GJT', 4063, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'GJT', 4063, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'GLA', 534, 'LHR', 507, 'Y', 0, '319 320 321\r'),
	('AA', 24, 'GLA', 534, 'PHL', 3752, '', 0, '757\r'),
	('AA', 24, 'GND', 2882, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'GNV', 3472, 'CLT', 3876, '', 0, 'CRJ\r'),
	('AA', 24, 'GNV', 3472, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'GOT', 687, 'LHR', 507, 'Y', 0, '320 321 319\r'),
	('AA', 24, 'GPT', 4038, 'CLT', 3876, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'GPT', 4038, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'GRB', 3653, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('AA', 24, 'GRI', 5740, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'GRK', 3775, 'DFW', 3670, 'Y', 0, 'ER4 CRJ ERD\r'),
	('AA', 24, 'GRR', 3685, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'GRR', 3685, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'GRU', 2564, 'CLT', 3876, '', 0, '332\r'),
	('AA', 24, 'GRU', 2564, 'DFW', 3670, '', 0, '77W\r'),
	('AA', 24, 'GRU', 2564, 'JFK', 3797, '', 0, '77W 777 773\r'),
	('AA', 24, 'GRU', 2564, 'LAX', 3484, '', 0, '777\r'),
	('AA', 24, 'GRU', 2564, 'MCO', 3878, '', 0, '320\r'),
	('AA', 24, 'GRU', 2564, 'MIA', 3576, '', 0, '773 777\r'),
	('AA', 24, 'GSO', 4008, 'CLT', 3876, '', 0, 'DH8\r'),
	('AA', 24, 'GSO', 4008, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'GSO', 4008, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'GSO', 4008, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('AA', 24, 'GSO', 4008, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'GSO', 4008, 'PHL', 3752, 'Y', 0, 'E75 CRJ E70\r'),
	('AA', 24, 'GSP', 4034, 'CLT', 3876, '', 0, 'DH3 DH8\r'),
	('AA', 24, 'GSP', 4034, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'GSP', 4034, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'GSP', 4034, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'GUA', 1767, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'GUA', 1767, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'GVA', 1665, 'LHR', 507, 'Y', 0, '320 319 321\r'),
	('AA', 24, 'GYE', 2673, 'JFK', 3797, 'Y', 0, '763\r'),
	('AA', 24, 'GYE', 2673, 'MIA', 3576, '', 0, '738 763 757\r'),
	('AA', 24, 'GYE', 2673, 'SCY', 6045, 'Y', 0, '319\r'),
	('AA', 24, 'GYE', 2673, 'UIO', 2688, 'Y', 0, '319\r'),
	('AA', 24, 'HAJ', 352, 'LHR', 507, 'Y', 0, '319\r'),
	('AA', 24, 'HAM', 342, 'LHR', 507, 'Y', 0, '320 319 321\r'),
	('AA', 24, 'HAN', 3199, 'NRT', 2279, '', 0, '763\r'),
	('AA', 24, 'HEL', 421, 'JFK', 3797, 'Y', 0, '330\r'),
	('AA', 24, 'HEL', 421, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'HEL', 421, 'MAN', 478, 'Y', 0, 'E70\r'),
	('AA', 24, 'HHH', 7002, 'CLT', 3876, '', 0, 'DH3\r'),
	('AA', 24, 'HHH', 7002, 'DCA', 3520, '', 0, 'DH3\r'),
	('AA', 24, 'HKG', 3077, 'EWR', 3494, 'Y', 0, '773\r'),
	('AA', 24, 'HKG', 3077, 'JFK', 3797, 'Y', 0, '773\r'),
	('AA', 24, 'HKG', 3077, 'LAX', 3484, 'Y', 0, '773\r'),
	('AA', 24, 'HKG', 3077, 'NRT', 2279, '', 0, '763\r'),
	('AA', 24, 'HKG', 3077, 'ORD', 3830, 'Y', 0, '773\r'),
	('AA', 24, 'HKG', 3077, 'SFO', 3469, 'Y', 0, '773 744\r'),
	('AA', 24, 'HMO', 1807, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'HND', 2359, 'HNL', 3728, '', 0, '777\r'),
	('AA', 24, 'HND', 2359, 'SFO', 3469, '', 0, '787\r'),
	('AA', 24, 'HNL', 3728, 'DFW', 3670, '', 0, '763\r'),
	('AA', 24, 'HNL', 3728, 'HND', 2359, '', 0, '777\r'),
	('AA', 24, 'HNL', 3728, 'KIX', 3992, '', 0, '777\r'),
	('AA', 24, 'HNL', 3728, 'LAX', 3484, '', 0, '757\r'),
	('AA', 24, 'HNL', 3728, 'NGO', 3942, '', 0, '777\r'),
	('AA', 24, 'HNL', 3728, 'NRT', 2279, '', 0, '787 777\r'),
	('AA', 24, 'HNL', 3728, 'OAK', 3453, 'Y', 0, '737\r'),
	('AA', 24, 'HNL', 3728, 'PHX', 3462, '', 0, '757\r'),
	('AA', 24, 'HNL', 3728, 'SJC', 3748, 'Y', 0, '737\r'),
	('AA', 24, 'HNL', 3728, 'SYD', 3361, 'Y', 0, '763\r'),
	('AA', 24, 'HOU', 3566, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('AA', 24, 'HPN', 3589, 'CLT', 3876, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'HPN', 3589, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'HPN', 3589, 'ORD', 3830, 'Y', 0, 'ERD\r'),
	('AA', 24, 'HPN', 3589, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'HSV', 4113, 'CLT', 3876, 'Y', 0, 'CR7 CRJ\r'),
	('AA', 24, 'HSV', 4113, 'DCA', 3520, 'Y', 0, 'E70 CRJ\r'),
	('AA', 24, 'HSV', 4113, 'DFW', 3670, '', 0, '319\r'),
	('AA', 24, 'HSV', 4113, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('AA', 24, 'HTS', 5742, 'CLT', 3876, '', 0, 'DH3 DH8\r'),
	('AA', 24, 'HVN', 4006, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'HYD', 3141, 'LHR', 507, 'Y', 0, '767\r'),
	('AA', 24, 'IAD', 3714, 'AUH', 2179, 'Y', 0, '340\r'),
	('AA', 24, 'IAD', 3714, 'CLT', 3876, '', 0, 'CR7 CR9\r'),
	('AA', 24, 'IAD', 3714, 'DFW', 3670, '', 0, '738 M80\r'),
	('AA', 24, 'IAD', 3714, 'DOH', 2241, '', 0, '777\r'),
	('AA', 24, 'IAD', 3714, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'IAD', 3714, 'LHR', 507, 'Y', 0, '744 777\r'),
	('AA', 24, 'IAD', 3714, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'IAH', 3550, 'CLT', 3876, '', 0, '321 737 319 320\r'),
	('AA', 24, 'IAH', 3550, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'IAH', 3550, 'DOH', 2241, '', 0, '777\r'),
	('AA', 24, 'IAH', 3550, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('AA', 24, 'IAH', 3550, 'LHR', 507, 'Y', 0, '744 777\r'),
	('AA', 24, 'IAH', 3550, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'IAH', 3550, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('AA', 24, 'IAH', 3550, 'PHL', 3752, '', 0, 'E90\r'),
	('AA', 24, 'IAH', 3550, 'PHX', 3462, '', 0, '319 320\r'),
	('AA', 24, 'ICN', 3930, 'DFW', 3670, '', 0, '777\r'),
	('AA', 24, 'ICN', 3930, 'NRT', 2279, '', 0, '737\r'),
	('AA', 24, 'ICT', 3457, 'DFW', 3670, '', 0, '319\r'),
	('AA', 24, 'ICT', 3457, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'ILM', 3845, 'CLT', 3876, '', 0, '319 CR9\r'),
	('AA', 24, 'ILM', 3845, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'ILM', 3845, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('AA', 24, 'ILM', 3845, 'PHL', 3752, 'Y', 0, 'CRJ E75\r'),
	('AA', 24, 'IND', 3585, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'IND', 3585, 'DCA', 3520, 'Y', 0, 'E70 E75 CRJ\r'),
	('AA', 24, 'IND', 3585, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'IND', 3585, 'JFK', 3797, 'Y', 0, 'ER4\r'),
	('AA', 24, 'IND', 3585, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'IND', 3585, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'IND', 3585, 'ORD', 3830, 'Y', 0, 'E75 ER4 ERD CR7\r'),
	('AA', 24, 'IND', 3585, 'PHL', 3752, '', 0, 'E90\r'),
	('AA', 24, 'IND', 3585, 'PHX', 3462, '', 0, '320 319\r'),
	('AA', 24, 'IPT', 3584, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'ISB', 2223, 'AUH', 2179, 'Y', 0, '320 332\r'),
	('AA', 24, 'ISP', 3857, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'ISP', 3857, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'IST', 1701, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'ITH', 3947, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'ITM', 2334, 'NRT', 2279, '', 0, '773 737\r'),
	('AA', 24, 'JAN', 3580, 'CLT', 3876, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'JAN', 3580, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'JAN', 3580, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'JAX', 3712, 'CLT', 3876, '', 0, '319 737\r'),
	('AA', 24, 'JAX', 3712, 'DCA', 3520, 'Y', 0, 'E75 CRJ E70\r'),
	('AA', 24, 'JAX', 3712, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('AA', 24, 'JAX', 3712, 'MIA', 3576, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'JAX', 3712, 'ORD', 3830, 'Y', 0, 'ER4 CR7\r'),
	('AA', 24, 'JAX', 3712, 'PHL', 3752, '', 0, 'E90\r'),
	('AA', 24, 'JFK', 3797, 'AMM', 2170, 'Y', 0, '340 330\r'),
	('AA', 24, 'JFK', 3797, 'ANU', 2874, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'AUH', 2179, 'Y', 0, '777\r'),
	('AA', 24, 'JFK', 3797, 'AUS', 3673, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'BCN', 1218, '', 0, '763\r'),
	('AA', 24, 'JFK', 3797, 'BDA', 4069, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'BNA', 3690, 'Y', 0, 'ER4\r'),
	('AA', 24, 'JFK', 3797, 'BOS', 3448, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'BWI', 3849, 'Y', 0, 'ER4\r'),
	('AA', 24, 'JFK', 3797, 'CCS', 2851, '', 0, '757 738\r'),
	('AA', 24, 'JFK', 3797, 'CDG', 1382, '', 0, '763 757\r'),
	('AA', 24, 'JFK', 3797, 'CLE', 3486, 'Y', 0, 'ER4\r'),
	('AA', 24, 'JFK', 3797, 'CLT', 3876, '', 0, '321 319\r'),
	('AA', 24, 'JFK', 3797, 'CMH', 3759, 'Y', 0, 'ER4 CR7\r'),
	('AA', 24, 'JFK', 3797, 'CUN', 1852, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'CVG', 3488, 'Y', 0, 'ER4\r'),
	('AA', 24, 'JFK', 3797, 'DCA', 3520, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'DFW', 3670, '', 0, '738 757\r'),
	('AA', 24, 'JFK', 3797, 'DOH', 2241, '', 0, '777\r'),
	('AA', 24, 'JFK', 3797, 'DUB', 599, '', 0, '757\r'),
	('AA', 24, 'JFK', 3797, 'DUS', 345, 'Y', 0, '330\r'),
	('AA', 24, 'JFK', 3797, 'EZE', 3988, '', 0, '777\r'),
	('AA', 24, 'JFK', 3797, 'FCO', 1555, '', 0, '763\r'),
	('AA', 24, 'JFK', 3797, 'GIG', 2560, '', 0, '763\r'),
	('AA', 24, 'JFK', 3797, 'GRU', 2564, '', 0, '773 77W 777\r'),
	('AA', 24, 'JFK', 3797, 'GYE', 2673, 'Y', 0, '763\r'),
	('AA', 24, 'JFK', 3797, 'HEL', 421, 'Y', 0, '330\r'),
	('AA', 24, 'JFK', 3797, 'HKG', 3077, 'Y', 0, '773\r'),
	('AA', 24, 'JFK', 3797, 'IND', 3585, 'Y', 0, 'ER4\r'),
	('AA', 24, 'JFK', 3797, 'LAS', 3877, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'LAX', 3484, '', 0, '32B 762\r'),
	('AA', 24, 'JFK', 3797, 'LCY', 503, '', 0, '318\r'),
	('AA', 24, 'JFK', 3797, 'LHR', 507, '', 0, '777 77W\r'),
	('AA', 24, 'JFK', 3797, 'LIM', 2789, 'Y', 0, '763\r'),
	('AA', 24, 'JFK', 3797, 'MAD', 1229, '', 0, '330 757 340\r'),
	('AA', 24, 'JFK', 3797, 'MAN', 478, '', 0, '757\r'),
	('AA', 24, 'JFK', 3797, 'MCO', 3878, '', 0, '763 757\r'),
	('AA', 24, 'JFK', 3797, 'MIA', 3576, '', 0, '757 763 738\r'),
	('AA', 24, 'JFK', 3797, 'MXP', 1524, '', 0, '763\r'),
	('AA', 24, 'JFK', 3797, 'NRT', 2279, '', 0, '787 773\r'),
	('AA', 24, 'JFK', 3797, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'ORF', 3611, 'Y', 0, 'ER4\r'),
	('AA', 24, 'JFK', 3797, 'ORY', 1386, 'Y', 0, '757\r'),
	('AA', 24, 'JFK', 3797, 'PAP', 1897, '', 0, '763\r'),
	('AA', 24, 'JFK', 3797, 'PHX', 3462, '', 0, '321\r'),
	('AA', 24, 'JFK', 3797, 'PIT', 3570, 'Y', 0, 'ER4\r'),
	('AA', 24, 'JFK', 3797, 'RDU', 3626, 'Y', 0, 'ERD CR7\r'),
	('AA', 24, 'JFK', 3797, 'SAN', 3731, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'SCL', 2650, 'Y', 0, '787\r'),
	('AA', 24, 'JFK', 3797, 'SEA', 3577, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'SFO', 3469, '', 0, '32B 763\r'),
	('AA', 24, 'JFK', 3797, 'SJO', 1885, '', 0, '738\r'),
	('AA', 24, 'JFK', 3797, 'SJU', 2890, '', 0, '757\r'),
	('AA', 24, 'JFK', 3797, 'STT', 2883, '', 0, '757\r'),
	('AA', 24, 'JFK', 3797, 'SXM', 2899, '', 0, '757\r'),
	('AA', 24, 'JFK', 3797, 'TPA', 3646, 'Y', 0, 'CR7\r'),
	('AA', 24, 'JFK', 3797, 'TXL', 351, 'Y', 0, '330\r'),
	('AA', 24, 'JFK', 3797, 'YUL', 146, 'Y', 0, 'ERD\r'),
	('AA', 24, 'JFK', 3797, 'YYC', 178, '', 0, '737\r'),
	('AA', 24, 'JFK', 3797, 'YYZ', 193, 'Y', 0, 'CR7\r'),
	('AA', 24, 'JFK', 3797, 'ZRH', 1678, '', 0, '763\r'),
	('AA', 24, 'JLN', 4354, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'JNB', 813, 'LHR', 507, 'Y', 0, '380 744\r'),
	('AA', 24, 'JNU', 3492, 'KTN', 3808, 'Y', 0, '737\r'),
	('AA', 24, 'JUL', 2792, 'AQP', 2802, 'Y', 0, '320\r'),
	('AA', 24, 'KHH', 2264, 'NRT', 2279, '', 0, '763\r'),
	('AA', 24, 'KIN', 1779, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'KIX', 3992, 'HNL', 3728, '', 0, '777\r'),
	('AA', 24, 'KOA', 3514, 'LAX', 3484, '', 0, '757\r'),
	('AA', 24, 'KOA', 3514, 'OAK', 3453, 'Y', 0, '737\r'),
	('AA', 24, 'KOA', 3514, 'PHX', 3462, '', 0, '757\r'),
	('AA', 24, 'KOA', 3514, 'SJC', 3748, 'Y', 0, '737\r'),
	('AA', 24, 'KTN', 3808, 'JNU', 3492, 'Y', 0, '734\r'),
	('AA', 24, 'KTN', 3808, 'SEA', 3577, 'Y', 0, '734\r'),
	('AA', 24, 'KUL', 3304, 'BKK', 3885, '', 0, '737\r'),
	('AA', 24, 'KUL', 3304, 'CDG', 1382, '', 0, '380\r'),
	('AA', 24, 'KUL', 3304, 'FRA', 340, '', 0, '777\r'),
	('AA', 24, 'KUL', 3304, 'LGK', 3305, '', 0, '737\r'),
	('AA', 24, 'KUL', 3304, 'LHR', 507, '', 0, '380\r'),
	('AA', 24, 'KUL', 3304, 'NRT', 2279, '', 0, '763\r'),
	('AA', 24, 'KUL', 3304, 'PEN', 3308, '', 0, '737\r'),
	('AA', 24, 'KUL', 3304, 'SIN', 3316, '', 0, '737\r'),
	('AA', 24, 'KWI', 2176, 'LHR', 507, 'Y', 0, '744\r'),
	('AA', 24, 'LAS', 3877, 'CLT', 3876, '', 0, '321\r'),
	('AA', 24, 'LAS', 3877, 'DCA', 3520, '', 0, '320 319\r'),
	('AA', 24, 'LAS', 3877, 'DFW', 3670, '', 0, 'M80 738 M83 757\r'),
	('AA', 24, 'LAS', 3877, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'LAS', 3877, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'LAS', 3877, 'LGW', 502, 'Y', 0, '777\r'),
	('AA', 24, 'LAS', 3877, 'LHR', 507, 'Y', 0, '744\r'),
	('AA', 24, 'LAS', 3877, 'MIA', 3576, '', 0, '757 738\r'),
	('AA', 24, 'LAS', 3877, 'ORD', 3830, '', 0, 'M83 738\r'),
	('AA', 24, 'LAS', 3877, 'PHL', 3752, '', 0, '320 321\r'),
	('AA', 24, 'LAS', 3877, 'PHX', 3462, '', 0, '320 321 319\r'),
	('AA', 24, 'LAS', 3877, 'YEG', 49, '', 0, '737\r'),
	('AA', 24, 'LAS', 3877, 'YVR', 156, '', 0, '737\r'),
	('AA', 24, 'LAS', 3877, 'YYC', 178, '', 0, '737\r'),
	('AA', 24, 'LAS', 3877, 'YYZ', 193, '', 0, '737\r'),
	('AA', 24, 'LAW', 4256, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'LAX', 3484, 'ABQ', 4019, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'LAX', 3484, 'ANC', 3774, 'Y', 0, '737\r'),
	('AA', 24, 'LAX', 3484, 'AUS', 3673, '', 0, 'M83 738\r'),
	('AA', 24, 'LAX', 3484, 'BDL', 3825, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'BNA', 3690, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'BNE', 3320, 'Y', 0, '744\r'),
	('AA', 24, 'LAX', 3484, 'BOS', 3448, '', 0, '757 738\r'),
	('AA', 24, 'LAX', 3484, 'CLT', 3876, '', 0, '321\r'),
	('AA', 24, 'LAX', 3484, 'CMH', 3759, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'DCA', 3520, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'DEN', 3751, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LAX', 3484, 'DFW', 3670, '', 0, '738 763 757 M83\r'),
	('AA', 24, 'LAX', 3484, 'DUS', 345, 'Y', 0, '330\r'),
	('AA', 24, 'LAX', 3484, 'ELP', 3559, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'LAX', 3484, 'EUG', 4099, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'LAX', 3484, 'FAT', 3687, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'LAX', 3484, 'GDL', 1804, 'Y', 0, '737\r'),
	('AA', 24, 'LAX', 3484, 'GRU', 2564, '', 0, '777\r'),
	('AA', 24, 'LAX', 3484, 'HKG', 3077, 'Y', 0, '773\r'),
	('AA', 24, 'LAX', 3484, 'HNL', 3728, '', 0, '757\r'),
	('AA', 24, 'LAX', 3484, 'IAD', 3714, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'IAH', 3550, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LAX', 3484, 'IND', 3585, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'JFK', 3797, '', 0, '32B 762\r'),
	('AA', 24, 'LAX', 3484, 'KOA', 3514, '', 0, '757\r'),
	('AA', 24, 'LAX', 3484, 'LAS', 3877, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'LHR', 507, '', 0, '77W\r'),
	('AA', 24, 'LAX', 3484, 'LIH', 3602, '', 0, '757\r'),
	('AA', 24, 'LAX', 3484, 'LIM', 2789, 'Y', 0, '763\r'),
	('AA', 24, 'LAX', 3484, 'MAD', 1229, 'Y', 0, '340\r'),
	('AA', 24, 'LAX', 3484, 'MCO', 3878, '', 0, '757 738\r'),
	('AA', 24, 'LAX', 3484, 'MEL', 3339, 'Y', 0, '380\r'),
	('AA', 24, 'LAX', 3484, 'MEX', 1824, 'Y', 0, '737\r'),
	('AA', 24, 'LAX', 3484, 'MFR', 4101, 'Y', 0, 'DH4\r'),
	('AA', 24, 'LAX', 3484, 'MIA', 3576, '', 0, '757 777 763 738\r'),
	('AA', 24, 'LAX', 3484, 'MMH', 7081, 'Y', 0, 'DH4\r'),
	('AA', 24, 'LAX', 3484, 'MRY', 3948, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'LAX', 3484, 'NAN', 1960, 'Y', 0, '330\r'),
	('AA', 24, 'LAX', 3484, 'NRT', 2279, '', 0, '777 773\r'),
	('AA', 24, 'LAX', 3484, 'OGG', 3456, '', 0, '757\r'),
	('AA', 24, 'LAX', 3484, 'OKC', 3863, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LAX', 3484, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'PBI', 3722, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'PDX', 3720, 'Y', 0, '737\r'),
	('AA', 24, 'LAX', 3484, 'PHL', 3752, '', 0, '321 320\r'),
	('AA', 24, 'LAX', 3484, 'PHX', 3462, '', 0, '321 319 320\r'),
	('AA', 24, 'LAX', 3484, 'PIT', 3570, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'PPT', 4075, 'Y', 0, '340\r'),
	('AA', 24, 'LAX', 3484, 'PVG', 3406, '', 0, '777\r'),
	('AA', 24, 'LAX', 3484, 'RDM', 4103, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'LAX', 3484, 'RDU', 3626, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'RNO', 3807, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'LAX', 3484, 'SAF', 3784, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'LAX', 3484, 'SAN', 3731, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'LAX', 3484, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'LAX', 3484, 'SFO', 3469, '', 0, '738\r'),
	('AA', 24, 'LAX', 3484, 'SJC', 3748, 'Y', 0, 'CR7 CRJ\r'),
	('AA', 24, 'LAX', 3484, 'SJD', 1840, '', 0, 'M83 738\r'),
	('AA', 24, 'LAX', 3484, 'SLC', 3536, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'LAX', 3484, 'SMF', 3817, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'LAX', 3484, 'STL', 3678, '', 0, 'M83\r'),
	('AA', 24, 'LAX', 3484, 'STS', 6992, 'Y', 0, 'DH4\r'),
	('AA', 24, 'LAX', 3484, 'SYD', 3361, 'Y', 0, '380 744\r'),
	('AA', 24, 'LAX', 3484, 'TUS', 3636, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'LAX', 3484, 'XNA', 4356, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LAX', 3484, 'YEG', 49, '', 0, '737\r'),
	('AA', 24, 'LAX', 3484, 'YVR', 156, '', 0, '737\r'),
	('AA', 24, 'LAX', 3484, 'YYC', 178, '', 0, '737\r'),
	('AA', 24, 'LAX', 3484, 'YYZ', 193, '', 0, '738\r'),
	('AA', 24, 'LBA', 517, 'LHR', 507, 'Y', 0, '319\r'),
	('AA', 24, 'LBB', 3829, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'LCA', 1197, 'LHR', 507, 'Y', 0, '767\r'),
	('AA', 24, 'LCH', 3513, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'LEX', 4017, 'CLT', 3876, 'Y', 0, 'CR7 CRJ\r'),
	('AA', 24, 'LEX', 4017, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'LEX', 4017, 'ORD', 3830, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'LFT', 3493, 'DFW', 3670, 'Y', 0, 'ERD ER4 CRJ\r'),
	('AA', 24, 'LGA', 3697, 'BNA', 3690, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LGA', 3697, 'BOS', 3448, '', 0, '319 E90\r'),
	('AA', 24, 'LGA', 3697, 'CHO', 4015, 'Y', 0, 'ERD\r'),
	('AA', 24, 'LGA', 3697, 'CLT', 3876, '', 0, '321 319 320\r'),
	('AA', 24, 'LGA', 3697, 'CMH', 3759, 'Y', 0, 'CR7 ERD\r'),
	('AA', 24, 'LGA', 3697, 'DAY', 3627, 'Y', 0, 'ERD\r'),
	('AA', 24, 'LGA', 3697, 'DCA', 3520, '', 0, '319 E90\r'),
	('AA', 24, 'LGA', 3697, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'LGA', 3697, 'DTW', 3645, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LGA', 3697, 'GSO', 4008, 'Y', 0, 'ERD\r'),
	('AA', 24, 'LGA', 3697, 'ILM', 3845, 'Y', 0, 'ERD\r'),
	('AA', 24, 'LGA', 3697, 'LIT', 3660, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LGA', 3697, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'LGA', 3697, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'LGA', 3697, 'ORF', 3611, 'Y', 0, 'ERD\r'),
	('AA', 24, 'LGA', 3697, 'PBI', 3722, '', 0, '738\r'),
	('AA', 24, 'LGA', 3697, 'PHL', 3752, '', 0, 'E90 DH3 319\r'),
	('AA', 24, 'LGA', 3697, 'PIT', 3570, 'Y', 0, 'CRJ E75\r'),
	('AA', 24, 'LGA', 3697, 'RDU', 3626, 'Y', 0, 'ERD CR7\r'),
	('AA', 24, 'LGA', 3697, 'RIC', 3608, 'Y', 0, 'ERD\r'),
	('AA', 24, 'LGA', 3697, 'ROA', 4016, 'Y', 0, 'ERD\r'),
	('AA', 24, 'LGA', 3697, 'SDF', 4014, 'Y', 0, 'ERD\r'),
	('AA', 24, 'LGA', 3697, 'STL', 3678, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LGA', 3697, 'TYS', 3676, 'Y', 0, 'ERD\r'),
	('AA', 24, 'LGA', 3697, 'XNA', 4356, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LGA', 3697, 'YUL', 146, 'Y', 0, 'ERD\r'),
	('AA', 24, 'LGA', 3697, 'YYZ', 193, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LGB', 3582, 'PDX', 3720, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LGB', 3582, 'PHX', 3462, '', 0, '319\r'),
	('AA', 24, 'LGB', 3582, 'SEA', 3577, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LGK', 3305, 'KUL', 3304, '', 0, '737\r'),
	('AA', 24, 'LGW', 502, 'LAS', 3877, 'Y', 0, '777\r'),
	('AA', 24, 'LGW', 502, 'MCO', 3878, 'Y', 0, '777\r'),
	('AA', 24, 'LGW', 502, 'TPA', 3646, 'Y', 0, '777\r'),
	('AA', 24, 'LHE', 2207, 'AUH', 2179, 'Y', 0, '346 77W 320\r'),
	('AA', 24, 'LHR', 507, 'ABZ', 532, 'Y', 0, '319 321 320\r'),
	('AA', 24, 'LHR', 507, 'ACC', 248, 'Y', 0, '744\r'),
	('AA', 24, 'LHR', 507, 'AGP', 1230, 'Y', 0, '320\r'),
	('AA', 24, 'LHR', 507, 'AMS', 580, 'Y', 0, '320 319 321\r'),
	('AA', 24, 'LHR', 507, 'ARN', 737, 'Y', 0, '321 319 767 320\r'),
	('AA', 24, 'LHR', 507, 'ATH', 3941, 'Y', 0, '767 320\r'),
	('AA', 24, 'LHR', 507, 'ATL', 3682, 'Y', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'AUH', 2179, 'Y', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'AUS', 3673, '', 0, '787\r'),
	('AA', 24, 'LHR', 507, 'BAH', 2057, 'Y', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'BCN', 1218, 'Y', 0, '319 320 321 767\r'),
	('AA', 24, 'LHR', 507, 'BGO', 636, 'Y', 0, '319\r'),
	('AA', 24, 'LHR', 507, 'BHD', 467, 'Y', 0, '319\r'),
	('AA', 24, 'LHR', 507, 'BLQ', 1538, 'Y', 0, '320 319\r'),
	('AA', 24, 'LHR', 507, 'BLR', 3131, 'Y', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'BOM', 2997, 'Y', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'BOS', 3448, 'Y', 0, '744 777\r'),
	('AA', 24, 'LHR', 507, 'BRU', 302, 'Y', 0, '320 319 321\r'),
	('AA', 24, 'LHR', 507, 'BSL', 4053, 'Y', 0, '319 321\r'),
	('AA', 24, 'LHR', 507, 'BUD', 1489, 'Y', 0, '320\r'),
	('AA', 24, 'LHR', 507, 'BWI', 3849, 'Y', 0, '767\r'),
	('AA', 24, 'LHR', 507, 'CDG', 1382, 'Y', 0, '320 319 321\r'),
	('AA', 24, 'LHR', 507, 'CLT', 3876, '', 0, '333\r'),
	('AA', 24, 'LHR', 507, 'CPH', 609, 'Y', 0, '321 320 319\r'),
	('AA', 24, 'LHR', 507, 'CPT', 797, 'Y', 0, '744 777\r'),
	('AA', 24, 'LHR', 507, 'DEL', 3093, 'Y', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'DEN', 3751, 'Y', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'DFW', 3670, '', 0, '77W 777\r'),
	('AA', 24, 'LHR', 507, 'DUB', 599, 'Y', 0, '319\r'),
	('AA', 24, 'LHR', 507, 'DUS', 345, 'Y', 0, '319 320\r'),
	('AA', 24, 'LHR', 507, 'DXB', 2188, 'Y', 0, '744 777\r'),
	('AA', 24, 'LHR', 507, 'EBB', 1187, 'Y', 0, '767\r'),
	('AA', 24, 'LHR', 507, 'EDI', 535, 'Y', 0, '767 321 320 319\r'),
	('AA', 24, 'LHR', 507, 'EWR', 3494, 'Y', 0, '777 787\r'),
	('AA', 24, 'LHR', 507, 'FCO', 1555, 'Y', 0, '321 320 319\r'),
	('AA', 24, 'LHR', 507, 'FRA', 340, 'Y', 0, '319 320\r'),
	('AA', 24, 'LHR', 507, 'GIB', 1738, 'Y', 0, '320\r'),
	('AA', 24, 'LHR', 507, 'GLA', 534, 'Y', 0, '319 320 321 767\r'),
	('AA', 24, 'LHR', 507, 'GOT', 687, 'Y', 0, '320 321 319\r'),
	('AA', 24, 'LHR', 507, 'GVA', 1665, 'Y', 0, '319 320 321\r'),
	('AA', 24, 'LHR', 507, 'HAJ', 352, 'Y', 0, '319\r'),
	('AA', 24, 'LHR', 507, 'HAM', 342, 'Y', 0, '321 319 320\r'),
	('AA', 24, 'LHR', 507, 'HEL', 421, 'Y', 0, '320\r'),
	('AA', 24, 'LHR', 507, 'HYD', 3141, 'Y', 0, '767\r'),
	('AA', 24, 'LHR', 507, 'IAD', 3714, 'Y', 0, '744 777\r'),
	('AA', 24, 'LHR', 507, 'IAH', 3550, 'Y', 0, '744 777\r'),
	('AA', 24, 'LHR', 507, 'IST', 1701, 'Y', 0, '767 320\r'),
	('AA', 24, 'LHR', 507, 'JFK', 3797, '', 0, '77W 777\r'),
	('AA', 24, 'LHR', 507, 'JNB', 813, 'Y', 0, '380 744\r'),
	('AA', 24, 'LHR', 507, 'KUL', 3304, '', 0, '380\r'),
	('AA', 24, 'LHR', 507, 'KWI', 2176, 'Y', 0, '744\r'),
	('AA', 24, 'LHR', 507, 'LAS', 3877, 'Y', 0, '744\r'),
	('AA', 24, 'LHR', 507, 'LAX', 3484, '', 0, '77W\r'),
	('AA', 24, 'LHR', 507, 'LBA', 517, 'Y', 0, '319\r'),
	('AA', 24, 'LHR', 507, 'LCA', 1197, 'Y', 0, '767\r'),
	('AA', 24, 'LHR', 507, 'LIN', 1529, 'Y', 0, '319 320 321\r'),
	('AA', 24, 'LHR', 507, 'LIS', 1638, 'Y', 0, '320\r'),
	('AA', 24, 'LHR', 507, 'LUX', 629, 'Y', 0, '319\r'),
	('AA', 24, 'LHR', 507, 'LYS', 1335, 'Y', 0, '319\r'),
	('AA', 24, 'LHR', 507, 'MAA', 3144, 'Y', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'MAN', 478, 'Y', 0, '319 320 321\r'),
	('AA', 24, 'LHR', 507, 'MIA', 3576, '', 0, '77W 777\r'),
	('AA', 24, 'LHR', 507, 'MRS', 1353, 'Y', 0, '319 320\r'),
	('AA', 24, 'LHR', 507, 'MUC', 346, 'Y', 0, '320 321 319\r'),
	('AA', 24, 'LHR', 507, 'MXP', 1524, 'Y', 0, '319 320 321\r'),
	('AA', 24, 'LHR', 507, 'NBO', 4059, 'Y', 0, '744\r'),
	('AA', 24, 'LHR', 507, 'NCE', 1354, 'Y', 0, '320 321 319\r'),
	('AA', 24, 'LHR', 507, 'NCL', 521, 'Y', 0, '321 320 319\r'),
	('AA', 24, 'LHR', 507, 'ORD', 3830, '', 0, '763 777\r'),
	('AA', 24, 'LHR', 507, 'OSL', 644, 'Y', 0, '319 320 321\r'),
	('AA', 24, 'LHR', 507, 'OTP', 1657, 'Y', 0, '320\r'),
	('AA', 24, 'LHR', 507, 'PHL', 3752, '', 0, '333\r'),
	('AA', 24, 'LHR', 507, 'PHX', 3462, 'Y', 0, '744\r'),
	('AA', 24, 'LHR', 507, 'PRG', 1587, 'Y', 0, '320\r'),
	('AA', 24, 'LHR', 507, 'PSA', 1562, 'Y', 0, '320 321\r'),
	('AA', 24, 'LHR', 507, 'RDU', 3626, '', 0, '763\r'),
	('AA', 24, 'LHR', 507, 'RTM', 591, 'Y', 0, '319\r'),
	('AA', 24, 'LHR', 507, 'SAN', 3731, 'Y', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'SEA', 3577, '', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'SFO', 3469, 'Y', 0, '744\r'),
	('AA', 24, 'LHR', 507, 'SOF', 1194, 'Y', 0, '320\r'),
	('AA', 24, 'LHR', 507, 'STR', 350, 'Y', 0, '319 321 320\r'),
	('AA', 24, 'LHR', 507, 'SVG', 666, 'Y', 0, '319\r'),
	('AA', 24, 'LHR', 507, 'TLS', 1273, 'Y', 0, '319 320\r'),
	('AA', 24, 'LHR', 507, 'TXL', 351, 'Y', 0, '320 321 319\r'),
	('AA', 24, 'LHR', 507, 'VCE', 1551, 'Y', 0, '320 319\r'),
	('AA', 24, 'LHR', 507, 'VIE', 1613, 'Y', 0, '320 319\r'),
	('AA', 24, 'LHR', 507, 'WAW', 679, 'Y', 0, '320\r'),
	('AA', 24, 'LHR', 507, 'YUL', 146, 'Y', 0, '777\r'),
	('AA', 24, 'LHR', 507, 'YVR', 156, 'Y', 0, '744\r'),
	('AA', 24, 'LHR', 507, 'YYC', 178, 'Y', 0, '767\r'),
	('AA', 24, 'LHR', 507, 'YYZ', 193, 'Y', 0, '787 744\r'),
	('AA', 24, 'LHR', 507, 'ZAG', 1208, 'Y', 0, '319 320\r'),
	('AA', 24, 'LHR', 507, 'ZRH', 1678, 'Y', 0, '320 319 321\r'),
	('AA', 24, 'LIH', 3602, 'LAX', 3484, '', 0, '757\r'),
	('AA', 24, 'LIH', 3602, 'OAK', 3453, 'Y', 0, '737\r'),
	('AA', 24, 'LIH', 3602, 'PHX', 3462, '', 0, '757\r'),
	('AA', 24, 'LIH', 3602, 'SJC', 3748, 'Y', 0, '737\r'),
	('AA', 24, 'LIM', 2789, 'DFW', 3670, '', 0, '763\r'),
	('AA', 24, 'LIM', 2789, 'JFK', 3797, 'Y', 0, '763\r'),
	('AA', 24, 'LIM', 2789, 'LAX', 3484, 'Y', 0, '763\r'),
	('AA', 24, 'LIM', 2789, 'MIA', 3576, '', 0, '757 763\r'),
	('AA', 24, 'LIM', 2789, 'SCL', 2650, 'Y', 0, '763\r'),
	('AA', 24, 'LIN', 1529, 'LHR', 507, 'Y', 0, '321 319 320\r'),
	('AA', 24, 'LIR', 1881, 'CLT', 3876, '', 0, '320\r'),
	('AA', 24, 'LIR', 1881, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'LIR', 1881, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'LIR', 1881, 'SJO', 1885, '', 0, '\r'),
	('AA', 24, 'LIS', 1638, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'LIS', 1638, 'PHL', 3752, '', 0, '757\r'),
	('AA', 24, 'LIT', 3660, 'CLT', 3876, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'LIT', 3660, 'DCA', 3520, 'Y', 0, 'E70\r'),
	('AA', 24, 'LIT', 3660, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'LIT', 3660, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('AA', 24, 'LIT', 3660, 'ORD', 3830, 'Y', 0, 'CR7 ER4\r'),
	('AA', 24, 'LPA', 1054, 'MAD', 1229, 'Y', 0, '320\r'),
	('AA', 24, 'LPB', 2762, 'VVI', 2771, '', 0, '757\r'),
	('AA', 24, 'LRD', 3691, 'DFW', 3670, 'Y', 0, 'ERD CRJ ER4\r'),
	('AA', 24, 'LRM', 1759, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'LSE', 4044, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'LUX', 629, 'LHR', 507, 'Y', 0, '319\r'),
	('AA', 24, 'LYH', 5753, 'CLT', 3876, '', 0, 'DH8\r'),
	('AA', 24, 'LYS', 1335, 'LHR', 507, 'Y', 0, '319\r'),
	('AA', 24, 'MAA', 3144, 'LHR', 507, 'Y', 0, '777\r'),
	('AA', 24, 'MAD', 1229, 'BOS', 3448, '', 0, '330\r'),
	('AA', 24, 'MAD', 1229, 'DFW', 3670, '', 0, '777\r'),
	('AA', 24, 'MAD', 1229, 'JFK', 3797, '', 0, '757 330 340\r'),
	('AA', 24, 'MAD', 1229, 'LAX', 3484, 'Y', 0, '340\r'),
	('AA', 24, 'MAD', 1229, 'MIA', 3576, '', 0, '763 330 340\r'),
	('AA', 24, 'MAD', 1229, 'ORD', 3830, '', 0, '330\r'),
	('AA', 24, 'MAD', 1229, 'PHL', 3752, '', 0, '333\r'),
	('AA', 24, 'MAF', 3652, 'DFW', 3670, 'Y', 0, 'CRJ ERD ER4\r'),
	('AA', 24, 'MAN', 478, 'HEL', 421, 'Y', 0, 'E70\r'),
	('AA', 24, 'MAN', 478, 'JFK', 3797, '', 0, '757\r'),
	('AA', 24, 'MAN', 478, 'LHR', 507, 'Y', 0, '319 320 321\r'),
	('AA', 24, 'MAN', 478, 'ORD', 3830, '', 0, '763\r'),
	('AA', 24, 'MAN', 478, 'PHL', 3752, '', 0, '332\r'),
	('AA', 24, 'MAO', 2551, 'MIA', 3576, '', 0, '738 763\r'),
	('AA', 24, 'MAR', 2848, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'MBJ', 1780, 'CLT', 3876, '', 0, '319 321 320\r'),
	('AA', 24, 'MBJ', 1780, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'MBJ', 1780, 'MIA', 3576, '', 0, '738 757\r'),
	('AA', 24, 'MBJ', 1780, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'MBJ', 1780, 'PHL', 3752, '', 0, '320 319 321\r'),
	('AA', 24, 'MCI', 3458, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'MCI', 3458, 'DCA', 3520, 'Y', 0, 'E75 E70\r'),
	('AA', 24, 'MCI', 3458, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('AA', 24, 'MCI', 3458, 'ORD', 3830, 'Y', 0, 'E75 ER4 CR7 ERD\r'),
	('AA', 24, 'MCI', 3458, 'PHL', 3752, 'Y', 0, 'E75 E70 CRJ\r'),
	('AA', 24, 'MCI', 3458, 'PHX', 3462, '', 0, '319\r'),
	('AA', 24, 'MCI', 3458, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'MCO', 3878, 'CLT', 3876, '', 0, '321 757 767 319\r'),
	('AA', 24, 'MCO', 3878, 'DCA', 3520, '', 0, '319 320\r'),
	('AA', 24, 'MCO', 3878, 'DFW', 3670, '', 0, '738 M83 M80 757\r'),
	('AA', 24, 'MCO', 3878, 'GRU', 2564, '', 0, '320\r'),
	('AA', 24, 'MCO', 3878, 'JFK', 3797, '', 0, '763 757\r'),
	('AA', 24, 'MCO', 3878, 'LAX', 3484, '', 0, '757 738\r'),
	('AA', 24, 'MCO', 3878, 'LGW', 502, 'Y', 0, '777\r'),
	('AA', 24, 'MCO', 3878, 'MIA', 3576, '', 0, '757 738\r'),
	('AA', 24, 'MCO', 3878, 'ORD', 3830, '', 0, '738 M83 M80\r'),
	('AA', 24, 'MCO', 3878, 'PHL', 3752, '', 0, '321 767 757 320 332\r'),
	('AA', 24, 'MCO', 3878, 'PHX', 3462, '', 0, '321 320\r'),
	('AA', 24, 'MCO', 3878, 'SAN', 3731, 'Y', 0, '737\r'),
	('AA', 24, 'MCO', 3878, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'MCO', 3878, 'YYZ', 193, '', 0, '737\r'),
	('AA', 24, 'MCT', 2194, 'AUH', 2179, 'Y', 0, '777\r'),
	('AA', 24, 'MDE', 2745, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'MDT', 3542, 'BOS', 3448, '', 0, 'DH3\r'),
	('AA', 24, 'MDT', 3542, 'CLT', 3876, '', 0, '319 CR7 CRJ\r'),
	('AA', 24, 'MDT', 3542, 'ORD', 3830, 'Y', 0, 'CR7 ERD\r'),
	('AA', 24, 'MDT', 3542, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'MEL', 3339, 'ADL', 3341, 'Y', 0, '737\r'),
	('AA', 24, 'MEL', 3339, 'BNE', 3320, 'Y', 0, '737\r'),
	('AA', 24, 'MEL', 3339, 'CBR', 3355, 'Y', 0, '737\r'),
	('AA', 24, 'MEL', 3339, 'LAX', 3484, 'Y', 0, '380\r'),
	('AA', 24, 'MEL', 3339, 'PER', 3351, 'Y', 0, '330 737\r'),
	('AA', 24, 'MEL', 3339, 'SYD', 3361, 'Y', 0, '737 763\r'),
	('AA', 24, 'MEM', 3473, 'CLT', 3876, '', 0, '319 CR7\r'),
	('AA', 24, 'MEM', 3473, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'MEM', 3473, 'DFW', 3670, '', 0, '319\r'),
	('AA', 24, 'MEM', 3473, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MEM', 3473, 'ORD', 3830, 'Y', 0, 'CR7 ER4 ERD\r'),
	('AA', 24, 'MEX', 1824, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'MEX', 1824, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'MEX', 1824, 'LAX', 3484, 'Y', 0, '737\r'),
	('AA', 24, 'MEX', 1824, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'MEX', 1824, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'MEX', 1824, 'PHX', 3462, '', 0, '319\r'),
	('AA', 24, 'MFE', 3826, 'DFW', 3670, '', 0, 'M83 M80 319\r'),
	('AA', 24, 'MFR', 4101, 'LAX', 3484, 'Y', 0, 'DH4\r'),
	('AA', 24, 'MGA', 1863, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'MGM', 4115, 'CLT', 3876, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'MGM', 4115, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'MHH', 1930, 'MIA', 3576, 'Y', 0, 'ERD\r'),
	('AA', 24, 'MHK', 4050, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'MHK', 4050, 'ORD', 3830, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'MHT', 4011, 'CLT', 3876, 'Y', 0, 'CR9\r'),
	('AA', 24, 'MHT', 4011, 'DCA', 3520, '', 0, 'CRJ\r'),
	('AA', 24, 'MHT', 4011, 'PHL', 3752, 'Y', 0, 'E70 E75 CRJ\r'),
	('AA', 24, 'MIA', 3576, 'ANU', 2874, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'ASU', 2699, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'ATL', 3682, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'AUA', 2895, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'BCN', 1218, '', 0, '763\r'),
	('AA', 24, 'MIA', 3576, 'BDA', 4069, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'BDL', 3825, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'BGI', 2875, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'BHM', 3811, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'BNA', 3690, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'BOG', 2709, '', 0, '763 757\r'),
	('AA', 24, 'MIA', 3576, 'BOS', 3448, '', 0, '757 738\r'),
	('AA', 24, 'MIA', 3576, 'BSB', 2531, '', 0, '763 757\r'),
	('AA', 24, 'MIA', 3576, 'BWI', 3849, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'BZE', 1957, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'CCS', 2851, '', 0, '757 763 738\r'),
	('AA', 24, 'MIA', 3576, 'CDG', 1382, '', 0, '763\r'),
	('AA', 24, 'MIA', 3576, 'CHS', 3806, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'CLE', 3486, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'CLO', 2715, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'CLT', 3876, '', 0, '319 321 320 737\r'),
	('AA', 24, 'MIA', 3576, 'CMH', 3759, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'CNF', 2537, '', 0, '763\r'),
	('AA', 24, 'MIA', 3576, 'CUN', 1852, '', 0, '738 757\r'),
	('AA', 24, 'MIA', 3576, 'CUR', 2897, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'CVG', 3488, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'CWB', 2545, '', 0, '763\r'),
	('AA', 24, 'MIA', 3576, 'CZM', 1800, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'DCA', 3520, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'DEN', 3751, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'DFW', 3670, '', 0, '738 757\r'),
	('AA', 24, 'MIA', 3576, 'DTW', 3645, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'DUS', 345, 'Y', 0, '330\r'),
	('AA', 24, 'MIA', 3576, 'ELH', 1943, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'EWR', 3494, '', 0, '738 757\r'),
	('AA', 24, 'MIA', 3576, 'EYW', 3875, 'Y', 0, 'ERD\r'),
	('AA', 24, 'MIA', 3576, 'EZE', 3988, '', 0, '777\r'),
	('AA', 24, 'MIA', 3576, 'FDF', 2878, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'FPO', 1948, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'MIA', 3576, 'GCM', 1926, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'GGT', 1941, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'GIG', 2560, '', 0, '763\r'),
	('AA', 24, 'MIA', 3576, 'GND', 2882, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'GNV', 3472, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'GRU', 2564, '', 0, '773 777\r'),
	('AA', 24, 'MIA', 3576, 'GSO', 4008, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'GUA', 1767, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'GYE', 2673, '', 0, '738 763 757\r'),
	('AA', 24, 'MIA', 3576, 'IAD', 3714, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'IAH', 3550, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'IND', 3585, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'JAX', 3712, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'MIA', 3576, 'JFK', 3797, '', 0, '763 757 738\r'),
	('AA', 24, 'MIA', 3576, 'KIN', 1779, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'LAS', 3877, '', 0, '738 757\r'),
	('AA', 24, 'MIA', 3576, 'LAX', 3484, '', 0, '777 763 757 738\r'),
	('AA', 24, 'MIA', 3576, 'LGA', 3697, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'LHR', 507, '', 0, '77W 777\r'),
	('AA', 24, 'MIA', 3576, 'LIM', 2789, '', 0, '763 757\r'),
	('AA', 24, 'MIA', 3576, 'LIR', 1881, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'LPB', 2762, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'LRM', 1759, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'MAD', 1229, '', 0, '330 763 340\r'),
	('AA', 24, 'MIA', 3576, 'MAO', 2551, '', 0, '763 738\r'),
	('AA', 24, 'MIA', 3576, 'MAR', 2848, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'MBJ', 1780, '', 0, '738 757\r'),
	('AA', 24, 'MIA', 3576, 'MCO', 3878, '', 0, '757 738\r'),
	('AA', 24, 'MIA', 3576, 'MDE', 2745, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'MEM', 3473, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'MEX', 1824, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'MGA', 1863, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'MHH', 1930, 'Y', 0, 'ERD\r'),
	('AA', 24, 'MIA', 3576, 'MSP', 3858, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'MSY', 3861, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'MVD', 2816, '', 0, '763\r'),
	('AA', 24, 'MIA', 3576, 'MXP', 1524, '', 0, '763\r'),
	('AA', 24, 'MIA', 3576, 'NAS', 1953, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'MIA', 3576, 'ORD', 3830, '', 0, '738 763\r'),
	('AA', 24, 'MIA', 3576, 'ORF', 3611, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'PAP', 1897, '', 0, '738 763 757\r'),
	('AA', 24, 'MIA', 3576, 'PHL', 3752, '', 0, '320 738 321 757\r'),
	('AA', 24, 'MIA', 3576, 'PHX', 3462, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'PIT', 3570, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'PLS', 1754, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'PNS', 3564, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'POP', 1761, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'POS', 2902, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'PTP', 2881, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'PTY', 1871, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'PUJ', 1760, '', 0, '738 757\r'),
	('AA', 24, 'MIA', 3576, 'RDU', 3626, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'REC', 2610, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'RIC', 3608, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'RTB', 1774, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'SAL', 1892, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'SAN', 3731, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'SAP', 1772, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'SCL', 2650, '', 0, '763\r'),
	('AA', 24, 'MIA', 3576, 'SDF', 4014, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MIA', 3576, 'SDQ', 1762, '', 0, '757 763\r'),
	('AA', 24, 'MIA', 3576, 'SEA', 3577, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'SFO', 3469, '', 0, '763 757 738\r'),
	('AA', 24, 'MIA', 3576, 'SJO', 1885, '', 0, '757 738\r'),
	('AA', 24, 'MIA', 3576, 'SJU', 2890, '', 0, '738 757\r'),
	('AA', 24, 'MIA', 3576, 'SKB', 2891, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'SSA', 2621, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'STI', 1764, '', 0, '757 738\r'),
	('AA', 24, 'MIA', 3576, 'STL', 3678, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'STT', 2883, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'STX', 2884, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'SXM', 2899, '', 0, '757 738\r'),
	('AA', 24, 'MIA', 3576, 'TGU', 1776, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'TLH', 3698, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'MIA', 3576, 'TPA', 3646, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'TUL', 3855, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'TXL', 351, 'Y', 0, '330\r'),
	('AA', 24, 'MIA', 3576, 'UIO', 2688, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'UVF', 2894, '', 0, '757\r'),
	('AA', 24, 'MIA', 3576, 'YUL', 146, '', 0, '738\r'),
	('AA', 24, 'MIA', 3576, 'YYZ', 193, '', 0, '738\r'),
	('AA', 24, 'MKE', 3717, 'CLT', 3876, 'Y', 0, 'CRJ CR7 CR9\r'),
	('AA', 24, 'MKE', 3717, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'MKE', 3717, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'MKE', 3717, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'MKE', 3717, 'PHX', 3462, '', 0, '320 319\r'),
	('AA', 24, 'MLB', 3671, 'CLT', 3876, '', 0, 'CRJ\r'),
	('AA', 24, 'MLI', 4072, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'MLI', 4072, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'MLM', 1821, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MLU', 3732, 'DFW', 3670, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'MMH', 7081, 'LAX', 3484, 'Y', 0, 'DH4\r'),
	('AA', 24, 'MOB', 3782, 'CLT', 3876, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'MOB', 3782, 'DFW', 3670, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'MQT', 6838, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('AA', 24, 'MRS', 1353, 'LHR', 507, 'Y', 0, '319\r'),
	('AA', 24, 'MRY', 3948, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'MRY', 3948, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'MSN', 3459, 'DFW', 3670, 'Y', 0, 'ER4 CRJ\r'),
	('AA', 24, 'MSN', 3459, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'MSP', 3858, 'CLT', 3876, '', 0, '319 320 321\r'),
	('AA', 24, 'MSP', 3858, 'DCA', 3520, 'Y', 0, 'E75 E70\r'),
	('AA', 24, 'MSP', 3858, 'DFW', 3670, '', 0, 'M80 M83 738\r'),
	('AA', 24, 'MSP', 3858, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'MSP', 3858, 'ORD', 3830, 'Y', 0, 'E75 CR7\r'),
	('AA', 24, 'MSP', 3858, 'PHL', 3752, '', 0, '319 E90\r'),
	('AA', 24, 'MSP', 3858, 'PHX', 3462, '', 0, '320 321 319\r'),
	('AA', 24, 'MSY', 3861, 'AUS', 3673, '', 0, '\r'),
	('AA', 24, 'MSY', 3861, 'CLT', 3876, 'Y', 0, '319 320 E75 CR9 E70\r'),
	('AA', 24, 'MSY', 3861, 'DCA', 3520, 'Y', 0, 'E75 E70 319\r'),
	('AA', 24, 'MSY', 3861, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'MSY', 3861, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'MSY', 3861, 'ORD', 3830, 'Y', 0, 'E75\r'),
	('AA', 24, 'MSY', 3861, 'PHL', 3752, 'Y', 0, '319 E90 E75\r'),
	('AA', 24, 'MTY', 1825, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'MUC', 346, 'LHR', 507, 'Y', 0, '321 320 319\r'),
	('AA', 24, 'MUC', 346, 'PHL', 3752, '', 0, '333\r'),
	('AA', 24, 'MVD', 2816, 'MIA', 3576, '', 0, '763\r'),
	('AA', 24, 'MXP', 1524, 'JFK', 3797, '', 0, '763\r'),
	('AA', 24, 'MXP', 1524, 'LHR', 507, 'Y', 0, '319 320\r'),
	('AA', 24, 'MXP', 1524, 'MIA', 3576, '', 0, '763\r'),
	('AA', 24, 'MYR', 3515, 'CLT', 3876, '', 0, 'DH8 CR7 CR9\r'),
	('AA', 24, 'MYR', 3515, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'MYR', 3515, 'PHL', 3752, 'Y', 0, 'CRJ E75\r'),
	('AA', 24, 'MZT', 1826, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'MZT', 1826, 'PHX', 3462, '', 0, '320 319\r'),
	('AA', 24, 'NAN', 1960, 'LAX', 3484, 'Y', 0, '330\r'),
	('AA', 24, 'NAS', 1953, 'CLT', 3876, '', 0, '319 737\r'),
	('AA', 24, 'NAS', 1953, 'DCA', 3520, '', 0, '319\r'),
	('AA', 24, 'NAS', 1953, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'NAS', 1953, 'MIA', 3576, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'NAS', 1953, 'PHL', 3752, '', 0, '319 320\r'),
	('AA', 24, 'NBO', 4059, 'LHR', 507, 'Y', 0, '744\r'),
	('AA', 24, 'NCE', 1354, 'LHR', 507, 'Y', 0, '319 320 321\r'),
	('AA', 24, 'NCL', 521, 'LHR', 507, 'Y', 0, '319 321 320\r'),
	('AA', 24, 'NGO', 3942, 'HNL', 3728, '', 0, '777\r'),
	('AA', 24, 'NGO', 3942, 'NRT', 2279, '', 0, '787\r'),
	('AA', 24, 'NRT', 2279, 'BKK', 3885, '', 0, '763\r'),
	('AA', 24, 'NRT', 2279, 'BOS', 3448, '', 0, '787\r'),
	('AA', 24, 'NRT', 2279, 'CTS', 2287, '', 0, '773\r'),
	('AA', 24, 'NRT', 2279, 'DFW', 3670, '', 0, '777\r'),
	('AA', 24, 'NRT', 2279, 'FUK', 2305, '', 0, '737\r'),
	('AA', 24, 'NRT', 2279, 'HAN', 3199, '', 0, '763\r'),
	('AA', 24, 'NRT', 2279, 'HKG', 3077, '', 0, '763\r'),
	('AA', 24, 'NRT', 2279, 'HNL', 3728, '', 0, '787 777\r'),
	('AA', 24, 'NRT', 2279, 'ICN', 3930, '', 0, '737\r'),
	('AA', 24, 'NRT', 2279, 'ITM', 2334, '', 0, '737 773\r'),
	('AA', 24, 'NRT', 2279, 'JFK', 3797, '', 0, '773 787\r'),
	('AA', 24, 'NRT', 2279, 'KHH', 2264, '', 0, '763\r'),
	('AA', 24, 'NRT', 2279, 'KUL', 3304, '', 0, '763\r'),
	('AA', 24, 'NRT', 2279, 'LAX', 3484, '', 0, '777 773\r'),
	('AA', 24, 'NRT', 2279, 'NGO', 3942, '', 0, '787\r'),
	('AA', 24, 'NRT', 2279, 'ORD', 3830, '', 0, '773 777\r'),
	('AA', 24, 'NRT', 2279, 'PUS', 2372, '', 0, '737\r'),
	('AA', 24, 'NRT', 2279, 'SAN', 3731, '', 0, '787\r'),
	('AA', 24, 'NRT', 2279, 'SGN', 3205, '', 0, '763\r'),
	('AA', 24, 'NRT', 2279, 'SIN', 3316, '', 0, '763\r'),
	('AA', 24, 'NRT', 2279, 'TPE', 2276, '', 0, '737\r'),
	('AA', 24, 'NRT', 2279, 'YVR', 156, '', 0, '787\r'),
	('AA', 24, 'OAJ', 4386, 'CLT', 3876, '', 0, 'DH8 CR7\r'),
	('AA', 24, 'OAJ', 4386, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'OAK', 3453, 'HNL', 3728, 'Y', 0, '737\r'),
	('AA', 24, 'OAK', 3453, 'KOA', 3514, 'Y', 0, '737\r'),
	('AA', 24, 'OAK', 3453, 'LIH', 3602, 'Y', 0, '737\r'),
	('AA', 24, 'OAK', 3453, 'OGG', 3456, 'Y', 0, '737\r'),
	('AA', 24, 'OAK', 3453, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AA', 24, 'OAK', 3453, 'PHX', 3462, '', 0, '319 CR9\r'),
	('AA', 24, 'OAK', 3453, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'OGG', 3456, 'DFW', 3670, '', 0, '763\r'),
	('AA', 24, 'OGG', 3456, 'LAX', 3484, '', 0, '757\r'),
	('AA', 24, 'OGG', 3456, 'OAK', 3453, 'Y', 0, '737\r'),
	('AA', 24, 'OGG', 3456, 'PHX', 3462, '', 0, '757\r'),
	('AA', 24, 'OGG', 3456, 'SJC', 3748, 'Y', 0, '737\r'),
	('AA', 24, 'OGG', 3456, 'SMF', 3817, 'Y', 0, '737\r'),
	('AA', 24, 'OKC', 3863, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'OKC', 3863, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('AA', 24, 'OKC', 3863, 'ORD', 3830, 'Y', 0, 'CR7 ER4\r'),
	('AA', 24, 'OMA', 3454, 'CLT', 3876, 'Y', 0, 'CR9\r'),
	('AA', 24, 'OMA', 3454, 'DCA', 3520, 'Y', 0, 'E70\r'),
	('AA', 24, 'OMA', 3454, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'OMA', 3454, 'ORD', 3830, 'Y', 0, 'E75 ER4 CR7\r'),
	('AA', 24, 'OMA', 3454, 'PHX', 3462, '', 0, '319\r'),
	('AA', 24, 'ONT', 3734, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'ONT', 3734, 'PDX', 3720, 'Y', 0, 'CR7\r'),
	('AA', 24, 'ONT', 3734, 'PHX', 3462, '', 0, '320 319\r'),
	('AA', 24, 'ONT', 3734, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'ORD', 3830, 'ABQ', 4019, 'Y', 0, 'E75\r'),
	('AA', 24, 'ORD', 3830, 'ALO', 5718, 'Y', 0, 'ERD\r'),
	('AA', 24, 'ORD', 3830, 'AMM', 2170, 'Y', 0, '340\r'),
	('AA', 24, 'ORD', 3830, 'ART', 3838, 'Y', 0, 'ERD\r'),
	('AA', 24, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'E75 CR7\r'),
	('AA', 24, 'ORD', 3830, 'AUH', 2179, 'Y', 0, '777\r'),
	('AA', 24, 'ORD', 3830, 'AUS', 3673, '', 0, 'M80 M83\r'),
	('AA', 24, 'ORD', 3830, 'AZO', 4039, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'BDL', 3825, 'Y', 0, 'ER4 E75\r'),
	('AA', 24, 'ORD', 3830, 'BMI', 4037, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'BNA', 3690, 'Y', 0, 'ER4 ERD CR7 E75\r'),
	('AA', 24, 'ORD', 3830, 'BOS', 3448, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'BUF', 3820, 'Y', 0, 'ER4 CR7 E75\r'),
	('AA', 24, 'ORD', 3830, 'BWI', 3849, 'Y', 0, 'E75 ER4 CR7\r'),
	('AA', 24, 'ORD', 3830, 'CDG', 1382, '', 0, '763\r'),
	('AA', 24, 'ORD', 3830, 'CHA', 3578, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'CHO', 4015, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'ORD', 3830, 'CID', 4043, 'Y', 0, 'ER4\r'),
	('AA', 24, 'ORD', 3830, 'CLE', 3486, 'Y', 0, 'ER4 CR7 ERD\r'),
	('AA', 24, 'ORD', 3830, 'CLT', 3876, '', 0, '321 320 E90 319\r'),
	('AA', 24, 'ORD', 3830, 'CMH', 3759, 'Y', 0, 'ER4 CR7 ERD\r'),
	('AA', 24, 'ORD', 3830, 'CMI', 4049, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'COU', 3719, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'CUN', 1852, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'CVG', 3488, 'Y', 0, 'ER4\r'),
	('AA', 24, 'ORD', 3830, 'CWA', 4045, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'DAY', 3627, 'Y', 0, 'ER4\r'),
	('AA', 24, 'ORD', 3830, 'DBQ', 4388, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'DCA', 3520, '', 0, '738 M83 M80\r'),
	('AA', 24, 'ORD', 3830, 'DEN', 3751, '', 0, 'M80 M83\r'),
	('AA', 24, 'ORD', 3830, 'DFW', 3670, '', 0, 'M80 M83 738\r'),
	('AA', 24, 'ORD', 3830, 'DOH', 2241, '', 0, '777\r'),
	('AA', 24, 'ORD', 3830, 'DSM', 3729, 'Y', 0, 'ERD ER4 E75\r'),
	('AA', 24, 'ORD', 3830, 'DTW', 3645, 'Y', 0, 'ERD E75 ER4 CR7\r'),
	('AA', 24, 'ORD', 3830, 'DUB', 599, '', 0, '763\r'),
	('AA', 24, 'ORD', 3830, 'DUS', 345, '', 0, '763\r'),
	('AA', 24, 'ORD', 3830, 'ELP', 3559, 'Y', 0, 'E75\r'),
	('AA', 24, 'ORD', 3830, 'EVV', 4018, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'EWR', 3494, 'Y', 0, 'CR7 E75\r'),
	('AA', 24, 'ORD', 3830, 'FAR', 4292, 'Y', 0, 'ER4\r'),
	('AA', 24, 'ORD', 3830, 'FCO', 1555, '', 0, '763\r'),
	('AA', 24, 'ORD', 3830, 'FLL', 3533, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'FNT', 4089, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'FSD', 4009, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'FWA', 4041, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'GRB', 3653, 'Y', 0, 'ER4\r'),
	('AA', 24, 'ORD', 3830, 'GRR', 3685, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'HKG', 3077, 'Y', 0, '773\r'),
	('AA', 24, 'ORD', 3830, 'HPN', 3589, 'Y', 0, 'ERD\r'),
	('AA', 24, 'ORD', 3830, 'HSV', 4113, 'Y', 0, 'ER4\r'),
	('AA', 24, 'ORD', 3830, 'IAH', 3550, 'Y', 0, 'CR7\r'),
	('AA', 24, 'ORD', 3830, 'ICT', 3457, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'ORD', 3830, 'IND', 3585, 'Y', 0, 'ER4 ERD E75 CR7\r'),
	('AA', 24, 'ORD', 3830, 'JAX', 3712, 'Y', 0, 'ER4 CR7\r'),
	('AA', 24, 'ORD', 3830, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'LAS', 3877, '', 0, 'M83 738\r'),
	('AA', 24, 'ORD', 3830, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'LEX', 4017, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'LGA', 3697, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'LHR', 507, '', 0, '763 777\r'),
	('AA', 24, 'ORD', 3830, 'LIT', 3660, 'Y', 0, 'ER4 CR7\r'),
	('AA', 24, 'ORD', 3830, 'LSE', 4044, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'MAD', 1229, '', 0, '330\r'),
	('AA', 24, 'ORD', 3830, 'MAN', 478, '', 0, '763\r'),
	('AA', 24, 'ORD', 3830, 'MBJ', 1780, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'MCI', 3458, 'Y', 0, 'ER4 CR7 E75 ERD\r'),
	('AA', 24, 'ORD', 3830, 'MCO', 3878, '', 0, '738 M83 M80\r'),
	('AA', 24, 'ORD', 3830, 'MDT', 3542, 'Y', 0, 'ERD CR7\r'),
	('AA', 24, 'ORD', 3830, 'MEM', 3473, 'Y', 0, 'CR7 ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'MEX', 1824, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'MHK', 4050, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'MIA', 3576, '', 0, '738 763\r'),
	('AA', 24, 'ORD', 3830, 'MKE', 3717, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'ORD', 3830, 'MLI', 4072, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'MQT', 6838, 'Y', 0, 'ER4\r'),
	('AA', 24, 'ORD', 3830, 'MSN', 3459, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'MSP', 3858, 'Y', 0, 'E75 CR7\r'),
	('AA', 24, 'ORD', 3830, 'MSY', 3861, 'Y', 0, 'E75\r'),
	('AA', 24, 'ORD', 3830, 'NRT', 2279, '', 0, '773 777\r'),
	('AA', 24, 'ORD', 3830, 'OKC', 3863, 'Y', 0, 'ER4 CR7\r'),
	('AA', 24, 'ORD', 3830, 'OMA', 3454, 'Y', 0, 'E75 ER4 CR7\r'),
	('AA', 24, 'ORD', 3830, 'PBI', 3722, '', 0, 'M83 738 M80\r'),
	('AA', 24, 'ORD', 3830, 'PDX', 3720, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'PEK', 3364, '', 0, '777\r'),
	('AA', 24, 'ORD', 3830, 'PHL', 3752, '', 0, '320 321 319 E90\r'),
	('AA', 24, 'ORD', 3830, 'PHX', 3462, '', 0, '321 738 M83 320 M80\r'),
	('AA', 24, 'ORD', 3830, 'PIA', 4046, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'PIT', 3570, 'Y', 0, 'E75 CR7 ER4\r'),
	('AA', 24, 'ORD', 3830, 'PSP', 3839, '', 0, 'M83\r'),
	('AA', 24, 'ORD', 3830, 'PVG', 3406, '', 0, '777\r'),
	('AA', 24, 'ORD', 3830, 'PVR', 1836, '', 0, 'M83\r'),
	('AA', 24, 'ORD', 3830, 'RDU', 3626, '', 0, '738 M80 M83\r'),
	('AA', 24, 'ORD', 3830, 'RIC', 3608, 'Y', 0, 'ERD\r'),
	('AA', 24, 'ORD', 3830, 'RNO', 3807, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'ROC', 3622, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'RST', 4048, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'RSW', 3793, '', 0, 'M80 738\r'),
	('AA', 24, 'ORD', 3830, 'SAN', 3731, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'SAT', 3621, 'Y', 0, 'CR7 E75\r'),
	('AA', 24, 'ORD', 3830, 'SDF', 4014, 'Y', 0, 'ERD ER4 E75\r'),
	('AA', 24, 'ORD', 3830, 'SEA', 3577, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'SFO', 3469, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'SGF', 4348, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'SJC', 3748, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'SJD', 1840, '', 0, 'M83 738\r'),
	('AA', 24, 'ORD', 3830, 'SJU', 2890, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'SLC', 3536, 'Y', 0, 'E75 CR7\r'),
	('AA', 24, 'ORD', 3830, 'SNA', 3867, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'STL', 3678, '', 0, 'M80 M83 738\r'),
	('AA', 24, 'ORD', 3830, 'SUX', 3753, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'SYR', 3745, 'Y', 0, 'CR7 ER4\r'),
	('AA', 24, 'ORD', 3830, 'TOL', 4040, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'TPA', 3646, '', 0, 'M83 738 M80\r'),
	('AA', 24, 'ORD', 3830, 'TUL', 3855, '', 0, '738\r'),
	('AA', 24, 'ORD', 3830, 'TUS', 3636, '', 0, 'M83 M80\r'),
	('AA', 24, 'ORD', 3830, 'TVC', 4023, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'TXL', 351, 'Y', 0, '330\r'),
	('AA', 24, 'ORD', 3830, 'TYS', 3676, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ORD', 3830, 'XNA', 4356, 'Y', 0, 'ER4 CR7 ERD\r'),
	('AA', 24, 'ORD', 3830, 'YKF', 79, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'ORD', 3830, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'ORD', 3830, 'YVR', 156, '', 0, '737\r'),
	('AA', 24, 'ORD', 3830, 'YYC', 178, '', 0, '737\r'),
	('AA', 24, 'ORD', 3830, 'YYZ', 193, 'Y', 0, 'CR7 E75 ER4\r'),
	('AA', 24, 'ORF', 3611, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'ORF', 3611, 'DCA', 3520, '', 0, 'DH3\r'),
	('AA', 24, 'ORF', 3611, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'ORF', 3611, 'JFK', 3797, 'Y', 0, 'ER4\r'),
	('AA', 24, 'ORF', 3611, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('AA', 24, 'ORF', 3611, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'ORF', 3611, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'ORY', 1386, 'EWR', 3494, 'Y', 0, '757\r'),
	('AA', 24, 'ORY', 1386, 'JFK', 3797, 'Y', 0, '757\r'),
	('AA', 24, 'OSL', 644, 'LHR', 507, 'Y', 0, '319 320\r'),
	('AA', 24, 'OTP', 1657, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'PAP', 1897, 'FLL', 3533, '', 0, '738\r'),
	('AA', 24, 'PAP', 1897, 'JFK', 3797, '', 0, '763\r'),
	('AA', 24, 'PAP', 1897, 'MIA', 3576, '', 0, '738 763 757\r'),
	('AA', 24, 'PBC', 1831, 'DFW', 3670, 'Y', 0, 'ERD\r'),
	('AA', 24, 'PBI', 3722, 'CLT', 3876, '', 0, '737 320 319\r'),
	('AA', 24, 'PBI', 3722, 'DCA', 3520, 'Y', 0, 'E75 E70\r'),
	('AA', 24, 'PBI', 3722, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'PBI', 3722, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'PBI', 3722, 'LGA', 3697, '', 0, '738\r'),
	('AA', 24, 'PBI', 3722, 'ORD', 3830, '', 0, 'M83 738 M80\r'),
	('AA', 24, 'PBI', 3722, 'PHL', 3752, '', 0, 'E90 319\r'),
	('AA', 24, 'PDX', 3720, 'BOS', 3448, 'Y', 0, '737\r'),
	('AA', 24, 'PDX', 3720, 'BUR', 3644, 'Y', 0, 'CR7\r'),
	('AA', 24, 'PDX', 3720, 'CLT', 3876, '', 0, '320\r'),
	('AA', 24, 'PDX', 3720, 'DCA', 3520, 'Y', 0, '737\r'),
	('AA', 24, 'PDX', 3720, 'DFW', 3670, '', 0, 'M83\r'),
	('AA', 24, 'PDX', 3720, 'LAX', 3484, 'Y', 0, '737\r'),
	('AA', 24, 'PDX', 3720, 'LGB', 3582, 'Y', 0, 'CR7\r'),
	('AA', 24, 'PDX', 3720, 'OAK', 3453, 'Y', 0, 'DH4\r'),
	('AA', 24, 'PDX', 3720, 'ONT', 3734, 'Y', 0, 'CR7\r'),
	('AA', 24, 'PDX', 3720, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'PDX', 3720, 'PHL', 3752, '', 0, '320\r'),
	('AA', 24, 'PDX', 3720, 'PHX', 3462, '', 0, '321 320 319\r'),
	('AA', 24, 'PDX', 3720, 'SAN', 3731, 'Y', 0, '737\r'),
	('AA', 24, 'PDX', 3720, 'SFO', 3469, 'Y', 0, 'DH4 737\r'),
	('AA', 24, 'PDX', 3720, 'SJC', 3748, 'Y', 0, '737 DH4\r'),
	('AA', 24, 'PDX', 3720, 'SNA', 3867, 'Y', 0, '737\r'),
	('AA', 24, 'PDX', 3720, 'YVR', 156, '', 0, 'DH4\r'),
	('AA', 24, 'PEK', 3364, 'ORD', 3830, '', 0, '777\r'),
	('AA', 24, 'PEK', 3364, 'SEA', 3577, 'Y', 0, '787\r'),
	('AA', 24, 'PEN', 3308, 'KUL', 3304, '', 0, '737\r'),
	('AA', 24, 'PER', 3351, 'BNE', 3320, 'Y', 0, '330 737\r'),
	('AA', 24, 'PER', 3351, 'MEL', 3339, 'Y', 0, '330 737\r'),
	('AA', 24, 'PER', 3351, 'SYD', 3361, 'Y', 0, '330 737\r'),
	('AA', 24, 'PGV', 6959, 'CLT', 3876, '', 0, 'DH8\r'),
	('AA', 24, 'PHF', 3633, 'CLT', 3876, 'Y', 0, 'CR7 CRJ\r'),
	('AA', 24, 'PHF', 3633, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'ABE', 4355, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'ALB', 3864, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'AMS', 580, '', 0, '757\r'),
	('AA', 24, 'PHL', 3752, 'ART', 3838, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'ATH', 3941, '', 0, '332\r'),
	('AA', 24, 'PHL', 3752, 'ATL', 3682, 'Y', 0, 'E90 319 CRJ\r'),
	('AA', 24, 'PHL', 3752, 'AUA', 2895, '', 0, '320\r'),
	('AA', 24, 'PHL', 3752, 'AUS', 3673, '', 0, '319 E90\r'),
	('AA', 24, 'PHL', 3752, 'AVP', 4286, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'BCN', 1218, '', 0, '332\r'),
	('AA', 24, 'PHL', 3752, 'BDA', 4069, '', 0, '319\r'),
	('AA', 24, 'PHL', 3752, 'BDL', 3825, '', 0, 'DH3 E90\r'),
	('AA', 24, 'PHL', 3752, 'BGM', 4129, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'BGR', 3463, 'Y', 0, 'E75 CRJ\r'),
	('AA', 24, 'PHL', 3752, 'BHM', 3811, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'BNA', 3690, 'Y', 0, 'CRJ E75 E70\r'),
	('AA', 24, 'PHL', 3752, 'BOS', 3448, '', 0, 'E90 319 321 320\r'),
	('AA', 24, 'PHL', 3752, 'BRU', 302, '', 0, '767\r'),
	('AA', 24, 'PHL', 3752, 'BTV', 3711, '', 0, 'E90\r'),
	('AA', 24, 'PHL', 3752, 'BUF', 3820, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'BWI', 3849, '', 0, 'DH3 319 E90\r'),
	('AA', 24, 'PHL', 3752, 'CAE', 3561, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'CAK', 4112, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'CDG', 1382, '', 0, '332\r'),
	('AA', 24, 'PHL', 3752, 'CHO', 4015, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'CHS', 3806, 'Y', 0, 'E75 CRJ\r'),
	('AA', 24, 'PHL', 3752, 'CLE', 3486, 'Y', 0, 'CRJ E70 CR9 E75\r'),
	('AA', 24, 'PHL', 3752, 'CLT', 3876, '', 0, '757 321 E90 737 767 332 319 320\r'),
	('AA', 24, 'PHL', 3752, 'CMH', 3759, 'Y', 0, 'CRJ E75 E70\r'),
	('AA', 24, 'PHL', 3752, 'CUN', 1852, '', 0, '757 332 321 319\r'),
	('AA', 24, 'PHL', 3752, 'CVG', 3488, '', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'DAY', 3627, '', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'DCA', 3520, '', 0, 'CRJ DH3 319 E90\r'),
	('AA', 24, 'PHL', 3752, 'DEN', 3751, '', 0, '321 320\r'),
	('AA', 24, 'PHL', 3752, 'DFW', 3670, '', 0, 'M83 319 320 738 M80 E90 757\r'),
	('AA', 24, 'PHL', 3752, 'DOH', 2241, '', 0, '777\r'),
	('AA', 24, 'PHL', 3752, 'DTW', 3645, '', 0, 'E90 320 319\r'),
	('AA', 24, 'PHL', 3752, 'DUB', 599, '', 0, '332\r'),
	('AA', 24, 'PHL', 3752, 'ELM', 3946, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'ERI', 4276, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'EWR', 3494, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'FCO', 1555, '', 0, '333\r'),
	('AA', 24, 'PHL', 3752, 'FLL', 3533, '', 0, '320 319\r'),
	('AA', 24, 'PHL', 3752, 'FRA', 340, '', 0, '332 767\r'),
	('AA', 24, 'PHL', 3752, 'GCM', 1926, '', 0, '319\r'),
	('AA', 24, 'PHL', 3752, 'GLA', 534, '', 0, '757\r'),
	('AA', 24, 'PHL', 3752, 'GSO', 4008, 'Y', 0, 'CRJ E75\r'),
	('AA', 24, 'PHL', 3752, 'GSP', 4034, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'HPN', 3589, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'HVN', 4006, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'IAH', 3550, '', 0, 'E90\r'),
	('AA', 24, 'PHL', 3752, 'ILM', 3845, 'Y', 0, 'CRJ E75\r'),
	('AA', 24, 'PHL', 3752, 'IND', 3585, '', 0, 'E90 319\r'),
	('AA', 24, 'PHL', 3752, 'IPT', 3584, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'ISP', 3857, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'ITH', 3947, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'JAX', 3712, '', 0, 'E90\r'),
	('AA', 24, 'PHL', 3752, 'LAS', 3877, '', 0, '321 320\r'),
	('AA', 24, 'PHL', 3752, 'LAX', 3484, '', 0, '321 320\r'),
	('AA', 24, 'PHL', 3752, 'LGA', 3697, '', 0, 'DH3 E90 319\r'),
	('AA', 24, 'PHL', 3752, 'LHR', 507, '', 0, '333\r'),
	('AA', 24, 'PHL', 3752, 'LIS', 1638, '', 0, '757\r'),
	('AA', 24, 'PHL', 3752, 'MAD', 1229, '', 0, '333\r'),
	('AA', 24, 'PHL', 3752, 'MAN', 478, '', 0, '332\r'),
	('AA', 24, 'PHL', 3752, 'MBJ', 1780, '', 0, '320 319 321\r'),
	('AA', 24, 'PHL', 3752, 'MCI', 3458, 'Y', 0, 'E70 E75 CRJ\r'),
	('AA', 24, 'PHL', 3752, 'MCO', 3878, '', 0, '767 321 757 320 332\r'),
	('AA', 24, 'PHL', 3752, 'MDT', 3542, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'MHT', 4011, 'Y', 0, 'CRJ E75 E70\r'),
	('AA', 24, 'PHL', 3752, 'MIA', 3576, '', 0, '738 321 757 320\r'),
	('AA', 24, 'PHL', 3752, 'MKE', 3717, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'MSP', 3858, '', 0, 'E90 319\r'),
	('AA', 24, 'PHL', 3752, 'MSY', 3861, 'Y', 0, '319 E90 E75\r'),
	('AA', 24, 'PHL', 3752, 'MUC', 346, '', 0, '333\r'),
	('AA', 24, 'PHL', 3752, 'MYR', 3515, '', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'NAS', 1953, '', 0, '319 320\r'),
	('AA', 24, 'PHL', 3752, 'ORD', 3830, '', 0, '320 319 321 E90\r'),
	('AA', 24, 'PHL', 3752, 'ORF', 3611, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'PBI', 3722, '', 0, '319 E90\r'),
	('AA', 24, 'PHL', 3752, 'PDX', 3720, '', 0, '320\r'),
	('AA', 24, 'PHL', 3752, 'PHF', 3633, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'PHX', 3462, '', 0, '321 757\r'),
	('AA', 24, 'PHL', 3752, 'PIT', 3570, '', 0, '319 E90 320\r'),
	('AA', 24, 'PHL', 3752, 'PLS', 1754, '', 0, '319\r'),
	('AA', 24, 'PHL', 3752, 'PUJ', 1760, '', 0, '319 332 320\r'),
	('AA', 24, 'PHL', 3752, 'PVD', 3641, '', 0, 'E90 DH3\r'),
	('AA', 24, 'PHL', 3752, 'PWM', 3862, '', 0, 'E90\r'),
	('AA', 24, 'PHL', 3752, 'RDU', 3626, '', 0, '319 E90\r'),
	('AA', 24, 'PHL', 3752, 'RIC', 3608, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'ROA', 4016, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'ROC', 3622, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'RSW', 3793, '', 0, '319 E90 320\r'),
	('AA', 24, 'PHL', 3752, 'SAN', 3731, '', 0, '320\r'),
	('AA', 24, 'PHL', 3752, 'SAT', 3621, '', 0, 'E90\r'),
	('AA', 24, 'PHL', 3752, 'SAV', 3613, 'Y', 0, 'E75 E70 CRJ\r'),
	('AA', 24, 'PHL', 3752, 'SBY', 3642, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'SCE', 4318, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'SDF', 4014, 'Y', 0, 'CRJ CR9\r'),
	('AA', 24, 'PHL', 3752, 'SDQ', 1762, '', 0, '320\r'),
	('AA', 24, 'PHL', 3752, 'SEA', 3577, '', 0, '320 321\r'),
	('AA', 24, 'PHL', 3752, 'SFO', 3469, '', 0, '320 321\r'),
	('AA', 24, 'PHL', 3752, 'SJU', 2890, '', 0, '767 757 320\r'),
	('AA', 24, 'PHL', 3752, 'SLC', 3536, '', 0, '320\r'),
	('AA', 24, 'PHL', 3752, 'STL', 3678, '', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'STT', 2883, '', 0, '757\r'),
	('AA', 24, 'PHL', 3752, 'SWF', 3661, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'SXM', 2899, '', 0, '332\r'),
	('AA', 24, 'PHL', 3752, 'SYR', 3745, '', 0, 'DH3\r'),
	('AA', 24, 'PHL', 3752, 'TLV', 1590, '', 0, '332\r'),
	('AA', 24, 'PHL', 3752, 'TPA', 3646, '', 0, '321 320 319 737\r'),
	('AA', 24, 'PHL', 3752, 'TYS', 3676, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'VCE', 1551, '', 0, '332\r'),
	('AA', 24, 'PHL', 3752, 'YHZ', 73, 'Y', 0, 'E70 CRJ E75\r'),
	('AA', 24, 'PHL', 3752, 'YOW', 100, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'YQB', 111, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHL', 3752, 'YYZ', 193, 'Y', 0, 'CRJ E75\r'),
	('AA', 24, 'PHL', 3752, 'ZRH', 1678, '', 0, '767\r'),
	('AA', 24, 'PHX', 3462, 'ABQ', 4019, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'PHX', 3462, 'ANC', 3774, '', 0, '320\r'),
	('AA', 24, 'PHX', 3462, 'ATL', 3682, 'Y', 0, '321 320\r'),
	('AA', 24, 'PHX', 3462, 'AUS', 3673, '', 0, '319 CR9\r'),
	('AA', 24, 'PHX', 3462, 'BFL', 3558, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'PHX', 3462, 'BOI', 3495, '', 0, '319\r'),
	('AA', 24, 'PHX', 3462, 'BOS', 3448, '', 0, '320 319\r'),
	('AA', 24, 'PHX', 3462, 'BUR', 3644, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'PHX', 3462, 'BWI', 3849, '', 0, '321 319 320\r'),
	('AA', 24, 'PHX', 3462, 'CLT', 3876, '', 0, '321 320\r'),
	('AA', 24, 'PHX', 3462, 'CMH', 3759, '', 0, '320 319\r'),
	('AA', 24, 'PHX', 3462, 'CUN', 1852, '', 0, '757 320 321\r'),
	('AA', 24, 'PHX', 3462, 'DCA', 3520, '', 0, '757 320 319\r'),
	('AA', 24, 'PHX', 3462, 'DEN', 3751, '', 0, '320 321\r'),
	('AA', 24, 'PHX', 3462, 'DFW', 3670, '', 0, 'M80 M83 319 738 321 320\r'),
	('AA', 24, 'PHX', 3462, 'DRO', 3713, 'Y', 0, 'CRJ CR9\r'),
	('AA', 24, 'PHX', 3462, 'DSM', 3729, '', 0, '319\r'),
	('AA', 24, 'PHX', 3462, 'DTW', 3645, '', 0, '321 319\r'),
	('AA', 24, 'PHX', 3462, 'ELP', 3559, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'PHX', 3462, 'EWR', 3494, '', 0, '320\r'),
	('AA', 24, 'PHX', 3462, 'FAT', 3687, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'PHX', 3462, 'FLG', 4261, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHX', 3462, 'FLL', 3533, '', 0, '320 319\r'),
	('AA', 24, 'PHX', 3462, 'GDL', 1804, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'PHX', 3462, 'GEG', 3467, '', 0, '319\r'),
	('AA', 24, 'PHX', 3462, 'GJT', 4063, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHX', 3462, 'HNL', 3728, '', 0, '757\r'),
	('AA', 24, 'PHX', 3462, 'IAH', 3550, '', 0, '319 321 320\r'),
	('AA', 24, 'PHX', 3462, 'IND', 3585, '', 0, '320 319\r'),
	('AA', 24, 'PHX', 3462, 'JFK', 3797, '', 0, '321\r'),
	('AA', 24, 'PHX', 3462, 'KOA', 3514, '', 0, '757\r'),
	('AA', 24, 'PHX', 3462, 'LAS', 3877, '', 0, '321 320 319\r'),
	('AA', 24, 'PHX', 3462, 'LAX', 3484, '', 0, '321 319 320\r'),
	('AA', 24, 'PHX', 3462, 'LGB', 3582, '', 0, '319\r'),
	('AA', 24, 'PHX', 3462, 'LHR', 507, 'Y', 0, '744\r'),
	('AA', 24, 'PHX', 3462, 'LIH', 3602, '', 0, '757\r'),
	('AA', 24, 'PHX', 3462, 'MCI', 3458, '', 0, '319\r'),
	('AA', 24, 'PHX', 3462, 'MCO', 3878, '', 0, '320 321\r'),
	('AA', 24, 'PHX', 3462, 'MEX', 1824, '', 0, '319\r'),
	('AA', 24, 'PHX', 3462, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'PHX', 3462, 'MKE', 3717, '', 0, '319\r'),
	('AA', 24, 'PHX', 3462, 'MRY', 3948, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHX', 3462, 'MSP', 3858, '', 0, '320 321 319\r'),
	('AA', 24, 'PHX', 3462, 'MZT', 1826, '', 0, '320 319\r'),
	('AA', 24, 'PHX', 3462, 'OAK', 3453, '', 0, '319\r'),
	('AA', 24, 'PHX', 3462, 'OGG', 3456, '', 0, '757\r'),
	('AA', 24, 'PHX', 3462, 'OMA', 3454, '', 0, '319\r'),
	('AA', 24, 'PHX', 3462, 'ONT', 3734, '', 0, '319 320\r'),
	('AA', 24, 'PHX', 3462, 'ORD', 3830, '', 0, 'M83 320 321 738\r'),
	('AA', 24, 'PHX', 3462, 'PDX', 3720, '', 0, '319 320 321\r'),
	('AA', 24, 'PHX', 3462, 'PHL', 3752, '', 0, '757 321\r'),
	('AA', 24, 'PHX', 3462, 'PIT', 3570, '', 0, '319 320\r'),
	('AA', 24, 'PHX', 3462, 'PSP', 3839, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'PHX', 3462, 'PVR', 1836, '', 0, '320 319 321\r'),
	('AA', 24, 'PHX', 3462, 'RNO', 3807, '', 0, '319 320\r'),
	('AA', 24, 'PHX', 3462, 'SAN', 3731, '', 0, '320 321\r'),
	('AA', 24, 'PHX', 3462, 'SAT', 3621, 'Y', 0, 'CR9\r'),
	('AA', 24, 'PHX', 3462, 'SBA', 3949, 'Y', 0, 'CRJ CR9\r'),
	('AA', 24, 'PHX', 3462, 'SBP', 5768, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'PHX', 3462, 'SEA', 3577, '', 0, '320 321\r'),
	('AA', 24, 'PHX', 3462, 'SFO', 3469, '', 0, '320 321\r'),
	('AA', 24, 'PHX', 3462, 'SJC', 3748, '', 0, '319 320\r'),
	('AA', 24, 'PHX', 3462, 'SJD', 1840, '', 0, '320 319 757 321\r'),
	('AA', 24, 'PHX', 3462, 'SLC', 3536, '', 0, '319 321 320\r'),
	('AA', 24, 'PHX', 3462, 'SMF', 3817, '', 0, '319 320 321\r'),
	('AA', 24, 'PHX', 3462, 'SNA', 3867, '', 0, '319 320 321\r'),
	('AA', 24, 'PHX', 3462, 'STL', 3678, '', 0, '319\r'),
	('AA', 24, 'PHX', 3462, 'TPA', 3646, '', 0, '320\r'),
	('AA', 24, 'PHX', 3462, 'TUS', 3636, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'PHX', 3462, 'YEG', 49, '', 0, '319 320 737\r'),
	('AA', 24, 'PHX', 3462, 'YUM', 3596, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PHX', 3462, 'YVR', 156, '', 0, '319 321\r'),
	('AA', 24, 'PHX', 3462, 'YYC', 178, '', 0, '319 737\r'),
	('AA', 24, 'PHX', 3462, 'ZIH', 1856, '', 0, '320\r'),
	('AA', 24, 'PIA', 4046, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'PIA', 4046, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'PIT', 3570, 'BDL', 3825, 'Y', 0, 'ER4\r'),
	('AA', 24, 'PIT', 3570, 'BOS', 3448, 'Y', 0, 'E70 CRJ\r'),
	('AA', 24, 'PIT', 3570, 'CLT', 3876, '', 0, '319 737 321 320\r'),
	('AA', 24, 'PIT', 3570, 'DCA', 3520, 'Y', 0, 'E75 E70 CRJ\r'),
	('AA', 24, 'PIT', 3570, 'DFW', 3670, '', 0, 'M80\r'),
	('AA', 24, 'PIT', 3570, 'JFK', 3797, 'Y', 0, 'ER4\r'),
	('AA', 24, 'PIT', 3570, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'PIT', 3570, 'LGA', 3697, 'Y', 0, 'E75 CRJ\r'),
	('AA', 24, 'PIT', 3570, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'PIT', 3570, 'ORD', 3830, 'Y', 0, 'E75 CR7 ER4\r'),
	('AA', 24, 'PIT', 3570, 'PHL', 3752, '', 0, '320 319 E90\r'),
	('AA', 24, 'PIT', 3570, 'PHX', 3462, '', 0, '319 320\r'),
	('AA', 24, 'PIT', 3570, 'RDU', 3626, 'Y', 0, 'ER4\r'),
	('AA', 24, 'PIT', 3570, 'STL', 3678, 'Y', 0, 'ER4\r'),
	('AA', 24, 'PLS', 1754, 'CLT', 3876, '', 0, '321\r'),
	('AA', 24, 'PLS', 1754, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'PLS', 1754, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'PLS', 1754, 'PHL', 3752, '', 0, '319\r'),
	('AA', 24, 'PMC', 2665, 'PUQ', 2647, 'Y', 0, '320\r'),
	('AA', 24, 'PNS', 3564, 'CLT', 3876, '', 0, 'CR9\r'),
	('AA', 24, 'PNS', 3564, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'PNS', 3564, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('AA', 24, 'PNS', 3564, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'POA', 2599, 'MIA', 3576, '', 0, '763\r'),
	('AA', 24, 'POP', 1761, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'POS', 2902, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'PPT', 4075, 'AKL', 2006, 'Y', 0, '340\r'),
	('AA', 24, 'PPT', 4075, 'LAX', 3484, 'Y', 0, '340\r'),
	('AA', 24, 'PRG', 1587, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'PSA', 1562, 'LHR', 507, 'Y', 0, '320 321\r'),
	('AA', 24, 'PSP', 3839, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('AA', 24, 'PSP', 3839, 'ORD', 3830, '', 0, 'M83\r'),
	('AA', 24, 'PSP', 3839, 'PHX', 3462, 'Y', 0, 'CRJ CR9\r'),
	('AA', 24, 'PSP', 3839, 'SFO', 3469, 'Y', 0, '737\r'),
	('AA', 24, 'PTP', 2881, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'PTP', 2881, 'SJU', 2890, '', 0, 'SF3\r'),
	('AA', 24, 'PTY', 1871, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'PTY', 1871, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'PUJ', 1760, 'CLT', 3876, '', 0, '319 757 321 320\r'),
	('AA', 24, 'PUJ', 1760, 'MIA', 3576, '', 0, '738 757\r'),
	('AA', 24, 'PUJ', 1760, 'PHL', 3752, '', 0, '319 332 320\r'),
	('AA', 24, 'PUS', 2372, 'NRT', 2279, '', 0, '737\r'),
	('AA', 24, 'PVD', 3641, 'CLT', 3876, '', 0, '320 321 319\r'),
	('AA', 24, 'PVD', 3641, 'DCA', 3520, 'Y', 0, 'E75 CRJ E70\r'),
	('AA', 24, 'PVD', 3641, 'PHL', 3752, '', 0, 'E90 DH3\r'),
	('AA', 24, 'PVG', 3406, 'LAX', 3484, '', 0, '777\r'),
	('AA', 24, 'PVG', 3406, 'ORD', 3830, '', 0, '777\r'),
	('AA', 24, 'PVR', 1836, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'PVR', 1836, 'ORD', 3830, '', 0, 'M83\r'),
	('AA', 24, 'PVR', 1836, 'PHX', 3462, '', 0, '320 319 321\r'),
	('AA', 24, 'PVR', 1836, 'SAN', 3731, 'Y', 0, '737\r'),
	('AA', 24, 'PVR', 1836, 'SFO', 3469, 'Y', 0, '737\r'),
	('AA', 24, 'QRO', 1838, 'DFW', 3670, 'Y', 0, 'ERD\r'),
	('AA', 24, 'RAP', 4087, 'DFW', 3670, 'Y', 0, 'CRJ ER4\r'),
	('AA', 24, 'RDM', 4103, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'RDU', 3626, 'CLT', 3876, '', 0, '321 320 737 319 E90\r'),
	('AA', 24, 'RDU', 3626, 'DCA', 3520, 'Y', 0, 'CRJ ERD\r'),
	('AA', 24, 'RDU', 3626, 'DFW', 3670, '', 0, 'M83 M80 738\r'),
	('AA', 24, 'RDU', 3626, 'JFK', 3797, 'Y', 0, 'ERD CR7\r'),
	('AA', 24, 'RDU', 3626, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'RDU', 3626, 'LGA', 3697, 'Y', 0, 'CR7 ERD\r'),
	('AA', 24, 'RDU', 3626, 'LHR', 507, '', 0, '763\r'),
	('AA', 24, 'RDU', 3626, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'RDU', 3626, 'ORD', 3830, '', 0, 'M80 738\r'),
	('AA', 24, 'RDU', 3626, 'PHL', 3752, '', 0, 'E90 319\r'),
	('AA', 24, 'RDU', 3626, 'PIT', 3570, 'Y', 0, 'ER4\r'),
	('AA', 24, 'REC', 2610, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'RIC', 3608, 'BOS', 3448, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'RIC', 3608, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'RIC', 3608, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'RIC', 3608, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('AA', 24, 'RIC', 3608, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'RIC', 3608, 'ORD', 3830, 'Y', 0, 'ERD\r'),
	('AA', 24, 'RIC', 3608, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'RNO', 3807, 'DFW', 3670, '', 0, 'M83 738\r'),
	('AA', 24, 'RNO', 3807, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'RNO', 3807, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'RNO', 3807, 'PHX', 3462, '', 0, '319 320\r'),
	('AA', 24, 'ROA', 4016, 'CLT', 3876, '', 0, 'DH8 DH3\r'),
	('AA', 24, 'ROA', 4016, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('AA', 24, 'ROA', 4016, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'ROC', 3622, 'BOS', 3448, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'ROC', 3622, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'ROC', 3622, 'DCA', 3520, 'Y', 0, 'CRJ E70\r'),
	('AA', 24, 'ROC', 3622, 'ORD', 3830, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'ROC', 3622, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'ROW', 3736, 'DFW', 3670, 'Y', 0, 'ERD\r'),
	('AA', 24, 'RST', 4048, 'ORD', 3830, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'RSW', 3793, 'CLT', 3876, '', 0, '321 320 319 737\r'),
	('AA', 24, 'RSW', 3793, 'DCA', 3520, 'Y', 0, 'E75 E70\r'),
	('AA', 24, 'RSW', 3793, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'RSW', 3793, 'DUS', 345, 'Y', 0, '330\r'),
	('AA', 24, 'RSW', 3793, 'ORD', 3830, '', 0, '738 M80\r'),
	('AA', 24, 'RSW', 3793, 'PHL', 3752, '', 0, '319 E90 320\r'),
	('AA', 24, 'RTB', 1774, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'RTB', 1774, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'RTM', 591, 'LHR', 507, 'Y', 0, '319\r'),
	('AA', 24, 'SAF', 3784, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'SAF', 3784, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'SAL', 1892, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'SAL', 1892, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'SAN', 3731, 'BOS', 3448, 'Y', 0, '737\r'),
	('AA', 24, 'SAN', 3731, 'CLT', 3876, '', 0, '320 321\r'),
	('AA', 24, 'SAN', 3731, 'DCA', 3520, '', 0, '319\r'),
	('AA', 24, 'SAN', 3731, 'DFW', 3670, '', 0, 'M83 M80 738 757\r'),
	('AA', 24, 'SAN', 3731, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'SAN', 3731, 'LAX', 3484, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'SAN', 3731, 'LHR', 507, 'Y', 0, '777\r'),
	('AA', 24, 'SAN', 3731, 'MCO', 3878, 'Y', 0, '737\r'),
	('AA', 24, 'SAN', 3731, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'SAN', 3731, 'NRT', 2279, '', 0, '787\r'),
	('AA', 24, 'SAN', 3731, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'SAN', 3731, 'PDX', 3720, 'Y', 0, '737\r'),
	('AA', 24, 'SAN', 3731, 'PHL', 3752, '', 0, '320\r'),
	('AA', 24, 'SAN', 3731, 'PHX', 3462, '', 0, '321 320\r'),
	('AA', 24, 'SAN', 3731, 'PVR', 1836, 'Y', 0, '737\r'),
	('AA', 24, 'SAN', 3731, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'SAN', 3731, 'STS', 6992, 'Y', 0, 'DH4\r'),
	('AA', 24, 'SAN', 3731, 'YYC', 178, '', 0, '737\r'),
	('AA', 24, 'SAP', 1772, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'SAT', 3621, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'SAT', 3621, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'SAT', 3621, 'ORD', 3830, 'Y', 0, 'E75 CR7\r'),
	('AA', 24, 'SAT', 3621, 'PHL', 3752, '', 0, 'E90\r'),
	('AA', 24, 'SAT', 3621, 'PHX', 3462, 'Y', 0, 'CR9\r'),
	('AA', 24, 'SAV', 3613, 'CLT', 3876, '', 0, 'CRJ\r'),
	('AA', 24, 'SAV', 3613, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'SAV', 3613, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'SAV', 3613, 'PHL', 3752, 'Y', 0, 'E75 E70 CRJ\r'),
	('AA', 24, 'SBA', 3949, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'SBP', 5768, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'SBY', 3642, 'CLT', 3876, '', 0, 'DH8\r'),
	('AA', 24, 'SBY', 3642, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'SCE', 4318, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'SCL', 2650, 'DFW', 3670, '', 0, '763\r'),
	('AA', 24, 'SCL', 2650, 'JFK', 3797, 'Y', 0, '787\r'),
	('AA', 24, 'SCL', 2650, 'LIM', 2789, 'Y', 0, '763\r'),
	('AA', 24, 'SCL', 2650, 'MIA', 3576, '', 0, '763\r'),
	('AA', 24, 'SCL', 2650, 'PMC', 2665, 'Y', 0, '320\r'),
	('AA', 24, 'SCY', 6045, 'GYE', 2673, 'Y', 0, '319\r'),
	('AA', 24, 'SDF', 4014, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'SDF', 4014, 'DCA', 3520, 'Y', 0, 'CRJ E75\r'),
	('AA', 24, 'SDF', 4014, 'DFW', 3670, '', 0, 'M80 M83 319\r'),
	('AA', 24, 'SDF', 4014, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('AA', 24, 'SDF', 4014, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('AA', 24, 'SDF', 4014, 'ORD', 3830, 'Y', 0, 'ERD ER4 E75\r'),
	('AA', 24, 'SDF', 4014, 'PHL', 3752, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'SDQ', 1762, 'MIA', 3576, '', 0, '757 763\r'),
	('AA', 24, 'SDQ', 1762, 'PHL', 3752, '', 0, '320\r'),
	('AA', 24, 'SEA', 3577, 'BOS', 3448, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'BUR', 3644, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'CLT', 3876, '', 0, '320 321 319\r'),
	('AA', 24, 'SEA', 3577, 'DEN', 3751, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'DFW', 3670, '', 0, '738 757\r'),
	('AA', 24, 'SEA', 3577, 'EWR', 3494, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'SEA', 3577, 'KTN', 3808, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'LAX', 3484, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'LGB', 3582, 'Y', 0, 'CR7\r'),
	('AA', 24, 'SEA', 3577, 'LHR', 507, '', 0, '777\r'),
	('AA', 24, 'SEA', 3577, 'MCI', 3458, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'MCO', 3878, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'SEA', 3577, 'OAK', 3453, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'ONT', 3734, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'SEA', 3577, 'PEK', 3364, 'Y', 0, '787\r'),
	('AA', 24, 'SEA', 3577, 'PHL', 3752, '', 0, '320 321\r'),
	('AA', 24, 'SEA', 3577, 'PHX', 3462, '', 0, '321 320\r'),
	('AA', 24, 'SEA', 3577, 'SAN', 3731, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'SFO', 3469, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'SJC', 3748, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'SMF', 3817, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'SNA', 3867, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'STL', 3678, 'Y', 0, '737\r'),
	('AA', 24, 'SEA', 3577, 'YVR', 156, 'Y', 0, 'DH4\r'),
	('AA', 24, 'SFO', 3469, 'CLT', 3876, '', 0, '321\r'),
	('AA', 24, 'SFO', 3469, 'DFW', 3670, '', 0, '738 757 763\r'),
	('AA', 24, 'SFO', 3469, 'HKG', 3077, 'Y', 0, '773 744\r'),
	('AA', 24, 'SFO', 3469, 'HND', 2359, '', 0, '787\r'),
	('AA', 24, 'SFO', 3469, 'JFK', 3797, '', 0, '763 32B\r'),
	('AA', 24, 'SFO', 3469, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'SFO', 3469, 'LHR', 507, 'Y', 0, '744\r'),
	('AA', 24, 'SFO', 3469, 'MIA', 3576, '', 0, '757 763 738\r'),
	('AA', 24, 'SFO', 3469, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'SFO', 3469, 'PDX', 3720, 'Y', 0, '737 DH4\r'),
	('AA', 24, 'SFO', 3469, 'PHL', 3752, '', 0, '320 321\r'),
	('AA', 24, 'SFO', 3469, 'PHX', 3462, '', 0, '321 320\r'),
	('AA', 24, 'SFO', 3469, 'PSP', 3839, 'Y', 0, '737\r'),
	('AA', 24, 'SFO', 3469, 'PVR', 1836, 'Y', 0, '737\r'),
	('AA', 24, 'SFO', 3469, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'SGF', 4348, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'SGF', 4348, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'SGN', 3205, 'NRT', 2279, '', 0, '763\r'),
	('AA', 24, 'SHV', 3609, 'DFW', 3670, 'Y', 0, 'CRJ ERD ER4\r'),
	('AA', 24, 'SIN', 3316, 'KUL', 3304, '', 0, '737\r'),
	('AA', 24, 'SIN', 3316, 'NRT', 2279, '', 0, '763\r'),
	('AA', 24, 'SJC', 3748, 'DFW', 3670, '', 0, 'M83\r'),
	('AA', 24, 'SJC', 3748, 'GDL', 1804, 'Y', 0, '737\r'),
	('AA', 24, 'SJC', 3748, 'HNL', 3728, 'Y', 0, '737\r'),
	('AA', 24, 'SJC', 3748, 'KOA', 3514, 'Y', 0, '737\r'),
	('AA', 24, 'SJC', 3748, 'LAX', 3484, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'SJC', 3748, 'LIH', 3602, 'Y', 0, '737\r'),
	('AA', 24, 'SJC', 3748, 'OGG', 3456, 'Y', 0, '737\r'),
	('AA', 24, 'SJC', 3748, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'SJC', 3748, 'PDX', 3720, 'Y', 0, '737 DH4\r'),
	('AA', 24, 'SJC', 3748, 'PHX', 3462, '', 0, '320 319\r'),
	('AA', 24, 'SJC', 3748, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'SJD', 1840, 'CLT', 3876, '', 0, '320\r'),
	('AA', 24, 'SJD', 1840, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'SJD', 1840, 'LAX', 3484, '', 0, 'M83 738\r'),
	('AA', 24, 'SJD', 1840, 'ORD', 3830, '', 0, 'M83 738\r'),
	('AA', 24, 'SJD', 1840, 'PHX', 3462, '', 0, '320 319 757 321\r'),
	('AA', 24, 'SJO', 1885, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'SJO', 1885, 'DFW', 3670, '', 0, '757\r'),
	('AA', 24, 'SJO', 1885, 'JFK', 3797, '', 0, '738\r'),
	('AA', 24, 'SJO', 1885, 'MIA', 3576, '', 0, '757 738\r'),
	('AA', 24, 'SJT', 3708, 'DFW', 3670, 'Y', 0, 'ER4 CRJ ERD\r'),
	('AA', 24, 'SJU', 2890, 'CCS', 2851, '', 0, '738\r'),
	('AA', 24, 'SJU', 2890, 'CLT', 3876, '', 0, '321\r'),
	('AA', 24, 'SJU', 2890, 'DFW', 3670, '', 0, '757\r'),
	('AA', 24, 'SJU', 2890, 'DOM', 2877, '', 0, 'SF3\r'),
	('AA', 24, 'SJU', 2890, 'EIS', 2903, '', 0, 'SF3\r'),
	('AA', 24, 'SJU', 2890, 'FDF', 2878, '', 0, 'SF3\r'),
	('AA', 24, 'SJU', 2890, 'JFK', 3797, '', 0, '757\r'),
	('AA', 24, 'SJU', 2890, 'MIA', 3576, '', 0, '738 757\r'),
	('AA', 24, 'SJU', 2890, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'SJU', 2890, 'PHL', 3752, '', 0, '757 767 320\r'),
	('AA', 24, 'SJU', 2890, 'PTP', 2881, '', 0, 'SF3\r'),
	('AA', 24, 'SJU', 2890, 'VIJ', 6080, '', 0, 'DHT\r'),
	('AA', 24, 'SJU', 2890, 'VQS', 6788, '', 0, 'DHT\r'),
	('AA', 24, 'SKB', 2891, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'SLC', 3536, 'CLT', 3876, '', 0, '320\r'),
	('AA', 24, 'SLC', 3536, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'SLC', 3536, 'LAX', 3484, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'SLC', 3536, 'ORD', 3830, 'Y', 0, 'E75 CR7\r'),
	('AA', 24, 'SLC', 3536, 'PHL', 3752, '', 0, '320\r'),
	('AA', 24, 'SLC', 3536, 'PHX', 3462, '', 0, '320 319 321\r'),
	('AA', 24, 'SLP', 1842, 'DFW', 3670, 'Y', 0, 'ERD\r'),
	('AA', 24, 'SMF', 3817, 'CLT', 3876, '', 0, '321\r'),
	('AA', 24, 'SMF', 3817, 'DFW', 3670, '', 0, 'M83\r'),
	('AA', 24, 'SMF', 3817, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'SMF', 3817, 'OGG', 3456, 'Y', 0, '737\r'),
	('AA', 24, 'SMF', 3817, 'PHX', 3462, '', 0, '320 319 321\r'),
	('AA', 24, 'SMF', 3817, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'SNA', 3867, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'SNA', 3867, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'SNA', 3867, 'PDX', 3720, 'Y', 0, '737\r'),
	('AA', 24, 'SNA', 3867, 'PHX', 3462, '', 0, '320 319 321\r'),
	('AA', 24, 'SNA', 3867, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'SOF', 1194, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'SPS', 3680, 'DFW', 3670, 'Y', 0, 'ERD ER4 CRJ\r'),
	('AA', 24, 'SRQ', 4067, 'CLT', 3876, 'Y', 0, 'CR9 E75\r'),
	('AA', 24, 'SRQ', 4067, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'SSA', 2621, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'STI', 1764, 'MIA', 3576, '', 0, '757 738\r'),
	('AA', 24, 'STL', 3678, 'CLT', 3876, '', 0, '319\r'),
	('AA', 24, 'STL', 3678, 'DCA', 3520, 'Y', 0, 'CR7\r'),
	('AA', 24, 'STL', 3678, 'DFW', 3670, '', 0, 'M83 M80 738\r'),
	('AA', 24, 'STL', 3678, 'LAX', 3484, '', 0, 'M83\r'),
	('AA', 24, 'STL', 3678, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('AA', 24, 'STL', 3678, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'STL', 3678, 'ORD', 3830, '', 0, 'M80 M83 738\r'),
	('AA', 24, 'STL', 3678, 'PHL', 3752, 'Y', 0, 'E75 CRJ E70\r'),
	('AA', 24, 'STL', 3678, 'PHX', 3462, '', 0, '319\r'),
	('AA', 24, 'STL', 3678, 'PIT', 3570, 'Y', 0, 'ER4\r'),
	('AA', 24, 'STL', 3678, 'SEA', 3577, 'Y', 0, '737\r'),
	('AA', 24, 'STR', 350, 'LHR', 507, 'Y', 0, '319 320\r'),
	('AA', 24, 'STS', 6992, 'LAX', 3484, 'Y', 0, 'DH4\r'),
	('AA', 24, 'STS', 6992, 'SAN', 3731, 'Y', 0, 'DH4\r'),
	('AA', 24, 'STT', 2883, 'CLT', 3876, '', 0, '757 767\r'),
	('AA', 24, 'STT', 2883, 'JFK', 3797, '', 0, '757\r'),
	('AA', 24, 'STT', 2883, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'STT', 2883, 'PHL', 3752, '', 0, '757\r'),
	('AA', 24, 'STX', 2884, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'SUX', 3753, 'ORD', 3830, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'SVG', 666, 'LHR', 507, 'Y', 0, '319\r'),
	('AA', 24, 'SWF', 3661, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'SXM', 2899, 'CLT', 3876, '', 0, '757 319\r'),
	('AA', 24, 'SXM', 2899, 'JFK', 3797, '', 0, '757\r'),
	('AA', 24, 'SXM', 2899, 'MIA', 3576, '', 0, '757 738\r'),
	('AA', 24, 'SXM', 2899, 'PHL', 3752, '', 0, '332\r'),
	('AA', 24, 'SYD', 3361, 'ADL', 3341, 'Y', 0, '737\r'),
	('AA', 24, 'SYD', 3361, 'AKL', 2006, 'Y', 0, '737\r'),
	('AA', 24, 'SYD', 3361, 'ASP', 3319, 'Y', 0, '737\r'),
	('AA', 24, 'SYD', 3361, 'BNE', 3320, 'Y', 0, '737 763\r'),
	('AA', 24, 'SYD', 3361, 'CBR', 3355, 'Y', 0, '737\r'),
	('AA', 24, 'SYD', 3361, 'CHC', 2009, 'Y', 0, '737\r'),
	('AA', 24, 'SYD', 3361, 'CNS', 3322, 'Y', 0, '763 737\r'),
	('AA', 24, 'SYD', 3361, 'DFW', 3670, 'Y', 0, '744\r'),
	('AA', 24, 'SYD', 3361, 'DRW', 3999, 'Y', 0, '737\r'),
	('AA', 24, 'SYD', 3361, 'HNL', 3728, 'Y', 0, '763\r'),
	('AA', 24, 'SYD', 3361, 'LAX', 3484, 'Y', 0, '744 380\r'),
	('AA', 24, 'SYD', 3361, 'MEL', 3339, '', 0, '737\r'),
	('AA', 24, 'SYD', 3361, 'PER', 3351, 'Y', 0, '330 763\r'),
	('AA', 24, 'SYR', 3745, 'BOS', 3448, '', 0, 'DH3\r'),
	('AA', 24, 'SYR', 3745, 'CLT', 3876, '', 0, '320 319\r'),
	('AA', 24, 'SYR', 3745, 'DCA', 3520, 'Y', 0, 'E70 CRJ\r'),
	('AA', 24, 'SYR', 3745, 'ORD', 3830, 'Y', 0, 'CR7 ER4\r'),
	('AA', 24, 'SYR', 3745, 'PHL', 3752, '', 0, 'DH3\r'),
	('AA', 24, 'TGU', 1776, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'TLH', 3698, 'CLT', 3876, 'Y', 0, 'CR7 CRJ\r'),
	('AA', 24, 'TLH', 3698, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'TLH', 3698, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'TLH', 3698, 'MIA', 3576, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'TLS', 1273, 'LHR', 507, 'Y', 0, '320 319\r'),
	('AA', 24, 'TLV', 1590, 'PHL', 3752, '', 0, '332\r'),
	('AA', 24, 'TOL', 4040, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'TPA', 3646, 'CLT', 3876, '', 0, '320 737 321 319\r'),
	('AA', 24, 'TPA', 3646, 'DCA', 3520, '', 0, '319\r'),
	('AA', 24, 'TPA', 3646, 'DFW', 3670, '', 0, '738 M83 M80\r'),
	('AA', 24, 'TPA', 3646, 'JFK', 3797, 'Y', 0, 'CR7\r'),
	('AA', 24, 'TPA', 3646, 'LGW', 502, 'Y', 0, '777\r'),
	('AA', 24, 'TPA', 3646, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'TPA', 3646, 'ORD', 3830, '', 0, '738 M83 M80\r'),
	('AA', 24, 'TPA', 3646, 'PHL', 3752, '', 0, '737 321 319 320\r'),
	('AA', 24, 'TPA', 3646, 'PHX', 3462, '', 0, '320\r'),
	('AA', 24, 'TPE', 2276, 'NRT', 2279, '', 0, '737\r'),
	('AA', 24, 'TRC', 1845, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('AA', 24, 'TRI', 4116, 'CLT', 3876, '', 0, 'DH3 DH8\r'),
	('AA', 24, 'TSV', 3330, 'BNE', 3320, 'Y', 0, '737\r'),
	('AA', 24, 'TUL', 3855, 'DFW', 3670, '', 0, 'M80 738 M83 757\r'),
	('AA', 24, 'TUL', 3855, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'TUL', 3855, 'ORD', 3830, '', 0, '738\r'),
	('AA', 24, 'TUS', 3636, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('AA', 24, 'TUS', 3636, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'TUS', 3636, 'ORD', 3830, '', 0, 'M83 M80\r'),
	('AA', 24, 'TUS', 3636, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('AA', 24, 'TVC', 4023, 'ORD', 3830, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'TXK', 3770, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'TXL', 351, 'JFK', 3797, 'Y', 0, '330\r'),
	('AA', 24, 'TXL', 351, 'LHR', 507, 'Y', 0, '320 319 321\r'),
	('AA', 24, 'TXL', 351, 'MIA', 3576, 'Y', 0, '330\r'),
	('AA', 24, 'TXL', 351, 'ORD', 3830, 'Y', 0, '330\r'),
	('AA', 24, 'TYR', 3848, 'DFW', 3670, 'Y', 0, 'ERD ER4 CRJ\r'),
	('AA', 24, 'TYS', 3676, 'CLT', 3876, 'Y', 0, 'CR7 CRJ\r'),
	('AA', 24, 'TYS', 3676, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'TYS', 3676, 'DFW', 3670, 'Y', 0, 'ER4 CRJ ERD\r'),
	('AA', 24, 'TYS', 3676, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('AA', 24, 'TYS', 3676, 'ORD', 3830, 'Y', 0, 'ERD ER4\r'),
	('AA', 24, 'TYS', 3676, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'UIO', 2688, 'GYE', 2673, 'Y', 0, '319\r'),
	('AA', 24, 'UIO', 2688, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'UVF', 2894, 'CLT', 3876, '', 0, '320 319\r'),
	('AA', 24, 'UVF', 2894, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'VCE', 1551, 'LHR', 507, 'Y', 0, '320 319\r'),
	('AA', 24, 'VCE', 1551, 'PHL', 3752, '', 0, '332\r'),
	('AA', 24, 'VIE', 1613, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'VIJ', 6080, 'SJU', 2890, '', 0, 'DHT\r'),
	('AA', 24, 'VPS', 3873, 'CLT', 3876, 'Y', 0, 'CRJ CR7\r'),
	('AA', 24, 'VPS', 3873, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'VPS', 3873, 'DFW', 3670, 'Y', 0, 'CRJ ER4 ERD\r'),
	('AA', 24, 'VQS', 6788, 'SJU', 2890, '', 0, 'DHT\r'),
	('AA', 24, 'VVI', 2771, 'MIA', 3576, '', 0, '757\r'),
	('AA', 24, 'WAW', 679, 'LHR', 507, 'Y', 0, '320\r'),
	('AA', 24, 'XNA', 4356, 'CLT', 3876, 'Y', 0, 'CR7 CRJ\r'),
	('AA', 24, 'XNA', 4356, 'DFW', 3670, '', 0, 'M80\r'),
	('AA', 24, 'XNA', 4356, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('AA', 24, 'XNA', 4356, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('AA', 24, 'XNA', 4356, 'ORD', 3830, 'Y', 0, 'CR7 ER4 ERD\r'),
	('AA', 24, 'YEG', 49, 'DFW', 3670, '', 0, '319\r'),
	('AA', 24, 'YEG', 49, 'LAS', 3877, '', 0, '737\r'),
	('AA', 24, 'YEG', 49, 'LAX', 3484, '', 0, '737\r'),
	('AA', 24, 'YEG', 49, 'PHX', 3462, '', 0, '320 319 737\r'),
	('AA', 24, 'YHZ', 73, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'YHZ', 73, 'PHL', 3752, 'Y', 0, 'E70 CRJ E75\r'),
	('AA', 24, 'YKF', 79, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('AA', 24, 'YOW', 100, 'CLT', 3876, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'YOW', 100, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'YQB', 111, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'YUL', 146, 'AMM', 2170, 'Y', 0, '330\r'),
	('AA', 24, 'YUL', 146, 'CLT', 3876, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'YUL', 146, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'YUL', 146, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'YUL', 146, 'DTW', 3645, 'Y', 0, '330\r'),
	('AA', 24, 'YUL', 146, 'JFK', 3797, 'Y', 0, 'ERD\r'),
	('AA', 24, 'YUL', 146, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('AA', 24, 'YUL', 146, 'LHR', 507, 'Y', 0, '777\r'),
	('AA', 24, 'YUL', 146, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'YUL', 146, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'YUL', 146, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'YUM', 3596, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'YVR', 156, 'DFW', 3670, '', 0, '738\r'),
	('AA', 24, 'YVR', 156, 'LAS', 3877, '', 0, '737\r'),
	('AA', 24, 'YVR', 156, 'LAX', 3484, '', 0, '737\r'),
	('AA', 24, 'YVR', 156, 'LHR', 507, 'Y', 0, '744\r'),
	('AA', 24, 'YVR', 156, 'NRT', 2279, '', 0, '787\r'),
	('AA', 24, 'YVR', 156, 'ORD', 3830, '', 0, '737\r'),
	('AA', 24, 'YVR', 156, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AA', 24, 'YVR', 156, 'PHX', 3462, '', 0, '321 319\r'),
	('AA', 24, 'YVR', 156, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AA', 24, 'YYC', 178, 'DFW', 3670, '', 0, 'M83 M80 738\r'),
	('AA', 24, 'YYC', 178, 'JFK', 3797, '', 0, '737\r'),
	('AA', 24, 'YYC', 178, 'LAS', 3877, '', 0, '737\r'),
	('AA', 24, 'YYC', 178, 'LAX', 3484, '', 0, '737\r'),
	('AA', 24, 'YYC', 178, 'LHR', 507, 'Y', 0, '767\r'),
	('AA', 24, 'YYC', 178, 'ORD', 3830, '', 0, '737\r'),
	('AA', 24, 'YYC', 178, 'PHX', 3462, '', 0, '319 737\r'),
	('AA', 24, 'YYC', 178, 'SAN', 3731, '', 0, '737\r'),
	('AA', 24, 'YYZ', 193, 'CLT', 3876, 'Y', 0, 'E75 CRJ\r'),
	('AA', 24, 'YYZ', 193, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AA', 24, 'YYZ', 193, 'DFW', 3670, '', 0, '319\r'),
	('AA', 24, 'YYZ', 193, 'JFK', 3797, 'Y', 0, 'CR7\r'),
	('AA', 24, 'YYZ', 193, 'LAS', 3877, '', 0, '737\r'),
	('AA', 24, 'YYZ', 193, 'LAX', 3484, '', 0, '738\r'),
	('AA', 24, 'YYZ', 193, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('AA', 24, 'YYZ', 193, 'LHR', 507, 'Y', 0, '787 744\r'),
	('AA', 24, 'YYZ', 193, 'MCO', 3878, '', 0, '737\r'),
	('AA', 24, 'YYZ', 193, 'MIA', 3576, '', 0, '738\r'),
	('AA', 24, 'YYZ', 193, 'ORD', 3830, 'Y', 0, 'E75 CR7 ER4\r'),
	('AA', 24, 'YYZ', 193, 'PHL', 3752, 'Y', 0, 'E75 CRJ\r'),
	('AA', 24, 'ZAG', 1208, 'LHR', 507, 'Y', 0, '319 320\r'),
	('AA', 24, 'ZCL', 1855, 'DFW', 3670, 'Y', 0, 'ERD\r'),
	('AA', 24, 'ZIH', 1856, 'PHX', 3462, '', 0, '320\r'),
	('AA', 24, 'ZRH', 1678, 'JFK', 3797, '', 0, '763\r'),
	('AA', 24, 'ZRH', 1678, 'LHR', 507, 'Y', 0, '320 319\r'),
	('AA', 24, 'ZRH', 1678, 'PHL', 3752, '', 0, '767\r'),
	('AB', 214, 'ACE', 1055, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'ACE', 1055, 'DUS', 345, '', 0, '738 321 332\r'),
	('AB', 214, 'ACE', 1055, 'FUE', 1051, '', 0, '321 320\r'),
	('AB', 214, 'ACE', 1055, 'HAM', 342, '', 0, '320\r'),
	('AB', 214, 'ACE', 1055, 'LEJ', 348, '', 0, '738\r'),
	('AB', 214, 'ACE', 1055, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'ACE', 1055, 'TXL', 351, '', 0, '321\r'),
	('AB', 214, 'ACE', 1055, 'ZRH', 1678, '', 0, '320\r'),
	('AB', 214, 'AGP', 1230, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'AGP', 1230, 'DUS', 345, '', 0, '332 321\r'),
	('AB', 214, 'AGP', 1230, 'HAM', 342, '', 0, '320 738 321\r'),
	('AB', 214, 'AGP', 1230, 'MUC', 346, '', 0, '738 320\r'),
	('AB', 214, 'AGP', 1230, 'PMI', 3998, '', 0, '320 321\r'),
	('AB', 214, 'AGP', 1230, 'STR', 350, '', 0, '320 738\r'),
	('AB', 214, 'AGP', 1230, 'TXL', 351, '', 0, '321\r'),
	('AB', 214, 'AGP', 1230, 'VIE', 1613, 'Y', 0, '321 320\r'),
	('AB', 214, 'ALC', 1212, 'DUS', 345, '', 0, '321 332\r'),
	('AB', 214, 'ALC', 1212, 'FRA', 340, '', 0, '320\r'),
	('AB', 214, 'ALC', 1212, 'HAM', 342, '', 0, '320\r'),
	('AB', 214, 'ALC', 1212, 'MUC', 346, '', 0, '320 738\r'),
	('AB', 214, 'ALC', 1212, 'PMI', 3998, '', 0, '321 320\r'),
	('AB', 214, 'ALC', 1212, 'STR', 350, '', 0, '320 738\r'),
	('AB', 214, 'ALC', 1212, 'TXL', 351, '', 0, '320 73G\r'),
	('AB', 214, 'ALC', 1212, 'ZRH', 1678, '', 0, '320 321\r'),
	('AB', 214, 'AMM', 2170, 'FRA', 340, 'Y', 0, '319\r'),
	('AB', 214, 'AMM', 2170, 'MUC', 346, 'Y', 0, '319\r'),
	('AB', 214, 'AMM', 2170, 'TXL', 351, 'Y', 0, '320 319\r'),
	('AB', 214, 'AMM', 2170, 'VIE', 1613, 'Y', 0, '320 319\r'),
	('AB', 214, 'ARN', 737, 'TXL', 351, '', 0, '321 738 320 319\r'),
	('AB', 214, 'ARN', 737, 'VIE', 1613, 'Y', 0, 'E90\r'),
	('AB', 214, 'AUH', 2179, 'BAH', 2057, 'Y', 0, '320 333 346\r'),
	('AB', 214, 'AUH', 2179, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'AUH', 2179, 'FRA', 340, 'Y', 0, '332 333\r'),
	('AB', 214, 'AUH', 2179, 'HKT', 3179, '', 0, '332\r'),
	('AB', 214, 'AUH', 2179, 'MUC', 346, 'Y', 0, '346 345 333\r'),
	('AB', 214, 'AUH', 2179, 'PEK', 3364, 'Y', 0, '332\r'),
	('AB', 214, 'AUH', 2179, 'SIN', 3316, 'Y', 0, '332\r'),
	('AB', 214, 'AUH', 2179, 'TXL', 351, '', 0, '332\r'),
	('AB', 214, 'AYT', 1688, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'AYT', 1688, 'DRS', 338, '', 0, '738\r'),
	('AB', 214, 'AYT', 1688, 'DUS', 345, '', 0, '321 320\r'),
	('AB', 214, 'AYT', 1688, 'FMO', 341, '', 0, '738\r'),
	('AB', 214, 'AYT', 1688, 'HAM', 342, '', 0, '320 738\r'),
	('AB', 214, 'AYT', 1688, 'LEJ', 348, '', 0, '738\r'),
	('AB', 214, 'AYT', 1688, 'MUC', 346, '', 0, '321\r'),
	('AB', 214, 'AYT', 1688, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'AYT', 1688, 'PAD', 371, '', 0, '738\r'),
	('AB', 214, 'AYT', 1688, 'STR', 350, '', 0, '738 320\r'),
	('AB', 214, 'AYT', 1688, 'TXL', 351, '', 0, '320 321 738\r'),
	('AB', 214, 'BAH', 2057, 'AUH', 2179, 'Y', 0, '320 333 346\r'),
	('AB', 214, 'BCN', 1218, 'DUS', 345, '', 0, '738 321\r'),
	('AB', 214, 'BCN', 1218, 'TXL', 351, '', 0, '738 320 321\r'),
	('AB', 214, 'BCN', 1218, 'VIE', 1613, 'Y', 0, '320 321\r'),
	('AB', 214, 'BDS', 1506, 'MUC', 346, '', 0, '321 73G 738\r'),
	('AB', 214, 'BDS', 1506, 'ZRH', 1678, '', 0, '320\r'),
	('AB', 214, 'BEG', 1739, 'DUS', 345, '', 0, '319\r'),
	('AB', 214, 'BEG', 1739, 'FRA', 340, '', 0, '319\r'),
	('AB', 214, 'BEG', 1739, 'STR', 350, '', 0, '733 319\r'),
	('AB', 214, 'BEG', 1739, 'TXL', 351, '', 0, '319\r'),
	('AB', 214, 'BIO', 1216, 'PMI', 3998, '', 0, '320 738\r'),
	('AB', 214, 'BKK', 3885, 'CNX', 3931, 'Y', 0, '319\r'),
	('AB', 214, 'BNE', 3320, 'SIN', 3316, 'Y', 0, '332\r'),
	('AB', 214, 'BRE', 353, 'PMI', 3998, '', 0, '320 738 319\r'),
	('AB', 214, 'BRI', 1501, 'TXL', 351, '', 0, '738 320\r'),
	('AB', 214, 'BSL', 4053, 'CTA', 1509, '', 0, '320 319\r'),
	('AB', 214, 'BSL', 4053, 'HER', 1452, '', 0, '320\r'),
	('AB', 214, 'BSL', 4053, 'IBZ', 1225, '', 0, '320\r'),
	('AB', 214, 'BSL', 4053, 'LHR', 507, 'Y', 0, '319 320 321\r'),
	('AB', 214, 'BSL', 4053, 'LPA', 1054, '', 0, '320\r'),
	('AB', 214, 'BSL', 4053, 'PMI', 3998, '', 0, '320 738\r'),
	('AB', 214, 'BSL', 4053, 'TFS', 1056, '', 0, '320\r'),
	('AB', 214, 'BUD', 1489, 'TXL', 351, '', 0, '73G 319\r'),
	('AB', 214, 'CAG', 1519, 'DUS', 345, '', 0, '738\r'),
	('AB', 214, 'CAG', 1519, 'MUC', 346, '', 0, '320 738\r'),
	('AB', 214, 'CDG', 1382, 'VIE', 1613, 'Y', 0, '320\r'),
	('AB', 214, 'CFU', 1460, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'CFU', 1460, 'DUS', 345, '', 0, '321 738\r'),
	('AB', 214, 'CFU', 1460, 'FMO', 341, '', 0, '738\r'),
	('AB', 214, 'CFU', 1460, 'FRA', 340, '', 0, '320\r'),
	('AB', 214, 'CFU', 1460, 'HAM', 342, '', 0, '320\r'),
	('AB', 214, 'CFU', 1460, 'MUC', 346, '', 0, '320\r'),
	('AB', 214, 'CFU', 1460, 'TXL', 351, '', 0, '320 321\r'),
	('AB', 214, 'CFU', 1460, 'VIE', 1613, '', 0, '320\r'),
	('AB', 214, 'CGN', 344, 'ACE', 1055, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'AGP', 1230, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'AYT', 1688, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'CFU', 1460, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'CLY', 1322, '', 0, '73G\r'),
	('AB', 214, 'CGN', 344, 'FUE', 1051, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'HRG', 1130, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'IBZ', 1225, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'KGS', 1458, '', 0, '738 73G\r'),
	('AB', 214, 'CGN', 344, 'LPA', 1054, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'MAH', 1231, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'MUC', 346, '', 0, '73G\r'),
	('AB', 214, 'CGN', 344, 'NBE', 7447, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'OLB', 1520, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'PMI', 3998, '', 0, '332 738 320\r'),
	('AB', 214, 'CGN', 344, 'SAW', 4317, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'TFS', 1056, '', 0, '738\r'),
	('AB', 214, 'CGN', 344, 'TXL', 351, '', 0, '73G 738 321 320 319\r'),
	('AB', 214, 'CHQ', 1474, 'VIE', 1613, '', 0, '320\r'),
	('AB', 214, 'CLY', 1322, 'CGN', 344, '', 0, '73G\r'),
	('AB', 214, 'CLY', 1322, 'DUS', 345, '', 0, '73G\r'),
	('AB', 214, 'CLY', 1322, 'FMM', 3986, '', 0, '320\r'),
	('AB', 214, 'CLY', 1322, 'SZG', 1612, '', 0, '320\r'),
	('AB', 214, 'CPH', 609, 'DUS', 345, '', 0, '319 320 DH4 738\r'),
	('AB', 214, 'CPH', 609, 'PMI', 3998, '', 0, '738\r'),
	('AB', 214, 'CPH', 609, 'TXL', 351, '', 0, '738 319 73G\r'),
	('AB', 214, 'CPH', 609, 'VIE', 1613, 'Y', 0, 'E90\r'),
	('AB', 214, 'CTA', 1509, 'BSL', 4053, '', 0, '320 319\r'),
	('AB', 214, 'CTA', 1509, 'DUS', 345, '', 0, '321 738 320\r'),
	('AB', 214, 'CTA', 1509, 'FRA', 340, '', 0, '320\r'),
	('AB', 214, 'CTA', 1509, 'MUC', 346, '', 0, '320 321 738\r'),
	('AB', 214, 'CTA', 1509, 'STR', 350, '', 0, '738 320\r'),
	('AB', 214, 'CTA', 1509, 'TXL', 351, '', 0, '321 320 738\r'),
	('AB', 214, 'CTA', 1509, 'ZRH', 1678, '', 0, '320 319\r'),
	('AB', 214, 'CUN', 1852, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'CUR', 2897, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'DFW', 3670, 'FRA', 340, 'Y', 0, '777\r'),
	('AB', 214, 'DJE', 293, 'DUS', 345, '', 0, '321\r'),
	('AB', 214, 'DJE', 293, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'DME', 4029, 'DUS', 345, '', 0, '738\r'),
	('AB', 214, 'DME', 4029, 'FRA', 340, 'Y', 0, '319\r'),
	('AB', 214, 'DME', 4029, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'DME', 4029, 'TXL', 351, '', 0, '738\r'),
	('AB', 214, 'DRS', 338, 'AYT', 1688, '', 0, '738\r'),
	('AB', 214, 'DRS', 338, 'DUS', 345, '', 0, 'DH4 319 73G\r'),
	('AB', 214, 'DRS', 338, 'HER', 1452, '', 0, '738\r'),
	('AB', 214, 'DRS', 338, 'HRG', 1130, '', 0, '738\r'),
	('AB', 214, 'DRS', 338, 'NBE', 7447, '', 0, '738\r'),
	('AB', 214, 'DRS', 338, 'PMI', 3998, '', 0, '738 321\r'),
	('AB', 214, 'DRS', 338, 'RHO', 1472, '', 0, '738\r'),
	('AB', 214, 'DRS', 338, 'TFS', 1056, '', 0, '738\r'),
	('AB', 214, 'DTM', 373, 'PMI', 3998, '', 0, '738\r'),
	('AB', 214, 'DUS', 345, 'ACE', 1055, '', 0, '321 332\r'),
	('AB', 214, 'DUS', 345, 'AGP', 1230, '', 0, '332 321\r'),
	('AB', 214, 'DUS', 345, 'ALC', 1212, '', 0, '321 332\r'),
	('AB', 214, 'DUS', 345, 'AUH', 2179, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'AYT', 1688, '', 0, '321 320\r'),
	('AB', 214, 'DUS', 345, 'BCN', 1218, '', 0, '738 321\r'),
	('AB', 214, 'DUS', 345, 'BEG', 1739, '', 0, '319\r'),
	('AB', 214, 'DUS', 345, 'CAG', 1519, '', 0, '738\r'),
	('AB', 214, 'DUS', 345, 'CFU', 1460, '', 0, '321 738\r'),
	('AB', 214, 'DUS', 345, 'CLY', 1322, '', 0, '73G\r'),
	('AB', 214, 'DUS', 345, 'CPH', 609, '', 0, '319 320 DH4 738\r'),
	('AB', 214, 'DUS', 345, 'CTA', 1509, '', 0, '321 738 320\r'),
	('AB', 214, 'DUS', 345, 'CUN', 1852, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'CUR', 2897, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'DJE', 293, '', 0, '321\r'),
	('AB', 214, 'DUS', 345, 'DME', 4029, '', 0, '738\r'),
	('AB', 214, 'DUS', 345, 'DRS', 338, '', 0, 'DH4 319 73G\r'),
	('AB', 214, 'DUS', 345, 'FAO', 1626, '', 0, '321 320\r'),
	('AB', 214, 'DUS', 345, 'FCO', 1555, '', 0, '321\r'),
	('AB', 214, 'DUS', 345, 'FLR', 1563, '', 0, 'DH4\r'),
	('AB', 214, 'DUS', 345, 'FNC', 4091, '', 0, '738 321\r'),
	('AB', 214, 'DUS', 345, 'FUE', 1051, '', 0, '738 332 321\r'),
	('AB', 214, 'DUS', 345, 'GCI', 498, '', 0, 'DH4\r'),
	('AB', 214, 'DUS', 345, 'GWT', 410, '', 0, 'DH4 319 738 320\r'),
	('AB', 214, 'DUS', 345, 'HAM', 342, '', 0, '320 319 DH4 738\r'),
	('AB', 214, 'DUS', 345, 'HEL', 421, 'Y', 0, 'E90\r'),
	('AB', 214, 'DUS', 345, 'HER', 1452, '', 0, '738 321 320\r'),
	('AB', 214, 'DUS', 345, 'HRG', 1130, '', 0, '738 332\r'),
	('AB', 214, 'DUS', 345, 'IBZ', 1225, '', 0, '321 738 332\r'),
	('AB', 214, 'DUS', 345, 'JER', 499, '', 0, '73G\r'),
	('AB', 214, 'DUS', 345, 'JFK', 3797, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'KGS', 1458, '', 0, '738 321\r'),
	('AB', 214, 'DUS', 345, 'KVA', 1462, '', 0, '738\r'),
	('AB', 214, 'DUS', 345, 'LAX', 3484, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'LPA', 1054, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'MAD', 1229, '', 0, '738 32A 321\r'),
	('AB', 214, 'DUS', 345, 'MAH', 1231, '', 0, '738\r'),
	('AB', 214, 'DUS', 345, 'MIA', 3576, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'MJT', 1469, '', 0, '738\r'),
	('AB', 214, 'DUS', 345, 'MUC', 346, '', 0, '320 738 319 321 DH4\r'),
	('AB', 214, 'DUS', 345, 'MXP', 1524, '', 0, '73G 738 320\r'),
	('AB', 214, 'DUS', 345, 'NAP', 1561, '', 0, '738 320\r'),
	('AB', 214, 'DUS', 345, 'NBE', 7447, '', 0, '738\r'),
	('AB', 214, 'DUS', 345, 'NCE', 1354, '', 0, '319 320 738\r'),
	('AB', 214, 'DUS', 345, 'NUE', 347, '', 0, 'DH4\r'),
	('AB', 214, 'DUS', 345, 'OLB', 1520, '', 0, '738 319\r'),
	('AB', 214, 'DUS', 345, 'ORD', 3830, 'Y', 0, '763\r'),
	('AB', 214, 'DUS', 345, 'PDL', 1633, '', 0, '738\r'),
	('AB', 214, 'DUS', 345, 'PMI', 3998, '', 0, '332 738 321 320\r'),
	('AB', 214, 'DUS', 345, 'POP', 1761, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'PUJ', 1760, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'PVK', 1470, '', 0, '321\r'),
	('AB', 214, 'DUS', 345, 'RHO', 1472, '', 0, '738\r'),
	('AB', 214, 'DUS', 345, 'RIX', 3953, 'Y', 0, 'DH4\r'),
	('AB', 214, 'DUS', 345, 'RMF', 4197, '', 0, '321\r'),
	('AB', 214, 'DUS', 345, 'RSW', 3793, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'SAW', 4317, '', 0, '738\r'),
	('AB', 214, 'DUS', 345, 'SKG', 1486, '', 0, '321\r'),
	('AB', 214, 'DUS', 345, 'SMI', 1476, '', 0, '320\r'),
	('AB', 214, 'DUS', 345, 'SPC', 1053, '', 0, '321\r'),
	('AB', 214, 'DUS', 345, 'STN', 548, '', 0, 'DH4\r'),
	('AB', 214, 'DUS', 345, 'STR', 350, '', 0, 'DH4\r'),
	('AB', 214, 'DUS', 345, 'SZG', 1612, '', 0, 'DH4\r'),
	('AB', 214, 'DUS', 345, 'TFS', 1056, '', 0, '332 738 321\r'),
	('AB', 214, 'DUS', 345, 'TLV', 1590, '', 0, '321 738\r'),
	('AB', 214, 'DUS', 345, 'TXL', 351, '', 0, '738 319 320 73G 321 DH4\r'),
	('AB', 214, 'DUS', 345, 'VCE', 1551, '', 0, '738 320 321\r'),
	('AB', 214, 'DUS', 345, 'VIE', 1613, '', 0, '738 321 E90 320 319\r'),
	('AB', 214, 'DUS', 345, 'VRA', 1923, '', 0, '332\r'),
	('AB', 214, 'DUS', 345, 'ZRH', 1678, '', 0, '738 319 320 73G\r'),
	('AB', 214, 'DUS', 345, 'ZTH', 1488, '', 0, '738\r'),
	('AB', 214, 'FAO', 1626, 'DUS', 345, '', 0, '321 320\r'),
	('AB', 214, 'FAO', 1626, 'HAM', 342, '', 0, '320\r'),
	('AB', 214, 'FAO', 1626, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'FAO', 1626, 'PMI', 3998, '', 0, '738 320\r'),
	('AB', 214, 'FAO', 1626, 'TXL', 351, '', 0, '321 320\r'),
	('AB', 214, 'FCO', 1555, 'DUS', 345, '', 0, '321\r'),
	('AB', 214, 'FCO', 1555, 'TXL', 351, '', 0, '320 738 73G\r'),
	('AB', 214, 'FCO', 1555, 'VIE', 1613, '', 0, 'E90\r'),
	('AB', 214, 'FDH', 382, 'IBZ', 1225, '', 0, '320\r'),
	('AB', 214, 'FDH', 382, 'PMI', 3998, '', 0, '320\r'),
	('AB', 214, 'FKB', 4166, 'PMI', 3998, '', 0, '320 321 73G\r'),
	('AB', 214, 'FKB', 4166, 'TXL', 351, '', 0, '73G 319 DH4\r'),
	('AB', 214, 'FLR', 1563, 'DUS', 345, '', 0, 'DH4\r'),
	('AB', 214, 'FLR', 1563, 'STR', 350, '', 0, 'DH4\r'),
	('AB', 214, 'FLR', 1563, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('AB', 214, 'FMM', 3986, 'CLY', 1322, '', 0, '320\r'),
	('AB', 214, 'FMO', 341, 'AYT', 1688, '', 0, '738\r'),
	('AB', 214, 'FMO', 341, 'CFU', 1460, '', 0, '738\r'),
	('AB', 214, 'FMO', 341, 'IBZ', 1225, '', 0, '738\r'),
	('AB', 214, 'FMO', 341, 'PMI', 3998, '', 0, '738 320\r'),
	('AB', 214, 'FNC', 4091, 'DUS', 345, '', 0, '738 321\r'),
	('AB', 214, 'FNC', 4091, 'LEJ', 348, '', 0, '738\r'),
	('AB', 214, 'FNC', 4091, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'FNC', 4091, 'TXL', 351, '', 0, '332 321\r'),
	('AB', 214, 'FNC', 4091, 'VIE', 1613, '', 0, '321\r'),
	('AB', 214, 'FNC', 4091, 'ZRH', 1678, '', 0, '320\r'),
	('AB', 214, 'FRA', 340, 'ALC', 1212, '', 0, '320\r'),
	('AB', 214, 'FRA', 340, 'AMM', 2170, 'Y', 0, '319\r'),
	('AB', 214, 'FRA', 340, 'AUH', 2179, 'Y', 0, '332 333\r'),
	('AB', 214, 'FRA', 340, 'BEG', 1739, '', 0, '319\r'),
	('AB', 214, 'FRA', 340, 'CFU', 1460, '', 0, '320\r'),
	('AB', 214, 'FRA', 340, 'CTA', 1509, '', 0, '320\r'),
	('AB', 214, 'FRA', 340, 'DFW', 3670, 'Y', 0, '777\r'),
	('AB', 214, 'FRA', 340, 'DME', 4029, 'Y', 0, '319\r'),
	('AB', 214, 'FRA', 340, 'GCI', 498, '', 0, 'DH4\r'),
	('AB', 214, 'FRA', 340, 'HEL', 421, 'Y', 0, 'E90\r'),
	('AB', 214, 'FRA', 340, 'IBZ', 1225, '', 0, '320\r'),
	('AB', 214, 'FRA', 340, 'LCY', 503, 'Y', 0, 'E70 E90 AR8\r'),
	('AB', 214, 'FRA', 340, 'LHR', 507, 'Y', 0, '320 767 319\r'),
	('AB', 214, 'FRA', 340, 'MAD', 1229, 'Y', 0, '32A\r'),
	('AB', 214, 'FRA', 340, 'PMI', 3998, '', 0, '320 321 332\r'),
	('AB', 214, 'FRA', 340, 'RIX', 3953, 'Y', 0, '735 DH4 73C\r'),
	('AB', 214, 'FRA', 340, 'TXL', 351, '', 0, '320 738 73G 319 DH4\r'),
	('AB', 214, 'FRA', 340, 'VIE', 1613, 'Y', 0, 'E90 320\r'),
	('AB', 214, 'FUE', 1051, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'FUE', 1051, 'DUS', 345, '', 0, '738 332 321\r'),
	('AB', 214, 'FUE', 1051, 'HAM', 342, '', 0, '738\r'),
	('AB', 214, 'FUE', 1051, 'LEJ', 348, '', 0, '738\r'),
	('AB', 214, 'FUE', 1051, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'FUE', 1051, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'FUE', 1051, 'SZG', 1612, '', 0, '320\r'),
	('AB', 214, 'FUE', 1051, 'TXL', 351, '', 0, '321 738\r'),
	('AB', 214, 'FUE', 1051, 'VIE', 1613, '', 0, '321\r'),
	('AB', 214, 'FUE', 1051, 'ZRH', 1678, '', 0, '320\r'),
	('AB', 214, 'GCI', 498, 'DUS', 345, '', 0, 'DH4\r'),
	('AB', 214, 'GCI', 498, 'JER', 499, '', 0, 'DH4\r'),
	('AB', 214, 'GDN', 668, 'TXL', 351, '', 0, 'DH4\r'),
	('AB', 214, 'GOT', 687, 'TXL', 351, '', 0, '73G\r'),
	('AB', 214, 'GRZ', 1609, 'HER', 1452, '', 0, '320\r'),
	('AB', 214, 'GRZ', 1609, 'PMI', 3998, 'Y', 0, '320\r'),
	('AB', 214, 'GRZ', 1609, 'TFS', 1056, '', 0, '320\r'),
	('AB', 214, 'GRZ', 1609, 'TXL', 351, '', 0, '319\r'),
	('AB', 214, 'GVA', 1665, 'MAD', 1229, 'Y', 0, '320 319\r'),
	('AB', 214, 'GWT', 410, 'DUS', 345, '', 0, 'DH4 319 738 320\r'),
	('AB', 214, 'GWT', 410, 'MUC', 346, '', 0, 'DH4 73G\r'),
	('AB', 214, 'GWT', 410, 'STR', 350, '', 0, 'DH4 73G\r'),
	('AB', 214, 'GWT', 410, 'TXL', 351, '', 0, 'DH4\r'),
	('AB', 214, 'GWT', 410, 'ZRH', 1678, '', 0, '73G DH4\r'),
	('AB', 214, 'HAJ', 352, 'IBZ', 1225, '', 0, '738\r'),
	('AB', 214, 'HAJ', 352, 'JER', 499, '', 0, 'DH4\r'),
	('AB', 214, 'HAJ', 352, 'LHR', 507, 'Y', 0, '319\r'),
	('AB', 214, 'HAJ', 352, 'PMI', 3998, '', 0, '738 321\r'),
	('AB', 214, 'HAJ', 352, 'STR', 350, '', 0, 'DH4\r'),
	('AB', 214, 'HAJ', 352, 'VIE', 1613, '', 0, '320 E90\r'),
	('AB', 214, 'HAM', 342, 'ACE', 1055, '', 0, '320\r'),
	('AB', 214, 'HAM', 342, 'AGP', 1230, '', 0, '320 738 321\r'),
	('AB', 214, 'HAM', 342, 'ALC', 1212, '', 0, '320\r'),
	('AB', 214, 'HAM', 342, 'AYT', 1688, '', 0, '320 738\r'),
	('AB', 214, 'HAM', 342, 'CFU', 1460, '', 0, '320\r'),
	('AB', 214, 'HAM', 342, 'DUS', 345, '', 0, '319 320 DH4 738\r'),
	('AB', 214, 'HAM', 342, 'FAO', 1626, '', 0, '320\r'),
	('AB', 214, 'HAM', 342, 'FUE', 1051, '', 0, '738\r'),
	('AB', 214, 'HAM', 342, 'HEL', 421, 'Y', 0, 'E90 319 E70\r'),
	('AB', 214, 'HAM', 342, 'HER', 1452, '', 0, '320\r'),
	('AB', 214, 'HAM', 342, 'IBZ', 1225, '', 0, '320 738\r'),
	('AB', 214, 'HAM', 342, 'KGS', 1458, '', 0, '738\r'),
	('AB', 214, 'HAM', 342, 'LHR', 507, 'Y', 0, '320 319 321\r'),
	('AB', 214, 'HAM', 342, 'LPA', 1054, '', 0, '320\r'),
	('AB', 214, 'HAM', 342, 'MUC', 346, '', 0, '320 738 73G\r'),
	('AB', 214, 'HAM', 342, 'NUE', 347, '', 0, 'DH4\r'),
	('AB', 214, 'HAM', 342, 'OLB', 1520, '', 0, '320\r'),
	('AB', 214, 'HAM', 342, 'PMI', 3998, '', 0, '320 738 332 319\r'),
	('AB', 214, 'HAM', 342, 'RIX', 3953, 'Y', 0, 'DH4 735 73C\r'),
	('AB', 214, 'HAM', 342, 'SKG', 1486, '', 0, '320\r'),
	('AB', 214, 'HAM', 342, 'STR', 350, '', 0, '320 738\r'),
	('AB', 214, 'HAM', 342, 'SZG', 1612, '', 0, '320 319\r'),
	('AB', 214, 'HAM', 342, 'TFS', 1056, '', 0, '320\r'),
	('AB', 214, 'HAM', 342, 'VIE', 1613, '', 0, '320 E90 321\r'),
	('AB', 214, 'HEL', 421, 'DUS', 345, 'Y', 0, 'E90\r'),
	('AB', 214, 'HEL', 421, 'FRA', 340, 'Y', 0, 'E90\r'),
	('AB', 214, 'HEL', 421, 'HAM', 342, 'Y', 0, 'E90 319 E70\r'),
	('AB', 214, 'HEL', 421, 'MUC', 346, 'Y', 0, '319 320 E90\r'),
	('AB', 214, 'HEL', 421, 'TXL', 351, '', 0, '738 73G\r'),
	('AB', 214, 'HEL', 421, 'VIE', 1613, 'Y', 0, '320 319 E90\r'),
	('AB', 214, 'HEL', 421, 'ZRH', 1678, '', 0, '319\r'),
	('AB', 214, 'HER', 1452, 'BSL', 4053, '', 0, '320\r'),
	('AB', 214, 'HER', 1452, 'DRS', 338, '', 0, '738\r'),
	('AB', 214, 'HER', 1452, 'DUS', 345, '', 0, '738 321 320\r'),
	('AB', 214, 'HER', 1452, 'GRZ', 1609, '', 0, '320\r'),
	('AB', 214, 'HER', 1452, 'HAM', 342, '', 0, '320\r'),
	('AB', 214, 'HER', 1452, 'LEJ', 348, '', 0, '738\r'),
	('AB', 214, 'HER', 1452, 'LNZ', 1611, '', 0, '321\r'),
	('AB', 214, 'HER', 1452, 'MUC', 346, '', 0, '738 320\r'),
	('AB', 214, 'HER', 1452, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'HER', 1452, 'SZG', 1612, '', 0, '321\r'),
	('AB', 214, 'HER', 1452, 'TXL', 351, '', 0, '738 321\r'),
	('AB', 214, 'HER', 1452, 'VIE', 1613, '', 0, '320 321\r'),
	('AB', 214, 'HER', 1452, 'ZRH', 1678, '', 0, '320 319\r'),
	('AB', 214, 'HKT', 3179, 'AUH', 2179, '', 0, '332\r'),
	('AB', 214, 'HKT', 3179, 'BKK', 3885, 'Y', 0, '320\r'),
	('AB', 214, 'HRG', 1130, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'HRG', 1130, 'DRS', 338, '', 0, '738\r'),
	('AB', 214, 'HRG', 1130, 'DUS', 345, '', 0, '738 332\r'),
	('AB', 214, 'HRG', 1130, 'LEJ', 348, '', 0, '738\r'),
	('AB', 214, 'HRG', 1130, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'HRG', 1130, 'TXL', 351, '', 0, '321\r'),
	('AB', 214, 'IBZ', 1225, 'BSL', 4053, '', 0, '320\r'),
	('AB', 214, 'IBZ', 1225, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'IBZ', 1225, 'DUS', 345, '', 0, '321 738 332\r'),
	('AB', 214, 'IBZ', 1225, 'FDH', 382, '', 0, '320\r'),
	('AB', 214, 'IBZ', 1225, 'FMO', 341, '', 0, '738\r'),
	('AB', 214, 'IBZ', 1225, 'FRA', 340, '', 0, '320\r'),
	('AB', 214, 'IBZ', 1225, 'HAJ', 352, '', 0, '738\r'),
	('AB', 214, 'IBZ', 1225, 'HAM', 342, '', 0, '320 738\r'),
	('AB', 214, 'IBZ', 1225, 'MUC', 346, '', 0, '738 320\r'),
	('AB', 214, 'IBZ', 1225, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'IBZ', 1225, 'PAD', 371, '', 0, '738\r'),
	('AB', 214, 'IBZ', 1225, 'PMI', 3998, '', 0, '320 738\r'),
	('AB', 214, 'IBZ', 1225, 'STR', 350, '', 0, '738 320\r'),
	('AB', 214, 'IBZ', 1225, 'TXL', 351, '', 0, '738 321\r'),
	('AB', 214, 'IBZ', 1225, 'ZRH', 1678, '', 0, '320\r'),
	('AB', 214, 'INN', 1610, 'PMI', 3998, 'Y', 0, '320\r'),
	('AB', 214, 'JER', 499, 'DUS', 345, '', 0, '73G\r'),
	('AB', 214, 'JER', 499, 'FRA', 340, '', 0, 'DH4\r'),
	('AB', 214, 'JER', 499, 'HAJ', 352, '', 0, 'DH4\r'),
	('AB', 214, 'JER', 499, 'STR', 350, '', 0, 'DH4\r'),
	('AB', 214, 'JFK', 3797, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'JFK', 3797, 'TXL', 351, '', 0, '332\r'),
	('AB', 214, 'JMK', 1468, 'VIE', 1613, '', 0, '320 321\r'),
	('AB', 214, 'JTR', 1479, 'VIE', 1613, '', 0, '321 320 E90\r'),
	('AB', 214, 'KGD', 2952, 'TXL', 351, '', 0, 'DH4\r'),
	('AB', 214, 'KGS', 1458, 'CGN', 344, '', 0, '738 73G\r'),
	('AB', 214, 'KGS', 1458, 'DUS', 345, '', 0, '738 321\r'),
	('AB', 214, 'KGS', 1458, 'HAM', 342, '', 0, '738\r'),
	('AB', 214, 'KGS', 1458, 'LEJ', 348, '', 0, '738\r'),
	('AB', 214, 'KGS', 1458, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'KGS', 1458, 'TXL', 351, '', 0, '320 738\r'),
	('AB', 214, 'KLX', 1456, 'VIE', 1613, '', 0, '320 E90\r'),
	('AB', 214, 'KRK', 669, 'TXL', 351, '', 0, 'DH4 319 73G\r'),
	('AB', 214, 'KVA', 1462, 'DUS', 345, '', 0, '738\r'),
	('AB', 214, 'KVA', 1462, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'LAX', 3484, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'LCA', 1197, 'VIE', 1613, '', 0, '320\r'),
	('AB', 214, 'LCY', 503, 'FRA', 340, 'Y', 0, 'E70 E90 AR8\r'),
	('AB', 214, 'LCY', 503, 'ZRH', 1678, 'Y', 0, 'E90 E70\r'),
	('AB', 214, 'LED', 2948, 'TXL', 351, '', 0, '73G 738\r'),
	('AB', 214, 'LEI', 1213, 'PMI', 3998, '', 0, '738\r'),
	('AB', 214, 'LEJ', 348, 'ACE', 1055, '', 0, '738\r'),
	('AB', 214, 'LEJ', 348, 'AYT', 1688, '', 0, '738\r'),
	('AB', 214, 'LEJ', 348, 'FNC', 4091, '', 0, '738\r'),
	('AB', 214, 'LEJ', 348, 'FUE', 1051, '', 0, '738\r'),
	('AB', 214, 'LEJ', 348, 'HER', 1452, '', 0, '738\r'),
	('AB', 214, 'LEJ', 348, 'HRG', 1130, '', 0, '738\r'),
	('AB', 214, 'LEJ', 348, 'KGS', 1458, '', 0, '738\r'),
	('AB', 214, 'LEJ', 348, 'PMI', 3998, '', 0, '738 320\r'),
	('AB', 214, 'LEJ', 348, 'TFS', 1056, '', 0, '738\r'),
	('AB', 214, 'LGW', 502, 'SZG', 1612, 'Y', 0, '734\r'),
	('AB', 214, 'LHR', 507, 'BSL', 4053, 'Y', 0, '319 320 321\r'),
	('AB', 214, 'LHR', 507, 'FRA', 340, 'Y', 0, '767 319 320\r'),
	('AB', 214, 'LHR', 507, 'HAJ', 352, 'Y', 0, '319\r'),
	('AB', 214, 'LHR', 507, 'HAM', 342, 'Y', 0, '319 321 320\r'),
	('AB', 214, 'LHR', 507, 'MUC', 346, 'Y', 0, '320 321 319\r'),
	('AB', 214, 'LHR', 507, 'ORY', 1386, 'Y', 0, '320 319\r'),
	('AB', 214, 'LHR', 507, 'STR', 350, 'Y', 0, '319 321 320\r'),
	('AB', 214, 'LHR', 507, 'TXL', 351, 'Y', 0, '320 321 319\r'),
	('AB', 214, 'LHR', 507, 'VIE', 1613, 'Y', 0, '320\r'),
	('AB', 214, 'LHR', 507, 'ZRH', 1678, 'Y', 0, '319 320 321\r'),
	('AB', 214, 'LNZ', 1611, 'HER', 1452, '', 0, '321\r'),
	('AB', 214, 'LNZ', 1611, 'PMI', 3998, 'Y', 0, '320\r'),
	('AB', 214, 'LPA', 1054, 'BSL', 4053, '', 0, '320\r'),
	('AB', 214, 'LPA', 1054, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'LPA', 1054, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'LPA', 1054, 'HAM', 342, '', 0, '320\r'),
	('AB', 214, 'LPA', 1054, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'LPA', 1054, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'LPA', 1054, 'SZG', 1612, '', 0, '320\r'),
	('AB', 214, 'LPA', 1054, 'TXL', 351, '', 0, '321 320\r'),
	('AB', 214, 'LPA', 1054, 'VIE', 1613, '', 0, '320\r'),
	('AB', 214, 'LPA', 1054, 'ZRH', 1678, '', 0, '320\r'),
	('AB', 214, 'MAD', 1229, 'DUS', 345, '', 0, '32A 738 321\r'),
	('AB', 214, 'MAD', 1229, 'FRA', 340, 'Y', 0, '32A\r'),
	('AB', 214, 'MAD', 1229, 'GVA', 1665, 'Y', 0, '319 320\r'),
	('AB', 214, 'MAD', 1229, 'MUC', 346, 'Y', 0, '319 320 321\r'),
	('AB', 214, 'MAD', 1229, 'TXL', 351, '', 0, '738 320\r'),
	('AB', 214, 'MAD', 1229, 'VIE', 1613, '', 0, '320 321\r'),
	('AB', 214, 'MAD', 1229, 'ZRH', 1678, 'Y', 0, '319\r'),
	('AB', 214, 'MAH', 1231, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'MAH', 1231, 'DUS', 345, '', 0, '738\r'),
	('AB', 214, 'MAH', 1231, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'MAH', 1231, 'PMI', 3998, '', 0, '320 319\r'),
	('AB', 214, 'MAH', 1231, 'TXL', 351, '', 0, '738\r'),
	('AB', 214, 'MIA', 3576, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'MIA', 3576, 'TXL', 351, '', 0, '332\r'),
	('AB', 214, 'MJT', 1469, 'DUS', 345, '', 0, '738\r'),
	('AB', 214, 'MJT', 1469, 'MUC', 346, '', 0, '320\r'),
	('AB', 214, 'MLA', 1606, 'VIE', 1613, '', 0, 'E90\r'),
	('AB', 214, 'MUC', 346, 'ACE', 1055, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'AGP', 1230, '', 0, '738 320\r'),
	('AB', 214, 'MUC', 346, 'ALC', 1212, '', 0, '320 738\r'),
	('AB', 214, 'MUC', 346, 'AMM', 2170, 'Y', 0, '319\r'),
	('AB', 214, 'MUC', 346, 'AOK', 1459, '', 0, '320\r'),
	('AB', 214, 'MUC', 346, 'AUH', 2179, 'Y', 0, '346 345 333\r'),
	('AB', 214, 'MUC', 346, 'AYT', 1688, '', 0, '321\r'),
	('AB', 214, 'MUC', 346, 'BDS', 1506, '', 0, '73G 738\r'),
	('AB', 214, 'MUC', 346, 'CAG', 1519, '', 0, '320 738\r'),
	('AB', 214, 'MUC', 346, 'CFU', 1460, '', 0, '321 320\r'),
	('AB', 214, 'MUC', 346, 'CGN', 344, '', 0, '73G\r'),
	('AB', 214, 'MUC', 346, 'CTA', 1509, '', 0, '320 321 738\r'),
	('AB', 214, 'MUC', 346, 'DME', 4029, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'DUS', 345, '', 0, '738 320 319 321 DH4\r'),
	('AB', 214, 'MUC', 346, 'FAO', 1626, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'FNC', 4091, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'FUE', 1051, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'GWT', 410, '', 0, 'DH4 73G\r'),
	('AB', 214, 'MUC', 346, 'HAM', 342, '', 0, '320 738 73G\r'),
	('AB', 214, 'MUC', 346, 'HEL', 421, 'Y', 0, '319 320 E90\r'),
	('AB', 214, 'MUC', 346, 'HER', 1452, '', 0, '738 320\r'),
	('AB', 214, 'MUC', 346, 'IBZ', 1225, '', 0, '738 320\r'),
	('AB', 214, 'MUC', 346, 'KGS', 1458, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'KVA', 1462, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'LHR', 507, 'Y', 0, '321 320 319\r'),
	('AB', 214, 'MUC', 346, 'LPA', 1054, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'MAD', 1229, 'Y', 0, '319 320 321\r'),
	('AB', 214, 'MUC', 346, 'MAH', 1231, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'MJT', 1469, '', 0, '320\r'),
	('AB', 214, 'MUC', 346, 'NAP', 1561, '', 0, '320 738\r'),
	('AB', 214, 'MUC', 346, 'NBE', 7447, '', 0, '320\r'),
	('AB', 214, 'MUC', 346, 'OLB', 1520, '', 0, '73G 738 320\r'),
	('AB', 214, 'MUC', 346, 'PMI', 3998, '', 0, '738 321 320\r'),
	('AB', 214, 'MUC', 346, 'PUJ', 1760, '', 0, '332\r'),
	('AB', 214, 'MUC', 346, 'PVK', 1470, '', 0, '320\r'),
	('AB', 214, 'MUC', 346, 'RHO', 1472, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'RIX', 3953, 'Y', 0, '73C DH4 735\r'),
	('AB', 214, 'MUC', 346, 'SAW', 4317, '', 0, '738 320\r'),
	('AB', 214, 'MUC', 346, 'SKG', 1486, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'SMI', 1476, '', 0, '320\r'),
	('AB', 214, 'MUC', 346, 'TFS', 1056, '', 0, '738\r'),
	('AB', 214, 'MUC', 346, 'TLV', 1590, '', 0, '320\r'),
	('AB', 214, 'MUC', 346, 'TXL', 351, '', 0, '738 321 320 319 73G\r'),
	('AB', 214, 'MUC', 346, 'VIE', 1613, 'Y', 0, 'E90\r'),
	('AB', 214, 'MUC', 346, 'ZTH', 1488, '', 0, '738\r'),
	('AB', 214, 'MXP', 1524, 'DUS', 345, '', 0, '73G 738 320\r'),
	('AB', 214, 'MXP', 1524, 'TXL', 351, '', 0, '738 73G 320\r'),
	('AB', 214, 'MXP', 1524, 'VIE', 1613, 'Y', 0, 'E90\r'),
	('AB', 214, 'NAP', 1561, 'DUS', 345, '', 0, '738 320\r'),
	('AB', 214, 'NAP', 1561, 'MUC', 346, '', 0, '320 738\r'),
	('AB', 214, 'NAP', 1561, 'STR', 350, '', 0, '320 738\r'),
	('AB', 214, 'NAP', 1561, 'TXL', 351, '', 0, '320 73G\r'),
	('AB', 214, 'NAP', 1561, 'ZRH', 1678, '', 0, '320\r'),
	('AB', 214, 'NBE', 7447, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'NBE', 7447, 'DRS', 338, '', 0, '738\r'),
	('AB', 214, 'NBE', 7447, 'DUS', 345, '', 0, '738\r'),
	('AB', 214, 'NBE', 7447, 'MUC', 346, '', 0, '320\r'),
	('AB', 214, 'NBE', 7447, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'NBE', 7447, 'TXL', 351, '', 0, '738\r'),
	('AB', 214, 'NCE', 1354, 'DUS', 345, '', 0, '319 320 738\r'),
	('AB', 214, 'NCE', 1354, 'VIE', 1613, 'Y', 0, 'E90\r'),
	('AB', 214, 'NUE', 347, 'AYT', 1688, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'DJE', 293, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'DUS', 345, '', 0, 'DH4\r'),
	('AB', 214, 'NUE', 347, 'FUE', 1051, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'HAM', 342, '', 0, 'DH4\r'),
	('AB', 214, 'NUE', 347, 'HER', 1452, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'HRG', 1130, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'IBZ', 1225, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'KGS', 1458, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'LPA', 1054, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'NBE', 7447, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'OLB', 1520, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'PMI', 3998, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'RHO', 1472, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'SAW', 4317, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'SKG', 1486, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'SMI', 1476, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'SPU', 1206, '', 0, 'DH4\r'),
	('AB', 214, 'NUE', 347, 'TFS', 1056, '', 0, '738\r'),
	('AB', 214, 'NUE', 347, 'TXL', 351, '', 0, 'DH4 319\r'),
	('AB', 214, 'NUE', 347, 'VIE', 1613, '', 0, 'DH4\r'),
	('AB', 214, 'OLB', 1520, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'OLB', 1520, 'DUS', 345, '', 0, '738 319\r'),
	('AB', 214, 'OLB', 1520, 'HAM', 342, '', 0, '320\r'),
	('AB', 214, 'OLB', 1520, 'MUC', 346, '', 0, '73G 738 320\r'),
	('AB', 214, 'OLB', 1520, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'OLB', 1520, 'STR', 350, '', 0, '320 738 73G\r'),
	('AB', 214, 'OLB', 1520, 'TXL', 351, '', 0, '320 73G\r'),
	('AB', 214, 'OLB', 1520, 'VIE', 1613, '', 0, '320\r'),
	('AB', 214, 'OLB', 1520, 'ZRH', 1678, '', 0, '320 738\r'),
	('AB', 214, 'ORD', 3830, 'DUS', 345, 'Y', 0, '763\r'),
	('AB', 214, 'ORD', 3830, 'TXL', 351, '', 0, '332\r'),
	('AB', 214, 'ORY', 1386, 'LHR', 507, 'Y', 0, '319 320\r'),
	('AB', 214, 'ORY', 1386, 'TXL', 351, '', 0, '738 320 319\r'),
	('AB', 214, 'OSL', 644, 'TXL', 351, '', 0, '319\r'),
	('AB', 214, 'OTP', 1657, 'TXL', 351, '', 0, '320 73G\r'),
	('AB', 214, 'PAD', 371, 'AYT', 1688, '', 0, '738\r'),
	('AB', 214, 'PAD', 371, 'IBZ', 1225, '', 0, '738\r'),
	('AB', 214, 'PAD', 371, 'PMI', 3998, '', 0, '738 320\r'),
	('AB', 214, 'PDL', 1633, 'DUS', 345, '', 0, '738\r'),
	('AB', 214, 'PEK', 3364, 'NGO', 3942, 'Y', 0, '332\r'),
	('AB', 214, 'PEK', 3364, 'TXL', 351, 'Y', 0, '330\r'),
	('AB', 214, 'PMI', 3998, 'AGP', 1230, '', 0, '320 321\r'),
	('AB', 214, 'PMI', 3998, 'ALC', 1212, '', 0, '321 320\r'),
	('AB', 214, 'PMI', 3998, 'BIO', 1216, '', 0, '320 738\r'),
	('AB', 214, 'PMI', 3998, 'BRE', 353, '', 0, '320 738 319\r'),
	('AB', 214, 'PMI', 3998, 'BSL', 4053, '', 0, '320 738\r'),
	('AB', 214, 'PMI', 3998, 'CGN', 344, '', 0, '738 332 320\r'),
	('AB', 214, 'PMI', 3998, 'CPH', 609, '', 0, '738\r'),
	('AB', 214, 'PMI', 3998, 'DRS', 338, '', 0, '738 321\r'),
	('AB', 214, 'PMI', 3998, 'DTM', 373, '', 0, '738\r'),
	('AB', 214, 'PMI', 3998, 'DUS', 345, '', 0, '332 321 738 320\r'),
	('AB', 214, 'PMI', 3998, 'FAO', 1626, '', 0, '738 320\r'),
	('AB', 214, 'PMI', 3998, 'FDH', 382, '', 0, '320\r'),
	('AB', 214, 'PMI', 3998, 'FKB', 4166, '', 0, '320 321 73G\r'),
	('AB', 214, 'PMI', 3998, 'FMO', 341, '', 0, '738 320\r'),
	('AB', 214, 'PMI', 3998, 'FRA', 340, '', 0, '321 320 332\r'),
	('AB', 214, 'PMI', 3998, 'GRZ', 1609, 'Y', 0, '320\r'),
	('AB', 214, 'PMI', 3998, 'HAJ', 352, '', 0, '321 738\r'),
	('AB', 214, 'PMI', 3998, 'HAM', 342, '', 0, '738 320 332 319\r'),
	('AB', 214, 'PMI', 3998, 'IBZ', 1225, '', 0, '320 738\r'),
	('AB', 214, 'PMI', 3998, 'INN', 1610, 'Y', 0, '320\r'),
	('AB', 214, 'PMI', 3998, 'LEI', 1213, '', 0, '738\r'),
	('AB', 214, 'PMI', 3998, 'LEJ', 348, '', 0, '738 320\r'),
	('AB', 214, 'PMI', 3998, 'LNZ', 1611, 'Y', 0, '320\r'),
	('AB', 214, 'PMI', 3998, 'MAH', 1231, '', 0, '320 319\r'),
	('AB', 214, 'PMI', 3998, 'MUC', 346, '', 0, '320 321 738\r'),
	('AB', 214, 'PMI', 3998, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'PMI', 3998, 'PAD', 371, '', 0, '320 738\r'),
	('AB', 214, 'PMI', 3998, 'SCN', 349, '', 0, '73G 738 320\r'),
	('AB', 214, 'PMI', 3998, 'STR', 350, '', 0, '332 738 321 320\r'),
	('AB', 214, 'PMI', 3998, 'SVQ', 1253, '', 0, '738\r'),
	('AB', 214, 'PMI', 3998, 'SZG', 1612, 'Y', 0, '320\r'),
	('AB', 214, 'PMI', 3998, 'TXL', 351, '', 0, '321 738 320\r'),
	('AB', 214, 'PMI', 3998, 'VIE', 1613, '', 0, '321 320\r'),
	('AB', 214, 'PMI', 3998, 'VLC', 1246, '', 0, '738 320 73G\r'),
	('AB', 214, 'PMI', 3998, 'XRY', 1226, '', 0, '320\r'),
	('AB', 214, 'PMI', 3998, 'ZRH', 1678, '', 0, '738 320 332 321\r'),
	('AB', 214, 'POP', 1761, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'PUJ', 1760, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'PUJ', 1760, 'MUC', 346, '', 0, '332\r'),
	('AB', 214, 'PVK', 1470, 'DUS', 345, '', 0, '321\r'),
	('AB', 214, 'PVK', 1470, 'MUC', 346, '', 0, '320\r'),
	('AB', 214, 'PVK', 1470, 'VIE', 1613, '', 0, 'E90\r'),
	('AB', 214, 'RHO', 1472, 'DRS', 338, '', 0, '738\r'),
	('AB', 214, 'RHO', 1472, 'DUS', 345, '', 0, '738\r'),
	('AB', 214, 'RHO', 1472, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'RHO', 1472, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'RHO', 1472, 'TXL', 351, '', 0, '320\r'),
	('AB', 214, 'RHO', 1472, 'VIE', 1613, '', 0, '320 E90\r'),
	('AB', 214, 'RIX', 3953, 'DUS', 345, 'Y', 0, 'DH4\r'),
	('AB', 214, 'RIX', 3953, 'FRA', 340, 'Y', 0, '735 DH4 73C\r'),
	('AB', 214, 'RIX', 3953, 'HAM', 342, 'Y', 0, 'DH4 735\r'),
	('AB', 214, 'RIX', 3953, 'MUC', 346, 'Y', 0, '73C DH4 735\r'),
	('AB', 214, 'RIX', 3953, 'TXL', 351, 'Y', 0, 'DH4 735\r'),
	('AB', 214, 'RMF', 4197, 'DUS', 345, '', 0, '321\r'),
	('AB', 214, 'RSW', 3793, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'SAW', 4317, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'SAW', 4317, 'DUS', 345, '', 0, '738\r'),
	('AB', 214, 'SAW', 4317, 'MUC', 346, '', 0, '738 320\r'),
	('AB', 214, 'SAW', 4317, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'SAW', 4317, 'STR', 350, '', 0, '320 738\r'),
	('AB', 214, 'SAW', 4317, 'SXF', 337, '', 0, '738\r'),
	('AB', 214, 'SCN', 349, 'PMI', 3998, '', 0, '73G 738 320\r'),
	('AB', 214, 'SCN', 349, 'TXL', 351, '', 0, '73G 320\r'),
	('AB', 214, 'SIN', 3316, 'AUH', 2179, 'Y', 0, '332\r'),
	('AB', 214, 'SIN', 3316, 'BNE', 3320, 'Y', 0, '332\r'),
	('AB', 214, 'SKG', 1486, 'DUS', 345, '', 0, '321\r'),
	('AB', 214, 'SKG', 1486, 'HAM', 342, '', 0, '320\r'),
	('AB', 214, 'SKG', 1486, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'SKG', 1486, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'SKG', 1486, 'STR', 350, '', 0, '738\r'),
	('AB', 214, 'SKG', 1486, 'TXL', 351, '', 0, '319\r'),
	('AB', 214, 'SKG', 1486, 'VIE', 1613, '', 0, 'E90\r'),
	('AB', 214, 'SMI', 1476, 'DUS', 345, '', 0, '320\r'),
	('AB', 214, 'SMI', 1476, 'MUC', 346, '', 0, '320\r'),
	('AB', 214, 'SMI', 1476, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'SMI', 1476, 'TXL', 351, '', 0, '320\r'),
	('AB', 214, 'SOF', 1194, 'TXL', 351, '', 0, '73G\r'),
	('AB', 214, 'SPC', 1053, 'DUS', 345, '', 0, '321\r'),
	('AB', 214, 'SPU', 1206, 'NUE', 347, '', 0, 'DH4\r'),
	('AB', 214, 'STN', 548, 'DUS', 345, '', 0, 'DH4\r'),
	('AB', 214, 'STR', 350, 'AGP', 1230, '', 0, '320 738\r'),
	('AB', 214, 'STR', 350, 'ALC', 1212, '', 0, '320 738\r'),
	('AB', 214, 'STR', 350, 'AYT', 1688, '', 0, '738 320\r'),
	('AB', 214, 'STR', 350, 'BEG', 1739, '', 0, '733 319\r'),
	('AB', 214, 'STR', 350, 'CTA', 1509, '', 0, '738 320\r'),
	('AB', 214, 'STR', 350, 'DUS', 345, '', 0, 'DH4\r'),
	('AB', 214, 'STR', 350, 'FLR', 1563, '', 0, 'DH4\r'),
	('AB', 214, 'STR', 350, 'GWT', 410, '', 0, 'DH4 73G\r'),
	('AB', 214, 'STR', 350, 'HAJ', 352, '', 0, 'DH4\r'),
	('AB', 214, 'STR', 350, 'HAM', 342, '', 0, '320 738\r'),
	('AB', 214, 'STR', 350, 'IBZ', 1225, '', 0, '738 320\r'),
	('AB', 214, 'STR', 350, 'JER', 499, '', 0, 'DH4\r'),
	('AB', 214, 'STR', 350, 'LHR', 507, 'Y', 0, '319 321 320\r'),
	('AB', 214, 'STR', 350, 'NAP', 1561, '', 0, '320 738\r'),
	('AB', 214, 'STR', 350, 'OLB', 1520, '', 0, '320 738 73G\r'),
	('AB', 214, 'STR', 350, 'PMI', 3998, '', 0, '321 332 738 320\r'),
	('AB', 214, 'STR', 350, 'SAW', 4317, '', 0, '320\r'),
	('AB', 214, 'STR', 350, 'SKG', 1486, '', 0, '738\r'),
	('AB', 214, 'STR', 350, 'TXL', 351, '', 0, '738 320 73G 321 DH4 319\r'),
	('AB', 214, 'STR', 350, 'VCE', 1551, '', 0, '320 73G\r'),
	('AB', 214, 'SUF', 1508, 'ZRH', 1678, '', 0, '320\r'),
	('AB', 214, 'SVQ', 1253, 'PMI', 3998, '', 0, '738\r'),
	('AB', 214, 'SXF', 337, 'SAW', 4317, '', 0, '738\r'),
	('AB', 214, 'SZG', 1612, 'ACE', 1055, '', 0, '320\r'),
	('AB', 214, 'SZG', 1612, 'CLY', 1322, '', 0, '320\r'),
	('AB', 214, 'SZG', 1612, 'DUS', 345, '', 0, 'DH4\r'),
	('AB', 214, 'SZG', 1612, 'HAM', 342, '', 0, '320 319\r'),
	('AB', 214, 'SZG', 1612, 'HER', 1452, '', 0, '321\r'),
	('AB', 214, 'SZG', 1612, 'LGW', 502, 'Y', 0, '734\r'),
	('AB', 214, 'SZG', 1612, 'LPA', 1054, '', 0, '320\r'),
	('AB', 214, 'SZG', 1612, 'PMI', 3998, 'Y', 0, '320\r'),
	('AB', 214, 'SZG', 1612, 'TFS', 1056, '', 0, '320\r'),
	('AB', 214, 'SZG', 1612, 'TXL', 351, '', 0, '319\r'),
	('AB', 214, 'SZG', 1612, 'VIE', 1613, '', 0, '320\r'),
	('AB', 214, 'TFS', 1056, 'BSL', 4053, '', 0, '320\r'),
	('AB', 214, 'TFS', 1056, 'CGN', 344, '', 0, '738\r'),
	('AB', 214, 'TFS', 1056, 'DRS', 338, '', 0, '738\r'),
	('AB', 214, 'TFS', 1056, 'DUS', 345, '', 0, '332 738 321\r'),
	('AB', 214, 'TFS', 1056, 'GRZ', 1609, '', 0, '320\r'),
	('AB', 214, 'TFS', 1056, 'HAM', 342, '', 0, '320\r'),
	('AB', 214, 'TFS', 1056, 'LEJ', 348, '', 0, '738\r'),
	('AB', 214, 'TFS', 1056, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'TFS', 1056, 'NUE', 347, '', 0, '738\r'),
	('AB', 214, 'TFS', 1056, 'SZG', 1612, '', 0, '320\r'),
	('AB', 214, 'TFS', 1056, 'TXL', 351, '', 0, '321\r'),
	('AB', 214, 'TFS', 1056, 'VIE', 1613, '', 0, '320\r'),
	('AB', 214, 'TFS', 1056, 'ZRH', 1678, '', 0, '320\r'),
	('AB', 214, 'TLV', 1590, 'DUS', 345, '', 0, '321 738\r'),
	('AB', 214, 'TLV', 1590, 'MUC', 346, '', 0, '320\r'),
	('AB', 214, 'TLV', 1590, 'TXL', 351, '', 0, '320 321 738\r'),
	('AB', 214, 'TXL', 351, 'ACE', 1055, '', 0, '321\r'),
	('AB', 214, 'TXL', 351, 'AGP', 1230, '', 0, '321\r'),
	('AB', 214, 'TXL', 351, 'ALC', 1212, '', 0, '320 73G\r'),
	('AB', 214, 'TXL', 351, 'AMM', 2170, 'Y', 0, '320 319\r'),
	('AB', 214, 'TXL', 351, 'ARN', 737, '', 0, '738 320 321 319\r'),
	('AB', 214, 'TXL', 351, 'AUH', 2179, '', 0, '332\r'),
	('AB', 214, 'TXL', 351, 'AYT', 1688, '', 0, '320 321 738\r'),
	('AB', 214, 'TXL', 351, 'BCN', 1218, '', 0, '738 320 321\r'),
	('AB', 214, 'TXL', 351, 'BEG', 1739, '', 0, '319\r'),
	('AB', 214, 'TXL', 351, 'BRI', 1501, '', 0, '738 320\r'),
	('AB', 214, 'TXL', 351, 'BUD', 1489, '', 0, '73G 319\r'),
	('AB', 214, 'TXL', 351, 'CFU', 1460, '', 0, '320 321\r'),
	('AB', 214, 'TXL', 351, 'CGN', 344, '', 0, '321 738 73G 320 319\r'),
	('AB', 214, 'TXL', 351, 'CPH', 609, '', 0, '319 73G 738\r'),
	('AB', 214, 'TXL', 351, 'CTA', 1509, '', 0, '321 320 738\r'),
	('AB', 214, 'TXL', 351, 'DME', 4029, '', 0, '738\r'),
	('AB', 214, 'TXL', 351, 'DUS', 345, '', 0, '738 319 73G 320 321 DH4\r'),
	('AB', 214, 'TXL', 351, 'FAO', 1626, '', 0, '321 320\r'),
	('AB', 214, 'TXL', 351, 'FCO', 1555, '', 0, '320 738 73G\r'),
	('AB', 214, 'TXL', 351, 'FKB', 4166, '', 0, '73G 319 DH4\r'),
	('AB', 214, 'TXL', 351, 'FNC', 4091, '', 0, '332 321\r'),
	('AB', 214, 'TXL', 351, 'FRA', 340, '', 0, '738 73G 319 320 DH4\r'),
	('AB', 214, 'TXL', 351, 'FUE', 1051, '', 0, '321 738\r'),
	('AB', 214, 'TXL', 351, 'GDN', 668, '', 0, 'DH4\r'),
	('AB', 214, 'TXL', 351, 'GOT', 687, '', 0, '73G\r'),
	('AB', 214, 'TXL', 351, 'GRZ', 1609, '', 0, '319\r'),
	('AB', 214, 'TXL', 351, 'GWT', 410, '', 0, 'DH4\r'),
	('AB', 214, 'TXL', 351, 'HEL', 421, '', 0, '738 73G\r'),
	('AB', 214, 'TXL', 351, 'HER', 1452, '', 0, '738 321\r'),
	('AB', 214, 'TXL', 351, 'HRG', 1130, '', 0, '321\r'),
	('AB', 214, 'TXL', 351, 'IBZ', 1225, '', 0, '738 321\r'),
	('AB', 214, 'TXL', 351, 'JFK', 3797, '', 0, '332\r'),
	('AB', 214, 'TXL', 351, 'KGD', 2952, '', 0, 'DH4\r'),
	('AB', 214, 'TXL', 351, 'KGS', 1458, '', 0, '320 738\r'),
	('AB', 214, 'TXL', 351, 'KRK', 669, '', 0, '319 DH4 73G\r'),
	('AB', 214, 'TXL', 351, 'LED', 2948, '', 0, '738 73G\r'),
	('AB', 214, 'TXL', 351, 'LHR', 507, 'Y', 0, '320 321 319\r'),
	('AB', 214, 'TXL', 351, 'LPA', 1054, '', 0, '321 320\r'),
	('AB', 214, 'TXL', 351, 'MAD', 1229, '', 0, '738 320\r'),
	('AB', 214, 'TXL', 351, 'MAH', 1231, '', 0, '738\r'),
	('AB', 214, 'TXL', 351, 'MIA', 3576, '', 0, '332\r'),
	('AB', 214, 'TXL', 351, 'MUC', 346, '', 0, '321 738 320 319 73G\r'),
	('AB', 214, 'TXL', 351, 'MXP', 1524, '', 0, '738 73G 320\r'),
	('AB', 214, 'TXL', 351, 'NAP', 1561, '', 0, '320 73G\r'),
	('AB', 214, 'TXL', 351, 'NBE', 7447, '', 0, '738\r'),
	('AB', 214, 'TXL', 351, 'NUE', 347, '', 0, '319 DH4\r'),
	('AB', 214, 'TXL', 351, 'OLB', 1520, '', 0, '320 73G\r'),
	('AB', 214, 'TXL', 351, 'ORD', 3830, '', 0, '332\r'),
	('AB', 214, 'TXL', 351, 'ORY', 1386, '', 0, '738 320 319\r'),
	('AB', 214, 'TXL', 351, 'OSL', 644, '', 0, '319\r'),
	('AB', 214, 'TXL', 351, 'OTP', 1657, '', 0, '320 73G\r'),
	('AB', 214, 'TXL', 351, 'PEK', 3364, 'Y', 0, '330\r'),
	('AB', 214, 'TXL', 351, 'PMI', 3998, '', 0, '320 321 738\r'),
	('AB', 214, 'TXL', 351, 'RHO', 1472, '', 0, '320\r'),
	('AB', 214, 'TXL', 351, 'RIX', 3953, 'Y', 0, 'DH4 735\r'),
	('AB', 214, 'TXL', 351, 'SCN', 349, '', 0, '73G 320\r'),
	('AB', 214, 'TXL', 351, 'SKG', 1486, '', 0, '319\r'),
	('AB', 214, 'TXL', 351, 'SMI', 1476, '', 0, '320\r'),
	('AB', 214, 'TXL', 351, 'SOF', 1194, '', 0, '73G\r'),
	('AB', 214, 'TXL', 351, 'STR', 350, '', 0, '320 738 73G 321 DH4 319\r'),
	('AB', 214, 'TXL', 351, 'SZG', 1612, '', 0, '319\r'),
	('AB', 214, 'TXL', 351, 'TFS', 1056, '', 0, '321\r'),
	('AB', 214, 'TXL', 351, 'TLV', 1590, '', 0, '321 738 320\r'),
	('AB', 214, 'TXL', 351, 'VCE', 1551, '', 0, '320 738 73G\r'),
	('AB', 214, 'TXL', 351, 'VIE', 1613, '', 0, '321 320 E90\r'),
	('AB', 214, 'TXL', 351, 'WAW', 679, '', 0, 'DH4 319\r'),
	('AB', 214, 'TXL', 351, 'ZRH', 1678, '', 0, '738 319 321 320 73G\r'),
	('AB', 214, 'VCE', 1551, 'DUS', 345, '', 0, '738 320 321\r'),
	('AB', 214, 'VCE', 1551, 'STR', 350, '', 0, '320 73G\r'),
	('AB', 214, 'VCE', 1551, 'TXL', 351, '', 0, '320 738 73G\r'),
	('AB', 214, 'VIE', 1613, 'ACE', 1055, '', 0, '321\r'),
	('AB', 214, 'VIE', 1613, 'AGP', 1230, 'Y', 0, '321 320\r'),
	('AB', 214, 'VIE', 1613, 'AMM', 2170, 'Y', 0, '320 319\r'),
	('AB', 214, 'VIE', 1613, 'ARN', 737, 'Y', 0, 'E90\r'),
	('AB', 214, 'VIE', 1613, 'BCN', 1218, 'Y', 0, '320 321\r'),
	('AB', 214, 'VIE', 1613, 'CDG', 1382, 'Y', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'CFU', 1460, '', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'CHQ', 1474, '', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'CPH', 609, 'Y', 0, 'E90\r'),
	('AB', 214, 'VIE', 1613, 'DUS', 345, '', 0, '321 738 E90 320 319\r'),
	('AB', 214, 'VIE', 1613, 'FCO', 1555, '', 0, 'E90\r'),
	('AB', 214, 'VIE', 1613, 'FLR', 1563, 'Y', 0, 'DH4\r'),
	('AB', 214, 'VIE', 1613, 'FNC', 4091, '', 0, '321\r'),
	('AB', 214, 'VIE', 1613, 'FRA', 340, 'Y', 0, 'E90 320\r'),
	('AB', 214, 'VIE', 1613, 'HAJ', 352, '', 0, '320 E90\r'),
	('AB', 214, 'VIE', 1613, 'HAM', 342, '', 0, 'E90 320 321\r'),
	('AB', 214, 'VIE', 1613, 'HEL', 421, 'Y', 0, '320 319 E90\r'),
	('AB', 214, 'VIE', 1613, 'HER', 1452, '', 0, '320 321\r'),
	('AB', 214, 'VIE', 1613, 'JMK', 1468, '', 0, '320 321\r'),
	('AB', 214, 'VIE', 1613, 'JTR', 1479, '', 0, '321 320 E90\r'),
	('AB', 214, 'VIE', 1613, 'KLX', 1456, '', 0, '320 E90\r'),
	('AB', 214, 'VIE', 1613, 'LCA', 1197, '', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'LHR', 507, 'Y', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'LPA', 1054, '', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'MAD', 1229, '', 0, '320 321\r'),
	('AB', 214, 'VIE', 1613, 'MLA', 1606, '', 0, 'E90\r'),
	('AB', 214, 'VIE', 1613, 'MUC', 346, 'Y', 0, 'E90\r'),
	('AB', 214, 'VIE', 1613, 'MXP', 1524, 'Y', 0, 'E90\r'),
	('AB', 214, 'VIE', 1613, 'NCE', 1354, 'Y', 0, 'E90\r'),
	('AB', 214, 'VIE', 1613, 'NUE', 347, '', 0, 'DH4\r'),
	('AB', 214, 'VIE', 1613, 'OLB', 1520, '', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'PMI', 3998, '', 0, '321 320\r'),
	('AB', 214, 'VIE', 1613, 'PVK', 1470, '', 0, 'E90\r'),
	('AB', 214, 'VIE', 1613, 'RHO', 1472, '', 0, '320 E90\r'),
	('AB', 214, 'VIE', 1613, 'SKG', 1486, '', 0, 'E90\r'),
	('AB', 214, 'VIE', 1613, 'SZG', 1612, '', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'TFS', 1056, '', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'TXL', 351, '', 0, '321 320 E90\r'),
	('AB', 214, 'VIE', 1613, 'VLC', 1246, 'Y', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'VOL', 1448, '', 0, '320\r'),
	('AB', 214, 'VIE', 1613, 'ZRH', 1678, 'Y', 0, '321 E90 320\r'),
	('AB', 214, 'VIE', 1613, 'ZTH', 1488, '', 0, '320 E90\r'),
	('AB', 214, 'VLC', 1246, 'PMI', 3998, '', 0, '738 320 73G\r'),
	('AB', 214, 'VLC', 1246, 'VIE', 1613, 'Y', 0, '320\r'),
	('AB', 214, 'VOL', 1448, 'VIE', 1613, '', 0, '320\r'),
	('AB', 214, 'VRA', 1923, 'DUS', 345, '', 0, '332\r'),
	('AB', 214, 'WAW', 679, 'TXL', 351, '', 0, '319 DH4\r'),
	('AB', 214, 'XRY', 1226, 'PMI', 3998, '', 0, '320\r'),
	('AB', 214, 'ZRH', 1678, 'ACE', 1055, '', 0, '320\r'),
	('AB', 214, 'ZRH', 1678, 'ALC', 1212, '', 0, '320 321\r'),
	('AB', 214, 'ZRH', 1678, 'BDS', 1506, '', 0, '320\r'),
	('AB', 214, 'ZRH', 1678, 'CTA', 1509, '', 0, '320 319\r'),
	('AB', 214, 'ZRH', 1678, 'DUS', 345, '', 0, '319 738 320 73G\r'),
	('AB', 214, 'ZRH', 1678, 'FNC', 4091, '', 0, '320\r'),
	('AB', 214, 'ZRH', 1678, 'FUE', 1051, '', 0, '320\r'),
	('AB', 214, 'ZRH', 1678, 'GWT', 410, '', 0, '73G DH4\r'),
	('AB', 214, 'ZRH', 1678, 'HEL', 421, '', 0, '319\r'),
	('AB', 214, 'ZRH', 1678, 'HER', 1452, '', 0, '320 319\r'),
	('AB', 214, 'ZRH', 1678, 'IBZ', 1225, '', 0, '320\r'),
	('AB', 214, 'ZRH', 1678, 'LCY', 503, 'Y', 0, 'E90 E70\r'),
	('AB', 214, 'ZRH', 1678, 'LHR', 507, 'Y', 0, '320 319 321\r'),
	('AB', 214, 'ZRH', 1678, 'LPA', 1054, '', 0, '320\r'),
	('AB', 214, 'ZRH', 1678, 'MAD', 1229, 'Y', 0, '319\r'),
	('AB', 214, 'ZRH', 1678, 'NAP', 1561, '', 0, '320\r'),
	('AB', 214, 'ZRH', 1678, 'OLB', 1520, '', 0, '320 738\r'),
	('AB', 214, 'ZRH', 1678, 'PMI', 3998, '', 0, '738 320 332 321\r'),
	('AB', 214, 'ZRH', 1678, 'SUF', 1508, '', 0, '320\r'),
	('AB', 214, 'ZRH', 1678, 'TFS', 1056, '', 0, '320\r'),
	('AB', 214, 'ZRH', 1678, 'TXL', 351, '', 0, '319 738 321 320 73G\r'),
	('AB', 214, 'ZRH', 1678, 'VIE', 1613, 'Y', 0, '321 E90 320\r'),
	('AB', 214, 'ZTH', 1488, 'DUS', 345, '', 0, '738\r'),
	('AB', 214, 'ZTH', 1488, 'MUC', 346, '', 0, '738\r'),
	('AB', 214, 'ZTH', 1488, 'VIE', 1613, '', 0, '320 E90\r'),
	('ABJ', 43, 'GNM', 7407, 'SSA', 2621, '', 0, 'EMB\r'),
	('ABJ', 43, 'LAZ', 2582, 'GNM', 7407, '', 0, 'EMB\r'),
	('ABJ', 43, 'SSA', 2621, 'LAZ', 2582, '', 0, 'EMB\r'),
	('AC', 330, 'ABJ', 253, 'BRU', 302, '', 1, '333\r'),
	('AC', 330, 'ABJ', 253, 'OUA', 246, 'Y', 0, '332\r'),
	('AC', 330, 'ADD', 1107, 'JED', 2072, 'Y', 0, '333\r'),
	('AC', 330, 'AMS', 580, 'CPH', 609, 'Y', 0, '319 321\r'),
	('AC', 330, 'ANU', 2874, 'YYZ', 193, '', 0, '320\r'),
	('AC', 330, 'ATL', 3682, 'DEN', 3751, 'Y', 0, 'CR7\r'),
	('AC', 330, 'ATL', 3682, 'YYZ', 193, 'Y', 0, 'CRA CRJ\r'),
	('AC', 330, 'AUA', 2895, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'AUH', 2179, 'YYZ', 193, '', 0, '77W\r'),
	('AC', 330, 'AZS', 5810, 'YUL', 146, '', 0, '320\r'),
	('AC', 330, 'AZS', 5810, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'BAH', 2057, 'DOH', 2241, 'Y', 0, '333\r'),
	('AC', 330, 'BCN', 1218, 'YYZ', 193, 'Y', 0, '763\r'),
	('AC', 330, 'BDA', 4069, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'BDL', 3825, 'YUL', 146, 'Y', 0, 'BEH\r'),
	('AC', 330, 'BDL', 3825, 'YYZ', 193, 'Y', 0, 'BEH\r'),
	('AC', 330, 'BGI', 2875, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'BJM', 1120, 'NBO', 4059, 'Y', 0, '332\r'),
	('AC', 330, 'BKK', 3885, 'ICN', 3930, 'Y', 0, '333 777\r'),
	('AC', 330, 'BKK', 3885, 'NRT', 2279, 'Y', 0, '777\r'),
	('AC', 330, 'BNA', 3690, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'BOG', 2709, 'YYZ', 193, '', 0, '763\r'),
	('AC', 330, 'BOS', 3448, 'YHZ', 73, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'BOS', 3448, 'YOW', 100, 'Y', 0, 'DH1\r'),
	('AC', 330, 'BOS', 3448, 'YUL', 146, 'Y', 0, 'CRJ DH3\r'),
	('AC', 330, 'BOS', 3448, 'YYZ', 193, '', 0, 'E90 E75\r'),
	('AC', 330, 'BRU', 302, 'BJM', 1120, 'Y', 0, '332\r'),
	('AC', 330, 'BRU', 302, 'COO', 245, 'Y', 0, '332\r'),
	('AC', 330, 'BRU', 302, 'DKR', 1084, 'Y', 0, '333\r'),
	('AC', 330, 'BRU', 302, 'DLA', 897, 'Y', 0, '333\r'),
	('AC', 330, 'BRU', 302, 'KGL', 1165, 'Y', 0, '332\r'),
	('AC', 330, 'BRU', 302, 'LAD', 951, 'Y', 0, '333\r'),
	('AC', 330, 'BRU', 302, 'OUA', 246, 'Y', 0, '333\r'),
	('AC', 330, 'BRU', 302, 'YUL', 146, '', 0, '333\r'),
	('AC', 330, 'BRU', 302, 'YYZ', 193, 'Y', 0, '332\r'),
	('AC', 330, 'BWI', 3849, 'YYZ', 193, 'Y', 0, 'DH1\r'),
	('AC', 330, 'CCC', 5852, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'CDG', 1382, 'YUL', 146, '', 0, '77W\r'),
	('AC', 330, 'CDG', 1382, 'YYZ', 193, '', 0, '77W\r'),
	('AC', 330, 'CKY', 4162, 'DKR', 1084, 'Y', 0, '333\r'),
	('AC', 330, 'CLE', 3486, 'YYZ', 193, 'Y', 0, 'DH1\r'),
	('AC', 330, 'CLT', 3876, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'CMH', 3759, 'YYZ', 193, 'Y', 0, 'DH1\r'),
	('AC', 330, 'COO', 245, 'ABJ', 253, 'Y', 0, '332\r'),
	('AC', 330, 'CPH', 609, 'AMS', 580, 'Y', 0, '319\r'),
	('AC', 330, 'CPH', 609, 'OSL', 644, 'Y', 0, '321\r'),
	('AC', 330, 'CPH', 609, 'VNO', 3959, 'Y', 0, 'M80\r'),
	('AC', 330, 'CPH', 609, 'WAW', 679, 'Y', 0, 'M80\r'),
	('AC', 330, 'CPH', 609, 'YYZ', 193, '', 0, '763\r'),
	('AC', 330, 'CUN', 1852, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'CUN', 1852, 'YYC', 178, '', 0, '319\r'),
	('AC', 330, 'CUN', 1852, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'CVG', 3488, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'CZM', 1800, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'DCA', 3520, 'YOW', 100, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'DCA', 3520, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'DCA', 3520, 'YYZ', 193, '', 0, 'E75\r'),
	('AC', 330, 'DEL', 3093, 'BRU', 302, 'Y', 0, '332\r'),
	('AC', 330, 'DEN', 3751, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('AC', 330, 'DEN', 3751, 'MSY', 3861, 'Y', 0, '738 739\r'),
	('AC', 330, 'DEN', 3751, 'YEG', 49, 'Y', 0, 'CRJ 319 E70\r'),
	('AC', 330, 'DEN', 3751, 'YMM', 90, 'Y', 0, 'CR7\r'),
	('AC', 330, 'DEN', 3751, 'YQR', 120, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'DEN', 3751, 'YUL', 146, '', 0, 'E90\r'),
	('AC', 330, 'DEN', 3751, 'YVR', 156, 'Y', 0, '319 320 CR7 738\r'),
	('AC', 330, 'DEN', 3751, 'YWG', 160, 'Y', 0, 'ERJ\r'),
	('AC', 330, 'DEN', 3751, 'YXE', 166, 'Y', 0, 'ERJ\r'),
	('AC', 330, 'DEN', 3751, 'YYC', 178, 'Y', 0, 'CRJ 738 320 739\r'),
	('AC', 330, 'DEN', 3751, 'YYZ', 193, '', 0, 'E90\r'),
	('AC', 330, 'DFW', 3670, 'YYZ', 193, '', 0, 'E75\r'),
	('AC', 330, 'DKR', 1084, 'BRU', 302, 'Y', 0, '333\r'),
	('AC', 330, 'DKR', 1084, 'CKY', 4162, 'Y', 0, '333\r'),
	('AC', 330, 'DLA', 897, 'BRU', 302, 'Y', 0, '333\r'),
	('AC', 330, 'DLA', 897, 'FIH', 1020, 'Y', 0, '333\r'),
	('AC', 330, 'DOH', 2241, 'BAH', 2057, 'Y', 0, '333\r'),
	('AC', 330, 'DOH', 2241, 'FRA', 340, 'Y', 0, '333\r'),
	('AC', 330, 'DTW', 3645, 'YYZ', 193, 'Y', 0, 'CRJ BEH\r'),
	('AC', 330, 'DUB', 599, 'YYZ', 193, 'Y', 0, '763\r'),
	('AC', 330, 'EBB', 1187, 'BRU', 302, 'Y', 0, '332\r'),
	('AC', 330, 'EWR', 3494, 'MSY', 3861, 'Y', 0, '319 E70 320 738\r'),
	('AC', 330, 'EWR', 3494, 'YEG', 49, 'Y', 0, '319\r'),
	('AC', 330, 'EWR', 3494, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'EWR', 3494, 'YVR', 156, '', 0, '319\r'),
	('AC', 330, 'EWR', 3494, 'YYC', 178, '', 0, 'E90\r'),
	('AC', 330, 'EWR', 3494, 'YYZ', 193, '', 0, 'E75 E90\r'),
	('AC', 330, 'EZE', 3988, 'SCL', 2650, '', 0, '763\r'),
	('AC', 330, 'FCO', 1555, 'YYZ', 193, '', 0, '333\r'),
	('AC', 330, 'FDF', 2878, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'FIH', 1020, 'BRU', 302, 'Y', 0, '333\r'),
	('AC', 330, 'FIH', 1020, 'DLA', 897, 'Y', 0, '333\r'),
	('AC', 330, 'FLL', 3533, 'YUL', 146, '', 0, '320\r'),
	('AC', 330, 'FLL', 3533, 'YYZ', 193, '', 0, '320\r'),
	('AC', 330, 'FRA', 340, 'DOH', 2241, 'Y', 0, '333\r'),
	('AC', 330, 'FRA', 340, 'JED', 2072, 'Y', 0, '333\r'),
	('AC', 330, 'FRA', 340, 'LCA', 1197, 'Y', 0, '319 321\r'),
	('AC', 330, 'FRA', 340, 'NAP', 1561, 'Y', 0, '321\r'),
	('AC', 330, 'FRA', 340, 'VLC', 1246, 'Y', 0, '319\r'),
	('AC', 330, 'FRA', 340, 'VNO', 3959, 'Y', 0, '321\r'),
	('AC', 330, 'FRA', 340, 'YOW', 100, '', 0, '333\r'),
	('AC', 330, 'FRA', 340, 'YUL', 146, '', 0, '333\r'),
	('AC', 330, 'FRA', 340, 'YVR', 156, 'Y', 0, '744\r'),
	('AC', 330, 'FRA', 340, 'YYC', 178, '', 0, '77W\r'),
	('AC', 330, 'FRA', 340, 'YYZ', 193, '', 0, '77W\r'),
	('AC', 330, 'GCM', 1926, 'YYZ', 193, '', 0, 'E90\r'),
	('AC', 330, 'GDN', 668, 'CPH', 609, 'Y', 0, 'M80\r'),
	('AC', 330, 'GGT', 1941, 'YYZ', 193, '', 0, 'E90\r'),
	('AC', 330, 'GND', 2882, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'GRU', 2564, 'YYZ', 193, '', 0, '763\r'),
	('AC', 330, 'GVA', 1665, 'YUL', 146, '', 0, '333\r'),
	('AC', 330, 'HAV', 1909, 'YYZ', 193, '', 0, 'E90\r'),
	('AC', 330, 'HKG', 3077, 'YVR', 156, '', 0, '77W\r'),
	('AC', 330, 'HKG', 3077, 'YYZ', 193, '', 0, '77L\r'),
	('AC', 330, 'HND', 2359, 'YVR', 156, '', 0, '763\r'),
	('AC', 330, 'HNL', 3728, 'YVR', 156, '', 0, '763\r'),
	('AC', 330, 'HOG', 1910, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'HOG', 1910, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'IAD', 3714, 'MSY', 3861, 'Y', 0, 'ERJ CR7 738 E70 739\r'),
	('AC', 330, 'IAD', 3714, 'YOW', 100, 'Y', 0, 'ERJ\r'),
	('AC', 330, 'IAD', 3714, 'YUL', 146, 'Y', 0, 'ERJ CRJ\r'),
	('AC', 330, 'IAD', 3714, 'YYZ', 193, 'Y', 0, 'ERJ CRJ CR7\r'),
	('AC', 330, 'IAH', 3550, 'MSY', 3861, 'Y', 0, 'CR7 320 73G 738 E70 ERJ 319\r'),
	('AC', 330, 'IAH', 3550, 'YEG', 49, 'Y', 0, '738 320 737 319\r'),
	('AC', 330, 'IAH', 3550, 'YUL', 146, 'Y', 0, 'E70\r'),
	('AC', 330, 'IAH', 3550, 'YYC', 178, 'Y', 0, 'CRA 738 320 739\r'),
	('AC', 330, 'IAH', 3550, 'YYZ', 193, 'Y', 0, 'CRA\r'),
	('AC', 330, 'ICN', 3930, 'BKK', 3885, 'Y', 0, '333 777\r'),
	('AC', 330, 'ICN', 3930, 'YVR', 156, '', 0, '763\r'),
	('AC', 330, 'IND', 3585, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'IST', 1701, 'YYZ', 193, '', 0, '763 77W\r'),
	('AC', 330, 'JED', 2072, 'ADD', 1107, 'Y', 0, '333\r'),
	('AC', 330, 'JED', 2072, 'FRA', 340, 'Y', 0, '333\r'),
	('AC', 330, 'JED', 2072, 'IST', 1701, '', 0, '321\r'),
	('AC', 330, 'JFK', 3797, 'YYZ', 193, 'Y', 0, 'CRA\r'),
	('AC', 330, 'KGL', 1165, 'EBB', 1187, 'Y', 0, '332\r'),
	('AC', 330, 'KGL', 1165, 'NBO', 4059, 'Y', 0, '332\r'),
	('AC', 330, 'KIN', 1779, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'LAD', 951, 'FIH', 1020, 'Y', 0, '333\r'),
	('AC', 330, 'LAS', 3877, 'YUL', 146, '', 0, '763\r'),
	('AC', 330, 'LAS', 3877, 'YVR', 156, '', 0, '319\r'),
	('AC', 330, 'LAS', 3877, 'YYC', 178, '', 0, '319\r'),
	('AC', 330, 'LAS', 3877, 'YYZ', 193, '', 0, '763 319\r'),
	('AC', 330, 'LAX', 3484, 'YLW', 87, 'Y', 0, 'CR7\r'),
	('AC', 330, 'LAX', 3484, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'LAX', 3484, 'YVR', 156, '', 0, '319\r'),
	('AC', 330, 'LAX', 3484, 'YYC', 178, '', 0, '319\r'),
	('AC', 330, 'LAX', 3484, 'YYZ', 193, '', 0, '320 321\r'),
	('AC', 330, 'LCA', 1197, 'FRA', 340, 'Y', 0, '319 321\r'),
	('AC', 330, 'LGA', 3697, 'YOW', 100, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'LGA', 3697, 'YUL', 146, '', 0, 'E75\r'),
	('AC', 330, 'LGA', 3697, 'YYZ', 193, '', 0, 'E90 E75\r'),
	('AC', 330, 'LHR', 507, 'YEG', 49, '', 0, '763\r'),
	('AC', 330, 'LHR', 507, 'YHZ', 73, '', 0, '763\r'),
	('AC', 330, 'LHR', 507, 'YOW', 100, '', 0, '763\r'),
	('AC', 330, 'LHR', 507, 'YUL', 146, '', 0, '77W\r'),
	('AC', 330, 'LHR', 507, 'YVR', 156, '', 0, '77W\r'),
	('AC', 330, 'LHR', 507, 'YYC', 178, '', 0, '333\r'),
	('AC', 330, 'LHR', 507, 'YYT', 189, '', 0, '319\r'),
	('AC', 330, 'LHR', 507, 'YYZ', 193, '', 0, '77L 763 77W 333\r'),
	('AC', 330, 'LIM', 2789, 'YYZ', 193, '', 0, '763\r'),
	('AC', 330, 'LIR', 1881, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'MBJ', 1780, 'YHZ', 73, '', 0, '319\r'),
	('AC', 330, 'MBJ', 1780, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'MBJ', 1780, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'MCI', 3458, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'MCO', 3878, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'MCO', 3878, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'MDT', 3542, 'YYZ', 193, 'Y', 0, 'BEH\r'),
	('AC', 330, 'MEX', 1824, 'YVR', 156, '', 0, '319\r'),
	('AC', 330, 'MEX', 1824, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'MIA', 3576, 'GUA', 1767, 'Y', 0, 'E90\r'),
	('AC', 330, 'MIA', 3576, 'YYZ', 193, '', 0, 'E90\r'),
	('AC', 330, 'MKE', 3717, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'MSP', 3858, 'YYZ', 193, 'Y', 0, 'CRA CRJ\r'),
	('AC', 330, 'MSY', 3861, 'DEN', 3751, 'Y', 0, '320 738 ERJ\r'),
	('AC', 330, 'MSY', 3861, 'EWR', 3494, 'Y', 0, '738 ERJ 320 319\r'),
	('AC', 330, 'MSY', 3861, 'IAD', 3714, 'Y', 0, '320 E70 319 CR7\r'),
	('AC', 330, 'MSY', 3861, 'IAH', 3550, 'Y', 0, '319 738 73G 320 ERJ\r'),
	('AC', 330, 'MSY', 3861, 'ORD', 3830, 'Y', 0, '320 CR7 319 ERJ\r'),
	('AC', 330, 'MSY', 3861, 'YYZ', 193, 'Y', 0, 'CRA\r'),
	('AC', 330, 'MUC', 346, 'SOF', 1194, 'Y', 0, 'E95\r'),
	('AC', 330, 'MUC', 346, 'YUL', 146, 'Y', 0, '333\r'),
	('AC', 330, 'MUC', 346, 'YVR', 156, 'Y', 0, '333\r'),
	('AC', 330, 'MUC', 346, 'YYZ', 193, '', 0, '77W\r'),
	('AC', 330, 'NAP', 1561, 'FRA', 340, 'Y', 0, '320 321 319\r'),
	('AC', 330, 'NAS', 1953, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'NBO', 4059, 'BRU', 302, 'Y', 0, '332\r'),
	('AC', 330, 'NRT', 2279, 'BKK', 3885, 'Y', 0, '777\r'),
	('AC', 330, 'NRT', 2279, 'YVR', 156, '', 0, '763\r'),
	('AC', 330, 'NRT', 2279, 'YYC', 178, '', 0, '763\r'),
	('AC', 330, 'NRT', 2279, 'YYZ', 193, '', 0, '77W\r'),
	('AC', 330, 'OGG', 3456, 'YVR', 156, '', 0, '763\r'),
	('AC', 330, 'ORD', 3830, 'MSY', 3861, 'Y', 0, '320 CR7 ERJ 319\r'),
	('AC', 330, 'ORD', 3830, 'YEG', 49, 'Y', 0, 'E70 CR7\r'),
	('AC', 330, 'ORD', 3830, 'YHZ', 73, 'Y', 0, 'ERJ\r'),
	('AC', 330, 'ORD', 3830, 'YOW', 100, 'Y', 0, 'ERJ E70\r'),
	('AC', 330, 'ORD', 3830, 'YQB', 111, 'Y', 0, 'ERJ\r'),
	('AC', 330, 'ORD', 3830, 'YQR', 120, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'ORD', 3830, 'YUL', 146, '', 0, 'E75\r'),
	('AC', 330, 'ORD', 3830, 'YVR', 156, 'Y', 0, '319 320 739 737 738\r'),
	('AC', 330, 'ORD', 3830, 'YWG', 160, 'Y', 0, 'ERJ CRJ\r'),
	('AC', 330, 'ORD', 3830, 'YXU', 174, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'ORD', 3830, 'YYC', 178, 'Y', 0, 'CR7 737\r'),
	('AC', 330, 'ORD', 3830, 'YYZ', 193, '', 0, 'E75\r'),
	('AC', 330, 'OUA', 246, 'ABJ', 253, 'Y', 0, '333\r'),
	('AC', 330, 'OUA', 246, 'BRU', 302, 'Y', 0, '333\r'),
	('AC', 330, 'PAP', 1897, 'YUL', 146, '', 0, '763\r'),
	('AC', 330, 'PDX', 3720, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'PDX', 3720, 'YYC', 178, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'PEK', 3364, 'YVR', 156, '', 0, '330 77W\r'),
	('AC', 330, 'PEK', 3364, 'YYZ', 193, '', 0, '77W\r'),
	('AC', 330, 'PHL', 3752, 'YYZ', 193, '', 0, 'E75\r'),
	('AC', 330, 'PHX', 3462, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'PIT', 3570, 'YYZ', 193, 'Y', 0, 'DH1\r'),
	('AC', 330, 'PLS', 1754, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'PLS', 1754, 'YYZ', 193, '', 0, 'E90\r'),
	('AC', 330, 'POP', 1761, 'YHZ', 73, '', 0, '319\r'),
	('AC', 330, 'POP', 1761, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'PTP', 2881, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'PUJ', 1760, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'PUJ', 1760, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'PVG', 3406, 'YVR', 156, '', 0, '763\r'),
	('AC', 330, 'PVG', 3406, 'YYZ', 193, '', 0, '77L\r'),
	('AC', 330, 'PVR', 1836, 'YVR', 156, '', 0, '319\r'),
	('AC', 330, 'PVR', 1836, 'YYC', 178, '', 0, '319\r'),
	('AC', 330, 'RDU', 3626, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'ROC', 3622, 'YYZ', 193, 'Y', 0, 'BEH\r'),
	('AC', 330, 'RSW', 3793, 'YYZ', 193, '', 0, '320\r'),
	('AC', 330, 'SAN', 3731, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'SCL', 2650, 'EZE', 3988, '', 0, '763\r'),
	('AC', 330, 'SCL', 2650, 'YYZ', 193, '', 0, '763\r'),
	('AC', 330, 'SEA', 3577, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'SEA', 3577, 'YYZ', 193, '', 0, 'E90\r'),
	('AC', 330, 'SFO', 3469, 'YEG', 49, 'Y', 0, 'CR7\r'),
	('AC', 330, 'SFO', 3469, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'SFO', 3469, 'YVR', 156, '', 0, 'E90 320 319\r'),
	('AC', 330, 'SFO', 3469, 'YYC', 178, 'Y', 0, 'CR7\r'),
	('AC', 330, 'SFO', 3469, 'YYJ', 184, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'SFO', 3469, 'YYZ', 193, '', 0, '320\r'),
	('AC', 330, 'SJD', 1840, 'YYC', 178, '', 0, '319\r'),
	('AC', 330, 'SJO', 1885, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'SNU', 1918, 'YHZ', 73, '', 0, '320\r'),
	('AC', 330, 'SNU', 1918, 'YUL', 146, '', 0, '319\r'),
	('AC', 330, 'SNU', 1918, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'STL', 3678, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'SYD', 3361, 'YVR', 156, '', 0, '77L\r'),
	('AC', 330, 'SYR', 3745, 'YYZ', 193, 'Y', 0, 'BEH\r'),
	('AC', 330, 'TLV', 1590, 'YUL', 146, '', 0, '763\r'),
	('AC', 330, 'TLV', 1590, 'YYZ', 193, '', 0, '763\r'),
	('AC', 330, 'TPA', 3646, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'TRD', 665, 'CPH', 609, 'Y', 0, 'M80\r'),
	('AC', 330, 'UVF', 2894, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'VIE', 1613, 'YYZ', 193, 'Y', 0, '763\r'),
	('AC', 330, 'VLC', 1246, 'FRA', 340, 'Y', 0, '319\r'),
	('AC', 330, 'VNO', 3959, 'CPH', 609, 'Y', 0, 'M80\r'),
	('AC', 330, 'VNO', 3959, 'FRA', 340, 'Y', 0, '320 321\r'),
	('AC', 330, 'VRA', 1923, 'YUL', 146, '', 0, '320\r'),
	('AC', 330, 'VRA', 1923, 'YYC', 178, '', 0, '319\r'),
	('AC', 330, 'VRA', 1923, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'WAW', 679, 'CPH', 609, 'Y', 0, 'M80\r'),
	('AC', 330, 'WAW', 679, 'YYZ', 193, '', 0, '788\r'),
	('AC', 330, 'YAM', 21, 'YYZ', 193, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YBC', 27, 'YUL', 146, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YBC', 27, 'YYY', 192, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YBG', 28, 'YUL', 146, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YBL', 30, 'YQQ', 119, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YCD', 33, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YCG', 34, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YCG', 34, 'YYC', 178, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YDF', 45, 'YHZ', 73, 'Y', 0, 'CRJ DH1\r'),
	('AC', 330, 'YDF', 45, 'YYR', 188, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YDF', 45, 'YYT', 189, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YDF', 45, 'YYZ', 193, '', 0, 'E90\r'),
	('AC', 330, 'YEG', 49, 'DEN', 3751, 'Y', 0, 'CR7 CRJ 319 E70\r'),
	('AC', 330, 'YEG', 49, 'EWR', 3494, 'Y', 0, '319\r'),
	('AC', 330, 'YEG', 49, 'IAH', 3550, 'Y', 0, '738 320 737 319\r'),
	('AC', 330, 'YEG', 49, 'LHR', 507, '', 0, '763\r'),
	('AC', 330, 'YEG', 49, 'ORD', 3830, 'Y', 0, 'E70 CR7\r'),
	('AC', 330, 'YEG', 49, 'SFO', 3469, 'Y', 0, 'CR7\r'),
	('AC', 330, 'YEG', 49, 'YMM', 90, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YEG', 49, 'YOW', 100, '', 0, 'E90\r'),
	('AC', 330, 'YEG', 49, 'YQR', 120, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YEG', 49, 'YQU', 122, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YEG', 49, 'YUL', 146, '', 0, '320\r'),
	('AC', 330, 'YEG', 49, 'YVR', 156, '', 0, 'E90 320 319\r'),
	('AC', 330, 'YEG', 49, 'YWG', 160, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YEG', 49, 'YXE', 166, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YEG', 49, 'YYC', 178, 'Y', 0, 'DH4 CRJ DH3\r'),
	('AC', 330, 'YEG', 49, 'YYZ', 193, '', 0, '320 319 E90\r'),
	('AC', 330, 'YEG', 49, 'YZF', 196, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YFC', 56, 'YHZ', 73, '', 0, 'BEH\r'),
	('AC', 330, 'YFC', 56, 'YOW', 100, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YFC', 56, 'YUL', 146, 'Y', 0, 'DH1 DH4\r'),
	('AC', 330, 'YFC', 56, 'YYZ', 193, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YGK', 61, 'YYZ', 193, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YGP', 63, 'YGR', 65, 'Y', 0, 'DH3 DH1\r'),
	('AC', 330, 'YGP', 63, 'YQB', 111, 'Y', 0, 'DH1 DH3\r'),
	('AC', 330, 'YGR', 65, 'YGP', 63, 'Y', 0, 'DH1 DH3\r'),
	('AC', 330, 'YHZ', 73, 'BOS', 3448, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YHZ', 73, 'LHR', 507, '', 0, '763\r'),
	('AC', 330, 'YHZ', 73, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('AC', 330, 'YHZ', 73, 'YDF', 45, 'Y', 0, 'DH1 CRJ\r'),
	('AC', 330, 'YHZ', 73, 'YFC', 56, '', 0, 'BEH\r'),
	('AC', 330, 'YHZ', 73, 'YOW', 100, '', 0, 'E90\r'),
	('AC', 330, 'YHZ', 73, 'YQM', 117, '', 0, 'BEH\r'),
	('AC', 330, 'YHZ', 73, 'YQX', 125, 'Y', 0, 'CRJ CRA\r'),
	('AC', 330, 'YHZ', 73, 'YQY', 126, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YHZ', 73, 'YSJ', 135, '', 0, 'BEH\r'),
	('AC', 330, 'YHZ', 73, 'YUL', 146, '', 0, '320 E90 319 E75\r'),
	('AC', 330, 'YHZ', 73, 'YYG', 182, '', 0, 'BEH\r'),
	('AC', 330, 'YHZ', 73, 'YYR', 188, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YHZ', 73, 'YYT', 189, '', 0, 'E90\r'),
	('AC', 330, 'YHZ', 73, 'YYZ', 193, '', 0, 'E90 320 763 319\r'),
	('AC', 330, 'YKA', 78, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YKA', 78, 'YYC', 178, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YLW', 87, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('AC', 330, 'YLW', 87, 'YVR', 156, 'Y', 0, 'DH3 CRJ\r'),
	('AC', 330, 'YLW', 87, 'YYC', 178, 'Y', 0, 'DH3 CRJ\r'),
	('AC', 330, 'YMM', 90, 'DEN', 3751, 'Y', 0, 'CR7\r'),
	('AC', 330, 'YMM', 90, 'YEG', 49, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YMM', 90, 'YVR', 156, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YMM', 90, 'YYC', 178, 'Y', 0, 'CRA DH4 CRJ\r'),
	('AC', 330, 'YMM', 90, 'YYZ', 193, '', 0, 'E90 320 319\r'),
	('AC', 330, 'YOW', 100, 'BOS', 3448, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YOW', 100, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YOW', 100, 'FRA', 340, '', 0, '333\r'),
	('AC', 330, 'YOW', 100, 'IAD', 3714, 'Y', 0, 'ERJ\r'),
	('AC', 330, 'YOW', 100, 'LGA', 3697, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YOW', 100, 'LHR', 507, '', 0, '763\r'),
	('AC', 330, 'YOW', 100, 'ORD', 3830, 'Y', 0, 'ERJ E70\r'),
	('AC', 330, 'YOW', 100, 'YEG', 49, '', 0, 'E90 320\r'),
	('AC', 330, 'YOW', 100, 'YFC', 56, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YOW', 100, 'YHZ', 73, '', 0, 'E90\r'),
	('AC', 330, 'YOW', 100, 'YQB', 111, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YOW', 100, 'YQM', 117, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YOW', 100, 'YUL', 146, '', 0, 'E90\r'),
	('AC', 330, 'YOW', 100, 'YVR', 156, '', 0, '320 763\r'),
	('AC', 330, 'YOW', 100, 'YWG', 160, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YOW', 100, 'YXU', 174, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YOW', 100, 'YYC', 178, '', 0, 'E90 320\r'),
	('AC', 330, 'YOW', 100, 'YYT', 189, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YOW', 100, 'YYZ', 193, '', 0, '320 319 E90 763 E75\r'),
	('AC', 330, 'YPR', 108, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YQB', 111, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('AC', 330, 'YQB', 111, 'YGP', 63, 'Y', 0, 'DH3 DH1\r'),
	('AC', 330, 'YQB', 111, 'YOW', 100, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YQB', 111, 'YUL', 146, 'Y', 0, 'DH4 DH1 DH3\r'),
	('AC', 330, 'YQB', 111, 'YYZ', 193, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YQB', 111, 'YZV', 202, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YQF', 112, 'YYC', 178, '', 0, 'BEH\r'),
	('AC', 330, 'YQG', 113, 'YYZ', 193, '', 0, '319\r'),
	('AC', 330, 'YQL', 116, 'YYC', 178, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YQM', 117, 'YHZ', 73, '', 0, 'BEH\r'),
	('AC', 330, 'YQM', 117, 'YOW', 100, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YQM', 117, 'YUL', 146, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YQM', 117, 'YYZ', 193, 'Y', 0, 'DH4 CRJ\r'),
	('AC', 330, 'YQQ', 119, 'YVR', 156, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YQR', 120, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YQR', 120, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YQR', 120, 'YEG', 49, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YQR', 120, 'YVR', 156, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YQR', 120, 'YWG', 160, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YQR', 120, 'YYC', 178, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YQR', 120, 'YYZ', 193, '', 0, 'E90\r'),
	('AC', 330, 'YQT', 121, 'YWG', 160, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YQT', 121, 'YYZ', 193, 'Y', 0, 'CRJ DH4\r'),
	('AC', 330, 'YQU', 122, 'YEG', 49, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YQU', 122, 'YYC', 178, 'Y', 0, 'DH3 DH4\r'),
	('AC', 330, 'YQX', 125, 'YHZ', 73, 'Y', 0, 'CRA CRJ\r'),
	('AC', 330, 'YQX', 125, 'YYR', 188, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YQX', 125, 'YYT', 189, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YQY', 126, 'YHZ', 73, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YQY', 126, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YQZ', 127, 'YVR', 156, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YQZ', 127, 'YWL', 162, '', 0, 'BEH\r'),
	('AC', 330, 'YSB', 133, 'YYZ', 193, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YSJ', 135, 'YHZ', 73, '', 0, 'BEH\r'),
	('AC', 330, 'YSJ', 135, 'YUL', 146, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YSJ', 135, 'YYZ', 193, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YTS', 143, 'YYZ', 193, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YTZ', 144, 'YUL', 146, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YUL', 146, 'AZS', 5810, '', 0, '320\r'),
	('AC', 330, 'YUL', 146, 'BDL', 3825, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YUL', 146, 'BOS', 3448, 'Y', 0, 'CRJ DH3\r'),
	('AC', 330, 'YUL', 146, 'BRU', 302, '', 0, '333\r'),
	('AC', 330, 'YUL', 146, 'CCC', 5852, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'CDG', 1382, '', 0, '77W\r'),
	('AC', 330, 'YUL', 146, 'CUN', 1852, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'CZM', 1800, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YUL', 146, 'DEN', 3751, '', 0, 'E90\r'),
	('AC', 330, 'YUL', 146, 'EWR', 3494, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YUL', 146, 'FDF', 2878, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'FLL', 3533, '', 0, '320\r'),
	('AC', 330, 'YUL', 146, 'FRA', 340, '', 0, '333\r'),
	('AC', 330, 'YUL', 146, 'GVA', 1665, '', 0, '333\r'),
	('AC', 330, 'YUL', 146, 'HOG', 1910, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'IAD', 3714, 'Y', 0, 'CR7 ERJ CRJ\r'),
	('AC', 330, 'YUL', 146, 'IAH', 3550, 'Y', 0, 'E70\r'),
	('AC', 330, 'YUL', 146, 'LAS', 3877, '', 0, '763\r'),
	('AC', 330, 'YUL', 146, 'LAX', 3484, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'LGA', 3697, '', 0, 'E75\r'),
	('AC', 330, 'YUL', 146, 'LHR', 507, '', 0, '77W\r'),
	('AC', 330, 'YUL', 146, 'MBJ', 1780, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'MCO', 3878, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'MUC', 346, 'Y', 0, '333\r'),
	('AC', 330, 'YUL', 146, 'ORD', 3830, '', 0, 'E75\r'),
	('AC', 330, 'YUL', 146, 'PAP', 1897, '', 0, '763\r'),
	('AC', 330, 'YUL', 146, 'PTP', 2881, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'PUJ', 1760, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'SFO', 3469, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'SNU', 1918, '', 0, '319\r'),
	('AC', 330, 'YUL', 146, 'VRA', 1923, '', 0, '320\r'),
	('AC', 330, 'YUL', 146, 'YBC', 27, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YUL', 146, 'YBG', 28, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YUL', 146, 'YEG', 49, '', 0, '320\r'),
	('AC', 330, 'YUL', 146, 'YFC', 56, 'Y', 0, 'DH4 DH1\r'),
	('AC', 330, 'YUL', 146, 'YHZ', 73, '', 0, '320 E90 E75 319\r'),
	('AC', 330, 'YUL', 146, 'YOW', 100, '', 0, 'E90 320\r'),
	('AC', 330, 'YUL', 146, 'YQB', 111, 'Y', 0, 'DH3 DH1 DH4\r'),
	('AC', 330, 'YUL', 146, 'YQM', 117, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YUL', 146, 'YSJ', 135, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YUL', 146, 'YTZ', 144, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YUL', 146, 'YUY', 149, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YUL', 146, 'YVO', 153, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YUL', 146, 'YVR', 156, '', 0, '321 320 333 319\r'),
	('AC', 330, 'YUL', 146, 'YWG', 160, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YUL', 146, 'YYC', 178, '', 0, 'E90 319 320\r'),
	('AC', 330, 'YUL', 146, 'YYG', 182, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YUL', 146, 'YYT', 189, '', 0, 'E90\r'),
	('AC', 330, 'YUL', 146, 'YYY', 192, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YUL', 146, 'YYZ', 193, '', 0, '321 320 319 333 763 E75\r'),
	('AC', 330, 'YUL', 146, 'YZV', 202, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YUL', 146, 'ZBF', 5538, 'Y', 0, 'DH3 DH1\r'),
	('AC', 330, 'YUL', 146, 'ZRH', 1678, '', 0, '330\r'),
	('AC', 330, 'YUL', 146, 'ZSA', 1956, '', 0, '319\r'),
	('AC', 330, 'YUY', 149, 'YUL', 146, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YUY', 149, 'YVO', 153, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YVO', 153, 'YUL', 146, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YVO', 153, 'YUY', 149, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YVR', 156, 'AKL', 2006, '', 0, '772\r'),
	('AC', 330, 'YVR', 156, 'DEN', 3751, 'Y', 0, '320 319 CR7 737 739\r'),
	('AC', 330, 'YVR', 156, 'EWR', 3494, '', 0, '319\r'),
	('AC', 330, 'YVR', 156, 'FRA', 340, 'Y', 0, '744\r'),
	('AC', 330, 'YVR', 156, 'HKG', 3077, '', 0, '77W\r'),
	('AC', 330, 'YVR', 156, 'HND', 2359, '', 0, '763\r'),
	('AC', 330, 'YVR', 156, 'HNL', 3728, '', 0, '763\r'),
	('AC', 330, 'YVR', 156, 'ICN', 3930, '', 0, '763\r'),
	('AC', 330, 'YVR', 156, 'LAS', 3877, '', 0, '319\r'),
	('AC', 330, 'YVR', 156, 'LAX', 3484, '', 0, '319\r'),
	('AC', 330, 'YVR', 156, 'LHR', 507, '', 0, '77W\r'),
	('AC', 330, 'YVR', 156, 'MEX', 1824, '', 0, '319\r'),
	('AC', 330, 'YVR', 156, 'MUC', 346, 'Y', 0, '333\r'),
	('AC', 330, 'YVR', 156, 'NRT', 2279, '', 0, '763\r'),
	('AC', 330, 'YVR', 156, 'OGG', 3456, '', 0, '763\r'),
	('AC', 330, 'YVR', 156, 'ORD', 3830, 'Y', 0, '320 319 738 737\r'),
	('AC', 330, 'YVR', 156, 'PDX', 3720, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YVR', 156, 'PEK', 3364, '', 0, '77W 330\r'),
	('AC', 330, 'YVR', 156, 'PVG', 3406, '', 0, '763\r'),
	('AC', 330, 'YVR', 156, 'PVR', 1836, '', 0, '319\r'),
	('AC', 330, 'YVR', 156, 'SEA', 3577, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YVR', 156, 'SFO', 3469, '', 0, 'E90 320 319\r'),
	('AC', 330, 'YVR', 156, 'SYD', 3361, '', 0, '77L\r'),
	('AC', 330, 'YVR', 156, 'YBL', 30, '', 1, 'BEH\r'),
	('AC', 330, 'YVR', 156, 'YCD', 33, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YVR', 156, 'YCG', 34, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YVR', 156, 'YEG', 49, '', 0, 'E90 320\r'),
	('AC', 330, 'YVR', 156, 'YKA', 78, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YVR', 156, 'YLW', 87, 'Y', 0, 'DH3 CRJ\r'),
	('AC', 330, 'YVR', 156, 'YMM', 90, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YVR', 156, 'YOW', 100, '', 0, '320 763\r'),
	('AC', 330, 'YVR', 156, 'YPR', 108, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YVR', 156, 'YQR', 120, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YVR', 156, 'YQZ', 127, '', 0, 'BEH\r'),
	('AC', 330, 'YVR', 156, 'YUL', 146, '', 0, '333 320 321\r'),
	('AC', 330, 'YVR', 156, 'YWG', 160, '', 0, 'E90\r'),
	('AC', 330, 'YVR', 156, 'YWL', 162, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YVR', 156, 'YXC', 164, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YVR', 156, 'YXE', 166, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YVR', 156, 'YXJ', 168, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YVR', 156, 'YXS', 172, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YVR', 156, 'YXT', 173, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YVR', 156, 'YXY', 176, '', 0, 'E90\r'),
	('AC', 330, 'YVR', 156, 'YYC', 178, '', 0, 'E90 319 320\r'),
	('AC', 330, 'YVR', 156, 'YYD', 179, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YVR', 156, 'YYF', 181, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YVR', 156, 'YYJ', 184, 'Y', 0, 'DH3 DH4\r'),
	('AC', 330, 'YVR', 156, 'YYZ', 193, '', 0, '320 319 77L 321 77W 763\r'),
	('AC', 330, 'YVR', 156, 'YZP', 198, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YWG', 160, 'DEN', 3751, 'Y', 0, 'ERJ CRJ\r'),
	('AC', 330, 'YWG', 160, 'ORD', 3830, 'Y', 0, 'CRJ ERJ\r'),
	('AC', 330, 'YWG', 160, 'YEG', 49, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YWG', 160, 'YOW', 100, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YWG', 160, 'YQR', 120, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YWG', 160, 'YQT', 121, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YWG', 160, 'YUL', 146, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YWG', 160, 'YVR', 156, '', 0, 'E90 320\r'),
	('AC', 330, 'YWG', 160, 'YXE', 166, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YWG', 160, 'YYC', 178, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YWG', 160, 'YYZ', 193, '', 0, 'E90 320 319\r'),
	('AC', 330, 'YWK', 161, 'YYR', 188, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YWK', 161, 'YZV', 202, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YWL', 162, 'YQZ', 127, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YWL', 162, 'YVR', 156, '', 0, 'BEH\r'),
	('AC', 330, 'YXC', 164, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YXC', 164, 'YYC', 178, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YXE', 166, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('AC', 330, 'YXE', 166, 'YEG', 49, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YXE', 166, 'YVR', 156, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YXE', 166, 'YWG', 160, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YXE', 166, 'YYC', 178, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YXE', 166, 'YYZ', 193, '', 0, 'E90\r'),
	('AC', 330, 'YXH', 167, 'YYC', 178, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YXJ', 168, 'YVR', 156, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YXS', 172, 'YVR', 156, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YXT', 173, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YXU', 174, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YXU', 174, 'YOW', 100, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YXU', 174, 'YYZ', 193, 'Y', 0, 'DH1 DH4\r'),
	('AC', 330, 'YXY', 176, 'YVR', 156, '', 0, 'E90\r'),
	('AC', 330, 'YYB', 177, 'YYZ', 193, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYC', 178, 'CUN', 1852, '', 0, '319\r'),
	('AC', 330, 'YYC', 178, 'DEN', 3751, 'Y', 0, 'CRJ 738 737 CR7\r'),
	('AC', 330, 'YYC', 178, 'EWR', 3494, '', 0, 'E90\r'),
	('AC', 330, 'YYC', 178, 'FRA', 340, '', 0, '77W\r'),
	('AC', 330, 'YYC', 178, 'IAH', 3550, 'Y', 0, '738 CRA 320 739\r'),
	('AC', 330, 'YYC', 178, 'LAS', 3877, '', 0, '319\r'),
	('AC', 330, 'YYC', 178, 'LAX', 3484, '', 0, '319\r'),
	('AC', 330, 'YYC', 178, 'LHR', 507, '', 0, '333\r'),
	('AC', 330, 'YYC', 178, 'NRT', 2279, '', 0, '763\r'),
	('AC', 330, 'YYC', 178, 'ORD', 3830, 'Y', 0, '737 CR7 738 320\r'),
	('AC', 330, 'YYC', 178, 'PDX', 3720, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYC', 178, 'PVR', 1836, '', 0, '319\r'),
	('AC', 330, 'YYC', 178, 'SFO', 3469, 'Y', 0, 'CR7\r'),
	('AC', 330, 'YYC', 178, 'SJD', 1840, '', 0, '319\r'),
	('AC', 330, 'YYC', 178, 'VRA', 1923, '', 0, '319\r'),
	('AC', 330, 'YYC', 178, 'YCG', 34, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YYC', 178, 'YEG', 49, 'Y', 0, 'DH3 CRJ DH4\r'),
	('AC', 330, 'YYC', 178, 'YKA', 78, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YYC', 178, 'YLW', 87, 'Y', 0, 'DH3 CRJ\r'),
	('AC', 330, 'YYC', 178, 'YMM', 90, 'Y', 0, 'DH4 CRJ CRA\r'),
	('AC', 330, 'YYC', 178, 'YOW', 100, '', 0, 'E90 320\r'),
	('AC', 330, 'YYC', 178, 'YQF', 112, '', 0, 'BEH\r'),
	('AC', 330, 'YYC', 178, 'YQL', 116, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYC', 178, 'YQR', 120, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YYC', 178, 'YQU', 122, 'Y', 0, 'DH3 DH4\r'),
	('AC', 330, 'YYC', 178, 'YUL', 146, '', 0, 'E90 319 320\r'),
	('AC', 330, 'YYC', 178, 'YVR', 156, '', 0, 'E90 320 319 321\r'),
	('AC', 330, 'YYC', 178, 'YWG', 160, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YYC', 178, 'YXC', 164, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYC', 178, 'YXE', 166, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YYC', 178, 'YXH', 167, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYC', 178, 'YYJ', 184, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YYC', 178, 'YYZ', 193, '', 0, '321 320 319 E90\r'),
	('AC', 330, 'YYC', 178, 'YZF', 196, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYD', 179, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YYF', 181, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YYG', 182, 'YHZ', 73, '', 0, 'BEH\r'),
	('AC', 330, 'YYG', 182, 'YUL', 146, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YYG', 182, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYJ', 184, 'SFO', 3469, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYJ', 184, 'YVR', 156, 'Y', 0, 'DH3 DH4\r'),
	('AC', 330, 'YYJ', 184, 'YYC', 178, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YYJ', 184, 'YYZ', 193, '', 0, '320\r'),
	('AC', 330, 'YYR', 188, 'YDF', 45, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYR', 188, 'YHZ', 73, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYR', 188, 'YQX', 125, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYR', 188, 'YWK', 161, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYR', 188, 'YYT', 189, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYT', 189, 'LHR', 507, '', 0, '319\r'),
	('AC', 330, 'YYT', 189, 'YDF', 45, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYT', 189, 'YHZ', 73, '', 0, 'E90\r'),
	('AC', 330, 'YYT', 189, 'YOW', 100, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YYT', 189, 'YQX', 125, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYT', 189, 'YUL', 146, '', 0, 'E90 319 320\r'),
	('AC', 330, 'YYT', 189, 'YYR', 188, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYT', 189, 'YYZ', 193, '', 0, '320 319 E90\r'),
	('AC', 330, 'YYY', 192, 'YBC', 27, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYY', 192, 'YUL', 146, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYZ', 193, 'ANU', 2874, '', 0, '320\r'),
	('AC', 330, 'YYZ', 193, 'ATL', 3682, 'Y', 0, 'CRA CRJ\r'),
	('AC', 330, 'YYZ', 193, 'AUA', 2895, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'AUH', 2179, '', 0, '77W\r'),
	('AC', 330, 'YYZ', 193, 'AZS', 5810, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'BCN', 1218, 'Y', 0, '763\r'),
	('AC', 330, 'YYZ', 193, 'BDA', 4069, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'BDL', 3825, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYZ', 193, 'BGI', 2875, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'BNA', 3690, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYZ', 193, 'BOG', 2709, '', 0, '763\r'),
	('AC', 330, 'YYZ', 193, 'BOS', 3448, '', 0, 'E90 E75\r'),
	('AC', 330, 'YYZ', 193, 'BWI', 3849, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYZ', 193, 'CCC', 5852, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'CDG', 1382, '', 0, '77W\r'),
	('AC', 330, 'YYZ', 193, 'CLE', 3486, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYZ', 193, 'CLT', 3876, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYZ', 193, 'CMH', 3759, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYZ', 193, 'CPH', 609, '', 0, '763\r'),
	('AC', 330, 'YYZ', 193, 'CUN', 1852, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYZ', 193, 'DCA', 3520, '', 0, 'E75\r'),
	('AC', 330, 'YYZ', 193, 'DEN', 3751, '', 0, 'E90\r'),
	('AC', 330, 'YYZ', 193, 'DFW', 3670, '', 0, 'E75\r'),
	('AC', 330, 'YYZ', 193, 'DTW', 3645, 'Y', 0, 'BEH CRJ\r'),
	('AC', 330, 'YYZ', 193, 'DUB', 599, 'Y', 0, '763\r'),
	('AC', 330, 'YYZ', 193, 'EWR', 3494, '', 0, 'E75 E90\r'),
	('AC', 330, 'YYZ', 193, 'FCO', 1555, '', 0, '333\r'),
	('AC', 330, 'YYZ', 193, 'FLL', 3533, '', 0, '320\r'),
	('AC', 330, 'YYZ', 193, 'FRA', 340, '', 0, '77W\r'),
	('AC', 330, 'YYZ', 193, 'GCM', 1926, '', 0, 'E90\r'),
	('AC', 330, 'YYZ', 193, 'GGT', 1941, '', 0, 'E90\r'),
	('AC', 330, 'YYZ', 193, 'GND', 2882, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'GRU', 2564, '', 0, '763\r'),
	('AC', 330, 'YYZ', 193, 'HAV', 1909, '', 0, 'E90\r'),
	('AC', 330, 'YYZ', 193, 'HKG', 3077, '', 0, '77L\r'),
	('AC', 330, 'YYZ', 193, 'HOG', 1910, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'IAD', 3714, 'Y', 0, 'CRJ ERJ CR7\r'),
	('AC', 330, 'YYZ', 193, 'IAH', 3550, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YYZ', 193, 'IND', 3585, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYZ', 193, 'IST', 1701, '', 0, '77W 763\r'),
	('AC', 330, 'YYZ', 193, 'JFK', 3797, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YYZ', 193, 'KIN', 1779, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'LAS', 3877, '', 0, '763 319\r'),
	('AC', 330, 'YYZ', 193, 'LAX', 3484, '', 0, '321 320\r'),
	('AC', 330, 'YYZ', 193, 'LGA', 3697, '', 0, 'E90 E75\r'),
	('AC', 330, 'YYZ', 193, 'LHR', 507, '', 0, '763 77L 77W 333\r'),
	('AC', 330, 'YYZ', 193, 'LIM', 2789, '', 0, '763\r'),
	('AC', 330, 'YYZ', 193, 'LIR', 1881, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'MBJ', 1780, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'MCI', 3458, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYZ', 193, 'MCO', 3878, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'MDT', 3542, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYZ', 193, 'MEX', 1824, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'MIA', 3576, '', 0, 'E90\r'),
	('AC', 330, 'YYZ', 193, 'MKE', 3717, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYZ', 193, 'MSP', 3858, 'Y', 0, 'CRA CRJ\r'),
	('AC', 330, 'YYZ', 193, 'MSY', 3861, 'Y', 0, 'CRA\r'),
	('AC', 330, 'YYZ', 193, 'MUC', 346, '', 0, '77W\r'),
	('AC', 330, 'YYZ', 193, 'NAS', 1953, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'NRT', 2279, '', 0, '77W\r'),
	('AC', 330, 'YYZ', 193, 'ORD', 3830, '', 0, 'E75\r'),
	('AC', 330, 'YYZ', 193, 'PEK', 3364, '', 0, '77W\r'),
	('AC', 330, 'YYZ', 193, 'PHL', 3752, '', 0, 'E75\r'),
	('AC', 330, 'YYZ', 193, 'PHX', 3462, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'PIT', 3570, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYZ', 193, 'PLS', 1754, '', 0, 'E90\r'),
	('AC', 330, 'YYZ', 193, 'POP', 1761, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'PUJ', 1760, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'PVG', 3406, '', 0, '77L\r'),
	('AC', 330, 'YYZ', 193, 'RDU', 3626, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYZ', 193, 'ROC', 3622, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYZ', 193, 'RSW', 3793, '', 0, '320\r'),
	('AC', 330, 'YYZ', 193, 'SAN', 3731, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'SCL', 2650, '', 0, '763\r'),
	('AC', 330, 'YYZ', 193, 'SEA', 3577, '', 0, 'E90\r'),
	('AC', 330, 'YYZ', 193, 'SFO', 3469, '', 0, '320\r'),
	('AC', 330, 'YYZ', 193, 'SJO', 1885, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'SNU', 1918, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'STL', 3678, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYZ', 193, 'SYR', 3745, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYZ', 193, 'TLV', 1590, '', 0, '763\r'),
	('AC', 330, 'YYZ', 193, 'TPA', 3646, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'UVF', 2894, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'VIE', 1613, 'Y', 0, '763\r'),
	('AC', 330, 'YYZ', 193, 'VRA', 1923, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'WAW', 679, '', 0, '788\r'),
	('AC', 330, 'YYZ', 193, 'YAM', 21, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYZ', 193, 'YDF', 45, '', 0, 'E90\r'),
	('AC', 330, 'YYZ', 193, 'YEG', 49, '', 0, '320 319 E90\r'),
	('AC', 330, 'YYZ', 193, 'YFC', 56, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YYZ', 193, 'YGK', 61, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYZ', 193, 'YHZ', 73, '', 0, '320 E90 319 763\r'),
	('AC', 330, 'YYZ', 193, 'YMM', 90, '', 0, 'E90 320 319\r'),
	('AC', 330, 'YYZ', 193, 'YOW', 100, '', 0, 'E90 319 320 763 E75\r'),
	('AC', 330, 'YYZ', 193, 'YQB', 111, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YYZ', 193, 'YQG', 113, '', 0, '319\r'),
	('AC', 330, 'YYZ', 193, 'YQM', 117, 'Y', 0, 'DH4 CRJ\r'),
	('AC', 330, 'YYZ', 193, 'YQR', 120, '', 0, 'E90\r'),
	('AC', 330, 'YYZ', 193, 'YQT', 121, 'Y', 0, 'DH4 CRJ\r'),
	('AC', 330, 'YYZ', 193, 'YQY', 126, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYZ', 193, 'YSB', 133, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYZ', 193, 'YSJ', 135, 'Y', 0, 'DH4\r'),
	('AC', 330, 'YYZ', 193, 'YTS', 143, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYZ', 193, 'YUL', 146, '', 0, '319 321 320 E90 333 763 E75\r'),
	('AC', 330, 'YYZ', 193, 'YVR', 156, '', 0, '321 320 77W 763 77L 319 333\r'),
	('AC', 330, 'YYZ', 193, 'YWG', 160, '', 0, '320 E90 319\r'),
	('AC', 330, 'YYZ', 193, 'YXE', 166, '', 0, 'E90\r'),
	('AC', 330, 'YYZ', 193, 'YXU', 174, 'Y', 0, 'DH1 DH4\r'),
	('AC', 330, 'YYZ', 193, 'YYB', 177, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YYZ', 193, 'YYC', 178, '', 0, '320 321 319\r'),
	('AC', 330, 'YYZ', 193, 'YYG', 182, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YYZ', 193, 'YYJ', 184, '', 0, '320\r'),
	('AC', 330, 'YYZ', 193, 'YYT', 189, '', 0, '320 E90 319\r'),
	('AC', 330, 'YYZ', 193, 'YZR', 199, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YYZ', 193, 'ZRH', 1678, '', 0, '333\r'),
	('AC', 330, 'YZF', 196, 'YEG', 49, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YZF', 196, 'YYC', 178, 'Y', 0, 'CRJ\r'),
	('AC', 330, 'YZP', 198, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('AC', 330, 'YZR', 199, 'YYZ', 193, 'Y', 0, 'BEH\r'),
	('AC', 330, 'YZV', 202, 'YQB', 111, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YZV', 202, 'YUL', 146, 'Y', 0, 'DH1\r'),
	('AC', 330, 'YZV', 202, 'YWK', 161, 'Y', 0, 'DH1\r'),
	('AC', 330, 'ZBF', 5538, 'YUL', 146, 'Y', 0, 'DH3 DH1\r'),
	('AC', 330, 'ZRH', 1678, 'YUL', 146, '', 0, '330\r'),
	('AC', 330, 'ZRH', 1678, 'YYZ', 193, '', 0, '333\r'),
	('AC', 330, 'ZSA', 1956, 'PLS', 1754, '', 0, '319\r'),
	('AD', 13983, 'AAX', 7395, 'POJ', 8237, '', 0, 'AT4\r'),
	('AD', 13983, 'AFL', 2524, 'CGB', 2548, '', 0, 'E90\r'),
	('AD', 13983, 'AJU', 2522, 'MCZ', 2590, '', 0, 'E95 AT7\r'),
	('AD', 13983, 'AJU', 2522, 'REC', 2610, '', 0, 'AT7\r'),
	('AD', 13983, 'AJU', 2522, 'SSA', 2621, '', 0, 'AT7\r'),
	('AD', 13983, 'AJU', 2522, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'AQA', 2521, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'ARU', 2525, 'GRU', 2564, '', 0, 'AT7\r'),
	('AD', 13983, 'ARU', 2525, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'ATM', 2566, 'BEL', 2526, '', 0, 'AT7 E95\r'),
	('AD', 13983, 'ATM', 2566, 'STM', 4092, '', 0, 'AT7\r'),
	('AD', 13983, 'AUX', 7376, 'BSB', 2531, '', 0, 'AT7\r'),
	('AD', 13983, 'AUX', 7376, 'MAB', 2584, '', 0, 'AT7\r'),
	('AD', 13983, 'AUX', 7376, 'PMW', 4214, '', 0, 'AT7\r'),
	('AD', 13983, 'BAZ', 7399, 'MAO', 2551, '', 0, 'AT4\r'),
	('AD', 13983, 'BEL', 2526, 'ATM', 2566, '', 0, 'AT7 E95\r'),
	('AD', 13983, 'BEL', 2526, 'CKS', 7532, '', 0, 'AT7\r'),
	('AD', 13983, 'BEL', 2526, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'BEL', 2526, 'FOR', 2559, '', 0, 'E95\r'),
	('AD', 13983, 'BEL', 2526, 'IMP', 2572, '', 0, 'E95\r'),
	('AD', 13983, 'BEL', 2526, 'MAB', 2584, '', 0, 'AT7\r'),
	('AD', 13983, 'BEL', 2526, 'MAO', 2551, '', 0, 'E95\r'),
	('AD', 13983, 'BEL', 2526, 'MCP', 2591, '', 0, 'AT7\r'),
	('AD', 13983, 'BEL', 2526, 'STM', 4092, '', 0, 'AT7\r'),
	('AD', 13983, 'BPS', 4209, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'BPS', 4209, 'SDU', 2612, '', 0, 'E90\r'),
	('AD', 13983, 'BPS', 4209, 'SSA', 2621, '', 0, 'AT7\r'),
	('AD', 13983, 'BPS', 4209, 'VCP', 2578, '', 0, 'E95\r'),
	('AD', 13983, 'BRA', 7373, 'BSB', 2531, '', 0, 'AT7\r'),
	('AD', 13983, 'BRA', 7373, 'SSA', 2621, '', 0, 'AT7\r'),
	('AD', 13983, 'BSB', 2531, 'AUX', 7376, '', 0, 'AT7\r'),
	('AD', 13983, 'BSB', 2531, 'BRA', 7373, '', 0, 'AT7\r'),
	('AD', 13983, 'BSB', 2531, 'CGB', 2548, '', 0, 'E95\r'),
	('AD', 13983, 'BSB', 2531, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'BSB', 2531, 'GRU', 2564, '', 0, 'E95 E90\r'),
	('AD', 13983, 'BSB', 2531, 'MAB', 2584, '', 0, 'E95\r'),
	('AD', 13983, 'BSB', 2531, 'PMW', 4214, '', 0, 'AT7\r'),
	('AD', 13983, 'BSB', 2531, 'UDI', 2633, '', 0, 'AT7\r'),
	('AD', 13983, 'BSB', 2531, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'BVB', 2533, 'MAO', 2551, '', 0, 'AT7\r'),
	('AD', 13983, 'BVH', 2637, 'CGB', 2548, '', 0, 'AT7\r'),
	('AD', 13983, 'BYO', 8242, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'CAC', 2535, 'CWB', 2545, '', 0, 'AT7\r'),
	('AD', 13983, 'CAC', 2535, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'CAW', 2543, 'SDU', 2612, '', 0, 'AT7\r'),
	('AD', 13983, 'CCM', 2541, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'CFB', 7364, 'PLU', 2528, '', 0, 'AT7\r'),
	('AD', 13983, 'CFB', 7364, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'CGB', 2548, 'AFL', 2524, '', 0, 'E90\r'),
	('AD', 13983, 'CGB', 2548, 'BSB', 2531, '', 0, 'E95\r'),
	('AD', 13983, 'CGB', 2548, 'BVH', 2637, '', 0, 'AT7\r'),
	('AD', 13983, 'CGB', 2548, 'CGR', 2538, '', 0, 'AT7 E75\r'),
	('AD', 13983, 'CGB', 2548, 'CNF', 2537, '', 0, 'E95 E90\r'),
	('AD', 13983, 'CGB', 2548, 'GRU', 2564, '', 0, 'E90 E95\r'),
	('AD', 13983, 'CGB', 2548, 'GYN', 2562, '', 0, 'E90 E95\r'),
	('AD', 13983, 'CGB', 2548, 'JPR', 6073, '', 0, 'AT7\r'),
	('AD', 13983, 'CGB', 2548, 'LDB', 2581, '', 0, 'E90\r'),
	('AD', 13983, 'CGB', 2548, 'MGF', 2586, '', 0, 'E90\r'),
	('AD', 13983, 'CGB', 2548, 'OAL', 7798, '', 0, 'E90 AT7\r'),
	('AD', 13983, 'CGB', 2548, 'OPS', 7367, '', 0, 'E95\r'),
	('AD', 13983, 'CGB', 2548, 'PVH', 2607, '', 0, 'E95 E90\r'),
	('AD', 13983, 'CGB', 2548, 'ROO', 7382, '', 0, 'AT7\r'),
	('AD', 13983, 'CGB', 2548, 'SJP', 2619, '', 0, 'AT7\r'),
	('AD', 13983, 'CGB', 2548, 'VCP', 2578, '', 0, 'E90 E95\r'),
	('AD', 13983, 'CGH', 2618, 'SDU', 2612, '', 0, 'E90\r'),
	('AD', 13983, 'CGR', 2538, 'CGB', 2548, '', 0, 'AT7 E75\r'),
	('AD', 13983, 'CGR', 2538, 'CMG', 2544, '', 0, 'AT7\r'),
	('AD', 13983, 'CGR', 2538, 'GRU', 2564, '', 0, 'E95\r'),
	('AD', 13983, 'CGR', 2538, 'VCP', 2578, '', 0, 'E95 E90 E75\r'),
	('AD', 13983, 'CIZ', 7398, 'MAO', 2551, '', 0, 'AT4\r'),
	('AD', 13983, 'CKS', 7532, 'BEL', 2526, '', 0, 'AT7\r'),
	('AD', 13983, 'CKS', 7532, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'CKS', 7532, 'MAB', 2584, '', 0, 'E95\r'),
	('AD', 13983, 'CLV', 4215, 'VCP', 2578, '', 0, 'E90 E95\r'),
	('AD', 13983, 'CMG', 2544, 'CGR', 2538, '', 0, 'AT7\r'),
	('AD', 13983, 'CNF', 2537, 'BEL', 2526, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'BPS', 4209, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'BSB', 2531, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'CGB', 2548, '', 0, 'E95 E90\r'),
	('AD', 13983, 'CNF', 2537, 'CKS', 7532, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'CPV', 2577, '', 0, 'E90\r'),
	('AD', 13983, 'CNF', 2537, 'CWB', 2545, '', 0, 'E95 E90\r'),
	('AD', 13983, 'CNF', 2537, 'FOR', 2559, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'GRU', 2564, '', 0, 'E90 E95\r'),
	('AD', 13983, 'CNF', 2537, 'GYN', 2562, '', 0, 'E90\r'),
	('AD', 13983, 'CNF', 2537, 'IMP', 2572, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'IPN', 2570, '', 0, 'AT7\r'),
	('AD', 13983, 'CNF', 2537, 'IZA', 8180, '', 0, 'AT7\r'),
	('AD', 13983, 'CNF', 2537, 'MAO', 2551, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'MOC', 2587, '', 0, 'E90 E95\r'),
	('AD', 13983, 'CNF', 2537, 'POA', 2599, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'RAO', 2613, '', 0, 'AT7\r'),
	('AD', 13983, 'CNF', 2537, 'REC', 2610, '', 0, 'E90 E95\r'),
	('AD', 13983, 'CNF', 2537, 'SDU', 2612, '', 0, 'E90 E95\r'),
	('AD', 13983, 'CNF', 2537, 'SLZ', 2616, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'SSA', 2621, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'UBA', 2635, '', 0, 'AT7\r'),
	('AD', 13983, 'CNF', 2537, 'UDI', 2633, '', 0, 'E95\r'),
	('AD', 13983, 'CNF', 2537, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'CNF', 2537, 'VDC', 6039, '', 0, 'AT7\r'),
	('AD', 13983, 'CNF', 2537, 'VIX', 2638, '', 0, 'E95 E90\r'),
	('AD', 13983, 'CPV', 2577, 'PNZ', 2604, '', 0, 'E90\r'),
	('AD', 13983, 'CWB', 2545, 'CAC', 2535, '', 0, 'AT7\r'),
	('AD', 13983, 'CWB', 2545, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'CWB', 2545, 'CXJ', 2547, '', 0, 'AT7\r'),
	('AD', 13983, 'CWB', 2545, 'GRU', 2564, '', 0, 'E95 E90\r'),
	('AD', 13983, 'CWB', 2545, 'IGU', 2554, '', 0, 'E95\r'),
	('AD', 13983, 'CWB', 2545, 'LDB', 2581, '', 0, 'E90 AT7\r'),
	('AD', 13983, 'CWB', 2545, 'MGF', 2586, '', 0, 'E90\r'),
	('AD', 13983, 'CWB', 2545, 'POA', 2599, '', 0, 'E95\r'),
	('AD', 13983, 'CWB', 2545, 'SDU', 2612, '', 0, 'E90\r'),
	('AD', 13983, 'CWB', 2545, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'CXJ', 2547, 'CWB', 2545, '', 0, 'AT7\r'),
	('AD', 13983, 'CXJ', 2547, 'VCP', 2578, '', 0, 'E95\r'),
	('AD', 13983, 'DOU', 7380, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'ERN', 8247, 'TFF', 2624, '', 0, 'AT4\r'),
	('AD', 13983, 'FEN', 2556, 'NAT', 2597, '', 0, 'AT7\r'),
	('AD', 13983, 'FEN', 2556, 'REC', 2610, '', 0, 'E95\r'),
	('AD', 13983, 'FLN', 2555, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'FOR', 2559, 'BEL', 2526, '', 0, 'E95\r'),
	('AD', 13983, 'FOR', 2559, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'FOR', 2559, 'JPA', 2575, '', 0, 'AT7\r'),
	('AD', 13983, 'FOR', 2559, 'NAT', 2597, '', 0, 'E95\r'),
	('AD', 13983, 'FOR', 2559, 'REC', 2610, '', 0, 'E95\r'),
	('AD', 13983, 'FOR', 2559, 'SLZ', 2616, '', 0, 'E95\r'),
	('AD', 13983, 'FOR', 2559, 'THE', 2623, '', 0, 'E95\r'),
	('AD', 13983, 'FOR', 2559, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'GIG', 2560, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'GRU', 2564, 'ARU', 2525, '', 0, 'AT7\r'),
	('AD', 13983, 'GRU', 2564, 'BSB', 2531, '', 0, 'E95\r'),
	('AD', 13983, 'GRU', 2564, 'CGB', 2548, '', 0, 'E95 E90\r'),
	('AD', 13983, 'GRU', 2564, 'CGR', 2538, '', 0, 'E95\r'),
	('AD', 13983, 'GRU', 2564, 'CNF', 2537, '', 0, 'E90 E95\r'),
	('AD', 13983, 'GRU', 2564, 'CWB', 2545, '', 0, 'E95 E90\r'),
	('AD', 13983, 'GRU', 2564, 'GYN', 2562, '', 0, 'E95\r'),
	('AD', 13983, 'GRU', 2564, 'IOS', 2569, '', 0, 'E95\r'),
	('AD', 13983, 'GRU', 2564, 'IPN', 2570, '', 0, 'AT7\r'),
	('AD', 13983, 'GRU', 2564, 'NVT', 2595, '', 0, 'E95\r'),
	('AD', 13983, 'GRU', 2564, 'PLU', 2528, '', 0, 'AT7\r'),
	('AD', 13983, 'GRU', 2564, 'POA', 2599, '', 0, 'E95 E90\r'),
	('AD', 13983, 'GRU', 2564, 'REC', 2610, '', 0, 'E95\r'),
	('AD', 13983, 'GRU', 2564, 'SDU', 2612, '', 0, 'E90 E95\r'),
	('AD', 13983, 'GRU', 2564, 'SSA', 2621, '', 0, 'E95\r'),
	('AD', 13983, 'GVR', 6735, 'PLU', 2528, '', 0, 'AT7\r'),
	('AD', 13983, 'GYN', 2562, 'CGB', 2548, '', 0, 'E90 E95\r'),
	('AD', 13983, 'GYN', 2562, 'CNF', 2537, '', 0, 'E90\r'),
	('AD', 13983, 'GYN', 2562, 'GRU', 2564, '', 0, 'E95\r'),
	('AD', 13983, 'GYN', 2562, 'PMW', 4214, '', 0, 'E95 E90\r'),
	('AD', 13983, 'GYN', 2562, 'SDU', 2612, '', 0, 'E90\r'),
	('AD', 13983, 'GYN', 2562, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'IGU', 2554, 'CWB', 2545, '', 0, 'E95\r'),
	('AD', 13983, 'IGU', 2554, 'POA', 2599, '', 0, 'AT7\r'),
	('AD', 13983, 'IGU', 2554, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'IMP', 2572, 'BEL', 2526, '', 0, 'E95\r'),
	('AD', 13983, 'IMP', 2572, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'IOS', 2569, 'GRU', 2564, '', 0, 'E95\r'),
	('AD', 13983, 'IOS', 2569, 'SSA', 2621, '', 0, 'AT7 E95\r'),
	('AD', 13983, 'IOS', 2569, 'VCP', 2578, '', 0, 'E95\r'),
	('AD', 13983, 'IPN', 2570, 'CNF', 2537, '', 0, 'AT7\r'),
	('AD', 13983, 'IPN', 2570, 'GRU', 2564, '', 0, 'AT7\r'),
	('AD', 13983, 'IPN', 2570, 'PLU', 2528, '', 0, 'AT4\r'),
	('AD', 13983, 'IRZ', 8258, 'TFF', 2624, '', 0, 'AT4\r'),
	('AD', 13983, 'ITB', 7534, 'STM', 4092, '', 0, 'AT7\r'),
	('AD', 13983, 'IZA', 8180, 'CNF', 2537, '', 0, 'AT7\r'),
	('AD', 13983, 'IZA', 8180, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'JDO', 6034, 'VCP', 2578, '', 0, 'E90\r'),
	('AD', 13983, 'JOI', 2576, 'POA', 2599, '', 0, 'AT7\r'),
	('AD', 13983, 'JOI', 2576, 'VCP', 2578, '', 0, 'E95 AT7\r'),
	('AD', 13983, 'JPA', 2575, 'FOR', 2559, '', 0, 'AT7\r'),
	('AD', 13983, 'JPA', 2575, 'SSA', 2621, '', 0, 'AT7\r'),
	('AD', 13983, 'JPA', 2575, 'VCP', 2578, '', 0, 'E95\r'),
	('AD', 13983, 'JPR', 6073, 'CGB', 2548, '', 0, 'AT7\r'),
	('AD', 13983, 'JTC', 8238, 'MII', 6038, '', 0, 'AT7\r'),
	('AD', 13983, 'JTC', 8238, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'LDB', 2581, 'CGB', 2548, '', 0, 'E90\r'),
	('AD', 13983, 'LDB', 2581, 'CWB', 2545, '', 0, 'AT7 E90\r'),
	('AD', 13983, 'LDB', 2581, 'MGF', 2586, '', 0, 'AT7\r'),
	('AD', 13983, 'LDB', 2581, 'POA', 2599, '', 0, 'AT7\r'),
	('AD', 13983, 'LDB', 2581, 'VCP', 2578, '', 0, 'E90 E95 AT7\r'),
	('AD', 13983, 'LEC', 6036, 'SSA', 2621, '', 0, 'AT7\r'),
	('AD', 13983, 'MAB', 2584, 'AUX', 7376, '', 0, 'AT7\r'),
	('AD', 13983, 'MAB', 2584, 'BEL', 2526, '', 0, 'AT7\r'),
	('AD', 13983, 'MAB', 2584, 'BSB', 2531, '', 0, 'E95\r'),
	('AD', 13983, 'MAB', 2584, 'CKS', 7532, '', 0, 'E95\r'),
	('AD', 13983, 'MAB', 2584, 'TUR', 2629, '', 0, 'AT7\r'),
	('AD', 13983, 'MAO', 2551, 'BAZ', 7399, '', 0, 'AT4\r'),
	('AD', 13983, 'MAO', 2551, 'BEL', 2526, '', 0, 'E95\r'),
	('AD', 13983, 'MAO', 2551, 'BVB', 2533, '', 0, 'AT7\r'),
	('AD', 13983, 'MAO', 2551, 'CIZ', 7398, '', 0, 'AT4\r'),
	('AD', 13983, 'MAO', 2551, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'MAO', 2551, 'PIN', 7372, '', 0, 'AT7\r'),
	('AD', 13983, 'MAO', 2551, 'PVH', 2607, '', 0, 'E95 AT7\r'),
	('AD', 13983, 'MAO', 2551, 'STM', 4092, '', 0, 'AT7\r'),
	('AD', 13983, 'MAO', 2551, 'TBT', 2628, '', 0, 'E95\r'),
	('AD', 13983, 'MAO', 2551, 'TFF', 2624, '', 0, 'AT4 E95\r'),
	('AD', 13983, 'MAO', 2551, 'VCP', 2578, '', 0, 'E95\r'),
	('AD', 13983, 'MCP', 2591, 'BEL', 2526, '', 0, 'AT7\r'),
	('AD', 13983, 'MCZ', 2590, 'AJU', 2522, '', 0, 'E95 E90 AT7\r'),
	('AD', 13983, 'MCZ', 2590, 'REC', 2610, '', 0, 'AT7\r'),
	('AD', 13983, 'MCZ', 2590, 'VCP', 2578, '', 0, 'E95\r'),
	('AD', 13983, 'MEA', 6037, 'SDU', 2612, '', 0, 'AT4\r'),
	('AD', 13983, 'MEA', 6037, 'VCP', 2578, '', 0, 'AT4\r'),
	('AD', 13983, 'MGF', 2586, 'CGB', 2548, '', 0, 'E90\r'),
	('AD', 13983, 'MGF', 2586, 'CWB', 2545, '', 0, 'E90\r'),
	('AD', 13983, 'MGF', 2586, 'LDB', 2581, '', 0, 'AT7\r'),
	('AD', 13983, 'MGF', 2586, 'POA', 2599, '', 0, 'AT7\r'),
	('AD', 13983, 'MGF', 2586, 'VCP', 2578, '', 0, 'E90 AT7\r'),
	('AD', 13983, 'MII', 6038, 'JTC', 8238, '', 0, 'AT7\r'),
	('AD', 13983, 'MII', 6038, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'MOC', 2587, 'CNF', 2537, '', 0, 'E95 E90\r'),
	('AD', 13983, 'MOC', 2587, 'PLU', 2528, '', 0, 'AT7\r'),
	('AD', 13983, 'NAT', 2597, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'NAT', 2597, 'FEN', 2556, '', 0, 'AT7\r'),
	('AD', 13983, 'NAT', 2597, 'REC', 2610, '', 0, 'AT7 E90\r'),
	('AD', 13983, 'NAT', 2597, 'VCP', 2578, '', 0, 'E95\r'),
	('AD', 13983, 'NVT', 2595, 'GRU', 2564, '', 0, 'E95\r'),
	('AD', 13983, 'NVT', 2595, 'POA', 2599, '', 0, 'E95 E90\r'),
	('AD', 13983, 'NVT', 2595, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'OAL', 7798, 'CGB', 2548, '', 0, 'E90 AT7\r'),
	('AD', 13983, 'OLC', 8256, 'TFF', 2624, '', 0, 'AT4\r'),
	('AD', 13983, 'OPS', 7367, 'CGB', 2548, '', 0, 'E95\r'),
	('AD', 13983, 'PAV', 2631, 'SSA', 2621, '', 0, 'AT7\r'),
	('AD', 13983, 'PET', 2603, 'POA', 2599, '', 0, 'AT7\r'),
	('AD', 13983, 'PFB', 2602, 'POA', 2599, '', 0, 'AT7\r'),
	('AD', 13983, 'PFB', 2602, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'PIN', 7372, 'MAO', 2551, '', 0, 'AT7\r'),
	('AD', 13983, 'PLU', 2528, 'AAX', 7395, '', 0, 'AT4\r'),
	('AD', 13983, 'PLU', 2528, 'CFB', 7364, '', 0, 'AT7\r'),
	('AD', 13983, 'PLU', 2528, 'GRU', 2564, '', 0, 'AT7\r'),
	('AD', 13983, 'PLU', 2528, 'GVR', 6735, '', 0, 'AT7\r'),
	('AD', 13983, 'PLU', 2528, 'IPN', 2570, '', 0, 'AT4\r'),
	('AD', 13983, 'PLU', 2528, 'MOC', 2587, '', 0, 'AT7\r'),
	('AD', 13983, 'PLU', 2528, 'POJ', 8237, '', 0, 'AT4\r'),
	('AD', 13983, 'PLU', 2528, 'SJK', 2615, '', 0, 'AT7\r'),
	('AD', 13983, 'PLU', 2528, 'UDI', 2633, '', 0, 'AT7\r'),
	('AD', 13983, 'PLU', 2528, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'PLU', 2528, 'VDC', 6039, 'Y', 0, 'AT7\r'),
	('AD', 13983, 'PMW', 4214, 'AUX', 7376, '', 0, 'AT7\r'),
	('AD', 13983, 'PMW', 4214, 'BSB', 2531, '', 0, 'AT7\r'),
	('AD', 13983, 'PMW', 4214, 'GYN', 2562, '', 0, 'E90 E95\r'),
	('AD', 13983, 'PNZ', 2604, 'CNF', 2537, '', 0, 'E90\r'),
	('AD', 13983, 'POA', 2599, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'POA', 2599, 'CWB', 2545, '', 0, 'E95\r'),
	('AD', 13983, 'POA', 2599, 'GRU', 2564, '', 0, 'E95 E90\r'),
	('AD', 13983, 'POA', 2599, 'IGU', 2554, '', 0, 'AT7\r'),
	('AD', 13983, 'POA', 2599, 'JOI', 2576, '', 0, 'AT7\r'),
	('AD', 13983, 'POA', 2599, 'LDB', 2581, '', 0, 'AT7\r'),
	('AD', 13983, 'POA', 2599, 'MGF', 2586, '', 0, 'AT7\r'),
	('AD', 13983, 'POA', 2599, 'NVT', 2595, '', 0, 'E95 E90\r'),
	('AD', 13983, 'POA', 2599, 'PET', 2603, '', 0, 'AT7\r'),
	('AD', 13983, 'POA', 2599, 'PFB', 2602, '', 0, 'AT7\r'),
	('AD', 13983, 'POA', 2599, 'RIA', 6040, '', 0, 'AT7\r'),
	('AD', 13983, 'POA', 2599, 'SDU', 2612, '', 0, 'E90\r'),
	('AD', 13983, 'POA', 2599, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'POA', 2599, 'XAP', 2539, '', 0, 'AT7\r'),
	('AD', 13983, 'POJ', 8237, 'PLU', 2528, '', 0, 'AT4\r'),
	('AD', 13983, 'PPB', 2550, 'VCP', 2578, '', 0, 'AT7 E95\r'),
	('AD', 13983, 'PVH', 2607, 'CGB', 2548, '', 0, 'E90 E95\r'),
	('AD', 13983, 'PVH', 2607, 'MAO', 2551, '', 0, 'E95 AT7\r'),
	('AD', 13983, 'PVH', 2607, 'RBR', 2609, '', 0, 'E90 E95\r'),
	('AD', 13983, 'RAO', 2613, 'CNF', 2537, '', 0, 'AT7\r'),
	('AD', 13983, 'RAO', 2613, 'SJP', 2619, '', 0, 'E95\r'),
	('AD', 13983, 'RAO', 2613, 'VCP', 2578, '', 0, 'E90 AT7 E95\r'),
	('AD', 13983, 'RBR', 2609, 'PVH', 2607, '', 0, 'E90 E95\r'),
	('AD', 13983, 'REC', 2610, 'AJU', 2522, '', 0, 'AT7\r'),
	('AD', 13983, 'REC', 2610, 'CNF', 2537, '', 0, 'E90 E95\r'),
	('AD', 13983, 'REC', 2610, 'FEN', 2556, '', 0, 'E95\r'),
	('AD', 13983, 'REC', 2610, 'FOR', 2559, '', 0, 'E95\r'),
	('AD', 13983, 'REC', 2610, 'GRU', 2564, '', 0, 'E95\r'),
	('AD', 13983, 'REC', 2610, 'MCZ', 2590, '', 0, 'AT7\r'),
	('AD', 13983, 'REC', 2610, 'NAT', 2597, '', 0, 'AT7 E90\r'),
	('AD', 13983, 'REC', 2610, 'SSA', 2621, '', 0, 'E95\r'),
	('AD', 13983, 'REC', 2610, 'THE', 2623, '', 0, 'E95\r'),
	('AD', 13983, 'REC', 2610, 'VCP', 2578, '', 0, 'E95\r'),
	('AD', 13983, 'RIA', 6040, 'POA', 2599, '', 0, 'AT7\r'),
	('AD', 13983, 'ROO', 7382, 'CGB', 2548, '', 0, 'AT7\r'),
	('AD', 13983, 'RVD', 7394, 'VCP', 2578, '', 0, 'AT4\r'),
	('AD', 13983, 'SDU', 2612, 'BPS', 4209, '', 0, 'E90\r'),
	('AD', 13983, 'SDU', 2612, 'CAW', 2543, '', 0, 'AT7\r'),
	('AD', 13983, 'SDU', 2612, 'CGH', 2618, '', 0, 'E90\r'),
	('AD', 13983, 'SDU', 2612, 'CNF', 2537, '', 0, 'E90 E95\r'),
	('AD', 13983, 'SDU', 2612, 'CWB', 2545, '', 0, 'E90\r'),
	('AD', 13983, 'SDU', 2612, 'GRU', 2564, '', 0, 'E90 E95\r'),
	('AD', 13983, 'SDU', 2612, 'GYN', 2562, '', 0, 'E90\r'),
	('AD', 13983, 'SDU', 2612, 'MEA', 6037, '', 0, 'AT4\r'),
	('AD', 13983, 'SDU', 2612, 'POA', 2599, '', 0, 'E90\r'),
	('AD', 13983, 'SDU', 2612, 'SJK', 2615, '', 0, 'AT7 E90\r'),
	('AD', 13983, 'SDU', 2612, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'SDU', 2612, 'VIX', 2638, '', 0, 'E90 E95\r'),
	('AD', 13983, 'SJK', 2615, 'PLU', 2528, '', 0, 'AT7\r'),
	('AD', 13983, 'SJK', 2615, 'SDU', 2612, '', 0, 'E90 AT7\r'),
	('AD', 13983, 'SJL', 7530, 'TFF', 2624, '', 0, 'AT4\r'),
	('AD', 13983, 'SJP', 2619, 'CGB', 2548, '', 0, 'AT7\r'),
	('AD', 13983, 'SJP', 2619, 'RAO', 2613, '', 0, 'E95\r'),
	('AD', 13983, 'SJP', 2619, 'VCP', 2578, '', 0, 'E95 AT7 E90\r'),
	('AD', 13983, 'SLZ', 2616, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'SLZ', 2616, 'FOR', 2559, '', 0, 'E95\r'),
	('AD', 13983, 'SLZ', 2616, 'THE', 2623, '', 0, 'E95\r'),
	('AD', 13983, 'SSA', 2621, 'AJU', 2522, '', 0, 'AT7\r'),
	('AD', 13983, 'SSA', 2621, 'BPS', 4209, '', 0, 'AT7\r'),
	('AD', 13983, 'SSA', 2621, 'BRA', 7373, '', 0, 'AT7\r'),
	('AD', 13983, 'SSA', 2621, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'SSA', 2621, 'GRU', 2564, '', 0, 'E95\r'),
	('AD', 13983, 'SSA', 2621, 'IOS', 2569, '', 0, 'E95 AT7\r'),
	('AD', 13983, 'SSA', 2621, 'JPA', 2575, '', 0, 'AT7\r'),
	('AD', 13983, 'SSA', 2621, 'LEC', 6036, '', 0, 'AT7\r'),
	('AD', 13983, 'SSA', 2621, 'PAV', 2631, '', 0, 'AT7\r'),
	('AD', 13983, 'SSA', 2621, 'REC', 2610, '', 0, 'E95\r'),
	('AD', 13983, 'SSA', 2621, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'SSA', 2621, 'VDC', 6039, '', 0, 'AT7\r'),
	('AD', 13983, 'SSA', 2621, 'VIX', 2638, '', 0, 'E95 AT7 E90\r'),
	('AD', 13983, 'STM', 4092, 'ATM', 2566, '', 0, 'AT7\r'),
	('AD', 13983, 'STM', 4092, 'BEL', 2526, '', 0, 'AT7\r'),
	('AD', 13983, 'STM', 4092, 'ITB', 7534, '', 0, 'AT7\r'),
	('AD', 13983, 'STM', 4092, 'MAO', 2551, '', 0, 'AT7\r'),
	('AD', 13983, 'STM', 4092, 'TMT', 2622, '', 0, 'AT7\r'),
	('AD', 13983, 'TBT', 2628, 'MAO', 2551, '', 0, 'E95\r'),
	('AD', 13983, 'TFF', 2624, 'ERN', 8247, '', 0, 'AT4\r'),
	('AD', 13983, 'TFF', 2624, 'IRZ', 8258, '', 0, 'AT4\r'),
	('AD', 13983, 'TFF', 2624, 'MAO', 2551, '', 0, 'E95 AT4\r'),
	('AD', 13983, 'TFF', 2624, 'OLC', 8256, '', 0, 'AT4\r'),
	('AD', 13983, 'TFF', 2624, 'SJL', 7530, '', 0, 'AT4\r'),
	('AD', 13983, 'THE', 2623, 'FOR', 2559, '', 0, 'E95\r'),
	('AD', 13983, 'THE', 2623, 'REC', 2610, '', 0, 'E95\r'),
	('AD', 13983, 'THE', 2623, 'SLZ', 2616, '', 0, 'E95\r'),
	('AD', 13983, 'THE', 2623, 'VCP', 2578, '', 0, 'E95\r'),
	('AD', 13983, 'TMT', 2622, 'STM', 4092, '', 0, 'AT7\r'),
	('AD', 13983, 'TUR', 2629, 'BEL', 2526, '', 0, 'AT7\r'),
	('AD', 13983, 'UBA', 2635, 'CNF', 2537, '', 0, 'AT7\r'),
	('AD', 13983, 'UBA', 2635, 'VCP', 2578, '', 0, 'AT7\r'),
	('AD', 13983, 'UDI', 2633, 'BSB', 2531, '', 0, 'AT7\r'),
	('AD', 13983, 'UDI', 2633, 'CNF', 2537, '', 0, 'E95\r'),
	('AD', 13983, 'UDI', 2633, 'PLU', 2528, '', 0, 'AT7\r'),
	('AD', 13983, 'UDI', 2633, 'VCP', 2578, '', 0, 'AT7 E90 E95\r'),
	('AD', 13983, 'VCP', 2578, 'AJU', 2522, '', 0, 'E95\r'),
	('AD', 13983, 'VCP', 2578, 'AQA', 2521, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'ARU', 2525, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'BPS', 4209, '', 0, 'E95\r'),
	('AD', 13983, 'VCP', 2578, 'BSB', 2531, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'BYO', 8242, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'CAC', 2535, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'CCM', 2541, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'CFB', 7364, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'CGB', 2548, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'CGR', 2538, '', 0, 'E95 E90 E75\r'),
	('AD', 13983, 'VCP', 2578, 'CLV', 4215, '', 0, 'E90 E95\r'),
	('AD', 13983, 'VCP', 2578, 'CNF', 2537, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'CWB', 2545, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'CXJ', 2547, '', 0, 'E95\r'),
	('AD', 13983, 'VCP', 2578, 'DOU', 7380, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'FLN', 2555, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'FOR', 2559, '', 0, 'E90 E95\r'),
	('AD', 13983, 'VCP', 2578, 'GIG', 2560, '', 0, 'E90 E95\r'),
	('AD', 13983, 'VCP', 2578, 'GYN', 2562, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'IGU', 2554, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'IOS', 2569, '', 0, 'E95\r'),
	('AD', 13983, 'VCP', 2578, 'IZA', 8180, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'JDO', 6034, '', 0, 'E90\r'),
	('AD', 13983, 'VCP', 2578, 'JOI', 2576, '', 0, 'AT7 E95\r'),
	('AD', 13983, 'VCP', 2578, 'JPA', 2575, '', 0, 'E95\r'),
	('AD', 13983, 'VCP', 2578, 'JTC', 8238, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'LDB', 2581, '', 0, 'E95 AT7 E90\r'),
	('AD', 13983, 'VCP', 2578, 'MAO', 2551, '', 0, 'E95\r'),
	('AD', 13983, 'VCP', 2578, 'MCZ', 2590, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'MEA', 6037, '', 0, 'AT4\r'),
	('AD', 13983, 'VCP', 2578, 'MGF', 2586, '', 0, 'AT7 E90 E95\r'),
	('AD', 13983, 'VCP', 2578, 'MII', 6038, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'NAT', 2597, '', 0, 'E95\r'),
	('AD', 13983, 'VCP', 2578, 'NVT', 2595, '', 0, 'E90 E95\r'),
	('AD', 13983, 'VCP', 2578, 'PFB', 2602, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'PLU', 2528, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'POA', 2599, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'PPB', 2550, '', 0, 'AT7 E95\r'),
	('AD', 13983, 'VCP', 2578, 'RAO', 2613, '', 0, 'AT7 E90 E95\r'),
	('AD', 13983, 'VCP', 2578, 'REC', 2610, '', 0, 'E95\r'),
	('AD', 13983, 'VCP', 2578, 'RVD', 7394, '', 0, 'AT4\r'),
	('AD', 13983, 'VCP', 2578, 'SDU', 2612, '', 0, 'E90 E95\r'),
	('AD', 13983, 'VCP', 2578, 'SJP', 2619, '', 0, 'AT7 E95\r'),
	('AD', 13983, 'VCP', 2578, 'SSA', 2621, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'THE', 2623, '', 0, 'E95\r'),
	('AD', 13983, 'VCP', 2578, 'UBA', 2635, '', 0, 'AT7\r'),
	('AD', 13983, 'VCP', 2578, 'UDI', 2633, '', 0, 'E90 AT7 E95\r'),
	('AD', 13983, 'VCP', 2578, 'VIX', 2638, '', 0, 'E95 E90\r'),
	('AD', 13983, 'VCP', 2578, 'XAP', 2539, '', 0, 'AT7 E95\r'),
	('AD', 13983, 'VDC', 6039, 'CNF', 2537, '', 0, 'AT7\r'),
	('AD', 13983, 'VDC', 6039, 'PLU', 2528, 'Y', 0, 'AT7\r'),
	('AD', 13983, 'VDC', 6039, 'SSA', 2621, '', 0, 'AT7\r'),
	('AD', 13983, 'VIX', 2638, 'CNF', 2537, '', 0, 'E90 E95\r'),
	('AD', 13983, 'VIX', 2638, 'SDU', 2612, '', 0, 'E90 E95\r'),
	('AD', 13983, 'VIX', 2638, 'SSA', 2621, '', 0, 'AT7 E95 E90\r'),
	('AD', 13983, 'VIX', 2638, 'VCP', 2578, '', 0, 'E95 E90\r'),
	('AD', 13983, 'XAP', 2539, 'POA', 2599, '', 0, 'AT7\r'),
	('AD', 13983, 'XAP', 2539, 'VCP', 2578, '', 0, 'AT7 E95\r'),
	('AE', 3392, 'CGO', 3375, 'RMQ', 2268, '', 0, 'E90\r'),
	('AE', 3392, 'CGO', 3375, 'TPE', 2276, 'Y', 0, '738 333\r'),
	('AE', 3392, 'CSX', 3371, 'KHH', 2264, 'Y', 0, '333\r'),
	('AE', 3392, 'CSX', 3371, 'TPE', 2276, 'Y', 0, '320 738 333\r'),
	('AE', 3392, 'FOC', 3385, 'TSA', 2275, '', 0, '738\r'),
	('AE', 3392, 'HAN', 3199, 'RMQ', 2268, '', 0, 'E90\r'),
	('AE', 3392, 'HGH', 3386, 'KHH', 2264, 'Y', 0, '333\r'),
	('AE', 3392, 'HGH', 3386, 'RMQ', 2268, '', 0, 'E90\r'),
	('AE', 3392, 'HKG', 3077, 'RMQ', 2268, '', 0, '738 E90\r'),
	('AE', 3392, 'HUN', 2278, 'KHH', 2264, '', 0, 'E90\r'),
	('AE', 3392, 'ICN', 3930, 'KHH', 2264, '', 0, 'E90\r'),
	('AE', 3392, 'KHH', 2264, 'CSX', 3371, 'Y', 0, '333\r'),
	('AE', 3392, 'KHH', 2264, 'HGH', 3386, 'Y', 0, '333\r'),
	('AE', 3392, 'KHH', 2264, 'HUN', 2278, '', 0, 'E90\r'),
	('AE', 3392, 'KHH', 2264, 'ICN', 3930, '', 0, 'E90\r'),
	('AE', 3392, 'KHH', 2264, 'XMN', 3383, '', 0, 'E90\r'),
	('AE', 3392, 'KNH', 2259, 'RMQ', 2268, '', 0, 'E90\r'),
	('AE', 3392, 'KNH', 2259, 'TSA', 2275, '', 0, 'E90\r'),
	('AE', 3392, 'LJG', 4033, 'TPE', 2276, '', 0, '738\r'),
	('AE', 3392, 'MXZ', 6354, 'RMQ', 2268, '', 0, 'E90\r'),
	('AE', 3392, 'MZG', 2272, 'RMQ', 2268, '', 0, 'E90\r'),
	('AE', 3392, 'MZG', 2272, 'TSA', 2275, '', 0, 'E90\r'),
	('AE', 3392, 'NGB', 3387, 'RMQ', 2268, '', 0, 'E90\r'),
	('AE', 3392, 'NGB', 3387, 'TPE', 2276, 'Y', 0, '320 333 343\r'),
	('AE', 3392, 'NKG', 3388, 'TPE', 2276, 'Y', 0, '320 321 744\r'),
	('AE', 3392, 'OKA', 2384, 'RMQ', 2268, '', 0, 'E90\r'),
	('AE', 3392, 'RMQ', 2268, 'CGO', 3375, '', 0, 'E90\r'),
	('AE', 3392, 'RMQ', 2268, 'HAN', 3199, '', 0, 'E90\r'),
	('AE', 3392, 'RMQ', 2268, 'HGH', 3386, '', 0, 'E90\r'),
	('AE', 3392, 'RMQ', 2268, 'HKG', 3077, '', 0, '738 E90\r'),
	('AE', 3392, 'RMQ', 2268, 'KNH', 2259, '', 0, 'E90\r'),
	('AE', 3392, 'RMQ', 2268, 'MXZ', 6354, '', 0, 'E90\r'),
	('AE', 3392, 'RMQ', 2268, 'MZG', 2272, '', 0, 'E90\r'),
	('AE', 3392, 'RMQ', 2268, 'NGB', 3387, '', 0, 'E90\r'),
	('AE', 3392, 'RMQ', 2268, 'OKA', 2384, '', 0, 'E90\r'),
	('AE', 3392, 'RMQ', 2268, 'SGN', 3205, '', 0, 'E90\r'),
	('AE', 3392, 'SGN', 3205, 'RMQ', 2268, '', 0, 'E90\r'),
	('AE', 3392, 'SHE', 4144, 'TPE', 2276, 'Y', 0, '320 333\r'),
	('AE', 3392, 'TPE', 2276, 'CGO', 3375, 'Y', 0, '738 333\r'),
	('AE', 3392, 'TPE', 2276, 'CSX', 3371, 'Y', 0, '320 738 333\r'),
	('AE', 3392, 'TPE', 2276, 'LJG', 4033, '', 0, '738\r'),
	('AE', 3392, 'TPE', 2276, 'NGB', 3387, 'Y', 0, '320 333 343\r'),
	('AE', 3392, 'TPE', 2276, 'NKG', 3388, 'Y', 0, '320 321 744\r'),
	('AE', 3392, 'TPE', 2276, 'SHE', 4144, 'Y', 0, '320 333\r'),
	('AE', 3392, 'TPE', 2276, 'XMN', 3383, 'Y', 0, '343 738 333\r'),
	('AE', 3392, 'TPE', 2276, 'YNZ', 6393, 'Y', 0, '738\r'),
	('AE', 3392, 'TSA', 2275, 'FOC', 3385, '', 0, '738\r'),
	('AE', 3392, 'TSA', 2275, 'KNH', 2259, '', 0, 'E90\r'),
	('AE', 3392, 'TSA', 2275, 'MZG', 2272, '', 0, 'E90\r'),
	('AE', 3392, 'TSA', 2275, 'TTT', 2262, '', 0, 'E90\r'),
	('AE', 3392, 'TSA', 2275, 'WNZ', 6392, 'Y', 0, '738\r'),
	('AE', 3392, 'TTT', 2262, 'TSA', 2275, '', 0, 'E90\r'),
	('AE', 3392, 'WNZ', 6392, 'TSA', 2275, 'Y', 0, '738\r'),
	('AE', 3392, 'XMN', 3383, 'KHH', 2264, '', 0, 'E90\r'),
	('AE', 3392, 'XMN', 3383, 'TPE', 2276, 'Y', 0, '738 343 333\r'),
	('AE', 3392, 'YNZ', 6393, 'TPE', 2276, 'Y', 0, '738\r'),
	('AF', 137, 'ABE', 4355, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ABJ', 253, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'ABQ', 4019, 'ATL', 3682, 'Y', 0, '757 320\r'),
	('AF', 137, 'ABV', 260, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'ABV', 260, 'PHC', 275, '', 0, '332\r'),
	('AF', 137, 'ABY', 5715, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ABZ', 532, 'CDG', 1382, '', 0, 'E70\r'),
	('AF', 137, 'AEX', 3852, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'AGP', 1230, 'CDG', 1382, 'Y', 0, '738\r'),
	('AF', 137, 'AGS', 3658, 'ATL', 3682, 'Y', 0, 'CRJ 717\r'),
	('AF', 137, 'AJA', 1324, 'LGG', 309, '', 0, '320\r'),
	('AF', 137, 'AJA', 1324, 'LYS', 1335, 'Y', 0, '320\r'),
	('AF', 137, 'AJA', 1324, 'MRS', 1353, 'Y', 0, '320 AT7\r'),
	('AF', 137, 'AJA', 1324, 'NCE', 1354, 'Y', 0, 'AT7\r'),
	('AF', 137, 'AJA', 1324, 'NTE', 1418, 'Y', 0, '320\r'),
	('AF', 137, 'AJA', 1324, 'ORY', 1386, '', 0, '321 320 319\r'),
	('AF', 137, 'AJA', 1324, 'TLS', 1273, 'Y', 0, '320\r'),
	('AF', 137, 'ALB', 3864, 'ATL', 3682, 'Y', 0, 'CR9 M88\r'),
	('AF', 137, 'ALG', 210, 'CDG', 1382, '', 0, '319\r'),
	('AF', 137, 'ALG', 210, 'MRS', 1353, '', 0, '320 319\r'),
	('AF', 137, 'AMM', 2170, 'CDG', 1382, '', 0, '320\r'),
	('AF', 137, 'AMS', 580, 'AUH', 2179, 'Y', 0, '332\r'),
	('AF', 137, 'AMS', 580, 'BOD', 1264, 'Y', 0, 'E90 73W F70\r'),
	('AF', 137, 'AMS', 580, 'BSL', 4053, 'Y', 0, 'F70 E90\r'),
	('AF', 137, 'AMS', 580, 'CDG', 1382, '', 0, '321 320 319 318 32A\r'),
	('AF', 137, 'AMS', 580, 'CFE', 1330, 'Y', 0, 'ER4\r'),
	('AF', 137, 'AMS', 580, 'DMM', 2064, 'Y', 0, '332\r'),
	('AF', 137, 'AMS', 580, 'DOH', 2241, 'Y', 0, '332\r'),
	('AF', 137, 'AMS', 580, 'HRE', 1005, 'Y', 0, '332\r'),
	('AF', 137, 'AMS', 580, 'JRO', 1180, 'Y', 0, '332\r'),
	('AF', 137, 'AMS', 580, 'KGL', 1165, 'Y', 0, '332\r'),
	('AF', 137, 'AMS', 580, 'KUL', 3304, 'Y', 0, '772\r'),
	('AF', 137, 'AMS', 580, 'KWI', 2176, 'Y', 0, '332\r'),
	('AF', 137, 'AMS', 580, 'LCY', 503, 'Y', 0, 'AR8\r'),
	('AF', 137, 'AMS', 580, 'LYS', 1335, '', 0, 'F70\r'),
	('AF', 137, 'AMS', 580, 'MRS', 1353, '', 0, '319\r'),
	('AF', 137, 'AMS', 580, 'NCE', 1354, 'Y', 0, '73W E90 73H\r'),
	('AF', 137, 'AMS', 580, 'NTE', 1418, '', 0, 'ER4\r'),
	('AF', 137, 'AMS', 580, 'SXB', 1435, '', 0, 'ER4 CR7 E70\r'),
	('AF', 137, 'AMS', 580, 'TLS', 1273, 'Y', 0, 'E90\r'),
	('AF', 137, 'AMS', 580, 'TPE', 2276, 'Y', 0, '77W\r'),
	('AF', 137, 'AMS', 580, 'UIO', 2688, 'Y', 0, '772\r'),
	('AF', 137, 'ANR', 299, 'LCY', 503, 'Y', 0, 'F50\r'),
	('AF', 137, 'ARN', 737, 'CDG', 1382, '', 0, '320 321 32A 319\r'),
	('AF', 137, 'ATH', 3941, 'CDG', 1382, '', 0, '32A 319 320 321\r'),
	('AF', 137, 'ATH', 3941, 'MRS', 1353, '', 0, '319\r'),
	('AF', 137, 'ATH', 3941, 'TLS', 1273, '', 0, '320\r'),
	('AF', 137, 'ATL', 3682, 'ABE', 4355, 'Y', 0, '717\r'),
	('AF', 137, 'ATL', 3682, 'ABQ', 4019, 'Y', 0, '757\r'),
	('AF', 137, 'ATL', 3682, 'ABY', 5715, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'AEX', 3852, 'Y', 0, 'CRJ CR9\r'),
	('AF', 137, 'ATL', 3682, 'AGS', 3658, 'Y', 0, 'CRJ M88 717\r'),
	('AF', 137, 'ATL', 3682, 'ALB', 3864, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'ATW', 4047, 'Y', 0, 'CR9\r'),
	('AF', 137, 'ATL', 3682, 'AUS', 3673, 'Y', 0, 'M90 M88\r'),
	('AF', 137, 'ATL', 3682, 'AVL', 4007, 'Y', 0, 'CRJ M88\r'),
	('AF', 137, 'ATL', 3682, 'AVP', 4286, 'Y', 0, 'CR7\r'),
	('AF', 137, 'ATL', 3682, 'BDL', 3825, 'Y', 0, 'M88 73W\r'),
	('AF', 137, 'ATL', 3682, 'BHM', 3811, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'BMI', 4037, 'Y', 0, 'CR7 CR9\r'),
	('AF', 137, 'ATL', 3682, 'BNA', 3690, 'Y', 0, 'M88 319 738 73H 717 320\r'),
	('AF', 137, 'ATL', 3682, 'BOS', 3448, 'Y', 0, 'M90 757 320 738 319\r'),
	('AF', 137, 'ATL', 3682, 'BQK', 5725, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'BRU', 302, 'Y', 0, '76W\r'),
	('AF', 137, 'ATL', 3682, 'BTR', 3846, 'Y', 0, 'CR7 CRJ 319 CR9\r'),
	('AF', 137, 'ATL', 3682, 'BTV', 3711, 'Y', 0, 'CR9\r'),
	('AF', 137, 'ATL', 3682, 'BUF', 3820, 'Y', 0, 'M90 M88\r'),
	('AF', 137, 'ATL', 3682, 'BWI', 3849, 'Y', 0, 'M90 757 320\r'),
	('AF', 137, 'ATL', 3682, 'CAE', 3561, 'Y', 0, 'M88 CRJ 319 717\r'),
	('AF', 137, 'ATL', 3682, 'CAK', 4112, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'CDG', 1382, '', 0, '77W 744 772 74Y\r'),
	('AF', 137, 'ATL', 3682, 'CHA', 3578, 'Y', 0, 'CRJ M88\r'),
	('AF', 137, 'ATL', 3682, 'CHO', 4015, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'CHS', 3806, 'Y', 0, '320 M88 73W 717 319\r'),
	('AF', 137, 'ATL', 3682, 'CID', 4043, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'CLE', 3486, 'Y', 0, '717 CR9\r'),
	('AF', 137, 'ATL', 3682, 'CLT', 3876, 'Y', 0, 'M90 M88 319\r'),
	('AF', 137, 'ATL', 3682, 'CMH', 3759, 'Y', 0, '73W M88 738\r'),
	('AF', 137, 'ATL', 3682, 'COS', 3819, 'Y', 0, '738\r'),
	('AF', 137, 'ATL', 3682, 'CRW', 4285, 'Y', 0, 'CRJ 319\r'),
	('AF', 137, 'ATL', 3682, 'CSG', 4255, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'CUN', 1852, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'CVG', 3488, 'Y', 0, '738 M88 319\r'),
	('AF', 137, 'ATL', 3682, 'CZM', 1800, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'DAB', 3950, 'Y', 0, 'M90\r'),
	('AF', 137, 'ATL', 3682, 'DAL', 3502, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'DAY', 3627, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'DCA', 3520, 'Y', 0, 'M88 M90 320\r'),
	('AF', 137, 'ATL', 3682, 'DEN', 3751, 'Y', 0, 'M90 757 738\r'),
	('AF', 137, 'ATL', 3682, 'DFW', 3670, 'Y', 0, 'M88 319\r'),
	('AF', 137, 'ATL', 3682, 'DHN', 3739, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'DSM', 3729, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'DTW', 3645, 'Y', 0, 'M88 M90 757\r'),
	('AF', 137, 'ATL', 3682, 'DUB', 599, 'Y', 0, '76W\r'),
	('AF', 137, 'ATL', 3682, 'DUS', 345, 'Y', 0, '76W\r'),
	('AF', 137, 'ATL', 3682, 'ECP', 7669, 'Y', 0, '717 M88\r'),
	('AF', 137, 'ATL', 3682, 'ELP', 3559, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'EVV', 4018, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'EWN', 3730, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'EWR', 3494, 'Y', 0, '717\r'),
	('AF', 137, 'ATL', 3682, 'EYW', 3875, 'Y', 0, '73W CR7\r'),
	('AF', 137, 'ATL', 3682, 'FAY', 5738, 'Y', 0, 'CRJ 73W\r'),
	('AF', 137, 'ATL', 3682, 'FCO', 1555, 'Y', 0, '333\r'),
	('AF', 137, 'ATL', 3682, 'FLL', 3533, 'Y', 0, '757 M90\r'),
	('AF', 137, 'ATL', 3682, 'FNT', 4089, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'FRA', 340, 'Y', 0, '764\r'),
	('AF', 137, 'ATL', 3682, 'FSM', 3437, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'FWA', 4041, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'GDL', 1804, 'Y', 0, '320\r'),
	('AF', 137, 'ATL', 3682, 'GNV', 3472, 'Y', 0, 'CR9 717 CR7\r'),
	('AF', 137, 'ATL', 3682, 'GPT', 4038, 'Y', 0, 'M88 CR7 CRJ\r'),
	('AF', 137, 'ATL', 3682, 'GRB', 3653, 'Y', 0, 'CR7\r'),
	('AF', 137, 'ATL', 3682, 'GRK', 3775, 'Y', 0, 'CR9\r'),
	('AF', 137, 'ATL', 3682, 'GRR', 3685, 'Y', 0, 'M88 320\r'),
	('AF', 137, 'ATL', 3682, 'GSO', 4008, 'Y', 0, 'M88 320 319\r'),
	('AF', 137, 'ATL', 3682, 'GSP', 4034, 'Y', 0, 'CR7 319 M88 717 CRJ\r'),
	('AF', 137, 'ATL', 3682, 'GTR', 4273, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'HPN', 3589, 'Y', 0, 'CR7\r'),
	('AF', 137, 'ATL', 3682, 'HSV', 4113, 'Y', 0, '717 M88 CRJ\r'),
	('AF', 137, 'ATL', 3682, 'IAD', 3714, 'Y', 0, '320 M88\r'),
	('AF', 137, 'ATL', 3682, 'IAH', 3550, 'Y', 0, 'M88 717 320 319\r'),
	('AF', 137, 'ATL', 3682, 'ICT', 3457, 'Y', 0, 'CR9 M88\r'),
	('AF', 137, 'ATL', 3682, 'ILM', 3845, 'Y', 0, 'CRJ 319\r'),
	('AF', 137, 'ATL', 3682, 'IND', 3585, 'Y', 0, '320 M88 M90\r'),
	('AF', 137, 'ATL', 3682, 'JAN', 3580, 'Y', 0, '717 CR9 M88 CRJ\r'),
	('AF', 137, 'ATL', 3682, 'JAX', 3712, 'Y', 0, '757\r'),
	('AF', 137, 'ATL', 3682, 'JFK', 3797, 'Y', 0, '319 752 M88 738\r'),
	('AF', 137, 'ATL', 3682, 'LAS', 3877, 'Y', 0, '757 753\r'),
	('AF', 137, 'ATL', 3682, 'LAX', 3484, 'Y', 0, '76W 763 757 739\r'),
	('AF', 137, 'ATL', 3682, 'LEX', 4017, 'Y', 0, 'CR9 M88 CRJ 717\r'),
	('AF', 137, 'ATL', 3682, 'LFT', 3493, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'LGA', 3697, 'Y', 0, '757 739\r'),
	('AF', 137, 'ATL', 3682, 'LHR', 507, 'Y', 0, '764 77L 76W\r'),
	('AF', 137, 'ATL', 3682, 'LIT', 3660, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'MAD', 1229, 'Y', 0, '764\r'),
	('AF', 137, 'ATL', 3682, 'MAN', 478, 'Y', 0, '76W\r'),
	('AF', 137, 'ATL', 3682, 'MCI', 3458, 'Y', 0, 'M88 M90 757\r'),
	('AF', 137, 'ATL', 3682, 'MCO', 3878, 'Y', 0, '757\r'),
	('AF', 137, 'ATL', 3682, 'MDT', 3542, 'Y', 0, 'CRJ M88\r'),
	('AF', 137, 'ATL', 3682, 'MDW', 3747, 'Y', 0, '319 717 320\r'),
	('AF', 137, 'ATL', 3682, 'MEM', 3473, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'MEX', 1824, 'Y', 0, '73W 73H\r'),
	('AF', 137, 'ATL', 3682, 'MGM', 4115, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'MHT', 4011, 'Y', 0, '320\r'),
	('AF', 137, 'ATL', 3682, 'MIA', 3576, 'Y', 0, 'M90 757 320\r'),
	('AF', 137, 'ATL', 3682, 'MKE', 3717, 'Y', 0, 'M90 M88\r'),
	('AF', 137, 'ATL', 3682, 'MLB', 3671, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'MLI', 4072, 'Y', 0, 'CR9 CR7\r'),
	('AF', 137, 'ATL', 3682, 'MLU', 3732, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'MOB', 3782, 'Y', 0, 'CR9 717 CR7 319 CRJ\r'),
	('AF', 137, 'ATL', 3682, 'MSN', 3459, 'Y', 0, '320 73W CR9\r'),
	('AF', 137, 'ATL', 3682, 'MSP', 3858, 'Y', 0, '320 M90 757\r'),
	('AF', 137, 'ATL', 3682, 'MSY', 3861, 'Y', 0, 'M90 M88 757\r'),
	('AF', 137, 'ATL', 3682, 'MTY', 1825, 'Y', 0, 'CR9\r'),
	('AF', 137, 'ATL', 3682, 'MUC', 346, 'Y', 0, '764\r'),
	('AF', 137, 'ATL', 3682, 'MYR', 3515, 'Y', 0, 'CR7 M88\r'),
	('AF', 137, 'ATL', 3682, 'NAS', 1953, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'OAJ', 4386, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'OKC', 3863, 'Y', 0, 'CR9 M88\r'),
	('AF', 137, 'ATL', 3682, 'OMA', 3454, 'Y', 0, 'M88 M90\r'),
	('AF', 137, 'ATL', 3682, 'ORD', 3830, 'Y', 0, '757 319 320 M88 M90\r'),
	('AF', 137, 'ATL', 3682, 'ORF', 3611, 'Y', 0, 'M88 M90\r'),
	('AF', 137, 'ATL', 3682, 'PBI', 3722, 'Y', 0, 'M90 757\r'),
	('AF', 137, 'ATL', 3682, 'PDX', 3720, 'Y', 0, '73H 738\r'),
	('AF', 137, 'ATL', 3682, 'PHF', 3633, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'PHL', 3752, 'Y', 0, '320 M90 757 73H M88\r'),
	('AF', 137, 'ATL', 3682, 'PHX', 3462, 'Y', 0, '757 73H 739 738\r'),
	('AF', 137, 'ATL', 3682, 'PIA', 4046, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'PIT', 3570, 'Y', 0, 'M88 CR9\r'),
	('AF', 137, 'ATL', 3682, 'PNS', 3564, 'Y', 0, 'M90\r'),
	('AF', 137, 'ATL', 3682, 'PTY', 1871, 'Y', 0, '738\r'),
	('AF', 137, 'ATL', 3682, 'PVD', 3641, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'PWM', 3862, 'Y', 0, 'M88\r'),
	('AF', 137, 'ATL', 3682, 'RDU', 3626, 'Y', 0, 'M88 739 320\r'),
	('AF', 137, 'ATL', 3682, 'RIC', 3608, 'Y', 0, '73H M90 M88\r'),
	('AF', 137, 'ATL', 3682, 'ROA', 4016, 'Y', 0, 'CRJ 319\r'),
	('AF', 137, 'ATL', 3682, 'ROC', 3622, 'Y', 0, 'M90 M88\r'),
	('AF', 137, 'ATL', 3682, 'RSW', 3793, 'Y', 0, 'M90 M88 757\r'),
	('AF', 137, 'ATL', 3682, 'SAN', 3731, 'Y', 0, '739 763\r'),
	('AF', 137, 'ATL', 3682, 'SAT', 3621, 'Y', 0, '757 M90 320\r'),
	('AF', 137, 'ATL', 3682, 'SAV', 3613, 'Y', 0, '717 M88 319\r'),
	('AF', 137, 'ATL', 3682, 'SBN', 4359, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'SDF', 4014, 'Y', 0, 'M88 M90\r'),
	('AF', 137, 'ATL', 3682, 'SEA', 3577, 'Y', 0, '757 763 739\r'),
	('AF', 137, 'ATL', 3682, 'SFO', 3469, 'Y', 0, '763 739 757\r'),
	('AF', 137, 'ATL', 3682, 'SGF', 4348, 'Y', 0, 'CRJ CR9\r'),
	('AF', 137, 'ATL', 3682, 'SHV', 3609, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'SJO', 1885, 'Y', 0, '738\r'),
	('AF', 137, 'ATL', 3682, 'SJU', 2890, 'Y', 0, '757\r'),
	('AF', 137, 'ATL', 3682, 'SLC', 3536, 'Y', 0, '757 763 320\r'),
	('AF', 137, 'ATL', 3682, 'SMF', 3817, 'Y', 0, '757\r'),
	('AF', 137, 'ATL', 3682, 'SNA', 3867, 'Y', 0, '757\r'),
	('AF', 137, 'ATL', 3682, 'SRQ', 4067, 'Y', 0, 'M90 757\r'),
	('AF', 137, 'ATL', 3682, 'STL', 3678, 'Y', 0, 'M90 717 757 319 M88\r'),
	('AF', 137, 'ATL', 3682, 'STR', 350, 'Y', 0, '76W\r'),
	('AF', 137, 'ATL', 3682, 'SYR', 3745, 'Y', 0, 'CR9 M88\r'),
	('AF', 137, 'ATL', 3682, 'TLH', 3698, 'Y', 0, 'CRJ M88 319\r'),
	('AF', 137, 'ATL', 3682, 'TPA', 3646, 'Y', 0, '739 757\r'),
	('AF', 137, 'ATL', 3682, 'TRI', 4116, 'Y', 0, 'CRJ 319\r'),
	('AF', 137, 'ATL', 3682, 'TUL', 3855, 'Y', 0, 'CR9 CR7 M88\r'),
	('AF', 137, 'ATL', 3682, 'TUS', 3636, 'Y', 0, 'M90\r'),
	('AF', 137, 'ATL', 3682, 'TYS', 3676, 'Y', 0, 'CRJ CR7 717 CR9\r'),
	('AF', 137, 'ATL', 3682, 'VLD', 5776, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ATL', 3682, 'VPS', 3873, 'Y', 0, '319 M88 717\r'),
	('AF', 137, 'ATL', 3682, 'XNA', 4356, 'Y', 0, 'CRJ CR9 717 CR7\r'),
	('AF', 137, 'ATL', 3682, 'YUL', 146, 'Y', 0, 'CR7 CR9\r'),
	('AF', 137, 'ATL', 3682, 'YYZ', 193, 'Y', 0, 'CR9\r'),
	('AF', 137, 'ATW', 4047, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('AF', 137, 'AUH', 2179, 'AMS', 580, 'Y', 0, '330\r'),
	('AF', 137, 'AUH', 2179, 'BAH', 2057, 'Y', 0, '330\r'),
	('AF', 137, 'AUH', 2179, 'CDG', 1382, 'Y', 0, '346\r'),
	('AF', 137, 'AUS', 3673, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('AF', 137, 'AVL', 4007, 'ATL', 3682, 'Y', 0, 'CR7 CRJ\r'),
	('AF', 137, 'BAH', 2057, 'AUH', 2179, 'Y', 0, '332\r'),
	('AF', 137, 'BCN', 1218, 'CDG', 1382, '', 0, '321 32A 318 320\r'),
	('AF', 137, 'BCN', 1218, 'JFK', 3797, 'Y', 0, '333\r'),
	('AF', 137, 'BDL', 3825, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'BEG', 1739, 'CDG', 1382, 'Y', 0, '320\r'),
	('AF', 137, 'BEL', 2526, 'STM', 4092, 'Y', 0, '738\r'),
	('AF', 137, 'BES', 1403, 'CDG', 1382, '', 0, '318 321\r'),
	('AF', 137, 'BES', 1403, 'LCY', 503, 'Y', 0, 'F50\r'),
	('AF', 137, 'BES', 1403, 'MRS', 1353, '', 0, '319\r'),
	('AF', 137, 'BES', 1403, 'ORY', 1386, '', 0, '319 CRK\r'),
	('AF', 137, 'BES', 1403, 'SOU', 495, 'Y', 0, 'DH4\r'),
	('AF', 137, 'BEY', 2177, 'CDG', 1382, '', 0, '772 343\r'),
	('AF', 137, 'BGF', 888, 'NSI', 4161, '', 0, '772\r'),
	('AF', 137, 'BHM', 3811, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'BHX', 469, 'CDG', 1382, '', 0, '319 320\r'),
	('AF', 137, 'BHX', 469, 'LYS', 1335, 'Y', 0, 'E75\r'),
	('AF', 137, 'BIA', 1321, 'EBU', 1350, 'Y', 0, 'AT7\r'),
	('AF', 137, 'BIA', 1321, 'LGG', 309, '', 0, '320\r'),
	('AF', 137, 'BIA', 1321, 'LYS', 1335, 'Y', 0, '320\r'),
	('AF', 137, 'BIA', 1321, 'MRS', 1353, 'Y', 0, '320\r'),
	('AF', 137, 'BIA', 1321, 'NCE', 1354, 'Y', 0, 'AT7\r'),
	('AF', 137, 'BIA', 1321, 'NTE', 1418, 'Y', 0, '320\r'),
	('AF', 137, 'BIA', 1321, 'ORY', 1386, '', 0, '321 319\r'),
	('AF', 137, 'BIO', 1216, 'CDG', 1382, '', 0, 'E70 E90\r'),
	('AF', 137, 'BIQ', 1280, 'GVA', 1665, 'Y', 0, 'CR7\r'),
	('AF', 137, 'BIQ', 1280, 'MRS', 1353, '', 0, '320 319\r'),
	('AF', 137, 'BIQ', 1280, 'ORY', 1386, '', 0, 'CRK 319 321 320\r'),
	('AF', 137, 'BKK', 3885, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'BKK', 3885, 'CNX', 3931, 'Y', 0, '320\r'),
	('AF', 137, 'BKK', 3885, 'HKT', 3179, 'Y', 0, '320\r'),
	('AF', 137, 'BKK', 3885, 'KBV', 3174, 'Y', 0, '320\r'),
	('AF', 137, 'BKK', 3885, 'LPQ', 3115, 'Y', 0, 'AT7\r'),
	('AF', 137, 'BKO', 1044, 'CDG', 1382, '', 0, '343\r'),
	('AF', 137, 'BLL', 608, 'CDG', 1382, '', 0, 'E90\r'),
	('AF', 137, 'BLQ', 1538, 'CDG', 1382, '', 0, 'E90 E70\r'),
	('AF', 137, 'BLQ', 1538, 'LYS', 1335, 'Y', 0, 'ER4 AT5\r'),
	('AF', 137, 'BLR', 3131, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'BMI', 4037, 'ATL', 3682, 'Y', 0, 'CR7 CR9\r'),
	('AF', 137, 'BNA', 3690, 'ATL', 3682, 'Y', 0, 'M88 319 320 717\r'),
	('AF', 137, 'BOD', 1264, 'AMS', 580, 'Y', 0, 'E90 73W F70\r'),
	('AF', 137, 'BOD', 1264, 'CDG', 1382, '', 0, '321 320 32A 318\r'),
	('AF', 137, 'BOD', 1264, 'FCO', 1555, 'Y', 0, 'E70 E90 CR7\r'),
	('AF', 137, 'BOD', 1264, 'MRS', 1353, '', 0, '319 320\r'),
	('AF', 137, 'BOD', 1264, 'NTE', 1418, 'Y', 0, 'ER4\r'),
	('AF', 137, 'BOD', 1264, 'ORY', 1386, '', 0, '321 319 320\r'),
	('AF', 137, 'BOG', 2709, 'CDG', 1382, '', 0, '343\r'),
	('AF', 137, 'BOM', 2997, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'BOS', 3448, 'ATL', 3682, 'Y', 0, '757 M90 M88\r'),
	('AF', 137, 'BOS', 3448, 'CDG', 1382, '', 0, '744\r'),
	('AF', 137, 'BOS', 3448, 'LHR', 507, 'Y', 0, '764\r'),
	('AF', 137, 'BQK', 5725, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'BRE', 353, 'CDG', 1382, '', 0, 'E70\r'),
	('AF', 137, 'BRU', 302, 'ATL', 3682, 'Y', 0, '76W\r'),
	('AF', 137, 'BRU', 302, 'JFK', 3797, 'Y', 0, '76W\r'),
	('AF', 137, 'BRU', 302, 'LYS', 1335, 'Y', 0, 'ER4\r'),
	('AF', 137, 'BRU', 302, 'NTE', 1418, 'Y', 0, 'ER4\r'),
	('AF', 137, 'BSB', 2531, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'BSL', 4053, 'AMS', 580, 'Y', 0, 'F70 E90\r'),
	('AF', 137, 'BSL', 4053, 'CDG', 1382, '', 0, 'AT7\r'),
	('AF', 137, 'BTR', 3846, 'ATL', 3682, 'Y', 0, 'CR9 CRJ CR7\r'),
	('AF', 137, 'BUD', 1489, 'CDG', 1382, '', 0, '318 321 320 319\r'),
	('AF', 137, 'BUF', 3820, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('AF', 137, 'BVE', 1278, 'LCY', 503, 'Y', 0, 'AR8\r'),
	('AF', 137, 'BWI', 3849, 'ATL', 3682, 'Y', 0, 'M88 M90 73W 717\r'),
	('AF', 137, 'BZV', 883, 'CDG', 1382, '', 0, '343\r'),
	('AF', 137, 'CAE', 3561, 'ATL', 3682, 'Y', 0, 'CRJ M88 319 717\r'),
	('AF', 137, 'CAI', 1128, 'CDG', 1382, '', 0, '332 343\r'),
	('AF', 137, 'CAK', 4112, 'ATL', 3682, 'Y', 0, 'M88 CR9\r'),
	('AF', 137, 'CAN', 3370, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'CAN', 3370, 'CKG', 3393, 'Y', 0, '319\r'),
	('AF', 137, 'CAN', 3370, 'HGH', 3386, 'Y', 0, '321 772\r'),
	('AF', 137, 'CAN', 3370, 'SHE', 4144, 'Y', 0, '320\r'),
	('AF', 137, 'CAN', 3370, 'SIN', 3316, 'Y', 0, '320\r'),
	('AF', 137, 'CAN', 3370, 'WUH', 3376, 'Y', 0, '738\r'),
	('AF', 137, 'CAY', 2774, 'FDF', 2878, '', 0, '32A 320\r'),
	('AF', 137, 'CAY', 2774, 'ORY', 1386, '', 0, '343\r'),
	('AF', 137, 'CCS', 2851, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'ABJ', 253, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'ABV', 260, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'ABZ', 532, '', 0, 'E70\r'),
	('AF', 137, 'CDG', 1382, 'AGP', 1230, 'Y', 0, '738\r'),
	('AF', 137, 'CDG', 1382, 'ALG', 210, '', 0, '319\r'),
	('AF', 137, 'CDG', 1382, 'AMM', 2170, '', 0, '320\r'),
	('AF', 137, 'CDG', 1382, 'AMS', 580, '', 0, '321 320 319 318 32A\r'),
	('AF', 137, 'CDG', 1382, 'ARN', 737, '', 0, '320 321 32A 319\r'),
	('AF', 137, 'CDG', 1382, 'ATH', 3941, '', 0, '319 32A 320 321\r'),
	('AF', 137, 'CDG', 1382, 'ATL', 3682, '', 0, '77W 744 772\r'),
	('AF', 137, 'CDG', 1382, 'AUH', 2179, 'Y', 0, '346\r'),
	('AF', 137, 'CDG', 1382, 'BCN', 1218, '', 0, '321 32A 318 320\r'),
	('AF', 137, 'CDG', 1382, 'BEG', 1739, 'Y', 0, '320\r'),
	('AF', 137, 'CDG', 1382, 'BES', 1403, '', 0, '318 321\r'),
	('AF', 137, 'CDG', 1382, 'BEY', 2177, '', 0, '772 343\r'),
	('AF', 137, 'CDG', 1382, 'BGF', 888, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'BHX', 469, '', 0, '319 320\r'),
	('AF', 137, 'CDG', 1382, 'BIO', 1216, '', 0, 'E90 E70\r'),
	('AF', 137, 'CDG', 1382, 'BKK', 3885, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'BKO', 1044, '', 0, '343\r'),
	('AF', 137, 'CDG', 1382, 'BLL', 608, '', 0, 'E90\r'),
	('AF', 137, 'CDG', 1382, 'BLQ', 1538, '', 0, 'E70 E90\r'),
	('AF', 137, 'CDG', 1382, 'BLR', 3131, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'BOD', 1264, '', 0, '321 320 32A 318\r'),
	('AF', 137, 'CDG', 1382, 'BOG', 2709, '', 0, '343\r'),
	('AF', 137, 'CDG', 1382, 'BOM', 2997, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'BOS', 3448, '', 0, '744\r'),
	('AF', 137, 'CDG', 1382, 'BRE', 353, '', 0, 'E70\r'),
	('AF', 137, 'CDG', 1382, 'BSB', 2531, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'BSL', 4053, '', 0, 'AT7\r'),
	('AF', 137, 'CDG', 1382, 'BUD', 1489, '', 0, '318 321 320 319\r'),
	('AF', 137, 'CDG', 1382, 'BZV', 883, '', 0, '343\r'),
	('AF', 137, 'CDG', 1382, 'CAI', 1128, '', 0, '343 332\r'),
	('AF', 137, 'CDG', 1382, 'CAN', 3370, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'CCS', 2851, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'CFE', 1330, '', 0, 'E90 E70\r'),
	('AF', 137, 'CDG', 1382, 'CKY', 4162, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'CLY', 1322, '', 0, '320\r'),
	('AF', 137, 'CDG', 1382, 'CMN', 1074, '', 0, '320 319 321\r'),
	('AF', 137, 'CDG', 1382, 'COO', 245, '', 0, '343\r'),
	('AF', 137, 'CDG', 1382, 'CPH', 609, '', 0, '318 319 320\r'),
	('AF', 137, 'CDG', 1382, 'CVG', 3488, 'Y', 0, '76W\r'),
	('AF', 137, 'CDG', 1382, 'DEL', 3093, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'DKR', 1084, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'DLA', 897, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'DTW', 3645, '', 0, '343\r'),
	('AF', 137, 'CDG', 1382, 'DUB', 599, '', 0, 'AR8\r'),
	('AF', 137, 'CDG', 1382, 'DUS', 345, '', 0, '318 320\r'),
	('AF', 137, 'CDG', 1382, 'DXB', 2188, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'EDI', 535, '', 0, 'AR8\r'),
	('AF', 137, 'CDG', 1382, 'EVN', 3964, '', 0, '320\r'),
	('AF', 137, 'CDG', 1382, 'EWR', 3494, 'Y', 0, '76W\r'),
	('AF', 137, 'CDG', 1382, 'EXT', 552, 'Y', 0, 'DH4\r'),
	('AF', 137, 'CDG', 1382, 'EZE', 3988, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'FCO', 1555, '', 0, '320 321 319 32A\r'),
	('AF', 137, 'CDG', 1382, 'FIH', 1020, '', 0, '343\r'),
	('AF', 137, 'CDG', 1382, 'FLR', 1563, '', 0, '318\r'),
	('AF', 137, 'CDG', 1382, 'FRA', 340, '', 0, '318\r'),
	('AF', 137, 'CDG', 1382, 'GIG', 2560, '', 0, '77W 332\r'),
	('AF', 137, 'CDG', 1382, 'GOA', 1528, '', 0, 'E70 E90\r'),
	('AF', 137, 'CDG', 1382, 'GOT', 687, '', 0, 'E70 E90\r'),
	('AF', 137, 'CDG', 1382, 'GRU', 2564, '', 0, '772 77W\r'),
	('AF', 137, 'CDG', 1382, 'GVA', 1665, '', 0, '319 321 320 318\r'),
	('AF', 137, 'CDG', 1382, 'GYD', 2922, 'Y', 0, '320\r'),
	('AF', 137, 'CDG', 1382, 'HAJ', 352, '', 0, 'E70 AR8\r'),
	('AF', 137, 'CDG', 1382, 'HAM', 342, '', 0, '318 321 320 32A\r'),
	('AF', 137, 'CDG', 1382, 'HAN', 3199, 'Y', 0, '777\r'),
	('AF', 137, 'CDG', 1382, 'HAV', 1909, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'HEL', 421, 'Y', 0, 'E90 321 320 32B 319\r'),
	('AF', 137, 'CDG', 1382, 'HKG', 3077, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'HND', 2359, '', 0, '77W 772\r'),
	('AF', 137, 'CDG', 1382, 'IAD', 3714, '', 0, '388 77W\r'),
	('AF', 137, 'CDG', 1382, 'IAH', 3550, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'ICN', 3930, '', 0, '77W 772\r'),
	('AF', 137, 'CDG', 1382, 'IST', 1701, '', 0, '319 320 321\r'),
	('AF', 137, 'CDG', 1382, 'JED', 2072, 'Y', 0, '333\r'),
	('AF', 137, 'CDG', 1382, 'JFK', 3797, '', 0, '332 772 388 343\r'),
	('AF', 137, 'CDG', 1382, 'JIB', 4119, '', 0, '343\r'),
	('AF', 137, 'CDG', 1382, 'JNB', 813, '', 0, '388\r'),
	('AF', 137, 'CDG', 1382, 'KBP', 2939, '', 0, '319\r'),
	('AF', 137, 'CDG', 1382, 'KIX', 3992, '', 0, '77W 772\r'),
	('AF', 137, 'CDG', 1382, 'KUL', 3304, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'LAD', 951, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'LAX', 3484, '', 0, '388 772\r'),
	('AF', 137, 'CDG', 1382, 'LBV', 970, '', 0, '772 77W\r'),
	('AF', 137, 'CDG', 1382, 'LCA', 1197, '', 0, '320\r'),
	('AF', 137, 'CDG', 1382, 'LED', 2948, '', 0, '320 319 321\r'),
	('AF', 137, 'CDG', 1382, 'LFW', 298, '', 0, '343\r'),
	('AF', 137, 'CDG', 1382, 'LHR', 507, '', 0, '321 319 320\r'),
	('AF', 137, 'CDG', 1382, 'LIM', 2789, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'LIN', 1529, '', 0, '318 320 319 32A 321\r'),
	('AF', 137, 'CDG', 1382, 'LIS', 1638, '', 0, '318 320 319 321\r'),
	('AF', 137, 'CDG', 1382, 'LJU', 1569, '', 0, 'E70\r'),
	('AF', 137, 'CDG', 1382, 'LOS', 273, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'LUX', 629, 'Y', 0, 'ER4 DH4\r'),
	('AF', 137, 'CDG', 1382, 'LYS', 1335, '', 0, '320 319 318\r'),
	('AF', 137, 'CDG', 1382, 'MAD', 1229, '', 0, '320 321 318 32A 319\r'),
	('AF', 137, 'CDG', 1382, 'MAN', 478, '', 0, '321 320\r'),
	('AF', 137, 'CDG', 1382, 'MEX', 1824, '', 0, '744\r'),
	('AF', 137, 'CDG', 1382, 'MIA', 3576, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'MLA', 1606, '', 0, '319 320\r'),
	('AF', 137, 'CDG', 1382, 'MPL', 1359, '', 0, '318 319 320 32A\r'),
	('AF', 137, 'CDG', 1382, 'MRS', 1353, '', 0, '32A 319 318 321 320\r'),
	('AF', 137, 'CDG', 1382, 'MRU', 893, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'MSP', 3858, 'Y', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'MUC', 346, '', 0, '319 318 320 32A 321\r'),
	('AF', 137, 'CDG', 1382, 'NAP', 1561, '', 0, '321\r'),
	('AF', 137, 'CDG', 1382, 'NBO', 4059, 'Y', 0, '763\r'),
	('AF', 137, 'CDG', 1382, 'NCE', 1354, '', 0, '318 320 321 319\r'),
	('AF', 137, 'CDG', 1382, 'NCL', 521, '', 0, 'AR8\r'),
	('AF', 137, 'CDG', 1382, 'NDJ', 999, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'NIM', 280, '', 0, '332 343\r'),
	('AF', 137, 'CDG', 1382, 'NKC', 1094, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'NRT', 2279, '', 0, '388 788 77W\r'),
	('AF', 137, 'CDG', 1382, 'NSI', 4161, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'NTE', 1418, '', 0, '321 318 319 320\r'),
	('AF', 137, 'CDG', 1382, 'NUE', 347, '', 0, 'E70\r'),
	('AF', 137, 'CDG', 1382, 'ORD', 3830, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'OSL', 644, '', 0, 'E90\r'),
	('AF', 137, 'CDG', 1382, 'OTP', 1657, '', 0, '321 320 319\r'),
	('AF', 137, 'CDG', 1382, 'OUA', 246, '', 0, '343\r'),
	('AF', 137, 'CDG', 1382, 'PEK', 3364, '', 0, '772 77W\r'),
	('AF', 137, 'CDG', 1382, 'PHL', 3752, 'Y', 0, '752\r'),
	('AF', 137, 'CDG', 1382, 'PIT', 3570, 'Y', 0, '752\r'),
	('AF', 137, 'CDG', 1382, 'PNR', 886, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'PRG', 1587, '', 0, '321 320 32A\r'),
	('AF', 137, 'CDG', 1382, 'PTY', 1871, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'PUF', 1274, '', 0, 'E90\r'),
	('AF', 137, 'CDG', 1382, 'PUJ', 1760, '', 0, '744\r'),
	('AF', 137, 'CDG', 1382, 'PVG', 3406, '', 0, '77W 388 772\r'),
	('AF', 137, 'CDG', 1382, 'RBA', 1072, '', 0, '319 320\r'),
	('AF', 137, 'CDG', 1382, 'RIX', 3953, 'Y', 0, '733 735 73C\r'),
	('AF', 137, 'CDG', 1382, 'RNS', 1415, '', 0, 'AT7\r'),
	('AF', 137, 'CDG', 1382, 'ROB', 1063, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'RUH', 2082, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'SCL', 2650, '', 0, '772 77W\r'),
	('AF', 137, 'CDG', 1382, 'SEA', 3577, 'Y', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'SFO', 3469, '', 0, '388\r'),
	('AF', 137, 'CDG', 1382, 'SGN', 3205, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'SIN', 3316, '', 0, '77W\r'),
	('AF', 137, 'CDG', 1382, 'SLC', 3536, 'Y', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'SOF', 1194, '', 0, '321 320\r'),
	('AF', 137, 'CDG', 1382, 'STR', 350, '', 0, 'AR8\r'),
	('AF', 137, 'CDG', 1382, 'SVG', 666, '', 0, 'E70\r'),
	('AF', 137, 'CDG', 1382, 'SVO', 2985, '', 0, '319 320 321\r'),
	('AF', 137, 'CDG', 1382, 'SXM', 2899, '', 0, '343\r'),
	('AF', 137, 'CDG', 1382, 'TBS', 3973, 'Y', 0, '735\r'),
	('AF', 137, 'CDG', 1382, 'TLS', 1273, '', 0, '319 320 321\r'),
	('AF', 137, 'CDG', 1382, 'TLV', 1590, '', 0, '320\r'),
	('AF', 137, 'CDG', 1382, 'TNR', 918, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'TRN', 1526, '', 0, 'E90 AR8 E70\r'),
	('AF', 137, 'CDG', 1382, 'TUN', 287, '', 0, '319 320 321\r'),
	('AF', 137, 'CDG', 1382, 'TXL', 351, '', 0, '319 321 320 318\r'),
	('AF', 137, 'CDG', 1382, 'VCE', 1551, '', 0, '318 320 319 32A\r'),
	('AF', 137, 'CDG', 1382, 'VGO', 1250, '', 0, 'E70\r'),
	('AF', 137, 'CDG', 1382, 'VIE', 1613, '', 0, '320 318 319 32A 321\r'),
	('AF', 137, 'CDG', 1382, 'VLC', 1246, 'Y', 0, '738\r'),
	('AF', 137, 'CDG', 1382, 'VRN', 1550, '', 0, 'E70\r'),
	('AF', 137, 'CDG', 1382, 'WAW', 679, '', 0, '318 319 320 321\r'),
	('AF', 137, 'CDG', 1382, 'WUH', 3376, '', 0, '332\r'),
	('AF', 137, 'CDG', 1382, 'YUL', 146, '', 0, '744 343\r'),
	('AF', 137, 'CDG', 1382, 'YYZ', 193, '', 0, '772\r'),
	('AF', 137, 'CDG', 1382, 'ZAG', 1208, '', 0, 'AR8\r'),
	('AF', 137, 'CDG', 1382, 'ZRH', 1678, '', 0, '318\r'),
	('AF', 137, 'CFE', 1330, 'AMS', 580, 'Y', 0, 'ER4\r'),
	('AF', 137, 'CFE', 1330, 'CDG', 1382, '', 0, 'E70 E90\r'),
	('AF', 137, 'CFE', 1330, 'ORY', 1386, '', 0, 'AT7 CRK\r'),
	('AF', 137, 'CGK', 3275, 'KUL', 3304, 'Y', 0, '77W\r'),
	('AF', 137, 'CHA', 3578, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'CHO', 4015, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'CHS', 3806, 'ATL', 3682, 'Y', 0, 'M88 73W 319\r'),
	('AF', 137, 'CID', 4043, 'ATL', 3682, 'Y', 0, 'CR9 CRJ\r'),
	('AF', 137, 'CKG', 3393, 'CAN', 3370, 'Y', 0, '319\r'),
	('AF', 137, 'CKG', 3393, 'LXA', 4097, 'Y', 0, '319\r'),
	('AF', 137, 'CKY', 4162, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'CKY', 4162, 'NKC', 1094, '', 0, '332\r'),
	('AF', 137, 'CLE', 3486, 'ATL', 3682, 'Y', 0, '717 M88\r'),
	('AF', 137, 'CLT', 3876, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('AF', 137, 'CLY', 1322, 'CDG', 1382, '', 0, '320\r'),
	('AF', 137, 'CLY', 1322, 'MRS', 1353, 'Y', 0, 'AT7\r'),
	('AF', 137, 'CLY', 1322, 'NCE', 1354, 'Y', 0, 'AT7\r'),
	('AF', 137, 'CLY', 1322, 'ORY', 1386, '', 0, '320 319\r'),
	('AF', 137, 'CMH', 3759, 'ATL', 3682, 'Y', 0, 'M88 738 319\r'),
	('AF', 137, 'CMN', 1074, 'CDG', 1382, '', 0, '320 319 321\r'),
	('AF', 137, 'CMN', 1074, 'TLS', 1273, '', 0, '319 320\r'),
	('AF', 137, 'CNX', 3931, 'BKK', 3885, 'Y', 0, '320\r'),
	('AF', 137, 'COO', 245, 'CDG', 1382, '', 0, '343\r'),
	('AF', 137, 'CPH', 609, 'CDG', 1382, '', 0, '318 319 320\r'),
	('AF', 137, 'CRW', 4285, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'CSG', 4255, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'CUN', 1852, 'ATL', 3682, 'Y', 0, '757 320 M88\r'),
	('AF', 137, 'CVG', 3488, 'ATL', 3682, 'Y', 0, 'M88 738 320 319\r'),
	('AF', 137, 'CVG', 3488, 'CDG', 1382, 'Y', 0, '76W\r'),
	('AF', 137, 'CWB', 2545, 'BSB', 2531, 'Y', 0, '73G\r'),
	('AF', 137, 'CWL', 488, 'EDI', 535, 'Y', 0, 'F50\r'),
	('AF', 137, 'CWL', 488, 'GLA', 534, 'Y', 0, 'F50\r'),
	('AF', 137, 'CWL', 488, 'JER', 499, 'Y', 0, 'F50\r'),
	('AF', 137, 'CWL', 488, 'ORY', 1386, 'Y', 0, 'F50\r'),
	('AF', 137, 'CZM', 1800, 'ATL', 3682, 'Y', 0, '319 M88\r'),
	('AF', 137, 'DAB', 3950, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('AF', 137, 'DAL', 3502, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'DAR', 1177, 'AMS', 580, 'Y', 0, '330\r'),
	('AF', 137, 'DAY', 3627, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'DCA', 3520, 'ATL', 3682, 'Y', 0, '738 M90 M88\r'),
	('AF', 137, 'DEL', 3093, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'DEN', 3751, 'ATL', 3682, 'Y', 0, '757 M90 738\r'),
	('AF', 137, 'DFW', 3670, 'ATL', 3682, 'Y', 0, 'M88 319\r'),
	('AF', 137, 'DHN', 3739, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'DKR', 1084, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'DLA', 897, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'DLA', 897, 'SSG', 891, '', 0, '772\r'),
	('AF', 137, 'DMM', 2064, 'AMS', 580, 'Y', 0, '330\r'),
	('AF', 137, 'DMM', 2064, 'KWI', 2176, 'Y', 0, '332 330\r'),
	('AF', 137, 'DOH', 2241, 'AMS', 580, 'Y', 0, '330\r'),
	('AF', 137, 'DOH', 2241, 'MCT', 2194, 'Y', 0, '330\r'),
	('AF', 137, 'DOL', 1408, 'LCY', 503, 'Y', 0, 'F50\r'),
	('AF', 137, 'DRS', 338, 'LCY', 503, 'Y', 0, 'AR8\r'),
	('AF', 137, 'DSM', 3729, 'ATL', 3682, 'Y', 0, 'CR7 M88 CR9\r'),
	('AF', 137, 'DTW', 3645, 'ATL', 3682, 'Y', 0, 'M88 73H 320 738 739\r'),
	('AF', 137, 'DTW', 3645, 'CDG', 1382, '', 0, '343\r'),
	('AF', 137, 'DTW', 3645, 'FRA', 340, 'Y', 0, '764\r'),
	('AF', 137, 'DTW', 3645, 'LHR', 507, '', 0, '76W 77L\r'),
	('AF', 137, 'DTW', 3645, 'MSY', 3861, 'Y', 0, '319\r'),
	('AF', 137, 'DUB', 599, 'ATL', 3682, 'Y', 0, '76W\r'),
	('AF', 137, 'DUB', 599, 'CDG', 1382, '', 0, 'AR8\r'),
	('AF', 137, 'DUB', 599, 'JFK', 3797, 'Y', 0, '752\r'),
	('AF', 137, 'DUB', 599, 'LCY', 503, 'Y', 0, 'AR8\r'),
	('AF', 137, 'DUS', 345, 'ATL', 3682, 'Y', 0, '76W\r'),
	('AF', 137, 'DUS', 345, 'CDG', 1382, '', 0, '318 320\r'),
	('AF', 137, 'DUS', 345, 'NTE', 1418, 'Y', 0, 'ER4\r'),
	('AF', 137, 'DXB', 2188, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'DZA', 915, 'HAH', 912, 'Y', 0, '73W\r'),
	('AF', 137, 'EBB', 1187, 'AMS', 580, 'Y', 0, '330\r'),
	('AF', 137, 'EBU', 1350, 'BIA', 1321, 'Y', 0, 'AT7\r'),
	('AF', 137, 'ECP', 7669, 'ATL', 3682, 'Y', 0, '717 M88 CR9\r'),
	('AF', 137, 'EDI', 535, 'CDG', 1382, '', 0, 'AR8\r'),
	('AF', 137, 'EDI', 535, 'CWL', 488, 'Y', 0, 'F50\r'),
	('AF', 137, 'EGC', 1265, 'EXT', 552, 'Y', 0, 'DH4\r'),
	('AF', 137, 'EGC', 1265, 'SOU', 495, 'Y', 0, 'DH4\r'),
	('AF', 137, 'ELP', 3559, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'ENH', 6358, 'WUH', 3376, 'Y', 0, '738\r'),
	('AF', 137, 'EVN', 3964, 'CDG', 1382, '', 0, '320\r'),
	('AF', 137, 'EVV', 4018, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'EWN', 3730, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'EWR', 3494, 'ATL', 3682, 'Y', 0, '717 319\r'),
	('AF', 137, 'EWR', 3494, 'CDG', 1382, 'Y', 0, '76W\r'),
	('AF', 137, 'EXT', 552, 'CDG', 1382, 'Y', 0, 'DH4\r'),
	('AF', 137, 'EXT', 552, 'EGC', 1265, 'Y', 0, 'DH4\r'),
	('AF', 137, 'EXT', 552, 'RNS', 1415, 'Y', 0, 'DH4\r'),
	('AF', 137, 'EYW', 3875, 'ATL', 3682, 'Y', 0, '73W\r'),
	('AF', 137, 'EZE', 3988, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'EZE', 3988, 'MVD', 2816, '', 0, '772\r'),
	('AF', 137, 'FAY', 5738, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'FCO', 1555, 'ATL', 3682, 'Y', 0, '333\r'),
	('AF', 137, 'FCO', 1555, 'BOD', 1264, 'Y', 0, 'E70 E90 CR7\r'),
	('AF', 137, 'FCO', 1555, 'CDG', 1382, '', 0, '320 321 319 32A\r'),
	('AF', 137, 'FCO', 1555, 'LCY', 503, 'Y', 0, 'E90\r'),
	('AF', 137, 'FCO', 1555, 'LYS', 1335, '', 0, 'CRK\r'),
	('AF', 137, 'FCO', 1555, 'MPL', 1359, 'Y', 0, 'E75 E90\r'),
	('AF', 137, 'FCO', 1555, 'MRS', 1353, '', 0, '319\r'),
	('AF', 137, 'FCO', 1555, 'NCE', 1354, 'Y', 0, '319 32S E75 321 E90\r'),
	('AF', 137, 'FCO', 1555, 'SXB', 1435, 'Y', 0, 'ER4 CR7\r'),
	('AF', 137, 'FCO', 1555, 'TLS', 1273, '', 0, '319 320\r'),
	('AF', 137, 'FDF', 2878, 'CAY', 2774, '', 0, '32A 320\r'),
	('AF', 137, 'FDF', 2878, 'ORY', 1386, '', 0, '77W\r'),
	('AF', 137, 'FDF', 2878, 'PTP', 2881, '', 0, 'AT5 32A 320\r'),
	('AF', 137, 'FDF', 2878, 'SDQ', 1762, '', 0, 'AT5\r'),
	('AF', 137, 'FIH', 1020, 'CDG', 1382, '', 0, '343\r'),
	('AF', 137, 'FLL', 3533, 'ATL', 3682, 'Y', 0, '757 M90\r'),
	('AF', 137, 'FLR', 1563, 'CDG', 1382, '', 0, '318\r'),
	('AF', 137, 'FLR', 1563, 'LCY', 503, 'Y', 0, 'AR8\r'),
	('AF', 137, 'FLR', 1563, 'LYS', 1335, 'Y', 0, 'AT5\r'),
	('AF', 137, 'FNA', 1059, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'FNT', 4089, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'FRA', 340, 'ATL', 3682, 'Y', 0, '764\r'),
	('AF', 137, 'FRA', 340, 'CDG', 1382, '', 0, '318\r'),
	('AF', 137, 'FRA', 340, 'DTW', 3645, 'Y', 0, '764\r'),
	('AF', 137, 'FRA', 340, 'JFK', 3797, 'Y', 0, '76W\r'),
	('AF', 137, 'FSC', 1323, 'MRS', 1353, 'Y', 0, 'AT7\r'),
	('AF', 137, 'FSC', 1323, 'NCE', 1354, 'Y', 0, 'AT7\r'),
	('AF', 137, 'FSM', 3437, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'FWA', 4041, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'GDL', 1804, 'ATL', 3682, 'Y', 0, '320\r'),
	('AF', 137, 'GIG', 2560, 'CDG', 1382, '', 0, '77W 332\r'),
	('AF', 137, 'GIG', 2560, 'CWB', 2545, 'Y', 0, '73G\r'),
	('AF', 137, 'GLA', 534, 'CWL', 488, 'Y', 0, 'F50\r'),
	('AF', 137, 'GNV', 3472, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('AF', 137, 'GOA', 1528, 'CDG', 1382, '', 0, 'E70 E90\r'),
	('AF', 137, 'GOT', 687, 'CDG', 1382, '', 0, 'E90 E70\r'),
	('AF', 137, 'GOT', 687, 'LYS', 1335, 'Y', 0, 'ER4\r'),
	('AF', 137, 'GPT', 4038, 'ATL', 3682, 'Y', 0, 'M88 CR7 CRJ\r'),
	('AF', 137, 'GRB', 3653, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('AF', 137, 'GRK', 3775, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('AF', 137, 'GRR', 3685, 'ATL', 3682, 'Y', 0, '717 M88 319 320\r'),
	('AF', 137, 'GRU', 2564, 'CDG', 1382, '', 0, '77W 772\r'),
	('AF', 137, 'GSO', 4008, 'ATL', 3682, 'Y', 0, 'CR9 CR7 M88\r'),
	('AF', 137, 'GSP', 4034, 'ATL', 3682, 'Y', 0, 'M88 CR7 319 717 CRJ\r'),
	('AF', 137, 'GTR', 4273, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'GUA', 1767, 'ATL', 3682, 'Y', 0, '757\r'),
	('AF', 137, 'GVA', 1665, 'BIQ', 1280, 'Y', 0, 'CR7\r'),
	('AF', 137, 'GVA', 1665, 'CDG', 1382, '', 0, '321 319 320 318\r'),
	('AF', 137, 'GYD', 2922, 'CDG', 1382, 'Y', 0, '320\r'),
	('AF', 137, 'GYE', 2673, 'AMS', 580, 'Y', 0, '777\r'),
	('AF', 137, 'HAH', 912, 'NBO', 4059, 'Y', 0, '73W\r'),
	('AF', 137, 'HAJ', 352, 'CDG', 1382, '', 0, 'E70 AR8\r'),
	('AF', 137, 'HAM', 342, 'CDG', 1382, '', 0, '321 318 320 32A\r'),
	('AF', 137, 'HAM', 342, 'TLS', 1273, '', 0, '319\r'),
	('AF', 137, 'HAN', 3199, 'CDG', 1382, 'Y', 0, '777\r'),
	('AF', 137, 'HAN', 3199, 'REP', 3035, 'Y', 0, '321\r'),
	('AF', 137, 'HAV', 1909, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'HEL', 421, 'CDG', 1382, 'Y', 0, '321 320 32B E90 319\r'),
	('AF', 137, 'HKG', 3077, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'HKT', 3179, 'BKK', 3885, 'Y', 0, '320\r'),
	('AF', 137, 'HND', 2359, 'CDG', 1382, '', 0, '772 77W\r'),
	('AF', 137, 'HNL', 3728, 'LAX', 3484, 'Y', 0, '757\r'),
	('AF', 137, 'HPN', 3589, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('AF', 137, 'HRE', 1005, 'LUN', 907, 'Y', 0, '763 332 330\r'),
	('AF', 137, 'HRE', 1005, 'NBO', 4059, 'Y', 0, 'E90\r'),
	('AF', 137, 'HSV', 4113, 'ATL', 3682, 'Y', 0, '717 M88 CR7 CRJ\r'),
	('AF', 137, 'IAD', 3714, 'ATL', 3682, 'Y', 0, '320 M88 319\r'),
	('AF', 137, 'IAD', 3714, 'CDG', 1382, '', 0, '388 77W\r'),
	('AF', 137, 'IAH', 3550, 'ATL', 3682, 'Y', 0, 'M88 717 319\r'),
	('AF', 137, 'IAH', 3550, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'ICN', 3930, 'CDG', 1382, '', 0, '77W 772\r'),
	('AF', 137, 'ICT', 3457, 'ATL', 3682, 'Y', 0, 'CR7 CR9\r'),
	('AF', 137, 'ILM', 3845, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'IND', 3585, 'ATL', 3682, 'Y', 0, 'M88 320 M90\r'),
	('AF', 137, 'IST', 1701, 'CDG', 1382, '', 0, '320 319 321\r'),
	('AF', 137, 'IST', 1701, 'MRS', 1353, '', 0, '320\r'),
	('AF', 137, 'IVL', 428, 'KTT', 438, 'Y', 0, '319\r'),
	('AF', 137, 'JAN', 3580, 'ATL', 3682, 'Y', 0, '717 CR9\r'),
	('AF', 137, 'JAX', 3712, 'ATL', 3682, 'Y', 0, '757\r'),
	('AF', 137, 'JED', 2072, 'CDG', 1382, 'Y', 0, '333\r'),
	('AF', 137, 'JER', 499, 'CWL', 488, 'Y', 0, 'F50\r'),
	('AF', 137, 'JFK', 3797, 'ATL', 3682, 'Y', 0, '319 738 752\r'),
	('AF', 137, 'JFK', 3797, 'BCN', 1218, 'Y', 0, '333\r'),
	('AF', 137, 'JFK', 3797, 'BRU', 302, '', 0, '76W\r'),
	('AF', 137, 'JFK', 3797, 'CDG', 1382, '', 0, '332 772 388 343\r'),
	('AF', 137, 'JFK', 3797, 'DUB', 599, 'Y', 0, '752\r'),
	('AF', 137, 'JFK', 3797, 'FRA', 340, 'Y', 0, '76W\r'),
	('AF', 137, 'JFK', 3797, 'LHR', 507, 'Y', 0, '764 76W\r'),
	('AF', 137, 'JFK', 3797, 'MAD', 1229, 'Y', 0, '764\r'),
	('AF', 137, 'JFK', 3797, 'MSY', 3861, 'Y', 0, 'CR9\r'),
	('AF', 137, 'JFK', 3797, 'NCE', 1354, 'Y', 0, '764\r'),
	('AF', 137, 'JFK', 3797, 'PAP', 1897, 'Y', 0, '738\r'),
	('AF', 137, 'JIB', 4119, 'CDG', 1382, '', 0, '343\r'),
	('AF', 137, 'JNB', 813, 'CDG', 1382, '', 0, '388\r'),
	('AF', 137, 'JRO', 1180, 'DAR', 1177, 'Y', 0, '332 330\r'),
	('AF', 137, 'KBP', 2939, 'CDG', 1382, '', 0, '319\r'),
	('AF', 137, 'KBV', 3174, 'BKK', 3885, 'Y', 0, '319 320\r'),
	('AF', 137, 'KGL', 1165, 'BJM', 1120, 'Y', 0, 'E70\r'),
	('AF', 137, 'KGL', 1165, 'EBB', 1187, 'Y', 0, '332 330\r'),
	('AF', 137, 'KIX', 3992, 'CDG', 1382, '', 0, '772 77W\r'),
	('AF', 137, 'KMG', 3382, 'CAN', 3370, 'Y', 0, '320\r'),
	('AF', 137, 'KTT', 438, 'HEL', 421, 'Y', 0, '319\r'),
	('AF', 137, 'KUL', 3304, 'AMS', 580, 'Y', 0, '777\r'),
	('AF', 137, 'KUL', 3304, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'KUL', 3304, 'CGK', 3275, 'Y', 0, '777\r'),
	('AF', 137, 'KWI', 2176, 'AMS', 580, 'Y', 0, '330\r'),
	('AF', 137, 'KWI', 2176, 'DMM', 2064, 'Y', 0, '332 330\r'),
	('AF', 137, 'LAD', 951, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'LAS', 3877, 'ATL', 3682, 'Y', 0, '739 738 757\r'),
	('AF', 137, 'LAX', 3484, 'ATL', 3682, 'Y', 0, '763 757 76W\r'),
	('AF', 137, 'LAX', 3484, 'CDG', 1382, '', 0, '388 772\r'),
	('AF', 137, 'LAX', 3484, 'MSP', 3858, 'Y', 0, '757\r'),
	('AF', 137, 'LAX', 3484, 'OGG', 3456, 'Y', 0, '757\r'),
	('AF', 137, 'LAX', 3484, 'PPT', 4075, '', 0, '772\r'),
	('AF', 137, 'LBV', 970, 'CDG', 1382, '', 0, '772 77W\r'),
	('AF', 137, 'LCA', 1197, 'CDG', 1382, '', 0, '320\r'),
	('AF', 137, 'LCY', 503, 'AMS', 580, 'Y', 0, 'AR8\r'),
	('AF', 137, 'LCY', 503, 'ANR', 299, 'Y', 0, 'F50\r'),
	('AF', 137, 'LCY', 503, 'BES', 1403, 'Y', 0, 'F50\r'),
	('AF', 137, 'LCY', 503, 'BVE', 1278, 'Y', 0, 'AR8\r'),
	('AF', 137, 'LCY', 503, 'DOL', 1408, 'Y', 0, 'F50\r'),
	('AF', 137, 'LCY', 503, 'DRS', 338, 'Y', 0, 'AR8\r'),
	('AF', 137, 'LCY', 503, 'DUB', 599, 'Y', 0, 'AR8\r'),
	('AF', 137, 'LCY', 503, 'FCO', 1555, 'Y', 0, 'E90\r'),
	('AF', 137, 'LCY', 503, 'FLR', 1563, 'Y', 0, 'AR8\r'),
	('AF', 137, 'LCY', 503, 'LIN', 1529, '', 0, 'E90\r'),
	('AF', 137, 'LCY', 503, 'NTE', 1418, 'Y', 0, 'AR8 F50\r'),
	('AF', 137, 'LCY', 503, 'ORY', 1386, '', 0, 'F50\r'),
	('AF', 137, 'LCY', 503, 'RTM', 591, '', 0, 'F50 AR8\r'),
	('AF', 137, 'LED', 2948, 'CDG', 1382, '', 0, '319 320 321\r'),
	('AF', 137, 'LEX', 4017, 'ATL', 3682, 'Y', 0, 'CRJ CR9\r'),
	('AF', 137, 'LFT', 3493, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'LFW', 298, 'CDG', 1382, '', 0, '343\r'),
	('AF', 137, 'LGA', 3697, 'ATL', 3682, 'Y', 0, 'M88 757\r'),
	('AF', 137, 'LGG', 309, 'AJA', 1324, 'Y', 0, '320\r'),
	('AF', 137, 'LGG', 309, 'BIA', 1321, '', 0, '320\r'),
	('AF', 137, 'LHR', 507, 'ATL', 3682, 'Y', 0, '764 77L 76W\r'),
	('AF', 137, 'LHR', 507, 'BOS', 3448, 'Y', 0, '764\r'),
	('AF', 137, 'LHR', 507, 'CDG', 1382, '', 0, '321 320 319\r'),
	('AF', 137, 'LHR', 507, 'DTW', 3645, '', 0, '76W 77L\r'),
	('AF', 137, 'LHR', 507, 'JFK', 3797, 'Y', 0, '76W 764\r'),
	('AF', 137, 'LHR', 507, 'MSP', 3858, 'Y', 0, '764\r'),
	('AF', 137, 'LHR', 507, 'SEA', 3577, '', 0, '76W\r'),
	('AF', 137, 'LIG', 1270, 'SOU', 495, 'Y', 0, 'DH4\r'),
	('AF', 137, 'LIL', 1399, 'MRS', 1353, '', 0, '319\r'),
	('AF', 137, 'LIL', 1399, 'NCE', 1354, '', 0, '319 320\r'),
	('AF', 137, 'LIM', 2789, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'LIN', 1529, 'CDG', 1382, '', 0, '319 318 320 32A 321\r'),
	('AF', 137, 'LIN', 1529, 'LCY', 503, 'Y', 0, 'E90\r'),
	('AF', 137, 'LIN', 1529, 'ORY', 1386, 'Y', 0, '320 32S 319\r'),
	('AF', 137, 'LIR', 1881, 'ATL', 3682, 'Y', 0, '738 757\r'),
	('AF', 137, 'LIS', 1638, 'CDG', 1382, '', 0, '319 318 320 321\r'),
	('AF', 137, 'LIT', 3660, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'LJG', 4033, 'KMG', 3382, 'Y', 0, '320\r'),
	('AF', 137, 'LJU', 1569, 'CDG', 1382, '', 0, 'E70\r'),
	('AF', 137, 'LLW', 1016, 'LUN', 907, 'Y', 0, 'E90\r'),
	('AF', 137, 'LLW', 1016, 'NBO', 4059, 'Y', 0, '738 E90\r'),
	('AF', 137, 'LOS', 273, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'LPQ', 3115, 'BKK', 3885, 'Y', 0, '319\r'),
	('AF', 137, 'LRH', 6493, 'PIS', 1268, 'Y', 0, 'AT5\r'),
	('AF', 137, 'LRH', 6493, 'SOU', 495, 'Y', 0, 'DH4\r'),
	('AF', 137, 'LUN', 907, 'AMS', 580, 'Y', 0, '330\r'),
	('AF', 137, 'LUN', 907, 'HRE', 1005, 'Y', 0, 'E90\r'),
	('AF', 137, 'LUN', 907, 'LLW', 1016, 'Y', 0, '738 E90 763\r'),
	('AF', 137, 'LUN', 907, 'NBO', 4059, 'Y', 0, '763 E90\r'),
	('AF', 137, 'LUX', 629, 'CDG', 1382, 'Y', 0, 'ER4 DH4\r'),
	('AF', 137, 'LVI', 906, 'HRE', 1005, 'Y', 0, 'E90\r'),
	('AF', 137, 'LXA', 4097, 'CKG', 3393, 'Y', 0, '319\r'),
	('AF', 137, 'LYS', 1335, 'AJA', 1324, 'Y', 0, '320\r'),
	('AF', 137, 'LYS', 1335, 'AMS', 580, '', 0, 'F70\r'),
	('AF', 137, 'LYS', 1335, 'BHX', 469, 'Y', 0, 'E75\r'),
	('AF', 137, 'LYS', 1335, 'BIA', 1321, 'Y', 0, '320\r'),
	('AF', 137, 'LYS', 1335, 'BLQ', 1538, 'Y', 0, 'ER4 AT5\r'),
	('AF', 137, 'LYS', 1335, 'BRU', 302, 'Y', 0, 'ER4\r'),
	('AF', 137, 'LYS', 1335, 'CDG', 1382, '', 0, '320 319 318\r'),
	('AF', 137, 'LYS', 1335, 'FCO', 1555, 'Y', 0, 'CRK\r'),
	('AF', 137, 'LYS', 1335, 'FLR', 1563, '', 0, 'AT5\r'),
	('AF', 137, 'LYS', 1335, 'GOT', 687, 'Y', 0, 'ER4\r'),
	('AF', 137, 'LYS', 1335, 'MLA', 1606, '', 0, '320\r'),
	('AF', 137, 'LYS', 1335, 'MXP', 1524, 'Y', 0, 'CRJ ER4\r'),
	('AF', 137, 'LYS', 1335, 'NCE', 1354, '', 0, '320 319\r'),
	('AF', 137, 'LYS', 1335, 'ORY', 1386, '', 0, 'CRK\r'),
	('AF', 137, 'LYS', 1335, 'PIS', 1268, 'Y', 0, 'AT5\r'),
	('AF', 137, 'LYS', 1335, 'PRG', 1587, 'Y', 0, 'E90 CRK\r'),
	('AF', 137, 'LYS', 1335, 'TLS', 1273, '', 0, '319 320 CRK\r'),
	('AF', 137, 'LYS', 1335, 'VCE', 1551, 'Y', 0, 'ER4 CRK\r'),
	('AF', 137, 'LYS', 1335, 'VIE', 1613, 'Y', 0, 'DH4 F70\r'),
	('AF', 137, 'MAD', 1229, 'ATL', 3682, 'Y', 0, '764\r'),
	('AF', 137, 'MAD', 1229, 'CDG', 1382, '', 0, '321 320 318 32A 319\r'),
	('AF', 137, 'MAD', 1229, 'JFK', 3797, 'Y', 0, '764\r'),
	('AF', 137, 'MAD', 1229, 'ORY', 1386, 'Y', 0, '738 E90\r'),
	('AF', 137, 'MAN', 478, 'ATL', 3682, 'Y', 0, '76W\r'),
	('AF', 137, 'MAN', 478, 'CDG', 1382, '', 0, '321 320\r'),
	('AF', 137, 'MAN', 478, 'NTE', 1418, 'Y', 0, 'E75 DH4\r'),
	('AF', 137, 'MAO', 2551, 'GRU', 2564, 'Y', 0, '738\r'),
	('AF', 137, 'MBJ', 1780, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'MCI', 3458, 'ATL', 3682, 'Y', 0, 'M88 M90 757\r'),
	('AF', 137, 'MCO', 3878, 'ATL', 3682, 'Y', 0, '757 M88\r'),
	('AF', 137, 'MCT', 2194, 'DOH', 2241, 'Y', 0, '332\r'),
	('AF', 137, 'MDT', 3542, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'MDW', 3747, 'ATL', 3682, 'Y', 0, '320 319 717\r'),
	('AF', 137, 'MEM', 3473, 'ATL', 3682, 'Y', 0, '320 M88 319\r'),
	('AF', 137, 'MEX', 1824, 'ATL', 3682, '', 0, '74Y\r'),
	('AF', 137, 'MEX', 1824, 'CDG', 1382, '', 0, '744\r'),
	('AF', 137, 'MGM', 4115, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'MIA', 3576, 'ATL', 3682, 'Y', 0, 'M88 757 M90 73H\r'),
	('AF', 137, 'MIA', 3576, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'MIA', 3576, 'PAP', 1897, '', 0, '320\r'),
	('AF', 137, 'MKE', 3717, 'ATL', 3682, 'Y', 0, 'M88 M90\r'),
	('AF', 137, 'MLA', 1606, 'CDG', 1382, '', 0, '319 320\r'),
	('AF', 137, 'MLA', 1606, 'LYS', 1335, '', 0, '320\r'),
	('AF', 137, 'MLA', 1606, 'ORY', 1386, '', 0, '320 319\r'),
	('AF', 137, 'MLA', 1606, 'TLS', 1273, '', 0, '320 319\r'),
	('AF', 137, 'MLB', 3671, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'MLH', 1423, 'ORY', 1386, '', 0, 'AT7\r'),
	('AF', 137, 'MLI', 4072, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('AF', 137, 'MLU', 3732, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'MNL', 2397, 'TPE', 2276, 'Y', 0, '772\r'),
	('AF', 137, 'MOB', 3782, 'ATL', 3682, 'Y', 0, 'CR7 717 CR9 CRJ\r'),
	('AF', 137, 'MPL', 1359, 'CDG', 1382, '', 0, '320 318 319 32A\r'),
	('AF', 137, 'MPL', 1359, 'FCO', 1555, 'Y', 0, 'E75 E90\r'),
	('AF', 137, 'MPL', 1359, 'ORY', 1386, '', 0, '321 319 CRK\r'),
	('AF', 137, 'MRS', 1353, 'AJA', 1324, 'Y', 0, '320 AT7\r'),
	('AF', 137, 'MRS', 1353, 'ALG', 210, '', 0, '320 319\r'),
	('AF', 137, 'MRS', 1353, 'AMS', 580, '', 0, '319\r'),
	('AF', 137, 'MRS', 1353, 'ATH', 3941, '', 0, '319\r'),
	('AF', 137, 'MRS', 1353, 'BES', 1403, '', 0, '319\r'),
	('AF', 137, 'MRS', 1353, 'BIA', 1321, 'Y', 0, '320\r'),
	('AF', 137, 'MRS', 1353, 'BIQ', 1280, '', 0, '320 319\r'),
	('AF', 137, 'MRS', 1353, 'BOD', 1264, '', 0, '319 320\r'),
	('AF', 137, 'MRS', 1353, 'CDG', 1382, '', 0, '319 32A 318 321 320\r'),
	('AF', 137, 'MRS', 1353, 'CLY', 1322, 'Y', 0, 'AT7\r'),
	('AF', 137, 'MRS', 1353, 'FCO', 1555, '', 0, '319\r'),
	('AF', 137, 'MRS', 1353, 'FSC', 1323, 'Y', 0, 'AT7\r'),
	('AF', 137, 'MRS', 1353, 'IST', 1701, '', 0, '320\r'),
	('AF', 137, 'MRS', 1353, 'LIL', 1399, '', 0, '319\r'),
	('AF', 137, 'MRS', 1353, 'MXP', 1524, 'Y', 0, 'AT7\r'),
	('AF', 137, 'MRS', 1353, 'NTE', 1418, '', 0, '319\r'),
	('AF', 137, 'MRS', 1353, 'ORY', 1386, '', 0, '320 321 319\r'),
	('AF', 137, 'MRS', 1353, 'PRG', 1587, '', 0, '320 319\r'),
	('AF', 137, 'MRS', 1353, 'RAK', 1075, '', 0, '320\r'),
	('AF', 137, 'MRS', 1353, 'RNS', 1415, '', 0, '319\r'),
	('AF', 137, 'MRS', 1353, 'SVO', 2985, '', 0, '320\r'),
	('AF', 137, 'MRS', 1353, 'TLV', 1590, '', 0, '320\r'),
	('AF', 137, 'MRS', 1353, 'TUN', 287, '', 0, '319 320\r'),
	('AF', 137, 'MRS', 1353, 'TXL', 351, '', 0, '320 319\r'),
	('AF', 137, 'MRS', 1353, 'VCE', 1551, '', 0, '320 319\r'),
	('AF', 137, 'MRU', 893, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'MRU', 893, 'RUN', 916, 'Y', 0, '343 AT7 319 332\r'),
	('AF', 137, 'MRU', 893, 'ZSE', 917, 'Y', 0, 'AT7\r'),
	('AF', 137, 'MSN', 3459, 'ATL', 3682, 'Y', 0, 'CR7 320 CR9\r'),
	('AF', 137, 'MSP', 3858, 'ATL', 3682, 'Y', 0, '320 757 M88\r'),
	('AF', 137, 'MSP', 3858, 'CDG', 1382, 'Y', 0, '332\r'),
	('AF', 137, 'MSP', 3858, 'LAX', 3484, 'Y', 0, '757\r'),
	('AF', 137, 'MSP', 3858, 'LHR', 507, 'Y', 0, '764\r'),
	('AF', 137, 'MSP', 3858, 'MSY', 3861, 'Y', 0, 'E75 CR9\r'),
	('AF', 137, 'MSP', 3858, 'SEA', 3577, 'Y', 0, '753\r'),
	('AF', 137, 'MSP', 3858, 'SFO', 3469, 'Y', 0, '753\r'),
	('AF', 137, 'MSY', 3861, 'ATL', 3682, 'Y', 0, 'M90 757 M88\r'),
	('AF', 137, 'MSY', 3861, 'DTW', 3645, 'Y', 0, '319 CR7\r'),
	('AF', 137, 'MSY', 3861, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('AF', 137, 'MSY', 3861, 'MSP', 3858, 'Y', 0, 'CR9\r'),
	('AF', 137, 'MTY', 1825, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('AF', 137, 'MUC', 346, 'ATL', 3682, 'Y', 0, '764\r'),
	('AF', 137, 'MUC', 346, 'CDG', 1382, '', 0, '320 319 318 32A 321\r'),
	('AF', 137, 'MVD', 2816, 'EZE', 3988, '', 0, '772\r'),
	('AF', 137, 'MXP', 1524, 'LYS', 1335, 'Y', 0, 'ER4 CRJ\r'),
	('AF', 137, 'MXP', 1524, 'MRS', 1353, 'Y', 0, 'AT7\r'),
	('AF', 137, 'MXP', 1524, 'NTE', 1418, 'Y', 0, 'ER4\r'),
	('AF', 137, 'MYR', 3515, 'ATL', 3682, 'Y', 0, '717 CR9 319\r'),
	('AF', 137, 'NAP', 1561, 'CDG', 1382, '', 0, '321\r'),
	('AF', 137, 'NAS', 1953, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'NBO', 4059, 'CDG', 1382, 'Y', 0, '763\r'),
	('AF', 137, 'NBO', 4059, 'DZA', 915, 'Y', 0, '73W\r'),
	('AF', 137, 'NBO', 4059, 'HRE', 1005, 'Y', 0, '763\r'),
	('AF', 137, 'NBO', 4059, 'KGL', 1165, 'Y', 0, 'E70\r'),
	('AF', 137, 'NBO', 4059, 'LLW', 1016, 'Y', 0, 'E90\r'),
	('AF', 137, 'NBO', 4059, 'LUN', 907, 'Y', 0, '738 E90\r'),
	('AF', 137, 'NBO', 4059, 'LVI', 906, 'Y', 0, 'E90\r'),
	('AF', 137, 'NBS', 8826, 'SHE', 4144, 'Y', 0, '320\r'),
	('AF', 137, 'NCE', 1354, 'AJA', 1324, 'Y', 0, 'AT7\r'),
	('AF', 137, 'NCE', 1354, 'AMS', 580, 'Y', 0, 'E90 73W 73H\r'),
	('AF', 137, 'NCE', 1354, 'BIA', 1321, 'Y', 0, 'AT7\r'),
	('AF', 137, 'NCE', 1354, 'CDG', 1382, '', 0, '320 318 321 319\r'),
	('AF', 137, 'NCE', 1354, 'CLY', 1322, 'Y', 0, 'AT7\r'),
	('AF', 137, 'NCE', 1354, 'FCO', 1555, 'Y', 0, '319 32S E75 321 E90\r'),
	('AF', 137, 'NCE', 1354, 'FSC', 1323, 'Y', 0, 'AT7\r'),
	('AF', 137, 'NCE', 1354, 'JFK', 3797, 'Y', 0, '764\r'),
	('AF', 137, 'NCE', 1354, 'LIL', 1399, '', 0, '319 320\r'),
	('AF', 137, 'NCE', 1354, 'LYS', 1335, '', 0, '320 319\r'),
	('AF', 137, 'NCE', 1354, 'NTE', 1418, '', 0, '320 319\r'),
	('AF', 137, 'NCE', 1354, 'ORY', 1386, '', 0, '319 320 321\r'),
	('AF', 137, 'NCE', 1354, 'SOU', 495, 'Y', 0, 'E95\r'),
	('AF', 137, 'NCE', 1354, 'SXB', 1435, '', 0, '320 319\r'),
	('AF', 137, 'NCE', 1354, 'TLV', 1590, '', 0, '320\r'),
	('AF', 137, 'NCE', 1354, 'VCE', 1551, '', 0, '320\r'),
	('AF', 137, 'NCL', 521, 'CDG', 1382, '', 0, 'AR8\r'),
	('AF', 137, 'NDJ', 999, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'NIM', 280, 'CDG', 1382, '', 0, '332 343\r'),
	('AF', 137, 'NIM', 280, 'OUA', 246, '', 0, '332\r'),
	('AF', 137, 'NKC', 1094, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'NKC', 1094, 'CKY', 4162, '', 0, '332\r'),
	('AF', 137, 'NRT', 2279, 'CDG', 1382, '', 0, '77W 788 388\r'),
	('AF', 137, 'NRT', 2279, 'SPN', 2244, 'Y', 0, '752\r'),
	('AF', 137, 'NSI', 4161, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'NTE', 1418, 'AJA', 1324, 'Y', 0, '320\r'),
	('AF', 137, 'NTE', 1418, 'AMS', 580, '', 0, 'ER4\r'),
	('AF', 137, 'NTE', 1418, 'BIA', 1321, 'Y', 0, '320\r'),
	('AF', 137, 'NTE', 1418, 'BOD', 1264, 'Y', 0, 'ER4\r'),
	('AF', 137, 'NTE', 1418, 'BRU', 302, 'Y', 0, 'ER4\r'),
	('AF', 137, 'NTE', 1418, 'CDG', 1382, '', 0, '321 318 319 320\r'),
	('AF', 137, 'NTE', 1418, 'DUS', 345, 'Y', 0, 'ER4\r'),
	('AF', 137, 'NTE', 1418, 'LCY', 503, 'Y', 0, 'AR8 F50\r'),
	('AF', 137, 'NTE', 1418, 'MAN', 478, 'Y', 0, 'E75 DH4\r'),
	('AF', 137, 'NTE', 1418, 'MRS', 1353, '', 0, '319\r'),
	('AF', 137, 'NTE', 1418, 'MXP', 1524, 'Y', 0, 'ER4\r'),
	('AF', 137, 'NTE', 1418, 'NCE', 1354, '', 0, '320 319\r'),
	('AF', 137, 'NTE', 1418, 'ORY', 1386, '', 0, 'AT5\r'),
	('AF', 137, 'NTE', 1418, 'SOU', 495, 'Y', 0, 'DH4\r'),
	('AF', 137, 'NUE', 347, 'CDG', 1382, '', 0, 'E70\r'),
	('AF', 137, 'OAJ', 4386, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'OKC', 3863, 'ATL', 3682, 'Y', 0, 'M88 CR9\r'),
	('AF', 137, 'OMA', 3454, 'ATL', 3682, 'Y', 0, 'CR7 M88\r'),
	('AF', 137, 'ORD', 3830, 'ATL', 3682, 'Y', 0, '717 M88\r'),
	('AF', 137, 'ORD', 3830, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'ORF', 3611, 'ATL', 3682, 'Y', 0, 'M88 M90 319\r'),
	('AF', 137, 'ORY', 1386, 'AJA', 1324, '', 0, '321 320 319\r'),
	('AF', 137, 'ORY', 1386, 'BES', 1403, '', 0, 'CRK 319\r'),
	('AF', 137, 'ORY', 1386, 'BIA', 1321, '', 0, '321 319\r'),
	('AF', 137, 'ORY', 1386, 'BIQ', 1280, '', 0, '319 321 CRK 320\r'),
	('AF', 137, 'ORY', 1386, 'BOD', 1264, '', 0, '321 319 320\r'),
	('AF', 137, 'ORY', 1386, 'CAY', 2774, '', 0, '343\r'),
	('AF', 137, 'ORY', 1386, 'CFE', 1330, '', 0, 'CRK AT7\r'),
	('AF', 137, 'ORY', 1386, 'CLY', 1322, '', 0, '320 319\r'),
	('AF', 137, 'ORY', 1386, 'CWL', 488, 'Y', 0, 'F50\r'),
	('AF', 137, 'ORY', 1386, 'FDF', 2878, '', 0, '77W\r'),
	('AF', 137, 'ORY', 1386, 'LCY', 503, '', 0, 'F50\r'),
	('AF', 137, 'ORY', 1386, 'LIN', 1529, 'Y', 0, '320 32S 319\r'),
	('AF', 137, 'ORY', 1386, 'LYS', 1335, '', 0, 'CRK\r'),
	('AF', 137, 'ORY', 1386, 'MAD', 1229, 'Y', 0, 'E90 738\r'),
	('AF', 137, 'ORY', 1386, 'MLA', 1606, '', 0, '320 319\r'),
	('AF', 137, 'ORY', 1386, 'MLH', 1423, '', 0, 'AT7\r'),
	('AF', 137, 'ORY', 1386, 'MPL', 1359, '', 0, '319 CRK 321\r'),
	('AF', 137, 'ORY', 1386, 'MRS', 1353, '', 0, '321 320 319\r'),
	('AF', 137, 'ORY', 1386, 'NCE', 1354, '', 0, '320 319 321\r'),
	('AF', 137, 'ORY', 1386, 'NTE', 1418, '', 0, 'AT5\r'),
	('AF', 137, 'ORY', 1386, 'PMI', 3998, 'Y', 0, 'E90 738\r'),
	('AF', 137, 'ORY', 1386, 'PTP', 2881, '', 0, '77W\r'),
	('AF', 137, 'ORY', 1386, 'PUF', 1274, '', 0, '319 CRK\r'),
	('AF', 137, 'ORY', 1386, 'RUN', 916, '', 0, '77W\r'),
	('AF', 137, 'ORY', 1386, 'SOU', 495, 'Y', 0, 'DH4\r'),
	('AF', 137, 'ORY', 1386, 'SXB', 1435, '', 0, 'CRK AT7\r'),
	('AF', 137, 'ORY', 1386, 'TLN', 1438, '', 0, 'CRK 319 321 320\r'),
	('AF', 137, 'ORY', 1386, 'TLS', 1273, '', 0, '320 319 321\r'),
	('AF', 137, 'OSL', 644, 'CDG', 1382, '', 0, 'E90\r'),
	('AF', 137, 'OTP', 1657, 'CDG', 1382, '', 0, '321 320 319\r'),
	('AF', 137, 'OUA', 246, 'CDG', 1382, '', 0, '343\r'),
	('AF', 137, 'OUA', 246, 'NIM', 280, '', 0, '332\r'),
	('AF', 137, 'PAP', 1897, 'JFK', 3797, 'Y', 0, '738\r'),
	('AF', 137, 'PAP', 1897, 'MIA', 3576, '', 0, '32A 320\r'),
	('AF', 137, 'PAP', 1897, 'PTP', 2881, '', 0, '320\r'),
	('AF', 137, 'PBI', 3722, 'ATL', 3682, 'Y', 0, 'M90 757\r'),
	('AF', 137, 'PDX', 3720, 'ATL', 3682, 'Y', 0, '739 738 73H\r'),
	('AF', 137, 'PEK', 3364, 'CDG', 1382, '', 0, '77W 772\r'),
	('AF', 137, 'PHC', 275, 'ABV', 260, '', 0, '332\r'),
	('AF', 137, 'PHF', 3633, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'PHL', 3752, 'ATL', 3682, 'Y', 0, 'M90 320 738 73H\r'),
	('AF', 137, 'PHL', 3752, 'CDG', 1382, 'Y', 0, '752\r'),
	('AF', 137, 'PHX', 3462, 'ATL', 3682, 'Y', 0, '757 739\r'),
	('AF', 137, 'PIA', 4046, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'PIS', 1268, 'LRH', 6493, 'Y', 0, 'AT5\r'),
	('AF', 137, 'PIS', 1268, 'LYS', 1335, 'Y', 0, 'AT5\r'),
	('AF', 137, 'PIT', 3570, 'ATL', 3682, 'Y', 0, 'M88 CR9 717\r'),
	('AF', 137, 'PIT', 3570, 'CDG', 1382, 'Y', 0, '752\r'),
	('AF', 137, 'PMI', 3998, 'ORY', 1386, 'Y', 0, 'E90 738\r'),
	('AF', 137, 'PNR', 886, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'PNS', 3564, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('AF', 137, 'PPT', 4075, 'LAX', 3484, '', 0, '772\r'),
	('AF', 137, 'PRG', 1587, 'CDG', 1382, '', 0, '321 320 32A\r'),
	('AF', 137, 'PRG', 1587, 'LYS', 1335, 'Y', 0, 'E90 CRK\r'),
	('AF', 137, 'PRG', 1587, 'MRS', 1353, '', 0, '320 319\r'),
	('AF', 137, 'PTP', 2881, 'FDF', 2878, '', 0, '32A AT5 320\r'),
	('AF', 137, 'PTP', 2881, 'ORY', 1386, '', 0, '77W\r'),
	('AF', 137, 'PTP', 2881, 'PAP', 1897, '', 0, '32A 320\r'),
	('AF', 137, 'PTP', 2881, 'SDQ', 1762, '', 0, 'AT5\r'),
	('AF', 137, 'PTY', 1871, 'ATL', 3682, 'Y', 0, '738\r'),
	('AF', 137, 'PTY', 1871, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'PUF', 1274, 'CDG', 1382, '', 0, 'E90\r'),
	('AF', 137, 'PUF', 1274, 'ORY', 1386, '', 0, '319 CRK\r'),
	('AF', 137, 'PUJ', 1760, 'CDG', 1382, '', 0, '744\r'),
	('AF', 137, 'PUJ', 1760, 'SDQ', 1762, '', 0, '744\r'),
	('AF', 137, 'PVD', 3641, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'PVG', 3406, 'CDG', 1382, '', 0, '772 77W 388\r'),
	('AF', 137, 'PVR', 1836, 'ATL', 3682, 'Y', 0, '757\r'),
	('AF', 137, 'RAK', 1075, 'MRS', 1353, '', 0, '320\r'),
	('AF', 137, 'RAK', 1075, 'TLS', 1273, '', 0, '319 320\r'),
	('AF', 137, 'RBA', 1072, 'CDG', 1382, '', 0, '319 320\r'),
	('AF', 137, 'RDU', 3626, 'ATL', 3682, 'Y', 0, '752 M88 M90 739\r'),
	('AF', 137, 'REP', 3035, 'HAN', 3199, 'Y', 0, '321\r'),
	('AF', 137, 'RIC', 3608, 'ATL', 3682, 'Y', 0, 'M90 M88 73H\r'),
	('AF', 137, 'RIX', 3953, 'CDG', 1382, 'Y', 0, '733 735 73C\r'),
	('AF', 137, 'RNS', 1415, 'CDG', 1382, '', 0, 'AT7\r'),
	('AF', 137, 'RNS', 1415, 'EXT', 552, 'Y', 0, 'DH4\r'),
	('AF', 137, 'RNS', 1415, 'MRS', 1353, '', 0, '319\r'),
	('AF', 137, 'RNS', 1415, 'SOU', 495, 'Y', 0, 'DH4\r'),
	('AF', 137, 'ROA', 4016, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'ROB', 1063, 'FNA', 1059, '', 0, '332\r'),
	('AF', 137, 'ROC', 3622, 'ATL', 3682, 'Y', 0, 'M88 M90\r'),
	('AF', 137, 'ROR', 2256, 'NRT', 2279, 'Y', 0, '752\r'),
	('AF', 137, 'RSW', 3793, 'ATL', 3682, 'Y', 0, 'M90 757 M88\r'),
	('AF', 137, 'RTM', 591, 'LCY', 503, '', 0, 'F50 AR8\r'),
	('AF', 137, 'RUH', 2082, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'RUN', 916, 'MRU', 893, 'Y', 0, '319 343 AT7 332\r'),
	('AF', 137, 'RUN', 916, 'ORY', 1386, '', 0, '77W\r'),
	('AF', 137, 'SAN', 3731, 'ATL', 3682, 'Y', 0, '73H 763 739\r'),
	('AF', 137, 'SAT', 3621, 'ATL', 3682, 'Y', 0, '757 320 M90\r'),
	('AF', 137, 'SAV', 3613, 'ATL', 3682, 'Y', 0, 'M88 717 319\r'),
	('AF', 137, 'SBN', 4359, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'SCL', 2650, 'CDG', 1382, '', 0, '77W 772\r'),
	('AF', 137, 'SDF', 4014, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AF', 137, 'SDQ', 1762, 'CDG', 1382, '', 0, '744\r'),
	('AF', 137, 'SDQ', 1762, 'PTP', 2881, '', 0, 'AT5\r'),
	('AF', 137, 'SEA', 3577, 'ATL', 3682, 'Y', 0, '739 76W 757\r'),
	('AF', 137, 'SEA', 3577, 'CDG', 1382, 'Y', 0, '332\r'),
	('AF', 137, 'SEA', 3577, 'HNL', 3728, 'Y', 0, '753\r'),
	('AF', 137, 'SEA', 3577, 'LHR', 507, '', 0, '76W\r'),
	('AF', 137, 'SFO', 3469, 'ATL', 3682, 'Y', 0, '763 739 757\r'),
	('AF', 137, 'SFO', 3469, 'CDG', 1382, '', 0, '388\r'),
	('AF', 137, 'SFO', 3469, 'HNL', 3728, 'Y', 0, '753\r'),
	('AF', 137, 'SGF', 4348, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'SGN', 3205, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'SHE', 4144, 'CAN', 3370, 'Y', 0, '320\r'),
	('AF', 137, 'SHE', 4144, 'NBS', 8826, 'Y', 0, '320\r'),
	('AF', 137, 'SHV', 3609, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'SIN', 3316, 'CDG', 1382, '', 0, '77W\r'),
	('AF', 137, 'SJD', 1840, 'ATL', 3682, 'Y', 0, '73W 738\r'),
	('AF', 137, 'SJO', 1885, 'ATL', 3682, 'Y', 0, '738 757\r'),
	('AF', 137, 'SJU', 2890, 'ATL', 3682, 'Y', 0, '73H 753 757\r'),
	('AF', 137, 'SLC', 3536, 'ATL', 3682, 'Y', 0, '763 757 738\r'),
	('AF', 137, 'SLC', 3536, 'CDG', 1382, 'Y', 0, '332\r'),
	('AF', 137, 'SLU', 2893, 'FDF', 2878, '', 0, 'AT5\r'),
	('AF', 137, 'SMF', 3817, 'ATL', 3682, 'Y', 0, '757\r'),
	('AF', 137, 'SNA', 3867, 'ATL', 3682, 'Y', 0, '757\r'),
	('AF', 137, 'SOF', 1194, 'CDG', 1382, '', 0, '321 320\r'),
	('AF', 137, 'SOU', 495, 'BES', 1403, 'Y', 0, 'DH4\r'),
	('AF', 137, 'SOU', 495, 'EGC', 1265, 'Y', 0, 'DH4\r'),
	('AF', 137, 'SOU', 495, 'LIG', 1270, 'Y', 0, 'DH4\r'),
	('AF', 137, 'SOU', 495, 'LRH', 6493, 'Y', 0, 'DH4\r'),
	('AF', 137, 'SOU', 495, 'NCE', 1354, 'Y', 0, 'E95\r'),
	('AF', 137, 'SOU', 495, 'NTE', 1418, 'Y', 0, 'DH4\r'),
	('AF', 137, 'SOU', 495, 'ORY', 1386, 'Y', 0, 'DH4\r'),
	('AF', 137, 'SOU', 495, 'RNS', 1415, 'Y', 0, 'DH4\r'),
	('AF', 137, 'SRQ', 4067, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('AF', 137, 'SSG', 891, 'DLA', 897, '', 0, '772\r'),
	('AF', 137, 'STL', 3678, 'ATL', 3682, 'Y', 0, 'M90 717 M88\r'),
	('AF', 137, 'STM', 4092, 'MAO', 2551, 'Y', 0, '738\r'),
	('AF', 137, 'STR', 350, 'ATL', 3682, 'Y', 0, '76W\r'),
	('AF', 137, 'STR', 350, 'CDG', 1382, '', 0, 'AR8\r'),
	('AF', 137, 'STT', 2883, 'ATL', 3682, 'Y', 0, '757\r'),
	('AF', 137, 'SVG', 666, 'CDG', 1382, '', 0, 'E70\r'),
	('AF', 137, 'SVO', 2985, 'CDG', 1382, '', 0, '319 320 321\r'),
	('AF', 137, 'SVO', 2985, 'MRS', 1353, '', 0, '320\r'),
	('AF', 137, 'SVQ', 1253, 'TLS', 1273, '', 0, '319\r'),
	('AF', 137, 'SXB', 1435, 'AMS', 580, '', 0, 'ER4 CR7 E70\r'),
	('AF', 137, 'SXB', 1435, 'FCO', 1555, 'Y', 0, 'ER4 CR7\r'),
	('AF', 137, 'SXB', 1435, 'NCE', 1354, '', 0, '320 319\r'),
	('AF', 137, 'SXB', 1435, 'ORY', 1386, '', 0, 'CRK AT7\r'),
	('AF', 137, 'SXB', 1435, 'TLS', 1273, '', 0, '319 320\r'),
	('AF', 137, 'SXM', 2899, 'CDG', 1382, '', 0, '343\r'),
	('AF', 137, 'SYR', 3745, 'ATL', 3682, 'Y', 0, 'M88 CR9\r'),
	('AF', 137, 'TBS', 3973, 'CDG', 1382, 'Y', 0, '735\r'),
	('AF', 137, 'TLH', 3698, 'ATL', 3682, 'Y', 0, '319 M88 CRJ 717\r'),
	('AF', 137, 'TLN', 1438, 'ORY', 1386, '', 0, 'CRK 319 321 320\r'),
	('AF', 137, 'TLS', 1273, 'AJA', 1324, 'Y', 0, '320\r'),
	('AF', 137, 'TLS', 1273, 'AMS', 580, 'Y', 0, 'E90\r'),
	('AF', 137, 'TLS', 1273, 'ATH', 3941, '', 0, '320\r'),
	('AF', 137, 'TLS', 1273, 'CDG', 1382, '', 0, '320 319 321\r'),
	('AF', 137, 'TLS', 1273, 'CMN', 1074, '', 0, '319 320\r'),
	('AF', 137, 'TLS', 1273, 'FCO', 1555, '', 0, '319 320\r'),
	('AF', 137, 'TLS', 1273, 'HAM', 342, '', 0, '319\r'),
	('AF', 137, 'TLS', 1273, 'LYS', 1335, '', 0, '319 320 CRK\r'),
	('AF', 137, 'TLS', 1273, 'MLA', 1606, '', 0, '320 319\r'),
	('AF', 137, 'TLS', 1273, 'ORY', 1386, '', 0, '320 319 321\r'),
	('AF', 137, 'TLS', 1273, 'RAK', 1075, '', 0, '319 320\r'),
	('AF', 137, 'TLS', 1273, 'SVQ', 1253, '', 0, '319\r'),
	('AF', 137, 'TLS', 1273, 'SXB', 1435, '', 0, '319 320\r'),
	('AF', 137, 'TLS', 1273, 'VCE', 1551, '', 0, '319 320\r'),
	('AF', 137, 'TLV', 1590, 'CDG', 1382, '', 0, '320\r'),
	('AF', 137, 'TLV', 1590, 'MRS', 1353, '', 0, '320\r'),
	('AF', 137, 'TLV', 1590, 'NCE', 1354, '', 0, '320\r'),
	('AF', 137, 'TNR', 918, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'TPA', 3646, 'ATL', 3682, 'Y', 0, '757 739\r'),
	('AF', 137, 'TPE', 2276, 'AMS', 580, 'Y', 0, '777\r'),
	('AF', 137, 'TPE', 2276, 'MNL', 2397, 'Y', 0, '777\r'),
	('AF', 137, 'TRI', 4116, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'TRN', 1526, 'CDG', 1382, '', 0, 'E90 AR8 E70\r'),
	('AF', 137, 'TUL', 3855, 'ATL', 3682, 'Y', 0, 'CR7 CR9\r'),
	('AF', 137, 'TUN', 287, 'CDG', 1382, '', 0, '321 319 320\r'),
	('AF', 137, 'TUN', 287, 'MRS', 1353, '', 0, '319 320\r'),
	('AF', 137, 'TUS', 3636, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('AF', 137, 'TXL', 351, 'CDG', 1382, '', 0, '321 319 320 318\r'),
	('AF', 137, 'TXL', 351, 'MRS', 1353, '', 0, '320 319\r'),
	('AF', 137, 'TYS', 3676, 'ATL', 3682, 'Y', 0, 'CRJ 717 CR7 CR9\r'),
	('AF', 137, 'UIO', 2688, 'GYE', 2673, 'Y', 0, '772 777\r'),
	('AF', 137, 'VCE', 1551, 'CDG', 1382, '', 0, '318 320 319 32A\r'),
	('AF', 137, 'VCE', 1551, 'LYS', 1335, '', 0, 'ER4 CRK\r'),
	('AF', 137, 'VCE', 1551, 'MRS', 1353, '', 0, '320 319\r'),
	('AF', 137, 'VCE', 1551, 'NCE', 1354, '', 0, '320\r'),
	('AF', 137, 'VCE', 1551, 'TLS', 1273, '', 0, '319 320\r'),
	('AF', 137, 'VGO', 1250, 'CDG', 1382, '', 0, 'E70\r'),
	('AF', 137, 'VIE', 1613, 'CDG', 1382, '', 0, '320 318 319 32A 321\r'),
	('AF', 137, 'VIE', 1613, 'LYS', 1335, 'Y', 0, 'DH4 F70\r'),
	('AF', 137, 'VLC', 1246, 'CDG', 1382, 'Y', 0, '738\r'),
	('AF', 137, 'VLD', 5776, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AF', 137, 'VPS', 3873, 'ATL', 3682, 'Y', 0, '717 319 M88\r'),
	('AF', 137, 'VRN', 1550, 'CDG', 1382, '', 0, 'E70\r'),
	('AF', 137, 'WAW', 679, 'CDG', 1382, '', 0, '321 318 319 320\r'),
	('AF', 137, 'WUH', 3376, 'CAN', 3370, 'Y', 0, '738\r'),
	('AF', 137, 'WUH', 3376, 'CDG', 1382, '', 0, '332\r'),
	('AF', 137, 'WUH', 3376, 'ENH', 6358, 'Y', 0, '738\r'),
	('AF', 137, 'XNA', 4356, 'ATL', 3682, 'Y', 0, 'CRJ CR9 CR7\r'),
	('AF', 137, 'YUL', 146, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('AF', 137, 'YUL', 146, 'CDG', 1382, '', 0, '744 343\r'),
	('AF', 137, 'YYZ', 193, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('AF', 137, 'YYZ', 193, 'CDG', 1382, '', 0, '772\r'),
	('AF', 137, 'ZAG', 1208, 'CDG', 1382, '', 0, 'AR8\r'),
	('AF', 137, 'ZRH', 1678, 'CDG', 1382, '', 0, '318\r'),
	('AF', 137, 'ZSE', 917, 'MRU', 893, 'Y', 0, 'AT7\r'),
	('AH', 794, 'AAE', 220, 'ALG', 210, '', 0, '738 ATR 736\r'),
	('AH', 794, 'AAE', 220, 'CDG', 1382, '', 0, '738\r'),
	('AH', 794, 'AAE', 220, 'IST', 1701, '', 0, '738\r'),
	('AH', 794, 'AAE', 220, 'LYS', 1335, '', 0, '738\r'),
	('AH', 794, 'AAE', 220, 'MRS', 1353, '', 0, '738\r'),
	('AH', 794, 'AAE', 220, 'ORN', 231, '', 0, 'ATR\r'),
	('AH', 794, 'AAE', 220, 'ORY', 1386, '', 0, '736\r'),
	('AH', 794, 'ABJ', 253, 'ALG', 210, '', 0, '738\r'),
	('AH', 794, 'ALC', 1212, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'ALC', 1212, 'ORN', 231, '', 0, '736 ATR\r'),
	('AH', 794, 'ALG', 210, 'AAE', 220, '', 0, 'ATR 736 738\r'),
	('AH', 794, 'ALG', 210, 'ABJ', 253, '', 0, '738\r'),
	('AH', 794, 'ALG', 210, 'ALC', 1212, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'AMM', 2170, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'AZR', 234, '', 0, 'ATR 738\r'),
	('AH', 794, 'ALG', 210, 'BCN', 1218, '', 0, '736 738\r'),
	('AH', 794, 'ALG', 210, 'BEY', 2177, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'BJA', 209, '', 0, '738 ATR\r'),
	('AH', 794, 'ALG', 210, 'BKO', 1044, '', 0, '738\r'),
	('AH', 794, 'ALG', 210, 'BLJ', 5552, '', 0, 'ATR 738\r'),
	('AH', 794, 'ALG', 210, 'BOD', 1264, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'BRU', 302, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'BSK', 235, '', 0, 'ATR 738\r'),
	('AH', 794, 'ALG', 210, 'CAI', 1128, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'CDG', 1382, '', 0, '330 736 738\r'),
	('AH', 794, 'ALG', 210, 'CMN', 1074, '', 0, '767\r'),
	('AH', 794, 'ALG', 210, 'CZL', 221, '', 0, 'ATR 736 738 767\r'),
	('AH', 794, 'ALG', 210, 'DJG', 211, '', 0, '738\r'),
	('AH', 794, 'ALG', 210, 'DKR', 1084, '', 0, '738\r'),
	('AH', 794, 'ALG', 210, 'DXB', 2188, '', 0, '330\r'),
	('AH', 794, 'ALG', 210, 'ELU', 5555, '', 0, 'ATR\r'),
	('AH', 794, 'ALG', 210, 'ETZ', 1320, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'FCO', 1555, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'FRA', 340, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'GHA', 237, '', 0, 'ATR\r'),
	('AH', 794, 'ALG', 210, 'GVA', 1665, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'HME', 238, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'HRM', 224, '', 0, 'ATR\r'),
	('AH', 794, 'ALG', 210, 'INZ', 239, '', 0, 'ATR\r'),
	('AH', 794, 'ALG', 210, 'IST', 1701, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'LHR', 507, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'LIL', 1399, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'LIS', 1638, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'LYS', 1335, '', 0, '736 738\r'),
	('AH', 794, 'ALG', 210, 'MAD', 1229, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'MRS', 1353, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'MUW', 233, '', 0, 'ATR\r'),
	('AH', 794, 'ALG', 210, 'MXP', 1524, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'NCE', 1354, '', 0, '736 738\r'),
	('AH', 794, 'ALG', 210, 'NIM', 280, '', 0, '738\r'),
	('AH', 794, 'ALG', 210, 'OGX', 243, '', 0, 'ATR\r'),
	('AH', 794, 'ALG', 210, 'ORN', 231, '', 0, 'ATR 738\r'),
	('AH', 794, 'ALG', 210, 'ORY', 1386, '', 0, '736 330\r'),
	('AH', 794, 'ALG', 210, 'OUA', 246, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'PEK', 3364, '', 0, '330\r'),
	('AH', 794, 'ALG', 210, 'PMI', 3998, '', 0, '738\r'),
	('AH', 794, 'ALG', 210, 'QSF', 6492, '', 0, 'ATR 738\r'),
	('AH', 794, 'ALG', 210, 'SVO', 2985, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'TEE', 222, '', 0, 'ATR\r'),
	('AH', 794, 'ALG', 210, 'TGR', 240, '', 0, 'ATR\r'),
	('AH', 794, 'ALG', 210, 'TID', 225, '', 0, 'ATR\r'),
	('AH', 794, 'ALG', 210, 'TIP', 1157, '', 0, '738\r'),
	('AH', 794, 'ALG', 210, 'TLM', 230, '', 0, '738 ATR\r'),
	('AH', 794, 'ALG', 210, 'TLS', 1273, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'TUN', 287, '', 0, '736 738\r'),
	('AH', 794, 'ALG', 210, 'VIE', 1613, '', 0, '736\r'),
	('AH', 794, 'ALG', 210, 'YUL', 146, '', 0, '330\r'),
	('AH', 794, 'AMM', 2170, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'AZR', 234, 'ALG', 210, '', 0, 'ATR\r'),
	('AH', 794, 'AZR', 234, 'BMW', 5554, '', 0, 'ATR\r'),
	('AH', 794, 'AZR', 234, 'CZL', 221, '', 0, 'ATR\r'),
	('AH', 794, 'AZR', 234, 'INZ', 239, '', 0, 'ATR\r'),
	('AH', 794, 'AZR', 234, 'OGX', 243, '', 0, 'ATR\r'),
	('AH', 794, 'AZR', 234, 'ORN', 231, '', 0, 'ATR\r'),
	('AH', 794, 'BCN', 1218, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'BCN', 1218, 'ORN', 231, '', 0, '736\r'),
	('AH', 794, 'BEY', 2177, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'BJA', 209, 'ALG', 210, '', 0, '738 ATR\r'),
	('AH', 794, 'BJA', 209, 'LYS', 1335, '', 0, '738\r'),
	('AH', 794, 'BJA', 209, 'MRS', 1353, '', 0, '738\r'),
	('AH', 794, 'BJA', 209, 'ORY', 1386, '', 0, '736\r'),
	('AH', 794, 'BKO', 1044, 'ALG', 210, '', 0, '738\r'),
	('AH', 794, 'BLJ', 5552, 'ALG', 210, '', 0, 'ATR 738\r'),
	('AH', 794, 'BLJ', 5552, 'LYS', 1335, '', 0, '736\r'),
	('AH', 794, 'BLJ', 5552, 'MRS', 1353, '', 0, '738\r'),
	('AH', 794, 'BLJ', 5552, 'ORY', 1386, '', 0, '738\r'),
	('AH', 794, 'BMW', 5554, 'AZR', 234, '', 0, 'ATR\r'),
	('AH', 794, 'BOD', 1264, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'BRU', 302, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'BSK', 235, 'ALG', 210, '', 0, 'ATR 738\r'),
	('AH', 794, 'BSK', 235, 'LYS', 1335, '', 0, '738\r'),
	('AH', 794, 'BSK', 235, 'ORY', 1386, '', 0, '738\r'),
	('AH', 794, 'CAI', 1128, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'CBH', 5553, 'ORN', 231, '', 0, 'ATR\r'),
	('AH', 794, 'CDG', 1382, 'AAE', 220, '', 0, '738\r'),
	('AH', 794, 'CDG', 1382, 'ALG', 210, '', 0, '330 738\r'),
	('AH', 794, 'CDG', 1382, 'CZL', 221, '', 0, '738\r'),
	('AH', 794, 'CDG', 1382, 'ORN', 231, '', 0, '330\r'),
	('AH', 794, 'CMN', 1074, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'CMN', 1074, 'ORN', 231, '', 0, '736\r'),
	('AH', 794, 'CZL', 221, 'ALG', 210, '', 0, '738 ATR 767 736\r'),
	('AH', 794, 'CZL', 221, 'AZR', 234, '', 0, 'ATR\r'),
	('AH', 794, 'CZL', 221, 'CDG', 1382, '', 0, '738\r'),
	('AH', 794, 'CZL', 221, 'GHA', 237, '', 0, 'ATR\r'),
	('AH', 794, 'CZL', 221, 'HME', 238, '', 0, 'ATR\r'),
	('AH', 794, 'CZL', 221, 'IST', 1701, '', 0, '738\r'),
	('AH', 794, 'CZL', 221, 'LYS', 1335, '', 0, '738\r'),
	('AH', 794, 'CZL', 221, 'MLH', 1423, '', 0, '736\r'),
	('AH', 794, 'CZL', 221, 'MRS', 1353, '', 0, '738\r'),
	('AH', 794, 'CZL', 221, 'NCE', 1354, '', 0, '738 736\r'),
	('AH', 794, 'CZL', 221, 'ORN', 231, '', 0, 'ATR\r'),
	('AH', 794, 'CZL', 221, 'ORY', 1386, '', 0, '736\r'),
	('AH', 794, 'DJG', 211, 'OGX', 243, '', 0, '736\r'),
	('AH', 794, 'DJG', 211, 'TMR', 216, '', 0, '738\r'),
	('AH', 794, 'DKR', 1084, 'ALG', 210, '', 0, '738\r'),
	('AH', 794, 'DXB', 2188, 'ALG', 210, '', 0, '330\r'),
	('AH', 794, 'ELG', 236, 'OGX', 243, '', 0, 'ATR\r'),
	('AH', 794, 'ELG', 236, 'TMR', 216, '', 0, 'ATR\r'),
	('AH', 794, 'ELU', 5555, 'ALG', 210, '', 0, 'ATR\r'),
	('AH', 794, 'ETZ', 1320, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'FCO', 1555, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'FRA', 340, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'GHA', 237, 'ALG', 210, '', 0, 'ATR\r'),
	('AH', 794, 'GHA', 237, 'CZL', 221, '', 0, 'ATR\r'),
	('AH', 794, 'GHA', 237, 'ORN', 231, '', 0, 'ATR\r'),
	('AH', 794, 'GHA', 237, 'TMR', 216, '', 0, 'ATR\r'),
	('AH', 794, 'GVA', 1665, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'HME', 238, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'HME', 238, 'CZL', 221, '', 0, 'ATR\r'),
	('AH', 794, 'HME', 238, 'HRM', 224, '', 0, 'ATR\r'),
	('AH', 794, 'HME', 238, 'IAM', 244, '', 0, '736\r'),
	('AH', 794, 'HME', 238, 'ORN', 231, '', 0, 'ATR\r'),
	('AH', 794, 'HRM', 224, 'ALG', 210, '', 0, 'ATR\r'),
	('AH', 794, 'HRM', 224, 'HME', 238, '', 0, 'ATR\r'),
	('AH', 794, 'IAM', 244, 'HME', 238, '', 0, '736\r'),
	('AH', 794, 'IAM', 244, 'OGX', 243, '', 0, 'ATR\r'),
	('AH', 794, 'INZ', 239, 'ALG', 210, '', 0, 'ATR\r'),
	('AH', 794, 'INZ', 239, 'TMR', 216, '', 0, 'ATR\r'),
	('AH', 794, 'IST', 1701, 'AAE', 220, '', 0, '738\r'),
	('AH', 794, 'IST', 1701, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'IST', 1701, 'CZL', 221, '', 0, '738\r'),
	('AH', 794, 'IST', 1701, 'ORN', 231, '', 0, '738\r'),
	('AH', 794, 'LHR', 507, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'LIL', 1399, 'ALG', 210, '', 0, '738\r'),
	('AH', 794, 'LIL', 1399, 'ORN', 231, '', 0, '736\r'),
	('AH', 794, 'LIS', 1638, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'LYS', 1335, 'AAE', 220, '', 0, '738\r'),
	('AH', 794, 'LYS', 1335, 'ALG', 210, '', 0, '736 738\r'),
	('AH', 794, 'LYS', 1335, 'BJA', 209, '', 0, '738\r'),
	('AH', 794, 'LYS', 1335, 'BLJ', 5552, '', 0, '738\r'),
	('AH', 794, 'LYS', 1335, 'BSK', 235, '', 0, '738\r'),
	('AH', 794, 'LYS', 1335, 'CZL', 221, '', 0, '738\r'),
	('AH', 794, 'LYS', 1335, 'ORN', 231, '', 0, '736\r'),
	('AH', 794, 'LYS', 1335, 'QSF', 6492, '', 0, '738\r'),
	('AH', 794, 'LYS', 1335, 'TLM', 230, '', 0, '736\r'),
	('AH', 794, 'MAD', 1229, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'MLH', 1423, 'CZL', 221, '', 0, '736\r'),
	('AH', 794, 'MRS', 1353, 'AAE', 220, '', 0, '738\r'),
	('AH', 794, 'MRS', 1353, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'MRS', 1353, 'BJA', 209, '', 0, '738\r'),
	('AH', 794, 'MRS', 1353, 'BLJ', 5552, '', 0, '738\r'),
	('AH', 794, 'MRS', 1353, 'CZL', 221, '', 0, '738\r'),
	('AH', 794, 'MRS', 1353, 'ORN', 231, '', 0, '736 738\r'),
	('AH', 794, 'MRS', 1353, 'QSF', 6492, '', 0, '738\r'),
	('AH', 794, 'MRS', 1353, 'TLM', 230, '', 0, '736\r'),
	('AH', 794, 'MUW', 233, 'ALG', 210, '', 0, 'ATR\r'),
	('AH', 794, 'MUW', 233, 'TID', 225, '', 0, 'ATR\r'),
	('AH', 794, 'MXP', 1524, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'NCE', 1354, 'ALG', 210, '', 0, '736 738\r'),
	('AH', 794, 'NCE', 1354, 'CZL', 221, '', 0, '738\r'),
	('AH', 794, 'NIM', 280, 'ALG', 210, '', 0, '738\r'),
	('AH', 794, 'OGX', 243, 'ALG', 210, '', 0, 'ATR 736\r'),
	('AH', 794, 'OGX', 243, 'AZR', 234, '', 0, 'ATR\r'),
	('AH', 794, 'OGX', 243, 'ELG', 236, '', 0, 'ATR\r'),
	('AH', 794, 'OGX', 243, 'IAM', 244, '', 0, 'ATR\r'),
	('AH', 794, 'OGX', 243, 'ORN', 231, '', 0, 'ATR\r'),
	('AH', 794, 'ORN', 231, 'AAE', 220, '', 0, 'ATR\r'),
	('AH', 794, 'ORN', 231, 'ALC', 1212, '', 0, '736 ATR\r'),
	('AH', 794, 'ORN', 231, 'ALG', 210, '', 0, '736 ATR 738 767\r'),
	('AH', 794, 'ORN', 231, 'AZR', 234, '', 0, 'ATR\r'),
	('AH', 794, 'ORN', 231, 'BCN', 1218, '', 0, '736\r'),
	('AH', 794, 'ORN', 231, 'CBH', 5553, '', 0, 'ATR\r'),
	('AH', 794, 'ORN', 231, 'CDG', 1382, '', 0, '330\r'),
	('AH', 794, 'ORN', 231, 'CMN', 1074, '', 0, '767 736\r'),
	('AH', 794, 'ORN', 231, 'CZL', 221, '', 0, 'ATR\r'),
	('AH', 794, 'ORN', 231, 'GHA', 237, '', 0, 'ATR\r'),
	('AH', 794, 'ORN', 231, 'HME', 238, '', 0, 'ATR\r'),
	('AH', 794, 'ORN', 231, 'IST', 1701, '', 0, '738\r'),
	('AH', 794, 'ORN', 231, 'LIL', 1399, '', 0, '736\r'),
	('AH', 794, 'ORN', 231, 'LYS', 1335, '', 0, '736\r'),
	('AH', 794, 'ORN', 231, 'MRS', 1353, '', 0, '736\r'),
	('AH', 794, 'ORN', 231, 'OGX', 243, '', 0, 'ATR\r'),
	('AH', 794, 'ORN', 231, 'ORY', 1386, '', 0, '736\r'),
	('AH', 794, 'ORN', 231, 'TLS', 1273, '', 0, '736\r'),
	('AH', 794, 'ORY', 1386, 'AAE', 220, '', 0, '736\r'),
	('AH', 794, 'ORY', 1386, 'ALG', 210, '', 0, '736 330 738\r'),
	('AH', 794, 'ORY', 1386, 'BJA', 209, '', 0, '736\r'),
	('AH', 794, 'ORY', 1386, 'BLJ', 5552, '', 0, '738\r'),
	('AH', 794, 'ORY', 1386, 'BSK', 235, '', 0, '736\r'),
	('AH', 794, 'ORY', 1386, 'CZL', 221, '', 0, '736\r'),
	('AH', 794, 'ORY', 1386, 'ORN', 231, '', 0, '736\r'),
	('AH', 794, 'ORY', 1386, 'QSF', 6492, '', 0, '736\r'),
	('AH', 794, 'ORY', 1386, 'TLM', 230, '', 0, '738\r'),
	('AH', 794, 'OUA', 246, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'PEK', 3364, 'ALG', 210, '', 0, '330\r'),
	('AH', 794, 'PMI', 3998, 'ALG', 210, '', 0, '738\r'),
	('AH', 794, 'QSF', 6492, 'ALG', 210, '', 0, 'ATR 738\r'),
	('AH', 794, 'QSF', 6492, 'LYS', 1335, '', 0, '738\r'),
	('AH', 794, 'QSF', 6492, 'MRS', 1353, '', 0, '738\r'),
	('AH', 794, 'QSF', 6492, 'ORY', 1386, '', 0, '738\r'),
	('AH', 794, 'SVO', 2985, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'TEE', 222, 'ALG', 210, '', 0, 'ATR\r'),
	('AH', 794, 'TGR', 240, 'ALG', 210, '', 0, 'ATR\r'),
	('AH', 794, 'TID', 225, 'ALG', 210, '', 0, 'ATR\r'),
	('AH', 794, 'TIP', 1157, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'TLM', 230, 'ALG', 210, '', 0, '738 ATR\r'),
	('AH', 794, 'TLM', 230, 'LYS', 1335, '', 0, '738\r'),
	('AH', 794, 'TLM', 230, 'MRS', 1353, '', 0, '738\r'),
	('AH', 794, 'TLM', 230, 'ORY', 1386, '', 0, '738\r'),
	('AH', 794, 'TLS', 1273, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'TLS', 1273, 'ORN', 231, '', 0, '736\r'),
	('AH', 794, 'TMR', 216, 'ALG', 210, '', 0, '738\r'),
	('AH', 794, 'TMR', 216, 'ELG', 236, '', 0, 'ATR\r'),
	('AH', 794, 'TMR', 216, 'GHA', 237, '', 0, 'ATR\r'),
	('AH', 794, 'TMR', 216, 'INZ', 239, '', 0, 'ATR\r'),
	('AH', 794, 'TUN', 287, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'VIE', 1613, 'ALG', 210, '', 0, '736\r'),
	('AH', 794, 'YUL', 146, 'ALG', 210, '', 0, '330\r'),
	('AI', 218, 'ADD', 1107, 'BOM', 2997, 'Y', 0, '752\r'),
	('AI', 218, 'ADD', 1107, 'DEL', 3093, 'Y', 0, '763\r'),
	('AI', 218, 'AGR', 3079, 'BOM', 2997, '', 0, 'CR7\r'),
	('AI', 218, 'AGR', 3079, 'HJR', 3012, '', 0, '320\r'),
	('AI', 218, 'AGX', 3130, 'COK', 3136, '', 0, 'ATR\r'),
	('AI', 218, 'AJL', 3039, 'CCU', 3043, '', 0, '319\r'),
	('AI', 218, 'AJL', 3039, 'IMF', 3050, '', 0, '319\r'),
	('AI', 218, 'AMD', 2994, 'BOM', 2997, '', 0, '321 320 77W\r'),
	('AI', 218, 'AMD', 2994, 'DEL', 3093, '', 0, '319 321\r'),
	('AI', 218, 'AMD', 2994, 'HYD', 3141, '', 0, '320\r'),
	('AI', 218, 'AMD', 2994, 'KWI', 2176, '', 0, '320\r'),
	('AI', 218, 'ATQ', 3081, 'DEL', 3093, '', 0, '321 788 320\r'),
	('AI', 218, 'AUH', 2179, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'AUH', 2179, 'DEL', 3093, '', 0, '319\r'),
	('AI', 218, 'BAH', 2057, 'AUH', 2179, '', 0, '319\r'),
	('AI', 218, 'BBI', 3042, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'BBI', 3042, 'DEL', 3093, '', 0, '319 320\r'),
	('AI', 218, 'BBI', 3042, 'IXZ', 3146, '', 0, 'CR7\r'),
	('AI', 218, 'BDQ', 3001, 'DEL', 3093, '', 0, '320\r'),
	('AI', 218, 'BHO', 3002, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'BHO', 3002, 'DEL', 3093, '', 0, '321\r'),
	('AI', 218, 'BHX', 469, 'DEL', 3093, '', 0, '788\r'),
	('AI', 218, 'BKK', 3885, 'BOM', 2997, '', 0, '321\r'),
	('AI', 218, 'BKK', 3885, 'DEL', 3093, '', 0, '321\r'),
	('AI', 218, 'BKK', 3885, 'SIN', 3316, 'Y', 0, '772\r'),
	('AI', 218, 'BLR', 3131, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'BLR', 3131, 'CCU', 3043, '', 0, '319\r'),
	('AI', 218, 'BLR', 3131, 'COK', 3136, '', 0, 'ATR\r'),
	('AI', 218, 'BLR', 3131, 'DEL', 3093, '', 0, '320 788\r'),
	('AI', 218, 'BLR', 3131, 'FRA', 340, 'Y', 0, '74H\r'),
	('AI', 218, 'BLR', 3131, 'GOI', 3007, '', 0, '319\r'),
	('AI', 218, 'BLR', 3131, 'HYD', 3141, '', 0, '319\r'),
	('AI', 218, 'BLR', 3131, 'IXE', 3143, '', 0, 'ATR\r'),
	('AI', 218, 'BLR', 3131, 'MAA', 3144, '', 0, '320\r'),
	('AI', 218, 'BLR', 3131, 'TRV', 3153, '', 0, '320\r'),
	('AI', 218, 'BOM', 2997, 'ADD', 1107, 'Y', 0, '763\r'),
	('AI', 218, 'BOM', 2997, 'AGR', 3079, '', 0, 'CR7\r'),
	('AI', 218, 'BOM', 2997, 'AMD', 2994, '', 0, '321 320 77W\r'),
	('AI', 218, 'BOM', 2997, 'AUH', 2179, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'BBI', 3042, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'BHO', 3002, '', 0, '321\r'),
	('AI', 218, 'BOM', 2997, 'BKK', 3885, '', 0, '321\r'),
	('AI', 218, 'BOM', 2997, 'BLR', 3131, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'CAI', 1128, 'Y', 0, '738\r'),
	('AI', 218, 'BOM', 2997, 'CCU', 3043, '', 0, '320 319\r'),
	('AI', 218, 'BOM', 2997, 'CJB', 3135, '', 0, '321\r'),
	('AI', 218, 'BOM', 2997, 'CMB', 3024, 'Y', 0, '320\r'),
	('AI', 218, 'BOM', 2997, 'COK', 3136, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'DEL', 3093, '', 0, '321 319 77W 788\r'),
	('AI', 218, 'BOM', 2997, 'DXB', 2188, '', 0, '321\r'),
	('AI', 218, 'BOM', 2997, 'EWR', 3494, '', 0, '77W\r'),
	('AI', 218, 'BOM', 2997, 'FRA', 340, 'Y', 0, '744\r'),
	('AI', 218, 'BOM', 2997, 'GOI', 3007, '', 0, '321\r'),
	('AI', 218, 'BOM', 2997, 'GWL', 3094, '', 0, 'CR7\r'),
	('AI', 218, 'BOM', 2997, 'HYD', 3141, '', 0, '319 744\r'),
	('AI', 218, 'BOM', 2997, 'IDR', 3008, '', 0, '320\r'),
	('AI', 218, 'BOM', 2997, 'IST', 1701, 'Y', 0, '330\r'),
	('AI', 218, 'BOM', 2997, 'IXD', 3080, '', 0, 'CR7\r'),
	('AI', 218, 'BOM', 2997, 'IXE', 3143, '', 0, '321\r'),
	('AI', 218, 'BOM', 2997, 'IXU', 2996, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'JAI', 3098, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'JDH', 3097, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'JED', 2072, '', 0, '77W\r'),
	('AI', 218, 'BOM', 2997, 'JGA', 3010, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'JNB', 813, 'Y', 0, '332\r'),
	('AI', 218, 'BOM', 2997, 'LHR', 507, '', 0, '788\r'),
	('AI', 218, 'BOM', 2997, 'LKO', 3105, '', 0, '320\r'),
	('AI', 218, 'BOM', 2997, 'MAA', 3144, '', 0, '319 332\r'),
	('AI', 218, 'BOM', 2997, 'MCT', 2194, '', 0, '320\r'),
	('AI', 218, 'BOM', 2997, 'MRU', 893, 'Y', 0, '332\r'),
	('AI', 218, 'BOM', 2997, 'MUC', 346, 'Y', 0, '333\r'),
	('AI', 218, 'BOM', 2997, 'NAG', 3015, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'RAJ', 3019, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'RPR', 3020, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'RUH', 2082, '', 0, '77W\r'),
	('AI', 218, 'BOM', 2997, 'TRV', 3153, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'UDR', 3023, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'VNS', 3084, '', 0, '319\r'),
	('AI', 218, 'BOM', 2997, 'ZRH', 1678, 'Y', 0, '333\r'),
	('AI', 218, 'CAI', 1128, 'BOM', 2997, 'Y', 0, '738\r'),
	('AI', 218, 'CCJ', 3137, 'CJB', 3135, '', 0, '321\r'),
	('AI', 218, 'CCJ', 3137, 'COK', 3136, '', 0, '744\r'),
	('AI', 218, 'CCJ', 3137, 'DXB', 2188, '', 0, '321\r'),
	('AI', 218, 'CCJ', 3137, 'JED', 2072, '', 0, '744\r'),
	('AI', 218, 'CCJ', 3137, 'RUH', 2082, '', 0, '77W\r'),
	('AI', 218, 'CCJ', 3137, 'SHJ', 2191, '', 0, '321\r'),
	('AI', 218, 'CCU', 3043, 'AJL', 3039, '', 0, '319\r'),
	('AI', 218, 'CCU', 3043, 'BLR', 3131, '', 0, '319\r'),
	('AI', 218, 'CCU', 3043, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'CCU', 3043, 'DAC', 3076, '', 0, '319\r'),
	('AI', 218, 'CCU', 3043, 'DEL', 3093, '', 0, '321 788\r'),
	('AI', 218, 'CCU', 3043, 'DIB', 6443, '', 0, '320\r'),
	('AI', 218, 'CCU', 3043, 'DMU', 6174, '', 0, '319\r'),
	('AI', 218, 'CCU', 3043, 'GAU', 6173, '', 0, '319 320\r'),
	('AI', 218, 'CCU', 3043, 'HYD', 3141, '', 0, '319\r'),
	('AI', 218, 'CCU', 3043, 'IMF', 3050, '', 0, '319\r'),
	('AI', 218, 'CCU', 3043, 'IXA', 3038, '', 0, '319\r'),
	('AI', 218, 'CCU', 3043, 'IXB', 3040, '', 0, '319 320\r'),
	('AI', 218, 'CCU', 3043, 'IXS', 3055, '', 0, 'ATR 319 320\r'),
	('AI', 218, 'CCU', 3043, 'IXZ', 3146, '', 0, '319\r'),
	('AI', 218, 'CCU', 3043, 'KTM', 3125, '', 0, '319\r'),
	('AI', 218, 'CCU', 3043, 'MAA', 3144, '', 0, '320\r'),
	('AI', 218, 'CCU', 3043, 'RGN', 3239, '', 0, '320\r'),
	('AI', 218, 'CCU', 3043, 'SHL', 6172, '', 0, 'ATR\r'),
	('AI', 218, 'CCU', 3043, 'SIN', 3316, 'Y', 0, '333\r'),
	('AI', 218, 'CDG', 1382, 'DEL', 3093, '', 0, '788\r'),
	('AI', 218, 'CJB', 3135, 'BOM', 2997, '', 0, '321\r'),
	('AI', 218, 'CJB', 3135, 'CCJ', 3137, '', 0, '321\r'),
	('AI', 218, 'CMB', 3024, 'BOM', 2997, 'Y', 0, '320\r'),
	('AI', 218, 'CMB', 3024, 'DEL', 3093, 'Y', 0, '320\r'),
	('AI', 218, 'CMB', 3024, 'MAA', 3144, '', 0, '321\r'),
	('AI', 218, 'COK', 3136, 'AGX', 3130, '', 0, 'ATR\r'),
	('AI', 218, 'COK', 3136, 'BLR', 3131, '', 0, 'ATR\r'),
	('AI', 218, 'COK', 3136, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'COK', 3136, 'CCJ', 3137, '', 0, '744\r'),
	('AI', 218, 'COK', 3136, 'DEL', 3093, '', 0, '321 320\r'),
	('AI', 218, 'COK', 3136, 'MAA', 3144, '', 0, '319\r'),
	('AI', 218, 'COK', 3136, 'SHJ', 2191, '', 0, '320\r'),
	('AI', 218, 'COK', 3136, 'TRV', 3153, '', 0, '321\r'),
	('AI', 218, 'DAC', 3076, 'CCU', 3043, '', 0, '319\r'),
	('AI', 218, 'DAC', 3076, 'DEL', 3093, '', 0, '320\r'),
	('AI', 218, 'DED', 3092, 'DEL', 3093, '', 0, 'CR7 ATR\r'),
	('AI', 218, 'DED', 3092, 'LKO', 3105, '', 0, 'CR7\r'),
	('AI', 218, 'DEL', 3093, 'ADD', 1107, 'Y', 0, '763\r'),
	('AI', 218, 'DEL', 3093, 'AMD', 2994, '', 0, '319 321\r'),
	('AI', 218, 'DEL', 3093, 'ATQ', 3081, '', 0, '788 321 320\r'),
	('AI', 218, 'DEL', 3093, 'BAH', 2057, '', 0, '319\r'),
	('AI', 218, 'DEL', 3093, 'BBI', 3042, '', 0, 'CR7 319 320\r'),
	('AI', 218, 'DEL', 3093, 'BDQ', 3001, '', 0, '320\r'),
	('AI', 218, 'DEL', 3093, 'BHO', 3002, '', 0, '319\r'),
	('AI', 218, 'DEL', 3093, 'BHX', 469, '', 0, '788\r'),
	('AI', 218, 'DEL', 3093, 'BKK', 3885, '', 0, '321\r'),
	('AI', 218, 'DEL', 3093, 'BLR', 3131, '', 0, '788 320\r'),
	('AI', 218, 'DEL', 3093, 'BOM', 2997, '', 0, '788 321 77W 319\r'),
	('AI', 218, 'DEL', 3093, 'CCU', 3043, '', 0, '321 788\r'),
	('AI', 218, 'DEL', 3093, 'CDG', 1382, '', 0, '788\r'),
	('AI', 218, 'DEL', 3093, 'CMB', 3024, 'Y', 0, '320\r'),
	('AI', 218, 'DEL', 3093, 'COK', 3136, '', 0, '320 321\r'),
	('AI', 218, 'DEL', 3093, 'DAC', 3076, '', 0, '320\r'),
	('AI', 218, 'DEL', 3093, 'DED', 3092, '', 0, 'CR7 ATR\r'),
	('AI', 218, 'DEL', 3093, 'DHM', 6760, '', 0, 'ATR\r'),
	('AI', 218, 'DEL', 3093, 'DMM', 2064, '', 0, '320\r'),
	('AI', 218, 'DEL', 3093, 'DXB', 2188, '', 0, '788\r'),
	('AI', 218, 'DEL', 3093, 'FRA', 340, '', 0, '788\r'),
	('AI', 218, 'DEL', 3093, 'GAU', 6173, '', 0, '320\r'),
	('AI', 218, 'DEL', 3093, 'HKG', 3077, '', 0, '788\r'),
	('AI', 218, 'DEL', 3093, 'HYD', 3141, '', 0, '320 321 319 77W\r'),
	('AI', 218, 'DEL', 3093, 'ICN', 3930, 'Y', 0, '333\r'),
	('AI', 218, 'DEL', 3093, 'IDR', 3008, '', 0, '320\r'),
	('AI', 218, 'DEL', 3093, 'IST', 1701, 'Y', 0, '330\r'),
	('AI', 218, 'DEL', 3093, 'IXB', 3040, '', 0, '321\r'),
	('AI', 218, 'DEL', 3093, 'IXC', 3089, '', 0, '321\r'),
	('AI', 218, 'DEL', 3093, 'IXD', 3080, '', 0, 'CR7 ATR\r'),
	('AI', 218, 'DEL', 3093, 'IXJ', 3100, '', 0, '320\r'),
	('AI', 218, 'DEL', 3093, 'IXL', 3104, '', 0, '319\r'),
	('AI', 218, 'DEL', 3093, 'IXR', 3063, '', 0, '321\r'),
	('AI', 218, 'DEL', 3093, 'IXU', 2996, '', 0, '321\r'),
	('AI', 218, 'DEL', 3093, 'JAI', 3098, '', 0, '319\r'),
	('AI', 218, 'DEL', 3093, 'JDH', 3097, '', 0, '319\r'),
	('AI', 218, 'DEL', 3093, 'JED', 2072, '', 0, '77W\r'),
	('AI', 218, 'DEL', 3093, 'JFK', 3797, '', 0, '77W\r'),
	('AI', 218, 'DEL', 3093, 'JLR', 3009, '', 0, 'CR7\r'),
	('AI', 218, 'DEL', 3093, 'KBL', 2050, '', 0, '320\r'),
	('AI', 218, 'DEL', 3093, 'KNU', 3101, '', 0, 'ATR\r'),
	('AI', 218, 'DEL', 3093, 'KTM', 3125, '', 0, '320 321\r'),
	('AI', 218, 'DEL', 3093, 'KUU', 3085, '', 0, 'ATR\r'),
	('AI', 218, 'DEL', 3093, 'LHR', 507, '', 0, '788 77W\r'),
	('AI', 218, 'DEL', 3093, 'LKO', 3105, '', 0, '321\r'),
	('AI', 218, 'DEL', 3093, 'LUH', 3103, '', 0, 'ATR\r'),
	('AI', 218, 'DEL', 3093, 'MAA', 3144, '', 0, '332 321 320 319\r'),
	('AI', 218, 'DEL', 3093, 'MCT', 2194, '', 0, '320\r'),
	('AI', 218, 'DEL', 3093, 'MEL', 3339, '', 0, '788\r'),
	('AI', 218, 'DEL', 3093, 'MRU', 893, 'Y', 0, '332\r'),
	('AI', 218, 'DEL', 3093, 'MUC', 346, 'Y', 0, '333\r'),
	('AI', 218, 'DEL', 3093, 'NAG', 3015, '', 0, '319\r'),
	('AI', 218, 'DEL', 3093, 'NRT', 2279, '', 0, '788\r'),
	('AI', 218, 'DEL', 3093, 'ORD', 3830, '', 0, '77W\r'),
	('AI', 218, 'DEL', 3093, 'PAT', 3061, '', 0, '319\r'),
	('AI', 218, 'DEL', 3093, 'PNQ', 3017, '', 0, '320 321\r'),
	('AI', 218, 'DEL', 3093, 'PVG', 3406, '', 0, '788\r'),
	('AI', 218, 'DEL', 3093, 'RUH', 2082, '', 0, '77W 77L\r'),
	('AI', 218, 'DEL', 3093, 'SIN', 3316, '', 0, '788\r'),
	('AI', 218, 'DEL', 3093, 'STV', 3022, '', 0, 'CR7\r'),
	('AI', 218, 'DEL', 3093, 'SXR', 3112, '', 0, '321 319\r'),
	('AI', 218, 'DEL', 3093, 'SYD', 3361, '', 0, '788\r'),
	('AI', 218, 'DEL', 3093, 'UDR', 3023, '', 0, '319\r'),
	('AI', 218, 'DEL', 3093, 'VIE', 1613, 'Y', 0, '767\r'),
	('AI', 218, 'DEL', 3093, 'VNS', 3084, '', 0, '320 321\r'),
	('AI', 218, 'DEL', 3093, 'VTZ', 3066, '', 0, '321\r'),
	('AI', 218, 'DEL', 3093, 'ZRH', 1678, 'Y', 0, '333\r'),
	('AI', 218, 'DHM', 6760, 'DEL', 3093, '', 0, 'ATR\r'),
	('AI', 218, 'DIB', 6443, 'CCU', 3043, '', 0, '319\r'),
	('AI', 218, 'DIB', 6443, 'DMU', 6174, '', 0, '320\r'),
	('AI', 218, 'DMM', 2064, 'DEL', 3093, '', 0, '320\r'),
	('AI', 218, 'DMU', 6174, 'CCU', 3043, '', 0, '320\r'),
	('AI', 218, 'DMU', 6174, 'DIB', 6443, '', 0, '319\r'),
	('AI', 218, 'DXB', 2188, 'BOM', 2997, '', 0, '321\r'),
	('AI', 218, 'DXB', 2188, 'CCJ', 3137, '', 0, '321\r'),
	('AI', 218, 'DXB', 2188, 'DEL', 3093, '', 0, '788\r'),
	('AI', 218, 'DXB', 2188, 'GOI', 3007, '', 0, '319\r'),
	('AI', 218, 'EWR', 3494, 'BOM', 2997, '', 0, '77W\r'),
	('AI', 218, 'FRA', 340, 'BLR', 3131, 'Y', 0, '74H\r'),
	('AI', 218, 'FRA', 340, 'BOM', 2997, 'Y', 0, '744\r'),
	('AI', 218, 'FRA', 340, 'DEL', 3093, '', 0, '788\r'),
	('AI', 218, 'FRA', 340, 'MAA', 3144, 'Y', 0, '343\r'),
	('AI', 218, 'FRA', 340, 'PNQ', 3017, 'Y', 0, '73H\r'),
	('AI', 218, 'GAU', 6173, 'CCU', 3043, '', 0, '319 320\r'),
	('AI', 218, 'GAU', 6173, 'DEL', 3093, '', 0, '320\r'),
	('AI', 218, 'GAU', 6173, 'IMF', 3050, '', 0, '320\r'),
	('AI', 218, 'GAU', 6173, 'IXS', 3055, '', 0, 'ATR\r'),
	('AI', 218, 'GOI', 3007, 'BLR', 3131, '', 0, '319\r'),
	('AI', 218, 'GOI', 3007, 'BOM', 2997, '', 0, '321\r'),
	('AI', 218, 'GOI', 3007, 'DXB', 2188, '', 0, '319\r'),
	('AI', 218, 'GOI', 3007, 'KWI', 2176, '', 0, '320\r'),
	('AI', 218, 'GOI', 3007, 'MAA', 3144, '', 0, '320\r'),
	('AI', 218, 'GOI', 3007, 'PNQ', 3017, '', 0, '319\r'),
	('AI', 218, 'GWL', 3094, 'BOM', 2997, '', 0, 'CR7\r'),
	('AI', 218, 'HJR', 3012, 'VNS', 3084, '', 0, '320\r'),
	('AI', 218, 'HKG', 3077, 'DEL', 3093, '', 0, '788\r'),
	('AI', 218, 'HKG', 3077, 'ICN', 3930, '', 0, '788\r'),
	('AI', 218, 'HKG', 3077, 'KIX', 3992, '', 0, '788\r'),
	('AI', 218, 'HKG', 3077, 'SFO', 3469, 'Y', 0, '77W\r'),
	('AI', 218, 'HKG', 3077, 'SIN', 3316, 'Y', 0, '77W\r'),
	('AI', 218, 'HYD', 3141, 'AMD', 2994, '', 0, '320\r'),
	('AI', 218, 'HYD', 3141, 'BLR', 3131, '', 0, '319\r'),
	('AI', 218, 'HYD', 3141, 'BOM', 2997, '', 0, '319 744\r'),
	('AI', 218, 'HYD', 3141, 'CCU', 3043, '', 0, '319\r'),
	('AI', 218, 'HYD', 3141, 'DEL', 3093, '', 0, '321 320 319 77W\r'),
	('AI', 218, 'HYD', 3141, 'JED', 2072, '', 0, '744\r'),
	('AI', 218, 'HYD', 3141, 'MAA', 3144, '', 0, '320\r'),
	('AI', 218, 'HYD', 3141, 'MCT', 2194, '', 0, '319\r'),
	('AI', 218, 'HYD', 3141, 'PNQ', 3017, '', 0, '319\r'),
	('AI', 218, 'HYD', 3141, 'SHJ', 2191, '', 0, '321\r'),
	('AI', 218, 'HYD', 3141, 'TIR', 3151, '', 0, '321\r'),
	('AI', 218, 'HYD', 3141, 'VGA', 3134, '', 0, '319\r'),
	('AI', 218, 'HYD', 3141, 'VTZ', 3066, '', 0, '321\r'),
	('AI', 218, 'ICN', 3930, 'DEL', 3093, 'Y', 0, '333\r'),
	('AI', 218, 'ICN', 3930, 'HKG', 3077, '', 0, '788\r'),
	('AI', 218, 'ICN', 3930, 'SFO', 3469, 'Y', 0, '77W\r'),
	('AI', 218, 'ICN', 3930, 'SIN', 3316, 'Y', 0, '77W\r'),
	('AI', 218, 'IDR', 3008, 'BOM', 2997, '', 0, '320\r'),
	('AI', 218, 'IDR', 3008, 'DEL', 3093, '', 0, '320\r'),
	('AI', 218, 'IMF', 3050, 'AJL', 3039, '', 0, '319\r'),
	('AI', 218, 'IMF', 3050, 'CCU', 3043, '', 0, '319\r'),
	('AI', 218, 'IMF', 3050, 'GAU', 6173, '', 0, '320\r'),
	('AI', 218, 'IMF', 3050, 'IXS', 3055, '', 0, 'ATR\r'),
	('AI', 218, 'IST', 1701, 'BOM', 2997, 'Y', 0, '330\r'),
	('AI', 218, 'IST', 1701, 'DEL', 3093, 'Y', 0, '330\r'),
	('AI', 218, 'IXA', 3038, 'CCU', 3043, '', 0, '319\r'),
	('AI', 218, 'IXB', 3040, 'CCU', 3043, '', 0, '319 320\r'),
	('AI', 218, 'IXB', 3040, 'DEL', 3093, '', 0, '321\r'),
	('AI', 218, 'IXC', 3089, 'DEL', 3093, '', 0, '321\r'),
	('AI', 218, 'IXD', 3080, 'BOM', 2997, '', 0, 'CR7\r'),
	('AI', 218, 'IXD', 3080, 'DEL', 3093, '', 0, 'CR7 ATR\r'),
	('AI', 218, 'IXE', 3143, 'BLR', 3131, '', 0, 'ATR\r'),
	('AI', 218, 'IXE', 3143, 'BOM', 2997, '', 0, '321\r'),
	('AI', 218, 'IXJ', 3100, 'DEL', 3093, '', 0, '320\r'),
	('AI', 218, 'IXJ', 3100, 'IXL', 3104, '', 0, '319\r'),
	('AI', 218, 'IXJ', 3100, 'SXR', 3112, '', 0, '320\r'),
	('AI', 218, 'IXL', 3104, 'DEL', 3093, '', 0, '319\r'),
	('AI', 218, 'IXL', 3104, 'IXJ', 3100, '', 0, '319\r'),
	('AI', 218, 'IXL', 3104, 'SXR', 3112, '', 0, '319\r'),
	('AI', 218, 'IXM', 3142, 'MAA', 3144, '', 0, '319\r'),
	('AI', 218, 'IXR', 3063, 'DEL', 3093, '', 0, '321\r'),
	('AI', 218, 'IXS', 3055, 'CCU', 3043, '', 0, 'ATR 319 320\r'),
	('AI', 218, 'IXS', 3055, 'GAU', 6173, '', 0, 'ATR\r'),
	('AI', 218, 'IXS', 3055, 'IMF', 3050, '', 0, 'ATR\r'),
	('AI', 218, 'IXU', 2996, 'BOM', 2997, '', 0, '321\r'),
	('AI', 218, 'IXU', 2996, 'DEL', 3093, '', 0, '319\r'),
	('AI', 218, 'IXZ', 3146, 'CCU', 3043, '', 0, '319\r'),
	('AI', 218, 'IXZ', 3146, 'DEL', 3093, '', 0, 'CR7\r'),
	('AI', 218, 'IXZ', 3146, 'MAA', 3144, '', 0, '321\r'),
	('AI', 218, 'JAI', 3098, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'JAI', 3098, 'DEL', 3093, '', 0, '319\r'),
	('AI', 218, 'JDH', 3097, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'JDH', 3097, 'DEL', 3093, '', 0, '319\r'),
	('AI', 218, 'JED', 2072, 'BOM', 2997, '', 0, '77W\r'),
	('AI', 218, 'JED', 2072, 'CCJ', 3137, '', 0, '744\r'),
	('AI', 218, 'JED', 2072, 'DEL', 3093, '', 0, '77W\r'),
	('AI', 218, 'JED', 2072, 'HYD', 3141, '', 0, '744\r'),
	('AI', 218, 'JFK', 3797, 'DEL', 3093, '', 0, '77W\r'),
	('AI', 218, 'JFK', 3797, 'LHR', 507, 'Y', 0, '772\r'),
	('AI', 218, 'JGA', 3010, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'JLR', 3009, 'DEL', 3093, '', 0, 'CR7\r'),
	('AI', 218, 'JNB', 813, 'BOM', 2997, 'Y', 0, '332\r'),
	('AI', 218, 'KBL', 2050, 'DEL', 3093, '', 0, '320\r'),
	('AI', 218, 'KIX', 3992, 'HKG', 3077, '', 0, '788\r'),
	('AI', 218, 'KNU', 3101, 'DEL', 3093, '', 0, 'ATR\r'),
	('AI', 218, 'KTM', 3125, 'CCU', 3043, '', 0, '319\r'),
	('AI', 218, 'KTM', 3125, 'DEL', 3093, '', 0, '320 321\r'),
	('AI', 218, 'KTM', 3125, 'VNS', 3084, '', 0, '321\r'),
	('AI', 218, 'KUL', 3304, 'SIN', 3316, 'Y', 0, '333 772\r'),
	('AI', 218, 'KUU', 3085, 'DEL', 3093, '', 0, 'ATR\r'),
	('AI', 218, 'KWI', 2176, 'AMD', 2994, '', 0, '320\r'),
	('AI', 218, 'KWI', 2176, 'GOI', 3007, '', 0, '320\r'),
	('AI', 218, 'LAX', 3484, 'NRT', 2279, 'Y', 0, '388\r'),
	('AI', 218, 'LHR', 507, 'BOM', 2997, '', 0, '788\r'),
	('AI', 218, 'LHR', 507, 'DEL', 3093, '', 0, '788 77W\r'),
	('AI', 218, 'LHR', 507, 'JFK', 3797, 'Y', 0, '772\r'),
	('AI', 218, 'LKO', 3105, 'BOM', 2997, '', 0, '320\r'),
	('AI', 218, 'LKO', 3105, 'DED', 3092, '', 0, 'CR7\r'),
	('AI', 218, 'LKO', 3105, 'DEL', 3093, '', 0, '321\r'),
	('AI', 218, 'LUH', 3103, 'DEL', 3093, '', 0, 'ATR\r'),
	('AI', 218, 'MAA', 3144, 'BLR', 3131, '', 0, '320\r'),
	('AI', 218, 'MAA', 3144, 'BOM', 2997, '', 0, '319 332 320\r'),
	('AI', 218, 'MAA', 3144, 'CCU', 3043, '', 0, '319\r'),
	('AI', 218, 'MAA', 3144, 'CMB', 3024, '', 0, '321\r'),
	('AI', 218, 'MAA', 3144, 'COK', 3136, '', 0, '319\r'),
	('AI', 218, 'MAA', 3144, 'DEL', 3093, '', 0, '321 320 332 319\r'),
	('AI', 218, 'MAA', 3144, 'FRA', 340, 'Y', 0, '343\r'),
	('AI', 218, 'MAA', 3144, 'GOI', 3007, '', 0, '320\r'),
	('AI', 218, 'MAA', 3144, 'HYD', 3141, '', 0, '320\r'),
	('AI', 218, 'MAA', 3144, 'IXM', 3142, '', 0, '319\r'),
	('AI', 218, 'MAA', 3144, 'IXZ', 3146, '', 0, '321\r'),
	('AI', 218, 'MAA', 3144, 'MCT', 2194, '', 0, '319\r'),
	('AI', 218, 'MAA', 3144, 'MRU', 893, 'Y', 0, '332\r'),
	('AI', 218, 'MAA', 3144, 'SHJ', 2191, '', 0, '321\r'),
	('AI', 218, 'MAA', 3144, 'SIN', 3316, '', 0, '332\r'),
	('AI', 218, 'MAA', 3144, 'TRV', 3153, '', 0, '320\r'),
	('AI', 218, 'MCT', 2194, 'BOM', 2997, '', 0, '320\r'),
	('AI', 218, 'MCT', 2194, 'DEL', 3093, '', 0, '320\r'),
	('AI', 218, 'MCT', 2194, 'HYD', 3141, '', 0, '319\r'),
	('AI', 218, 'MCT', 2194, 'MAA', 3144, '', 0, '319\r'),
	('AI', 218, 'MEL', 3339, 'DEL', 3093, '', 0, '788\r'),
	('AI', 218, 'MEL', 3339, 'SYD', 3361, '', 0, '788\r'),
	('AI', 218, 'MLE', 3156, 'TRV', 3153, '', 0, '320\r'),
	('AI', 218, 'MRU', 893, 'BLR', 3131, 'Y', 0, '332\r'),
	('AI', 218, 'MRU', 893, 'BOM', 2997, 'Y', 0, '332\r'),
	('AI', 218, 'MRU', 893, 'DEL', 3093, 'Y', 0, '332\r'),
	('AI', 218, 'MUC', 346, 'BOM', 2997, 'Y', 0, '333\r'),
	('AI', 218, 'MUC', 346, 'DEL', 3093, 'Y', 0, '346\r'),
	('AI', 218, 'NAG', 3015, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'NAG', 3015, 'RPR', 3020, '', 0, '319\r'),
	('AI', 218, 'NRT', 2279, 'DEL', 3093, '', 0, '788\r'),
	('AI', 218, 'NRT', 2279, 'LAX', 3484, 'Y', 0, '388\r'),
	('AI', 218, 'NRT', 2279, 'SIN', 3316, 'Y', 0, '388\r'),
	('AI', 218, 'ORD', 3830, 'DEL', 3093, '', 0, '77W\r'),
	('AI', 218, 'PAT', 3061, 'DEL', 3093, '', 0, '319\r'),
	('AI', 218, 'PNQ', 3017, 'DEL', 3093, '', 0, '320 321\r'),
	('AI', 218, 'PNQ', 3017, 'GOI', 3007, '', 0, '319\r'),
	('AI', 218, 'PNQ', 3017, 'HYD', 3141, '', 0, '319\r'),
	('AI', 218, 'PVG', 3406, 'DEL', 3093, '', 0, '788\r'),
	('AI', 218, 'RAJ', 3019, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'RGN', 3239, 'CCU', 3043, '', 0, '320\r'),
	('AI', 218, 'RPR', 3020, 'DEL', 3093, '', 0, '319\r'),
	('AI', 218, 'RPR', 3020, 'VTZ', 3066, '', 0, '319\r'),
	('AI', 218, 'RUH', 2082, 'BOM', 2997, '', 0, '77W\r'),
	('AI', 218, 'RUH', 2082, 'CCJ', 3137, '', 0, '77W\r'),
	('AI', 218, 'RUH', 2082, 'DEL', 3093, '', 0, '77W 77L\r'),
	('AI', 218, 'RUH', 2082, 'TRV', 3153, '', 0, '77W\r'),
	('AI', 218, 'SFO', 3469, 'HKG', 3077, 'Y', 0, '77W\r'),
	('AI', 218, 'SFO', 3469, 'ICN', 3930, 'Y', 0, '77W\r'),
	('AI', 218, 'SHJ', 2191, 'CCJ', 3137, '', 0, '321\r'),
	('AI', 218, 'SHJ', 2191, 'COK', 3136, '', 0, '320\r'),
	('AI', 218, 'SHJ', 2191, 'HYD', 3141, '', 0, '321\r'),
	('AI', 218, 'SHJ', 2191, 'MAA', 3144, '', 0, '321\r'),
	('AI', 218, 'SHJ', 2191, 'TRV', 3153, '', 0, '320\r'),
	('AI', 218, 'SHL', 6172, 'CCU', 3043, '', 0, 'ATR\r'),
	('AI', 218, 'SIN', 3316, 'BKK', 3885, 'Y', 0, '772\r'),
	('AI', 218, 'SIN', 3316, 'CCU', 3043, 'Y', 0, '333\r'),
	('AI', 218, 'SIN', 3316, 'DEL', 3093, '', 0, '788\r'),
	('AI', 218, 'SIN', 3316, 'HKG', 3077, 'Y', 0, '77W\r'),
	('AI', 218, 'SIN', 3316, 'ICN', 3930, 'Y', 0, '77W\r'),
	('AI', 218, 'SIN', 3316, 'KUL', 3304, 'Y', 0, '333 772\r'),
	('AI', 218, 'SIN', 3316, 'MAA', 3144, '', 0, '332\r'),
	('AI', 218, 'SIN', 3316, 'NRT', 2279, 'Y', 0, '388\r'),
	('AI', 218, 'STV', 3022, 'DEL', 3093, '', 0, 'CR7\r'),
	('AI', 218, 'SXR', 3112, 'DEL', 3093, '', 0, '321 319\r'),
	('AI', 218, 'SXR', 3112, 'IXJ', 3100, '', 0, '320\r'),
	('AI', 218, 'SXR', 3112, 'IXL', 3104, '', 0, '319\r'),
	('AI', 218, 'SYD', 3361, 'DEL', 3093, '', 0, '788\r'),
	('AI', 218, 'SYD', 3361, 'MEL', 3339, '', 0, '788\r'),
	('AI', 218, 'TIR', 3151, 'HYD', 3141, '', 0, '321\r'),
	('AI', 218, 'TRV', 3153, 'BLR', 3131, '', 0, '320\r'),
	('AI', 218, 'TRV', 3153, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'TRV', 3153, 'COK', 3136, '', 0, '321\r'),
	('AI', 218, 'TRV', 3153, 'MAA', 3144, '', 0, '320\r'),
	('AI', 218, 'TRV', 3153, 'MLE', 3156, '', 0, '320\r'),
	('AI', 218, 'TRV', 3153, 'RUH', 2082, '', 0, '77W\r'),
	('AI', 218, 'TRV', 3153, 'SHJ', 2191, '', 0, '320\r'),
	('AI', 218, 'UDR', 3023, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'UDR', 3023, 'DEL', 3093, '', 0, '319\r'),
	('AI', 218, 'VGA', 3134, 'HYD', 3141, '', 0, '319\r'),
	('AI', 218, 'VIE', 1613, 'DEL', 3093, 'Y', 0, '767\r'),
	('AI', 218, 'VNS', 3084, 'AGR', 3079, '', 0, '320\r'),
	('AI', 218, 'VNS', 3084, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'VNS', 3084, 'DEL', 3093, '', 0, '320 321\r'),
	('AI', 218, 'VNS', 3084, 'KTM', 3125, '', 0, '321\r'),
	('AI', 218, 'VTZ', 3066, 'BOM', 2997, '', 0, '319\r'),
	('AI', 218, 'VTZ', 3066, 'DEL', 3093, '', 0, '321\r'),
	('AI', 218, 'VTZ', 3066, 'HYD', 3141, '', 0, '321\r'),
	('AI', 218, 'ZRH', 1678, 'BOM', 2997, 'Y', 0, '333\r'),
	('AI', 218, 'ZRH', 1678, 'DEL', 3093, 'Y', 0, '333\r'),
	('AK', 576, 'AOR', 3296, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'BDO', 3896, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'CAN', 3370, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'CGK', 3275, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'HGH', 3386, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'HKG', 3077, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'JHB', 3303, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'KBR', 3298, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'KCH', 3263, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'MYY', 3266, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'PEN', 3308, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'SDK', 4141, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'SIN', 3316, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'SZX', 3374, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'TPE', 2276, '', 0, '320\r'),
	('AK', 576, 'BKI', 3269, 'TWU', 3271, '', 0, '320\r'),
	('AK', 576, 'BLR', 3131, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'BPN', 3919, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'BTJ', 3294, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'BTU', 3262, 'KCH', 3263, '', 0, '320\r'),
	('AK', 576, 'BTU', 3262, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'BWN', 3272, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'CAN', 3370, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'CAN', 3370, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'CCU', 3043, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'CGK', 3275, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'CGK', 3275, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'CNX', 3931, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'COK', 3136, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'DMK', 3157, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'DPS', 3940, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'HAN', 3199, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'HDY', 3181, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'HGH', 3386, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'HKG', 3077, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'HKG', 3077, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'HKT', 3179, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'JHB', 3303, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'JHB', 3303, 'KBR', 3298, '', 0, '320\r'),
	('AK', 576, 'JHB', 3303, 'KCH', 3263, '', 0, '320\r'),
	('AK', 576, 'JHB', 3303, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'JHB', 3303, 'MYY', 3266, '', 0, '320\r'),
	('AK', 576, 'JHB', 3303, 'PEN', 3308, '', 0, '320\r'),
	('AK', 576, 'JHB', 3303, 'SBW', 3267, '', 0, '320\r'),
	('AK', 576, 'JHB', 3303, 'TWU', 3271, '', 0, '320\r'),
	('AK', 576, 'JOG', 3898, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'KBR', 3298, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'KBR', 3298, 'JHB', 3303, '', 0, '320\r'),
	('AK', 576, 'KBR', 3298, 'KCH', 3263, '', 0, '320\r'),
	('AK', 576, 'KBR', 3298, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'KBR', 3298, 'SIN', 3316, '', 0, '320\r'),
	('AK', 576, 'KBV', 3174, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'KCH', 3263, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'KCH', 3263, 'BTU', 3262, '', 0, '320\r'),
	('AK', 576, 'KCH', 3263, 'JHB', 3303, '', 0, '320\r'),
	('AK', 576, 'KCH', 3263, 'KBR', 3298, '', 0, '320\r'),
	('AK', 576, 'KCH', 3263, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'KCH', 3263, 'LGK', 3305, '', 0, '320\r'),
	('AK', 576, 'KCH', 3263, 'MYY', 3266, '', 0, '320\r'),
	('AK', 576, 'KCH', 3263, 'PEN', 3308, '', 0, '320\r'),
	('AK', 576, 'KCH', 3263, 'SBW', 3267, '', 0, '320\r'),
	('AK', 576, 'KCH', 3263, 'SIN', 3316, '', 0, '320\r'),
	('AK', 576, 'KLO', 2430, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'KMG', 3382, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'AOR', 3296, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'BDO', 3896, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'BLR', 3131, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'BPN', 3919, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'BTJ', 3294, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'BTU', 3262, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'BWN', 3272, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'CAN', 3370, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'CCU', 3043, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'CGK', 3275, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'CNX', 3931, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'COK', 3136, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'DMK', 3157, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'DPS', 3940, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'HAN', 3199, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'HDY', 3181, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'HKG', 3077, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'HKT', 3179, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'JHB', 3303, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'JOG', 3898, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'KBR', 3298, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'KBV', 3174, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'KCH', 3263, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'KLO', 2430, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'KMG', 3382, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'KWL', 3372, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'LBU', 3270, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'LGK', 3305, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'LOP', 8401, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'MAA', 3144, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'MFM', 3121, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'MYY', 3266, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'NNG', 3373, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'PDG', 3278, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'PEN', 3308, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'PKU', 3273, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'PLM', 3289, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'PNH', 3034, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'REP', 3035, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'RGN', 3239, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'SBW', 3267, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'SDK', 4141, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'SGN', 3205, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'SIN', 3316, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'SOC', 3929, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'SRG', 3901, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'SUB', 3928, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'SZX', 3374, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'TGG', 3307, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'TRZ', 3152, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'TWU', 3271, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'UPG', 3240, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'URT', 4000, '', 0, '320\r'),
	('AK', 576, 'KUL', 3304, 'VTE', 3120, '', 0, '320\r'),
	('AK', 576, 'KWL', 3372, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'LBU', 3270, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'LGK', 3305, 'KCH', 3263, '', 0, '320\r'),
	('AK', 576, 'LGK', 3305, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'LGK', 3305, 'PEN', 3308, '', 0, '320\r'),
	('AK', 576, 'LGK', 3305, 'SIN', 3316, '', 0, '320\r'),
	('AK', 576, 'LOP', 8401, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'MAA', 3144, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'MFM', 3121, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'MYY', 3266, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'MYY', 3266, 'JHB', 3303, '', 0, '320\r'),
	('AK', 576, 'MYY', 3266, 'KCH', 3263, '', 0, '320\r'),
	('AK', 576, 'MYY', 3266, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'MYY', 3266, 'PEN', 3308, '', 0, '320\r'),
	('AK', 576, 'MYY', 3266, 'SIN', 3316, '', 0, '320\r'),
	('AK', 576, 'MYY', 3266, 'TGG', 3307, '', 0, '320\r'),
	('AK', 576, 'NNG', 3373, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'PDG', 3278, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'PEN', 3308, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'PEN', 3308, 'JHB', 3303, '', 0, '320\r'),
	('AK', 576, 'PEN', 3308, 'KCH', 3263, '', 0, '320\r'),
	('AK', 576, 'PEN', 3308, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'PEN', 3308, 'LGK', 3305, '', 0, '320\r'),
	('AK', 576, 'PEN', 3308, 'MYY', 3266, '', 0, '320\r'),
	('AK', 576, 'PEN', 3308, 'SIN', 3316, '', 0, '320\r'),
	('AK', 576, 'PKU', 3273, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'PLM', 3289, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'PNH', 3034, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'REP', 3035, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'RGN', 3239, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'SBW', 3267, 'JHB', 3303, '', 0, '320\r'),
	('AK', 576, 'SBW', 3267, 'KCH', 3263, '', 0, '320\r'),
	('AK', 576, 'SBW', 3267, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'SDK', 4141, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'SDK', 4141, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'SGN', 3205, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'SIN', 3316, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'SIN', 3316, 'KBR', 3298, '', 0, '320\r'),
	('AK', 576, 'SIN', 3316, 'KCH', 3263, '', 0, '320\r'),
	('AK', 576, 'SIN', 3316, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'SIN', 3316, 'LGK', 3305, '', 0, '320\r'),
	('AK', 576, 'SIN', 3316, 'MYY', 3266, '', 0, '320\r'),
	('AK', 576, 'SIN', 3316, 'PEN', 3308, '', 0, '320\r'),
	('AK', 576, 'SIN', 3316, 'TGG', 3307, '', 0, '320\r'),
	('AK', 576, 'SOC', 3929, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'SRG', 3901, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'SUB', 3928, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'SZX', 3374, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'SZX', 3374, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'TGG', 3307, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'TGG', 3307, 'MYY', 3266, '', 0, '320\r'),
	('AK', 576, 'TGG', 3307, 'SIN', 3316, '', 0, '320\r'),
	('AK', 576, 'TPE', 2276, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'TRZ', 3152, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'TWU', 3271, 'BKI', 3269, '', 0, '320\r'),
	('AK', 576, 'TWU', 3271, 'JHB', 3303, '', 0, '320\r'),
	('AK', 576, 'TWU', 3271, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'UPG', 3240, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'URT', 4000, 'KUL', 3304, '', 0, '320\r'),
	('AK', 576, 'VTE', 3120, 'KUL', 3304, '', 0, '320\r'),
	('AM', 321, 'ABY', 5715, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AM', 321, 'ACA', 1783, 'MEX', 1824, '', 0, '737 ERJ E70 EMJ E75\r'),
	('AM', 321, 'ACA', 1783, 'TLC', 1850, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'AGU', 1785, 'MEX', 1824, 'Y', 0, 'E75 EMJ ERJ E70\r'),
	('AM', 321, 'AGU', 1785, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'ALB', 3864, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AM', 321, 'AQP', 2802, 'JUL', 2792, 'Y', 0, '319\r'),
	('AM', 321, 'ATL', 3682, 'ABY', 5715, 'Y', 0, 'CRJ\r'),
	('AM', 321, 'ATL', 3682, 'ALB', 3864, 'Y', 0, 'CR9 M88\r'),
	('AM', 321, 'ATL', 3682, 'BDL', 3825, 'Y', 0, 'M88 73W\r'),
	('AM', 321, 'ATL', 3682, 'BNA', 3690, 'Y', 0, 'M88 320\r'),
	('AM', 321, 'ATL', 3682, 'BOS', 3448, 'Y', 0, 'M90 757 738 M88 320 319\r'),
	('AM', 321, 'ATL', 3682, 'BWI', 3849, 'Y', 0, 'M90 757 320 M88\r'),
	('AM', 321, 'ATL', 3682, 'CDG', 1382, 'Y', 0, '76W\r'),
	('AM', 321, 'ATL', 3682, 'CLE', 3486, 'Y', 0, '717\r'),
	('AM', 321, 'ATL', 3682, 'CMH', 3759, 'Y', 0, 'M88\r'),
	('AM', 321, 'ATL', 3682, 'CUN', 1852, 'Y', 0, 'M88 757 320\r'),
	('AM', 321, 'ATL', 3682, 'CVG', 3488, 'Y', 0, '738 M88 319\r'),
	('AM', 321, 'ATL', 3682, 'CZM', 1800, 'Y', 0, 'M88 319\r'),
	('AM', 321, 'ATL', 3682, 'DCA', 3520, 'Y', 0, 'M90 M88\r'),
	('AM', 321, 'ATL', 3682, 'DEN', 3751, 'Y', 0, 'M90 738 757\r'),
	('AM', 321, 'ATL', 3682, 'DTW', 3645, 'Y', 0, 'M88 M90 757\r'),
	('AM', 321, 'ATL', 3682, 'EWR', 3494, 'Y', 0, '717\r'),
	('AM', 321, 'ATL', 3682, 'FCO', 1555, 'Y', 0, '333\r'),
	('AM', 321, 'ATL', 3682, 'GDL', 1804, 'Y', 0, '320\r'),
	('AM', 321, 'ATL', 3682, 'IAD', 3714, 'Y', 0, 'M88\r'),
	('AM', 321, 'ATL', 3682, 'IND', 3585, 'Y', 0, 'M88 M90\r'),
	('AM', 321, 'ATL', 3682, 'JAX', 3712, 'Y', 0, '757\r'),
	('AM', 321, 'ATL', 3682, 'JFK', 3797, 'Y', 0, '738 319 73H\r'),
	('AM', 321, 'ATL', 3682, 'LGA', 3697, 'Y', 0, '757 M88 739 73H 320 73W\r'),
	('AM', 321, 'ATL', 3682, 'MAD', 1229, 'Y', 0, '764\r'),
	('AM', 321, 'ATL', 3682, 'MCI', 3458, 'Y', 0, 'M88 M90 757\r'),
	('AM', 321, 'ATL', 3682, 'MCO', 3878, 'Y', 0, '757\r'),
	('AM', 321, 'ATL', 3682, 'MEM', 3473, 'Y', 0, '320 M88\r'),
	('AM', 321, 'ATL', 3682, 'MEX', 1824, 'Y', 0, '73W 738 73H EMJ\r'),
	('AM', 321, 'ATL', 3682, 'MIA', 3576, 'Y', 0, 'M90\r'),
	('AM', 321, 'ATL', 3682, 'MSP', 3858, 'Y', 0, '320 757 M90 739\r'),
	('AM', 321, 'ATL', 3682, 'MSY', 3861, 'Y', 0, '757\r'),
	('AM', 321, 'ATL', 3682, 'MTY', 1825, 'Y', 0, 'CR9\r'),
	('AM', 321, 'ATL', 3682, 'PHL', 3752, 'Y', 0, '757 M88 M90 73H\r'),
	('AM', 321, 'ATL', 3682, 'PIT', 3570, 'Y', 0, 'M88 CR9\r'),
	('AM', 321, 'ATL', 3682, 'PVR', 1836, 'Y', 0, '757\r'),
	('AM', 321, 'ATL', 3682, 'RDU', 3626, 'Y', 0, 'M88 738 M90 739 320\r'),
	('AM', 321, 'ATL', 3682, 'RIC', 3608, 'Y', 0, '73H M90 M88\r'),
	('AM', 321, 'ATL', 3682, 'SEA', 3577, 'Y', 0, '739 763 757 738\r'),
	('AM', 321, 'ATL', 3682, 'SJD', 1840, 'Y', 0, '73W 738\r'),
	('AM', 321, 'ATL', 3682, 'SLC', 3536, 'Y', 0, '757\r'),
	('AM', 321, 'ATL', 3682, 'STL', 3678, 'Y', 0, 'M90 717 319 M88\r'),
	('AM', 321, 'ATL', 3682, 'XNA', 4356, 'Y', 0, 'CR7 CR9\r'),
	('AM', 321, 'ATL', 3682, 'YUL', 146, 'Y', 0, 'CR9 CR7\r'),
	('AM', 321, 'BDL', 3825, 'ATL', 3682, 'Y', 0, '73W M88\r'),
	('AM', 321, 'BJX', 1815, 'MEX', 1824, '', 0, 'EMJ E70 ERJ\r'),
	('AM', 321, 'BJX', 1815, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'BJX', 1815, 'SFO', 3469, '', 0, '738\r'),
	('AM', 321, 'BJX', 1815, 'TIJ', 1847, '', 0, 'EMJ\r'),
	('AM', 321, 'BOG', 2709, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'BOS', 3448, 'ATL', 3682, 'Y', 0, '757 M90 M88 320\r'),
	('AM', 321, 'BOS', 3448, 'CUN', 1852, 'Y', 0, '757\r'),
	('AM', 321, 'BRU', 302, 'MAD', 1229, '', 0, 'E90\r'),
	('AM', 321, 'BWI', 3849, 'ATL', 3682, 'Y', 0, 'M88 757 73W 320\r'),
	('AM', 321, 'CCS', 2851, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'CDG', 1382, 'ATL', 3682, 'Y', 0, '76W\r'),
	('AM', 321, 'CDG', 1382, 'LYS', 1335, 'Y', 0, '319\r'),
	('AM', 321, 'CDG', 1382, 'MEX', 1824, '', 0, '787\r'),
	('AM', 321, 'CDG', 1382, 'TLS', 1273, 'Y', 0, '320\r'),
	('AM', 321, 'CEN', 1794, 'GDL', 1804, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CEN', 1794, 'HMO', 1807, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CEN', 1794, 'MEX', 1824, 'Y', 0, 'E70\r'),
	('AM', 321, 'CJS', 1796, 'CUU', 1797, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CJS', 1796, 'HMO', 1807, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CJS', 1796, 'MEX', 1824, '', 0, 'EMJ\r'),
	('AM', 321, 'CJS', 1796, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CJS', 1796, 'TIJ', 1847, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CLE', 3486, 'ATL', 3682, 'Y', 0, '717\r'),
	('AM', 321, 'CLQ', 1808, 'MEX', 1824, '', 0, 'ATR\r'),
	('AM', 321, 'CME', 1789, 'MEX', 1824, '', 0, '737 EMJ E70 ERJ\r'),
	('AM', 321, 'CMH', 3759, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AM', 321, 'CPE', 1795, 'MEX', 1824, 'Y', 0, 'EMJ E70\r'),
	('AM', 321, 'CUL', 1792, 'GDL', 1804, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CUL', 1792, 'HMO', 1807, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CUL', 1792, 'MEX', 1824, '', 0, 'EMJ 737\r'),
	('AM', 321, 'CUL', 1792, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CUL', 1792, 'TIJ', 1847, '', 0, '738\r'),
	('AM', 321, 'CUN', 1852, 'ATL', 3682, 'Y', 0, '757 320\r'),
	('AM', 321, 'CUN', 1852, 'BOS', 3448, 'Y', 0, '757\r'),
	('AM', 321, 'CUN', 1852, 'DTW', 3645, 'Y', 0, '320\r'),
	('AM', 321, 'CUN', 1852, 'HAV', 1909, '', 0, '737\r'),
	('AM', 321, 'CUN', 1852, 'IND', 3585, 'Y', 0, '320\r'),
	('AM', 321, 'CUN', 1852, 'JFK', 3797, '', 0, '738\r'),
	('AM', 321, 'CUN', 1852, 'LAX', 3484, '', 0, '738\r'),
	('AM', 321, 'CUN', 1852, 'MAD', 1229, '', 0, '333\r'),
	('AM', 321, 'CUN', 1852, 'MCO', 3878, 'Y', 0, '757\r'),
	('AM', 321, 'CUN', 1852, 'MEX', 1824, '', 0, '738 737 762 EMJ 763 787\r'),
	('AM', 321, 'CUN', 1852, 'MSP', 3858, 'Y', 0, '320\r'),
	('AM', 321, 'CUN', 1852, 'PTY', 1871, 'Y', 0, '738 73G\r'),
	('AM', 321, 'CUN', 1852, 'RDU', 3626, 'Y', 0, 'M88\r'),
	('AM', 321, 'CUN', 1852, 'SLC', 3536, 'Y', 0, '320\r'),
	('AM', 321, 'CUU', 1797, 'CJS', 1796, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CUU', 1797, 'GDL', 1804, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CUU', 1797, 'HMO', 1807, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CUU', 1797, 'MEX', 1824, '', 0, '737 EMJ\r'),
	('AM', 321, 'CUU', 1797, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CUU', 1797, 'TRC', 1845, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'CUZ', 2812, 'LIM', 2789, 'Y', 0, '319\r'),
	('AM', 321, 'CVG', 3488, 'ATL', 3682, 'Y', 0, '738\r'),
	('AM', 321, 'CVG', 3488, 'CUN', 1852, 'Y', 0, 'M88\r'),
	('AM', 321, 'CVM', 1798, 'MEX', 1824, '', 0, 'ATR\r'),
	('AM', 321, 'CZM', 1800, 'ATL', 3682, 'Y', 0, 'M88 319\r'),
	('AM', 321, 'DCA', 3520, 'ATL', 3682, 'Y', 0, '738 M90 M88 73H\r'),
	('AM', 321, 'DEN', 3751, 'ATL', 3682, 'Y', 0, 'M90 738\r'),
	('AM', 321, 'DFW', 3670, 'MEX', 1824, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'DGO', 1801, 'MEX', 1824, 'Y', 0, 'EMJ ERJ\r'),
	('AM', 321, 'DGO', 1801, 'TIJ', 1847, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'DTW', 3645, 'ATL', 3682, 'Y', 0, '73H 757 739\r'),
	('AM', 321, 'DTW', 3645, 'CUN', 1852, 'Y', 0, '320\r'),
	('AM', 321, 'DTW', 3645, 'MEX', 1824, 'Y', 0, '319\r'),
	('AM', 321, 'DTW', 3645, 'MTY', 1825, 'Y', 0, '319\r'),
	('AM', 321, 'EWR', 3494, 'ATL', 3682, 'Y', 0, '717 319\r'),
	('AM', 321, 'EZE', 3988, 'MEX', 1824, '', 0, '777 763 762\r'),
	('AM', 321, 'FAT', 3687, 'GDL', 1804, '', 0, '738\r'),
	('AM', 321, 'FCO', 1555, 'ATL', 3682, 'Y', 0, '333\r'),
	('AM', 321, 'GDL', 1804, 'ATL', 3682, 'Y', 0, '320\r'),
	('AM', 321, 'GDL', 1804, 'CEN', 1794, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'GDL', 1804, 'CUL', 1792, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'GDL', 1804, 'CUU', 1797, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'GDL', 1804, 'FAT', 3687, '', 0, '738\r'),
	('AM', 321, 'GDL', 1804, 'HMO', 1807, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'GDL', 1804, 'LAP', 1816, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'GDL', 1804, 'LAX', 3484, '', 0, '738\r'),
	('AM', 321, 'GDL', 1804, 'MEX', 1824, '', 0, '737 EMJ E70 E75 738 ERJ\r'),
	('AM', 321, 'GDL', 1804, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'GDL', 1804, 'MZT', 1826, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'GDL', 1804, 'ONT', 3734, '', 0, '738\r'),
	('AM', 321, 'GDL', 1804, 'ORD', 3830, '', 0, '737\r'),
	('AM', 321, 'GDL', 1804, 'PTY', 1871, 'Y', 0, 'E90\r'),
	('AM', 321, 'GDL', 1804, 'PVR', 1836, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'GDL', 1804, 'SFO', 3469, '', 0, '738\r'),
	('AM', 321, 'GDL', 1804, 'SJC', 3748, 'Y', 0, '73H\r'),
	('AM', 321, 'GDL', 1804, 'SMF', 3817, '', 0, '738\r'),
	('AM', 321, 'GDL', 1804, 'TIJ', 1847, '', 0, '738\r'),
	('AM', 321, 'GDL', 1804, 'TLC', 1850, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'GDL', 1804, 'TRC', 1845, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'GRU', 2564, 'MEX', 1824, '', 0, '777\r'),
	('AM', 321, 'GUA', 1767, 'MEX', 1824, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'GUA', 1767, 'TAP', 1851, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HAV', 1909, 'CUN', 1852, '', 0, '737\r'),
	('AM', 321, 'HAV', 1909, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'HMO', 1807, 'CEN', 1794, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HMO', 1807, 'CJS', 1796, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HMO', 1807, 'CUL', 1792, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HMO', 1807, 'CUU', 1797, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HMO', 1807, 'GDL', 1804, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HMO', 1807, 'LAX', 3484, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HMO', 1807, 'LMM', 1814, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HMO', 1807, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'HMO', 1807, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HMO', 1807, 'MXL', 1820, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HMO', 1807, 'PHX', 3462, '', 0, 'ERJ\r'),
	('AM', 321, 'HMO', 1807, 'TIJ', 1847, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'HUX', 1786, 'MEX', 1824, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'IAD', 3714, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AM', 321, 'IAD', 3714, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'IAH', 3550, 'MEX', 1824, '', 0, 'EMJ\r'),
	('AM', 321, 'IND', 3585, 'ATL', 3682, 'Y', 0, 'M88 M90\r'),
	('AM', 321, 'IND', 3585, 'CUN', 1852, 'Y', 0, '320\r'),
	('AM', 321, 'JAL', 5837, 'MEX', 1824, '', 0, 'ATR\r'),
	('AM', 321, 'JAX', 3712, 'ATL', 3682, 'Y', 0, '757 M90 738\r'),
	('AM', 321, 'JFK', 3797, 'ATL', 3682, 'Y', 0, '752 319 757 738\r'),
	('AM', 321, 'JFK', 3797, 'CUN', 1852, '', 0, '738\r'),
	('AM', 321, 'JFK', 3797, 'MEX', 1824, '', 0, '738 787\r'),
	('AM', 321, 'JUL', 2792, 'CUZ', 2812, 'Y', 0, '319\r'),
	('AM', 321, 'LAP', 1816, 'GDL', 1804, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'LAP', 1816, 'MEX', 1824, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'LAS', 3877, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'LAS', 3877, 'MTY', 1825, '', 0, '737\r'),
	('AM', 321, 'LAX', 3484, 'CUN', 1852, '', 0, '738\r'),
	('AM', 321, 'LAX', 3484, 'GDL', 1804, '', 0, '738\r'),
	('AM', 321, 'LAX', 3484, 'HMO', 1807, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'LAX', 3484, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'LAX', 3484, 'MZT', 1826, 'Y', 0, '739\r'),
	('AM', 321, 'LAX', 3484, 'PVR', 1836, 'Y', 0, '739 320 73H\r'),
	('AM', 321, 'LAX', 3484, 'SJD', 1840, 'Y', 0, '73J 734\r'),
	('AM', 321, 'LAX', 3484, 'ZIH', 1856, 'Y', 0, '739\r'),
	('AM', 321, 'LAX', 3484, 'ZLO', 1858, 'Y', 0, '73H\r'),
	('AM', 321, 'LGA', 3697, 'ATL', 3682, 'Y', 0, 'M88 757 738\r'),
	('AM', 321, 'LHR', 507, 'MEX', 1824, '', 0, '763 787\r'),
	('AM', 321, 'LIM', 2789, 'AQP', 2802, 'Y', 0, '319\r'),
	('AM', 321, 'LIM', 2789, 'LPB', 2762, 'Y', 0, '319\r'),
	('AM', 321, 'LIM', 2789, 'MEX', 1824, '', 0, '763 738 762\r'),
	('AM', 321, 'LIM', 2789, 'VVI', 2771, '', 0, '319\r'),
	('AM', 321, 'LMM', 1814, 'HMO', 1807, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'LMM', 1814, 'MEX', 1824, 'Y', 0, 'E70\r'),
	('AM', 321, 'LMM', 1814, 'MZT', 1826, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'LPB', 2762, 'LIM', 2789, '', 0, '319\r'),
	('AM', 321, 'LZC', 1813, 'MEX', 1824, '', 0, 'ATR\r'),
	('AM', 321, 'MAD', 1229, 'ATL', 3682, 'Y', 0, '764\r'),
	('AM', 321, 'MAD', 1229, 'BRU', 302, '', 0, 'E90\r'),
	('AM', 321, 'MAD', 1229, 'CUN', 1852, '', 0, '333\r'),
	('AM', 321, 'MAD', 1229, 'MEX', 1824, '', 0, '777 787 762\r'),
	('AM', 321, 'MAM', 1818, 'MEX', 1824, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MCI', 3458, 'ATL', 3682, 'Y', 0, '757 M88 M90\r'),
	('AM', 321, 'MCO', 3878, 'ATL', 3682, 'Y', 0, '757 753 763\r'),
	('AM', 321, 'MCO', 3878, 'CUN', 1852, 'Y', 0, '757\r'),
	('AM', 321, 'MCO', 3878, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'MEM', 3473, 'ATL', 3682, 'Y', 0, 'M88 320\r'),
	('AM', 321, 'MEX', 1824, 'ACA', 1783, '', 0, 'ERJ 737 EMJ E70 E75\r'),
	('AM', 321, 'MEX', 1824, 'AGU', 1785, 'Y', 0, 'EMJ ERJ E75 E70\r'),
	('AM', 321, 'MEX', 1824, 'ATL', 3682, 'Y', 0, '73H 73W 738 EMJ\r'),
	('AM', 321, 'MEX', 1824, 'BJX', 1815, '', 0, 'E70 EMJ ERJ\r'),
	('AM', 321, 'MEX', 1824, 'BOG', 2709, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'CCS', 2851, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'CDG', 1382, '', 0, '787\r'),
	('AM', 321, 'MEX', 1824, 'CEN', 1794, 'Y', 0, 'E70\r'),
	('AM', 321, 'MEX', 1824, 'CJS', 1796, '', 0, 'EMJ\r'),
	('AM', 321, 'MEX', 1824, 'CLQ', 1808, '', 0, 'ATR\r'),
	('AM', 321, 'MEX', 1824, 'CME', 1789, '', 0, '737 EMJ E70 ERJ\r'),
	('AM', 321, 'MEX', 1824, 'CPE', 1795, 'Y', 0, 'EMJ E70\r'),
	('AM', 321, 'MEX', 1824, 'CUL', 1792, '', 0, 'EMJ 737\r'),
	('AM', 321, 'MEX', 1824, 'CUN', 1852, '', 0, '762 737 738 EMJ 763 787\r'),
	('AM', 321, 'MEX', 1824, 'CUU', 1797, '', 0, 'EMJ 737\r'),
	('AM', 321, 'MEX', 1824, 'CVM', 1798, '', 0, 'ATR\r'),
	('AM', 321, 'MEX', 1824, 'DFW', 3670, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'MEX', 1824, 'DGO', 1801, 'Y', 0, 'EMJ ERJ\r'),
	('AM', 321, 'MEX', 1824, 'DTW', 3645, 'Y', 0, '319\r'),
	('AM', 321, 'MEX', 1824, 'EZE', 3988, '', 0, '763 762 777\r'),
	('AM', 321, 'MEX', 1824, 'GDL', 1804, '', 0, '737 EMJ E70 E75 738 ERJ\r'),
	('AM', 321, 'MEX', 1824, 'GRU', 2564, '', 0, '777\r'),
	('AM', 321, 'MEX', 1824, 'GUA', 1767, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'MEX', 1824, 'HAV', 1909, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'HMO', 1807, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'HUX', 1786, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'MEX', 1824, 'IAD', 3714, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'IAH', 3550, '', 0, 'EMJ\r'),
	('AM', 321, 'MEX', 1824, 'JAL', 5837, '', 0, 'ATR\r'),
	('AM', 321, 'MEX', 1824, 'JFK', 3797, '', 0, '738 787\r'),
	('AM', 321, 'MEX', 1824, 'LAP', 1816, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'MEX', 1824, 'LAS', 3877, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'LAX', 3484, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'LHR', 507, '', 0, '787\r'),
	('AM', 321, 'MEX', 1824, 'LIM', 2789, '', 0, '762 738 763\r'),
	('AM', 321, 'MEX', 1824, 'LMM', 1814, 'Y', 0, 'E70\r'),
	('AM', 321, 'MEX', 1824, 'LZC', 1813, '', 0, 'ATR\r'),
	('AM', 321, 'MEX', 1824, 'MAD', 1229, '', 0, '777 787 762\r'),
	('AM', 321, 'MEX', 1824, 'MAM', 1818, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MEX', 1824, 'MCO', 3878, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'MIA', 3576, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'MID', 1819, '', 0, '737 EMJ E70 ERJ\r'),
	('AM', 321, 'MEX', 1824, 'MLM', 1821, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MEX', 1824, 'MTT', 1822, 'Y', 0, 'EMJ ERJ E75\r'),
	('AM', 321, 'MEX', 1824, 'MTY', 1825, '', 0, '737 738 EMJ ERJ\r'),
	('AM', 321, 'MEX', 1824, 'MXL', 1820, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'MZT', 1826, '', 0, 'EMJ\r'),
	('AM', 321, 'MEX', 1824, 'NLD', 1828, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MEX', 1824, 'OAX', 1829, '', 0, 'E75 ERJ\r'),
	('AM', 321, 'MEX', 1824, 'ORD', 3830, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'PAZ', 1830, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MEX', 1824, 'PDS', 1834, '', 0, 'CRJ\r'),
	('AM', 321, 'MEX', 1824, 'PTY', 1871, 'Y', 0, '738 73G\r'),
	('AM', 321, 'MEX', 1824, 'PVR', 1836, '', 0, '738 ERJ 737 EMJ\r'),
	('AM', 321, 'MEX', 1824, 'PXM', 1837, '', 0, 'ATR\r'),
	('AM', 321, 'MEX', 1824, 'REX', 1839, '', 0, 'E70\r'),
	('AM', 321, 'MEX', 1824, 'SAL', 1892, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'MEX', 1824, 'SAP', 1772, 'Y', 0, 'E70\r'),
	('AM', 321, 'MEX', 1824, 'SAT', 3621, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'MEX', 1824, 'SCL', 2650, '', 0, '762 763\r'),
	('AM', 321, 'MEX', 1824, 'SFO', 3469, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'SJD', 1840, '', 0, 'EMJ 738 737 ERJ\r'),
	('AM', 321, 'MEX', 1824, 'SJO', 1885, '', 0, '738\r'),
	('AM', 321, 'MEX', 1824, 'SLP', 1842, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MEX', 1824, 'SLW', 1810, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MEX', 1824, 'TAM', 1848, 'Y', 0, 'E70 ERJ E75 EMJ\r'),
	('AM', 321, 'MEX', 1824, 'TAP', 1851, '', 0, 'E70 EMJ ERJ E75\r'),
	('AM', 321, 'MEX', 1824, 'TGZ', 1846, '', 0, 'ERJ EMJ\r'),
	('AM', 321, 'MEX', 1824, 'TIJ', 1847, '', 0, '737 787 777 762\r'),
	('AM', 321, 'MEX', 1824, 'TPQ', 1802, '', 0, 'CRJ ATR\r'),
	('AM', 321, 'MEX', 1824, 'TRC', 1845, '', 0, 'EMJ\r'),
	('AM', 321, 'MEX', 1824, 'UIO', 2688, '', 0, '737\r'),
	('AM', 321, 'MEX', 1824, 'VER', 1854, '', 0, 'E75 AT7\r'),
	('AM', 321, 'MEX', 1824, 'VSA', 1853, '', 0, 'EMJ 737 ERJ E70\r'),
	('AM', 321, 'MEX', 1824, 'YUL', 146, '', 0, '738\r'),
	('AM', 321, 'MEX', 1824, 'ZCL', 1855, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MEX', 1824, 'ZIH', 1856, 'Y', 0, 'ERJ EMJ\r'),
	('AM', 321, 'MEX', 1824, 'ZLO', 1858, 'Y', 0, 'E75 ERJ\r'),
	('AM', 321, 'MIA', 3576, 'ATL', 3682, 'Y', 0, 'M88 M90\r'),
	('AM', 321, 'MIA', 3576, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'MIA', 3576, 'MID', 1819, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'MID', 1819, 'MEX', 1824, '', 0, '737 EMJ E70 ERJ\r'),
	('AM', 321, 'MID', 1819, 'MIA', 3576, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'MID', 1819, 'VSA', 1853, '', 0, 'AT7\r'),
	('AM', 321, 'MKE', 3717, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('AM', 321, 'MLM', 1821, 'MEX', 1824, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MLM', 1821, 'SFO', 3469, '', 0, '738\r'),
	('AM', 321, 'MRS', 1353, 'CDG', 1382, 'Y', 0, '319\r'),
	('AM', 321, 'MSP', 3858, 'ATL', 3682, 'Y', 0, '320 757\r'),
	('AM', 321, 'MSP', 3858, 'CUN', 1852, 'Y', 0, '320\r'),
	('AM', 321, 'MSY', 3861, 'ATL', 3682, 'Y', 0, 'M88 757 M90\r'),
	('AM', 321, 'MTT', 1822, 'MEX', 1824, 'Y', 0, 'EMJ ERJ E75\r'),
	('AM', 321, 'MTY', 1825, 'AGU', 1785, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('AM', 321, 'MTY', 1825, 'BJX', 1815, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'CJS', 1796, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'CUL', 1792, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'CUU', 1797, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'DTW', 3645, 'Y', 0, '319\r'),
	('AM', 321, 'MTY', 1825, 'GDL', 1804, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'HMO', 1807, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'LAS', 3877, '', 0, '737\r'),
	('AM', 321, 'MTY', 1825, 'MEX', 1824, '', 0, '737 EMJ ERJ\r'),
	('AM', 321, 'MTY', 1825, 'PBC', 1831, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'PTY', 1871, 'Y', 0, 'E90\r'),
	('AM', 321, 'MTY', 1825, 'QRO', 1838, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'SAT', 3621, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'TAM', 1848, '', 0, 'AT7\r'),
	('AM', 321, 'MTY', 1825, 'TLC', 1850, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MTY', 1825, 'VER', 1854, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MXL', 1820, 'HMO', 1807, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MXL', 1820, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'MZT', 1826, 'GDL', 1804, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MZT', 1826, 'LAX', 3484, 'Y', 0, '739\r'),
	('AM', 321, 'MZT', 1826, 'LMM', 1814, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'MZT', 1826, 'MEX', 1824, '', 0, 'EMJ\r'),
	('AM', 321, 'NLD', 1828, 'MEX', 1824, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'NRT', 2279, 'MEX', 1824, '', 0, '787\r'),
	('AM', 321, 'OAX', 1829, 'MEX', 1824, '', 0, 'E75 ERJ\r'),
	('AM', 321, 'ONT', 3734, 'GDL', 1804, '', 0, '738\r'),
	('AM', 321, 'ORD', 3830, 'GDL', 1804, '', 0, '737\r'),
	('AM', 321, 'ORD', 3830, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'PAP', 1897, 'PTY', 1871, 'Y', 0, '73G 738\r'),
	('AM', 321, 'PAZ', 1830, 'MEX', 1824, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'PAZ', 1830, 'REX', 1839, '', 0, 'ATR\r'),
	('AM', 321, 'PAZ', 1830, 'VSA', 1853, '', 0, 'ATR\r'),
	('AM', 321, 'PBC', 1831, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'PDS', 1834, 'MEX', 1824, '', 0, 'CRJ\r'),
	('AM', 321, 'PHL', 3752, 'ATL', 3682, 'Y', 0, 'M88 757 M90\r'),
	('AM', 321, 'PHX', 3462, 'HMO', 1807, '', 0, 'ERJ\r'),
	('AM', 321, 'PIT', 3570, 'ATL', 3682, 'Y', 0, 'M88 320\r'),
	('AM', 321, 'POS', 2902, 'PTY', 1871, '', 0, '73G E90\r'),
	('AM', 321, 'PTY', 1871, 'CUN', 1852, 'Y', 0, '738 73G\r'),
	('AM', 321, 'PTY', 1871, 'GDL', 1804, 'Y', 0, 'E90\r'),
	('AM', 321, 'PTY', 1871, 'MEX', 1824, 'Y', 0, '738 73G\r'),
	('AM', 321, 'PTY', 1871, 'MTY', 1825, 'Y', 0, 'E90\r'),
	('AM', 321, 'PTY', 1871, 'PAP', 1897, 'Y', 0, '73G 738\r'),
	('AM', 321, 'PTY', 1871, 'POS', 2902, '', 0, '73G E90\r'),
	('AM', 321, 'PVG', 3406, 'TIJ', 1847, '', 0, '777\r'),
	('AM', 321, 'PVR', 1836, 'ATL', 3682, 'Y', 0, '757\r'),
	('AM', 321, 'PVR', 1836, 'GDL', 1804, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'PVR', 1836, 'LAX', 3484, 'Y', 0, '739 320 73H\r'),
	('AM', 321, 'PVR', 1836, 'MEX', 1824, '', 0, 'ERJ 738 737 EMJ\r'),
	('AM', 321, 'PVR', 1836, 'SAN', 3731, 'Y', 0, '73J\r'),
	('AM', 321, 'PVR', 1836, 'SFO', 3469, 'Y', 0, '73J 739\r'),
	('AM', 321, 'PVR', 1836, 'SLC', 3536, 'Y', 0, 'CR9\r'),
	('AM', 321, 'PXM', 1837, 'MEX', 1824, '', 0, 'ATR\r'),
	('AM', 321, 'QRO', 1838, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'RDU', 3626, 'ATL', 3682, 'Y', 0, 'M88 M90 739\r'),
	('AM', 321, 'RDU', 3626, 'CUN', 1852, 'Y', 0, 'M88\r'),
	('AM', 321, 'REX', 1839, 'MEX', 1824, '', 0, 'E70\r'),
	('AM', 321, 'REX', 1839, 'PAZ', 1830, '', 0, 'ATR\r'),
	('AM', 321, 'RIC', 3608, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('AM', 321, 'SAL', 1892, 'MEX', 1824, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'SAN', 3731, 'PVR', 1836, 'Y', 0, '73J\r'),
	('AM', 321, 'SAP', 1772, 'MEX', 1824, 'Y', 0, 'E70\r'),
	('AM', 321, 'SAT', 3621, 'MEX', 1824, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'SAT', 3621, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'SCL', 2650, 'MEX', 1824, '', 0, '762 763\r'),
	('AM', 321, 'SEA', 3577, 'ATL', 3682, 'Y', 0, '739 76W 757\r'),
	('AM', 321, 'SFO', 3469, 'ATL', 3682, 'Y', 0, '763\r'),
	('AM', 321, 'SFO', 3469, 'BJX', 1815, '', 0, '738\r'),
	('AM', 321, 'SFO', 3469, 'GDL', 1804, '', 0, '738\r'),
	('AM', 321, 'SFO', 3469, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'SFO', 3469, 'MLM', 1821, '', 0, '738\r'),
	('AM', 321, 'SFO', 3469, 'PVR', 1836, 'Y', 0, '73J 739\r'),
	('AM', 321, 'SFO', 3469, 'SJD', 1840, 'Y', 0, '734\r'),
	('AM', 321, 'SJC', 3748, 'GDL', 1804, 'Y', 0, '73H\r'),
	('AM', 321, 'SJC', 3748, 'SJD', 1840, 'Y', 0, '734\r'),
	('AM', 321, 'SJD', 1840, 'ATL', 3682, 'Y', 0, '73W 738\r'),
	('AM', 321, 'SJD', 1840, 'LAX', 3484, '', 0, '734\r'),
	('AM', 321, 'SJD', 1840, 'MEX', 1824, '', 0, 'EMJ 738 737\r'),
	('AM', 321, 'SJD', 1840, 'SFO', 3469, 'Y', 0, '734\r'),
	('AM', 321, 'SJD', 1840, 'SJC', 3748, 'Y', 0, '734\r'),
	('AM', 321, 'SJD', 1840, 'SLC', 3536, 'Y', 0, 'CR9\r'),
	('AM', 321, 'SJO', 1885, 'MEX', 1824, '', 0, '738\r'),
	('AM', 321, 'SJU', 2890, 'ATL', 3682, 'Y', 0, '757 753\r'),
	('AM', 321, 'SLC', 3536, 'ATL', 3682, 'Y', 0, '763\r'),
	('AM', 321, 'SLC', 3536, 'CUN', 1852, 'Y', 0, '320\r'),
	('AM', 321, 'SLC', 3536, 'PVR', 1836, 'Y', 0, 'CR9\r'),
	('AM', 321, 'SLC', 3536, 'SJD', 1840, 'Y', 0, 'CR9\r'),
	('AM', 321, 'SLP', 1842, 'MEX', 1824, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'SLW', 1810, 'MEX', 1824, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'SMF', 3817, 'GDL', 1804, '', 0, '738\r'),
	('AM', 321, 'STL', 3678, 'ATL', 3682, 'Y', 0, '717 M90 M88\r'),
	('AM', 321, 'TAM', 1848, 'MEX', 1824, 'Y', 0, 'ERJ E70 E75 EMJ\r'),
	('AM', 321, 'TAM', 1848, 'MTY', 1825, '', 0, 'AT7\r'),
	('AM', 321, 'TAM', 1848, 'VER', 1854, '', 0, 'AT7\r'),
	('AM', 321, 'TAP', 1851, 'GUA', 1767, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'TAP', 1851, 'MEX', 1824, '', 0, 'ERJ E70 EMJ E75\r'),
	('AM', 321, 'TGZ', 1846, 'MEX', 1824, '', 0, 'ERJ EMJ\r'),
	('AM', 321, 'TIJ', 1847, 'BJX', 1815, '', 0, 'EMJ\r'),
	('AM', 321, 'TIJ', 1847, 'CJS', 1796, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'TIJ', 1847, 'CUL', 1792, '', 0, '738\r'),
	('AM', 321, 'TIJ', 1847, 'DGO', 1801, 'Y', 0, 'EMJ\r'),
	('AM', 321, 'TIJ', 1847, 'GDL', 1804, '', 0, '738\r'),
	('AM', 321, 'TIJ', 1847, 'HMO', 1807, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'TIJ', 1847, 'MEX', 1824, '', 0, '737 787 762 777\r'),
	('AM', 321, 'TIJ', 1847, 'NRT', 2279, '', 0, '787\r'),
	('AM', 321, 'TIJ', 1847, 'PVG', 3406, '', 0, '777\r'),
	('AM', 321, 'TLC', 1850, 'ACA', 1783, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'TLC', 1850, 'GDL', 1804, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'TLC', 1850, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'TPA', 3646, 'ATL', 3682, 'Y', 0, '757\r'),
	('AM', 321, 'TPQ', 1802, 'MEX', 1824, '', 0, 'CRJ ATR\r'),
	('AM', 321, 'TRC', 1845, 'CUU', 1797, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'TRC', 1845, 'GDL', 1804, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'TRC', 1845, 'MEX', 1824, '', 0, 'EMJ\r'),
	('AM', 321, 'UIO', 2688, 'MEX', 1824, '', 0, '737\r'),
	('AM', 321, 'VER', 1854, 'MEX', 1824, '', 0, 'AT7\r'),
	('AM', 321, 'VER', 1854, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'VER', 1854, 'TAM', 1848, '', 0, 'AT7\r'),
	('AM', 321, 'VER', 1854, 'VSA', 1853, '', 0, 'AT7\r'),
	('AM', 321, 'VSA', 1853, 'MEX', 1824, '', 0, '737 EMJ ERJ E70\r'),
	('AM', 321, 'VSA', 1853, 'MID', 1819, '', 0, 'AT7\r'),
	('AM', 321, 'VSA', 1853, 'PAZ', 1830, '', 0, 'ATR\r'),
	('AM', 321, 'VSA', 1853, 'VER', 1854, '', 0, 'AT7\r'),
	('AM', 321, 'VVI', 2771, 'LIM', 2789, 'Y', 0, '319\r'),
	('AM', 321, 'XNA', 4356, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AM', 321, 'YUL', 146, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('AM', 321, 'YUL', 146, 'MEX', 1824, '', 0, '738\r'),
	('AM', 321, 'ZCL', 1855, 'MEX', 1824, 'Y', 0, 'ERJ\r'),
	('AM', 321, 'ZIH', 1856, 'LAX', 3484, 'Y', 0, '739\r'),
	('AM', 321, 'ZIH', 1856, 'MEX', 1824, 'Y', 0, 'ERJ EMJ\r'),
	('AM', 321, 'ZLO', 1858, 'LAX', 3484, 'Y', 0, '73H\r'),
	('AM', 321, 'ZLO', 1858, 'MEX', 1824, 'Y', 0, 'E75 ERJ\r'),
	('AP', 240, 'AMS', 580, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'AMS', 580, 'LIN', 1529, 'Y', 0, '32S 321\r'),
	('AP', 240, 'AMS', 580, 'PMO', 1512, '', 0, '320\r'),
	('AP', 240, 'ATH', 3941, 'VCE', 1551, '', 0, '320\r'),
	('AP', 240, 'BLQ', 1538, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'BLQ', 1538, 'TIA', 1190, '', 0, '320\r'),
	('AP', 240, 'BRI', 1501, 'LIN', 1529, 'Y', 0, '32S\r'),
	('AP', 240, 'CDG', 1382, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'CDG', 1382, 'LIN', 1529, 'Y', 0, '32S 320 319\r'),
	('AP', 240, 'CDG', 1382, 'PMO', 1512, '', 0, '320\r'),
	('AP', 240, 'CPH', 609, 'VCE', 1551, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'AMS', 580, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'BLQ', 1538, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'CDG', 1382, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'DUS', 345, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'LGW', 502, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'LIN', 1529, 'Y', 0, '319 E90\r'),
	('AP', 240, 'CTA', 1509, 'LYS', 1335, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'MXP', 1524, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'PSA', 1562, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'STR', 350, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'SVO', 2985, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'TRN', 1526, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'TXL', 351, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'VCE', 1551, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'VIE', 1613, '', 0, '320\r'),
	('AP', 240, 'CTA', 1509, 'VRN', 1550, '', 0, '320\r'),
	('AP', 240, 'DUS', 345, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'GOA', 1528, 'TIA', 1190, '', 0, '320\r'),
	('AP', 240, 'LED', 2948, 'VCE', 1551, '', 0, '320\r'),
	('AP', 240, 'LGW', 502, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'LGW', 502, 'PMO', 1512, '', 0, '320\r'),
	('AP', 240, 'LIN', 1529, 'AMS', 580, 'Y', 0, '32S 321\r'),
	('AP', 240, 'LIN', 1529, 'BRI', 1501, 'Y', 0, '32S E75 319\r'),
	('AP', 240, 'LIN', 1529, 'CDG', 1382, 'Y', 0, '32S 320 319\r'),
	('AP', 240, 'LIN', 1529, 'CTA', 1509, 'Y', 0, '319 E90\r'),
	('AP', 240, 'LIN', 1529, 'NAP', 1561, 'Y', 0, 'E90 32S\r'),
	('AP', 240, 'LIN', 1529, 'PMO', 1512, 'Y', 0, '32S 320 E75\r'),
	('AP', 240, 'LYS', 1335, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'MXP', 1524, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'MXP', 1524, 'TIA', 1190, '', 0, '320\r'),
	('AP', 240, 'NAP', 1561, 'LIN', 1529, 'Y', 0, 'E90 32S\r'),
	('AP', 240, 'PMO', 1512, 'AMS', 580, '', 0, '320\r'),
	('AP', 240, 'PMO', 1512, 'CDG', 1382, '', 0, '320\r'),
	('AP', 240, 'PMO', 1512, 'LGW', 502, '', 0, '320\r'),
	('AP', 240, 'PMO', 1512, 'LIN', 1529, 'Y', 0, '32S E75\r'),
	('AP', 240, 'PMO', 1512, 'SVO', 2985, '', 0, '320\r'),
	('AP', 240, 'PMO', 1512, 'TRN', 1526, '', 0, '320\r'),
	('AP', 240, 'PMO', 1512, 'TXL', 351, '', 0, '320\r'),
	('AP', 240, 'PMO', 1512, 'VCE', 1551, '', 0, '320\r'),
	('AP', 240, 'PMO', 1512, 'VRN', 1550, '', 0, '320\r'),
	('AP', 240, 'PRG', 1587, 'PSA', 1562, '', 0, '320\r'),
	('AP', 240, 'PRG', 1587, 'VCE', 1551, '', 0, '320\r'),
	('AP', 240, 'PSA', 1562, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'PSA', 1562, 'PRG', 1587, '', 0, '320\r'),
	('AP', 240, 'PSA', 1562, 'SVO', 2985, '', 0, '320\r'),
	('AP', 240, 'PSA', 1562, 'TIA', 1190, '', 0, '320\r'),
	('AP', 240, 'PSA', 1562, 'TXL', 351, '', 0, '320\r'),
	('AP', 240, 'STR', 350, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'SUF', 1508, 'TRN', 1526, '', 0, '320\r'),
	('AP', 240, 'SUF', 1508, 'VCE', 1551, '', 0, '320\r'),
	('AP', 240, 'SVO', 2985, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'SVO', 2985, 'PMO', 1512, '', 0, '320\r'),
	('AP', 240, 'SVO', 2985, 'PSA', 1562, '', 0, '320\r'),
	('AP', 240, 'TIA', 1190, 'BLQ', 1538, '', 0, '320\r'),
	('AP', 240, 'TIA', 1190, 'GOA', 1528, '', 0, '320\r'),
	('AP', 240, 'TIA', 1190, 'MXP', 1524, '', 0, '320\r'),
	('AP', 240, 'TIA', 1190, 'PSA', 1562, '', 0, '320\r'),
	('AP', 240, 'TIA', 1190, 'VCE', 1551, '', 0, '320\r'),
	('AP', 240, 'TIA', 1190, 'VRN', 1550, '', 0, '320\r'),
	('AP', 240, 'TRN', 1526, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'TRN', 1526, 'PMO', 1512, '', 0, '320\r'),
	('AP', 240, 'TRN', 1526, 'SUF', 1508, '', 0, '320\r'),
	('AP', 240, 'TXL', 351, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'TXL', 351, 'PMO', 1512, '', 0, '320\r'),
	('AP', 240, 'TXL', 351, 'PSA', 1562, '', 0, '320\r'),
	('AP', 240, 'VCE', 1551, 'ATH', 3941, '', 0, '320\r'),
	('AP', 240, 'VCE', 1551, 'CPH', 609, '', 0, '320\r'),
	('AP', 240, 'VCE', 1551, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'VCE', 1551, 'LED', 2948, '', 0, '320\r'),
	('AP', 240, 'VCE', 1551, 'PMO', 1512, '', 0, '320\r'),
	('AP', 240, 'VCE', 1551, 'PRG', 1587, '', 0, '320\r'),
	('AP', 240, 'VCE', 1551, 'SUF', 1508, '', 0, '320\r'),
	('AP', 240, 'VCE', 1551, 'TIA', 1190, '', 0, '320\r'),
	('AP', 240, 'VIE', 1613, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'VRN', 1550, 'CTA', 1509, '', 0, '320\r'),
	('AP', 240, 'VRN', 1550, 'PMO', 1512, '', 0, '320\r'),
	('AP', 240, 'VRN', 1550, 'TIA', 1190, '', 0, '320\r'),
	('AR', 412, 'AEP', 2442, 'AFA', 2454, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'ASU', 2699, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'BHI', 2501, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'BRC', 2513, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'COR', 2443, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'CPC', 2517, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'CRD', 2487, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'CTC', 2455, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'CWB', 2545, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'EQS', 2488, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'FLN', 2555, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'FMA', 2470, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'FTE', 4061, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'GIG', 2560, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'GRU', 2564, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'IGR', 2471, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'IRJ', 2458, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'JUJ', 2477, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'LUQ', 2467, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'MDQ', 2508, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'MDZ', 2452, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'MVD', 2816, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'NQN', 2509, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'PDP', 6777, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'POA', 2599, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'PRA', 2439, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'PSS', 2474, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'REL', 2490, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'RES', 2469, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'RGA', 2495, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'RGL', 2496, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'RHD', 8914, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'ROS', 2440, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'RSA', 2512, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'SCL', 2650, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'SDE', 2456, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'SFN', 2441, 'Y', 0, 'E90\r'),
	('AR', 412, 'AEP', 2442, 'SLA', 2476, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'TUC', 2460, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'UAQ', 2461, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'USH', 2497, '', 0, '737\r'),
	('AR', 412, 'AEP', 2442, 'VDM', 2491, 'Y', 0, 'E90\r'),
	('AR', 412, 'AFA', 2454, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'AFA', 2454, 'LUQ', 2467, 'Y', 0, 'E90\r'),
	('AR', 412, 'ASU', 2699, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'ASU', 2699, 'EZE', 3988, '', 0, '737\r'),
	('AR', 412, 'BCN', 1218, 'EZE', 3988, '', 0, '340\r'),
	('AR', 412, 'BHI', 2501, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'BOG', 2709, 'EZE', 3988, '', 0, '340\r'),
	('AR', 412, 'BRC', 2513, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'BRC', 2513, 'COR', 2443, '', 0, '737\r'),
	('AR', 412, 'BRC', 2513, 'EZE', 3988, '', 0, '737\r'),
	('AR', 412, 'BRC', 2513, 'MDZ', 2452, '', 0, '737\r'),
	('AR', 412, 'BSB', 2531, 'EZE', 3988, '', 0, '737\r'),
	('AR', 412, 'CCS', 2851, 'EZE', 3988, '', 0, '340\r'),
	('AR', 412, 'CNF', 2537, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'COR', 2443, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'COR', 2443, 'BRC', 2513, '', 0, '737\r'),
	('AR', 412, 'COR', 2443, 'EZE', 3988, '', 0, '737\r'),
	('AR', 412, 'COR', 2443, 'JUJ', 2477, 'Y', 0, 'E90\r'),
	('AR', 412, 'COR', 2443, 'MDZ', 2452, '', 0, '737\r'),
	('AR', 412, 'COR', 2443, 'SLA', 2476, 'Y', 0, 'E90\r'),
	('AR', 412, 'CPC', 2517, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'CRD', 2487, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'CRD', 2487, 'NQN', 2509, '', 0, '737\r'),
	('AR', 412, 'CTC', 2455, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'CUN', 1852, 'EZE', 3988, '', 0, '340\r'),
	('AR', 412, 'CWB', 2545, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'EQS', 2488, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'EZE', 3988, 'ASU', 2699, '', 0, '737\r'),
	('AR', 412, 'EZE', 3988, 'BCN', 1218, '', 0, '340\r'),
	('AR', 412, 'EZE', 3988, 'BOG', 2709, '', 0, '340\r'),
	('AR', 412, 'EZE', 3988, 'BRC', 2513, '', 0, '737\r'),
	('AR', 412, 'EZE', 3988, 'BSB', 2531, '', 0, '737\r'),
	('AR', 412, 'EZE', 3988, 'CCS', 2851, '', 0, '340\r'),
	('AR', 412, 'EZE', 3988, 'COR', 2443, '', 0, '737\r'),
	('AR', 412, 'EZE', 3988, 'CUN', 1852, '', 0, '340\r'),
	('AR', 412, 'EZE', 3988, 'FCO', 1555, '', 0, '340\r'),
	('AR', 412, 'EZE', 3988, 'FTE', 4061, '', 0, '737\r'),
	('AR', 412, 'EZE', 3988, 'GIG', 2560, '', 0, '737\r'),
	('AR', 412, 'EZE', 3988, 'GRU', 2564, 'Y', 0, 'E90\r'),
	('AR', 412, 'EZE', 3988, 'IGR', 2471, '', 0, '737\r'),
	('AR', 412, 'EZE', 3988, 'JFK', 3797, '', 0, '330\r'),
	('AR', 412, 'EZE', 3988, 'LIM', 2789, '', 0, '737\r'),
	('AR', 412, 'EZE', 3988, 'MAD', 1229, '', 0, '340\r'),
	('AR', 412, 'EZE', 3988, 'MDZ', 2452, 'Y', 0, 'E90\r'),
	('AR', 412, 'EZE', 3988, 'MIA', 3576, '', 0, '340 330\r'),
	('AR', 412, 'EZE', 3988, 'MVD', 2816, 'Y', 0, 'E90\r'),
	('AR', 412, 'EZE', 3988, 'REL', 2490, '', 0, '737\r'),
	('AR', 412, 'EZE', 3988, 'ROS', 2440, 'Y', 0, 'E90\r'),
	('AR', 412, 'EZE', 3988, 'SCL', 2650, 'Y', 0, 'E90\r'),
	('AR', 412, 'EZE', 3988, 'USH', 2497, '', 0, '340\r'),
	('AR', 412, 'EZE', 3988, 'VVI', 2771, '', 0, '737\r'),
	('AR', 412, 'FCO', 1555, 'EZE', 3988, '', 0, '340\r'),
	('AR', 412, 'FLN', 2555, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'FMA', 2470, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'FTE', 4061, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'FTE', 4061, 'EZE', 3988, '', 0, '737\r'),
	('AR', 412, 'FTE', 4061, 'USH', 2497, '', 0, '737\r'),
	('AR', 412, 'GIG', 2560, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'GIG', 2560, 'EZE', 3988, '', 0, '737\r'),
	('AR', 412, 'GRU', 2564, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'GRU', 2564, 'EZE', 3988, 'Y', 0, 'E90\r'),
	('AR', 412, 'IGR', 2471, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'IGR', 2471, 'EZE', 3988, '', 0, '737\r'),
	('AR', 412, 'IGR', 2471, 'SLA', 2476, 'Y', 0, 'E90\r'),
	('AR', 412, 'IRJ', 2458, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'JFK', 3797, 'EZE', 3988, '', 0, '330\r'),
	('AR', 412, 'JUJ', 2477, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'JUJ', 2477, 'COR', 2443, 'Y', 0, 'E90\r'),
	('AR', 412, 'LIM', 2789, 'EZE', 3988, '', 0, '737\r'),
	('AR', 412, 'LUQ', 2467, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'MAD', 1229, 'EZE', 3988, '', 0, '340\r'),
	('AR', 412, 'MDQ', 2508, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'MDZ', 2452, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'MDZ', 2452, 'BRC', 2513, '', 0, '737\r'),
	('AR', 412, 'MDZ', 2452, 'COR', 2443, '', 0, '737\r'),
	('AR', 412, 'MDZ', 2452, 'EZE', 3988, 'Y', 0, 'E90\r'),
	('AR', 412, 'MDZ', 2452, 'NQN', 2509, '', 0, '737\r'),
	('AR', 412, 'MDZ', 2452, 'SLA', 2476, 'Y', 0, 'E90\r'),
	('AR', 412, 'MIA', 3576, 'EZE', 3988, '', 0, '330 340\r'),
	('AR', 412, 'MVD', 2816, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'MVD', 2816, 'EZE', 3988, 'Y', 0, 'E90\r'),
	('AR', 412, 'NQN', 2509, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'NQN', 2509, 'CRD', 2487, '', 0, '737\r'),
	('AR', 412, 'NQN', 2509, 'MDZ', 2452, '', 0, '737\r'),
	('AR', 412, 'PDP', 6777, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'POA', 2599, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'PRA', 2439, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'PSS', 2474, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'REL', 2490, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'REL', 2490, 'EZE', 3988, '', 0, '737\r'),
	('AR', 412, 'RES', 2469, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'RGA', 2495, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'RGL', 2496, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'RHD', 8914, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'ROS', 2440, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'ROS', 2440, 'EZE', 3988, 'Y', 0, 'E90\r'),
	('AR', 412, 'RSA', 2512, 'AFA', 2454, 'Y', 0, 'E90\r'),
	('AR', 412, 'SCL', 2650, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'SCL', 2650, 'EZE', 3988, 'Y', 0, 'E90\r'),
	('AR', 412, 'SDE', 2456, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'SFN', 2441, 'AEP', 2442, 'Y', 0, 'E90\r'),
	('AR', 412, 'SLA', 2476, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'SLA', 2476, 'COR', 2443, 'Y', 0, 'E90\r'),
	('AR', 412, 'SLA', 2476, 'IGR', 2471, 'Y', 0, 'E90\r'),
	('AR', 412, 'SLA', 2476, 'MDZ', 2452, 'Y', 0, 'E90\r'),
	('AR', 412, 'TUC', 2460, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'UAQ', 2461, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'USH', 2497, 'AEP', 2442, '', 0, '737\r'),
	('AR', 412, 'USH', 2497, 'EZE', 3988, '', 0, '340\r'),
	('AR', 412, 'USH', 2497, 'FTE', 4061, '', 0, '737\r'),
	('AR', 412, 'VDM', 2491, 'REL', 2490, 'Y', 0, 'E90\r'),
	('AR', 412, 'VVI', 2771, 'EZE', 3988, '', 0, '737\r'),
	('AS', 439, 'ABQ', 4019, 'LAX', 3484, 'Y', 0, 'CR7 CRJ\r'),
	('AS', 439, 'ADK', 5959, 'ANC', 3774, '', 0, '734 73Q\r'),
	('AS', 439, 'ADQ', 3531, 'ANC', 3774, '', 0, '734 73Q\r'),
	('AS', 439, 'AKN', 3794, 'ANC', 3774, 'Y', 0, 'SF3\r'),
	('AS', 439, 'ALW', 5719, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'ANC', 3774, 'ADK', 5959, '', 0, '734 73Q\r'),
	('AS', 439, 'ANC', 3774, 'ADQ', 3531, '', 0, '734 73Q\r'),
	('AS', 439, 'ANC', 3774, 'AKN', 3794, 'Y', 0, 'SF3\r'),
	('AS', 439, 'ANC', 3774, 'ANI', 5967, '', 0, 'SF3\r'),
	('AS', 439, 'ANC', 3774, 'BET', 3599, '', 0, '73Q 734\r'),
	('AS', 439, 'ANC', 3774, 'BRW', 3571, '', 0, '73Q\r'),
	('AS', 439, 'ANC', 3774, 'CDB', 3854, 'Y', 0, 'SF3\r'),
	('AS', 439, 'ANC', 3774, 'CDV', 3610, '', 0, '73Q\r'),
	('AS', 439, 'ANC', 3774, 'DLG', 3460, 'Y', 0, 'SF3\r'),
	('AS', 439, 'ANC', 3774, 'ENA', 3628, 'Y', 0, 'BE1 DH8\r'),
	('AS', 439, 'ANC', 3774, 'FAI', 3832, '', 0, '73H 73Q\r'),
	('AS', 439, 'ANC', 3774, 'HNL', 3728, '', 0, '73H\r'),
	('AS', 439, 'ANC', 3774, 'HOM', 3664, 'Y', 0, 'BE1 DH8\r'),
	('AS', 439, 'ANC', 3774, 'JNU', 3492, '', 0, '734 73Q\r'),
	('AS', 439, 'ANC', 3774, 'KSM', 6718, 'Y', 0, 'DH8\r'),
	('AS', 439, 'ANC', 3774, 'LAS', 3877, '', 0, '73H\r'),
	('AS', 439, 'ANC', 3774, 'LAX', 3484, '', 0, '73H\r'),
	('AS', 439, 'ANC', 3774, 'MCG', 5965, '', 0, 'SF3\r'),
	('AS', 439, 'ANC', 3774, 'OME', 3615, '', 0, '73Q 734\r'),
	('AS', 439, 'ANC', 3774, 'ORD', 3830, '', 0, '73H\r'),
	('AS', 439, 'ANC', 3774, 'OTZ', 3693, '', 0, '73Q 734\r'),
	('AS', 439, 'ANC', 3774, 'PDX', 3720, '', 0, '73H 73G 734 739\r'),
	('AS', 439, 'ANC', 3774, 'SCC', 3620, '', 0, '73Q\r'),
	('AS', 439, 'ANC', 3774, 'SDP', 6742, 'Y', 0, 'SF3\r'),
	('AS', 439, 'ANC', 3774, 'SEA', 3577, '', 0, '73H 73J 734 73Q 739 73G\r'),
	('AS', 439, 'ANC', 3774, 'SNP', 3426, 'Y', 0, 'SF3\r'),
	('AS', 439, 'ANC', 3774, 'STG', 7247, 'Y', 0, 'SF3\r'),
	('AS', 439, 'ANC', 3774, 'UNK', 7088, 'Y', 0, 'SF3 DH8\r'),
	('AS', 439, 'ANC', 3774, 'VDZ', 3865, 'Y', 0, 'DH8 BE1\r'),
	('AS', 439, 'ANI', 5967, 'ANC', 3774, '', 0, 'SF3\r'),
	('AS', 439, 'ANI', 5967, 'MCG', 5965, '', 0, 'SF3\r'),
	('AS', 439, 'ATL', 3682, 'BHM', 3811, 'Y', 0, 'M88 320\r'),
	('AS', 439, 'ATL', 3682, 'BNA', 3690, 'Y', 0, '738 319 320 M88 73H 717\r'),
	('AS', 439, 'ATL', 3682, 'CHS', 3806, 'Y', 0, 'M88 320 73W 717 319\r'),
	('AS', 439, 'ATL', 3682, 'CLT', 3876, 'Y', 0, 'M88 M90 319\r'),
	('AS', 439, 'ATL', 3682, 'GSO', 4008, 'Y', 0, 'M88 CR9 73H 320 738 CR7 319\r'),
	('AS', 439, 'ATL', 3682, 'HSV', 4113, 'Y', 0, 'M88 717 CRJ\r'),
	('AS', 439, 'ATL', 3682, 'JAN', 3580, 'Y', 0, '717 CR9 M88 CRJ\r'),
	('AS', 439, 'ATL', 3682, 'JAX', 3712, 'Y', 0, '757 739 M90\r'),
	('AS', 439, 'ATL', 3682, 'LAX', 3484, 'Y', 0, '757 76W 763 739\r'),
	('AS', 439, 'ATL', 3682, 'MEM', 3473, 'Y', 0, 'M88 320 319\r'),
	('AS', 439, 'ATL', 3682, 'MIA', 3576, 'Y', 0, '757 320 73H\r'),
	('AS', 439, 'ATL', 3682, 'MSY', 3861, 'Y', 0, '757 M88 M90\r'),
	('AS', 439, 'ATL', 3682, 'ORF', 3611, 'Y', 0, 'M90 M88 319\r'),
	('AS', 439, 'ATL', 3682, 'PBI', 3722, 'Y', 0, '757 M88 M90\r'),
	('AS', 439, 'ATL', 3682, 'PDX', 3720, '', 0, '73J 73H\r'),
	('AS', 439, 'ATL', 3682, 'PNS', 3564, 'Y', 0, 'M90 717\r'),
	('AS', 439, 'ATL', 3682, 'RDU', 3626, 'Y', 0, 'M90 M88 739 320 738\r'),
	('AS', 439, 'ATL', 3682, 'RSW', 3793, 'Y', 0, '757 M88 M90\r'),
	('AS', 439, 'ATL', 3682, 'SAN', 3731, 'Y', 0, '739 763\r'),
	('AS', 439, 'ATL', 3682, 'SAV', 3613, 'Y', 0, 'M88 717 319\r'),
	('AS', 439, 'ATL', 3682, 'SEA', 3577, '', 0, '73J\r'),
	('AS', 439, 'ATL', 3682, 'SLC', 3536, 'Y', 0, '763 757\r'),
	('AS', 439, 'ATL', 3682, 'TYS', 3676, 'Y', 0, '717 CR7 CRJ CR9\r'),
	('AS', 439, 'AUS', 3673, 'LAX', 3484, 'Y', 0, '738 M83\r'),
	('AS', 439, 'AUS', 3673, 'SEA', 3577, '', 0, '739 73H\r'),
	('AS', 439, 'BDL', 3825, 'LAX', 3484, 'Y', 0, '738\r'),
	('AS', 439, 'BET', 3599, 'ANC', 3774, '', 0, '73Q 734\r'),
	('AS', 439, 'BHM', 3811, 'ATL', 3682, 'Y', 0, 'M88 320\r'),
	('AS', 439, 'BIL', 4021, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'BIL', 4021, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'BLI', 3777, 'HNL', 3728, '', 0, '73H\r'),
	('AS', 439, 'BLI', 3777, 'LAS', 3877, '', 0, '73H\r'),
	('AS', 439, 'BLI', 3777, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'BLI', 3777, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'BNA', 3690, 'ATL', 3682, 'Y', 0, 'M88 738 319 320 717\r'),
	('AS', 439, 'BNA', 3690, 'LAX', 3484, 'Y', 0, '738\r'),
	('AS', 439, 'BOI', 3495, 'LWS', 3945, 'Y', 0, 'DH4\r'),
	('AS', 439, 'BOI', 3495, 'PDX', 3720, 'Y', 0, 'DH4 CR7\r'),
	('AS', 439, 'BOI', 3495, 'SAN', 3731, 'Y', 0, 'CR7\r'),
	('AS', 439, 'BOI', 3495, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'BOI', 3495, 'SJC', 3748, 'Y', 0, 'DH4\r'),
	('AS', 439, 'BOI', 3495, 'SMF', 3817, 'Y', 0, 'DH4\r'),
	('AS', 439, 'BOS', 3448, 'ISP', 3857, '', 0, 'SF3\r'),
	('AS', 439, 'BOS', 3448, 'LAX', 3484, 'Y', 0, '738 757\r'),
	('AS', 439, 'BOS', 3448, 'PBG', 3771, 'Y', 0, 'SF3\r'),
	('AS', 439, 'BOS', 3448, 'PDX', 3720, '', 0, '73H\r'),
	('AS', 439, 'BOS', 3448, 'PQI', 3528, '', 0, 'SF3\r'),
	('AS', 439, 'BOS', 3448, 'SAN', 3731, '', 0, '73H\r'),
	('AS', 439, 'BOS', 3448, 'SEA', 3577, '', 0, '73J 73H\r'),
	('AS', 439, 'BRW', 3571, 'ANC', 3774, '', 0, '73Q\r'),
	('AS', 439, 'BRW', 3571, 'FAI', 3832, '', 0, '73H 73Q\r'),
	('AS', 439, 'BRW', 3571, 'SCC', 3620, '', 0, '73Q\r'),
	('AS', 439, 'BUR', 3644, 'PDX', 3720, 'Y', 0, 'CR7\r'),
	('AS', 439, 'BUR', 3644, 'SEA', 3577, '', 0, '73H 73G\r'),
	('AS', 439, 'BZN', 4020, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'CDB', 3854, 'ANC', 3774, 'Y', 0, 'SF3\r'),
	('AS', 439, 'CDV', 3610, 'ANC', 3774, '', 0, '73Q\r'),
	('AS', 439, 'CDV', 3610, 'YAK', 6803, '', 0, '73Q\r'),
	('AS', 439, 'CHS', 3806, 'ATL', 3682, 'Y', 0, 'M88 73W 717 319\r'),
	('AS', 439, 'CLT', 3876, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('AS', 439, 'CMH', 3759, 'LAX', 3484, 'Y', 0, '738\r'),
	('AS', 439, 'COS', 3819, 'SEA', 3577, '', 0, 'CR7\r'),
	('AS', 439, 'DCA', 3520, 'LAX', 3484, '', 0, '73H\r'),
	('AS', 439, 'DCA', 3520, 'PDX', 3720, '', 0, '73H\r'),
	('AS', 439, 'DCA', 3520, 'SEA', 3577, '', 0, '73H\r'),
	('AS', 439, 'DEN', 3751, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('AS', 439, 'DEN', 3751, 'SEA', 3577, '', 0, '739 73G 73H\r'),
	('AS', 439, 'DFW', 3670, 'LAX', 3484, 'Y', 0, '738 763 757 M83\r'),
	('AS', 439, 'DFW', 3670, 'PDX', 3720, '', 0, '73J\r'),
	('AS', 439, 'DFW', 3670, 'SAN', 3731, 'Y', 0, '738 M80 M83 757\r'),
	('AS', 439, 'DFW', 3670, 'SEA', 3577, '', 0, '73J 739\r'),
	('AS', 439, 'DFW', 3670, 'SFO', 3469, 'Y', 0, '738 757 763\r'),
	('AS', 439, 'DFW', 3670, 'SNA', 3867, 'Y', 0, '738\r'),
	('AS', 439, 'DLG', 3460, 'ANC', 3774, 'Y', 0, 'SF3\r'),
	('AS', 439, 'DTW', 3645, 'PDX', 3720, 'Y', 0, '739\r'),
	('AS', 439, 'DTW', 3645, 'SAN', 3731, 'Y', 0, '753 739 757\r'),
	('AS', 439, 'EAT', 6916, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'ELP', 3559, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'ENA', 3628, 'ANC', 3774, 'Y', 0, 'BE1 DH8\r'),
	('AS', 439, 'EUG', 4099, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'EUG', 4099, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'EWR', 3494, 'SEA', 3577, '', 0, '73J\r'),
	('AS', 439, 'FAI', 3832, 'ANC', 3774, '', 0, '73H 73Q\r'),
	('AS', 439, 'FAI', 3832, 'SCC', 3620, '', 0, '73H 73Q\r'),
	('AS', 439, 'FAI', 3832, 'SEA', 3577, '', 0, '73J 73H 73G 739\r'),
	('AS', 439, 'FAT', 3687, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'FAT', 3687, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'FAT', 3687, 'SAN', 3731, 'Y', 0, 'DH4\r'),
	('AS', 439, 'FAT', 3687, 'SEA', 3577, '', 0, 'CR7\r'),
	('AS', 439, 'FCA', 4127, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'FLL', 3533, 'SEA', 3577, '', 0, '73H\r'),
	('AS', 439, 'GDL', 1804, 'LAX', 3484, '', 0, '73H\r'),
	('AS', 439, 'GDL', 1804, 'SJC', 3748, '', 0, '73H\r'),
	('AS', 439, 'GEG', 3467, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'GEG', 3467, 'SEA', 3577, '', 0, '734\r'),
	('AS', 439, 'GSO', 4008, 'ATL', 3682, 'Y', 0, 'M88 73H CR9 CR7 320 738 319\r'),
	('AS', 439, 'GTF', 3880, 'HLN', 3504, 'Y', 0, 'DH4\r'),
	('AS', 439, 'GTF', 3880, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'HLN', 3504, 'GTF', 3880, 'Y', 0, 'DH4\r'),
	('AS', 439, 'HLN', 3504, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'HNL', 3728, 'ANC', 3774, '', 0, '73H\r'),
	('AS', 439, 'HNL', 3728, 'BLI', 3777, '', 0, '73H\r'),
	('AS', 439, 'HNL', 3728, 'LAX', 3484, 'Y', 0, '757\r'),
	('AS', 439, 'HNL', 3728, 'OAK', 3453, '', 0, '73H\r'),
	('AS', 439, 'HNL', 3728, 'PDX', 3720, '', 0, '73H\r'),
	('AS', 439, 'HNL', 3728, 'SAN', 3731, '', 0, '73H\r'),
	('AS', 439, 'HNL', 3728, 'SEA', 3577, '', 0, '73H\r'),
	('AS', 439, 'HNL', 3728, 'SJC', 3748, '', 0, '73H\r'),
	('AS', 439, 'HOM', 3664, 'ANC', 3774, 'Y', 0, 'BE1 DH8\r'),
	('AS', 439, 'HSV', 4113, 'ATL', 3682, 'Y', 0, 'M88 717 CR7 CRJ\r'),
	('AS', 439, 'IAH', 3550, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('AS', 439, 'IAH', 3550, 'SEA', 3577, '', 0, '73J\r'),
	('AS', 439, 'IND', 3585, 'LAX', 3484, 'Y', 0, '738\r'),
	('AS', 439, 'ISP', 3857, 'BOS', 3448, '', 0, 'SF3\r'),
	('AS', 439, 'JAN', 3580, 'ATL', 3682, 'Y', 0, '717 CR9 CRJ M88\r'),
	('AS', 439, 'JAX', 3712, 'ATL', 3682, 'Y', 0, '757 739 M90 738\r'),
	('AS', 439, 'JFK', 3797, 'LAX', 3484, 'Y', 0, '321 762\r'),
	('AS', 439, 'JFK', 3797, 'SAN', 3731, 'Y', 0, '757 73H\r'),
	('AS', 439, 'JFK', 3797, 'SEA', 3577, 'Y', 0, '738\r'),
	('AS', 439, 'JFK', 3797, 'SFO', 3469, 'Y', 0, '321 763\r'),
	('AS', 439, 'JNU', 3492, 'ANC', 3774, '', 0, '734 73Q\r'),
	('AS', 439, 'JNU', 3492, 'KTN', 3808, '', 0, '734\r'),
	('AS', 439, 'JNU', 3492, 'PSG', 4147, '', 0, '73Q\r'),
	('AS', 439, 'JNU', 3492, 'SEA', 3577, '', 0, '734 73Q 73H\r'),
	('AS', 439, 'JNU', 3492, 'SIT', 3856, '', 0, '734\r'),
	('AS', 439, 'JNU', 3492, 'YAK', 6803, '', 0, '73Q\r'),
	('AS', 439, 'KOA', 3514, 'LAX', 3484, 'Y', 0, '757\r'),
	('AS', 439, 'KOA', 3514, 'OAK', 3453, '', 0, '73H\r'),
	('AS', 439, 'KOA', 3514, 'SEA', 3577, '', 0, '73H\r'),
	('AS', 439, 'KOA', 3514, 'SJC', 3748, '', 0, '73H\r'),
	('AS', 439, 'KSM', 6718, 'ANC', 3774, 'Y', 0, 'DH8\r'),
	('AS', 439, 'KTN', 3808, 'JNU', 3492, '', 0, '734\r'),
	('AS', 439, 'KTN', 3808, 'SEA', 3577, '', 0, '734 73Q\r'),
	('AS', 439, 'KTN', 3808, 'SIT', 3856, '', 0, '734\r'),
	('AS', 439, 'KTN', 3808, 'WRG', 5969, '', 0, '73Q\r'),
	('AS', 439, 'LAS', 3877, 'ANC', 3774, '', 0, '73H\r'),
	('AS', 439, 'LAS', 3877, 'BLI', 3777, '', 0, '73H\r'),
	('AS', 439, 'LAS', 3877, 'PDX', 3720, '', 0, '73G 73H\r'),
	('AS', 439, 'LAS', 3877, 'SEA', 3577, '', 0, '73G 73H 739 73J\r'),
	('AS', 439, 'LAX', 3484, 'ABQ', 4019, 'Y', 0, 'CRJ CR7\r'),
	('AS', 439, 'LAX', 3484, 'ANC', 3774, '', 0, '73G 739\r'),
	('AS', 439, 'LAX', 3484, 'ATL', 3682, 'Y', 0, '763 757 73H 76W\r'),
	('AS', 439, 'LAX', 3484, 'AUS', 3673, 'Y', 0, 'M83 738\r'),
	('AS', 439, 'LAX', 3484, 'BDL', 3825, 'Y', 0, '738\r'),
	('AS', 439, 'LAX', 3484, 'BNA', 3690, 'Y', 0, '738\r'),
	('AS', 439, 'LAX', 3484, 'BOS', 3448, 'Y', 0, '757 738\r'),
	('AS', 439, 'LAX', 3484, 'CMH', 3759, 'Y', 0, '738\r'),
	('AS', 439, 'LAX', 3484, 'DCA', 3520, '', 0, '73H\r'),
	('AS', 439, 'LAX', 3484, 'DEN', 3751, 'Y', 0, 'CR7\r'),
	('AS', 439, 'LAX', 3484, 'DFW', 3670, 'Y', 0, '738 763 757 M83\r'),
	('AS', 439, 'LAX', 3484, 'ELP', 3559, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'LAX', 3484, 'FAT', 3687, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'LAX', 3484, 'GDL', 1804, '', 0, '73H\r'),
	('AS', 439, 'LAX', 3484, 'HNL', 3728, 'Y', 0, '757 753\r'),
	('AS', 439, 'LAX', 3484, 'IAH', 3550, 'Y', 0, 'CR7\r'),
	('AS', 439, 'LAX', 3484, 'IND', 3585, 'Y', 0, '738\r'),
	('AS', 439, 'LAX', 3484, 'JFK', 3797, 'Y', 0, '321 762\r'),
	('AS', 439, 'LAX', 3484, 'KOA', 3514, 'Y', 0, '757\r'),
	('AS', 439, 'LAX', 3484, 'LIH', 3602, 'Y', 0, '757\r'),
	('AS', 439, 'LAX', 3484, 'LTO', 1817, 'Y', 0, 'DH4\r'),
	('AS', 439, 'LAX', 3484, 'MCO', 3878, 'Y', 0, '757 738\r'),
	('AS', 439, 'LAX', 3484, 'MEX', 1824, '', 0, '73H\r'),
	('AS', 439, 'LAX', 3484, 'MFR', 4101, 'Y', 0, 'DH4\r'),
	('AS', 439, 'LAX', 3484, 'MIA', 3576, 'Y', 0, '757 777 763 738\r'),
	('AS', 439, 'LAX', 3484, 'MMH', 7081, 'Y', 0, 'DH4\r'),
	('AS', 439, 'LAX', 3484, 'MRY', 3948, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'LAX', 3484, 'MSY', 3861, 'Y', 0, '319\r'),
	('AS', 439, 'LAX', 3484, 'MZT', 1826, '', 0, '739\r'),
	('AS', 439, 'LAX', 3484, 'OGG', 3456, 'Y', 0, '757\r'),
	('AS', 439, 'LAX', 3484, 'OKC', 3863, 'Y', 0, 'CR7\r'),
	('AS', 439, 'LAX', 3484, 'ORD', 3830, 'Y', 0, '738\r'),
	('AS', 439, 'LAX', 3484, 'PDX', 3720, '', 0, '73J 73H 734 739 73G\r'),
	('AS', 439, 'LAX', 3484, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'LAX', 3484, 'PIT', 3570, 'Y', 0, '738\r'),
	('AS', 439, 'LAX', 3484, 'PVR', 1836, '', 0, '739 73H\r'),
	('AS', 439, 'LAX', 3484, 'RDU', 3626, 'Y', 0, '738\r'),
	('AS', 439, 'LAX', 3484, 'RNO', 3807, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'LAX', 3484, 'SAF', 3784, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'LAX', 3484, 'SAN', 3731, 'Y', 0, 'CRJ CR7\r'),
	('AS', 439, 'LAX', 3484, 'SEA', 3577, '', 0, '73H 734 739 73J 73G\r'),
	('AS', 439, 'LAX', 3484, 'SFO', 3469, 'Y', 0, '738\r'),
	('AS', 439, 'LAX', 3484, 'SJD', 1840, '', 0, '73J 734\r'),
	('AS', 439, 'LAX', 3484, 'SMF', 3817, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'LAX', 3484, 'STL', 3678, 'Y', 0, 'M83\r'),
	('AS', 439, 'LAX', 3484, 'STS', 6992, 'Y', 0, 'DH4\r'),
	('AS', 439, 'LAX', 3484, 'TUS', 3636, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'LAX', 3484, 'YVR', 156, '', 0, '734 739 73J\r'),
	('AS', 439, 'LAX', 3484, 'ZIH', 1856, '', 0, '739\r'),
	('AS', 439, 'LAX', 3484, 'ZLO', 1858, '', 0, '73H\r'),
	('AS', 439, 'LGB', 3582, 'PDX', 3720, 'Y', 0, 'CR7\r'),
	('AS', 439, 'LGB', 3582, 'SEA', 3577, 'Y', 0, 'CR7\r'),
	('AS', 439, 'LIH', 3602, 'LAX', 3484, 'Y', 0, '757\r'),
	('AS', 439, 'LIH', 3602, 'OAK', 3453, '', 0, '73H\r'),
	('AS', 439, 'LIH', 3602, 'SAN', 3731, '', 0, '73H\r'),
	('AS', 439, 'LIH', 3602, 'SEA', 3577, '', 0, '73H\r'),
	('AS', 439, 'LIH', 3602, 'SJC', 3748, '', 0, '73H\r'),
	('AS', 439, 'LTO', 1817, 'LAX', 3484, 'Y', 0, 'DH4\r'),
	('AS', 439, 'LWS', 3945, 'BOI', 3495, 'Y', 0, 'DH4\r'),
	('AS', 439, 'LWS', 3945, 'PUW', 3944, 'Y', 0, 'DH4\r'),
	('AS', 439, 'LWS', 3945, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'MCG', 5965, 'ANC', 3774, '', 0, 'SF3\r'),
	('AS', 439, 'MCG', 5965, 'ANI', 5967, '', 0, 'SF3\r'),
	('AS', 439, 'MCI', 3458, 'SEA', 3577, '', 0, '73J\r'),
	('AS', 439, 'MCO', 3878, 'LAX', 3484, 'Y', 0, '757 738\r'),
	('AS', 439, 'MCO', 3878, 'SAN', 3731, '', 0, '73H\r'),
	('AS', 439, 'MCO', 3878, 'SEA', 3577, '', 0, '73H 73J\r'),
	('AS', 439, 'MEM', 3473, 'ATL', 3682, 'Y', 0, 'M88 320 319\r'),
	('AS', 439, 'MEX', 1824, 'LAX', 3484, '', 0, '73H\r'),
	('AS', 439, 'MFR', 4101, 'LAX', 3484, 'Y', 0, 'DH4\r'),
	('AS', 439, 'MFR', 4101, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'MFR', 4101, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'MIA', 3576, 'ATL', 3682, 'Y', 0, 'M88 757 M90 73H\r'),
	('AS', 439, 'MIA', 3576, 'LAX', 3484, 'Y', 0, '777 763 757 738\r'),
	('AS', 439, 'MIA', 3576, 'SFO', 3469, 'Y', 0, '763 757 738\r'),
	('AS', 439, 'MMH', 7081, 'LAX', 3484, 'Y', 0, 'DH4\r'),
	('AS', 439, 'MRY', 3948, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'MRY', 3948, 'SAN', 3731, 'Y', 0, 'DH4\r'),
	('AS', 439, 'MSO', 4216, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'MSO', 4216, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'MSP', 3858, 'LAX', 3484, 'Y', 0, '753 757\r'),
	('AS', 439, 'MSP', 3858, 'SAN', 3731, 'Y', 0, '738 739\r'),
	('AS', 439, 'MSP', 3858, 'SEA', 3577, '', 0, '739 73G 73J\r'),
	('AS', 439, 'MSY', 3861, 'ATL', 3682, 'Y', 0, 'M90 757 M88\r'),
	('AS', 439, 'MSY', 3861, 'LAX', 3484, 'Y', 0, '319\r'),
	('AS', 439, 'MSY', 3861, 'SLC', 3536, 'Y', 0, '319 320\r'),
	('AS', 439, 'MZT', 1826, 'LAX', 3484, '', 0, '739\r'),
	('AS', 439, 'OAK', 3453, 'HNL', 3728, '', 0, '73H\r'),
	('AS', 439, 'OAK', 3453, 'KOA', 3514, '', 0, '73H\r'),
	('AS', 439, 'OAK', 3453, 'LIH', 3602, '', 0, '73H\r'),
	('AS', 439, 'OAK', 3453, 'OGG', 3456, '', 0, '73H\r'),
	('AS', 439, 'OAK', 3453, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'OAK', 3453, 'SEA', 3577, '', 0, '73G 73H 734\r'),
	('AS', 439, 'OGG', 3456, 'LAX', 3484, 'Y', 0, '757\r'),
	('AS', 439, 'OGG', 3456, 'OAK', 3453, '', 0, '73H\r'),
	('AS', 439, 'OGG', 3456, 'PDX', 3720, '', 0, '73H\r'),
	('AS', 439, 'OGG', 3456, 'SAN', 3731, '', 0, '73H\r'),
	('AS', 439, 'OGG', 3456, 'SEA', 3577, '', 0, '73H\r'),
	('AS', 439, 'OGG', 3456, 'SJC', 3748, '', 0, '73H\r'),
	('AS', 439, 'OGG', 3456, 'SMF', 3817, '', 0, '73H\r'),
	('AS', 439, 'OKC', 3863, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('AS', 439, 'OMA', 3454, 'SEA', 3577, 'Y', 0, 'CR7\r'),
	('AS', 439, 'OME', 3615, 'ANC', 3774, '', 0, '73Q 734\r'),
	('AS', 439, 'OME', 3615, 'OTZ', 3693, '', 0, '734\r'),
	('AS', 439, 'ONT', 3734, 'PDX', 3720, 'Y', 0, 'CR7\r'),
	('AS', 439, 'ONT', 3734, 'SEA', 3577, '', 0, '734 73H\r'),
	('AS', 439, 'ORD', 3830, 'ANC', 3774, '', 0, '73H\r'),
	('AS', 439, 'ORD', 3830, 'LAX', 3484, 'Y', 0, '738\r'),
	('AS', 439, 'ORD', 3830, 'MSY', 3861, 'Y', 0, 'E75\r'),
	('AS', 439, 'ORD', 3830, 'PDX', 3720, '', 0, '73G\r'),
	('AS', 439, 'ORD', 3830, 'SAN', 3731, 'Y', 0, '738\r'),
	('AS', 439, 'ORD', 3830, 'SEA', 3577, '', 0, '73H 739 73J\r'),
	('AS', 439, 'ORD', 3830, 'SFO', 3469, 'Y', 0, '738\r'),
	('AS', 439, 'ORF', 3611, 'ATL', 3682, 'Y', 0, 'M90 M88 319\r'),
	('AS', 439, 'OTZ', 3693, 'ANC', 3774, '', 0, '73Q 734\r'),
	('AS', 439, 'OTZ', 3693, 'OME', 3615, '', 0, '73Q 734\r'),
	('AS', 439, 'PBG', 3771, 'BOS', 3448, 'Y', 0, 'SF3\r'),
	('AS', 439, 'PBI', 3722, 'ATL', 3682, 'Y', 0, 'M90 757 M88\r'),
	('AS', 439, 'PDX', 3720, 'ANC', 3774, '', 0, '73H 734 73J 73G\r'),
	('AS', 439, 'PDX', 3720, 'ATL', 3682, '', 0, '73J\r'),
	('AS', 439, 'PDX', 3720, 'BIL', 4021, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'BLI', 3777, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'BOI', 3495, 'Y', 0, 'DH4 CR7\r'),
	('AS', 439, 'PDX', 3720, 'BOS', 3448, '', 0, '73H\r'),
	('AS', 439, 'PDX', 3720, 'BUR', 3644, 'Y', 0, 'CR7\r'),
	('AS', 439, 'PDX', 3720, 'DCA', 3520, '', 0, '73H\r'),
	('AS', 439, 'PDX', 3720, 'DFW', 3670, '', 0, '73J\r'),
	('AS', 439, 'PDX', 3720, 'DTW', 3645, 'Y', 0, '739\r'),
	('AS', 439, 'PDX', 3720, 'EUG', 4099, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'FAT', 3687, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'GEG', 3467, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'HNL', 3728, '', 0, '73H\r'),
	('AS', 439, 'PDX', 3720, 'LAS', 3877, '', 0, '73H 73G\r'),
	('AS', 439, 'PDX', 3720, 'LAX', 3484, '', 0, '734 73H 73G 739 73J\r'),
	('AS', 439, 'PDX', 3720, 'LGB', 3582, 'Y', 0, 'CR7\r'),
	('AS', 439, 'PDX', 3720, 'MFR', 4101, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'MSO', 4216, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'OAK', 3453, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'OGG', 3456, '', 0, '73H\r'),
	('AS', 439, 'PDX', 3720, 'ONT', 3734, 'Y', 0, 'CR7\r'),
	('AS', 439, 'PDX', 3720, 'ORD', 3830, '', 0, '73G\r'),
	('AS', 439, 'PDX', 3720, 'PHX', 3462, '', 0, '734 73G 73H\r'),
	('AS', 439, 'PDX', 3720, 'PSC', 6133, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'PSP', 3839, '', 0, '734 73J\r'),
	('AS', 439, 'PDX', 3720, 'RDM', 4103, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'RNO', 3807, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'SAN', 3731, '', 0, '73G 73H 734 73J 739\r'),
	('AS', 439, 'PDX', 3720, 'SBA', 3949, 'Y', 0, 'CR7\r'),
	('AS', 439, 'PDX', 3720, 'SEA', 3577, 'Y', 0, 'DH4 CR7\r'),
	('AS', 439, 'PDX', 3720, 'SFO', 3469, '', 0, '734 73G\r'),
	('AS', 439, 'PDX', 3720, 'SJC', 3748, '', 0, '734 73G 73H\r'),
	('AS', 439, 'PDX', 3720, 'SLC', 3536, 'Y', 0, '757 320 73H\r'),
	('AS', 439, 'PDX', 3720, 'SMF', 3817, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'SNA', 3867, '', 0, '73G\r'),
	('AS', 439, 'PDX', 3720, 'STS', 6992, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PDX', 3720, 'TUS', 3636, 'Y', 0, 'CR7\r'),
	('AS', 439, 'PDX', 3720, 'YVR', 156, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PHL', 3752, 'SEA', 3577, '', 0, '73J 73H\r'),
	('AS', 439, 'PHX', 3462, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'PHX', 3462, 'PDX', 3720, '', 0, '734 73G 73H\r'),
	('AS', 439, 'PHX', 3462, 'SEA', 3577, '', 0, '73H 73J 73G 734\r'),
	('AS', 439, 'PIT', 3570, 'LAX', 3484, 'Y', 0, '738\r'),
	('AS', 439, 'PNS', 3564, 'ATL', 3682, 'Y', 0, 'M90 717\r'),
	('AS', 439, 'PQI', 3528, 'BOS', 3448, '', 0, 'SF3\r'),
	('AS', 439, 'PSC', 6133, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PSC', 6133, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PSG', 4147, 'JNU', 3492, '', 0, '73Q\r'),
	('AS', 439, 'PSG', 4147, 'WRG', 5969, '', 0, '73Q\r'),
	('AS', 439, 'PSP', 3839, 'PDX', 3720, '', 0, '73G\r'),
	('AS', 439, 'PSP', 3839, 'SEA', 3577, '', 0, '73H 734 73J\r'),
	('AS', 439, 'PSP', 3839, 'SFO', 3469, '', 0, '734\r'),
	('AS', 439, 'PSP', 3839, 'SMF', 3817, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PUW', 3944, 'LWS', 3945, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PUW', 3944, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'PVR', 1836, 'LAX', 3484, '', 0, '739 73H\r'),
	('AS', 439, 'PVR', 1836, 'SAN', 3731, '', 0, '73J\r'),
	('AS', 439, 'PVR', 1836, 'SFO', 3469, '', 0, '73J 739\r'),
	('AS', 439, 'RDM', 4103, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'RDM', 4103, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'RDU', 3626, 'ATL', 3682, 'Y', 0, '752 M90 M88 320 738 739\r'),
	('AS', 439, 'RDU', 3626, 'LAX', 3484, 'Y', 0, '738\r'),
	('AS', 439, 'RNO', 3807, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'RNO', 3807, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'RNO', 3807, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'RNO', 3807, 'SJC', 3748, 'Y', 0, 'DH4\r'),
	('AS', 439, 'RSW', 3793, 'ATL', 3682, 'Y', 0, 'M90 757 M88\r'),
	('AS', 439, 'SAF', 3784, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'SAN', 3731, 'ATL', 3682, 'Y', 0, '73H 763 739\r'),
	('AS', 439, 'SAN', 3731, 'BOI', 3495, 'Y', 0, 'CR7\r'),
	('AS', 439, 'SAN', 3731, 'BOS', 3448, '', 0, '73H\r'),
	('AS', 439, 'SAN', 3731, 'DFW', 3670, 'Y', 0, 'M83 M80 738 757\r'),
	('AS', 439, 'SAN', 3731, 'DTW', 3645, 'Y', 0, '753 757\r'),
	('AS', 439, 'SAN', 3731, 'FAT', 3687, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SAN', 3731, 'HNL', 3728, '', 0, '73H\r'),
	('AS', 439, 'SAN', 3731, 'JFK', 3797, 'Y', 0, '73H 757\r'),
	('AS', 439, 'SAN', 3731, 'LAX', 3484, 'Y', 0, 'CRJ CR7\r'),
	('AS', 439, 'SAN', 3731, 'LIH', 3602, '', 0, '73H\r'),
	('AS', 439, 'SAN', 3731, 'MCO', 3878, '', 0, '73H\r'),
	('AS', 439, 'SAN', 3731, 'MRY', 3948, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SAN', 3731, 'MSP', 3858, 'Y', 0, '320 738 739\r'),
	('AS', 439, 'SAN', 3731, 'OGG', 3456, '', 0, '73H\r'),
	('AS', 439, 'SAN', 3731, 'ORD', 3830, 'Y', 0, '738\r'),
	('AS', 439, 'SAN', 3731, 'PDX', 3720, '', 0, '73J 73H 734 73G\r'),
	('AS', 439, 'SAN', 3731, 'PVR', 1836, '', 0, '73J\r'),
	('AS', 439, 'SAN', 3731, 'SEA', 3577, '', 0, '73J 73H 73G 734 739\r'),
	('AS', 439, 'SAN', 3731, 'SJD', 1840, '', 0, '73H\r'),
	('AS', 439, 'SAN', 3731, 'SLC', 3536, 'Y', 0, '738 319 320\r'),
	('AS', 439, 'SAN', 3731, 'STS', 6992, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SAT', 3621, 'SEA', 3577, '', 0, '73H 73J\r'),
	('AS', 439, 'SAV', 3613, 'ATL', 3682, 'Y', 0, 'M88 717 319\r'),
	('AS', 439, 'SBA', 3949, 'PDX', 3720, 'Y', 0, 'CR7\r'),
	('AS', 439, 'SBA', 3949, 'SEA', 3577, 'Y', 0, 'CR7\r'),
	('AS', 439, 'SCC', 3620, 'ANC', 3774, '', 0, '73Q\r'),
	('AS', 439, 'SCC', 3620, 'BRW', 3571, '', 0, '73H 73Q\r'),
	('AS', 439, 'SDP', 6742, 'ANC', 3774, 'Y', 0, 'SF3\r'),
	('AS', 439, 'SEA', 3577, 'ALW', 5719, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'ANC', 3774, '', 0, '73J 73H 734 739 73Q 73G\r'),
	('AS', 439, 'SEA', 3577, 'ATL', 3682, '', 0, '73J 73H\r'),
	('AS', 439, 'SEA', 3577, 'AUS', 3673, '', 0, '739 73H\r'),
	('AS', 439, 'SEA', 3577, 'BIL', 4021, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'BLI', 3777, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'BOI', 3495, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'BOS', 3448, '', 0, '73H 73J\r'),
	('AS', 439, 'SEA', 3577, 'BUR', 3644, '', 0, '73H 73G\r'),
	('AS', 439, 'SEA', 3577, 'BZN', 4020, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'COS', 3819, '', 0, 'CR7\r'),
	('AS', 439, 'SEA', 3577, 'DCA', 3520, '', 0, '73H\r'),
	('AS', 439, 'SEA', 3577, 'DEN', 3751, '', 0, '73G 73H 739\r'),
	('AS', 439, 'SEA', 3577, 'DFW', 3670, '', 0, '73J 739\r'),
	('AS', 439, 'SEA', 3577, 'EAT', 6916, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'EUG', 4099, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'EWR', 3494, '', 0, '73J\r'),
	('AS', 439, 'SEA', 3577, 'FAI', 3832, '', 0, '73G 73J 739 73H\r'),
	('AS', 439, 'SEA', 3577, 'FAT', 3687, '', 0, 'CR7\r'),
	('AS', 439, 'SEA', 3577, 'FCA', 4127, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'FLL', 3533, '', 0, '73H\r'),
	('AS', 439, 'SEA', 3577, 'GEG', 3467, '', 0, '734\r'),
	('AS', 439, 'SEA', 3577, 'GTF', 3880, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'HNL', 3728, '', 0, '73H\r'),
	('AS', 439, 'SEA', 3577, 'IAH', 3550, '', 0, '73J\r'),
	('AS', 439, 'SEA', 3577, 'JFK', 3797, 'Y', 0, '738\r'),
	('AS', 439, 'SEA', 3577, 'JNU', 3492, '', 0, '73Q 734 73H\r'),
	('AS', 439, 'SEA', 3577, 'KOA', 3514, '', 0, '73H\r'),
	('AS', 439, 'SEA', 3577, 'KTN', 3808, '', 0, '73Q 734\r'),
	('AS', 439, 'SEA', 3577, 'LAS', 3877, '', 0, '73H 739 73G 73J\r'),
	('AS', 439, 'SEA', 3577, 'LAX', 3484, '', 0, '73J 739 73G 734 73H\r'),
	('AS', 439, 'SEA', 3577, 'LGB', 3582, 'Y', 0, 'CR7\r'),
	('AS', 439, 'SEA', 3577, 'LIH', 3602, '', 0, '73H\r'),
	('AS', 439, 'SEA', 3577, 'LWS', 3945, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'MCI', 3458, '', 0, '73J\r'),
	('AS', 439, 'SEA', 3577, 'MCO', 3878, '', 0, '73H 73J\r'),
	('AS', 439, 'SEA', 3577, 'MFR', 4101, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'MSO', 4216, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'MSP', 3858, '', 0, '739 73G 73J\r'),
	('AS', 439, 'SEA', 3577, 'OAK', 3453, '', 0, '73H 73G 734\r'),
	('AS', 439, 'SEA', 3577, 'OGG', 3456, '', 0, '73H\r'),
	('AS', 439, 'SEA', 3577, 'OMA', 3454, 'Y', 0, 'CR7\r'),
	('AS', 439, 'SEA', 3577, 'ONT', 3734, '', 0, '734 73H\r'),
	('AS', 439, 'SEA', 3577, 'ORD', 3830, '', 0, '739 73J 73H\r'),
	('AS', 439, 'SEA', 3577, 'PDX', 3720, 'Y', 0, 'DH4 CR7\r'),
	('AS', 439, 'SEA', 3577, 'PHL', 3752, '', 0, '73J 73H\r'),
	('AS', 439, 'SEA', 3577, 'PHX', 3462, '', 0, '73G 734 73J 73H\r'),
	('AS', 439, 'SEA', 3577, 'PSC', 6133, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'PSP', 3839, '', 0, '73G 73H\r'),
	('AS', 439, 'SEA', 3577, 'PUW', 3944, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'RDM', 4103, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'RNO', 3807, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'SAN', 3731, '', 0, '73H 73J 734 739 73G\r'),
	('AS', 439, 'SEA', 3577, 'SAT', 3621, '', 0, '73H 73J\r'),
	('AS', 439, 'SEA', 3577, 'SBA', 3949, 'Y', 0, 'CR7\r'),
	('AS', 439, 'SEA', 3577, 'SFO', 3469, '', 0, '73J 734 73G 73H 739\r'),
	('AS', 439, 'SEA', 3577, 'SJC', 3748, '', 0, '734 73H 73J 739\r'),
	('AS', 439, 'SEA', 3577, 'SLC', 3536, '', 0, '739 734 73H 73G\r'),
	('AS', 439, 'SEA', 3577, 'SMF', 3817, '', 0, '73H\r'),
	('AS', 439, 'SEA', 3577, 'SNA', 3867, '', 0, '73G 73H\r'),
	('AS', 439, 'SEA', 3577, 'STL', 3678, '', 0, '73H 73J\r'),
	('AS', 439, 'SEA', 3577, 'STS', 6992, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'TUS', 3636, '', 0, '73J\r'),
	('AS', 439, 'SEA', 3577, 'YEG', 49, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'YKM', 5779, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'YLW', 87, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'YVR', 156, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'YYC', 178, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SEA', 3577, 'YYJ', 184, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SFO', 3469, 'DFW', 3670, 'Y', 0, '738 757 763\r'),
	('AS', 439, 'SFO', 3469, 'JFK', 3797, 'Y', 0, '763 321\r'),
	('AS', 439, 'SFO', 3469, 'LAX', 3484, 'Y', 0, '738\r'),
	('AS', 439, 'SFO', 3469, 'MIA', 3576, 'Y', 0, '757 763 738\r'),
	('AS', 439, 'SFO', 3469, 'ORD', 3830, 'Y', 0, '738\r'),
	('AS', 439, 'SFO', 3469, 'PDX', 3720, '', 0, '734 73H 73G\r'),
	('AS', 439, 'SFO', 3469, 'PSP', 3839, '', 0, '734\r'),
	('AS', 439, 'SFO', 3469, 'PVR', 1836, '', 0, '73J 739\r'),
	('AS', 439, 'SFO', 3469, 'SEA', 3577, '', 0, '73H 734 73G 73J 739\r'),
	('AS', 439, 'SFO', 3469, 'SJD', 1840, '', 0, '734\r'),
	('AS', 439, 'SIT', 3856, 'JNU', 3492, '', 0, '734\r'),
	('AS', 439, 'SIT', 3856, 'KTN', 3808, '', 0, '734\r'),
	('AS', 439, 'SJC', 3748, 'BOI', 3495, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SJC', 3748, 'GDL', 1804, '', 0, '73H\r'),
	('AS', 439, 'SJC', 3748, 'HNL', 3728, '', 0, '73H\r'),
	('AS', 439, 'SJC', 3748, 'KOA', 3514, '', 0, '73H\r'),
	('AS', 439, 'SJC', 3748, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'SJC', 3748, 'LIH', 3602, '', 0, '73H\r'),
	('AS', 439, 'SJC', 3748, 'OGG', 3456, '', 0, '73H\r'),
	('AS', 439, 'SJC', 3748, 'PDX', 3720, '', 0, '73H 734 73G\r'),
	('AS', 439, 'SJC', 3748, 'RNO', 3807, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SJC', 3748, 'SEA', 3577, '', 0, '73H 739 734 73J\r'),
	('AS', 439, 'SJC', 3748, 'SJD', 1840, '', 0, '734\r'),
	('AS', 439, 'SJD', 1840, 'LAX', 3484, '', 0, '73J 734\r'),
	('AS', 439, 'SJD', 1840, 'SAN', 3731, '', 0, '73H\r'),
	('AS', 439, 'SJD', 1840, 'SFO', 3469, '', 0, '734\r'),
	('AS', 439, 'SJD', 1840, 'SJC', 3748, '', 0, '734\r'),
	('AS', 439, 'SLC', 3536, 'ATL', 3682, 'Y', 0, '757 763 738\r'),
	('AS', 439, 'SLC', 3536, 'CVG', 3488, 'Y', 0, '73H\r'),
	('AS', 439, 'SLC', 3536, 'LAX', 3484, 'Y', 0, '757\r'),
	('AS', 439, 'SLC', 3536, 'MSY', 3861, 'Y', 0, '319 320\r'),
	('AS', 439, 'SLC', 3536, 'PDX', 3720, 'Y', 0, '320 73H 757\r'),
	('AS', 439, 'SLC', 3536, 'SAN', 3731, 'Y', 0, '319 738 320\r'),
	('AS', 439, 'SLC', 3536, 'SEA', 3577, '', 0, '739 734 73H 73G\r'),
	('AS', 439, 'SMF', 3817, 'BOI', 3495, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SMF', 3817, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'SMF', 3817, 'OGG', 3456, '', 0, '73H\r'),
	('AS', 439, 'SMF', 3817, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SMF', 3817, 'PSP', 3839, 'Y', 0, 'DH4\r'),
	('AS', 439, 'SMF', 3817, 'SEA', 3577, '', 0, '73H\r'),
	('AS', 439, 'SNA', 3867, 'DFW', 3670, 'Y', 0, '738\r'),
	('AS', 439, 'SNA', 3867, 'PDX', 3720, '', 0, '73G 73H\r'),
	('AS', 439, 'SNA', 3867, 'SEA', 3577, '', 0, '73G 73H\r'),
	('AS', 439, 'SNP', 3426, 'ANC', 3774, 'Y', 0, 'SF3\r'),
	('AS', 439, 'STG', 7247, 'ANC', 3774, 'Y', 0, 'SF3\r'),
	('AS', 439, 'STL', 3678, 'LAX', 3484, 'Y', 0, 'M83\r'),
	('AS', 439, 'STL', 3678, 'SEA', 3577, '', 0, '73H 73J\r'),
	('AS', 439, 'STS', 6992, 'LAX', 3484, 'Y', 0, 'DH4\r'),
	('AS', 439, 'STS', 6992, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'STS', 6992, 'SAN', 3731, 'Y', 0, 'DH4\r'),
	('AS', 439, 'STS', 6992, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'TUS', 3636, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('AS', 439, 'TUS', 3636, 'PDX', 3720, 'Y', 0, 'CR7\r'),
	('AS', 439, 'TUS', 3636, 'SEA', 3577, '', 0, '73J\r'),
	('AS', 439, 'TYS', 3676, 'ATL', 3682, 'Y', 0, 'CRJ 717 CR9 CR7\r'),
	('AS', 439, 'UNK', 7088, 'ANC', 3774, 'Y', 0, 'SF3 DH8\r'),
	('AS', 439, 'VDZ', 3865, 'ANC', 3774, 'Y', 0, 'DH8 BE1\r'),
	('AS', 439, 'WRG', 5969, 'KTN', 3808, '', 0, '73Q\r'),
	('AS', 439, 'WRG', 5969, 'PSG', 4147, '', 0, '73Q\r'),
	('AS', 439, 'YAK', 6803, 'CDV', 3610, '', 0, '73Q\r'),
	('AS', 439, 'YAK', 6803, 'JNU', 3492, '', 0, '73Q\r'),
	('AS', 439, 'YEG', 49, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'YKM', 5779, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'YLW', 87, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'YVR', 156, 'LAX', 3484, '', 0, '739 734 73J\r'),
	('AS', 439, 'YVR', 156, 'PDX', 3720, 'Y', 0, 'DH4\r'),
	('AS', 439, 'YVR', 156, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'YYC', 178, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'YYJ', 184, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('AS', 439, 'ZIH', 1856, 'LAX', 3484, '', 0, '739\r'),
	('AS', 439, 'ZLO', 1858, 'LAX', 3484, '', 0, '73H\r'),
	('AT', 4248, 'ABJ', 253, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'ACC', 248, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'AGA', 1064, 'BRU', 302, '', 0, '319\r'),
	('AT', 4248, 'AGA', 1064, 'CMN', 1074, '', 0, '73G AT7 738\r'),
	('AT', 4248, 'AGA', 1064, 'EUN', 5672, '', 0, '738\r'),
	('AT', 4248, 'AGA', 1064, 'ORY', 1386, '', 0, '738\r'),
	('AT', 4248, 'AGA', 1064, 'VIL', 5670, '', 0, '738\r'),
	('AT', 4248, 'AGP', 1230, 'CMN', 1074, '', 0, 'AT7\r'),
	('AT', 4248, 'AHU', 1078, 'CMN', 1074, '', 0, 'AT7\r'),
	('AT', 4248, 'ALG', 210, 'CMN', 1074, '', 0, '763 738\r'),
	('AT', 4248, 'AMS', 580, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'AMS', 580, 'NDR', 5673, '', 0, '738\r'),
	('AT', 4248, 'AMS', 580, 'TNG', 1080, '', 0, '73G 738\r'),
	('AT', 4248, 'ARN', 737, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'AUH', 2179, 'CMN', 1074, 'Y', 0, '333 346 332\r'),
	('AT', 4248, 'AUH', 2179, 'SIN', 3316, 'Y', 0, '332\r'),
	('AT', 4248, 'BCN', 1218, 'CMN', 1074, '', 0, '73G 738\r'),
	('AT', 4248, 'BCN', 1218, 'TNG', 1080, '', 0, '73G\r'),
	('AT', 4248, 'BEY', 2177, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'BGF', 888, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'BJL', 1050, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'BJL', 1050, 'OXB', 5665, '', 0, '738\r'),
	('AT', 4248, 'BJL', 1050, 'RAI', 5674, '', 0, '738\r'),
	('AT', 4248, 'BKO', 1044, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'BLQ', 1538, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'BOD', 1264, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'BOD', 1264, 'RAK', 1075, '', 0, '738\r'),
	('AT', 4248, 'BRU', 302, 'AGA', 1064, '', 0, '319\r'),
	('AT', 4248, 'BRU', 302, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'BRU', 302, 'NDR', 5673, '', 0, '738\r'),
	('AT', 4248, 'BRU', 302, 'OUD', 1070, '', 0, '73G\r'),
	('AT', 4248, 'BRU', 302, 'RAK', 1075, '', 0, '319\r'),
	('AT', 4248, 'BRU', 302, 'TNG', 1080, '', 0, '73G 738\r'),
	('AT', 4248, 'BZV', 883, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'BZV', 883, 'PNR', 886, '', 0, '738\r'),
	('AT', 4248, 'CAI', 1128, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'CAI', 1128, 'RUH', 2082, '', 0, '738\r'),
	('AT', 4248, 'CKY', 4162, 'CMN', 1074, '', 0, '73G 738\r'),
	('AT', 4248, 'CMN', 1074, 'ABJ', 253, '', 0, '73G 738\r'),
	('AT', 4248, 'CMN', 1074, 'AGA', 1064, '', 0, '73G AT7 738\r'),
	('AT', 4248, 'CMN', 1074, 'AGP', 1230, '', 0, 'AT7\r'),
	('AT', 4248, 'CMN', 1074, 'ALG', 210, '', 0, '763 738\r'),
	('AT', 4248, 'CMN', 1074, 'AMS', 580, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'ARN', 737, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'AUH', 2179, 'Y', 0, '333 346 332\r'),
	('AT', 4248, 'CMN', 1074, 'BCN', 1218, '', 0, '73G 738\r'),
	('AT', 4248, 'CMN', 1074, 'BEY', 2177, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'BJL', 1050, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'BKO', 1044, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'BLQ', 1538, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'BOD', 1264, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'BRU', 302, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'BZV', 883, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'CAI', 1128, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'CKY', 4162, '', 0, '73G 738\r'),
	('AT', 4248, 'CMN', 1074, 'COO', 245, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'DKR', 1084, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'DLA', 897, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'EUN', 5672, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'FCO', 1555, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'FEZ', 1066, '', 0, 'AT7 738\r'),
	('AT', 4248, 'CMN', 1074, 'FIH', 1020, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'FNA', 1059, '', 0, '73G\r'),
	('AT', 4248, 'CMN', 1074, 'FRA', 340, '', 0, '73G 738\r'),
	('AT', 4248, 'CMN', 1074, 'GRU', 2564, '', 0, '763\r'),
	('AT', 4248, 'CMN', 1074, 'GVA', 1665, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'IST', 1701, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'JED', 2072, '', 0, '763 738\r'),
	('AT', 4248, 'CMN', 1074, 'JFK', 3797, '', 0, '763\r'),
	('AT', 4248, 'CMN', 1074, 'LAD', 951, '', 0, '763\r'),
	('AT', 4248, 'CMN', 1074, 'LBV', 970, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'LFW', 298, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'LGW', 502, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'LHR', 507, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'LIS', 1638, '', 0, '738 AT7\r'),
	('AT', 4248, 'CMN', 1074, 'LPA', 1054, '', 0, 'AT7\r'),
	('AT', 4248, 'CMN', 1074, 'LYS', 1335, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'MAD', 1229, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'MRS', 1353, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'MUC', 346, '', 0, '73G\r'),
	('AT', 4248, 'CMN', 1074, 'MXP', 1524, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'NCE', 1354, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'NDR', 5673, '', 0, '738 AT7\r'),
	('AT', 4248, 'CMN', 1074, 'NIM', 280, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'NKC', 1094, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'NSI', 4161, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'NTE', 1418, '', 0, '73G 738\r'),
	('AT', 4248, 'CMN', 1074, 'ORY', 1386, '', 0, '738 763\r'),
	('AT', 4248, 'CMN', 1074, 'OUA', 246, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'OUD', 1070, '', 0, '73G AT7 738\r'),
	('AT', 4248, 'CMN', 1074, 'OXB', 5665, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'OZZ', 1077, '', 0, 'AT7 738\r'),
	('AT', 4248, 'CMN', 1074, 'PNR', 886, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'RAI', 5674, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'RAK', 1075, '', 0, '738 AT7 73G\r'),
	('AT', 4248, 'CMN', 1074, 'RBA', 1072, '', 0, 'AT7\r'),
	('AT', 4248, 'CMN', 1074, 'ROB', 1063, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'SSG', 891, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'SVO', 2985, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'SXB', 1435, '', 0, '73G\r'),
	('AT', 4248, 'CMN', 1074, 'TFN', 1057, '', 0, 'AT7\r'),
	('AT', 4248, 'CMN', 1074, 'TIP', 1157, '', 0, '73G 738\r'),
	('AT', 4248, 'CMN', 1074, 'TLS', 1273, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'TNG', 1080, '', 0, 'AT7 738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'TRN', 1526, '', 0, '73G 738\r'),
	('AT', 4248, 'CMN', 1074, 'TTU', 1079, '', 0, 'AT7\r'),
	('AT', 4248, 'CMN', 1074, 'TUN', 287, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'TXL', 351, '', 0, '738 73G\r'),
	('AT', 4248, 'CMN', 1074, 'VIL', 5670, '', 0, '738\r'),
	('AT', 4248, 'CMN', 1074, 'VLC', 1246, '', 0, 'AT7\r'),
	('AT', 4248, 'CMN', 1074, 'YUL', 146, '', 0, '763\r'),
	('AT', 4248, 'CMN', 1074, 'ZRH', 1678, '', 0, '738 73G\r'),
	('AT', 4248, 'COO', 245, 'LOS', 273, '', 0, '738\r'),
	('AT', 4248, 'CPH', 609, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'DKR', 1084, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'DLA', 897, 'BGF', 888, '', 0, '738\r'),
	('AT', 4248, 'DLA', 897, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'DLA', 897, 'NSI', 4161, '', 0, '738\r'),
	('AT', 4248, 'ESU', 5671, 'ORY', 1386, '', 0, '738\r'),
	('AT', 4248, 'EUN', 5672, 'AGA', 1064, '', 0, '738\r'),
	('AT', 4248, 'EUN', 5672, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'FCO', 1555, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'FEZ', 1066, 'CMN', 1074, '', 0, 'AT7 738\r'),
	('AT', 4248, 'FEZ', 1066, 'ORY', 1386, '', 0, '738\r'),
	('AT', 4248, 'FIH', 1020, 'BZV', 883, '', 0, '738\r'),
	('AT', 4248, 'FNA', 1059, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'FNA', 1059, 'ROB', 1063, '', 0, '73G\r'),
	('AT', 4248, 'FRA', 340, 'CMN', 1074, '', 0, '73G 738\r'),
	('AT', 4248, 'FRA', 340, 'NDR', 5673, '', 0, '738\r'),
	('AT', 4248, 'GRU', 2564, 'CMN', 1074, '', 0, '763\r'),
	('AT', 4248, 'GVA', 1665, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'IST', 1701, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'JED', 2072, 'CMN', 1074, '', 0, '763 738\r'),
	('AT', 4248, 'JFK', 3797, 'CMN', 1074, '', 0, '763\r'),
	('AT', 4248, 'LAD', 951, 'CMN', 1074, '', 0, '763\r'),
	('AT', 4248, 'LBV', 970, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'LBV', 970, 'SSG', 891, '', 0, '738\r'),
	('AT', 4248, 'LFW', 298, 'ACC', 248, '', 0, '738\r'),
	('AT', 4248, 'LGW', 502, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'LGW', 502, 'RAK', 1075, '', 0, '738\r'),
	('AT', 4248, 'LHR', 507, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'LHR', 507, 'TNG', 1080, '', 0, '73G\r'),
	('AT', 4248, 'LIS', 1638, 'CMN', 1074, '', 0, '738 AT7\r'),
	('AT', 4248, 'LOS', 273, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'LPA', 1054, 'CMN', 1074, '', 0, 'AT7\r'),
	('AT', 4248, 'LPA', 1054, 'TFN', 1057, '', 0, 'AT7\r'),
	('AT', 4248, 'LYS', 1335, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'LYS', 1335, 'RAK', 1075, '', 0, '738\r'),
	('AT', 4248, 'MAD', 1229, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'MAD', 1229, 'RAK', 1075, '', 0, '738\r'),
	('AT', 4248, 'MAD', 1229, 'TNG', 1080, '', 0, 'AT7\r'),
	('AT', 4248, 'MRS', 1353, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'MRS', 1353, 'RAK', 1075, '', 0, '738\r'),
	('AT', 4248, 'MUC', 346, 'CMN', 1074, '', 0, '73G\r'),
	('AT', 4248, 'MUC', 346, 'RAK', 1075, '', 0, '738\r'),
	('AT', 4248, 'MXP', 1524, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'MXP', 1524, 'RAK', 1075, '', 0, '738\r'),
	('AT', 4248, 'NCE', 1354, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'NCE', 1354, 'RAK', 1075, '', 0, '738\r'),
	('AT', 4248, 'NDR', 5673, 'AMS', 580, '', 0, '738\r'),
	('AT', 4248, 'NDR', 5673, 'BRU', 302, '', 0, '738\r'),
	('AT', 4248, 'NDR', 5673, 'CMN', 1074, '', 0, '738 AT7\r'),
	('AT', 4248, 'NDR', 5673, 'FRA', 340, '', 0, '738\r'),
	('AT', 4248, 'NIM', 280, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'NIM', 280, 'OUA', 246, '', 0, '738\r'),
	('AT', 4248, 'NKC', 1094, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'NSI', 4161, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'NSI', 4161, 'DLA', 897, '', 0, '738\r'),
	('AT', 4248, 'NTE', 1418, 'CMN', 1074, '', 0, '73G 738\r'),
	('AT', 4248, 'NTE', 1418, 'RAK', 1075, '', 0, '738\r'),
	('AT', 4248, 'ORY', 1386, 'AGA', 1064, '', 0, '738\r'),
	('AT', 4248, 'ORY', 1386, 'CMN', 1074, '', 0, '738 763\r'),
	('AT', 4248, 'ORY', 1386, 'ESU', 5671, '', 0, '738\r'),
	('AT', 4248, 'ORY', 1386, 'FEZ', 1066, '', 0, '738\r'),
	('AT', 4248, 'ORY', 1386, 'OUD', 1070, '', 0, '738\r'),
	('AT', 4248, 'ORY', 1386, 'OZZ', 1077, '', 0, '738\r'),
	('AT', 4248, 'ORY', 1386, 'RAK', 1075, '', 0, '738 744\r'),
	('AT', 4248, 'ORY', 1386, 'RBA', 1072, '', 0, '738\r'),
	('AT', 4248, 'ORY', 1386, 'TNG', 1080, '', 0, '738 73G\r'),
	('AT', 4248, 'OUA', 246, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'OUA', 246, 'NIM', 280, '', 0, '738\r'),
	('AT', 4248, 'OUD', 1070, 'BRU', 302, '', 0, '73G\r'),
	('AT', 4248, 'OUD', 1070, 'CMN', 1074, '', 0, '73G AT7 738\r'),
	('AT', 4248, 'OUD', 1070, 'ORY', 1386, '', 0, '738\r'),
	('AT', 4248, 'OXB', 5665, 'BJL', 1050, '', 0, '738\r'),
	('AT', 4248, 'OXB', 5665, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'OXB', 5665, 'RAI', 5674, '', 0, '73G\r'),
	('AT', 4248, 'OZZ', 1077, 'CMN', 1074, '', 0, '738 AT7\r'),
	('AT', 4248, 'OZZ', 1077, 'ORY', 1386, '', 0, '738\r'),
	('AT', 4248, 'PNR', 886, 'BZV', 883, '', 0, '738\r'),
	('AT', 4248, 'PNR', 886, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'RAI', 5674, 'BJL', 1050, '', 0, '738\r'),
	('AT', 4248, 'RAI', 5674, 'CMN', 1074, '', 0, '73G 738\r'),
	('AT', 4248, 'RAI', 5674, 'OXB', 5665, '', 0, '738\r'),
	('AT', 4248, 'RAK', 1075, 'BOD', 1264, '', 0, '738\r'),
	('AT', 4248, 'RAK', 1075, 'BRU', 302, '', 0, '319\r'),
	('AT', 4248, 'RAK', 1075, 'CMN', 1074, '', 0, '738 AT7 73G\r'),
	('AT', 4248, 'RAK', 1075, 'LGW', 502, '', 0, '738\r'),
	('AT', 4248, 'RAK', 1075, 'LYS', 1335, '', 0, '738\r'),
	('AT', 4248, 'RAK', 1075, 'MAD', 1229, '', 0, '738\r'),
	('AT', 4248, 'RAK', 1075, 'MRS', 1353, '', 0, '738\r'),
	('AT', 4248, 'RAK', 1075, 'MUC', 346, '', 0, '738\r'),
	('AT', 4248, 'RAK', 1075, 'MXP', 1524, '', 0, '738\r'),
	('AT', 4248, 'RAK', 1075, 'NCE', 1354, '', 0, '738\r'),
	('AT', 4248, 'RAK', 1075, 'NTE', 1418, '', 0, '738\r'),
	('AT', 4248, 'RAK', 1075, 'ORY', 1386, '', 0, '738 744\r'),
	('AT', 4248, 'RAK', 1075, 'TLS', 1273, '', 0, '738\r'),
	('AT', 4248, 'RBA', 1072, 'CMN', 1074, '', 0, 'AT7\r'),
	('AT', 4248, 'RBA', 1072, 'ORY', 1386, '', 0, '738\r'),
	('AT', 4248, 'ROB', 1063, 'CMN', 1074, '', 0, '73G\r'),
	('AT', 4248, 'ROB', 1063, 'FNA', 1059, '', 0, '738 73G\r'),
	('AT', 4248, 'RUH', 2082, 'CAI', 1128, '', 0, '738\r'),
	('AT', 4248, 'SIN', 3316, 'AUH', 2179, 'Y', 0, '332\r'),
	('AT', 4248, 'SSG', 891, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'SSG', 891, 'LBV', 970, '', 0, '738\r'),
	('AT', 4248, 'SVO', 2985, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'SXB', 1435, 'CMN', 1074, '', 0, '73G\r'),
	('AT', 4248, 'TFN', 1057, 'CMN', 1074, '', 0, 'AT7\r'),
	('AT', 4248, 'TIP', 1157, 'CMN', 1074, '', 0, '73G 738\r'),
	('AT', 4248, 'TLS', 1273, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'TLS', 1273, 'RAK', 1075, '', 0, '738\r'),
	('AT', 4248, 'TNG', 1080, 'AMS', 580, '', 0, '73G 738\r'),
	('AT', 4248, 'TNG', 1080, 'BCN', 1218, '', 0, '73G\r'),
	('AT', 4248, 'TNG', 1080, 'BRU', 302, '', 0, '73G 738\r'),
	('AT', 4248, 'TNG', 1080, 'CMN', 1074, '', 0, 'AT7 738 73G\r'),
	('AT', 4248, 'TNG', 1080, 'LHR', 507, '', 0, '73G\r'),
	('AT', 4248, 'TNG', 1080, 'MAD', 1229, '', 0, 'AT7\r'),
	('AT', 4248, 'TNG', 1080, 'ORY', 1386, '', 0, '73G 738\r'),
	('AT', 4248, 'TRN', 1526, 'CMN', 1074, '', 0, '73G 738\r'),
	('AT', 4248, 'TTA', 1065, 'CMN', 1074, '', 0, 'AT7\r'),
	('AT', 4248, 'TTU', 1079, 'AHU', 1078, '', 0, 'AT7\r'),
	('AT', 4248, 'TUN', 287, 'CMN', 1074, '', 0, '738 73G\r'),
	('AT', 4248, 'TXL', 351, 'CPH', 609, '', 0, '738\r'),
	('AT', 4248, 'VIL', 5670, 'AGA', 1064, '', 0, '738\r'),
	('AT', 4248, 'VIL', 5670, 'CMN', 1074, '', 0, '738\r'),
	('AT', 4248, 'VLC', 1246, 'CMN', 1074, '', 0, 'AT7\r'),
	('AT', 4248, 'YUL', 146, 'CMN', 1074, '', 0, '763\r'),
	('AT', 4248, 'ZRH', 1678, 'CMN', 1074, '', 0, '738 73G\r'),
	('AV', 515, 'ADZ', 2749, 'BOG', 2709, '', 0, '320\r'),
	('AV', 515, 'ANF', 2651, 'LIM', 2789, 'Y', 0, '319\r'),
	('AV', 515, 'ANF', 2651, 'SCL', 2650, 'Y', 0, '319\r'),
	('AV', 515, 'APO', 5476, 'EOH', 2729, 'Y', 0, 'AT5 AT7\r'),
	('AV', 515, 'ASU', 2699, 'LIM', 2789, '', 0, 'E90\r'),
	('AV', 515, 'AUA', 2895, 'BOG', 2709, '', 0, '320 319\r'),
	('AV', 515, 'AUC', 2752, 'BOG', 2709, 'Y', 0, 'AT5 ER4\r'),
	('AV', 515, 'AXM', 2705, 'BOG', 2709, '', 0, 'AT7 320 318 319\r'),
	('AV', 515, 'BAQ', 2710, 'BOG', 2709, '', 0, '319 318 320\r'),
	('AV', 515, 'BAQ', 2710, 'CLO', 2715, '', 0, '320 318\r'),
	('AV', 515, 'BAQ', 2710, 'MDE', 2745, '', 0, '318 319 320\r'),
	('AV', 515, 'BAQ', 2710, 'MIA', 3576, '', 0, '318 320\r'),
	('AV', 515, 'BCN', 1218, 'BOG', 2709, '', 0, '330\r'),
	('AV', 515, 'BGA', 2708, 'BOG', 2709, '', 0, '320 319 AT7 318\r'),
	('AV', 515, 'BGA', 2708, 'MDE', 2745, '', 0, '320\r'),
	('AV', 515, 'BOG', 2709, 'ADZ', 2749, '', 0, '320\r'),
	('AV', 515, 'BOG', 2709, 'AUA', 2895, '', 0, '320 319\r'),
	('AV', 515, 'BOG', 2709, 'AUC', 2752, 'Y', 0, 'AT5 ER4\r'),
	('AV', 515, 'BOG', 2709, 'AXM', 2705, '', 0, 'AT7 320 318 319\r'),
	('AV', 515, 'BOG', 2709, 'BAQ', 2710, '', 0, '320 318 319\r'),
	('AV', 515, 'BOG', 2709, 'BCN', 1218, '', 0, '330\r'),
	('AV', 515, 'BOG', 2709, 'BGA', 2708, '', 0, '320 319 AT7 318\r'),
	('AV', 515, 'BOG', 2709, 'BUN', 2712, 'Y', 0, 'AT5\r'),
	('AV', 515, 'BOG', 2709, 'CCS', 2851, '', 0, '320 330\r'),
	('AV', 515, 'BOG', 2709, 'CLO', 2715, '', 0, '320 319 AT7 318 330\r'),
	('AV', 515, 'BOG', 2709, 'CTG', 2714, '', 0, '318 320 319\r'),
	('AV', 515, 'BOG', 2709, 'CUC', 2713, '', 0, '320 319 318\r'),
	('AV', 515, 'BOG', 2709, 'CUN', 1852, '', 0, '319 320\r'),
	('AV', 515, 'BOG', 2709, 'CUR', 2897, '', 0, '319 318 320\r'),
	('AV', 515, 'BOG', 2709, 'CZU', 2717, 'Y', 0, 'AT5\r'),
	('AV', 515, 'BOG', 2709, 'EJA', 2718, '', 0, '320 AT7 318 319\r'),
	('AV', 515, 'BOG', 2709, 'EWR', 3494, '', 0, '73G\r'),
	('AV', 515, 'BOG', 2709, 'EYP', 6055, '', 0, 'AT7\r'),
	('AV', 515, 'BOG', 2709, 'EZE', 3988, '', 0, '330\r'),
	('AV', 515, 'BOG', 2709, 'FLA', 2719, '', 0, 'AT7\r'),
	('AV', 515, 'BOG', 2709, 'FLL', 3533, '', 0, '320\r'),
	('AV', 515, 'BOG', 2709, 'FRA', 340, 'Y', 0, '346\r'),
	('AV', 515, 'BOG', 2709, 'GIG', 2560, '', 0, '319\r'),
	('AV', 515, 'BOG', 2709, 'GRU', 2564, '', 0, '319 330\r'),
	('AV', 515, 'BOG', 2709, 'GUA', 1767, '', 0, '318\r'),
	('AV', 515, 'BOG', 2709, 'GYE', 2673, 'Y', 0, '319\r'),
	('AV', 515, 'BOG', 2709, 'HAV', 1909, '', 0, '318 319\r'),
	('AV', 515, 'BOG', 2709, 'IAD', 3714, '', 0, '319\r'),
	('AV', 515, 'BOG', 2709, 'IAH', 3550, '', 0, '752 73G\r'),
	('AV', 515, 'BOG', 2709, 'IBE', 2724, '', 0, 'AT7\r'),
	('AV', 515, 'BOG', 2709, 'JFK', 3797, '', 0, '319 330\r'),
	('AV', 515, 'BOG', 2709, 'LET', 2728, '', 0, '320 E90 318\r'),
	('AV', 515, 'BOG', 2709, 'LIM', 2789, '', 0, '320 330\r'),
	('AV', 515, 'BOG', 2709, 'LPB', 2762, '', 0, '319\r'),
	('AV', 515, 'BOG', 2709, 'MAD', 1229, '', 0, '330\r'),
	('AV', 515, 'BOG', 2709, 'MCO', 3878, '', 0, '319\r'),
	('AV', 515, 'BOG', 2709, 'MDE', 2745, '', 0, '320 319 318\r'),
	('AV', 515, 'BOG', 2709, 'MEX', 1824, '', 0, '330 320 737\r'),
	('AV', 515, 'BOG', 2709, 'MIA', 3576, '', 0, '330 319\r'),
	('AV', 515, 'BOG', 2709, 'MTR', 2731, '', 0, '318 320 319\r'),
	('AV', 515, 'BOG', 2709, 'MZL', 2733, '', 0, 'AT7\r'),
	('AV', 515, 'BOG', 2709, 'NVA', 2734, '', 0, '318 AT7\r'),
	('AV', 515, 'BOG', 2709, 'PCR', 2738, 'Y', 0, 'ER4\r'),
	('AV', 515, 'BOG', 2709, 'PDA', 6054, 'Y', 0, 'ER4\r'),
	('AV', 515, 'BOG', 2709, 'PEI', 2739, '', 0, '320 318 AT7 319\r'),
	('AV', 515, 'BOG', 2709, 'PPN', 2741, '', 0, 'AT7 318\r'),
	('AV', 515, 'BOG', 2709, 'PSO', 2742, '', 0, '318\r'),
	('AV', 515, 'BOG', 2709, 'PTY', 1871, '', 0, '319 330 73G 320\r'),
	('AV', 515, 'BOG', 2709, 'PUJ', 1760, '', 0, '320 319\r'),
	('AV', 515, 'BOG', 2709, 'RCH', 2746, '', 0, '320 318 319\r'),
	('AV', 515, 'BOG', 2709, 'SAL', 1892, '', 0, '320 E90 319\r'),
	('AV', 515, 'BOG', 2709, 'SCL', 2650, '', 0, '330\r'),
	('AV', 515, 'BOG', 2709, 'SDQ', 1762, '', 0, '319\r'),
	('AV', 515, 'BOG', 2709, 'SJE', 2747, 'Y', 0, 'AT5\r'),
	('AV', 515, 'BOG', 2709, 'SJO', 1885, '', 0, '319\r'),
	('AV', 515, 'BOG', 2709, 'SJU', 2890, '', 0, '319\r'),
	('AV', 515, 'BOG', 2709, 'SMR', 2748, '', 0, '320 318 319\r'),
	('AV', 515, 'BOG', 2709, 'UIB', 2753, 'Y', 0, 'AT5\r'),
	('AV', 515, 'BOG', 2709, 'UIO', 2688, 'Y', 0, '320 319\r'),
	('AV', 515, 'BOG', 2709, 'VUP', 2755, '', 0, '320 318 319\r'),
	('AV', 515, 'BOG', 2709, 'VVC', 2756, 'Y', 0, 'AT5\r'),
	('AV', 515, 'BOG', 2709, 'YYZ', 193, 'Y', 0, '763\r'),
	('AV', 515, 'BUN', 2712, 'BOG', 2709, 'Y', 0, 'AT5\r'),
	('AV', 515, 'BZE', 1957, 'SAL', 1892, '', 0, 'E90\r'),
	('AV', 515, 'CCS', 2851, 'BOG', 2709, '', 0, '320 330\r'),
	('AV', 515, 'CCS', 2851, 'LIM', 2789, '', 0, 'E90\r'),
	('AV', 515, 'CLO', 2715, 'BAQ', 2710, '', 0, '318 320\r'),
	('AV', 515, 'CLO', 2715, 'BOG', 2709, '', 0, '318 320 319 AT7 330\r'),
	('AV', 515, 'CLO', 2715, 'CTG', 2714, '', 0, '318 320\r'),
	('AV', 515, 'CLO', 2715, 'GPI', 2722, 'Y', 0, 'AT5\r'),
	('AV', 515, 'CLO', 2715, 'GYE', 2673, 'Y', 0, '319\r'),
	('AV', 515, 'CLO', 2715, 'LIM', 2789, '', 0, 'E90\r'),
	('AV', 515, 'CLO', 2715, 'MAD', 1229, '', 0, '330\r'),
	('AV', 515, 'CLO', 2715, 'MDE', 2745, '', 0, '320 319 AT7 318\r'),
	('AV', 515, 'CLO', 2715, 'MIA', 3576, '', 0, '319 318 320\r'),
	('AV', 515, 'CLO', 2715, 'PSO', 2742, '', 0, 'AT7\r'),
	('AV', 515, 'CLO', 2715, 'SAL', 1892, '', 0, 'E90\r'),
	('AV', 515, 'CLO', 2715, 'TCO', 2716, '', 0, 'AT7\r'),
	('AV', 515, 'CLT', 3876, 'SJO', 1885, '', 0, '319\r'),
	('AV', 515, 'CTG', 2714, 'BOG', 2709, '', 0, '318 320 319\r'),
	('AV', 515, 'CTG', 2714, 'CLO', 2715, '', 0, '318 320\r'),
	('AV', 515, 'CTG', 2714, 'MDE', 2745, '', 0, '320 318\r'),
	('AV', 515, 'CTG', 2714, 'MIA', 3576, '', 0, '318 320\r'),
	('AV', 515, 'CUC', 2713, 'BOG', 2709, '', 0, '320 319 318\r'),
	('AV', 515, 'CUC', 2713, 'MDE', 2745, '', 0, '318\r'),
	('AV', 515, 'CUN', 1852, 'BOG', 2709, '', 0, '319 320\r'),
	('AV', 515, 'CUN', 1852, 'SAL', 1892, '', 0, '321 320 E90\r'),
	('AV', 515, 'CUR', 2897, 'BOG', 2709, '', 0, '319 318 320\r'),
	('AV', 515, 'CZU', 2717, 'BOG', 2709, 'Y', 0, 'AT5\r'),
	('AV', 515, 'DFW', 3670, 'SAL', 1892, '', 0, 'E90\r'),
	('AV', 515, 'EJA', 2718, 'BOG', 2709, '', 0, '320 AT7 318 319\r'),
	('AV', 515, 'EOH', 2729, 'APO', 5476, 'Y', 0, 'AT5 AT7\r'),
	('AV', 515, 'EOH', 2729, 'UIB', 2753, 'Y', 0, 'AT7 AT5\r'),
	('AV', 515, 'EWR', 3494, 'BOG', 2709, '', 0, '73G\r'),
	('AV', 515, 'EWR', 3494, 'SAL', 1892, '', 0, '320 738\r'),
	('AV', 515, 'EYP', 6055, 'BOG', 2709, '', 0, 'AT7\r'),
	('AV', 515, 'EZE', 3988, 'BOG', 2709, '', 0, '330\r'),
	('AV', 515, 'EZE', 3988, 'LIM', 2789, '', 0, '330 321\r'),
	('AV', 515, 'FLA', 2719, 'BOG', 2709, '', 0, 'AT7\r'),
	('AV', 515, 'FLL', 3533, 'BOG', 2709, '', 0, '320\r'),
	('AV', 515, 'FRA', 340, 'BOG', 2709, 'Y', 0, '346\r'),
	('AV', 515, 'GIG', 2560, 'BOG', 2709, '', 0, '319\r'),
	('AV', 515, 'GIG', 2560, 'LIM', 2789, 'Y', 0, '320\r'),
	('AV', 515, 'GPI', 2722, 'CLO', 2715, 'Y', 0, 'AT5\r'),
	('AV', 515, 'GRU', 2564, 'BOG', 2709, '', 0, '319 330\r'),
	('AV', 515, 'GRU', 2564, 'LIM', 2789, 'Y', 0, '321\r'),
	('AV', 515, 'GUA', 1767, 'BOG', 2709, '', 0, '318\r'),
	('AV', 515, 'GUA', 1767, 'LAX', 3484, '', 0, '320\r'),
	('AV', 515, 'GUA', 1767, 'MIA', 3576, '', 0, 'E90\r'),
	('AV', 515, 'GUA', 1767, 'SAL', 1892, '', 0, 'E90 319 320 321\r'),
	('AV', 515, 'GUA', 1767, 'SAP', 1772, '', 0, 'ATR\r'),
	('AV', 515, 'GUA', 1767, 'SJO', 1885, '', 0, '320\r'),
	('AV', 515, 'GUA', 1767, 'TGU', 1776, '', 0, 'ATR\r'),
	('AV', 515, 'GYE', 2673, 'BOG', 2709, 'Y', 0, '319\r'),
	('AV', 515, 'GYE', 2673, 'CLO', 2715, 'Y', 0, '319\r'),
	('AV', 515, 'GYE', 2673, 'LIM', 2789, '', 0, '320 319\r'),
	('AV', 515, 'GYE', 2673, 'SAL', 1892, '', 0, 'E90\r'),
	('AV', 515, 'HAV', 1909, 'BOG', 2709, '', 0, '318 319\r'),
	('AV', 515, 'IAD', 3714, 'BOG', 2709, '', 0, '319\r'),
	('AV', 515, 'IAD', 3714, 'SAL', 1892, '', 0, '319 321 320\r'),
	('AV', 515, 'IAH', 3550, 'BOG', 2709, '', 0, '752 73G\r'),
	('AV', 515, 'IAH', 3550, 'SAL', 1892, '', 0, '738 E90\r'),
	('AV', 515, 'IBE', 2724, 'BOG', 2709, '', 0, 'AT7\r'),
	('AV', 515, 'JFK', 3797, 'BOG', 2709, '', 0, '319 330\r'),
	('AV', 515, 'JFK', 3797, 'MDE', 2745, '', 0, '319\r'),
	('AV', 515, 'JFK', 3797, 'SAL', 1892, '', 0, '320 321\r'),
	('AV', 515, 'JFK', 3797, 'SAP', 1772, '', 0, '320\r'),
	('AV', 515, 'LAX', 3484, 'GUA', 1767, '', 0, '320\r'),
	('AV', 515, 'LAX', 3484, 'SAL', 1892, '', 0, '320 321 319\r'),
	('AV', 515, 'LET', 2728, 'BOG', 2709, '', 0, '320 E90 318\r'),
	('AV', 515, 'LIM', 2789, 'ANF', 2651, 'Y', 0, '319\r'),
	('AV', 515, 'LIM', 2789, 'ASU', 2699, '', 0, 'E90\r'),
	('AV', 515, 'LIM', 2789, 'BOG', 2709, '', 0, '320 330\r'),
	('AV', 515, 'LIM', 2789, 'CCS', 2851, '', 0, 'E90\r'),
	('AV', 515, 'LIM', 2789, 'CLO', 2715, '', 0, 'E90\r'),
	('AV', 515, 'LIM', 2789, 'EZE', 3988, '', 0, '321 330\r'),
	('AV', 515, 'LIM', 2789, 'GIG', 2560, 'Y', 0, '320\r'),
	('AV', 515, 'LIM', 2789, 'GRU', 2564, 'Y', 0, '321\r'),
	('AV', 515, 'LIM', 2789, 'GYE', 2673, '', 0, '320 319\r'),
	('AV', 515, 'LIM', 2789, 'LPB', 2762, '', 0, '320\r'),
	('AV', 515, 'LIM', 2789, 'MDE', 2745, '', 0, '319\r'),
	('AV', 515, 'LIM', 2789, 'MEX', 1824, '', 0, '319 320\r'),
	('AV', 515, 'LIM', 2789, 'MIA', 3576, '', 0, '330\r'),
	('AV', 515, 'LIM', 2789, 'MVD', 2816, '', 0, '320\r'),
	('AV', 515, 'LIM', 2789, 'POA', 2599, 'Y', 0, '319 320\r'),
	('AV', 515, 'LIM', 2789, 'SAL', 1892, '', 0, '319 321 E90 320\r'),
	('AV', 515, 'LIM', 2789, 'SCL', 2650, '', 0, '319 321\r'),
	('AV', 515, 'LIM', 2789, 'SDQ', 1762, '', 0, '320 319\r'),
	('AV', 515, 'LIM', 2789, 'SJO', 1885, '', 0, '320\r'),
	('AV', 515, 'LIM', 2789, 'UIO', 2688, '', 0, '320\r'),
	('AV', 515, 'LIM', 2789, 'VVI', 2771, '', 0, '319\r'),
	('AV', 515, 'LIR', 1881, 'SAL', 1892, '', 0, 'ATR\r'),
	('AV', 515, 'LPB', 2762, 'BOG', 2709, '', 0, '319\r'),
	('AV', 515, 'LPB', 2762, 'LIM', 2789, '', 0, '320\r'),
	('AV', 515, 'MAD', 1229, 'BOG', 2709, '', 0, '330\r'),
	('AV', 515, 'MAD', 1229, 'CLO', 2715, '', 0, '330\r'),
	('AV', 515, 'MAD', 1229, 'MDE', 2745, '', 0, '330\r'),
	('AV', 515, 'MCO', 3878, 'BOG', 2709, '', 0, '319\r'),
	('AV', 515, 'MCO', 3878, 'SAL', 1892, '', 0, 'E90\r'),
	('AV', 515, 'MDE', 2745, 'BAQ', 2710, '', 0, '319 318 320\r'),
	('AV', 515, 'MDE', 2745, 'BGA', 2708, '', 0, '320\r'),
	('AV', 515, 'MDE', 2745, 'BOG', 2709, '', 0, '318 319 320\r'),
	('AV', 515, 'MDE', 2745, 'CLO', 2715, '', 0, '319 318 AT7 320\r'),
	('AV', 515, 'MDE', 2745, 'CTG', 2714, '', 0, '320 318\r'),
	('AV', 515, 'MDE', 2745, 'CUC', 2713, '', 0, '318\r'),
	('AV', 515, 'MDE', 2745, 'JFK', 3797, '', 0, '319\r'),
	('AV', 515, 'MDE', 2745, 'LIM', 2789, '', 0, '319\r'),
	('AV', 515, 'MDE', 2745, 'MAD', 1229, '', 0, '330\r'),
	('AV', 515, 'MDE', 2745, 'MIA', 3576, '', 0, '319 320\r'),
	('AV', 515, 'MDE', 2745, 'SAL', 1892, '', 0, 'E90\r'),
	('AV', 515, 'MDE', 2745, 'SMR', 2748, '', 0, '318 320\r'),
	('AV', 515, 'MEX', 1824, 'BOG', 2709, '', 0, '320 737 330\r'),
	('AV', 515, 'MEX', 1824, 'LIM', 2789, '', 0, '319 320\r'),
	('AV', 515, 'MEX', 1824, 'SAL', 1892, '', 0, '319 320\r'),
	('AV', 515, 'MEX', 1824, 'SJO', 1885, '', 0, '319\r'),
	('AV', 515, 'MEX', 1824, 'YYZ', 193, '', 0, '319\r'),
	('AV', 515, 'MIA', 3576, 'BAQ', 2710, '', 0, '318 320\r'),
	('AV', 515, 'MIA', 3576, 'BOG', 2709, '', 0, '319 330\r'),
	('AV', 515, 'MIA', 3576, 'CLO', 2715, '', 0, '319 318 320\r'),
	('AV', 515, 'MIA', 3576, 'CTG', 2714, '', 0, '318 320\r'),
	('AV', 515, 'MIA', 3576, 'GUA', 1767, '', 0, 'E90\r'),
	('AV', 515, 'MIA', 3576, 'LIM', 2789, '', 0, '330\r'),
	('AV', 515, 'MIA', 3576, 'MDE', 2745, '', 0, '319 320\r'),
	('AV', 515, 'MIA', 3576, 'SAL', 1892, '', 0, '320 319 E90\r'),
	('AV', 515, 'MIA', 3576, 'SAP', 1772, '', 0, '320 E90 319\r'),
	('AV', 515, 'MTR', 2731, 'BOG', 2709, '', 0, '318 320 319\r'),
	('AV', 515, 'MVD', 2816, 'LIM', 2789, '', 0, '320\r'),
	('AV', 515, 'MVP', 2732, 'VVC', 2756, 'Y', 0, 'AT5\r'),
	('AV', 515, 'MZL', 2733, 'BOG', 2709, '', 0, 'AT7\r'),
	('AV', 515, 'NVA', 2734, 'BOG', 2709, '', 0, '318 AT7\r'),
	('AV', 515, 'ORD', 3830, 'SAL', 1892, '', 0, '319\r'),
	('AV', 515, 'PCR', 2738, 'BOG', 2709, 'Y', 0, 'ER4\r'),
	('AV', 515, 'PDA', 6054, 'BOG', 2709, 'Y', 0, 'ER4\r'),
	('AV', 515, 'PEI', 2739, 'BOG', 2709, '', 0, '320 318 AT7 319\r'),
	('AV', 515, 'POA', 2599, 'LIM', 2789, '', 0, '319 320\r'),
	('AV', 515, 'PPN', 2741, 'BOG', 2709, '', 0, 'AT7 318\r'),
	('AV', 515, 'PSO', 2742, 'BOG', 2709, '', 0, '318\r'),
	('AV', 515, 'PSO', 2742, 'CLO', 2715, '', 0, 'AT7\r'),
	('AV', 515, 'PTY', 1871, 'BOG', 2709, '', 0, '319 73G 330 320\r'),
	('AV', 515, 'PTY', 1871, 'SAL', 1892, '', 0, 'E90\r'),
	('AV', 515, 'PTY', 1871, 'SJO', 1885, '', 0, 'E90 319\r'),
	('AV', 515, 'PUJ', 1760, 'BOG', 2709, '', 0, '320 319\r'),
	('AV', 515, 'RCH', 2746, 'BOG', 2709, '', 0, '320 318 319\r'),
	('AV', 515, 'RTB', 1774, 'SAL', 1892, '', 0, 'ATR\r'),
	('AV', 515, 'SAL', 1892, 'BOG', 2709, '', 0, 'E90 320 319\r'),
	('AV', 515, 'SAL', 1892, 'BZE', 1957, '', 0, 'E90\r'),
	('AV', 515, 'SAL', 1892, 'CLO', 2715, '', 0, 'E90\r'),
	('AV', 515, 'SAL', 1892, 'CUN', 1852, '', 0, '321 320 E90\r'),
	('AV', 515, 'SAL', 1892, 'DFW', 3670, '', 0, 'E90\r'),
	('AV', 515, 'SAL', 1892, 'EWR', 3494, '', 0, '320 738\r'),
	('AV', 515, 'SAL', 1892, 'GUA', 1767, '', 0, 'E90 319 320 321\r'),
	('AV', 515, 'SAL', 1892, 'GYE', 2673, '', 0, 'E90\r'),
	('AV', 515, 'SAL', 1892, 'IAD', 3714, '', 0, '321 319 320\r'),
	('AV', 515, 'SAL', 1892, 'IAH', 3550, '', 0, '738 E90\r'),
	('AV', 515, 'SAL', 1892, 'JFK', 3797, '', 0, '320 321\r'),
	('AV', 515, 'SAL', 1892, 'LAX', 3484, '', 0, '320 319 321\r'),
	('AV', 515, 'SAL', 1892, 'LIM', 2789, '', 0, '321 E90 319 320\r'),
	('AV', 515, 'SAL', 1892, 'LIR', 1881, '', 0, 'ATR\r'),
	('AV', 515, 'SAL', 1892, 'MCO', 3878, '', 0, 'E90\r'),
	('AV', 515, 'SAL', 1892, 'MDE', 2745, '', 0, 'E90\r'),
	('AV', 515, 'SAL', 1892, 'MEX', 1824, '', 0, '319 320\r'),
	('AV', 515, 'SAL', 1892, 'MIA', 3576, '', 0, '320 319 E90\r'),
	('AV', 515, 'SAL', 1892, 'ORD', 3830, '', 0, '319\r'),
	('AV', 515, 'SAL', 1892, 'PTY', 1871, '', 0, 'E90\r'),
	('AV', 515, 'SAL', 1892, 'RTB', 1774, '', 0, 'ATR\r'),
	('AV', 515, 'SAL', 1892, 'SAP', 1772, '', 0, '320 ATR E90 319\r'),
	('AV', 515, 'SAL', 1892, 'SFO', 3469, '', 0, '319 320\r'),
	('AV', 515, 'SAL', 1892, 'SJO', 1885, '', 0, '320 E90 321 319\r'),
	('AV', 515, 'SAL', 1892, 'TGU', 1776, '', 0, 'E90 ATR\r'),
	('AV', 515, 'SAL', 1892, 'UIO', 2688, '', 0, '320 319\r'),
	('AV', 515, 'SAL', 1892, 'YYZ', 193, '', 0, '320\r'),
	('AV', 515, 'SAP', 1772, 'GUA', 1767, '', 0, 'ATR\r'),
	('AV', 515, 'SAP', 1772, 'JFK', 3797, '', 0, '320\r'),
	('AV', 515, 'SAP', 1772, 'MIA', 3576, '', 0, '320 E90 319\r'),
	('AV', 515, 'SAP', 1772, 'SAL', 1892, '', 0, 'E90 ATR 320 319\r'),
	('AV', 515, 'SAP', 1772, 'SJO', 1885, '', 0, 'ATR\r'),
	('AV', 515, 'SCL', 2650, 'ANF', 2651, 'Y', 0, '319\r'),
	('AV', 515, 'SCL', 2650, 'BOG', 2709, '', 0, '330\r'),
	('AV', 515, 'SCL', 2650, 'LIM', 2789, '', 0, '321 319\r'),
	('AV', 515, 'SDQ', 1762, 'BOG', 2709, '', 0, '319\r'),
	('AV', 515, 'SDQ', 1762, 'LIM', 2789, '', 0, '320 319\r'),
	('AV', 515, 'SFO', 3469, 'SAL', 1892, '', 0, '319 320\r'),
	('AV', 515, 'SJE', 2747, 'BOG', 2709, 'Y', 0, 'AT5\r'),
	('AV', 515, 'SJO', 1885, 'BOG', 2709, '', 0, '319\r'),
	('AV', 515, 'SJO', 1885, 'CLT', 3876, '', 0, '319\r'),
	('AV', 515, 'SJO', 1885, 'GUA', 1767, '', 0, '320\r'),
	('AV', 515, 'SJO', 1885, 'LIM', 2789, '', 0, '320\r'),
	('AV', 515, 'SJO', 1885, 'MEX', 1824, '', 0, '319\r'),
	('AV', 515, 'SJO', 1885, 'PTY', 1871, '', 0, '319 E90\r'),
	('AV', 515, 'SJO', 1885, 'SAL', 1892, '', 0, 'E90 320 321 319\r'),
	('AV', 515, 'SJO', 1885, 'SAP', 1772, '', 0, 'ATR\r'),
	('AV', 515, 'SJO', 1885, 'TGU', 1776, '', 0, 'ATR\r'),
	('AV', 515, 'SJU', 2890, 'BOG', 2709, '', 0, '319\r'),
	('AV', 515, 'SMR', 2748, 'BOG', 2709, '', 0, '320 318 319\r'),
	('AV', 515, 'SMR', 2748, 'MDE', 2745, '', 0, '318 320\r'),
	('AV', 515, 'TCO', 2716, 'CLO', 2715, '', 0, 'AT7\r'),
	('AV', 515, 'TGU', 1776, 'GUA', 1767, '', 0, 'ATR\r'),
	('AV', 515, 'TGU', 1776, 'SAL', 1892, '', 0, 'ATR E90\r'),
	('AV', 515, 'TGU', 1776, 'SJO', 1885, '', 0, 'ATR\r'),
	('AV', 515, 'UIB', 2753, 'BOG', 2709, 'Y', 0, 'AT5\r'),
	('AV', 515, 'UIB', 2753, 'EOH', 2729, 'Y', 0, 'AT7 AT5\r'),
	('AV', 515, 'UIO', 2688, 'BOG', 2709, 'Y', 0, '320 319\r'),
	('AV', 515, 'UIO', 2688, 'LIM', 2789, '', 0, '320\r'),
	('AV', 515, 'UIO', 2688, 'SAL', 1892, '', 0, '319 320\r'),
	('AV', 515, 'VUP', 2755, 'BOG', 2709, '', 0, '320 318 319\r'),
	('AV', 515, 'VVC', 2756, 'BOG', 2709, 'Y', 0, 'AT5\r'),
	('AV', 515, 'VVC', 2756, 'MVP', 2732, 'Y', 0, 'AT5\r'),
	('AV', 515, 'VVI', 2771, 'LIM', 2789, '', 0, '319\r'),
	('AV', 515, 'YYZ', 193, 'BOG', 2709, 'Y', 0, '763\r'),
	('AV', 515, 'YYZ', 193, 'MEX', 1824, '', 0, '319\r'),
	('AV', 515, 'YYZ', 193, 'SAL', 1892, '', 0, '320\r'),
	('AW', 16960, 'ACC', 248, 'KMS', 5556, '', 0, 'ER4\r'),
	('AW', 16960, 'ACC', 248, 'LOS', 273, '', 0, 'ER4\r'),
	('AW', 16960, 'ACC', 248, 'TML', 249, '', 0, 'ER4\r'),
	('AW', 16960, 'KMS', 5556, 'ACC', 248, '', 0, 'ER4\r'),
	('AW', 16960, 'LOS', 273, 'ACC', 248, '', 0, 'ER4\r'),
	('AW', 16960, 'TML', 249, 'ACC', 248, '', 0, 'ER4\r'),
	('AY', 2350, 'AGP', 1230, 'HEL', 421, '', 0, '320 32B 321\r'),
	('AY', 2350, 'AMS', 580, 'HEL', 421, '', 0, '320 321\r'),
	('AY', 2350, 'AMS', 580, 'LIS', 1638, 'Y', 0, '320 319\r'),
	('AY', 2350, 'AMS', 580, 'OPO', 1636, 'Y', 0, '100 ER4\r'),
	('AY', 2350, 'ARN', 737, 'HEL', 421, '', 0, '319 320\r'),
	('AY', 2350, 'ARN', 737, 'LHR', 507, 'Y', 0, '320 321 319 767\r'),
	('AY', 2350, 'ARN', 737, 'TXL', 351, 'Y', 0, '321 738 320 319\r'),
	('AY', 2350, 'ARN', 737, 'VIE', 1613, 'Y', 0, 'E90\r'),
	('AY', 2350, 'ATL', 3682, 'LHR', 507, 'Y', 0, '777\r'),
	('AY', 2350, 'AUS', 3673, 'LHR', 507, '', 0, '788\r'),
	('AY', 2350, 'AYT', 1688, 'HEL', 421, '', 0, '320\r'),
	('AY', 2350, 'BCN', 1218, 'HEL', 421, '', 0, '321\r'),
	('AY', 2350, 'BCN', 1218, 'JFK', 3797, '', 0, '763\r'),
	('AY', 2350, 'BCN', 1218, 'MIA', 3576, '', 0, '763\r'),
	('AY', 2350, 'BKK', 3885, 'HEL', 421, '', 0, '343\r'),
	('AY', 2350, 'BMA', 738, 'GOT', 687, 'Y', 0, 'AR8 AR1\r'),
	('AY', 2350, 'BMA', 738, 'HEL', 421, 'Y', 0, 'ATR AT7\r'),
	('AY', 2350, 'BMA', 738, 'MMX', 708, 'Y', 0, 'AR1 AR8\r'),
	('AY', 2350, 'BMA', 738, 'UME', 728, 'Y', 0, 'AR1 AR8\r'),
	('AY', 2350, 'BNE', 3320, 'CNS', 3322, 'Y', 0, '333\r'),
	('AY', 2350, 'BNE', 3320, 'HKG', 3077, '', 0, '333\r'),
	('AY', 2350, 'BOS', 3448, 'LHR', 507, '', 0, '777 744\r'),
	('AY', 2350, 'BOS', 3448, 'MAD', 1229, '', 0, '333\r'),
	('AY', 2350, 'BRU', 302, 'HEL', 421, '', 0, '319 320 343\r'),
	('AY', 2350, 'BRU', 302, 'LIS', 1638, 'Y', 0, '321 320 319 100\r'),
	('AY', 2350, 'BUD', 1489, 'HEL', 421, '', 0, '320 319\r'),
	('AY', 2350, 'BWI', 3849, 'LHR', 507, '', 0, '767\r'),
	('AY', 2350, 'CDG', 1382, 'DFW', 3670, 'Y', 0, '763 777\r'),
	('AY', 2350, 'CDG', 1382, 'HEL', 421, '', 0, '321 320 32B 319\r'),
	('AY', 2350, 'CDG', 1382, 'JFK', 3797, '', 0, '763 757\r'),
	('AY', 2350, 'CDG', 1382, 'MIA', 3576, 'Y', 0, '763\r'),
	('AY', 2350, 'CDG', 1382, 'ORD', 3830, 'Y', 0, '763\r'),
	('AY', 2350, 'CGN', 344, 'TXL', 351, 'Y', 0, '73G 738 320 319\r'),
	('AY', 2350, 'CKG', 3393, 'HEL', 421, '', 0, '333\r'),
	('AY', 2350, 'CNS', 3322, 'BNE', 3320, 'Y', 0, '333\r'),
	('AY', 2350, 'CNS', 3322, 'HKG', 3077, 'Y', 0, '333\r'),
	('AY', 2350, 'CPH', 609, 'DUS', 345, 'Y', 0, '319 320 DH4 738\r'),
	('AY', 2350, 'CPH', 609, 'HEL', 421, '', 0, '320 319 321\r'),
	('AY', 2350, 'CPH', 609, 'TXL', 351, 'Y', 0, '738 319 73G\r'),
	('AY', 2350, 'CPH', 609, 'VIE', 1613, 'Y', 0, 'E90\r'),
	('AY', 2350, 'CTA', 1509, 'DUS', 345, 'Y', 0, '321 738\r'),
	('AY', 2350, 'CTA', 1509, 'MUC', 346, 'Y', 0, '738\r'),
	('AY', 2350, 'CTA', 1509, 'TXL', 351, 'Y', 0, '321 320 738\r'),
	('AY', 2350, 'DBV', 1200, 'HEL', 421, '', 0, '320 321\r'),
	('AY', 2350, 'DEL', 3093, 'HEL', 421, '', 0, '333\r'),
	('AY', 2350, 'DEN', 3751, 'LHR', 507, '', 0, '777\r'),
	('AY', 2350, 'DFW', 3670, 'CDG', 1382, 'Y', 0, '763 777\r'),
	('AY', 2350, 'DFW', 3670, 'FRA', 340, 'Y', 0, '777\r'),
	('AY', 2350, 'DFW', 3670, 'LHR', 507, '', 0, '744\r'),
	('AY', 2350, 'DFW', 3670, 'MAD', 1229, '', 0, '777\r'),
	('AY', 2350, 'DME', 4029, 'HEL', 421, '', 0, '319\r'),
	('AY', 2350, 'DUB', 599, 'JFK', 3797, '', 0, '757\r'),
	('AY', 2350, 'DUB', 599, 'ORD', 3830, '', 0, '763\r'),
	('AY', 2350, 'DUS', 345, 'CPH', 609, 'Y', 0, '319 320 DH4 738\r'),
	('AY', 2350, 'DUS', 345, 'CTA', 1509, 'Y', 0, '738\r'),
	('AY', 2350, 'DUS', 345, 'FLR', 1563, 'Y', 0, 'DH4\r'),
	('AY', 2350, 'DUS', 345, 'HEL', 421, 'Y', 0, 'E90\r'),
	('AY', 2350, 'DUS', 345, 'ORD', 3830, '', 0, '763\r'),
	('AY', 2350, 'DUS', 345, 'SZG', 1612, 'Y', 0, 'DH4\r'),
	('AY', 2350, 'EWR', 3494, 'LHR', 507, '', 0, '777 788\r'),
	('AY', 2350, 'FCO', 1555, 'HEL', 421, '', 0, '321 32B\r'),
	('AY', 2350, 'FCO', 1555, 'JFK', 3797, 'Y', 0, '763\r'),
	('AY', 2350, 'FCO', 1555, 'ORD', 3830, '', 0, '763\r'),
	('AY', 2350, 'FLR', 1563, 'DUS', 345, 'Y', 0, 'DH4\r'),
	('AY', 2350, 'FLR', 1563, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('AY', 2350, 'FRA', 340, 'DFW', 3670, 'Y', 0, '777\r'),
	('AY', 2350, 'FRA', 340, 'HEL', 421, 'Y', 0, 'E90\r'),
	('AY', 2350, 'FRA', 340, 'MAD', 1229, 'Y', 0, '32A\r'),
	('AY', 2350, 'GOT', 687, 'BMA', 738, 'Y', 0, 'AR1\r'),
	('AY', 2350, 'GOT', 687, 'HEL', 421, '', 0, '319 320\r'),
	('AY', 2350, 'GOT', 687, 'TXL', 351, 'Y', 0, '73G\r'),
	('AY', 2350, 'GVA', 1665, 'HEL', 421, 'Y', 0, 'E90 E70\r'),
	('AY', 2350, 'GVA', 1665, 'LIS', 1638, 'Y', 0, '319 320\r'),
	('AY', 2350, 'GVA', 1665, 'OPO', 1636, 'Y', 0, '319\r'),
	('AY', 2350, 'GZP', 8266, 'HEL', 421, '', 0, '319\r'),
	('AY', 2350, 'HAM', 342, 'HEL', 421, '', 0, '319\r'),
	('AY', 2350, 'HAM', 342, 'SZG', 1612, 'Y', 0, '320 319\r'),
	('AY', 2350, 'HEL', 421, 'AGP', 1230, '', 0, '32B 320 321\r'),
	('AY', 2350, 'HEL', 421, 'AMS', 580, '', 0, '320 321\r'),
	('AY', 2350, 'HEL', 421, 'ARN', 737, '', 0, '319 320\r'),
	('AY', 2350, 'HEL', 421, 'AYT', 1688, '', 0, '320\r'),
	('AY', 2350, 'HEL', 421, 'BCN', 1218, '', 0, '321\r'),
	('AY', 2350, 'HEL', 421, 'BKK', 3885, '', 0, '343\r'),
	('AY', 2350, 'HEL', 421, 'BMA', 738, 'Y', 0, 'ATR AT7\r'),
	('AY', 2350, 'HEL', 421, 'BRU', 302, '', 0, '319 320 343\r'),
	('AY', 2350, 'HEL', 421, 'BUD', 1489, '', 0, '320 319\r'),
	('AY', 2350, 'HEL', 421, 'CDG', 1382, '', 0, '321 320 32B 319\r'),
	('AY', 2350, 'HEL', 421, 'CKG', 3393, '', 0, '333\r'),
	('AY', 2350, 'HEL', 421, 'CPH', 609, '', 0, '320 319 321\r'),
	('AY', 2350, 'HEL', 421, 'DBV', 1200, '', 0, '320 321\r'),
	('AY', 2350, 'HEL', 421, 'DEL', 3093, '', 0, '333\r'),
	('AY', 2350, 'HEL', 421, 'DME', 4029, '', 0, '319\r'),
	('AY', 2350, 'HEL', 421, 'DUS', 345, 'Y', 0, 'E90\r'),
	('AY', 2350, 'HEL', 421, 'FCO', 1555, '', 0, '321 32B\r'),
	('AY', 2350, 'HEL', 421, 'FRA', 340, 'Y', 0, 'E90\r'),
	('AY', 2350, 'HEL', 421, 'GOT', 687, '', 0, '319 320\r'),
	('AY', 2350, 'HEL', 421, 'GVA', 1665, 'Y', 0, 'E90 E70\r'),
	('AY', 2350, 'HEL', 421, 'GZP', 8266, '', 0, '319\r'),
	('AY', 2350, 'HEL', 421, 'HAM', 342, '', 0, '319\r'),
	('AY', 2350, 'HEL', 421, 'HKG', 3077, '', 0, '343\r'),
	('AY', 2350, 'HEL', 421, 'ICN', 3930, '', 0, '333\r'),
	('AY', 2350, 'HEL', 421, 'IVL', 428, '', 0, '319 320\r'),
	('AY', 2350, 'HEL', 421, 'JFK', 3797, '', 0, '333\r'),
	('AY', 2350, 'HEL', 421, 'JOE', 429, 'Y', 0, 'AT7 ATR E70 E90\r'),
	('AY', 2350, 'HEL', 421, 'JYV', 430, '', 0, 'ATR\r'),
	('AY', 2350, 'HEL', 421, 'KAJ', 433, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'HEL', 421, 'KAO', 437, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'HEL', 421, 'KEF', 16, 'Y', 0, '75W\r'),
	('AY', 2350, 'HEL', 421, 'KEM', 432, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'HEL', 421, 'KIX', 3992, '', 0, '333\r'),
	('AY', 2350, 'HEL', 421, 'KOK', 435, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'HEL', 421, 'KRK', 669, '', 0, '319 321 32B\r'),
	('AY', 2350, 'HEL', 421, 'KUO', 439, '', 0, '319\r'),
	('AY', 2350, 'HEL', 421, 'LED', 2948, 'Y', 0, 'ATR\r'),
	('AY', 2350, 'HEL', 421, 'LHR', 507, '', 0, '32B 320 321\r'),
	('AY', 2350, 'HEL', 421, 'LIS', 1638, 'Y', 0, '320\r'),
	('AY', 2350, 'HEL', 421, 'LJU', 1569, '', 0, '320\r'),
	('AY', 2350, 'HEL', 421, 'MAD', 1229, '', 0, '321\r'),
	('AY', 2350, 'HEL', 421, 'MAN', 478, 'Y', 0, 'E90\r'),
	('AY', 2350, 'HEL', 421, 'MHQ', 442, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'HEL', 421, 'MSQ', 2954, 'Y', 0, 'CR2 733\r'),
	('AY', 2350, 'HEL', 421, 'MUC', 346, '', 0, '319 320\r'),
	('AY', 2350, 'HEL', 421, 'MXP', 1524, '', 0, '321 320 32B\r'),
	('AY', 2350, 'HEL', 421, 'NCE', 1354, '', 0, '320 32B\r'),
	('AY', 2350, 'HEL', 421, 'NGO', 3942, '', 0, '333\r'),
	('AY', 2350, 'HEL', 421, 'NRK', 743, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'HEL', 421, 'NRT', 2279, '', 0, '333 788\r'),
	('AY', 2350, 'HEL', 421, 'OSL', 644, '', 0, '319\r'),
	('AY', 2350, 'HEL', 421, 'OUL', 446, '', 0, '320 319\r'),
	('AY', 2350, 'HEL', 421, 'PEK', 3364, '', 0, '333\r'),
	('AY', 2350, 'HEL', 421, 'PRG', 1587, '', 0, '319 321 320\r'),
	('AY', 2350, 'HEL', 421, 'PVG', 3406, '', 0, '343\r'),
	('AY', 2350, 'HEL', 421, 'RIX', 3953, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'HEL', 421, 'RVN', 453, '', 0, '319 320 321\r'),
	('AY', 2350, 'HEL', 421, 'SIN', 3316, '', 0, '343\r'),
	('AY', 2350, 'HEL', 421, 'SVL', 455, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'HEL', 421, 'SVO', 2985, '', 0, '319 320\r'),
	('AY', 2350, 'HEL', 421, 'SVX', 2975, '', 0, '319\r'),
	('AY', 2350, 'HEL', 421, 'TAY', 416, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'HEL', 421, 'TKU', 460, 'Y', 0, 'AT7 ATR\r'),
	('AY', 2350, 'HEL', 421, 'TLL', 415, 'Y', 0, 'AT7 ATR\r'),
	('AY', 2350, 'HEL', 421, 'TLV', 1590, '', 0, '320\r'),
	('AY', 2350, 'HEL', 421, 'TMP', 458, 'Y', 0, 'AT7 ATR\r'),
	('AY', 2350, 'HEL', 421, 'TXL', 351, '', 0, '319\r'),
	('AY', 2350, 'HEL', 421, 'VAA', 462, '', 0, '319 32B\r'),
	('AY', 2350, 'HEL', 421, 'VIE', 1613, '', 0, '320 319\r'),
	('AY', 2350, 'HEL', 421, 'VNO', 3959, 'Y', 0, 'E90 E70 AT7\r'),
	('AY', 2350, 'HEL', 421, 'WAW', 679, 'Y', 0, 'E70 E90\r'),
	('AY', 2350, 'HEL', 421, 'XIY', 3379, '', 0, '333\r'),
	('AY', 2350, 'HEL', 421, 'ZRH', 1678, '', 0, '319 320\r'),
	('AY', 2350, 'HKG', 3077, 'BNE', 3320, '', 0, '333\r'),
	('AY', 2350, 'HKG', 3077, 'CNS', 3322, 'Y', 0, '333\r'),
	('AY', 2350, 'HKG', 3077, 'HEL', 421, '', 0, '343\r'),
	('AY', 2350, 'HKG', 3077, 'MEL', 3339, '', 0, '333\r'),
	('AY', 2350, 'HKG', 3077, 'SYD', 3361, 'Y', 0, '388 744\r'),
	('AY', 2350, 'IAD', 3714, 'LHR', 507, '', 0, '744 777\r'),
	('AY', 2350, 'IAH', 3550, 'LHR', 507, '', 0, '744 777\r'),
	('AY', 2350, 'ICN', 3930, 'HEL', 421, '', 0, '333\r'),
	('AY', 2350, 'IVL', 428, 'KTT', 438, '', 0, '319 320\r'),
	('AY', 2350, 'JFK', 3797, 'BCN', 1218, '', 0, '763\r'),
	('AY', 2350, 'JFK', 3797, 'CDG', 1382, '', 0, '763 757\r'),
	('AY', 2350, 'JFK', 3797, 'DUB', 599, '', 0, '757\r'),
	('AY', 2350, 'JFK', 3797, 'FCO', 1555, 'Y', 0, '763\r'),
	('AY', 2350, 'JFK', 3797, 'HEL', 421, '', 0, '333\r'),
	('AY', 2350, 'JFK', 3797, 'LCY', 503, '', 0, '318\r'),
	('AY', 2350, 'JFK', 3797, 'LHR', 507, '', 0, '744 77W 777\r'),
	('AY', 2350, 'JFK', 3797, 'MAD', 1229, '', 0, '333 757 346\r'),
	('AY', 2350, 'JFK', 3797, 'MAN', 478, 'Y', 0, '757\r'),
	('AY', 2350, 'JFK', 3797, 'MXP', 1524, 'Y', 0, '763\r'),
	('AY', 2350, 'JFK', 3797, 'SJU', 2890, '', 0, '757\r'),
	('AY', 2350, 'JFK', 3797, 'YUL', 146, 'Y', 0, 'ERD\r'),
	('AY', 2350, 'JFK', 3797, 'YYZ', 193, 'Y', 0, 'CR7\r'),
	('AY', 2350, 'JOE', 429, 'HEL', 421, 'Y', 0, 'E70 AT7 ATR E90\r'),
	('AY', 2350, 'JYV', 430, 'HEL', 421, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'JYV', 430, 'KEM', 432, '', 0, 'ATR\r'),
	('AY', 2350, 'KAJ', 433, 'HEL', 421, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'KAO', 437, 'HEL', 421, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'KEF', 16, 'HEL', 421, 'Y', 0, '75W\r'),
	('AY', 2350, 'KEM', 432, 'HEL', 421, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'KIX', 3992, 'HEL', 421, '', 0, '333\r'),
	('AY', 2350, 'KOK', 435, 'HEL', 421, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'KRK', 669, 'HEL', 421, '', 0, '319 321 32B\r'),
	('AY', 2350, 'KTT', 438, 'HEL', 421, '', 0, '319 320\r'),
	('AY', 2350, 'KUO', 439, 'HEL', 421, '', 0, '319\r'),
	('AY', 2350, 'LAS', 3877, 'LGW', 502, '', 0, '777\r'),
	('AY', 2350, 'LAS', 3877, 'LHR', 507, '', 0, '744\r'),
	('AY', 2350, 'LAX', 3484, 'LHR', 507, '', 0, '744 388\r'),
	('AY', 2350, 'LAX', 3484, 'MAD', 1229, '', 0, '346 343\r'),
	('AY', 2350, 'LED', 2948, 'HEL', 421, 'Y', 0, 'ATR\r'),
	('AY', 2350, 'LGW', 502, 'LAS', 3877, '', 0, '777\r'),
	('AY', 2350, 'LGW', 502, 'MCO', 3878, '', 0, '777\r'),
	('AY', 2350, 'LGW', 502, 'TPA', 3646, '', 0, '777\r'),
	('AY', 2350, 'LHR', 507, 'ARN', 737, 'Y', 0, '321 319 767 320\r'),
	('AY', 2350, 'LHR', 507, 'ATL', 3682, 'Y', 0, '777\r'),
	('AY', 2350, 'LHR', 507, 'AUS', 3673, '', 0, '788\r'),
	('AY', 2350, 'LHR', 507, 'BOS', 3448, '', 0, '744 777\r'),
	('AY', 2350, 'LHR', 507, 'BWI', 3849, '', 0, '767\r'),
	('AY', 2350, 'LHR', 507, 'DEN', 3751, '', 0, '777\r'),
	('AY', 2350, 'LHR', 507, 'DFW', 3670, '', 0, '77W 744\r'),
	('AY', 2350, 'LHR', 507, 'EWR', 3494, '', 0, '777 788\r'),
	('AY', 2350, 'LHR', 507, 'HEL', 421, '', 0, '320 32B 321\r'),
	('AY', 2350, 'LHR', 507, 'IAD', 3714, '', 0, '744 777\r'),
	('AY', 2350, 'LHR', 507, 'IAH', 3550, '', 0, '744 777\r'),
	('AY', 2350, 'LHR', 507, 'JFK', 3797, '', 0, '744 77W 777\r'),
	('AY', 2350, 'LHR', 507, 'LAS', 3877, '', 0, '744\r'),
	('AY', 2350, 'LHR', 507, 'LAX', 3484, '', 0, '744 388\r'),
	('AY', 2350, 'LHR', 507, 'LIS', 1638, 'Y', 0, '320\r'),
	('AY', 2350, 'LHR', 507, 'MIA', 3576, '', 0, '744 777\r'),
	('AY', 2350, 'LHR', 507, 'ORD', 3830, '', 0, '763 744 777\r'),
	('AY', 2350, 'LHR', 507, 'PHL', 3752, '', 0, '777 767\r'),
	('AY', 2350, 'LHR', 507, 'PHX', 3462, '', 0, '744\r'),
	('AY', 2350, 'LHR', 507, 'RDU', 3626, 'Y', 0, '763\r'),
	('AY', 2350, 'LHR', 507, 'SAN', 3731, '', 0, '777\r'),
	('AY', 2350, 'LHR', 507, 'SEA', 3577, '', 0, '744 777\r'),
	('AY', 2350, 'LHR', 507, 'SFO', 3469, '', 0, '744\r'),
	('AY', 2350, 'LHR', 507, 'YUL', 146, 'Y', 0, '777\r'),
	('AY', 2350, 'LHR', 507, 'YVR', 156, 'Y', 0, '744\r'),
	('AY', 2350, 'LHR', 507, 'YYC', 178, 'Y', 0, '767\r'),
	('AY', 2350, 'LHR', 507, 'YYZ', 193, 'Y', 0, '788 744\r'),
	('AY', 2350, 'LIS', 1638, 'AMS', 580, 'Y', 0, '320 319\r'),
	('AY', 2350, 'LIS', 1638, 'BRU', 302, 'Y', 0, '321 320 100 319\r'),
	('AY', 2350, 'LIS', 1638, 'GVA', 1665, 'Y', 0, '320 321\r'),
	('AY', 2350, 'LIS', 1638, 'HEL', 421, 'Y', 0, '320\r'),
	('AY', 2350, 'LIS', 1638, 'LHR', 507, 'Y', 0, '320\r'),
	('AY', 2350, 'LIS', 1638, 'ZRH', 1678, 'Y', 0, '321\r'),
	('AY', 2350, 'LJU', 1569, 'HEL', 421, '', 0, '320\r'),
	('AY', 2350, 'MAD', 1229, 'BOS', 3448, '', 0, '333\r'),
	('AY', 2350, 'MAD', 1229, 'DFW', 3670, '', 0, '777\r'),
	('AY', 2350, 'MAD', 1229, 'FRA', 340, 'Y', 0, '32A\r'),
	('AY', 2350, 'MAD', 1229, 'HEL', 421, '', 0, '321\r'),
	('AY', 2350, 'MAD', 1229, 'JFK', 3797, '', 0, '757 333 346\r'),
	('AY', 2350, 'MAD', 1229, 'LAX', 3484, '', 0, '346 343\r'),
	('AY', 2350, 'MAD', 1229, 'MIA', 3576, '', 0, '763 333 346\r'),
	('AY', 2350, 'MAD', 1229, 'ORD', 3830, '', 0, '333\r'),
	('AY', 2350, 'MAD', 1229, 'VGO', 1250, 'Y', 0, '32S\r'),
	('AY', 2350, 'MAD', 1229, 'VLC', 1246, 'Y', 0, 'CR9\r'),
	('AY', 2350, 'MAN', 478, 'HEL', 421, 'Y', 0, 'E90\r'),
	('AY', 2350, 'MAN', 478, 'JFK', 3797, 'Y', 0, '757\r'),
	('AY', 2350, 'MAN', 478, 'ORD', 3830, 'Y', 0, '763\r'),
	('AY', 2350, 'MCO', 3878, 'LGW', 502, '', 0, '777\r'),
	('AY', 2350, 'MEL', 3339, 'HKG', 3077, '', 0, '333\r'),
	('AY', 2350, 'MHQ', 442, 'HEL', 421, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'MIA', 3576, 'BCN', 1218, '', 0, '763\r'),
	('AY', 2350, 'MIA', 3576, 'CDG', 1382, 'Y', 0, '763\r'),
	('AY', 2350, 'MIA', 3576, 'LHR', 507, '', 0, '744 777\r'),
	('AY', 2350, 'MIA', 3576, 'MAD', 1229, '', 0, '333 763 346\r'),
	('AY', 2350, 'MIA', 3576, 'MXP', 1524, 'Y', 0, '763\r'),
	('AY', 2350, 'MMX', 708, 'BMA', 738, 'Y', 0, 'AR8 AR1\r'),
	('AY', 2350, 'MRS', 1353, 'CDG', 1382, 'Y', 0, '319\r'),
	('AY', 2350, 'MSQ', 2954, 'HEL', 421, 'Y', 0, 'CR2 733\r'),
	('AY', 2350, 'MUC', 346, 'CTA', 1509, 'Y', 0, '321 320\r'),
	('AY', 2350, 'MUC', 346, 'HEL', 421, '', 0, '319 320\r'),
	('AY', 2350, 'MXP', 1524, 'HEL', 421, '', 0, '321 320 32B\r'),
	('AY', 2350, 'MXP', 1524, 'JFK', 3797, 'Y', 0, '763\r'),
	('AY', 2350, 'MXP', 1524, 'MIA', 3576, 'Y', 0, '763\r'),
	('AY', 2350, 'NCE', 1354, 'HEL', 421, '', 0, '320 32B\r'),
	('AY', 2350, 'NGO', 3942, 'HEL', 421, '', 0, '333\r'),
	('AY', 2350, 'NRK', 743, 'HEL', 421, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'NRT', 2279, 'HEL', 421, '', 0, '788 333\r'),
	('AY', 2350, 'OPO', 1636, 'ZRH', 1678, 'Y', 0, '320 319\r'),
	('AY', 2350, 'ORD', 3830, 'CDG', 1382, 'Y', 0, '763\r'),
	('AY', 2350, 'ORD', 3830, 'DUB', 599, '', 0, '763\r'),
	('AY', 2350, 'ORD', 3830, 'DUS', 345, '', 0, '763\r'),
	('AY', 2350, 'ORD', 3830, 'FCO', 1555, '', 0, '763\r'),
	('AY', 2350, 'ORD', 3830, 'LHR', 507, '', 0, '763 777 744\r'),
	('AY', 2350, 'ORD', 3830, 'MAD', 1229, '', 0, '333\r'),
	('AY', 2350, 'ORD', 3830, 'MAN', 478, 'Y', 0, '763\r'),
	('AY', 2350, 'OSL', 644, 'AAL', 628, '', 0, 'J31\r'),
	('AY', 2350, 'OSL', 644, 'HEL', 421, '', 0, '319\r'),
	('AY', 2350, 'OSL', 644, 'TXL', 351, 'Y', 0, '319\r'),
	('AY', 2350, 'OTP', 1657, 'TXL', 351, 'Y', 0, '320 73G\r'),
	('AY', 2350, 'OUL', 446, 'HEL', 421, '', 0, '319 320\r'),
	('AY', 2350, 'PEK', 3364, 'HEL', 421, '', 0, '333\r'),
	('AY', 2350, 'PHL', 3752, 'LHR', 507, '', 0, '777 767\r'),
	('AY', 2350, 'PHX', 3462, 'LHR', 507, '', 0, '744\r'),
	('AY', 2350, 'PNA', 1234, 'MAD', 1229, 'Y', 0, 'CR9\r'),
	('AY', 2350, 'PRG', 1587, 'HEL', 421, '', 0, '319 321 320\r'),
	('AY', 2350, 'PVG', 3406, 'HEL', 421, '', 0, '343\r'),
	('AY', 2350, 'RDU', 3626, 'LHR', 507, 'Y', 0, '763\r'),
	('AY', 2350, 'RIX', 3953, 'HEL', 421, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'RVN', 453, 'HEL', 421, '', 0, '319 320 321\r'),
	('AY', 2350, 'SAN', 3731, 'LHR', 507, '', 0, '777\r'),
	('AY', 2350, 'SEA', 3577, 'LHR', 507, '', 0, '744 777\r'),
	('AY', 2350, 'SFO', 3469, 'LHR', 507, '', 0, '744\r'),
	('AY', 2350, 'SIN', 3316, 'HEL', 421, '', 0, '343\r'),
	('AY', 2350, 'SJU', 2890, 'JFK', 3797, 'Y', 0, '757\r'),
	('AY', 2350, 'SOF', 1194, 'TXL', 351, 'Y', 0, '73G\r'),
	('AY', 2350, 'SVL', 455, 'HEL', 421, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'SVO', 2985, 'HEL', 421, '', 0, '319 320\r'),
	('AY', 2350, 'SVX', 2975, 'HEL', 421, '', 0, '319\r'),
	('AY', 2350, 'SYD', 3361, 'HKG', 3077, 'Y', 0, '388 744\r'),
	('AY', 2350, 'SZG', 1612, 'DUS', 345, 'Y', 0, 'DH4\r'),
	('AY', 2350, 'SZG', 1612, 'HAM', 342, 'Y', 0, '320 319\r'),
	('AY', 2350, 'SZG', 1612, 'TXL', 351, 'Y', 0, '319\r'),
	('AY', 2350, 'TAY', 416, 'HEL', 421, 'Y', 0, 'AT7\r'),
	('AY', 2350, 'TKU', 460, 'HEL', 421, 'Y', 0, 'AT7 ATR\r'),
	('AY', 2350, 'TLL', 415, 'HEL', 421, 'Y', 0, 'ATR AT7\r'),
	('AY', 2350, 'TLV', 1590, 'HEL', 421, '', 0, '320\r'),
	('AY', 2350, 'TMP', 458, 'HEL', 421, 'Y', 0, 'AT7 ATR\r'),
	('AY', 2350, 'TPA', 3646, 'LGW', 502, '', 0, '777\r'),
	('AY', 2350, 'TXL', 351, 'ARN', 737, 'Y', 0, '738 320 321 319\r'),
	('AY', 2350, 'TXL', 351, 'CPH', 609, 'Y', 0, '319 73G 738\r'),
	('AY', 2350, 'TXL', 351, 'CTA', 1509, 'Y', 0, '321 320 738\r'),
	('AY', 2350, 'TXL', 351, 'GOT', 687, 'Y', 0, '73G\r'),
	('AY', 2350, 'TXL', 351, 'HEL', 421, '', 0, '319\r'),
	('AY', 2350, 'TXL', 351, 'OSL', 644, 'Y', 0, '319\r'),
	('AY', 2350, 'TXL', 351, 'OTP', 1657, 'Y', 0, '320 73G\r'),
	('AY', 2350, 'TXL', 351, 'SOF', 1194, 'Y', 0, '73G\r'),
	('AY', 2350, 'TXL', 351, 'SZG', 1612, 'Y', 0, '319\r'),
	('AY', 2350, 'UME', 728, 'BMA', 738, 'Y', 0, 'AR1 AR8\r'),
	('AY', 2350, 'VAA', 462, 'HEL', 421, '', 0, '319 32B\r'),
	('AY', 2350, 'VGO', 1250, 'MAD', 1229, 'Y', 0, '32S\r'),
	('AY', 2350, 'VIE', 1613, 'ARN', 737, 'Y', 0, 'E90\r'),
	('AY', 2350, 'VIE', 1613, 'CPH', 609, 'Y', 0, 'E90\r'),
	('AY', 2350, 'VIE', 1613, 'FLR', 1563, 'Y', 0, 'DH4\r'),
	('AY', 2350, 'VIE', 1613, 'HEL', 421, '', 0, '320 319\r'),
	('AY', 2350, 'VLC', 1246, 'MAD', 1229, 'Y', 0, 'CR9 CR2\r'),
	('AY', 2350, 'VNO', 3959, 'HEL', 421, 'Y', 0, 'E90 E70 AT7\r'),
	('AY', 2350, 'WAW', 679, 'HEL', 421, 'Y', 0, 'E70 E90\r'),
	('AY', 2350, 'XIY', 3379, 'HEL', 421, '', 0, '333\r'),
	('AY', 2350, 'YUL', 146, 'JFK', 3797, 'Y', 0, 'ERD\r'),
	('AY', 2350, 'YUL', 146, 'LHR', 507, 'Y', 0, '777\r'),
	('AY', 2350, 'YVR', 156, 'LHR', 507, 'Y', 0, '744\r'),
	('AY', 2350, 'YYC', 178, 'LHR', 507, 'Y', 0, '767\r'),
	('AY', 2350, 'YYZ', 193, 'JFK', 3797, 'Y', 0, 'CR7\r'),
	('AY', 2350, 'YYZ', 193, 'LHR', 507, 'Y', 0, '788 744\r'),
	('AY', 2350, 'ZRH', 1678, 'HEL', 421, '', 0, '319 320\r'),
	('AY', 2350, 'ZRH', 1678, 'LIS', 1638, 'Y', 0, '320 319\r'),
	('AZ', 596, 'AAL', 628, 'AMS', 580, 'Y', 0, 'E90\r'),
	('AZ', 596, 'ABJ', 253, 'CDG', 1382, 'Y', 0, '772\r'),
	('AZ', 596, 'ABQ', 4019, 'ATL', 3682, 'Y', 0, '757\r'),
	('AZ', 596, 'ABZ', 532, 'CDG', 1382, 'Y', 0, 'E70\r'),
	('AZ', 596, 'ACC', 248, 'FCO', 1555, '', 0, '330\r'),
	('AZ', 596, 'AES', 630, 'AMS', 580, 'Y', 0, 'E90\r'),
	('AZ', 596, 'AGP', 1230, 'FCO', 1555, '', 0, '319 320\r'),
	('AZ', 596, 'AHO', 1517, 'LIN', 1529, '', 0, '319\r'),
	('AZ', 596, 'AHO', 1517, 'TRN', 1526, '', 0, '319\r'),
	('AZ', 596, 'AJA', 1324, 'LYS', 1335, 'Y', 0, '320\r'),
	('AZ', 596, 'AJA', 1324, 'MRS', 1353, '', 0, '320 AT7\r'),
	('AZ', 596, 'AJA', 1324, 'NCE', 1354, '', 0, 'AT7\r'),
	('AZ', 596, 'ALB', 3864, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ALG', 210, 'FCO', 1555, '', 0, '319 32S\r'),
	('AZ', 596, 'AMM', 2170, 'FCO', 1555, '', 0, '32S 319\r'),
	('AZ', 596, 'AMS', 580, 'AAL', 628, 'Y', 0, 'E90\r'),
	('AZ', 596, 'AMS', 580, 'AES', 630, 'Y', 0, 'E90\r'),
	('AZ', 596, 'AMS', 580, 'ARN', 737, 'Y', 0, '737\r'),
	('AZ', 596, 'AMS', 580, 'BGO', 636, 'Y', 0, 'E90 737\r'),
	('AZ', 596, 'AMS', 580, 'BLL', 608, 'Y', 0, '737 F70 E90\r'),
	('AZ', 596, 'AMS', 580, 'BLQ', 1538, 'Y', 0, 'E90\r'),
	('AZ', 596, 'AMS', 580, 'BRE', 353, 'Y', 0, 'F70\r'),
	('AZ', 596, 'AMS', 580, 'BRS', 490, 'Y', 0, 'E90\r'),
	('AZ', 596, 'AMS', 580, 'CGN', 344, 'Y', 0, 'F70\r'),
	('AZ', 596, 'AMS', 580, 'CPH', 609, 'Y', 0, '737 E90\r'),
	('AZ', 596, 'AMS', 580, 'CPT', 797, 'Y', 0, '777\r'),
	('AZ', 596, 'AMS', 580, 'CTA', 1509, '', 0, '320\r'),
	('AZ', 596, 'AMS', 580, 'CWL', 488, 'Y', 0, 'F70\r'),
	('AZ', 596, 'AMS', 580, 'DUS', 345, 'Y', 0, 'F70\r'),
	('AZ', 596, 'AMS', 580, 'DXB', 2188, 'Y', 0, '777\r'),
	('AZ', 596, 'AMS', 580, 'FCO', 1555, '', 0, '321 32S 320 319\r'),
	('AZ', 596, 'AMS', 580, 'FLR', 1563, '', 0, 'E90\r'),
	('AZ', 596, 'AMS', 580, 'GLA', 534, 'Y', 0, '737\r'),
	('AZ', 596, 'AMS', 580, 'HAJ', 352, 'Y', 0, 'E90 F70\r'),
	('AZ', 596, 'AMS', 580, 'HAM', 342, 'Y', 0, '737 F70 E90\r'),
	('AZ', 596, 'AMS', 580, 'HEL', 421, 'Y', 0, '737\r'),
	('AZ', 596, 'AMS', 580, 'HUY', 515, 'Y', 0, 'F70\r'),
	('AZ', 596, 'AMS', 580, 'KRS', 638, 'Y', 0, 'E90 F70\r'),
	('AZ', 596, 'AMS', 580, 'LBA', 517, 'Y', 0, 'F70\r'),
	('AZ', 596, 'AMS', 580, 'LIM', 2789, 'Y', 0, '77W 777\r'),
	('AZ', 596, 'AMS', 580, 'LIN', 1529, '', 0, '32S 321\r'),
	('AZ', 596, 'AMS', 580, 'MME', 522, 'Y', 0, 'F70\r'),
	('AZ', 596, 'AMS', 580, 'NBO', 4059, 'Y', 0, '747\r'),
	('AZ', 596, 'AMS', 580, 'NWI', 547, 'Y', 0, 'F70\r'),
	('AZ', 596, 'AMS', 580, 'PMO', 1512, '', 0, '320\r'),
	('AZ', 596, 'AMS', 580, 'PTY', 1871, 'Y', 0, '777 77W\r'),
	('AZ', 596, 'AMS', 580, 'SVG', 666, 'Y', 0, 'E90 737\r'),
	('AZ', 596, 'AMS', 580, 'TRD', 665, 'Y', 0, 'E90\r'),
	('AZ', 596, 'AMS', 580, 'TRF', 664, 'Y', 0, 'E90\r'),
	('AZ', 596, 'AMS', 580, 'TXL', 351, 'Y', 0, '737\r'),
	('AZ', 596, 'AMS', 580, 'VCE', 1551, 'Y', 0, '737\r'),
	('AZ', 596, 'AOI', 4309, 'FCO', 1555, 'Y', 0, 'E75\r'),
	('AZ', 596, 'ARN', 737, 'AMS', 580, 'Y', 0, '737\r'),
	('AZ', 596, 'ARN', 737, 'CDG', 1382, 'Y', 0, '320 32A 319\r'),
	('AZ', 596, 'ATH', 3941, 'FCO', 1555, '', 0, '321 32S 319\r'),
	('AZ', 596, 'ATH', 3941, 'LCA', 1197, '', 0, '320\r'),
	('AZ', 596, 'ATH', 3941, 'VCE', 1551, 'Y', 0, '320\r'),
	('AZ', 596, 'ATL', 3682, 'ABQ', 4019, 'Y', 0, '757\r'),
	('AZ', 596, 'ATL', 3682, 'AUS', 3673, 'Y', 0, 'M90 M88\r'),
	('AZ', 596, 'ATL', 3682, 'AVL', 4007, 'Y', 0, 'CRJ M88\r'),
	('AZ', 596, 'ATL', 3682, 'BDL', 3825, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'BHM', 3811, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'BNA', 3690, 'Y', 0, '320 717\r'),
	('AZ', 596, 'ATL', 3682, 'BOS', 3448, 'Y', 0, 'M90 757 319\r'),
	('AZ', 596, 'ATL', 3682, 'BUF', 3820, 'Y', 0, 'M90 M88\r'),
	('AZ', 596, 'ATL', 3682, 'BWI', 3849, 'Y', 0, '320 M90\r'),
	('AZ', 596, 'ATL', 3682, 'CAE', 3561, 'Y', 0, 'CR9 CRJ\r'),
	('AZ', 596, 'ATL', 3682, 'CDG', 1382, 'Y', 0, '77W 744 772\r'),
	('AZ', 596, 'ATL', 3682, 'CHA', 3578, 'Y', 0, 'CRJ M88\r'),
	('AZ', 596, 'ATL', 3682, 'CHS', 3806, 'Y', 0, 'M88 73W\r'),
	('AZ', 596, 'ATL', 3682, 'CLT', 3876, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'CMH', 3759, 'Y', 0, 'M88 738 73W\r'),
	('AZ', 596, 'ATL', 3682, 'CUN', 1852, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'CVG', 3488, 'Y', 0, 'M88 738\r'),
	('AZ', 596, 'ATL', 3682, 'DAY', 3627, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'DCA', 3520, 'Y', 0, 'M90 757\r'),
	('AZ', 596, 'ATL', 3682, 'DEN', 3751, 'Y', 0, 'M90\r'),
	('AZ', 596, 'ATL', 3682, 'DFW', 3670, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'DTW', 3645, 'Y', 0, 'M90\r'),
	('AZ', 596, 'ATL', 3682, 'ELP', 3559, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'EWR', 3494, 'Y', 0, '717\r'),
	('AZ', 596, 'ATL', 3682, 'FCO', 1555, 'Y', 0, '333\r'),
	('AZ', 596, 'ATL', 3682, 'FLL', 3533, 'Y', 0, '757\r'),
	('AZ', 596, 'ATL', 3682, 'GDL', 1804, 'Y', 0, '320\r'),
	('AZ', 596, 'ATL', 3682, 'GNV', 3472, 'Y', 0, 'CR9 717\r'),
	('AZ', 596, 'ATL', 3682, 'GPT', 4038, 'Y', 0, 'CRJ CR7\r'),
	('AZ', 596, 'ATL', 3682, 'GSO', 4008, 'Y', 0, '73H M88 320 738\r'),
	('AZ', 596, 'ATL', 3682, 'HOU', 3566, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'HSV', 4113, 'Y', 0, '717\r'),
	('AZ', 596, 'ATL', 3682, 'IAD', 3714, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'IAH', 3550, 'Y', 0, '320 M88\r'),
	('AZ', 596, 'ATL', 3682, 'ICT', 3457, 'Y', 0, 'CR9\r'),
	('AZ', 596, 'ATL', 3682, 'ILM', 3845, 'Y', 0, 'CRJ 319\r'),
	('AZ', 596, 'ATL', 3682, 'IND', 3585, 'Y', 0, '320\r'),
	('AZ', 596, 'ATL', 3682, 'JAN', 3580, 'Y', 0, '717 CR9\r'),
	('AZ', 596, 'ATL', 3682, 'JAX', 3712, 'Y', 0, '757\r'),
	('AZ', 596, 'ATL', 3682, 'JFK', 3797, 'Y', 0, '319\r'),
	('AZ', 596, 'ATL', 3682, 'LAS', 3877, 'Y', 0, '753 757\r'),
	('AZ', 596, 'ATL', 3682, 'LAX', 3484, 'Y', 0, '763\r'),
	('AZ', 596, 'ATL', 3682, 'LIT', 3660, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'MCI', 3458, 'Y', 0, 'M88 M90\r'),
	('AZ', 596, 'ATL', 3682, 'MCO', 3878, 'Y', 0, '757\r'),
	('AZ', 596, 'ATL', 3682, 'MEM', 3473, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'MEX', 1824, 'Y', 0, '73W 73H\r'),
	('AZ', 596, 'ATL', 3682, 'MIA', 3576, 'Y', 0, 'M88 757 M90 73H\r'),
	('AZ', 596, 'ATL', 3682, 'MKE', 3717, 'Y', 0, 'M90\r'),
	('AZ', 596, 'ATL', 3682, 'MSP', 3858, 'Y', 0, 'M90\r'),
	('AZ', 596, 'ATL', 3682, 'MSY', 3861, 'Y', 0, '757\r'),
	('AZ', 596, 'ATL', 3682, 'MTY', 1825, 'Y', 0, 'CR9\r'),
	('AZ', 596, 'ATL', 3682, 'MYR', 3515, 'Y', 0, 'CR9 717 319\r'),
	('AZ', 596, 'ATL', 3682, 'OKC', 3863, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'OMA', 3454, 'Y', 0, 'M88 M90\r'),
	('AZ', 596, 'ATL', 3682, 'ORD', 3830, 'Y', 0, '757 717 M88\r'),
	('AZ', 596, 'ATL', 3682, 'ORF', 3611, 'Y', 0, 'M88 M90\r'),
	('AZ', 596, 'ATL', 3682, 'PBI', 3722, 'Y', 0, '757\r'),
	('AZ', 596, 'ATL', 3682, 'PDX', 3720, 'Y', 0, '73H 738\r'),
	('AZ', 596, 'ATL', 3682, 'PHL', 3752, 'Y', 0, 'M88 757\r'),
	('AZ', 596, 'ATL', 3682, 'PHX', 3462, 'Y', 0, '757 738\r'),
	('AZ', 596, 'ATL', 3682, 'PIT', 3570, 'Y', 0, 'CR9 M88\r'),
	('AZ', 596, 'ATL', 3682, 'PTY', 1871, 'Y', 0, '738\r'),
	('AZ', 596, 'ATL', 3682, 'RDU', 3626, 'Y', 0, 'M88 320 739\r'),
	('AZ', 596, 'ATL', 3682, 'RIC', 3608, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ATL', 3682, 'ROC', 3622, 'Y', 0, 'M90\r'),
	('AZ', 596, 'ATL', 3682, 'RSW', 3793, 'Y', 0, '757\r'),
	('AZ', 596, 'ATL', 3682, 'SAN', 3731, 'Y', 0, '763\r'),
	('AZ', 596, 'ATL', 3682, 'SAT', 3621, 'Y', 0, 'M90 757\r'),
	('AZ', 596, 'ATL', 3682, 'SAV', 3613, 'Y', 0, '717 M88\r'),
	('AZ', 596, 'ATL', 3682, 'SEA', 3577, 'Y', 0, '739 757 738\r'),
	('AZ', 596, 'ATL', 3682, 'SJU', 2890, 'Y', 0, '757\r'),
	('AZ', 596, 'ATL', 3682, 'SLC', 3536, 'Y', 0, '763 757\r'),
	('AZ', 596, 'ATL', 3682, 'SNA', 3867, 'Y', 0, '757\r'),
	('AZ', 596, 'ATL', 3682, 'SRQ', 4067, 'Y', 0, 'M90 757\r'),
	('AZ', 596, 'ATL', 3682, 'STL', 3678, 'Y', 0, 'M90\r'),
	('AZ', 596, 'ATL', 3682, 'TPA', 3646, 'Y', 0, '757 739\r'),
	('AZ', 596, 'ATL', 3682, 'TUS', 3636, 'Y', 0, 'M90\r'),
	('AZ', 596, 'ATL', 3682, 'TYS', 3676, 'Y', 0, 'CRJ\r'),
	('AZ', 596, 'ATL', 3682, 'VPS', 3873, 'Y', 0, '319 717\r'),
	('AZ', 596, 'AUH', 2179, 'BAH', 2057, '', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'BKK', 3885, '', 0, '77W\r'),
	('AZ', 596, 'AUH', 2179, 'BLR', 3131, '', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'BOM', 2997, '', 0, '346\r'),
	('AZ', 596, 'AUH', 2179, 'CGK', 3275, '', 0, '332 77W\r'),
	('AZ', 596, 'AUH', 2179, 'CMB', 3024, 'Y', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'COK', 3136, '', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'CTU', 3395, '', 0, '332\r'),
	('AZ', 596, 'AUH', 2179, 'DEL', 3093, '', 0, '332\r'),
	('AZ', 596, 'AUH', 2179, 'FCO', 1555, '', 0, '330\r'),
	('AZ', 596, 'AUH', 2179, 'JNB', 813, 'Y', 0, '332\r'),
	('AZ', 596, 'AUH', 2179, 'KHI', 2206, '', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'KRT', 1175, 'Y', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'KUL', 3304, '', 0, '332\r'),
	('AZ', 596, 'AUH', 2179, 'KWI', 2176, '', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'LHE', 2207, '', 0, '346 332 77W\r'),
	('AZ', 596, 'AUH', 2179, 'MCT', 2194, '', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'MEL', 3339, 'Y', 0, '77W\r'),
	('AZ', 596, 'AUH', 2179, 'MLE', 3156, 'Y', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'MXP', 1524, 'Y', 0, '332\r'),
	('AZ', 596, 'AUH', 2179, 'NBO', 4059, 'Y', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'PEK', 3364, '', 0, '332\r'),
	('AZ', 596, 'AUH', 2179, 'SEZ', 994, 'Y', 0, '320\r'),
	('AZ', 596, 'AUH', 2179, 'SIN', 3316, 'Y', 0, '332\r'),
	('AZ', 596, 'AUH', 2179, 'SYD', 3361, 'Y', 0, '77W 346\r'),
	('AZ', 596, 'AUS', 3673, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('AZ', 596, 'AVL', 4007, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AZ', 596, 'BAH', 2057, 'AUH', 2179, 'Y', 0, '320\r'),
	('AZ', 596, 'BAY', 1649, 'OTP', 1657, 'Y', 0, 'AT5\r'),
	('AZ', 596, 'BCN', 1218, 'FCO', 1555, '', 0, '32S 320 319 321\r'),
	('AZ', 596, 'BCN', 1218, 'LIN', 1529, '', 0, 'E75\r'),
	('AZ', 596, 'BCN', 1218, 'PMI', 3998, 'Y', 0, 'E90\r'),
	('AZ', 596, 'BCN', 1218, 'TFN', 1057, 'Y', 0, '738\r'),
	('AZ', 596, 'BDL', 3825, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'BDS', 1506, 'FCO', 1555, '', 0, '32S 319 321 320\r'),
	('AZ', 596, 'BDS', 1506, 'LIN', 1529, 'Y', 0, 'E90 319 E75 32S\r'),
	('AZ', 596, 'BEG', 1739, 'FCO', 1555, '', 0, 'E90 E75 32S 319\r'),
	('AZ', 596, 'BEG', 1739, 'MXP', 1524, 'Y', 0, '733\r'),
	('AZ', 596, 'BES', 1403, 'CDG', 1382, 'Y', 0, '318 321\r'),
	('AZ', 596, 'BEY', 2177, 'FCO', 1555, '', 0, '32S 320 319\r'),
	('AZ', 596, 'BEY', 2177, 'MXP', 1524, '', 0, '320\r'),
	('AZ', 596, 'BGO', 636, 'AMS', 580, 'Y', 0, '737 E90\r'),
	('AZ', 596, 'BHM', 3811, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'BIA', 1321, 'MRS', 1353, '', 0, '320\r'),
	('AZ', 596, 'BIA', 1321, 'NCE', 1354, '', 0, 'AT7\r'),
	('AZ', 596, 'BIO', 1216, 'CDG', 1382, 'Y', 0, 'E70 E90\r'),
	('AZ', 596, 'BIO', 1216, 'FCO', 1555, '', 0, '320 32S\r'),
	('AZ', 596, 'BKK', 3885, 'AUH', 2179, '', 0, '77W\r'),
	('AZ', 596, 'BKK', 3885, 'CDG', 1382, 'Y', 0, '77W\r'),
	('AZ', 596, 'BLL', 608, 'AMS', 580, 'Y', 0, '737 F70 E90\r'),
	('AZ', 596, 'BLL', 608, 'CDG', 1382, 'Y', 0, 'E90\r'),
	('AZ', 596, 'BLQ', 1538, 'AMS', 580, 'Y', 0, 'E90\r'),
	('AZ', 596, 'BLQ', 1538, 'CDG', 1382, 'Y', 0, 'E90 E70\r'),
	('AZ', 596, 'BLQ', 1538, 'CTA', 1509, '', 0, '320\r'),
	('AZ', 596, 'BLQ', 1538, 'FCO', 1555, '', 0, '319 E75\r'),
	('AZ', 596, 'BLQ', 1538, 'IAS', 1655, '', 0, '733\r'),
	('AZ', 596, 'BLQ', 1538, 'LIS', 1638, 'Y', 0, '319 320\r'),
	('AZ', 596, 'BLQ', 1538, 'SVO', 2985, 'Y', 0, '320\r'),
	('AZ', 596, 'BLQ', 1538, 'TIA', 1190, 'Y', 0, '320\r'),
	('AZ', 596, 'BLR', 3131, 'AUH', 2179, '', 0, '320\r'),
	('AZ', 596, 'BNA', 3690, 'ATL', 3682, 'Y', 0, 'M88 717\r'),
	('AZ', 596, 'BOD', 1264, 'CDG', 1382, 'Y', 0, '321 320 32A 318\r'),
	('AZ', 596, 'BOD', 1264, 'FCO', 1555, '', 0, 'E70 E90 CR7\r'),
	('AZ', 596, 'BOM', 2997, 'AUH', 2179, '', 0, '346 320\r'),
	('AZ', 596, 'BOS', 3448, 'CDG', 1382, 'Y', 0, '744\r'),
	('AZ', 596, 'BOS', 3448, 'FCO', 1555, '', 0, '330 332\r'),
	('AZ', 596, 'BRE', 353, 'AMS', 580, 'Y', 0, 'F70\r'),
	('AZ', 596, 'BRE', 353, 'CDG', 1382, 'Y', 0, 'E70\r'),
	('AZ', 596, 'BRI', 1501, 'FCO', 1555, '', 0, '319 32S 321 E75 320\r'),
	('AZ', 596, 'BRI', 1501, 'LIN', 1529, '', 0, '320 32S\r'),
	('AZ', 596, 'BRI', 1501, 'TIA', 1190, '', 0, '319\r'),
	('AZ', 596, 'BRI', 1501, 'TRN', 1526, '', 0, '319\r'),
	('AZ', 596, 'BRS', 490, 'AMS', 580, 'Y', 0, 'E90\r'),
	('AZ', 596, 'BRU', 302, 'FCO', 1555, '', 0, '32S 320 319\r'),
	('AZ', 596, 'BRU', 302, 'LIN', 1529, 'Y', 0, 'E75 E90\r'),
	('AZ', 596, 'BUD', 1489, 'FCO', 1555, '', 0, '32S 319\r'),
	('AZ', 596, 'BUF', 3820, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('AZ', 596, 'BWI', 3849, 'ATL', 3682, 'Y', 0, 'M88 757 M90 717\r'),
	('AZ', 596, 'BZO', 1536, 'FCO', 1555, '', 0, 'S20\r'),
	('AZ', 596, 'CAE', 3561, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AZ', 596, 'CAG', 1519, 'FCO', 1555, '', 0, '321 320 319 32S\r'),
	('AZ', 596, 'CAG', 1519, 'LIN', 1529, '', 0, '319 E75 320 32S E90\r'),
	('AZ', 596, 'CAI', 1128, 'FCO', 1555, '', 0, '319 32S\r'),
	('AZ', 596, 'CAI', 1128, 'MXP', 1524, '', 0, '32S 319\r'),
	('AZ', 596, 'CCS', 2851, 'FCO', 1555, '', 0, '330\r'),
	('AZ', 596, 'CDG', 1382, 'ABJ', 253, 'Y', 0, '772\r'),
	('AZ', 596, 'CDG', 1382, 'ABZ', 532, 'Y', 0, 'E70\r'),
	('AZ', 596, 'CDG', 1382, 'ARN', 737, 'Y', 0, '320 321 32A 319\r'),
	('AZ', 596, 'CDG', 1382, 'ATL', 3682, 'Y', 0, '77W 744 772\r'),
	('AZ', 596, 'CDG', 1382, 'BES', 1403, 'Y', 0, '318 321\r'),
	('AZ', 596, 'CDG', 1382, 'BIO', 1216, 'Y', 0, 'E90 E70\r'),
	('AZ', 596, 'CDG', 1382, 'BKK', 3885, 'Y', 0, '77W\r'),
	('AZ', 596, 'CDG', 1382, 'BLL', 608, 'Y', 0, 'E90\r'),
	('AZ', 596, 'CDG', 1382, 'BLQ', 1538, 'Y', 0, 'E70 E90\r'),
	('AZ', 596, 'CDG', 1382, 'BOD', 1264, 'Y', 0, '321 320 32A 318\r'),
	('AZ', 596, 'CDG', 1382, 'BOS', 3448, 'Y', 0, '744\r'),
	('AZ', 596, 'CDG', 1382, 'BRE', 353, 'Y', 0, 'E70\r'),
	('AZ', 596, 'CDG', 1382, 'CFE', 1330, 'Y', 0, 'E70 E90\r'),
	('AZ', 596, 'CDG', 1382, 'CPH', 609, 'Y', 0, '319 318 320\r'),
	('AZ', 596, 'CDG', 1382, 'CTA', 1509, 'Y', 0, '320\r'),
	('AZ', 596, 'CDG', 1382, 'DKR', 1084, 'Y', 0, '77W\r'),
	('AZ', 596, 'CDG', 1382, 'DTW', 3645, 'Y', 0, '343\r'),
	('AZ', 596, 'CDG', 1382, 'DUB', 599, 'Y', 0, 'AR8\r'),
	('AZ', 596, 'CDG', 1382, 'DUS', 345, 'Y', 0, '318 320\r'),
	('AZ', 596, 'CDG', 1382, 'DXB', 2188, 'Y', 0, '77W\r'),
	('AZ', 596, 'CDG', 1382, 'EDI', 535, 'Y', 0, 'AR8\r'),
	('AZ', 596, 'CDG', 1382, 'EVN', 3964, '', 0, '320\r'),
	('AZ', 596, 'CDG', 1382, 'FCO', 1555, '', 0, '32S 321 319\r'),
	('AZ', 596, 'CDG', 1382, 'FLR', 1563, 'Y', 0, '318\r'),
	('AZ', 596, 'CDG', 1382, 'GOA', 1528, 'Y', 0, 'E70 E90\r'),
	('AZ', 596, 'CDG', 1382, 'GOT', 687, 'Y', 0, 'E70 E90\r'),
	('AZ', 596, 'CDG', 1382, 'HAJ', 352, 'Y', 0, 'E70 AR8\r'),
	('AZ', 596, 'CDG', 1382, 'HAM', 342, 'Y', 0, '318 321 320 32A\r'),
	('AZ', 596, 'CDG', 1382, 'HAN', 3199, 'Y', 0, '777\r'),
	('AZ', 596, 'CDG', 1382, 'HKG', 3077, 'Y', 0, '77W\r'),
	('AZ', 596, 'CDG', 1382, 'IAD', 3714, 'Y', 0, '388 77W\r'),
	('AZ', 596, 'CDG', 1382, 'IAH', 3550, 'Y', 0, '77W\r'),
	('AZ', 596, 'CDG', 1382, 'JFK', 3797, 'Y', 0, '332 388 772 343\r'),
	('AZ', 596, 'CDG', 1382, 'JNB', 813, 'Y', 0, '388\r'),
	('AZ', 596, 'CDG', 1382, 'LAX', 3484, 'Y', 0, '388 772\r'),
	('AZ', 596, 'CDG', 1382, 'LIM', 2789, 'Y', 0, '77W\r'),
	('AZ', 596, 'CDG', 1382, 'LIN', 1529, '', 0, '32S 320 319\r'),
	('AZ', 596, 'CDG', 1382, 'LIS', 1638, 'Y', 0, '320 318 319 321\r'),
	('AZ', 596, 'CDG', 1382, 'MAN', 478, 'Y', 0, '320 321\r'),
	('AZ', 596, 'CDG', 1382, 'MEX', 1824, 'Y', 0, '744 787\r'),
	('AZ', 596, 'CDG', 1382, 'MIA', 3576, 'Y', 0, '77W\r'),
	('AZ', 596, 'CDG', 1382, 'MPL', 1359, 'Y', 0, '318 319 320 32A\r'),
	('AZ', 596, 'CDG', 1382, 'MRS', 1353, 'Y', 0, '319\r'),
	('AZ', 596, 'CDG', 1382, 'NAP', 1561, 'Y', 0, '321\r'),
	('AZ', 596, 'CDG', 1382, 'NCL', 521, 'Y', 0, 'AR8\r'),
	('AZ', 596, 'CDG', 1382, 'NTE', 1418, 'Y', 0, '321 318 319 320\r'),
	('AZ', 596, 'CDG', 1382, 'NUE', 347, 'Y', 0, 'E70\r'),
	('AZ', 596, 'CDG', 1382, 'OSL', 644, 'Y', 0, 'E90\r'),
	('AZ', 596, 'CDG', 1382, 'PMO', 1512, 'Y', 0, '320\r'),
	('AZ', 596, 'CDG', 1382, 'PRG', 1587, 'Y', 0, '321 320 32A\r'),
	('AZ', 596, 'CDG', 1382, 'PUF', 1274, 'Y', 0, 'E90\r'),
	('AZ', 596, 'CDG', 1382, 'PUJ', 1760, 'Y', 0, '744\r'),
	('AZ', 596, 'CDG', 1382, 'RNS', 1415, 'Y', 0, 'AT7\r'),
	('AZ', 596, 'CDG', 1382, 'SCL', 2650, 'Y', 0, '772 77W\r'),
	('AZ', 596, 'CDG', 1382, 'SEA', 3577, 'Y', 0, '332\r'),
	('AZ', 596, 'CDG', 1382, 'SFO', 3469, 'Y', 0, '388\r'),
	('AZ', 596, 'CDG', 1382, 'SGN', 3205, 'Y', 0, '777\r'),
	('AZ', 596, 'CDG', 1382, 'STR', 350, 'Y', 0, 'AR8\r'),
	('AZ', 596, 'CDG', 1382, 'SVG', 666, 'Y', 0, 'E70\r'),
	('AZ', 596, 'CDG', 1382, 'SXM', 2899, 'Y', 0, '343\r'),
	('AZ', 596, 'CDG', 1382, 'TLS', 1273, 'Y', 0, '320 319\r'),
	('AZ', 596, 'CDG', 1382, 'TRN', 1526, 'Y', 0, 'E90 AR8 E70\r'),
	('AZ', 596, 'CDG', 1382, 'TXL', 351, 'Y', 0, '321 320\r'),
	('AZ', 596, 'CDG', 1382, 'VCE', 1551, 'Y', 0, '318 320 319 32A\r'),
	('AZ', 596, 'CDG', 1382, 'VGO', 1250, 'Y', 0, 'E70\r'),
	('AZ', 596, 'CDG', 1382, 'VRN', 1550, 'Y', 0, 'E70\r'),
	('AZ', 596, 'CDG', 1382, 'YUL', 146, 'Y', 0, '744 343\r'),
	('AZ', 596, 'CDG', 1382, 'YYZ', 193, 'Y', 0, '772\r'),
	('AZ', 596, 'CFE', 1330, 'CDG', 1382, 'Y', 0, 'E70 E90\r'),
	('AZ', 596, 'CGK', 3275, 'AUH', 2179, '', 0, '77W 332\r'),
	('AZ', 596, 'CGN', 344, 'AMS', 580, 'Y', 0, 'F70\r'),
	('AZ', 596, 'CHA', 3578, 'ATL', 3682, 'Y', 0, 'CRJ CR7\r'),
	('AZ', 596, 'CHS', 3806, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'CIY', 9327, 'LIN', 1529, '', 0, 'E90\r'),
	('AZ', 596, 'CLE', 3486, 'ATL', 3682, 'Y', 0, '717\r'),
	('AZ', 596, 'CLJ', 1652, 'OTP', 1657, 'Y', 0, '318 AT7 AT5\r'),
	('AZ', 596, 'CLT', 3876, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('AZ', 596, 'CLY', 1322, 'MRS', 1353, '', 0, 'AT7\r'),
	('AZ', 596, 'CLY', 1322, 'NCE', 1354, 'Y', 0, 'AT7\r'),
	('AZ', 596, 'CMB', 3024, 'AUH', 2179, 'Y', 0, '320\r'),
	('AZ', 596, 'CMB', 3024, 'FCO', 1555, 'Y', 0, '332 343\r'),
	('AZ', 596, 'CMH', 3759, 'ATL', 3682, 'Y', 0, 'M88 319\r'),
	('AZ', 596, 'CMN', 1074, 'FCO', 1555, '', 0, '32S 319 320 E90\r'),
	('AZ', 596, 'COK', 3136, 'AUH', 2179, '', 0, '320\r'),
	('AZ', 596, 'CPH', 609, 'AMS', 580, 'Y', 0, '737\r'),
	('AZ', 596, 'CPH', 609, 'CDG', 1382, 'Y', 0, '318 319 320\r'),
	('AZ', 596, 'CPH', 609, 'FCO', 1555, '', 0, '32S 319\r'),
	('AZ', 596, 'CPH', 609, 'VCE', 1551, 'Y', 0, '320\r'),
	('AZ', 596, 'CPT', 797, 'AMS', 580, 'Y', 0, '777\r'),
	('AZ', 596, 'CTA', 1509, 'AMS', 580, '', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'BLQ', 1538, '', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'CDG', 1382, 'Y', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'DUS', 345, '', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'FCO', 1555, '', 0, '32S 319 321 320\r'),
	('AZ', 596, 'CTA', 1509, 'LGW', 502, '', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'LIN', 1529, '', 0, '319 320 E75 32S E90\r'),
	('AZ', 596, 'CTA', 1509, 'LYS', 1335, '', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'MXP', 1524, 'Y', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'NAP', 1561, 'Y', 0, 'E75\r'),
	('AZ', 596, 'CTA', 1509, 'PSA', 1562, 'Y', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'STR', 350, '', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'SVO', 2985, '', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'TRN', 1526, 'Y', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'TXL', 351, '', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'VCE', 1551, 'Y', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'VIE', 1613, '', 0, '320\r'),
	('AZ', 596, 'CTA', 1509, 'VRN', 1550, '', 0, '320\r'),
	('AZ', 596, 'CTU', 3395, 'AUH', 2179, '', 0, '332\r'),
	('AZ', 596, 'CUN', 1852, 'ATL', 3682, 'Y', 0, '757\r'),
	('AZ', 596, 'CVG', 3488, 'ATL', 3682, 'Y', 0, 'M88 CR9\r'),
	('AZ', 596, 'CWL', 488, 'AMS', 580, 'Y', 0, 'F70\r'),
	('AZ', 596, 'DAY', 3627, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'DCA', 3520, 'ATL', 3682, 'Y', 0, 'M88 M90\r'),
	('AZ', 596, 'DEL', 3093, 'AUH', 2179, '', 0, '332 320\r'),
	('AZ', 596, 'DEL', 3093, 'FCO', 1555, 'Y', 0, '333\r'),
	('AZ', 596, 'DEL', 3093, 'TPE', 2276, 'Y', 0, '333\r'),
	('AZ', 596, 'DEN', 3751, 'ATL', 3682, 'Y', 0, '757\r'),
	('AZ', 596, 'DFW', 3670, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'DKR', 1084, 'CDG', 1382, 'Y', 0, '77W\r'),
	('AZ', 596, 'DTW', 3645, 'ATL', 3682, 'Y', 0, 'M88 73H M90 757\r'),
	('AZ', 596, 'DTW', 3645, 'CDG', 1382, 'Y', 0, '343\r'),
	('AZ', 596, 'DUB', 599, 'CDG', 1382, 'Y', 0, 'AR8\r'),
	('AZ', 596, 'DUS', 345, 'AMS', 580, 'Y', 0, 'F70\r'),
	('AZ', 596, 'DUS', 345, 'CDG', 1382, 'Y', 0, '318 320\r'),
	('AZ', 596, 'DUS', 345, 'CTA', 1509, '', 0, '320\r'),
	('AZ', 596, 'DXB', 2188, 'AMS', 580, 'Y', 0, '777\r'),
	('AZ', 596, 'DXB', 2188, 'CDG', 1382, 'Y', 0, '77W\r'),
	('AZ', 596, 'EDI', 535, 'CDG', 1382, 'Y', 0, 'AR8\r'),
	('AZ', 596, 'EVN', 3964, 'CDG', 1382, '', 0, '320\r'),
	('AZ', 596, 'EVN', 3964, 'FCO', 1555, '', 0, '32S 319\r'),
	('AZ', 596, 'EWR', 3494, 'ATL', 3682, 'Y', 0, '717\r'),
	('AZ', 596, 'EZE', 3988, 'FCO', 1555, '', 0, '772\r'),
	('AZ', 596, 'FCO', 1555, 'AGP', 1230, '', 0, '319 320\r'),
	('AZ', 596, 'FCO', 1555, 'ALG', 210, '', 0, '32S 319\r'),
	('AZ', 596, 'FCO', 1555, 'AMM', 2170, '', 0, '319 32S\r'),
	('AZ', 596, 'FCO', 1555, 'AMS', 580, '', 0, '321 32S 320 319\r'),
	('AZ', 596, 'FCO', 1555, 'AOI', 4309, '', 0, 'E75\r'),
	('AZ', 596, 'FCO', 1555, 'ATH', 3941, '', 0, '32S 321 319\r'),
	('AZ', 596, 'FCO', 1555, 'ATL', 3682, 'Y', 0, '333\r'),
	('AZ', 596, 'FCO', 1555, 'AUH', 2179, '', 0, '330\r'),
	('AZ', 596, 'FCO', 1555, 'BCN', 1218, '', 0, '320 32S 319 321\r'),
	('AZ', 596, 'FCO', 1555, 'BDS', 1506, '', 0, '319 32S 321 320\r'),
	('AZ', 596, 'FCO', 1555, 'BEG', 1739, '', 0, 'E90 E75 32S 319\r'),
	('AZ', 596, 'FCO', 1555, 'BEY', 2177, '', 0, '32S 319 320\r'),
	('AZ', 596, 'FCO', 1555, 'BIO', 1216, '', 0, '320 32S\r'),
	('AZ', 596, 'FCO', 1555, 'BLQ', 1538, '', 0, '319 E75\r'),
	('AZ', 596, 'FCO', 1555, 'BOD', 1264, '', 0, 'E70 E90 CR7\r'),
	('AZ', 596, 'FCO', 1555, 'BOS', 3448, '', 0, '330 332\r'),
	('AZ', 596, 'FCO', 1555, 'BRI', 1501, '', 0, '32S 321 319 320\r'),
	('AZ', 596, 'FCO', 1555, 'BRU', 302, '', 0, '32S 320 319\r'),
	('AZ', 596, 'FCO', 1555, 'BUD', 1489, '', 0, '32S 319\r'),
	('AZ', 596, 'FCO', 1555, 'BZO', 1536, '', 0, 'S20\r'),
	('AZ', 596, 'FCO', 1555, 'CAG', 1519, '', 0, '319 32S 320 321\r'),
	('AZ', 596, 'FCO', 1555, 'CAI', 1128, '', 0, '32S 319\r'),
	('AZ', 596, 'FCO', 1555, 'CCS', 2851, '', 0, '330\r'),
	('AZ', 596, 'FCO', 1555, 'CDG', 1382, '', 0, '321 32S 319\r'),
	('AZ', 596, 'FCO', 1555, 'CMB', 3024, 'Y', 0, '332 343\r'),
	('AZ', 596, 'FCO', 1555, 'CMN', 1074, '', 0, '319 320 32S E90\r'),
	('AZ', 596, 'FCO', 1555, 'CPH', 609, '', 0, '32S 319\r'),
	('AZ', 596, 'FCO', 1555, 'CTA', 1509, '', 0, '321 32S 319 320\r'),
	('AZ', 596, 'FCO', 1555, 'DEL', 3093, 'Y', 0, '333\r'),
	('AZ', 596, 'FCO', 1555, 'EVN', 3964, '', 0, '32S 319\r'),
	('AZ', 596, 'FCO', 1555, 'EZE', 3988, '', 0, '772\r'),
	('AZ', 596, 'FCO', 1555, 'FLR', 1563, '', 0, '319\r'),
	('AZ', 596, 'FCO', 1555, 'FRA', 340, '', 0, '319 E75 E90 32S\r'),
	('AZ', 596, 'FCO', 1555, 'GIG', 2560, '', 0, '330\r'),
	('AZ', 596, 'FCO', 1555, 'GOA', 1528, '', 0, 'E75 319 32S 320 E90\r'),
	('AZ', 596, 'FCO', 1555, 'GRU', 2564, '', 0, '772\r'),
	('AZ', 596, 'FCO', 1555, 'GVA', 1665, '', 0, '32S E75 319 E90\r'),
	('AZ', 596, 'FCO', 1555, 'GYD', 2922, 'Y', 0, '319\r'),
	('AZ', 596, 'FCO', 1555, 'IAS', 1655, '', 0, '733\r'),
	('AZ', 596, 'FCO', 1555, 'ICN', 3930, 'Y', 0, '744\r'),
	('AZ', 596, 'FCO', 1555, 'IKA', 4330, '', 0, '320\r'),
	('AZ', 596, 'FCO', 1555, 'IST', 1701, '', 0, '321 32S 320\r'),
	('AZ', 596, 'FCO', 1555, 'JED', 2072, 'Y', 0, '320\r'),
	('AZ', 596, 'FCO', 1555, 'JFK', 3797, '', 0, '772 330\r'),
	('AZ', 596, 'FCO', 1555, 'KBP', 2939, '', 0, '32S\r'),
	('AZ', 596, 'FCO', 1555, 'KIX', 3992, '', 0, '330\r'),
	('AZ', 596, 'FCO', 1555, 'KWI', 2176, 'Y', 0, '340\r'),
	('AZ', 596, 'FCO', 1555, 'LAX', 3484, '', 0, '772\r'),
	('AZ', 596, 'FCO', 1555, 'LCY', 503, '', 0, 'E90\r'),
	('AZ', 596, 'FCO', 1555, 'LED', 2948, '', 0, '32S 319\r'),
	('AZ', 596, 'FCO', 1555, 'LHR', 507, '', 0, '321 32S 320\r'),
	('AZ', 596, 'FCO', 1555, 'LIN', 1529, '', 0, '32S 319 E75 320 E90 321\r'),
	('AZ', 596, 'FCO', 1555, 'LIS', 1638, 'Y', 0, '320 321 319\r'),
	('AZ', 596, 'FCO', 1555, 'LOS', 273, '', 0, '330\r'),
	('AZ', 596, 'FCO', 1555, 'LUX', 629, 'Y', 0, 'DH4\r'),
	('AZ', 596, 'FCO', 1555, 'LYS', 1335, '', 0, 'CRK\r'),
	('AZ', 596, 'FCO', 1555, 'MAD', 1229, '', 0, '32S 319 321 320\r'),
	('AZ', 596, 'FCO', 1555, 'MIA', 3576, '', 0, '772 330\r'),
	('AZ', 596, 'FCO', 1555, 'MLA', 1606, '', 0, '32S 320\r'),
	('AZ', 596, 'FCO', 1555, 'MPL', 1359, 'Y', 0, 'E75 E90\r'),
	('AZ', 596, 'FCO', 1555, 'MRS', 1353, 'Y', 0, '319\r'),
	('AZ', 596, 'FCO', 1555, 'MUC', 346, '', 0, '319 32S\r'),
	('AZ', 596, 'FCO', 1555, 'MXP', 1524, '', 0, 'E75 E90\r'),
	('AZ', 596, 'FCO', 1555, 'NAP', 1561, '', 0, '32S 319\r'),
	('AZ', 596, 'FCO', 1555, 'NCE', 1354, '', 0, '319 32S E75 321 E90\r'),
	('AZ', 596, 'FCO', 1555, 'NRT', 2279, '', 0, '772\r'),
	('AZ', 596, 'FCO', 1555, 'OPO', 1636, 'Y', 0, '100\r'),
	('AZ', 596, 'FCO', 1555, 'ORD', 3830, '', 0, '332 330\r'),
	('AZ', 596, 'FCO', 1555, 'ORN', 231, '', 0, 'E75\r'),
	('AZ', 596, 'FCO', 1555, 'OTP', 1657, '', 0, '32S 319\r'),
	('AZ', 596, 'FCO', 1555, 'PMO', 1512, '', 0, 'E75 32S 320 321 319\r'),
	('AZ', 596, 'FCO', 1555, 'PRG', 1587, '', 0, '32S\r'),
	('AZ', 596, 'FCO', 1555, 'PSA', 1562, '', 0, '319 E75\r'),
	('AZ', 596, 'FCO', 1555, 'PVG', 3406, 'Y', 0, '332\r'),
	('AZ', 596, 'FCO', 1555, 'REG', 1514, '', 0, '320 319\r'),
	('AZ', 596, 'FCO', 1555, 'RIX', 3953, 'Y', 0, '73C\r'),
	('AZ', 596, 'FCO', 1555, 'RUH', 2082, 'Y', 0, '320\r'),
	('AZ', 596, 'FCO', 1555, 'SKG', 1486, '', 0, 'E75 E90\r'),
	('AZ', 596, 'FCO', 1555, 'SKP', 1737, '', 0, 'E75\r'),
	('AZ', 596, 'FCO', 1555, 'SOF', 1194, '', 0, '321 319\r'),
	('AZ', 596, 'FCO', 1555, 'SUF', 1508, '', 0, '32S 321 320 319\r'),
	('AZ', 596, 'FCO', 1555, 'SVO', 2985, '', 0, '32S 319 321\r'),
	('AZ', 596, 'FCO', 1555, 'SXB', 1435, '', 0, 'ER4 CR7\r'),
	('AZ', 596, 'FCO', 1555, 'TBS', 3973, '', 0, 'E90\r'),
	('AZ', 596, 'FCO', 1555, 'TGD', 1741, '', 0, 'E75 100\r'),
	('AZ', 596, 'FCO', 1555, 'TIA', 1190, '', 0, '32S 319 E90 E75\r'),
	('AZ', 596, 'FCO', 1555, 'TIP', 1157, '', 0, '319\r'),
	('AZ', 596, 'FCO', 1555, 'TLS', 1273, '', 0, 'E75\r'),
	('AZ', 596, 'FCO', 1555, 'TLV', 1590, '', 0, '321 32S\r'),
	('AZ', 596, 'FCO', 1555, 'TRN', 1526, '', 0, '32S 319 320 E75\r'),
	('AZ', 596, 'FCO', 1555, 'TRS', 1545, '', 0, '32S 319 E75 320\r'),
	('AZ', 596, 'FCO', 1555, 'TUN', 287, '', 0, '32S 319 E90 E75\r'),
	('AZ', 596, 'FCO', 1555, 'VCE', 1551, '', 0, 'E90 32S E75 319 320\r'),
	('AZ', 596, 'FCO', 1555, 'VIE', 1613, '', 0, '319 E90 E75\r'),
	('AZ', 596, 'FCO', 1555, 'VLC', 1246, '', 0, '32S\r'),
	('AZ', 596, 'FCO', 1555, 'VRN', 1550, '', 0, '32S E75 319\r'),
	('AZ', 596, 'FCO', 1555, 'WAW', 679, '', 0, '32S\r'),
	('AZ', 596, 'FCO', 1555, 'YYZ', 193, '', 0, '332\r'),
	('AZ', 596, 'FCO', 1555, 'ZRH', 1678, '', 0, 'E75 E90 32S\r'),
	('AZ', 596, 'FLL', 3533, 'ATL', 3682, 'Y', 0, '757\r'),
	('AZ', 596, 'FLR', 1563, 'AMS', 580, '', 0, 'E90\r'),
	('AZ', 596, 'FLR', 1563, 'CDG', 1382, 'Y', 0, '318\r'),
	('AZ', 596, 'FLR', 1563, 'FCO', 1555, '', 0, '319\r'),
	('AZ', 596, 'FLR', 1563, 'GVA', 1665, 'Y', 0, 'S20\r'),
	('AZ', 596, 'FRA', 340, 'FCO', 1555, '', 0, '319 E75 E90 32S\r'),
	('AZ', 596, 'FRA', 340, 'HAN', 3199, 'Y', 0, '777\r'),
	('AZ', 596, 'FRA', 340, 'LIN', 1529, 'Y', 0, 'E75\r'),
	('AZ', 596, 'FRA', 340, 'SGN', 3205, 'Y', 0, '777\r'),
	('AZ', 596, 'FRU', 2912, 'SVO', 2985, '', 0, '319\r'),
	('AZ', 596, 'FSC', 1323, 'MRS', 1353, '', 0, 'AT7\r'),
	('AZ', 596, 'FSC', 1323, 'NCE', 1354, 'Y', 0, 'AT7\r'),
	('AZ', 596, 'GDL', 1804, 'ATL', 3682, 'Y', 0, '320\r'),
	('AZ', 596, 'GIG', 2560, 'FCO', 1555, '', 0, '330\r'),
	('AZ', 596, 'GLA', 534, 'AMS', 580, 'Y', 0, '737\r'),
	('AZ', 596, 'GNV', 3472, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('AZ', 596, 'GOA', 1528, 'CDG', 1382, 'Y', 0, 'E70 E90\r'),
	('AZ', 596, 'GOA', 1528, 'FCO', 1555, '', 0, '319 32S E75 320 E90\r'),
	('AZ', 596, 'GOA', 1528, 'TIA', 1190, 'Y', 0, '320\r'),
	('AZ', 596, 'GOT', 687, 'CDG', 1382, 'Y', 0, 'E90 E70\r'),
	('AZ', 596, 'GPT', 4038, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'GRU', 2564, 'FCO', 1555, '', 0, '772\r'),
	('AZ', 596, 'GSP', 4034, 'ATL', 3682, 'Y', 0, 'M88 319 717\r'),
	('AZ', 596, 'GVA', 1665, 'FCO', 1555, '', 0, '32S E75 319 E90\r'),
	('AZ', 596, 'GVA', 1665, 'FLR', 1563, 'Y', 0, 'S20\r'),
	('AZ', 596, 'GYD', 2922, 'FCO', 1555, 'Y', 0, '319\r'),
	('AZ', 596, 'GYD', 2922, 'MXP', 1524, 'Y', 0, '320\r'),
	('AZ', 596, 'HAJ', 352, 'AMS', 580, 'Y', 0, 'E90 F70\r'),
	('AZ', 596, 'HAJ', 352, 'CDG', 1382, 'Y', 0, 'E70\r'),
	('AZ', 596, 'HAM', 342, 'AMS', 580, 'Y', 0, '737 E90 F70 EMJ\r'),
	('AZ', 596, 'HAM', 342, 'CDG', 1382, 'Y', 0, '321 318 320 32A\r'),
	('AZ', 596, 'HAN', 3199, 'CDG', 1382, 'Y', 0, '777\r'),
	('AZ', 596, 'HAN', 3199, 'FRA', 340, 'Y', 0, '777\r'),
	('AZ', 596, 'HEL', 421, 'AMS', 580, 'Y', 0, '737\r'),
	('AZ', 596, 'HKG', 3077, 'CDG', 1382, 'Y', 0, '77W\r'),
	('AZ', 596, 'HOU', 3566, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'HSV', 4113, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'HUY', 515, 'AMS', 580, 'Y', 0, 'F70\r'),
	('AZ', 596, 'IAD', 3714, 'ATL', 3682, 'Y', 0, '320 M88\r'),
	('AZ', 596, 'IAD', 3714, 'CDG', 1382, 'Y', 0, '388 77W\r'),
	('AZ', 596, 'IAH', 3550, 'ATL', 3682, 'Y', 0, 'M88 717\r'),
	('AZ', 596, 'IAH', 3550, 'CDG', 1382, 'Y', 0, '77W\r'),
	('AZ', 596, 'IAS', 1655, 'BLQ', 1538, '', 0, '733\r'),
	('AZ', 596, 'IAS', 1655, 'FCO', 1555, 'Y', 0, '733\r'),
	('AZ', 596, 'IAS', 1655, 'OTP', 1657, 'Y', 0, 'AT7 AT5\r'),
	('AZ', 596, 'IAS', 1655, 'TRN', 1526, '', 0, '733\r'),
	('AZ', 596, 'IBZ', 1225, 'MAD', 1229, 'Y', 0, 'E90\r'),
	('AZ', 596, 'ICN', 3930, 'MXP', 1524, 'Y', 0, '744\r'),
	('AZ', 596, 'ICT', 3457, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('AZ', 596, 'IKA', 4330, 'FCO', 1555, '', 0, '320\r'),
	('AZ', 596, 'ILM', 3845, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('AZ', 596, 'IND', 3585, 'ATL', 3682, 'Y', 0, 'M88 M90\r'),
	('AZ', 596, 'IST', 1701, 'FCO', 1555, '', 0, '32S 321 320\r'),
	('AZ', 596, 'JAN', 3580, 'ATL', 3682, 'Y', 0, '717\r'),
	('AZ', 596, 'JAX', 3712, 'ATL', 3682, 'Y', 0, '757\r'),
	('AZ', 596, 'JED', 2072, 'FCO', 1555, 'Y', 0, '320\r'),
	('AZ', 596, 'JED', 2072, 'MXP', 1524, 'Y', 0, '320\r'),
	('AZ', 596, 'JFK', 3797, 'ATL', 3682, 'Y', 0, '752 319 M88 738\r'),
	('AZ', 596, 'JFK', 3797, 'CDG', 1382, 'Y', 0, '332 388 772 343\r'),
	('AZ', 596, 'JFK', 3797, 'FCO', 1555, '', 0, '772 330\r'),
	('AZ', 596, 'JFK', 3797, 'MEX', 1824, 'Y', 0, '738\r'),
	('AZ', 596, 'JFK', 3797, 'MSY', 3861, 'Y', 0, 'CR9\r'),
	('AZ', 596, 'JFK', 3797, 'MXP', 1524, '', 0, '330\r'),
	('AZ', 596, 'JFK', 3797, 'VCE', 1551, 'Y', 0, '764\r'),
	('AZ', 596, 'JFK', 3797, 'YUL', 146, 'Y', 0, 'ERJ\r'),
	('AZ', 596, 'JFK', 3797, 'YYZ', 193, 'Y', 0, 'CR7\r'),
	('AZ', 596, 'JNB', 813, 'AUH', 2179, '', 0, '332\r'),
	('AZ', 596, 'JNB', 813, 'CDG', 1382, 'Y', 0, '388\r'),
	('AZ', 596, 'KBP', 2939, 'FCO', 1555, '', 0, '32S\r'),
	('AZ', 596, 'KHI', 2206, 'AUH', 2179, '', 0, '320\r'),
	('AZ', 596, 'KIV', 1735, 'OTP', 1657, '', 0, 'AT7\r'),
	('AZ', 596, 'KIX', 3992, 'FCO', 1555, '', 0, '330\r'),
	('AZ', 596, 'KRS', 638, 'AMS', 580, 'Y', 0, 'F70 E90\r'),
	('AZ', 596, 'KRT', 1175, 'AUH', 2179, 'Y', 0, '320\r'),
	('AZ', 596, 'KUL', 3304, 'AUH', 2179, '', 0, '332\r'),
	('AZ', 596, 'KWI', 2176, 'AUH', 2179, '', 0, '320\r'),
	('AZ', 596, 'KWI', 2176, 'FCO', 1555, 'Y', 0, '340\r'),
	('AZ', 596, 'LAS', 3877, 'ATL', 3682, 'Y', 0, '757\r'),
	('AZ', 596, 'LAX', 3484, 'CDG', 1382, 'Y', 0, '388 772\r'),
	('AZ', 596, 'LAX', 3484, 'FCO', 1555, '', 0, '772\r'),
	('AZ', 596, 'LBA', 517, 'AMS', 580, 'Y', 0, 'F70\r'),
	('AZ', 596, 'LCA', 1197, 'ATH', 3941, '', 0, '320\r'),
	('AZ', 596, 'LCG', 1220, 'MAD', 1229, 'Y', 0, 'E90\r'),
	('AZ', 596, 'LCY', 503, 'FCO', 1555, '', 0, 'E90\r'),
	('AZ', 596, 'LCY', 503, 'LIN', 1529, '', 0, 'E90\r'),
	('AZ', 596, 'LED', 2948, 'FCO', 1555, '', 0, '32S 319\r'),
	('AZ', 596, 'LED', 2948, 'MXP', 1524, '', 0, '320\r'),
	('AZ', 596, 'LED', 2948, 'VCE', 1551, 'Y', 0, '320\r'),
	('AZ', 596, 'LGW', 502, 'CTA', 1509, '', 0, '320\r'),
	('AZ', 596, 'LGW', 502, 'PMO', 1512, '', 0, '320\r'),
	('AZ', 596, 'LHE', 2207, 'AUH', 2179, '', 0, '77W 346 320\r'),
	('AZ', 596, 'LHR', 507, 'FCO', 1555, '', 0, '32S 321 320\r'),
	('AZ', 596, 'LHR', 507, 'LIN', 1529, '', 0, '32S 320 321\r'),
	('AZ', 596, 'LIM', 2789, 'AMS', 580, 'Y', 0, '77W 777\r'),
	('AZ', 596, 'LIM', 2789, 'CDG', 1382, 'Y', 0, '77W\r'),
	('AZ', 596, 'LIN', 1529, 'AHO', 1517, '', 0, '319\r'),
	('AZ', 596, 'LIN', 1529, 'AMS', 580, '', 0, '32S 321\r'),
	('AZ', 596, 'LIN', 1529, 'BCN', 1218, '', 0, 'E75\r'),
	('AZ', 596, 'LIN', 1529, 'BDS', 1506, '', 0, 'E90\r'),
	('AZ', 596, 'LIN', 1529, 'BRI', 1501, '', 0, '320 32S\r'),
	('AZ', 596, 'LIN', 1529, 'BRU', 302, 'Y', 0, 'E75 E90\r'),
	('AZ', 596, 'LIN', 1529, 'CAG', 1519, '', 0, '319 E75 320 32S E90\r'),
	('AZ', 596, 'LIN', 1529, 'CDG', 1382, '', 0, '32S 320 319\r'),
	('AZ', 596, 'LIN', 1529, 'CIY', 9327, '', 0, 'E90\r'),
	('AZ', 596, 'LIN', 1529, 'CTA', 1509, '', 0, '319 320 E75 E90\r'),
	('AZ', 596, 'LIN', 1529, 'FCO', 1555, '', 0, 'E90 32S 320 319 E75 321\r'),
	('AZ', 596, 'LIN', 1529, 'FRA', 340, 'Y', 0, 'E75\r'),
	('AZ', 596, 'LIN', 1529, 'LCY', 503, '', 0, 'E90\r'),
	('AZ', 596, 'LIN', 1529, 'LHR', 507, '', 0, '320 32S 321\r'),
	('AZ', 596, 'LIN', 1529, 'NAP', 1561, '', 0, 'E75 319\r'),
	('AZ', 596, 'LIN', 1529, 'ORY', 1386, '', 0, '320\r'),
	('AZ', 596, 'LIN', 1529, 'OTP', 1657, '', 0, '320 32S 319\r'),
	('AZ', 596, 'LIN', 1529, 'PMO', 1512, '', 0, '320 32S\r'),
	('AZ', 596, 'LIN', 1529, 'PRG', 1587, '', 0, '319 E75\r'),
	('AZ', 596, 'LIN', 1529, 'PSR', 1505, '', 0, '319 32S\r'),
	('AZ', 596, 'LIN', 1529, 'REG', 1514, '', 0, '320\r'),
	('AZ', 596, 'LIN', 1529, 'SUF', 1508, '', 0, '319 E75\r'),
	('AZ', 596, 'LIN', 1529, 'TRS', 1545, 'Y', 0, 'E75 32S\r'),
	('AZ', 596, 'LIN', 1529, 'VIE', 1613, '', 0, 'E75\r'),
	('AZ', 596, 'LIN', 1529, 'WAW', 679, '', 0, '319 E75\r'),
	('AZ', 596, 'LIS', 1638, 'BLQ', 1538, 'Y', 0, '319 320\r'),
	('AZ', 596, 'LIS', 1638, 'CDG', 1382, 'Y', 0, '319 318 320 321\r'),
	('AZ', 596, 'LIS', 1638, 'FCO', 1555, 'Y', 0, '321 319 320\r'),
	('AZ', 596, 'LIS', 1638, 'MXP', 1524, '', 0, '320 319\r'),
	('AZ', 596, 'LIS', 1638, 'VCE', 1551, 'Y', 0, '319\r'),
	('AZ', 596, 'LIT', 3660, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'LOS', 273, 'ACC', 248, '', 0, '330\r'),
	('AZ', 596, 'LPA', 1054, 'MAD', 1229, 'Y', 0, '738 332\r'),
	('AZ', 596, 'LUX', 629, 'FCO', 1555, 'Y', 0, 'DH4\r'),
	('AZ', 596, 'LUX', 629, 'MXP', 1524, 'Y', 0, 'DH4 ER4\r'),
	('AZ', 596, 'LYS', 1335, 'AJA', 1324, 'Y', 0, '320\r'),
	('AZ', 596, 'LYS', 1335, 'CTA', 1509, '', 0, '320\r'),
	('AZ', 596, 'LYS', 1335, 'FCO', 1555, '', 0, 'CRK\r'),
	('AZ', 596, 'LYS', 1335, 'MXP', 1524, '', 0, 'CRJ ER4\r'),
	('AZ', 596, 'LYS', 1335, 'TLS', 1273, 'Y', 0, '319 320 CRK\r'),
	('AZ', 596, 'MAD', 1229, 'FCO', 1555, '', 0, '321 32S 319 320\r'),
	('AZ', 596, 'MAD', 1229, 'FUE', 1051, 'Y', 0, '738\r'),
	('AZ', 596, 'MAD', 1229, 'IBZ', 1225, 'Y', 0, '738 E90\r'),
	('AZ', 596, 'MAD', 1229, 'LCG', 1220, 'Y', 0, 'E90\r'),
	('AZ', 596, 'MAD', 1229, 'LPA', 1054, 'Y', 0, '738 332\r'),
	('AZ', 596, 'MAD', 1229, 'MEX', 1824, 'Y', 0, '777\r'),
	('AZ', 596, 'MAD', 1229, 'PMI', 3998, 'Y', 0, '738 E90\r'),
	('AZ', 596, 'MAD', 1229, 'TFN', 1057, 'Y', 0, '738 332\r'),
	('AZ', 596, 'MAD', 1229, 'VGO', 1250, 'Y', 0, 'E90\r'),
	('AZ', 596, 'MAN', 478, 'CDG', 1382, 'Y', 0, '321 320\r'),
	('AZ', 596, 'MCI', 3458, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'MCO', 3878, 'ATL', 3682, 'Y', 0, '757 76W M88\r'),
	('AZ', 596, 'MCT', 2194, 'AUH', 2179, 'Y', 0, '320\r'),
	('AZ', 596, 'MEL', 3339, 'AUH', 2179, 'Y', 0, '77W\r'),
	('AZ', 596, 'MEM', 3473, 'ATL', 3682, 'Y', 0, 'M88 319 320\r'),
	('AZ', 596, 'MEX', 1824, 'ATL', 3682, 'Y', 0, '73H 73W\r'),
	('AZ', 596, 'MEX', 1824, 'CDG', 1382, 'Y', 0, '744 787\r'),
	('AZ', 596, 'MEX', 1824, 'JFK', 3797, 'Y', 0, '738\r'),
	('AZ', 596, 'MEX', 1824, 'MAD', 1229, 'Y', 0, '777\r'),
	('AZ', 596, 'MEX', 1824, 'MIA', 3576, 'Y', 0, '737\r'),
	('AZ', 596, 'MIA', 3576, 'ATL', 3682, 'Y', 0, 'M88 M90\r'),
	('AZ', 596, 'MIA', 3576, 'CDG', 1382, 'Y', 0, '77W\r'),
	('AZ', 596, 'MIA', 3576, 'FCO', 1555, '', 0, '772 330\r'),
	('AZ', 596, 'MIA', 3576, 'MEX', 1824, 'Y', 0, '737\r'),
	('AZ', 596, 'MKE', 3717, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('AZ', 596, 'MLA', 1606, 'FCO', 1555, '', 0, '32S 320\r'),
	('AZ', 596, 'MLE', 3156, 'AUH', 2179, 'Y', 0, '320\r'),
	('AZ', 596, 'MME', 522, 'AMS', 580, 'Y', 0, 'F70\r'),
	('AZ', 596, 'MPL', 1359, 'CDG', 1382, 'Y', 0, '320 318 319\r'),
	('AZ', 596, 'MPL', 1359, 'FCO', 1555, 'Y', 0, 'E75 E90\r'),
	('AZ', 596, 'MRS', 1353, 'AJA', 1324, '', 0, '320 AT7\r'),
	('AZ', 596, 'MRS', 1353, 'BIA', 1321, '', 0, '320\r'),
	('AZ', 596, 'MRS', 1353, 'CDG', 1382, 'Y', 0, '319\r'),
	('AZ', 596, 'MRS', 1353, 'CLY', 1322, '', 0, 'AT7\r'),
	('AZ', 596, 'MRS', 1353, 'FCO', 1555, 'Y', 0, '319\r'),
	('AZ', 596, 'MRS', 1353, 'FSC', 1323, 'Y', 0, 'AT7\r'),
	('AZ', 596, 'MRS', 1353, 'MXP', 1524, '', 0, 'AT7\r'),
	('AZ', 596, 'MRS', 1353, 'VCE', 1551, 'Y', 0, '320 319\r'),
	('AZ', 596, 'MSY', 3861, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('AZ', 596, 'MSY', 3861, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('AZ', 596, 'MTY', 1825, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('AZ', 596, 'MUC', 346, 'FCO', 1555, '', 0, '319 32S\r'),
	('AZ', 596, 'MXP', 1524, 'AUH', 2179, 'Y', 0, '332\r'),
	('AZ', 596, 'MXP', 1524, 'BEG', 1739, 'Y', 0, '733\r'),
	('AZ', 596, 'MXP', 1524, 'BEY', 2177, '', 0, '320\r'),
	('AZ', 596, 'MXP', 1524, 'CAI', 1128, '', 0, '32S 319\r'),
	('AZ', 596, 'MXP', 1524, 'CTA', 1509, 'Y', 0, '320\r'),
	('AZ', 596, 'MXP', 1524, 'FCO', 1555, '', 0, 'E75 E90\r'),
	('AZ', 596, 'MXP', 1524, 'GYD', 2922, 'Y', 0, '320\r'),
	('AZ', 596, 'MXP', 1524, 'JED', 2072, 'Y', 0, '320\r'),
	('AZ', 596, 'MXP', 1524, 'JFK', 3797, '', 0, '330\r'),
	('AZ', 596, 'MXP', 1524, 'LED', 2948, '', 0, '320\r'),
	('AZ', 596, 'MXP', 1524, 'LIS', 1638, '', 0, '319 320\r'),
	('AZ', 596, 'MXP', 1524, 'LUX', 629, 'Y', 0, 'DH4 ER4\r'),
	('AZ', 596, 'MXP', 1524, 'LYS', 1335, '', 0, 'ER4 CRJ\r'),
	('AZ', 596, 'MXP', 1524, 'MRS', 1353, '', 0, 'AT7\r'),
	('AZ', 596, 'MXP', 1524, 'NRT', 2279, '', 0, '772\r'),
	('AZ', 596, 'MXP', 1524, 'NTE', 1418, '', 0, 'ER4\r'),
	('AZ', 596, 'MXP', 1524, 'OPO', 1636, 'Y', 0, 'ER4 100\r'),
	('AZ', 596, 'MXP', 1524, 'RIX', 3953, 'Y', 0, '73C 735\r'),
	('AZ', 596, 'MXP', 1524, 'RUH', 2082, 'Y', 0, '320\r'),
	('AZ', 596, 'MXP', 1524, 'SOF', 1194, 'Y', 0, 'E90\r'),
	('AZ', 596, 'MXP', 1524, 'SVO', 2985, '', 0, '32S 319\r'),
	('AZ', 596, 'MXP', 1524, 'TIA', 1190, 'Y', 0, '320\r'),
	('AZ', 596, 'MXP', 1524, 'TUN', 287, '', 0, '319 32S\r'),
	('AZ', 596, 'MYR', 3515, 'ATL', 3682, 'Y', 0, '717 CR7\r'),
	('AZ', 596, 'NAP', 1561, 'CDG', 1382, 'Y', 0, '321\r'),
	('AZ', 596, 'NAP', 1561, 'CTA', 1509, 'Y', 0, 'E75\r'),
	('AZ', 596, 'NAP', 1561, 'FCO', 1555, '', 0, '32S E75 319\r'),
	('AZ', 596, 'NAP', 1561, 'LIN', 1529, '', 0, 'E75 32S 319\r'),
	('AZ', 596, 'NAP', 1561, 'PMO', 1512, 'Y', 0, 'E75\r'),
	('AZ', 596, 'NAP', 1561, 'TRN', 1526, '', 0, '319 E75\r'),
	('AZ', 596, 'NAP', 1561, 'TRS', 1545, '', 0, 'E75\r'),
	('AZ', 596, 'NBO', 4059, 'AMS', 580, 'Y', 0, '747\r'),
	('AZ', 596, 'NBO', 4059, 'AUH', 2179, 'Y', 0, '320\r'),
	('AZ', 596, 'NCE', 1354, 'AJA', 1324, 'Y', 0, 'AT7\r'),
	('AZ', 596, 'NCE', 1354, 'BIA', 1321, '', 0, 'AT7\r'),
	('AZ', 596, 'NCE', 1354, 'CLY', 1322, '', 0, 'AT7\r'),
	('AZ', 596, 'NCE', 1354, 'FCO', 1555, '', 0, '319 32S E75 321 E90\r'),
	('AZ', 596, 'NCE', 1354, 'FSC', 1323, 'Y', 0, 'AT7\r'),
	('AZ', 596, 'NCE', 1354, 'VCE', 1551, 'Y', 0, '320\r'),
	('AZ', 596, 'NCL', 521, 'CDG', 1382, 'Y', 0, 'AR8\r'),
	('AZ', 596, 'NRT', 2279, 'FCO', 1555, '', 0, '772\r'),
	('AZ', 596, 'NRT', 2279, 'MXP', 1524, '', 0, '772\r'),
	('AZ', 596, 'NRT', 2279, 'VCE', 1551, '', 0, '772\r'),
	('AZ', 596, 'NTE', 1418, 'CDG', 1382, 'Y', 0, '321 318 319 320\r'),
	('AZ', 596, 'NTE', 1418, 'MXP', 1524, '', 0, 'ER4\r'),
	('AZ', 596, 'NUE', 347, 'CDG', 1382, 'Y', 0, 'E70\r'),
	('AZ', 596, 'NWI', 547, 'AMS', 580, 'Y', 0, 'F70\r'),
	('AZ', 596, 'OLB', 1520, 'RIX', 3953, 'Y', 0, '73C\r'),
	('AZ', 596, 'OMA', 3454, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('AZ', 596, 'OMR', 1656, 'OTP', 1657, 'Y', 0, 'AT5\r'),
	('AZ', 596, 'OPO', 1636, 'FCO', 1555, 'Y', 0, '100\r'),
	('AZ', 596, 'OPO', 1636, 'MXP', 1524, 'Y', 0, 'ER4 100\r'),
	('AZ', 596, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'ORD', 3830, 'FCO', 1555, '', 0, '332 330\r'),
	('AZ', 596, 'ORF', 3611, 'ATL', 3682, 'Y', 0, 'M88 M90 319\r'),
	('AZ', 596, 'ORN', 231, 'FCO', 1555, '', 0, 'E75\r'),
	('AZ', 596, 'ORY', 1386, 'LIN', 1529, '', 0, '320\r'),
	('AZ', 596, 'OSL', 644, 'CDG', 1382, 'Y', 0, 'E90\r'),
	('AZ', 596, 'OTP', 1657, 'BAY', 1649, 'Y', 0, 'AT5\r'),
	('AZ', 596, 'OTP', 1657, 'CLJ', 1652, 'Y', 0, 'AT7 318\r'),
	('AZ', 596, 'OTP', 1657, 'FCO', 1555, '', 0, '32S 319\r'),
	('AZ', 596, 'OTP', 1657, 'IAS', 1655, 'Y', 0, 'AT7\r'),
	('AZ', 596, 'OTP', 1657, 'KIV', 1735, '', 0, 'AT7 AT5\r'),
	('AZ', 596, 'OTP', 1657, 'LIN', 1529, '', 0, '320 32S 319\r'),
	('AZ', 596, 'OTP', 1657, 'OMR', 1656, 'Y', 0, 'AT5\r'),
	('AZ', 596, 'OTP', 1657, 'SUJ', 1659, 'Y', 0, 'AT5\r'),
	('AZ', 596, 'OTP', 1657, 'TSR', 1663, 'Y', 0, '733 318 310 AT7 AT5\r'),
	('AZ', 596, 'PBI', 3722, 'ATL', 3682, 'Y', 0, '757 M90\r'),
	('AZ', 596, 'PEK', 3364, 'AUH', 2179, '', 0, '332\r'),
	('AZ', 596, 'PHL', 3752, 'ATL', 3682, 'Y', 0, 'M88 M90 738\r'),
	('AZ', 596, 'PHX', 3462, 'ATL', 3682, 'Y', 0, '757 739\r'),
	('AZ', 596, 'PIT', 3570, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'PMI', 3998, 'BCN', 1218, 'Y', 0, 'E90 738\r'),
	('AZ', 596, 'PMI', 3998, 'MAD', 1229, 'Y', 0, '738 E90\r'),
	('AZ', 596, 'PMI', 3998, 'VLC', 1246, 'Y', 0, 'E90\r'),
	('AZ', 596, 'PMO', 1512, 'AMS', 580, '', 0, '320\r'),
	('AZ', 596, 'PMO', 1512, 'CDG', 1382, 'Y', 0, '320\r'),
	('AZ', 596, 'PMO', 1512, 'FCO', 1555, '', 0, '319 321 E75 32S 320\r'),
	('AZ', 596, 'PMO', 1512, 'LGW', 502, '', 0, '320\r'),
	('AZ', 596, 'PMO', 1512, 'LIN', 1529, '', 0, '320 32S\r'),
	('AZ', 596, 'PMO', 1512, 'NAP', 1561, 'Y', 0, 'E75\r'),
	('AZ', 596, 'PMO', 1512, 'SVO', 2985, 'Y', 0, '320\r'),
	('AZ', 596, 'PMO', 1512, 'TRN', 1526, 'Y', 0, '320\r'),
	('AZ', 596, 'PMO', 1512, 'TXL', 351, 'Y', 0, '320\r'),
	('AZ', 596, 'PMO', 1512, 'VCE', 1551, 'Y', 0, '320\r'),
	('AZ', 596, 'PMO', 1512, 'VRN', 1550, 'Y', 0, '320\r'),
	('AZ', 596, 'PRG', 1587, 'CDG', 1382, 'Y', 0, '321 320 32A\r'),
	('AZ', 596, 'PRG', 1587, 'FCO', 1555, '', 0, '32S\r'),
	('AZ', 596, 'PRG', 1587, 'LIN', 1529, '', 0, '319 E75\r'),
	('AZ', 596, 'PRG', 1587, 'PSA', 1562, 'Y', 0, '320\r'),
	('AZ', 596, 'PRG', 1587, 'VCE', 1551, 'Y', 0, '320\r'),
	('AZ', 596, 'PSA', 1562, 'CTA', 1509, 'Y', 0, '320\r'),
	('AZ', 596, 'PSA', 1562, 'FCO', 1555, 'Y', 0, 'E75 319 E90\r'),
	('AZ', 596, 'PSA', 1562, 'PRG', 1587, 'Y', 0, '320\r'),
	('AZ', 596, 'PSA', 1562, 'SVO', 2985, 'Y', 0, '320\r'),
	('AZ', 596, 'PSA', 1562, 'TIA', 1190, 'Y', 0, '320\r'),
	('AZ', 596, 'PSA', 1562, 'TXL', 351, 'Y', 0, '320\r'),
	('AZ', 596, 'PSR', 1505, 'LIN', 1529, '', 0, '319 32S\r'),
	('AZ', 596, 'PTY', 1871, 'AMS', 580, 'Y', 0, '777 77W\r'),
	('AZ', 596, 'PTY', 1871, 'ATL', 3682, 'Y', 0, '738\r'),
	('AZ', 596, 'PUF', 1274, 'CDG', 1382, 'Y', 0, 'E90\r'),
	('AZ', 596, 'PUJ', 1760, 'CDG', 1382, 'Y', 0, '744\r'),
	('AZ', 596, 'PVG', 3406, 'FCO', 1555, 'Y', 0, '332\r'),
	('AZ', 596, 'RDU', 3626, 'ATL', 3682, 'Y', 0, '752 M90 M88\r'),
	('AZ', 596, 'REG', 1514, 'FCO', 1555, '', 0, '320 319\r'),
	('AZ', 596, 'REG', 1514, 'LIN', 1529, '', 0, '320\r'),
	('AZ', 596, 'REG', 1514, 'TRN', 1526, '', 0, '319\r'),
	('AZ', 596, 'RIC', 3608, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('AZ', 596, 'RIX', 3953, 'FCO', 1555, 'Y', 0, '73C\r'),
	('AZ', 596, 'RIX', 3953, 'MXP', 1524, 'Y', 0, '73C 735\r'),
	('AZ', 596, 'RIX', 3953, 'OLB', 1520, 'Y', 0, '73C\r'),
	('AZ', 596, 'RIX', 3953, 'VCE', 1551, '', 0, '73C 735\r'),
	('AZ', 596, 'RNS', 1415, 'CDG', 1382, 'Y', 0, 'AT7\r'),
	('AZ', 596, 'ROC', 3622, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('AZ', 596, 'RSW', 3793, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('AZ', 596, 'RUH', 2082, 'FCO', 1555, 'Y', 0, '320\r'),
	('AZ', 596, 'RUH', 2082, 'MXP', 1524, 'Y', 0, '320\r'),
	('AZ', 596, 'SAN', 3731, 'ATL', 3682, 'Y', 0, '73H 763 739\r'),
	('AZ', 596, 'SAT', 3621, 'ATL', 3682, 'Y', 0, '757 M90\r'),
	('AZ', 596, 'SAV', 3613, 'ATL', 3682, 'Y', 0, 'M88 717\r'),
	('AZ', 596, 'SCL', 2650, 'CDG', 1382, 'Y', 0, '77W 772\r'),
	('AZ', 596, 'SEA', 3577, 'ATL', 3682, 'Y', 0, '739 76W 757\r'),
	('AZ', 596, 'SEA', 3577, 'CDG', 1382, 'Y', 0, '332\r'),
	('AZ', 596, 'SEZ', 994, 'AUH', 2179, 'Y', 0, '320\r'),
	('AZ', 596, 'SFO', 3469, 'ATL', 3682, 'Y', 0, '763\r'),
	('AZ', 596, 'SFO', 3469, 'CDG', 1382, 'Y', 0, '388\r'),
	('AZ', 596, 'SGN', 3205, 'CDG', 1382, 'Y', 0, '777\r'),
	('AZ', 596, 'SGN', 3205, 'FRA', 340, 'Y', 0, '777\r'),
	('AZ', 596, 'SIN', 3316, 'AUH', 2179, 'Y', 0, '332\r'),
	('AZ', 596, 'SJU', 2890, 'ATL', 3682, 'Y', 0, '757 753\r'),
	('AZ', 596, 'SKG', 1486, 'FCO', 1555, '', 0, 'E75 E90\r'),
	('AZ', 596, 'SKP', 1737, 'FCO', 1555, '', 0, 'E75\r'),
	('AZ', 596, 'SLC', 3536, 'ATL', 3682, 'Y', 0, '763\r'),
	('AZ', 596, 'SNA', 3867, 'ATL', 3682, 'Y', 0, '757\r'),
	('AZ', 596, 'SOF', 1194, 'FCO', 1555, '', 0, '321 319\r'),
	('AZ', 596, 'SOF', 1194, 'MXP', 1524, 'Y', 0, 'E90\r'),
	('AZ', 596, 'SRQ', 4067, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('AZ', 596, 'STL', 3678, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('AZ', 596, 'STR', 350, 'CDG', 1382, 'Y', 0, 'AR8\r'),
	('AZ', 596, 'STR', 350, 'CTA', 1509, '', 0, '320\r'),
	('AZ', 596, 'STT', 2883, 'JFK', 3797, 'Y', 0, '757\r'),
	('AZ', 596, 'SUF', 1508, 'FCO', 1555, '', 0, '321 32S 320 319\r'),
	('AZ', 596, 'SUF', 1508, 'LIN', 1529, '', 0, '319 E75\r'),
	('AZ', 596, 'SUF', 1508, 'TRN', 1526, '', 0, '320\r'),
	('AZ', 596, 'SUF', 1508, 'VCE', 1551, 'Y', 0, '320\r'),
	('AZ', 596, 'SUJ', 1659, 'OTP', 1657, 'Y', 0, 'AT5\r'),
	('AZ', 596, 'SVG', 666, 'AMS', 580, 'Y', 0, '737 E90 F70\r'),
	('AZ', 596, 'SVG', 666, 'CDG', 1382, 'Y', 0, 'E70\r'),
	('AZ', 596, 'SVO', 2985, 'BLQ', 1538, 'Y', 0, '320\r'),
	('AZ', 596, 'SVO', 2985, 'CTA', 1509, '', 0, '320\r'),
	('AZ', 596, 'SVO', 2985, 'FCO', 1555, '', 0, '321 32S 319\r'),
	('AZ', 596, 'SVO', 2985, 'FRU', 2912, '', 0, '319 321\r'),
	('AZ', 596, 'SVO', 2985, 'MXP', 1524, '', 0, '32S 319\r'),
	('AZ', 596, 'SVO', 2985, 'PMO', 1512, 'Y', 0, '320\r'),
	('AZ', 596, 'SVO', 2985, 'PSA', 1562, 'Y', 0, '320\r'),
	('AZ', 596, 'SVO', 2985, 'TAS', 2983, '', 0, '321\r'),
	('AZ', 596, 'SVO', 2985, 'VCE', 1551, 'Y', 0, '321 320\r'),
	('AZ', 596, 'SXB', 1435, 'FCO', 1555, '', 0, 'ER4 CR7\r'),
	('AZ', 596, 'SXM', 2899, 'CDG', 1382, 'Y', 0, '343\r'),
	('AZ', 596, 'SYD', 3361, 'AUH', 2179, 'Y', 0, '77W 346\r'),
	('AZ', 596, 'TAS', 2983, 'SVO', 2985, '', 0, '321\r'),
	('AZ', 596, 'TBS', 3973, 'FCO', 1555, '', 0, 'E90\r'),
	('AZ', 596, 'TFN', 1057, 'MAD', 1229, 'Y', 0, '738 332\r'),
	('AZ', 596, 'TGD', 1741, 'FCO', 1555, '', 0, 'E75 100\r'),
	('AZ', 596, 'TGM', 1662, 'OTP', 1657, 'Y', 0, 'AT5\r'),
	('AZ', 596, 'TIA', 1190, 'BLQ', 1538, 'Y', 0, '320\r'),
	('AZ', 596, 'TIA', 1190, 'BRI', 1501, '', 0, '32S 319\r'),
	('AZ', 596, 'TIA', 1190, 'FCO', 1555, '', 0, '32S 319 E90 E75\r'),
	('AZ', 596, 'TIA', 1190, 'GOA', 1528, 'Y', 0, '320\r'),
	('AZ', 596, 'TIA', 1190, 'MXP', 1524, 'Y', 0, '320\r'),
	('AZ', 596, 'TIA', 1190, 'PSA', 1562, 'Y', 0, '320\r'),
	('AZ', 596, 'TIA', 1190, 'TRN', 1526, '', 0, '319 320 32S\r'),
	('AZ', 596, 'TIA', 1190, 'VCE', 1551, 'Y', 0, '320\r'),
	('AZ', 596, 'TIA', 1190, 'VRN', 1550, 'Y', 0, '320\r'),
	('AZ', 596, 'TIP', 1157, 'FCO', 1555, '', 0, '319\r'),
	('AZ', 596, 'TLS', 1273, 'CDG', 1382, 'Y', 0, '320 319\r'),
	('AZ', 596, 'TLS', 1273, 'FCO', 1555, '', 0, 'E75\r'),
	('AZ', 596, 'TLS', 1273, 'LYS', 1335, 'Y', 0, '319 320 CRK\r'),
	('AZ', 596, 'TLS', 1273, 'VCE', 1551, 'Y', 0, '319 320\r'),
	('AZ', 596, 'TLV', 1590, 'FCO', 1555, '', 0, '320 32S 321\r'),
	('AZ', 596, 'TPA', 3646, 'ATL', 3682, 'Y', 0, '757\r'),
	('AZ', 596, 'TPE', 2276, 'DEL', 3093, 'Y', 0, '333\r'),
	('AZ', 596, 'TRD', 665, 'AMS', 580, 'Y', 0, 'E90\r'),
	('AZ', 596, 'TRF', 664, 'AMS', 580, 'Y', 0, 'E90\r'),
	('AZ', 596, 'TRN', 1526, 'AHO', 1517, '', 0, '319\r'),
	('AZ', 596, 'TRN', 1526, 'BRI', 1501, '', 0, '319\r'),
	('AZ', 596, 'TRN', 1526, 'CDG', 1382, 'Y', 0, 'E90 AR8 E70\r'),
	('AZ', 596, 'TRN', 1526, 'CTA', 1509, 'Y', 0, '320\r'),
	('AZ', 596, 'TRN', 1526, 'FCO', 1555, '', 0, '32S 319 320 E75\r'),
	('AZ', 596, 'TRN', 1526, 'IAS', 1655, '', 0, '733\r'),
	('AZ', 596, 'TRN', 1526, 'NAP', 1561, '', 0, '319 E75\r'),
	('AZ', 596, 'TRN', 1526, 'PMO', 1512, 'Y', 0, '320\r'),
	('AZ', 596, 'TRN', 1526, 'REG', 1514, '', 0, '319\r'),
	('AZ', 596, 'TRN', 1526, 'SUF', 1508, '', 0, '320\r'),
	('AZ', 596, 'TRN', 1526, 'TIA', 1190, '', 0, '320 32S\r'),
	('AZ', 596, 'TRS', 1545, 'FCO', 1555, '', 0, '32S E75 319 320\r'),
	('AZ', 596, 'TRS', 1545, 'LIN', 1529, 'Y', 0, 'E75\r'),
	('AZ', 596, 'TRS', 1545, 'NAP', 1561, '', 0, 'E75\r'),
	('AZ', 596, 'TSR', 1663, 'OTP', 1657, 'Y', 0, '318 733 AT7\r'),
	('AZ', 596, 'TUN', 287, 'FCO', 1555, '', 0, '32S 319 E90 E75\r'),
	('AZ', 596, 'TUN', 287, 'MXP', 1524, '', 0, '319 32S\r'),
	('AZ', 596, 'TUS', 3636, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('AZ', 596, 'TXL', 351, 'AMS', 580, 'Y', 0, '737\r'),
	('AZ', 596, 'TXL', 351, 'CDG', 1382, 'Y', 0, '321 319 320 318\r'),
	('AZ', 596, 'TXL', 351, 'CTA', 1509, '', 0, '320\r'),
	('AZ', 596, 'TXL', 351, 'PMO', 1512, 'Y', 0, '320\r'),
	('AZ', 596, 'TXL', 351, 'PSA', 1562, 'Y', 0, '320\r'),
	('AZ', 596, 'TYS', 3676, 'ATL', 3682, 'Y', 0, '717\r'),
	('AZ', 596, 'VCE', 1551, 'AMS', 580, 'Y', 0, '737\r'),
	('AZ', 596, 'VCE', 1551, 'ATH', 3941, 'Y', 0, '320\r'),
	('AZ', 596, 'VCE', 1551, 'CDG', 1382, 'Y', 0, '318 320 319 32A\r'),
	('AZ', 596, 'VCE', 1551, 'CPH', 609, 'Y', 0, '320\r'),
	('AZ', 596, 'VCE', 1551, 'CTA', 1509, 'Y', 0, '320\r'),
	('AZ', 596, 'VCE', 1551, 'FCO', 1555, '', 0, 'E90 32S E75 319 320\r'),
	('AZ', 596, 'VCE', 1551, 'JFK', 3797, 'Y', 0, '764\r'),
	('AZ', 596, 'VCE', 1551, 'LED', 2948, 'Y', 0, '320\r'),
	('AZ', 596, 'VCE', 1551, 'LIS', 1638, 'Y', 0, '319\r'),
	('AZ', 596, 'VCE', 1551, 'MRS', 1353, 'Y', 0, '320 319\r'),
	('AZ', 596, 'VCE', 1551, 'NCE', 1354, 'Y', 0, '320\r'),
	('AZ', 596, 'VCE', 1551, 'NRT', 2279, '', 0, '772\r'),
	('AZ', 596, 'VCE', 1551, 'PMO', 1512, 'Y', 0, '320\r'),
	('AZ', 596, 'VCE', 1551, 'PRG', 1587, 'Y', 0, '320\r'),
	('AZ', 596, 'VCE', 1551, 'RIX', 3953, '', 0, '73C 735\r'),
	('AZ', 596, 'VCE', 1551, 'SUF', 1508, 'Y', 0, '320\r'),
	('AZ', 596, 'VCE', 1551, 'SVO', 2985, 'Y', 0, '321 320\r'),
	('AZ', 596, 'VCE', 1551, 'TIA', 1190, 'Y', 0, '320\r'),
	('AZ', 596, 'VCE', 1551, 'TLS', 1273, 'Y', 0, '319 320\r'),
	('AZ', 596, 'VGO', 1250, 'CDG', 1382, 'Y', 0, 'E70\r'),
	('AZ', 596, 'VGO', 1250, 'MAD', 1229, 'Y', 0, 'E90\r'),
	('AZ', 596, 'VIE', 1613, 'CTA', 1509, '', 0, '320\r'),
	('AZ', 596, 'VIE', 1613, 'FCO', 1555, '', 0, '319 E90 E75\r'),
	('AZ', 596, 'VIE', 1613, 'LIN', 1529, '', 0, 'E75\r'),
	('AZ', 596, 'VLC', 1246, 'FCO', 1555, '', 0, '32S\r'),
	('AZ', 596, 'VLC', 1246, 'PMI', 3998, 'Y', 0, 'E90\r'),
	('AZ', 596, 'VRN', 1550, 'CDG', 1382, 'Y', 0, 'E70\r'),
	('AZ', 596, 'VRN', 1550, 'CTA', 1509, '', 0, '320\r'),
	('AZ', 596, 'VRN', 1550, 'FCO', 1555, '', 0, '32S E75 319\r'),
	('AZ', 596, 'VRN', 1550, 'PMO', 1512, 'Y', 0, '320\r'),
	('AZ', 596, 'VRN', 1550, 'TIA', 1190, 'Y', 0, '320\r'),
	('AZ', 596, 'WAW', 679, 'FCO', 1555, '', 0, '32S\r'),
	('AZ', 596, 'WAW', 679, 'LIN', 1529, '', 0, '319 E75\r'),
	('AZ', 596, 'YUL', 146, 'CDG', 1382, 'Y', 0, '744 343\r'),
	('AZ', 596, 'YUL', 146, 'JFK', 3797, 'Y', 0, 'CRJ\r'),
	('AZ', 596, 'YYZ', 193, 'CDG', 1382, 'Y', 0, '772\r'),
	('AZ', 596, 'YYZ', 193, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('AZ', 596, 'YYZ', 193, 'FCO', 1555, '', 0, '332\r'),
	('AZ', 596, 'ZRH', 1678, 'FCO', 1555, '', 0, 'E75 E90 32S\r'),
	('B2', 1478, 'AER', 2965, 'MSQ', 2954, '', 0, '735 CRJ\r'),
	('B2', 1478, 'AMS', 580, 'MSQ', 2954, '', 0, '735 733\r'),
	('B2', 1478, 'ARN', 737, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'ASB', 2976, 'MSQ', 2954, '', 0, '735\r'),
	('B2', 1478, 'AUH', 2179, 'MSQ', 2954, '', 0, '319\r'),
	('B2', 1478, 'BCN', 1218, 'MSQ', 2954, '', 0, 'E75 733 735\r'),
	('B2', 1478, 'BEG', 1739, 'BUD', 1489, '', 0, 'CRJ 735\r'),
	('B2', 1478, 'BEY', 2177, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'BUD', 1489, 'BEG', 1739, '', 0, 'CRJ 735\r'),
	('B2', 1478, 'BUD', 1489, 'MSQ', 2954, '', 0, 'CRJ 735\r'),
	('B2', 1478, 'BUS', 3971, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'CDG', 1382, 'MSQ', 2954, '', 0, '733\r'),
	('B2', 1478, 'DME', 4029, 'MSQ', 2954, '', 0, '735 CRJ E95 733\r'),
	('B2', 1478, 'EVN', 3964, 'MSQ', 2954, '', 0, 'E75\r'),
	('B2', 1478, 'FCO', 1555, 'MSQ', 2954, '', 0, '735\r'),
	('B2', 1478, 'FRA', 340, 'MSQ', 2954, '', 0, '735 E75\r'),
	('B2', 1478, 'GVA', 1665, 'MSQ', 2954, '', 0, 'E75 E95\r'),
	('B2', 1478, 'GYD', 2922, 'MSQ', 2954, '', 0, '735\r'),
	('B2', 1478, 'HAJ', 352, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'HEL', 421, 'MSQ', 2954, '', 0, 'CRJ 733\r'),
	('B2', 1478, 'IKA', 4330, 'MSQ', 2954, '', 0, 'E75\r'),
	('B2', 1478, 'IST', 1701, 'MSQ', 2954, '', 0, '733 E75\r'),
	('B2', 1478, 'KBP', 2939, 'MSQ', 2954, '', 0, 'E75 CRJ\r'),
	('B2', 1478, 'KGD', 2952, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'KRR', 2960, 'MSQ', 2954, '', 0, '735\r'),
	('B2', 1478, 'KUF', 4118, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'KUT', 3972, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'LCA', 1197, 'MSQ', 2954, '', 0, '733\r'),
	('B2', 1478, 'LED', 2948, 'MSQ', 2954, '', 0, 'CRJ E75 E95\r'),
	('B2', 1478, 'LGW', 502, 'MSQ', 2954, '', 0, '735 E75\r'),
	('B2', 1478, 'MSQ', 2954, 'AER', 2965, '', 0, '735 CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'AMS', 580, '', 0, '735 733\r'),
	('B2', 1478, 'MSQ', 2954, 'ARN', 737, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'ASB', 2976, '', 0, '735\r'),
	('B2', 1478, 'MSQ', 2954, 'AUH', 2179, '', 0, '319\r'),
	('B2', 1478, 'MSQ', 2954, 'BCN', 1218, '', 0, 'E75 733 735\r'),
	('B2', 1478, 'MSQ', 2954, 'BEY', 2177, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'BUD', 1489, '', 0, 'CRJ 735\r'),
	('B2', 1478, 'MSQ', 2954, 'BUS', 3971, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'CDG', 1382, '', 0, '733\r'),
	('B2', 1478, 'MSQ', 2954, 'DME', 4029, '', 0, '735 CRJ E95 733\r'),
	('B2', 1478, 'MSQ', 2954, 'EVN', 3964, '', 0, 'E75\r'),
	('B2', 1478, 'MSQ', 2954, 'FCO', 1555, '', 0, '735\r'),
	('B2', 1478, 'MSQ', 2954, 'FRA', 340, '', 0, '735 E75\r'),
	('B2', 1478, 'MSQ', 2954, 'GVA', 1665, '', 0, 'E75 E95\r'),
	('B2', 1478, 'MSQ', 2954, 'GYD', 2922, '', 0, '735\r'),
	('B2', 1478, 'MSQ', 2954, 'HAJ', 352, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'HEL', 421, '', 0, 'CRJ 733\r'),
	('B2', 1478, 'MSQ', 2954, 'IKA', 4330, '', 0, 'E75\r'),
	('B2', 1478, 'MSQ', 2954, 'IST', 1701, '', 0, '733 E75\r'),
	('B2', 1478, 'MSQ', 2954, 'KBP', 2939, '', 0, 'E75 CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'KGD', 2952, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'KRR', 2960, '', 0, '735\r'),
	('B2', 1478, 'MSQ', 2954, 'KUF', 4118, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'KUT', 3972, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'LCA', 1197, '', 0, '733\r'),
	('B2', 1478, 'MSQ', 2954, 'LED', 2948, '', 0, 'CRJ E75 E95\r'),
	('B2', 1478, 'MSQ', 2954, 'LGW', 502, '', 0, '735 E75\r'),
	('B2', 1478, 'MSQ', 2954, 'MXP', 1524, '', 0, '735\r'),
	('B2', 1478, 'MSQ', 2954, 'NCE', 1354, '', 0, 'E75\r'),
	('B2', 1478, 'MSQ', 2954, 'PRG', 1587, '', 0, 'E75 E95 733\r'),
	('B2', 1478, 'MSQ', 2954, 'RIX', 3953, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'SVX', 2975, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'SXF', 337, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'TBS', 3973, '', 0, '735\r'),
	('B2', 1478, 'MSQ', 2954, 'TLV', 1590, '', 0, '733\r'),
	('B2', 1478, 'MSQ', 2954, 'TSE', 2910, '', 0, '735\r'),
	('B2', 1478, 'MSQ', 2954, 'VIE', 1613, 'Y', 0, 'F70\r'),
	('B2', 1478, 'MSQ', 2954, 'VNO', 3959, '', 0, 'CRJ\r'),
	('B2', 1478, 'MSQ', 2954, 'WAW', 679, '', 0, '735 CRJ E75\r'),
	('B2', 1478, 'MXP', 1524, 'MSQ', 2954, '', 0, '735\r'),
	('B2', 1478, 'NCE', 1354, 'MSQ', 2954, '', 0, 'E75\r'),
	('B2', 1478, 'PRG', 1587, 'MSQ', 2954, '', 0, 'E75 E95 733\r'),
	('B2', 1478, 'RIX', 3953, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'SVX', 2975, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'SXF', 337, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'TBS', 3973, 'MSQ', 2954, '', 0, '735\r'),
	('B2', 1478, 'TLV', 1590, 'MSQ', 2954, '', 0, '733\r'),
	('B2', 1478, 'TSE', 2910, 'MSQ', 2954, '', 0, '735\r'),
	('B2', 1478, 'VIE', 1613, 'MSQ', 2954, 'Y', 0, 'F70\r'),
	('B2', 1478, 'VNO', 3959, 'MSQ', 2954, '', 0, 'CRJ\r'),
	('B2', 1478, 'WAW', 679, 'MSQ', 2954, '', 0, '735 CRJ E75\r'),
	('B5', 2395, 'ASV', 5692, 'WIL', 1147, '', 0, 'CNA\r'),
	('B5', 2395, 'HAH', 912, 'MBA', 1145, '', 0, 'F28\r'),
	('B5', 2395, 'HGA', 1121, 'WJR', 1149, '', 0, 'CRJ\r'),
	('B5', 2395, 'KTL', 1141, 'WIL', 1147, '', 0, 'CNA\r'),
	('B5', 2395, 'LAU', 1144, 'MYD', 5694, '', 0, 'BE1\r'),
	('B5', 2395, 'LKG', 5693, 'WIL', 1147, '', 0, 'BE1\r'),
	('B5', 2395, 'MBA', 1145, 'HAH', 912, '', 0, 'F28\r'),
	('B5', 2395, 'MBA', 1145, 'NBO', 4059, '', 0, 'F28 CRJ\r'),
	('B5', 2395, 'MGQ', 5687, 'WJR', 1149, '', 0, 'CRJ F28 DH8\r'),
	('B5', 2395, 'MRE', 7424, 'WIL', 1147, '', 0, 'CNA\r'),
	('B5', 2395, 'MYD', 5694, 'WIL', 1147, '', 0, 'BE1\r'),
	('B5', 2395, 'NBO', 4059, 'MBA', 1145, '', 0, 'F28 CRJ\r'),
	('B5', 2395, 'NBO', 4059, 'MGQ', 5687, '', 0, 'F28 DC9 CRJ\r'),
	('B5', 2395, 'NBO', 4059, 'WJR', 1149, '', 0, 'CRJ\r'),
	('B5', 2395, 'UKA', 7976, 'WIL', 1147, '', 0, 'BE1\r'),
	('B5', 2395, 'WIL', 1147, 'ASV', 5692, '', 0, 'CNA\r'),
	('B5', 2395, 'WIL', 1147, 'KTL', 1141, '', 0, 'CNA\r'),
	('B5', 2395, 'WIL', 1147, 'LAU', 1144, '', 0, 'BE1\r'),
	('B5', 2395, 'WIL', 1147, 'LKG', 5693, '', 0, 'BE1\r'),
	('B5', 2395, 'WIL', 1147, 'MRE', 7424, '', 0, 'CNA\r'),
	('B5', 2395, 'WIL', 1147, 'UKA', 7976, '', 0, 'BE1\r'),
	('B5', 2395, 'WIL', 1147, 'WJR', 1149, '', 0, 'BE1\r'),
	('B5', 2395, 'WJR', 1149, 'HGA', 1121, '', 0, 'CRJ\r'),
	('B5', 2395, 'WJR', 1149, 'MGQ', 5687, '', 0, 'CRJ\r'),
	('B5', 2395, 'WJR', 1149, 'NBO', 4059, '', 0, 'CRJ F28\r'),
	('B5', 2395, 'WJR', 1149, 'WIL', 1147, '', 0, 'BE1\r'),
	('B6', 3029, 'ABQ', 4019, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'AUA', 2895, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'AUA', 2895, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'AUS', 3673, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'AUS', 3673, 'FLL', 3533, '', 0, 'E90\r'),
	('B6', 3029, 'AUS', 3673, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'AUS', 3673, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'AUS', 3673, 'MCO', 3878, '', 0, 'E90 320\r'),
	('B6', 3029, 'AUS', 3673, 'SFO', 3469, '', 0, '320\r'),
	('B6', 3029, 'AZS', 5810, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'BDA', 4069, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'BDL', 3825, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'BDL', 3825, 'MCO', 3878, '', 0, '320\r'),
	('B6', 3029, 'BDL', 3825, 'PBI', 3722, '', 0, 'E90\r'),
	('B6', 3029, 'BDL', 3825, 'SJU', 2890, '', 0, '320\r'),
	('B6', 3029, 'BDL', 3825, 'TPA', 3646, '', 0, '320\r'),
	('B6', 3029, 'BGI', 2875, 'JFK', 3797, '', 0, '321\r'),
	('B6', 3029, 'BOG', 2709, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'BOG', 2709, 'MCO', 3878, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'AUA', 2895, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'AUS', 3673, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'BUF', 3820, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'BWI', 3849, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'CHS', 3806, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'CLT', 3876, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'CUN', 1852, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'DCA', 3520, '', 0, '320 E90\r'),
	('B6', 3029, 'BOS', 3448, 'DEN', 3751, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'DFW', 3670, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'DTW', 3645, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'DXB', 2188, '', 0, '77L\r'),
	('B6', 3029, 'BOS', 3448, 'EWR', 3494, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'FLL', 3533, '', 0, '320 E90\r'),
	('B6', 3029, 'BOS', 3448, 'HOU', 3566, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'IAD', 3714, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'JAX', 3712, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'JFK', 3797, '', 0, '320 E90\r'),
	('B6', 3029, 'BOS', 3448, 'LAS', 3877, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'LAX', 3484, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'MCO', 3878, '', 0, '320 E90\r'),
	('B6', 3029, 'BOS', 3448, 'MSY', 3861, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'NAS', 1953, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'ORD', 3830, '', 0, '320 E90\r'),
	('B6', 3029, 'BOS', 3448, 'PBI', 3722, '', 0, '320 E90\r'),
	('B6', 3029, 'BOS', 3448, 'PDX', 3720, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'PHL', 3752, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'PHX', 3462, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'PIT', 3570, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'PLS', 1754, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'PUJ', 1760, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'RDU', 3626, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'RIC', 3608, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'RSW', 3793, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'SAN', 3731, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'SAV', 3613, '', 0, 'E90\r'),
	('B6', 3029, 'BOS', 3448, 'SDQ', 1762, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'SEA', 3577, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'SFO', 3469, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'SJC', 3748, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'SJU', 2890, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'STI', 1764, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'STT', 2883, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'SXM', 2899, '', 0, '320\r'),
	('B6', 3029, 'BOS', 3448, 'TPA', 3646, '', 0, '320\r'),
	('B6', 3029, 'BQN', 2885, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'BQN', 2885, 'MCO', 3878, '', 0, '320\r'),
	('B6', 3029, 'BTV', 3711, 'JFK', 3797, '', 0, 'E90\r'),
	('B6', 3029, 'BUF', 3820, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'BUF', 3820, 'JFK', 3797, '', 0, 'E90 320\r'),
	('B6', 3029, 'BUF', 3820, 'MCO', 3878, '', 0, '320\r'),
	('B6', 3029, 'BUR', 3644, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'BWI', 3849, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'CHS', 3806, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'CHS', 3806, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'CLT', 3876, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'CLT', 3876, 'JFK', 3797, '', 0, 'E90\r'),
	('B6', 3029, 'CTG', 2714, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'CUN', 1852, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'CUN', 1852, 'FLL', 3533, '', 0, 'E90 320\r'),
	('B6', 3029, 'CUN', 1852, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'CUN', 1852, 'MCO', 3878, '', 0, 'E90\r'),
	('B6', 3029, 'DCA', 3520, 'BOS', 3448, '', 0, 'E90 320\r'),
	('B6', 3029, 'DCA', 3520, 'FLL', 3533, '', 0, 'E90 320\r'),
	('B6', 3029, 'DCA', 3520, 'MCO', 3878, '', 0, '320 E90\r'),
	('B6', 3029, 'DCA', 3520, 'SJU', 2890, '', 0, '320\r'),
	('B6', 3029, 'DCA', 3520, 'TPA', 3646, '', 0, '320\r'),
	('B6', 3029, 'DEN', 3751, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'DEN', 3751, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'DFW', 3670, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'DFW', 3670, 'DXB', 2188, '', 0, '77L\r'),
	('B6', 3029, 'DTW', 3645, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'DXB', 2188, 'BOS', 3448, '', 0, '77L\r'),
	('B6', 3029, 'DXB', 2188, 'DFW', 3670, '', 0, '77L\r'),
	('B6', 3029, 'DXB', 2188, 'IAD', 3714, '', 0, '77W\r'),
	('B6', 3029, 'DXB', 2188, 'IAH', 3550, '', 0, '77W\r'),
	('B6', 3029, 'DXB', 2188, 'JFK', 3797, '', 0, '388\r'),
	('B6', 3029, 'DXB', 2188, 'LAX', 3484, '', 0, '388\r'),
	('B6', 3029, 'DXB', 2188, 'MXP', 1524, '', 0, '77W\r'),
	('B6', 3029, 'DXB', 2188, 'SEA', 3577, '', 0, '77W\r'),
	('B6', 3029, 'DXB', 2188, 'SFO', 3469, '', 0, '77W\r'),
	('B6', 3029, 'EWR', 3494, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'EWR', 3494, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'EWR', 3494, 'MCO', 3878, '', 0, '320\r'),
	('B6', 3029, 'EWR', 3494, 'PBI', 3722, '', 0, '320\r'),
	('B6', 3029, 'EWR', 3494, 'RSW', 3793, '', 0, '320\r'),
	('B6', 3029, 'EWR', 3494, 'SJU', 2890, '', 0, '320\r'),
	('B6', 3029, 'EWR', 3494, 'STI', 1764, '', 0, '320\r'),
	('B6', 3029, 'EWR', 3494, 'TPA', 3646, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'AUS', 3673, '', 0, 'E90\r'),
	('B6', 3029, 'FLL', 3533, 'BDL', 3825, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'BOG', 2709, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'BOS', 3448, '', 0, '320 E90\r'),
	('B6', 3029, 'FLL', 3533, 'CUN', 1852, '', 0, 'E90 320\r'),
	('B6', 3029, 'FLL', 3533, 'DCA', 3520, '', 0, '320 E90\r'),
	('B6', 3029, 'FLL', 3533, 'EWR', 3494, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'HPN', 3589, '', 0, 'E90\r'),
	('B6', 3029, 'FLL', 3533, 'JFK', 3797, '', 0, '320 E90\r'),
	('B6', 3029, 'FLL', 3533, 'KIN', 1779, '', 0, 'E90\r'),
	('B6', 3029, 'FLL', 3533, 'LAX', 3484, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'LGA', 3697, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'LIM', 2789, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'MBJ', 1780, '', 0, 'E90\r'),
	('B6', 3029, 'FLL', 3533, 'MDE', 2745, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'NAS', 1953, '', 0, '320 E90\r'),
	('B6', 3029, 'FLL', 3533, 'ORH', 6426, '', 0, 'E90\r'),
	('B6', 3029, 'FLL', 3533, 'PAP', 1897, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'POS', 2902, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'PUJ', 1760, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'PVD', 3641, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'RDU', 3626, '', 0, 'E90\r'),
	('B6', 3029, 'FLL', 3533, 'RIC', 3608, '', 0, 'E90\r'),
	('B6', 3029, 'FLL', 3533, 'SDQ', 1762, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'SFO', 3469, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'SJO', 1885, '', 0, '320\r'),
	('B6', 3029, 'FLL', 3533, 'SJU', 2890, '', 0, '320 E90\r'),
	('B6', 3029, 'FLL', 3533, 'SWF', 3661, '', 0, 'E90\r'),
	('B6', 3029, 'GCM', 1926, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'HOU', 3566, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'HOU', 3566, 'JFK', 3797, '', 0, 'E90\r'),
	('B6', 3029, 'HPN', 3589, 'FLL', 3533, '', 0, 'E90\r'),
	('B6', 3029, 'HPN', 3589, 'MCO', 3878, '', 0, '320 E90\r'),
	('B6', 3029, 'HPN', 3589, 'PBI', 3722, '', 0, 'E90\r'),
	('B6', 3029, 'HPN', 3589, 'RSW', 3793, '', 0, 'E90\r'),
	('B6', 3029, 'HPN', 3589, 'TPA', 3646, '', 0, 'E90\r'),
	('B6', 3029, 'IAD', 3714, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'IAD', 3714, 'DXB', 2188, '', 0, '77W\r'),
	('B6', 3029, 'IAD', 3714, 'JFK', 3797, '', 0, 'E90\r'),
	('B6', 3029, 'IAD', 3714, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'IAH', 3550, 'DXB', 2188, '', 0, '77W\r'),
	('B6', 3029, 'JAX', 3712, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'JAX', 3712, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'JAX', 3712, 'SJU', 2890, '', 0, 'E90\r'),
	('B6', 3029, 'JFK', 3797, 'ABQ', 4019, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'AUA', 2895, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'AUS', 3673, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'AZS', 5810, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'BDA', 4069, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'BGI', 2875, '', 0, '321\r'),
	('B6', 3029, 'JFK', 3797, 'BOS', 3448, '', 0, 'E90 320\r'),
	('B6', 3029, 'JFK', 3797, 'BQN', 2885, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'BTV', 3711, '', 0, 'E90\r'),
	('B6', 3029, 'JFK', 3797, 'BUF', 3820, '', 0, 'E90 320\r'),
	('B6', 3029, 'JFK', 3797, 'BUR', 3644, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'CHS', 3806, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'CLT', 3876, '', 0, 'E90\r'),
	('B6', 3029, 'JFK', 3797, 'CTG', 2714, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'CUN', 1852, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'DEN', 3751, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'DXB', 2188, '', 0, '388\r'),
	('B6', 3029, 'JFK', 3797, 'FLL', 3533, '', 0, '320 E90\r'),
	('B6', 3029, 'JFK', 3797, 'GCM', 1926, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'HOU', 3566, '', 0, 'E90\r'),
	('B6', 3029, 'JFK', 3797, 'IAD', 3714, '', 0, 'E90\r'),
	('B6', 3029, 'JFK', 3797, 'JAX', 3712, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'JNB', 813, '', 0, '346\r'),
	('B6', 3029, 'JFK', 3797, 'KIN', 1779, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'LAS', 3877, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'LAX', 3484, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'LIR', 1881, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'LRM', 1759, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'MBJ', 1780, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'MCO', 3878, '', 0, '320 E90\r'),
	('B6', 3029, 'JFK', 3797, 'MSY', 3861, '', 0, 'E90 320\r'),
	('B6', 3029, 'JFK', 3797, 'MXP', 1524, '', 0, '77W\r'),
	('B6', 3029, 'JFK', 3797, 'NAS', 1953, '', 0, '320 E90\r'),
	('B6', 3029, 'JFK', 3797, 'OAK', 3453, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'ORD', 3830, '', 0, '320 E90\r'),
	('B6', 3029, 'JFK', 3797, 'PAP', 1897, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'PBI', 3722, '', 0, 'E90 320\r'),
	('B6', 3029, 'JFK', 3797, 'PDX', 3720, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'PHX', 3462, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'PLS', 1754, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'POP', 1761, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'POS', 2902, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'PSE', 2889, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'PUJ', 1760, '', 0, '321 320\r'),
	('B6', 3029, 'JFK', 3797, 'PWM', 3862, '', 0, 'E90\r'),
	('B6', 3029, 'JFK', 3797, 'RDU', 3626, '', 0, 'E90\r'),
	('B6', 3029, 'JFK', 3797, 'ROC', 3622, '', 0, 'E90\r'),
	('B6', 3029, 'JFK', 3797, 'RSW', 3793, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'SAN', 3731, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'SAV', 3613, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'SDQ', 1762, '', 0, '321 320\r'),
	('B6', 3029, 'JFK', 3797, 'SEA', 3577, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'SFO', 3469, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'SJC', 3748, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'SJU', 2890, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'SLC', 3536, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'SMF', 3817, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'SRQ', 4067, '', 0, 'E90\r'),
	('B6', 3029, 'JFK', 3797, 'STI', 1764, '', 0, '320 321\r'),
	('B6', 3029, 'JFK', 3797, 'SXM', 2899, '', 0, '320\r'),
	('B6', 3029, 'JFK', 3797, 'SYR', 3745, '', 0, 'E90\r'),
	('B6', 3029, 'JFK', 3797, 'TPA', 3646, '', 0, '320 E90\r'),
	('B6', 3029, 'JFK', 3797, 'UVF', 2894, '', 0, '320\r'),
	('B6', 3029, 'JNB', 813, 'JFK', 3797, '', 0, '346\r'),
	('B6', 3029, 'KIN', 1779, 'FLL', 3533, '', 0, 'E90\r'),
	('B6', 3029, 'KIN', 1779, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'LAS', 3877, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'LAS', 3877, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'LAS', 3877, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'LAX', 3484, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'LAX', 3484, 'DXB', 2188, '', 0, '388\r'),
	('B6', 3029, 'LAX', 3484, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'LAX', 3484, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'LGA', 3697, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'LGA', 3697, 'MCO', 3878, '', 0, '320\r'),
	('B6', 3029, 'LGA', 3697, 'PBI', 3722, '', 0, '320 E90\r'),
	('B6', 3029, 'LGA', 3697, 'RSW', 3793, '', 0, '320\r'),
	('B6', 3029, 'LGA', 3697, 'SRQ', 4067, '', 0, '320\r'),
	('B6', 3029, 'LGA', 3697, 'TPA', 3646, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'AUS', 3673, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'IAD', 3714, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'LAS', 3877, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'OAK', 3453, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'PDX', 3720, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'SEA', 3577, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'SFO', 3469, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'SLC', 3536, '', 0, '320\r'),
	('B6', 3029, 'LGB', 3582, 'SMF', 3817, '', 0, '320\r'),
	('B6', 3029, 'LIM', 2789, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'LIR', 1881, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'LRM', 1759, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'MBJ', 1780, 'FLL', 3533, '', 0, 'E90\r'),
	('B6', 3029, 'MBJ', 1780, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'MBJ', 1780, 'MCO', 3878, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'AUS', 3673, '', 0, 'E90 320\r'),
	('B6', 3029, 'MCO', 3878, 'BDL', 3825, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'BOG', 2709, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'BOS', 3448, '', 0, '320 E90\r'),
	('B6', 3029, 'MCO', 3878, 'BQN', 2885, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'BUF', 3820, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'CUN', 1852, '', 0, 'E90\r'),
	('B6', 3029, 'MCO', 3878, 'DCA', 3520, '', 0, 'E90 320\r'),
	('B6', 3029, 'MCO', 3878, 'EWR', 3494, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'HPN', 3589, '', 0, '320 E90\r'),
	('B6', 3029, 'MCO', 3878, 'JFK', 3797, '', 0, '320 E90\r'),
	('B6', 3029, 'MCO', 3878, 'LGA', 3697, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'MBJ', 1780, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'NAS', 1953, '', 0, 'E90\r'),
	('B6', 3029, 'MCO', 3878, 'ORH', 6426, '', 0, 'E90\r'),
	('B6', 3029, 'MCO', 3878, 'PSE', 2889, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'PVD', 3641, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'RIC', 3608, '', 0, 'E90\r'),
	('B6', 3029, 'MCO', 3878, 'SDQ', 1762, '', 0, 'E90\r'),
	('B6', 3029, 'MCO', 3878, 'SJO', 1885, '', 0, '320\r'),
	('B6', 3029, 'MCO', 3878, 'SJU', 2890, '', 0, 'E90 320\r'),
	('B6', 3029, 'MCO', 3878, 'SWF', 3661, '', 0, 'E90\r'),
	('B6', 3029, 'MCO', 3878, 'SYR', 3745, '', 0, '320 E90\r'),
	('B6', 3029, 'MDE', 2745, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'MSY', 3861, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'MSY', 3861, 'JFK', 3797, '', 0, 'E90 320\r'),
	('B6', 3029, 'MXP', 1524, 'DXB', 2188, '', 0, '77W\r'),
	('B6', 3029, 'MXP', 1524, 'JFK', 3797, '', 0, '77W\r'),
	('B6', 3029, 'NAS', 1953, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'NAS', 1953, 'FLL', 3533, '', 0, '320 E90\r'),
	('B6', 3029, 'NAS', 1953, 'JFK', 3797, '', 0, '320 E90\r'),
	('B6', 3029, 'NAS', 1953, 'MCO', 3878, '', 0, 'E90\r'),
	('B6', 3029, 'OAK', 3453, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'OAK', 3453, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'ORD', 3830, 'BOS', 3448, '', 0, '320 E90\r'),
	('B6', 3029, 'ORD', 3830, 'JFK', 3797, '', 0, 'E90 320\r'),
	('B6', 3029, 'ORD', 3830, 'SJU', 2890, '', 0, '320\r'),
	('B6', 3029, 'ORH', 6426, 'FLL', 3533, '', 0, 'E90\r'),
	('B6', 3029, 'ORH', 6426, 'MCO', 3878, '', 0, 'E90\r'),
	('B6', 3029, 'PAP', 1897, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'PAP', 1897, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'PBI', 3722, 'BDL', 3825, '', 0, 'E90\r'),
	('B6', 3029, 'PBI', 3722, 'BOS', 3448, '', 0, '320 E90\r'),
	('B6', 3029, 'PBI', 3722, 'EWR', 3494, '', 0, '320\r'),
	('B6', 3029, 'PBI', 3722, 'HPN', 3589, '', 0, 'E90\r'),
	('B6', 3029, 'PBI', 3722, 'JFK', 3797, '', 0, '320 E90\r'),
	('B6', 3029, 'PBI', 3722, 'LGA', 3697, '', 0, '320 E90\r'),
	('B6', 3029, 'PBI', 3722, 'SJU', 2890, '', 0, 'E90\r'),
	('B6', 3029, 'PDX', 3720, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'PDX', 3720, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'PDX', 3720, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'PHL', 3752, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'PHX', 3462, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'PHX', 3462, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'PIT', 3570, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'PLS', 1754, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'PLS', 1754, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'POP', 1761, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'POS', 2902, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'POS', 2902, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'PSE', 2889, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'PSE', 2889, 'MCO', 3878, '', 0, '320\r'),
	('B6', 3029, 'PUJ', 1760, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'PUJ', 1760, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'PUJ', 1760, 'JFK', 3797, '', 0, '321 320\r'),
	('B6', 3029, 'PUJ', 1760, 'SJU', 2890, '', 0, '320\r'),
	('B6', 3029, 'PVD', 3641, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'PVD', 3641, 'MCO', 3878, '', 0, '320\r'),
	('B6', 3029, 'PWM', 3862, 'JFK', 3797, '', 0, 'E90\r'),
	('B6', 3029, 'RDU', 3626, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'RDU', 3626, 'FLL', 3533, '', 0, 'E90\r'),
	('B6', 3029, 'RDU', 3626, 'JFK', 3797, '', 0, 'E90\r'),
	('B6', 3029, 'RIC', 3608, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'RIC', 3608, 'FLL', 3533, '', 0, 'E90\r'),
	('B6', 3029, 'RIC', 3608, 'MCO', 3878, '', 0, 'E90\r'),
	('B6', 3029, 'ROC', 3622, 'JFK', 3797, '', 0, 'E90\r'),
	('B6', 3029, 'RSW', 3793, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'RSW', 3793, 'EWR', 3494, '', 0, '320\r'),
	('B6', 3029, 'RSW', 3793, 'HPN', 3589, '', 0, 'E90\r'),
	('B6', 3029, 'RSW', 3793, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'RSW', 3793, 'LGA', 3697, '', 0, '320\r'),
	('B6', 3029, 'SAN', 3731, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'SAN', 3731, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'SAV', 3613, 'BOS', 3448, '', 0, 'E90\r'),
	('B6', 3029, 'SAV', 3613, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'SDQ', 1762, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'SDQ', 1762, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'SDQ', 1762, 'JFK', 3797, '', 0, '320 321\r'),
	('B6', 3029, 'SDQ', 1762, 'MCO', 3878, '', 0, 'E90\r'),
	('B6', 3029, 'SDQ', 1762, 'SJU', 2890, '', 0, 'E90 320\r'),
	('B6', 3029, 'SEA', 3577, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'SEA', 3577, 'DXB', 2188, '', 0, '77W\r'),
	('B6', 3029, 'SEA', 3577, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'SEA', 3577, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'SFO', 3469, 'AUS', 3673, '', 0, '320\r'),
	('B6', 3029, 'SFO', 3469, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'SFO', 3469, 'DXB', 2188, '', 0, '77W\r'),
	('B6', 3029, 'SFO', 3469, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'SFO', 3469, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'SFO', 3469, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'SJC', 3748, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'SJC', 3748, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'SJO', 1885, 'FLL', 3533, '', 0, '320\r'),
	('B6', 3029, 'SJO', 1885, 'MCO', 3878, '', 0, '320\r'),
	('B6', 3029, 'SJU', 2890, 'BDL', 3825, '', 0, '320\r'),
	('B6', 3029, 'SJU', 2890, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'SJU', 2890, 'DCA', 3520, '', 0, '320\r'),
	('B6', 3029, 'SJU', 2890, 'EWR', 3494, '', 0, '320\r'),
	('B6', 3029, 'SJU', 2890, 'FLL', 3533, '', 0, '320 E90\r'),
	('B6', 3029, 'SJU', 2890, 'JAX', 3712, '', 0, 'E90\r'),
	('B6', 3029, 'SJU', 2890, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'SJU', 2890, 'MCO', 3878, '', 0, 'E90 320\r'),
	('B6', 3029, 'SJU', 2890, 'ORD', 3830, '', 0, '320\r'),
	('B6', 3029, 'SJU', 2890, 'PBI', 3722, '', 0, 'E90\r'),
	('B6', 3029, 'SJU', 2890, 'PUJ', 1760, '', 0, '320\r'),
	('B6', 3029, 'SJU', 2890, 'SDQ', 1762, '', 0, 'E90 320\r'),
	('B6', 3029, 'SJU', 2890, 'STI', 1764, '', 0, 'E90\r'),
	('B6', 3029, 'SJU', 2890, 'STT', 2883, '', 0, 'E90\r'),
	('B6', 3029, 'SJU', 2890, 'STX', 2884, '', 0, 'E90\r'),
	('B6', 3029, 'SJU', 2890, 'SXM', 2899, '', 0, 'E90\r'),
	('B6', 3029, 'SJU', 2890, 'TPA', 3646, '', 0, '320\r'),
	('B6', 3029, 'SLC', 3536, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'SLC', 3536, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'SMF', 3817, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'SMF', 3817, 'LGB', 3582, '', 0, '320\r'),
	('B6', 3029, 'SRQ', 4067, 'JFK', 3797, '', 0, 'E90\r'),
	('B6', 3029, 'SRQ', 4067, 'LGA', 3697, '', 0, '320\r'),
	('B6', 3029, 'STI', 1764, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'STI', 1764, 'EWR', 3494, '', 0, '320\r'),
	('B6', 3029, 'STI', 1764, 'JFK', 3797, '', 0, '321 320\r'),
	('B6', 3029, 'STI', 1764, 'SJU', 2890, '', 0, 'E90\r'),
	('B6', 3029, 'STT', 2883, 'SJU', 2890, '', 0, 'E90\r'),
	('B6', 3029, 'STX', 2884, 'SJU', 2890, '', 0, 'E90\r'),
	('B6', 3029, 'SWF', 3661, 'FLL', 3533, '', 0, 'E90\r'),
	('B6', 3029, 'SWF', 3661, 'MCO', 3878, '', 0, 'E90\r'),
	('B6', 3029, 'SXM', 2899, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'SXM', 2899, 'JFK', 3797, '', 0, '320\r'),
	('B6', 3029, 'SXM', 2899, 'SJU', 2890, '', 0, 'E90\r'),
	('B6', 3029, 'SYR', 3745, 'JFK', 3797, '', 0, 'E90\r'),
	('B6', 3029, 'SYR', 3745, 'MCO', 3878, '', 0, 'E90 320\r'),
	('B6', 3029, 'TPA', 3646, 'BDL', 3825, '', 0, '320\r'),
	('B6', 3029, 'TPA', 3646, 'BOS', 3448, '', 0, '320\r'),
	('B6', 3029, 'TPA', 3646, 'DCA', 3520, '', 0, '320\r'),
	('B6', 3029, 'TPA', 3646, 'EWR', 3494, '', 0, '320\r'),
	('B6', 3029, 'TPA', 3646, 'HPN', 3589, '', 0, 'E90\r'),
	('B6', 3029, 'TPA', 3646, 'JFK', 3797, '', 0, '320 E90\r'),
	('B6', 3029, 'TPA', 3646, 'LGA', 3697, '', 0, '320\r'),
	('B6', 3029, 'TPA', 3646, 'SJU', 2890, '', 0, '320\r'),
	('B6', 3029, 'UVF', 2894, 'JFK', 3797, '', 0, '320\r'),
	('B7', 9082, 'CAN', 3370, 'RMQ', 2268, '', 0, 'M90\r'),
	('B7', 9082, 'CKG', 3393, 'TPE', 2276, '', 0, 'M90\r'),
	('B7', 9082, 'CSX', 3371, 'RMQ', 2268, '', 0, 'M90\r'),
	('B7', 9082, 'DLC', 3404, 'TPE', 2276, 'Y', 0, '332 321 738\r'),
	('B7', 9082, 'FOC', 3385, 'KHH', 2264, '', 0, 'M90\r'),
	('B7', 9082, 'FOC', 3385, 'TPE', 2276, '', 0, 'M90\r'),
	('B7', 9082, 'HAN', 3199, 'KHH', 2264, '', 0, 'M90\r'),
	('B7', 9082, 'HGH', 3386, 'KHH', 2264, '', 0, 'M90\r'),
	('B7', 9082, 'HGH', 3386, 'RMQ', 2268, '', 0, 'M90\r'),
	('B7', 9082, 'KHH', 2264, 'FOC', 3385, '', 0, 'M90\r'),
	('B7', 9082, 'KHH', 2264, 'HAN', 3199, '', 0, 'M90\r'),
	('B7', 9082, 'KHH', 2264, 'HGH', 3386, '', 0, 'M90\r'),
	('B7', 9082, 'KHH', 2264, 'KMG', 3382, '', 0, 'M90\r'),
	('B7', 9082, 'KHH', 2264, 'SGN', 3205, '', 0, 'M90\r'),
	('B7', 9082, 'KHH', 2264, 'TAO', 3390, '', 0, 'M90\r'),
	('B7', 9082, 'KMG', 3382, 'KHH', 2264, '', 0, 'M90\r'),
	('B7', 9082, 'NGB', 3387, 'RMQ', 2268, '', 0, 'M90\r'),
	('B7', 9082, 'NGB', 3387, 'TPE', 2276, 'Y', 0, '332\r'),
	('B7', 9082, 'NKG', 3388, 'RMQ', 2268, '', 0, 'M90\r'),
	('B7', 9082, 'NKG', 3388, 'TPE', 2276, 'Y', 0, '332 M90\r'),
	('B7', 9082, 'PVG', 3406, 'TSA', 2275, '', 0, '321\r'),
	('B7', 9082, 'RMQ', 2268, 'CAN', 3370, '', 0, 'M90\r'),
	('B7', 9082, 'RMQ', 2268, 'CSX', 3371, '', 0, 'M90\r'),
	('B7', 9082, 'RMQ', 2268, 'HGH', 3386, '', 0, 'M90\r'),
	('B7', 9082, 'RMQ', 2268, 'NGB', 3387, '', 0, 'M90\r'),
	('B7', 9082, 'RMQ', 2268, 'NKG', 3388, '', 0, 'M90\r'),
	('B7', 9082, 'RMQ', 2268, 'SZX', 3374, '', 0, 'M90\r'),
	('B7', 9082, 'RMQ', 2268, 'XMN', 3383, '', 0, 'M90\r'),
	('B7', 9082, 'SGN', 3205, 'KHH', 2264, '', 0, 'M90\r'),
	('B7', 9082, 'SHE', 4144, 'TPE', 2276, 'Y', 0, '321 320\r'),
	('B7', 9082, 'SZX', 3374, 'RMQ', 2268, '', 0, 'M90\r'),
	('B7', 9082, 'SZX', 3374, 'TPE', 2276, 'Y', 0, '738 74E\r'),
	('B7', 9082, 'TAO', 3390, 'KHH', 2264, '', 0, 'M90\r'),
	('B7', 9082, 'TAO', 3390, 'TPE', 2276, 'Y', 0, '74E 738\r'),
	('B7', 9082, 'TPE', 2276, 'CKG', 3393, '', 0, 'M90\r'),
	('B7', 9082, 'TPE', 2276, 'DLC', 3404, 'Y', 0, '332 321 738\r'),
	('B7', 9082, 'TPE', 2276, 'FOC', 3385, '', 0, 'M90\r'),
	('B7', 9082, 'TPE', 2276, 'NGB', 3387, 'Y', 0, '332\r'),
	('B7', 9082, 'TPE', 2276, 'NKG', 3388, 'Y', 0, '332 M90\r'),
	('B7', 9082, 'TPE', 2276, 'SHE', 4144, 'Y', 0, '321 320\r'),
	('B7', 9082, 'TPE', 2276, 'SZX', 3374, 'Y', 0, '74E 738\r'),
	('B7', 9082, 'TPE', 2276, 'TAO', 3390, 'Y', 0, '74E 738\r'),
	('B7', 9082, 'TPE', 2276, 'XIY', 3379, 'Y', 0, '321 738\r'),
	('B7', 9082, 'TPE', 2276, 'YNZ', 6393, '', 0, '321\r'),
	('B7', 9082, 'TSA', 2275, 'PVG', 3406, '', 0, '321\r'),
	('B7', 9082, 'TSA', 2275, 'XMN', 3383, 'Y', 0, '321\r'),
	('B7', 9082, 'XIY', 3379, 'TPE', 2276, 'Y', 0, '738 321\r'),
	('B7', 9082, 'XMN', 3383, 'RMQ', 2268, '', 0, 'M90\r'),
	('B7', 9082, 'XMN', 3383, 'TSA', 2275, 'Y', 0, '321\r'),
	('B7', 9082, 'YNZ', 6393, 'TPE', 2276, '', 0, '321\r'),
	('B9', 543, 'ABD', 2097, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'ABD', 2097, 'THR', 2131, '', 0, 'M82\r'),
	('B9', 543, 'AWZ', 2104, 'IFN', 4150, '', 0, 'M82\r'),
	('B9', 543, 'AWZ', 2104, 'KIH', 2109, '', 0, 'M82\r'),
	('B9', 543, 'AWZ', 2104, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'AWZ', 2104, 'SRY', 5933, '', 0, 'M82\r'),
	('B9', 543, 'AWZ', 2104, 'SYZ', 2157, '', 0, 'M82\r'),
	('B9', 543, 'AWZ', 2104, 'THR', 2131, '', 0, 'M82\r'),
	('B9', 543, 'AZD', 2164, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'BND', 2134, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'GSM', 5712, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'IFN', 4150, 'AWZ', 2104, '', 0, 'M82\r'),
	('B9', 543, 'IFN', 4150, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'KIH', 2109, 'AWZ', 2104, '', 0, 'M82\r'),
	('B9', 543, 'KIH', 2109, 'SYZ', 2157, '', 0, 'M82\r'),
	('B9', 543, 'KSH', 2114, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'KSH', 2114, 'THR', 2131, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'ABD', 2097, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'AWZ', 2104, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'AZD', 2164, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'BND', 2134, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'GSM', 5712, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'IFN', 4150, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'KSH', 2114, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'RAS', 2123, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'SRY', 5933, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'SYZ', 2157, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'TBZ', 2162, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'THR', 2131, '', 0, 'M82\r'),
	('B9', 543, 'MHD', 4331, 'ZAH', 2167, '', 0, 'M82\r'),
	('B9', 543, 'RAS', 2123, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'SRY', 5933, 'AWZ', 2104, '', 0, 'M82\r'),
	('B9', 543, 'SRY', 5933, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'SYZ', 2157, 'AWZ', 2104, '', 0, 'M82\r'),
	('B9', 543, 'SYZ', 2157, 'KIH', 2109, '', 0, 'M82\r'),
	('B9', 543, 'SYZ', 2157, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'SYZ', 2157, 'THR', 2131, '', 0, 'M82\r'),
	('B9', 543, 'TBZ', 2162, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'TBZ', 2162, 'THR', 2131, '', 0, 'M82\r'),
	('B9', 543, 'THR', 2131, 'ABD', 2097, '', 0, 'M82\r'),
	('B9', 543, 'THR', 2131, 'AWZ', 2104, '', 0, 'M82\r'),
	('B9', 543, 'THR', 2131, 'KSH', 2114, '', 0, 'M82\r'),
	('B9', 543, 'THR', 2131, 'MHD', 4331, '', 0, 'M82\r'),
	('B9', 543, 'THR', 2131, 'SYZ', 2157, '', 0, 'M82\r'),
	('B9', 543, 'THR', 2131, 'TBZ', 2162, '', 0, 'M82\r'),
	('B9', 543, 'ZAH', 2167, 'MHD', 4331, '', 0, 'M82\r'),
	('BA', 1355, 'AAL', 628, 'AAR', 607, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'AAL', 628, 'OSL', 644, 'Y', 0, 'J31 FRJ\r'),
	('BA', 1355, 'AAR', 607, 'AAL', 628, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'AAR', 607, 'BMA', 738, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'AAR', 607, 'GOT', 687, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'AAR', 607, 'OSL', 644, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'ABV', 260, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'ABZ', 532, 'LCY', 503, 'Y', 0, 'S20 E70\r'),
	('BA', 1355, 'ABZ', 532, 'LHR', 507, '', 0, '321 320 319\r'),
	('BA', 1355, 'ACC', 248, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'ACE', 1055, 'LGW', 502, '', 0, '320\r'),
	('BA', 1355, 'AGP', 1230, 'LCY', 503, 'Y', 0, 'E90\r'),
	('BA', 1355, 'AGP', 1230, 'LGW', 502, '', 0, '319 734 320\r'),
	('BA', 1355, 'AGP', 1230, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'ALA', 2908, 'LHR', 507, '', 0, '767\r'),
	('BA', 1355, 'ALC', 1212, 'LGW', 502, '', 0, '319 734\r'),
	('BA', 1355, 'ALG', 210, 'LGW', 502, '', 0, '734 319\r'),
	('BA', 1355, 'AMM', 2170, 'LHR', 507, '', 0, '321\r'),
	('BA', 1355, 'AMS', 580, 'LCY', 503, 'Y', 0, 'E90 E70\r'),
	('BA', 1355, 'AMS', 580, 'LGW', 502, '', 0, '319 734\r'),
	('BA', 1355, 'AMS', 580, 'LHR', 507, '', 0, '320 767 319 321\r'),
	('BA', 1355, 'ANU', 2874, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'ANU', 2874, 'PUJ', 1760, '', 0, '777\r'),
	('BA', 1355, 'ANU', 2874, 'SKB', 2891, '', 0, '777\r'),
	('BA', 1355, 'ANU', 2874, 'TAB', 2901, '', 0, '777\r'),
	('BA', 1355, 'ARN', 737, 'LCY', 503, 'Y', 0, 'E70\r'),
	('BA', 1355, 'ARN', 737, 'LHR', 507, '', 0, '320 321 319 767\r'),
	('BA', 1355, 'ATH', 3941, 'LHR', 507, '', 0, '320 767\r'),
	('BA', 1355, 'ATL', 3682, 'DFW', 3670, '', 0, '\r'),
	('BA', 1355, 'ATL', 3682, 'LHR', 507, '', 0, '777 \r'),
	('BA', 1355, 'ATL', 3682, 'MIA', 3576, 'Y', 0, '738 ERD\r'),
	('BA', 1355, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'E75 CR7\r'),
	('BA', 1355, 'AUH', 2179, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'AUH', 2179, 'MCT', 2194, '', 0, '777\r'),
	('BA', 1355, 'AUS', 3673, 'LHR', 507, '', 0, '788\r'),
	('BA', 1355, 'BAH', 2057, 'DOH', 2241, '', 0, '777\r'),
	('BA', 1355, 'BAH', 2057, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'BCN', 1218, 'JFK', 3797, 'Y', 0, '763\r'),
	('BA', 1355, 'BCN', 1218, 'LGW', 502, '', 0, '319 734 320\r'),
	('BA', 1355, 'BCN', 1218, 'LHR', 507, '', 0, '320 319 321 767\r'),
	('BA', 1355, 'BCN', 1218, 'MIA', 3576, 'Y', 0, '763\r'),
	('BA', 1355, 'BDA', 4069, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'BEY', 2177, 'LHR', 507, '', 0, '321\r'),
	('BA', 1355, 'BGI', 2875, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'BGO', 636, 'BLL', 608, 'Y', 0, 'J31\r'),
	('BA', 1355, 'BGO', 636, 'LHR', 507, '', 0, '319\r'),
	('BA', 1355, 'BHD', 467, 'LHR', 507, '', 0, '319\r'),
	('BA', 1355, 'BKK', 3885, 'CNX', 3931, 'Y', 0, '320 319\r'),
	('BA', 1355, 'BKK', 3885, 'HKT', 3179, 'Y', 0, '320\r'),
	('BA', 1355, 'BKK', 3885, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'BLL', 608, 'BGO', 636, 'Y', 0, 'J31\r'),
	('BA', 1355, 'BLL', 608, 'BRU', 302, 'Y', 0, 'FRJ J31\r'),
	('BA', 1355, 'BLL', 608, 'DUS', 345, 'Y', 0, 'J31\r'),
	('BA', 1355, 'BLL', 608, 'LCY', 503, 'Y', 0, 'D38\r'),
	('BA', 1355, 'BLL', 608, 'MAN', 478, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'BLL', 608, 'MUC', 346, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'BLL', 608, 'OSL', 644, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'BLL', 608, 'ZRH', 1678, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'BLQ', 1538, 'LHR', 507, '', 0, '319 320\r'),
	('BA', 1355, 'BLR', 3131, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'BMA', 738, 'AAR', 607, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'BNE', 3320, 'CNS', 3322, 'Y', 0, '333\r'),
	('BA', 1355, 'BOD', 1264, 'LGW', 502, '', 0, '734 319\r'),
	('BA', 1355, 'BOM', 2997, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'BOS', 3448, 'LHR', 507, '', 0, '777 744\r'),
	('BA', 1355, 'BOS', 3448, 'MAD', 1229, 'Y', 0, '333\r'),
	('BA', 1355, 'BRI', 1501, 'LGW', 502, '', 0, '734\r'),
	('BA', 1355, 'BRU', 302, 'BLL', 608, 'Y', 0, 'FRJ J31\r'),
	('BA', 1355, 'BRU', 302, 'LHR', 507, '', 0, '319 320 321\r'),
	('BA', 1355, 'BSL', 4053, 'LHR', 507, '', 0, '319 320 321\r'),
	('BA', 1355, 'BUD', 1489, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'BWI', 3849, 'LHR', 507, '', 0, '767\r'),
	('BA', 1355, 'CAI', 1128, 'LHR', 507, '', 0, '767\r'),
	('BA', 1355, 'CDG', 1382, 'DFW', 3670, 'Y', 0, '763 777\r'),
	('BA', 1355, 'CDG', 1382, 'JFK', 3797, 'Y', 0, '763 757\r'),
	('BA', 1355, 'CDG', 1382, 'LHR', 507, '', 0, '319 320 321\r'),
	('BA', 1355, 'CDG', 1382, 'MIA', 3576, 'Y', 0, '763\r'),
	('BA', 1355, 'CDG', 1382, 'ORD', 3830, 'Y', 0, '763\r'),
	('BA', 1355, 'CGN', 344, 'TXL', 351, 'Y', 0, '73G 738 320 319\r'),
	('BA', 1355, 'CMB', 3024, 'MLE', 3156, '', 0, '777\r'),
	('BA', 1355, 'CNS', 3322, 'BNE', 3320, 'Y', 0, '333\r'),
	('BA', 1355, 'CNS', 3322, 'HKG', 3077, 'Y', 0, '333\r'),
	('BA', 1355, 'CNX', 3931, 'BKK', 3885, 'Y', 0, '320 319\r'),
	('BA', 1355, 'CPH', 609, 'LHR', 507, '', 0, '321 320 319\r'),
	('BA', 1355, 'CPT', 797, 'DUR', 799, 'Y', 0, '734 733\r'),
	('BA', 1355, 'CPT', 797, 'JNB', 813, 'Y', 0, '734 738 733\r'),
	('BA', 1355, 'CPT', 797, 'LHR', 507, '', 0, '744 777\r'),
	('BA', 1355, 'CPT', 797, 'PLZ', 838, 'Y', 0, '733\r'),
	('BA', 1355, 'CTA', 1509, 'LGW', 502, '', 0, '734 319\r'),
	('BA', 1355, 'CTU', 3395, 'LHR', 507, '', 0, '777 788\r'),
	('BA', 1355, 'CUN', 1852, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'DBV', 1200, 'LGW', 502, '', 0, '734 319\r'),
	('BA', 1355, 'DEL', 3093, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'DEN', 3751, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'DFW', 3670, 'ATL', 3682, 'Y', 0, 'M80 M83\r'),
	('BA', 1355, 'DFW', 3670, 'CDG', 1382, 'Y', 0, '763 777\r'),
	('BA', 1355, 'DFW', 3670, 'FRA', 340, 'Y', 0, '777\r'),
	('BA', 1355, 'DFW', 3670, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'DFW', 3670, 'MAD', 1229, 'Y', 0, '777\r'),
	('BA', 1355, 'DFW', 3670, 'MEX', 1824, 'Y', 0, 'M80 M83\r'),
	('BA', 1355, 'DFW', 3670, 'MLM', 1821, 'Y', 0, 'ER4\r'),
	('BA', 1355, 'DFW', 3670, 'MSY', 3861, 'Y', 0, 'M83 M80\r'),
	('BA', 1355, 'DME', 4029, 'LHR', 507, '', 0, '767 321 744\r'),
	('BA', 1355, 'DOH', 2241, 'BAH', 2057, '', 0, '777\r'),
	('BA', 1355, 'DUB', 599, 'JFK', 3797, 'Y', 0, '757\r'),
	('BA', 1355, 'DUB', 599, 'LHR', 507, '', 0, '319\r'),
	('BA', 1355, 'DUB', 599, 'ORD', 3830, 'Y', 0, '763\r'),
	('BA', 1355, 'DUR', 799, 'CPT', 797, 'Y', 0, '734 733\r'),
	('BA', 1355, 'DUR', 799, 'JNB', 813, 'Y', 0, '734 733\r'),
	('BA', 1355, 'DUR', 799, 'PLZ', 838, 'Y', 0, '733\r'),
	('BA', 1355, 'DUS', 345, 'BLL', 608, 'Y', 0, 'J31\r'),
	('BA', 1355, 'DUS', 345, 'LCY', 503, '', 0, 'AR8 E70\r'),
	('BA', 1355, 'DUS', 345, 'LHR', 507, '', 0, '319 320\r'),
	('BA', 1355, 'DUS', 345, 'ORD', 3830, 'Y', 0, '763\r'),
	('BA', 1355, 'DXB', 2188, 'LHR', 507, '', 0, '744 777\r'),
	('BA', 1355, 'EBB', 1187, 'LHR', 507, '', 0, '767\r'),
	('BA', 1355, 'EDI', 535, 'LCY', 503, 'Y', 0, 'E90 E70\r'),
	('BA', 1355, 'EDI', 535, 'LGW', 502, '', 0, '734 319\r'),
	('BA', 1355, 'EDI', 535, 'LHR', 507, '', 0, '767 320 319 321\r'),
	('BA', 1355, 'EWR', 3494, 'LHR', 507, '', 0, '777 788\r'),
	('BA', 1355, 'EWR', 3494, 'ORY', 1386, 'Y', 0, '752\r'),
	('BA', 1355, 'EZE', 3988, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'FAO', 1626, 'LGW', 502, '', 0, '319 734 320\r'),
	('BA', 1355, 'FAO', 1626, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'FCO', 1555, 'JFK', 3797, 'Y', 0, '763\r'),
	('BA', 1355, 'FCO', 1555, 'LGW', 502, '', 0, '734 320 319\r'),
	('BA', 1355, 'FCO', 1555, 'LHR', 507, '', 0, '321 767 320 319\r'),
	('BA', 1355, 'FCO', 1555, 'ORD', 3830, 'Y', 0, '763\r'),
	('BA', 1355, 'FLR', 1563, 'LCY', 503, '', 0, 'E70 E90\r'),
	('BA', 1355, 'FNA', 1059, 'LHR', 507, '', 0, '767\r'),
	('BA', 1355, 'FNA', 1059, 'ROB', 1063, '', 0, '767\r'),
	('BA', 1355, 'FRA', 340, 'ATL', 3682, '', 0, '\r'),
	('BA', 1355, 'FRA', 340, 'DFW', 3670, 'Y', 0, '777\r'),
	('BA', 1355, 'FRA', 340, 'LCY', 503, 'Y', 0, 'E70 E90 AR8\r'),
	('BA', 1355, 'FRA', 340, 'LHR', 507, '', 0, '320 767 319\r'),
	('BA', 1355, 'GCM', 1926, 'NAS', 1953, '', 0, '767\r'),
	('BA', 1355, 'GIB', 1738, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'GIG', 2560, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'GLA', 534, 'LCY', 503, 'Y', 0, 'E90 E70\r'),
	('BA', 1355, 'GLA', 534, 'LGW', 502, '', 0, '734 319\r'),
	('BA', 1355, 'GLA', 534, 'LHR', 507, '', 0, '319 321 320 767\r'),
	('BA', 1355, 'GND', 2882, 'UVF', 2894, '', 0, '777\r'),
	('BA', 1355, 'GOA', 1528, 'LGW', 502, '', 0, '320 319 734\r'),
	('BA', 1355, 'GOT', 687, 'AAR', 607, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'GOT', 687, 'LHR', 507, '', 0, '320 321 319\r'),
	('BA', 1355, 'GOT', 687, 'MAN', 478, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'GRU', 2564, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'GRX', 1223, 'LCY', 503, '', 0, 'E90\r'),
	('BA', 1355, 'GUA', 1767, 'SAL', 1892, 'Y', 0, '343\r'),
	('BA', 1355, 'GVA', 1665, 'LHR', 507, '', 0, '320 319 321\r'),
	('BA', 1355, 'GYD', 2922, 'LHR', 507, '', 0, '321\r'),
	('BA', 1355, 'HAJ', 352, 'LHR', 507, '', 0, '319\r'),
	('BA', 1355, 'HAM', 342, 'LHR', 507, '', 0, '320 319 321\r'),
	('BA', 1355, 'HEL', 421, 'JFK', 3797, 'Y', 0, '333\r'),
	('BA', 1355, 'HEL', 421, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'HEL', 421, 'MAN', 478, 'Y', 0, 'E90\r'),
	('BA', 1355, 'HEL', 421, 'VNO', 3959, 'Y', 0, 'E70\r'),
	('BA', 1355, 'HEL', 421, 'WAW', 679, 'Y', 0, 'E90\r'),
	('BA', 1355, 'HKG', 3077, 'CNS', 3322, 'Y', 0, '333\r'),
	('BA', 1355, 'HKG', 3077, 'LHR', 507, '', 0, '388 777\r'),
	('BA', 1355, 'HKT', 3179, 'BKK', 3885, 'Y', 0, '320\r'),
	('BA', 1355, 'HND', 2359, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'HRE', 1005, 'JNB', 813, 'Y', 0, '734 733\r'),
	('BA', 1355, 'HYD', 3141, 'LHR', 507, '', 0, '767\r'),
	('BA', 1355, 'IAD', 3714, 'LHR', 507, '', 0, '744 777\r'),
	('BA', 1355, 'IAH', 3550, 'LHR', 507, '', 0, '744 777\r'),
	('BA', 1355, 'IBZ', 1225, 'LCY', 503, 'Y', 0, 'E70 E90\r'),
	('BA', 1355, 'IBZ', 1225, 'LHR', 507, '', 0, '319 320\r'),
	('BA', 1355, 'ICN', 3930, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'IOM', 520, 'LCY', 503, 'Y', 0, 'S20\r'),
	('BA', 1355, 'IST', 1701, 'LHR', 507, '', 0, '320 767\r'),
	('BA', 1355, 'JED', 2072, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'JER', 499, 'LGW', 502, '', 0, '319 734\r'),
	('BA', 1355, 'JFK', 3797, 'BCN', 1218, 'Y', 0, '763\r'),
	('BA', 1355, 'JFK', 3797, 'CDG', 1382, 'Y', 0, '763 757\r'),
	('BA', 1355, 'JFK', 3797, 'DUB', 599, 'Y', 0, '757\r'),
	('BA', 1355, 'JFK', 3797, 'FCO', 1555, 'Y', 0, '763\r'),
	('BA', 1355, 'JFK', 3797, 'HEL', 421, 'Y', 0, '333\r'),
	('BA', 1355, 'JFK', 3797, 'LCY', 503, 'Y', 0, '318\r'),
	('BA', 1355, 'JFK', 3797, 'LHR', 507, '', 0, '777 744\r'),
	('BA', 1355, 'JFK', 3797, 'MAD', 1229, 'Y', 0, '333 757 346\r'),
	('BA', 1355, 'JFK', 3797, 'MAN', 478, 'Y', 0, '757\r'),
	('BA', 1355, 'JFK', 3797, 'MXP', 1524, 'Y', 0, '763\r'),
	('BA', 1355, 'JFK', 3797, 'ORY', 1386, 'Y', 0, '752\r'),
	('BA', 1355, 'JMK', 1468, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'JNB', 813, 'CPT', 797, 'Y', 0, '738 734 733\r'),
	('BA', 1355, 'JNB', 813, 'DUR', 799, 'Y', 0, '733 734\r'),
	('BA', 1355, 'JNB', 813, 'HRE', 1005, 'Y', 0, '734 733\r'),
	('BA', 1355, 'JNB', 813, 'LHR', 507, '', 0, '388 744\r'),
	('BA', 1355, 'JNB', 813, 'LVI', 906, 'Y', 0, '734\r'),
	('BA', 1355, 'JNB', 813, 'MRU', 893, 'Y', 0, '733\r'),
	('BA', 1355, 'JNB', 813, 'PLZ', 838, 'Y', 0, '734 733\r'),
	('BA', 1355, 'JNB', 813, 'VFA', 1004, 'Y', 0, '734\r'),
	('BA', 1355, 'JNB', 813, 'WDH', 4105, 'Y', 0, '738 734\r'),
	('BA', 1355, 'JTR', 1479, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'KBP', 2939, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'KIN', 1779, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'KWI', 2176, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'LAD', 951, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'LAS', 3877, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'LAS', 3877, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'LAX', 3484, 'LHR', 507, '', 0, '744 388\r'),
	('BA', 1355, 'LAX', 3484, 'MAD', 1229, 'Y', 0, '346 343\r'),
	('BA', 1355, 'LBA', 517, 'LHR', 507, '', 0, '319\r'),
	('BA', 1355, 'LCA', 1197, 'LGW', 502, '', 0, '320\r'),
	('BA', 1355, 'LCA', 1197, 'LHR', 507, '', 0, '767\r'),
	('BA', 1355, 'LCY', 503, 'ABZ', 532, 'Y', 0, 'E70 S20\r'),
	('BA', 1355, 'LCY', 503, 'AGP', 1230, 'Y', 0, 'E90\r'),
	('BA', 1355, 'LCY', 503, 'AMS', 580, 'Y', 0, 'E90 E70\r'),
	('BA', 1355, 'LCY', 503, 'ARN', 737, 'Y', 0, 'E70\r'),
	('BA', 1355, 'LCY', 503, 'BLL', 608, 'Y', 0, 'D38\r'),
	('BA', 1355, 'LCY', 503, 'DUS', 345, '', 0, 'AR8 E70\r'),
	('BA', 1355, 'LCY', 503, 'EDI', 535, 'Y', 0, 'E90 E70\r'),
	('BA', 1355, 'LCY', 503, 'FLR', 1563, '', 0, 'E70 E90\r'),
	('BA', 1355, 'LCY', 503, 'FRA', 340, 'Y', 0, 'E70 E90 AR8\r'),
	('BA', 1355, 'LCY', 503, 'GLA', 534, 'Y', 0, 'E90 E70\r'),
	('BA', 1355, 'LCY', 503, 'GRX', 1223, '', 0, 'E90\r'),
	('BA', 1355, 'LCY', 503, 'IBZ', 1225, 'Y', 0, 'E70 E90\r'),
	('BA', 1355, 'LCY', 503, 'IOM', 520, 'Y', 0, 'S20\r'),
	('BA', 1355, 'LCY', 503, 'MAD', 1229, 'Y', 0, 'E90\r'),
	('BA', 1355, 'LCY', 503, 'MAH', 1231, 'Y', 0, 'E90\r'),
	('BA', 1355, 'LCY', 503, 'NCE', 1354, 'Y', 0, 'E70 E90\r'),
	('BA', 1355, 'LCY', 503, 'PMI', 3998, 'Y', 0, 'E90\r'),
	('BA', 1355, 'LCY', 503, 'RTM', 591, 'Y', 0, 'S20\r'),
	('BA', 1355, 'LCY', 503, 'VCE', 1551, 'Y', 0, 'E90 E70\r'),
	('BA', 1355, 'LCY', 503, 'ZRH', 1678, 'Y', 0, 'E90 E70\r'),
	('BA', 1355, 'LED', 2948, 'LHR', 507, '', 0, '321\r'),
	('BA', 1355, 'LGW', 502, 'ACE', 1055, '', 0, '320\r'),
	('BA', 1355, 'LGW', 502, 'AGP', 1230, '', 0, '319 734 320\r'),
	('BA', 1355, 'LGW', 502, 'ALC', 1212, '', 0, '319 734\r'),
	('BA', 1355, 'LGW', 502, 'ALG', 210, '', 0, '734 319\r'),
	('BA', 1355, 'LGW', 502, 'AMS', 580, '', 0, '319 734\r'),
	('BA', 1355, 'LGW', 502, 'ANU', 2874, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'BCN', 1218, '', 0, '319 734 320\r'),
	('BA', 1355, 'LGW', 502, 'BDA', 4069, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'BGI', 2875, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'BOD', 1264, '', 0, '734 319\r'),
	('BA', 1355, 'LGW', 502, 'BRI', 1501, '', 0, '734\r'),
	('BA', 1355, 'LGW', 502, 'CTA', 1509, '', 0, '734 319\r'),
	('BA', 1355, 'LGW', 502, 'CUN', 1852, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'DBV', 1200, '', 0, '734 319\r'),
	('BA', 1355, 'LGW', 502, 'EDI', 535, '', 0, '734 319\r'),
	('BA', 1355, 'LGW', 502, 'FAO', 1626, '', 0, '319 734 320\r'),
	('BA', 1355, 'LGW', 502, 'FCO', 1555, '', 0, '734 320 319\r'),
	('BA', 1355, 'LGW', 502, 'GLA', 534, '', 0, '734 319\r'),
	('BA', 1355, 'LGW', 502, 'GOA', 1528, '', 0, '320 319 734\r'),
	('BA', 1355, 'LGW', 502, 'JER', 499, '', 0, '734 319\r'),
	('BA', 1355, 'LGW', 502, 'KIN', 1779, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'LAS', 3877, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'LCA', 1197, '', 0, '320\r'),
	('BA', 1355, 'LGW', 502, 'MCO', 3878, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'MLA', 1606, '', 0, '319 734\r'),
	('BA', 1355, 'LGW', 502, 'MLE', 3156, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'MRU', 893, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'NAP', 1561, '', 0, '320 734 319\r'),
	('BA', 1355, 'LGW', 502, 'NCE', 1354, '', 0, '320 734 319\r'),
	('BA', 1355, 'LGW', 502, 'NQY', 481, 'Y', 0, 'DH4\r'),
	('BA', 1355, 'LGW', 502, 'OLB', 1520, 'Y', 0, '737\r'),
	('BA', 1355, 'LGW', 502, 'PFO', 1198, '', 0, '319\r'),
	('BA', 1355, 'LGW', 502, 'PSA', 1562, '', 0, '734 319\r'),
	('BA', 1355, 'LGW', 502, 'RAK', 1075, '', 0, '734 319 320\r'),
	('BA', 1355, 'LGW', 502, 'SKG', 1486, '', 0, '734\r'),
	('BA', 1355, 'LGW', 502, 'SZG', 1612, '', 0, '734\r'),
	('BA', 1355, 'LGW', 502, 'TFS', 1056, '', 0, '320\r'),
	('BA', 1355, 'LGW', 502, 'TIA', 1190, '', 0, '734\r'),
	('BA', 1355, 'LGW', 502, 'TPA', 3646, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'TRN', 1526, '', 0, '319 320 734\r'),
	('BA', 1355, 'LGW', 502, 'UVF', 2894, '', 0, '777\r'),
	('BA', 1355, 'LGW', 502, 'VCE', 1551, '', 0, '734 319 320\r'),
	('BA', 1355, 'LGW', 502, 'VRN', 1550, '', 0, '734 319 320\r'),
	('BA', 1355, 'LHR', 507, 'ABV', 260, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'ABZ', 532, '', 0, '320 319 321\r'),
	('BA', 1355, 'LHR', 507, 'ACC', 248, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'AGP', 1230, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'ALA', 2908, '', 0, '767\r'),
	('BA', 1355, 'LHR', 507, 'AMM', 2170, '', 0, '321\r'),
	('BA', 1355, 'LHR', 507, 'AMS', 580, '', 0, '767 320 319 321\r'),
	('BA', 1355, 'LHR', 507, 'ARN', 737, '', 0, '321 319 767 320\r'),
	('BA', 1355, 'LHR', 507, 'ATH', 3941, '', 0, '767 320\r'),
	('BA', 1355, 'LHR', 507, 'ATL', 3682, '', 0, '777 \r'),
	('BA', 1355, 'LHR', 507, 'AUH', 2179, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'AUS', 3673, '', 0, '788\r'),
	('BA', 1355, 'LHR', 507, 'BAH', 2057, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'BCN', 1218, '', 0, '319 320 321 767\r'),
	('BA', 1355, 'LHR', 507, 'BEY', 2177, '', 0, '321\r'),
	('BA', 1355, 'LHR', 507, 'BGO', 636, '', 0, '319\r'),
	('BA', 1355, 'LHR', 507, 'BHD', 467, '', 0, '319\r'),
	('BA', 1355, 'LHR', 507, 'BKK', 3885, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'BLQ', 1538, '', 0, '320 319\r'),
	('BA', 1355, 'LHR', 507, 'BLR', 3131, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'BOM', 2997, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'BOS', 3448, '', 0, '744 777\r'),
	('BA', 1355, 'LHR', 507, 'BRU', 302, '', 0, '320 319 321\r'),
	('BA', 1355, 'LHR', 507, 'BSL', 4053, '', 0, '319 320 321\r'),
	('BA', 1355, 'LHR', 507, 'BUD', 1489, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'BWI', 3849, '', 0, '767\r'),
	('BA', 1355, 'LHR', 507, 'CAI', 1128, '', 0, '767\r'),
	('BA', 1355, 'LHR', 507, 'CDG', 1382, '', 0, '320 319 321\r'),
	('BA', 1355, 'LHR', 507, 'CPH', 609, '', 0, '321 320 319\r'),
	('BA', 1355, 'LHR', 507, 'CPT', 797, '', 0, '744 777\r'),
	('BA', 1355, 'LHR', 507, 'CTU', 3395, '', 0, '788\r'),
	('BA', 1355, 'LHR', 507, 'DEL', 3093, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'DEN', 3751, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'DFW', 3670, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'DME', 4029, '', 0, '321 767 744\r'),
	('BA', 1355, 'LHR', 507, 'DUB', 599, '', 0, '319\r'),
	('BA', 1355, 'LHR', 507, 'DUS', 345, '', 0, '319 320\r'),
	('BA', 1355, 'LHR', 507, 'DXB', 2188, '', 0, '744 777\r'),
	('BA', 1355, 'LHR', 507, 'EBB', 1187, '', 0, '767\r'),
	('BA', 1355, 'LHR', 507, 'EDI', 535, '', 0, '319 767 321 320\r'),
	('BA', 1355, 'LHR', 507, 'EWR', 3494, '', 0, '777 788\r'),
	('BA', 1355, 'LHR', 507, 'EZE', 3988, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'FAO', 1626, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'FCO', 1555, '', 0, '767 321 320 319\r'),
	('BA', 1355, 'LHR', 507, 'FNA', 1059, '', 0, '767\r'),
	('BA', 1355, 'LHR', 507, 'FRA', 340, '', 0, '767 319 320\r'),
	('BA', 1355, 'LHR', 507, 'GIB', 1738, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'GIG', 2560, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'GLA', 534, '', 0, '320 319 321 767\r'),
	('BA', 1355, 'LHR', 507, 'GOT', 687, '', 0, '320 321 319\r'),
	('BA', 1355, 'LHR', 507, 'GRU', 2564, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'GVA', 1665, '', 0, '319 320 321\r'),
	('BA', 1355, 'LHR', 507, 'GYD', 2922, '', 0, '321\r'),
	('BA', 1355, 'LHR', 507, 'HAJ', 352, '', 0, '319\r'),
	('BA', 1355, 'LHR', 507, 'HAM', 342, '', 0, '319 321 320\r'),
	('BA', 1355, 'LHR', 507, 'HEL', 421, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'HKG', 3077, '', 0, '388 777\r'),
	('BA', 1355, 'LHR', 507, 'HND', 2359, '', 0, '777 773\r'),
	('BA', 1355, 'LHR', 507, 'HYD', 3141, '', 0, '767\r'),
	('BA', 1355, 'LHR', 507, 'IAD', 3714, '', 0, '744 777\r'),
	('BA', 1355, 'LHR', 507, 'IAH', 3550, '', 0, '744 777\r'),
	('BA', 1355, 'LHR', 507, 'IBZ', 1225, '', 0, '319 320\r'),
	('BA', 1355, 'LHR', 507, 'ICN', 3930, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'IST', 1701, '', 0, '320 767\r'),
	('BA', 1355, 'LHR', 507, 'JED', 2072, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'JFK', 3797, '', 0, '744 777\r'),
	('BA', 1355, 'LHR', 507, 'JMK', 1468, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'JNB', 813, '', 0, '388 744\r'),
	('BA', 1355, 'LHR', 507, 'JTR', 1479, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'KBP', 2939, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'KWI', 2176, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'LAD', 951, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'LAS', 3877, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'LAX', 3484, '', 0, '744 388\r'),
	('BA', 1355, 'LHR', 507, 'LBA', 517, '', 0, '319\r'),
	('BA', 1355, 'LHR', 507, 'LCA', 1197, '', 0, '767\r'),
	('BA', 1355, 'LHR', 507, 'LED', 2948, '', 0, '321\r'),
	('BA', 1355, 'LHR', 507, 'LIN', 1529, '', 0, '319 320 321\r'),
	('BA', 1355, 'LHR', 507, 'LIS', 1638, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'LOS', 273, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'LUX', 629, '', 0, '319\r'),
	('BA', 1355, 'LHR', 507, 'LYS', 1335, '', 0, '319\r'),
	('BA', 1355, 'LHR', 507, 'MAA', 3144, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'MAD', 1229, '', 0, '767 320 319 321\r'),
	('BA', 1355, 'LHR', 507, 'MAN', 478, '', 0, '319 320 321\r'),
	('BA', 1355, 'LHR', 507, 'MEX', 1824, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'MIA', 3576, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'MRS', 1353, '', 0, '319 320\r'),
	('BA', 1355, 'LHR', 507, 'MUC', 346, '', 0, '320 321 319\r'),
	('BA', 1355, 'LHR', 507, 'MXP', 1524, '', 0, '319 320 321\r'),
	('BA', 1355, 'LHR', 507, 'NAS', 1953, '', 0, '767\r'),
	('BA', 1355, 'LHR', 507, 'NBO', 4059, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'NCE', 1354, '', 0, '320 321 319\r'),
	('BA', 1355, 'LHR', 507, 'NCL', 521, '', 0, '319 321 320\r'),
	('BA', 1355, 'LHR', 507, 'NRT', 2279, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'OPO', 1636, '', 0, '320 319\r'),
	('BA', 1355, 'LHR', 507, 'ORD', 3830, '', 0, '744 777\r'),
	('BA', 1355, 'LHR', 507, 'ORY', 1386, '', 0, '319 320\r'),
	('BA', 1355, 'LHR', 507, 'OSL', 644, '', 0, '319 320 321\r'),
	('BA', 1355, 'LHR', 507, 'OTP', 1657, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'PEK', 3364, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'PHL', 3752, '', 0, '777 767\r'),
	('BA', 1355, 'LHR', 507, 'PHX', 3462, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'PMI', 3998, '', 0, '319 320\r'),
	('BA', 1355, 'LHR', 507, 'PRG', 1587, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'PSA', 1562, '', 0, '320 321\r'),
	('BA', 1355, 'LHR', 507, 'PVG', 3406, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'RDU', 3626, 'Y', 0, '763\r'),
	('BA', 1355, 'LHR', 507, 'RTM', 591, '', 0, '319\r'),
	('BA', 1355, 'LHR', 507, 'RUH', 2082, '', 0, '744 777\r'),
	('BA', 1355, 'LHR', 507, 'SAN', 3731, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'SEA', 3577, '', 0, '744 777\r'),
	('BA', 1355, 'LHR', 507, 'SFO', 3469, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'SIN', 3316, '', 0, '744 777\r'),
	('BA', 1355, 'LHR', 507, 'SOF', 1194, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'STR', 350, '', 0, '319 321 320\r'),
	('BA', 1355, 'LHR', 507, 'SVG', 666, '', 0, '319\r'),
	('BA', 1355, 'LHR', 507, 'TIP', 1157, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'TLS', 1273, '', 0, '319 320 321\r'),
	('BA', 1355, 'LHR', 507, 'TLV', 1590, '', 0, '777 321\r'),
	('BA', 1355, 'LHR', 507, 'TXL', 351, '', 0, '320 321 319\r'),
	('BA', 1355, 'LHR', 507, 'VCE', 1551, '', 0, '320 319\r'),
	('BA', 1355, 'LHR', 507, 'VIE', 1613, '', 0, '320 319\r'),
	('BA', 1355, 'LHR', 507, 'WAW', 679, '', 0, '320\r'),
	('BA', 1355, 'LHR', 507, 'YUL', 146, '', 0, '777\r'),
	('BA', 1355, 'LHR', 507, 'YVR', 156, '', 0, '744\r'),
	('BA', 1355, 'LHR', 507, 'YYC', 178, '', 0, '767\r'),
	('BA', 1355, 'LHR', 507, 'YYZ', 193, '', 0, '788 744\r'),
	('BA', 1355, 'LHR', 507, 'ZAG', 1208, '', 0, '319 320\r'),
	('BA', 1355, 'LHR', 507, 'ZRH', 1678, '', 0, '319 320 321\r'),
	('BA', 1355, 'LIN', 1529, 'LHR', 507, '', 0, '321 319 320\r'),
	('BA', 1355, 'LIS', 1638, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'LOS', 273, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'LUX', 629, 'LHR', 507, '', 0, '319\r'),
	('BA', 1355, 'LVI', 906, 'JNB', 813, 'Y', 0, '734\r'),
	('BA', 1355, 'LYS', 1335, 'LHR', 507, '', 0, '319\r'),
	('BA', 1355, 'MAA', 3144, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'MAD', 1229, 'BOS', 3448, 'Y', 0, '333\r'),
	('BA', 1355, 'MAD', 1229, 'DFW', 3670, 'Y', 0, '777\r'),
	('BA', 1355, 'MAD', 1229, 'JFK', 3797, 'Y', 0, '757 333 346\r'),
	('BA', 1355, 'MAD', 1229, 'LAX', 3484, 'Y', 0, '346 343\r'),
	('BA', 1355, 'MAD', 1229, 'LCY', 503, 'Y', 0, 'E90\r'),
	('BA', 1355, 'MAD', 1229, 'LHR', 507, '', 0, '767 320 319 321\r'),
	('BA', 1355, 'MAD', 1229, 'MIA', 3576, 'Y', 0, '763 333 346\r'),
	('BA', 1355, 'MAD', 1229, 'ORD', 3830, 'Y', 0, '333\r'),
	('BA', 1355, 'MAH', 1231, 'LCY', 503, 'Y', 0, 'E90\r'),
	('BA', 1355, 'MAN', 478, 'BLL', 608, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'MAN', 478, 'GOT', 687, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'MAN', 478, 'HEL', 421, 'Y', 0, 'E90\r'),
	('BA', 1355, 'MAN', 478, 'JFK', 3797, 'Y', 0, '757\r'),
	('BA', 1355, 'MAN', 478, 'LHR', 507, '', 0, '319 320 321\r'),
	('BA', 1355, 'MAN', 478, 'ORD', 3830, 'Y', 0, '763\r'),
	('BA', 1355, 'MCO', 3878, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'MCT', 2194, 'AUH', 2179, '', 0, '777\r'),
	('BA', 1355, 'MEX', 1824, 'DFW', 3670, 'Y', 0, 'M80\r'),
	('BA', 1355, 'MEX', 1824, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'MEX', 1824, 'MIA', 3576, 'Y', 0, '738\r'),
	('BA', 1355, 'MIA', 3576, 'ATL', 3682, 'Y', 0, 'ER4 738\r'),
	('BA', 1355, 'MIA', 3576, 'BCN', 1218, 'Y', 0, '763\r'),
	('BA', 1355, 'MIA', 3576, 'CDG', 1382, 'Y', 0, '763\r'),
	('BA', 1355, 'MIA', 3576, 'CUR', 2897, 'Y', 0, '738\r'),
	('BA', 1355, 'MIA', 3576, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'MIA', 3576, 'MAD', 1229, 'Y', 0, '333 763 346\r'),
	('BA', 1355, 'MIA', 3576, 'MEX', 1824, 'Y', 0, '738\r'),
	('BA', 1355, 'MIA', 3576, 'MSY', 3861, 'Y', 0, '738\r'),
	('BA', 1355, 'MIA', 3576, 'MXP', 1524, 'Y', 0, '763\r'),
	('BA', 1355, 'MIA', 3576, 'STT', 2883, 'Y', 0, '757\r'),
	('BA', 1355, 'MLA', 1606, 'LGW', 502, '', 0, '319 734\r'),
	('BA', 1355, 'MLE', 3156, 'CMB', 3024, '', 0, '777\r'),
	('BA', 1355, 'MLE', 3156, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'MLM', 1821, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('BA', 1355, 'MRS', 1353, 'LHR', 507, '', 0, '319 320\r'),
	('BA', 1355, 'MRU', 893, 'JNB', 813, 'Y', 0, '733\r'),
	('BA', 1355, 'MRU', 893, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'MSY', 3861, 'DFW', 3670, 'Y', 0, 'M80 M83\r'),
	('BA', 1355, 'MSY', 3861, 'MIA', 3576, 'Y', 0, '738\r'),
	('BA', 1355, 'MSY', 3861, 'ORD', 3830, 'Y', 0, 'E75\r'),
	('BA', 1355, 'MUC', 346, 'BLL', 608, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'MUC', 346, 'LHR', 507, '', 0, '321 320 319\r'),
	('BA', 1355, 'MXP', 1524, 'JFK', 3797, 'Y', 0, '763\r'),
	('BA', 1355, 'MXP', 1524, 'LHR', 507, '', 0, '319 320 321\r'),
	('BA', 1355, 'MXP', 1524, 'MIA', 3576, 'Y', 0, '763\r'),
	('BA', 1355, 'NAP', 1561, 'LGW', 502, '', 0, '320 734 319\r'),
	('BA', 1355, 'NAS', 1953, 'GCM', 1926, '', 0, '767\r'),
	('BA', 1355, 'NAS', 1953, 'LHR', 507, '', 0, '767\r'),
	('BA', 1355, 'NAS', 1953, 'PLS', 1754, '', 0, '767\r'),
	('BA', 1355, 'NBO', 4059, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'NCE', 1354, 'LCY', 503, 'Y', 0, 'E70 E90\r'),
	('BA', 1355, 'NCE', 1354, 'LGW', 502, '', 0, '319 320 734\r'),
	('BA', 1355, 'NCE', 1354, 'LHR', 507, '', 0, '319 320 321\r'),
	('BA', 1355, 'NCL', 521, 'LHR', 507, '', 0, '319 321 320\r'),
	('BA', 1355, 'NQY', 481, 'LGW', 502, 'Y', 0, 'DH4\r'),
	('BA', 1355, 'NRT', 2279, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'OLB', 1520, 'LGW', 502, 'Y', 0, '737\r'),
	('BA', 1355, 'OPO', 1636, 'LHR', 507, '', 0, '320 319\r'),
	('BA', 1355, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'E75 CR7 74N\r'),
	('BA', 1355, 'ORD', 3830, 'CDG', 1382, 'Y', 0, '763\r'),
	('BA', 1355, 'ORD', 3830, 'DUB', 599, 'Y', 0, '763\r'),
	('BA', 1355, 'ORD', 3830, 'DUS', 345, 'Y', 0, '763\r'),
	('BA', 1355, 'ORD', 3830, 'FCO', 1555, 'Y', 0, '763\r'),
	('BA', 1355, 'ORD', 3830, 'LHR', 507, '', 0, '744 777\r'),
	('BA', 1355, 'ORD', 3830, 'MAD', 1229, 'Y', 0, '333\r'),
	('BA', 1355, 'ORD', 3830, 'MAN', 478, 'Y', 0, '763\r'),
	('BA', 1355, 'ORD', 3830, 'MSY', 3861, 'Y', 0, 'E75\r'),
	('BA', 1355, 'ORY', 1386, 'EWR', 3494, 'Y', 0, '752\r'),
	('BA', 1355, 'ORY', 1386, 'JFK', 3797, 'Y', 0, '752\r'),
	('BA', 1355, 'ORY', 1386, 'LHR', 507, '', 0, '319 320\r'),
	('BA', 1355, 'OSL', 644, 'AAL', 628, 'Y', 0, 'J31 FRJ\r'),
	('BA', 1355, 'OSL', 644, 'AAR', 607, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'OSL', 644, 'BLL', 608, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'OSL', 644, 'LHR', 507, '', 0, '319 320 321\r'),
	('BA', 1355, 'OTP', 1657, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'PEK', 3364, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'PFO', 1198, 'LGW', 502, '', 0, '319\r'),
	('BA', 1355, 'PHL', 3752, 'LHR', 507, '', 0, '777 767\r'),
	('BA', 1355, 'PHX', 3462, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'PLS', 1754, 'NAS', 1953, '', 0, '767\r'),
	('BA', 1355, 'PLZ', 838, 'CPT', 797, 'Y', 0, '733\r'),
	('BA', 1355, 'PLZ', 838, 'DUR', 799, 'Y', 0, '733\r'),
	('BA', 1355, 'PLZ', 838, 'JNB', 813, 'Y', 0, '733 734\r'),
	('BA', 1355, 'PMI', 3998, 'LCY', 503, 'Y', 0, 'E90\r'),
	('BA', 1355, 'PMI', 3998, 'LHR', 507, '', 0, '319 320\r'),
	('BA', 1355, 'POS', 2902, 'UVF', 2894, '', 0, '777\r'),
	('BA', 1355, 'PRG', 1587, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'PSA', 1562, 'LGW', 502, '', 0, '734 319\r'),
	('BA', 1355, 'PSA', 1562, 'LHR', 507, '', 0, '320 321\r'),
	('BA', 1355, 'PUJ', 1760, 'ANU', 2874, '', 0, '777\r'),
	('BA', 1355, 'PVG', 3406, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'RAK', 1075, 'LGW', 502, '', 0, '734 319 320\r'),
	('BA', 1355, 'RDU', 3626, 'LHR', 507, 'Y', 0, '763\r'),
	('BA', 1355, 'ROB', 1063, 'FNA', 1059, '', 0, '767\r'),
	('BA', 1355, 'RTM', 591, 'LCY', 503, 'Y', 0, 'S20\r'),
	('BA', 1355, 'RTM', 591, 'LHR', 507, '', 0, '319\r'),
	('BA', 1355, 'RUH', 2082, 'LHR', 507, '', 0, '744 777\r'),
	('BA', 1355, 'SAL', 1892, 'MAD', 1229, 'Y', 0, '342\r'),
	('BA', 1355, 'SAN', 3731, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'SEA', 3577, 'LHR', 507, '', 0, '744 777\r'),
	('BA', 1355, 'SFO', 3469, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'SIN', 3316, 'LHR', 507, '', 0, '744 777\r'),
	('BA', 1355, 'SIN', 3316, 'SYD', 3361, '', 0, '777\r'),
	('BA', 1355, 'SJO', 1885, 'MIA', 3576, 'Y', 0, '757 738\r'),
	('BA', 1355, 'SKB', 2891, 'ANU', 2874, '', 0, '777\r'),
	('BA', 1355, 'SKG', 1486, 'LGW', 502, '', 0, '734\r'),
	('BA', 1355, 'SOF', 1194, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'STR', 350, 'LHR', 507, '', 0, '319 321 320\r'),
	('BA', 1355, 'STT', 2883, 'MIA', 3576, 'Y', 0, '757\r'),
	('BA', 1355, 'SVG', 666, 'LHR', 507, '', 0, '319\r'),
	('BA', 1355, 'SYD', 3361, 'SIN', 3316, '', 0, '777\r'),
	('BA', 1355, 'SZG', 1612, 'LGW', 502, '', 0, '734\r'),
	('BA', 1355, 'TAB', 2901, 'ANU', 2874, '', 0, '777\r'),
	('BA', 1355, 'TFS', 1056, 'LGW', 502, '', 0, '320\r'),
	('BA', 1355, 'TIA', 1190, 'LGW', 502, '', 0, '734\r'),
	('BA', 1355, 'TIP', 1157, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'TLS', 1273, 'LHR', 507, '', 0, '320 319 321\r'),
	('BA', 1355, 'TLV', 1590, 'LHR', 507, '', 0, '321 777\r'),
	('BA', 1355, 'TPA', 3646, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'TRN', 1526, 'LGW', 502, '', 0, '319 320 734\r'),
	('BA', 1355, 'TXL', 351, 'LHR', 507, '', 0, '320 321 319\r'),
	('BA', 1355, 'UVF', 2894, 'GND', 2882, '', 0, '777\r'),
	('BA', 1355, 'UVF', 2894, 'LGW', 502, '', 0, '777\r'),
	('BA', 1355, 'UVF', 2894, 'POS', 2902, '', 0, '777\r'),
	('BA', 1355, 'VCE', 1551, 'LCY', 503, 'Y', 0, 'E90 E70\r'),
	('BA', 1355, 'VCE', 1551, 'LGW', 502, '', 0, '734 319 320\r'),
	('BA', 1355, 'VCE', 1551, 'LHR', 507, '', 0, '320 319\r'),
	('BA', 1355, 'VFA', 1004, 'JNB', 813, 'Y', 0, '734\r'),
	('BA', 1355, 'VIE', 1613, 'LHR', 507, '', 0, '320 319\r'),
	('BA', 1355, 'VNO', 3959, 'HEL', 421, 'Y', 0, 'E90\r'),
	('BA', 1355, 'VRN', 1550, 'LGW', 502, '', 0, '734 319 320\r'),
	('BA', 1355, 'WAW', 679, 'HEL', 421, 'Y', 0, 'E70\r'),
	('BA', 1355, 'WAW', 679, 'LHR', 507, '', 0, '320\r'),
	('BA', 1355, 'WDH', 4105, 'JNB', 813, 'Y', 0, '738 734\r'),
	('BA', 1355, 'YUL', 146, 'LHR', 507, '', 0, '777\r'),
	('BA', 1355, 'YVR', 156, 'LHR', 507, '', 0, '744\r'),
	('BA', 1355, 'YYC', 178, 'LHR', 507, '', 0, '767\r'),
	('BA', 1355, 'YYZ', 193, 'LHR', 507, '', 0, '788 744\r'),
	('BA', 1355, 'ZAG', 1208, 'LHR', 507, '', 0, '319 320\r'),
	('BA', 1355, 'ZRH', 1678, 'BLL', 608, 'Y', 0, 'FRJ\r'),
	('BA', 1355, 'ZRH', 1678, 'LCY', 503, 'Y', 0, 'E90 E70\r'),
	('BA', 1355, 'ZRH', 1678, 'LHR', 507, '', 0, '320 319 321\r'),
	('BB', 4335, 'DOM', 2877, 'SJU', 2890, '', 0, 'SF3\r'),
	('BB', 4335, 'EIS', 2903, 'SJU', 2890, '', 0, 'SF3\r'),
	('BB', 4335, 'FDF', 2878, 'SJU', 2890, '', 0, 'SF3\r'),
	('BB', 4335, 'LRM', 1759, 'SJU', 2890, '', 0, 'SF3\r'),
	('BB', 4335, 'NEV', 6079, 'SKB', 2891, '', 0, 'SF3\r'),
	('BB', 4335, 'PTP', 2881, 'SJU', 2890, '', 0, 'SF3\r'),
	('BB', 4335, 'PUJ', 1760, 'SJU', 2890, '', 0, 'SF3\r'),
	('BB', 4335, 'SDQ', 1762, 'SJU', 2890, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'DOM', 2877, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'EIS', 2903, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'FDF', 2878, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'LRM', 1759, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'PTP', 2881, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'PUJ', 1760, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'SDQ', 1762, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'SKB', 2891, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'STI', 1764, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'STT', 2883, '', 0, 'DHT SF3\r'),
	('BB', 4335, 'SJU', 2890, 'STX', 2884, '', 0, 'SF3 DHT\r'),
	('BB', 4335, 'SJU', 2890, 'SXM', 2899, '', 0, 'SF3\r'),
	('BB', 4335, 'SJU', 2890, 'VIJ', 6080, '', 0, 'DHT\r'),
	('BB', 4335, 'SJU', 2890, 'VQS', 6788, '', 0, 'DHT\r'),
	('BB', 4335, 'SKB', 2891, 'NEV', 6079, '', 0, 'SF3\r'),
	('BB', 4335, 'SKB', 2891, 'SJU', 2890, '', 0, 'SF3\r'),
	('BB', 4335, 'SPB', 3616, 'SSB', 7310, '', 0, 'DHT\r'),
	('BB', 4335, 'SSB', 7310, 'SPB', 3616, '', 0, 'DHT\r'),
	('BB', 4335, 'STI', 1764, 'SJU', 2890, '', 0, 'SF3\r'),
	('BB', 4335, 'STT', 2883, 'SJU', 2890, '', 0, 'SF3 DHT\r'),
	('BB', 4335, 'STT', 2883, 'STX', 2884, '', 0, 'DHT\r'),
	('BB', 4335, 'STX', 2884, 'SJU', 2890, '', 0, 'SF3 DHT\r'),
	('BB', 4335, 'STX', 2884, 'STT', 2883, '', 0, 'DHT\r'),
	('BB', 4335, 'SXM', 2899, 'SJU', 2890, '', 0, 'SF3\r'),
	('BB', 4335, 'VIJ', 6080, 'SJU', 2890, '', 0, 'DHT\r'),
	('BB', 4335, 'VQS', 6788, 'SJU', 2890, '', 0, 'DHT\r'),
	('BC', 4740, 'CTS', 2287, 'FUK', 2305, '', 0, '737\r'),
	('BC', 4740, 'CTS', 2287, 'HND', 2359, '', 0, '737\r'),
	('BC', 4740, 'CTS', 2287, 'IBR', 2281, '', 0, '737\r'),
	('BC', 4740, 'CTS', 2287, 'NGO', 3942, '', 0, '737\r'),
	('BC', 4740, 'CTS', 2287, 'NRT', 2279, '', 0, '737\r'),
	('BC', 4740, 'CTS', 2287, 'SDJ', 2347, '', 0, '737\r'),
	('BC', 4740, 'CTS', 2287, 'UKB', 3943, '', 0, '737\r'),
	('BC', 4740, 'CTS', 2287, 'YGJ', 2330, '', 0, '737\r'),
	('BC', 4740, 'FUK', 2305, 'CTS', 2287, '', 0, '737\r'),
	('BC', 4740, 'FUK', 2305, 'HND', 2359, '', 0, '737\r'),
	('BC', 4740, 'FUK', 2305, 'IBR', 2281, '', 0, '737\r'),
	('BC', 4740, 'FUK', 2305, 'OKA', 2384, '', 0, '737\r'),
	('BC', 4740, 'FUK', 2305, 'SDJ', 2347, '', 0, '737\r'),
	('BC', 4740, 'HND', 2359, 'CTS', 2287, '', 0, '737\r'),
	('BC', 4740, 'HND', 2359, 'FUK', 2305, '', 0, '737\r'),
	('BC', 4740, 'HND', 2359, 'KOJ', 2307, '', 0, '737\r'),
	('BC', 4740, 'HND', 2359, 'OKA', 2384, '', 0, '737\r'),
	('BC', 4740, 'HND', 2359, 'UKB', 3943, '', 0, '737\r'),
	('BC', 4740, 'HND', 2359, 'YGJ', 2330, '', 0, '737\r'),
	('BC', 4740, 'IBR', 2281, 'CTS', 2287, '', 0, '737\r'),
	('BC', 4740, 'IBR', 2281, 'FUK', 2305, '', 0, '737\r'),
	('BC', 4740, 'IBR', 2281, 'NGO', 3942, '', 0, '737\r'),
	('BC', 4740, 'IBR', 2281, 'UKB', 3943, '', 0, '737\r'),
	('BC', 4740, 'ISG', 2387, 'OKA', 2384, '', 0, '737\r'),
	('BC', 4740, 'KOJ', 2307, 'HND', 2359, '', 0, '737\r'),
	('BC', 4740, 'KOJ', 2307, 'UKB', 3943, '', 0, '737\r'),
	('BC', 4740, 'MMY', 2390, 'OKA', 2384, '', 0, '737\r'),
	('BC', 4740, 'NGO', 3942, 'CTS', 2287, '', 0, '737\r'),
	('BC', 4740, 'NGO', 3942, 'IBR', 2281, '', 0, '737\r'),
	('BC', 4740, 'NGO', 3942, 'OKA', 2384, '', 0, '737\r'),
	('BC', 4740, 'NGS', 2313, 'UKB', 3943, '', 0, '737\r'),
	('BC', 4740, 'NRT', 2279, 'CTS', 2287, '', 0, '737\r'),
	('BC', 4740, 'NRT', 2279, 'OKA', 2384, '', 0, '737\r'),
	('BC', 4740, 'NRT', 2279, 'YGJ', 2330, '', 0, '737\r'),
	('BC', 4740, 'OKA', 2384, 'FUK', 2305, '', 0, '737\r'),
	('BC', 4740, 'OKA', 2384, 'HND', 2359, '', 0, '737\r'),
	('BC', 4740, 'OKA', 2384, 'ISG', 2387, '', 0, '737\r'),
	('BC', 4740, 'OKA', 2384, 'MMY', 2390, '', 0, '737\r'),
	('BC', 4740, 'OKA', 2384, 'NGO', 3942, '', 0, '737\r'),
	('BC', 4740, 'OKA', 2384, 'NRT', 2279, '', 0, '737\r'),
	('BC', 4740, 'OKA', 2384, 'UKB', 3943, '', 0, '737\r'),
	('BC', 4740, 'OKA', 2384, 'YGJ', 2330, '', 0, '737\r'),
	('BC', 4740, 'SDJ', 2347, 'CTS', 2287, '', 0, '737\r'),
	('BC', 4740, 'SDJ', 2347, 'FUK', 2305, '', 0, '737\r'),
	('BC', 4740, 'SDJ', 2347, 'UKB', 3943, '', 0, '737\r'),
	('BC', 4740, 'UKB', 3943, 'CTS', 2287, '', 0, '737\r'),
	('BC', 4740, 'UKB', 3943, 'HND', 2359, '', 0, '737\r'),
	('BC', 4740, 'UKB', 3943, 'IBR', 2281, '', 0, '737\r'),
	('BC', 4740, 'UKB', 3943, 'KOJ', 2307, '', 0, '737\r'),
	('BC', 4740, 'UKB', 3943, 'NGS', 2313, '', 0, '737\r'),
	('BC', 4740, 'UKB', 3943, 'OKA', 2384, '', 0, '737\r'),
	('BC', 4740, 'UKB', 3943, 'SDJ', 2347, '', 0, '737\r'),
	('BC', 4740, 'UKB', 3943, 'YGJ', 2330, '', 0, '737\r'),
	('BC', 4740, 'YGJ', 2330, 'CTS', 2287, '', 0, '737\r'),
	('BC', 4740, 'YGJ', 2330, 'HND', 2359, '', 0, '737\r'),
	('BC', 4740, 'YGJ', 2330, 'NRT', 2279, '', 0, '737\r'),
	('BC', 4740, 'YGJ', 2330, 'OKA', 2384, '', 0, '737\r'),
	('BC', 4740, 'YGJ', 2330, 'UKB', 3943, '', 0, '737\r'),
	('BE', 2421, 'ABZ', 532, 'BHD', 467, '', 0, 'DH4\r'),
	('BE', 2421, 'ABZ', 532, 'BHX', 469, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'ABZ', 532, 'CDG', 1382, 'Y', 0, 'EMJ\r'),
	('BE', 2421, 'ABZ', 532, 'KOI', 529, 'Y', 0, 'S20 SF3\r'),
	('BE', 2421, 'ABZ', 532, 'LSI', 530, 'Y', 0, 'SF3 S20\r'),
	('BE', 2421, 'ABZ', 532, 'MAN', 478, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'AGP', 1230, 'EXT', 552, '', 0, 'E95\r'),
	('BE', 2421, 'AGP', 1230, 'SOU', 495, '', 0, 'E95\r'),
	('BE', 2421, 'ALC', 1212, 'BHX', 469, '', 0, 'E75\r'),
	('BE', 2421, 'ALC', 1212, 'EXT', 552, '', 0, 'E95\r'),
	('BE', 2421, 'ALC', 1212, 'SOU', 495, '', 0, 'E95\r'),
	('BE', 2421, 'AMS', 580, 'BHX', 469, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'AMS', 580, 'EMA', 523, '', 0, 'DH4\r'),
	('BE', 2421, 'AMS', 580, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'AMS', 580, 'INV', 533, '', 0, 'DH4\r'),
	('BE', 2421, 'AMS', 580, 'SOU', 495, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'BEB', 538, 'GLA', 534, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'BEB', 538, 'SYY', 541, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'BES', 1403, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'BHD', 467, 'ABZ', 532, '', 0, 'DH4\r'),
	('BE', 2421, 'BHD', 467, 'BHX', 469, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'BHD', 467, 'CWL', 488, '', 0, 'DH4\r'),
	('BE', 2421, 'BHD', 467, 'EDI', 535, '', 0, 'DH4\r'),
	('BE', 2421, 'BHD', 467, 'EMA', 523, '', 0, 'DH4\r'),
	('BE', 2421, 'BHD', 467, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'BHD', 467, 'GLA', 534, '', 0, 'DH4\r'),
	('BE', 2421, 'BHD', 467, 'INV', 533, '', 0, 'DH4\r'),
	('BE', 2421, 'BHD', 467, 'LBA', 517, '', 0, 'DH4\r'),
	('BE', 2421, 'BHD', 467, 'MAN', 478, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'BHD', 467, 'NCL', 521, '', 0, 'DH4\r'),
	('BE', 2421, 'BHD', 467, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'BHX', 469, 'ABZ', 532, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'BHX', 469, 'ALC', 1212, '', 0, 'E75\r'),
	('BE', 2421, 'BHX', 469, 'AMS', 580, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'BHX', 469, 'BHD', 467, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'BHX', 469, 'CDG', 1382, '', 0, 'E95\r'),
	('BE', 2421, 'BHX', 469, 'CGN', 344, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'BHX', 469, 'DBV', 1200, '', 0, 'E75\r'),
	('BE', 2421, 'BHX', 469, 'DUS', 345, '', 0, 'E75 DH4 E95\r'),
	('BE', 2421, 'BHX', 469, 'EDI', 535, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'BHX', 469, 'FLR', 1563, '', 0, 'E75\r'),
	('BE', 2421, 'BHX', 469, 'GCI', 498, '', 0, 'DH4\r'),
	('BE', 2421, 'BHX', 469, 'GLA', 534, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'BHX', 469, 'HAJ', 352, '', 0, 'E75\r'),
	('BE', 2421, 'BHX', 469, 'INV', 533, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'BHX', 469, 'IOM', 520, '', 0, 'DH4\r'),
	('BE', 2421, 'BHX', 469, 'JER', 499, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'BHX', 469, 'LYS', 1335, '', 0, 'E75\r'),
	('BE', 2421, 'BHX', 469, 'MXP', 1524, '', 0, 'E75\r'),
	('BE', 2421, 'BHX', 469, 'NOC', 600, '', 0, 'DH4\r'),
	('BE', 2421, 'BHX', 469, 'OPO', 1636, '', 0, 'E75\r'),
	('BE', 2421, 'BHX', 469, 'STR', 350, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'BHX', 469, 'WAT', 605, '', 0, 'DH4\r'),
	('BE', 2421, 'BRR', 5575, 'GLA', 534, 'Y', 0, 'DHT\r'),
	('BE', 2421, 'CAL', 5563, 'GLA', 534, 'Y', 0, 'DHT\r'),
	('BE', 2421, 'CDG', 1382, 'ABZ', 532, 'Y', 0, 'EMJ\r'),
	('BE', 2421, 'CDG', 1382, 'BHX', 469, '', 0, 'E95\r'),
	('BE', 2421, 'CDG', 1382, 'EDI', 535, 'Y', 0, 'ARJ\r'),
	('BE', 2421, 'CDG', 1382, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'CDG', 1382, 'MAN', 478, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'CDG', 1382, 'NCL', 521, 'Y', 0, 'ARJ\r'),
	('BE', 2421, 'CFN', 5577, 'DUB', 599, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'CFN', 5577, 'GLA', 534, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'CGN', 344, 'BHX', 469, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'CWL', 488, 'BHD', 467, '', 0, 'DH4\r'),
	('BE', 2421, 'CWL', 488, 'JER', 499, '', 0, 'DH4\r'),
	('BE', 2421, 'DBV', 1200, 'BHX', 469, '', 0, 'E75\r'),
	('BE', 2421, 'DND', 540, 'STN', 548, '', 0, 'D38\r'),
	('BE', 2421, 'DSA', 5562, 'JER', 499, '', 0, 'E75\r'),
	('BE', 2421, 'DUB', 599, 'CFN', 5577, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'DUB', 599, 'EXT', 552, '', 0, 'E95\r'),
	('BE', 2421, 'DUB', 599, 'SOU', 495, '', 0, 'DH4 E95\r'),
	('BE', 2421, 'DUS', 345, 'BHX', 469, '', 0, 'E75 DH4 E95\r'),
	('BE', 2421, 'DUS', 345, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'DUS', 345, 'MAN', 478, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'EDI', 535, 'BHD', 467, '', 0, 'DH4\r'),
	('BE', 2421, 'EDI', 535, 'BHX', 469, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'EDI', 535, 'CDG', 1382, 'Y', 0, 'ARJ\r'),
	('BE', 2421, 'EDI', 535, 'EMA', 523, '', 0, 'DH4\r'),
	('BE', 2421, 'EDI', 535, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'EDI', 535, 'JER', 499, '', 0, 'DH4\r'),
	('BE', 2421, 'EDI', 535, 'KOI', 529, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'EDI', 535, 'LSI', 530, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'EDI', 535, 'MAN', 478, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'EDI', 535, 'NWI', 547, '', 0, 'D38\r'),
	('BE', 2421, 'EDI', 535, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'EDI', 535, 'SYY', 541, 'Y', 0, 'D38\r'),
	('BE', 2421, 'EDI', 535, 'WIC', 531, 'Y', 0, 'D38\r'),
	('BE', 2421, 'EGC', 1265, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'EGC', 1265, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'EMA', 523, 'AMS', 580, '', 0, 'DH4\r'),
	('BE', 2421, 'EMA', 523, 'BHD', 467, '', 0, 'DH4\r'),
	('BE', 2421, 'EMA', 523, 'EDI', 535, '', 0, 'DH4\r'),
	('BE', 2421, 'EMA', 523, 'GLA', 534, '', 0, 'DH4\r'),
	('BE', 2421, 'EMA', 523, 'JER', 499, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'AGP', 1230, '', 0, 'E95\r'),
	('BE', 2421, 'EXT', 552, 'ALC', 1212, '', 0, 'E95\r'),
	('BE', 2421, 'EXT', 552, 'AMS', 580, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'BHD', 467, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'CDG', 1382, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'DUB', 599, '', 0, 'E95\r'),
	('BE', 2421, 'EXT', 552, 'DUS', 345, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'EDI', 535, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'EGC', 1265, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'FAO', 1626, '', 0, 'E95\r'),
	('BE', 2421, 'EXT', 552, 'GCI', 498, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'GLA', 534, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'JER', 499, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'MAN', 478, '', 0, 'DH4\r'),
	('BE', 2421, 'EXT', 552, 'PMI', 3998, '', 0, 'E95\r'),
	('BE', 2421, 'EXT', 552, 'RNS', 1415, '', 0, 'DH4\r'),
	('BE', 2421, 'FAO', 1626, 'EXT', 552, '', 0, 'E95\r'),
	('BE', 2421, 'FAO', 1626, 'SOU', 495, '', 0, 'E95\r'),
	('BE', 2421, 'FLR', 1563, 'BHX', 469, '', 0, 'E75\r'),
	('BE', 2421, 'GCI', 498, 'BHX', 469, '', 0, 'DH4\r'),
	('BE', 2421, 'GCI', 498, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'GCI', 498, 'JER', 499, '', 0, 'DH4\r'),
	('BE', 2421, 'GCI', 498, 'NWI', 547, 'Y', 0, 'D38\r'),
	('BE', 2421, 'GCI', 498, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'GLA', 534, 'BEB', 538, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'GLA', 534, 'BHD', 467, '', 0, 'DH4\r'),
	('BE', 2421, 'GLA', 534, 'BHX', 469, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'GLA', 534, 'BRR', 5575, 'Y', 0, 'DHT\r'),
	('BE', 2421, 'GLA', 534, 'CAL', 5563, 'Y', 0, 'DHT\r'),
	('BE', 2421, 'GLA', 534, 'CFN', 5577, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'GLA', 534, 'EMA', 523, '', 0, 'DH4\r'),
	('BE', 2421, 'GLA', 534, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'GLA', 534, 'ILY', 536, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'GLA', 534, 'JER', 499, '', 0, 'DH4\r'),
	('BE', 2421, 'GLA', 534, 'KOI', 529, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'GLA', 534, 'LBA', 517, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'GLA', 534, 'LSI', 530, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'GLA', 534, 'MAN', 478, '', 0, 'DH4\r'),
	('BE', 2421, 'GLA', 534, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'GLA', 534, 'SYY', 541, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'GLA', 534, 'TRE', 542, 'Y', 0, 'SF3 DHT\r'),
	('BE', 2421, 'HAJ', 352, 'BHX', 469, '', 0, 'E75\r'),
	('BE', 2421, 'HAJ', 352, 'MAN', 478, '', 0, 'E75\r'),
	('BE', 2421, 'HEL', 421, 'JYV', 430, '', 0, 'AT7\r'),
	('BE', 2421, 'HEL', 421, 'KAJ', 433, '', 0, 'AT7\r'),
	('BE', 2421, 'HEL', 421, 'KEM', 432, '', 0, 'AT7\r'),
	('BE', 2421, 'HEL', 421, 'KOK', 435, '', 0, 'AT7\r'),
	('BE', 2421, 'HEL', 421, 'MHQ', 442, '', 0, 'AT7\r'),
	('BE', 2421, 'HEL', 421, 'NRK', 743, '', 0, 'AT7\r'),
	('BE', 2421, 'HEL', 421, 'SVL', 455, '', 0, 'AT7\r'),
	('BE', 2421, 'HEL', 421, 'TAY', 416, '', 0, 'AT7\r'),
	('BE', 2421, 'HUY', 515, 'JER', 499, '', 0, 'E75\r'),
	('BE', 2421, 'ILY', 536, 'GLA', 534, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'INV', 533, 'AMS', 580, '', 0, 'DH4\r'),
	('BE', 2421, 'INV', 533, 'BHD', 467, '', 0, 'DH4\r'),
	('BE', 2421, 'INV', 533, 'BHX', 469, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'INV', 533, 'EDI', 535, 'Y', 0, 'D38\r'),
	('BE', 2421, 'INV', 533, 'KOI', 529, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'INV', 533, 'LSI', 530, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'INV', 533, 'MAN', 478, '', 0, 'DH4\r'),
	('BE', 2421, 'INV', 533, 'SYY', 541, 'Y', 0, 'SF3 D38\r'),
	('BE', 2421, 'IOM', 520, 'BHX', 469, '', 0, 'DH4\r'),
	('BE', 2421, 'IOM', 520, 'LPL', 491, '', 0, 'DH4\r'),
	('BE', 2421, 'IOM', 520, 'MAN', 478, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'JER', 499, 'BHX', 469, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'JER', 499, 'CWL', 488, '', 0, 'DH4\r'),
	('BE', 2421, 'JER', 499, 'DSA', 5562, '', 0, 'E75\r'),
	('BE', 2421, 'JER', 499, 'EDI', 535, '', 0, 'DH4\r'),
	('BE', 2421, 'JER', 499, 'EMA', 523, '', 0, 'DH4\r'),
	('BE', 2421, 'JER', 499, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'JER', 499, 'GCI', 498, '', 0, 'DH4\r'),
	('BE', 2421, 'JER', 499, 'GLA', 534, '', 0, 'DH4\r'),
	('BE', 2421, 'JER', 499, 'HUY', 515, '', 0, 'E75\r'),
	('BE', 2421, 'JER', 499, 'MAN', 478, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'JER', 499, 'NWI', 547, '', 0, 'DH4\r'),
	('BE', 2421, 'JER', 499, 'SOU', 495, '', 0, 'DH4 E95\r'),
	('BE', 2421, 'JYV', 430, 'HEL', 421, '', 0, 'AT7\r'),
	('BE', 2421, 'KAJ', 433, 'HEL', 421, '', 0, 'AT7\r'),
	('BE', 2421, 'KEM', 432, 'HEL', 421, '', 0, 'AT7\r'),
	('BE', 2421, 'KOI', 529, 'ABZ', 532, 'Y', 0, 'SF3 S20\r'),
	('BE', 2421, 'KOI', 529, 'EDI', 535, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'KOI', 529, 'GLA', 534, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'KOI', 529, 'INV', 533, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'KOI', 529, 'LSI', 530, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'KOK', 435, 'HEL', 421, '', 0, 'AT7\r'),
	('BE', 2421, 'LBA', 517, 'BHD', 467, '', 0, 'DH4\r'),
	('BE', 2421, 'LBA', 517, 'GLA', 534, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'LGW', 502, 'NQY', 481, '', 0, 'DH4\r'),
	('BE', 2421, 'LIG', 1270, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'LPL', 491, 'IOM', 520, '', 0, 'DH4\r'),
	('BE', 2421, 'LRH', 6493, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'LSI', 530, 'ABZ', 532, 'Y', 0, 'SF3 S20\r'),
	('BE', 2421, 'LSI', 530, 'EDI', 535, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'LSI', 530, 'GLA', 534, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'LSI', 530, 'INV', 533, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'LSI', 530, 'KOI', 529, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'LYS', 1335, 'BHX', 469, '', 0, 'E75\r'),
	('BE', 2421, 'MAN', 478, 'ABZ', 532, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'MAN', 478, 'BHD', 467, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'MAN', 478, 'CDG', 1382, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'MAN', 478, 'DUS', 345, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'MAN', 478, 'EDI', 535, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'MAN', 478, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'MAN', 478, 'GLA', 534, '', 0, 'DH4\r'),
	('BE', 2421, 'MAN', 478, 'HAJ', 352, '', 0, 'E75\r'),
	('BE', 2421, 'MAN', 478, 'INV', 533, '', 0, 'DH4\r'),
	('BE', 2421, 'MAN', 478, 'IOM', 520, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'MAN', 478, 'JER', 499, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'MAN', 478, 'MXP', 1524, '', 0, 'E75\r'),
	('BE', 2421, 'MAN', 478, 'NOC', 600, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'MAN', 478, 'NQY', 481, '', 0, 'DH4\r'),
	('BE', 2421, 'MAN', 478, 'NTE', 1418, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'MAN', 478, 'NWI', 547, 'Y', 0, 'D38\r'),
	('BE', 2421, 'MAN', 478, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'MAN', 478, 'WAT', 605, '', 0, 'DH4\r'),
	('BE', 2421, 'MHQ', 442, 'HEL', 421, '', 0, 'AT7\r'),
	('BE', 2421, 'MRS', 1353, 'ORY', 1386, '', 0, '32S\r'),
	('BE', 2421, 'MXP', 1524, 'BHX', 469, '', 0, 'E75\r'),
	('BE', 2421, 'MXP', 1524, 'MAN', 478, '', 0, 'E75\r'),
	('BE', 2421, 'NCE', 1354, 'SOU', 495, '', 0, 'E95\r'),
	('BE', 2421, 'NCL', 521, 'BHD', 467, '', 0, 'DH4\r'),
	('BE', 2421, 'NCL', 521, 'CDG', 1382, 'Y', 0, 'ARJ\r'),
	('BE', 2421, 'NCL', 521, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'NOC', 600, 'BHX', 469, '', 0, 'DH4\r'),
	('BE', 2421, 'NOC', 600, 'MAN', 478, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'NQY', 481, 'LGW', 502, '', 0, 'DH4\r'),
	('BE', 2421, 'NQY', 481, 'MAN', 478, '', 0, 'DH4\r'),
	('BE', 2421, 'NRK', 743, 'HEL', 421, '', 0, 'AT7\r'),
	('BE', 2421, 'NTE', 1418, 'MAN', 478, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'NTE', 1418, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'NWI', 547, 'EDI', 535, '', 0, 'D38\r'),
	('BE', 2421, 'NWI', 547, 'GCI', 498, 'Y', 0, 'D38\r'),
	('BE', 2421, 'NWI', 547, 'JER', 499, '', 0, 'DH4\r'),
	('BE', 2421, 'NWI', 547, 'MAN', 478, 'Y', 0, 'D38\r'),
	('BE', 2421, 'OPO', 1636, 'BHX', 469, '', 0, 'E75\r'),
	('BE', 2421, 'ORY', 1386, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'PMI', 3998, 'EXT', 552, '', 0, 'E95\r'),
	('BE', 2421, 'PMI', 3998, 'SOU', 495, '', 0, 'E95\r'),
	('BE', 2421, 'RNS', 1415, 'EXT', 552, '', 0, 'DH4\r'),
	('BE', 2421, 'RNS', 1415, 'SOU', 495, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'AGP', 1230, '', 0, 'E95\r'),
	('BE', 2421, 'SOU', 495, 'ALC', 1212, '', 0, 'E95\r'),
	('BE', 2421, 'SOU', 495, 'AMS', 580, '', 0, 'DH4 E75\r'),
	('BE', 2421, 'SOU', 495, 'BES', 1403, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'BHD', 467, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'DUB', 599, '', 0, 'DH4 E95\r'),
	('BE', 2421, 'SOU', 495, 'EDI', 535, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'EGC', 1265, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'FAO', 1626, '', 0, 'E95\r'),
	('BE', 2421, 'SOU', 495, 'GCI', 498, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'GLA', 534, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'JER', 499, '', 0, 'DH4 E95\r'),
	('BE', 2421, 'SOU', 495, 'LIG', 1270, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'LRH', 6493, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'MAN', 478, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'NCE', 1354, '', 0, 'E95\r'),
	('BE', 2421, 'SOU', 495, 'NCL', 521, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'NTE', 1418, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'ORY', 1386, '', 0, 'DH4\r'),
	('BE', 2421, 'SOU', 495, 'PMI', 3998, '', 0, 'E95\r'),
	('BE', 2421, 'SOU', 495, 'RNS', 1415, '', 0, 'DH4\r'),
	('BE', 2421, 'STN', 548, 'DND', 540, '', 0, 'D38\r'),
	('BE', 2421, 'STR', 350, 'BHX', 469, '', 0, 'E75 DH4\r'),
	('BE', 2421, 'SVL', 455, 'HEL', 421, '', 0, 'AT7\r'),
	('BE', 2421, 'SYY', 541, 'BEB', 538, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'SYY', 541, 'EDI', 535, 'Y', 0, 'D38\r'),
	('BE', 2421, 'SYY', 541, 'GLA', 534, 'Y', 0, 'SF3\r'),
	('BE', 2421, 'SYY', 541, 'INV', 533, 'Y', 0, 'SF3 D38\r'),
	('BE', 2421, 'TAY', 416, 'HEL', 421, '', 0, 'AT7\r'),
	('BE', 2421, 'TRE', 542, 'GLA', 534, 'Y', 0, 'SF3 DHT\r'),
	('BE', 2421, 'WAT', 605, 'BHX', 469, '', 0, 'DH4\r'),
	('BE', 2421, 'WAT', 605, 'MAN', 478, '', 0, 'DH4\r'),
	('BE', 2421, 'WIC', 531, 'EDI', 535, 'Y', 0, 'D38\r'),
	('BF', 1230, 'CNS', 3322, 'GTE', 6270, '', 0, 'BE1\r'),
	('BF', 1230, 'DRW', 3999, 'GTE', 6270, '', 0, 'BE1\r'),
	('BF', 1230, 'GTE', 6270, 'CNS', 3322, '', 0, 'BE1\r'),
	('BF', 1230, 'GTE', 6270, 'DRW', 3999, '', 0, 'BE1\r'),
	('BG', 1359, 'AUH', 2179, 'ZYL', 3074, '', 0, '313\r'),
	('BG', 1359, 'BKK', 3885, 'DAC', 3076, '', 0, '738\r'),
	('BG', 1359, 'CCU', 3043, 'DAC', 3076, '', 0, '738\r'),
	('BG', 1359, 'CGP', 3069, 'AUH', 2179, '', 0, '313\r'),
	('BG', 1359, 'CGP', 3069, 'DAC', 3076, '', 0, '313 D1C 772\r'),
	('BG', 1359, 'CGP', 3069, 'DXB', 2188, '', 0, '313\r'),
	('BG', 1359, 'CGP', 3069, 'JED', 2072, '', 0, '772\r'),
	('BG', 1359, 'CGP', 3069, 'MCT', 2194, '', 0, '313\r'),
	('BG', 1359, 'DAC', 3076, 'BKK', 3885, '', 0, '738\r'),
	('BG', 1359, 'DAC', 3076, 'CCU', 3043, '', 0, '738\r'),
	('BG', 1359, 'DAC', 3076, 'CGP', 3069, '', 0, '313 772\r'),
	('BG', 1359, 'DAC', 3076, 'DEL', 3093, '', 0, '738\r'),
	('BG', 1359, 'DAC', 3076, 'DMM', 2064, '', 0, '772\r'),
	('BG', 1359, 'DAC', 3076, 'DOH', 2241, '', 0, '313\r'),
	('BG', 1359, 'DAC', 3076, 'FCO', 1555, '', 0, '773\r'),
	('BG', 1359, 'DAC', 3076, 'HKG', 3077, '', 0, 'D1C\r'),
	('BG', 1359, 'DAC', 3076, 'JED', 2072, '', 0, '772\r'),
	('BG', 1359, 'DAC', 3076, 'KTM', 3125, '', 0, '313\r'),
	('BG', 1359, 'DAC', 3076, 'KUL', 3304, '', 0, '313 772 D1C 738\r'),
	('BG', 1359, 'DAC', 3076, 'KWI', 2176, '', 0, 'D1C\r'),
	('BG', 1359, 'DAC', 3076, 'LHR', 507, '', 0, '772\r'),
	('BG', 1359, 'DAC', 3076, 'MCT', 2194, '', 0, '738\r'),
	('BG', 1359, 'DAC', 3076, 'RGN', 3239, '', 0, '738\r'),
	('BG', 1359, 'DAC', 3076, 'SIN', 3316, '', 0, '738\r'),
	('BG', 1359, 'DEL', 3093, 'DAC', 3076, '', 0, '738\r'),
	('BG', 1359, 'DMM', 2064, 'RUH', 2082, '', 0, '772\r'),
	('BG', 1359, 'DOH', 2241, 'DXB', 2188, '', 0, '313\r'),
	('BG', 1359, 'DXB', 2188, 'CGP', 3069, '', 0, '313\r'),
	('BG', 1359, 'DXB', 2188, 'ZYL', 3074, '', 0, '313\r'),
	('BG', 1359, 'FCO', 1555, 'DAC', 3076, '', 0, '773\r'),
	('BG', 1359, 'FCO', 1555, 'FRA', 340, '', 0, '773\r'),
	('BG', 1359, 'FRA', 340, 'FCO', 1555, '', 0, '773\r'),
	('BG', 1359, 'HKG', 3077, 'DAC', 3076, '', 0, 'D1C\r'),
	('BG', 1359, 'JED', 2072, 'CGP', 3069, '', 0, '772\r'),
	('BG', 1359, 'JED', 2072, 'DAC', 3076, '', 0, '772\r'),
	('BG', 1359, 'KTM', 3125, 'DAC', 3076, '', 0, '313\r'),
	('BG', 1359, 'KUL', 3304, 'DAC', 3076, '', 0, '313 772 D1C 738\r'),
	('BG', 1359, 'KWI', 2176, 'CGP', 3069, '', 0, 'D1C\r'),
	('BG', 1359, 'KWI', 2176, 'DAC', 3076, '', 0, 'D1C\r'),
	('BG', 1359, 'LHR', 507, 'DAC', 3076, '', 0, '772\r'),
	('BG', 1359, 'LHR', 507, 'ZYL', 3074, '', 0, '772\r'),
	('BG', 1359, 'MCT', 2194, 'CGP', 3069, '', 0, '313\r'),
	('BG', 1359, 'RGN', 3239, 'DAC', 3076, '', 0, '738\r'),
	('BG', 1359, 'RUH', 2082, 'DAC', 3076, '', 0, '772\r'),
	('BG', 1359, 'SIN', 3316, 'DAC', 3076, '', 0, '738\r'),
	('BG', 1359, 'ZYL', 3074, 'DAC', 3076, '', 0, '313 772\r'),
	('BH', 2692, 'YPR', 108, 'YVR', 156, '', 0, 'DH1\r'),
	('BH', 2692, 'YVR', 156, 'YPR', 108, '', 0, 'DH1\r'),
	('BH', 2692, 'YVR', 156, 'YXT', 173, '', 0, 'DH1\r'),
	('BH', 2692, 'YVR', 156, 'YYD', 179, '', 0, 'DH1\r'),
	('BH', 2692, 'YXT', 173, 'YVR', 156, '', 0, 'DH1\r'),
	('BH', 2692, 'YXT', 173, 'YYD', 179, '', 0, 'DH1\r'),
	('BH', 2692, 'YYD', 179, 'YVR', 156, '', 0, 'DH1\r'),
	('BH', 2692, 'YYD', 179, 'YXT', 173, '', 0, 'DH1\r'),
	('BI', 4255, 'BKI', 3269, 'BWN', 3272, '', 0, '320\r'),
	('BI', 4255, 'BKK', 3885, 'BWN', 3272, '', 0, '319 320\r'),
	('BI', 4255, 'BWN', 3272, 'BKI', 3269, '', 0, '320\r'),
	('BI', 4255, 'BWN', 3272, 'BKK', 3885, '', 0, '319 320\r'),
	('BI', 4255, 'BWN', 3272, 'CGK', 3275, '', 0, '319\r'),
	('BI', 4255, 'BWN', 3272, 'DWC', 8076, '', 0, '787\r'),
	('BI', 4255, 'BWN', 3272, 'HKG', 3077, '', 0, '320\r'),
	('BI', 4255, 'BWN', 3272, 'JED', 2072, '', 0, '787\r'),
	('BI', 4255, 'BWN', 3272, 'KUL', 3304, '', 0, '319 320\r'),
	('BI', 4255, 'BWN', 3272, 'MEL', 3339, '', 0, '787\r'),
	('BI', 4255, 'BWN', 3272, 'MNL', 2397, '', 0, '320\r'),
	('BI', 4255, 'BWN', 3272, 'MZV', 4056, '', 0, 'AT7\r'),
	('BI', 4255, 'BWN', 3272, 'PVG', 3406, '', 0, '320\r'),
	('BI', 4255, 'BWN', 3272, 'SIN', 3316, '', 0, '320\r'),
	('BI', 4255, 'BWN', 3272, 'SUB', 3928, '', 0, '320 319\r'),
	('BI', 4255, 'CGK', 3275, 'BWN', 3272, '', 0, '319\r'),
	('BI', 4255, 'DWC', 8076, 'LHR', 507, '', 0, '787\r'),
	('BI', 4255, 'DXB', 2188, 'BWN', 3272, '', 0, '787\r'),
	('BI', 4255, 'HKG', 3077, 'BWN', 3272, '', 0, '320\r'),
	('BI', 4255, 'JED', 2072, 'BWN', 3272, '', 0, '787\r'),
	('BI', 4255, 'KCH', 3263, 'MZV', 4056, '', 0, 'AT7\r'),
	('BI', 4255, 'KUL', 3304, 'BWN', 3272, '', 0, '319 320\r'),
	('BI', 4255, 'LHR', 507, 'DXB', 2188, '', 0, '787\r'),
	('BI', 4255, 'MEL', 3339, 'BWN', 3272, '', 0, '787\r'),
	('BI', 4255, 'MNL', 2397, 'BWN', 3272, '', 0, '320\r'),
	('BI', 4255, 'MZV', 4056, 'BWN', 3272, '', 0, 'AT7\r'),
	('BI', 4255, 'MZV', 4056, 'KCH', 3263, '', 0, 'AT7\r'),
	('BI', 4255, 'PVG', 3406, 'BWN', 3272, '', 0, '320\r'),
	('BI', 4255, 'SIN', 3316, 'BWN', 3272, '', 0, '320\r'),
	('BI', 4255, 'SUB', 3928, 'BWN', 3272, '', 0, '320\r'),
	('BJ', 3740, 'ARN', 737, 'GOT', 687, '', 0, '320\r'),
	('BJ', 3740, 'CDG', 1382, 'DJE', 293, '', 0, '321 320\r'),
	('BJ', 3740, 'CDG', 1382, 'MIR', 286, '', 0, '320\r'),
	('BJ', 3740, 'CDG', 1382, 'TUN', 287, '', 0, '320\r'),
	('BJ', 3740, 'DJE', 293, 'CDG', 1382, '', 0, '321 320\r'),
	('BJ', 3740, 'DJE', 293, 'LIL', 1399, '', 0, '321\r'),
	('BJ', 3740, 'DJE', 293, 'LYS', 1335, '', 0, '321 320\r'),
	('BJ', 3740, 'DJE', 293, 'MLH', 1423, '', 0, '321\r'),
	('BJ', 3740, 'DJE', 293, 'MRS', 1353, '', 0, '320\r'),
	('BJ', 3740, 'DJE', 293, 'MUC', 346, '', 0, '321\r'),
	('BJ', 3740, 'DJE', 293, 'NTE', 1418, '', 0, '320 321\r'),
	('BJ', 3740, 'DME', 4029, 'NBE', 7447, '', 0, '320\r'),
	('BJ', 3740, 'DUS', 345, 'NBE', 7447, '', 0, '320\r'),
	('BJ', 3740, 'FRA', 340, 'NBE', 7447, '', 0, '320\r'),
	('BJ', 3740, 'LED', 2948, 'NBE', 7447, '', 0, '320\r'),
	('BJ', 3740, 'LIL', 1399, 'DJE', 293, '', 0, '321\r'),
	('BJ', 3740, 'LYS', 1335, 'DJE', 293, '', 0, '321 320\r'),
	('BJ', 3740, 'LYS', 1335, 'MIR', 286, '', 0, '320\r'),
	('BJ', 3740, 'LYS', 1335, 'TUN', 287, '', 0, '320\r'),
	('BJ', 3740, 'MIR', 286, 'CDG', 1382, '', 0, '320\r'),
	('BJ', 3740, 'MIR', 286, 'TUN', 287, '', 0, '320\r'),
	('BJ', 3740, 'MRS', 1353, 'DJE', 293, '', 0, '320\r'),
	('BJ', 3740, 'MUC', 346, 'DJE', 293, '', 0, '321\r'),
	('BJ', 3740, 'MUC', 346, 'NBE', 7447, '', 0, '320\r'),
	('BJ', 3740, 'NBE', 7447, 'DME', 4029, '', 0, '320\r'),
	('BJ', 3740, 'NBE', 7447, 'DUS', 345, '', 0, '320\r'),
	('BJ', 3740, 'NBE', 7447, 'FRA', 340, '', 0, '320\r'),
	('BJ', 3740, 'NBE', 7447, 'LED', 2948, '', 0, '320\r'),
	('BJ', 3740, 'NBE', 7447, 'MUC', 346, '', 0, '320\r'),
	('BJ', 3740, 'NTE', 1418, 'DJE', 293, '', 0, '320 321\r'),
	('BJ', 3740, 'NTE', 1418, 'LYS', 1335, '', 0, '320\r'),
	('BJ', 3740, 'NTE', 1418, 'TUN', 287, '', 0, '320\r'),
	('BJ', 3740, 'TUN', 287, 'CDG', 1382, '', 0, '320\r'),
	('BJ', 3740, 'TUN', 287, 'LYS', 1335, '', 0, '320\r'),
	('BJ', 3740, 'TUN', 287, 'MIR', 286, '', 0, '320\r'),
	('BJ', 3740, 'TUN', 287, 'NTE', 1418, '', 0, '320\r'),
	('BK', 4026, 'CAN', 3370, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'CJU', 2370, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'CJU', 2370, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'CKG', 3393, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'CKG', 3393, 'DYG', 6353, '', 0, '738\r'),
	('BK', 4026, 'CKG', 3393, 'XNN', 6366, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'CJU', 2370, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'CKG', 3393, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'DYG', 6353, '', 0, 'YN7\r'),
	('BK', 4026, 'CSX', 3371, 'HGH', 3386, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'HJJ', 7519, '', 0, 'YN7\r'),
	('BK', 4026, 'CSX', 3371, 'KMG', 3382, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'LLF', 8845, '', 0, 'YN7\r'),
	('BK', 4026, 'CSX', 3371, 'NKG', 3388, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'SYX', 4030, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'TAO', 3390, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'TEN', 6963, '', 0, 'YN7\r'),
	('BK', 4026, 'CSX', 3371, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'XIY', 3379, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'XMN', 3383, '', 0, '738\r'),
	('BK', 4026, 'CSX', 3371, 'ZHA', 6357, '', 0, '738\r'),
	('BK', 4026, 'CTU', 3395, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'DLC', 3404, 'HGH', 3386, '', 0, '738\r'),
	('BK', 4026, 'DLC', 3404, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'DLC', 3404, 'YNT', 3392, '', 0, 'YN7\r'),
	('BK', 4026, 'DYG', 6353, 'CKG', 3393, '', 0, '738\r'),
	('BK', 4026, 'DYG', 6353, 'CSX', 3371, '', 0, 'YN7\r'),
	('BK', 4026, 'DYG', 6353, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'HEK', 6410, 'HRB', 3400, '', 0, 'YN7\r'),
	('BK', 4026, 'HEK', 6410, 'OHE', 6943, '', 0, 'YN7\r'),
	('BK', 4026, 'HET', 6345, 'TSN', 3368, '', 0, 'YN7\r'),
	('BK', 4026, 'HFE', 3389, 'KMG', 3382, '', 0, '738\r'),
	('BK', 4026, 'HGH', 3386, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'HGH', 3386, 'DLC', 3404, '', 0, '738\r'),
	('BK', 4026, 'HGH', 3386, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'HJJ', 7519, 'CSX', 3371, '', 0, 'YN7\r'),
	('BK', 4026, 'HRB', 3400, 'HEK', 6410, '', 0, 'YN7\r'),
	('BK', 4026, 'HRB', 3400, 'JGD', 8979, '', 0, 'YN7\r'),
	('BK', 4026, 'HRB', 3400, 'JMU', 6411, '', 0, 'YN7\r'),
	('BK', 4026, 'HRB', 3400, 'JXA', 8417, '', 0, 'YN7\r'),
	('BK', 4026, 'HRB', 3400, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'JGD', 8979, 'HRB', 3400, '', 0, 'YN7\r'),
	('BK', 4026, 'JGD', 8979, 'OHE', 6943, '', 0, 'YN7\r'),
	('BK', 4026, 'JHG', 4055, 'KMG', 3382, '', 0, '738\r'),
	('BK', 4026, 'JMU', 6411, 'HRB', 3400, '', 0, 'YN7\r'),
	('BK', 4026, 'JXA', 8417, 'HRB', 3400, '', 0, 'YN7\r'),
	('BK', 4026, 'KMG', 3382, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'KMG', 3382, 'HFE', 3389, '', 0, '738\r'),
	('BK', 4026, 'KMG', 3382, 'JHG', 4055, '', 0, '738\r'),
	('BK', 4026, 'KMG', 3382, 'NKG', 3388, '', 0, '738\r'),
	('BK', 4026, 'KMG', 3382, 'UYN', 6368, '', 0, '738\r'),
	('BK', 4026, 'KWL', 3372, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'LLF', 8845, 'CSX', 3371, '', 0, 'YN7\r'),
	('BK', 4026, 'NGB', 3387, 'SYX', 4030, '', 0, '738\r'),
	('BK', 4026, 'NGB', 3387, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'NKG', 3388, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'NKG', 3388, 'KMG', 3382, '', 0, '738\r'),
	('BK', 4026, 'NKG', 3388, 'SHE', 4144, '', 0, '738\r'),
	('BK', 4026, 'NNG', 3373, 'SZX', 3374, '', 0, '738\r'),
	('BK', 4026, 'NNG', 3373, 'XIY', 3379, '', 0, '738\r'),
	('BK', 4026, 'OHE', 6943, 'HEK', 6410, '', 0, 'YN7\r'),
	('BK', 4026, 'OHE', 6943, 'JGD', 8979, '', 0, 'YN7\r'),
	('BK', 4026, 'SHE', 4144, 'NKG', 3388, '', 0, '738\r'),
	('BK', 4026, 'SHE', 4144, 'TAO', 3390, '', 0, '738\r'),
	('BK', 4026, 'SYX', 4030, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'SYX', 4030, 'NGB', 3387, '', 0, '738\r'),
	('BK', 4026, 'SYX', 4030, 'ZUH', 6355, '', 0, '738\r'),
	('BK', 4026, 'SZX', 3374, 'NNG', 3373, '', 0, '738\r'),
	('BK', 4026, 'SZX', 3374, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'TAO', 3390, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'TAO', 3390, 'SHE', 4144, '', 0, '738\r'),
	('BK', 4026, 'TEN', 6963, 'CSX', 3371, '', 0, 'YN7\r'),
	('BK', 4026, 'TSN', 3368, 'CAN', 3370, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'CJU', 2370, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'CTU', 3395, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'DLC', 3404, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'DYG', 6353, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'HET', 6345, '', 0, 'YN7\r'),
	('BK', 4026, 'TSN', 3368, 'HGH', 3386, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'HRB', 3400, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'KWL', 3372, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'NGB', 3387, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'SZX', 3374, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'UYN', 6368, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'XIY', 3379, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'XMN', 3383, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'XNN', 6366, '', 0, '738\r'),
	('BK', 4026, 'TSN', 3368, 'YNT', 3392, '', 0, 'YN7\r'),
	('BK', 4026, 'TSN', 3368, 'ZUH', 6355, '', 0, '738\r'),
	('BK', 4026, 'URC', 3399, 'XIY', 3379, '', 0, '738\r'),
	('BK', 4026, 'UYN', 6368, 'KMG', 3382, '', 0, '738\r'),
	('BK', 4026, 'UYN', 6368, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'XIY', 3379, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'XIY', 3379, 'NNG', 3373, '', 0, '738\r'),
	('BK', 4026, 'XIY', 3379, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'XIY', 3379, 'URC', 3399, '', 0, '738\r'),
	('BK', 4026, 'XMN', 3383, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'XMN', 3383, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'XNN', 6366, 'CKG', 3393, '', 0, '738\r'),
	('BK', 4026, 'XNN', 6366, 'TSN', 3368, '', 0, '738\r'),
	('BK', 4026, 'YNT', 3392, 'DLC', 3404, '', 0, 'YN7\r'),
	('BK', 4026, 'YNT', 3392, 'TSN', 3368, '', 0, 'YN7\r'),
	('BK', 4026, 'ZHA', 6357, 'CSX', 3371, '', 0, '738\r'),
	('BK', 4026, 'ZUH', 6355, 'SYX', 4030, '', 0, '738\r'),
	('BK', 4026, 'ZUH', 6355, 'TSN', 3368, '', 0, '738\r'),
	('BL', 3850, 'BMV', 6187, 'SGN', 3205, '', 0, '320\r'),
	('BL', 3850, 'BMV', 6187, 'VII', 6195, '', 0, '320\r'),
	('BL', 3850, 'CXR', 6189, 'SGN', 3205, '', 0, '320\r'),
	('BL', 3850, 'DAD', 3196, 'HAN', 3199, '', 0, '320\r'),
	('BL', 3850, 'DAD', 3196, 'SGN', 3205, '', 0, '320\r'),
	('BL', 3850, 'HAN', 3199, 'DAD', 3196, '', 0, '320\r'),
	('BL', 3850, 'HAN', 3199, 'SGN', 3205, '', 0, '320\r'),
	('BL', 3850, 'HPH', 6188, 'SGN', 3205, '', 0, '320\r'),
	('BL', 3850, 'PQC', 4168, 'SGN', 3205, '', 0, '320\r'),
	('BL', 3850, 'SGN', 3205, 'BMV', 6187, '', 0, '320\r'),
	('BL', 3850, 'SGN', 3205, 'CXR', 6189, '', 0, '320\r'),
	('BL', 3850, 'SGN', 3205, 'DAD', 3196, '', 0, '320\r'),
	('BL', 3850, 'SGN', 3205, 'HAN', 3199, '', 0, '320\r'),
	('BL', 3850, 'SGN', 3205, 'HPH', 6188, '', 0, '320\r'),
	('BL', 3850, 'SGN', 3205, 'PQC', 4168, '', 0, '320\r'),
	('BL', 3850, 'SGN', 3205, 'VII', 6195, '', 0, '320\r'),
	('BL', 3850, 'VII', 6195, 'BMV', 6187, '', 0, '320\r'),
	('BL', 3850, 'VII', 6195, 'SGN', 3205, '', 0, '320\r'),
	('BM', 312, 'ABZ', 532, 'BRS', 490, '', 0, 'ER4\r'),
	('BM', 312, 'ABZ', 532, 'EBJ', 610, '', 0, 'ER4\r'),
	('BM', 312, 'ABZ', 532, 'KSU', 647, '', 0, 'ER4\r'),
	('BM', 312, 'ABZ', 532, 'MAN', 478, '', 0, 'ER4\r'),
	('BM', 312, 'ABZ', 532, 'NWI', 547, '', 0, 'ER4 ER3\r'),
	('BM', 312, 'ABZ', 532, 'OSL', 644, '', 0, 'ER3\r'),
	('BM', 312, 'BHX', 469, 'GOT', 687, '', 0, 'ER4\r'),
	('BM', 312, 'BRE', 353, 'TLS', 1273, '', 0, 'ER4\r'),
	('BM', 312, 'BRS', 490, 'ABZ', 532, '', 0, 'ER4\r'),
	('BM', 312, 'BRS', 490, 'FRA', 340, '', 0, 'ER4\r'),
	('BM', 312, 'BRS', 490, 'HAM', 342, '', 0, 'ER3\r'),
	('BM', 312, 'BRS', 490, 'MUC', 346, '', 0, 'ER4\r'),
	('BM', 312, 'BRS', 490, 'MXP', 1524, '', 0, 'ER4\r'),
	('BM', 312, 'BRU', 302, 'EMA', 523, '', 0, 'ER3\r'),
	('BM', 312, 'BRU', 302, 'NCL', 521, '', 0, 'ER4\r'),
	('BM', 312, 'EBJ', 610, 'ABZ', 532, '', 0, 'ER4\r'),
	('BM', 312, 'EMA', 523, 'BRU', 302, '', 0, 'ER3\r'),
	('BM', 312, 'EVE', 641, 'SVG', 666, '', 0, 'ER4\r'),
	('BM', 312, 'FRA', 340, 'BRS', 490, '', 0, 'ER4\r'),
	('BM', 312, 'GOT', 687, 'BHX', 469, '', 0, 'ER4\r'),
	('BM', 312, 'GOT', 687, 'SVG', 666, '', 0, 'ER4\r'),
	('BM', 312, 'HAM', 342, 'BRS', 490, '', 0, 'ER3\r'),
	('BM', 312, 'KSU', 647, 'ABZ', 532, '', 0, 'ER4\r'),
	('BM', 312, 'KSU', 647, 'SVG', 666, '', 0, 'ER4\r'),
	('BM', 312, 'MAN', 478, 'ABZ', 532, '', 0, 'ER4\r'),
	('BM', 312, 'MUC', 346, 'BRS', 490, '', 0, 'ER4\r'),
	('BM', 312, 'MXP', 1524, 'BRS', 490, '', 0, 'ER4\r'),
	('BM', 312, 'NCL', 521, 'BRU', 302, '', 0, 'ER4\r'),
	('BM', 312, 'NWI', 547, 'ABZ', 532, '', 0, 'ER4 ER3\r'),
	('BM', 312, 'OSL', 644, 'ABZ', 532, '', 0, 'ER3\r'),
	('BM', 312, 'SVG', 666, 'EVE', 641, '', 0, 'ER4\r'),
	('BM', 312, 'SVG', 666, 'GOT', 687, '', 0, 'ER4\r'),
	('BM', 312, 'SVG', 666, 'KSU', 647, '', 0, 'ER4\r'),
	('BM', 312, 'TLS', 1273, 'BRE', 353, '', 0, 'ER4\r'),
	('BP', 683, 'BBK', 879, 'GBE', 881, '', 0, 'AT5 AT7\r'),
	('BP', 683, 'BBK', 879, 'JNB', 813, '', 0, 'AT5\r'),
	('BP', 683, 'BBK', 879, 'MUB', 880, '', 0, 'AT5\r'),
	('BP', 683, 'CPT', 797, 'GBE', 881, '', 0, 'AR8\r'),
	('BP', 683, 'CPT', 797, 'MUB', 880, '', 0, 'AR8\r'),
	('BP', 683, 'FRW', 877, 'GBE', 881, '', 0, 'AT7 AT5\r'),
	('BP', 683, 'FRW', 877, 'JNB', 813, '', 0, 'AT7\r'),
	('BP', 683, 'GBE', 881, 'BBK', 879, '', 0, 'AT5 AT7\r'),
	('BP', 683, 'GBE', 881, 'CPT', 797, '', 0, 'AR8\r'),
	('BP', 683, 'GBE', 881, 'FRW', 877, '', 0, 'AT7 AT5\r'),
	('BP', 683, 'GBE', 881, 'HRE', 1005, '', 0, 'AT5\r'),
	('BP', 683, 'GBE', 881, 'JNB', 813, '', 0, 'AT5 AT7\r'),
	('BP', 683, 'GBE', 881, 'LUN', 907, '', 0, 'AT5\r'),
	('BP', 683, 'GBE', 881, 'MUB', 880, '', 0, 'AT5 AT7\r'),
	('BP', 683, 'HRE', 1005, 'GBE', 881, '', 0, 'AT5\r'),
	('BP', 683, 'JNB', 813, 'BBK', 879, '', 0, 'AT5\r'),
	('BP', 683, 'JNB', 813, 'FRW', 877, '', 0, 'AT7\r'),
	('BP', 683, 'JNB', 813, 'GBE', 881, '', 0, 'AT5 AT7\r'),
	('BP', 683, 'JNB', 813, 'MUB', 880, '', 0, 'AT5 AT7\r'),
	('BP', 683, 'LUN', 907, 'GBE', 881, '', 0, 'AT5\r'),
	('BP', 683, 'MUB', 880, 'BBK', 879, '', 0, 'AT5\r'),
	('BP', 683, 'MUB', 880, 'CPT', 797, '', 0, 'AR8\r'),
	('BP', 683, 'MUB', 880, 'GBE', 881, '', 0, 'AT5 AT7\r'),
	('BP', 683, 'MUB', 880, 'JNB', 813, '', 0, 'AT5 AT7\r'),
	('BR', 2091, 'AKJ', 2299, 'TPE', 2276, '', 0, '332\r'),
	('BR', 2091, 'AMS', 580, 'BKK', 3885, '', 0, '77W\r'),
	('BR', 2091, 'BKK', 3885, 'AMS', 580, '', 0, '77W\r'),
	('BR', 2091, 'BKK', 3885, 'LHR', 507, '', 0, '77W\r'),
	('BR', 2091, 'BKK', 3885, 'TPE', 2276, '', 0, '332 77W\r'),
	('BR', 2091, 'BKK', 3885, 'VIE', 1613, '', 0, '332\r'),
	('BR', 2091, 'BNE', 3320, 'TPE', 2276, '', 0, '332\r'),
	('BR', 2091, 'CAN', 3370, 'KHH', 2264, 'Y', 0, 'M90\r'),
	('BR', 2091, 'CAN', 3370, 'TPE', 2276, '', 0, '332 744\r'),
	('BR', 2091, 'CDG', 1382, 'TPE', 2276, '', 0, '77W\r'),
	('BR', 2091, 'CGK', 3275, 'TPE', 2276, '', 0, '332\r'),
	('BR', 2091, 'CGO', 3375, 'KHH', 2264, 'Y', 0, 'M90\r'),
	('BR', 2091, 'CGO', 3375, 'TPE', 2276, '', 0, '332 321\r'),
	('BR', 2091, 'CTS', 2287, 'TPE', 2276, '', 0, '332\r'),
	('BR', 2091, 'CTU', 3395, 'TPE', 2276, '', 0, '332\r'),
	('BR', 2091, 'DPS', 3940, 'TPE', 2276, '', 0, '332\r'),
	('BR', 2091, 'FUK', 2305, 'TPE', 2276, '', 0, '332 333\r'),
	('BR', 2091, 'GMP', 2378, 'TSA', 2275, '', 0, '321\r'),
	('BR', 2091, 'GUM', 2246, 'TPE', 2276, '', 0, '332\r'),
	('BR', 2091, 'HAN', 3199, 'TPE', 2276, 'Y', 0, 'M90 321\r'),
	('BR', 2091, 'HET', 6345, 'TPE', 2276, '', 0, '321\r'),
	('BR', 2091, 'HGH', 3386, 'TPE', 2276, '', 0, '332 M90 744\r'),
	('BR', 2091, 'HKD', 2288, 'TPE', 2276, '', 0, '332\r'),
	('BR', 2091, 'HKG', 3077, 'TPE', 2276, '', 0, '321 333 77W M90 332 74E\r'),
	('BR', 2091, 'HND', 2359, 'TSA', 2275, '', 0, '333\r'),
	('BR', 2091, 'HRB', 3400, 'TPE', 2276, '', 0, 'M90\r'),
	('BR', 2091, 'ICN', 3930, 'KHH', 2264, '', 0, 'M90\r'),
	('BR', 2091, 'ICN', 3930, 'TPE', 2276, '', 0, '332 333\r'),
	('BR', 2091, 'JFK', 3797, 'TPE', 2276, '', 0, '77W\r'),
	('BR', 2091, 'KHH', 2264, 'CAN', 3370, 'Y', 0, 'M90\r'),
	('BR', 2091, 'KHH', 2264, 'CGO', 3375, 'Y', 0, 'M90\r'),
	('BR', 2091, 'KHH', 2264, 'ICN', 3930, '', 0, 'M90\r'),
	('BR', 2091, 'KHH', 2264, 'MFM', 3121, 'Y', 0, 'M90 321\r'),
	('BR', 2091, 'KHH', 2264, 'NGB', 3387, 'Y', 0, 'M90\r'),
	('BR', 2091, 'KHH', 2264, 'NRT', 2279, '', 0, '321\r'),
	('BR', 2091, 'KHH', 2264, 'PVG', 3406, '', 0, '321\r'),
	('BR', 2091, 'KHH', 2264, 'TNA', 4108, 'Y', 0, 'M90\r'),
	('BR', 2091, 'KHH', 2264, 'TSN', 3368, 'Y', 0, 'M90\r'),
	('BR', 2091, 'KIX', 3992, 'TPE', 2276, '', 0, '332 321\r'),
	('BR', 2091, 'KMQ', 2322, 'TPE', 2276, '', 0, '321 332\r'),
	('BR', 2091, 'KUL', 3304, 'TPE', 2276, '', 0, '332 321\r'),
	('BR', 2091, 'KWL', 3372, 'TPE', 2276, '', 0, 'M90\r'),
	('BR', 2091, 'LAX', 3484, 'TPE', 2276, '', 0, '77W\r'),
	('BR', 2091, 'LHR', 507, 'BKK', 3885, '', 0, '77W\r'),
	('BR', 2091, 'MFM', 3121, 'KHH', 2264, 'Y', 0, 'M90 321\r'),
	('BR', 2091, 'MFM', 3121, 'RMQ', 2268, '', 0, 'M90\r'),
	('BR', 2091, 'MFM', 3121, 'TPE', 2276, '', 0, '321 77W M90 744 332\r'),
	('BR', 2091, 'MNL', 2397, 'TPE', 2276, '', 0, '74E 321 332\r'),
	('BR', 2091, 'NGB', 3387, 'KHH', 2264, 'Y', 0, 'M90\r'),
	('BR', 2091, 'NRT', 2279, 'KHH', 2264, '', 0, '321\r'),
	('BR', 2091, 'NRT', 2279, 'TPE', 2276, '', 0, '321 332\r'),
	('BR', 2091, 'OKJ', 2327, 'TPE', 2276, 'Y', 0, 'M90\r'),
	('BR', 2091, 'PEK', 3364, 'TPE', 2276, '', 0, '77W 744\r'),
	('BR', 2091, 'PNH', 3034, 'TPE', 2276, '', 0, 'M90\r'),
	('BR', 2091, 'PVG', 3406, 'KHH', 2264, '', 0, '321\r'),
	('BR', 2091, 'PVG', 3406, 'TPE', 2276, '', 0, '744\r'),
	('BR', 2091, 'RMQ', 2268, 'MFM', 3121, '', 0, 'M90\r'),
	('BR', 2091, 'SDJ', 2347, 'TPE', 2276, '', 0, '321\r'),
	('BR', 2091, 'SEA', 3577, 'TPE', 2276, '', 0, '744\r'),
	('BR', 2091, 'SFO', 3469, 'TPE', 2276, '', 0, '77W\r'),
	('BR', 2091, 'SGN', 3205, 'TPE', 2276, '', 0, '77W 332\r'),
	('BR', 2091, 'SHA', 3391, 'TSA', 2275, '', 0, '333\r'),
	('BR', 2091, 'SIN', 3316, 'TPE', 2276, '', 0, '333 77W\r'),
	('BR', 2091, 'SUB', 3928, 'TPE', 2276, '', 0, '332\r'),
	('BR', 2091, 'TNA', 4108, 'KHH', 2264, 'Y', 0, 'M90\r'),
	('BR', 2091, 'TNA', 4108, 'TPE', 2276, '', 0, 'M90\r'),
	('BR', 2091, 'TPE', 2276, 'AKJ', 2299, '', 0, '332\r'),
	('BR', 2091, 'TPE', 2276, 'BKK', 3885, '', 0, '77W 332\r'),
	('BR', 2091, 'TPE', 2276, 'BNE', 3320, '', 0, '332\r'),
	('BR', 2091, 'TPE', 2276, 'CAN', 3370, '', 0, '332 744\r'),
	('BR', 2091, 'TPE', 2276, 'CDG', 1382, '', 0, '77W\r'),
	('BR', 2091, 'TPE', 2276, 'CGK', 3275, '', 0, '332\r'),
	('BR', 2091, 'TPE', 2276, 'CGO', 3375, '', 0, '332 321\r'),
	('BR', 2091, 'TPE', 2276, 'CTS', 2287, '', 0, '332\r'),
	('BR', 2091, 'TPE', 2276, 'CTU', 3395, '', 0, '332\r'),
	('BR', 2091, 'TPE', 2276, 'DPS', 3940, '', 0, '332\r'),
	('BR', 2091, 'TPE', 2276, 'FUK', 2305, '', 0, '332 333\r'),
	('BR', 2091, 'TPE', 2276, 'GUM', 2246, '', 0, '332\r'),
	('BR', 2091, 'TPE', 2276, 'HAN', 3199, 'Y', 0, 'M90 321\r'),
	('BR', 2091, 'TPE', 2276, 'HET', 6345, '', 0, '321\r'),
	('BR', 2091, 'TPE', 2276, 'HGH', 3386, '', 0, '332 M90 744\r'),
	('BR', 2091, 'TPE', 2276, 'HKD', 2288, '', 0, '332\r'),
	('BR', 2091, 'TPE', 2276, 'HKG', 3077, '', 0, '77W 321 M90 333 332 74E\r'),
	('BR', 2091, 'TPE', 2276, 'HRB', 3400, '', 0, 'M90\r'),
	('BR', 2091, 'TPE', 2276, 'ICN', 3930, '', 0, '332 333\r'),
	('BR', 2091, 'TPE', 2276, 'JFK', 3797, '', 0, '77W\r'),
	('BR', 2091, 'TPE', 2276, 'KIX', 3992, '', 0, '332 321\r'),
	('BR', 2091, 'TPE', 2276, 'KMQ', 2322, '', 0, '321 332\r'),
	('BR', 2091, 'TPE', 2276, 'KUL', 3304, '', 0, '332 321\r'),
	('BR', 2091, 'TPE', 2276, 'KWL', 3372, '', 0, 'M90\r'),
	('BR', 2091, 'TPE', 2276, 'LAX', 3484, '', 0, '77W\r'),
	('BR', 2091, 'TPE', 2276, 'MFM', 3121, '', 0, '321 77W M90 744 332\r'),
	('BR', 2091, 'TPE', 2276, 'MNL', 2397, '', 0, '74E 321 332\r'),
	('BR', 2091, 'TPE', 2276, 'NRT', 2279, '', 0, '332 321\r'),
	('BR', 2091, 'TPE', 2276, 'OKJ', 2327, 'Y', 0, 'M90\r'),
	('BR', 2091, 'TPE', 2276, 'PEK', 3364, '', 0, '77W 744\r'),
	('BR', 2091, 'TPE', 2276, 'PNH', 3034, '', 0, 'M90\r'),
	('BR', 2091, 'TPE', 2276, 'PVG', 3406, '', 0, '744\r'),
	('BR', 2091, 'TPE', 2276, 'SDJ', 2347, '', 0, '321\r'),
	('BR', 2091, 'TPE', 2276, 'SEA', 3577, '', 0, '744\r'),
	('BR', 2091, 'TPE', 2276, 'SFO', 3469, '', 0, '77W\r'),
	('BR', 2091, 'TPE', 2276, 'SGN', 3205, '', 0, '332 77W\r'),
	('BR', 2091, 'TPE', 2276, 'SIN', 3316, '', 0, '77W 333\r'),
	('BR', 2091, 'TPE', 2276, 'SUB', 3928, '', 0, '332\r'),
	('BR', 2091, 'TPE', 2276, 'TNA', 4108, '', 0, 'M90\r'),
	('BR', 2091, 'TPE', 2276, 'TSN', 3368, '', 0, '77W\r'),
	('BR', 2091, 'TPE', 2276, 'TXN', 6387, '', 0, 'M90\r'),
	('BR', 2091, 'TPE', 2276, 'YVR', 156, '', 0, '744\r'),
	('BR', 2091, 'TPE', 2276, 'YYZ', 193, '', 0, '77W\r'),
	('BR', 2091, 'TSA', 2275, 'GMP', 2378, '', 0, '321\r'),
	('BR', 2091, 'TSA', 2275, 'HND', 2359, '', 0, '333\r'),
	('BR', 2091, 'TSA', 2275, 'SHA', 3391, '', 0, '333\r'),
	('BR', 2091, 'TSN', 3368, 'KHH', 2264, 'Y', 0, 'M90\r'),
	('BR', 2091, 'TSN', 3368, 'TPE', 2276, '', 0, '77W\r'),
	('BR', 2091, 'TXN', 6387, 'TPE', 2276, '', 0, 'M90\r'),
	('BR', 2091, 'VIE', 1613, 'BKK', 3885, '', 0, '332\r'),
	('BR', 2091, 'YVR', 156, 'TPE', 2276, '', 0, '744\r'),
	('BR', 2091, 'YYZ', 193, 'TPE', 2276, '', 0, '77W\r'),
	('BT', 333, 'ABZ', 532, 'RIX', 3953, '', 0, '735\r'),
	('BT', 333, 'AES', 630, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'AMS', 580, 'AUH', 2179, '', 0, '332\r'),
	('BT', 333, 'AMS', 580, 'RIX', 3953, '', 0, '73C 735\r'),
	('BT', 333, 'ARN', 737, 'RIX', 3953, '', 0, '733 DH4 735 73C\r'),
	('BT', 333, 'ATH', 3941, 'RIX', 3953, '', 0, '73C\r'),
	('BT', 333, 'AUH', 2179, 'AMS', 580, '', 0, '332\r'),
	('BT', 333, 'AUH', 2179, 'BRU', 302, '', 0, '332\r'),
	('BT', 333, 'AUH', 2179, 'FRA', 340, '', 0, '332 333\r'),
	('BT', 333, 'AUH', 2179, 'MUC', 346, '', 0, '333 345 346\r'),
	('BT', 333, 'BCN', 1218, 'RIX', 3953, '', 0, '735 73C\r'),
	('BT', 333, 'BGO', 636, 'RIX', 3953, '', 0, '73C DH4\r'),
	('BT', 333, 'BLL', 608, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'BRU', 302, 'AUH', 2179, '', 0, '332\r'),
	('BT', 333, 'BRU', 302, 'RIX', 3953, '', 0, '735 DH4\r'),
	('BT', 333, 'BRU', 302, 'VNO', 3959, 'Y', 0, 'AR1 319\r'),
	('BT', 333, 'BUD', 1489, 'RIX', 3953, '', 0, 'DH4 735\r'),
	('BT', 333, 'CDG', 1382, 'RIX', 3953, '', 0, '733 735 73C\r'),
	('BT', 333, 'CPH', 609, 'RIX', 3953, '', 0, 'DH4 73C 733\r'),
	('BT', 333, 'DME', 4029, 'RIX', 3953, '', 0, 'DH4 73C 735\r'),
	('BT', 333, 'DUS', 345, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'FCO', 1555, 'RIX', 3953, '', 0, '73C\r'),
	('BT', 333, 'FRA', 340, 'AUH', 2179, '', 0, '332 333\r'),
	('BT', 333, 'FRA', 340, 'RIX', 3953, '', 0, '735 DH4 73C\r'),
	('BT', 333, 'GOT', 687, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'GYD', 2922, 'RIX', 3953, '', 0, '735\r'),
	('BT', 333, 'HAM', 342, 'RIX', 3953, '', 0, 'DH4 735\r'),
	('BT', 333, 'HEL', 421, 'RIX', 3953, '', 0, '73C DH4 735\r'),
	('BT', 333, 'KBP', 2939, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'KGD', 2952, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'KIV', 1735, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'LCA', 1197, 'RIX', 3953, '', 0, '735\r'),
	('BT', 333, 'LED', 2948, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'LGW', 502, 'RIX', 3953, '', 0, '73C 735\r'),
	('BT', 333, 'LHR', 507, 'LIN', 1529, '', 0, '319\r'),
	('BT', 333, 'LIN', 1529, 'LHR', 507, '', 0, '319\r'),
	('BT', 333, 'MLA', 1606, 'RIX', 3953, '', 0, '73C\r'),
	('BT', 333, 'MSQ', 2954, 'RIX', 3953, '', 0, 'DH4 73C\r'),
	('BT', 333, 'MUC', 346, 'AUH', 2179, '', 0, '332 345 333\r'),
	('BT', 333, 'MUC', 346, 'RIX', 3953, '', 0, '73C DH4 735 733\r'),
	('BT', 333, 'MXP', 1524, 'RIX', 3953, '', 0, '73C 735\r'),
	('BT', 333, 'NCE', 1354, 'RIX', 3953, '', 0, '735 73C\r'),
	('BT', 333, 'OLB', 1520, 'RIX', 3953, '', 0, '73C\r'),
	('BT', 333, 'OSL', 644, 'RIX', 3953, '', 0, 'DH4 73C 735\r'),
	('BT', 333, 'PLQ', 3958, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'PRG', 1587, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'ABZ', 532, '', 0, '735\r'),
	('BT', 333, 'RIX', 3953, 'AES', 630, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'AMS', 580, '', 0, '73C 735\r'),
	('BT', 333, 'RIX', 3953, 'ARN', 737, '', 0, 'DH4 735 73C 733\r'),
	('BT', 333, 'RIX', 3953, 'ATH', 3941, '', 0, '73C\r'),
	('BT', 333, 'RIX', 3953, 'BCN', 1218, '', 0, '735 73C\r'),
	('BT', 333, 'RIX', 3953, 'BGO', 636, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'BLL', 608, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'BRU', 302, '', 0, '735 DH4\r'),
	('BT', 333, 'RIX', 3953, 'BUD', 1489, '', 0, 'DH4 735\r'),
	('BT', 333, 'RIX', 3953, 'CDG', 1382, '', 0, '733 735 73C\r'),
	('BT', 333, 'RIX', 3953, 'CPH', 609, '', 0, 'DH4 73C 733\r'),
	('BT', 333, 'RIX', 3953, 'DME', 4029, '', 0, '73C DH4 735\r'),
	('BT', 333, 'RIX', 3953, 'DUS', 345, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'FCO', 1555, '', 0, '73C\r'),
	('BT', 333, 'RIX', 3953, 'FRA', 340, '', 0, '735 DH4 73C\r'),
	('BT', 333, 'RIX', 3953, 'GOT', 687, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'GYD', 2922, '', 0, '735\r'),
	('BT', 333, 'RIX', 3953, 'HAM', 342, '', 0, 'DH4 735\r'),
	('BT', 333, 'RIX', 3953, 'HEL', 421, '', 0, 'DH4 73C 735\r'),
	('BT', 333, 'RIX', 3953, 'KBP', 2939, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'KGD', 2952, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'KIV', 1735, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'LCA', 1197, '', 0, '735\r'),
	('BT', 333, 'RIX', 3953, 'LED', 2948, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'LGW', 502, '', 0, '73C 735\r'),
	('BT', 333, 'RIX', 3953, 'MLA', 1606, '', 0, '73C\r'),
	('BT', 333, 'RIX', 3953, 'MSQ', 2954, '', 0, 'DH4 73C\r'),
	('BT', 333, 'RIX', 3953, 'MUC', 346, '', 0, '73C DH4 735 733\r'),
	('BT', 333, 'RIX', 3953, 'MXP', 1524, '', 0, '73C 735\r'),
	('BT', 333, 'RIX', 3953, 'NCE', 1354, '', 0, '735 73C\r'),
	('BT', 333, 'RIX', 3953, 'OLB', 1520, '', 0, '73C\r'),
	('BT', 333, 'RIX', 3953, 'OSL', 644, '', 0, 'DH4 73C 735\r'),
	('BT', 333, 'RIX', 3953, 'PLQ', 3958, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'PRG', 1587, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'SAW', 4317, '', 0, '735\r'),
	('BT', 333, 'RIX', 3953, 'SVG', 666, '', 0, '735 DH4\r'),
	('BT', 333, 'RIX', 3953, 'SVO', 2985, '', 0, '73C 733 735\r'),
	('BT', 333, 'RIX', 3953, 'TAS', 2983, 'Y', 0, '763\r'),
	('BT', 333, 'RIX', 3953, 'TBS', 3973, '', 0, '735\r'),
	('BT', 333, 'RIX', 3953, 'TKU', 460, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'TLL', 415, '', 0, 'DH4 73C\r'),
	('BT', 333, 'RIX', 3953, 'TLV', 1590, '', 0, '73C 735\r'),
	('BT', 333, 'RIX', 3953, 'TXL', 351, '', 0, 'DH4 735\r'),
	('BT', 333, 'RIX', 3953, 'VCE', 1551, '', 0, '73C 735\r'),
	('BT', 333, 'RIX', 3953, 'VIE', 1613, '', 0, '73C 735 DH4 733\r'),
	('BT', 333, 'RIX', 3953, 'VKO', 2988, '', 0, '73G\r'),
	('BT', 333, 'RIX', 3953, 'VNO', 3959, '', 0, 'DH4 73C 735\r'),
	('BT', 333, 'RIX', 3953, 'WAW', 679, '', 0, 'DH4\r'),
	('BT', 333, 'RIX', 3953, 'ZRH', 1678, '', 0, '735\r'),
	('BT', 333, 'SAW', 4317, 'RIX', 3953, '', 0, '735\r'),
	('BT', 333, 'SVG', 666, 'RIX', 3953, '', 0, '735 DH4\r'),
	('BT', 333, 'SVO', 2985, 'RIX', 3953, '', 0, '73C 733 735\r'),
	('BT', 333, 'TAS', 2983, 'RIX', 3953, 'Y', 0, '763\r'),
	('BT', 333, 'TBS', 3973, 'RIX', 3953, '', 0, '73C 735\r'),
	('BT', 333, 'TKU', 460, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'TLL', 415, 'RIX', 3953, '', 0, '73C DH4\r'),
	('BT', 333, 'TLV', 1590, 'RIX', 3953, '', 0, '73C 735\r'),
	('BT', 333, 'TXL', 351, 'RIX', 3953, '', 0, 'DH4 735\r'),
	('BT', 333, 'VCE', 1551, 'RIX', 3953, '', 0, '73C 735\r'),
	('BT', 333, 'VIE', 1613, 'RIX', 3953, '', 0, '73C 735 DH4 733\r'),
	('BT', 333, 'VKO', 2988, 'RIX', 3953, '', 0, '73G\r'),
	('BT', 333, 'VNO', 3959, 'BRU', 302, 'Y', 0, 'AR1 319\r'),
	('BT', 333, 'VNO', 3959, 'RIX', 3953, '', 0, '73C DH4 735\r'),
	('BT', 333, 'WAW', 679, 'RIX', 3953, '', 0, 'DH4\r'),
	('BT', 333, 'ZRH', 1678, 'RIX', 3953, '', 0, '735\r'),
	('BU', 16508, 'BKY', 1035, 'KND', 1037, '', 0, '100\r'),
	('BU', 16508, 'BUX', 1033, 'GOM', 1036, '', 0, 'F50\r'),
	('BU', 16508, 'BUX', 1033, 'IRP', 1032, '', 0, 'F50\r'),
	('BU', 16508, 'FBM', 1038, 'FIH', 1020, '', 0, '320\r'),
	('BU', 16508, 'FBM', 1038, 'JNB', 813, '', 0, '320\r'),
	('BU', 16508, 'FBM', 1038, 'KGA', 1042, '', 0, '320\r'),
	('BU', 16508, 'FBM', 1038, 'MJM', 1043, '', 0, '320\r'),
	('BU', 16508, 'FIH', 1020, 'FBM', 1038, '', 0, '320\r'),
	('BU', 16508, 'FIH', 1020, 'FKI', 1031, '', 0, '320\r'),
	('BU', 16508, 'FIH', 1020, 'KGA', 1042, '', 0, '100\r'),
	('BU', 16508, 'FIH', 1020, 'KND', 1037, '', 0, '100\r'),
	('BU', 16508, 'FIH', 1020, 'MDK', 1026, '', 0, '320\r'),
	('BU', 16508, 'FIH', 1020, 'MJM', 1043, '', 0, '100 320\r'),
	('BU', 16508, 'FIH', 1020, 'TSH', 5652, '', 0, 'L4T\r'),
	('BU', 16508, 'FKI', 1031, 'FIH', 1020, '', 0, '320\r'),
	('BU', 16508, 'FKI', 1031, 'GOM', 1036, '', 0, '320\r'),
	('BU', 16508, 'GMA', 1028, 'MDK', 1026, '', 0, '320\r'),
	('BU', 16508, 'GOM', 1036, 'BKY', 1035, '', 0, 'F50\r'),
	('BU', 16508, 'GOM', 1036, 'FKI', 1031, '', 0, '320\r'),
	('BU', 16508, 'IRP', 1032, 'FKI', 1031, '', 0, 'F50\r'),
	('BU', 16508, 'JNB', 813, 'FBM', 1038, '', 0, '320\r'),
	('BU', 16508, 'KGA', 1042, 'FBM', 1038, '', 0, '100\r'),
	('BU', 16508, 'KGA', 1042, 'FIH', 1020, '', 0, '320\r'),
	('BU', 16508, 'KGA', 1042, 'TSH', 5652, '', 0, 'L4T\r'),
	('BU', 16508, 'KND', 1037, 'BKY', 1035, '', 0, '100\r'),
	('BU', 16508, 'KND', 1037, 'FIH', 1020, '', 0, '100\r'),
	('BU', 16508, 'LJA', 5653, 'FIH', 1020, '', 0, 'L4T\r'),
	('BU', 16508, 'MDK', 1026, 'FIH', 1020, '', 0, '320 L4T\r'),
	('BU', 16508, 'MDK', 1026, 'GMA', 1028, '', 0, '320\r'),
	('BU', 16508, 'MJM', 1043, 'FBM', 1038, '', 0, '320\r'),
	('BU', 16508, 'MJM', 1043, 'FIH', 1020, '', 0, '100 320\r'),
	('BU', 16508, 'TSH', 5652, 'FIH', 1020, '', 0, 'L4T\r'),
	('BU', 16508, 'TSH', 5652, 'KGA', 1042, '', 0, 'L4T\r'),
	('BV', 1463, 'BGY', 1525, 'TIA', 1190, '', 0, '737\r'),
	('BV', 1463, 'BLQ', 1538, 'TIA', 1190, '', 0, '737\r'),
	('BV', 1463, 'BRI', 1501, 'CTA', 1509, '', 0, '737\r'),
	('BV', 1463, 'BRI', 1501, 'PMO', 1512, '', 0, '737\r'),
	('BV', 1463, 'CTA', 1509, 'BRI', 1501, '', 0, '737\r'),
	('BV', 1463, 'CTA', 1509, 'FCO', 1555, '', 0, '737\r'),
	('BV', 1463, 'CUN', 1852, 'FCO', 1555, '', 0, '767\r'),
	('BV', 1463, 'CUN', 1852, 'MXP', 1524, '', 0, '767\r'),
	('BV', 1463, 'CYO', 1903, 'MXP', 1524, '', 0, '767\r'),
	('BV', 1463, 'DME', 4029, 'FCO', 1555, '', 0, '737\r'),
	('BV', 1463, 'FCO', 1555, 'CTA', 1509, '', 0, '737\r'),
	('BV', 1463, 'FCO', 1555, 'DME', 4029, '', 0, '737\r'),
	('BV', 1463, 'FCO', 1555, 'HAV', 1909, '', 0, '767\r'),
	('BV', 1463, 'FCO', 1555, 'LRM', 1759, '', 0, '767\r'),
	('BV', 1463, 'FCO', 1555, 'MXP', 1524, '', 0, '737 767\r'),
	('BV', 1463, 'FCO', 1555, 'PMO', 1512, '', 0, '737\r'),
	('BV', 1463, 'FCO', 1555, 'REG', 1514, '', 0, '737\r'),
	('BV', 1463, 'FCO', 1555, 'TIA', 1190, '', 0, '737\r'),
	('BV', 1463, 'FCO', 1555, 'TRN', 1526, '', 0, '737\r'),
	('BV', 1463, 'HAV', 1909, 'CUN', 1852, '', 0, '767\r'),
	('BV', 1463, 'HAV', 1909, 'CYO', 1903, '', 0, '767\r'),
	('BV', 1463, 'HAV', 1909, 'HOG', 1910, '', 0, '767\r'),
	('BV', 1463, 'HAV', 1909, 'MXP', 1524, '', 0, '767\r'),
	('BV', 1463, 'HAV', 1909, 'SCU', 1905, '', 0, '767\r'),
	('BV', 1463, 'HOG', 1910, 'MXP', 1524, '', 0, '767\r'),
	('BV', 1463, 'LIN', 1529, 'REG', 1514, '', 0, '737\r'),
	('BV', 1463, 'LRM', 1759, 'FCO', 1555, '', 0, '767\r'),
	('BV', 1463, 'LRM', 1759, 'MXP', 1524, '', 0, '767\r'),
	('BV', 1463, 'MXP', 1524, 'CUN', 1852, '', 0, '767\r'),
	('BV', 1463, 'MXP', 1524, 'FCO', 1555, '', 0, '737 767\r'),
	('BV', 1463, 'MXP', 1524, 'HAV', 1909, '', 0, '767\r'),
	('BV', 1463, 'MXP', 1524, 'LRM', 1759, '', 0, '767\r'),
	('BV', 1463, 'MXP', 1524, 'TIA', 1190, '', 0, '737\r'),
	('BV', 1463, 'PMO', 1512, 'BRI', 1501, '', 0, '737\r'),
	('BV', 1463, 'PMO', 1512, 'FCO', 1555, '', 0, '737\r'),
	('BV', 1463, 'PSA', 1562, 'TIA', 1190, '', 0, '737\r'),
	('BV', 1463, 'REG', 1514, 'FCO', 1555, '', 0, '737\r'),
	('BV', 1463, 'REG', 1514, 'LIN', 1529, '', 0, '737\r'),
	('BV', 1463, 'SCU', 1905, 'FCO', 1555, '', 0, '767\r'),
	('BV', 1463, 'TIA', 1190, 'BGY', 1525, '', 0, '737\r'),
	('BV', 1463, 'TIA', 1190, 'BLQ', 1538, '', 0, '737\r'),
	('BV', 1463, 'TIA', 1190, 'FCO', 1555, '', 0, '737\r'),
	('BV', 1463, 'TIA', 1190, 'MXP', 1524, '', 0, '737\r'),
	('BV', 1463, 'TIA', 1190, 'PSA', 1562, '', 0, '737\r'),
	('BV', 1463, 'TIA', 1190, 'VCE', 1551, '', 0, '737\r'),
	('BV', 1463, 'TIA', 1190, 'VRN', 1550, '', 0, '737\r'),
	('BV', 1463, 'TRN', 1526, 'FCO', 1555, '', 0, '737\r'),
	('BV', 1463, 'VCE', 1551, 'TIA', 1190, '', 0, '737\r'),
	('BV', 1463, 'VRN', 1550, 'TIA', 1190, '', 0, '737\r'),
	('BW', 1663, 'ANU', 2874, 'BGI', 2875, '', 0, '738\r'),
	('BW', 1663, 'ANU', 2874, 'KIN', 1779, '', 0, '738\r'),
	('BW', 1663, 'BGI', 2875, 'ANU', 2874, '', 0, '738\r'),
	('BW', 1663, 'BGI', 2875, 'KIN', 1779, '', 0, '738\r'),
	('BW', 1663, 'BGI', 2875, 'POS', 2902, '', 0, 'ATR 738\r'),
	('BW', 1663, 'BGI', 2875, 'SXM', 2899, '', 0, '738\r'),
	('BW', 1663, 'CCS', 2851, 'POS', 2902, '', 0, 'ATR\r'),
	('BW', 1663, 'FLL', 3533, 'KIN', 1779, '', 0, '738\r'),
	('BW', 1663, 'FLL', 3533, 'MBJ', 1780, '', 0, '738\r'),
	('BW', 1663, 'FLL', 3533, 'POS', 2902, '', 0, '738\r'),
	('BW', 1663, 'GEO', 4304, 'JFK', 3797, '', 0, '767\r'),
	('BW', 1663, 'GEO', 4304, 'POS', 2902, '', 0, '738 767\r'),
	('BW', 1663, 'GEO', 4304, 'YYZ', 193, '', 0, '767 738\r'),
	('BW', 1663, 'GND', 2882, 'JFK', 3797, '', 0, '738\r'),
	('BW', 1663, 'GND', 2882, 'POS', 2902, '', 0, 'ATR 738\r'),
	('BW', 1663, 'GND', 2882, 'YYZ', 193, '', 0, '738\r'),
	('BW', 1663, 'JFK', 3797, 'GEO', 4304, '', 0, '767\r'),
	('BW', 1663, 'JFK', 3797, 'GND', 2882, '', 0, '738\r'),
	('BW', 1663, 'JFK', 3797, 'KIN', 1779, '', 0, '738\r'),
	('BW', 1663, 'JFK', 3797, 'MBJ', 1780, '', 0, '738\r'),
	('BW', 1663, 'JFK', 3797, 'POS', 2902, '', 0, '738\r'),
	('BW', 1663, 'JFK', 3797, 'TAB', 2901, '', 0, '738\r'),
	('BW', 1663, 'KIN', 1779, 'ANU', 2874, '', 0, '738\r'),
	('BW', 1663, 'KIN', 1779, 'BGI', 2875, '', 0, '738\r'),
	('BW', 1663, 'KIN', 1779, 'FLL', 3533, '', 0, '738\r'),
	('BW', 1663, 'KIN', 1779, 'JFK', 3797, '', 0, '738\r'),
	('BW', 1663, 'KIN', 1779, 'MBJ', 1780, '', 0, '738\r'),
	('BW', 1663, 'KIN', 1779, 'MCO', 3878, '', 0, '738\r'),
	('BW', 1663, 'KIN', 1779, 'NAS', 1953, '', 0, '738\r'),
	('BW', 1663, 'KIN', 1779, 'POS', 2902, '', 0, '738\r'),
	('BW', 1663, 'KIN', 1779, 'SXM', 2899, '', 0, '738\r'),
	('BW', 1663, 'KIN', 1779, 'YYZ', 193, '', 0, '738\r'),
	('BW', 1663, 'LGW', 502, 'POS', 2902, '', 0, '767\r'),
	('BW', 1663, 'MBJ', 1780, 'FLL', 3533, '', 0, '738\r'),
	('BW', 1663, 'MBJ', 1780, 'JFK', 3797, '', 0, '738\r'),
	('BW', 1663, 'MBJ', 1780, 'KIN', 1779, '', 0, '738\r'),
	('BW', 1663, 'MCO', 3878, 'KIN', 1779, '', 0, '738\r'),
	('BW', 1663, 'MCO', 3878, 'POS', 2902, '', 0, '738\r'),
	('BW', 1663, 'MIA', 3576, 'POS', 2902, '', 0, '738\r'),
	('BW', 1663, 'NAS', 1953, 'KIN', 1779, '', 0, '738\r'),
	('BW', 1663, 'PBM', 2773, 'POS', 2902, '', 0, '738\r'),
	('BW', 1663, 'POS', 2902, 'BGI', 2875, '', 0, 'ATR 738\r'),
	('BW', 1663, 'POS', 2902, 'CCS', 2851, '', 0, 'ATR\r'),
	('BW', 1663, 'POS', 2902, 'FLL', 3533, '', 0, '738\r'),
	('BW', 1663, 'POS', 2902, 'GEO', 4304, '', 0, '738 767\r'),
	('BW', 1663, 'POS', 2902, 'GND', 2882, '', 0, 'ATR 738\r'),
	('BW', 1663, 'POS', 2902, 'JFK', 3797, '', 0, '738\r'),
	('BW', 1663, 'POS', 2902, 'KIN', 1779, '', 0, '738\r'),
	('BW', 1663, 'POS', 2902, 'LGW', 502, '', 0, '767\r'),
	('BW', 1663, 'POS', 2902, 'MCO', 3878, '', 0, '738\r'),
	('BW', 1663, 'POS', 2902, 'MIA', 3576, '', 0, '738\r'),
	('BW', 1663, 'POS', 2902, 'PBM', 2773, '', 0, '738\r'),
	('BW', 1663, 'POS', 2902, 'SLU', 2893, '', 0, 'ATR\r'),
	('BW', 1663, 'POS', 2902, 'TAB', 2901, '', 0, 'ATR 738\r'),
	('BW', 1663, 'POS', 2902, 'YYZ', 193, '', 0, '738\r'),
	('BW', 1663, 'SLU', 2893, 'POS', 2902, '', 0, 'ATR\r'),
	('BW', 1663, 'SXM', 2899, 'BGI', 2875, '', 0, '738\r'),
	('BW', 1663, 'SXM', 2899, 'KIN', 1779, '', 0, '738\r'),
	('BW', 1663, 'TAB', 2901, 'JFK', 3797, '', 0, '738\r'),
	('BW', 1663, 'TAB', 2901, 'POS', 2902, '', 0, 'ATR 738\r'),
	('BW', 1663, 'YYZ', 193, 'GEO', 4304, '', 0, '767 738\r'),
	('BW', 1663, 'YYZ', 193, 'GND', 2882, '', 0, '738\r'),
	('BW', 1663, 'YYZ', 193, 'KIN', 1779, '', 0, '738\r'),
	('BW', 1663, 'YYZ', 193, 'POS', 2902, '', 0, '738\r'),
	('BX', 5982, 'CEB', 4206, 'PUS', 2372, '', 0, '320 321\r'),
	('BX', 5982, 'CSX', 3371, 'PUS', 2372, '', 0, '321\r'),
	('BX', 5982, 'FUK', 2305, 'PUS', 2372, '', 0, '320\r'),
	('BX', 5982, 'HKG', 3077, 'PUS', 2372, '', 0, '321\r'),
	('BX', 5982, 'KHH', 2264, 'PUS', 2372, '', 0, '734\r'),
	('BX', 5982, 'KIX', 3992, 'PUS', 2372, '', 0, '321\r'),
	('BX', 5982, 'MFM', 3121, 'PUS', 2372, '', 0, '321\r'),
	('BX', 5982, 'NRT', 2279, 'PUS', 2372, '', 0, '321\r'),
	('BX', 5982, 'PUS', 2372, 'CEB', 4206, '', 0, '321 320\r'),
	('BX', 5982, 'PUS', 2372, 'CSX', 3371, '', 0, '321\r'),
	('BX', 5982, 'PUS', 2372, 'FUK', 2305, '', 0, '320\r'),
	('BX', 5982, 'PUS', 2372, 'HKG', 3077, '', 0, '321\r'),
	('BX', 5982, 'PUS', 2372, 'KHH', 2264, '', 0, '734\r'),
	('BX', 5982, 'PUS', 2372, 'KIX', 3992, '', 0, '321\r'),
	('BX', 5982, 'PUS', 2372, 'MFM', 3121, '', 0, '321\r'),
	('BX', 5982, 'PUS', 2372, 'NRT', 2279, '', 0, '321\r'),
	('BX', 5982, 'PUS', 2372, 'REP', 3035, '', 0, '321\r'),
	('BX', 5982, 'PUS', 2372, 'TAO', 3390, '', 0, '734\r'),
	('BX', 5982, 'PUS', 2372, 'TPE', 2276, '', 0, '321 734\r'),
	('BX', 5982, 'PUS', 2372, 'TYN', 3369, '', 0, '734\r'),
	('BX', 5982, 'PUS', 2372, 'WUH', 3376, '', 0, '734\r'),
	('BX', 5982, 'PUS', 2372, 'XIY', 3379, '', 0, '321\r'),
	('BX', 5982, 'REP', 3035, 'PUS', 2372, '', 0, '321\r'),
	('BX', 5982, 'TAO', 3390, 'PUS', 2372, '', 0, '734\r'),
	('BX', 5982, 'TPE', 2276, 'PUS', 2372, '', 0, '321 734\r'),
	('BX', 5982, 'TYN', 3369, 'PUS', 2372, '', 0, '734\r'),
	('BX', 5982, 'WUH', 3376, 'PUS', 2372, '', 0, '734\r'),
	('BX', 5982, 'XIY', 3379, 'PUS', 2372, '', 0, '321\r'),
	('C8', 1750, 'BSG', 890, 'COO', 245, '', 0, '146\r'),
	('C8', 1750, 'BSG', 890, 'SSG', 891, '', 0, '146\r'),
	('C8', 1750, 'COO', 245, 'BSG', 890, '', 0, '146\r'),
	('C8', 1750, 'COO', 245, 'SSG', 891, '', 0, '146\r'),
	('C8', 1750, 'DLA', 897, 'SSG', 891, '', 0, '146\r'),
	('C8', 1750, 'SSG', 891, 'BSG', 890, '', 0, '146\r'),
	('C8', 1750, 'SSG', 891, 'COO', 245, '', 0, '146\r'),
	('C8', 1750, 'SSG', 891, 'DLA', 897, '', 0, '146\r'),
	('CA', 751, 'ADD', 1107, 'CAN', 3370, '', 0, '77W\r'),
	('CA', 751, 'ADD', 1107, 'PEK', 3364, '', 0, '77L\r'),
	('CA', 751, 'AKL', 2006, 'PVG', 3406, 'Y', 0, '763 772\r'),
	('CA', 751, 'AKU', 6404, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'ARN', 737, 'GOT', 687, 'Y', 0, '73H 73W\r'),
	('CA', 751, 'ARN', 737, 'GVA', 1665, '', 0, '736 73H 717\r'),
	('CA', 751, 'ARN', 737, 'HEL', 421, '', 0, '717\r'),
	('CA', 751, 'ARN', 737, 'PEK', 3364, '', 0, '333\r'),
	('CA', 751, 'ARN', 737, 'TMP', 458, '', 0, 'S20\r'),
	('CA', 751, 'ARN', 737, 'VAA', 462, '', 0, 'S20\r'),
	('CA', 751, 'ATH', 3941, 'MUC', 346, '', 0, '330\r'),
	('CA', 751, 'ATL', 3682, 'IAH', 3550, 'Y', 0, 'CRJ\r'),
	('CA', 751, 'BAV', 6346, 'CAN', 3370, 'Y', 0, '320\r'),
	('CA', 751, 'BAV', 6346, 'PEK', 3364, '', 0, '738 737\r'),
	('CA', 751, 'BAV', 6346, 'TSN', 3368, 'Y', 0, 'CR7\r'),
	('CA', 751, 'BAV', 6346, 'TYN', 3369, 'Y', 0, 'CR7\r'),
	('CA', 751, 'BCN', 1218, 'VIE', 1613, '', 0, '333\r'),
	('CA', 751, 'BHY', 6351, 'HGH', 3386, '', 0, '319\r'),
	('CA', 751, 'BHY', 6351, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'BKK', 3885, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'BKK', 3885, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'BOM', 2997, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'BPX', 6396, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'CAI', 1128, 'CAN', 3370, 'Y', 0, '773\r'),
	('CA', 751, 'CAI', 1128, 'PEK', 3364, 'Y', 0, '330\r'),
	('CA', 751, 'CAN', 3370, 'ADD', 1107, '', 0, '77W\r'),
	('CA', 751, 'CAN', 3370, 'BAV', 6346, 'Y', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'CAI', 1128, 'Y', 0, '773\r'),
	('CA', 751, 'CAN', 3370, 'CGO', 3375, 'Y', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'CGQ', 4380, 'Y', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'CKG', 3393, '', 0, '738 737\r'),
	('CA', 751, 'CAN', 3370, 'CTU', 3395, '', 0, '321 319 320\r'),
	('CA', 751, 'CAN', 3370, 'CZX', 4109, 'Y', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'DAX', 6397, '', 0, '737\r'),
	('CA', 751, 'CAN', 3370, 'GYS', 6398, '', 0, '737\r'),
	('CA', 751, 'CAN', 3370, 'HAK', 4120, 'Y', 0, '738 320\r'),
	('CA', 751, 'CAN', 3370, 'HET', 6345, '', 0, '737\r'),
	('CA', 751, 'CAN', 3370, 'HFE', 3389, '', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'HGH', 3386, '', 0, '738 320 321\r'),
	('CA', 751, 'CAN', 3370, 'HRB', 3400, 'Y', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'HYN', 6384, 'Y', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'IST', 1701, '', 0, '330 343\r'),
	('CA', 751, 'CAN', 3370, 'JDZ', 6380, 'Y', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'JJN', 6386, 'Y', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'JZH', 4301, '', 0, '319\r'),
	('CA', 751, 'CAN', 3370, 'KHN', 3384, '', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'KMG', 3382, '', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'KWE', 3394, '', 0, '737\r'),
	('CA', 751, 'CAN', 3370, 'LYI', 6385, '', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'LZO', 6399, '', 0, '737\r'),
	('CA', 751, 'CAN', 3370, 'NKG', 3388, '', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'NNG', 3373, 'Y', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'NRT', 2279, 'Y', 0, '763\r'),
	('CA', 751, 'CAN', 3370, 'NTG', 5475, '', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'PEK', 3364, '', 0, '333 773 321 777 772 738 744\r'),
	('CA', 751, 'CAN', 3370, 'PVG', 3406, '', 0, '340 330 321\r'),
	('CA', 751, 'CAN', 3370, 'SHA', 3391, '', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'SHE', 4144, 'Y', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'WNZ', 6392, 'Y', 0, '738 320\r'),
	('CA', 751, 'CAN', 3370, 'WUH', 3376, '', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'WUS', 6391, 'Y', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'WUX', 6390, '', 0, '738\r'),
	('CA', 751, 'CAN', 3370, 'WXN', 6403, '', 0, '737\r'),
	('CA', 751, 'CAN', 3370, 'XIY', 3379, 'Y', 0, '738 320\r'),
	('CA', 751, 'CAN', 3370, 'XMN', 3383, '', 0, '320\r'),
	('CA', 751, 'CAN', 3370, 'YBP', 4110, '', 0, '737\r'),
	('CA', 751, 'CAN', 3370, 'YCU', 6430, '', 0, '737\r'),
	('CA', 751, 'CAN', 3370, 'YNT', 3392, 'Y', 0, '738\r'),
	('CA', 751, 'CDG', 1382, 'PEK', 3364, '', 0, '773\r'),
	('CA', 751, 'CDG', 1382, 'PVG', 3406, '', 0, '330\r'),
	('CA', 751, 'CGK', 3275, 'XMN', 3383, '', 0, '738\r'),
	('CA', 751, 'CGO', 3375, 'CAN', 3370, 'Y', 0, '320\r'),
	('CA', 751, 'CGO', 3375, 'CKG', 3393, 'Y', 0, '738\r'),
	('CA', 751, 'CGO', 3375, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'CGO', 3375, 'DLC', 3404, 'Y', 0, '738\r'),
	('CA', 751, 'CGO', 3375, 'HAK', 4120, '', 0, '320\r'),
	('CA', 751, 'CGO', 3375, 'HGH', 3386, '', 0, '319\r'),
	('CA', 751, 'CGO', 3375, 'HRB', 3400, '', 0, '320\r'),
	('CA', 751, 'CGO', 3375, 'KMG', 3382, 'Y', 0, '320\r'),
	('CA', 751, 'CGO', 3375, 'KWE', 3394, 'Y', 0, '738\r'),
	('CA', 751, 'CGO', 3375, 'KWL', 3372, 'Y', 0, '738\r'),
	('CA', 751, 'CGO', 3375, 'LHW', 6431, 'Y', 0, '738\r'),
	('CA', 751, 'CGO', 3375, 'MFM', 3121, '', 0, '320 319\r'),
	('CA', 751, 'CGO', 3375, 'MIG', 6400, 'Y', 0, 'CR2\r'),
	('CA', 751, 'CGO', 3375, 'NNG', 3373, '', 0, '320\r'),
	('CA', 751, 'CGO', 3375, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'CGO', 3375, 'SHE', 4144, '', 0, '320\r'),
	('CA', 751, 'CGO', 3375, 'SZX', 3374, 'Y', 0, '320 738\r'),
	('CA', 751, 'CGO', 3375, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'CGO', 3375, 'TNA', 4108, 'Y', 0, 'CR2 738\r'),
	('CA', 751, 'CGO', 3375, 'TSN', 3368, 'Y', 0, '738\r'),
	('CA', 751, 'CGO', 3375, 'URC', 3399, 'Y', 0, '320\r'),
	('CA', 751, 'CGO', 3375, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'CGO', 3375, 'XNN', 6366, '', 0, '319\r'),
	('CA', 751, 'CGQ', 4380, 'CAN', 3370, 'Y', 0, '738\r'),
	('CA', 751, 'CGQ', 4380, 'CTU', 3395, '', 0, '321\r'),
	('CA', 751, 'CGQ', 4380, 'INC', 4085, '', 0, '737\r'),
	('CA', 751, 'CGQ', 4380, 'NKG', 3388, '', 0, '320\r'),
	('CA', 751, 'CGQ', 4380, 'PEK', 3364, '', 0, '738 330 321 320\r'),
	('CA', 751, 'CGQ', 4380, 'SZX', 3374, 'Y', 0, '320 738\r'),
	('CA', 751, 'CGQ', 4380, 'TAO', 3390, '', 0, '319\r'),
	('CA', 751, 'CGQ', 4380, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'CGQ', 4380, 'WUH', 3376, 'Y', 0, '738\r'),
	('CA', 751, 'CGQ', 4380, 'YNT', 3392, '', 0, '320\r'),
	('CA', 751, 'CHG', 6772, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'CIF', 6342, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'CIH', 6343, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'CJJ', 6008, 'PEK', 3364, 'Y', 0, '321\r'),
	('CA', 751, 'CKG', 3393, 'CAN', 3370, '', 0, '738 737\r'),
	('CA', 751, 'CKG', 3393, 'CGO', 3375, 'Y', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'HGH', 3386, '', 0, '319 320 738 737\r'),
	('CA', 751, 'CKG', 3393, 'HKG', 3077, '', 0, '737\r'),
	('CA', 751, 'CKG', 3393, 'ICN', 3930, '', 0, '763 321\r'),
	('CA', 751, 'CKG', 3393, 'INC', 4085, '', 0, '737\r'),
	('CA', 751, 'CKG', 3393, 'JZH', 4301, '', 0, '737\r'),
	('CA', 751, 'CKG', 3393, 'KMG', 3382, '', 0, '737\r'),
	('CA', 751, 'CKG', 3393, 'KWE', 3394, 'Y', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'KWL', 3372, 'Y', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'LJG', 4033, '', 0, '737\r'),
	('CA', 751, 'CKG', 3393, 'LXA', 4097, '', 0, '319\r'),
	('CA', 751, 'CKG', 3393, 'MFM', 3121, '', 0, '319 320\r'),
	('CA', 751, 'CKG', 3393, 'NKG', 3388, '', 0, '737 738\r'),
	('CA', 751, 'CKG', 3393, 'PEK', 3364, '', 0, '738 773 330 737 321\r'),
	('CA', 751, 'CKG', 3393, 'PVG', 3406, '', 0, '738 737\r'),
	('CA', 751, 'CKG', 3393, 'SHA', 3391, '', 0, '737\r'),
	('CA', 751, 'CKG', 3393, 'SJW', 6347, 'Y', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'SZX', 3374, '', 0, '738 737\r'),
	('CA', 751, 'CKG', 3393, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'TPE', 2276, '', 0, 'M90 738\r'),
	('CA', 751, 'CKG', 3393, 'TSN', 3368, '', 0, '737\r'),
	('CA', 751, 'CKG', 3393, 'URC', 3399, '', 0, '737\r'),
	('CA', 751, 'CKG', 3393, 'WNZ', 6392, '', 0, '319\r'),
	('CA', 751, 'CKG', 3393, 'WUH', 3376, 'Y', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'WUS', 6391, 'Y', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'WUX', 6390, '', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'XIY', 3379, '', 0, '737\r'),
	('CA', 751, 'CKG', 3393, 'XMN', 3383, '', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'YTY', 8876, '', 0, '738\r'),
	('CA', 751, 'CKG', 3393, 'ZUH', 6355, '', 0, '738\r'),
	('CA', 751, 'CNX', 3931, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'CNX', 3931, 'WUH', 3376, '', 0, '320\r'),
	('CA', 751, 'CPH', 609, 'FRA', 340, '', 0, '320 319 CR9\r'),
	('CA', 751, 'CPH', 609, 'GVA', 1665, '', 0, 'CR9 717\r'),
	('CA', 751, 'CPH', 609, 'PEK', 3364, 'Y', 0, '343\r'),
	('CA', 751, 'CSX', 3371, 'CTU', 3395, '', 0, '321 319\r'),
	('CA', 751, 'CSX', 3371, 'HFE', 3389, 'Y', 0, '738\r'),
	('CA', 751, 'CSX', 3371, 'KMG', 3382, '', 0, '738 737\r'),
	('CA', 751, 'CSX', 3371, 'PEK', 3364, '', 0, '321 738\r'),
	('CA', 751, 'CSX', 3371, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'CSX', 3371, 'TSN', 3368, '', 0, '738 737\r'),
	('CA', 751, 'CSX', 3371, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'CTS', 2287, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'CTU', 3395, 'AKU', 6404, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'BOM', 2997, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'BPX', 6396, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'CAN', 3370, '', 0, '321 319 320\r'),
	('CA', 751, 'CTU', 3395, 'CGO', 3375, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'CGQ', 4380, '', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'CIH', 6343, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'CSX', 3371, '', 0, '321 319\r'),
	('CA', 751, 'CTU', 3395, 'CZX', 4109, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'DCY', 9310, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'FOC', 3385, '', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'FRA', 340, '', 0, '330\r'),
	('CA', 751, 'CTU', 3395, 'HAK', 4120, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'HET', 6345, 'Y', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'HFE', 3389, '', 0, '321 319\r'),
	('CA', 751, 'CTU', 3395, 'HGH', 3386, '', 0, '321 320\r'),
	('CA', 751, 'CTU', 3395, 'HKG', 3077, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'HRB', 3400, '', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'ICN', 3930, 'Y', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'INC', 4085, '', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'JDZ', 6380, 'Y', 0, '738\r'),
	('CA', 751, 'CTU', 3395, 'JZH', 4301, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'KHG', 3397, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'KHI', 2206, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'KHN', 3384, '', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'KMG', 3382, '', 0, '319 320\r'),
	('CA', 751, 'CTU', 3395, 'KRL', 6407, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'KTM', 3125, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'KWE', 3394, '', 0, '321 320\r'),
	('CA', 751, 'CTU', 3395, 'KWL', 3372, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'LHW', 6431, '', 0, '320 319\r'),
	('CA', 751, 'CTU', 3395, 'LJG', 4033, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'LXA', 4097, '', 0, '319 330\r'),
	('CA', 751, 'CTU', 3395, 'LZY', 6402, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'MFM', 3121, '', 0, '321 319 320\r'),
	('CA', 751, 'CTU', 3395, 'NGB', 3387, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'NKG', 3388, '', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'NNG', 3373, '', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'NRT', 2279, 'Y', 0, '763\r'),
	('CA', 751, 'CTU', 3395, 'PEK', 3364, '', 0, '321 333 330 320 777 738\r'),
	('CA', 751, 'CTU', 3395, 'PVG', 3406, '', 0, '319 340 320 321 330\r'),
	('CA', 751, 'CTU', 3395, 'PZI', 6435, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'SHA', 3391, '', 0, '333\r'),
	('CA', 751, 'CTU', 3395, 'SHE', 4144, '', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'SIN', 3316, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'SWA', 4302, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'SYX', 4030, '', 0, '320 319\r'),
	('CA', 751, 'CTU', 3395, 'SZX', 3374, '', 0, '319 321\r'),
	('CA', 751, 'CTU', 3395, 'TAO', 3390, '', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'TNA', 4108, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'TPE', 2276, '', 0, '332 330\r'),
	('CA', 751, 'CTU', 3395, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'CTU', 3395, 'TYN', 3369, '', 0, '321\r'),
	('CA', 751, 'CTU', 3395, 'URC', 3399, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'UYN', 6368, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'WNZ', 6392, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'WUH', 3376, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'WUX', 6390, 'Y', 0, '738\r'),
	('CA', 751, 'CTU', 3395, 'XIC', 3396, '', 0, '319 320\r'),
	('CA', 751, 'CTU', 3395, 'XIY', 3379, '', 0, '738\r'),
	('CA', 751, 'CTU', 3395, 'XMN', 3383, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'XNN', 6366, '', 0, '320\r'),
	('CA', 751, 'CTU', 3395, 'YCU', 6430, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'YIN', 6409, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'YIW', 6394, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'YNT', 3392, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'ZHA', 6357, '', 0, '319\r'),
	('CA', 751, 'CTU', 3395, 'ZUH', 6355, '', 0, '319\r'),
	('CA', 751, 'CUN', 1852, 'IAH', 3550, '', 0, '739\r'),
	('CA', 751, 'CZX', 4109, 'CAN', 3370, 'Y', 0, '320\r'),
	('CA', 751, 'CZX', 4109, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'CZX', 4109, 'HRB', 3400, 'Y', 0, '320\r'),
	('CA', 751, 'CZX', 4109, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'CZX', 4109, 'SHE', 4144, 'Y', 0, '320\r'),
	('CA', 751, 'CZX', 4109, 'SZX', 3374, 'Y', 0, '320\r'),
	('CA', 751, 'DAT', 6344, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'DAX', 6397, 'CAN', 3370, '', 0, '737\r'),
	('CA', 751, 'DAX', 6397, 'KMG', 3382, '', 0, '737\r'),
	('CA', 751, 'DAX', 6397, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'DAX', 6397, 'SZX', 3374, '', 0, '319\r'),
	('CA', 751, 'DCY', 9310, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'DDG', 6433, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'DEL', 3093, 'PEK', 3364, '', 0, '333\r'),
	('CA', 751, 'DLC', 3404, 'CGO', 3375, 'Y', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'FUK', 2305, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'HFE', 3389, 'Y', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'HGH', 3386, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'HIJ', 2326, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'HKG', 3077, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'HRB', 3400, '', 0, '320\r'),
	('CA', 751, 'DLC', 3404, 'ICN', 3930, 'Y', 0, '321\r'),
	('CA', 751, 'DLC', 3404, 'KIX', 3992, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'NKG', 3388, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'NRT', 2279, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'NTG', 5475, 'Y', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'PVG', 3406, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'TAO', 3390, 'Y', 0, '738 CR2\r'),
	('CA', 751, 'DLC', 3404, 'TNA', 4108, 'Y', 0, 'CR2\r'),
	('CA', 751, 'DLC', 3404, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'TYN', 3369, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'WUX', 6390, '', 0, '738\r'),
	('CA', 751, 'DLC', 3404, 'XIY', 3379, '', 0, '738 320\r'),
	('CA', 751, 'DSN', 6434, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'DSN', 6434, 'TYN', 3369, 'Y', 0, 'CR2\r'),
	('CA', 751, 'DUS', 345, 'PEK', 3364, '', 0, '330\r'),
	('CA', 751, 'DXB', 2188, 'PEK', 3364, '', 0, '333\r'),
	('CA', 751, 'DYG', 6353, 'PEK', 3364, '', 0, '737 738\r'),
	('CA', 751, 'EWR', 3494, 'PEK', 3364, 'Y', 0, '777\r'),
	('CA', 751, 'EWR', 3494, 'PVG', 3406, 'Y', 0, '777\r'),
	('CA', 751, 'FCO', 1555, 'PEK', 3364, '', 0, '330\r'),
	('CA', 751, 'FNJ', 3377, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'FOC', 3385, 'CTU', 3395, '', 0, '321\r'),
	('CA', 751, 'FOC', 3385, 'HAK', 4120, 'Y', 0, 'CR2\r'),
	('CA', 751, 'FOC', 3385, 'JDZ', 6380, '', 0, '320\r'),
	('CA', 751, 'FOC', 3385, 'KWL', 3372, 'Y', 0, '738\r'),
	('CA', 751, 'FOC', 3385, 'NKG', 3388, 'Y', 0, '320 738\r'),
	('CA', 751, 'FOC', 3385, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'FOC', 3385, 'TNA', 4108, 'Y', 0, 'CR2\r'),
	('CA', 751, 'FOC', 3385, 'WUX', 6390, 'Y', 0, '738\r'),
	('CA', 751, 'FOC', 3385, 'ZUH', 6355, 'Y', 0, '738\r'),
	('CA', 751, 'FRA', 340, 'CPH', 609, '', 0, '320 319 321\r'),
	('CA', 751, 'FRA', 340, 'CTU', 3395, '', 0, '330\r'),
	('CA', 751, 'FRA', 340, 'NKG', 3388, 'Y', 0, '343\r'),
	('CA', 751, 'FRA', 340, 'PEK', 3364, '', 0, '773\r'),
	('CA', 751, 'FRA', 340, 'PVG', 3406, '', 0, '330\r'),
	('CA', 751, 'FRA', 340, 'SHE', 4144, 'Y', 0, '343\r'),
	('CA', 751, 'FUG', 7503, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'FUK', 2305, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'FUK', 2305, 'PVG', 3406, '', 0, '320\r'),
	('CA', 751, 'GMP', 2378, 'PEK', 3364, '', 0, '738 333\r'),
	('CA', 751, 'GOT', 687, 'ARN', 737, 'Y', 0, '73W 717 736 73H\r'),
	('CA', 751, 'GRU', 2564, 'MAD', 1229, '', 0, '330\r'),
	('CA', 751, 'GVA', 1665, 'ARN', 737, '', 0, '736 73H 717\r'),
	('CA', 751, 'GVA', 1665, 'CPH', 609, '', 0, 'CR9 717\r'),
	('CA', 751, 'GVA', 1665, 'PEK', 3364, '', 0, '330\r'),
	('CA', 751, 'GYS', 6398, 'CAN', 3370, '', 0, '737\r'),
	('CA', 751, 'GYS', 6398, 'HGH', 3386, '', 0, '319\r'),
	('CA', 751, 'GYS', 6398, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'GYS', 6398, 'SZX', 3374, '', 0, '319\r'),
	('CA', 751, 'HAK', 4120, 'CAN', 3370, 'Y', 0, '320 738\r'),
	('CA', 751, 'HAK', 4120, 'CGO', 3375, '', 0, '320\r'),
	('CA', 751, 'HAK', 4120, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'HAK', 4120, 'FOC', 3385, 'Y', 0, 'CR2\r'),
	('CA', 751, 'HAK', 4120, 'HGH', 3386, '', 0, '319\r'),
	('CA', 751, 'HAK', 4120, 'NKG', 3388, '', 0, '320\r'),
	('CA', 751, 'HAK', 4120, 'PEK', 3364, '', 0, '321\r'),
	('CA', 751, 'HAK', 4120, 'SZX', 3374, 'Y', 0, '320 738 319\r'),
	('CA', 751, 'HAK', 4120, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'HEL', 421, 'ARN', 737, '', 0, '717 73W AT7\r'),
	('CA', 751, 'HEL', 421, 'PEK', 3364, '', 0, '333\r'),
	('CA', 751, 'HEL', 421, 'PVG', 3406, '', 0, '343\r'),
	('CA', 751, 'HET', 6345, 'CAN', 3370, '', 0, '737\r'),
	('CA', 751, 'HET', 6345, 'CTU', 3395, 'Y', 0, '320\r'),
	('CA', 751, 'HET', 6345, 'HGH', 3386, '', 0, '319\r'),
	('CA', 751, 'HET', 6345, 'HLD', 3366, '', 0, '320\r'),
	('CA', 751, 'HET', 6345, 'PEK', 3364, '', 0, '737 738 321\r'),
	('CA', 751, 'HET', 6345, 'PVG', 3406, '', 0, '321\r'),
	('CA', 751, 'HET', 6345, 'SHE', 4144, 'Y', 0, '320\r'),
	('CA', 751, 'HET', 6345, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'HET', 6345, 'TPE', 2276, '', 0, '321\r'),
	('CA', 751, 'HET', 6345, 'TSN', 3368, 'Y', 0, '738\r'),
	('CA', 751, 'HET', 6345, 'WUH', 3376, '', 0, '320\r'),
	('CA', 751, 'HFE', 3389, 'CAN', 3370, '', 0, '738\r'),
	('CA', 751, 'HFE', 3389, 'CSX', 3371, 'Y', 0, '738\r'),
	('CA', 751, 'HFE', 3389, 'CTU', 3395, '', 0, '321 319\r'),
	('CA', 751, 'HFE', 3389, 'DLC', 3404, 'Y', 0, '738\r'),
	('CA', 751, 'HFE', 3389, 'ICN', 3930, '', 0, '321\r'),
	('CA', 751, 'HFE', 3389, 'KWE', 3394, 'Y', 0, '738\r'),
	('CA', 751, 'HFE', 3389, 'MFM', 3121, '', 0, '320 321\r'),
	('CA', 751, 'HFE', 3389, 'PEK', 3364, '', 0, '738 321\r'),
	('CA', 751, 'HFE', 3389, 'SZX', 3374, 'Y', 0, '738 320\r'),
	('CA', 751, 'HFE', 3389, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'HFE', 3389, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'HGH', 3386, 'BHY', 6351, '', 0, '319\r'),
	('CA', 751, 'HGH', 3386, 'CAN', 3370, '', 0, '320 738 321\r'),
	('CA', 751, 'HGH', 3386, 'CGO', 3375, '', 0, '319\r'),
	('CA', 751, 'HGH', 3386, 'CKG', 3393, '', 0, '319 320 738 737\r'),
	('CA', 751, 'HGH', 3386, 'CTU', 3395, '', 0, '320 321\r'),
	('CA', 751, 'HGH', 3386, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'HGH', 3386, 'GYS', 6398, '', 0, '319\r'),
	('CA', 751, 'HGH', 3386, 'HAK', 4120, '', 0, '319\r'),
	('CA', 751, 'HGH', 3386, 'HET', 6345, '', 0, '319\r'),
	('CA', 751, 'HGH', 3386, 'HKG', 3077, 'Y', 0, '333 321 320\r'),
	('CA', 751, 'HGH', 3386, 'ICN', 3930, '', 0, '321\r'),
	('CA', 751, 'HGH', 3386, 'INC', 4085, '', 0, '319\r'),
	('CA', 751, 'HGH', 3386, 'JJN', 6386, 'Y', 0, '320\r'),
	('CA', 751, 'HGH', 3386, 'KIX', 3992, 'Y', 0, '737\r'),
	('CA', 751, 'HGH', 3386, 'KMG', 3382, '', 0, '319\r'),
	('CA', 751, 'HGH', 3386, 'KWE', 3394, '', 0, '320 319\r'),
	('CA', 751, 'HGH', 3386, 'KWL', 3372, '', 0, '319 320\r'),
	('CA', 751, 'HGH', 3386, 'LHW', 6431, '', 0, '319\r'),
	('CA', 751, 'HGH', 3386, 'LJG', 4033, '', 0, '319\r'),
	('CA', 751, 'HGH', 3386, 'MFM', 3121, '', 0, '321 320 319\r'),
	('CA', 751, 'HGH', 3386, 'NNG', 3373, '', 0, '319\r'),
	('CA', 751, 'HGH', 3386, 'NRT', 2279, 'Y', 0, '737\r'),
	('CA', 751, 'HGH', 3386, 'PEK', 3364, '', 0, '321 320 330 738\r'),
	('CA', 751, 'HGH', 3386, 'PUS', 2372, 'Y', 0, '320\r'),
	('CA', 751, 'HGH', 3386, 'SHE', 4144, 'Y', 0, '320\r'),
	('CA', 751, 'HGH', 3386, 'SZX', 3374, '', 0, '319 320\r'),
	('CA', 751, 'HGH', 3386, 'TAO', 3390, '', 0, '319 320\r'),
	('CA', 751, 'HGH', 3386, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'HGH', 3386, 'TPE', 2276, '', 0, '321 332 M90 744\r'),
	('CA', 751, 'HGH', 3386, 'XIY', 3379, '', 0, '319 320\r'),
	('CA', 751, 'HGH', 3386, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'HGH', 3386, 'YCU', 6430, '', 0, '320\r'),
	('CA', 751, 'HGH', 3386, 'YNT', 3392, 'Y', 0, '738\r'),
	('CA', 751, 'HIJ', 2326, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'HKG', 3077, 'CKG', 3393, '', 0, '737\r'),
	('CA', 751, 'HKG', 3077, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'HKG', 3077, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'HKG', 3077, 'HGH', 3386, 'Y', 0, '321 333 320\r'),
	('CA', 751, 'HKG', 3077, 'PEK', 3364, '', 0, '772 321 744 333 320\r'),
	('CA', 751, 'HKG', 3077, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'HKG', 3077, 'WUH', 3376, '', 0, '320\r'),
	('CA', 751, 'HKT', 3179, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'HLD', 3366, 'HET', 6345, '', 0, '320\r'),
	('CA', 751, 'HLD', 3366, 'HTA', 2935, '', 0, '737\r'),
	('CA', 751, 'HLD', 3366, 'PEK', 3364, '', 0, '738 737\r'),
	('CA', 751, 'HLH', 6349, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'HMI', 6743, 'KRL', 6407, '', 0, '737\r'),
	('CA', 751, 'HMI', 6743, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'HND', 2359, 'PEK', 3364, '', 0, '321 330\r'),
	('CA', 751, 'HND', 2359, 'SHA', 3391, 'Y', 0, '777\r'),
	('CA', 751, 'HNL', 3728, 'PEK', 3364, '', 0, '330\r'),
	('CA', 751, 'HRB', 3400, 'CAN', 3370, 'Y', 0, '320\r'),
	('CA', 751, 'HRB', 3400, 'CGO', 3375, '', 0, '320\r'),
	('CA', 751, 'HRB', 3400, 'CTU', 3395, '', 0, '321\r'),
	('CA', 751, 'HRB', 3400, 'CZX', 4109, 'Y', 0, '320\r'),
	('CA', 751, 'HRB', 3400, 'DLC', 3404, '', 0, '320\r'),
	('CA', 751, 'HRB', 3400, 'PEK', 3364, '', 0, '738 321\r'),
	('CA', 751, 'HRB', 3400, 'SZX', 3374, 'Y', 0, '320 738\r'),
	('CA', 751, 'HRB', 3400, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'HRB', 3400, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'HRB', 3400, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'HRB', 3400, 'TYN', 3369, 'Y', 0, '320\r'),
	('CA', 751, 'HRB', 3400, 'XIY', 3379, '', 0, '737\r'),
	('CA', 751, 'HRB', 3400, 'YNT', 3392, 'Y', 0, '738\r'),
	('CA', 751, 'HSN', 6395, 'JJN', 6386, 'Y', 0, '320\r'),
	('CA', 751, 'HTA', 2935, 'HLD', 3366, '', 0, '737\r'),
	('CA', 751, 'HTN', 3398, 'URC', 3399, '', 0, '738\r'),
	('CA', 751, 'HYN', 6384, 'CAN', 3370, 'Y', 0, '320\r'),
	('CA', 751, 'HYN', 6384, 'PEK', 3364, '', 0, '738\r');
INSERT INTO `route` (`Airline`, `Airline_ID`, `Source_airport`, `Source_airport_ID`, `Destination_airport`, `Destination_airport_ID`, `Codeshare`, `Stops`, `Equipment`) VALUES
	('CA', 751, 'HYN', 6384, 'SZX', 3374, '', 0, '738\r'),
	('CA', 751, 'HYN', 6384, 'ZUH', 6355, '', 0, '738\r'),
	('CA', 751, 'IAD', 3714, 'PEK', 3364, 'Y', 0, '777\r'),
	('CA', 751, 'IAH', 3550, 'ATL', 3682, 'Y', 0, 'CRJ ERJ\r'),
	('CA', 751, 'IAH', 3550, 'CUN', 1852, '', 0, '739\r'),
	('CA', 751, 'IAH', 3550, 'MEX', 1824, '', 0, 'ERJ 319 73G\r'),
	('CA', 751, 'IAH', 3550, 'PEK', 3364, '', 0, '773\r'),
	('CA', 751, 'ICN', 3930, 'CKG', 3393, '', 0, '763 321\r'),
	('CA', 751, 'ICN', 3930, 'CTU', 3395, 'Y', 0, '321\r'),
	('CA', 751, 'ICN', 3930, 'DLC', 3404, 'Y', 0, '321\r'),
	('CA', 751, 'ICN', 3930, 'HFE', 3389, '', 0, '321\r'),
	('CA', 751, 'ICN', 3930, 'HGH', 3386, '', 0, '321\r'),
	('CA', 751, 'ICN', 3930, 'PEK', 3364, '', 0, '330 738\r'),
	('CA', 751, 'ICN', 3930, 'TAO', 3390, '', 0, '738 321\r'),
	('CA', 751, 'ICN', 3930, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'ICN', 3930, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'ICN', 3930, 'YNJ', 6414, '', 0, '738\r'),
	('CA', 751, 'ICN', 3930, 'YNT', 3392, '', 0, '321\r'),
	('CA', 751, 'INC', 4085, 'CGQ', 4380, '', 0, '737\r'),
	('CA', 751, 'INC', 4085, 'CKG', 3393, '', 0, '737\r'),
	('CA', 751, 'INC', 4085, 'CTU', 3395, '', 0, '321\r'),
	('CA', 751, 'INC', 4085, 'HGH', 3386, '', 0, '319\r'),
	('CA', 751, 'INC', 4085, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'INC', 4085, 'PVG', 3406, '', 0, '320\r'),
	('CA', 751, 'INC', 4085, 'SJW', 6347, 'Y', 0, '738\r'),
	('CA', 751, 'INC', 4085, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'INC', 4085, 'URC', 3399, 'Y', 0, '738\r'),
	('CA', 751, 'INC', 4085, 'WUH', 3376, 'Y', 0, '738\r'),
	('CA', 751, 'INC', 4085, 'XIY', 3379, '', 0, '320 738\r'),
	('CA', 751, 'INC', 4085, 'XNN', 6366, 'Y', 0, 'CR2\r'),
	('CA', 751, 'IST', 1701, 'CAN', 3370, '', 0, '330 343\r'),
	('CA', 751, 'IST', 1701, 'PEK', 3364, '', 0, '77W\r'),
	('CA', 751, 'IST', 1701, 'PVG', 3406, '', 0, '77W\r'),
	('CA', 751, 'JDZ', 6380, 'CAN', 3370, 'Y', 0, '320\r'),
	('CA', 751, 'JDZ', 6380, 'CTU', 3395, 'Y', 0, '738\r'),
	('CA', 751, 'JDZ', 6380, 'FOC', 3385, '', 0, '320\r'),
	('CA', 751, 'JDZ', 6380, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'JDZ', 6380, 'SHA', 3391, 'Y', 0, '320\r'),
	('CA', 751, 'JDZ', 6380, 'SZX', 3374, 'Y', 0, '320\r'),
	('CA', 751, 'JDZ', 6380, 'XIY', 3379, '', 0, '320\r'),
	('CA', 751, 'JDZ', 6380, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'JFK', 3797, 'PEK', 3364, '', 0, '773\r'),
	('CA', 751, 'JGS', 6428, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'JIU', 6381, 'PEK', 3364, 'Y', 0, '737\r'),
	('CA', 751, 'JIU', 6381, 'XMN', 3383, 'Y', 0, '737\r'),
	('CA', 751, 'JJN', 6386, 'CAN', 3370, 'Y', 0, '320\r'),
	('CA', 751, 'JJN', 6386, 'HGH', 3386, 'Y', 0, '320\r'),
	('CA', 751, 'JJN', 6386, 'HSN', 6395, 'Y', 0, '320\r'),
	('CA', 751, 'JJN', 6386, 'PVG', 3406, '', 0, '320\r'),
	('CA', 751, 'JJN', 6386, 'SZX', 3374, '', 0, '320\r'),
	('CA', 751, 'JMU', 6411, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'JNZ', 6412, 'TAO', 3390, 'Y', 0, 'CR7\r'),
	('CA', 751, 'JUZ', 6382, 'SZX', 3374, 'Y', 0, '320\r'),
	('CA', 751, 'JUZ', 6382, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'JZH', 4301, 'CAN', 3370, '', 0, '319\r'),
	('CA', 751, 'JZH', 4301, 'CKG', 3393, '', 0, '737\r'),
	('CA', 751, 'JZH', 4301, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'JZH', 4301, 'PVG', 3406, '', 0, '319\r'),
	('CA', 751, 'KHG', 3397, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'KHG', 3397, 'URC', 3399, '', 0, '738\r'),
	('CA', 751, 'KHI', 2206, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'KHN', 3384, 'CAN', 3370, '', 0, '320\r'),
	('CA', 751, 'KHN', 3384, 'CTU', 3395, '', 0, '321\r'),
	('CA', 751, 'KHN', 3384, 'KWE', 3394, 'Y', 0, '733\r'),
	('CA', 751, 'KHN', 3384, 'PEK', 3364, '', 0, '738 321\r'),
	('CA', 751, 'KHN', 3384, 'PVG', 3406, 'Y', 0, '320\r'),
	('CA', 751, 'KHN', 3384, 'SZX', 3374, 'Y', 0, '320 319\r'),
	('CA', 751, 'KHN', 3384, 'TAO', 3390, 'Y', 0, '320 737\r'),
	('CA', 751, 'KHN', 3384, 'TNA', 4108, 'Y', 0, '733\r'),
	('CA', 751, 'KHN', 3384, 'ZUH', 6355, 'Y', 0, '737\r'),
	('CA', 751, 'KIX', 3992, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'KIX', 3992, 'HGH', 3386, 'Y', 0, '737\r'),
	('CA', 751, 'KIX', 3992, 'PEK', 3364, '', 0, '321 738\r'),
	('CA', 751, 'KIX', 3992, 'PVG', 3406, '', 0, '320 330\r'),
	('CA', 751, 'KIX', 3992, 'TAO', 3390, 'Y', 0, '763\r'),
	('CA', 751, 'KIX', 3992, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'CAN', 3370, '', 0, '320\r'),
	('CA', 751, 'KMG', 3382, 'CGO', 3375, 'Y', 0, '320\r'),
	('CA', 751, 'KMG', 3382, 'CKG', 3393, '', 0, '737\r'),
	('CA', 751, 'KMG', 3382, 'CSX', 3371, '', 0, '738 737\r'),
	('CA', 751, 'KMG', 3382, 'CTU', 3395, '', 0, '320 319\r'),
	('CA', 751, 'KMG', 3382, 'DAX', 6397, '', 0, '737\r'),
	('CA', 751, 'KMG', 3382, 'HGH', 3386, '', 0, '319\r'),
	('CA', 751, 'KMG', 3382, 'KWE', 3394, 'Y', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'NKG', 3388, 'Y', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'PVG', 3406, '', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'RGN', 3239, '', 0, '319\r'),
	('CA', 751, 'KMG', 3382, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'TYN', 3369, 'Y', 0, '320\r'),
	('CA', 751, 'KMG', 3382, 'WNZ', 6392, '', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'WUH', 3376, 'Y', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'KMG', 3382, 'YCU', 6430, '', 0, '738 737\r'),
	('CA', 751, 'KOW', 6379, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'KRL', 6407, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'KRL', 6407, 'HMI', 6743, '', 0, '737\r'),
	('CA', 751, 'KTM', 3125, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'KTM', 3125, 'LXA', 4097, '', 0, '319 330\r'),
	('CA', 751, 'KWE', 3394, 'CAN', 3370, '', 0, '737\r'),
	('CA', 751, 'KWE', 3394, 'CGO', 3375, 'Y', 0, '738\r'),
	('CA', 751, 'KWE', 3394, 'CKG', 3393, 'Y', 0, '738\r'),
	('CA', 751, 'KWE', 3394, 'CTU', 3395, '', 0, '320 321\r'),
	('CA', 751, 'KWE', 3394, 'HFE', 3389, 'Y', 0, '738\r'),
	('CA', 751, 'KWE', 3394, 'HGH', 3386, '', 0, '320 319\r'),
	('CA', 751, 'KWE', 3394, 'KHN', 3384, 'Y', 0, '733\r'),
	('CA', 751, 'KWE', 3394, 'KMG', 3382, 'Y', 0, '738\r'),
	('CA', 751, 'KWE', 3394, 'NKG', 3388, 'Y', 0, '738\r'),
	('CA', 751, 'KWE', 3394, 'PEK', 3364, '', 0, '320 738\r'),
	('CA', 751, 'KWE', 3394, 'PVG', 3406, '', 0, '320\r'),
	('CA', 751, 'KWE', 3394, 'SHA', 3391, '', 0, '320\r'),
	('CA', 751, 'KWE', 3394, 'SZX', 3374, '', 0, '321\r'),
	('CA', 751, 'KWE', 3394, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'KWE', 3394, 'WNZ', 6392, '', 0, '319\r'),
	('CA', 751, 'KWE', 3394, 'WUH', 3376, 'Y', 0, '738\r'),
	('CA', 751, 'KWE', 3394, 'XIY', 3379, 'Y', 0, '738\r'),
	('CA', 751, 'KWE', 3394, 'XMN', 3383, 'Y', 0, '737 738\r'),
	('CA', 751, 'KWE', 3394, 'ZUH', 6355, 'Y', 0, '738\r'),
	('CA', 751, 'KWL', 3372, 'CGO', 3375, 'Y', 0, '738\r'),
	('CA', 751, 'KWL', 3372, 'CKG', 3393, 'Y', 0, '738\r'),
	('CA', 751, 'KWL', 3372, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'KWL', 3372, 'FOC', 3385, 'Y', 0, '738\r'),
	('CA', 751, 'KWL', 3372, 'HGH', 3386, '', 0, '319 320\r'),
	('CA', 751, 'KWL', 3372, 'NGB', 3387, 'Y', 0, '738\r'),
	('CA', 751, 'KWL', 3372, 'NKG', 3388, 'Y', 0, '738\r'),
	('CA', 751, 'KWL', 3372, 'PEK', 3364, '', 0, '321 738\r'),
	('CA', 751, 'KWL', 3372, 'PVG', 3406, '', 0, '320 321\r'),
	('CA', 751, 'KWL', 3372, 'SZX', 3374, 'Y', 0, '319\r'),
	('CA', 751, 'KWL', 3372, 'XIY', 3379, '', 0, '738\r'),
	('CA', 751, 'KWL', 3372, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'LAX', 3484, 'PEK', 3364, '', 0, '773\r'),
	('CA', 751, 'LAX', 3484, 'PVG', 3406, 'Y', 0, '788\r'),
	('CA', 751, 'LGW', 502, 'PEK', 3364, '', 0, '330\r'),
	('CA', 751, 'LHR', 507, 'PEK', 3364, '', 0, '773\r'),
	('CA', 751, 'LHR', 507, 'PVG', 3406, 'Y', 0, '346\r'),
	('CA', 751, 'LHW', 6431, 'CGO', 3375, 'Y', 0, '738\r'),
	('CA', 751, 'LHW', 6431, 'CTU', 3395, '', 0, '320 319\r'),
	('CA', 751, 'LHW', 6431, 'HGH', 3386, '', 0, '319\r'),
	('CA', 751, 'LHW', 6431, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'LHW', 6431, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'LHW', 6431, 'TYN', 3369, 'Y', 0, '738\r'),
	('CA', 751, 'LHW', 6431, 'URC', 3399, 'Y', 0, '738\r'),
	('CA', 751, 'LHW', 6431, 'XIY', 3379, 'Y', 0, '738\r'),
	('CA', 751, 'LHW', 6431, 'YCU', 6430, 'Y', 0, '738\r'),
	('CA', 751, 'LJG', 4033, 'CKG', 3393, '', 0, '737\r'),
	('CA', 751, 'LJG', 4033, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'LJG', 4033, 'HGH', 3386, '', 0, '319\r'),
	('CA', 751, 'LJG', 4033, 'PEK', 3364, '', 0, '320\r'),
	('CA', 751, 'LXA', 4097, 'CKG', 3393, '', 0, '319\r'),
	('CA', 751, 'LXA', 4097, 'CTU', 3395, '', 0, '330 319\r'),
	('CA', 751, 'LXA', 4097, 'KTM', 3125, '', 0, '319 330\r'),
	('CA', 751, 'LXA', 4097, 'PEK', 3364, '', 0, '319\r'),
	('CA', 751, 'LYI', 6385, 'CAN', 3370, '', 0, '320\r'),
	('CA', 751, 'LYI', 6385, 'SHE', 4144, '', 0, '320\r'),
	('CA', 751, 'LZH', 6356, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'LZO', 6399, 'CAN', 3370, '', 0, '737\r'),
	('CA', 751, 'LZY', 6402, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'MAD', 1229, 'GRU', 2564, '', 0, '330\r'),
	('CA', 751, 'MAD', 1229, 'PEK', 3364, '', 0, '330\r'),
	('CA', 751, 'MDG', 4334, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'MEL', 3339, 'PVG', 3406, '', 0, '330\r'),
	('CA', 751, 'MEX', 1824, 'IAH', 3550, '', 0, 'ERJ 320\r'),
	('CA', 751, 'MFM', 3121, 'CGO', 3375, '', 0, '320 319\r'),
	('CA', 751, 'MFM', 3121, 'CKG', 3393, '', 0, '319 320\r'),
	('CA', 751, 'MFM', 3121, 'CTU', 3395, '', 0, '321 319 320\r'),
	('CA', 751, 'MFM', 3121, 'HFE', 3389, '', 0, '320 321\r'),
	('CA', 751, 'MFM', 3121, 'HGH', 3386, '', 0, '321 320 319\r'),
	('CA', 751, 'MFM', 3121, 'NGB', 3387, '', 0, '320 319\r'),
	('CA', 751, 'MFM', 3121, 'NKG', 3388, '', 0, '321\r'),
	('CA', 751, 'MFM', 3121, 'NNG', 3373, '', 0, '319 320 321\r'),
	('CA', 751, 'MFM', 3121, 'PEK', 3364, '', 0, '320 321 319\r'),
	('CA', 751, 'MFM', 3121, 'PVG', 3406, '', 0, '321\r'),
	('CA', 751, 'MFM', 3121, 'SHA', 3391, '', 0, '321 320 319\r'),
	('CA', 751, 'MFM', 3121, 'SHE', 4144, '', 0, '319\r'),
	('CA', 751, 'MFM', 3121, 'TYN', 3369, '', 0, '320 319\r'),
	('CA', 751, 'MFM', 3121, 'WUH', 3376, '', 0, '320\r'),
	('CA', 751, 'MFM', 3121, 'XMN', 3383, '', 0, '319 321\r'),
	('CA', 751, 'MIG', 6400, 'CGO', 3375, 'Y', 0, 'CR2\r'),
	('CA', 751, 'MIG', 6400, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'MIG', 6400, 'SZX', 3374, 'Y', 0, '320 738\r'),
	('CA', 751, 'MNL', 2397, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'MUC', 346, 'ATH', 3941, '', 0, '330\r'),
	('CA', 751, 'MUC', 346, 'PEK', 3364, '', 0, '330\r'),
	('CA', 751, 'MUC', 346, 'PVG', 3406, 'Y', 0, '346\r'),
	('CA', 751, 'MWX', 4189, 'PEK', 3364, 'Y', 0, '321\r'),
	('CA', 751, 'MXP', 1524, 'PEK', 3364, '', 0, '330\r'),
	('CA', 751, 'MXP', 1524, 'PVG', 3406, '', 0, '330\r'),
	('CA', 751, 'NDG', 6413, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'NGB', 3387, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'NGB', 3387, 'KWL', 3372, 'Y', 0, '738\r'),
	('CA', 751, 'NGB', 3387, 'MFM', 3121, '', 0, '320 319\r'),
	('CA', 751, 'NGB', 3387, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'NGB', 3387, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'NGO', 3942, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'NGO', 3942, 'PVG', 3406, '', 0, '319\r'),
	('CA', 751, 'NKG', 3388, 'CAN', 3370, '', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'CGQ', 4380, '', 0, '320\r'),
	('CA', 751, 'NKG', 3388, 'CKG', 3393, '', 0, '737 738\r'),
	('CA', 751, 'NKG', 3388, 'CTU', 3395, '', 0, '321\r'),
	('CA', 751, 'NKG', 3388, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'FOC', 3385, 'Y', 0, '320 738\r'),
	('CA', 751, 'NKG', 3388, 'FRA', 340, 'Y', 0, '343\r'),
	('CA', 751, 'NKG', 3388, 'HAK', 4120, '', 0, '320\r'),
	('CA', 751, 'NKG', 3388, 'KMG', 3382, 'Y', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'KWE', 3394, 'Y', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'KWL', 3372, 'Y', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'MFM', 3121, '', 0, '321\r'),
	('CA', 751, 'NKG', 3388, 'NNG', 3373, '', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'PEK', 3364, '', 0, '738 321\r'),
	('CA', 751, 'NKG', 3388, 'SHE', 4144, 'Y', 0, '320\r'),
	('CA', 751, 'NKG', 3388, 'SZX', 3374, '', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'TYN', 3369, 'Y', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'XIY', 3379, 'Y', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'XMN', 3383, '', 0, '738\r'),
	('CA', 751, 'NKG', 3388, 'YNT', 3392, 'Y', 0, '738\r'),
	('CA', 751, 'NNG', 3373, 'CAN', 3370, 'Y', 0, '738\r'),
	('CA', 751, 'NNG', 3373, 'CGO', 3375, '', 0, '320\r'),
	('CA', 751, 'NNG', 3373, 'CTU', 3395, '', 0, '321\r'),
	('CA', 751, 'NNG', 3373, 'HGH', 3386, '', 0, '319\r'),
	('CA', 751, 'NNG', 3373, 'MFM', 3121, '', 0, '319 320 321\r'),
	('CA', 751, 'NNG', 3373, 'NKG', 3388, '', 0, '738\r'),
	('CA', 751, 'NNG', 3373, 'PEK', 3364, '', 0, '321 738\r'),
	('CA', 751, 'NNG', 3373, 'SYX', 4030, 'Y', 0, '320\r'),
	('CA', 751, 'NNG', 3373, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'NNG', 3373, 'WUH', 3376, 'Y', 0, '738\r'),
	('CA', 751, 'NNG', 3373, 'XIY', 3379, 'Y', 0, '320\r'),
	('CA', 751, 'NNG', 3373, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'NNG', 3373, 'ZUH', 6355, '', 0, '738\r'),
	('CA', 751, 'NRT', 2279, 'CAN', 3370, 'Y', 0, '763\r'),
	('CA', 751, 'NRT', 2279, 'CTU', 3395, 'Y', 0, '763\r'),
	('CA', 751, 'NRT', 2279, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'NRT', 2279, 'HGH', 3386, 'Y', 0, '737\r'),
	('CA', 751, 'NRT', 2279, 'PEK', 3364, '', 0, '320 321 738\r'),
	('CA', 751, 'NRT', 2279, 'PVG', 3406, '', 0, '738 321\r'),
	('CA', 751, 'NRT', 2279, 'SHE', 4144, 'Y', 0, '737\r'),
	('CA', 751, 'NRT', 2279, 'TAO', 3390, 'Y', 0, '763\r'),
	('CA', 751, 'NRT', 2279, 'XMN', 3383, 'Y', 0, '763\r'),
	('CA', 751, 'NTG', 5475, 'CAN', 3370, '', 0, '320\r'),
	('CA', 751, 'NTG', 5475, 'DLC', 3404, 'Y', 0, '738\r'),
	('CA', 751, 'NTG', 5475, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'NTG', 5475, 'SHE', 4144, 'Y', 0, '738\r'),
	('CA', 751, 'NTG', 5475, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'NTG', 5475, 'TSN', 3368, '', 0, '320\r'),
	('CA', 751, 'NTG', 5475, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'OKA', 2384, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'ORD', 3830, 'PEK', 3364, 'Y', 0, '777\r'),
	('CA', 751, 'ORD', 3830, 'PVG', 3406, 'Y', 0, '744\r'),
	('CA', 751, 'PEK', 3364, 'ADD', 1107, '', 0, '77L\r'),
	('CA', 751, 'PEK', 3364, 'ARN', 737, '', 0, '333\r'),
	('CA', 751, 'PEK', 3364, 'BAV', 6346, '', 0, '738 737\r'),
	('CA', 751, 'PEK', 3364, 'BHY', 6351, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'BKK', 3885, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'CAI', 1128, 'Y', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'CAN', 3370, '', 0, '321 777 772 738 773 744 333\r'),
	('CA', 751, 'PEK', 3364, 'CDG', 1382, '', 0, '773\r'),
	('CA', 751, 'PEK', 3364, 'CGO', 3375, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'CGQ', 4380, '', 0, '330 738 321 320\r'),
	('CA', 751, 'PEK', 3364, 'CHG', 6772, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'CIF', 6342, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'CJJ', 6008, 'Y', 0, '321\r'),
	('CA', 751, 'PEK', 3364, 'CKG', 3393, '', 0, '330 737 738 321 773\r'),
	('CA', 751, 'PEK', 3364, 'CNX', 3931, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'CPH', 609, 'Y', 0, '343\r'),
	('CA', 751, 'PEK', 3364, 'CSX', 3371, '', 0, '321 738\r'),
	('CA', 751, 'PEK', 3364, 'CTS', 2287, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'CTU', 3395, '', 0, '321 330 777 333 320 738\r'),
	('CA', 751, 'PEK', 3364, 'CZX', 4109, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'DAT', 6344, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'DAX', 6397, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'DDG', 6433, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'DEL', 3093, '', 0, '333\r'),
	('CA', 751, 'PEK', 3364, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'DSN', 6434, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'DUS', 345, '', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'DXB', 2188, '', 0, '333\r'),
	('CA', 751, 'PEK', 3364, 'DYG', 6353, '', 0, '737 738\r'),
	('CA', 751, 'PEK', 3364, 'EWR', 3494, 'Y', 0, '777\r'),
	('CA', 751, 'PEK', 3364, 'FCO', 1555, '', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'FNJ', 3377, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'FOC', 3385, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'FRA', 340, '', 0, '773\r'),
	('CA', 751, 'PEK', 3364, 'FUG', 7503, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'GMP', 2378, '', 0, '738 333\r'),
	('CA', 751, 'PEK', 3364, 'GVA', 1665, '', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'GYS', 6398, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'HAK', 4120, '', 0, '321\r'),
	('CA', 751, 'PEK', 3364, 'HEL', 421, '', 0, '333\r'),
	('CA', 751, 'PEK', 3364, 'HET', 6345, '', 0, '738 737 321\r'),
	('CA', 751, 'PEK', 3364, 'HFE', 3389, '', 0, '738 321\r'),
	('CA', 751, 'PEK', 3364, 'HGH', 3386, '', 0, '321 330 320 738\r'),
	('CA', 751, 'PEK', 3364, 'HKG', 3077, '', 0, '320 321 744 333 772\r'),
	('CA', 751, 'PEK', 3364, 'HKT', 3179, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'HLD', 3366, '', 0, '738 737\r'),
	('CA', 751, 'PEK', 3364, 'HLH', 6349, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'HMI', 6743, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'HND', 2359, '', 0, '330 321\r'),
	('CA', 751, 'PEK', 3364, 'HNL', 3728, '', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'HRB', 3400, '', 0, '321 738\r'),
	('CA', 751, 'PEK', 3364, 'HYN', 6384, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'IAD', 3714, 'Y', 0, '777\r'),
	('CA', 751, 'PEK', 3364, 'IAH', 3550, '', 0, '773\r'),
	('CA', 751, 'PEK', 3364, 'ICN', 3930, '', 0, '330 738\r'),
	('CA', 751, 'PEK', 3364, 'INC', 4085, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'IST', 1701, '', 0, '77W\r'),
	('CA', 751, 'PEK', 3364, 'JDZ', 6380, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'JFK', 3797, '', 0, '773\r'),
	('CA', 751, 'PEK', 3364, 'JGS', 6428, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'JIU', 6381, 'Y', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'JMU', 6411, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'JNB', 813, 'Y', 0, '343\r'),
	('CA', 751, 'PEK', 3364, 'KHN', 3384, '', 0, '321 738\r'),
	('CA', 751, 'PEK', 3364, 'KIX', 3992, '', 0, '738 321\r'),
	('CA', 751, 'PEK', 3364, 'KMG', 3382, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'KOW', 6379, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'KWE', 3394, '', 0, '738 320\r'),
	('CA', 751, 'PEK', 3364, 'KWL', 3372, '', 0, '321 738\r'),
	('CA', 751, 'PEK', 3364, 'LAX', 3484, '', 0, '773\r'),
	('CA', 751, 'PEK', 3364, 'LGW', 502, '', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'LHR', 507, '', 0, '773\r'),
	('CA', 751, 'PEK', 3364, 'LHW', 6431, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'LJG', 4033, '', 0, '320\r'),
	('CA', 751, 'PEK', 3364, 'LXA', 4097, '', 0, '319\r'),
	('CA', 751, 'PEK', 3364, 'LZH', 6356, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'MAD', 1229, '', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'MDG', 4334, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'MFM', 3121, '', 0, '321 320 319\r'),
	('CA', 751, 'PEK', 3364, 'MIG', 6400, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'MNL', 2397, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'MUC', 346, '', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'MWX', 4189, 'Y', 0, '321\r'),
	('CA', 751, 'PEK', 3364, 'MXP', 1524, '', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'NDG', 6413, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'NGB', 3387, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'NGO', 3942, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'NKG', 3388, '', 0, '321 738\r'),
	('CA', 751, 'PEK', 3364, 'NNG', 3373, '', 0, '321 738\r'),
	('CA', 751, 'PEK', 3364, 'NRT', 2279, '', 0, '321 738 320\r'),
	('CA', 751, 'PEK', 3364, 'NTG', 5475, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'OKA', 2384, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'ORD', 3830, 'Y', 0, '777\r'),
	('CA', 751, 'PEK', 3364, 'PUS', 2372, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'PVG', 3406, '', 0, '777 330 738\r'),
	('CA', 751, 'PEK', 3364, 'REP', 3035, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'RGN', 3239, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'RLK', 8630, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'SFO', 3469, '', 0, '773\r'),
	('CA', 751, 'PEK', 3364, 'SGN', 3205, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'SHA', 3391, '', 0, '320 773 744 738 333 330\r'),
	('CA', 751, 'PEK', 3364, 'SHE', 4144, '', 0, '321 320 738\r'),
	('CA', 751, 'PEK', 3364, 'SIN', 3316, '', 0, '333\r'),
	('CA', 751, 'PEK', 3364, 'SVO', 2985, '', 0, '777\r'),
	('CA', 751, 'PEK', 3364, 'SWA', 4302, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'SYD', 3361, '', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'SYX', 4030, '', 0, '321 330\r'),
	('CA', 751, 'PEK', 3364, 'SZX', 3374, '', 0, '772 738 333 330 777 321\r'),
	('CA', 751, 'PEK', 3364, 'TAE', 2381, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'TAO', 3390, '', 0, '321 738\r'),
	('CA', 751, 'PEK', 3364, 'TGO', 6348, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'TLV', 1590, 'Y', 0, '763\r'),
	('CA', 751, 'PEK', 3364, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'TPE', 2276, '', 0, '333 77W 744\r'),
	('CA', 751, 'PEK', 3364, 'TXN', 6387, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'TYN', 3369, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'ULN', 3380, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'URC', 3399, '', 0, '738 772 321\r'),
	('CA', 751, 'PEK', 3364, 'VIE', 1613, '', 0, '333\r'),
	('CA', 751, 'PEK', 3364, 'WAW', 679, 'Y', 0, '788\r'),
	('CA', 751, 'PEK', 3364, 'WNZ', 6392, '', 0, '738 320 319\r'),
	('CA', 751, 'PEK', 3364, 'WUA', 6955, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'WUH', 3376, '', 0, '320\r'),
	('CA', 751, 'PEK', 3364, 'WUX', 6390, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'XFN', 6360, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'XIL', 6350, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'XIY', 3379, '', 0, '738 333 321\r'),
	('CA', 751, 'PEK', 3364, 'XMN', 3383, '', 0, '738 321\r'),
	('CA', 751, 'PEK', 3364, 'XNN', 6366, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'YBP', 4110, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'YCU', 6430, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'YIC', 9107, 'Y', 0, '320\r'),
	('CA', 751, 'PEK', 3364, 'YIH', 6361, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'YIW', 6394, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'YNJ', 6414, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'YNT', 3392, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'YNZ', 6393, '', 0, '737\r'),
	('CA', 751, 'PEK', 3364, 'YTY', 8876, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'YVR', 156, '', 0, '330\r'),
	('CA', 751, 'PEK', 3364, 'YYZ', 193, 'Y', 0, '77W\r'),
	('CA', 751, 'PEK', 3364, 'ZHA', 6357, '', 0, '738\r'),
	('CA', 751, 'PEK', 3364, 'ZUH', 6355, '', 0, '738 321\r'),
	('CA', 751, 'PUS', 2372, 'HGH', 3386, 'Y', 0, '320\r'),
	('CA', 751, 'PUS', 2372, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'PVG', 3406, 'AKL', 2006, 'Y', 0, '772 763\r'),
	('CA', 751, 'PVG', 3406, 'CAN', 3370, '', 0, '340 330 321\r'),
	('CA', 751, 'PVG', 3406, 'CDG', 1382, '', 0, '330\r'),
	('CA', 751, 'PVG', 3406, 'CKG', 3393, '', 0, '737 738\r'),
	('CA', 751, 'PVG', 3406, 'CTU', 3395, '', 0, '340 320 319 321 330\r'),
	('CA', 751, 'PVG', 3406, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'PVG', 3406, 'EWR', 3494, 'Y', 0, '777\r'),
	('CA', 751, 'PVG', 3406, 'FRA', 340, '', 0, '330\r'),
	('CA', 751, 'PVG', 3406, 'FUK', 2305, '', 0, '320\r'),
	('CA', 751, 'PVG', 3406, 'HEL', 421, '', 0, '343\r'),
	('CA', 751, 'PVG', 3406, 'HET', 6345, '', 0, '321\r'),
	('CA', 751, 'PVG', 3406, 'INC', 4085, '', 0, '320\r'),
	('CA', 751, 'PVG', 3406, 'IST', 1701, '', 0, '77W\r'),
	('CA', 751, 'PVG', 3406, 'JJN', 6386, '', 0, '320\r'),
	('CA', 751, 'PVG', 3406, 'JZH', 4301, '', 0, '319\r'),
	('CA', 751, 'PVG', 3406, 'KHN', 3384, 'Y', 0, '320\r'),
	('CA', 751, 'PVG', 3406, 'KIX', 3992, '', 0, '330 320\r'),
	('CA', 751, 'PVG', 3406, 'KMG', 3382, '', 0, '738\r'),
	('CA', 751, 'PVG', 3406, 'KWE', 3394, '', 0, '320\r'),
	('CA', 751, 'PVG', 3406, 'KWL', 3372, '', 0, '320 321\r'),
	('CA', 751, 'PVG', 3406, 'LAX', 3484, 'Y', 0, '788\r'),
	('CA', 751, 'PVG', 3406, 'LHR', 507, 'Y', 0, '346\r'),
	('CA', 751, 'PVG', 3406, 'MEL', 3339, '', 0, '330\r'),
	('CA', 751, 'PVG', 3406, 'MFM', 3121, '', 0, '321\r'),
	('CA', 751, 'PVG', 3406, 'MUC', 346, 'Y', 0, '346\r'),
	('CA', 751, 'PVG', 3406, 'MXP', 1524, '', 0, '330\r'),
	('CA', 751, 'PVG', 3406, 'NGO', 3942, '', 0, '319\r'),
	('CA', 751, 'PVG', 3406, 'NRT', 2279, '', 0, '321 738\r'),
	('CA', 751, 'PVG', 3406, 'ORD', 3830, 'Y', 0, '744\r'),
	('CA', 751, 'PVG', 3406, 'PEK', 3364, '', 0, '777 330 738\r'),
	('CA', 751, 'PVG', 3406, 'SDJ', 2347, '', 0, '738\r'),
	('CA', 751, 'PVG', 3406, 'SFO', 3469, 'Y', 0, '744\r'),
	('CA', 751, 'PVG', 3406, 'SYD', 3361, '', 0, '330\r'),
	('CA', 751, 'PVG', 3406, 'SZX', 3374, '', 0, '321 320\r'),
	('CA', 751, 'PVG', 3406, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'PVG', 3406, 'TPE', 2276, '', 0, '744 340 77W\r'),
	('CA', 751, 'PVG', 3406, 'WNZ', 6392, '', 0, '319 320\r'),
	('CA', 751, 'PVG', 3406, 'XIY', 3379, '', 0, '321 320\r'),
	('CA', 751, 'PVG', 3406, 'YNT', 3392, 'Y', 0, '738\r'),
	('CA', 751, 'PVG', 3406, 'YVR', 156, 'Y', 0, '763\r'),
	('CA', 751, 'PVG', 3406, 'YYZ', 193, 'Y', 0, '77L\r'),
	('CA', 751, 'PZI', 6435, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'REP', 3035, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'RGN', 3239, 'KMG', 3382, '', 0, '319\r'),
	('CA', 751, 'RGN', 3239, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'RLK', 8630, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'SDJ', 2347, 'PVG', 3406, '', 0, '738\r'),
	('CA', 751, 'SFO', 3469, 'PEK', 3364, '', 0, '773\r'),
	('CA', 751, 'SFO', 3469, 'PVG', 3406, 'Y', 0, '744\r'),
	('CA', 751, 'SGN', 3205, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'SHA', 3391, 'CAN', 3370, '', 0, '738\r'),
	('CA', 751, 'SHA', 3391, 'CKG', 3393, '', 0, '737\r'),
	('CA', 751, 'SHA', 3391, 'CTU', 3395, '', 0, '333\r'),
	('CA', 751, 'SHA', 3391, 'HND', 2359, 'Y', 0, '777\r'),
	('CA', 751, 'SHA', 3391, 'JDZ', 6380, 'Y', 0, '320\r'),
	('CA', 751, 'SHA', 3391, 'KWE', 3394, '', 0, '320\r'),
	('CA', 751, 'SHA', 3391, 'MFM', 3121, '', 0, '321 320 319\r'),
	('CA', 751, 'SHA', 3391, 'PEK', 3364, '', 0, '330 744 773 738 333 320\r'),
	('CA', 751, 'SHA', 3391, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'SHA', 3391, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'SHA', 3391, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'SHA', 3391, 'TSA', 2275, '', 0, '333 738\r'),
	('CA', 751, 'SHA', 3391, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'SHA', 3391, 'YNT', 3392, 'Y', 0, '738\r'),
	('CA', 751, 'SHE', 4144, 'CAN', 3370, 'Y', 0, '320\r'),
	('CA', 751, 'SHE', 4144, 'CGO', 3375, '', 0, '320\r'),
	('CA', 751, 'SHE', 4144, 'CTU', 3395, '', 0, '321\r'),
	('CA', 751, 'SHE', 4144, 'CZX', 4109, 'Y', 0, '320\r'),
	('CA', 751, 'SHE', 4144, 'FRA', 340, 'Y', 0, '343\r'),
	('CA', 751, 'SHE', 4144, 'HET', 6345, 'Y', 0, '320\r'),
	('CA', 751, 'SHE', 4144, 'HGH', 3386, 'Y', 0, '320\r'),
	('CA', 751, 'SHE', 4144, 'LYI', 6385, '', 0, '320\r'),
	('CA', 751, 'SHE', 4144, 'MFM', 3121, '', 0, '319\r'),
	('CA', 751, 'SHE', 4144, 'NKG', 3388, 'Y', 0, '320\r'),
	('CA', 751, 'SHE', 4144, 'NRT', 2279, 'Y', 0, '737\r'),
	('CA', 751, 'SHE', 4144, 'NTG', 5475, 'Y', 0, '738\r'),
	('CA', 751, 'SHE', 4144, 'PEK', 3364, '', 0, '321 320 738\r'),
	('CA', 751, 'SHE', 4144, 'SZX', 3374, 'Y', 0, '320\r'),
	('CA', 751, 'SHE', 4144, 'TAO', 3390, 'Y', 0, '738 343\r'),
	('CA', 751, 'SHE', 4144, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'SHE', 4144, 'TYN', 3369, 'Y', 0, '320\r'),
	('CA', 751, 'SHE', 4144, 'WNZ', 6392, '', 0, '320\r'),
	('CA', 751, 'SHE', 4144, 'WUH', 3376, 'Y', 0, '738\r'),
	('CA', 751, 'SHE', 4144, 'WUX', 6390, 'Y', 0, '738 320\r'),
	('CA', 751, 'SHE', 4144, 'XIY', 3379, 'Y', 0, '320\r'),
	('CA', 751, 'SIN', 3316, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'SIN', 3316, 'PEK', 3364, '', 0, '333\r'),
	('CA', 751, 'SIN', 3316, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'SJW', 6347, 'CKG', 3393, 'Y', 0, '738\r'),
	('CA', 751, 'SJW', 6347, 'INC', 4085, 'Y', 0, '738\r'),
	('CA', 751, 'SJW', 6347, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'SJW', 6347, 'YNT', 3392, 'Y', 0, '738\r'),
	('CA', 751, 'SVO', 2985, 'PEK', 3364, '', 0, '777\r'),
	('CA', 751, 'SWA', 4302, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'SWA', 4302, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'SYD', 3361, 'PEK', 3364, '', 0, '330\r'),
	('CA', 751, 'SYD', 3361, 'PVG', 3406, '', 0, '330\r'),
	('CA', 751, 'SYX', 4030, 'CTU', 3395, '', 0, '320 319\r'),
	('CA', 751, 'SYX', 4030, 'NNG', 3373, 'Y', 0, '320\r'),
	('CA', 751, 'SYX', 4030, 'PEK', 3364, '', 0, '321 330\r'),
	('CA', 751, 'SYX', 4030, 'SZX', 3374, 'Y', 0, '320\r'),
	('CA', 751, 'SYX', 4030, 'TYN', 3369, '', 0, '738\r'),
	('CA', 751, 'SYX', 4030, 'WNZ', 6392, '', 0, '320\r'),
	('CA', 751, 'SYX', 4030, 'WUX', 6390, 'Y', 0, '320\r'),
	('CA', 751, 'SYX', 4030, 'XMN', 3383, 'Y', 0, 'CR2\r'),
	('CA', 751, 'SZX', 3374, 'BKK', 3885, 'Y', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'CGO', 3375, 'Y', 0, '320 738\r'),
	('CA', 751, 'SZX', 3374, 'CGQ', 4380, 'Y', 0, '320 738\r'),
	('CA', 751, 'SZX', 3374, 'CKG', 3393, '', 0, '738 737\r'),
	('CA', 751, 'SZX', 3374, 'CTU', 3395, '', 0, '319 321\r'),
	('CA', 751, 'SZX', 3374, 'CZX', 4109, 'Y', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'DAX', 6397, '', 0, '319\r'),
	('CA', 751, 'SZX', 3374, 'DLC', 3404, 'Y', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'GYS', 6398, '', 0, '319\r'),
	('CA', 751, 'SZX', 3374, 'HAK', 4120, 'Y', 0, '320 738 319\r'),
	('CA', 751, 'SZX', 3374, 'HFE', 3389, 'Y', 0, '738 320\r'),
	('CA', 751, 'SZX', 3374, 'HGH', 3386, '', 0, '319 320\r'),
	('CA', 751, 'SZX', 3374, 'HRB', 3400, 'Y', 0, '320 738\r'),
	('CA', 751, 'SZX', 3374, 'HYN', 6384, '', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'JDZ', 6380, 'Y', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'JJN', 6386, '', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'JUZ', 6382, 'Y', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'KHN', 3384, 'Y', 0, '320 319\r'),
	('CA', 751, 'SZX', 3374, 'KMG', 3382, 'Y', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'KWE', 3394, '', 0, '321\r'),
	('CA', 751, 'SZX', 3374, 'KWL', 3372, 'Y', 0, '319\r'),
	('CA', 751, 'SZX', 3374, 'MIG', 6400, 'Y', 0, '320 738\r'),
	('CA', 751, 'SZX', 3374, 'NKG', 3388, '', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'NNG', 3373, 'Y', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'NTG', 5475, 'Y', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'PEK', 3364, '', 0, '777 333 772 738 330 321\r'),
	('CA', 751, 'SZX', 3374, 'PVG', 3406, '', 0, '321 320\r'),
	('CA', 751, 'SZX', 3374, 'SHA', 3391, 'Y', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'SHE', 4144, 'Y', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'SIN', 3316, 'Y', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'SYX', 4030, 'Y', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'TAO', 3390, 'Y', 0, '320 738\r'),
	('CA', 751, 'SZX', 3374, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'TYN', 3369, '', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'WNZ', 6392, 'Y', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'WUH', 3376, '', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'WUX', 6390, '', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'XFN', 6360, 'Y', 0, '319\r'),
	('CA', 751, 'SZX', 3374, 'XIY', 3379, 'Y', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'XMN', 3383, 'Y', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'YBP', 4110, '', 0, '319\r'),
	('CA', 751, 'SZX', 3374, 'YCU', 6430, 'Y', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'YIC', 9107, 'Y', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'YIH', 6361, 'Y', 0, '320\r'),
	('CA', 751, 'SZX', 3374, 'YNT', 3392, 'Y', 0, '738\r'),
	('CA', 751, 'SZX', 3374, 'ZHA', 6357, 'Y', 0, '738\r'),
	('CA', 751, 'TAE', 2381, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'CAN', 3370, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'CGO', 3375, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'CGQ', 4380, '', 0, '319\r'),
	('CA', 751, 'TAO', 3390, 'CKG', 3393, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'CTU', 3395, '', 0, '321\r'),
	('CA', 751, 'TAO', 3390, 'DLC', 3404, 'Y', 0, '738 CR2\r'),
	('CA', 751, 'TAO', 3390, 'HFE', 3389, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'HGH', 3386, '', 0, '319 320\r'),
	('CA', 751, 'TAO', 3390, 'HRB', 3400, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'ICN', 3930, '', 0, '321 738\r'),
	('CA', 751, 'TAO', 3390, 'JNZ', 6412, 'Y', 0, 'CR7\r'),
	('CA', 751, 'TAO', 3390, 'KHN', 3384, 'Y', 0, '737 320\r'),
	('CA', 751, 'TAO', 3390, 'KIX', 3992, 'Y', 0, '763\r'),
	('CA', 751, 'TAO', 3390, 'NGB', 3387, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'NKG', 3388, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'NRT', 2279, 'Y', 0, '763\r'),
	('CA', 751, 'TAO', 3390, 'PEK', 3364, '', 0, '738 321\r'),
	('CA', 751, 'TAO', 3390, 'PVG', 3406, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'SHA', 3391, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'SHE', 4144, 'Y', 0, '738 343\r'),
	('CA', 751, 'TAO', 3390, 'SJW', 6347, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'SZX', 3374, 'Y', 0, '320 738\r'),
	('CA', 751, 'TAO', 3390, 'TSN', 3368, 'Y', 0, '738 CR7\r'),
	('CA', 751, 'TAO', 3390, 'TYN', 3369, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'WNZ', 6392, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'WUH', 3376, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'WUS', 6391, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'XIY', 3379, 'Y', 0, '737 738\r'),
	('CA', 751, 'TAO', 3390, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'YCU', 6430, 'Y', 0, '738\r'),
	('CA', 751, 'TAO', 3390, 'YNJ', 6414, 'Y', 0, '737\r'),
	('CA', 751, 'TGO', 6348, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'TLV', 1590, 'PEK', 3364, 'Y', 0, '763\r'),
	('CA', 751, 'TMP', 458, 'ARN', 737, '', 0, 'S20\r'),
	('CA', 751, 'TNA', 4108, 'CAN', 3370, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'CGO', 3375, 'Y', 0, 'CR2 738\r'),
	('CA', 751, 'TNA', 4108, 'CGQ', 4380, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'CKG', 3393, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'CSX', 3371, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'TNA', 4108, 'DLC', 3404, 'Y', 0, 'CR2\r'),
	('CA', 751, 'TNA', 4108, 'FOC', 3385, 'Y', 0, 'CR2\r'),
	('CA', 751, 'TNA', 4108, 'HET', 6345, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'HGH', 3386, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'HRB', 3400, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'ICN', 3930, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'INC', 4085, 'Y', 0, 'CR2 738\r'),
	('CA', 751, 'TNA', 4108, 'KHN', 3384, 'Y', 0, '733\r'),
	('CA', 751, 'TNA', 4108, 'KIX', 3992, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'KMG', 3382, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'KWE', 3394, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'LHW', 6431, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'PEK', 3364, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'SHA', 3391, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'SHE', 4144, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'TYN', 3369, 'Y', 0, 'CR7 CR2\r'),
	('CA', 751, 'TNA', 4108, 'URC', 3399, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'WNZ', 6392, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'WUH', 3376, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'XIY', 3379, 'Y', 0, '738\r'),
	('CA', 751, 'TNA', 4108, 'XMN', 3383, 'Y', 0, 'CR2 738\r'),
	('CA', 751, 'TNA', 4108, 'YNT', 3392, 'Y', 0, 'CR2 738\r'),
	('CA', 751, 'TPE', 2276, 'CKG', 3393, '', 0, 'M90 738\r'),
	('CA', 751, 'TPE', 2276, 'CTU', 3395, '', 0, '332 330\r'),
	('CA', 751, 'TPE', 2276, 'HET', 6345, '', 0, '321\r'),
	('CA', 751, 'TPE', 2276, 'HGH', 3386, '', 0, '321 332 M90 744\r'),
	('CA', 751, 'TPE', 2276, 'PEK', 3364, '', 0, '333 77W 744\r'),
	('CA', 751, 'TPE', 2276, 'PVG', 3406, '', 0, '744 340 77W\r'),
	('CA', 751, 'TPE', 2276, 'WNZ', 6392, '', 0, '319\r'),
	('CA', 751, 'TSA', 2275, 'SHA', 3391, '', 0, '333 738\r'),
	('CA', 751, 'TSA', 2275, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'BAV', 6346, 'Y', 0, 'CR7\r'),
	('CA', 751, 'TSN', 3368, 'CAN', 3370, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'CGO', 3375, 'Y', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'CKG', 3393, '', 0, '737\r'),
	('CA', 751, 'TSN', 3368, 'CSX', 3371, '', 0, '738 737\r'),
	('CA', 751, 'TSN', 3368, 'CTU', 3395, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'HAK', 4120, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'HET', 6345, 'Y', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'HKG', 3077, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'HRB', 3400, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'ICN', 3930, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'KMG', 3382, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'NTG', 5475, '', 0, '320\r'),
	('CA', 751, 'TSN', 3368, 'SHA', 3391, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'SZX', 3374, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'TAO', 3390, 'Y', 0, '738 CR7\r'),
	('CA', 751, 'TSN', 3368, 'TSA', 2275, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'XIY', 3379, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'XMN', 3383, '', 0, '738\r'),
	('CA', 751, 'TSN', 3368, 'YCU', 6430, '', 0, '738 737\r'),
	('CA', 751, 'TXN', 6387, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'TYN', 3369, 'BAV', 6346, 'Y', 0, 'CR7\r'),
	('CA', 751, 'TYN', 3369, 'CTU', 3395, '', 0, '321\r'),
	('CA', 751, 'TYN', 3369, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'TYN', 3369, 'DSN', 6434, 'Y', 0, 'CR2\r'),
	('CA', 751, 'TYN', 3369, 'HRB', 3400, 'Y', 0, '320\r'),
	('CA', 751, 'TYN', 3369, 'KMG', 3382, 'Y', 0, '320\r'),
	('CA', 751, 'TYN', 3369, 'LHW', 6431, 'Y', 0, '738\r'),
	('CA', 751, 'TYN', 3369, 'MFM', 3121, '', 0, '320 319\r'),
	('CA', 751, 'TYN', 3369, 'NKG', 3388, 'Y', 0, '738\r'),
	('CA', 751, 'TYN', 3369, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'TYN', 3369, 'SHE', 4144, 'Y', 0, '320\r'),
	('CA', 751, 'TYN', 3369, 'SYX', 4030, '', 0, '738\r'),
	('CA', 751, 'TYN', 3369, 'SZX', 3374, '', 0, '738\r'),
	('CA', 751, 'TYN', 3369, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'TYN', 3369, 'TNA', 4108, 'Y', 0, 'CR7 CR2\r'),
	('CA', 751, 'TYN', 3369, 'URC', 3399, 'Y', 0, '738\r'),
	('CA', 751, 'ULN', 3380, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'URC', 3399, 'CGO', 3375, 'Y', 0, '320\r'),
	('CA', 751, 'URC', 3399, 'CKG', 3393, '', 0, '737\r'),
	('CA', 751, 'URC', 3399, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'URC', 3399, 'HTN', 3398, '', 0, '738\r'),
	('CA', 751, 'URC', 3399, 'INC', 4085, 'Y', 0, '738\r'),
	('CA', 751, 'URC', 3399, 'KHG', 3397, '', 0, '738\r'),
	('CA', 751, 'URC', 3399, 'LHW', 6431, 'Y', 0, '738\r'),
	('CA', 751, 'URC', 3399, 'PEK', 3364, '', 0, '738 772 321\r'),
	('CA', 751, 'URC', 3399, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'URC', 3399, 'TYN', 3369, 'Y', 0, '738\r'),
	('CA', 751, 'URC', 3399, 'XIY', 3379, '', 0, '738 320\r'),
	('CA', 751, 'URC', 3399, 'YCU', 6430, '', 0, '320\r'),
	('CA', 751, 'UYN', 6368, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'VAA', 462, 'ARN', 737, '', 0, 'AT7\r'),
	('CA', 751, 'VIE', 1613, 'BCN', 1218, '', 0, '333\r'),
	('CA', 751, 'VIE', 1613, 'PEK', 3364, '', 0, '333\r'),
	('CA', 751, 'WAW', 679, 'PEK', 3364, 'Y', 0, '788\r'),
	('CA', 751, 'WNZ', 6392, 'CAN', 3370, 'Y', 0, '738 320\r'),
	('CA', 751, 'WNZ', 6392, 'CKG', 3393, '', 0, '319\r'),
	('CA', 751, 'WNZ', 6392, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'WNZ', 6392, 'KMG', 3382, '', 0, '738\r'),
	('CA', 751, 'WNZ', 6392, 'KWE', 3394, '', 0, '319\r'),
	('CA', 751, 'WNZ', 6392, 'PEK', 3364, '', 0, '320 738 319\r'),
	('CA', 751, 'WNZ', 6392, 'PVG', 3406, '', 0, '319 320\r'),
	('CA', 751, 'WNZ', 6392, 'SHE', 4144, '', 0, '320\r'),
	('CA', 751, 'WNZ', 6392, 'SYX', 4030, '', 0, '320\r'),
	('CA', 751, 'WNZ', 6392, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'WNZ', 6392, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'WNZ', 6392, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'WNZ', 6392, 'TPE', 2276, '', 0, '319\r'),
	('CA', 751, 'WNZ', 6392, 'XIY', 3379, '', 0, '320\r'),
	('CA', 751, 'WNZ', 6392, 'ZUH', 6355, 'Y', 0, '738\r'),
	('CA', 751, 'WUA', 6955, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'CAN', 3370, '', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'CGQ', 4380, 'Y', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'CKG', 3393, 'Y', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'CNX', 3931, '', 0, '320\r'),
	('CA', 751, 'WUH', 3376, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'WUH', 3376, 'HET', 6345, '', 0, '320\r'),
	('CA', 751, 'WUH', 3376, 'HKG', 3077, '', 0, '320\r'),
	('CA', 751, 'WUH', 3376, 'INC', 4085, 'Y', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'KMG', 3382, 'Y', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'KWE', 3394, 'Y', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'MFM', 3121, '', 0, '320\r'),
	('CA', 751, 'WUH', 3376, 'NNG', 3373, 'Y', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'PEK', 3364, '', 0, '320\r'),
	('CA', 751, 'WUH', 3376, 'SHE', 4144, 'Y', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'SZX', 3374, '', 0, '320\r'),
	('CA', 751, 'WUH', 3376, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'WUX', 6390, 'Y', 0, '738\r'),
	('CA', 751, 'WUH', 3376, 'XMN', 3383, '', 0, '320\r'),
	('CA', 751, 'WUH', 3376, 'XNN', 6366, 'Y', 0, '320\r'),
	('CA', 751, 'WUH', 3376, 'YNT', 3392, '', 0, '320\r'),
	('CA', 751, 'WUS', 6391, 'CAN', 3370, 'Y', 0, '738\r'),
	('CA', 751, 'WUS', 6391, 'CKG', 3393, 'Y', 0, '738\r'),
	('CA', 751, 'WUS', 6391, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'WUS', 6391, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'WUX', 6390, 'CAN', 3370, '', 0, '738\r'),
	('CA', 751, 'WUX', 6390, 'CKG', 3393, '', 0, '738\r'),
	('CA', 751, 'WUX', 6390, 'CTU', 3395, 'Y', 0, '738\r'),
	('CA', 751, 'WUX', 6390, 'DLC', 3404, '', 0, '738\r'),
	('CA', 751, 'WUX', 6390, 'FOC', 3385, 'Y', 0, '738\r'),
	('CA', 751, 'WUX', 6390, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'WUX', 6390, 'SHE', 4144, 'Y', 0, '320 738\r'),
	('CA', 751, 'WUX', 6390, 'SYX', 4030, 'Y', 0, '320\r'),
	('CA', 751, 'WUX', 6390, 'SZX', 3374, '', 0, '738\r'),
	('CA', 751, 'WUX', 6390, 'WUH', 3376, 'Y', 0, '738\r'),
	('CA', 751, 'WUX', 6390, 'XIY', 3379, '', 0, '738\r'),
	('CA', 751, 'WUX', 6390, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'WXN', 6403, 'CAN', 3370, '', 0, '737\r'),
	('CA', 751, 'XFN', 6360, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'XFN', 6360, 'SZX', 3374, 'Y', 0, '319\r'),
	('CA', 751, 'XIC', 3396, 'CTU', 3395, '', 0, '319 320\r'),
	('CA', 751, 'XIL', 6350, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'XIY', 3379, 'CAN', 3370, 'Y', 0, '738 320\r'),
	('CA', 751, 'XIY', 3379, 'CKG', 3393, '', 0, '737\r'),
	('CA', 751, 'XIY', 3379, 'CTU', 3395, '', 0, '738\r'),
	('CA', 751, 'XIY', 3379, 'DLC', 3404, '', 0, '320 738\r'),
	('CA', 751, 'XIY', 3379, 'HGH', 3386, '', 0, '319 320\r'),
	('CA', 751, 'XIY', 3379, 'HRB', 3400, '', 0, '737\r'),
	('CA', 751, 'XIY', 3379, 'INC', 4085, '', 0, '320 738\r'),
	('CA', 751, 'XIY', 3379, 'JDZ', 6380, '', 0, '320\r'),
	('CA', 751, 'XIY', 3379, 'KWE', 3394, 'Y', 0, '738\r'),
	('CA', 751, 'XIY', 3379, 'KWL', 3372, '', 0, '738\r'),
	('CA', 751, 'XIY', 3379, 'LHW', 6431, 'Y', 0, '738\r'),
	('CA', 751, 'XIY', 3379, 'NKG', 3388, 'Y', 0, '738\r'),
	('CA', 751, 'XIY', 3379, 'NNG', 3373, 'Y', 0, '320\r'),
	('CA', 751, 'XIY', 3379, 'PEK', 3364, '', 0, '321 738 333\r'),
	('CA', 751, 'XIY', 3379, 'PVG', 3406, '', 0, '321 320\r'),
	('CA', 751, 'XIY', 3379, 'SHE', 4144, 'Y', 0, '320\r'),
	('CA', 751, 'XIY', 3379, 'SZX', 3374, 'Y', 0, '320\r'),
	('CA', 751, 'XIY', 3379, 'TAO', 3390, 'Y', 0, '737 738\r'),
	('CA', 751, 'XIY', 3379, 'TNA', 4108, 'Y', 0, '738\r'),
	('CA', 751, 'XIY', 3379, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'XIY', 3379, 'URC', 3399, '', 0, '738 320\r'),
	('CA', 751, 'XIY', 3379, 'WNZ', 6392, '', 0, '320\r'),
	('CA', 751, 'XIY', 3379, 'WUX', 6390, '', 0, '738\r'),
	('CA', 751, 'XIY', 3379, 'XMN', 3383, 'Y', 0, '738\r'),
	('CA', 751, 'XIY', 3379, 'XNN', 6366, '', 0, '320\r'),
	('CA', 751, 'XIY', 3379, 'YNT', 3392, 'Y', 0, '320\r'),
	('CA', 751, 'XIY', 3379, 'YTY', 8876, 'Y', 0, '320\r'),
	('CA', 751, 'XMN', 3383, 'CAN', 3370, '', 0, '320\r'),
	('CA', 751, 'XMN', 3383, 'CGK', 3275, '', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'CGO', 3375, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'CKG', 3393, '', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'CSX', 3371, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'XMN', 3383, 'HFE', 3389, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'HGH', 3386, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'JDZ', 6380, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'JIU', 6381, 'Y', 0, '737\r'),
	('CA', 751, 'XMN', 3383, 'JUZ', 6382, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'KMG', 3382, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'KWE', 3394, 'Y', 0, '737 738\r'),
	('CA', 751, 'XMN', 3383, 'KWL', 3372, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'MFM', 3121, '', 0, '319 321\r'),
	('CA', 751, 'XMN', 3383, 'NKG', 3388, '', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'NNG', 3373, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'NRT', 2279, 'Y', 0, '763\r'),
	('CA', 751, 'XMN', 3383, 'NTG', 5475, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'PEK', 3364, '', 0, '738 321\r'),
	('CA', 751, 'XMN', 3383, 'SYX', 4030, 'Y', 0, 'CR2\r'),
	('CA', 751, 'XMN', 3383, 'SZX', 3374, 'Y', 0, '320\r'),
	('CA', 751, 'XMN', 3383, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'TNA', 4108, 'Y', 0, '738 CR2\r'),
	('CA', 751, 'XMN', 3383, 'TSN', 3368, '', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'WUH', 3376, '', 0, '320\r'),
	('CA', 751, 'XMN', 3383, 'WUS', 6391, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'WUX', 6390, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'XIY', 3379, 'Y', 0, '738\r'),
	('CA', 751, 'XMN', 3383, 'YTY', 8876, 'Y', 0, '320\r'),
	('CA', 751, 'XMN', 3383, 'ZUH', 6355, 'Y', 0, '738\r'),
	('CA', 751, 'XNN', 6366, 'CGO', 3375, '', 0, '319\r'),
	('CA', 751, 'XNN', 6366, 'CTU', 3395, '', 0, '320\r'),
	('CA', 751, 'XNN', 6366, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'XNN', 6366, 'WUH', 3376, 'Y', 0, '320\r'),
	('CA', 751, 'XNN', 6366, 'XIY', 3379, '', 0, '320\r'),
	('CA', 751, 'YBP', 4110, 'CAN', 3370, '', 0, '737\r'),
	('CA', 751, 'YBP', 4110, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'YBP', 4110, 'SZX', 3374, '', 0, '319\r'),
	('CA', 751, 'YCU', 6430, 'CAN', 3370, '', 0, '737\r'),
	('CA', 751, 'YCU', 6430, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'YCU', 6430, 'HGH', 3386, '', 0, '320\r'),
	('CA', 751, 'YCU', 6430, 'KMG', 3382, '', 0, '738 737\r'),
	('CA', 751, 'YCU', 6430, 'LHW', 6431, 'Y', 0, '738\r'),
	('CA', 751, 'YCU', 6430, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'YCU', 6430, 'SZX', 3374, 'Y', 0, '320\r'),
	('CA', 751, 'YCU', 6430, 'TAO', 3390, 'Y', 0, '738\r'),
	('CA', 751, 'YCU', 6430, 'TSN', 3368, '', 0, '738 737\r'),
	('CA', 751, 'YCU', 6430, 'URC', 3399, '', 0, '320\r'),
	('CA', 751, 'YIC', 9107, 'PEK', 3364, 'Y', 0, '320\r'),
	('CA', 751, 'YIC', 9107, 'SZX', 3374, 'Y', 0, '320\r'),
	('CA', 751, 'YIH', 6361, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'YIH', 6361, 'SZX', 3374, 'Y', 0, '320\r'),
	('CA', 751, 'YIN', 6409, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'YIW', 6394, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'YIW', 6394, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'YNJ', 6414, 'ICN', 3930, '', 0, '738\r'),
	('CA', 751, 'YNJ', 6414, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'YNJ', 6414, 'TAO', 3390, 'Y', 0, '737\r'),
	('CA', 751, 'YNT', 3392, 'CAN', 3370, 'Y', 0, '738\r'),
	('CA', 751, 'YNT', 3392, 'CGQ', 4380, '', 0, '320\r'),
	('CA', 751, 'YNT', 3392, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'YNT', 3392, 'HGH', 3386, 'Y', 0, '738\r'),
	('CA', 751, 'YNT', 3392, 'HRB', 3400, 'Y', 0, '738\r'),
	('CA', 751, 'YNT', 3392, 'ICN', 3930, '', 0, '321\r'),
	('CA', 751, 'YNT', 3392, 'NKG', 3388, 'Y', 0, '738\r'),
	('CA', 751, 'YNT', 3392, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'YNT', 3392, 'PVG', 3406, 'Y', 0, '738\r'),
	('CA', 751, 'YNT', 3392, 'SHA', 3391, 'Y', 0, '738\r'),
	('CA', 751, 'YNT', 3392, 'SJW', 6347, 'Y', 0, '738\r'),
	('CA', 751, 'YNT', 3392, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'YNT', 3392, 'TNA', 4108, 'Y', 0, '738 CR2\r'),
	('CA', 751, 'YNT', 3392, 'WUH', 3376, '', 0, '320\r'),
	('CA', 751, 'YNT', 3392, 'XIY', 3379, 'Y', 0, '320\r'),
	('CA', 751, 'YNZ', 6393, 'PEK', 3364, '', 0, '737\r'),
	('CA', 751, 'YTY', 8876, 'CKG', 3393, '', 0, '738\r'),
	('CA', 751, 'YTY', 8876, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'YTY', 8876, 'XIY', 3379, 'Y', 0, '320\r'),
	('CA', 751, 'YTY', 8876, 'XMN', 3383, 'Y', 0, '320\r'),
	('CA', 751, 'YVR', 156, 'PEK', 3364, '', 0, '330\r'),
	('CA', 751, 'YVR', 156, 'PVG', 3406, 'Y', 0, '763\r'),
	('CA', 751, 'YYZ', 193, 'PEK', 3364, 'Y', 0, '77W\r'),
	('CA', 751, 'YYZ', 193, 'PVG', 3406, 'Y', 0, '77L\r'),
	('CA', 751, 'ZHA', 6357, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'ZHA', 6357, 'PEK', 3364, '', 0, '738\r'),
	('CA', 751, 'ZHA', 6357, 'SZX', 3374, 'Y', 0, '738\r'),
	('CA', 751, 'ZUH', 6355, 'CKG', 3393, '', 0, '738\r'),
	('CA', 751, 'ZUH', 6355, 'CTU', 3395, '', 0, '319\r'),
	('CA', 751, 'ZUH', 6355, 'FOC', 3385, 'Y', 0, '738\r'),
	('CA', 751, 'ZUH', 6355, 'HYN', 6384, '', 0, '738\r'),
	('CA', 751, 'ZUH', 6355, 'KHN', 3384, 'Y', 0, '737\r'),
	('CA', 751, 'ZUH', 6355, 'KWE', 3394, 'Y', 0, '738\r'),
	('CA', 751, 'ZUH', 6355, 'NNG', 3373, '', 0, '738\r'),
	('CA', 751, 'ZUH', 6355, 'PEK', 3364, '', 0, '738 321\r'),
	('CA', 751, 'ZUH', 6355, 'WNZ', 6392, 'Y', 0, '738\r'),
	('CA', 751, 'ZUH', 6355, 'XMN', 3383, 'Y', 0, '738\r'),
	('CC', 221, 'GUA', 1767, 'SAP', 1772, '', 0, 'L4T\r'),
	('CC', 221, 'GUA', 1767, 'TGU', 1776, '', 0, 'L4T\r'),
	('CC', 221, 'PEU', 5832, 'TGU', 1776, '', 0, 'SF3\r'),
	('CC', 221, 'RTB', 1774, 'GUA', 1767, '', 0, 'L4T\r'),
	('CC', 221, 'RTB', 1774, 'SAP', 1772, '', 0, 'SF3\r'),
	('CC', 221, 'RTB', 1774, 'TGU', 1776, '', 0, 'SF3\r'),
	('CC', 221, 'SAP', 1772, 'GUA', 1767, '', 0, 'L4T\r'),
	('CC', 221, 'SAP', 1772, 'RTB', 1774, '', 0, 'SF3\r'),
	('CC', 221, 'SAP', 1772, 'TGU', 1776, '', 0, 'SF3\r'),
	('CC', 221, 'TGU', 1776, 'GUA', 1767, '', 0, 'L4T\r'),
	('CC', 221, 'TGU', 1776, 'PEU', 5832, '', 0, 'SF3\r'),
	('CC', 221, 'TGU', 1776, 'RTB', 1774, '', 0, 'SF3\r'),
	('CC', 221, 'TGU', 1776, 'SAP', 1772, '', 0, 'SF3\r'),
	('CE', 3613, 'AJA', 1324, 'AVN', 1361, '', 0, 'ATR\r'),
	('CE', 3613, 'AVN', 1361, 'AJA', 1324, '', 0, 'ATR\r'),
	('CE', 3613, 'AVN', 1361, 'LIG', 1270, '', 0, 'ATR\r'),
	('CE', 3613, 'BES', 1403, 'BOD', 1264, '', 0, 'BEH\r'),
	('CE', 3613, 'BOD', 1264, 'BES', 1403, '', 0, 'BEH\r'),
	('CE', 3613, 'BOD', 1264, 'RNS', 1415, '', 0, 'BEH\r'),
	('CE', 3613, 'LIG', 1270, 'AVN', 1361, '', 0, 'ATR\r'),
	('CE', 3613, 'LIG', 1270, 'LYS', 1335, '', 0, 'ATR\r'),
	('CE', 3613, 'LYS', 1335, 'LIG', 1270, '', 0, 'ATR\r'),
	('CE', 3613, 'RNS', 1415, 'BOD', 1264, '', 0, 'BEH\r'),
	('CG', 1308, 'BNE', 3320, 'POM', 5, '', 0, '737\r'),
	('CG', 1308, 'BUA', 5419, 'RAB', 5435, '', 0, 'DH8\r'),
	('CG', 1308, 'DAU', 5421, 'LAE', 4, '', 0, 'DH8\r'),
	('CG', 1308, 'DAU', 5421, 'POM', 5, '', 0, 'DH8 DHT\r'),
	('CG', 1308, 'DAU', 5421, 'UNG', 5425, '', 0, 'DH8\r'),
	('CG', 1308, 'GKA', 1, 'HGU', 3, '', 0, 'DH8 DHT\r'),
	('CG', 1308, 'GKA', 1, 'LAE', 4, '', 0, 'DH8\r'),
	('CG', 1308, 'GKA', 1, 'MAG', 2, '', 0, 'DH8\r'),
	('CG', 1308, 'GKA', 1, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'GUR', 5422, 'LSA', 5980, '', 0, 'DH8\r'),
	('CG', 1308, 'GUR', 5422, 'MIS', 5432, '', 0, 'DH8\r'),
	('CG', 1308, 'GUR', 5422, 'PNP', 5423, '', 0, 'DH8\r'),
	('CG', 1308, 'GUR', 5422, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'HGU', 3, 'GKA', 1, '', 0, 'DH8 DHT\r'),
	('CG', 1308, 'HGU', 3, 'LAE', 4, '', 0, 'DH8\r'),
	('CG', 1308, 'HGU', 3, 'MAG', 2, '', 0, 'DH8\r'),
	('CG', 1308, 'HGU', 3, 'MXH', 5431, '', 0, 'DHT\r'),
	('CG', 1308, 'HGU', 3, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'HGU', 3, 'TBG', 5434, '', 0, 'DH8\r'),
	('CG', 1308, 'HGU', 3, 'TIZ', 5433, '', 0, 'DH8\r'),
	('CG', 1308, 'HGU', 3, 'WWK', 6, '', 0, 'DH8\r'),
	('CG', 1308, 'HKN', 5424, 'LAE', 4, '', 0, 'DH8\r'),
	('CG', 1308, 'HKN', 5424, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'HKN', 5424, 'RAB', 5435, '', 0, 'DH8\r'),
	('CG', 1308, 'KVG', 5428, 'RAB', 5435, '', 0, 'DH8\r'),
	('CG', 1308, 'LAE', 4, 'DAU', 5421, '', 0, 'DH8\r'),
	('CG', 1308, 'LAE', 4, 'GKA', 1, '', 0, 'DH8\r'),
	('CG', 1308, 'LAE', 4, 'HGU', 3, '', 0, 'DH8\r'),
	('CG', 1308, 'LAE', 4, 'HKN', 5424, '', 0, 'DH8\r'),
	('CG', 1308, 'LAE', 4, 'MAG', 2, '', 0, 'DH8\r'),
	('CG', 1308, 'LAE', 4, 'MAS', 5430, '', 0, 'DH8\r'),
	('CG', 1308, 'LAE', 4, 'PNP', 5423, '', 0, 'DH8\r'),
	('CG', 1308, 'LAE', 4, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'LAE', 4, 'RAB', 5435, '', 0, 'DH8\r'),
	('CG', 1308, 'LNV', 5979, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'LSA', 5980, 'GUR', 5422, '', 0, 'DH8\r'),
	('CG', 1308, 'MAG', 2, 'GKA', 1, '', 0, 'DH8\r'),
	('CG', 1308, 'MAG', 2, 'HGU', 3, '', 0, 'DH8\r'),
	('CG', 1308, 'MAG', 2, 'LAE', 4, '', 0, 'DH8\r'),
	('CG', 1308, 'MAG', 2, 'WWK', 6, '', 0, 'DH8\r'),
	('CG', 1308, 'MAS', 5430, 'LAE', 4, '', 0, 'DH8\r'),
	('CG', 1308, 'MIS', 5432, 'GUR', 5422, '', 0, 'DH8\r'),
	('CG', 1308, 'MXH', 5431, 'HGU', 3, '', 0, 'DHT DH8\r'),
	('CG', 1308, 'MXH', 5431, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'PNP', 5423, 'GUR', 5422, '', 0, 'DH8\r'),
	('CG', 1308, 'PNP', 5423, 'LAE', 4, '', 0, 'DH8\r'),
	('CG', 1308, 'PNP', 5423, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'PNP', 5423, 'TFI', 5984, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'BNE', 3320, '', 0, '737\r'),
	('CG', 1308, 'POM', 5, 'DAU', 5421, '', 0, 'DH8 DHT\r'),
	('CG', 1308, 'POM', 5, 'GKA', 1, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'GUR', 5422, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'HGU', 3, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'HKN', 5424, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'LAE', 4, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'LNV', 5979, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'MXH', 5431, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'PNP', 5423, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'RAB', 5435, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'TBG', 5434, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'TFI', 5984, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'TIZ', 5433, '', 0, 'DH8\r'),
	('CG', 1308, 'POM', 5, 'UNG', 5425, '', 0, 'DH8\r'),
	('CG', 1308, 'RAB', 5435, 'BUA', 5419, '', 0, 'DH8\r'),
	('CG', 1308, 'RAB', 5435, 'HKN', 5424, '', 0, 'DH8\r'),
	('CG', 1308, 'RAB', 5435, 'KVG', 5428, '', 0, 'DH8\r'),
	('CG', 1308, 'RAB', 5435, 'LAE', 4, '', 0, 'DH8\r'),
	('CG', 1308, 'RAB', 5435, 'LNV', 5979, '', 0, 'DH8\r'),
	('CG', 1308, 'RAB', 5435, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'TBG', 5434, 'HGU', 3, '', 0, 'DH8\r'),
	('CG', 1308, 'TBG', 5434, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'TBG', 5434, 'UNG', 5425, '', 0, 'DH8\r'),
	('CG', 1308, 'TFI', 5984, 'PNP', 5423, '', 0, 'DH8\r'),
	('CG', 1308, 'TIZ', 5433, 'HGU', 3, '', 0, 'DH8\r'),
	('CG', 1308, 'TIZ', 5433, 'MXH', 5431, '', 0, 'DH8\r'),
	('CG', 1308, 'UNG', 5425, 'DAU', 5421, '', 0, 'DH8\r'),
	('CG', 1308, 'UNG', 5425, 'HGU', 3, '', 0, 'DH8\r'),
	('CG', 1308, 'UNG', 5425, 'POM', 5, '', 0, 'DH8\r'),
	('CG', 1308, 'UNG', 5425, 'TBG', 5434, '', 0, 'DH8\r'),
	('CG', 1308, 'WWK', 6, 'HGU', 3, '', 0, 'DH8\r'),
	('CG', 1308, 'WWK', 6, 'MAG', 2, '', 0, 'DH8\r'),
	('CI', 1756, 'AKL', 2006, 'BNE', 3320, '', 0, '333\r'),
	('CI', 1756, 'AKL', 2006, 'SYD', 3361, '', 0, '333\r'),
	('CI', 1756, 'AMS', 580, 'BKK', 3885, '', 0, '343\r'),
	('CI', 1756, 'AMS', 580, 'LHR', 507, '', 0, 'F70\r'),
	('CI', 1756, 'AMS', 580, 'MAN', 478, 'Y', 0, '737 E90 F70\r'),
	('CI', 1756, 'ATL', 3682, 'DFW', 3670, '', 0, '74Y\r'),
	('CI', 1756, 'ATL', 3682, 'LAX', 3484, 'Y', 0, '763\r'),
	('CI', 1756, 'ATL', 3682, 'SFO', 3469, 'Y', 0, '739 757\r'),
	('CI', 1756, 'BKK', 3885, 'AMS', 580, '', 0, '343\r'),
	('CI', 1756, 'BKK', 3885, 'DME', 4029, '', 0, '772\r'),
	('CI', 1756, 'BKK', 3885, 'KHH', 2264, '', 0, '738\r'),
	('CI', 1756, 'BKK', 3885, 'TPE', 2276, '', 0, '343 744 333\r'),
	('CI', 1756, 'BNE', 3320, 'AKL', 2006, '', 0, '333\r'),
	('CI', 1756, 'BNE', 3320, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'CAN', 3370, 'TPE', 2276, '', 0, '744\r'),
	('CI', 1756, 'CGK', 3275, 'HKG', 3077, '', 0, '333\r'),
	('CI', 1756, 'CGK', 3275, 'TPE', 2276, '', 0, '343\r'),
	('CI', 1756, 'CKG', 3393, 'KHH', 2264, '', 0, '333\r'),
	('CI', 1756, 'CTS', 2287, 'TPE', 2276, '', 0, '744 738\r'),
	('CI', 1756, 'CTU', 3395, 'TPE', 2276, '', 0, '744\r'),
	('CI', 1756, 'DEL', 3093, 'FCO', 1555, '', 0, '333\r'),
	('CI', 1756, 'DEL', 3093, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'DLC', 3404, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'DME', 4029, 'BKK', 3885, '', 0, '772\r'),
	('CI', 1756, 'DPS', 3940, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'FCO', 1555, 'DEL', 3093, '', 0, '333\r'),
	('CI', 1756, 'FRA', 340, 'TPE', 2276, '', 0, '744\r'),
	('CI', 1756, 'FSZ', 6476, 'TPE', 2276, '', 0, '333 738\r'),
	('CI', 1756, 'FUK', 2305, 'TPE', 2276, '', 0, '333 744 738 343\r'),
	('CI', 1756, 'GMP', 2378, 'TSA', 2275, '', 0, '738\r'),
	('CI', 1756, 'GUA', 1767, 'LAX', 3484, 'Y', 0, '757\r'),
	('CI', 1756, 'GUM', 2246, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'HAK', 4120, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'HAN', 3199, 'TPE', 2276, '', 0, '333 343\r'),
	('CI', 1756, 'HIJ', 2326, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'HKG', 3077, 'CGK', 3275, '', 0, '333\r'),
	('CI', 1756, 'HKG', 3077, 'KHH', 2264, '', 0, '333 E90 738\r'),
	('CI', 1756, 'HKG', 3077, 'TNN', 2270, '', 0, 'E90\r'),
	('CI', 1756, 'HKG', 3077, 'TPE', 2276, '', 0, '333 738 744 343\r'),
	('CI', 1756, 'HND', 2359, 'TSA', 2275, '', 0, '333\r'),
	('CI', 1756, 'HNL', 3728, 'NRT', 2279, '', 0, '744 333\r'),
	('CI', 1756, 'HNL', 3728, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'IAH', 3550, 'ATL', 3682, 'Y', 0, 'M88 717\r'),
	('CI', 1756, 'ICN', 3930, 'TPE', 2276, '', 0, '333 738\r'),
	('CI', 1756, 'ISG', 2387, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'JFK', 3797, 'KIX', 3992, '', 0, '744\r'),
	('CI', 1756, 'KHH', 2264, 'BKK', 3885, '', 0, '738\r'),
	('CI', 1756, 'KHH', 2264, 'CKG', 3393, '', 0, '333\r'),
	('CI', 1756, 'KHH', 2264, 'HKG', 3077, '', 0, '333 E90 738\r'),
	('CI', 1756, 'KHH', 2264, 'KHN', 3384, '', 0, '738\r'),
	('CI', 1756, 'KHH', 2264, 'KIX', 3992, '', 0, '738\r'),
	('CI', 1756, 'KHH', 2264, 'MNL', 2397, 'Y', 0, 'E90\r'),
	('CI', 1756, 'KHH', 2264, 'NRT', 2279, '', 0, '738\r'),
	('CI', 1756, 'KHH', 2264, 'OKA', 2384, '', 0, '738\r'),
	('CI', 1756, 'KHH', 2264, 'PEK', 3364, '', 0, '333\r'),
	('CI', 1756, 'KHH', 2264, 'PVG', 3406, '', 0, '738 333\r'),
	('CI', 1756, 'KHH', 2264, 'SGN', 3205, 'Y', 0, '321\r'),
	('CI', 1756, 'KHH', 2264, 'SIN', 3316, '', 0, '738\r'),
	('CI', 1756, 'KHH', 2264, 'SZX', 3374, '', 0, '333\r'),
	('CI', 1756, 'KHN', 3384, 'KHH', 2264, '', 0, '738\r'),
	('CI', 1756, 'KHN', 3384, 'TPE', 2276, '', 0, '333 343\r'),
	('CI', 1756, 'KIX', 3992, 'JFK', 3797, '', 0, '744\r'),
	('CI', 1756, 'KIX', 3992, 'KHH', 2264, '', 0, '738\r'),
	('CI', 1756, 'KIX', 3992, 'RMQ', 2268, '', 0, '738\r'),
	('CI', 1756, 'KIX', 3992, 'TPE', 2276, '', 0, '333 744 343\r'),
	('CI', 1756, 'KMI', 2308, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'KOJ', 2307, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'KUL', 3304, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'LAX', 3484, 'ATL', 3682, 'Y', 0, '757 73H 76W\r'),
	('CI', 1756, 'LAX', 3484, 'GUA', 1767, 'Y', 0, '757\r'),
	('CI', 1756, 'LAX', 3484, 'MSY', 3861, 'Y', 0, '319\r'),
	('CI', 1756, 'LAX', 3484, 'TPE', 2276, '', 0, '744\r'),
	('CI', 1756, 'LHR', 507, 'AMS', 580, '', 0, '737\r'),
	('CI', 1756, 'MNL', 2397, 'KHH', 2264, 'Y', 0, 'E90\r'),
	('CI', 1756, 'MNL', 2397, 'TPE', 2276, '', 0, '333 738 343\r'),
	('CI', 1756, 'MSY', 3861, 'LAX', 3484, 'Y', 0, '319\r'),
	('CI', 1756, 'NGO', 3942, 'TPE', 2276, '', 0, '333 738 744\r'),
	('CI', 1756, 'NRT', 2279, 'HNL', 3728, '', 0, '744 333\r'),
	('CI', 1756, 'NRT', 2279, 'KHH', 2264, '', 0, '738\r'),
	('CI', 1756, 'NRT', 2279, 'TPE', 2276, '', 0, '333 744\r'),
	('CI', 1756, 'OKA', 2384, 'KHH', 2264, '', 0, '738\r'),
	('CI', 1756, 'OKA', 2384, 'TPE', 2276, '', 0, '738 333 343\r'),
	('CI', 1756, 'PEK', 3364, 'KHH', 2264, '', 0, '333\r'),
	('CI', 1756, 'PEK', 3364, 'TPE', 2276, '', 0, '744\r'),
	('CI', 1756, 'PEN', 3308, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'PNH', 3034, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'PUS', 2372, 'TPE', 2276, '', 0, '738 333\r'),
	('CI', 1756, 'PVG', 3406, 'KHH', 2264, '', 0, '738 333\r'),
	('CI', 1756, 'PVG', 3406, 'TPE', 2276, '', 0, '744 333\r'),
	('CI', 1756, 'RGN', 3239, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'RMQ', 2268, 'KIX', 3992, '', 0, '738\r'),
	('CI', 1756, 'ROR', 2256, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'SFO', 3469, 'ATL', 3682, 'Y', 0, '739 757\r'),
	('CI', 1756, 'SFO', 3469, 'TPE', 2276, '', 0, '744\r'),
	('CI', 1756, 'SGN', 3205, 'KHH', 2264, 'Y', 0, '321\r'),
	('CI', 1756, 'SGN', 3205, 'TPE', 2276, '', 0, '343 333\r'),
	('CI', 1756, 'SHA', 3391, 'TSA', 2275, '', 0, '333\r'),
	('CI', 1756, 'SIN', 3316, 'KHH', 2264, '', 0, '738\r'),
	('CI', 1756, 'SIN', 3316, 'SUB', 3928, '', 0, '333\r'),
	('CI', 1756, 'SIN', 3316, 'TPE', 2276, '', 0, '333 738\r'),
	('CI', 1756, 'SUB', 3928, 'SIN', 3316, '', 0, '333\r'),
	('CI', 1756, 'SYD', 3361, 'AKL', 2006, '', 0, '333\r'),
	('CI', 1756, 'SYD', 3361, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'SYX', 4030, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'SZX', 3374, 'KHH', 2264, '', 0, '333\r'),
	('CI', 1756, 'SZX', 3374, 'TPE', 2276, '', 0, '744\r'),
	('CI', 1756, 'TAK', 2337, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'TAO', 3390, 'TPE', 2276, '', 0, '744\r'),
	('CI', 1756, 'TNN', 2270, 'HKG', 3077, '', 0, 'E90\r'),
	('CI', 1756, 'TOY', 2324, 'TPE', 2276, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'BKK', 3885, '', 0, '744 333 343\r'),
	('CI', 1756, 'TPE', 2276, 'BNE', 3320, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'CAN', 3370, '', 0, '744\r'),
	('CI', 1756, 'TPE', 2276, 'CGK', 3275, '', 0, '343\r'),
	('CI', 1756, 'TPE', 2276, 'CTS', 2287, '', 0, '744 738\r'),
	('CI', 1756, 'TPE', 2276, 'CTU', 3395, '', 0, '744\r'),
	('CI', 1756, 'TPE', 2276, 'DEL', 3093, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'DLC', 3404, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'DPS', 3940, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'FRA', 340, '', 0, '744\r'),
	('CI', 1756, 'TPE', 2276, 'FSZ', 6476, '', 0, '333 738\r'),
	('CI', 1756, 'TPE', 2276, 'FUK', 2305, '', 0, '333 744 738 343\r'),
	('CI', 1756, 'TPE', 2276, 'GUM', 2246, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'HAK', 4120, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'HAN', 3199, '', 0, '333 343\r'),
	('CI', 1756, 'TPE', 2276, 'HIJ', 2326, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'HKG', 3077, '', 0, '738 744 333 343\r'),
	('CI', 1756, 'TPE', 2276, 'HND', 2359, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'HNL', 3728, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'ICN', 3930, '', 0, '333 738\r'),
	('CI', 1756, 'TPE', 2276, 'ISG', 2387, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'KHN', 3384, '', 0, '333 343\r'),
	('CI', 1756, 'TPE', 2276, 'KIX', 3992, '', 0, '744 333 343\r'),
	('CI', 1756, 'TPE', 2276, 'KMI', 2308, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'KOJ', 2307, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'KUL', 3304, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'LAX', 3484, '', 0, '744\r'),
	('CI', 1756, 'TPE', 2276, 'MNL', 2397, '', 0, '333 738 343\r'),
	('CI', 1756, 'TPE', 2276, 'NGO', 3942, '', 0, '333 738 744\r'),
	('CI', 1756, 'TPE', 2276, 'NRT', 2279, '', 0, '333 744\r'),
	('CI', 1756, 'TPE', 2276, 'OKA', 2384, '', 0, '738 333 744 343\r'),
	('CI', 1756, 'TPE', 2276, 'PEK', 3364, '', 0, '744\r'),
	('CI', 1756, 'TPE', 2276, 'PEN', 3308, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'PNH', 3034, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'PUS', 2372, '', 0, '738 333\r'),
	('CI', 1756, 'TPE', 2276, 'PVG', 3406, '', 0, '744 333\r'),
	('CI', 1756, 'TPE', 2276, 'RGN', 3239, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'ROR', 2256, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'SFO', 3469, '', 0, '744\r'),
	('CI', 1756, 'TPE', 2276, 'SGN', 3205, '', 0, '343 333\r'),
	('CI', 1756, 'TPE', 2276, 'SIN', 3316, '', 0, '738 333\r'),
	('CI', 1756, 'TPE', 2276, 'SYD', 3361, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'SYX', 4030, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'SZX', 3374, '', 0, '744\r'),
	('CI', 1756, 'TPE', 2276, 'TAK', 2337, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'TAO', 3390, '', 0, '744\r'),
	('CI', 1756, 'TPE', 2276, 'TOY', 2324, '', 0, '738\r'),
	('CI', 1756, 'TPE', 2276, 'URC', 3399, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'VIE', 1613, '', 0, '343\r'),
	('CI', 1756, 'TPE', 2276, 'WUH', 3376, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'WUX', 6390, 'Y', 0, '321\r'),
	('CI', 1756, 'TPE', 2276, 'XIY', 3379, '', 0, '333\r'),
	('CI', 1756, 'TPE', 2276, 'YVR', 156, '', 0, '343\r'),
	('CI', 1756, 'TSA', 2275, 'GMP', 2378, '', 0, '738\r'),
	('CI', 1756, 'TSA', 2275, 'HND', 2359, '', 0, '333\r'),
	('CI', 1756, 'TSA', 2275, 'SHA', 3391, '', 0, '333\r'),
	('CI', 1756, 'URC', 3399, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'VIE', 1613, 'TPE', 2276, '', 0, '343\r'),
	('CI', 1756, 'WUH', 3376, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'WUX', 6390, 'TPE', 2276, 'Y', 0, '321\r'),
	('CI', 1756, 'XIY', 3379, 'TPE', 2276, '', 0, '333\r'),
	('CI', 1756, 'YVR', 156, 'TPE', 2276, '', 0, '343\r'),
	('CM', 1889, 'ADZ', 2749, 'BAQ', 2710, 'Y', 0, 'E90\r'),
	('CM', 1889, 'ADZ', 2749, 'BOG', 2709, 'Y', 0, 'E90\r'),
	('CM', 1889, 'ADZ', 2749, 'CLO', 2715, 'Y', 0, 'E90\r'),
	('CM', 1889, 'ADZ', 2749, 'CTG', 2714, 'Y', 0, 'E90\r'),
	('CM', 1889, 'ADZ', 2749, 'MDE', 2745, 'Y', 0, 'E90\r'),
	('CM', 1889, 'ADZ', 2749, 'PEI', 2739, 'Y', 0, 'E90\r'),
	('CM', 1889, 'ADZ', 2749, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'ASU', 2699, 'PTY', 1871, '', 0, '738 73G\r'),
	('CM', 1889, 'AUA', 2895, 'PTY', 1871, '', 0, '738 E90\r'),
	('CM', 1889, 'BAQ', 2710, 'ADZ', 2749, 'Y', 0, 'E90\r'),
	('CM', 1889, 'BAQ', 2710, 'BOG', 2709, '', 0, '320 318\r'),
	('CM', 1889, 'BAQ', 2710, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'BGA', 2708, 'BOG', 2709, '', 0, '320 319\r'),
	('CM', 1889, 'BGA', 2708, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'BOG', 2709, 'ADZ', 2749, '', 0, '320\r'),
	('CM', 1889, 'BOG', 2709, 'BAQ', 2710, '', 0, '320 318 319\r'),
	('CM', 1889, 'BOG', 2709, 'BGA', 2708, '', 0, '319 320 318\r'),
	('CM', 1889, 'BOG', 2709, 'CCS', 2851, 'Y', 0, 'E90 73G\r'),
	('CM', 1889, 'BOG', 2709, 'CLO', 2715, '', 0, '320 319\r'),
	('CM', 1889, 'BOG', 2709, 'CTG', 2714, '', 0, '320\r'),
	('CM', 1889, 'BOG', 2709, 'CUN', 1852, 'Y', 0, 'E90\r'),
	('CM', 1889, 'BOG', 2709, 'HAV', 1909, 'Y', 0, 'E90\r'),
	('CM', 1889, 'BOG', 2709, 'LET', 2728, 'Y', 0, 'E90\r'),
	('CM', 1889, 'BOG', 2709, 'MDE', 2745, '', 0, '318 319 73G 320\r'),
	('CM', 1889, 'BOG', 2709, 'MEX', 1824, 'Y', 0, '73G\r'),
	('CM', 1889, 'BOG', 2709, 'PEI', 2739, '', 0, '320\r'),
	('CM', 1889, 'BOG', 2709, 'PTY', 1871, '', 0, '738 73G E90\r'),
	('CM', 1889, 'BOG', 2709, 'PUJ', 1760, '', 0, 'E90\r'),
	('CM', 1889, 'BOG', 2709, 'SMR', 2748, '', 0, '320 318\r'),
	('CM', 1889, 'BOG', 2709, 'UIO', 2688, 'Y', 0, 'E90\r'),
	('CM', 1889, 'BOS', 3448, 'PTY', 1871, '', 0, '73G\r'),
	('CM', 1889, 'BSB', 2531, 'PTY', 1871, '', 0, '738 73G\r'),
	('CM', 1889, 'CCS', 2851, 'BOG', 2709, 'Y', 0, '73G E90\r'),
	('CM', 1889, 'CCS', 2851, 'MDE', 2745, 'Y', 0, 'E90\r'),
	('CM', 1889, 'CCS', 2851, 'PTY', 1871, '', 0, '73G\r'),
	('CM', 1889, 'CLO', 2715, 'ADZ', 2749, 'Y', 0, 'E90\r'),
	('CM', 1889, 'CLO', 2715, 'BOG', 2709, '', 0, '319 320 318\r'),
	('CM', 1889, 'CLO', 2715, 'PTY', 1871, '', 0, 'E90 73G\r'),
	('CM', 1889, 'CNF', 2537, 'PTY', 1871, '', 0, '738 73G\r'),
	('CM', 1889, 'COR', 2443, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'CTG', 2714, 'ADZ', 2749, 'Y', 0, 'E90\r'),
	('CM', 1889, 'CTG', 2714, 'BOG', 2709, '', 0, '320\r'),
	('CM', 1889, 'CTG', 2714, 'PTY', 1871, '', 0, 'E90 73G 738\r'),
	('CM', 1889, 'CUC', 2713, 'PTY', 1871, 'Y', 0, 'E90\r'),
	('CM', 1889, 'CUN', 1852, 'BOG', 2709, 'Y', 0, 'E90\r'),
	('CM', 1889, 'CUN', 1852, 'PTY', 1871, '', 0, '738 73G\r'),
	('CM', 1889, 'CUR', 2897, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'EWR', 3494, 'PTY', 1871, 'Y', 0, '739\r'),
	('CM', 1889, 'EZE', 3988, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'GDL', 1804, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'GIG', 2560, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'GRU', 2564, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'GUA', 1767, 'MGA', 1863, '', 0, 'E90\r'),
	('CM', 1889, 'GUA', 1767, 'PTY', 1871, '', 0, 'E90 73G 738\r'),
	('CM', 1889, 'GUA', 1767, 'SJO', 1885, '', 0, '73G E90 738\r'),
	('CM', 1889, 'GYE', 2673, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'HAV', 1909, 'BOG', 2709, 'Y', 0, 'E90\r'),
	('CM', 1889, 'HAV', 1909, 'PTY', 1871, '', 0, '738 E90\r'),
	('CM', 1889, 'IAD', 3714, 'PTY', 1871, '', 0, '73G\r'),
	('CM', 1889, 'IAH', 3550, 'PTY', 1871, 'Y', 0, '739\r'),
	('CM', 1889, 'IAH', 3550, 'SFO', 3469, 'Y', 0, '788\r'),
	('CM', 1889, 'IQT', 2801, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'JFK', 3797, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'KIN', 1779, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'LAS', 3877, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'LAX', 3484, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'LET', 2728, 'BOG', 2709, 'Y', 0, 'E90\r'),
	('CM', 1889, 'LIM', 2789, 'PTY', 1871, '', 0, '738 73G\r'),
	('CM', 1889, 'LIR', 1881, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'MAO', 2551, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'MAR', 2848, 'PTY', 1871, '', 0, '73G\r'),
	('CM', 1889, 'MBJ', 1780, 'PTY', 1871, '', 0, '73G 738 E90\r'),
	('CM', 1889, 'MCO', 3878, 'PTY', 1871, '', 0, '73G 738\r'),
	('CM', 1889, 'MDE', 2745, 'ADZ', 2749, 'Y', 0, 'E90\r'),
	('CM', 1889, 'MDE', 2745, 'BOG', 2709, '', 0, '73G 320 319\r'),
	('CM', 1889, 'MDE', 2745, 'CCS', 2851, 'Y', 0, 'E90\r'),
	('CM', 1889, 'MDE', 2745, 'PTY', 1871, '', 0, '73G E90\r'),
	('CM', 1889, 'MEX', 1824, 'BOG', 2709, 'Y', 0, '73G\r'),
	('CM', 1889, 'MEX', 1824, 'PTY', 1871, '', 0, '738 73G\r'),
	('CM', 1889, 'MGA', 1863, 'GUA', 1767, '', 0, 'E90\r'),
	('CM', 1889, 'MGA', 1863, 'PTY', 1871, '', 0, '73G E90\r'),
	('CM', 1889, 'MGA', 1863, 'SJO', 1885, '', 0, 'E90 73G\r'),
	('CM', 1889, 'MIA', 3576, 'PTY', 1871, '', 0, '738 73G\r'),
	('CM', 1889, 'MTY', 1825, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'MVD', 2816, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'NAS', 1953, 'PTY', 1871, '', 0, '73G E90\r'),
	('CM', 1889, 'ORD', 3830, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'PAP', 1897, 'PTY', 1871, '', 0, '73G 738\r'),
	('CM', 1889, 'PEI', 2739, 'ADZ', 2749, 'Y', 0, 'E90\r'),
	('CM', 1889, 'PEI', 2739, 'BOG', 2709, '', 0, '320 318 AT7 319\r'),
	('CM', 1889, 'PEI', 2739, 'PTY', 1871, 'Y', 0, 'E90\r'),
	('CM', 1889, 'POA', 2599, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'POS', 2902, 'PTY', 1871, '', 0, '73G E90\r'),
	('CM', 1889, 'PTY', 1871, 'ADZ', 2749, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'ASU', 2699, '', 0, '738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'AUA', 2895, '', 0, '738 E90\r'),
	('CM', 1889, 'PTY', 1871, 'BAQ', 2710, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'BGA', 2708, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'BOG', 2709, '', 0, '73G E90 738\r'),
	('CM', 1889, 'PTY', 1871, 'BOS', 3448, '', 0, '73G\r'),
	('CM', 1889, 'PTY', 1871, 'BSB', 2531, '', 0, '738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'CCS', 2851, '', 0, '73G\r'),
	('CM', 1889, 'PTY', 1871, 'CLO', 2715, '', 0, 'E90 73G\r'),
	('CM', 1889, 'PTY', 1871, 'CNF', 2537, '', 0, '738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'COR', 2443, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'CTG', 2714, '', 0, 'E90 73G 738\r'),
	('CM', 1889, 'PTY', 1871, 'CUC', 2713, 'Y', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'CUN', 1852, '', 0, '738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'CUR', 2897, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'EWR', 3494, 'Y', 0, '739\r'),
	('CM', 1889, 'PTY', 1871, 'EZE', 3988, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'GDL', 1804, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'GIG', 2560, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'GRU', 2564, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'GUA', 1767, '', 0, 'E90 73G 738\r'),
	('CM', 1889, 'PTY', 1871, 'GYE', 2673, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'HAV', 1909, '', 0, '738 E90\r'),
	('CM', 1889, 'PTY', 1871, 'IAD', 3714, '', 0, '73G\r'),
	('CM', 1889, 'PTY', 1871, 'IAH', 3550, 'Y', 0, '739\r'),
	('CM', 1889, 'PTY', 1871, 'IQT', 2801, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'JFK', 3797, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'KIN', 1779, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'LAS', 3877, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'LAX', 3484, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'LIM', 2789, '', 0, '738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'LIR', 1881, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'MAO', 2551, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'MAR', 2848, '', 0, '73G\r'),
	('CM', 1889, 'PTY', 1871, 'MBJ', 1780, '', 0, '73G 738 E90\r'),
	('CM', 1889, 'PTY', 1871, 'MCO', 3878, '', 0, '738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'MDE', 2745, '', 0, '73G E90\r'),
	('CM', 1889, 'PTY', 1871, 'MEX', 1824, '', 0, '738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'MGA', 1863, '', 0, 'E90 73G\r'),
	('CM', 1889, 'PTY', 1871, 'MIA', 3576, '', 0, '738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'MTY', 1825, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'MVD', 2816, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'NAS', 1953, '', 0, '73G E90\r'),
	('CM', 1889, 'PTY', 1871, 'ORD', 3830, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'PAP', 1897, '', 0, '73G 738\r'),
	('CM', 1889, 'PTY', 1871, 'PEI', 2739, 'Y', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'POA', 2599, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'POS', 2902, '', 0, '73G E90\r'),
	('CM', 1889, 'PTY', 1871, 'PUJ', 1760, '', 0, '738 73G E90\r'),
	('CM', 1889, 'PTY', 1871, 'REC', 2610, '', 0, '73G 738\r'),
	('CM', 1889, 'PTY', 1871, 'SAL', 1892, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'SAP', 1772, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'SCL', 2650, '', 0, '738\r'),
	('CM', 1889, 'PTY', 1871, 'SDQ', 1762, '', 0, '738 73G E90\r'),
	('CM', 1889, 'PTY', 1871, 'SJO', 1885, '', 0, 'E90 738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'SJU', 2890, '', 0, 'E90 73G\r'),
	('CM', 1889, 'PTY', 1871, 'STI', 1764, '', 0, 'E90\r'),
	('CM', 1889, 'PTY', 1871, 'SXM', 2899, '', 0, 'E90 73G\r'),
	('CM', 1889, 'PTY', 1871, 'TGU', 1776, '', 0, 'E90 73G\r'),
	('CM', 1889, 'PTY', 1871, 'TPA', 3646, '', 0, '73G 738\r'),
	('CM', 1889, 'PTY', 1871, 'UIO', 2688, '', 0, '738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'VLN', 2868, '', 0, '73G\r'),
	('CM', 1889, 'PTY', 1871, 'VVI', 2771, '', 0, '738 73G\r'),
	('CM', 1889, 'PTY', 1871, 'YYZ', 193, '', 0, '738\r'),
	('CM', 1889, 'PUJ', 1760, 'BOG', 2709, '', 0, 'E90\r'),
	('CM', 1889, 'PUJ', 1760, 'PTY', 1871, '', 0, 'E90 738 73G\r'),
	('CM', 1889, 'REC', 2610, 'PTY', 1871, '', 0, '73G 738\r'),
	('CM', 1889, 'SAL', 1892, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'SAP', 1772, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'SAP', 1772, 'SJO', 1885, '', 0, '738\r'),
	('CM', 1889, 'SCL', 2650, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'SDQ', 1762, 'PTY', 1871, '', 0, '738 73G E90\r'),
	('CM', 1889, 'SEA', 3577, 'IAH', 3550, 'Y', 0, '320\r'),
	('CM', 1889, 'SJO', 1885, 'GUA', 1767, '', 0, 'E90 73G 738\r'),
	('CM', 1889, 'SJO', 1885, 'MGA', 1863, '', 0, 'E90 73G\r'),
	('CM', 1889, 'SJO', 1885, 'PTY', 1871, '', 0, '738 73G E90\r'),
	('CM', 1889, 'SJO', 1885, 'SAP', 1772, '', 0, '738\r'),
	('CM', 1889, 'SJO', 1885, 'TGU', 1776, '', 0, '738\r'),
	('CM', 1889, 'SJU', 2890, 'PTY', 1871, '', 0, 'E90 73G\r'),
	('CM', 1889, 'SMR', 2748, 'BOG', 2709, '', 0, '320 318\r'),
	('CM', 1889, 'STI', 1764, 'PTY', 1871, '', 0, 'E90\r'),
	('CM', 1889, 'SXM', 2899, 'PTY', 1871, '', 0, 'E90 73G\r'),
	('CM', 1889, 'TGU', 1776, 'PTY', 1871, '', 0, '738\r'),
	('CM', 1889, 'TGU', 1776, 'SJO', 1885, '', 0, 'E90 73G\r'),
	('CM', 1889, 'TPA', 3646, 'PTY', 1871, '', 0, '738 73G\r'),
	('CM', 1889, 'UIO', 2688, 'BOG', 2709, 'Y', 0, 'E90\r'),
	('CM', 1889, 'UIO', 2688, 'PTY', 1871, '', 0, '738 73G\r'),
	('CM', 1889, 'VLN', 2868, 'PTY', 1871, '', 0, '73G\r'),
	('CM', 1889, 'VVI', 2771, 'PTY', 1871, '', 0, '73G 738\r'),
	('CM', 1889, 'YYZ', 193, 'PTY', 1871, '', 0, '738\r'),
	('CN', 9829, 'HLD', 3366, 'PEK', 3364, '', 0, '738\r'),
	('CN', 9829, 'HRB', 3400, 'PEK', 3364, '', 0, '738\r'),
	('CN', 9829, 'INC', 4085, 'PEK', 3364, '', 0, '738\r'),
	('CN', 9829, 'KWL', 3372, 'PEK', 3364, '', 0, '738\r'),
	('CN', 9829, 'MDG', 4334, 'PEK', 3364, '', 0, '738\r'),
	('CN', 9829, 'PEK', 3364, 'HLD', 3366, '', 0, '738\r'),
	('CN', 9829, 'PEK', 3364, 'HRB', 3400, '', 0, '738\r'),
	('CN', 9829, 'PEK', 3364, 'INC', 4085, '', 0, '738\r'),
	('CN', 9829, 'PEK', 3364, 'KWL', 3372, '', 0, '738\r'),
	('CN', 9829, 'PEK', 3364, 'MDG', 4334, '', 0, '738\r'),
	('CU', 1936, 'BOG', 2709, 'HAV', 1909, '', 0, '319\r'),
	('CU', 1936, 'CCC', 5852, 'HAV', 1909, '', 0, 'IL9\r'),
	('CU', 1936, 'CCC', 5852, 'VRA', 1923, '', 0, '320\r'),
	('CU', 1936, 'CCS', 2851, 'HAV', 1909, '', 0, 'T20 320 A58 319\r'),
	('CU', 1936, 'CMW', 1904, 'HAV', 1909, '', 0, '320\r'),
	('CU', 1936, 'CMW', 1904, 'YUL', 146, '', 0, '320\r'),
	('CU', 1936, 'CMW', 1904, 'YYZ', 193, '', 0, '320\r'),
	('CU', 1936, 'CUN', 1852, 'FCO', 1555, 'Y', 0, '767\r'),
	('CU', 1936, 'CUN', 1852, 'HAV', 1909, '', 0, '320 319\r'),
	('CU', 1936, 'CYO', 1903, 'HAV', 1909, '', 0, '320\r'),
	('CU', 1936, 'CYO', 1903, 'SCU', 1905, '', 0, '320\r'),
	('CU', 1936, 'EZE', 3988, 'CCC', 5852, '', 0, 'IL9\r'),
	('CU', 1936, 'FCO', 1555, 'HAV', 1909, '', 1, '767\r'),
	('CU', 1936, 'FDF', 2878, 'HAV', 1909, '', 0, 'A58\r'),
	('CU', 1936, 'GAO', 1908, 'HAV', 1909, '', 0, 'A58\r'),
	('CU', 1936, 'HAV', 1909, 'BOG', 2709, '', 0, '319\r'),
	('CU', 1936, 'HAV', 1909, 'CCS', 2851, '', 0, 'T20 320 A58 319\r'),
	('CU', 1936, 'HAV', 1909, 'CMW', 1904, '', 0, '320\r'),
	('CU', 1936, 'HAV', 1909, 'CUN', 1852, '', 0, '320 319\r'),
	('CU', 1936, 'HAV', 1909, 'EZE', 3988, '', 0, 'IL9\r'),
	('CU', 1936, 'HAV', 1909, 'FDF', 2878, '', 0, 'A58\r'),
	('CU', 1936, 'HAV', 1909, 'GAO', 1908, '', 0, 'A58\r'),
	('CU', 1936, 'HAV', 1909, 'HOG', 1910, '', 0, 'A58\r'),
	('CU', 1936, 'HAV', 1909, 'MAD', 1229, '', 0, 'IL9\r'),
	('CU', 1936, 'HAV', 1909, 'MEX', 1824, '', 0, '320 319\r'),
	('CU', 1936, 'HAV', 1909, 'NAS', 1953, '', 0, 'AT4\r'),
	('CU', 1936, 'HAV', 1909, 'ORY', 1386, '', 0, 'IL9\r'),
	('CU', 1936, 'HAV', 1909, 'PMV', 2850, '', 0, 'A58\r'),
	('CU', 1936, 'HAV', 1909, 'PTY', 1871, '', 0, '73G\r'),
	('CU', 1936, 'HAV', 1909, 'SCU', 1905, '', 0, 'A58\r'),
	('CU', 1936, 'HAV', 1909, 'SDQ', 1762, '', 0, '319 A58 T20\r'),
	('CU', 1936, 'HAV', 1909, 'SNU', 1918, '', 0, '320\r'),
	('CU', 1936, 'HAV', 1909, 'SVO', 2985, 'Y', 0, '332\r'),
	('CU', 1936, 'HOG', 1910, 'HAV', 1909, '', 0, 'A58\r'),
	('CU', 1936, 'HOG', 1910, 'YUL', 146, '', 0, '320\r'),
	('CU', 1936, 'MAD', 1229, 'HAV', 1909, '', 0, 'IL9\r'),
	('CU', 1936, 'MAD', 1229, 'SCU', 1905, '', 0, 'IL9\r'),
	('CU', 1936, 'MEX', 1824, 'HAV', 1909, '', 0, '320 319\r'),
	('CU', 1936, 'NAS', 1953, 'HAV', 1909, '', 0, 'AT4\r'),
	('CU', 1936, 'ORY', 1386, 'SCU', 1905, '', 0, 'IL9\r'),
	('CU', 1936, 'PMV', 2850, 'HAV', 1909, '', 0, 'A58\r'),
	('CU', 1936, 'PTY', 1871, 'HAV', 1909, '', 0, '73G\r'),
	('CU', 1936, 'SCU', 1905, 'FCO', 1555, 'Y', 0, '767\r'),
	('CU', 1936, 'SCU', 1905, 'HAV', 1909, '', 0, 'A58 IL9\r'),
	('CU', 1936, 'SCU', 1905, 'SDQ', 1762, '', 0, 'A58\r'),
	('CU', 1936, 'SCU', 1905, 'YUL', 146, '', 0, '320\r'),
	('CU', 1936, 'SDQ', 1762, 'HAV', 1909, '', 0, 'A58 319 T20\r'),
	('CU', 1936, 'SDQ', 1762, 'SCU', 1905, '', 0, 'A58\r'),
	('CU', 1936, 'SNU', 1918, 'YUL', 146, '', 0, '320\r'),
	('CU', 1936, 'SNU', 1918, 'YYZ', 193, '', 0, '320\r'),
	('CU', 1936, 'SVO', 2985, 'HAV', 1909, 'Y', 0, '332\r'),
	('CU', 1936, 'VRA', 1923, 'YUL', 146, '', 0, '320\r'),
	('CU', 1936, 'YUL', 146, 'CCC', 5852, '', 0, '320\r'),
	('CU', 1936, 'YUL', 146, 'CMW', 1904, '', 0, '320\r'),
	('CU', 1936, 'YUL', 146, 'CYO', 1903, '', 0, '320\r'),
	('CU', 1936, 'YUL', 146, 'HOG', 1910, '', 0, '320\r'),
	('CU', 1936, 'YUL', 146, 'SNU', 1918, '', 0, '320\r'),
	('CU', 1936, 'YYZ', 193, 'CMW', 1904, '', 0, '320\r'),
	('CU', 1936, 'YYZ', 193, 'SNU', 1918, '', 0, '320\r'),
	('CX', 1680, 'ADL', 3341, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'AKL', 2006, 'HKG', 3077, '', 0, '343\r'),
	('CX', 1680, 'AMS', 580, 'HKG', 3077, '', 0, '343\r'),
	('CX', 1680, 'ATH', 3941, 'DOH', 2241, '', 0, '321\r'),
	('CX', 1680, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'E75\r'),
	('CX', 1680, 'AUH', 2179, 'BAH', 2057, '', 0, '333\r'),
	('CX', 1680, 'BAH', 2057, 'DXB', 2188, '', 0, '333\r'),
	('CX', 1680, 'BCN', 1218, 'DOH', 2241, '', 0, '332\r'),
	('CX', 1680, 'BKI', 3269, 'HKG', 3077, '', 0, '321 320\r'),
	('CX', 1680, 'BKK', 3885, 'CMB', 3024, '', 0, '773\r'),
	('CX', 1680, 'BKK', 3885, 'HKG', 3077, '', 0, '333 773 343 77W\r'),
	('CX', 1680, 'BKK', 3885, 'KBV', 3174, 'Y', 0, '319 320\r'),
	('CX', 1680, 'BKK', 3885, 'KHI', 2206, '', 0, '333\r'),
	('CX', 1680, 'BKK', 3885, 'SIN', 3316, '', 0, '772\r'),
	('CX', 1680, 'BLR', 3131, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'BNE', 3320, 'CNS', 3322, '', 0, '333\r'),
	('CX', 1680, 'BNE', 3320, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'BOM', 2997, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'CAN', 3370, 'HKG', 3077, '', 0, '333 321 320\r'),
	('CX', 1680, 'CCU', 3043, 'HKG', 3077, '', 0, '320\r'),
	('CX', 1680, 'CDG', 1382, 'HKG', 3077, '', 0, '77W 343\r'),
	('CX', 1680, 'CEB', 4206, 'HKG', 3077, '', 0, '333 77W 343\r'),
	('CX', 1680, 'CGK', 3275, 'HKG', 3077, '', 0, '333 773 343\r'),
	('CX', 1680, 'CGO', 3375, 'HKG', 3077, '', 0, '320\r'),
	('CX', 1680, 'CJU', 2370, 'HKG', 3077, '', 0, '320\r'),
	('CX', 1680, 'CKG', 3393, 'HKG', 3077, '', 0, '320 321\r'),
	('CX', 1680, 'CMB', 3024, 'BKK', 3885, '', 0, '773\r'),
	('CX', 1680, 'CMB', 3024, 'SIN', 3316, '', 0, '773\r'),
	('CX', 1680, 'CNS', 3322, 'BNE', 3320, '', 0, '333\r'),
	('CX', 1680, 'CNS', 3322, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'CNX', 3931, 'BKK', 3885, 'Y', 0, '320 319\r'),
	('CX', 1680, 'CNX', 3931, 'HKG', 3077, '', 0, '320\r'),
	('CX', 1680, 'CSX', 3371, 'HKG', 3077, '', 0, '320 321\r'),
	('CX', 1680, 'CTS', 2287, 'HKG', 3077, '', 0, '744 333\r'),
	('CX', 1680, 'CTU', 3395, 'HKG', 3077, '', 0, '320 333 321\r'),
	('CX', 1680, 'DAC', 3076, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'DAC', 3076, 'KTM', 3125, '', 0, '333\r'),
	('CX', 1680, 'DAD', 3196, 'HKG', 3077, '', 0, '320\r'),
	('CX', 1680, 'DEL', 3093, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'DME', 4029, 'HKG', 3077, '', 0, '343\r'),
	('CX', 1680, 'DOH', 2241, 'ATH', 3941, '', 0, '333 332\r'),
	('CX', 1680, 'DOH', 2241, 'BCN', 1218, '', 0, '332\r'),
	('CX', 1680, 'DOH', 2241, 'GVA', 1665, '', 0, '320\r'),
	('CX', 1680, 'DOH', 2241, 'HKG', 3077, '', 0, '333 332\r'),
	('CX', 1680, 'DOH', 2241, 'MAD', 1229, '', 0, '77W\r'),
	('CX', 1680, 'DOH', 2241, 'VCE', 1551, '', 0, '320\r'),
	('CX', 1680, 'DPS', 3940, 'HKG', 3077, '', 0, '773 744\r'),
	('CX', 1680, 'DXB', 2188, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'EWR', 3494, 'HKG', 3077, '', 0, '77W\r'),
	('CX', 1680, 'FCO', 1555, 'HKG', 3077, '', 0, '343\r'),
	('CX', 1680, 'FOC', 3385, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'FRA', 340, 'HKG', 3077, '', 0, '77W\r'),
	('CX', 1680, 'FUK', 2305, 'HKG', 3077, '', 0, '321 333\r'),
	('CX', 1680, 'FUK', 2305, 'TPE', 2276, '', 0, '772\r'),
	('CX', 1680, 'GVA', 1665, 'DOH', 2241, '', 0, '320\r'),
	('CX', 1680, 'HAK', 4120, 'HKG', 3077, '', 0, '320 321\r'),
	('CX', 1680, 'HAN', 3199, 'HKG', 3077, '', 0, '320 321\r'),
	('CX', 1680, 'HGH', 3386, 'HKG', 3077, '', 0, '333 321 320\r'),
	('CX', 1680, 'HKG', 3077, 'ADL', 3341, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'AKL', 2006, '', 0, '343\r'),
	('CX', 1680, 'HKG', 3077, 'AMS', 580, '', 0, '343\r'),
	('CX', 1680, 'HKG', 3077, 'AUH', 2179, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'BKI', 3269, '', 0, '321 320\r'),
	('CX', 1680, 'HKG', 3077, 'BKK', 3885, '', 0, '772 333 343 77W 773\r'),
	('CX', 1680, 'HKG', 3077, 'BLR', 3131, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'BNE', 3320, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'BOM', 2997, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'CAN', 3370, '', 0, '333 321 320\r'),
	('CX', 1680, 'HKG', 3077, 'CCU', 3043, '', 0, '320\r'),
	('CX', 1680, 'HKG', 3077, 'CDG', 1382, '', 0, '77W 343\r'),
	('CX', 1680, 'HKG', 3077, 'CEB', 4206, '', 0, '333 77W 343\r'),
	('CX', 1680, 'HKG', 3077, 'CGK', 3275, '', 0, '333 343 773\r'),
	('CX', 1680, 'HKG', 3077, 'CGO', 3375, '', 0, '320\r'),
	('CX', 1680, 'HKG', 3077, 'CJU', 2370, '', 0, '320\r'),
	('CX', 1680, 'HKG', 3077, 'CKG', 3393, '', 0, '320 321\r'),
	('CX', 1680, 'HKG', 3077, 'CNS', 3322, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'CNX', 3931, '', 0, '320\r'),
	('CX', 1680, 'HKG', 3077, 'CSX', 3371, '', 0, '320 321\r'),
	('CX', 1680, 'HKG', 3077, 'CTS', 2287, '', 0, '744 333\r'),
	('CX', 1680, 'HKG', 3077, 'CTU', 3395, '', 0, '320 333 321\r'),
	('CX', 1680, 'HKG', 3077, 'DAC', 3076, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'DAD', 3196, '', 0, '320\r'),
	('CX', 1680, 'HKG', 3077, 'DEL', 3093, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'DME', 4029, '', 0, '343\r'),
	('CX', 1680, 'HKG', 3077, 'DOH', 2241, '', 0, '332 333\r'),
	('CX', 1680, 'HKG', 3077, 'DPS', 3940, '', 0, '773 744\r'),
	('CX', 1680, 'HKG', 3077, 'DXB', 2188, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'EWR', 3494, '', 0, '77W\r'),
	('CX', 1680, 'HKG', 3077, 'FCO', 1555, '', 0, '343\r'),
	('CX', 1680, 'HKG', 3077, 'FOC', 3385, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'FRA', 340, '', 0, '77W\r'),
	('CX', 1680, 'HKG', 3077, 'FUK', 2305, '', 0, '321 333\r'),
	('CX', 1680, 'HKG', 3077, 'HAK', 4120, '', 0, '320 321\r'),
	('CX', 1680, 'HKG', 3077, 'HAN', 3199, '', 0, '320 321\r'),
	('CX', 1680, 'HKG', 3077, 'HGH', 3386, '', 0, '321 333 320\r'),
	('CX', 1680, 'HKG', 3077, 'HKT', 3179, '', 0, '320 321\r'),
	('CX', 1680, 'HKG', 3077, 'HND', 2359, '', 0, '744\r'),
	('CX', 1680, 'HKG', 3077, 'HYD', 3141, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'ICN', 3930, '', 0, '333 773 772 77W 343\r'),
	('CX', 1680, 'HKG', 3077, 'JFK', 3797, '', 0, '77W\r'),
	('CX', 1680, 'HKG', 3077, 'JNB', 813, '', 0, '744\r'),
	('CX', 1680, 'HKG', 3077, 'KHH', 2264, '', 0, '320 333 321\r'),
	('CX', 1680, 'HKG', 3077, 'KHV', 2927, '', 0, '320\r'),
	('CX', 1680, 'HKG', 3077, 'KIX', 3992, '', 0, '333 744 773 77W 343 772\r'),
	('CX', 1680, 'HKG', 3077, 'KMG', 3382, '', 0, '333 320 321\r'),
	('CX', 1680, 'HKG', 3077, 'KUL', 3304, '', 0, '333 772 738 343 773\r'),
	('CX', 1680, 'HKG', 3077, 'KWL', 3372, '', 0, '320 321\r'),
	('CX', 1680, 'HKG', 3077, 'LAX', 3484, '', 0, '77W\r'),
	('CX', 1680, 'HKG', 3077, 'LHR', 507, '', 0, '77W\r'),
	('CX', 1680, 'HKG', 3077, 'MAA', 3144, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'MEL', 3339, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'MLE', 3156, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'MNL', 2397, '', 0, '77W 343 744 333 772\r'),
	('CX', 1680, 'HKG', 3077, 'MXP', 1524, '', 0, '77W\r'),
	('CX', 1680, 'HKG', 3077, 'NAN', 1960, 'Y', 0, '332\r'),
	('CX', 1680, 'HKG', 3077, 'NGB', 3387, '', 0, '320 321\r'),
	('CX', 1680, 'HKG', 3077, 'NGO', 3942, '', 0, '333 343\r'),
	('CX', 1680, 'HKG', 3077, 'NKG', 3388, '', 0, '333 321 320\r'),
	('CX', 1680, 'HKG', 3077, 'NRT', 2279, '', 0, '773 744 77W 772 333 343\r'),
	('CX', 1680, 'HKG', 3077, 'OKA', 2384, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'ORD', 3830, '', 0, '77W\r'),
	('CX', 1680, 'HKG', 3077, 'PEK', 3364, '', 0, '333 77W 321 320 343\r'),
	('CX', 1680, 'HKG', 3077, 'PEN', 3308, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'PER', 3351, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'PUS', 2372, '', 0, '321 320\r'),
	('CX', 1680, 'HKG', 3077, 'PVG', 3406, '', 0, '333 77W 321 320 773 772 343\r'),
	('CX', 1680, 'HKG', 3077, 'RUH', 2082, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'SFO', 3469, '', 0, '77W 744\r'),
	('CX', 1680, 'HKG', 3077, 'SGN', 3205, '', 0, '321 77W 333 343\r'),
	('CX', 1680, 'HKG', 3077, 'SHA', 3391, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'SIN', 3316, '', 0, '772 77W 333 773 343\r'),
	('CX', 1680, 'HKG', 3077, 'SUB', 3928, '', 0, '333 772\r'),
	('CX', 1680, 'HKG', 3077, 'SYD', 3361, '', 0, '333\r'),
	('CX', 1680, 'HKG', 3077, 'SYX', 4030, '', 0, '320 321\r'),
	('CX', 1680, 'HKG', 3077, 'TAO', 3390, '', 0, '333 320\r'),
	('CX', 1680, 'HKG', 3077, 'TPE', 2276, '', 0, '333 77W 744 772 773 343 320 321\r'),
	('CX', 1680, 'HKG', 3077, 'USM', 3177, '', 0, '320 319\r'),
	('CX', 1680, 'HKG', 3077, 'VVO', 2934, '', 0, '320\r'),
	('CX', 1680, 'HKG', 3077, 'WNZ', 6392, '', 0, '321 320\r'),
	('CX', 1680, 'HKG', 3077, 'WUH', 3376, '', 0, '321 320\r'),
	('CX', 1680, 'HKG', 3077, 'XIY', 3379, '', 0, '320 321\r'),
	('CX', 1680, 'HKG', 3077, 'XMN', 3383, '', 0, '333 321 320\r'),
	('CX', 1680, 'HKG', 3077, 'YVR', 156, '', 0, '77W\r'),
	('CX', 1680, 'HKG', 3077, 'YYZ', 193, '', 0, '77W\r'),
	('CX', 1680, 'HKT', 3179, 'HKG', 3077, '', 0, '320 321\r'),
	('CX', 1680, 'HND', 2359, 'HKG', 3077, '', 0, '744\r'),
	('CX', 1680, 'HYD', 3141, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'ICN', 3930, 'HKG', 3077, '', 0, '333 773 772 77W 343\r'),
	('CX', 1680, 'ICN', 3930, 'TPE', 2276, '', 0, '773 343 772\r'),
	('CX', 1680, 'JFK', 3797, 'HKG', 3077, '', 0, '77W\r'),
	('CX', 1680, 'JFK', 3797, 'YVR', 156, '', 0, '77W\r'),
	('CX', 1680, 'JNB', 813, 'HKG', 3077, '', 0, '744\r'),
	('CX', 1680, 'KBV', 3174, 'BKK', 3885, 'Y', 0, '320 319\r'),
	('CX', 1680, 'KHH', 2264, 'HKG', 3077, '', 0, '333 320 321\r'),
	('CX', 1680, 'KHI', 2206, 'BKK', 3885, '', 0, '333\r'),
	('CX', 1680, 'KHV', 2927, 'HKG', 3077, '', 0, '320\r'),
	('CX', 1680, 'KIX', 3992, 'HKG', 3077, '', 0, '333 773 744 77W 343 772\r'),
	('CX', 1680, 'KIX', 3992, 'TPE', 2276, '', 0, '333 773 77W\r'),
	('CX', 1680, 'KMG', 3382, 'HKG', 3077, '', 0, '333 320 321\r'),
	('CX', 1680, 'KTM', 3125, 'DAC', 3076, '', 0, '333\r'),
	('CX', 1680, 'KUL', 3304, 'HKG', 3077, '', 0, '772 333 738 343 773\r'),
	('CX', 1680, 'KWL', 3372, 'HKG', 3077, '', 0, '320 321\r'),
	('CX', 1680, 'LAX', 3484, 'HKG', 3077, '', 0, '77W\r'),
	('CX', 1680, 'LHR', 507, 'HKG', 3077, '', 0, '77W\r'),
	('CX', 1680, 'MAA', 3144, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'MAD', 1229, 'DOH', 2241, '', 0, '77W\r'),
	('CX', 1680, 'MEL', 3339, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'MLE', 3156, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'MNL', 2397, 'HKG', 3077, '', 0, '744 333 77W 343 772\r'),
	('CX', 1680, 'MSY', 3861, 'DFW', 3670, 'Y', 0, 'M83 M80\r'),
	('CX', 1680, 'MXP', 1524, 'HKG', 3077, '', 0, '77W\r'),
	('CX', 1680, 'NAN', 1960, 'HKG', 3077, 'Y', 0, '332\r'),
	('CX', 1680, 'NGB', 3387, 'HKG', 3077, '', 0, '321 320\r'),
	('CX', 1680, 'NGO', 3942, 'HKG', 3077, '', 0, '343 333\r'),
	('CX', 1680, 'NGO', 3942, 'TPE', 2276, '', 0, '333\r'),
	('CX', 1680, 'NKG', 3388, 'HKG', 3077, '', 0, '320 333 321\r'),
	('CX', 1680, 'NRT', 2279, 'HKG', 3077, '', 0, '773 77W 744 772 333 343\r'),
	('CX', 1680, 'NRT', 2279, 'TPE', 2276, '', 0, '744\r'),
	('CX', 1680, 'OKA', 2384, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('CX', 1680, 'ORD', 3830, 'HKG', 3077, '', 0, '77W\r'),
	('CX', 1680, 'PEK', 3364, 'HKG', 3077, '', 0, '320 333 77W 321 343\r'),
	('CX', 1680, 'PEN', 3308, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'PER', 3351, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'PUS', 2372, 'HKG', 3077, '', 0, '321 320\r'),
	('CX', 1680, 'PVG', 3406, 'HKG', 3077, '', 0, '320 321 333 772 77W 773 343\r'),
	('CX', 1680, 'RUH', 2082, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'SFO', 3469, 'HKG', 3077, '', 0, '77W 744\r'),
	('CX', 1680, 'SGN', 3205, 'HKG', 3077, '', 0, '77W 333 343\r'),
	('CX', 1680, 'SHA', 3391, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'SIN', 3316, 'BKK', 3885, '', 0, '333 343\r'),
	('CX', 1680, 'SIN', 3316, 'CMB', 3024, '', 0, '773\r'),
	('CX', 1680, 'SIN', 3316, 'HKG', 3077, '', 0, '333 772 773 77W\r'),
	('CX', 1680, 'SUB', 3928, 'HKG', 3077, '', 0, '333 772\r'),
	('CX', 1680, 'SYD', 3361, 'HKG', 3077, '', 0, '333\r'),
	('CX', 1680, 'SYX', 4030, 'HKG', 3077, '', 0, '320 321\r'),
	('CX', 1680, 'TAO', 3390, 'HKG', 3077, '', 0, '333 320\r'),
	('CX', 1680, 'TPE', 2276, 'FUK', 2305, '', 0, '772 773\r'),
	('CX', 1680, 'TPE', 2276, 'HKG', 3077, '', 0, '773 744 333 77W 772 343 320 321\r'),
	('CX', 1680, 'TPE', 2276, 'ICN', 3930, '', 0, '773 343 772\r'),
	('CX', 1680, 'TPE', 2276, 'KIX', 3992, '', 0, '773 333\r'),
	('CX', 1680, 'TPE', 2276, 'NGO', 3942, '', 0, '333\r'),
	('CX', 1680, 'TPE', 2276, 'NRT', 2279, '', 0, '744\r'),
	('CX', 1680, 'USM', 3177, 'HKG', 3077, '', 0, '319\r'),
	('CX', 1680, 'VCE', 1551, 'DOH', 2241, '', 0, '320\r'),
	('CX', 1680, 'VVO', 2934, 'HKG', 3077, '', 0, '320\r'),
	('CX', 1680, 'WNZ', 6392, 'HKG', 3077, '', 0, '321 320\r'),
	('CX', 1680, 'WUH', 3376, 'HKG', 3077, '', 0, '321 320\r'),
	('CX', 1680, 'XIY', 3379, 'HKG', 3077, '', 0, '320 321\r'),
	('CX', 1680, 'XMN', 3383, 'HKG', 3077, '', 0, '320 333 321\r'),
	('CX', 1680, 'YVR', 156, 'HKG', 3077, '', 0, '77W\r'),
	('CX', 1680, 'YVR', 156, 'JFK', 3797, '', 0, '77W\r'),
	('CX', 1680, 'YYZ', 193, 'HKG', 3077, '', 0, '77W\r'),
	('CY', 1942, 'AMS', 580, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'ATH', 3941, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'AUH', 2179, 'LCA', 1197, 'Y', 0, '320\r'),
	('CY', 1942, 'BEY', 2177, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'CDG', 1382, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'FRA', 340, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'HER', 1452, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'AMS', 580, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'ATH', 3941, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'AUH', 2179, 'Y', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'BEY', 2177, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'CDG', 1382, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'FRA', 340, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'HER', 1452, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'LHR', 507, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'MUC', 346, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'OTP', 1657, '', 0, '318\r'),
	('CY', 1942, 'LCA', 1197, 'SKG', 1486, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'SOF', 1194, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'SVO', 2985, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'TLV', 1590, '', 0, '320\r'),
	('CY', 1942, 'LCA', 1197, 'ZRH', 1678, '', 0, '320\r'),
	('CY', 1942, 'LHR', 507, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'MUC', 346, 'FRA', 340, '', 0, '320\r'),
	('CY', 1942, 'MUC', 346, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'OTP', 1657, 'LCA', 1197, '', 0, '318\r'),
	('CY', 1942, 'SKG', 1486, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'SOF', 1194, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'SVO', 2985, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'TLV', 1590, 'LCA', 1197, '', 0, '320\r'),
	('CY', 1942, 'ZRH', 1678, 'LCA', 1197, '', 0, '320\r'),
	('CZ', 1767, 'AAT', 6946, 'URC', 3399, '', 0, '73G E90\r'),
	('CZ', 1767, 'ACX', 7506, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'AKL', 2006, 'CAN', 3370, '', 0, '787\r'),
	('CZ', 1767, 'AKU', 6404, 'URC', 3399, '', 0, 'E90 73G\r'),
	('CZ', 1767, 'ALA', 2908, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'AMS', 580, 'CAN', 3370, '', 0, '332\r'),
	('CZ', 1767, 'AMS', 580, 'CTU', 3395, 'Y', 0, '74M\r'),
	('CZ', 1767, 'AMS', 580, 'HGH', 3386, 'Y', 0, '777\r'),
	('CZ', 1767, 'AMS', 580, 'PEK', 3364, '', 0, '332\r'),
	('CZ', 1767, 'AMS', 580, 'PVG', 3406, 'Y', 0, '74M 747\r'),
	('CZ', 1767, 'AMS', 580, 'XMN', 3383, 'Y', 0, '777\r'),
	('CZ', 1767, 'AQG', 6427, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'ASB', 2976, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'BAV', 6346, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'BAV', 6346, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'BAV', 6346, 'CTU', 3395, '', 0, '321\r'),
	('CZ', 1767, 'BAV', 6346, 'SHE', 4144, '', 0, '321 319 320\r'),
	('CZ', 1767, 'BAV', 6346, 'SJW', 6347, '', 0, '320\r'),
	('CZ', 1767, 'BAV', 6346, 'URC', 3399, '', 0, '320 319\r'),
	('CZ', 1767, 'BAV', 6346, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'BFJ', 9025, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'BFJ', 9025, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'BHY', 6351, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'BHY', 6351, 'CGO', 3375, '', 0, '321\r'),
	('CZ', 1767, 'BHY', 6351, 'CKG', 3393, '', 0, '73G\r'),
	('CZ', 1767, 'BHY', 6351, 'CSX', 3371, '', 0, '321\r'),
	('CZ', 1767, 'BHY', 6351, 'KMG', 3382, 'Y', 0, '737\r'),
	('CZ', 1767, 'BHY', 6351, 'SJW', 6347, '', 0, '321\r'),
	('CZ', 1767, 'BKI', 3269, 'SZX', 3374, '', 0, '321\r'),
	('CZ', 1767, 'BKK', 3885, 'CAN', 3370, '', 0, '738 320 763\r'),
	('CZ', 1767, 'BKK', 3885, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'BKK', 3885, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'BKK', 3885, 'FOC', 3385, '', 0, '738\r'),
	('CZ', 1767, 'BKK', 3885, 'NBO', 4059, '', 0, '763\r'),
	('CZ', 1767, 'BKK', 3885, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'BKK', 3885, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'BKK', 3885, 'WUH', 3376, '', 0, '73G\r'),
	('CZ', 1767, 'BKK', 3885, 'XMN', 3383, '', 0, '738\r'),
	('CZ', 1767, 'BNE', 3320, 'CAN', 3370, '', 0, '332\r'),
	('CZ', 1767, 'BSD', 7505, 'KMG', 3382, 'Y', 0, '733\r'),
	('CZ', 1767, 'CAN', 3370, 'ACX', 7506, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'AKL', 2006, '', 0, '787\r'),
	('CZ', 1767, 'CAN', 3370, 'AMS', 580, '', 0, '332\r'),
	('CZ', 1767, 'CAN', 3370, 'AQG', 6427, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'BFJ', 9025, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'BHY', 6351, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'BKK', 3885, '', 0, '320 738 763\r'),
	('CZ', 1767, 'CAN', 3370, 'BNE', 3320, '', 0, '332\r'),
	('CZ', 1767, 'CAN', 3370, 'CDG', 1382, '', 0, '332\r'),
	('CZ', 1767, 'CAN', 3370, 'CGD', 6352, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'CGK', 3275, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'CGO', 3375, '', 0, '738 733 73G\r'),
	('CZ', 1767, 'CAN', 3370, 'CGQ', 4380, '', 0, '319 321 320\r'),
	('CZ', 1767, 'CAN', 3370, 'CIH', 6343, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'CKG', 3393, '', 0, '319 321 320\r'),
	('CZ', 1767, 'CAN', 3370, 'CNX', 3931, '', 0, '73G\r'),
	('CZ', 1767, 'CAN', 3370, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'CTU', 3395, '', 0, '738 321 320\r'),
	('CZ', 1767, 'CAN', 3370, 'CZX', 4109, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'DAC', 3076, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'DAD', 3196, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'DEL', 3093, '', 0, '73G\r'),
	('CZ', 1767, 'CAN', 3370, 'DIG', 6375, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'DLC', 3404, '', 0, '320 321 319\r'),
	('CZ', 1767, 'CAN', 3370, 'DPS', 3940, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'DXB', 2188, '', 0, '772\r'),
	('CZ', 1767, 'CAN', 3370, 'DYG', 6353, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'FOC', 3385, '', 0, '738 320 E90 73G\r'),
	('CZ', 1767, 'CAN', 3370, 'FUG', 7503, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'FUK', 2305, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'HAK', 4120, '', 0, '320 321 733\r'),
	('CZ', 1767, 'CAN', 3370, 'HAN', 3199, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'HDG', 8407, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'HET', 6345, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'HFE', 3389, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'HGH', 3386, '', 0, '321 320 772 319 E90 738\r'),
	('CZ', 1767, 'CAN', 3370, 'HJJ', 7519, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'HKG', 3077, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'HKT', 3179, '', 0, '321\r'),
	('CZ', 1767, 'CAN', 3370, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'HZH', 7508, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'ICN', 3930, '', 0, '321\r'),
	('CZ', 1767, 'CAN', 3370, 'JGS', 6428, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'JIQ', 8781, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'JIU', 6381, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'JJN', 6386, 'Y', 0, '737\r'),
	('CZ', 1767, 'CAN', 3370, 'JNG', 6944, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'KHN', 3384, '', 0, '320 73G 738\r'),
	('CZ', 1767, 'CAN', 3370, 'KIX', 3992, '', 0, '321\r'),
	('CZ', 1767, 'CAN', 3370, 'KMG', 3382, '', 0, '319 738 320 737\r'),
	('CZ', 1767, 'CAN', 3370, 'KOW', 6379, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'KTM', 3125, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'KUL', 3304, '', 0, '320 73G\r'),
	('CZ', 1767, 'CAN', 3370, 'KWE', 3394, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'KWL', 3372, '', 0, '738 73G\r'),
	('CZ', 1767, 'CAN', 3370, 'LAX', 3484, '', 0, '380\r'),
	('CZ', 1767, 'CAN', 3370, 'LHR', 507, '', 0, '787\r'),
	('CZ', 1767, 'CAN', 3370, 'LHW', 6431, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'LYA', 4148, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'LYG', 6383, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'LZH', 6356, '', 0, '320 319\r'),
	('CZ', 1767, 'CAN', 3370, 'MEL', 3339, '', 0, '333\r'),
	('CZ', 1767, 'CAN', 3370, 'MIG', 6400, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'MLE', 3156, '', 0, '772\r'),
	('CZ', 1767, 'CAN', 3370, 'MNL', 2397, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'MXZ', 6354, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'NAO', 6401, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'NBO', 4059, '', 0, '773\r'),
	('CZ', 1767, 'CAN', 3370, 'NGB', 3387, '', 0, '321 738 320\r'),
	('CZ', 1767, 'CAN', 3370, 'NKG', 3388, '', 0, '332 320 738 321\r'),
	('CZ', 1767, 'CAN', 3370, 'NNG', 3373, '', 0, '73G 738 319 320\r'),
	('CZ', 1767, 'CAN', 3370, 'NNY', 6359, '', 0, 'E90\r'),
	('CZ', 1767, 'CAN', 3370, 'NRT', 2279, '', 0, '332\r'),
	('CZ', 1767, 'CAN', 3370, 'PEK', 3364, '', 0, '333 380 321 787 330 332\r'),
	('CZ', 1767, 'CAN', 3370, 'PEN', 3308, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'PER', 3351, '', 0, '332\r'),
	('CZ', 1767, 'CAN', 3370, 'PNH', 3034, '', 0, '321 319\r'),
	('CZ', 1767, 'CAN', 3370, 'PVG', 3406, '', 0, '320 738\r'),
	('CZ', 1767, 'CAN', 3370, 'REP', 3035, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'RGN', 3239, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'SGN', 3205, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'SHA', 3391, '', 0, '77W 738 777 321 772 333 330 AB6 320\r'),
	('CZ', 1767, 'CAN', 3370, 'SHE', 4144, '', 0, '320 319\r'),
	('CZ', 1767, 'CAN', 3370, 'SIN', 3316, '', 0, '319 320\r'),
	('CZ', 1767, 'CAN', 3370, 'SJW', 6347, '', 0, '320 E90\r'),
	('CZ', 1767, 'CAN', 3370, 'SVO', 2985, '', 0, '333 332\r'),
	('CZ', 1767, 'CAN', 3370, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'SYD', 3361, '', 0, '332 333\r'),
	('CZ', 1767, 'CAN', 3370, 'SYX', 4030, '', 0, '738 320 321\r'),
	('CZ', 1767, 'CAN', 3370, 'TAO', 3390, '', 0, '738 321 320 319\r'),
	('CZ', 1767, 'CAN', 3370, 'TEN', 6963, '', 0, '319\r'),
	('CZ', 1767, 'CAN', 3370, 'TNA', 4108, '', 0, '738 320\r'),
	('CZ', 1767, 'CAN', 3370, 'TPE', 2276, '', 0, '772\r'),
	('CZ', 1767, 'CAN', 3370, 'TSN', 3368, '', 0, '738 73G 319\r'),
	('CZ', 1767, 'CAN', 3370, 'TXN', 6387, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'TYN', 3369, '', 0, '738 737 320\r'),
	('CZ', 1767, 'CAN', 3370, 'URC', 3399, '', 0, '73G 738 777 752\r'),
	('CZ', 1767, 'CAN', 3370, 'WNZ', 6392, '', 0, '733 738 320\r'),
	('CZ', 1767, 'CAN', 3370, 'WUH', 3376, '', 0, '738 73G\r'),
	('CZ', 1767, 'CAN', 3370, 'WUX', 6390, '', 0, 'E90 321\r'),
	('CZ', 1767, 'CAN', 3370, 'XFN', 6360, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'XIY', 3379, '', 0, '320 321 73G 319\r'),
	('CZ', 1767, 'CAN', 3370, 'XMN', 3383, '', 0, '738 320 E90 319 73G\r'),
	('CZ', 1767, 'CAN', 3370, 'XUZ', 4149, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'YIH', 6361, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'YIW', 6394, '', 0, '738 E90 319\r'),
	('CZ', 1767, 'CAN', 3370, 'YNT', 3392, '', 0, '320\r'),
	('CZ', 1767, 'CAN', 3370, 'YNZ', 6393, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'YTY', 8876, '', 0, '738\r'),
	('CZ', 1767, 'CAN', 3370, 'YVR', 156, '', 0, '787\r'),
	('CZ', 1767, 'CAN', 3370, 'ZHA', 6357, '', 0, '319 320 E90\r'),
	('CZ', 1767, 'CDG', 1382, 'CAN', 3370, '', 0, '332\r'),
	('CZ', 1767, 'CGD', 6352, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'CGD', 6352, 'PEK', 3364, '', 0, '321\r'),
	('CZ', 1767, 'CGD', 6352, 'SZX', 3374, '', 0, '319\r'),
	('CZ', 1767, 'CGK', 3275, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'CGK', 3275, 'FOC', 3385, 'Y', 0, '738\r'),
	('CZ', 1767, 'CGK', 3275, 'XMN', 3383, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'BAV', 6346, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'BHY', 6351, '', 0, '321\r'),
	('CZ', 1767, 'CGO', 3375, 'BKK', 3885, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'CAN', 3370, '', 0, '73G 738 733\r'),
	('CZ', 1767, 'CGO', 3375, 'CGQ', 4380, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'CJU', 2370, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'CKG', 3393, '', 0, '738 73G\r'),
	('CZ', 1767, 'CGO', 3375, 'CTU', 3395, '', 0, '73G 738 320\r'),
	('CZ', 1767, 'CGO', 3375, 'DLC', 3404, '', 0, '319\r'),
	('CZ', 1767, 'CGO', 3375, 'DSN', 6434, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'FOC', 3385, '', 0, '752\r'),
	('CZ', 1767, 'CGO', 3375, 'HAK', 4120, '', 0, '738 320 733\r'),
	('CZ', 1767, 'CGO', 3375, 'HGH', 3386, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'HKG', 3077, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'HMI', 6743, '', 0, '733\r'),
	('CZ', 1767, 'CGO', 3375, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'CGO', 3375, 'ICN', 3930, '', 0, '73J 73H 738\r'),
	('CZ', 1767, 'CGO', 3375, 'INC', 4085, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'KHH', 2264, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'KMG', 3382, '', 0, '73G 733 737\r'),
	('CZ', 1767, 'CGO', 3375, 'KWE', 3394, '', 0, '319\r'),
	('CZ', 1767, 'CGO', 3375, 'LHW', 6431, 'Y', 0, '737\r'),
	('CZ', 1767, 'CGO', 3375, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'NNY', 6359, '', 0, '320\r'),
	('CZ', 1767, 'CGO', 3375, 'PEK', 3364, '', 0, '320\r'),
	('CZ', 1767, 'CGO', 3375, 'PVG', 3406, '', 0, '320 738\r'),
	('CZ', 1767, 'CGO', 3375, 'SHA', 3391, '', 0, '738 737 320 321\r'),
	('CZ', 1767, 'CGO', 3375, 'SHE', 4144, '', 0, '73G 320 321\r'),
	('CZ', 1767, 'CGO', 3375, 'SYX', 4030, '', 0, '320\r'),
	('CZ', 1767, 'CGO', 3375, 'SZX', 3374, '', 0, '733 73G 738\r'),
	('CZ', 1767, 'CGO', 3375, 'TAO', 3390, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'TPE', 2276, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'URC', 3399, '', 0, '738 752\r'),
	('CZ', 1767, 'CGO', 3375, 'UYN', 6368, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'WNZ', 6392, '', 0, '733\r'),
	('CZ', 1767, 'CGO', 3375, 'XMN', 3383, '', 0, '733 319\r'),
	('CZ', 1767, 'CGO', 3375, 'XNN', 6366, 'Y', 0, '737\r'),
	('CZ', 1767, 'CGO', 3375, 'YIW', 6394, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'YTY', 8876, '', 0, '738\r'),
	('CZ', 1767, 'CGO', 3375, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'CGQ', 4380, 'CAN', 3370, '', 0, '321 320 319\r'),
	('CZ', 1767, 'CGQ', 4380, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'CGQ', 4380, 'CJU', 2370, '', 0, '321\r'),
	('CZ', 1767, 'CGQ', 4380, 'CKG', 3393, '', 0, '321\r'),
	('CZ', 1767, 'CGQ', 4380, 'HET', 6345, '', 0, '319 320\r'),
	('CZ', 1767, 'CGQ', 4380, 'HFE', 3389, '', 0, '320\r'),
	('CZ', 1767, 'CGQ', 4380, 'HGH', 3386, '', 0, '319 321 320\r'),
	('CZ', 1767, 'CGQ', 4380, 'ICN', 3930, '', 0, '321\r'),
	('CZ', 1767, 'CGQ', 4380, 'KHN', 3384, '', 0, '320\r'),
	('CZ', 1767, 'CGQ', 4380, 'NBS', 8826, '', 0, '319\r'),
	('CZ', 1767, 'CGQ', 4380, 'NGB', 3387, 'Y', 0, '737\r'),
	('CZ', 1767, 'CGQ', 4380, 'NKG', 3388, '', 0, '319\r'),
	('CZ', 1767, 'CGQ', 4380, 'NRT', 2279, '', 0, '321\r'),
	('CZ', 1767, 'CGQ', 4380, 'PEK', 3364, '', 0, '320 321 319\r'),
	('CZ', 1767, 'CGQ', 4380, 'PVG', 3406, '', 0, '319 321 320\r'),
	('CZ', 1767, 'CGQ', 4380, 'TAO', 3390, '', 0, '321 320 738\r'),
	('CZ', 1767, 'CGQ', 4380, 'TNA', 4108, '', 0, '320 319\r'),
	('CZ', 1767, 'CGQ', 4380, 'TPE', 2276, '', 0, '320\r'),
	('CZ', 1767, 'CGQ', 4380, 'TYN', 3369, '', 0, '319 320\r'),
	('CZ', 1767, 'CGQ', 4380, 'WUH', 3376, '', 0, '320\r'),
	('CZ', 1767, 'CGQ', 4380, 'YNJ', 6414, '', 0, '320 321\r'),
	('CZ', 1767, 'CIH', 6343, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'CIH', 6343, 'DAT', 6344, '', 0, '320\r'),
	('CZ', 1767, 'CIH', 6343, 'PEK', 3364, '', 0, '320\r'),
	('CZ', 1767, 'CJU', 2370, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'CJU', 2370, 'CGQ', 4380, '', 0, '321\r'),
	('CZ', 1767, 'CJU', 2370, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'CJU', 2370, 'DLC', 3404, '', 0, '320 321\r'),
	('CZ', 1767, 'CJU', 2370, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'CJU', 2370, 'SHE', 4144, '', 0, '321\r'),
	('CZ', 1767, 'CJU', 2370, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'CKG', 3393, 'BHY', 6351, '', 0, '73G\r'),
	('CZ', 1767, 'CKG', 3393, 'CAN', 3370, '', 0, '321 319 320\r'),
	('CZ', 1767, 'CKG', 3393, 'CGO', 3375, '', 0, '738 73G\r'),
	('CZ', 1767, 'CKG', 3393, 'CGQ', 4380, '', 0, '321\r'),
	('CZ', 1767, 'CKG', 3393, 'CSX', 3371, '', 0, '320 738\r'),
	('CZ', 1767, 'CKG', 3393, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'CKG', 3393, 'HAK', 4120, '', 0, '733\r'),
	('CZ', 1767, 'CKG', 3393, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'CKG', 3393, 'JHG', 4055, '', 0, '73G\r'),
	('CZ', 1767, 'CKG', 3393, 'KHN', 3384, 'Y', 0, '737\r'),
	('CZ', 1767, 'CKG', 3393, 'KMG', 3382, '', 0, '321 738 320 73G\r'),
	('CZ', 1767, 'CKG', 3393, 'KWE', 3394, '', 0, '738\r'),
	('CZ', 1767, 'CKG', 3393, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'CKG', 3393, 'LJG', 4033, 'Y', 0, '737\r'),
	('CZ', 1767, 'CKG', 3393, 'LXA', 4097, '', 0, '319\r'),
	('CZ', 1767, 'CKG', 3393, 'NNG', 3373, '', 0, '738 73G\r'),
	('CZ', 1767, 'CKG', 3393, 'PEK', 3364, '', 0, '319\r'),
	('CZ', 1767, 'CKG', 3393, 'SHE', 4144, '', 0, '321 320\r'),
	('CZ', 1767, 'CKG', 3393, 'SYX', 4030, '', 0, '320\r'),
	('CZ', 1767, 'CKG', 3393, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'CKG', 3393, 'TSN', 3368, '', 0, '320\r'),
	('CZ', 1767, 'CKG', 3393, 'URC', 3399, '', 0, '738 320 73G\r'),
	('CZ', 1767, 'CKG', 3393, 'WUH', 3376, '', 0, '73G\r'),
	('CZ', 1767, 'CKG', 3393, 'XIY', 3379, '', 0, '320 319\r'),
	('CZ', 1767, 'CKG', 3393, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'CKG', 3393, 'XNN', 6366, 'Y', 0, '737\r'),
	('CZ', 1767, 'CKG', 3393, 'YCU', 6430, '', 0, '733\r'),
	('CZ', 1767, 'CKG', 3393, 'YIH', 6361, 'Y', 0, '737\r'),
	('CZ', 1767, 'CNX', 3931, 'CAN', 3370, '', 0, '73G\r'),
	('CZ', 1767, 'CSX', 3371, 'BAV', 6346, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'BHY', 6351, '', 0, '321\r'),
	('CZ', 1767, 'CSX', 3371, 'BKK', 3885, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'CJU', 2370, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'CKG', 3393, '', 0, '320 738\r'),
	('CZ', 1767, 'CSX', 3371, 'CTU', 3395, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'CZX', 4109, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'DLC', 3404, '', 0, '321\r'),
	('CZ', 1767, 'CSX', 3371, 'DYG', 6353, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'CSX', 3371, 'HAK', 4120, '', 0, '733\r'),
	('CZ', 1767, 'CSX', 3371, 'HET', 6345, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'HFE', 3389, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'HGH', 3386, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'HJJ', 7519, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'HRB', 3400, '', 0, '321\r'),
	('CZ', 1767, 'CSX', 3371, 'ICN', 3930, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'INC', 4085, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'JJN', 6386, 'Y', 0, '737\r'),
	('CZ', 1767, 'CSX', 3371, 'KMG', 3382, '', 0, '321 320\r'),
	('CZ', 1767, 'CSX', 3371, 'KWE', 3394, 'Y', 0, '737\r'),
	('CZ', 1767, 'CSX', 3371, 'LHW', 6431, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'LZO', 6399, 'Y', 0, '737\r'),
	('CZ', 1767, 'CSX', 3371, 'MIG', 6400, 'Y', 0, '737\r'),
	('CZ', 1767, 'CSX', 3371, 'NGB', 3387, '', 0, '738\r'),
	('CZ', 1767, 'CSX', 3371, 'NKG', 3388, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'CSX', 3371, 'PEK', 3364, '', 0, '321 320\r'),
	('CZ', 1767, 'CSX', 3371, 'PVG', 3406, '', 0, '320 321\r'),
	('CZ', 1767, 'CSX', 3371, 'SHA', 3391, '', 0, '321 320\r'),
	('CZ', 1767, 'CSX', 3371, 'SJW', 6347, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'CSX', 3371, 'SYX', 4030, '', 0, '321\r'),
	('CZ', 1767, 'CSX', 3371, 'SZX', 3374, '', 0, '752 320\r'),
	('CZ', 1767, 'CSX', 3371, 'TAO', 3390, '', 0, '320 321\r'),
	('CZ', 1767, 'CSX', 3371, 'TNA', 4108, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'TPE', 2276, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'TSN', 3368, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'TXN', 6387, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'TYN', 3369, '', 0, '738\r'),
	('CZ', 1767, 'CSX', 3371, 'URC', 3399, '', 0, '752\r'),
	('CZ', 1767, 'CSX', 3371, 'WNZ', 6392, '', 0, '752\r'),
	('CZ', 1767, 'CSX', 3371, 'XIY', 3379, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'XMN', 3383, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'XNN', 6366, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'YCU', 6430, '', 0, '733\r'),
	('CZ', 1767, 'CSX', 3371, 'YNT', 3392, '', 0, '320 319\r'),
	('CZ', 1767, 'CSX', 3371, 'YTY', 8876, '', 0, '320\r'),
	('CZ', 1767, 'CSX', 3371, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'CTU', 3395, 'AMS', 580, 'Y', 0, '74M\r'),
	('CZ', 1767, 'CTU', 3395, 'BAV', 6346, '', 0, '321\r'),
	('CZ', 1767, 'CTU', 3395, 'CAN', 3370, '', 0, '738 321 320\r'),
	('CZ', 1767, 'CTU', 3395, 'CGO', 3375, '', 0, '738 73G 320\r'),
	('CZ', 1767, 'CTU', 3395, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'CTU', 3395, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'CTU', 3395, 'HAK', 4120, '', 0, '320\r'),
	('CZ', 1767, 'CTU', 3395, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'CTU', 3395, 'KMG', 3382, '', 0, '737 733\r'),
	('CZ', 1767, 'CTU', 3395, 'KWE', 3394, '', 0, '738\r'),
	('CZ', 1767, 'CTU', 3395, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'CTU', 3395, 'NNY', 6359, '', 0, 'E90\r'),
	('CZ', 1767, 'CTU', 3395, 'PEK', 3364, '', 0, '330 777\r'),
	('CZ', 1767, 'CTU', 3395, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'CTU', 3395, 'SZX', 3374, '', 0, '321 333 320\r'),
	('CZ', 1767, 'CTU', 3395, 'TNA', 4108, '', 0, '320 319\r'),
	('CZ', 1767, 'CTU', 3395, 'TYN', 3369, '', 0, '321\r'),
	('CZ', 1767, 'CTU', 3395, 'URC', 3399, '', 0, '738 320 752\r'),
	('CZ', 1767, 'CTU', 3395, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'CTU', 3395, 'XIY', 3379, '', 0, '320 321\r'),
	('CZ', 1767, 'CTU', 3395, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'CTU', 3395, 'YNT', 3392, '', 0, '321\r'),
	('CZ', 1767, 'CZX', 4109, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'CZX', 4109, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'CZX', 4109, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'CZX', 4109, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'CZX', 4109, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'CZX', 4109, 'TYN', 3369, 'Y', 0, '737\r'),
	('CZ', 1767, 'DAC', 3076, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'DAD', 3196, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'DAT', 6344, 'CIH', 6343, '', 0, '320\r'),
	('CZ', 1767, 'DAT', 6344, 'TYN', 3369, 'Y', 0, '737\r'),
	('CZ', 1767, 'DDG', 6433, 'PVG', 3406, '', 0, '320\r'),
	('CZ', 1767, 'DEL', 3093, 'CAN', 3370, '', 0, '73G\r'),
	('CZ', 1767, 'DIG', 6375, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'DIG', 6375, 'KMG', 3382, '', 0, '737\r'),
	('CZ', 1767, 'DLC', 3404, 'CAN', 3370, '', 0, '321 319 320\r'),
	('CZ', 1767, 'DLC', 3404, 'CGO', 3375, '', 0, '319\r'),
	('CZ', 1767, 'DLC', 3404, 'CJU', 2370, '', 0, '320 321\r'),
	('CZ', 1767, 'DLC', 3404, 'CSX', 3371, '', 0, '321\r'),
	('CZ', 1767, 'DLC', 3404, 'HET', 6345, '', 0, '320\r'),
	('CZ', 1767, 'DLC', 3404, 'HGH', 3386, '', 0, '320 321\r'),
	('CZ', 1767, 'DLC', 3404, 'ICN', 3930, '', 0, '321 319\r'),
	('CZ', 1767, 'DLC', 3404, 'KHN', 3384, '', 0, '738\r'),
	('CZ', 1767, 'DLC', 3404, 'KIX', 3992, '', 0, '319\r'),
	('CZ', 1767, 'DLC', 3404, 'MDG', 4334, '', 0, '319\r'),
	('CZ', 1767, 'DLC', 3404, 'NGB', 3387, '', 0, '321 738\r'),
	('CZ', 1767, 'DLC', 3404, 'NGO', 3942, '', 0, '319\r'),
	('CZ', 1767, 'DLC', 3404, 'NKG', 3388, '', 0, '320 738\r'),
	('CZ', 1767, 'DLC', 3404, 'NRT', 2279, '', 0, '319 321 320\r'),
	('CZ', 1767, 'DLC', 3404, 'PEK', 3364, '', 0, '321 320\r'),
	('CZ', 1767, 'DLC', 3404, 'PVG', 3406, '', 0, '321 320\r'),
	('CZ', 1767, 'DLC', 3404, 'SJW', 6347, '', 0, '320 319\r'),
	('CZ', 1767, 'DLC', 3404, 'SZX', 3374, '', 0, '319\r'),
	('CZ', 1767, 'DLC', 3404, 'TAO', 3390, 'Y', 0, '737\r'),
	('CZ', 1767, 'DLC', 3404, 'TNA', 4108, '', 0, '320 738 73G\r'),
	('CZ', 1767, 'DLC', 3404, 'TOY', 2324, '', 0, '319\r'),
	('CZ', 1767, 'DLC', 3404, 'TPE', 2276, '', 0, '320\r'),
	('CZ', 1767, 'DLC', 3404, 'TSN', 3368, '', 0, '320\r'),
	('CZ', 1767, 'DLC', 3404, 'TXN', 6387, '', 0, '320\r'),
	('CZ', 1767, 'DLC', 3404, 'TYN', 3369, '', 0, '320\r'),
	('CZ', 1767, 'DLC', 3404, 'WUH', 3376, '', 0, '321\r'),
	('CZ', 1767, 'DLC', 3404, 'XIY', 3379, '', 0, '321 320\r'),
	('CZ', 1767, 'DLC', 3404, 'YNJ', 6414, '', 0, '319\r'),
	('CZ', 1767, 'DLC', 3404, 'YNZ', 6393, '', 0, '73G 738\r'),
	('CZ', 1767, 'DLC', 3404, 'YTY', 8876, '', 0, '320\r'),
	('CZ', 1767, 'DLU', 4054, 'KMG', 3382, '', 0, '319\r'),
	('CZ', 1767, 'DLU', 4054, 'KWE', 3394, '', 0, '319\r'),
	('CZ', 1767, 'DNH', 4308, 'URC', 3399, '', 0, 'E90\r'),
	('CZ', 1767, 'DNH', 4308, 'XIY', 3379, '', 0, 'E90\r'),
	('CZ', 1767, 'DPS', 3940, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'DPS', 3940, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'DSN', 6434, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'DTW', 3645, 'PEK', 3364, 'Y', 0, '777\r'),
	('CZ', 1767, 'DTW', 3645, 'PVG', 3406, 'Y', 0, '77L 777\r'),
	('CZ', 1767, 'DXB', 2188, 'CAN', 3370, '', 0, '772\r'),
	('CZ', 1767, 'DYG', 6353, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'DYG', 6353, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'DYG', 6353, 'PEK', 3364, '', 0, '320\r'),
	('CZ', 1767, 'DYG', 6353, 'SZX', 3374, '', 0, '319\r'),
	('CZ', 1767, 'DYG', 6353, 'TPE', 2276, '', 0, '320\r'),
	('CZ', 1767, 'DYG', 6353, 'TYN', 3369, '', 0, '320\r'),
	('CZ', 1767, 'DYU', 2979, 'URC', 3399, '', 0, '752\r'),
	('CZ', 1767, 'ENH', 6358, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'FOC', 3385, 'BKK', 3885, '', 0, '738\r'),
	('CZ', 1767, 'FOC', 3385, 'CAN', 3370, '', 0, '738 320 E90 73G\r'),
	('CZ', 1767, 'FOC', 3385, 'CGK', 3275, 'Y', 0, '738\r'),
	('CZ', 1767, 'FOC', 3385, 'CGO', 3375, '', 0, '752\r'),
	('CZ', 1767, 'FOC', 3385, 'CKG', 3393, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'CSX', 3371, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'CTU', 3395, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'CZX', 4109, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'HAK', 4120, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'HRB', 3400, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'KMG', 3382, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'KUL', 3304, 'Y', 0, '738\r'),
	('CZ', 1767, 'FOC', 3385, 'KWE', 3394, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'KWL', 3372, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'MFM', 3121, '', 0, '738\r'),
	('CZ', 1767, 'FOC', 3385, 'NKG', 3388, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'NNG', 3373, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'PEK', 3364, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'SHA', 3391, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'SIN', 3316, 'Y', 0, '738\r'),
	('CZ', 1767, 'FOC', 3385, 'SYX', 4030, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'FOC', 3385, 'TAO', 3390, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'TNA', 4108, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'WUH', 3376, '', 0, '738 73G\r'),
	('CZ', 1767, 'FOC', 3385, 'XIY', 3379, 'Y', 0, '737\r'),
	('CZ', 1767, 'FOC', 3385, 'ZUH', 6355, 'Y', 0, '737\r'),
	('CZ', 1767, 'FRU', 2912, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'FUG', 7503, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'FUK', 2305, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'FUK', 2305, 'SHE', 4144, '', 0, '319\r'),
	('CZ', 1767, 'GMP', 2378, 'PEK', 3364, '', 0, '321\r'),
	('CZ', 1767, 'GYD', 2922, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'HAK', 4120, 'CAN', 3370, '', 0, '321 320 733\r'),
	('CZ', 1767, 'HAK', 4120, 'CGO', 3375, '', 0, '320 738 733\r'),
	('CZ', 1767, 'HAK', 4120, 'CKG', 3393, '', 0, '733\r'),
	('CZ', 1767, 'HAK', 4120, 'CSX', 3371, '', 0, '733\r'),
	('CZ', 1767, 'HAK', 4120, 'CTU', 3395, '', 0, '320\r'),
	('CZ', 1767, 'HAK', 4120, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'HAK', 4120, 'HGH', 3386, '', 0, '320\r'),
	('CZ', 1767, 'HAK', 4120, 'KMG', 3382, '', 0, '320\r'),
	('CZ', 1767, 'HAK', 4120, 'NKG', 3388, '', 0, '320\r'),
	('CZ', 1767, 'HAK', 4120, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'HAK', 4120, 'PEK', 3364, '', 0, '320\r'),
	('CZ', 1767, 'HAK', 4120, 'PVG', 3406, '', 0, '320\r'),
	('CZ', 1767, 'HAK', 4120, 'SZX', 3374, '', 0, '321 320 333\r'),
	('CZ', 1767, 'HAK', 4120, 'WUH', 3376, '', 0, '320\r'),
	('CZ', 1767, 'HAK', 4120, 'XMN', 3383, '', 0, '733\r'),
	('CZ', 1767, 'HAK', 4120, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'HAN', 3199, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'HAN', 3199, 'PEK', 3364, 'Y', 0, '321 777\r'),
	('CZ', 1767, 'HDG', 8407, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'HEK', 6410, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'HET', 6345, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'HET', 6345, 'CGQ', 4380, '', 0, '319 320\r'),
	('CZ', 1767, 'HET', 6345, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'HET', 6345, 'DLC', 3404, '', 0, '320\r'),
	('CZ', 1767, 'HET', 6345, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'HET', 6345, 'INC', 4085, '', 0, '319 320\r'),
	('CZ', 1767, 'HET', 6345, 'NKG', 3388, 'Y', 0, '737\r'),
	('CZ', 1767, 'HET', 6345, 'SHE', 4144, '', 0, '319\r'),
	('CZ', 1767, 'HET', 6345, 'TAO', 3390, '', 0, '73G\r'),
	('CZ', 1767, 'HET', 6345, 'TGO', 6348, '', 0, '319\r'),
	('CZ', 1767, 'HET', 6345, 'TNA', 4108, 'Y', 0, '737\r'),
	('CZ', 1767, 'HET', 6345, 'TSN', 3368, 'Y', 0, '737\r'),
	('CZ', 1767, 'HET', 6345, 'URC', 3399, '', 0, '319 73G 320\r'),
	('CZ', 1767, 'HET', 6345, 'XIL', 6350, '', 0, '319\r'),
	('CZ', 1767, 'HFE', 3389, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'HFE', 3389, 'CGQ', 4380, '', 0, '320\r'),
	('CZ', 1767, 'HFE', 3389, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'HFE', 3389, 'HRB', 3400, '', 0, '738\r'),
	('CZ', 1767, 'HFE', 3389, 'KMG', 3382, '', 0, '737\r'),
	('CZ', 1767, 'HFE', 3389, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'HFE', 3389, 'TYN', 3369, 'Y', 0, '737\r'),
	('CZ', 1767, 'HFE', 3389, 'XIY', 3379, '', 0, '738 73G\r'),
	('CZ', 1767, 'HFE', 3389, 'XMN', 3383, '', 0, '733\r'),
	('CZ', 1767, 'HFE', 3389, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'HGH', 3386, 'AMS', 580, 'Y', 0, '777\r'),
	('CZ', 1767, 'HGH', 3386, 'CAN', 3370, '', 0, '320 738 321 E90 772 319\r'),
	('CZ', 1767, 'HGH', 3386, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'HGH', 3386, 'CGQ', 4380, '', 0, '321 319 320\r'),
	('CZ', 1767, 'HGH', 3386, 'CKG', 3393, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'HGH', 3386, 'CTU', 3395, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'DLC', 3404, '', 0, '320 321\r'),
	('CZ', 1767, 'HGH', 3386, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'HAK', 4120, '', 0, '320\r'),
	('CZ', 1767, 'HGH', 3386, 'HET', 6345, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'HGH', 3386, 'JJN', 6386, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'KMG', 3382, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'KWE', 3394, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'HGH', 3386, 'LHW', 6431, '', 0, '752\r'),
	('CZ', 1767, 'HGH', 3386, 'LJG', 4033, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'MFM', 3121, 'Y', 0, '738\r'),
	('CZ', 1767, 'HGH', 3386, 'NNG', 3373, '', 0, '319 738\r'),
	('CZ', 1767, 'HGH', 3386, 'NNY', 6359, '', 0, 'E90\r'),
	('CZ', 1767, 'HGH', 3386, 'PEK', 3364, '', 0, '321\r'),
	('CZ', 1767, 'HGH', 3386, 'SHE', 4144, '', 0, '320 321\r'),
	('CZ', 1767, 'HGH', 3386, 'SJW', 6347, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'SYX', 4030, '', 0, '321\r'),
	('CZ', 1767, 'HGH', 3386, 'SZX', 3374, '', 0, '320 321\r'),
	('CZ', 1767, 'HGH', 3386, 'TAO', 3390, '', 0, '738 320\r'),
	('CZ', 1767, 'HGH', 3386, 'TNA', 4108, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'TSN', 3368, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'TYN', 3369, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'HGH', 3386, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'HGH', 3386, 'XIY', 3379, '', 0, '321 320\r'),
	('CZ', 1767, 'HGH', 3386, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'HGH', 3386, 'ZUH', 6355, '', 0, '738 320\r'),
	('CZ', 1767, 'HJJ', 7519, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'HJJ', 7519, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'HKG', 3077, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'HKG', 3077, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'HKG', 3077, 'MXZ', 6354, '', 0, 'E90\r'),
	('CZ', 1767, 'HKG', 3077, 'PEK', 3364, '', 0, '321\r'),
	('CZ', 1767, 'HKG', 3077, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'HKG', 3077, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'HKG', 3077, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'HKG', 3077, 'XMN', 3383, '', 0, '738\r'),
	('CZ', 1767, 'HKT', 3179, 'CAN', 3370, '', 0, '321\r'),
	('CZ', 1767, 'HKT', 3179, 'KWE', 3394, '', 0, '738\r'),
	('CZ', 1767, 'HKT', 3179, 'SZX', 3374, '', 0, '321\r'),
	('CZ', 1767, 'HMI', 6743, 'CGO', 3375, '', 0, '733\r'),
	('CZ', 1767, 'HMI', 6743, 'URC', 3399, '', 0, 'E90\r'),
	('CZ', 1767, 'HRB', 3400, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'CGO', 3375, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'CJU', 2370, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'CSX', 3371, '', 0, '321\r'),
	('CZ', 1767, 'HRB', 3400, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'HRB', 3400, 'HEK', 6410, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'HFE', 3389, '', 0, '738\r'),
	('CZ', 1767, 'HRB', 3400, 'HGH', 3386, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'ICN', 3930, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'KHN', 3384, 'Y', 0, '737\r'),
	('CZ', 1767, 'HRB', 3400, 'KIJ', 4381, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'KIX', 3992, '', 0, '319\r'),
	('CZ', 1767, 'HRB', 3400, 'NGB', 3387, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'NKG', 3388, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'OHE', 6943, '', 0, '319\r'),
	('CZ', 1767, 'HRB', 3400, 'PEK', 3364, '', 0, '319 320\r'),
	('CZ', 1767, 'HRB', 3400, 'PVG', 3406, '', 0, '319 320\r'),
	('CZ', 1767, 'HRB', 3400, 'SJW', 6347, '', 0, '321\r'),
	('CZ', 1767, 'HRB', 3400, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'TAO', 3390, '', 0, '319 738 73G\r'),
	('CZ', 1767, 'HRB', 3400, 'TNA', 4108, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'TPE', 2276, '', 0, '321 320\r'),
	('CZ', 1767, 'HRB', 3400, 'TSN', 3368, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'XIY', 3379, '', 0, '320 738 321\r'),
	('CZ', 1767, 'HRB', 3400, 'YCU', 6430, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'YIW', 6394, '', 0, '738\r'),
	('CZ', 1767, 'HRB', 3400, 'YNT', 3392, '', 0, '320\r'),
	('CZ', 1767, 'HRB', 3400, 'YNZ', 6393, 'Y', 0, '737\r'),
	('CZ', 1767, 'HRB', 3400, 'YTY', 8876, '', 0, '320\r'),
	('CZ', 1767, 'HSN', 6395, 'JJN', 6386, 'Y', 0, '737\r'),
	('CZ', 1767, 'HSN', 6395, 'LYG', 6383, '', 0, '320\r'),
	('CZ', 1767, 'HSN', 6395, 'PEK', 3364, 'Y', 0, '737\r'),
	('CZ', 1767, 'HSN', 6395, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'HSN', 6395, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'HTN', 3398, 'URC', 3399, '', 0, 'E90 73G\r'),
	('CZ', 1767, 'HZH', 7508, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'ICN', 3930, 'CAN', 3370, '', 0, '321\r'),
	('CZ', 1767, 'ICN', 3930, 'CGO', 3375, '', 0, '73J 73H 738\r'),
	('CZ', 1767, 'ICN', 3930, 'CGQ', 4380, '', 0, '321\r'),
	('CZ', 1767, 'ICN', 3930, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'ICN', 3930, 'DLC', 3404, '', 0, '321 319\r'),
	('CZ', 1767, 'ICN', 3930, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'ICN', 3930, 'MDG', 4334, '', 0, '73J 320\r'),
	('CZ', 1767, 'ICN', 3930, 'PEK', 3364, '', 0, '321\r'),
	('CZ', 1767, 'ICN', 3930, 'PVG', 3406, '', 0, '738\r'),
	('CZ', 1767, 'ICN', 3930, 'SHE', 4144, '', 0, '321 320\r'),
	('CZ', 1767, 'ICN', 3930, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'ICN', 3930, 'YNJ', 6414, '', 0, '321\r'),
	('CZ', 1767, 'IKA', 4330, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'INC', 4085, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'INC', 4085, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'INC', 4085, 'HET', 6345, '', 0, '319 320\r'),
	('CZ', 1767, 'INC', 4085, 'NKG', 3388, '', 0, '738\r'),
	('CZ', 1767, 'INC', 4085, 'PEK', 3364, '', 0, '320 321\r'),
	('CZ', 1767, 'INC', 4085, 'TYN', 3369, '', 0, '320\r'),
	('CZ', 1767, 'INC', 4085, 'URC', 3399, '', 0, '738 73G\r'),
	('CZ', 1767, 'INC', 4085, 'WUH', 3376, 'Y', 0, '737\r'),
	('CZ', 1767, 'INC', 4085, 'XIY', 3379, '', 0, '320\r'),
	('CZ', 1767, 'INC', 4085, 'XUZ', 4149, '', 0, '73G\r'),
	('CZ', 1767, 'ISB', 2223, 'PEK', 3364, 'Y', 0, '310\r'),
	('CZ', 1767, 'ISB', 2223, 'URC', 3399, '', 0, '752\r'),
	('CZ', 1767, 'IST', 1701, 'URC', 3399, '', 0, '330\r'),
	('CZ', 1767, 'JGS', 6428, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'JHG', 4055, 'CKG', 3393, '', 0, '73G\r'),
	('CZ', 1767, 'JHG', 4055, 'KMG', 3382, '', 0, '733\r'),
	('CZ', 1767, 'JIQ', 8781, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'JIU', 6381, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'JJN', 6386, 'CAN', 3370, 'Y', 0, '737\r'),
	('CZ', 1767, 'JJN', 6386, 'CSX', 3371, 'Y', 0, '737\r'),
	('CZ', 1767, 'JJN', 6386, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'JJN', 6386, 'HSN', 6395, 'Y', 0, '737\r'),
	('CZ', 1767, 'JJN', 6386, 'KWE', 3394, 'Y', 0, '737\r'),
	('CZ', 1767, 'JJN', 6386, 'MFM', 3121, '', 0, '738\r'),
	('CZ', 1767, 'JJN', 6386, 'NKG', 3388, 'Y', 0, '737\r'),
	('CZ', 1767, 'JJN', 6386, 'PEK', 3364, 'Y', 0, '737\r'),
	('CZ', 1767, 'JJN', 6386, 'SHA', 3391, 'Y', 0, '737\r'),
	('CZ', 1767, 'JJN', 6386, 'SZX', 3374, 'Y', 0, '737\r'),
	('CZ', 1767, 'JJN', 6386, 'WUH', 3376, 'Y', 0, '737\r'),
	('CZ', 1767, 'JMU', 6411, 'PVG', 3406, '', 0, '320\r'),
	('CZ', 1767, 'JNG', 6944, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'JXA', 8417, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'KCA', 6406, 'URC', 3399, '', 0, 'E90\r'),
	('CZ', 1767, 'KHG', 3397, 'URC', 3399, '', 0, 'E90 73G\r'),
	('CZ', 1767, 'KHH', 2264, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'KHH', 2264, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'KHN', 3384, 'CAN', 3370, '', 0, '320 73G 738\r'),
	('CZ', 1767, 'KHN', 3384, 'CGQ', 4380, '', 0, '320\r'),
	('CZ', 1767, 'KHN', 3384, 'CKG', 3393, 'Y', 0, '737\r'),
	('CZ', 1767, 'KHN', 3384, 'DLC', 3404, '', 0, '738\r'),
	('CZ', 1767, 'KHN', 3384, 'HRB', 3400, 'Y', 0, '737\r'),
	('CZ', 1767, 'KHN', 3384, 'KMG', 3382, '', 0, '320 733\r'),
	('CZ', 1767, 'KHN', 3384, 'LYA', 4148, '', 0, '319\r'),
	('CZ', 1767, 'KHN', 3384, 'NKG', 3388, '', 0, '738 319\r'),
	('CZ', 1767, 'KHN', 3384, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'KHN', 3384, 'SZX', 3374, '', 0, '321 319 320\r'),
	('CZ', 1767, 'KHN', 3384, 'TYN', 3369, '', 0, '321\r'),
	('CZ', 1767, 'KHN', 3384, 'XIY', 3379, 'Y', 0, '737\r'),
	('CZ', 1767, 'KHN', 3384, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'KHN', 3384, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'KIJ', 4381, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'KIX', 3992, 'CAN', 3370, '', 0, '321\r'),
	('CZ', 1767, 'KIX', 3992, 'DLC', 3404, '', 0, '319\r'),
	('CZ', 1767, 'KIX', 3992, 'HRB', 3400, '', 0, '319\r'),
	('CZ', 1767, 'KIX', 3992, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'KMG', 3382, 'BHY', 6351, 'Y', 0, '737\r'),
	('CZ', 1767, 'KMG', 3382, 'BSD', 7505, 'Y', 0, '733\r'),
	('CZ', 1767, 'KMG', 3382, 'CAN', 3370, '', 0, '737 320 738 319\r'),
	('CZ', 1767, 'KMG', 3382, 'CGO', 3375, '', 0, '737 73G 733\r'),
	('CZ', 1767, 'KMG', 3382, 'CKG', 3393, '', 0, '321 738 320 73G\r'),
	('CZ', 1767, 'KMG', 3382, 'CSX', 3371, '', 0, '320 321\r'),
	('CZ', 1767, 'KMG', 3382, 'CTU', 3395, '', 0, '737 733\r'),
	('CZ', 1767, 'KMG', 3382, 'DIG', 6375, '', 0, '737\r'),
	('CZ', 1767, 'KMG', 3382, 'DLU', 4054, '', 0, '319\r'),
	('CZ', 1767, 'KMG', 3382, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'KMG', 3382, 'HAK', 4120, '', 0, '320\r'),
	('CZ', 1767, 'KMG', 3382, 'HFE', 3389, '', 0, '737\r'),
	('CZ', 1767, 'KMG', 3382, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'KMG', 3382, 'JHG', 4055, '', 0, '733\r'),
	('CZ', 1767, 'KMG', 3382, 'KHN', 3384, '', 0, '733 320\r'),
	('CZ', 1767, 'KMG', 3382, 'KWE', 3394, '', 0, '73G 738\r'),
	('CZ', 1767, 'KMG', 3382, 'KWL', 3372, '', 0, '738 73G\r'),
	('CZ', 1767, 'KMG', 3382, 'LHW', 6431, '', 0, '320\r'),
	('CZ', 1767, 'KMG', 3382, 'LJG', 4033, '', 0, '73G 320\r'),
	('CZ', 1767, 'KMG', 3382, 'LNJ', 7527, '', 0, '737 733\r'),
	('CZ', 1767, 'KMG', 3382, 'NKG', 3388, '', 0, '737\r'),
	('CZ', 1767, 'KMG', 3382, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'KMG', 3382, 'PEK', 3364, '', 0, '333 321 737\r'),
	('CZ', 1767, 'KMG', 3382, 'SHA', 3391, '', 0, '733 737\r'),
	('CZ', 1767, 'KMG', 3382, 'SYM', 6377, '', 0, '733\r'),
	('CZ', 1767, 'KMG', 3382, 'SYX', 4030, '', 0, '733\r'),
	('CZ', 1767, 'KMG', 3382, 'SZX', 3374, '', 0, '737 321 320 319\r'),
	('CZ', 1767, 'KMG', 3382, 'TAO', 3390, '', 0, '320\r'),
	('CZ', 1767, 'KMG', 3382, 'WNH', 7528, '', 0, '737\r'),
	('CZ', 1767, 'KMG', 3382, 'WUH', 3376, '', 0, '321 738\r'),
	('CZ', 1767, 'KMG', 3382, 'XIY', 3379, '', 0, '737 320 321\r'),
	('CZ', 1767, 'KMG', 3382, 'XMN', 3383, '', 0, '737\r'),
	('CZ', 1767, 'KMG', 3382, 'YIW', 6394, '', 0, '738\r'),
	('CZ', 1767, 'KMG', 3382, 'ZAT', 6378, '', 0, '733\r'),
	('CZ', 1767, 'KMG', 3382, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'KOW', 6379, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'KOW', 6379, 'PEK', 3364, '', 0, '320\r'),
	('CZ', 1767, 'KOW', 6379, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'KRL', 6407, 'URC', 3399, '', 0, '738 E90 73G\r'),
	('CZ', 1767, 'KRY', 6408, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'KTM', 3125, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'KUL', 3304, 'CAN', 3370, '', 0, '320 73G\r'),
	('CZ', 1767, 'KUL', 3304, 'FOC', 3385, 'Y', 0, '738\r'),
	('CZ', 1767, 'KUL', 3304, 'PVG', 3406, 'Y', 0, '333\r'),
	('CZ', 1767, 'KUL', 3304, 'XMN', 3383, 'Y', 0, '738\r'),
	('CZ', 1767, 'KWE', 3394, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'KWE', 3394, 'CGO', 3375, '', 0, '319\r'),
	('CZ', 1767, 'KWE', 3394, 'CKG', 3393, '', 0, '738\r'),
	('CZ', 1767, 'KWE', 3394, 'CSX', 3371, 'Y', 0, '737\r'),
	('CZ', 1767, 'KWE', 3394, 'CTU', 3395, '', 0, '738\r'),
	('CZ', 1767, 'KWE', 3394, 'DLU', 4054, '', 0, '319\r'),
	('CZ', 1767, 'KWE', 3394, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'KWE', 3394, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'KWE', 3394, 'HKT', 3179, '', 0, '738\r'),
	('CZ', 1767, 'KWE', 3394, 'JJN', 6386, 'Y', 0, '737\r'),
	('CZ', 1767, 'KWE', 3394, 'KMG', 3382, '', 0, '738 73G\r'),
	('CZ', 1767, 'KWE', 3394, 'LJG', 4033, '', 0, '319\r'),
	('CZ', 1767, 'KWE', 3394, 'NKG', 3388, '', 0, '738 319\r'),
	('CZ', 1767, 'KWE', 3394, 'NNG', 3373, '', 0, '73G 738\r'),
	('CZ', 1767, 'KWE', 3394, 'PEK', 3364, '', 0, '738 73G\r'),
	('CZ', 1767, 'KWE', 3394, 'PVG', 3406, '', 0, '738\r'),
	('CZ', 1767, 'KWE', 3394, 'SHA', 3391, '', 0, '73G 321 738\r'),
	('CZ', 1767, 'KWE', 3394, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'KWE', 3394, 'SZX', 3374, '', 0, '320 738 319\r'),
	('CZ', 1767, 'KWE', 3394, 'TAO', 3390, '', 0, '738\r'),
	('CZ', 1767, 'KWE', 3394, 'TPE', 2276, '', 0, '738\r'),
	('CZ', 1767, 'KWE', 3394, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'KWE', 3394, 'WUH', 3376, '', 0, '73G 738\r'),
	('CZ', 1767, 'KWE', 3394, 'XIY', 3379, '', 0, '73G 320 738\r'),
	('CZ', 1767, 'KWE', 3394, 'XNN', 6366, '', 0, '738\r'),
	('CZ', 1767, 'KWE', 3394, 'ZUH', 6355, '', 0, '73G 738\r'),
	('CZ', 1767, 'KWL', 3372, 'CAN', 3370, '', 0, '73G 738\r'),
	('CZ', 1767, 'KWL', 3372, 'CKG', 3393, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'CTU', 3395, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'KWL', 3372, 'HGH', 3386, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'KMG', 3382, '', 0, '738 73G\r'),
	('CZ', 1767, 'KWL', 3372, 'NGB', 3387, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'NKG', 3388, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'PEK', 3364, '', 0, '738 321\r'),
	('CZ', 1767, 'KWL', 3372, 'PVG', 3406, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'SHE', 4144, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'SZX', 3374, '', 0, '738 321 320\r'),
	('CZ', 1767, 'KWL', 3372, 'TNA', 4108, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'TPE', 2276, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'WNZ', 6392, '', 0, '738\r'),
	('CZ', 1767, 'KWL', 3372, 'WUH', 3376, '', 0, '73G\r'),
	('CZ', 1767, 'KWL', 3372, 'XIY', 3379, '', 0, '73G 320\r'),
	('CZ', 1767, 'KWL', 3372, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'LAX', 3484, 'CAN', 3370, '', 0, '380\r'),
	('CZ', 1767, 'LBD', 6147, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'LHR', 507, 'CAN', 3370, '', 0, '787\r'),
	('CZ', 1767, 'LHW', 6431, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'LHW', 6431, 'CGO', 3375, 'Y', 0, '737\r'),
	('CZ', 1767, 'LHW', 6431, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'LHW', 6431, 'HGH', 3386, '', 0, '752\r'),
	('CZ', 1767, 'LHW', 6431, 'KMG', 3382, '', 0, '320\r'),
	('CZ', 1767, 'LHW', 6431, 'SHE', 4144, '', 0, '319 320\r'),
	('CZ', 1767, 'LHW', 6431, 'TNA', 4108, '', 0, '320\r'),
	('CZ', 1767, 'LHW', 6431, 'URC', 3399, '', 0, '319 752 320\r'),
	('CZ', 1767, 'LHW', 6431, 'WUH', 3376, 'Y', 0, '737\r'),
	('CZ', 1767, 'LJG', 4033, 'CKG', 3393, 'Y', 0, '737\r'),
	('CZ', 1767, 'LJG', 4033, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'LJG', 4033, 'KMG', 3382, '', 0, '320 73G 733 737\r'),
	('CZ', 1767, 'LJG', 4033, 'KWE', 3394, '', 0, '319\r'),
	('CZ', 1767, 'LNJ', 7527, 'KMG', 3382, '', 0, '733\r'),
	('CZ', 1767, 'LUN', 907, 'NBO', 4059, '', 0, '763 E90 E70\r'),
	('CZ', 1767, 'LXA', 4097, 'CKG', 3393, '', 0, '319\r'),
	('CZ', 1767, 'LXA', 4097, 'XIY', 3379, '', 0, '319\r'),
	('CZ', 1767, 'LYA', 4148, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'LYA', 4148, 'KHN', 3384, '', 0, '319\r'),
	('CZ', 1767, 'LYG', 6383, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'LYG', 6383, 'HSN', 6395, '', 0, '320\r'),
	('CZ', 1767, 'LYG', 6383, 'XUZ', 4149, '', 0, '738\r'),
	('CZ', 1767, 'LZH', 6356, 'CAN', 3370, '', 0, '320 319\r'),
	('CZ', 1767, 'LZO', 6399, 'CSX', 3371, 'Y', 0, '737\r'),
	('CZ', 1767, 'LZO', 6399, 'SZX', 3374, '', 0, '319\r'),
	('CZ', 1767, 'MDG', 4334, 'DLC', 3404, '', 0, '319\r'),
	('CZ', 1767, 'MDG', 4334, 'ICN', 3930, '', 0, '73J 320\r'),
	('CZ', 1767, 'MDG', 4334, 'PVG', 3406, '', 0, '320\r'),
	('CZ', 1767, 'MEL', 3339, 'CAN', 3370, '', 0, '333\r'),
	('CZ', 1767, 'MFM', 3121, 'FOC', 3385, '', 0, '738\r'),
	('CZ', 1767, 'MFM', 3121, 'HGH', 3386, 'Y', 0, '738\r'),
	('CZ', 1767, 'MFM', 3121, 'JJN', 6386, '', 0, '738\r'),
	('CZ', 1767, 'MFM', 3121, 'XMN', 3383, '', 0, '738\r'),
	('CZ', 1767, 'MIG', 6400, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'MIG', 6400, 'CSX', 3371, 'Y', 0, '737\r'),
	('CZ', 1767, 'MLE', 3156, 'CAN', 3370, '', 0, '772\r'),
	('CZ', 1767, 'MNL', 2397, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'MNL', 2397, 'XMN', 3383, '', 0, '321\r'),
	('CZ', 1767, 'MXZ', 6354, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'MXZ', 6354, 'HKG', 3077, '', 0, 'E90\r'),
	('CZ', 1767, 'MXZ', 6354, 'SZX', 3374, '', 0, 'E90\r'),
	('CZ', 1767, 'MXZ', 6354, 'ZUH', 6355, '', 0, 'E90\r'),
	('CZ', 1767, 'NAO', 6401, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'NAO', 6401, 'PEK', 3364, '', 0, '319\r'),
	('CZ', 1767, 'NAO', 6401, 'SZX', 3374, '', 0, '321\r'),
	('CZ', 1767, 'NBO', 4059, 'BKK', 3885, '', 0, '763\r'),
	('CZ', 1767, 'NBO', 4059, 'CAN', 3370, '', 0, '773\r'),
	('CZ', 1767, 'NBO', 4059, 'LUN', 907, '', 0, '738 763\r'),
	('CZ', 1767, 'NBS', 8826, 'CGQ', 4380, '', 0, '319\r'),
	('CZ', 1767, 'NBS', 8826, 'PEK', 3364, '', 0, '319\r'),
	('CZ', 1767, 'NBS', 8826, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'NDG', 6413, 'PVG', 3406, '', 0, '320\r'),
	('CZ', 1767, 'NGB', 3387, 'CAN', 3370, '', 0, '320 321 738\r'),
	('CZ', 1767, 'NGB', 3387, 'CGQ', 4380, 'Y', 0, '737\r'),
	('CZ', 1767, 'NGB', 3387, 'CSX', 3371, '', 0, '738\r'),
	('CZ', 1767, 'NGB', 3387, 'DLC', 3404, '', 0, '321 738\r'),
	('CZ', 1767, 'NGB', 3387, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'NGB', 3387, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'NGB', 3387, 'PEK', 3364, '', 0, '320 321\r'),
	('CZ', 1767, 'NGB', 3387, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'NGB', 3387, 'SZX', 3374, '', 0, '321 320 319\r'),
	('CZ', 1767, 'NGB', 3387, 'TAO', 3390, '', 0, '738\r'),
	('CZ', 1767, 'NGB', 3387, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'NGB', 3387, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'NGO', 3942, 'DLC', 3404, '', 0, '319\r'),
	('CZ', 1767, 'NGO', 3942, 'PVG', 3406, '', 0, '320\r'),
	('CZ', 1767, 'NGO', 3942, 'SHE', 4144, '', 0, '319\r'),
	('CZ', 1767, 'NKG', 3388, 'CAN', 3370, '', 0, '320 321 332 738\r'),
	('CZ', 1767, 'NKG', 3388, 'CGQ', 4380, '', 0, '319\r'),
	('CZ', 1767, 'NKG', 3388, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'NKG', 3388, 'DLC', 3404, '', 0, '320 738\r'),
	('CZ', 1767, 'NKG', 3388, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'NKG', 3388, 'HAK', 4120, '', 0, '320\r'),
	('CZ', 1767, 'NKG', 3388, 'HET', 6345, 'Y', 0, '737\r'),
	('CZ', 1767, 'NKG', 3388, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'NKG', 3388, 'INC', 4085, '', 0, '738\r'),
	('CZ', 1767, 'NKG', 3388, 'JJN', 6386, 'Y', 0, '737\r'),
	('CZ', 1767, 'NKG', 3388, 'KHN', 3384, '', 0, '738 319\r'),
	('CZ', 1767, 'NKG', 3388, 'KMG', 3382, '', 0, '737\r'),
	('CZ', 1767, 'NKG', 3388, 'KWE', 3394, '', 0, '319 738\r'),
	('CZ', 1767, 'NKG', 3388, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'NKG', 3388, 'SHE', 4144, '', 0, '738 319\r'),
	('CZ', 1767, 'NKG', 3388, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'NKG', 3388, 'SZX', 3374, '', 0, '320 321\r'),
	('CZ', 1767, 'NKG', 3388, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'NKG', 3388, 'XIY', 3379, '', 0, '320\r'),
	('CZ', 1767, 'NKG', 3388, 'XMN', 3383, '', 0, '319\r'),
	('CZ', 1767, 'NNG', 3373, 'BKK', 3885, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'CAN', 3370, '', 0, '738 73G 319 320\r'),
	('CZ', 1767, 'NNG', 3373, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'CKG', 3393, '', 0, '738 73G\r'),
	('CZ', 1767, 'NNG', 3373, 'CSX', 3371, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'NNG', 3373, 'HAK', 4120, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'HGH', 3386, '', 0, '738 319\r'),
	('CZ', 1767, 'NNG', 3373, 'KHN', 3384, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'KMG', 3382, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'KWE', 3394, '', 0, '73G 738\r'),
	('CZ', 1767, 'NNG', 3373, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'PEK', 3364, '', 0, '738 330\r'),
	('CZ', 1767, 'NNG', 3373, 'PVG', 3406, '', 0, '73G\r'),
	('CZ', 1767, 'NNG', 3373, 'SHA', 3391, '', 0, '738 320\r'),
	('CZ', 1767, 'NNG', 3373, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'SZX', 3374, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'TPE', 2276, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'NNG', 3373, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'NNY', 6359, 'CAN', 3370, '', 0, 'E90\r'),
	('CZ', 1767, 'NNY', 6359, 'CGO', 3375, '', 0, '320\r'),
	('CZ', 1767, 'NNY', 6359, 'CTU', 3395, '', 0, 'E90\r'),
	('CZ', 1767, 'NNY', 6359, 'HGH', 3386, '', 0, 'E90\r'),
	('CZ', 1767, 'NNY', 6359, 'SHA', 3391, '', 0, 'E90\r'),
	('CZ', 1767, 'NNY', 6359, 'SZX', 3374, '', 0, '319\r'),
	('CZ', 1767, 'NRT', 2279, 'CAN', 3370, '', 0, '332\r'),
	('CZ', 1767, 'NRT', 2279, 'CGQ', 4380, '', 0, '321\r'),
	('CZ', 1767, 'NRT', 2279, 'DLC', 3404, '', 0, '319 321 320\r'),
	('CZ', 1767, 'NRT', 2279, 'PEK', 3364, 'Y', 0, '73H 767\r'),
	('CZ', 1767, 'NRT', 2279, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'NTG', 5475, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'OHE', 6943, 'HRB', 3400, '', 0, '319\r'),
	('CZ', 1767, 'OSS', 2913, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'OVB', 4078, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'PEK', 3364, 'AMS', 580, '', 0, '332\r'),
	('CZ', 1767, 'PEK', 3364, 'CAN', 3370, '', 0, '330 380 332 333 321 787\r'),
	('CZ', 1767, 'PEK', 3364, 'CGD', 6352, '', 0, '321\r'),
	('CZ', 1767, 'PEK', 3364, 'CGO', 3375, '', 0, '320\r'),
	('CZ', 1767, 'PEK', 3364, 'CGQ', 4380, '', 0, '320 321 319\r'),
	('CZ', 1767, 'PEK', 3364, 'CIH', 6343, '', 0, '320\r'),
	('CZ', 1767, 'PEK', 3364, 'CKG', 3393, '', 0, '319\r'),
	('CZ', 1767, 'PEK', 3364, 'CSX', 3371, '', 0, '321 320\r'),
	('CZ', 1767, 'PEK', 3364, 'CTU', 3395, '', 0, '330 777\r'),
	('CZ', 1767, 'PEK', 3364, 'DLC', 3404, '', 0, '321 320\r'),
	('CZ', 1767, 'PEK', 3364, 'DTW', 3645, 'Y', 0, '777\r'),
	('CZ', 1767, 'PEK', 3364, 'DYG', 6353, '', 0, '320\r'),
	('CZ', 1767, 'PEK', 3364, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'PEK', 3364, 'GMP', 2378, '', 0, '321\r'),
	('CZ', 1767, 'PEK', 3364, 'HAK', 4120, '', 0, '320\r'),
	('CZ', 1767, 'PEK', 3364, 'HAN', 3199, 'Y', 0, '321 777\r'),
	('CZ', 1767, 'PEK', 3364, 'HGH', 3386, '', 0, '321\r'),
	('CZ', 1767, 'PEK', 3364, 'HKG', 3077, '', 0, '321\r'),
	('CZ', 1767, 'PEK', 3364, 'HRB', 3400, '', 0, '320 319\r'),
	('CZ', 1767, 'PEK', 3364, 'HSN', 6395, 'Y', 0, '737\r'),
	('CZ', 1767, 'PEK', 3364, 'ICN', 3930, '', 0, '321\r'),
	('CZ', 1767, 'PEK', 3364, 'INC', 4085, '', 0, '320 321\r'),
	('CZ', 1767, 'PEK', 3364, 'ISB', 2223, 'Y', 0, '310\r'),
	('CZ', 1767, 'PEK', 3364, 'JJN', 6386, 'Y', 0, '737\r'),
	('CZ', 1767, 'PEK', 3364, 'KMG', 3382, '', 0, '321 737 333\r'),
	('CZ', 1767, 'PEK', 3364, 'KOW', 6379, '', 0, '320\r'),
	('CZ', 1767, 'PEK', 3364, 'KWE', 3394, '', 0, '738 73G\r'),
	('CZ', 1767, 'PEK', 3364, 'KWL', 3372, '', 0, '738 321\r'),
	('CZ', 1767, 'PEK', 3364, 'NAO', 6401, '', 0, '319\r'),
	('CZ', 1767, 'PEK', 3364, 'NBS', 8826, '', 0, '319\r'),
	('CZ', 1767, 'PEK', 3364, 'NGB', 3387, '', 0, '320 321\r'),
	('CZ', 1767, 'PEK', 3364, 'NNG', 3373, '', 0, '330 738\r'),
	('CZ', 1767, 'PEK', 3364, 'NRT', 2279, 'Y', 0, '767 73H\r'),
	('CZ', 1767, 'PEK', 3364, 'PVG', 3406, '', 0, '333 321\r'),
	('CZ', 1767, 'PEK', 3364, 'SEA', 3577, 'Y', 0, '76W\r'),
	('CZ', 1767, 'PEK', 3364, 'SHA', 3391, '', 0, '333 321 767\r'),
	('CZ', 1767, 'PEK', 3364, 'SHE', 4144, '', 0, '321 320\r'),
	('CZ', 1767, 'PEK', 3364, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'PEK', 3364, 'SYX', 4030, '', 0, '321\r'),
	('CZ', 1767, 'PEK', 3364, 'SZX', 3374, '', 0, '333 321\r'),
	('CZ', 1767, 'PEK', 3364, 'TAS', 2983, '', 0, '330\r'),
	('CZ', 1767, 'PEK', 3364, 'TEN', 6963, '', 0, '319\r'),
	('CZ', 1767, 'PEK', 3364, 'URC', 3399, '', 0, '321 777 73G 330 752 738\r'),
	('CZ', 1767, 'PEK', 3364, 'WUH', 3376, '', 0, '321 738\r'),
	('CZ', 1767, 'PEK', 3364, 'WUS', 6391, 'Y', 0, '737\r'),
	('CZ', 1767, 'PEK', 3364, 'XIY', 3379, '', 0, '333 320 321\r'),
	('CZ', 1767, 'PEK', 3364, 'XMN', 3383, '', 0, '321\r'),
	('CZ', 1767, 'PEK', 3364, 'XNN', 6366, '', 0, '320\r'),
	('CZ', 1767, 'PEK', 3364, 'YIW', 6394, '', 0, '738\r'),
	('CZ', 1767, 'PEK', 3364, 'YNJ', 6414, '', 0, '320 321\r'),
	('CZ', 1767, 'PEK', 3364, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'PEN', 3308, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'PER', 3351, 'CAN', 3370, '', 0, '332\r'),
	('CZ', 1767, 'PNH', 3034, 'CAN', 3370, '', 0, '321 319\r'),
	('CZ', 1767, 'PUS', 2372, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'PVG', 3406, 'AMS', 580, 'Y', 0, '74M 747\r'),
	('CZ', 1767, 'PVG', 3406, 'CAN', 3370, '', 0, '320 738\r'),
	('CZ', 1767, 'PVG', 3406, 'CGO', 3375, '', 0, '320 738\r'),
	('CZ', 1767, 'PVG', 3406, 'CGQ', 4380, '', 0, '320 319 321\r'),
	('CZ', 1767, 'PVG', 3406, 'CSX', 3371, '', 0, '321 320\r'),
	('CZ', 1767, 'PVG', 3406, 'DDG', 6433, '', 0, '320\r'),
	('CZ', 1767, 'PVG', 3406, 'DLC', 3404, '', 0, '321 320\r'),
	('CZ', 1767, 'PVG', 3406, 'DTW', 3645, 'Y', 0, '77L\r'),
	('CZ', 1767, 'PVG', 3406, 'HAK', 4120, '', 0, '320\r'),
	('CZ', 1767, 'PVG', 3406, 'HRB', 3400, '', 0, '319 320\r'),
	('CZ', 1767, 'PVG', 3406, 'ICN', 3930, '', 0, '738\r'),
	('CZ', 1767, 'PVG', 3406, 'JMU', 6411, '', 0, '320\r'),
	('CZ', 1767, 'PVG', 3406, 'KUL', 3304, 'Y', 0, '333\r'),
	('CZ', 1767, 'PVG', 3406, 'KWE', 3394, '', 0, '738\r'),
	('CZ', 1767, 'PVG', 3406, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'PVG', 3406, 'MDG', 4334, '', 0, '320\r'),
	('CZ', 1767, 'PVG', 3406, 'NDG', 6413, '', 0, '320\r'),
	('CZ', 1767, 'PVG', 3406, 'NGO', 3942, '', 0, '320\r'),
	('CZ', 1767, 'PVG', 3406, 'NNG', 3373, '', 0, '73G\r'),
	('CZ', 1767, 'PVG', 3406, 'PEK', 3364, '', 0, '321 320 333\r'),
	('CZ', 1767, 'PVG', 3406, 'SHE', 4144, '', 0, '320 321 319\r'),
	('CZ', 1767, 'PVG', 3406, 'SYX', 4030, '', 0, '320\r'),
	('CZ', 1767, 'PVG', 3406, 'SZX', 3374, '', 0, '320 321\r'),
	('CZ', 1767, 'PVG', 3406, 'TAO', 3390, '', 0, '319\r'),
	('CZ', 1767, 'PVG', 3406, 'TPE', 2276, '', 0, '321 333\r'),
	('CZ', 1767, 'PVG', 3406, 'URC', 3399, '', 0, '320\r'),
	('CZ', 1767, 'PVG', 3406, 'WUH', 3376, '', 0, '738 320\r'),
	('CZ', 1767, 'PVG', 3406, 'XIY', 3379, '', 0, '738 320\r'),
	('CZ', 1767, 'PVG', 3406, 'YNJ', 6414, '', 0, '320\r'),
	('CZ', 1767, 'PVG', 3406, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'REP', 3035, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'RGN', 3239, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'SEA', 3577, 'PEK', 3364, 'Y', 0, '76W\r'),
	('CZ', 1767, 'SGN', 3205, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'SHA', 3391, 'CAN', 3370, '', 0, '333 321 AB6 738 77W 777 772 330 320\r'),
	('CZ', 1767, 'SHA', 3391, 'CGO', 3375, '', 0, '737 738 320 321\r'),
	('CZ', 1767, 'SHA', 3391, 'CSX', 3371, '', 0, '321 320\r'),
	('CZ', 1767, 'SHA', 3391, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'SHA', 3391, 'JJN', 6386, 'Y', 0, '737\r'),
	('CZ', 1767, 'SHA', 3391, 'KMG', 3382, '', 0, '733 737\r'),
	('CZ', 1767, 'SHA', 3391, 'KWE', 3394, '', 0, '321 73G 738\r'),
	('CZ', 1767, 'SHA', 3391, 'NNG', 3373, '', 0, '738 320\r'),
	('CZ', 1767, 'SHA', 3391, 'NNY', 6359, '', 0, 'E90\r'),
	('CZ', 1767, 'SHA', 3391, 'PEK', 3364, '', 0, '333 767 321\r'),
	('CZ', 1767, 'SHA', 3391, 'SWA', 4302, '', 0, '738 321\r'),
	('CZ', 1767, 'SHA', 3391, 'SZX', 3374, '', 0, '321 767 333 320 AB6\r'),
	('CZ', 1767, 'SHA', 3391, 'URC', 3399, '', 0, '73G 752\r'),
	('CZ', 1767, 'SHA', 3391, 'WUH', 3376, '', 0, '321 738 733 320\r'),
	('CZ', 1767, 'SHA', 3391, 'XIY', 3379, '', 0, '320 321\r'),
	('CZ', 1767, 'SHA', 3391, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'SHA', 3391, 'ZUH', 6355, '', 0, '320 321\r'),
	('CZ', 1767, 'SHE', 4144, 'BAV', 6346, '', 0, '321 320 319\r'),
	('CZ', 1767, 'SHE', 4144, 'CAN', 3370, '', 0, '319 320\r'),
	('CZ', 1767, 'SHE', 4144, 'CGO', 3375, '', 0, '73G 320 321\r'),
	('CZ', 1767, 'SHE', 4144, 'CJU', 2370, '', 0, '321\r'),
	('CZ', 1767, 'SHE', 4144, 'CKG', 3393, '', 0, '321 320\r'),
	('CZ', 1767, 'SHE', 4144, 'CZX', 4109, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'FUK', 2305, '', 0, '319\r'),
	('CZ', 1767, 'SHE', 4144, 'HET', 6345, '', 0, '319\r'),
	('CZ', 1767, 'SHE', 4144, 'HGH', 3386, '', 0, '320 321\r'),
	('CZ', 1767, 'SHE', 4144, 'HKG', 3077, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'ICN', 3930, '', 0, '321 320\r'),
	('CZ', 1767, 'SHE', 4144, 'JXA', 8417, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'KIX', 3992, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'SHE', 4144, 'LHW', 6431, '', 0, '319 320\r'),
	('CZ', 1767, 'SHE', 4144, 'NBS', 8826, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'NGO', 3942, '', 0, '319\r'),
	('CZ', 1767, 'SHE', 4144, 'NKG', 3388, '', 0, '319 738\r'),
	('CZ', 1767, 'SHE', 4144, 'NRT', 2279, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'PEK', 3364, '', 0, '320 321\r'),
	('CZ', 1767, 'SHE', 4144, 'PUS', 2372, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'PVG', 3406, '', 0, '320 321 319\r'),
	('CZ', 1767, 'SHE', 4144, 'SJW', 6347, '', 0, '319\r'),
	('CZ', 1767, 'SHE', 4144, 'TAO', 3390, '', 0, '321 320\r'),
	('CZ', 1767, 'SHE', 4144, 'TNA', 4108, 'Y', 0, '737\r'),
	('CZ', 1767, 'SHE', 4144, 'TPE', 2276, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'TYN', 3369, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'WUH', 3376, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'XIY', 3379, '', 0, '320\r'),
	('CZ', 1767, 'SHE', 4144, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'SHE', 4144, 'YIW', 6394, '', 0, '738\r'),
	('CZ', 1767, 'SHE', 4144, 'YNT', 3392, '', 0, '320 321 319\r'),
	('CZ', 1767, 'SHE', 4144, 'YNZ', 6393, '', 0, '73G 738\r'),
	('CZ', 1767, 'SIN', 3316, 'CAN', 3370, '', 0, '320 319\r'),
	('CZ', 1767, 'SIN', 3316, 'FOC', 3385, 'Y', 0, '738\r'),
	('CZ', 1767, 'SIN', 3316, 'XMN', 3383, '', 0, '738\r'),
	('CZ', 1767, 'SJW', 6347, 'BAV', 6346, '', 0, '320\r'),
	('CZ', 1767, 'SJW', 6347, 'BHY', 6351, '', 0, '321\r'),
	('CZ', 1767, 'SJW', 6347, 'CAN', 3370, '', 0, '320 E90\r'),
	('CZ', 1767, 'SJW', 6347, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'SJW', 6347, 'DLC', 3404, '', 0, '320 319\r'),
	('CZ', 1767, 'SJW', 6347, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'SJW', 6347, 'HRB', 3400, '', 0, '321\r'),
	('CZ', 1767, 'SJW', 6347, 'SHE', 4144, '', 0, '319\r'),
	('CZ', 1767, 'SJW', 6347, 'SZX', 3374, '', 0, '319\r'),
	('CZ', 1767, 'SJW', 6347, 'URC', 3399, '', 0, '320 319\r'),
	('CZ', 1767, 'SVO', 2985, 'CAN', 3370, '', 0, '333 332\r'),
	('CZ', 1767, 'SVO', 2985, 'URC', 3399, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'BKK', 3885, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'CSX', 3371, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'CTU', 3395, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'HKG', 3077, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'KWE', 3394, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'NGB', 3387, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'NKG', 3388, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'PEK', 3364, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'SHA', 3391, '', 0, '738 321\r'),
	('CZ', 1767, 'SWA', 4302, 'SYX', 4030, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'YIW', 6394, '', 0, '738\r'),
	('CZ', 1767, 'SWA', 4302, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'SYD', 3361, 'CAN', 3370, '', 0, '333 332\r'),
	('CZ', 1767, 'SYM', 6377, 'KMG', 3382, '', 0, '733\r'),
	('CZ', 1767, 'SYX', 4030, 'CAN', 3370, '', 0, '320 321 738\r'),
	('CZ', 1767, 'SYX', 4030, 'CGO', 3375, '', 0, '320\r'),
	('CZ', 1767, 'SYX', 4030, 'CKG', 3393, '', 0, '320\r'),
	('CZ', 1767, 'SYX', 4030, 'CSX', 3371, '', 0, '321\r'),
	('CZ', 1767, 'SYX', 4030, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'SYX', 4030, 'HGH', 3386, '', 0, '321\r'),
	('CZ', 1767, 'SYX', 4030, 'KMG', 3382, '', 0, '733\r'),
	('CZ', 1767, 'SYX', 4030, 'PEK', 3364, '', 0, '321\r'),
	('CZ', 1767, 'SYX', 4030, 'PVG', 3406, '', 0, '320\r'),
	('CZ', 1767, 'SYX', 4030, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'SYX', 4030, 'SZX', 3374, '', 0, '320 321\r'),
	('CZ', 1767, 'SYX', 4030, 'WUH', 3376, '', 0, '320\r'),
	('CZ', 1767, 'SYX', 4030, 'XIY', 3379, '', 0, '320\r'),
	('CZ', 1767, 'SYX', 4030, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'SYX', 4030, 'YCU', 6430, '', 0, '320\r'),
	('CZ', 1767, 'SYX', 4030, 'YTY', 8876, '', 0, '320\r'),
	('CZ', 1767, 'SYX', 4030, 'ZHA', 6357, '', 0, 'E90\r'),
	('CZ', 1767, 'SYX', 4030, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'SZX', 3374, 'BFJ', 9025, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'BKI', 3269, '', 0, '321\r'),
	('CZ', 1767, 'SZX', 3374, 'CGD', 6352, '', 0, '319\r'),
	('CZ', 1767, 'SZX', 3374, 'CGO', 3375, '', 0, '738 733 73G\r'),
	('CZ', 1767, 'SZX', 3374, 'CJU', 2370, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'CKG', 3393, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'CSX', 3371, '', 0, '320 752\r'),
	('CZ', 1767, 'SZX', 3374, 'CTU', 3395, '', 0, '321 333 320\r'),
	('CZ', 1767, 'SZX', 3374, 'CZX', 4109, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'DLC', 3404, '', 0, '319\r'),
	('CZ', 1767, 'SZX', 3374, 'DPS', 3940, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'DYG', 6353, '', 0, '319\r'),
	('CZ', 1767, 'SZX', 3374, 'FOC', 3385, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'HAK', 4120, '', 0, '321 320 333\r'),
	('CZ', 1767, 'SZX', 3374, 'HFE', 3389, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'HGH', 3386, '', 0, '321 320\r'),
	('CZ', 1767, 'SZX', 3374, 'HKT', 3179, '', 0, '321\r'),
	('CZ', 1767, 'SZX', 3374, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'HSN', 6395, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'JJN', 6386, 'Y', 0, '737\r'),
	('CZ', 1767, 'SZX', 3374, 'KHN', 3384, '', 0, '321 319 320\r'),
	('CZ', 1767, 'SZX', 3374, 'KMG', 3382, '', 0, '321 320 737 319\r'),
	('CZ', 1767, 'SZX', 3374, 'KOW', 6379, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'KWE', 3394, '', 0, '320 738 319\r'),
	('CZ', 1767, 'SZX', 3374, 'KWL', 3372, '', 0, '738 321 320\r'),
	('CZ', 1767, 'SZX', 3374, 'LZO', 6399, '', 0, '319\r'),
	('CZ', 1767, 'SZX', 3374, 'MXZ', 6354, '', 0, 'E90\r'),
	('CZ', 1767, 'SZX', 3374, 'NAO', 6401, '', 0, '321\r'),
	('CZ', 1767, 'SZX', 3374, 'NGB', 3387, '', 0, '320 321 319\r'),
	('CZ', 1767, 'SZX', 3374, 'NKG', 3388, '', 0, '321 320\r'),
	('CZ', 1767, 'SZX', 3374, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'SZX', 3374, 'NNY', 6359, '', 0, '319\r'),
	('CZ', 1767, 'SZX', 3374, 'PEK', 3364, '', 0, '333 321\r'),
	('CZ', 1767, 'SZX', 3374, 'PVG', 3406, '', 0, '320 321\r'),
	('CZ', 1767, 'SZX', 3374, 'SHA', 3391, '', 0, '333 AB6 767 320 321\r'),
	('CZ', 1767, 'SZX', 3374, 'SJW', 6347, '', 0, '319\r'),
	('CZ', 1767, 'SZX', 3374, 'SYX', 4030, '', 0, '320 321\r'),
	('CZ', 1767, 'SZX', 3374, 'TAO', 3390, '', 0, '320 321\r'),
	('CZ', 1767, 'SZX', 3374, 'TEN', 6963, '', 0, '319\r'),
	('CZ', 1767, 'SZX', 3374, 'TPE', 2276, '', 0, '321\r'),
	('CZ', 1767, 'SZX', 3374, 'TSN', 3368, 'Y', 0, '737\r'),
	('CZ', 1767, 'SZX', 3374, 'TXN', 6387, '', 0, '319\r'),
	('CZ', 1767, 'SZX', 3374, 'WNZ', 6392, '', 0, '321\r'),
	('CZ', 1767, 'SZX', 3374, 'WUH', 3376, '', 0, '320 733 738\r'),
	('CZ', 1767, 'SZX', 3374, 'WUX', 6390, '', 0, '321\r'),
	('CZ', 1767, 'SZX', 3374, 'XIY', 3379, '', 0, '320\r'),
	('CZ', 1767, 'SZX', 3374, 'XMN', 3383, '', 0, '738\r'),
	('CZ', 1767, 'TAO', 3390, 'CAN', 3370, '', 0, '320 738 321 319\r'),
	('CZ', 1767, 'TAO', 3390, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'TAO', 3390, 'CGQ', 4380, '', 0, '320 321 738\r'),
	('CZ', 1767, 'TAO', 3390, 'CSX', 3371, '', 0, '320 321\r'),
	('CZ', 1767, 'TAO', 3390, 'DLC', 3404, 'Y', 0, '737\r'),
	('CZ', 1767, 'TAO', 3390, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'TAO', 3390, 'HET', 6345, '', 0, '73G\r'),
	('CZ', 1767, 'TAO', 3390, 'HGH', 3386, '', 0, '320 738\r'),
	('CZ', 1767, 'TAO', 3390, 'HRB', 3400, '', 0, '738 319 73G\r'),
	('CZ', 1767, 'TAO', 3390, 'KMG', 3382, '', 0, '320\r'),
	('CZ', 1767, 'TAO', 3390, 'KWE', 3394, '', 0, '738\r'),
	('CZ', 1767, 'TAO', 3390, 'NGB', 3387, '', 0, '738\r'),
	('CZ', 1767, 'TAO', 3390, 'PVG', 3406, '', 0, '319\r'),
	('CZ', 1767, 'TAO', 3390, 'SHE', 4144, '', 0, '320 321\r'),
	('CZ', 1767, 'TAO', 3390, 'SZX', 3374, '', 0, '321 320\r'),
	('CZ', 1767, 'TAO', 3390, 'TXN', 6387, '', 0, '320\r'),
	('CZ', 1767, 'TAO', 3390, 'TYN', 3369, '', 0, '738\r'),
	('CZ', 1767, 'TAO', 3390, 'WUH', 3376, '', 0, '738 73G\r'),
	('CZ', 1767, 'TAO', 3390, 'XIY', 3379, '', 0, '320\r'),
	('CZ', 1767, 'TAO', 3390, 'XMN', 3383, '', 0, '319\r'),
	('CZ', 1767, 'TAS', 2983, 'PEK', 3364, '', 0, '330\r'),
	('CZ', 1767, 'TAS', 2983, 'URC', 3399, '', 0, '752\r'),
	('CZ', 1767, 'TBS', 3973, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'TCG', 6752, 'URC', 3399, '', 0, 'E90\r'),
	('CZ', 1767, 'TEN', 6963, 'CAN', 3370, '', 0, '319\r'),
	('CZ', 1767, 'TEN', 6963, 'PEK', 3364, '', 0, '319\r'),
	('CZ', 1767, 'TEN', 6963, 'SZX', 3374, '', 0, '319\r'),
	('CZ', 1767, 'TGO', 6348, 'HET', 6345, '', 0, '319\r'),
	('CZ', 1767, 'TNA', 4108, 'CAN', 3370, '', 0, '738 320\r'),
	('CZ', 1767, 'TNA', 4108, 'CGQ', 4380, '', 0, '320 319\r'),
	('CZ', 1767, 'TNA', 4108, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'TNA', 4108, 'CTU', 3395, '', 0, '320 319\r'),
	('CZ', 1767, 'TNA', 4108, 'DLC', 3404, '', 0, '738 320 73G\r'),
	('CZ', 1767, 'TNA', 4108, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'TNA', 4108, 'HET', 6345, 'Y', 0, '737\r'),
	('CZ', 1767, 'TNA', 4108, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'TNA', 4108, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'TNA', 4108, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'TNA', 4108, 'LHW', 6431, '', 0, '320\r'),
	('CZ', 1767, 'TNA', 4108, 'SHE', 4144, 'Y', 0, '737\r'),
	('CZ', 1767, 'TNA', 4108, 'URC', 3399, '', 0, '320\r'),
	('CZ', 1767, 'TNA', 4108, 'WUH', 3376, '', 0, '73G\r'),
	('CZ', 1767, 'TNA', 4108, 'XIY', 3379, '', 0, '320 752\r'),
	('CZ', 1767, 'TNA', 4108, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'TOY', 2324, 'DLC', 3404, '', 0, '319\r'),
	('CZ', 1767, 'TPE', 2276, 'CAN', 3370, '', 0, '772\r'),
	('CZ', 1767, 'TPE', 2276, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'TPE', 2276, 'CGQ', 4380, '', 0, '320\r'),
	('CZ', 1767, 'TPE', 2276, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'TPE', 2276, 'DLC', 3404, '', 0, '320\r'),
	('CZ', 1767, 'TPE', 2276, 'DYG', 6353, '', 0, '320\r'),
	('CZ', 1767, 'TPE', 2276, 'HRB', 3400, '', 0, '321 320\r'),
	('CZ', 1767, 'TPE', 2276, 'KWE', 3394, '', 0, '738\r'),
	('CZ', 1767, 'TPE', 2276, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'TPE', 2276, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'TPE', 2276, 'PVG', 3406, '', 0, '321 333\r'),
	('CZ', 1767, 'TPE', 2276, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'TPE', 2276, 'SZX', 3374, '', 0, '321\r'),
	('CZ', 1767, 'TPE', 2276, 'URC', 3399, '', 0, '752 333\r'),
	('CZ', 1767, 'TPE', 2276, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'TSE', 2910, 'URC', 3399, '', 0, '73G\r'),
	('CZ', 1767, 'TSN', 3368, 'CAN', 3370, '', 0, '738 73G 319\r'),
	('CZ', 1767, 'TSN', 3368, 'CKG', 3393, '', 0, '320\r'),
	('CZ', 1767, 'TSN', 3368, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'TSN', 3368, 'DLC', 3404, '', 0, '320\r'),
	('CZ', 1767, 'TSN', 3368, 'HET', 6345, 'Y', 0, '737\r'),
	('CZ', 1767, 'TSN', 3368, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'TSN', 3368, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'TSN', 3368, 'SZX', 3374, 'Y', 0, '737\r'),
	('CZ', 1767, 'TSN', 3368, 'WUH', 3376, '', 0, '738 73G\r'),
	('CZ', 1767, 'TSN', 3368, 'XIY', 3379, 'Y', 0, '737\r'),
	('CZ', 1767, 'TSN', 3368, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'TXN', 6387, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'TXN', 6387, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'TXN', 6387, 'DLC', 3404, '', 0, '320\r'),
	('CZ', 1767, 'TXN', 6387, 'SZX', 3374, '', 0, '319\r'),
	('CZ', 1767, 'TXN', 6387, 'TAO', 3390, '', 0, '320\r'),
	('CZ', 1767, 'TXN', 6387, 'TYN', 3369, 'Y', 0, '737\r'),
	('CZ', 1767, 'TXN', 6387, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'TYN', 3369, 'CAN', 3370, '', 0, '737 738 320\r'),
	('CZ', 1767, 'TYN', 3369, 'CGQ', 4380, '', 0, '319 320\r'),
	('CZ', 1767, 'TYN', 3369, 'CSX', 3371, '', 0, '738\r'),
	('CZ', 1767, 'TYN', 3369, 'CTU', 3395, '', 0, '320\r'),
	('CZ', 1767, 'TYN', 3369, 'CZX', 4109, 'Y', 0, '737\r'),
	('CZ', 1767, 'TYN', 3369, 'DAT', 6344, 'Y', 0, '737\r'),
	('CZ', 1767, 'TYN', 3369, 'DLC', 3404, '', 0, '321\r'),
	('CZ', 1767, 'TYN', 3369, 'DYG', 6353, '', 0, '320\r'),
	('CZ', 1767, 'TYN', 3369, 'HFE', 3389, 'Y', 0, '737\r'),
	('CZ', 1767, 'TYN', 3369, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'TYN', 3369, 'INC', 4085, '', 0, '320\r'),
	('CZ', 1767, 'TYN', 3369, 'KHN', 3384, '', 0, '321\r'),
	('CZ', 1767, 'TYN', 3369, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'TYN', 3369, 'TAO', 3390, '', 0, '738\r'),
	('CZ', 1767, 'TYN', 3369, 'TXN', 6387, 'Y', 0, '737\r'),
	('CZ', 1767, 'TYN', 3369, 'URC', 3399, '', 0, '738\r'),
	('CZ', 1767, 'TYN', 3369, 'WUH', 3376, '', 0, '73G\r'),
	('CZ', 1767, 'TYN', 3369, 'XIY', 3379, '', 0, '320 319\r'),
	('CZ', 1767, 'TYN', 3369, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'URC', 3399, 'AAT', 6946, '', 0, '73G E90\r'),
	('CZ', 1767, 'URC', 3399, 'AKU', 6404, '', 0, '73G E90\r'),
	('CZ', 1767, 'URC', 3399, 'ALA', 2908, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'ASB', 2976, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'BAV', 6346, '', 0, '319 320\r'),
	('CZ', 1767, 'URC', 3399, 'CAN', 3370, '', 0, '738 777 752 73G\r'),
	('CZ', 1767, 'URC', 3399, 'CGO', 3375, '', 0, '752 738\r'),
	('CZ', 1767, 'URC', 3399, 'CKG', 3393, '', 0, '738 320 73G\r'),
	('CZ', 1767, 'URC', 3399, 'CSX', 3371, '', 0, '752\r'),
	('CZ', 1767, 'URC', 3399, 'CTU', 3395, '', 0, '738 320 752\r'),
	('CZ', 1767, 'URC', 3399, 'DNH', 4308, '', 0, 'E90\r'),
	('CZ', 1767, 'URC', 3399, 'DYU', 2979, '', 0, '752\r'),
	('CZ', 1767, 'URC', 3399, 'FRU', 2912, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'GYD', 2922, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'HET', 6345, '', 0, '73G 319 320\r'),
	('CZ', 1767, 'URC', 3399, 'HGH', 3386, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'HMI', 6743, '', 0, 'E90\r'),
	('CZ', 1767, 'URC', 3399, 'HTN', 3398, '', 0, 'E90 73G\r'),
	('CZ', 1767, 'URC', 3399, 'IKA', 4330, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'INC', 4085, '', 0, '738 73G\r'),
	('CZ', 1767, 'URC', 3399, 'ISB', 2223, '', 0, '752\r'),
	('CZ', 1767, 'URC', 3399, 'IST', 1701, '', 0, '330\r'),
	('CZ', 1767, 'URC', 3399, 'KCA', 6406, '', 0, 'E90\r'),
	('CZ', 1767, 'URC', 3399, 'KHG', 3397, '', 0, 'E90 73G\r'),
	('CZ', 1767, 'URC', 3399, 'KRL', 6407, '', 0, '738 E90 73G\r'),
	('CZ', 1767, 'URC', 3399, 'KRY', 6408, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'KWE', 3394, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'LBD', 6147, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'LHW', 6431, '', 0, '752 319 320\r'),
	('CZ', 1767, 'URC', 3399, 'NKG', 3388, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'OSS', 2913, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'OVB', 4078, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'PEK', 3364, '', 0, '73G 777 321 330 752 738\r'),
	('CZ', 1767, 'URC', 3399, 'PVG', 3406, '', 0, '320\r'),
	('CZ', 1767, 'URC', 3399, 'SHA', 3391, '', 0, '752 73G\r'),
	('CZ', 1767, 'URC', 3399, 'SJW', 6347, '', 0, '320 319\r'),
	('CZ', 1767, 'URC', 3399, 'SVO', 2985, '', 0, '738\r'),
	('CZ', 1767, 'URC', 3399, 'TAS', 2983, '', 0, '752\r'),
	('CZ', 1767, 'URC', 3399, 'TBS', 3973, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'TCG', 6752, '', 0, 'E90\r'),
	('CZ', 1767, 'URC', 3399, 'TNA', 4108, '', 0, '320\r'),
	('CZ', 1767, 'URC', 3399, 'TPE', 2276, '', 0, '752 333\r'),
	('CZ', 1767, 'URC', 3399, 'TSE', 2910, '', 0, '73G\r'),
	('CZ', 1767, 'URC', 3399, 'TYN', 3369, '', 0, '738\r'),
	('CZ', 1767, 'URC', 3399, 'WUH', 3376, '', 0, '738 320 73G\r'),
	('CZ', 1767, 'URC', 3399, 'XIY', 3379, '', 0, '738 E90 320 752 73G\r'),
	('CZ', 1767, 'URC', 3399, 'XNN', 6366, '', 0, '320\r'),
	('CZ', 1767, 'URC', 3399, 'YIN', 6409, '', 0, '73G E90\r'),
	('CZ', 1767, 'URC', 3399, 'YIW', 6394, '', 0, '738\r'),
	('CZ', 1767, 'UYN', 6368, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'UYN', 6368, 'XIY', 3379, '', 0, '319 320\r'),
	('CZ', 1767, 'WNH', 7528, 'KMG', 3382, '', 0, '737\r'),
	('CZ', 1767, 'WNZ', 6392, 'CAN', 3370, '', 0, '738 733 320\r'),
	('CZ', 1767, 'WNZ', 6392, 'CGO', 3375, '', 0, '733\r'),
	('CZ', 1767, 'WNZ', 6392, 'CSX', 3371, '', 0, '752\r'),
	('CZ', 1767, 'WNZ', 6392, 'KWL', 3372, '', 0, '738\r'),
	('CZ', 1767, 'WNZ', 6392, 'SZX', 3374, '', 0, '321\r'),
	('CZ', 1767, 'WNZ', 6392, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'WNZ', 6392, 'XIY', 3379, '', 0, '737\r'),
	('CZ', 1767, 'WUH', 3376, 'BAV', 6346, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'BKK', 3885, '', 0, '73G\r'),
	('CZ', 1767, 'WUH', 3376, 'CAN', 3370, '', 0, '738 73G\r'),
	('CZ', 1767, 'WUH', 3376, 'CGQ', 4380, '', 0, '320\r'),
	('CZ', 1767, 'WUH', 3376, 'CKG', 3393, '', 0, '73G\r'),
	('CZ', 1767, 'WUH', 3376, 'CTU', 3395, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'DLC', 3404, '', 0, '321\r'),
	('CZ', 1767, 'WUH', 3376, 'ENH', 6358, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'FOC', 3385, '', 0, '738 73G\r'),
	('CZ', 1767, 'WUH', 3376, 'HAK', 4120, '', 0, '320\r'),
	('CZ', 1767, 'WUH', 3376, 'HGH', 3386, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'HKG', 3077, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'ICN', 3930, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'INC', 4085, 'Y', 0, '737\r'),
	('CZ', 1767, 'WUH', 3376, 'JJN', 6386, 'Y', 0, '737\r'),
	('CZ', 1767, 'WUH', 3376, 'KHH', 2264, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'KMG', 3382, '', 0, '321 738\r'),
	('CZ', 1767, 'WUH', 3376, 'KWE', 3394, '', 0, '73G 738\r'),
	('CZ', 1767, 'WUH', 3376, 'KWL', 3372, '', 0, '73G\r'),
	('CZ', 1767, 'WUH', 3376, 'LHW', 6431, 'Y', 0, '737\r'),
	('CZ', 1767, 'WUH', 3376, 'NGB', 3387, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'NNG', 3373, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'PEK', 3364, '', 0, '738 321\r'),
	('CZ', 1767, 'WUH', 3376, 'PVG', 3406, '', 0, '738 320\r'),
	('CZ', 1767, 'WUH', 3376, 'SHA', 3391, '', 0, '738 321 733 320\r'),
	('CZ', 1767, 'WUH', 3376, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'WUH', 3376, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'SYX', 4030, '', 0, '320\r'),
	('CZ', 1767, 'WUH', 3376, 'SZX', 3374, '', 0, '733 738 320\r'),
	('CZ', 1767, 'WUH', 3376, 'TAO', 3390, '', 0, '738 73G\r'),
	('CZ', 1767, 'WUH', 3376, 'TNA', 4108, '', 0, '73G\r'),
	('CZ', 1767, 'WUH', 3376, 'TPE', 2276, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'TSN', 3368, '', 0, '738 73G\r'),
	('CZ', 1767, 'WUH', 3376, 'TYN', 3369, '', 0, '73G\r'),
	('CZ', 1767, 'WUH', 3376, 'URC', 3399, '', 0, '320 738 73G\r'),
	('CZ', 1767, 'WUH', 3376, 'WNZ', 6392, '', 0, '738\r'),
	('CZ', 1767, 'WUH', 3376, 'XIY', 3379, '', 0, '738 73G\r'),
	('CZ', 1767, 'WUH', 3376, 'XMN', 3383, '', 0, '73G 738\r'),
	('CZ', 1767, 'WUH', 3376, 'YNZ', 6393, '', 0, '73G 738\r'),
	('CZ', 1767, 'WUH', 3376, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'WUS', 6391, 'PEK', 3364, 'Y', 0, '737\r'),
	('CZ', 1767, 'WUX', 6390, 'CAN', 3370, '', 0, '321 E90\r'),
	('CZ', 1767, 'WUX', 6390, 'SZX', 3374, '', 0, '321\r'),
	('CZ', 1767, 'WXN', 6403, 'XIY', 3379, 'Y', 0, '737\r'),
	('CZ', 1767, 'WXN', 6403, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'XFN', 6360, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'XFN', 6360, 'XMN', 3383, '', 0, '738\r'),
	('CZ', 1767, 'XIL', 6350, 'HET', 6345, '', 0, '319\r'),
	('CZ', 1767, 'XIY', 3379, 'CAN', 3370, '', 0, '320 321 73G 319\r'),
	('CZ', 1767, 'XIY', 3379, 'CKG', 3393, '', 0, '320 319\r'),
	('CZ', 1767, 'XIY', 3379, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'XIY', 3379, 'CTU', 3395, '', 0, '321 320\r'),
	('CZ', 1767, 'XIY', 3379, 'DLC', 3404, '', 0, '320\r'),
	('CZ', 1767, 'XIY', 3379, 'DNH', 4308, '', 0, 'E90\r'),
	('CZ', 1767, 'XIY', 3379, 'ENY', 6367, '', 0, '320\r'),
	('CZ', 1767, 'XIY', 3379, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'XIY', 3379, 'HFE', 3389, '', 0, '738 73G\r'),
	('CZ', 1767, 'XIY', 3379, 'HGH', 3386, '', 0, '321 320\r'),
	('CZ', 1767, 'XIY', 3379, 'HRB', 3400, '', 0, '738 320 321\r'),
	('CZ', 1767, 'XIY', 3379, 'INC', 4085, '', 0, '320\r'),
	('CZ', 1767, 'XIY', 3379, 'KHN', 3384, 'Y', 0, '737\r'),
	('CZ', 1767, 'XIY', 3379, 'KMG', 3382, '', 0, '320 733 321\r'),
	('CZ', 1767, 'XIY', 3379, 'KWE', 3394, '', 0, '320 73G 738\r'),
	('CZ', 1767, 'XIY', 3379, 'KWL', 3372, '', 0, '320 73G\r'),
	('CZ', 1767, 'XIY', 3379, 'LXA', 4097, '', 0, '319\r'),
	('CZ', 1767, 'XIY', 3379, 'NKG', 3388, '', 0, '320\r'),
	('CZ', 1767, 'XIY', 3379, 'PEK', 3364, '', 0, '321 320 333\r'),
	('CZ', 1767, 'XIY', 3379, 'PVG', 3406, '', 0, '320 738 321\r'),
	('CZ', 1767, 'XIY', 3379, 'SHA', 3391, '', 0, '320\r'),
	('CZ', 1767, 'XIY', 3379, 'SHE', 4144, '', 0, '320\r'),
	('CZ', 1767, 'XIY', 3379, 'SYX', 4030, '', 0, '320\r'),
	('CZ', 1767, 'XIY', 3379, 'SZX', 3374, '', 0, '320\r'),
	('CZ', 1767, 'XIY', 3379, 'TAO', 3390, '', 0, '320\r'),
	('CZ', 1767, 'XIY', 3379, 'TNA', 4108, '', 0, '320 752\r'),
	('CZ', 1767, 'XIY', 3379, 'TSN', 3368, 'Y', 0, '737\r'),
	('CZ', 1767, 'XIY', 3379, 'TYN', 3369, '', 0, '320 319\r'),
	('CZ', 1767, 'XIY', 3379, 'URC', 3399, '', 0, '738 320 E90 73G 752\r'),
	('CZ', 1767, 'XIY', 3379, 'UYN', 6368, '', 0, '319 320\r'),
	('CZ', 1767, 'XIY', 3379, 'WNZ', 6392, '', 0, '737\r'),
	('CZ', 1767, 'XIY', 3379, 'WUH', 3376, '', 0, '738 73G\r'),
	('CZ', 1767, 'XIY', 3379, 'WXN', 6403, 'Y', 0, '737\r'),
	('CZ', 1767, 'XIY', 3379, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'XIY', 3379, 'XNN', 6366, '', 0, '320\r'),
	('CZ', 1767, 'XMN', 3383, 'AMS', 580, 'Y', 0, '777\r'),
	('CZ', 1767, 'XMN', 3383, 'BKK', 3885, '', 0, '738\r'),
	('CZ', 1767, 'XMN', 3383, 'CAN', 3370, '', 0, '738 E90 319 73G 320\r'),
	('CZ', 1767, 'XMN', 3383, 'CGK', 3275, '', 0, '738\r'),
	('CZ', 1767, 'XMN', 3383, 'CGO', 3375, '', 0, '733 319\r'),
	('CZ', 1767, 'XMN', 3383, 'CKG', 3393, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'XMN', 3383, 'CTU', 3395, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'HAK', 4120, '', 0, '733\r'),
	('CZ', 1767, 'XMN', 3383, 'HFE', 3389, '', 0, '733\r'),
	('CZ', 1767, 'XMN', 3383, 'HGH', 3386, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'HKG', 3077, '', 0, '738\r'),
	('CZ', 1767, 'XMN', 3383, 'HSN', 6395, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'KHN', 3384, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'KMG', 3382, '', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'KUL', 3304, 'Y', 0, '738\r'),
	('CZ', 1767, 'XMN', 3383, 'KWL', 3372, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'MFM', 3121, '', 0, '738\r'),
	('CZ', 1767, 'XMN', 3383, 'MNL', 2397, '', 0, '321\r'),
	('CZ', 1767, 'XMN', 3383, 'NGB', 3387, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'NKG', 3388, '', 0, '319\r'),
	('CZ', 1767, 'XMN', 3383, 'NNG', 3373, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'PEK', 3364, '', 0, '321\r'),
	('CZ', 1767, 'XMN', 3383, 'SHA', 3391, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'SHE', 4144, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'SIN', 3316, '', 0, '738\r'),
	('CZ', 1767, 'XMN', 3383, 'SYX', 4030, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'SZX', 3374, '', 0, '738\r'),
	('CZ', 1767, 'XMN', 3383, 'TAO', 3390, '', 0, '319\r'),
	('CZ', 1767, 'XMN', 3383, 'TNA', 4108, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'TSN', 3368, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'TXN', 6387, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'TYN', 3369, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'WUH', 3376, '', 0, '73G 738\r'),
	('CZ', 1767, 'XMN', 3383, 'WXN', 6403, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'XFN', 6360, '', 0, '738\r'),
	('CZ', 1767, 'XMN', 3383, 'XIY', 3379, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'YIH', 6361, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'YIW', 6394, '', 0, '738\r'),
	('CZ', 1767, 'XMN', 3383, 'YNZ', 6393, 'Y', 0, '737\r'),
	('CZ', 1767, 'XMN', 3383, 'ZUH', 6355, 'Y', 0, '737\r'),
	('CZ', 1767, 'XNN', 6366, 'CGO', 3375, 'Y', 0, '737\r'),
	('CZ', 1767, 'XNN', 6366, 'CKG', 3393, 'Y', 0, '737\r'),
	('CZ', 1767, 'XNN', 6366, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'XNN', 6366, 'KWE', 3394, '', 0, '738\r'),
	('CZ', 1767, 'XNN', 6366, 'PEK', 3364, '', 0, '320\r'),
	('CZ', 1767, 'XNN', 6366, 'URC', 3399, '', 0, '320\r'),
	('CZ', 1767, 'XNN', 6366, 'XIY', 3379, '', 0, '320\r'),
	('CZ', 1767, 'XUZ', 4149, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'XUZ', 4149, 'INC', 4085, '', 0, '73G\r'),
	('CZ', 1767, 'XUZ', 4149, 'LYG', 6383, '', 0, '320\r'),
	('CZ', 1767, 'YCU', 6430, 'CKG', 3393, '', 0, '733\r'),
	('CZ', 1767, 'YCU', 6430, 'CSX', 3371, '', 0, '733\r'),
	('CZ', 1767, 'YCU', 6430, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'YCU', 6430, 'SYX', 4030, '', 0, '320\r'),
	('CZ', 1767, 'YIH', 6361, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'YIH', 6361, 'CKG', 3393, 'Y', 0, '737\r'),
	('CZ', 1767, 'YIH', 6361, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'YIN', 6409, 'URC', 3399, '', 0, '73G E90\r'),
	('CZ', 1767, 'YIW', 6394, 'CAN', 3370, '', 0, '738 E90 319\r'),
	('CZ', 1767, 'YIW', 6394, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'YIW', 6394, 'HRB', 3400, '', 0, '738\r'),
	('CZ', 1767, 'YIW', 6394, 'KMG', 3382, '', 0, '738\r'),
	('CZ', 1767, 'YIW', 6394, 'PEK', 3364, '', 0, '738\r'),
	('CZ', 1767, 'YIW', 6394, 'SHE', 4144, '', 0, '738\r'),
	('CZ', 1767, 'YIW', 6394, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'YIW', 6394, 'URC', 3399, '', 0, '738\r'),
	('CZ', 1767, 'YIW', 6394, 'XMN', 3383, '', 0, '738\r'),
	('CZ', 1767, 'YIW', 6394, 'ZUH', 6355, '', 0, '738\r'),
	('CZ', 1767, 'YNJ', 6414, 'CGQ', 4380, '', 0, '321 320\r'),
	('CZ', 1767, 'YNJ', 6414, 'DLC', 3404, '', 0, '319\r'),
	('CZ', 1767, 'YNJ', 6414, 'ICN', 3930, '', 0, '321\r'),
	('CZ', 1767, 'YNJ', 6414, 'PEK', 3364, '', 0, '320 321\r'),
	('CZ', 1767, 'YNJ', 6414, 'PVG', 3406, '', 0, '320\r'),
	('CZ', 1767, 'YNT', 3392, 'CAN', 3370, '', 0, '320\r'),
	('CZ', 1767, 'YNT', 3392, 'CSX', 3371, '', 0, '320 319\r'),
	('CZ', 1767, 'YNT', 3392, 'CTU', 3395, '', 0, '321\r'),
	('CZ', 1767, 'YNT', 3392, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'YNT', 3392, 'SHE', 4144, '', 0, '320 321 319\r'),
	('CZ', 1767, 'YNZ', 6393, 'DLC', 3404, '', 0, '73G 738\r'),
	('CZ', 1767, 'YNZ', 6393, 'HRB', 3400, 'Y', 0, '737\r'),
	('CZ', 1767, 'YNZ', 6393, 'NTG', 5475, '', 0, '738\r'),
	('CZ', 1767, 'YNZ', 6393, 'SHE', 4144, '', 0, '73G 738\r'),
	('CZ', 1767, 'YNZ', 6393, 'WUH', 3376, '', 0, '73G 738\r'),
	('CZ', 1767, 'YNZ', 6393, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'YTY', 8876, 'CAN', 3370, '', 0, '738\r'),
	('CZ', 1767, 'YTY', 8876, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'YTY', 8876, 'CSX', 3371, '', 0, '320\r'),
	('CZ', 1767, 'YTY', 8876, 'DLC', 3404, '', 0, '320\r'),
	('CZ', 1767, 'YTY', 8876, 'HRB', 3400, '', 0, '320\r'),
	('CZ', 1767, 'YTY', 8876, 'SYX', 4030, '', 0, '320\r'),
	('CZ', 1767, 'YVR', 156, 'CAN', 3370, '', 0, '787\r'),
	('CZ', 1767, 'ZAT', 6378, 'KMG', 3382, '', 0, '737\r'),
	('CZ', 1767, 'ZHA', 6357, 'CAN', 3370, '', 0, 'E90 319 320\r'),
	('CZ', 1767, 'ZHA', 6357, 'SYX', 4030, '', 0, 'E90\r'),
	('CZ', 1767, 'ZUH', 6355, 'CGO', 3375, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'CSX', 3371, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'FOC', 3385, 'Y', 0, '737\r'),
	('CZ', 1767, 'ZUH', 6355, 'HAK', 4120, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'HFE', 3389, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'HGH', 3386, '', 0, '738 320\r'),
	('CZ', 1767, 'ZUH', 6355, 'KHN', 3384, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'KMG', 3382, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'KWE', 3394, '', 0, '738 73G\r'),
	('CZ', 1767, 'ZUH', 6355, 'MXZ', 6354, '', 0, 'E90\r'),
	('CZ', 1767, 'ZUH', 6355, 'PEK', 3364, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'PVG', 3406, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'SHA', 3391, '', 0, '320 321\r'),
	('CZ', 1767, 'ZUH', 6355, 'SWA', 4302, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'SYX', 4030, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'WUH', 3376, '', 0, '738\r'),
	('CZ', 1767, 'ZUH', 6355, 'XMN', 3383, 'Y', 0, '737\r'),
	('CZ', 1767, 'ZUH', 6355, 'YIW', 6394, '', 0, '738\r'),
	('D3', 1966, 'DXB', 2188, 'HGA', 1121, '', 0, '321\r'),
	('D3', 1966, 'HGA', 1121, 'JIB', 4119, '', 0, '321\r'),
	('D3', 1966, 'HGA', 1121, 'MGQ', 5687, '', 0, '321\r'),
	('D3', 1966, 'JIB', 4119, 'DXB', 2188, '', 0, '321\r'),
	('D3', 1966, 'JIB', 4119, 'MGQ', 5687, '', 0, '321\r'),
	('D3', 1966, 'MGQ', 5687, 'JIB', 4119, '', 0, '321\r'),
	('D6', 2881, 'JNB', 813, 'NLA', 910, '', 0, '732\r'),
	('D6', 2881, 'NLA', 910, 'JNB', 813, '', 0, '732\r'),
	('D7', 2417, 'ADL', 3341, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'CMB', 3024, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'CTU', 3395, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'HGH', 3386, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'HND', 2359, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'ICN', 3930, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'JED', 2072, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'KIX', 3992, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'KTM', 3125, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'ADL', 3341, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'CMB', 3024, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'CTU', 3395, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'HGH', 3386, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'HND', 2359, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'ICN', 3930, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'JED', 2072, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'KIX', 3992, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'KTM', 3125, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'MEL', 3339, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'NGO', 3942, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'OOL', 3321, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'PEK', 3364, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'PER', 3351, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'PUS', 2372, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'PVG', 3406, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'SYD', 3361, '', 0, '330\r'),
	('D7', 2417, 'KUL', 3304, 'TPE', 2276, '', 0, '330\r'),
	('D7', 2417, 'MEL', 3339, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'NGO', 3942, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'OOL', 3321, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'PEK', 3364, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'PER', 3351, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'PUS', 2372, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'PVG', 3406, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'SYD', 3361, 'KUL', 3304, '', 0, '330\r'),
	('D7', 2417, 'TPE', 2276, 'KUL', 3304, '', 0, '330\r'),
	('DC', 2585, 'AGH', 5597, 'BMA', 738, '', 0, 'AT7\r'),
	('DC', 2585, 'BMA', 738, 'AGH', 5597, '', 0, 'AT7\r'),
	('DC', 2585, 'BMA', 738, 'HAD', 709, '', 0, 'AT7\r'),
	('DC', 2585, 'BMA', 738, 'KLR', 707, 'Y', 0, 'S20\r'),
	('DC', 2585, 'BMA', 738, 'RNB', 685, '', 0, 'S20\r'),
	('DC', 2585, 'BMA', 738, 'SDL', 721, '', 0, 'S20\r'),
	('DC', 2585, 'BMA', 738, 'THN', 693, '', 0, 'S20\r'),
	('DC', 2585, 'BMA', 738, 'VBY', 746, '', 0, 'AT7 AR1\r'),
	('DC', 2585, 'BMA', 738, 'VXO', 711, '', 0, 'S20\r'),
	('DC', 2585, 'GSE', 691, 'VBY', 746, '', 0, 'AT7\r'),
	('DC', 2585, 'HAD', 709, 'BMA', 738, '', 0, 'AT7\r'),
	('DC', 2585, 'KLR', 707, 'BMA', 738, 'Y', 0, 'S20\r'),
	('DC', 2585, 'MMX', 708, 'VBY', 746, '', 0, 'AT7\r'),
	('DC', 2585, 'RNB', 685, 'BMA', 738, '', 0, 'S20\r'),
	('DC', 2585, 'SDL', 721, 'BMA', 738, '', 0, 'S20\r'),
	('DC', 2585, 'THN', 693, 'BMA', 738, '', 0, 'S20\r'),
	('DC', 2585, 'VBY', 746, 'BMA', 738, '', 0, 'AT7 AR1\r'),
	('DC', 2585, 'VBY', 746, 'GSE', 691, '', 0, 'AT7\r'),
	('DC', 2585, 'VBY', 746, 'MMX', 708, '', 0, 'AT7\r'),
	('DC', 2585, 'VXO', 711, 'BMA', 738, '', 0, 'S20\r'),
	('DD', 3674, 'BFV', 4133, 'DMK', 3157, '', 0, 'ATR\r'),
	('DD', 3674, 'CEI', 3932, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'CJM', 4300, 'DMK', 3157, '', 0, 'ATR\r'),
	('DD', 3674, 'CNX', 3931, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'CNX', 3931, 'UTH', 3183, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'BFV', 4133, '', 0, 'ATR\r'),
	('DD', 3674, 'DMK', 3157, 'CEI', 3932, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'CJM', 4300, '', 0, 'ATR\r'),
	('DD', 3674, 'DMK', 3157, 'CNX', 3931, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'HDY', 3181, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'HKT', 3179, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'KBV', 3174, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'KOP', 3936, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'LOE', 3186, '', 0, 'ATR\r'),
	('DD', 3674, 'DMK', 3157, 'MAQ', 6186, '', 0, 'ATR\r'),
	('DD', 3674, 'DMK', 3157, 'NNT', 4131, '', 0, 'ATR\r'),
	('DD', 3674, 'DMK', 3157, 'NST', 3933, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'PHS', 3170, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'PRH', 3164, '', 0, 'ATR\r'),
	('DD', 3674, 'DMK', 3157, 'RGN', 3239, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'ROI', 4132, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'SNO', 3184, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'TST', 3182, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'UBP', 3937, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'UNN', 4134, '', 0, 'ATR\r'),
	('DD', 3674, 'DMK', 3157, 'URT', 4000, '', 0, '738\r'),
	('DD', 3674, 'DMK', 3157, 'UTH', 3183, '', 0, '738\r'),
	('DD', 3674, 'HDY', 3181, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'HKT', 3179, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'KBV', 3174, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'KOP', 3936, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'LOE', 3186, 'DMK', 3157, '', 0, 'ATR\r'),
	('DD', 3674, 'MAQ', 6186, 'DMK', 3157, '', 0, 'ATR\r'),
	('DD', 3674, 'NNT', 4131, 'DMK', 3157, '', 0, 'ATR\r'),
	('DD', 3674, 'NST', 3933, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'PHS', 3170, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'PRH', 3164, 'DMK', 3157, '', 0, 'ATR\r'),
	('DD', 3674, 'RGN', 3239, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'ROI', 4132, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'SNO', 3184, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'TST', 3182, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'UBP', 3937, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'UNN', 4134, 'DMK', 3157, '', 0, 'ATR\r'),
	('DD', 3674, 'URT', 4000, 'DMK', 3157, '', 0, '738\r'),
	('DD', 3674, 'UTH', 3183, 'CNX', 3931, '', 0, '738\r'),
	('DD', 3674, 'UTH', 3183, 'DMK', 3157, '', 0, '738\r'),
	('DE', 1868, 'ACE', 1055, 'BHX', 469, 'Y', 0, '757\r'),
	('DE', 1868, 'ACE', 1055, 'DUS', 345, '', 0, '757 32S\r'),
	('DE', 1868, 'ACE', 1055, 'FRA', 340, '', 0, '757\r'),
	('DE', 1868, 'ACE', 1055, 'FUE', 1051, '', 0, '757\r'),
	('DE', 1868, 'ACE', 1055, 'GLA', 534, 'Y', 0, '757\r'),
	('DE', 1868, 'ACE', 1055, 'HAJ', 352, '', 0, '32S\r'),
	('DE', 1868, 'ACE', 1055, 'HAM', 342, '', 0, '32S\r'),
	('DE', 1868, 'ACE', 1055, 'LEJ', 348, '', 0, '32S\r'),
	('DE', 1868, 'ACE', 1055, 'LGW', 502, 'Y', 0, '757\r'),
	('DE', 1868, 'ACE', 1055, 'MAN', 478, 'Y', 0, '330 320\r'),
	('DE', 1868, 'ACE', 1055, 'MUC', 346, '', 0, '32S\r'),
	('DE', 1868, 'ACE', 1055, 'PAD', 371, '', 0, '32S\r'),
	('DE', 1868, 'ACE', 1055, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'ACE', 1055, 'SXF', 337, '', 0, '32S\r'),
	('DE', 1868, 'AGA', 1064, 'DUS', 345, '', 0, '32S\r'),
	('DE', 1868, 'AGA', 1064, 'FRA', 340, '', 0, '32S\r'),
	('DE', 1868, 'AGA', 1064, 'LEJ', 348, '', 0, '32S\r'),
	('DE', 1868, 'AGA', 1064, 'MUC', 346, '', 0, '32S\r'),
	('DE', 1868, 'ANU', 2874, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'AYT', 1688, 'CGN', 344, '', 0, '757\r'),
	('DE', 1868, 'AYT', 1688, 'DUS', 345, '', 0, '757\r'),
	('DE', 1868, 'AYT', 1688, 'FRA', 340, '', 0, '757\r'),
	('DE', 1868, 'AYT', 1688, 'HAJ', 352, '', 0, '32S 321\r'),
	('DE', 1868, 'AYT', 1688, 'HAM', 342, '', 0, '757\r'),
	('DE', 1868, 'AYT', 1688, 'LEJ', 348, '', 0, '757\r'),
	('DE', 1868, 'AYT', 1688, 'MUC', 346, '', 0, '757\r'),
	('DE', 1868, 'AYT', 1688, 'PAD', 371, '', 0, '32S 321\r'),
	('DE', 1868, 'AYT', 1688, 'STR', 350, '', 0, '757\r'),
	('DE', 1868, 'AYT', 1688, 'SXF', 337, '', 0, '757\r'),
	('DE', 1868, 'BGI', 2875, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'BGI', 2875, 'MAN', 478, 'Y', 0, '330\r'),
	('DE', 1868, 'BHX', 469, 'ACE', 1055, 'Y', 0, '757\r'),
	('DE', 1868, 'CFU', 1460, 'FRA', 340, '', 0, '738\r'),
	('DE', 1868, 'CFU', 1460, 'HAM', 342, '', 0, '32S\r'),
	('DE', 1868, 'CGN', 344, 'AYT', 1688, '', 0, '757\r'),
	('DE', 1868, 'CGN', 344, 'PMI', 3998, '', 0, '757\r'),
	('DE', 1868, 'CHQ', 1474, 'DUS', 345, '', 0, '32S\r'),
	('DE', 1868, 'CUN', 1852, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'CUN', 1852, 'LGW', 502, 'Y', 0, '330\r'),
	('DE', 1868, 'CUN', 1852, 'MAN', 478, 'Y', 0, '330\r'),
	('DE', 1868, 'DJE', 293, 'DUS', 345, '', 0, '757\r'),
	('DE', 1868, 'DJE', 293, 'FRA', 340, '', 0, '757\r'),
	('DE', 1868, 'DJE', 293, 'LEJ', 348, '', 0, '32S\r'),
	('DE', 1868, 'DJE', 293, 'MUC', 346, '', 0, '757\r'),
	('DE', 1868, 'DLM', 1715, 'DUS', 345, '', 0, '757\r'),
	('DE', 1868, 'DLM', 1715, 'FRA', 340, '', 0, '757\r'),
	('DE', 1868, 'DLM', 1715, 'HAJ', 352, '', 0, '321\r'),
	('DE', 1868, 'DLM', 1715, 'HAM', 342, '', 0, '32S\r'),
	('DE', 1868, 'DLM', 1715, 'MUC', 346, '', 0, '757\r'),
	('DE', 1868, 'DLM', 1715, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'DLM', 1715, 'SXF', 337, '', 0, '32S\r'),
	('DE', 1868, 'DUS', 345, 'ACE', 1055, '', 0, '757 32S\r'),
	('DE', 1868, 'DUS', 345, 'AGA', 1064, '', 0, '32S\r'),
	('DE', 1868, 'DUS', 345, 'AYT', 1688, '', 0, '757\r'),
	('DE', 1868, 'DUS', 345, 'CFU', 1460, '', 0, '32S\r'),
	('DE', 1868, 'DUS', 345, 'CHQ', 1474, '', 0, '32S\r'),
	('DE', 1868, 'DUS', 345, 'DJE', 293, '', 0, '757\r'),
	('DE', 1868, 'DUS', 345, 'DLM', 1715, '', 0, '757\r'),
	('DE', 1868, 'DUS', 345, 'FNC', 4091, '', 0, '32S\r'),
	('DE', 1868, 'DUS', 345, 'FUE', 1051, '', 0, '757\r'),
	('DE', 1868, 'DUS', 345, 'HER', 1452, '', 0, '738 757\r'),
	('DE', 1868, 'DUS', 345, 'HRG', 1130, '', 0, '757\r'),
	('DE', 1868, 'DUS', 345, 'IBZ', 1225, '', 0, '32S 757\r'),
	('DE', 1868, 'DUS', 345, 'KGS', 1458, '', 0, '738 32S\r'),
	('DE', 1868, 'DUS', 345, 'LCA', 1197, '', 0, '757\r'),
	('DE', 1868, 'DUS', 345, 'LPA', 1054, '', 0, '757\r'),
	('DE', 1868, 'DUS', 345, 'PMI', 3998, '', 0, '757\r'),
	('DE', 1868, 'DUS', 345, 'RHO', 1472, '', 0, '32S\r'),
	('DE', 1868, 'DUS', 345, 'TFS', 1056, '', 0, '757\r'),
	('DE', 1868, 'DUS', 345, 'XRY', 1226, '', 0, '32S 757\r'),
	('DE', 1868, 'FNC', 4091, 'DUS', 345, '', 0, '32S\r'),
	('DE', 1868, 'FNC', 4091, 'FRA', 340, '', 0, '757\r'),
	('DE', 1868, 'FNC', 4091, 'HAM', 342, '', 0, '32S\r'),
	('DE', 1868, 'FNC', 4091, 'LEJ', 348, '', 0, '321\r'),
	('DE', 1868, 'FNC', 4091, 'MUC', 346, '', 0, '32S\r'),
	('DE', 1868, 'FNC', 4091, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'FRA', 340, 'ACE', 1055, '', 0, '757\r'),
	('DE', 1868, 'FRA', 340, 'AGA', 1064, '', 0, '32S\r'),
	('DE', 1868, 'FRA', 340, 'AYT', 1688, '', 0, '757\r'),
	('DE', 1868, 'FRA', 340, 'CFU', 1460, '', 0, '738\r'),
	('DE', 1868, 'FRA', 340, 'CHQ', 1474, '', 0, '757\r'),
	('DE', 1868, 'FRA', 340, 'CUN', 1852, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'DBV', 1200, '', 0, '32S\r'),
	('DE', 1868, 'FRA', 340, 'DJE', 293, '', 0, '757\r'),
	('DE', 1868, 'FRA', 340, 'DLM', 1715, '', 0, '757\r'),
	('DE', 1868, 'FRA', 340, 'FNC', 4091, '', 0, '757\r'),
	('DE', 1868, 'FRA', 340, 'FUE', 1051, '', 0, '757\r'),
	('DE', 1868, 'FRA', 340, 'HAV', 1909, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'HER', 1452, '', 0, '738 757\r'),
	('DE', 1868, 'FRA', 340, 'HOG', 1910, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'HRG', 1130, '', 0, '757\r'),
	('DE', 1868, 'FRA', 340, 'IBZ', 1225, '', 0, '757 32S\r'),
	('DE', 1868, 'FRA', 340, 'KGS', 1458, '', 0, '738 32S\r'),
	('DE', 1868, 'FRA', 340, 'LAS', 3877, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'LPA', 1054, '', 0, '757\r'),
	('DE', 1868, 'FRA', 340, 'MBA', 1145, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'MBJ', 1780, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'MLE', 3156, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'MRU', 893, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'NBO', 4059, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'PMI', 3998, '', 0, '757\r'),
	('DE', 1868, 'FRA', 340, 'POP', 1761, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'PUJ', 1760, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'REC', 2610, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'RHO', 1472, '', 0, '32S 738\r'),
	('DE', 1868, 'FRA', 340, 'SDQ', 1762, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'SEA', 3577, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'SEZ', 994, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'SJU', 2890, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'SPC', 1053, '', 0, '738\r'),
	('DE', 1868, 'FRA', 340, 'SPU', 1206, '', 0, '32S\r'),
	('DE', 1868, 'FRA', 340, 'SSA', 2621, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'TAB', 2901, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'TFS', 1056, '', 0, '757 738\r'),
	('DE', 1868, 'FRA', 340, 'VRA', 1923, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'XRY', 1226, '', 0, '767 738 757\r'),
	('DE', 1868, 'FRA', 340, 'YHZ', 73, '', 0, '767\r'),
	('DE', 1868, 'FRA', 340, 'YVR', 156, '', 0, '767\r'),
	('DE', 1868, 'FUE', 1051, 'DUS', 345, '', 0, '757\r'),
	('DE', 1868, 'FUE', 1051, 'FRA', 340, '', 0, '757\r'),
	('DE', 1868, 'FUE', 1051, 'HAJ', 352, '', 0, '32S\r'),
	('DE', 1868, 'FUE', 1051, 'HAM', 342, '', 0, '757 32S\r'),
	('DE', 1868, 'FUE', 1051, 'LEJ', 348, '', 0, '321\r'),
	('DE', 1868, 'FUE', 1051, 'MAN', 478, '', 0, '757\r'),
	('DE', 1868, 'FUE', 1051, 'MUC', 346, '', 0, '757 32S\r'),
	('DE', 1868, 'FUE', 1051, 'PAD', 371, '', 0, '32S\r'),
	('DE', 1868, 'FUE', 1051, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'FUE', 1051, 'SXF', 337, '', 0, '321\r'),
	('DE', 1868, 'GLA', 534, 'ACE', 1055, 'Y', 0, '757\r'),
	('DE', 1868, 'GLA', 534, 'CUN', 1852, 'Y', 0, '330\r'),
	('DE', 1868, 'GLA', 534, 'MCO', 3878, 'Y', 0, '330\r'),
	('DE', 1868, 'HAJ', 352, 'ACE', 1055, '', 0, '32S\r'),
	('DE', 1868, 'HAJ', 352, 'AYT', 1688, '', 0, '32S 321\r'),
	('DE', 1868, 'HAJ', 352, 'DLM', 1715, '', 0, '321\r'),
	('DE', 1868, 'HAJ', 352, 'FUE', 1051, '', 0, '32S\r'),
	('DE', 1868, 'HAJ', 352, 'HER', 1452, '', 0, '32S\r'),
	('DE', 1868, 'HAJ', 352, 'KGS', 1458, '', 0, '32S\r'),
	('DE', 1868, 'HAJ', 352, 'LCA', 1197, '', 0, '32S\r'),
	('DE', 1868, 'HAJ', 352, 'PMI', 3998, '', 0, '321 32S\r'),
	('DE', 1868, 'HAJ', 352, 'RHO', 1472, '', 0, '32S\r'),
	('DE', 1868, 'HAM', 342, 'ACE', 1055, '', 0, '32S\r'),
	('DE', 1868, 'HAM', 342, 'AYT', 1688, '', 0, '757\r'),
	('DE', 1868, 'HAM', 342, 'CFU', 1460, '', 0, '32S\r'),
	('DE', 1868, 'HAM', 342, 'DLM', 1715, '', 0, '32S\r'),
	('DE', 1868, 'HAM', 342, 'FNC', 4091, '', 0, '32S\r'),
	('DE', 1868, 'HAM', 342, 'FUE', 1051, '', 0, '757 32S\r'),
	('DE', 1868, 'HAM', 342, 'HER', 1452, '', 0, '32S\r'),
	('DE', 1868, 'HAM', 342, 'HRG', 1130, '', 0, '757\r'),
	('DE', 1868, 'HAM', 342, 'KGS', 1458, '', 0, '32S\r'),
	('DE', 1868, 'HAM', 342, 'LPA', 1054, '', 0, '757\r'),
	('DE', 1868, 'HAM', 342, 'PMI', 3998, '', 0, '757\r'),
	('DE', 1868, 'HAM', 342, 'RHO', 1472, '', 0, '32S\r'),
	('DE', 1868, 'HAM', 342, 'TFS', 1056, '', 0, '32S 757\r'),
	('DE', 1868, 'HAM', 342, 'XRY', 1226, '', 0, '32S\r'),
	('DE', 1868, 'HAV', 1909, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'HER', 1452, 'DUS', 345, '', 0, '757\r'),
	('DE', 1868, 'HER', 1452, 'FRA', 340, '', 0, '738 757\r'),
	('DE', 1868, 'HER', 1452, 'HAJ', 352, '', 0, '32S\r'),
	('DE', 1868, 'HER', 1452, 'HAM', 342, '', 0, '32S\r'),
	('DE', 1868, 'HER', 1452, 'LEJ', 348, '', 0, '32S\r'),
	('DE', 1868, 'HER', 1452, 'MUC', 346, '', 0, '32S\r'),
	('DE', 1868, 'HER', 1452, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'HER', 1452, 'SXF', 337, '', 0, '32S\r'),
	('DE', 1868, 'HOG', 1910, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'HOG', 1910, 'MBJ', 1780, '', 0, '767\r'),
	('DE', 1868, 'HRG', 1130, 'DUS', 345, '', 0, '757\r'),
	('DE', 1868, 'HRG', 1130, 'FRA', 340, '', 0, '757\r'),
	('DE', 1868, 'HRG', 1130, 'HAM', 342, '', 0, '757\r'),
	('DE', 1868, 'HRG', 1130, 'MUC', 346, '', 0, '757\r'),
	('DE', 1868, 'IBZ', 1225, 'DUS', 345, '', 0, '32S 757\r'),
	('DE', 1868, 'IBZ', 1225, 'FRA', 340, '', 0, '757 32S\r'),
	('DE', 1868, 'IBZ', 1225, 'MAN', 478, '', 0, '757\r'),
	('DE', 1868, 'IBZ', 1225, 'MUC', 346, '', 0, '32S\r'),
	('DE', 1868, 'KGS', 1458, 'DUS', 345, '', 0, '738 32S\r'),
	('DE', 1868, 'KGS', 1458, 'FRA', 340, '', 0, '738 32S\r'),
	('DE', 1868, 'KGS', 1458, 'HAJ', 352, '', 0, '32S\r'),
	('DE', 1868, 'KGS', 1458, 'HAM', 342, '', 0, '32S\r'),
	('DE', 1868, 'KGS', 1458, 'MUC', 346, '', 0, '32S\r'),
	('DE', 1868, 'KGS', 1458, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'KGS', 1458, 'SXF', 337, '', 0, '32S\r'),
	('DE', 1868, 'LAS', 3877, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'LAS', 3877, 'MAN', 478, 'Y', 0, '330\r'),
	('DE', 1868, 'LCA', 1197, 'DUS', 345, '', 0, '757\r'),
	('DE', 1868, 'LCA', 1197, 'HAJ', 352, '', 0, '32S\r'),
	('DE', 1868, 'LCA', 1197, 'SXF', 337, '', 0, '32S\r'),
	('DE', 1868, 'LEJ', 348, 'ACE', 1055, '', 0, '32S\r'),
	('DE', 1868, 'LEJ', 348, 'AGA', 1064, '', 0, '32S\r'),
	('DE', 1868, 'LEJ', 348, 'AYT', 1688, '', 0, '757\r'),
	('DE', 1868, 'LEJ', 348, 'CFU', 1460, '', 0, '32S\r'),
	('DE', 1868, 'LEJ', 348, 'DJE', 293, '', 0, '32S\r'),
	('DE', 1868, 'LEJ', 348, 'FNC', 4091, '', 0, '321\r'),
	('DE', 1868, 'LEJ', 348, 'FUE', 1051, '', 0, '321\r'),
	('DE', 1868, 'LEJ', 348, 'HER', 1452, '', 0, '32S\r'),
	('DE', 1868, 'LEJ', 348, 'LPA', 1054, '', 0, '321\r'),
	('DE', 1868, 'LEJ', 348, 'PMI', 3998, '', 0, '321\r'),
	('DE', 1868, 'LEJ', 348, 'RHO', 1472, '', 0, '32S\r'),
	('DE', 1868, 'LEJ', 348, 'TFS', 1056, '', 0, '321\r'),
	('DE', 1868, 'LGW', 502, 'ACE', 1055, 'Y', 0, '757\r'),
	('DE', 1868, 'LGW', 502, 'CUN', 1852, 'Y', 0, '330\r'),
	('DE', 1868, 'LPA', 1054, 'DUS', 345, '', 0, '757\r'),
	('DE', 1868, 'LPA', 1054, 'FRA', 340, '', 0, '757\r'),
	('DE', 1868, 'LPA', 1054, 'HAM', 342, '', 0, '757\r'),
	('DE', 1868, 'LPA', 1054, 'LEJ', 348, '', 0, '321\r'),
	('DE', 1868, 'LPA', 1054, 'MUC', 346, '', 0, '757\r'),
	('DE', 1868, 'LPA', 1054, 'PAD', 371, '', 0, '32S\r'),
	('DE', 1868, 'LPA', 1054, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'LPA', 1054, 'SXF', 337, '', 0, '321\r'),
	('DE', 1868, 'MAN', 478, 'ACE', 1055, 'Y', 0, '330 320\r'),
	('DE', 1868, 'MAN', 478, 'CUN', 1852, 'Y', 0, '330\r'),
	('DE', 1868, 'MAN', 478, 'FUE', 1051, '', 0, '757\r'),
	('DE', 1868, 'MAN', 478, 'IBZ', 1225, '', 0, '757\r'),
	('DE', 1868, 'MAN', 478, 'LAS', 3877, 'Y', 0, '330\r'),
	('DE', 1868, 'MAN', 478, 'MBJ', 1780, 'Y', 0, '330\r'),
	('DE', 1868, 'MAN', 478, 'MCO', 3878, 'Y', 0, '330\r'),
	('DE', 1868, 'MAN', 478, 'PMI', 3998, '', 0, '757\r'),
	('DE', 1868, 'MAN', 478, 'TFS', 1056, '', 0, '757\r'),
	('DE', 1868, 'MAN', 478, 'UVF', 2894, 'Y', 0, '330\r'),
	('DE', 1868, 'MAN', 478, 'ZTH', 1488, '', 0, '757\r'),
	('DE', 1868, 'MBA', 1145, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'MBA', 1145, 'ZNZ', 1186, '', 0, '767\r'),
	('DE', 1868, 'MBJ', 1780, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'MCO', 3878, 'GLA', 534, 'Y', 0, '330\r'),
	('DE', 1868, 'MCO', 3878, 'MAN', 478, 'Y', 0, '330\r'),
	('DE', 1868, 'MLE', 3156, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'MRU', 893, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'MUC', 346, 'ACE', 1055, '', 0, '757 32S\r'),
	('DE', 1868, 'MUC', 346, 'AGA', 1064, '', 0, '32S\r'),
	('DE', 1868, 'MUC', 346, 'AYT', 1688, '', 0, '757\r'),
	('DE', 1868, 'MUC', 346, 'CFU', 1460, '', 0, '32S\r'),
	('DE', 1868, 'MUC', 346, 'CHQ', 1474, '', 0, '32S\r'),
	('DE', 1868, 'MUC', 346, 'DJE', 293, '', 0, '757\r'),
	('DE', 1868, 'MUC', 346, 'DLM', 1715, '', 0, '757\r'),
	('DE', 1868, 'MUC', 346, 'FNC', 4091, '', 0, '32S\r'),
	('DE', 1868, 'MUC', 346, 'FUE', 1051, '', 0, '32S\r'),
	('DE', 1868, 'MUC', 346, 'HER', 1452, '', 0, '32S\r'),
	('DE', 1868, 'MUC', 346, 'HRG', 1130, '', 0, '757\r'),
	('DE', 1868, 'MUC', 346, 'IBZ', 1225, '', 0, '32S\r'),
	('DE', 1868, 'MUC', 346, 'KGS', 1458, '', 0, '32S\r'),
	('DE', 1868, 'MUC', 346, 'LPA', 1054, '', 0, '757\r'),
	('DE', 1868, 'MUC', 346, 'PMI', 3998, '', 0, '32S 757\r'),
	('DE', 1868, 'MUC', 346, 'PUJ', 1760, '', 0, '767\r'),
	('DE', 1868, 'MUC', 346, 'RHO', 1472, '', 0, '32S\r'),
	('DE', 1868, 'MUC', 346, 'SPC', 1053, '', 0, '32S\r'),
	('DE', 1868, 'MUC', 346, 'TFS', 1056, '', 0, '32S 757\r'),
	('DE', 1868, 'MUC', 346, 'XRY', 1226, '', 0, '32S\r'),
	('DE', 1868, 'NBO', 4059, 'MBA', 1145, '', 0, '767\r'),
	('DE', 1868, 'PAD', 371, 'ACE', 1055, '', 0, '32S\r'),
	('DE', 1868, 'PAD', 371, 'AYT', 1688, '', 0, '32S 321\r'),
	('DE', 1868, 'PAD', 371, 'FUE', 1051, '', 0, '32S\r'),
	('DE', 1868, 'PAD', 371, 'LPA', 1054, '', 0, '32S\r'),
	('DE', 1868, 'PAD', 371, 'PMI', 3998, '', 0, '32S\r'),
	('DE', 1868, 'PAD', 371, 'TFS', 1056, '', 0, '32S\r'),
	('DE', 1868, 'PMI', 3998, 'CGN', 344, '', 0, '757\r'),
	('DE', 1868, 'PMI', 3998, 'DUS', 345, '', 0, '757\r'),
	('DE', 1868, 'PMI', 3998, 'FRA', 340, '', 0, '757\r'),
	('DE', 1868, 'PMI', 3998, 'HAJ', 352, '', 0, '321 32S\r'),
	('DE', 1868, 'PMI', 3998, 'HAM', 342, '', 0, '757\r'),
	('DE', 1868, 'PMI', 3998, 'LEJ', 348, '', 0, '321\r'),
	('DE', 1868, 'PMI', 3998, 'MAN', 478, '', 0, '757\r'),
	('DE', 1868, 'PMI', 3998, 'MUC', 346, '', 0, '32S 757\r'),
	('DE', 1868, 'PMI', 3998, 'PAD', 371, '', 0, '32S\r'),
	('DE', 1868, 'PMI', 3998, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'PMI', 3998, 'SXF', 337, '', 0, '321\r'),
	('DE', 1868, 'POP', 1761, 'ANU', 2874, '', 0, '767\r'),
	('DE', 1868, 'POP', 1761, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'PTY', 1871, 'SDQ', 1762, '', 0, '767\r'),
	('DE', 1868, 'PUJ', 1760, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'PUJ', 1760, 'MUC', 346, '', 0, '767\r'),
	('DE', 1868, 'REC', 2610, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'RHO', 1472, 'DUS', 345, '', 0, '32S\r'),
	('DE', 1868, 'RHO', 1472, 'FRA', 340, '', 0, '32S 738\r'),
	('DE', 1868, 'RHO', 1472, 'HAJ', 352, '', 0, '32S\r'),
	('DE', 1868, 'RHO', 1472, 'HAM', 342, '', 0, '32S\r'),
	('DE', 1868, 'RHO', 1472, 'LEJ', 348, '', 0, '32S\r'),
	('DE', 1868, 'RHO', 1472, 'MUC', 346, '', 0, '32S\r'),
	('DE', 1868, 'RHO', 1472, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'RHO', 1472, 'SXF', 337, '', 0, '32S\r'),
	('DE', 1868, 'SDQ', 1762, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'SDQ', 1762, 'PTY', 1871, '', 0, '767\r'),
	('DE', 1868, 'SDQ', 1762, 'SJO', 1885, '', 0, '767\r'),
	('DE', 1868, 'SEA', 3577, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'SEZ', 994, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'SJO', 1885, 'SDQ', 1762, '', 0, '767\r'),
	('DE', 1868, 'SJU', 2890, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'SPC', 1053, 'FRA', 340, '', 0, '738\r'),
	('DE', 1868, 'SPC', 1053, 'MUC', 346, '', 0, '32S\r'),
	('DE', 1868, 'SPU', 1206, 'FRA', 340, '', 0, '32S\r'),
	('DE', 1868, 'SSA', 2621, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'STR', 350, 'ACE', 1055, '', 0, '32S\r'),
	('DE', 1868, 'STR', 350, 'AYT', 1688, '', 0, '757\r'),
	('DE', 1868, 'STR', 350, 'DLM', 1715, '', 0, '32S\r'),
	('DE', 1868, 'STR', 350, 'FNC', 4091, '', 0, '32S\r'),
	('DE', 1868, 'STR', 350, 'FUE', 1051, '', 0, '32S\r'),
	('DE', 1868, 'STR', 350, 'HER', 1452, '', 0, '32S\r'),
	('DE', 1868, 'STR', 350, 'KGS', 1458, '', 0, '32S\r'),
	('DE', 1868, 'STR', 350, 'LPA', 1054, '', 0, '32S\r'),
	('DE', 1868, 'STR', 350, 'PMI', 3998, '', 0, '32S\r'),
	('DE', 1868, 'STR', 350, 'RHO', 1472, '', 0, '32S\r'),
	('DE', 1868, 'STR', 350, 'TFS', 1056, '', 0, '32S\r'),
	('DE', 1868, 'STR', 350, 'XRY', 1226, '', 0, '32S\r'),
	('DE', 1868, 'SXF', 337, 'ACE', 1055, '', 0, '32S\r'),
	('DE', 1868, 'SXF', 337, 'AYT', 1688, '', 0, '757\r'),
	('DE', 1868, 'SXF', 337, 'CFU', 1460, '', 0, '738\r'),
	('DE', 1868, 'SXF', 337, 'DLM', 1715, '', 0, '32S\r'),
	('DE', 1868, 'SXF', 337, 'FUE', 1051, '', 0, '321\r'),
	('DE', 1868, 'SXF', 337, 'HER', 1452, '', 0, '32S\r'),
	('DE', 1868, 'SXF', 337, 'KGS', 1458, '', 0, '32S\r'),
	('DE', 1868, 'SXF', 337, 'LCA', 1197, '', 0, '32S\r'),
	('DE', 1868, 'SXF', 337, 'LPA', 1054, '', 0, '321\r'),
	('DE', 1868, 'SXF', 337, 'PMI', 3998, '', 0, '321\r'),
	('DE', 1868, 'SXF', 337, 'RHO', 1472, '', 0, '32S\r'),
	('DE', 1868, 'SXF', 337, 'TFS', 1056, '', 0, '321\r'),
	('DE', 1868, 'SXF', 337, 'XRY', 1226, '', 0, '32S\r'),
	('DE', 1868, 'TAB', 2901, 'BGI', 2875, '', 0, '767\r'),
	('DE', 1868, 'TFS', 1056, 'DUS', 345, '', 0, '757\r'),
	('DE', 1868, 'TFS', 1056, 'FRA', 340, '', 0, '757 738\r'),
	('DE', 1868, 'TFS', 1056, 'HAM', 342, '', 0, '32S 757\r'),
	('DE', 1868, 'TFS', 1056, 'LEJ', 348, '', 0, '321\r'),
	('DE', 1868, 'TFS', 1056, 'MUC', 346, '', 0, '32S 757\r'),
	('DE', 1868, 'TFS', 1056, 'PAD', 371, '', 0, '32S\r'),
	('DE', 1868, 'TFS', 1056, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'TFS', 1056, 'SXF', 337, '', 0, '321\r'),
	('DE', 1868, 'UVF', 2894, 'BGI', 2875, 'Y', 0, '330\r'),
	('DE', 1868, 'VRA', 1923, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'XRY', 1226, 'DUS', 345, '', 0, '32S 757\r'),
	('DE', 1868, 'XRY', 1226, 'FRA', 340, '', 0, '767 738 757\r'),
	('DE', 1868, 'XRY', 1226, 'HAM', 342, '', 0, '32S\r'),
	('DE', 1868, 'XRY', 1226, 'MUC', 346, '', 0, '32S\r'),
	('DE', 1868, 'XRY', 1226, 'STR', 350, '', 0, '32S\r'),
	('DE', 1868, 'XRY', 1226, 'SXF', 337, '', 0, '32S\r'),
	('DE', 1868, 'YHZ', 73, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'YVR', 156, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'ZNZ', 1186, 'FRA', 340, '', 0, '767\r'),
	('DE', 1868, 'ZTH', 1488, 'MAN', 478, '', 0, '757\r'),
	('DG', 4475, 'BCD', 2423, 'MNL', 2397, '', 0, '320\r'),
	('DG', 4475, 'BKK', 3885, 'CRK', 4140, '', 0, '320\r'),
	('DG', 4475, 'CEB', 4206, 'MNL', 2397, '', 0, '320\r'),
	('DG', 4475, 'CRK', 4140, 'BKK', 3885, '', 0, '320\r'),
	('DG', 4475, 'CRK', 4140, 'HKG', 3077, '', 0, '320\r'),
	('DG', 4475, 'CRK', 4140, 'KLO', 2430, '', 0, '320\r'),
	('DG', 4475, 'CRK', 4140, 'SIN', 3316, '', 0, '320\r'),
	('DG', 4475, 'HKG', 3077, 'CRK', 4140, '', 0, '320\r'),
	('DG', 4475, 'ILO', 2429, 'MNL', 2397, '', 0, '320\r'),
	('DG', 4475, 'KLO', 2430, 'CRK', 4140, '', 0, '320\r'),
	('DG', 4475, 'KLO', 2430, 'MNL', 2397, '', 0, '320\r'),
	('DG', 4475, 'KLO', 2430, 'SIN', 3316, '', 0, '320\r'),
	('DG', 4475, 'MNL', 2397, 'BCD', 2423, '', 0, '320\r'),
	('DG', 4475, 'MNL', 2397, 'CEB', 4206, '', 0, '320\r'),
	('DG', 4475, 'MNL', 2397, 'ILO', 2429, '', 0, '320\r'),
	('DG', 4475, 'MNL', 2397, 'KLO', 2430, '', 0, '320\r'),
	('DG', 4475, 'MNL', 2397, 'PPS', 2433, '', 0, '320\r'),
	('DG', 4475, 'MNL', 2397, 'TAC', 2422, '', 0, '320\r'),
	('DG', 4475, 'PPS', 2433, 'MNL', 2397, '', 0, '320\r'),
	('DG', 4475, 'SIN', 3316, 'CRK', 4140, '', 0, '320\r'),
	('DG', 4475, 'SIN', 3316, 'KLO', 2430, '', 0, '320\r'),
	('DG', 4475, 'TAC', 2422, 'MNL', 2397, '', 0, '320\r'),
	('DH', 10128, 'BKO', 1044, 'CKY', 4162, '', 0, 'AT7\r'),
	('DH', 10128, 'BKO', 1044, 'COO', 245, '', 0, 'AT7\r'),
	('DH', 10128, 'BKO', 1044, 'LOS', 273, '', 0, 'AT7\r'),
	('DH', 10128, 'CKY', 4162, 'BKO', 1044, '', 0, 'AT7\r'),
	('DH', 10128, 'CKY', 4162, 'DKR', 1084, '', 0, 'AT7\r'),
	('DH', 10128, 'COO', 245, 'BKO', 1044, '', 0, 'AT7\r'),
	('DH', 10128, 'COO', 245, 'LBV', 970, '', 0, 'AT7\r'),
	('DH', 10128, 'DKR', 1084, 'CKY', 4162, '', 0, 'AT7\r'),
	('DH', 10128, 'LBV', 970, 'COO', 245, '', 0, 'AT7\r'),
	('DH', 10128, 'LBV', 970, 'LOS', 273, '', 0, 'AT7\r'),
	('DH', 10128, 'LOS', 273, 'BKO', 1044, '', 0, 'AT7\r'),
	('DH', 10128, 'LOS', 273, 'SSG', 891, '', 0, 'AT7\r'),
	('DH', 10128, 'SSG', 891, 'LBV', 970, '', 0, 'AT7\r'),
	('DL', 2009, 'ABE', 4355, 'ATL', 3682, '', 0, '717\r'),
	('DL', 2009, 'ABE', 4355, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ABQ', 4019, 'ATL', 3682, '', 0, '757 320\r'),
	('DL', 2009, 'ABQ', 4019, 'MSP', 3858, '', 0, '320\r'),
	('DL', 2009, 'ABQ', 4019, 'SLC', 3536, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'ABR', 5714, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ABV', 260, 'CDG', 1382, 'Y', 0, '332\r'),
	('DL', 2009, 'ABV', 260, 'PHC', 275, 'Y', 0, '332\r'),
	('DL', 2009, 'ABY', 5715, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ACC', 248, 'JFK', 3797, '', 0, '76W\r'),
	('DL', 2009, 'ACC', 248, 'ROB', 1063, '', 0, '76W\r'),
	('DL', 2009, 'AEX', 3852, 'ATL', 3682, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'AGS', 3658, 'ATL', 3682, '', 0, 'M88 717\r'),
	('DL', 2009, 'ALB', 3864, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'ALB', 3864, 'DTW', 3645, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'ALB', 3864, 'MSP', 3858, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'AMS', 580, 'ATL', 3682, '', 0, '333 76W\r'),
	('DL', 2009, 'AMS', 580, 'AUH', 2179, 'Y', 0, '332\r'),
	('DL', 2009, 'AMS', 580, 'BOM', 2997, '', 0, '76W\r'),
	('DL', 2009, 'AMS', 580, 'BOS', 3448, '', 0, '333\r'),
	('DL', 2009, 'AMS', 580, 'DFW', 3670, 'Y', 0, '332\r'),
	('DL', 2009, 'AMS', 580, 'DMM', 2064, 'Y', 0, '332\r'),
	('DL', 2009, 'AMS', 580, 'DOH', 2241, 'Y', 0, '332\r'),
	('DL', 2009, 'AMS', 580, 'DTW', 3645, '', 0, '777 333 76W 332\r'),
	('DL', 2009, 'AMS', 580, 'EWR', 3494, '', 0, '76W\r'),
	('DL', 2009, 'AMS', 580, 'HRE', 1005, 'Y', 0, '332\r'),
	('DL', 2009, 'AMS', 580, 'IAD', 3714, 'Y', 0, '333 332\r'),
	('DL', 2009, 'AMS', 580, 'IAH', 3550, 'Y', 0, '74M\r'),
	('DL', 2009, 'AMS', 580, 'JFK', 3797, '', 0, '76W\r'),
	('DL', 2009, 'AMS', 580, 'JRO', 1180, 'Y', 0, '332 330\r'),
	('DL', 2009, 'AMS', 580, 'KGL', 1165, 'Y', 0, '332 330\r'),
	('DL', 2009, 'AMS', 580, 'KWI', 2176, 'Y', 0, '332 330\r'),
	('DL', 2009, 'AMS', 580, 'LAX', 3484, 'Y', 0, '74M 747\r'),
	('DL', 2009, 'AMS', 580, 'MSP', 3858, '', 0, '333 332 76W\r'),
	('DL', 2009, 'AMS', 580, 'ORD', 3830, 'Y', 0, '74M\r'),
	('DL', 2009, 'AMS', 580, 'PDX', 3720, '', 0, '333\r'),
	('DL', 2009, 'AMS', 580, 'SEA', 3577, '', 0, '333\r'),
	('DL', 2009, 'AMS', 580, 'SFO', 3469, 'Y', 0, '747\r'),
	('DL', 2009, 'AMS', 580, 'YUL', 146, 'Y', 0, 'M11\r'),
	('DL', 2009, 'AMS', 580, 'YVR', 156, 'Y', 0, '333\r'),
	('DL', 2009, 'AMS', 580, 'YYC', 178, 'Y', 0, '332\r'),
	('DL', 2009, 'AMS', 580, 'YYZ', 193, 'Y', 0, 'M11 333 747 74M 332\r'),
	('DL', 2009, 'ANC', 3774, 'MSP', 3858, '', 0, '738 757\r'),
	('DL', 2009, 'ANC', 3774, 'SEA', 3577, 'Y', 0, '73J\r'),
	('DL', 2009, 'ANC', 3774, 'SLC', 3536, '', 0, '738\r'),
	('DL', 2009, 'APN', 5720, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'APN', 5720, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'ABE', 4355, '', 0, '717\r'),
	('DL', 2009, 'ATL', 3682, 'ABQ', 4019, '', 0, '757 320\r'),
	('DL', 2009, 'ATL', 3682, 'ABY', 5715, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'AEX', 3852, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'ATL', 3682, 'AGS', 3658, '', 0, '717 M88\r'),
	('DL', 2009, 'ATL', 3682, 'ALB', 3864, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'AMS', 580, '', 0, '333 76W\r'),
	('DL', 2009, 'ATL', 3682, 'ATW', 4047, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'ATL', 3682, 'AUA', 2895, '', 0, '738 757\r'),
	('DL', 2009, 'ATL', 3682, 'AUS', 3673, '', 0, 'M90 M88 \r'),
	('DL', 2009, 'ATL', 3682, 'AVL', 4007, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'AVP', 4286, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'ATL', 3682, 'AZO', 4039, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'BDA', 4069, '', 0, '319\r'),
	('DL', 2009, 'ATL', 3682, 'BDL', 3825, '', 0, 'M88 73W 320\r'),
	('DL', 2009, 'ATL', 3682, 'BHM', 3811, '', 0, 'M88 320\r'),
	('DL', 2009, 'ATL', 3682, 'BJX', 1815, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'ATL', 3682, 'BMI', 4037, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'ATL', 3682, 'BNA', 3690, '', 0, 'M88 738 319 320 73H 717\r'),
	('DL', 2009, 'ATL', 3682, 'BOG', 2709, '', 0, '73W\r'),
	('DL', 2009, 'ATL', 3682, 'BON', 2896, '', 0, '757\r'),
	('DL', 2009, 'ATL', 3682, 'BOS', 3448, '', 0, 'M90 757 320 738 M88  319\r'),
	('DL', 2009, 'ATL', 3682, 'BQK', 5725, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'BRU', 302, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'BSB', 2531, '', 0, '752\r'),
	('DL', 2009, 'ATL', 3682, 'BTR', 3846, '', 0, '319\r'),
	('DL', 2009, 'ATL', 3682, 'BTV', 3711, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'ATL', 3682, 'BUF', 3820, '', 0, 'M90 M88\r'),
	('DL', 2009, 'ATL', 3682, 'BWI', 3849, '', 0, 'M88 M90 757 320 73W\r'),
	('DL', 2009, 'ATL', 3682, 'BZE', 1957, '', 0, '319 M88\r'),
	('DL', 2009, 'ATL', 3682, 'CAE', 3561, '', 0, '717 M88 319\r'),
	('DL', 2009, 'ATL', 3682, 'CAK', 4112, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'CCS', 2851, '', 0, '757\r'),
	('DL', 2009, 'ATL', 3682, 'CDG', 1382, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'CHA', 3578, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'CHO', 4015, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'CHS', 3806, '', 0, '319 320 M88 73W 717\r'),
	('DL', 2009, 'ATL', 3682, 'CID', 4043, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'CLE', 3486, '', 0, '717 M88 \r'),
	('DL', 2009, 'ATL', 3682, 'CLT', 3876, '', 0, 'M90 M88 319\r'),
	('DL', 2009, 'ATL', 3682, 'CMH', 3759, '', 0, '73W M88 738 319\r'),
	('DL', 2009, 'ATL', 3682, 'COS', 3819, '', 0, '738\r'),
	('DL', 2009, 'ATL', 3682, 'CRW', 4285, '', 0, '319\r'),
	('DL', 2009, 'ATL', 3682, 'CSG', 4255, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'CUN', 1852, '', 0, 'M88 757 320\r'),
	('DL', 2009, 'ATL', 3682, 'CVG', 3488, '', 0, 'M88 738 320  319\r'),
	('DL', 2009, 'ATL', 3682, 'CZM', 1800, '', 0, '319 M88\r'),
	('DL', 2009, 'ATL', 3682, 'DAB', 3950, '', 0, 'M90 757 M88\r'),
	('DL', 2009, 'ATL', 3682, 'DAL', 3502, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'DAY', 3627, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'DCA', 3520, '', 0, 'M90 M88 757 320 738 \r'),
	('DL', 2009, 'ATL', 3682, 'DEN', 3751, '', 0, 'M90 738 757\r'),
	('DL', 2009, 'ATL', 3682, 'DFW', 3670, '', 0, 'M88 319 738\r'),
	('DL', 2009, 'ATL', 3682, 'DHN', 3739, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'DSM', 3729, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'DTW', 3645, '', 0, '320 M88 73H M90 757 739\r'),
	('DL', 2009, 'ATL', 3682, 'DUB', 599, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'DUS', 345, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'DXB', 2188, '', 0, '77L\r'),
	('DL', 2009, 'ATL', 3682, 'ECP', 7669, '', 0, '717 M88\r'),
	('DL', 2009, 'ATL', 3682, 'ELP', 3559, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'EVV', 4018, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'EWN', 3730, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'EWR', 3494, '', 0, '717 319\r'),
	('DL', 2009, 'ATL', 3682, 'EYW', 3875, '', 0, '73W\r'),
	('DL', 2009, 'ATL', 3682, 'EZE', 3988, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'FAR', 4292, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'ATL', 3682, 'FAY', 5738, '', 0, '73W\r'),
	('DL', 2009, 'ATL', 3682, 'FCO', 1555, '', 0, '333\r'),
	('DL', 2009, 'ATL', 3682, 'FLL', 3533, '', 0, '757 M90 739\r'),
	('DL', 2009, 'ATL', 3682, 'FNT', 4089, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'FPO', 1948, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'FRA', 340, '', 0, '764\r'),
	('DL', 2009, 'ATL', 3682, 'FSD', 4009, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'ATL', 3682, 'FSM', 3437, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'FWA', 4041, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'GCM', 1926, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'GDL', 1804, '', 0, '320\r'),
	('DL', 2009, 'ATL', 3682, 'GGT', 1941, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'ATL', 3682, 'GIG', 2560, '', 0, '764\r'),
	('DL', 2009, 'ATL', 3682, 'GNV', 3472, '', 0, '717\r'),
	('DL', 2009, 'ATL', 3682, 'GPT', 4038, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'GRB', 3653, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'ATL', 3682, 'GRK', 3775, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'ATL', 3682, 'GRR', 3685, '', 0, '717 M88 320 319\r'),
	('DL', 2009, 'ATL', 3682, 'GRU', 2564, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'GSO', 4008, '', 0, 'M88 73H 320 738  319\r'),
	('DL', 2009, 'ATL', 3682, 'GSP', 4034, '', 0, 'M88 319 717\r'),
	('DL', 2009, 'ATL', 3682, 'GTR', 4273, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'GUA', 1767, '', 0, '757\r'),
	('DL', 2009, 'ATL', 3682, 'HNL', 3728, '', 0, '333\r'),
	('DL', 2009, 'ATL', 3682, 'HOU', 3566, '', 0, 'M88 \r'),
	('DL', 2009, 'ATL', 3682, 'HPN', 3589, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'ATL', 3682, 'HSV', 4113, '', 0, 'M88 717\r'),
	('DL', 2009, 'ATL', 3682, 'IAD', 3714, '', 0, 'M88 320 319 717\r'),
	('DL', 2009, 'ATL', 3682, 'IAH', 3550, '', 0, 'M88 717 320 319\r'),
	('DL', 2009, 'ATL', 3682, 'ICN', 3930, 'Y', 0, '77W\r'),
	('DL', 2009, 'ATL', 3682, 'ICT', 3457, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'ILM', 3845, '', 0, '319\r'),
	('DL', 2009, 'ATL', 3682, 'IND', 3585, '', 0, 'M88 320 M90  319\r'),
	('DL', 2009, 'ATL', 3682, 'JAN', 3580, '', 0, '717 M88\r'),
	('DL', 2009, 'ATL', 3682, 'JAX', 3712, '', 0, '757 739 M90 738\r'),
	('DL', 2009, 'ATL', 3682, 'JFK', 3797, '', 0, '319 752 738 M88 73H \r'),
	('DL', 2009, 'ATL', 3682, 'JNB', 813, '', 0, '77L\r'),
	('DL', 2009, 'ATL', 3682, 'KIN', 1779, '', 0, '319\r'),
	('DL', 2009, 'ATL', 3682, 'LAN', 3544, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'LAS', 3877, '', 0, '73H 739 757 753 738\r'),
	('DL', 2009, 'ATL', 3682, 'LAX', 3484, '', 0, '757 76W 763 739\r'),
	('DL', 2009, 'ATL', 3682, 'LEX', 4017, '', 0, 'M88 717\r'),
	('DL', 2009, 'ATL', 3682, 'LFT', 3493, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'LGA', 3697, '', 0, '320 757 M88 738 739 73H 73W\r'),
	('DL', 2009, 'ATL', 3682, 'LHR', 507, '', 0, '764 77L 76W\r'),
	('DL', 2009, 'ATL', 3682, 'LIM', 2789, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'LIR', 1881, '', 0, '738 757\r'),
	('DL', 2009, 'ATL', 3682, 'LIT', 3660, '', 0, 'M88 319\r'),
	('DL', 2009, 'ATL', 3682, 'LOS', 273, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'MAD', 1229, '', 0, '764\r'),
	('DL', 2009, 'ATL', 3682, 'MAN', 478, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'MBJ', 1780, '', 0, '757 M88\r'),
	('DL', 2009, 'ATL', 3682, 'MBS', 4128, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'MCI', 3458, '', 0, 'M88 M90 757\r'),
	('DL', 2009, 'ATL', 3682, 'MCO', 3878, '', 0, '757 763 739 753\r'),
	('DL', 2009, 'ATL', 3682, 'MDT', 3542, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'MDW', 3747, '', 0, '320 717 319\r'),
	('DL', 2009, 'ATL', 3682, 'MEM', 3473, '', 0, 'M88 320 319\r'),
	('DL', 2009, 'ATL', 3682, 'MEX', 1824, '', 0, '73W 738 73H\r'),
	('DL', 2009, 'ATL', 3682, 'MGA', 1863, '', 0, '319 320\r'),
	('DL', 2009, 'ATL', 3682, 'MGM', 4115, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'MHT', 4011, '', 0, '320\r'),
	('DL', 2009, 'ATL', 3682, 'MIA', 3576, '', 0, 'M88 M90 757 320 73H \r'),
	('DL', 2009, 'ATL', 3682, 'MKE', 3717, '', 0, 'M90 M88\r'),
	('DL', 2009, 'ATL', 3682, 'MLB', 3671, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'MLI', 4072, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'ATL', 3682, 'MLU', 3732, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'MOB', 3782, '', 0, '717 319\r'),
	('DL', 2009, 'ATL', 3682, 'MSN', 3459, '', 0, '320 73W\r'),
	('DL', 2009, 'ATL', 3682, 'MSP', 3858, '', 0, '757 320 M90 73H 739 738\r'),
	('DL', 2009, 'ATL', 3682, 'MSY', 3861, '', 0, '757 M90 M88\r'),
	('DL', 2009, 'ATL', 3682, 'MTY', 1825, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'ATL', 3682, 'MUC', 346, '', 0, '764\r'),
	('DL', 2009, 'ATL', 3682, 'MYR', 3515, '', 0, '717 M88 319\r'),
	('DL', 2009, 'ATL', 3682, 'NAS', 1953, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'NRT', 2279, '', 0, '744\r'),
	('DL', 2009, 'ATL', 3682, 'OAJ', 4386, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'ATL', 3682, 'OKC', 3863, '', 0, 'M88 \r'),
	('DL', 2009, 'ATL', 3682, 'OMA', 3454, '', 0, 'M88 M90\r'),
	('DL', 2009, 'ATL', 3682, 'ORD', 3830, '', 0, '757 319 320 717 M88 M90\r'),
	('DL', 2009, 'ATL', 3682, 'ORF', 3611, '', 0, 'M90 M88 319\r'),
	('DL', 2009, 'ATL', 3682, 'PAP', 1897, '', 0, '320\r'),
	('DL', 2009, 'ATL', 3682, 'PBI', 3722, '', 0, 'M90 757 M88\r'),
	('DL', 2009, 'ATL', 3682, 'PDX', 3720, '', 0, '739 73H 738\r'),
	('DL', 2009, 'ATL', 3682, 'PHF', 3633, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'PHL', 3752, '', 0, '757 320 M88 M90 73H\r'),
	('DL', 2009, 'ATL', 3682, 'PHX', 3462, '', 0, '757 73H 739 738\r'),
	('DL', 2009, 'ATL', 3682, 'PIA', 4046, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'PIT', 3570, '', 0, 'M88 320\r'),
	('DL', 2009, 'ATL', 3682, 'PLS', 1754, '', 0, '73W M88\r'),
	('DL', 2009, 'ATL', 3682, 'PNS', 3564, '', 0, 'M90 717\r'),
	('DL', 2009, 'ATL', 3682, 'PTY', 1871, '', 0, '738\r'),
	('DL', 2009, 'ATL', 3682, 'PUJ', 1760, '', 0, '738 M88 \r'),
	('DL', 2009, 'ATL', 3682, 'PVD', 3641, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'PVR', 1836, '', 0, '757\r'),
	('DL', 2009, 'ATL', 3682, 'PWM', 3862, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'RDU', 3626, '', 0, 'M88 M90 739 320 738 752\r'),
	('DL', 2009, 'ATL', 3682, 'RIC', 3608, '', 0, 'M88 M90 73H\r'),
	('DL', 2009, 'ATL', 3682, 'ROA', 4016, '', 0, '319\r'),
	('DL', 2009, 'ATL', 3682, 'ROC', 3622, '', 0, 'M88 M90\r'),
	('DL', 2009, 'ATL', 3682, 'RSW', 3793, '', 0, 'M90 757 M88\r'),
	('DL', 2009, 'ATL', 3682, 'RTB', 1774, '', 0, '738\r'),
	('DL', 2009, 'ATL', 3682, 'SAL', 1892, '', 0, '319 320\r'),
	('DL', 2009, 'ATL', 3682, 'SAN', 3731, '', 0, '739 763\r'),
	('DL', 2009, 'ATL', 3682, 'SAP', 1772, '', 0, '319 320\r'),
	('DL', 2009, 'ATL', 3682, 'SAT', 3621, '', 0, '757 M90 320\r'),
	('DL', 2009, 'ATL', 3682, 'SAV', 3613, '', 0, 'M88 717 319\r'),
	('DL', 2009, 'ATL', 3682, 'SBN', 4359, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'SCL', 2650, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'SDF', 4014, '', 0, 'M88 M90\r'),
	('DL', 2009, 'ATL', 3682, 'SDQ', 1762, '', 0, '73H\r'),
	('DL', 2009, 'ATL', 3682, 'SEA', 3577, '', 0, '76W 763 739 757 738\r'),
	('DL', 2009, 'ATL', 3682, 'SFO', 3469, '', 0, '739 757 763\r'),
	('DL', 2009, 'ATL', 3682, 'SGF', 4348, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'ATL', 3682, 'SHV', 3609, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'SJC', 3748, '', 0, '738\r'),
	('DL', 2009, 'ATL', 3682, 'SJD', 1840, '', 0, '73W 738\r'),
	('DL', 2009, 'ATL', 3682, 'SJO', 1885, '', 0, '757 738 73H\r'),
	('DL', 2009, 'ATL', 3682, 'SJU', 2890, '', 0, '757 753 73H \r'),
	('DL', 2009, 'ATL', 3682, 'SLC', 3536, '', 0, '763 757 320\r'),
	('DL', 2009, 'ATL', 3682, 'SMF', 3817, '', 0, '757\r'),
	('DL', 2009, 'ATL', 3682, 'SNA', 3867, '', 0, '757\r'),
	('DL', 2009, 'ATL', 3682, 'SRQ', 4067, '', 0, 'M90 757\r'),
	('DL', 2009, 'ATL', 3682, 'STL', 3678, '', 0, 'M90 717 757 319 M88\r'),
	('DL', 2009, 'ATL', 3682, 'STR', 350, '', 0, '76W\r'),
	('DL', 2009, 'ATL', 3682, 'STT', 2883, '', 0, '757\r'),
	('DL', 2009, 'ATL', 3682, 'SXM', 2899, '', 0, '757\r'),
	('DL', 2009, 'ATL', 3682, 'SYR', 3745, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'TGU', 1776, '', 0, '73W\r'),
	('DL', 2009, 'ATL', 3682, 'TLH', 3698, '', 0, '319 M88 717\r'),
	('DL', 2009, 'ATL', 3682, 'TPA', 3646, '', 0, '757 739 M90 738\r'),
	('DL', 2009, 'ATL', 3682, 'TRI', 4116, '', 0, '319\r'),
	('DL', 2009, 'ATL', 3682, 'TUL', 3855, '', 0, 'M88\r'),
	('DL', 2009, 'ATL', 3682, 'TUS', 3636, '', 0, 'M90\r'),
	('DL', 2009, 'ATL', 3682, 'TYS', 3676, '', 0, '717\r'),
	('DL', 2009, 'ATL', 3682, 'UIO', 2688, '', 0, '73W\r'),
	('DL', 2009, 'ATL', 3682, 'UVF', 2894, '', 0, '738 73H 757\r'),
	('DL', 2009, 'ATL', 3682, 'VLD', 5776, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATL', 3682, 'VPS', 3873, '', 0, '717 319 M88\r'),
	('DL', 2009, 'ATL', 3682, 'XNA', 4356, '', 0, '717\r'),
	('DL', 2009, 'ATL', 3682, 'YUL', 146, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'ATL', 3682, 'YYZ', 193, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'ATL', 3682, 'ZRH', 1678, '', 0, '76W\r'),
	('DL', 2009, 'ATW', 4047, 'ATL', 3682, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'ATW', 4047, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ATW', 4047, 'MSP', 3858, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'AUA', 2895, 'ATL', 3682, '', 0, '738 757\r'),
	('DL', 2009, 'AUA', 2895, 'JFK', 3797, '', 0, '73H\r'),
	('DL', 2009, 'AUA', 2895, 'LGA', 3697, '', 0, '738\r'),
	('DL', 2009, 'AUH', 2179, 'AMS', 580, 'Y', 0, '330\r'),
	('DL', 2009, 'AUH', 2179, 'BAH', 2057, 'Y', 0, '330\r'),
	('DL', 2009, 'AUS', 3673, 'ATL', 3682, '', 0, 'M90 M88\r'),
	('DL', 2009, 'AUS', 3673, 'DTW', 3645, '', 0, '717\r'),
	('DL', 2009, 'AUS', 3673, 'JFK', 3797, '', 0, '319\r'),
	('DL', 2009, 'AUS', 3673, 'MCO', 3878, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'AUS', 3673, 'MEM', 3473, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'AUS', 3673, 'MSP', 3858, '', 0, '319\r'),
	('DL', 2009, 'AUS', 3673, 'SLC', 3536, '', 0, '319\r'),
	('DL', 2009, 'AVL', 4007, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'AVL', 4007, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'AVP', 4286, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'AVP', 4286, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'AZO', 4039, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'AZO', 4039, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'AZO', 4039, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BAH', 2057, 'AUH', 2179, 'Y', 0, '332\r'),
	('DL', 2009, 'BCN', 1218, 'JFK', 3797, '', 0, '333\r'),
	('DL', 2009, 'BDA', 4069, 'ATL', 3682, '', 0, '319\r'),
	('DL', 2009, 'BDA', 4069, 'BOS', 3448, '', 0, '738\r'),
	('DL', 2009, 'BDA', 4069, 'JFK', 3797, '', 0, '73H\r'),
	('DL', 2009, 'BDL', 3825, 'ATL', 3682, '', 0, '73W M88 757 320\r'),
	('DL', 2009, 'BDL', 3825, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BDL', 3825, 'DTW', 3645, '', 0, 'M88 319\r'),
	('DL', 2009, 'BDL', 3825, 'MCO', 3878, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'BDL', 3825, 'MSP', 3858, '', 0, '319\r'),
	('DL', 2009, 'BDL', 3825, 'RDU', 3626, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'BGM', 4129, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BGR', 3463, 'DTW', 3645, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'BGR', 3463, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'BHM', 3811, 'ATL', 3682, '', 0, 'M88 320\r'),
	('DL', 2009, 'BHM', 3811, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BHM', 3811, 'LGA', 3697, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'BHM', 3811, 'MCO', 3878, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'BHM', 3811, 'MSP', 3858, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'BIL', 4021, 'MSP', 3858, '', 0, '320 319\r'),
	('DL', 2009, 'BIL', 4021, 'SLC', 3536, 'Y', 0, 'CR7 CRJ CR9\r'),
	('DL', 2009, 'BIS', 4083, 'MSP', 3858, 'Y', 0, 'CR9 E75 CRJ E70\r'),
	('DL', 2009, 'BJI', 4287, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BJX', 1815, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'BJX', 1815, 'LAX', 3484, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'BKK', 3885, 'NRT', 2279, '', 0, '744 333\r'),
	('DL', 2009, 'BMI', 4037, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'BMI', 4037, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BMI', 4037, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BNA', 3690, 'ATL', 3682, '', 0, 'M88 738 319 320 717\r'),
	('DL', 2009, 'BNA', 3690, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BNA', 3690, 'DTW', 3645, '', 0, '738 320\r'),
	('DL', 2009, 'BNA', 3690, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'BNA', 3690, 'LAX', 3484, '', 0, '738 73H\r'),
	('DL', 2009, 'BNA', 3690, 'LGA', 3697, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'BNA', 3690, 'MCO', 3878, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'BNA', 3690, 'MSP', 3858, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'BNA', 3690, 'SLC', 3536, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'BNE', 3320, 'LAX', 3484, 'Y', 0, '77W\r'),
	('DL', 2009, 'BOG', 2709, 'ATL', 3682, '', 0, '73W\r'),
	('DL', 2009, 'BOG', 2709, 'JFK', 3797, '', 0, '73W\r'),
	('DL', 2009, 'BOI', 3495, 'MSP', 3858, '', 0, '738 320\r'),
	('DL', 2009, 'BOI', 3495, 'SLC', 3536, '', 0, '320 73H 319 738\r'),
	('DL', 2009, 'BOM', 2997, 'AMS', 580, '', 0, '76W\r'),
	('DL', 2009, 'BON', 2896, 'ATL', 3682, '', 0, '757\r'),
	('DL', 2009, 'BOS', 3448, 'AMS', 580, '', 0, '333\r'),
	('DL', 2009, 'BOS', 3448, 'ATL', 3682, '', 0, 'M90 757 M88 320 319\r'),
	('DL', 2009, 'BOS', 3448, 'BDA', 4069, '', 0, '738\r'),
	('DL', 2009, 'BOS', 3448, 'CDG', 1382, '', 0, '752\r'),
	('DL', 2009, 'BOS', 3448, 'CHS', 3806, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'BOS', 3448, 'CMH', 3759, '', 0, 'ERJ\r'),
	('DL', 2009, 'BOS', 3448, 'CUN', 1852, '', 0, '757\r'),
	('DL', 2009, 'BOS', 3448, 'CVG', 3488, '', 0, '73H\r'),
	('DL', 2009, 'BOS', 3448, 'DTW', 3645, '', 0, '319 320 73H 738 757 M88\r'),
	('DL', 2009, 'BOS', 3448, 'FCO', 1555, 'Y', 0, '330 332\r'),
	('DL', 2009, 'BOS', 3448, 'IND', 3585, 'Y', 0, 'E75\r'),
	('DL', 2009, 'BOS', 3448, 'JAX', 3712, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'BOS', 3448, 'JFK', 3797, '', 0, '752 CR7 M88\r'),
	('DL', 2009, 'BOS', 3448, 'LAS', 3877, '', 0, '73H\r'),
	('DL', 2009, 'BOS', 3448, 'LAX', 3484, '', 0, '73H\r'),
	('DL', 2009, 'BOS', 3448, 'LGA', 3697, 'Y', 0, 'E75\r'),
	('DL', 2009, 'BOS', 3448, 'LHR', 507, '', 0, '764\r'),
	('DL', 2009, 'BOS', 3448, 'MCO', 3878, '', 0, '320\r'),
	('DL', 2009, 'BOS', 3448, 'MSP', 3858, '', 0, '738 319 757 M90 320\r'),
	('DL', 2009, 'BOS', 3448, 'MYR', 3515, 'Y', 0, 'E75\r'),
	('DL', 2009, 'BOS', 3448, 'NAS', 1953, 'Y', 0, 'E75\r'),
	('DL', 2009, 'BOS', 3448, 'PLS', 1754, '', 0, '320\r'),
	('DL', 2009, 'BOS', 3448, 'RDU', 3626, '', 0, 'CR7\r'),
	('DL', 2009, 'BOS', 3448, 'RIC', 3608, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'BOS', 3448, 'SLC', 3536, '', 0, '73H 738\r'),
	('DL', 2009, 'BQK', 5725, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BRD', 6957, 'INL', 3535, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BRD', 6957, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BRU', 302, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'BRU', 302, 'JFK', 3797, '', 0, '76W\r'),
	('DL', 2009, 'BSB', 2531, 'ATL', 3682, '', 0, '752\r'),
	('DL', 2009, 'BTM', 4022, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BTR', 3846, 'ATL', 3682, '', 0, '319\r'),
	('DL', 2009, 'BTS', 1745, 'PRG', 1587, 'Y', 0, 'AT4\r'),
	('DL', 2009, 'BTV', 3711, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'BTV', 3711, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BTV', 3711, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'BUF', 3820, 'ATL', 3682, '', 0, 'M90 M88\r'),
	('DL', 2009, 'BUF', 3820, 'DTW', 3645, '', 0, 'M88 319 320 M90 ERJ\r'),
	('DL', 2009, 'BUF', 3820, 'JFK', 3797, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'BUF', 3820, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'BUF', 3820, 'MSP', 3858, 'Y', 0, 'E70 CR9\r'),
	('DL', 2009, 'BUR', 3644, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'BWI', 3849, 'ATL', 3682, '', 0, 'M88 757 M90 73W  320 717\r'),
	('DL', 2009, 'BWI', 3849, 'CVG', 3488, '', 0, 'ERJ\r'),
	('DL', 2009, 'BWI', 3849, 'DTW', 3645, '', 0, '320 M88 M90 ERJ\r'),
	('DL', 2009, 'BWI', 3849, 'JFK', 3797, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'BWI', 3849, 'MSP', 3858, '', 0, '320 M88 M90 319\r'),
	('DL', 2009, 'BWI', 3849, 'RDU', 3626, '', 0, 'ERJ\r'),
	('DL', 2009, 'BWI', 3849, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'BZE', 1957, 'ATL', 3682, '', 0, '319 M88\r'),
	('DL', 2009, 'BZE', 1957, 'LAX', 3484, '', 0, '320\r'),
	('DL', 2009, 'BZN', 4020, 'MSP', 3858, '', 0, '320 319\r'),
	('DL', 2009, 'BZN', 4020, 'SLC', 3536, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'CAE', 3561, 'ATL', 3682, '', 0, 'M88 717 319\r'),
	('DL', 2009, 'CAE', 3561, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CAE', 3561, 'LGA', 3697, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CAK', 4112, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'CAK', 4112, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CAN', 3370, 'HGH', 3386, 'Y', 0, '321 772\r'),
	('DL', 2009, 'CAN', 3370, 'LAX', 3484, 'Y', 0, '380\r'),
	('DL', 2009, 'CCS', 2851, 'ATL', 3682, '', 0, '757\r'),
	('DL', 2009, 'CDC', 3824, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CDG', 1382, 'ABV', 260, 'Y', 0, '332\r'),
	('DL', 2009, 'CDG', 1382, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'CDG', 1382, 'BOS', 3448, '', 0, '752\r'),
	('DL', 2009, 'CDG', 1382, 'CMN', 1074, 'Y', 0, '320 319 321\r'),
	('DL', 2009, 'CDG', 1382, 'CVG', 3488, '', 0, '76W\r'),
	('DL', 2009, 'CDG', 1382, 'DTW', 3645, '', 0, '333 76W 764\r'),
	('DL', 2009, 'CDG', 1382, 'EWR', 3494, '', 0, '76W\r'),
	('DL', 2009, 'CDG', 1382, 'IAD', 3714, 'Y', 0, '388 77W\r'),
	('DL', 2009, 'CDG', 1382, 'IAH', 3550, 'Y', 0, '77W\r'),
	('DL', 2009, 'CDG', 1382, 'JFK', 3797, '', 0, '332 772 388 343\r'),
	('DL', 2009, 'CDG', 1382, 'LAX', 3484, '', 0, '772\r'),
	('DL', 2009, 'CDG', 1382, 'LYS', 1335, 'Y', 0, '320 319\r'),
	('DL', 2009, 'CDG', 1382, 'MIA', 3576, 'Y', 0, '77W\r'),
	('DL', 2009, 'CDG', 1382, 'MSP', 3858, '', 0, '332\r'),
	('DL', 2009, 'CDG', 1382, 'NIM', 280, 'Y', 0, '332\r'),
	('DL', 2009, 'CDG', 1382, 'ORD', 3830, 'Y', 0, '332\r'),
	('DL', 2009, 'CDG', 1382, 'PHL', 3752, '', 0, '752\r'),
	('DL', 2009, 'CDG', 1382, 'PIT', 3570, '', 0, '752\r'),
	('DL', 2009, 'CDG', 1382, 'SEA', 3577, '', 0, '332\r'),
	('DL', 2009, 'CDG', 1382, 'SFO', 3469, 'Y', 0, '388\r'),
	('DL', 2009, 'CDG', 1382, 'SLC', 3536, '', 0, '332\r'),
	('DL', 2009, 'CDG', 1382, 'TLS', 1273, 'Y', 0, '319 320\r'),
	('DL', 2009, 'CDG', 1382, 'YUL', 146, 'Y', 0, '744 343\r'),
	('DL', 2009, 'CDG', 1382, 'YYZ', 193, 'Y', 0, '772\r'),
	('DL', 2009, 'CHA', 3578, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'CHA', 3578, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CHO', 4015, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CHO', 4015, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'CHS', 3806, 'ATL', 3682, '', 0, 'M88 73W 717 319\r'),
	('DL', 2009, 'CHS', 3806, 'BOS', 3448, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'CHS', 3806, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'CHS', 3806, 'JFK', 3797, '', 0, 'ERJ\r'),
	('DL', 2009, 'CHS', 3806, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'CID', 4043, 'ATL', 3682, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'CID', 4043, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CID', 4043, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CIU', 5729, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CLE', 3486, 'ATL', 3682, '', 0, '717  M88\r'),
	('DL', 2009, 'CLE', 3486, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'CLE', 3486, 'JFK', 3797, '', 0, 'ERJ\r'),
	('DL', 2009, 'CLE', 3486, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'CLE', 3486, 'MSP', 3858, '', 0, 'ERJ\r'),
	('DL', 2009, 'CLT', 3876, 'ATL', 3682, '', 0, 'M90 M88\r'),
	('DL', 2009, 'CLT', 3876, 'CVG', 3488, 'Y', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'CLT', 3876, 'DTW', 3645, '', 0, 'M90 320 M88\r'),
	('DL', 2009, 'CLT', 3876, 'JFK', 3797, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'CLT', 3876, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'CLT', 3876, 'MSP', 3858, '', 0, '319 320\r'),
	('DL', 2009, 'CLT', 3876, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'CMH', 3759, 'ATL', 3682, '', 0, 'M88 73W 738 319\r'),
	('DL', 2009, 'CMH', 3759, 'BOS', 3448, '', 0, 'ERJ\r'),
	('DL', 2009, 'CMH', 3759, 'DTW', 3645, 'Y', 0, 'ERJ E75 CRJ\r'),
	('DL', 2009, 'CMH', 3759, 'JFK', 3797, 'Y', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'CMH', 3759, 'LAX', 3484, '', 0, '738\r'),
	('DL', 2009, 'CMH', 3759, 'LGA', 3697, '', 0, 'CR7 ERJ\r'),
	('DL', 2009, 'CMH', 3759, 'MCO', 3878, 'Y', 0, 'E70\r'),
	('DL', 2009, 'CMH', 3759, 'MSP', 3858, 'Y', 0, 'E70 CRJ CR9 ERJ\r'),
	('DL', 2009, 'CMH', 3759, 'RDU', 3626, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'CMH', 3759, 'RSW', 3793, 'Y', 0, 'E70\r'),
	('DL', 2009, 'CMH', 3759, 'TPA', 3646, 'Y', 0, 'E75\r'),
	('DL', 2009, 'CMN', 1074, 'CDG', 1382, 'Y', 0, '320\r'),
	('DL', 2009, 'CNY', 7074, 'SLC', 3536, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'COD', 4344, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'COS', 3819, 'ATL', 3682, '', 0, '738\r'),
	('DL', 2009, 'COS', 3819, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CPR', 3872, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CRW', 4285, 'ATL', 3682, '', 0, '319\r'),
	('DL', 2009, 'CRW', 4285, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CSG', 4255, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CUL', 1792, 'HMO', 1807, '', 0, 'ER4\r'),
	('DL', 2009, 'CUL', 1792, 'MTY', 1825, '', 0, 'ER4\r'),
	('DL', 2009, 'CUN', 1852, 'ATL', 3682, '', 0, '757 320 M88\r'),
	('DL', 2009, 'CUN', 1852, 'BOS', 3448, '', 0, '757\r'),
	('DL', 2009, 'CUN', 1852, 'CVG', 3488, '', 0, 'M88\r'),
	('DL', 2009, 'CUN', 1852, 'DTW', 3645, '', 0, '320\r'),
	('DL', 2009, 'CUN', 1852, 'IND', 3585, '', 0, '320\r'),
	('DL', 2009, 'CUN', 1852, 'JFK', 3797, '', 0, '738\r'),
	('DL', 2009, 'CUN', 1852, 'LAX', 3484, '', 0, '320 73H\r'),
	('DL', 2009, 'CUN', 1852, 'MCO', 3878, '', 0, '757\r'),
	('DL', 2009, 'CUN', 1852, 'MSP', 3858, '', 0, '320\r'),
	('DL', 2009, 'CUN', 1852, 'RDU', 3626, '', 0, 'M88\r'),
	('DL', 2009, 'CUN', 1852, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'CVG', 3488, 'ATL', 3682, '', 0, '738 M88 320  319\r'),
	('DL', 2009, 'CVG', 3488, 'BDL', 3825, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'CVG', 3488, 'BNA', 3690, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'BOS', 3448, '', 0, '320\r'),
	('DL', 2009, 'CVG', 3488, 'BWI', 3849, 'Y', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'CDG', 1382, '', 0, '76W\r'),
	('DL', 2009, 'CVG', 3488, 'CLT', 3876, 'Y', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'CUN', 1852, '', 0, 'M88\r'),
	('DL', 2009, 'CVG', 3488, 'DCA', 3520, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'CVG', 3488, 'DEN', 3751, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'CVG', 3488, 'DFW', 3670, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'CVG', 3488, 'DTW', 3645, 'Y', 0, 'ERJ CR9 CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'EWR', 3494, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'FLL', 3533, '', 0, '73H M88\r'),
	('DL', 2009, 'CVG', 3488, 'GRR', 3685, '', 0, 'ERJ\r'),
	('DL', 2009, 'CVG', 3488, 'IAH', 3550, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'CVG', 3488, 'JAX', 3712, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'CVG', 3488, 'LAS', 3877, '', 0, '757 738\r'),
	('DL', 2009, 'CVG', 3488, 'LAX', 3484, '', 0, '320 73H\r'),
	('DL', 2009, 'CVG', 3488, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'CVG', 3488, 'MCI', 3458, '', 0, 'ERJ\r'),
	('DL', 2009, 'CVG', 3488, 'MCO', 3878, '', 0, 'M88 320\r'),
	('DL', 2009, 'CVG', 3488, 'MEM', 3473, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'MKE', 3717, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'MSN', 3459, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'MSP', 3858, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'CVG', 3488, 'MSY', 3861, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'CVG', 3488, 'ORD', 3830, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'CVG', 3488, 'PHL', 3752, '', 0, 'ERJ\r'),
	('DL', 2009, 'CVG', 3488, 'PIT', 3570, '', 0, 'ERJ\r'),
	('DL', 2009, 'CVG', 3488, 'PUJ', 1760, '', 0, '320\r'),
	('DL', 2009, 'CVG', 3488, 'RDU', 3626, '', 0, 'ERJ\r'),
	('DL', 2009, 'CVG', 3488, 'RIC', 3608, '', 0, 'ERJ\r'),
	('DL', 2009, 'CVG', 3488, 'RSW', 3793, '', 0, 'M88\r'),
	('DL', 2009, 'CVG', 3488, 'SFO', 3469, '', 0, '320\r'),
	('DL', 2009, 'CVG', 3488, 'SLC', 3536, '', 0, '738 757 320\r'),
	('DL', 2009, 'CVG', 3488, 'STL', 3678, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'TPA', 3646, '', 0, 'M88\r'),
	('DL', 2009, 'CVG', 3488, 'XNA', 4356, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CVG', 3488, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CWA', 4045, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CWA', 4045, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'CZM', 1800, 'ATL', 3682, '', 0, '319 M88\r'),
	('DL', 2009, 'DAB', 3950, 'ATL', 3682, '', 0, 'M90 757 M88\r'),
	('DL', 2009, 'DAL', 3502, 'ATL', 3682, '', 0, '\r'),
	('DL', 2009, 'DAR', 1177, 'AMS', 580, 'Y', 0, '332 330\r'),
	('DL', 2009, 'DAY', 3627, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'DAY', 3627, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'DAY', 3627, 'LGA', 3697, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'DAY', 3627, 'MSP', 3858, '', 0, 'ERJ\r'),
	('DL', 2009, 'DCA', 3520, 'ATL', 3682, '', 0, '738 M88 M90 73H\r'),
	('DL', 2009, 'DCA', 3520, 'CVG', 3488, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'DCA', 3520, 'DTW', 3645, '', 0, '319 738 M88\r'),
	('DL', 2009, 'DCA', 3520, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'DCA', 3520, 'LAX', 3484, 'Y', 0, '73H\r'),
	('DL', 2009, 'DCA', 3520, 'LEX', 4017, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DCA', 3520, 'LGA', 3697, 'Y', 0, 'E70 E75\r'),
	('DL', 2009, 'DCA', 3520, 'MEM', 3473, 'Y', 0, 'E70\r'),
	('DL', 2009, 'DCA', 3520, 'MSN', 3459, 'Y', 0, 'E70\r'),
	('DL', 2009, 'DCA', 3520, 'MSP', 3858, '', 0, 'M90 M88 319 738 320\r'),
	('DL', 2009, 'DCA', 3520, 'OMA', 3454, 'Y', 0, 'E70\r'),
	('DL', 2009, 'DCA', 3520, 'SLC', 3536, '', 0, '757\r'),
	('DL', 2009, 'DEN', 3751, 'ATL', 3682, '', 0, '757 M90 738\r'),
	('DL', 2009, 'DEN', 3751, 'CVG', 3488, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'DEN', 3751, 'DTW', 3645, '', 0, 'M90 320\r'),
	('DL', 2009, 'DEN', 3751, 'JFK', 3797, '', 0, '73H\r'),
	('DL', 2009, 'DEN', 3751, 'LGA', 3697, '', 0, '320\r'),
	('DL', 2009, 'DEN', 3751, 'MEM', 3473, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'DEN', 3751, 'MSP', 3858, '', 0, 'M90 320 738 757\r'),
	('DL', 2009, 'DEN', 3751, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'DFW', 3670, 'AMS', 580, 'Y', 0, '332\r'),
	('DL', 2009, 'DFW', 3670, 'ATL', 3682, '', 0, 'M88 319\r'),
	('DL', 2009, 'DFW', 3670, 'CVG', 3488, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'DFW', 3670, 'DTW', 3645, '', 0, '319 E75 M88 320\r'),
	('DL', 2009, 'DFW', 3670, 'ICN', 3930, 'Y', 0, '772\r'),
	('DL', 2009, 'DFW', 3670, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'DFW', 3670, 'LGA', 3697, '', 0, 'E75\r'),
	('DL', 2009, 'DFW', 3670, 'MEM', 3473, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DFW', 3670, 'MEX', 1824, '', 0, 'EMJ\r'),
	('DL', 2009, 'DFW', 3670, 'MSP', 3858, '', 0, '319\r'),
	('DL', 2009, 'DFW', 3670, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'DFW', 3670, 'YYC', 178, 'Y', 0, '73W\r'),
	('DL', 2009, 'DHN', 3739, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DIK', 7064, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DKR', 1084, 'JFK', 3797, '', 0, '752\r'),
	('DL', 2009, 'DLH', 3598, 'MSP', 3858, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'DMM', 2064, 'AMS', 580, 'Y', 0, '332 330\r'),
	('DL', 2009, 'DMM', 2064, 'KWI', 2176, 'Y', 0, '332 330\r'),
	('DL', 2009, 'DOH', 2241, 'AMS', 580, 'Y', 0, '330\r'),
	('DL', 2009, 'DOH', 2241, 'MCT', 2194, 'Y', 0, '330\r'),
	('DL', 2009, 'DSM', 3729, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'DSM', 3729, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DSM', 3729, 'LGA', 3697, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'DSM', 3729, 'MSP', 3858, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'ABE', 4355, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'ALB', 3864, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'DTW', 3645, 'AMS', 580, '', 0, '777 333 332 76W\r'),
	('DL', 2009, 'DTW', 3645, 'APN', 5720, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'ATL', 3682, '', 0, 'M88 73H 757 320 738 739 M90 753\r'),
	('DL', 2009, 'DTW', 3645, 'ATW', 4047, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'AUS', 3673, '', 0, '717\r'),
	('DL', 2009, 'DTW', 3645, 'AVL', 4007, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'AVP', 4286, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'AZO', 4039, '', 0, 'ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'BDL', 3825, '', 0, 'M88 319\r'),
	('DL', 2009, 'DTW', 3645, 'BGM', 4129, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'BGR', 3463, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'DTW', 3645, 'BHM', 3811, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'BMI', 4037, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'BNA', 3690, '', 0, '320 738 M88\r'),
	('DL', 2009, 'DTW', 3645, 'BOS', 3448, '', 0, '73H 738 320 757 M90 319\r'),
	('DL', 2009, 'DTW', 3645, 'BTV', 3711, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'BUF', 3820, '', 0, 'M88 319 320 M90 ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'BWI', 3849, '', 0, 'M88 320 ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'CAE', 3561, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'CAK', 4112, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'CDG', 1382, '', 0, '76W 343 764 333\r'),
	('DL', 2009, 'DTW', 3645, 'CHA', 3578, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'CHS', 3806, 'Y', 0, 'CRJ ERJ CR9 CR7\r'),
	('DL', 2009, 'DTW', 3645, 'CID', 4043, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'CIU', 5729, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'CLE', 3486, 'Y', 0, 'CRJ CR7 ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'CLT', 3876, '', 0, '320 M88 M90\r'),
	('DL', 2009, 'DTW', 3645, 'CMH', 3759, '', 0, 'ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'CRW', 4285, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'CUN', 1852, '', 0, '320\r'),
	('DL', 2009, 'DTW', 3645, 'CVG', 3488, '', 0, 'ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'CWA', 4045, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'DAY', 3627, '', 0, 'ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'DCA', 3520, '', 0, '738 M88 319 M90\r'),
	('DL', 2009, 'DTW', 3645, 'DEN', 3751, '', 0, '320 M90 738 757\r'),
	('DL', 2009, 'DTW', 3645, 'DFW', 3670, '', 0, '319 M88 320\r'),
	('DL', 2009, 'DTW', 3645, 'DSM', 3729, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'ELM', 3946, 'Y', 0, 'CR7 CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'ERI', 4276, '', 0, 'ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'ESC', 6800, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'EVV', 4018, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'EWR', 3494, '', 0, '717 320\r'),
	('DL', 2009, 'DTW', 3645, 'FLL', 3533, '', 0, '757 M88 739 738\r'),
	('DL', 2009, 'DTW', 3645, 'FRA', 340, '', 0, '764\r'),
	('DL', 2009, 'DTW', 3645, 'FWA', 4041, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'GCM', 1926, '', 0, '738\r'),
	('DL', 2009, 'DTW', 3645, 'GRB', 3653, '', 0, '319 320\r'),
	('DL', 2009, 'DTW', 3645, 'GRR', 3685, '', 0, 'ERJ M88 717 320\r'),
	('DL', 2009, 'DTW', 3645, 'GRU', 2564, '', 0, '76W\r'),
	('DL', 2009, 'DTW', 3645, 'GSO', 4008, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'GSP', 4034, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'HPN', 3589, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'HSV', 4113, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'IAD', 3714, '', 0, 'ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'IAH', 3550, '', 0, '717\r'),
	('DL', 2009, 'DTW', 3645, 'ICN', 3930, '', 0, '744\r'),
	('DL', 2009, 'DTW', 3645, 'IND', 3585, '', 0, 'M88 320 319\r'),
	('DL', 2009, 'DTW', 3645, 'ITH', 3947, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'JAX', 3712, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'DTW', 3645, 'JFK', 3797, '', 0, 'M88 319\r'),
	('DL', 2009, 'DTW', 3645, 'LAN', 3544, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'LAS', 3877, '', 0, '757 738\r'),
	('DL', 2009, 'DTW', 3645, 'LAX', 3484, '', 0, '763 757 739 753\r'),
	('DL', 2009, 'DTW', 3645, 'LEX', 4017, '', 0, '717\r'),
	('DL', 2009, 'DTW', 3645, 'LGA', 3697, '', 0, '320 M88 319\r'),
	('DL', 2009, 'DTW', 3645, 'LHR', 507, '', 0, '76W 77L\r'),
	('DL', 2009, 'DTW', 3645, 'LIT', 3660, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'DTW', 3645, 'MBJ', 1780, '', 0, '320\r'),
	('DL', 2009, 'DTW', 3645, 'MBS', 4128, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'DTW', 3645, 'MCI', 3458, '', 0, 'M88 319 320\r'),
	('DL', 2009, 'DTW', 3645, 'MCO', 3878, '', 0, '757 753\r'),
	('DL', 2009, 'DTW', 3645, 'MDT', 3542, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'DTW', 3645, 'MDW', 3747, 'Y', 0, 'CR9 CR7 E75\r'),
	('DL', 2009, 'DTW', 3645, 'MEM', 3473, '', 0, 'M88\r'),
	('DL', 2009, 'DTW', 3645, 'MEX', 1824, '', 0, '319\r'),
	('DL', 2009, 'DTW', 3645, 'MHT', 4011, 'Y', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'MIA', 3576, '', 0, '320 M88\r'),
	('DL', 2009, 'DTW', 3645, 'MKE', 3717, '', 0, '320 717 M90 M88\r'),
	('DL', 2009, 'DTW', 3645, 'MLI', 4072, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'MQT', 6838, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'MSN', 3459, '', 0, 'M88 319 320\r'),
	('DL', 2009, 'DTW', 3645, 'MSP', 3858, '', 0, 'M90 M88 320 753 757 73H 777 319 738\r'),
	('DL', 2009, 'DTW', 3645, 'MSY', 3861, '', 0, '319 M88\r'),
	('DL', 2009, 'DTW', 3645, 'MTY', 1825, '', 0, '319\r'),
	('DL', 2009, 'DTW', 3645, 'MYR', 3515, 'Y', 0, 'E75 CR9\r'),
	('DL', 2009, 'DTW', 3645, 'NAS', 1953, '', 0, 'M88\r'),
	('DL', 2009, 'DTW', 3645, 'NGO', 3942, '', 0, '744\r'),
	('DL', 2009, 'DTW', 3645, 'NRT', 2279, '', 0, '777 77L\r'),
	('DL', 2009, 'DTW', 3645, 'OKC', 3863, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'DTW', 3645, 'OMA', 3454, '', 0, '319\r'),
	('DL', 2009, 'DTW', 3645, 'ORD', 3830, '', 0, '717 M90\r'),
	('DL', 2009, 'DTW', 3645, 'ORF', 3611, '', 0, 'ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'PBI', 3722, '', 0, 'M90 320\r'),
	('DL', 2009, 'DTW', 3645, 'PDX', 3720, '', 0, '739\r'),
	('DL', 2009, 'DTW', 3645, 'PEK', 3364, '', 0, '777\r'),
	('DL', 2009, 'DTW', 3645, 'PHL', 3752, '', 0, 'M88 319 73H ERJ M90 320\r'),
	('DL', 2009, 'DTW', 3645, 'PHX', 3462, '', 0, '757 320 753\r'),
	('DL', 2009, 'DTW', 3645, 'PIA', 4046, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'PIT', 3570, '', 0, 'CR7 M88 320 ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'PLN', 5762, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'PUJ', 1760, '', 0, '320\r'),
	('DL', 2009, 'DTW', 3645, 'PVD', 3641, '', 0, '319\r'),
	('DL', 2009, 'DTW', 3645, 'PVG', 3406, '', 0, '77L 777\r'),
	('DL', 2009, 'DTW', 3645, 'PWM', 3862, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'DTW', 3645, 'RDU', 3626, '', 0, '319 73H 738\r'),
	('DL', 2009, 'DTW', 3645, 'RIC', 3608, '', 0, 'ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'ROA', 4016, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'ROC', 3622, 'Y', 0, 'CRJ CR7\r'),
	('DL', 2009, 'DTW', 3645, 'RSW', 3793, '', 0, '757 753\r'),
	('DL', 2009, 'DTW', 3645, 'SAN', 3731, '', 0, '753 739 757\r'),
	('DL', 2009, 'DTW', 3645, 'SAT', 3621, '', 0, '320\r'),
	('DL', 2009, 'DTW', 3645, 'SAV', 3613, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'DTW', 3645, 'SBN', 4359, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'SCE', 4318, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'SDF', 4014, '', 0, 'ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'SEA', 3577, '', 0, '753 757 739\r'),
	('DL', 2009, 'DTW', 3645, 'SFO', 3469, '', 0, '739 763 738\r'),
	('DL', 2009, 'DTW', 3645, 'SJU', 2890, '', 0, '320\r'),
	('DL', 2009, 'DTW', 3645, 'SLC', 3536, '', 0, '320 73H 319 738\r'),
	('DL', 2009, 'DTW', 3645, 'STL', 3678, '', 0, '320 717\r'),
	('DL', 2009, 'DTW', 3645, 'SWF', 3661, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'SYR', 3745, '', 0, 'ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'TPA', 3646, '', 0, 'M88 738 757 M90\r'),
	('DL', 2009, 'DTW', 3645, 'TUL', 3855, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'DTW', 3645, 'TVC', 4023, '', 0, '717 ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'TYS', 3676, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'XNA', 4356, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'DTW', 3645, 'YOW', 100, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'DTW', 3645, 'YUL', 146, 'Y', 0, 'CRJ ERJ\r'),
	('DL', 2009, 'DTW', 3645, 'YYZ', 193, 'Y', 0, 'CR7 CRJ\r'),
	('DL', 2009, 'DUB', 599, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'DUB', 599, 'JFK', 3797, '', 0, '752\r'),
	('DL', 2009, 'DUS', 345, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'DXB', 2188, 'ATL', 3682, '', 0, '77L\r'),
	('DL', 2009, 'EBB', 1187, 'AMS', 580, 'Y', 0, '332 330\r'),
	('DL', 2009, 'ECP', 7669, 'ATL', 3682, '', 0, '717 M88\r'),
	('DL', 2009, 'EKO', 5736, 'SLC', 3536, '', 0, 'EM2\r'),
	('DL', 2009, 'ELM', 3946, 'DTW', 3645, 'Y', 0, 'CRJ CR7\r'),
	('DL', 2009, 'ELP', 3559, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'ERI', 4276, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'ESC', 6800, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'EUG', 4099, 'SLC', 3536, 'Y', 0, 'CR7 CRJ\r'),
	('DL', 2009, 'EVV', 4018, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'EVV', 4018, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'EWN', 3730, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'EWR', 3494, 'AMS', 580, '', 0, '76W\r'),
	('DL', 2009, 'EWR', 3494, 'ATL', 3682, '', 0, '717 319\r'),
	('DL', 2009, 'EWR', 3494, 'CDG', 1382, '', 0, '76W\r'),
	('DL', 2009, 'EWR', 3494, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'EWR', 3494, 'DTW', 3645, '', 0, '320 717\r'),
	('DL', 2009, 'EWR', 3494, 'LHR', 507, 'Y', 0, '346 333\r'),
	('DL', 2009, 'EWR', 3494, 'MSP', 3858, '', 0, '319\r'),
	('DL', 2009, 'EWR', 3494, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'EYW', 3875, 'ATL', 3682, '', 0, '73W\r'),
	('DL', 2009, 'EYW', 3875, 'LGA', 3697, '', 0, '73W\r'),
	('DL', 2009, 'EZE', 3988, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'FAR', 4292, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'FAR', 4292, 'MSP', 3858, '', 0, '320\r'),
	('DL', 2009, 'FAR', 4292, 'SLC', 3536, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'FAT', 3687, 'GDL', 1804, 'Y', 0, '738\r'),
	('DL', 2009, 'FAT', 3687, 'SLC', 3536, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'FAY', 5738, 'ATL', 3682, '', 0, '73W\r'),
	('DL', 2009, 'FCA', 4127, 'MSP', 3858, 'Y', 0, 'E75 CR9\r'),
	('DL', 2009, 'FCA', 4127, 'SLC', 3536, 'Y', 0, 'E75 CRJ\r'),
	('DL', 2009, 'FCO', 1555, 'ATL', 3682, '', 0, '333\r'),
	('DL', 2009, 'FCO', 1555, 'BOS', 3448, 'Y', 0, '330 332\r'),
	('DL', 2009, 'FCO', 1555, 'JFK', 3797, '', 0, '772 333 330\r'),
	('DL', 2009, 'FCO', 1555, 'LAX', 3484, 'Y', 0, '772\r'),
	('DL', 2009, 'FCO', 1555, 'MIA', 3576, 'Y', 0, '772 330\r'),
	('DL', 2009, 'FCO', 1555, 'ORD', 3830, 'Y', 0, '332 330\r'),
	('DL', 2009, 'FCO', 1555, 'YYZ', 193, 'Y', 0, '332\r'),
	('DL', 2009, 'FLL', 3533, 'ATL', 3682, '', 0, '757 M90 739\r'),
	('DL', 2009, 'FLL', 3533, 'CVG', 3488, '', 0, '73H M88\r'),
	('DL', 2009, 'FLL', 3533, 'DTW', 3645, '', 0, 'M88 757 739 738\r'),
	('DL', 2009, 'FLL', 3533, 'JFK', 3797, '', 0, '752 M88 73H 738\r'),
	('DL', 2009, 'FLL', 3533, 'LGA', 3697, '', 0, 'M88 738 319\r'),
	('DL', 2009, 'FLL', 3533, 'MSP', 3858, '', 0, '757\r'),
	('DL', 2009, 'FLL', 3533, 'RDU', 3626, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'FLL', 3533, 'YYZ', 193, 'Y', 0, '73H 73W\r'),
	('DL', 2009, 'FNT', 4089, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'FNT', 4089, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'FPO', 1948, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'FRA', 340, 'ATL', 3682, '', 0, '764\r'),
	('DL', 2009, 'FRA', 340, 'DTW', 3645, '', 0, '764\r'),
	('DL', 2009, 'FRA', 340, 'JFK', 3797, '', 0, '76W\r'),
	('DL', 2009, 'FSD', 4009, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'FSD', 4009, 'MSP', 3858, '', 0, '320\r'),
	('DL', 2009, 'FSM', 3437, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'FUK', 2305, 'HNL', 3728, '', 0, '76W\r'),
	('DL', 2009, 'FWA', 4041, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'FWA', 4041, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'FWA', 4041, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'GCC', 4296, 'RKS', 5766, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'GCC', 4296, 'SLC', 3536, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'GCM', 1926, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'GCM', 1926, 'DTW', 3645, '', 0, '738\r'),
	('DL', 2009, 'GDL', 1804, 'ATL', 3682, '', 0, '320\r'),
	('DL', 2009, 'GDL', 1804, 'FAT', 3687, 'Y', 0, '738\r'),
	('DL', 2009, 'GDL', 1804, 'LAX', 3484, '', 0, '738\r'),
	('DL', 2009, 'GDL', 1804, 'MTY', 1825, 'Y', 0, 'ER4\r'),
	('DL', 2009, 'GDL', 1804, 'ONT', 3734, 'Y', 0, '738\r'),
	('DL', 2009, 'GDL', 1804, 'ORD', 3830, '', 0, '737\r'),
	('DL', 2009, 'GDL', 1804, 'SLC', 3536, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'GDL', 1804, 'SMF', 3817, 'Y', 0, '738\r'),
	('DL', 2009, 'GEG', 3467, 'LAX', 3484, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'GEG', 3467, 'MSP', 3858, '', 0, '320\r'),
	('DL', 2009, 'GEG', 3467, 'SLC', 3536, '', 0, '320 319\r'),
	('DL', 2009, 'GFK', 3442, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'GGT', 1941, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'GIG', 2560, 'ATL', 3682, '', 0, '764\r'),
	('DL', 2009, 'GIG', 2560, 'SDQ', 1762, 'Y', 0, '738\r'),
	('DL', 2009, 'GJT', 4063, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'GLA', 534, 'MCO', 3878, 'Y', 0, '744\r'),
	('DL', 2009, 'GND', 2882, 'JFK', 3797, '', 0, '73H\r'),
	('DL', 2009, 'GNV', 3472, 'ATL', 3682, '', 0, '717\r'),
	('DL', 2009, 'GPT', 4038, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'GRB', 3653, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'GRB', 3653, 'DTW', 3645, '', 0, '319 320\r'),
	('DL', 2009, 'GRB', 3653, 'MSP', 3858, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'GRK', 3775, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'GRR', 3685, 'ATL', 3682, '', 0, '320 717 M88 319\r'),
	('DL', 2009, 'GRR', 3685, 'CVG', 3488, '', 0, 'ERJ\r'),
	('DL', 2009, 'GRR', 3685, 'DTW', 3645, '', 0, '320 ERJ M88 717\r'),
	('DL', 2009, 'GRR', 3685, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'GRR', 3685, 'MCO', 3878, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'GRR', 3685, 'MSP', 3858, '', 0, '320 319\r'),
	('DL', 2009, 'GRU', 2564, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'GRU', 2564, 'DTW', 3645, '', 0, '76W\r'),
	('DL', 2009, 'GRU', 2564, 'JFK', 3797, '', 0, '764\r'),
	('DL', 2009, 'GRU', 2564, 'SDQ', 1762, 'Y', 0, '738\r'),
	('DL', 2009, 'GSO', 4008, 'ATL', 3682, '', 0, 'M88 73H 320 738  319\r'),
	('DL', 2009, 'GSO', 4008, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'GSO', 4008, 'LGA', 3697, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'GSP', 4034, 'ATL', 3682, '', 0, 'M88 319 717\r'),
	('DL', 2009, 'GSP', 4034, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'GSP', 4034, 'LGA', 3697, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'GTF', 3880, 'MSP', 3858, 'Y', 0, 'E75\r'),
	('DL', 2009, 'GTF', 3880, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'GTR', 4273, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'GUA', 1767, 'ATL', 3682, '', 0, '757\r'),
	('DL', 2009, 'GUA', 1767, 'JFK', 3797, '', 0, '752\r'),
	('DL', 2009, 'GUA', 1767, 'LAX', 3484, '', 0, '757\r'),
	('DL', 2009, 'GUM', 2246, 'KIX', 3992, '', 0, '752\r'),
	('DL', 2009, 'GUM', 2246, 'NGO', 3942, '', 0, '752\r'),
	('DL', 2009, 'GUM', 2246, 'NRT', 2279, '', 0, '752\r'),
	('DL', 2009, 'HAM', 342, 'AMS', 580, 'Y', 0, '737 EMJ F70\r'),
	('DL', 2009, 'HIB', 3650, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'HKG', 3077, 'NRT', 2279, '', 0, '332 777\r'),
	('DL', 2009, 'HLN', 3504, 'MSP', 3858, 'Y', 0, 'E75\r'),
	('DL', 2009, 'HLN', 3504, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'HMO', 1807, 'CUL', 1792, '', 0, 'ER4\r'),
	('DL', 2009, 'HMO', 1807, 'LAX', 3484, '', 0, 'ER4\r'),
	('DL', 2009, 'HMO', 1807, 'MEX', 1824, '', 0, 'ER4\r'),
	('DL', 2009, 'HMO', 1807, 'PHX', 3462, '', 0, 'ER4\r'),
	('DL', 2009, 'HND', 2359, 'LAX', 3484, '', 0, '76W\r'),
	('DL', 2009, 'HND', 2359, 'SEA', 3577, '', 0, '76W\r'),
	('DL', 2009, 'HNL', 3728, 'ATL', 3682, '', 0, '333\r'),
	('DL', 2009, 'HNL', 3728, 'FUK', 2305, '', 0, '76W\r'),
	('DL', 2009, 'HNL', 3728, 'ICN', 3930, 'Y', 0, '333 744\r'),
	('DL', 2009, 'HNL', 3728, 'KIX', 3992, '', 0, '333\r'),
	('DL', 2009, 'HNL', 3728, 'LAX', 3484, '', 0, '753 76W 757\r'),
	('DL', 2009, 'HNL', 3728, 'NGO', 3942, '', 0, '76W\r'),
	('DL', 2009, 'HNL', 3728, 'NRT', 2279, '', 0, '744 76W 333\r'),
	('DL', 2009, 'HNL', 3728, 'SEA', 3577, '', 0, '753\r'),
	('DL', 2009, 'HNL', 3728, 'SFO', 3469, '', 0, '753\r'),
	('DL', 2009, 'HNL', 3728, 'SLC', 3536, '', 0, '763\r'),
	('DL', 2009, 'HNL', 3728, 'YVR', 156, 'Y', 0, '73H\r'),
	('DL', 2009, 'HOU', 3566, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'HPN', 3589, 'ATL', 3682, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'HPN', 3589, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'HPN', 3589, 'MCO', 3878, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'HRE', 1005, 'LUN', 907, 'Y', 0, '332 330\r'),
	('DL', 2009, 'HSV', 4113, 'ATL', 3682, '', 0, 'M88 717\r'),
	('DL', 2009, 'HSV', 4113, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'IAD', 3714, 'AMS', 580, 'Y', 0, '333 332\r'),
	('DL', 2009, 'IAD', 3714, 'ATL', 3682, '', 0, '320 M88 319\r'),
	('DL', 2009, 'IAD', 3714, 'CDG', 1382, '', 0, '388 77W\r'),
	('DL', 2009, 'IAD', 3714, 'DTW', 3645, '', 0, 'CR7 ERJ\r'),
	('DL', 2009, 'IAD', 3714, 'ICN', 3930, 'Y', 0, '77W 772\r'),
	('DL', 2009, 'IAD', 3714, 'JFK', 3797, 'Y', 0, 'ERJ CR7\r'),
	('DL', 2009, 'IAD', 3714, 'LHR', 507, 'Y', 0, '333\r'),
	('DL', 2009, 'IAD', 3714, 'MEX', 1824, '', 0, '737\r'),
	('DL', 2009, 'IAD', 3714, 'MSP', 3858, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'IAD', 3714, 'SVO', 2985, '', 0, '763\r'),
	('DL', 2009, 'IAH', 3550, 'AMS', 580, 'Y', 0, '74M\r'),
	('DL', 2009, 'IAH', 3550, 'ATL', 3682, '', 0, 'M88 717 319\r'),
	('DL', 2009, 'IAH', 3550, 'CDG', 1382, 'Y', 0, '77W\r'),
	('DL', 2009, 'IAH', 3550, 'CVG', 3488, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'IAH', 3550, 'DTW', 3645, '', 0, '717\r'),
	('DL', 2009, 'IAH', 3550, 'LGA', 3697, 'Y', 0, 'E75 E70 CR9\r'),
	('DL', 2009, 'IAH', 3550, 'MEM', 3473, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'IAH', 3550, 'MEX', 1824, '', 0, 'EMJ\r'),
	('DL', 2009, 'IAH', 3550, 'MSP', 3858, 'Y', 0, 'CR7 E70 E75 CR9\r'),
	('DL', 2009, 'IAH', 3550, 'SEA', 3577, 'Y', 0, '73J\r'),
	('DL', 2009, 'IAH', 3550, 'SLC', 3536, '', 0, '319\r'),
	('DL', 2009, 'ICN', 3930, 'ATL', 3682, 'Y', 0, '77W\r'),
	('DL', 2009, 'ICN', 3930, 'DFW', 3670, 'Y', 0, '772\r'),
	('DL', 2009, 'ICN', 3930, 'DTW', 3645, '', 0, '744\r'),
	('DL', 2009, 'ICN', 3930, 'HNL', 3728, 'Y', 0, '333 744\r'),
	('DL', 2009, 'ICN', 3930, 'IAD', 3714, 'Y', 0, '77W 772\r'),
	('DL', 2009, 'ICN', 3930, 'JFK', 3797, '', 0, '388 77W\r'),
	('DL', 2009, 'ICN', 3930, 'LAS', 3877, 'Y', 0, '772\r'),
	('DL', 2009, 'ICN', 3930, 'LAX', 3484, 'Y', 0, '388 77W\r'),
	('DL', 2009, 'ICN', 3930, 'ORD', 3830, 'Y', 0, '772 77W\r'),
	('DL', 2009, 'ICN', 3930, 'REP', 3035, 'Y', 0, '73H\r'),
	('DL', 2009, 'ICN', 3930, 'SEA', 3577, 'Y', 0, '772 77W\r'),
	('DL', 2009, 'ICN', 3930, 'SFO', 3469, 'Y', 0, '77W 772\r'),
	('DL', 2009, 'ICT', 3457, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'ICT', 3457, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'IDA', 4100, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ILM', 3845, 'ATL', 3682, '', 0, '319\r'),
	('DL', 2009, 'ILM', 3845, 'LGA', 3697, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'IMT', 6837, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'IMT', 6837, 'RHI', 5765, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'IND', 3585, 'ATL', 3682, '', 0, 'M88 320  M90\r'),
	('DL', 2009, 'IND', 3585, 'BOS', 3448, 'Y', 0, 'E75\r'),
	('DL', 2009, 'IND', 3585, 'CUN', 1852, '', 0, '320\r'),
	('DL', 2009, 'IND', 3585, 'DTW', 3645, '', 0, '320 M88 ERJ\r'),
	('DL', 2009, 'IND', 3585, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'IND', 3585, 'LAX', 3484, '', 0, '320\r'),
	('DL', 2009, 'IND', 3585, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'IND', 3585, 'MBJ', 1780, '', 0, '320\r'),
	('DL', 2009, 'IND', 3585, 'MCO', 3878, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'IND', 3585, 'MEM', 3473, 'Y', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'IND', 3585, 'MSP', 3858, '', 0, 'M90 320 319\r'),
	('DL', 2009, 'IND', 3585, 'RDU', 3626, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'IND', 3585, 'RSW', 3793, '', 0, 'E75\r'),
	('DL', 2009, 'IND', 3585, 'SLC', 3536, '', 0, '320 319\r'),
	('DL', 2009, 'IND', 3585, 'TPA', 3646, 'Y', 0, 'E75\r'),
	('DL', 2009, 'INL', 3535, 'BRD', 6957, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'INL', 3535, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ISN', 3659, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ITH', 3947, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'JAC', 4027, 'SLC', 3536, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'JAN', 3580, 'ATL', 3682, '', 0, '717 M88\r'),
	('DL', 2009, 'JAX', 3712, 'ATL', 3682, '', 0, '757 739 M90 738\r'),
	('DL', 2009, 'JAX', 3712, 'BOS', 3448, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'JAX', 3712, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'JAX', 3712, 'DTW', 3645, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'JAX', 3712, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'JAX', 3712, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'JAX', 3712, 'MSP', 3858, 'Y', 0, 'E75 CR9 E70\r'),
	('DL', 2009, 'JFK', 3797, 'ACC', 248, '', 0, '76W\r'),
	('DL', 2009, 'JFK', 3797, 'AMS', 580, '', 0, '76W\r'),
	('DL', 2009, 'JFK', 3797, 'ATL', 3682, '', 0, '752 757 319 738 M88 \r'),
	('DL', 2009, 'JFK', 3797, 'AUA', 2895, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'AUS', 3673, '', 0, '319\r'),
	('DL', 2009, 'JFK', 3797, 'BCN', 1218, '', 0, '333\r'),
	('DL', 2009, 'JFK', 3797, 'BDA', 4069, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'BNA', 3690, '', 0, 'CR9\r'),
	('DL', 2009, 'JFK', 3797, 'BOG', 2709, '', 0, '73W\r'),
	('DL', 2009, 'JFK', 3797, 'BOS', 3448, '', 0, 'CR9 752 CR7\r'),
	('DL', 2009, 'JFK', 3797, 'BRU', 302, '', 0, '76W\r'),
	('DL', 2009, 'JFK', 3797, 'BUF', 3820, '', 0, 'CR7 CR9\r'),
	('DL', 2009, 'JFK', 3797, 'BWI', 3849, '', 0, 'ERJ\r'),
	('DL', 2009, 'JFK', 3797, 'CDG', 1382, '', 0, '332 772 388 343\r'),
	('DL', 2009, 'JFK', 3797, 'CHS', 3806, '', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'JFK', 3797, 'CLE', 3486, '', 0, 'CRJ ERJ\r'),
	('DL', 2009, 'JFK', 3797, 'CLT', 3876, '', 0, 'ERJ\r'),
	('DL', 2009, 'JFK', 3797, 'CMH', 3759, '', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'JFK', 3797, 'CUN', 1852, '', 0, '738\r'),
	('DL', 2009, 'JFK', 3797, 'CVG', 3488, '', 0, 'CR9 CR7\r'),
	('DL', 2009, 'JFK', 3797, 'DCA', 3520, '', 0, 'CR9\r'),
	('DL', 2009, 'JFK', 3797, 'DEN', 3751, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'DFW', 3670, '', 0, 'CR9\r'),
	('DL', 2009, 'JFK', 3797, 'DKR', 1084, '', 0, '752\r'),
	('DL', 2009, 'JFK', 3797, 'DTW', 3645, '', 0, 'M88 CR9 73H 319\r'),
	('DL', 2009, 'JFK', 3797, 'DUB', 599, '', 0, '752\r'),
	('DL', 2009, 'JFK', 3797, 'FCO', 1555, '', 0, '772 333 330\r'),
	('DL', 2009, 'JFK', 3797, 'FLL', 3533, '', 0, '752 M88 73H 738\r'),
	('DL', 2009, 'JFK', 3797, 'FRA', 340, '', 0, '76W\r'),
	('DL', 2009, 'JFK', 3797, 'GND', 2882, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'GRU', 2564, '', 0, '764\r'),
	('DL', 2009, 'JFK', 3797, 'GUA', 1767, '', 0, '752\r'),
	('DL', 2009, 'JFK', 3797, 'IAD', 3714, '', 0, 'CR7 ERJ CRJ\r'),
	('DL', 2009, 'JFK', 3797, 'ICN', 3930, '', 0, '77W 388\r'),
	('DL', 2009, 'JFK', 3797, 'IND', 3585, '', 0, 'CR9\r'),
	('DL', 2009, 'JFK', 3797, 'JAX', 3712, '', 0, 'CR9\r'),
	('DL', 2009, 'JFK', 3797, 'LAS', 3877, '', 0, '73H 738 757\r'),
	('DL', 2009, 'JFK', 3797, 'LAX', 3484, '', 0, '76W 752\r'),
	('DL', 2009, 'JFK', 3797, 'LHR', 507, '', 0, '764 76W\r'),
	('DL', 2009, 'JFK', 3797, 'LIR', 1881, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'MAD', 1229, '', 0, '764\r'),
	('DL', 2009, 'JFK', 3797, 'MBJ', 1780, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'MCO', 3878, '', 0, '752 73H M88 738\r'),
	('DL', 2009, 'JFK', 3797, 'MEX', 1824, '', 0, '738 757 787\r'),
	('DL', 2009, 'JFK', 3797, 'MIA', 3576, '', 0, '73H M88 738 319\r'),
	('DL', 2009, 'JFK', 3797, 'MSP', 3858, '', 0, 'CR9 319 M88\r'),
	('DL', 2009, 'JFK', 3797, 'MSY', 3861, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'JFK', 3797, 'MXP', 1524, '', 0, '764 330\r'),
	('DL', 2009, 'JFK', 3797, 'NAS', 1953, '', 0, 'M88\r'),
	('DL', 2009, 'JFK', 3797, 'NCE', 1354, '', 0, '764\r'),
	('DL', 2009, 'JFK', 3797, 'NRT', 2279, '', 0, '744\r'),
	('DL', 2009, 'JFK', 3797, 'ORD', 3830, '', 0, 'CR9\r'),
	('DL', 2009, 'JFK', 3797, 'ORF', 3611, '', 0, 'ERJ\r'),
	('DL', 2009, 'JFK', 3797, 'PAP', 1897, '', 0, '738\r'),
	('DL', 2009, 'JFK', 3797, 'PDX', 3720, '', 0, '752 73H\r'),
	('DL', 2009, 'JFK', 3797, 'PHL', 3752, '', 0, 'ERJ CRJ 752\r'),
	('DL', 2009, 'JFK', 3797, 'PHX', 3462, '', 0, '738 73H\r'),
	('DL', 2009, 'JFK', 3797, 'PIT', 3570, '', 0, 'CR9 752 ERJ\r'),
	('DL', 2009, 'JFK', 3797, 'PLS', 1754, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'PUJ', 1760, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'PVG', 3406, '', 0, '346\r'),
	('DL', 2009, 'JFK', 3797, 'RDU', 3626, '', 0, 'CR7 CR9\r'),
	('DL', 2009, 'JFK', 3797, 'RIC', 3608, '', 0, 'ERJ CR9\r'),
	('DL', 2009, 'JFK', 3797, 'ROC', 3622, '', 0, 'CRJ ERJ CR9\r'),
	('DL', 2009, 'JFK', 3797, 'SAN', 3731, '', 0, '757 73H\r'),
	('DL', 2009, 'JFK', 3797, 'SAT', 3621, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'SAV', 3613, '', 0, 'CR9 CR7\r'),
	('DL', 2009, 'JFK', 3797, 'SDF', 4014, '', 0, 'CRJ ERJ\r'),
	('DL', 2009, 'JFK', 3797, 'SDQ', 1762, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'SEA', 3577, '', 0, '752 757\r'),
	('DL', 2009, 'JFK', 3797, 'SFO', 3469, '', 0, '752\r'),
	('DL', 2009, 'JFK', 3797, 'SJO', 1885, '', 0, '757\r'),
	('DL', 2009, 'JFK', 3797, 'SJU', 2890, '', 0, '73H 752 757\r'),
	('DL', 2009, 'JFK', 3797, 'SLC', 3536, '', 0, '757 73H 738 739 752\r'),
	('DL', 2009, 'JFK', 3797, 'STI', 1764, '', 0, '73H\r'),
	('DL', 2009, 'JFK', 3797, 'STL', 3678, '', 0, 'CR7 CR9\r'),
	('DL', 2009, 'JFK', 3797, 'STT', 2883, '', 0, '757\r'),
	('DL', 2009, 'JFK', 3797, 'SVO', 2985, '', 0, '333 76W 77W\r'),
	('DL', 2009, 'JFK', 3797, 'SXM', 2899, '', 0, '752\r'),
	('DL', 2009, 'JFK', 3797, 'SYR', 3745, '', 0, 'ERJ\r'),
	('DL', 2009, 'JFK', 3797, 'TLV', 1590, '', 0, '744\r'),
	('DL', 2009, 'JFK', 3797, 'TPA', 3646, '', 0, 'M88 738 73H\r'),
	('DL', 2009, 'JFK', 3797, 'VCE', 1551, '', 0, '764\r'),
	('DL', 2009, 'JFK', 3797, 'YUL', 146, '', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'JFK', 3797, 'YYC', 178, 'Y', 0, '736\r'),
	('DL', 2009, 'JFK', 3797, 'YYZ', 193, '', 0, 'CRJ CR7 ERJ\r'),
	('DL', 2009, 'JNB', 813, 'ATL', 3682, '', 0, '77L\r'),
	('DL', 2009, 'JRO', 1180, 'DAR', 1177, 'Y', 0, '332 330\r'),
	('DL', 2009, 'KGL', 1165, 'EBB', 1187, 'Y', 0, '332 330\r'),
	('DL', 2009, 'KIN', 1779, 'ATL', 3682, '', 0, '319\r'),
	('DL', 2009, 'KIX', 3992, 'GUM', 2246, '', 0, '752\r'),
	('DL', 2009, 'KIX', 3992, 'HNL', 3728, '', 0, '333\r'),
	('DL', 2009, 'KOA', 3514, 'LAX', 3484, '', 0, '757\r'),
	('DL', 2009, 'KSC', 1746, 'BTS', 1745, 'Y', 0, 'AT4\r'),
	('DL', 2009, 'KWI', 2176, 'AMS', 580, 'Y', 0, '330\r'),
	('DL', 2009, 'KWI', 2176, 'DMM', 2064, 'Y', 0, '332 330\r'),
	('DL', 2009, 'LAN', 3544, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LAN', 3544, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LAN', 3544, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LAS', 3877, 'ATL', 3682, '', 0, '739 757 738 753\r'),
	('DL', 2009, 'LAS', 3877, 'BOS', 3448, '', 0, '73H\r'),
	('DL', 2009, 'LAS', 3877, 'CVG', 3488, '', 0, '757\r'),
	('DL', 2009, 'LAS', 3877, 'DTW', 3645, '', 0, '757 320 739 738\r'),
	('DL', 2009, 'LAS', 3877, 'ICN', 3930, 'Y', 0, '772\r'),
	('DL', 2009, 'LAS', 3877, 'JFK', 3797, '', 0, '738 757 73H\r'),
	('DL', 2009, 'LAS', 3877, 'LAX', 3484, '', 0, '319\r'),
	('DL', 2009, 'LAS', 3877, 'LGW', 502, 'Y', 0, '744\r'),
	('DL', 2009, 'LAS', 3877, 'MAN', 478, 'Y', 0, '744\r'),
	('DL', 2009, 'LAS', 3877, 'MCO', 3878, '', 0, '73H\r'),
	('DL', 2009, 'LAS', 3877, 'MEM', 3473, '', 0, '738\r'),
	('DL', 2009, 'LAS', 3877, 'MEX', 1824, '', 0, '737\r'),
	('DL', 2009, 'LAS', 3877, 'MSP', 3858, '', 0, '757 M90 738 739\r'),
	('DL', 2009, 'LAS', 3877, 'MTY', 1825, 'Y', 0, '737\r'),
	('DL', 2009, 'LAS', 3877, 'RDU', 3626, '', 0, '73H\r'),
	('DL', 2009, 'LAS', 3877, 'SEA', 3577, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'LAS', 3877, 'SLC', 3536, '', 0, '738 757 320\r'),
	('DL', 2009, 'LAS', 3877, 'YVR', 156, 'Y', 0, '73H 73W\r'),
	('DL', 2009, 'LAS', 3877, 'YYC', 178, 'Y', 0, '73H 73W\r'),
	('DL', 2009, 'LAS', 3877, 'YYZ', 193, 'Y', 0, '73H\r'),
	('DL', 2009, 'LAX', 3484, 'AMS', 580, 'Y', 0, '74M 747\r'),
	('DL', 2009, 'LAX', 3484, 'ATL', 3682, '', 0, '763 757 73H 76W\r'),
	('DL', 2009, 'LAX', 3484, 'BJX', 1815, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'LAX', 3484, 'BNA', 3690, '', 0, '738 73H\r'),
	('DL', 2009, 'LAX', 3484, 'BNE', 3320, 'Y', 0, '77W\r'),
	('DL', 2009, 'LAX', 3484, 'BOS', 3448, '', 0, '73H\r'),
	('DL', 2009, 'LAX', 3484, 'BZE', 1957, '', 0, '320\r'),
	('DL', 2009, 'LAX', 3484, 'CAN', 3370, 'Y', 0, '380\r'),
	('DL', 2009, 'LAX', 3484, 'CDG', 1382, 'Y', 0, '388 772\r'),
	('DL', 2009, 'LAX', 3484, 'CMH', 3759, '', 0, '738\r'),
	('DL', 2009, 'LAX', 3484, 'CUN', 1852, '', 0, '320\r'),
	('DL', 2009, 'LAX', 3484, 'CVG', 3488, '', 0, '320\r'),
	('DL', 2009, 'LAX', 3484, 'DCA', 3520, 'Y', 0, '73H\r'),
	('DL', 2009, 'LAX', 3484, 'DTW', 3645, '', 0, '739 763 753\r'),
	('DL', 2009, 'LAX', 3484, 'FCO', 1555, 'Y', 0, '772\r'),
	('DL', 2009, 'LAX', 3484, 'GDL', 1804, '', 0, '738\r'),
	('DL', 2009, 'LAX', 3484, 'GEG', 3467, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'LAX', 3484, 'GUA', 1767, '', 0, '757\r'),
	('DL', 2009, 'LAX', 3484, 'HMO', 1807, '', 0, 'ER4\r'),
	('DL', 2009, 'LAX', 3484, 'HND', 2359, '', 0, '76W\r'),
	('DL', 2009, 'LAX', 3484, 'HNL', 3728, '', 0, '76W 757 753\r'),
	('DL', 2009, 'LAX', 3484, 'ICN', 3930, 'Y', 0, '388 77W\r'),
	('DL', 2009, 'LAX', 3484, 'IND', 3585, '', 0, '320\r'),
	('DL', 2009, 'LAX', 3484, 'JFK', 3797, '', 0, '76W 752\r'),
	('DL', 2009, 'LAX', 3484, 'KOA', 3514, '', 0, '757\r'),
	('DL', 2009, 'LAX', 3484, 'LAS', 3877, '', 0, '319\r'),
	('DL', 2009, 'LAX', 3484, 'LHR', 507, 'Y', 0, '346 343 744\r'),
	('DL', 2009, 'LAX', 3484, 'LIH', 3602, '', 0, '757\r'),
	('DL', 2009, 'LAX', 3484, 'LIR', 1881, '', 0, '738\r'),
	('DL', 2009, 'LAX', 3484, 'MCI', 3458, 'Y', 0, 'E75\r'),
	('DL', 2009, 'LAX', 3484, 'MCO', 3878, '', 0, '738 757 739 73H\r'),
	('DL', 2009, 'LAX', 3484, 'MEL', 3339, 'Y', 0, '77W\r'),
	('DL', 2009, 'LAX', 3484, 'MEM', 3473, '', 0, '320\r'),
	('DL', 2009, 'LAX', 3484, 'MEX', 1824, '', 0, '737\r'),
	('DL', 2009, 'LAX', 3484, 'MIA', 3576, '', 0, '738\r'),
	('DL', 2009, 'LAX', 3484, 'MSP', 3858, '', 0, '757 753 739 763 738\r'),
	('DL', 2009, 'LAX', 3484, 'MSY', 3861, '', 0, '319\r'),
	('DL', 2009, 'LAX', 3484, 'NRT', 2279, '', 0, '744\r'),
	('DL', 2009, 'LAX', 3484, 'OAK', 3453, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'LAX', 3484, 'OGG', 3456, '', 0, '757\r'),
	('DL', 2009, 'LAX', 3484, 'PDX', 3720, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'LAX', 3484, 'PHX', 3462, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'LAX', 3484, 'PPT', 4075, 'Y', 0, '772\r'),
	('DL', 2009, 'LAX', 3484, 'PVG', 3406, 'Y', 0, '346\r'),
	('DL', 2009, 'LAX', 3484, 'PVR', 1836, '', 0, '320 73H\r'),
	('DL', 2009, 'LAX', 3484, 'RDU', 3626, '', 0, '738\r'),
	('DL', 2009, 'LAX', 3484, 'SAN', 3731, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'LAX', 3484, 'SEA', 3577, '', 0, '73H\r'),
	('DL', 2009, 'LAX', 3484, 'SFO', 3469, 'Y', 0, 'E75\r'),
	('DL', 2009, 'LAX', 3484, 'SJC', 3748, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'LAX', 3484, 'SJO', 1885, '', 0, '757\r'),
	('DL', 2009, 'LAX', 3484, 'SLC', 3536, '', 0, '757 73H 320 739\r'),
	('DL', 2009, 'LAX', 3484, 'SMF', 3817, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'LAX', 3484, 'SVO', 2985, '', 0, '332\r'),
	('DL', 2009, 'LAX', 3484, 'SYD', 3361, '', 0, '77L\r'),
	('DL', 2009, 'LAX', 3484, 'TPA', 3646, '', 0, '320\r'),
	('DL', 2009, 'LAX', 3484, 'TPE', 2276, 'Y', 0, '744\r'),
	('DL', 2009, 'LAX', 3484, 'YEG', 49, 'Y', 0, '73H\r'),
	('DL', 2009, 'LAX', 3484, 'YYC', 178, 'Y', 0, '73W\r'),
	('DL', 2009, 'LEX', 4017, 'ATL', 3682, '', 0, 'M88 717\r'),
	('DL', 2009, 'LEX', 4017, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LEX', 4017, 'DTW', 3645, 'Y', 0, 'CR7 CRJ CR9\r'),
	('DL', 2009, 'LEX', 4017, 'LGA', 3697, '', 0, 'ERJ\r'),
	('DL', 2009, 'LEX', 4017, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LFT', 3493, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LGA', 3697, 'ATL', 3682, '', 0, 'M88 757 320 738 739 73W\r'),
	('DL', 2009, 'LGA', 3697, 'AUA', 2895, '', 0, '738\r'),
	('DL', 2009, 'LGA', 3697, 'BGR', 3463, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'BHM', 3811, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'LGA', 3697, 'BNA', 3690, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'LGA', 3697, 'BOS', 3448, 'Y', 0, 'E75\r'),
	('DL', 2009, 'LGA', 3697, 'BTV', 3711, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'BUF', 3820, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'CAE', 3561, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LGA', 3697, 'CHO', 4015, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'CHS', 3806, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'CLE', 3486, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'CLT', 3876, '', 0, 'E75 CR7\r'),
	('DL', 2009, 'LGA', 3697, 'CMH', 3759, 'Y', 0, 'E70 E75 CR7 ERJ\r'),
	('DL', 2009, 'LGA', 3697, 'CVG', 3488, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'DAY', 3627, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'LGA', 3697, 'DCA', 3520, 'Y', 0, 'E70 E75\r'),
	('DL', 2009, 'LGA', 3697, 'DEN', 3751, '', 0, '320\r'),
	('DL', 2009, 'LGA', 3697, 'DFW', 3670, '', 0, 'E75\r'),
	('DL', 2009, 'LGA', 3697, 'DSM', 3729, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'LGA', 3697, 'DTW', 3645, '', 0, '319 M88 738\r'),
	('DL', 2009, 'LGA', 3697, 'EYW', 3875, '', 0, '73W\r'),
	('DL', 2009, 'LGA', 3697, 'FLL', 3533, '', 0, 'M88 738 319\r'),
	('DL', 2009, 'LGA', 3697, 'GRR', 3685, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'GSO', 4008, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'GSP', 4034, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LGA', 3697, 'IAH', 3550, 'Y', 0, 'E70 E75\r'),
	('DL', 2009, 'LGA', 3697, 'ILM', 3845, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'LGA', 3697, 'IND', 3585, '', 0, 'E75 CR7\r'),
	('DL', 2009, 'LGA', 3697, 'JAX', 3712, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'LEX', 4017, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'LGA', 3697, 'MCI', 3458, 'Y', 0, 'CR7 E75 E70\r'),
	('DL', 2009, 'LGA', 3697, 'MCO', 3878, '', 0, '319 M88 738\r'),
	('DL', 2009, 'LGA', 3697, 'MEM', 3473, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'LGA', 3697, 'MHT', 4011, '', 0, 'ERJ\r'),
	('DL', 2009, 'LGA', 3697, 'MIA', 3576, '', 0, 'M88 320 738\r'),
	('DL', 2009, 'LGA', 3697, 'MKE', 3717, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'MSN', 3459, '', 0, 'E70\r'),
	('DL', 2009, 'LGA', 3697, 'MSP', 3858, '', 0, '319 320 M88\r'),
	('DL', 2009, 'LGA', 3697, 'MSY', 3861, '', 0, '319\r'),
	('DL', 2009, 'LGA', 3697, 'MYR', 3515, 'Y', 0, 'E75\r'),
	('DL', 2009, 'LGA', 3697, 'OMA', 3454, 'Y', 0, 'E75\r'),
	('DL', 2009, 'LGA', 3697, 'ORD', 3830, 'Y', 0, 'E75 E70\r'),
	('DL', 2009, 'LGA', 3697, 'ORF', 3611, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'PBI', 3722, '', 0, '319\r'),
	('DL', 2009, 'LGA', 3697, 'PIT', 3570, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'LGA', 3697, 'PWM', 3862, '', 0, 'ERJ M88\r'),
	('DL', 2009, 'LGA', 3697, 'RDU', 3626, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'RIC', 3608, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'ROC', 3622, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'LGA', 3697, 'RSW', 3793, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'LGA', 3697, 'SAV', 3613, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'SDF', 4014, '', 0, 'ERJ\r'),
	('DL', 2009, 'LGA', 3697, 'SRQ', 4067, '', 0, '319\r'),
	('DL', 2009, 'LGA', 3697, 'STL', 3678, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'SYR', 3745, '', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'TPA', 3646, '', 0, '319 M88 320\r'),
	('DL', 2009, 'LGA', 3697, 'TYS', 3676, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LGA', 3697, 'YHZ', 73, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'LGA', 3697, 'YUL', 146, 'Y', 0, 'ERJ CR7\r'),
	('DL', 2009, 'LGA', 3697, 'YYZ', 193, 'Y', 0, '736 73W\r'),
	('DL', 2009, 'LGB', 3582, 'SLC', 3536, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'LGW', 502, 'LAS', 3877, 'Y', 0, '744\r'),
	('DL', 2009, 'LGW', 502, 'MCO', 3878, 'Y', 0, '744\r'),
	('DL', 2009, 'LHR', 507, 'ATL', 3682, '', 0, '764 77L 76W\r'),
	('DL', 2009, 'LHR', 507, 'BOS', 3448, '', 0, '764\r'),
	('DL', 2009, 'LHR', 507, 'DTW', 3645, '', 0, '76W 77L\r'),
	('DL', 2009, 'LHR', 507, 'EWR', 3494, 'Y', 0, '333 346\r'),
	('DL', 2009, 'LHR', 507, 'IAD', 3714, 'Y', 0, '333\r'),
	('DL', 2009, 'LHR', 507, 'JFK', 3797, '', 0, '76W 764\r'),
	('DL', 2009, 'LHR', 507, 'LAX', 3484, 'Y', 0, '346 343 744\r'),
	('DL', 2009, 'LHR', 507, 'MIA', 3576, 'Y', 0, '744 333\r'),
	('DL', 2009, 'LHR', 507, 'MSP', 3858, '', 0, '764\r'),
	('DL', 2009, 'LHR', 507, 'ORD', 3830, 'Y', 0, '343\r'),
	('DL', 2009, 'LHR', 507, 'SEA', 3577, '', 0, '76W\r'),
	('DL', 2009, 'LHR', 507, 'SFO', 3469, 'Y', 0, '744\r'),
	('DL', 2009, 'LIH', 3602, 'LAX', 3484, '', 0, '757\r'),
	('DL', 2009, 'LIM', 2789, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'LIR', 1881, 'ATL', 3682, '', 0, '738 757\r'),
	('DL', 2009, 'LIR', 1881, 'JFK', 3797, '', 0, '738\r'),
	('DL', 2009, 'LIR', 1881, 'LAX', 3484, '', 0, '738\r'),
	('DL', 2009, 'LIT', 3660, 'ATL', 3682, '', 0, 'M88 319\r'),
	('DL', 2009, 'LIT', 3660, 'DTW', 3645, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'LNK', 3543, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LOS', 273, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'LSE', 4044, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'LUN', 907, 'AMS', 580, 'Y', 0, '330\r'),
	('DL', 2009, 'LWS', 3945, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MAD', 1229, 'ATL', 3682, '', 0, '764\r'),
	('DL', 2009, 'MAD', 1229, 'JFK', 3797, '', 0, '764\r'),
	('DL', 2009, 'MAN', 478, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'MAN', 478, 'LAS', 3877, 'Y', 0, '744\r'),
	('DL', 2009, 'MAN', 478, 'MCO', 3878, 'Y', 0, '744\r'),
	('DL', 2009, 'MBJ', 1780, 'ATL', 3682, '', 0, '757 M88\r'),
	('DL', 2009, 'MBJ', 1780, 'DTW', 3645, '', 0, '320\r'),
	('DL', 2009, 'MBJ', 1780, 'IND', 3585, '', 0, '320\r'),
	('DL', 2009, 'MBJ', 1780, 'JFK', 3797, '', 0, '73H\r'),
	('DL', 2009, 'MBS', 4128, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MBS', 4128, 'DTW', 3645, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'MBS', 4128, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MCI', 3458, 'ATL', 3682, '', 0, '757 M90 M88\r'),
	('DL', 2009, 'MCI', 3458, 'CVG', 3488, '', 0, 'ERJ\r'),
	('DL', 2009, 'MCI', 3458, 'DTW', 3645, '', 0, '320 M88 319\r'),
	('DL', 2009, 'MCI', 3458, 'LAX', 3484, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MCI', 3458, 'LGA', 3697, 'Y', 0, 'CR7 E75 E70\r'),
	('DL', 2009, 'MCI', 3458, 'MCO', 3878, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MCI', 3458, 'MEM', 3473, '', 0, 'ERJ\r'),
	('DL', 2009, 'MCI', 3458, 'MSP', 3858, '', 0, '320 319 M88 ERJ\r'),
	('DL', 2009, 'MCI', 3458, 'SLC', 3536, '', 0, '319\r'),
	('DL', 2009, 'MCO', 3878, 'ATL', 3682, '', 0, '757 76W  739 M88 753 763\r'),
	('DL', 2009, 'MCO', 3878, 'AUS', 3673, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'MCO', 3878, 'BDL', 3825, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MCO', 3878, 'BHM', 3811, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'MCO', 3878, 'BNA', 3690, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MCO', 3878, 'BOS', 3448, '', 0, '320 M88\r'),
	('DL', 2009, 'MCO', 3878, 'CMH', 3759, 'Y', 0, 'E70\r'),
	('DL', 2009, 'MCO', 3878, 'CUN', 1852, '', 0, '757\r'),
	('DL', 2009, 'MCO', 3878, 'CVG', 3488, '', 0, 'M88 320\r'),
	('DL', 2009, 'MCO', 3878, 'DTW', 3645, '', 0, '757 753\r'),
	('DL', 2009, 'MCO', 3878, 'GLA', 534, 'Y', 0, '744\r'),
	('DL', 2009, 'MCO', 3878, 'GRR', 3685, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'MCO', 3878, 'HPN', 3589, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'MCO', 3878, 'IND', 3585, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MCO', 3878, 'JFK', 3797, '', 0, '73H 752 M88 738\r'),
	('DL', 2009, 'MCO', 3878, 'LAS', 3877, '', 0, '738\r'),
	('DL', 2009, 'MCO', 3878, 'LAX', 3484, '', 0, '757 739\r'),
	('DL', 2009, 'MCO', 3878, 'LGA', 3697, '', 0, 'M88 738 319 320\r'),
	('DL', 2009, 'MCO', 3878, 'LGW', 502, 'Y', 0, '744\r'),
	('DL', 2009, 'MCO', 3878, 'MAN', 478, 'Y', 0, '744\r'),
	('DL', 2009, 'MCO', 3878, 'MCI', 3458, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MCO', 3878, 'MEM', 3473, '', 0, 'M88\r'),
	('DL', 2009, 'MCO', 3878, 'MEX', 1824, '', 0, '737\r'),
	('DL', 2009, 'MCO', 3878, 'MKE', 3717, '', 0, 'M88\r'),
	('DL', 2009, 'MCO', 3878, 'MSP', 3858, '', 0, '753 757\r'),
	('DL', 2009, 'MCO', 3878, 'OMA', 3454, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MCO', 3878, 'ORF', 3611, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'MCO', 3878, 'PIT', 3570, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MCO', 3878, 'RDU', 3626, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MCO', 3878, 'RIC', 3608, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MCO', 3878, 'SAT', 3621, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MCO', 3878, 'SDF', 4014, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MCO', 3878, 'SDQ', 1762, 'Y', 0, '738\r'),
	('DL', 2009, 'MCO', 3878, 'SLC', 3536, '', 0, '757 738 73H\r'),
	('DL', 2009, 'MCO', 3878, 'YYZ', 193, 'Y', 0, '73W 73H\r'),
	('DL', 2009, 'MCT', 2194, 'DOH', 2241, 'Y', 0, '332\r'),
	('DL', 2009, 'MDT', 3542, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'MDT', 3542, 'DTW', 3645, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'MDW', 3747, 'ATL', 3682, '', 0, '319 320 717\r'),
	('DL', 2009, 'MDW', 3747, 'DTW', 3645, 'Y', 0, 'CR7 CR9 E75\r'),
	('DL', 2009, 'MDW', 3747, 'MSP', 3858, 'Y', 0, 'E75 E70 CR7 CR9\r'),
	('DL', 2009, 'MEL', 3339, 'LAX', 3484, 'Y', 0, '77W\r'),
	('DL', 2009, 'MEM', 3473, 'ATL', 3682, '', 0, 'M88 320 319\r'),
	('DL', 2009, 'MEM', 3473, 'AUS', 3673, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MEM', 3473, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MEM', 3473, 'DCA', 3520, 'Y', 0, 'E70\r'),
	('DL', 2009, 'MEM', 3473, 'DEN', 3751, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MEM', 3473, 'DFW', 3670, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MEM', 3473, 'DTW', 3645, 'Y', 0, 'CR9 E70\r'),
	('DL', 2009, 'MEM', 3473, 'IAH', 3550, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MEM', 3473, 'IND', 3585, 'Y', 0, 'CRJ ERJ\r'),
	('DL', 2009, 'MEM', 3473, 'LAS', 3877, '', 0, '738\r'),
	('DL', 2009, 'MEM', 3473, 'LAX', 3484, '', 0, '320\r'),
	('DL', 2009, 'MEM', 3473, 'LGA', 3697, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MEM', 3473, 'MCI', 3458, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MEM', 3473, 'MCO', 3878, '', 0, 'M88\r'),
	('DL', 2009, 'MEM', 3473, 'MSP', 3858, '', 0, 'M88\r'),
	('DL', 2009, 'MEM', 3473, 'MSY', 3861, 'Y', 0, 'CRJ ERJ\r'),
	('DL', 2009, 'MEM', 3473, 'ORD', 3830, 'Y', 0, 'ERJ CRJ CR9\r'),
	('DL', 2009, 'MEM', 3473, 'PIT', 3570, '', 0, 'ERJ\r'),
	('DL', 2009, 'MEM', 3473, 'RDU', 3626, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MEM', 3473, 'SAT', 3621, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MEM', 3473, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'MEX', 1824, 'ACA', 1783, '', 0, '738\r'),
	('DL', 2009, 'MEX', 1824, 'ATL', 3682, '', 0, '73H 73W 738\r'),
	('DL', 2009, 'MEX', 1824, 'DFW', 3670, '', 0, 'EMJ\r'),
	('DL', 2009, 'MEX', 1824, 'DTW', 3645, '', 0, '319\r'),
	('DL', 2009, 'MEX', 1824, 'IAD', 3714, '', 0, '737\r'),
	('DL', 2009, 'MEX', 1824, 'IAH', 3550, '', 0, 'EMJ\r'),
	('DL', 2009, 'MEX', 1824, 'JFK', 3797, '', 0, '738 787 757\r'),
	('DL', 2009, 'MEX', 1824, 'LAS', 3877, '', 0, '737\r'),
	('DL', 2009, 'MEX', 1824, 'LAX', 3484, '', 0, '737\r'),
	('DL', 2009, 'MEX', 1824, 'MCO', 3878, '', 0, '737\r'),
	('DL', 2009, 'MEX', 1824, 'MIA', 3576, '', 0, '737\r'),
	('DL', 2009, 'MEX', 1824, 'MID', 1819, '', 0, '737\r'),
	('DL', 2009, 'MEX', 1824, 'ORD', 3830, '', 0, '737\r'),
	('DL', 2009, 'MEX', 1824, 'SAT', 3621, '', 0, 'EMJ\r'),
	('DL', 2009, 'MEX', 1824, 'SFO', 3469, '', 0, '737\r'),
	('DL', 2009, 'MEX', 1824, 'VSA', 1853, '', 0, 'EMJ\r'),
	('DL', 2009, 'MFR', 4101, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MGA', 1863, 'ATL', 3682, '', 0, '319 320\r'),
	('DL', 2009, 'MGM', 4115, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MHT', 4011, 'ATL', 3682, '', 0, '320\r'),
	('DL', 2009, 'MHT', 4011, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'MHT', 4011, 'LGA', 3697, '', 0, 'ERJ\r'),
	('DL', 2009, 'MIA', 3576, 'ATL', 3682, '', 0, 'M88 757 M90 73H \r'),
	('DL', 2009, 'MIA', 3576, 'CDG', 1382, 'Y', 0, '77W\r'),
	('DL', 2009, 'MIA', 3576, 'DTW', 3645, '', 0, '320 M88\r'),
	('DL', 2009, 'MIA', 3576, 'FCO', 1555, 'Y', 0, '772 330\r'),
	('DL', 2009, 'MIA', 3576, 'JFK', 3797, '', 0, 'M88 73H 738 319\r'),
	('DL', 2009, 'MIA', 3576, 'LAX', 3484, '', 0, '738\r'),
	('DL', 2009, 'MIA', 3576, 'LGA', 3697, '', 0, '320 M88 738\r'),
	('DL', 2009, 'MIA', 3576, 'LHR', 507, 'Y', 0, '744 333\r'),
	('DL', 2009, 'MIA', 3576, 'MEX', 1824, '', 0, '737\r'),
	('DL', 2009, 'MIA', 3576, 'MID', 1819, '', 0, 'EMJ\r'),
	('DL', 2009, 'MIA', 3576, 'MSP', 3858, '', 0, '320 M90\r'),
	('DL', 2009, 'MIA', 3576, 'PAP', 1897, '', 0, '320\r'),
	('DL', 2009, 'MIA', 3576, 'SDQ', 1762, 'Y', 0, '738\r'),
	('DL', 2009, 'MIA', 3576, 'SVO', 2985, '', 0, '332\r'),
	('DL', 2009, 'MID', 1819, 'MEX', 1824, '', 0, 'EMJ\r'),
	('DL', 2009, 'MID', 1819, 'MIA', 3576, '', 0, 'EMJ\r'),
	('DL', 2009, 'MKE', 3717, 'ATL', 3682, '', 0, 'M90 M88\r'),
	('DL', 2009, 'MKE', 3717, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MKE', 3717, 'DTW', 3645, '', 0, 'M88 717 M90 320 319\r'),
	('DL', 2009, 'MKE', 3717, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'MKE', 3717, 'MCO', 3878, '', 0, 'M88\r'),
	('DL', 2009, 'MKE', 3717, 'MSP', 3858, '', 0, 'M90 320 M88 319\r'),
	('DL', 2009, 'MLB', 3671, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'MLI', 4072, 'ATL', 3682, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'MLI', 4072, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MLI', 4072, 'MSP', 3858, 'Y', 0, 'CRJ ERJ\r'),
	('DL', 2009, 'MLU', 3732, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MNL', 2397, 'NGO', 3942, '', 0, '744\r'),
	('DL', 2009, 'MNL', 2397, 'NRT', 2279, '', 0, '744\r'),
	('DL', 2009, 'MOB', 3782, 'ATL', 3682, '', 0, '717 319\r'),
	('DL', 2009, 'MOT', 3498, 'MSP', 3858, 'Y', 0, 'E75 CRJ CR9 E70\r'),
	('DL', 2009, 'MQT', 6838, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MRS', 1353, 'CDG', 1382, 'Y', 0, '319\r'),
	('DL', 2009, 'MSN', 3459, 'ATL', 3682, '', 0, '73W 320 \r'),
	('DL', 2009, 'MSN', 3459, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSN', 3459, 'DCA', 3520, 'Y', 0, 'E70\r'),
	('DL', 2009, 'MSN', 3459, 'DTW', 3645, '', 0, 'M88 320 319\r'),
	('DL', 2009, 'MSN', 3459, 'LGA', 3697, '', 0, 'E70\r'),
	('DL', 2009, 'MSN', 3459, 'MSP', 3858, '', 0, '320 E70 319\r'),
	('DL', 2009, 'MSN', 3459, 'SLC', 3536, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'MSO', 4216, 'MSP', 3858, '', 0, '319\r'),
	('DL', 2009, 'MSO', 4216, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'ABQ', 4019, '', 0, '320\r'),
	('DL', 2009, 'MSP', 3858, 'ABR', 5714, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'ALB', 3864, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MSP', 3858, 'AMS', 580, '', 0, '333 332\r'),
	('DL', 2009, 'MSP', 3858, 'ANC', 3774, '', 0, '757 738\r'),
	('DL', 2009, 'MSP', 3858, 'APN', 5720, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'ATL', 3682, '', 0, '320 757 739 M88 M90\r'),
	('DL', 2009, 'MSP', 3858, 'ATW', 4047, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'MSP', 3858, 'AUS', 3673, 'Y', 0, 'CR9 E75\r'),
	('DL', 2009, 'MSP', 3858, 'AZO', 4039, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'BDL', 3825, '', 0, '319\r'),
	('DL', 2009, 'MSP', 3858, 'BHM', 3811, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'MSP', 3858, 'BIL', 4021, '', 0, '319 320\r'),
	('DL', 2009, 'MSP', 3858, 'BIS', 4083, 'Y', 0, 'CRJ E70 CR9 E75\r'),
	('DL', 2009, 'MSP', 3858, 'BJI', 4287, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'BMI', 4037, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'BNA', 3690, 'Y', 0, 'CR7 CR9 CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'BOI', 3495, '', 0, '320 738\r'),
	('DL', 2009, 'MSP', 3858, 'BOS', 3448, '', 0, '757 738 73H 320 319 M88\r'),
	('DL', 2009, 'MSP', 3858, 'BRD', 6957, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'BUF', 3820, 'Y', 0, 'E70 CR9\r'),
	('DL', 2009, 'MSP', 3858, 'BWI', 3849, '', 0, '320 M90 M88 319\r'),
	('DL', 2009, 'MSP', 3858, 'BZN', 4020, '', 0, '319 320\r'),
	('DL', 2009, 'MSP', 3858, 'CDG', 1382, '', 0, '332\r'),
	('DL', 2009, 'MSP', 3858, 'CID', 4043, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'CLE', 3486, 'Y', 0, 'CRJ ERJ CR7 CR9\r'),
	('DL', 2009, 'MSP', 3858, 'CLT', 3876, '', 0, '319 320\r'),
	('DL', 2009, 'MSP', 3858, 'CMH', 3759, '', 0, 'ERJ\r'),
	('DL', 2009, 'MSP', 3858, 'CUN', 1852, '', 0, '320\r'),
	('DL', 2009, 'MSP', 3858, 'CVG', 3488, 'Y', 0, 'CRJ CR9 ERJ\r'),
	('DL', 2009, 'MSP', 3858, 'CWA', 4045, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'DAY', 3627, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'MSP', 3858, 'DCA', 3520, '', 0, 'M88 M90 319 738 320\r'),
	('DL', 2009, 'MSP', 3858, 'DEN', 3751, '', 0, 'M90 320\r'),
	('DL', 2009, 'MSP', 3858, 'DFW', 3670, '', 0, '319\r'),
	('DL', 2009, 'MSP', 3858, 'DIK', 7064, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'DLH', 3598, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'MSP', 3858, 'DSM', 3729, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'MSP', 3858, 'DTW', 3645, '', 0, '757 M90 M88 753 320 738 73H 319\r'),
	('DL', 2009, 'MSP', 3858, 'EWR', 3494, '', 0, '319\r'),
	('DL', 2009, 'MSP', 3858, 'FAR', 4292, '', 0, '320\r'),
	('DL', 2009, 'MSP', 3858, 'FCA', 4127, 'Y', 0, 'E75 CR9\r'),
	('DL', 2009, 'MSP', 3858, 'FLL', 3533, '', 0, '757\r'),
	('DL', 2009, 'MSP', 3858, 'FNT', 4089, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'FSD', 4009, '', 0, '320\r'),
	('DL', 2009, 'MSP', 3858, 'FWA', 4041, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'GEG', 3467, '', 0, '320\r'),
	('DL', 2009, 'MSP', 3858, 'GFK', 3442, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'GRB', 3653, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'GRR', 3685, '', 0, '320 319 M88\r'),
	('DL', 2009, 'MSP', 3858, 'GTF', 3880, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MSP', 3858, 'HIB', 3650, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'HLN', 3504, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MSP', 3858, 'IAD', 3714, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'MSP', 3858, 'IAH', 3550, '', 0, '319 E70\r'),
	('DL', 2009, 'MSP', 3858, 'ICT', 3457, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'IMT', 6837, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'IND', 3585, '', 0, 'M90 320 ERJ M88\r'),
	('DL', 2009, 'MSP', 3858, 'INL', 3535, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'ISN', 3659, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'JAX', 3712, 'Y', 0, 'E75 CR9 E70\r'),
	('DL', 2009, 'MSP', 3858, 'JFK', 3797, '', 0, '319 M88\r'),
	('DL', 2009, 'MSP', 3858, 'LAN', 3544, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'LAS', 3877, '', 0, 'M90 757 320 738\r'),
	('DL', 2009, 'MSP', 3858, 'LAX', 3484, '', 0, '738 763 753 757 739 320\r'),
	('DL', 2009, 'MSP', 3858, 'LEX', 4017, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'LGA', 3697, '', 0, 'M88 319 320 738\r'),
	('DL', 2009, 'MSP', 3858, 'LHR', 507, '', 0, '764\r'),
	('DL', 2009, 'MSP', 3858, 'LNK', 3543, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'LSE', 4044, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'MBS', 4128, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'MCI', 3458, '', 0, '320 319 M88 ERJ\r'),
	('DL', 2009, 'MSP', 3858, 'MCO', 3878, '', 0, '757 753\r'),
	('DL', 2009, 'MSP', 3858, 'MDW', 3747, 'Y', 0, 'E75 E70 CR7 CR9\r'),
	('DL', 2009, 'MSP', 3858, 'MEM', 3473, '', 0, 'M88\r'),
	('DL', 2009, 'MSP', 3858, 'MIA', 3576, '', 0, '320 M90\r'),
	('DL', 2009, 'MSP', 3858, 'MKE', 3717, '', 0, 'M88 M90 320 319\r'),
	('DL', 2009, 'MSP', 3858, 'MLI', 4072, 'Y', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'MOT', 3498, 'Y', 0, 'CR9 CRJ E75 E70\r'),
	('DL', 2009, 'MSP', 3858, 'MSN', 3459, '', 0, '319 320\r'),
	('DL', 2009, 'MSP', 3858, 'MSO', 4216, '', 0, '319\r'),
	('DL', 2009, 'MSP', 3858, 'MSY', 3861, 'Y', 0, 'CR9 E75\r'),
	('DL', 2009, 'MSP', 3858, 'NRT', 2279, '', 0, '332 777\r'),
	('DL', 2009, 'MSP', 3858, 'OKC', 3863, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'OMA', 3454, '', 0, 'M88 319 320\r'),
	('DL', 2009, 'MSP', 3858, 'ORD', 3830, '', 0, 'M90 M88 320 319\r'),
	('DL', 2009, 'MSP', 3858, 'ORF', 3611, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'MSP', 3858, 'PDX', 3720, '', 0, 'M90 753 738\r'),
	('DL', 2009, 'MSP', 3858, 'PHL', 3752, '', 0, '320 M90\r'),
	('DL', 2009, 'MSP', 3858, 'PHX', 3462, '', 0, 'M90 320 757 319\r'),
	('DL', 2009, 'MSP', 3858, 'PIA', 4046, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'PIT', 3570, '', 0, '319 320\r'),
	('DL', 2009, 'MSP', 3858, 'PSC', 6133, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MSP', 3858, 'PSP', 3839, '', 0, '320\r'),
	('DL', 2009, 'MSP', 3858, 'RAP', 4087, 'Y', 0, 'CRJ CR9 E75\r'),
	('DL', 2009, 'MSP', 3858, 'RDU', 3626, '', 0, '320 M90 M88\r'),
	('DL', 2009, 'MSP', 3858, 'RHI', 5765, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'RIC', 3608, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'MSP', 3858, 'ROC', 3622, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'MSP', 3858, 'RST', 4048, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'RSW', 3793, '', 0, '757 M90\r'),
	('DL', 2009, 'MSP', 3858, 'SAN', 3731, '', 0, '738 739\r'),
	('DL', 2009, 'MSP', 3858, 'SAT', 3621, 'Y', 0, 'CR9 E75 E70\r'),
	('DL', 2009, 'MSP', 3858, 'SBN', 4359, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'SDF', 4014, '', 0, 'ERJ\r'),
	('DL', 2009, 'MSP', 3858, 'SEA', 3577, '', 0, '738 739 757 753 763\r'),
	('DL', 2009, 'MSP', 3858, 'SFO', 3469, '', 0, '320 753 M90 757 738\r'),
	('DL', 2009, 'MSP', 3858, 'SJC', 3748, '', 0, '320 738\r'),
	('DL', 2009, 'MSP', 3858, 'SLC', 3536, '', 0, '320 757 319 738\r'),
	('DL', 2009, 'MSP', 3858, 'SMF', 3817, '', 0, '320\r'),
	('DL', 2009, 'MSP', 3858, 'SNA', 3867, '', 0, '319 757\r'),
	('DL', 2009, 'MSP', 3858, 'STL', 3678, '', 0, 'M90 319 320 M88\r'),
	('DL', 2009, 'MSP', 3858, 'SYR', 3745, 'Y', 0, 'CR9 E70\r'),
	('DL', 2009, 'MSP', 3858, 'TPA', 3646, '', 0, 'M88 757\r'),
	('DL', 2009, 'MSP', 3858, 'TUL', 3855, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'TUS', 3636, '', 0, 'M90\r'),
	('DL', 2009, 'MSP', 3858, 'TVC', 4023, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'TYS', 3676, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MSP', 3858, 'XNA', 4356, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'YEG', 49, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MSP', 3858, 'YQR', 120, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSP', 3858, 'YUL', 146, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MSP', 3858, 'YVR', 156, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MSP', 3858, 'YWG', 160, 'Y', 0, 'E70 CRJ CR9\r'),
	('DL', 2009, 'MSP', 3858, 'YXE', 166, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MSP', 3858, 'YYC', 178, '', 0, '319 320\r'),
	('DL', 2009, 'MSP', 3858, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'MSY', 3861, 'ATL', 3682, '', 0, 'M90 757 M88\r'),
	('DL', 2009, 'MSY', 3861, 'CVG', 3488, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'MSY', 3861, 'DTW', 3645, '', 0, '319 M88\r'),
	('DL', 2009, 'MSY', 3861, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MSY', 3861, 'LAX', 3484, '', 0, '319\r'),
	('DL', 2009, 'MSY', 3861, 'LGA', 3697, '', 0, '319\r'),
	('DL', 2009, 'MSY', 3861, 'MEM', 3473, 'Y', 0, 'CRJ ERJ\r'),
	('DL', 2009, 'MSY', 3861, 'MSP', 3858, 'Y', 0, 'CR9 E75\r'),
	('DL', 2009, 'MSY', 3861, 'SLC', 3536, '', 0, '319 320\r'),
	('DL', 2009, 'MTY', 1825, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'MTY', 1825, 'CUL', 1792, '', 0, 'ER4\r'),
	('DL', 2009, 'MTY', 1825, 'CUU', 1797, '', 0, 'ER4\r'),
	('DL', 2009, 'MTY', 1825, 'DTW', 3645, '', 0, '319\r'),
	('DL', 2009, 'MTY', 1825, 'GDL', 1804, 'Y', 0, 'ER4\r'),
	('DL', 2009, 'MTY', 1825, 'LAS', 3877, '', 0, '737\r'),
	('DL', 2009, 'MTY', 1825, 'SAT', 3621, 'Y', 0, 'ER4\r'),
	('DL', 2009, 'MUC', 346, 'ATL', 3682, '', 0, '764\r'),
	('DL', 2009, 'MXP', 1524, 'JFK', 3797, '', 0, '764 330\r'),
	('DL', 2009, 'MYR', 3515, 'ATL', 3682, '', 0, 'M88 717 319\r'),
	('DL', 2009, 'MYR', 3515, 'BOS', 3448, 'Y', 0, 'E75\r'),
	('DL', 2009, 'MYR', 3515, 'DTW', 3645, 'Y', 0, 'E75 CR9\r'),
	('DL', 2009, 'MYR', 3515, 'LGA', 3697, 'Y', 0, 'E75\r'),
	('DL', 2009, 'NAS', 1953, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'NAS', 1953, 'BOS', 3448, 'Y', 0, 'E75\r'),
	('DL', 2009, 'NAS', 1953, 'DTW', 3645, '', 0, 'M88\r'),
	('DL', 2009, 'NAS', 1953, 'JFK', 3797, '', 0, 'M88\r'),
	('DL', 2009, 'NCE', 1354, 'JFK', 3797, '', 0, '764\r'),
	('DL', 2009, 'NGO', 3942, 'DTW', 3645, '', 0, '744\r'),
	('DL', 2009, 'NGO', 3942, 'GUM', 2246, '', 0, '752\r'),
	('DL', 2009, 'NGO', 3942, 'HNL', 3728, '', 0, '76W\r'),
	('DL', 2009, 'NGO', 3942, 'MNL', 2397, '', 0, '744\r'),
	('DL', 2009, 'NIM', 280, 'CDG', 1382, 'Y', 0, '332\r'),
	('DL', 2009, 'NIM', 280, 'OUA', 246, 'Y', 0, '332\r'),
	('DL', 2009, 'NRT', 2279, 'ATL', 3682, '', 0, '744\r'),
	('DL', 2009, 'NRT', 2279, 'BKK', 3885, '', 0, '333 744\r'),
	('DL', 2009, 'NRT', 2279, 'DTW', 3645, '', 0, '777\r'),
	('DL', 2009, 'NRT', 2279, 'GUM', 2246, '', 0, '752\r'),
	('DL', 2009, 'NRT', 2279, 'HKG', 3077, '', 0, '332 777\r'),
	('DL', 2009, 'NRT', 2279, 'HNL', 3728, '', 0, '744 76W 333\r'),
	('DL', 2009, 'NRT', 2279, 'JFK', 3797, '', 0, '744\r'),
	('DL', 2009, 'NRT', 2279, 'LAX', 3484, '', 0, '744\r'),
	('DL', 2009, 'NRT', 2279, 'MNL', 2397, '', 0, '744\r'),
	('DL', 2009, 'NRT', 2279, 'MSP', 3858, '', 0, '332 777\r'),
	('DL', 2009, 'NRT', 2279, 'PDX', 3720, '', 0, '76W\r'),
	('DL', 2009, 'NRT', 2279, 'PVG', 3406, '', 0, '76W\r'),
	('DL', 2009, 'NRT', 2279, 'ROR', 2256, '', 0, '752\r'),
	('DL', 2009, 'NRT', 2279, 'SEA', 3577, '', 0, '333\r'),
	('DL', 2009, 'NRT', 2279, 'SIN', 3316, '', 0, '76W 777\r'),
	('DL', 2009, 'NRT', 2279, 'SPN', 2244, '', 0, '752\r'),
	('DL', 2009, 'NRT', 2279, 'TPE', 2276, '', 0, '744\r'),
	('DL', 2009, 'OAJ', 4386, 'ATL', 3682, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'OAK', 3453, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'OAK', 3453, 'SLC', 3536, '', 0, '320 319\r'),
	('DL', 2009, 'OGG', 3456, 'LAX', 3484, '', 0, '757\r'),
	('DL', 2009, 'OGG', 3456, 'SMF', 3817, 'Y', 0, '73H\r'),
	('DL', 2009, 'OKC', 3863, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'OKC', 3863, 'DTW', 3645, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'OKC', 3863, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'OKC', 3863, 'SLC', 3536, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'OMA', 3454, 'ATL', 3682, '', 0, 'M88 M90\r'),
	('DL', 2009, 'OMA', 3454, 'DCA', 3520, 'Y', 0, 'E70\r'),
	('DL', 2009, 'OMA', 3454, 'DTW', 3645, '', 0, '319\r'),
	('DL', 2009, 'OMA', 3454, 'LGA', 3697, 'Y', 0, 'E75\r'),
	('DL', 2009, 'OMA', 3454, 'MCO', 3878, 'Y', 0, 'E75\r'),
	('DL', 2009, 'OMA', 3454, 'MSP', 3858, '', 0, '320 M88 319\r'),
	('DL', 2009, 'OMA', 3454, 'SLC', 3536, 'Y', 0, 'E75 CR7\r'),
	('DL', 2009, 'ONT', 3734, 'GDL', 1804, 'Y', 0, '738\r'),
	('DL', 2009, 'ONT', 3734, 'SLC', 3536, '', 0, '319\r'),
	('DL', 2009, 'ORD', 3830, 'AMS', 580, 'Y', 0, '74M\r'),
	('DL', 2009, 'ORD', 3830, 'ATL', 3682, '', 0, '717 M88 319\r'),
	('DL', 2009, 'ORD', 3830, 'CDG', 1382, '', 0, '332\r'),
	('DL', 2009, 'ORD', 3830, 'CVG', 3488, '', 0, 'ERJ\r'),
	('DL', 2009, 'ORD', 3830, 'DTW', 3645, '', 0, '717\r'),
	('DL', 2009, 'ORD', 3830, 'FCO', 1555, '', 0, '332 330\r'),
	('DL', 2009, 'ORD', 3830, 'GDL', 1804, '', 0, '737\r'),
	('DL', 2009, 'ORD', 3830, 'ICN', 3930, 'Y', 0, '772 77W\r'),
	('DL', 2009, 'ORD', 3830, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'ORD', 3830, 'LGA', 3697, 'Y', 0, 'E75 E70\r'),
	('DL', 2009, 'ORD', 3830, 'LHR', 507, 'Y', 0, '343\r'),
	('DL', 2009, 'ORD', 3830, 'MEM', 3473, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'ORD', 3830, 'MEX', 1824, '', 0, '737\r'),
	('DL', 2009, 'ORD', 3830, 'MSP', 3858, '', 0, 'M88 M90 320 319\r'),
	('DL', 2009, 'ORD', 3830, 'SLC', 3536, 'Y', 0, 'E75 CR9\r'),
	('DL', 2009, 'ORD', 3830, 'YVR', 156, 'Y', 0, '73W\r'),
	('DL', 2009, 'ORD', 3830, 'YYC', 178, 'Y', 0, '73W\r'),
	('DL', 2009, 'ORF', 3611, 'ATL', 3682, '', 0, 'M90 M88 319\r'),
	('DL', 2009, 'ORF', 3611, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'ORF', 3611, 'JFK', 3797, '', 0, 'ERJ\r'),
	('DL', 2009, 'ORF', 3611, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'ORF', 3611, 'MCO', 3878, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'ORF', 3611, 'MSP', 3858, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'OUA', 246, 'NIM', 280, 'Y', 0, '332\r'),
	('DL', 2009, 'PAP', 1897, 'ATL', 3682, '', 0, '320\r'),
	('DL', 2009, 'PAP', 1897, 'JFK', 3797, '', 0, '738\r'),
	('DL', 2009, 'PAP', 1897, 'MIA', 3576, '', 0, '32A 320\r'),
	('DL', 2009, 'PBI', 3722, 'ATL', 3682, '', 0, 'M90 757 M88\r'),
	('DL', 2009, 'PBI', 3722, 'DTW', 3645, '', 0, 'M90 320\r'),
	('DL', 2009, 'PBI', 3722, 'LGA', 3697, '', 0, '319\r'),
	('DL', 2009, 'PDX', 3720, 'AMS', 580, '', 0, '333\r'),
	('DL', 2009, 'PDX', 3720, 'ATL', 3682, '', 0, '739 738 73H\r'),
	('DL', 2009, 'PDX', 3720, 'DTW', 3645, '', 0, '739\r'),
	('DL', 2009, 'PDX', 3720, 'JFK', 3797, '', 0, '73H 752 757\r'),
	('DL', 2009, 'PDX', 3720, 'LAX', 3484, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'PDX', 3720, 'MSP', 3858, '', 0, 'M90 753 738\r'),
	('DL', 2009, 'PDX', 3720, 'NRT', 2279, '', 0, '76W\r'),
	('DL', 2009, 'PDX', 3720, 'SLC', 3536, '', 0, '757 320 73H\r'),
	('DL', 2009, 'PEK', 3364, 'DTW', 3645, '', 0, '777\r'),
	('DL', 2009, 'PEK', 3364, 'SEA', 3577, '', 0, '76W\r'),
	('DL', 2009, 'PHC', 275, 'ABV', 260, 'Y', 0, '332\r'),
	('DL', 2009, 'PHF', 3633, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'PHL', 3752, 'ATL', 3682, '', 0, 'M88 M90 757 320 738 73H\r'),
	('DL', 2009, 'PHL', 3752, 'CDG', 1382, '', 0, '752\r'),
	('DL', 2009, 'PHL', 3752, 'CVG', 3488, '', 0, 'ERJ\r'),
	('DL', 2009, 'PHL', 3752, 'DTW', 3645, '', 0, 'M88 M90 319 73H 320\r'),
	('DL', 2009, 'PHL', 3752, 'JFK', 3797, '', 0, 'ERJ\r'),
	('DL', 2009, 'PHL', 3752, 'MSP', 3858, '', 0, 'M90 320\r'),
	('DL', 2009, 'PHL', 3752, 'RDU', 3626, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'PHL', 3752, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'PHX', 3462, 'ATL', 3682, '', 0, '757 739\r'),
	('DL', 2009, 'PHX', 3462, 'DTW', 3645, '', 0, '757 320 753\r'),
	('DL', 2009, 'PHX', 3462, 'HMO', 1807, '', 0, 'ER4\r'),
	('DL', 2009, 'PHX', 3462, 'JFK', 3797, '', 0, '738 73H\r'),
	('DL', 2009, 'PHX', 3462, 'LAX', 3484, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'PHX', 3462, 'MSP', 3858, '', 0, '738 M90 320 757 319\r'),
	('DL', 2009, 'PHX', 3462, 'SLC', 3536, '', 0, '757 320 73H 319\r'),
	('DL', 2009, 'PIA', 4046, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'PIA', 4046, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'PIA', 4046, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'PIH', 5760, 'SLC', 3536, 'Y', 0, 'CRJ EM2\r'),
	('DL', 2009, 'PIT', 3570, 'ATL', 3682, '', 0, 'M88 320  717\r'),
	('DL', 2009, 'PIT', 3570, 'CDG', 1382, '', 0, '752\r'),
	('DL', 2009, 'PIT', 3570, 'CVG', 3488, '', 0, 'ERJ\r'),
	('DL', 2009, 'PIT', 3570, 'DTW', 3645, '', 0, 'M88 ERJ 320 CR7\r'),
	('DL', 2009, 'PIT', 3570, 'JFK', 3797, '', 0, '752\r'),
	('DL', 2009, 'PIT', 3570, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'PIT', 3570, 'MCO', 3878, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'PIT', 3570, 'MEM', 3473, '', 0, 'ERJ\r'),
	('DL', 2009, 'PIT', 3570, 'MSP', 3858, '', 0, '319 320\r'),
	('DL', 2009, 'PIT', 3570, 'PUJ', 1760, '', 0, '320\r'),
	('DL', 2009, 'PLN', 5762, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'PLS', 1754, 'ATL', 3682, '', 0, '73W M88\r'),
	('DL', 2009, 'PLS', 1754, 'BOS', 3448, '', 0, '320\r'),
	('DL', 2009, 'PLS', 1754, 'JFK', 3797, '', 0, '73H\r'),
	('DL', 2009, 'PNS', 3564, 'ATL', 3682, '', 0, 'M90 717\r'),
	('DL', 2009, 'PPT', 4075, 'LAX', 3484, 'Y', 0, '772\r'),
	('DL', 2009, 'PSC', 6133, 'MSP', 3858, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'PSC', 6133, 'SLC', 3536, 'Y', 0, 'CR9 CR7 CRJ\r'),
	('DL', 2009, 'PSP', 3839, 'MSP', 3858, '', 0, '320\r'),
	('DL', 2009, 'PSP', 3839, 'SFO', 3469, 'Y', 0, '734\r'),
	('DL', 2009, 'PSP', 3839, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'PTY', 1871, 'ATL', 3682, '', 0, '738\r'),
	('DL', 2009, 'PUJ', 1760, 'ATL', 3682, '', 0, '73H M88 738 \r'),
	('DL', 2009, 'PUJ', 1760, 'CVG', 3488, '', 0, '320\r'),
	('DL', 2009, 'PUJ', 1760, 'DTW', 3645, '', 0, '320\r'),
	('DL', 2009, 'PUJ', 1760, 'JFK', 3797, '', 0, '738\r'),
	('DL', 2009, 'PUJ', 1760, 'PIT', 3570, '', 0, '320\r'),
	('DL', 2009, 'PVD', 3641, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'PVD', 3641, 'DTW', 3645, '', 0, '319\r'),
	('DL', 2009, 'PVG', 3406, 'DTW', 3645, '', 0, '77L\r'),
	('DL', 2009, 'PVG', 3406, 'JFK', 3797, '', 0, '346\r'),
	('DL', 2009, 'PVG', 3406, 'LAX', 3484, 'Y', 0, '346\r'),
	('DL', 2009, 'PVG', 3406, 'NRT', 2279, '', 0, '76W\r'),
	('DL', 2009, 'PVG', 3406, 'SEA', 3577, '', 0, '332\r'),
	('DL', 2009, 'PVG', 3406, 'SFO', 3469, '', 0, '332\r'),
	('DL', 2009, 'PVR', 1836, 'ATL', 3682, '', 0, '757\r'),
	('DL', 2009, 'PVR', 1836, 'LAX', 3484, '', 0, '320 73H\r'),
	('DL', 2009, 'PVR', 1836, 'SLC', 3536, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'RAP', 4087, 'MSP', 3858, 'Y', 0, 'CR9 CRJ E75\r'),
	('DL', 2009, 'RAP', 4087, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'RDM', 4103, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'RDU', 3626, 'ATL', 3682, '', 0, '752 M90 M88 320 738 739\r'),
	('DL', 2009, 'RDU', 3626, 'BDL', 3825, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'RDU', 3626, 'BOS', 3448, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'RDU', 3626, 'BWI', 3849, '', 0, 'ERJ\r'),
	('DL', 2009, 'RDU', 3626, 'CMH', 3759, 'Y', 0, 'ERJ\r'),
	('DL', 2009, 'RDU', 3626, 'CUN', 1852, '', 0, 'M88\r'),
	('DL', 2009, 'RDU', 3626, 'CVG', 3488, '', 0, 'ERJ\r'),
	('DL', 2009, 'RDU', 3626, 'DTW', 3645, '', 0, '320 319 CR7 738\r'),
	('DL', 2009, 'RDU', 3626, 'FLL', 3533, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'RDU', 3626, 'IND', 3585, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'RDU', 3626, 'JFK', 3797, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'RDU', 3626, 'LAS', 3877, '', 0, '73H\r'),
	('DL', 2009, 'RDU', 3626, 'LAX', 3484, '', 0, '738\r'),
	('DL', 2009, 'RDU', 3626, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'RDU', 3626, 'MCO', 3878, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'RDU', 3626, 'MEM', 3473, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'RDU', 3626, 'MSP', 3858, '', 0, '320 M90 M88\r'),
	('DL', 2009, 'RDU', 3626, 'PHL', 3752, 'Y', 0, 'ERJ CRJ\r'),
	('DL', 2009, 'RDU', 3626, 'SLC', 3536, '', 0, '73H\r'),
	('DL', 2009, 'RDU', 3626, 'TPA', 3646, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'REP', 3035, 'ICN', 3930, 'Y', 0, '73H\r'),
	('DL', 2009, 'RHI', 5765, 'IMT', 6837, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'RHI', 5765, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'RIC', 3608, 'ATL', 3682, '', 0, 'M90 M88 73H\r'),
	('DL', 2009, 'RIC', 3608, 'BOS', 3448, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'RIC', 3608, 'CVG', 3488, '', 0, 'ERJ\r'),
	('DL', 2009, 'RIC', 3608, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'RIC', 3608, 'JFK', 3797, '', 0, 'ERJ\r'),
	('DL', 2009, 'RIC', 3608, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'RIC', 3608, 'MCO', 3878, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'RIC', 3608, 'MSP', 3858, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'RKS', 5766, 'GCC', 4296, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'RKS', 5766, 'SLC', 3536, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'RNO', 3807, 'SLC', 3536, '', 0, '73H\r'),
	('DL', 2009, 'ROA', 4016, 'ATL', 3682, '', 0, '319\r'),
	('DL', 2009, 'ROA', 4016, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ROB', 1063, 'ACC', 248, '', 0, '76W\r'),
	('DL', 2009, 'ROC', 3622, 'ATL', 3682, '', 0, 'M90 M88\r'),
	('DL', 2009, 'ROC', 3622, 'DTW', 3645, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'ROC', 3622, 'JFK', 3797, '', 0, 'ERJ\r'),
	('DL', 2009, 'ROC', 3622, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'ROC', 3622, 'MSP', 3858, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'ROR', 2256, 'NRT', 2279, '', 0, '752\r'),
	('DL', 2009, 'RST', 4048, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'RSW', 3793, 'ATL', 3682, '', 0, 'M90 757 M88\r'),
	('DL', 2009, 'RSW', 3793, 'CMH', 3759, 'Y', 0, 'E70\r'),
	('DL', 2009, 'RSW', 3793, 'CVG', 3488, '', 0, 'M88\r'),
	('DL', 2009, 'RSW', 3793, 'DTW', 3645, '', 0, '757 753\r'),
	('DL', 2009, 'RSW', 3793, 'IND', 3585, '', 0, 'E75\r'),
	('DL', 2009, 'RSW', 3793, 'LGA', 3697, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'RSW', 3793, 'MSP', 3858, '', 0, '757 M90\r'),
	('DL', 2009, 'RTB', 1774, 'ATL', 3682, '', 0, '738\r'),
	('DL', 2009, 'SAL', 1892, 'ATL', 3682, '', 0, '319 320\r'),
	('DL', 2009, 'SAN', 3731, 'ATL', 3682, '', 0, '73H 763 739\r'),
	('DL', 2009, 'SAN', 3731, 'DTW', 3645, '', 0, '753 757\r'),
	('DL', 2009, 'SAN', 3731, 'JFK', 3797, '', 0, '73H 757\r'),
	('DL', 2009, 'SAN', 3731, 'LAX', 3484, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'SAN', 3731, 'MSP', 3858, '', 0, '320 738 739\r'),
	('DL', 2009, 'SAN', 3731, 'SEA', 3577, 'Y', 0, '73J 73H 734 739 73G\r'),
	('DL', 2009, 'SAN', 3731, 'SLC', 3536, '', 0, '738 319 320\r'),
	('DL', 2009, 'SAP', 1772, 'ATL', 3682, '', 0, '319 320\r'),
	('DL', 2009, 'SAT', 3621, 'ATL', 3682, '', 0, '757 M90 320\r'),
	('DL', 2009, 'SAT', 3621, 'DTW', 3645, '', 0, '320\r'),
	('DL', 2009, 'SAT', 3621, 'JFK', 3797, '', 0, '73H\r'),
	('DL', 2009, 'SAT', 3621, 'MCO', 3878, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'SAT', 3621, 'MEM', 3473, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SAT', 3621, 'MEX', 1824, '', 0, 'EMJ\r'),
	('DL', 2009, 'SAT', 3621, 'MSP', 3858, 'Y', 0, 'CR9 E75\r'),
	('DL', 2009, 'SAT', 3621, 'MTY', 1825, 'Y', 0, 'ER4\r'),
	('DL', 2009, 'SAT', 3621, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'SAV', 3613, 'ATL', 3682, '', 0, 'M88 717 319\r'),
	('DL', 2009, 'SAV', 3613, 'DTW', 3645, '', 0, 'CR7\r'),
	('DL', 2009, 'SAV', 3613, 'JFK', 3797, '', 0, 'CR7\r'),
	('DL', 2009, 'SAV', 3613, 'LGA', 3697, 'Y', 0, 'CR9 CR7 E75\r'),
	('DL', 2009, 'SBN', 4359, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SBN', 4359, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SBN', 4359, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SCE', 4318, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SCL', 2650, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'SDF', 4014, 'ATL', 3682, '', 0, 'M88 M90\r'),
	('DL', 2009, 'SDF', 4014, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'SDF', 4014, 'JFK', 3797, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SDF', 4014, 'LGA', 3697, '', 0, 'ERJ\r'),
	('DL', 2009, 'SDF', 4014, 'MCO', 3878, 'Y', 0, 'E75\r'),
	('DL', 2009, 'SDF', 4014, 'MSP', 3858, 'Y', 0, 'E75 CRJ ERJ\r'),
	('DL', 2009, 'SDQ', 1762, 'ATL', 3682, '', 0, '73H \r'),
	('DL', 2009, 'SDQ', 1762, 'GIG', 2560, 'Y', 0, '738\r'),
	('DL', 2009, 'SDQ', 1762, 'GRU', 2564, 'Y', 0, '738\r'),
	('DL', 2009, 'SDQ', 1762, 'JFK', 3797, '', 0, '73H\r'),
	('DL', 2009, 'SDQ', 1762, 'MCO', 3878, 'Y', 0, '738\r'),
	('DL', 2009, 'SDQ', 1762, 'MIA', 3576, 'Y', 0, '738\r'),
	('DL', 2009, 'SEA', 3577, 'AMS', 580, '', 0, '333\r'),
	('DL', 2009, 'SEA', 3577, 'ANC', 3774, 'Y', 0, '73J\r'),
	('DL', 2009, 'SEA', 3577, 'ATL', 3682, '', 0, '739 76W 757 763\r'),
	('DL', 2009, 'SEA', 3577, 'CDG', 1382, '', 0, '332\r'),
	('DL', 2009, 'SEA', 3577, 'DTW', 3645, '', 0, '753 738 757\r'),
	('DL', 2009, 'SEA', 3577, 'HND', 2359, '', 0, '76W\r'),
	('DL', 2009, 'SEA', 3577, 'HNL', 3728, '', 0, '753\r'),
	('DL', 2009, 'SEA', 3577, 'IAH', 3550, 'Y', 0, '73J\r'),
	('DL', 2009, 'SEA', 3577, 'ICN', 3930, 'Y', 0, '772 77W\r'),
	('DL', 2009, 'SEA', 3577, 'JFK', 3797, '', 0, '752 757\r'),
	('DL', 2009, 'SEA', 3577, 'LAS', 3877, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'SEA', 3577, 'LAX', 3484, '', 0, '73H\r'),
	('DL', 2009, 'SEA', 3577, 'LHR', 507, '', 0, '76W\r'),
	('DL', 2009, 'SEA', 3577, 'MSP', 3858, '', 0, '763 73H 753 738 757\r'),
	('DL', 2009, 'SEA', 3577, 'NRT', 2279, '', 0, '333\r'),
	('DL', 2009, 'SEA', 3577, 'PEK', 3364, '', 0, '76W\r'),
	('DL', 2009, 'SEA', 3577, 'PVG', 3406, '', 0, '332\r'),
	('DL', 2009, 'SEA', 3577, 'SAN', 3731, 'Y', 0, '73H 73J 734 739 73G\r'),
	('DL', 2009, 'SEA', 3577, 'SFO', 3469, 'Y', 0, 'E75 734\r'),
	('DL', 2009, 'SEA', 3577, 'SLC', 3536, '', 0, '757 738 320 739\r'),
	('DL', 2009, 'SEA', 3577, 'YVR', 156, 'Y', 0, 'DH4\r'),
	('DL', 2009, 'SFO', 3469, 'AMS', 580, 'Y', 0, '747\r'),
	('DL', 2009, 'SFO', 3469, 'ATL', 3682, '', 0, '763 739 757\r'),
	('DL', 2009, 'SFO', 3469, 'CDG', 1382, 'Y', 0, '388\r'),
	('DL', 2009, 'SFO', 3469, 'CVG', 3488, '', 0, '320\r'),
	('DL', 2009, 'SFO', 3469, 'DTW', 3645, '', 0, '763 739\r'),
	('DL', 2009, 'SFO', 3469, 'HNL', 3728, '', 0, '753\r'),
	('DL', 2009, 'SFO', 3469, 'ICN', 3930, 'Y', 0, '77W 772\r'),
	('DL', 2009, 'SFO', 3469, 'JFK', 3797, '', 0, '752\r'),
	('DL', 2009, 'SFO', 3469, 'LAX', 3484, 'Y', 0, 'E75\r'),
	('DL', 2009, 'SFO', 3469, 'LHR', 507, 'Y', 0, '744\r'),
	('DL', 2009, 'SFO', 3469, 'MEX', 1824, '', 0, '737\r'),
	('DL', 2009, 'SFO', 3469, 'MSP', 3858, '', 0, 'M90 753 320 757 738\r'),
	('DL', 2009, 'SFO', 3469, 'PSP', 3839, 'Y', 0, '734\r'),
	('DL', 2009, 'SFO', 3469, 'PVG', 3406, '', 0, '332\r'),
	('DL', 2009, 'SFO', 3469, 'SEA', 3577, 'Y', 0, 'E75 734\r'),
	('DL', 2009, 'SFO', 3469, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'SFO', 3469, 'TPE', 2276, 'Y', 0, '744\r'),
	('DL', 2009, 'SGF', 4348, 'ATL', 3682, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'SGU', 4064, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SHV', 3609, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SIN', 3316, 'NRT', 2279, '', 0, '777 76W\r'),
	('DL', 2009, 'SJC', 3748, 'ATL', 3682, '', 0, '738\r'),
	('DL', 2009, 'SJC', 3748, 'LAX', 3484, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'SJC', 3748, 'MSP', 3858, '', 0, '320 738\r'),
	('DL', 2009, 'SJC', 3748, 'SLC', 3536, '', 0, '738\r'),
	('DL', 2009, 'SJD', 1840, 'ATL', 3682, '', 0, '73W 738\r'),
	('DL', 2009, 'SJD', 1840, 'SLC', 3536, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'SJO', 1885, 'ATL', 3682, '', 0, '738 757 73H\r'),
	('DL', 2009, 'SJO', 1885, 'JFK', 3797, '', 0, '757\r'),
	('DL', 2009, 'SJO', 1885, 'LAX', 3484, '', 0, '757\r'),
	('DL', 2009, 'SJU', 2890, 'ATL', 3682, '', 0, '757 73H 753 \r'),
	('DL', 2009, 'SJU', 2890, 'DTW', 3645, '', 0, '320\r'),
	('DL', 2009, 'SJU', 2890, 'JFK', 3797, '', 0, '73H 752\r'),
	('DL', 2009, 'SLC', 3536, 'ABQ', 4019, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'SLC', 3536, 'ANC', 3774, '', 0, '738\r'),
	('DL', 2009, 'SLC', 3536, 'ATL', 3682, '', 0, '757 763 738 \r'),
	('DL', 2009, 'SLC', 3536, 'AUS', 3673, '', 0, '319\r'),
	('DL', 2009, 'SLC', 3536, 'BIL', 4021, 'Y', 0, 'CR7 CRJ CR9\r'),
	('DL', 2009, 'SLC', 3536, 'BNA', 3690, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'SLC', 3536, 'BOI', 3495, '', 0, '73H 320 319 738\r'),
	('DL', 2009, 'SLC', 3536, 'BOS', 3448, '', 0, '73H 738 320\r'),
	('DL', 2009, 'SLC', 3536, 'BTM', 4022, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'BUR', 3644, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'BWI', 3849, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'BZN', 4020, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'SLC', 3536, 'CDC', 3824, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'CDG', 1382, '', 0, '332\r'),
	('DL', 2009, 'SLC', 3536, 'CLT', 3876, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'CNY', 7074, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'SLC', 3536, 'COD', 4344, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'COS', 3819, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'CPR', 3872, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'CUN', 1852, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'CVG', 3488, '', 0, '738 320\r'),
	('DL', 2009, 'SLC', 3536, 'DCA', 3520, '', 0, '757 73H 738\r'),
	('DL', 2009, 'SLC', 3536, 'DEN', 3751, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'DFW', 3670, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'DTW', 3645, '', 0, '320 738 757 73H 319\r'),
	('DL', 2009, 'SLC', 3536, 'EKO', 5736, '', 0, 'EM2\r'),
	('DL', 2009, 'SLC', 3536, 'EUG', 4099, 'Y', 0, 'CRJ CR7\r'),
	('DL', 2009, 'SLC', 3536, 'EWR', 3494, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'FAR', 4292, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'SLC', 3536, 'FAT', 3687, 'Y', 0, 'CRJ CR9\r'),
	('DL', 2009, 'SLC', 3536, 'FCA', 4127, 'Y', 0, 'CRJ E75\r'),
	('DL', 2009, 'SLC', 3536, 'GCC', 4296, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'SLC', 3536, 'GDL', 1804, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'SLC', 3536, 'GEG', 3467, '', 0, '320 319\r'),
	('DL', 2009, 'SLC', 3536, 'GJT', 4063, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'GTF', 3880, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'HLN', 3504, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'HNL', 3728, '', 0, '763\r'),
	('DL', 2009, 'SLC', 3536, 'IAH', 3550, '', 0, '319\r'),
	('DL', 2009, 'SLC', 3536, 'IDA', 4100, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'IND', 3585, '', 0, '320 319\r'),
	('DL', 2009, 'SLC', 3536, 'JAC', 4027, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'SLC', 3536, 'JFK', 3797, '', 0, '738 757 73H 752\r'),
	('DL', 2009, 'SLC', 3536, 'LAS', 3877, '', 0, '320 757 73H 738\r'),
	('DL', 2009, 'SLC', 3536, 'LAX', 3484, '', 0, '739 757 320 738\r'),
	('DL', 2009, 'SLC', 3536, 'LGB', 3582, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'SLC', 3536, 'LWS', 3945, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'MCI', 3458, '', 0, '319\r'),
	('DL', 2009, 'SLC', 3536, 'MCO', 3878, '', 0, '757\r'),
	('DL', 2009, 'SLC', 3536, 'MEM', 3473, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'MFR', 4101, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'MSN', 3459, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'SLC', 3536, 'MSO', 4216, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'MSP', 3858, '', 0, '320 319 757 738\r'),
	('DL', 2009, 'SLC', 3536, 'MSY', 3861, '', 0, '319 320\r'),
	('DL', 2009, 'SLC', 3536, 'OAK', 3453, '', 0, '319 320\r'),
	('DL', 2009, 'SLC', 3536, 'OKC', 3863, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'SLC', 3536, 'OMA', 3454, 'Y', 0, 'CR7 E75\r'),
	('DL', 2009, 'SLC', 3536, 'ONT', 3734, '', 0, '319\r'),
	('DL', 2009, 'SLC', 3536, 'ORD', 3830, 'Y', 0, 'CR9 E75\r'),
	('DL', 2009, 'SLC', 3536, 'PDX', 3720, '', 0, '320 73H 757\r'),
	('DL', 2009, 'SLC', 3536, 'PHL', 3752, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'PHX', 3462, '', 0, '320 738 73H 319\r'),
	('DL', 2009, 'SLC', 3536, 'PIH', 5760, 'Y', 0, 'EM2 CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'PSC', 6133, 'Y', 0, 'CR7 CRJ CR9\r'),
	('DL', 2009, 'SLC', 3536, 'PSP', 3839, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'PVR', 1836, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'SLC', 3536, 'RAP', 4087, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'RDM', 4103, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'RDU', 3626, '', 0, '320 73H\r'),
	('DL', 2009, 'SLC', 3536, 'RKS', 5766, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'SLC', 3536, 'RNO', 3807, '', 0, '73H\r'),
	('DL', 2009, 'SLC', 3536, 'SAN', 3731, '', 0, '319 738 320\r'),
	('DL', 2009, 'SLC', 3536, 'SAT', 3621, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'SEA', 3577, '', 0, '320 738 73H 757 739\r'),
	('DL', 2009, 'SLC', 3536, 'SFO', 3469, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'SGU', 4064, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'SJC', 3748, '', 0, '738\r'),
	('DL', 2009, 'SLC', 3536, 'SJD', 1840, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'SLC', 3536, 'SMF', 3817, '', 0, '320 73H 738\r'),
	('DL', 2009, 'SLC', 3536, 'SNA', 3867, '', 0, '319\r'),
	('DL', 2009, 'SLC', 3536, 'STL', 3678, '', 0, '320\r'),
	('DL', 2009, 'SLC', 3536, 'TUL', 3855, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'SLC', 3536, 'TUS', 3636, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SLC', 3536, 'TWF', 4263, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'SLC', 3536, 'VEL', 7076, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'SLC', 3536, 'YVR', 156, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'SLC', 3536, 'YYC', 178, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'SMF', 3817, 'ATL', 3682, '', 0, '757\r'),
	('DL', 2009, 'SMF', 3817, 'GDL', 1804, 'Y', 0, '738\r'),
	('DL', 2009, 'SMF', 3817, 'LAX', 3484, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'SMF', 3817, 'MSP', 3858, '', 0, '320\r'),
	('DL', 2009, 'SMF', 3817, 'SEA', 3577, 'Y', 0, '73H\r'),
	('DL', 2009, 'SMF', 3817, 'SLC', 3536, '', 0, '73H 320 738\r'),
	('DL', 2009, 'SNA', 3867, 'ATL', 3682, '', 0, '757\r'),
	('DL', 2009, 'SNA', 3867, 'MSP', 3858, '', 0, '319\r'),
	('DL', 2009, 'SNA', 3867, 'SLC', 3536, '', 0, '319\r'),
	('DL', 2009, 'SNA', 3867, 'YVR', 156, 'Y', 0, '73W\r'),
	('DL', 2009, 'SPN', 2244, 'NGO', 3942, '', 0, '752\r'),
	('DL', 2009, 'SPN', 2244, 'NRT', 2279, '', 0, '752\r'),
	('DL', 2009, 'SRQ', 4067, 'ATL', 3682, '', 0, '757 M90\r'),
	('DL', 2009, 'SRQ', 4067, 'LGA', 3697, '', 0, '319\r'),
	('DL', 2009, 'STI', 1764, 'JFK', 3797, '', 0, '73H\r'),
	('DL', 2009, 'STL', 3678, 'ATL', 3682, '', 0, 'M90 717  M88 319\r'),
	('DL', 2009, 'STL', 3678, 'CVG', 3488, '', 0, 'CR7\r'),
	('DL', 2009, 'STL', 3678, 'DTW', 3645, '', 0, 'CR7 320 717\r'),
	('DL', 2009, 'STL', 3678, 'JFK', 3797, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'STL', 3678, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'STL', 3678, 'MSP', 3858, '', 0, 'M90 319 320 M88\r'),
	('DL', 2009, 'STL', 3678, 'SLC', 3536, '', 0, '320\r'),
	('DL', 2009, 'STR', 350, 'ATL', 3682, '', 0, '76W\r'),
	('DL', 2009, 'STT', 2883, 'ATL', 3682, '', 0, '757\r'),
	('DL', 2009, 'STT', 2883, 'JFK', 3797, '', 0, '757\r'),
	('DL', 2009, 'SVO', 2985, 'IAD', 3714, '', 0, '763\r'),
	('DL', 2009, 'SVO', 2985, 'JFK', 3797, '', 0, '333 76W 77W\r'),
	('DL', 2009, 'SVO', 2985, 'LAX', 3484, '', 0, '332\r'),
	('DL', 2009, 'SVO', 2985, 'MIA', 3576, '', 0, '332\r'),
	('DL', 2009, 'SWF', 3661, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'SXM', 2899, 'ATL', 3682, '', 0, '757\r'),
	('DL', 2009, 'SXM', 2899, 'JFK', 3797, '', 0, '752\r'),
	('DL', 2009, 'SYD', 3361, 'LAX', 3484, '', 0, '77L\r'),
	('DL', 2009, 'SYR', 3745, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'SYR', 3745, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'SYR', 3745, 'JFK', 3797, '', 0, 'ERJ\r'),
	('DL', 2009, 'SYR', 3745, 'LGA', 3697, '', 0, 'CR7\r'),
	('DL', 2009, 'SYR', 3745, 'MSP', 3858, 'Y', 0, 'CR9 E70\r'),
	('DL', 2009, 'TGU', 1776, 'ATL', 3682, '', 0, '73W\r'),
	('DL', 2009, 'TLH', 3698, 'ATL', 3682, '', 0, 'M88 319 717\r'),
	('DL', 2009, 'TLV', 1590, 'JFK', 3797, '', 0, '744\r'),
	('DL', 2009, 'TPA', 3646, 'ATL', 3682, '', 0, '757 739 M90 738\r'),
	('DL', 2009, 'TPA', 3646, 'CMH', 3759, 'Y', 0, 'E75\r'),
	('DL', 2009, 'TPA', 3646, 'CVG', 3488, '', 0, 'M88\r'),
	('DL', 2009, 'TPA', 3646, 'DTW', 3645, '', 0, '757 M88 738 M90\r'),
	('DL', 2009, 'TPA', 3646, 'IND', 3585, 'Y', 0, 'E75\r'),
	('DL', 2009, 'TPA', 3646, 'JFK', 3797, '', 0, '738 M88 73H\r'),
	('DL', 2009, 'TPA', 3646, 'LAX', 3484, '', 0, '320\r'),
	('DL', 2009, 'TPA', 3646, 'LGA', 3697, '', 0, '319 M88\r'),
	('DL', 2009, 'TPA', 3646, 'MSP', 3858, '', 0, '757 M88 320\r'),
	('DL', 2009, 'TPA', 3646, 'RDU', 3626, 'Y', 0, 'CR9 CRJ\r'),
	('DL', 2009, 'TPE', 2276, 'LAX', 3484, 'Y', 0, '744\r'),
	('DL', 2009, 'TPE', 2276, 'NRT', 2279, '', 0, '744\r'),
	('DL', 2009, 'TPE', 2276, 'SFO', 3469, 'Y', 0, '744\r'),
	('DL', 2009, 'TRI', 4116, 'ATL', 3682, '', 0, '319\r'),
	('DL', 2009, 'TUL', 3855, 'ATL', 3682, '', 0, 'M88\r'),
	('DL', 2009, 'TUL', 3855, 'DTW', 3645, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'TUL', 3855, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'TUL', 3855, 'SLC', 3536, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'TUS', 3636, 'ATL', 3682, '', 0, 'M90\r'),
	('DL', 2009, 'TUS', 3636, 'MSP', 3858, '', 0, 'M90\r'),
	('DL', 2009, 'TUS', 3636, 'SLC', 3536, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'TVC', 4023, 'DTW', 3645, '', 0, '717 ERJ\r'),
	('DL', 2009, 'TVC', 4023, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'TWF', 4263, 'SLC', 3536, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'TYS', 3676, 'ATL', 3682, '', 0, '717\r'),
	('DL', 2009, 'TYS', 3676, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'TYS', 3676, 'LGA', 3697, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'TYS', 3676, 'MSP', 3858, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'UIO', 2688, 'ATL', 3682, '', 0, '73W\r'),
	('DL', 2009, 'UVF', 2894, 'ATL', 3682, '', 0, '738 73H 757\r'),
	('DL', 2009, 'VCE', 1551, 'JFK', 3797, '', 0, '764\r'),
	('DL', 2009, 'VEL', 7076, 'SLC', 3536, 'Y', 0, 'EM2\r'),
	('DL', 2009, 'VLD', 5776, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'VPS', 3873, 'ATL', 3682, '', 0, '717 319 M88\r'),
	('DL', 2009, 'VSA', 1853, 'MEX', 1824, 'Y', 0, '737\r'),
	('DL', 2009, 'XNA', 4356, 'ATL', 3682, '', 0, '717\r'),
	('DL', 2009, 'XNA', 4356, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'XNA', 4356, 'DTW', 3645, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'XNA', 4356, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'YEG', 49, 'LAX', 3484, 'Y', 0, '73H\r'),
	('DL', 2009, 'YEG', 49, 'MSP', 3858, 'Y', 0, 'E75\r'),
	('DL', 2009, 'YHZ', 73, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('DL', 2009, 'YOW', 100, 'DTW', 3645, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'YQR', 120, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'YUL', 146, 'AMS', 580, 'Y', 0, 'M11\r'),
	('DL', 2009, 'YUL', 146, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'YUL', 146, 'CDG', 1382, 'Y', 0, '744 343\r'),
	('DL', 2009, 'YUL', 146, 'DTW', 3645, '', 0, 'ERJ\r'),
	('DL', 2009, 'YUL', 146, 'JFK', 3797, '', 0, 'ERJ\r'),
	('DL', 2009, 'YUL', 146, 'LGA', 3697, '', 0, 'ERJ CR7\r'),
	('DL', 2009, 'YUL', 146, 'MSP', 3858, 'Y', 0, 'CR9\r'),
	('DL', 2009, 'YVR', 156, 'AMS', 580, 'Y', 0, '333\r'),
	('DL', 2009, 'YVR', 156, 'HNL', 3728, 'Y', 0, '73H\r'),
	('DL', 2009, 'YVR', 156, 'LAS', 3877, 'Y', 0, '73H 73W\r'),
	('DL', 2009, 'YVR', 156, 'MSP', 3858, 'Y', 0, 'E75\r'),
	('DL', 2009, 'YVR', 156, 'ORD', 3830, 'Y', 0, '73W\r'),
	('DL', 2009, 'YVR', 156, 'SEA', 3577, 'Y', 0, 'DH4\r'),
	('DL', 2009, 'YVR', 156, 'SLC', 3536, 'Y', 0, 'CR9 CR7\r'),
	('DL', 2009, 'YVR', 156, 'SNA', 3867, 'Y', 0, '73W\r'),
	('DL', 2009, 'YWG', 160, 'MSP', 3858, 'Y', 0, 'CR9 CRJ E70\r'),
	('DL', 2009, 'YXE', 166, 'MSP', 3858, 'Y', 0, 'E75\r'),
	('DL', 2009, 'YYC', 178, 'AMS', 580, 'Y', 0, '332\r'),
	('DL', 2009, 'YYC', 178, 'DFW', 3670, 'Y', 0, '73W\r'),
	('DL', 2009, 'YYC', 178, 'JFK', 3797, 'Y', 0, '736\r'),
	('DL', 2009, 'YYC', 178, 'LAS', 3877, 'Y', 0, '73H 73W\r'),
	('DL', 2009, 'YYC', 178, 'LAX', 3484, 'Y', 0, '73W\r'),
	('DL', 2009, 'YYC', 178, 'MSP', 3858, '', 0, '319\r'),
	('DL', 2009, 'YYC', 178, 'ORD', 3830, 'Y', 0, '73W\r'),
	('DL', 2009, 'YYC', 178, 'SLC', 3536, 'Y', 0, 'CR7 CR9\r'),
	('DL', 2009, 'YYZ', 193, 'AMS', 580, 'Y', 0, 'M11 333 747 74M 332\r'),
	('DL', 2009, 'YYZ', 193, 'ATL', 3682, '', 0, '\r'),
	('DL', 2009, 'YYZ', 193, 'CDG', 1382, 'Y', 0, '772\r'),
	('DL', 2009, 'YYZ', 193, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'YYZ', 193, 'DTW', 3645, 'Y', 0, 'CR7 CRJ\r'),
	('DL', 2009, 'YYZ', 193, 'FCO', 1555, 'Y', 0, '332\r'),
	('DL', 2009, 'YYZ', 193, 'FLL', 3533, 'Y', 0, '73H 73W\r'),
	('DL', 2009, 'YYZ', 193, 'JFK', 3797, '', 0, 'CR7 ERJ\r'),
	('DL', 2009, 'YYZ', 193, 'LAS', 3877, 'Y', 0, '73H\r'),
	('DL', 2009, 'YYZ', 193, 'LGA', 3697, 'Y', 0, '736 73W\r'),
	('DL', 2009, 'YYZ', 193, 'MCO', 3878, 'Y', 0, '73H 73W\r'),
	('DL', 2009, 'YYZ', 193, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('DL', 2009, 'ZRH', 1678, 'ATL', 3682, '', 0, '76W\r'),
	('DN', 17094, 'ABJ', 253, 'COO', 245, '', 0, '320\r'),
	('DN', 17094, 'ABJ', 253, 'DKR', 1084, '', 0, '320\r'),
	('DN', 17094, 'BKO', 1044, 'COO', 245, '', 0, '320\r'),
	('DN', 17094, 'BKO', 1044, 'DKR', 1084, '', 0, '320\r'),
	('DN', 17094, 'BKO', 1044, 'OUA', 246, '', 0, '320\r'),
	('DN', 17094, 'BRU', 302, 'DKR', 1084, '', 0, '333\r'),
	('DN', 17094, 'CKY', 4162, 'DKR', 1084, '', 0, 'CRJ\r'),
	('DN', 17094, 'COO', 245, 'ABJ', 253, '', 0, '320\r'),
	('DN', 17094, 'COO', 245, 'BKO', 1044, '', 0, '320\r'),
	('DN', 17094, 'COO', 245, 'DKR', 1084, '', 0, '320\r'),
	('DN', 17094, 'COO', 245, 'DLA', 897, '', 0, '320\r'),
	('DN', 17094, 'COO', 245, 'LBV', 970, '', 0, '320\r'),
	('DN', 17094, 'CSK', 1082, 'DKR', 1084, '', 0, 'CRJ\r'),
	('DN', 17094, 'DKR', 1084, 'ABJ', 253, '', 0, '320\r'),
	('DN', 17094, 'DKR', 1084, 'BKO', 1044, '', 0, '320\r'),
	('DN', 17094, 'DKR', 1084, 'BRU', 302, '', 0, '333\r'),
	('DN', 17094, 'DKR', 1084, 'CKY', 4162, '', 0, 'CRJ\r'),
	('DN', 17094, 'DKR', 1084, 'COO', 245, '', 0, '320\r'),
	('DN', 17094, 'DKR', 1084, 'NKC', 1094, '', 0, 'CRJ\r'),
	('DN', 17094, 'DKR', 1084, 'OXB', 5665, '', 0, 'CRJ\r'),
	('DN', 17094, 'DKR', 1084, 'RAI', 5674, '', 0, 'CRJ\r'),
	('DN', 17094, 'DKR', 1084, 'ZIG', 1081, '', 0, 'CRJ\r'),
	('DN', 17094, 'DLA', 897, 'COO', 245, '', 0, '320\r'),
	('DN', 17094, 'LBV', 970, 'COO', 245, '', 0, '320\r'),
	('DN', 17094, 'NIM', 280, 'OUA', 246, '', 0, '320\r'),
	('DN', 17094, 'NKC', 1094, 'DKR', 1084, '', 0, 'CRJ\r'),
	('DN', 17094, 'OUA', 246, 'BKO', 1044, '', 0, '320\r'),
	('DN', 17094, 'OUA', 246, 'NIM', 280, '', 0, '320\r'),
	('DN', 17094, 'OXB', 5665, 'DKR', 1084, '', 0, 'CRJ\r'),
	('DN', 17094, 'RAI', 5674, 'DKR', 1084, '', 0, 'CRJ\r'),
	('DN', 17094, 'ZIG', 1081, 'CSK', 1082, '', 0, 'CRJ\r'),
	('DN', 17094, 'ZIG', 1081, 'DKR', 1084, '', 0, 'CRJ\r'),
	('DT', 5133, 'BZV', 883, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'CAB', 946, 'LAD', 951, '', 0, '732 73G\r'),
	('DT', 5133, 'CAB', 946, 'SZA', 958, '', 0, '73G\r'),
	('DT', 5133, 'CBT', 5630, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'CBT', 5630, 'VPE', 5632, '', 0, '73G\r'),
	('DT', 5133, 'CPT', 797, 'LAD', 951, '', 0, '73G 772\r'),
	('DT', 5133, 'DXB', 2188, 'LAD', 951, '', 0, '772\r'),
	('DT', 5133, 'GIG', 2560, 'LAD', 951, '', 0, '77W\r'),
	('DT', 5133, 'GRU', 2564, 'LAD', 951, '', 0, '77W\r'),
	('DT', 5133, 'HAV', 1909, 'LAD', 951, '', 0, '772\r'),
	('DT', 5133, 'HRE', 1005, 'LUN', 907, '', 0, '73G\r'),
	('DT', 5133, 'JNB', 813, 'LAD', 951, '', 0, '772\r'),
	('DT', 5133, 'LAD', 951, 'BZV', 883, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'CAB', 946, '', 0, '73G 732\r'),
	('DT', 5133, 'LAD', 951, 'CBT', 5630, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'CPT', 797, '', 0, '73G 772\r'),
	('DT', 5133, 'LAD', 951, 'DXB', 2188, '', 0, '772\r'),
	('DT', 5133, 'LAD', 951, 'GIG', 2560, '', 0, '77W\r'),
	('DT', 5133, 'LAD', 951, 'GRU', 2564, '', 0, '77W\r'),
	('DT', 5133, 'LAD', 951, 'HAV', 1909, '', 0, '772\r'),
	('DT', 5133, 'LAD', 951, 'HRE', 1005, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'JNB', 813, '', 0, '772\r'),
	('DT', 5133, 'LAD', 951, 'LIS', 1638, '', 0, '77W\r'),
	('DT', 5133, 'LAD', 951, 'LUO', 960, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'MEG', 952, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'MSZ', 5633, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'NOV', 948, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'OPO', 1636, '', 0, '77W 772\r'),
	('DT', 5133, 'LAD', 951, 'PEK', 3364, '', 0, '772\r'),
	('DT', 5133, 'LAD', 951, 'SDD', 959, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'SPP', 953, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'SVP', 949, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'SZA', 958, '', 0, '732 73G\r'),
	('DT', 5133, 'LAD', 951, 'TMS', 973, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'VHC', 957, '', 0, '73G 732\r'),
	('DT', 5133, 'LAD', 951, 'VPE', 5632, '', 0, '73G\r'),
	('DT', 5133, 'LAD', 951, 'WDH', 4105, '', 0, '73G\r'),
	('DT', 5133, 'LIS', 1638, 'LAD', 951, '', 0, '77W\r'),
	('DT', 5133, 'LUN', 907, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'LUO', 960, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'MEG', 952, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'MEG', 952, 'VHC', 957, '', 0, '73G\r'),
	('DT', 5133, 'MSZ', 5633, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'NOV', 948, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'NOV', 948, 'SPP', 953, '', 0, '73G\r'),
	('DT', 5133, 'NOV', 948, 'VPE', 5632, '', 0, '73G\r'),
	('DT', 5133, 'OPO', 1636, 'LAD', 951, '', 0, '77W 772\r'),
	('DT', 5133, 'PEK', 3364, 'LAD', 951, '', 0, '772\r'),
	('DT', 5133, 'RAI', 5674, 'TMS', 973, '', 0, '73G\r'),
	('DT', 5133, 'SDD', 959, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'SDD', 959, 'VPE', 5632, '', 0, '73G\r'),
	('DT', 5133, 'SDD', 959, 'WDH', 4105, '', 0, '73G\r'),
	('DT', 5133, 'SPP', 953, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'SPP', 953, 'NOV', 948, '', 0, '73G\r'),
	('DT', 5133, 'SPP', 953, 'VPE', 5632, '', 0, '73G\r'),
	('DT', 5133, 'SVP', 949, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'SVP', 949, 'VPE', 5632, '', 0, '73G\r'),
	('DT', 5133, 'SZA', 958, 'CAB', 946, '', 0, '732 73G\r'),
	('DT', 5133, 'SZA', 958, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'TMS', 973, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'TMS', 973, 'RAI', 5674, '', 0, '73G\r'),
	('DT', 5133, 'VHC', 957, 'LAD', 951, '', 0, '73G 732\r'),
	('DT', 5133, 'VHC', 957, 'MEG', 952, '', 0, '73G\r'),
	('DT', 5133, 'VPE', 5632, 'CBT', 5630, '', 0, '73G\r'),
	('DT', 5133, 'VPE', 5632, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'VPE', 5632, 'NOV', 948, '', 0, '73G\r'),
	('DT', 5133, 'VPE', 5632, 'SDD', 959, '', 0, '73G\r'),
	('DT', 5133, 'VPE', 5632, 'SPP', 953, '', 0, '73G\r'),
	('DT', 5133, 'VPE', 5632, 'SVP', 949, '', 0, '73G\r'),
	('DT', 5133, 'WDH', 4105, 'LAD', 951, '', 0, '73G\r'),
	('DT', 5133, 'WDH', 4105, 'SDD', 959, '', 0, '73G\r'),
	('DV', 4840, 'AKX', 2920, 'ALA', 2908, '', 0, '735\r'),
	('DV', 4840, 'AKX', 2920, 'DME', 4029, '', 0, '735\r'),
	('DV', 4840, 'AKX', 2920, 'SCO', 4367, '', 0, 'CRJ 735\r'),
	('DV', 4840, 'AKX', 2920, 'TSE', 2910, '', 0, 'CRJ\r'),
	('DV', 4840, 'ALA', 2908, 'AKX', 2920, '', 0, '735\r'),
	('DV', 4840, 'ALA', 2908, 'CIT', 2914, '', 0, '735\r'),
	('DV', 4840, 'ALA', 2908, 'DMB', 2911, '', 0, 'CRJ\r'),
	('DV', 4840, 'ALA', 2908, 'DZN', 6085, '', 0, 'CRJ\r'),
	('DV', 4840, 'ALA', 2908, 'KGF', 4375, '', 0, 'CRJ\r'),
	('DV', 4840, 'ALA', 2908, 'KOV', 6083, '', 0, 'CRJ\r'),
	('DV', 4840, 'ALA', 2908, 'KSN', 6088, '', 0, 'CRJ\r'),
	('DV', 4840, 'ALA', 2908, 'PLX', 2918, '', 0, 'CRJ\r'),
	('DV', 4840, 'ALA', 2908, 'PPK', 6084, '', 0, 'AN4\r'),
	('DV', 4840, 'ALA', 2908, 'SCO', 4367, '', 0, '735\r'),
	('DV', 4840, 'ALA', 2908, 'TSE', 2910, '', 0, 'CRJ 735\r'),
	('DV', 4840, 'ALA', 2908, 'UKK', 6086, '', 0, 'CRJ\r'),
	('DV', 4840, 'ASF', 2966, 'SCO', 4367, '', 0, 'CRJ\r'),
	('DV', 4840, 'BON', 2896, 'CUR', 2897, '', 0, 'BNI\r'),
	('DV', 4840, 'CIT', 2914, 'ALA', 2908, '', 0, '735\r'),
	('DV', 4840, 'CIT', 2914, 'DME', 4029, '', 0, '735\r'),
	('DV', 4840, 'CIT', 2914, 'SCO', 4367, '', 0, '735\r'),
	('DV', 4840, 'CIT', 2914, 'TSE', 2910, '', 0, '735\r'),
	('DV', 4840, 'CUR', 2897, 'BON', 2896, '', 0, 'BNI\r'),
	('DV', 4840, 'DMB', 2911, 'ALA', 2908, '', 0, 'CRJ\r'),
	('DV', 4840, 'DMB', 2911, 'TSE', 2910, '', 0, 'CRJ\r'),
	('DV', 4840, 'DME', 4029, 'AKX', 2920, '', 0, '735\r'),
	('DV', 4840, 'DME', 4029, 'CIT', 2914, '', 0, '735\r'),
	('DV', 4840, 'DME', 4029, 'SCO', 4367, '', 0, '735\r'),
	('DV', 4840, 'DZN', 6085, 'ALA', 2908, '', 0, 'CRJ\r'),
	('DV', 4840, 'EVN', 3964, 'SCO', 4367, '', 0, 'CRJ\r'),
	('DV', 4840, 'GUW', 4357, 'SCO', 4367, '', 0, 'CRJ\r'),
	('DV', 4840, 'GUW', 4357, 'TSE', 2910, '', 0, 'CRJ\r'),
	('DV', 4840, 'GYD', 2922, 'SCO', 4367, '', 0, 'CRJ\r'),
	('DV', 4840, 'KGF', 4375, 'ALA', 2908, '', 0, 'CRJ\r'),
	('DV', 4840, 'KGF', 4375, 'KZO', 4358, '', 0, 'AN4\r'),
	('DV', 4840, 'KGF', 4375, 'UKK', 6086, '', 0, 'AN4\r'),
	('DV', 4840, 'KOV', 6083, 'ALA', 2908, '', 0, 'CRJ\r'),
	('DV', 4840, 'KRR', 2960, 'SCO', 4367, '', 0, 'CRJ\r'),
	('DV', 4840, 'KSN', 6088, 'ALA', 2908, '', 0, 'CRJ\r'),
	('DV', 4840, 'KZO', 4358, 'KGF', 4375, '', 0, 'AN4\r'),
	('DV', 4840, 'KZO', 4358, 'SCO', 4367, '', 0, 'AN4\r'),
	('DV', 4840, 'MCX', 2961, 'SCO', 4367, '', 0, 'CRJ\r'),
	('DV', 4840, 'MRV', 2962, 'SCO', 4367, '', 0, 'CRJ\r'),
	('DV', 4840, 'PLX', 2918, 'ALA', 2908, '', 0, 'CRJ\r'),
	('DV', 4840, 'PLX', 2918, 'TSE', 2910, '', 0, 'CRJ\r'),
	('DV', 4840, 'PLX', 2918, 'UKK', 6086, '', 0, 'AN4\r'),
	('DV', 4840, 'PPK', 6084, 'ALA', 2908, '', 0, 'AN4\r'),
	('DV', 4840, 'PPK', 6084, 'TSE', 2910, '', 0, 'AN4\r'),
	('DV', 4840, 'SCO', 4367, 'AKX', 2920, '', 0, 'CRJ 735\r'),
	('DV', 4840, 'SCO', 4367, 'ALA', 2908, '', 0, '735\r'),
	('DV', 4840, 'SCO', 4367, 'ASF', 2966, '', 0, 'CRJ\r'),
	('DV', 4840, 'SCO', 4367, 'CIT', 2914, '', 0, '735\r'),
	('DV', 4840, 'SCO', 4367, 'DME', 4029, '', 0, '735\r'),
	('DV', 4840, 'SCO', 4367, 'EVN', 3964, '', 0, 'CRJ\r'),
	('DV', 4840, 'SCO', 4367, 'GUW', 4357, '', 0, 'CRJ\r'),
	('DV', 4840, 'SCO', 4367, 'GYD', 2922, '', 0, 'CRJ\r'),
	('DV', 4840, 'SCO', 4367, 'KRR', 2960, '', 0, 'CRJ\r'),
	('DV', 4840, 'SCO', 4367, 'KZO', 4358, '', 0, 'AN4\r'),
	('DV', 4840, 'SCO', 4367, 'MCX', 2961, '', 0, 'CRJ\r'),
	('DV', 4840, 'SCO', 4367, 'MRV', 2962, '', 0, 'CRJ\r'),
	('DV', 4840, 'SCO', 4367, 'TBS', 3973, '', 0, 'CRJ\r'),
	('DV', 4840, 'SCO', 4367, 'TSE', 2910, '', 0, '735\r'),
	('DV', 4840, 'SCO', 4367, 'URA', 2916, '', 0, 'AN4\r'),
	('DV', 4840, 'TBS', 3973, 'SCO', 4367, '', 0, 'CRJ\r'),
	('DV', 4840, 'TSE', 2910, 'AKX', 2920, '', 0, 'CRJ\r'),
	('DV', 4840, 'TSE', 2910, 'ALA', 2908, '', 0, '735 CRJ\r'),
	('DV', 4840, 'TSE', 2910, 'CIT', 2914, '', 0, '735\r'),
	('DV', 4840, 'TSE', 2910, 'DMB', 2911, '', 0, 'CRJ\r'),
	('DV', 4840, 'TSE', 2910, 'GUW', 4357, '', 0, 'CRJ\r'),
	('DV', 4840, 'TSE', 2910, 'PLX', 2918, '', 0, 'CRJ\r'),
	('DV', 4840, 'TSE', 2910, 'PPK', 6084, '', 0, 'AN4\r'),
	('DV', 4840, 'TSE', 2910, 'SCO', 4367, '', 0, '735\r'),
	('DV', 4840, 'TSE', 2910, 'UKK', 6086, '', 0, 'CRJ\r'),
	('DV', 4840, 'UKK', 6086, 'ALA', 2908, '', 0, 'CRJ\r'),
	('DV', 4840, 'UKK', 6086, 'KGF', 4375, '', 0, 'AN4\r'),
	('DV', 4840, 'UKK', 6086, 'PLX', 2918, '', 0, 'AN4\r'),
	('DV', 4840, 'UKK', 6086, 'TSE', 2910, '', 0, 'CRJ\r'),
	('DV', 4840, 'URA', 2916, 'SCO', 4367, '', 0, 'AN4\r'),
	('DX', 1954, 'AAL', 628, 'BLL', 608, '', 0, 'SF3\r'),
	('DX', 1954, 'AAL', 628, 'SVG', 666, '', 0, 'SF3\r'),
	('DX', 1954, 'BLL', 608, 'AAL', 628, '', 0, 'SF3\r'),
	('DX', 1954, 'BLL', 608, 'EBJ', 610, '', 0, 'AT5 SF3\r'),
	('DX', 1954, 'BLL', 608, 'SVG', 666, '', 0, 'AT5 SF3\r'),
	('DX', 1954, 'CPH', 609, 'RNN', 618, '', 0, 'AT7 AT4\r'),
	('DX', 1954, 'EBJ', 610, 'BLL', 608, '', 0, 'AT5 SF3\r'),
	('DX', 1954, 'MOL', 651, 'SRP', 660, '', 0, 'SF3\r'),
	('DX', 1954, 'OSL', 644, 'SRP', 660, '', 0, 'AT4\r'),
	('DX', 1954, 'RNN', 618, 'CPH', 609, '', 0, 'AT7 AT4\r'),
	('DX', 1954, 'SRP', 660, 'MOL', 651, '', 0, 'SF3\r'),
	('DX', 1954, 'SRP', 660, 'OSL', 644, '', 0, 'AT4\r'),
	('DX', 1954, 'SRP', 660, 'SVG', 666, '', 0, 'SF3\r'),
	('DX', 1954, 'SVG', 666, 'AAL', 628, '', 0, 'SF3\r'),
	('DX', 1954, 'SVG', 666, 'BLL', 608, '', 0, 'AT5 SF3\r'),
	('DX', 1954, 'SVG', 666, 'SRP', 660, '', 0, 'SF3\r'),
	('DY', 3737, 'AAL', 628, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'AAL', 628, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'AAL', 628, 'CPH', 609, '', 0, '73H AT7\r'),
	('DY', 3737, 'AAL', 628, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'AAL', 628, 'PMI', 3998, '', 0, '73H\r'),
	('DY', 3737, 'ACE', 1055, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'AES', 630, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'AES', 630, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'AES', 630, 'OSL', 644, '', 0, '733 73H\r'),
	('DY', 3737, 'AGP', 1230, 'AAL', 628, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'CGN', 344, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'GOT', 687, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'HAM', 342, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'MUC', 346, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'RYG', 657, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'SVG', 666, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'AGP', 1230, 'WAW', 679, '', 0, '73H\r'),
	('DY', 3737, 'AJA', 1324, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'AJA', 1324, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'AAL', 628, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'AES', 630, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'BLL', 608, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'CGN', 344, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'EVE', 641, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'GOT', 687, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'HAM', 342, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'KSD', 5595, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'MOL', 651, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'MUC', 346, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'OUL', 446, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'RYG', 657, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'SVG', 666, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'TKU', 460, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'TOS', 663, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'ALC', 1212, 'UME', 728, '', 0, '73H\r'),
	('DY', 3737, 'ALF', 632, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'ALF', 632, 'TOS', 663, '', 0, '733\r'),
	('DY', 3737, 'AMS', 580, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'AMS', 580, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'AMS', 580, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'AJA', 1324, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'AMS', 580, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'ATH', 3941, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'BEG', 1739, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'BKK', 3885, 'Y', 0, '788\r'),
	('DY', 3737, 'ARN', 737, 'BUD', 1489, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'CHQ', 1474, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'CTA', 1509, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'DBV', 1200, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'EDI', 535, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'FAO', 1626, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'FCO', 1555, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'FLL', 3533, 'Y', 0, '788\r'),
	('DY', 3737, 'ARN', 737, 'GOT', 687, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'JFK', 3797, 'Y', 0, '788\r'),
	('DY', 3737, 'ARN', 737, 'KRK', 669, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'KRN', 724, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'LAX', 3484, 'Y', 0, '788\r'),
	('DY', 3737, 'ARN', 737, 'LCA', 1197, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'LLA', 734, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'LPA', 1054, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'MAN', 478, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'MMX', 708, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'MUC', 346, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'NCE', 1354, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'OAK', 3453, 'Y', 0, '788\r'),
	('DY', 3737, 'ARN', 737, 'OLB', 1520, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'ORY', 1386, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'ARN', 737, 'PMI', 3998, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'PMO', 1512, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'PRG', 1587, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'PSA', 1562, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'RIX', 3953, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'SJJ', 1646, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'SPU', 1206, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'SXF', 337, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'TLV', 1590, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'UME', 728, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'VAA', 462, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'VCE', 1551, '', 0, '73H\r'),
	('DY', 3737, 'ARN', 737, 'VNO', 3959, '', 0, '73H\r'),
	('DY', 3737, 'ATH', 3941, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'ATH', 3941, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'ATH', 3941, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'ATH', 3941, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'AYT', 1688, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'AYT', 1688, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'AYT', 1688, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'AYT', 1688, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'GOT', 687, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'HAM', 342, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'SXF', 337, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'BCN', 1218, 'WAW', 679, '', 0, '73H\r'),
	('DY', 3737, 'BDU', 640, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'BEG', 1739, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'BEG', 1739, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'BGO', 636, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'AYT', 1688, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'CHQ', 1474, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'DBV', 1200, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'EDI', 535, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'FCO', 1555, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'JFK', 3797, 'Y', 0, '788\r'),
	('DY', 3737, 'BGO', 636, 'KEF', 16, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'KRK', 669, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'LPA', 1054, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'NCE', 1354, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'ORY', 1386, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'BGO', 636, 'PMI', 3998, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'PRG', 1587, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'SVG', 666, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'SXF', 337, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'BGO', 636, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'BIO', 1216, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'BKK', 3885, 'ARN', 737, 'Y', 0, '788\r'),
	('DY', 3737, 'BKK', 3885, 'OSL', 644, 'Y', 0, '788\r'),
	('DY', 3737, 'BLL', 608, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'BLL', 608, 'OSL', 644, '', 0, '733 73H\r'),
	('DY', 3737, 'BOJ', 1191, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'BOJ', 1191, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'BOJ', 1191, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'BOO', 635, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'BTS', 1745, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'BUD', 1489, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'BUD', 1489, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'BUD', 1489, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'BUD', 1489, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'BUD', 1489, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'CGN', 344, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'CGN', 344, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'CGN', 344, 'LPA', 1054, '', 0, '73H\r'),
	('DY', 3737, 'CGN', 344, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'CGN', 344, 'TFS', 1056, '', 0, '73H\r'),
	('DY', 3737, 'CHQ', 1474, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'CHQ', 1474, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'CHQ', 1474, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'CHQ', 1474, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'CHQ', 1474, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'CPH', 609, 'AAL', 628, '', 0, '73H AT7\r'),
	('DY', 3737, 'CPH', 609, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'AMS', 580, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'ATH', 3941, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'BOJ', 1191, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'BUD', 1489, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'CHQ', 1474, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'CTA', 1509, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'DUB', 599, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'EDI', 535, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'FAO', 1626, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'FCO', 1555, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'FLL', 3533, 'Y', 0, '788\r'),
	('DY', 3737, 'CPH', 609, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'JFK', 3797, 'Y', 0, '788\r'),
	('DY', 3737, 'CPH', 609, 'KRK', 669, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'KRP', 612, '', 0, 'AT7\r'),
	('DY', 3737, 'CPH', 609, 'LAX', 3484, 'Y', 0, '788\r'),
	('DY', 3737, 'CPH', 609, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'LIS', 1638, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'LPA', 1054, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'MAD', 1229, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'MLA', 1606, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'NCE', 1354, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'ORY', 1386, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'CPH', 609, 'PMI', 3998, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'PRG', 1587, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'PSA', 1562, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'RAK', 1075, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'RIX', 3953, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'SPU', 1206, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'SXF', 337, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'TLV', 1590, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'VCE', 1551, '', 0, '73H\r'),
	('DY', 3737, 'CPH', 609, 'ZAG', 1208, '', 0, '73H\r'),
	('DY', 3737, 'CTA', 1509, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'CTA', 1509, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'CTA', 1509, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'DBV', 1200, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'DBV', 1200, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'DBV', 1200, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'DBV', 1200, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'DBV', 1200, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'DBV', 1200, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'DBV', 1200, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'DUB', 599, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'DUB', 599, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'DUB', 599, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'EDI', 535, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'EDI', 535, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'EDI', 535, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'EDI', 535, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'EVE', 641, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'EVE', 641, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'EVE', 641, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'FAO', 1626, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'FAO', 1626, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'FAO', 1626, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'FAO', 1626, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'FCO', 1555, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'FCO', 1555, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'FCO', 1555, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'FCO', 1555, 'GOT', 687, '', 0, '73H\r'),
	('DY', 3737, 'FCO', 1555, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'FCO', 1555, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'FCO', 1555, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'FLL', 3533, 'ARN', 737, 'Y', 0, '788\r'),
	('DY', 3737, 'FLL', 3533, 'CPH', 609, 'Y', 0, '788\r'),
	('DY', 3737, 'FLL', 3533, 'OSL', 644, 'Y', 0, '788\r'),
	('DY', 3737, 'FUE', 1051, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'GDN', 668, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'GOT', 687, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'GOT', 687, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'GOT', 687, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'GOT', 687, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'GOT', 687, 'FCO', 1555, '', 0, '73H\r'),
	('DY', 3737, 'GOT', 687, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'GOT', 687, 'NCE', 1354, '', 0, '73H\r'),
	('DY', 3737, 'GVA', 1665, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'HAM', 342, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'HAM', 342, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'HAM', 342, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'HAM', 342, 'LPA', 1054, '', 0, '73H\r'),
	('DY', 3737, 'HAM', 342, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'HAM', 342, 'TFS', 1056, '', 0, '73H\r'),
	('DY', 3737, 'HAU', 645, 'OSL', 644, '', 0, '733 73H\r'),
	('DY', 3737, 'HEL', 421, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'ATH', 3941, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'BOJ', 1191, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'BUD', 1489, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'CHQ', 1474, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'DBV', 1200, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'DUB', 599, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'FCO', 1555, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'NCE', 1354, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'ORY', 1386, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'OUL', 446, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'PMI', 3998, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'PRG', 1587, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'RVN', 453, '', 0, '73H\r'),
	('DY', 3737, 'HEL', 421, 'SPU', 1206, '', 0, '73H\r'),
	('DY', 3737, 'IBZ', 1225, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'JFK', 3797, 'ARN', 737, 'Y', 0, '788\r'),
	('DY', 3737, 'JFK', 3797, 'BGO', 636, 'Y', 0, '788\r'),
	('DY', 3737, 'JFK', 3797, 'CPH', 609, 'Y', 0, '788\r'),
	('DY', 3737, 'JFK', 3797, 'OSL', 644, 'Y', 0, '788\r'),
	('DY', 3737, 'JTR', 1479, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'KBP', 2939, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'KEF', 16, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'KEF', 16, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'KKN', 649, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'KRK', 669, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'KRK', 669, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'KRK', 669, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'KRK', 669, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'KRK', 669, 'SVG', 666, '', 0, '73H\r'),
	('DY', 3737, 'KRK', 669, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'KRN', 724, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'KRP', 612, 'CPH', 609, '', 0, 'AT7\r'),
	('DY', 3737, 'KRS', 638, 'OSL', 644, '', 0, '733 73H\r'),
	('DY', 3737, 'KSD', 5595, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'LAX', 3484, 'ARN', 737, 'Y', 0, '788\r'),
	('DY', 3737, 'LAX', 3484, 'CPH', 609, 'Y', 0, '788\r'),
	('DY', 3737, 'LCA', 1197, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'LCA', 1197, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'LCA', 1197, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'LED', 2948, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'AAL', 628, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'ACE', 1055, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'AES', 630, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'BUD', 1489, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'CTA', 1509, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'DBV', 1200, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'FAO', 1626, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'FCO', 1555, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'FUE', 1051, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'GOT', 687, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'IBZ', 1225, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'JTR', 1479, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'LCA', 1197, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'LPA', 1054, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'NCE', 1354, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'PMI', 3998, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'SPU', 1206, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'SVG', 666, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'TFS', 1056, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'TOS', 663, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'LGW', 502, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'LIS', 1638, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'LIS', 1638, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'LLA', 734, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'LPA', 1054, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'LPA', 1054, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'LPA', 1054, 'CGN', 344, '', 0, '73H\r'),
	('DY', 3737, 'LPA', 1054, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'LPA', 1054, 'HAM', 342, '', 0, '73H\r'),
	('DY', 3737, 'LPA', 1054, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'LPA', 1054, 'MUC', 346, '', 0, '73H\r'),
	('DY', 3737, 'LPA', 1054, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'LPA', 1054, 'SXF', 337, '', 0, '73H\r'),
	('DY', 3737, 'LPA', 1054, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'LYR', 658, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'MAD', 1229, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'MAN', 478, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'MAN', 478, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'MAN', 478, 'SVG', 666, '', 0, '73H\r'),
	('DY', 3737, 'MJV', 1227, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'MLA', 1606, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'MLA', 1606, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'MMX', 708, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'MOL', 651, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'MOL', 651, 'OSL', 644, '', 0, '733 73H\r'),
	('DY', 3737, 'MUC', 346, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'MUC', 346, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'MUC', 346, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'MUC', 346, 'LPA', 1054, '', 0, '73H\r'),
	('DY', 3737, 'MUC', 346, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'MUC', 346, 'TFS', 1056, '', 0, '73H\r'),
	('DY', 3737, 'MXP', 1524, 'OSL', 644, '', 0, '733 73H\r'),
	('DY', 3737, 'NCE', 1354, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'NCE', 1354, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'NCE', 1354, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'NCE', 1354, 'GOT', 687, '', 0, '73H\r'),
	('DY', 3737, 'NCE', 1354, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'NCE', 1354, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'NCE', 1354, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'NCE', 1354, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'NCE', 1354, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'OAK', 3453, 'ARN', 737, 'Y', 0, '788\r'),
	('DY', 3737, 'OLB', 1520, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'ORY', 1386, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'ORY', 1386, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'ORY', 1386, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'ORY', 1386, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'ORY', 1386, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'AES', 630, '', 0, '733 73H\r'),
	('DY', 3737, 'OSL', 644, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'AJA', 1324, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'ALF', 632, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'AMS', 580, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'ARN', 737, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'ATH', 3941, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'AYT', 1688, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'BDU', 640, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'BEG', 1739, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'BGO', 636, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'BIO', 1216, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'BKK', 3885, 'Y', 0, '788\r'),
	('DY', 3737, 'OSL', 644, 'BLL', 608, '', 0, '733 73H\r'),
	('DY', 3737, 'OSL', 644, 'BOJ', 1191, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'BOO', 635, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'BTS', 1745, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'BUD', 1489, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'CGN', 344, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'CHQ', 1474, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'CPH', 609, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'DBV', 1200, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'DUB', 599, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'EDI', 535, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'EVE', 641, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'FAO', 1626, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'FCO', 1555, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'FLL', 3533, 'Y', 0, '788\r'),
	('DY', 3737, 'OSL', 644, 'GDN', 668, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'GVA', 1665, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'HAM', 342, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'HAU', 645, '', 0, '733 73H\r'),
	('DY', 3737, 'OSL', 644, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'JFK', 3797, 'Y', 0, '788\r'),
	('DY', 3737, 'OSL', 644, 'KBP', 2939, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'KEF', 16, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'KKN', 649, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'KRK', 669, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'KRS', 638, '', 0, '733 73H\r'),
	('DY', 3737, 'OSL', 644, 'LCA', 1197, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'LED', 2948, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'LIS', 1638, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'LPA', 1054, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'LYR', 658, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'MAN', 478, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'MJV', 1227, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'MLA', 1606, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'MOL', 651, '', 0, '733 73H\r'),
	('DY', 3737, 'OSL', 644, 'MUC', 346, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'MXP', 1524, '', 0, '733 73H\r'),
	('DY', 3737, 'OSL', 644, 'NCE', 1354, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'ORY', 1386, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'PLQ', 3958, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'PMI', 3998, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'PRG', 1587, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'PSA', 1562, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'PUY', 1203, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'RAK', 1075, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'RIX', 3953, '', 0, '733 73H\r'),
	('DY', 3737, 'OSL', 644, 'SPU', 1206, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'SVG', 666, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'SXF', 337, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'SZZ', 676, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'TFS', 1056, '', 0, '73H\r'),
	('DY', 3737, 'OSL', 644, 'TLL', 415, '', 0, '733 73H\r'),
	('DY', 3737, 'OSL', 644, 'TOS', 663, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'TRD', 665, '', 0, '733 73H\r'),
	('DY', 3737, 'OSL', 644, 'VCE', 1551, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'VIE', 1613, '', 0, '733\r'),
	('DY', 3737, 'OSL', 644, 'VNO', 3959, '', 0, '73H 733\r'),
	('DY', 3737, 'OSL', 644, 'WAW', 679, '', 0, '733 73H\r'),
	('DY', 3737, 'OUL', 446, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'OUL', 446, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'PLQ', 3958, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'PMI', 3998, 'AAL', 628, '', 0, '73H\r'),
	('DY', 3737, 'PMI', 3998, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'PMI', 3998, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'PMI', 3998, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'PMI', 3998, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'PMI', 3998, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'PMI', 3998, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'PMI', 3998, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'PMO', 1512, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'PRG', 1587, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'PRG', 1587, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'PRG', 1587, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'PRG', 1587, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'PRG', 1587, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'PSA', 1562, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'PSA', 1562, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'PSA', 1562, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'PUY', 1203, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'RAK', 1075, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'RAK', 1075, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'RIX', 3953, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'RIX', 3953, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'RIX', 3953, 'OSL', 644, '', 0, '733 73H\r'),
	('DY', 3737, 'RIX', 3953, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'RVN', 453, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'RYG', 657, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'RYG', 657, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'SJJ', 1646, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'SPU', 1206, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'SPU', 1206, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'SPU', 1206, 'HEL', 421, '', 0, '73H\r'),
	('DY', 3737, 'SPU', 1206, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'SPU', 1206, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'SVG', 666, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'SVG', 666, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'SVG', 666, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'SVG', 666, 'KRK', 669, '', 0, '73H\r'),
	('DY', 3737, 'SVG', 666, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'SVG', 666, 'MAN', 478, '', 0, '73H\r'),
	('DY', 3737, 'SVG', 666, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'SVG', 666, 'SXF', 337, '', 0, '73H\r'),
	('DY', 3737, 'SVG', 666, 'WAW', 679, '', 0, '73H\r'),
	('DY', 3737, 'SXF', 337, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'SXF', 337, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'SXF', 337, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'SXF', 337, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'SXF', 337, 'LPA', 1054, '', 0, '73H\r'),
	('DY', 3737, 'SXF', 337, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'SXF', 337, 'SVG', 666, '', 0, '73H\r'),
	('DY', 3737, 'SXF', 337, 'TFS', 1056, '', 0, '73H\r'),
	('DY', 3737, 'SXF', 337, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'SZZ', 676, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'TFS', 1056, 'CGN', 344, '', 0, '73H\r'),
	('DY', 3737, 'TFS', 1056, 'HAM', 342, '', 0, '73H\r'),
	('DY', 3737, 'TFS', 1056, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'TFS', 1056, 'MUC', 346, '', 0, '73H\r'),
	('DY', 3737, 'TFS', 1056, 'OSL', 644, '', 0, '73H\r'),
	('DY', 3737, 'TFS', 1056, 'SXF', 337, '', 0, '73H\r'),
	('DY', 3737, 'TKU', 460, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'TLL', 415, 'OSL', 644, '', 0, '733 73H\r'),
	('DY', 3737, 'TLV', 1590, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'TLV', 1590, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'TOS', 663, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'TOS', 663, 'ALF', 632, '', 0, '733\r'),
	('DY', 3737, 'TOS', 663, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'TOS', 663, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'TOS', 663, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'AYT', 1688, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'DBV', 1200, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'EVE', 641, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'KRK', 669, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'NCE', 1354, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'TRD', 665, 'RIX', 3953, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'SXF', 337, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'TOS', 663, '', 0, '73H\r'),
	('DY', 3737, 'TRD', 665, 'TRF', 664, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'AYT', 1688, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'BGO', 636, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'DBV', 1200, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'LGW', 502, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'LPA', 1054, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'NCE', 1354, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'PMI', 3998, '', 0, '73H\r'),
	('DY', 3737, 'TRF', 664, 'TRD', 665, '', 0, '73H\r'),
	('DY', 3737, 'UME', 728, 'ALC', 1212, '', 0, '73H\r'),
	('DY', 3737, 'UME', 728, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'VAA', 462, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'VCE', 1551, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'VCE', 1551, 'CPH', 609, '', 0, '73H\r'),
	('DY', 3737, 'VCE', 1551, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'VIE', 1613, 'OSL', 644, '', 0, '733\r'),
	('DY', 3737, 'VNO', 3959, 'ARN', 737, '', 0, '73H\r'),
	('DY', 3737, 'VNO', 3959, 'OSL', 644, '', 0, '73H 733\r'),
	('DY', 3737, 'WAW', 679, 'AGP', 1230, '', 0, '73H\r'),
	('DY', 3737, 'WAW', 679, 'BCN', 1218, '', 0, '73H\r'),
	('DY', 3737, 'WAW', 679, 'OSL', 644, '', 0, '733 73H\r'),
	('DY', 3737, 'WAW', 679, 'SVG', 666, '', 0, '73H\r'),
	('DY', 3737, 'ZAG', 1208, 'CPH', 609, '', 0, '73H\r'),
	('DZ', 11963, 'DLC', 3404, 'NGB', 3387, '', 0, '738\r'),
	('DZ', 11963, 'NGB', 3387, 'DLC', 3404, '', 0, '738\r'),
	('DZ', 11963, 'NGB', 3387, 'SZX', 3374, '', 0, '738\r'),
	('DZ', 11963, 'SZX', 3374, 'NGB', 3387, '', 0, '738\r'),
	('E2', 3098, 'ABJ', 253, 'ACC', 248, '', 0, 'M82\r'),
	('E2', 3098, 'ABJ', 253, 'FNA', 1059, '', 0, 'M82\r'),
	('E2', 3098, 'ABJ', 253, 'ROB', 1063, '', 0, 'M82\r'),
	('E2', 3098, 'ACC', 248, 'ABJ', 253, '', 0, 'M82\r'),
	('E2', 3098, 'ACC', 248, 'FNA', 1059, '', 0, 'M82\r'),
	('E2', 3098, 'DKR', 1084, 'FNA', 1059, '', 0, 'M82\r'),
	('E2', 3098, 'FNA', 1059, 'ABJ', 253, '', 0, 'M82\r'),
	('E2', 3098, 'FNA', 1059, 'ACC', 248, '', 0, 'M82\r'),
	('E2', 3098, 'FNA', 1059, 'DKR', 1084, '', 0, 'M82\r'),
	('E2', 3098, 'FNA', 1059, 'ROB', 1063, '', 0, 'M82\r'),
	('E2', 3098, 'ROB', 1063, 'ABJ', 253, '', 0, 'M82\r'),
	('E2', 3098, 'ROB', 1063, 'FNA', 1059, '', 0, 'M82\r'),
	('E5', 16963, 'AMM', 2170, 'HBE', 3410, '', 0, '320\r'),
	('E5', 16963, 'DMM', 2064, 'HBE', 3410, '', 0, '320\r'),
	('E5', 16963, 'HBE', 3410, 'AMM', 2170, '', 0, '320\r'),
	('E5', 16963, 'HBE', 3410, 'DMM', 2064, '', 0, '320\r'),
	('E5', 16963, 'HBE', 3410, 'JED', 2072, '', 0, '320\r'),
	('E5', 16963, 'HBE', 3410, 'KWI', 2176, '', 0, '320\r'),
	('E5', 16963, 'HBE', 3410, 'RUH', 2082, '', 0, '320\r'),
	('E5', 16963, 'JED', 2072, 'HBE', 3410, '', 0, '320\r'),
	('E5', 16963, 'KWI', 2176, 'HBE', 3410, '', 0, '320\r'),
	('E5', 16963, 'RUH', 2082, 'HBE', 3410, '', 0, '320\r'),
	('E7', 2217, 'BZV', 883, 'PNR', 886, '', 0, 'ERJ\r'),
	('E7', 2217, 'PNR', 886, 'BZV', 883, '', 0, 'ERJ\r'),
	('E7', 2217, 'PNR', 886, 'POG', 967, '', 0, 'ERJ\r'),
	('E7', 2217, 'POG', 967, 'PNR', 886, '', 0, 'ERJ\r'),
	('E8', 839, 'CSX', 3371, 'DMK', 3157, '', 0, '734\r'),
	('E8', 839, 'DMK', 3157, 'CSX', 3371, '', 0, '734\r'),
	('E8', 839, 'DMK', 3157, 'HKT', 3179, '', 0, '734\r'),
	('E8', 839, 'DMK', 3157, 'KHN', 3384, '', 0, '734\r'),
	('E8', 839, 'HKT', 3179, 'DMK', 3157, '', 0, '734\r'),
	('E8', 839, 'KHN', 3384, 'DMK', 3157, '', 0, '734\r'),
	('E9', 11806, 'CUN', 1852, 'MAD', 1229, '', 0, '333\r'),
	('E9', 11806, 'MAD', 1229, 'CUN', 1852, '', 0, '333\r'),
	('E9', 11806, 'MAD', 1229, 'PUJ', 1760, '', 0, '333\r'),
	('E9', 11806, 'PUJ', 1760, 'MAD', 1229, '', 0, '333\r'),
	('EF', 2324, 'COQ', 6795, 'ULN', 3380, '', 0, 'DH4\r'),
	('EF', 2324, 'MXV', 6374, 'ULN', 3380, '', 0, 'DH4\r'),
	('EF', 2324, 'ULG', 7470, 'ULN', 3380, '', 0, 'DH4\r'),
	('EF', 2324, 'ULN', 3380, 'COQ', 6795, '', 0, 'DH4\r'),
	('EF', 2324, 'ULN', 3380, 'MXV', 6374, '', 0, 'DH4\r'),
	('EF', 2324, 'ULN', 3380, 'ULG', 7470, '', 0, 'DH4\r'),
	('EF', 2324, 'ULN', 3380, 'ULO', 7558, '', 0, 'DH4\r'),
	('EF', 2324, 'ULO', 7558, 'ULN', 3380, '', 0, 'DH4\r'),
	('EG', 2989, 'CIT', 2914, 'LED', 2948, '', 0, '320\r'),
	('EG', 2989, 'DMB', 2911, 'DME', 4029, '', 0, '320\r'),
	('EG', 2989, 'DMB', 2911, 'SVX', 2975, '', 0, '320\r'),
	('EG', 2989, 'DME', 4029, 'TJU', 7563, '', 0, '320\r'),
	('EG', 2989, 'LED', 2948, 'TJU', 7563, '', 0, '320\r'),
	('EG', 2989, 'SVX', 2975, 'TJU', 7563, '', 0, '320\r'),
	('EG', 2989, 'TJU', 7563, 'CIT', 2914, '', 0, '320\r'),
	('EG', 2989, 'TJU', 7563, 'DME', 4029, '', 0, '320\r'),
	('EG', 2989, 'TJU', 7563, 'SVX', 2975, '', 0, '320\r'),
	('EI', 837, 'ABZ', 532, 'DUB', 599, 'Y', 0, 'AT7\r'),
	('EI', 837, 'ACE', 1055, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'ACE', 1055, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'ADB', 1706, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'AGP', 1230, 'BHD', 467, '', 0, '320\r'),
	('EI', 837, 'AGP', 1230, 'DUB', 599, '', 0, '330 320\r'),
	('EI', 837, 'AGP', 1230, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'AGP', 1230, 'SNN', 603, '', 0, '320\r'),
	('EI', 837, 'ALC', 1212, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'ALC', 1212, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'AMS', 580, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'AMS', 580, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'ARN', 737, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'ATH', 3941, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'CR7 ERJ E70\r'),
	('EI', 837, 'AUH', 2179, 'DUB', 599, 'Y', 0, '77W 332\r'),
	('EI', 837, 'BCN', 1218, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'BCN', 1218, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'BHD', 467, 'AGP', 1230, '', 0, '320\r'),
	('EI', 837, 'BHD', 467, 'FAO', 1626, '', 0, '320\r'),
	('EI', 837, 'BHD', 467, 'LGW', 502, '', 0, '320 319\r'),
	('EI', 837, 'BHD', 467, 'LHR', 507, '', 0, '319\r'),
	('EI', 837, 'BHD', 467, 'PMI', 3998, '', 0, '320 319\r'),
	('EI', 837, 'BHX', 469, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'BHX', 469, 'ORK', 596, 'Y', 0, 'AT7\r'),
	('EI', 837, 'BHX', 469, 'SNN', 603, 'Y', 0, 'AT4 AT7\r'),
	('EI', 837, 'BIO', 1216, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'BLK', 514, 'DUB', 599, 'Y', 0, 'AT4\r'),
	('EI', 837, 'BLQ', 1538, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'BOD', 1264, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'BOH', 494, 'DUB', 599, 'Y', 0, 'AT4\r'),
	('EI', 837, 'BOJ', 1191, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'BOS', 3448, 'DUB', 599, '', 0, '332 330\r'),
	('EI', 837, 'BOS', 3448, 'SNN', 603, '', 0, '757\r'),
	('EI', 837, 'BRS', 490, 'DUB', 599, 'Y', 0, 'AT7 AT4\r'),
	('EI', 837, 'BRS', 490, 'ORK', 596, 'Y', 0, 'AT7\r'),
	('EI', 837, 'BRS', 490, 'SNN', 603, 'Y', 0, 'AT4\r'),
	('EI', 837, 'BRU', 302, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'BRU', 302, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'BUD', 1489, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'CDG', 1382, 'DUB', 599, '', 0, '320 319\r'),
	('EI', 837, 'CDG', 1382, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'CFU', 1460, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'CPH', 609, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'CTA', 1509, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'CWL', 488, 'DUB', 599, 'Y', 0, 'AT7\r'),
	('EI', 837, 'DBV', 1200, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'ABZ', 532, 'Y', 0, 'AT7\r'),
	('EI', 837, 'DUB', 599, 'ACE', 1055, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'ADB', 1706, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'AGP', 1230, '', 0, '330 320\r'),
	('EI', 837, 'DUB', 599, 'ALC', 1212, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'AMS', 580, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'ARN', 737, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'ATH', 3941, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'AUH', 2179, 'Y', 0, '77W 332\r'),
	('EI', 837, 'DUB', 599, 'BCN', 1218, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'BHX', 469, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'BIO', 1216, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'BLK', 514, 'Y', 0, 'AT4\r'),
	('EI', 837, 'DUB', 599, 'BLQ', 1538, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'BOD', 1264, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'BOH', 494, 'Y', 0, 'AT4\r'),
	('EI', 837, 'DUB', 599, 'BOJ', 1191, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'BOS', 3448, '', 0, '332 330\r'),
	('EI', 837, 'DUB', 599, 'BRS', 490, 'Y', 0, 'AT7 AT4\r'),
	('EI', 837, 'DUB', 599, 'BRU', 302, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'BUD', 1489, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'CDG', 1382, '', 0, '320 319\r'),
	('EI', 837, 'DUB', 599, 'CFU', 1460, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'CPH', 609, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'CTA', 1509, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'CWL', 488, 'Y', 0, 'AT7\r'),
	('EI', 837, 'DUB', 599, 'DBV', 1200, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'DUS', 345, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'EDI', 535, 'Y', 0, 'AT7\r'),
	('EI', 837, 'DUB', 599, 'FAO', 1626, '', 0, '320 321 330 332\r'),
	('EI', 837, 'DUB', 599, 'FCO', 1555, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'FRA', 340, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'FUE', 1051, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'GLA', 534, 'Y', 0, 'AT7 AT4\r'),
	('EI', 837, 'DUB', 599, 'GVA', 1665, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'HAJ', 352, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'HAM', 342, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'IAD', 3714, 'Y', 0, '752\r'),
	('EI', 837, 'DUB', 599, 'IBZ', 1225, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'IOM', 520, 'Y', 0, 'AT4\r'),
	('EI', 837, 'DUB', 599, 'JER', 499, 'Y', 0, 'AT7\r'),
	('EI', 837, 'DUB', 599, 'JFK', 3797, '', 0, '330\r'),
	('EI', 837, 'DUB', 599, 'KIR', 601, 'Y', 0, 'AT4\r'),
	('EI', 837, 'DUB', 599, 'LGW', 502, '', 0, '320 319\r'),
	('EI', 837, 'DUB', 599, 'LHR', 507, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'LIN', 1529, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'LIS', 1638, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'LPA', 1054, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'LYS', 1335, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'MAD', 1229, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'MAN', 478, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'MCO', 3878, '', 0, '330 332\r'),
	('EI', 837, 'DUB', 599, 'MRS', 1353, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'MUC', 346, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'MXP', 1524, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'NAP', 1561, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'NCE', 1354, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'NCL', 521, 'Y', 0, 'AT7\r'),
	('EI', 837, 'DUB', 599, 'ORD', 3830, '', 0, '330 332\r'),
	('EI', 837, 'DUB', 599, 'PGF', 1356, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'PMI', 3998, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'PRG', 1587, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'PUY', 1203, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'SCQ', 1243, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'SEN', 508, 'Y', 0, 'AT4 AT7\r'),
	('EI', 837, 'DUB', 599, 'SFO', 3469, '', 0, '332\r'),
	('EI', 837, 'DUB', 599, 'STR', 350, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'SXF', 337, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'TFS', 1056, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'TLS', 1273, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'VCE', 1551, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'VIE', 1613, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'VRN', 1550, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'WAW', 679, '', 0, '320\r'),
	('EI', 837, 'DUB', 599, 'YYZ', 193, '', 0, '757\r'),
	('EI', 837, 'DUB', 599, 'ZRH', 1678, '', 0, '320\r'),
	('EI', 837, 'DUS', 345, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'EDI', 535, 'DUB', 599, 'Y', 0, 'AT7\r'),
	('EI', 837, 'EDI', 535, 'ORK', 596, 'Y', 0, 'AT7\r'),
	('EI', 837, 'EDI', 535, 'SNN', 603, 'Y', 0, 'AT7\r'),
	('EI', 837, 'FAO', 1626, 'BHD', 467, '', 0, '320\r'),
	('EI', 837, 'FAO', 1626, 'DUB', 599, '', 0, '320 321 330 332\r'),
	('EI', 837, 'FAO', 1626, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'FAO', 1626, 'SNN', 603, '', 0, '320\r'),
	('EI', 837, 'FCO', 1555, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'FRA', 340, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'FUE', 1051, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'GLA', 534, 'DUB', 599, 'Y', 0, 'AT7 AT4\r'),
	('EI', 837, 'GLA', 534, 'ORK', 596, 'Y', 0, 'AT7\r'),
	('EI', 837, 'GVA', 1665, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'HAJ', 352, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'HAM', 342, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'IAD', 3714, 'DUB', 599, 'Y', 0, '752\r'),
	('EI', 837, 'IBZ', 1225, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'IOM', 520, 'DUB', 599, 'Y', 0, 'AT4\r'),
	('EI', 837, 'JER', 499, 'DUB', 599, 'Y', 0, 'AT7\r'),
	('EI', 837, 'JER', 499, 'ORK', 596, 'Y', 0, 'AT7\r'),
	('EI', 837, 'JFK', 3797, 'DUB', 599, '', 0, '330\r'),
	('EI', 837, 'JFK', 3797, 'SNN', 603, '', 0, '757\r'),
	('EI', 837, 'KIR', 601, 'DUB', 599, 'Y', 0, 'AT4\r'),
	('EI', 837, 'LGW', 502, 'BHD', 467, '', 0, '320 319\r'),
	('EI', 837, 'LGW', 502, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'LGW', 502, 'NOC', 600, '', 0, '319\r'),
	('EI', 837, 'LHR', 507, 'BHD', 467, '', 0, '319\r'),
	('EI', 837, 'LHR', 507, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'LHR', 507, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'LHR', 507, 'SNN', 603, '', 0, '320\r'),
	('EI', 837, 'LIN', 1529, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'LIS', 1638, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'LIS', 1638, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'LPA', 1054, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'LYS', 1335, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'MAD', 1229, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'MAN', 478, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'MAN', 478, 'ORK', 596, 'Y', 0, 'AT7\r'),
	('EI', 837, 'MAN', 478, 'SNN', 603, 'Y', 0, 'AT7 AT4\r'),
	('EI', 837, 'MCO', 3878, 'DUB', 599, '', 0, '330 332\r'),
	('EI', 837, 'MRS', 1353, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'MSY', 3861, 'ORD', 3830, 'Y', 0, '320\r'),
	('EI', 837, 'MUC', 346, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'MUC', 346, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'MXP', 1524, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'NAP', 1561, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'NCE', 1354, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'NCE', 1354, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'NCL', 521, 'DUB', 599, 'Y', 0, 'AT7\r'),
	('EI', 837, 'NCL', 521, 'ORK', 596, 'Y', 0, 'AT7\r'),
	('EI', 837, 'NOC', 600, 'LGW', 502, '', 0, '319\r'),
	('EI', 837, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'CR7 E70\r'),
	('EI', 837, 'ORD', 3830, 'DUB', 599, '', 0, '330 332\r'),
	('EI', 837, 'ORD', 3830, 'MSY', 3861, 'Y', 0, 'ERJ\r'),
	('EI', 837, 'ORK', 596, 'ACE', 1055, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'AGP', 1230, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'ALC', 1212, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'AMS', 580, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'BCN', 1218, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'BHX', 469, 'Y', 0, 'AT7\r'),
	('EI', 837, 'ORK', 596, 'BRS', 490, 'Y', 0, 'AT7\r'),
	('EI', 837, 'ORK', 596, 'BRU', 302, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'CDG', 1382, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'EDI', 535, 'Y', 0, 'AT7\r'),
	('EI', 837, 'ORK', 596, 'FAO', 1626, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'GLA', 534, 'Y', 0, 'AT7\r'),
	('EI', 837, 'ORK', 596, 'JER', 499, 'Y', 0, 'AT7\r'),
	('EI', 837, 'ORK', 596, 'LHR', 507, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'LIS', 1638, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'MAN', 478, 'Y', 0, 'AT7\r'),
	('EI', 837, 'ORK', 596, 'MUC', 346, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'NCE', 1354, '', 0, '320\r'),
	('EI', 837, 'ORK', 596, 'NCL', 521, 'Y', 0, 'AT7\r'),
	('EI', 837, 'ORK', 596, 'PMI', 3998, '', 0, '320\r'),
	('EI', 837, 'PGF', 1356, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'PMI', 3998, 'BHD', 467, '', 0, '320 319\r'),
	('EI', 837, 'PMI', 3998, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'PMI', 3998, 'ORK', 596, '', 0, '320\r'),
	('EI', 837, 'PRG', 1587, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'PUY', 1203, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'SCQ', 1243, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'SEN', 508, 'DUB', 599, 'Y', 0, 'AT4 AT7\r'),
	('EI', 837, 'SFO', 3469, 'DUB', 599, '', 0, '332\r'),
	('EI', 837, 'SNN', 603, 'AGP', 1230, '', 0, '320\r'),
	('EI', 837, 'SNN', 603, 'BHX', 469, 'Y', 0, 'AT4 AT7\r'),
	('EI', 837, 'SNN', 603, 'BOS', 3448, '', 0, '757\r'),
	('EI', 837, 'SNN', 603, 'BRS', 490, 'Y', 0, 'AT4\r'),
	('EI', 837, 'SNN', 603, 'EDI', 535, 'Y', 0, 'AT7\r'),
	('EI', 837, 'SNN', 603, 'FAO', 1626, '', 0, '320\r'),
	('EI', 837, 'SNN', 603, 'JFK', 3797, '', 0, '757\r'),
	('EI', 837, 'SNN', 603, 'LHR', 507, '', 0, '320\r'),
	('EI', 837, 'SNN', 603, 'MAN', 478, 'Y', 0, 'AT7 AT4\r'),
	('EI', 837, 'STR', 350, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'SXF', 337, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'TFS', 1056, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'TLS', 1273, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'VCE', 1551, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'VIE', 1613, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'VRN', 1550, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'WAW', 679, 'DUB', 599, '', 0, '320\r'),
	('EI', 837, 'YYZ', 193, 'DUB', 599, '', 0, '757\r'),
	('EI', 837, 'ZRH', 1678, 'DUB', 599, '', 0, '320\r'),
	('EK', 2183, 'ABJ', 253, 'ACC', 248, '', 0, '77W\r'),
	('EK', 2183, 'ACC', 248, 'ABJ', 253, '', 0, '77W\r'),
	('EK', 2183, 'ACC', 248, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'ADD', 1107, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'ADL', 3341, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'AKL', 2006, 'BNE', 3320, '', 0, '388\r'),
	('EK', 2183, 'AKL', 2006, 'MEL', 3339, '', 0, '388\r'),
	('EK', 2183, 'AKL', 2006, 'SYD', 3361, '', 0, '388\r'),
	('EK', 2183, 'ALG', 210, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'AMD', 2994, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'AMM', 2170, 'DXB', 2188, '', 0, '773 77W 772\r'),
	('EK', 2183, 'AMS', 580, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'ARN', 737, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'ATH', 3941, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'BAH', 2057, 'DXB', 2188, '', 0, '332 772 773\r'),
	('EK', 2183, 'BCN', 1218, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'BEY', 2177, 'DXB', 2188, '', 0, '773\r'),
	('EK', 2183, 'BGW', 4130, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'BHX', 469, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'BKK', 3885, 'DXB', 2188, '', 0, '388 77W\r'),
	('EK', 2183, 'BKK', 3885, 'HKG', 3077, '', 0, '388\r'),
	('EK', 2183, 'BKK', 3885, 'SYD', 3361, '', 0, '77W\r'),
	('EK', 2183, 'BLR', 3131, 'DXB', 2188, '', 0, '773\r'),
	('EK', 2183, 'BNE', 3320, 'AKL', 2006, '', 0, '388\r'),
	('EK', 2183, 'BNE', 3320, 'BKQ', 4217, 'Y', 0, 'DH4\r'),
	('EK', 2183, 'BNE', 3320, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'BNE', 3320, 'LRE', 6289, 'Y', 0, 'DH4\r'),
	('EK', 2183, 'BNE', 3320, 'ROK', 3329, 'Y', 0, 'DH8 DH4\r'),
	('EK', 2183, 'BNE', 3320, 'SIN', 3316, '', 0, '77W\r'),
	('EK', 2183, 'BOM', 2997, 'DXB', 2188, '', 0, '77W 772 73H 332 773\r'),
	('EK', 2183, 'BOS', 3448, 'DXB', 2188, '', 0, '77L\r'),
	('EK', 2183, 'BSR', 2234, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'CAI', 1128, 'DXB', 2188, '', 0, '773 772\r'),
	('EK', 2183, 'CAN', 3370, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'CCJ', 3137, 'DXB', 2188, '', 0, '332 772\r'),
	('EK', 2183, 'CCU', 3043, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'CDG', 1382, 'DXB', 2188, '', 0, '77W 388\r'),
	('EK', 2183, 'CGK', 3275, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'CHC', 2009, 'SYD', 3361, '', 0, '77W\r'),
	('EK', 2183, 'CMB', 3024, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'CMB', 3024, 'MLE', 3156, '', 0, '773\r'),
	('EK', 2183, 'CMN', 1074, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'CNS', 3322, 'GOV', 6316, 'Y', 0, '717\r'),
	('EK', 2183, 'COK', 3136, 'DXB', 2188, '', 0, '772 773 332\r'),
	('EK', 2183, 'CPH', 609, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'CPT', 797, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'DAC', 3076, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'DAR', 1177, 'DXB', 2188, '', 0, '773\r'),
	('EK', 2183, 'DEL', 3093, 'DXB', 2188, '', 0, '773 772 73H 77W\r'),
	('EK', 2183, 'DFW', 3670, 'DXB', 2188, '', 0, '77L\r'),
	('EK', 2183, 'DKR', 1084, 'DXB', 2188, '', 0, '343\r'),
	('EK', 2183, 'DME', 4029, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'DMM', 2064, 'DXB', 2188, '', 0, '332 773 772\r'),
	('EK', 2183, 'DOH', 2241, 'DXB', 2188, '', 0, '772 77W 773 332\r'),
	('EK', 2183, 'DRW', 3999, 'ASP', 3319, 'Y', 0, '717\r'),
	('EK', 2183, 'DRW', 3999, 'GOV', 6316, 'Y', 0, '717\r'),
	('EK', 2183, 'DUB', 599, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'DUR', 799, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'DUS', 345, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'ACC', 248, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'ADD', 1107, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'ADL', 3341, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'ALG', 210, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'AMD', 2994, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'AMM', 2170, '', 0, '773 77W 772\r'),
	('EK', 2183, 'DXB', 2188, 'AMS', 580, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'ARN', 737, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'ATH', 3941, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'BAH', 2057, '', 0, '332 772 773\r'),
	('EK', 2183, 'DXB', 2188, 'BCN', 1218, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'BEY', 2177, '', 0, '773\r'),
	('EK', 2183, 'DXB', 2188, 'BGW', 4130, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'BHX', 469, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'BKK', 3885, '', 0, '388 77W\r'),
	('EK', 2183, 'DXB', 2188, 'BLR', 3131, '', 0, '773\r'),
	('EK', 2183, 'DXB', 2188, 'BNE', 3320, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'BOM', 2997, '', 0, '772 332 77W 73H 773\r'),
	('EK', 2183, 'DXB', 2188, 'BOS', 3448, '', 0, '77L\r'),
	('EK', 2183, 'DXB', 2188, 'BSR', 2234, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'CAI', 1128, '', 0, '773 772\r'),
	('EK', 2183, 'DXB', 2188, 'CAN', 3370, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'CCJ', 3137, '', 0, '332 772\r'),
	('EK', 2183, 'DXB', 2188, 'CCU', 3043, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'CDG', 1382, '', 0, '77W 388\r'),
	('EK', 2183, 'DXB', 2188, 'CGK', 3275, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'CMB', 3024, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'CMN', 1074, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'COK', 3136, '', 0, '772 773 332\r'),
	('EK', 2183, 'DXB', 2188, 'CPH', 609, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'CPT', 797, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'DAC', 3076, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'DAR', 1177, '', 0, '773\r'),
	('EK', 2183, 'DXB', 2188, 'DEL', 3093, '', 0, '772 73H 77W 773\r'),
	('EK', 2183, 'DXB', 2188, 'DFW', 3670, '', 0, '77L\r'),
	('EK', 2183, 'DXB', 2188, 'DKR', 1084, '', 0, '343\r'),
	('EK', 2183, 'DXB', 2188, 'DME', 4029, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'DMM', 2064, '', 0, '332 773 772\r'),
	('EK', 2183, 'DXB', 2188, 'DOH', 2241, '', 0, '772 77W 773 332\r'),
	('EK', 2183, 'DXB', 2188, 'DUB', 599, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'DUR', 799, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'DUS', 345, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'EBB', 1187, '', 0, '345\r'),
	('EK', 2183, 'DXB', 2188, 'EBL', 3989, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'FCO', 1555, '', 0, '388 77W\r'),
	('EK', 2183, 'DXB', 2188, 'FRA', 340, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'GIG', 2560, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'GLA', 534, '', 0, '77W 77L\r'),
	('EK', 2183, 'DXB', 2188, 'GRU', 2564, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'GVA', 1665, '', 0, '77L 77W\r'),
	('EK', 2183, 'DXB', 2188, 'HAM', 342, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'HKG', 3077, '', 0, '388 77W\r'),
	('EK', 2183, 'DXB', 2188, 'HKT', 3179, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'HND', 2359, '', 0, '77L\r'),
	('EK', 2183, 'DXB', 2188, 'HYD', 3141, '', 0, '772 332\r'),
	('EK', 2183, 'DXB', 2188, 'IAD', 3714, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'IAH', 3550, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'ICN', 3930, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'IKA', 4330, '', 0, '772 77W 332\r'),
	('EK', 2183, 'DXB', 2188, 'ISB', 2223, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'IST', 1701, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'JED', 2072, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'JFK', 3797, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'JNB', 813, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'KBL', 2050, '', 0, '345\r'),
	('EK', 2183, 'DXB', 2188, 'KBP', 2939, '', 0, '345\r'),
	('EK', 2183, 'DXB', 2188, 'KHI', 2206, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'KIX', 3992, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'KRT', 1175, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'KUL', 3304, '', 0, '77W 773\r'),
	('EK', 2183, 'DXB', 2188, 'KWI', 2176, '', 0, '77W 772 332 773\r'),
	('EK', 2183, 'DXB', 2188, 'LAD', 951, '', 0, '77W 332 77L\r'),
	('EK', 2183, 'DXB', 2188, 'LAX', 3484, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'LCA', 1197, '', 0, '773\r'),
	('EK', 2183, 'DXB', 2188, 'LED', 2948, '', 0, '77L 77W\r'),
	('EK', 2183, 'DXB', 2188, 'LGW', 502, '', 0, '77W 388\r'),
	('EK', 2183, 'DXB', 2188, 'LHE', 2207, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'LHR', 507, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'LIS', 1638, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'LOS', 273, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'LUN', 907, '', 0, '343\r'),
	('EK', 2183, 'DXB', 2188, 'LYS', 1335, '', 0, '77L\r'),
	('EK', 2183, 'DXB', 2188, 'MAA', 3144, '', 0, '77W 772 332 773\r'),
	('EK', 2183, 'DXB', 2188, 'MAD', 1229, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'MAN', 478, '', 0, '77W 388\r'),
	('EK', 2183, 'DXB', 2188, 'MCT', 2194, '', 0, '738 332 E75 73H 77W 772 E90\r'),
	('EK', 2183, 'DXB', 2188, 'MED', 2074, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'MEL', 3339, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'MLA', 1606, '', 0, '773\r'),
	('EK', 2183, 'DXB', 2188, 'MLE', 3156, '', 0, '773 77W\r'),
	('EK', 2183, 'DXB', 2188, 'MNL', 2397, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'MRU', 893, '', 0, '388 77W\r'),
	('EK', 2183, 'DXB', 2188, 'MUC', 346, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'MXP', 1524, '', 0, '77W 773\r'),
	('EK', 2183, 'DXB', 2188, 'NBO', 4059, '', 0, '77W 77L\r'),
	('EK', 2183, 'DXB', 2188, 'NCE', 1354, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'NCL', 521, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'NRT', 2279, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'PEK', 3364, '', 0, '388 77W\r'),
	('EK', 2183, 'DXB', 2188, 'PER', 3351, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'PEW', 2219, '', 0, '772 332\r'),
	('EK', 2183, 'DXB', 2188, 'PRG', 1587, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'PVG', 3406, '', 0, '388 77W\r'),
	('EK', 2183, 'DXB', 2188, 'RUH', 2082, '', 0, '77W 773 772\r'),
	('EK', 2183, 'DXB', 2188, 'SAH', 3980, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'SEA', 3577, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'SEZ', 994, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'SFO', 3469, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'SGN', 3205, '', 0, '772\r'),
	('EK', 2183, 'DXB', 2188, 'SIN', 3316, '', 0, '77W 388\r'),
	('EK', 2183, 'DXB', 2188, 'SKT', 6776, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'SYD', 3361, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'TPE', 2276, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'TRV', 3153, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'TUN', 287, '', 0, '773\r'),
	('EK', 2183, 'DXB', 2188, 'VCE', 1551, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'VIE', 1613, '', 0, '77W\r'),
	('EK', 2183, 'DXB', 2188, 'WAW', 679, '', 0, '332\r'),
	('EK', 2183, 'DXB', 2188, 'YYZ', 193, '', 0, '388\r'),
	('EK', 2183, 'DXB', 2188, 'ZRH', 1678, '', 0, '388 77W\r'),
	('EK', 2183, 'EBB', 1187, 'DXB', 2188, '', 0, '345\r'),
	('EK', 2183, 'EBL', 3989, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'EZE', 3988, 'GIG', 2560, '', 0, '77W\r'),
	('EK', 2183, 'FCO', 1555, 'DXB', 2188, '', 0, '388 77W\r'),
	('EK', 2183, 'FRA', 340, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'GIG', 2560, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'GIG', 2560, 'EZE', 3988, '', 0, '77W\r'),
	('EK', 2183, 'GLA', 534, 'DXB', 2188, '', 0, '77W 77L\r'),
	('EK', 2183, 'GRU', 2564, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'GVA', 1665, 'DXB', 2188, '', 0, '77L 77W\r'),
	('EK', 2183, 'HAM', 342, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'HKG', 3077, 'BKK', 3885, '', 0, '388\r'),
	('EK', 2183, 'HKG', 3077, 'DXB', 2188, '', 0, '388 77W\r'),
	('EK', 2183, 'HKT', 3179, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'HND', 2359, 'DXB', 2188, '', 0, '77L\r'),
	('EK', 2183, 'HRE', 1005, 'LUN', 907, '', 0, '343\r'),
	('EK', 2183, 'HYD', 3141, 'DXB', 2188, '', 0, '332 772\r'),
	('EK', 2183, 'IAD', 3714, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'IAH', 3550, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'ICN', 3930, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'IKA', 4330, 'DXB', 2188, '', 0, '772 77W 332\r'),
	('EK', 2183, 'ISB', 2223, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'IST', 1701, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'JED', 2072, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'JFK', 3797, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'JFK', 3797, 'MXP', 1524, '', 0, '77W\r'),
	('EK', 2183, 'JNB', 813, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'KBL', 2050, 'DXB', 2188, '', 0, '345\r'),
	('EK', 2183, 'KBP', 2939, 'DXB', 2188, '', 0, '345\r'),
	('EK', 2183, 'KHI', 2206, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'KIX', 3992, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'KRT', 1175, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'KUL', 3304, 'DXB', 2188, '', 0, '773 77W\r'),
	('EK', 2183, 'KUL', 3304, 'MEL', 3339, '', 0, '77W\r'),
	('EK', 2183, 'KWI', 2176, 'DXB', 2188, '', 0, '77W 772 332 773\r'),
	('EK', 2183, 'LAD', 951, 'DXB', 2188, '', 0, '77W 77L\r'),
	('EK', 2183, 'LAX', 3484, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'LCA', 1197, 'DXB', 2188, '', 0, '773\r'),
	('EK', 2183, 'LCA', 1197, 'MLA', 1606, '', 0, '773\r'),
	('EK', 2183, 'LED', 2948, 'DXB', 2188, '', 0, '77L 77W\r'),
	('EK', 2183, 'LGW', 502, 'DXB', 2188, '', 0, '77W 388\r'),
	('EK', 2183, 'LHE', 2207, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'LHR', 507, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'LIS', 1638, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'LOS', 273, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'LUN', 907, 'DXB', 2188, '', 0, '343\r'),
	('EK', 2183, 'LUN', 907, 'HRE', 1005, '', 0, '343\r'),
	('EK', 2183, 'LYS', 1335, 'DXB', 2188, '', 0, '77L\r'),
	('EK', 2183, 'MAA', 3144, 'DXB', 2188, '', 0, '332 77W 772 773\r'),
	('EK', 2183, 'MAD', 1229, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'MAN', 478, 'DXB', 2188, '', 0, '77W 388\r'),
	('EK', 2183, 'MCT', 2194, 'DXB', 2188, '', 0, '738 332 E75 73H 77W 772 E90 73G\r'),
	('EK', 2183, 'MED', 2074, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'MEL', 3339, 'AKL', 2006, '', 0, '388\r'),
	('EK', 2183, 'MEL', 3339, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'MEL', 3339, 'KUL', 3304, '', 0, '77W\r'),
	('EK', 2183, 'MEL', 3339, 'SIN', 3316, '', 0, '77W\r'),
	('EK', 2183, 'MEL', 3339, 'WLG', 2042, 'Y', 0, '73H\r'),
	('EK', 2183, 'MLA', 1606, 'LCA', 1197, '', 0, '773\r'),
	('EK', 2183, 'MLA', 1606, 'TIP', 1157, '', 0, '773\r'),
	('EK', 2183, 'MLE', 3156, 'CMB', 3024, '', 0, '773\r'),
	('EK', 2183, 'MLE', 3156, 'DXB', 2188, '', 0, '773 77W\r'),
	('EK', 2183, 'MNL', 2397, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'MRU', 893, 'DXB', 2188, '', 0, '388 77W\r'),
	('EK', 2183, 'MUC', 346, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'MXP', 1524, 'DXB', 2188, '', 0, '77W 773\r'),
	('EK', 2183, 'MXP', 1524, 'JFK', 3797, '', 0, '77W\r'),
	('EK', 2183, 'NBO', 4059, 'DXB', 2188, '', 0, '77W 77L\r'),
	('EK', 2183, 'NCE', 1354, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'NCL', 521, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'NRT', 2279, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'PEK', 3364, 'DXB', 2188, '', 0, '77W 388\r'),
	('EK', 2183, 'PER', 3351, 'ASP', 3319, 'Y', 0, '717\r'),
	('EK', 2183, 'PER', 3351, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'PER', 3351, 'SIN', 3316, 'Y', 0, '332\r'),
	('EK', 2183, 'PEW', 2219, 'DXB', 2188, '', 0, '772 332\r'),
	('EK', 2183, 'PRG', 1587, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'PVG', 3406, 'DXB', 2188, '', 0, '388 77W\r'),
	('EK', 2183, 'ROK', 3329, 'BNE', 3320, 'Y', 0, 'DH8 DH4\r'),
	('EK', 2183, 'RUH', 2082, 'DXB', 2188, '', 0, '77W 773 772\r'),
	('EK', 2183, 'SAH', 3980, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'SEA', 3577, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'SEZ', 994, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'SFO', 3469, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'SGN', 3205, 'DXB', 2188, '', 0, '772\r'),
	('EK', 2183, 'SIN', 3316, 'BNE', 3320, '', 0, '77W\r'),
	('EK', 2183, 'SIN', 3316, 'DXB', 2188, '', 0, '77W 388\r'),
	('EK', 2183, 'SIN', 3316, 'MEL', 3339, '', 0, '77W\r'),
	('EK', 2183, 'SIN', 3316, 'PER', 3351, 'Y', 0, '332\r'),
	('EK', 2183, 'SIN', 3316, 'SYD', 3361, 'Y', 0, '333 744\r'),
	('EK', 2183, 'SKT', 6776, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'SYD', 3361, 'AKL', 2006, '', 0, '388\r'),
	('EK', 2183, 'SYD', 3361, 'BKK', 3885, '', 0, '77W\r'),
	('EK', 2183, 'SYD', 3361, 'CHC', 2009, '', 0, '77W\r'),
	('EK', 2183, 'SYD', 3361, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'SYD', 3361, 'SIN', 3316, 'Y', 0, '333 744\r'),
	('EK', 2183, 'SYD', 3361, 'WLG', 2042, 'Y', 0, '73H\r'),
	('EK', 2183, 'SYD', 3361, 'ZQN', 2030, 'Y', 0, '73H\r'),
	('EK', 2183, 'TIP', 1157, 'DXB', 2188, '', 0, '773\r'),
	('EK', 2183, 'TPE', 2276, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'TRV', 3153, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'TUN', 287, 'DXB', 2188, '', 0, '773\r'),
	('EK', 2183, 'VCE', 1551, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'VIE', 1613, 'DXB', 2188, '', 0, '77W\r'),
	('EK', 2183, 'WAW', 679, 'DXB', 2188, '', 0, '332\r'),
	('EK', 2183, 'WLG', 2042, 'MEL', 3339, 'Y', 0, '73H\r'),
	('EK', 2183, 'WLG', 2042, 'SYD', 3361, 'Y', 0, '73H\r'),
	('EK', 2183, 'YYZ', 193, 'DXB', 2188, '', 0, '388\r'),
	('EK', 2183, 'ZQN', 2030, 'SYD', 3361, 'Y', 0, '73H\r'),
	('EK', 2183, 'ZRH', 1678, 'DXB', 2188, '', 0, '388 77W\r'),
	('EL', 336, 'DME', 4029, 'SKG', 1486, '', 0, 'AR8\r'),
	('EL', 336, 'DOK', 2940, 'SKG', 1486, '', 0, 'AR8\r'),
	('EL', 336, 'ROV', 2964, 'SKG', 1486, '', 0, 'AR8\r'),
	('EL', 336, 'SKG', 1486, 'DME', 4029, '', 0, 'AR8\r'),
	('EL', 336, 'SKG', 1486, 'DOK', 2940, '', 0, 'AR8\r'),
	('EL', 336, 'SKG', 1486, 'ROV', 2964, '', 0, 'AR8\r'),
	('EN', 807, 'BRI', 1501, 'MUC', 346, '', 0, 'E95\r'),
	('EN', 807, 'FLR', 1563, 'MUC', 346, '', 0, 'E95\r'),
	('EN', 807, 'FRA', 340, 'LIN', 1529, '', 0, '321 E90 320 319 32A\r'),
	('EN', 807, 'FRA', 340, 'VRN', 1550, '', 0, 'E95\r'),
	('EN', 807, 'LIN', 1529, 'FRA', 340, '', 0, '320 321 E90 319 32A\r'),
	('EN', 807, 'MUC', 346, 'BRI', 1501, '', 0, 'E95\r'),
	('EN', 807, 'MUC', 346, 'FLR', 1563, '', 0, 'E95\r'),
	('EN', 807, 'MUC', 346, 'VCE', 1551, '', 0, 'E95\r'),
	('EN', 807, 'MUC', 346, 'VRN', 1550, '', 0, 'E95\r'),
	('EN', 807, 'VCE', 1551, 'MUC', 346, '', 0, 'E95\r'),
	('EN', 807, 'VRN', 1550, 'FRA', 340, '', 0, 'E95\r'),
	('EN', 807, 'VRN', 1550, 'MUC', 346, '', 0, 'E95\r'),
	('EO', 2293, 'CAI', 1128, 'ELQ', 2067, '', 0, '320\r'),
	('EO', 2293, 'CAI', 1128, 'TIF', 2090, '', 0, '320\r'),
	('EO', 2293, 'CAI', 1128, 'TUU', 2089, '', 0, '320\r'),
	('EO', 2293, 'CAI', 1128, 'YNB', 2096, '', 0, '320\r'),
	('EO', 2293, 'ELQ', 2067, 'CAI', 1128, '', 0, '320\r'),
	('EO', 2293, 'HBE', 3410, 'JED', 2072, '', 0, '320\r'),
	('EO', 2293, 'HBE', 3410, 'KWI', 2176, '', 0, '320\r'),
	('EO', 2293, 'JED', 2072, 'HBE', 3410, '', 0, '320\r'),
	('EO', 2293, 'KWI', 2176, 'HBE', 3410, '', 0, '320\r'),
	('EO', 2293, 'TIF', 2090, 'CAI', 1128, '', 0, '320\r'),
	('EO', 2293, 'TUU', 2089, 'CAI', 1128, '', 0, '320\r'),
	('EO', 2293, 'YNB', 2096, 'CAI', 1128, '', 0, '320\r'),
	('EP', 2923, 'ABD', 2097, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'ABD', 2097, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'ADU', 5935, 'THR', 2131, '', 0, 'AT7 100\r'),
	('EP', 2923, 'AFZ', 5931, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'ARN', 737, 'IKA', 4330, '', 0, '340\r'),
	('EP', 2923, 'AWZ', 2104, 'KWI', 2176, '', 0, '100\r'),
	('EP', 2923, 'AWZ', 2104, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'AWZ', 2104, 'PGU', 7546, '', 0, '100\r'),
	('EP', 2923, 'AWZ', 2104, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'AWZ', 2104, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'AZD', 2164, 'BND', 2134, '', 0, '100\r'),
	('EP', 2923, 'AZD', 2164, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'AZD', 2164, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'BDH', 2110, 'DXB', 2188, '', 0, 'AT7\r'),
	('EP', 2923, 'BJB', 5930, 'THR', 2131, '', 0, '100 AT7\r'),
	('EP', 2923, 'BND', 2134, 'AZD', 2164, '', 0, '100\r'),
	('EP', 2923, 'BND', 2134, 'DXB', 2188, '', 0, '100\r'),
	('EP', 2923, 'BND', 2134, 'IFN', 4150, '', 0, '100\r'),
	('EP', 2923, 'BND', 2134, 'KIH', 2109, '', 0, 'AT7\r'),
	('EP', 2923, 'BND', 2134, 'RAS', 2123, '', 0, '100\r'),
	('EP', 2923, 'BND', 2134, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'BND', 2134, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'BUZ', 2106, 'DXB', 2188, '', 0, '100\r'),
	('EP', 2923, 'BUZ', 2106, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'BUZ', 2106, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'BXR', 5928, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'DXB', 2188, 'BDH', 2110, '', 0, 'AT7\r'),
	('EP', 2923, 'DXB', 2188, 'BND', 2134, '', 0, '100\r'),
	('EP', 2923, 'DXB', 2188, 'BUZ', 2106, '', 0, '100\r'),
	('EP', 2923, 'DXB', 2188, 'IKA', 4330, '', 0, '343\r'),
	('EP', 2923, 'DXB', 2188, 'LRR', 5934, '', 0, '100 AT7\r'),
	('EP', 2923, 'DXB', 2188, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'DXB', 2188, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'DXB', 2188, 'TBZ', 2162, '', 0, '100\r'),
	('EP', 2923, 'DXB', 2188, 'ZAH', 2167, '', 0, '100\r'),
	('EP', 2923, 'DXB', 2188, 'ZBR', 2166, '', 0, '100\r'),
	('EP', 2923, 'DYU', 2979, 'IKA', 4330, '', 0, '100\r'),
	('EP', 2923, 'DYU', 2979, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'EVN', 3964, 'IKA', 4330, '', 0, '100\r'),
	('EP', 2923, 'GBT', 6747, 'MHD', 4331, '', 0, 'AT7\r'),
	('EP', 2923, 'GBT', 6747, 'THR', 2131, '', 0, '100 AT7\r'),
	('EP', 2923, 'GBT', 6747, 'ZAH', 2167, '', 0, '100\r'),
	('EP', 2923, 'GSM', 5712, 'SYZ', 2157, '', 0, 'AT7\r'),
	('EP', 2923, 'HDM', 6790, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'HEA', 2048, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'IFN', 4150, 'BND', 2134, '', 0, '100\r'),
	('EP', 2923, 'IFN', 4150, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'IFN', 4150, 'PGU', 7546, '', 0, '100\r'),
	('EP', 2923, 'IFN', 4150, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'IIL', 6748, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'IKA', 4330, 'ARN', 737, '', 0, '340\r'),
	('EP', 2923, 'IKA', 4330, 'DXB', 2188, '', 0, '340\r'),
	('EP', 2923, 'IKA', 4330, 'DYU', 2979, '', 0, '100\r'),
	('EP', 2923, 'IKA', 4330, 'EVN', 3964, '', 0, '100\r'),
	('EP', 2923, 'IKA', 4330, 'IST', 1701, '', 0, '340\r'),
	('EP', 2923, 'IKA', 4330, 'ISU', 5952, '', 0, '100\r'),
	('EP', 2923, 'IKA', 4330, 'KBL', 2050, '', 0, '100\r'),
	('EP', 2923, 'IST', 1701, 'IKA', 4330, '', 0, '340\r'),
	('EP', 2923, 'ISU', 5952, 'IKA', 4330, '', 0, '100\r'),
	('EP', 2923, 'KBL', 2050, 'IKA', 4330, '', 0, '100\r'),
	('EP', 2923, 'KBL', 2050, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'KDH', 2051, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'KER', 2136, 'SYZ', 2157, '', 0, 'AT7\r'),
	('EP', 2923, 'KIH', 2109, 'BND', 2134, '', 0, 'AT7\r'),
	('EP', 2923, 'KIH', 2109, 'SYZ', 2157, '', 0, 'AT7 100\r'),
	('EP', 2923, 'KSH', 2114, 'THR', 2131, '', 0, 'AT7 100\r'),
	('EP', 2923, 'KWI', 2176, 'AWZ', 2104, '', 0, '100\r'),
	('EP', 2923, 'KWI', 2176, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'KWI', 2176, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'LRR', 5934, 'DXB', 2188, '', 0, '100 AT7\r'),
	('EP', 2923, 'LRR', 5934, 'SYZ', 2157, '', 0, 'AT7\r'),
	('EP', 2923, 'MCT', 2194, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'MCT', 2194, 'ZBR', 2166, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'AWZ', 2104, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'AZD', 2164, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'BUZ', 2106, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'DXB', 2188, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'DYU', 2979, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'GBT', 6747, '', 0, 'AT7\r'),
	('EP', 2923, 'MHD', 4331, 'HDM', 6790, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'HEA', 2048, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'IFN', 4150, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'KBL', 2050, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'KDH', 2051, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'KWI', 2176, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'MZR', 2053, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'NSH', 5932, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'RAS', 2123, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'RZR', 2151, '', 0, 'AT7\r'),
	('EP', 2923, 'MHD', 4331, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'TBZ', 2162, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'ZAH', 2167, '', 0, '100\r'),
	('EP', 2923, 'MHD', 4331, 'ZBR', 2166, '', 0, '100\r'),
	('EP', 2923, 'MZR', 2053, 'IKA', 4330, '', 0, '100\r'),
	('EP', 2923, 'NSH', 5932, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'NSH', 5932, 'THR', 2131, '', 0, 'AT7\r'),
	('EP', 2923, 'OMH', 5936, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'PFQ', 6749, 'THR', 2131, '', 0, 'AT7\r'),
	('EP', 2923, 'PGU', 7546, 'AWZ', 2104, '', 0, '100\r'),
	('EP', 2923, 'PGU', 7546, 'IFN', 4150, '', 0, '100\r'),
	('EP', 2923, 'PGU', 7546, 'RAS', 2123, '', 0, '100\r'),
	('EP', 2923, 'PGU', 7546, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'PGU', 7546, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'RAS', 2123, 'BND', 2134, '', 0, '100\r'),
	('EP', 2923, 'RAS', 2123, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'RAS', 2123, 'PGU', 7546, '', 0, '100\r'),
	('EP', 2923, 'RAS', 2123, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'RAS', 2123, 'THR', 2131, '', 0, 'AT7\r'),
	('EP', 2923, 'RZR', 2151, 'MHD', 4331, '', 0, 'AT7\r'),
	('EP', 2923, 'RZR', 2151, 'THR', 2131, '', 0, 'AT7\r'),
	('EP', 2923, 'SDG', 2117, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'SRY', 5933, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'ABD', 2097, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'AWZ', 2104, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'BND', 2134, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'DXB', 2188, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'GSM', 5712, '', 0, 'AT7\r'),
	('EP', 2923, 'SYZ', 2157, 'KER', 2136, '', 0, 'AT7\r'),
	('EP', 2923, 'SYZ', 2157, 'KIH', 2109, '', 0, '100 AT7\r'),
	('EP', 2923, 'SYZ', 2157, 'KWI', 2176, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'LRR', 5934, '', 0, 'AT7\r'),
	('EP', 2923, 'SYZ', 2157, 'MCT', 2194, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'PGU', 7546, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'RAS', 2123, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'SRY', 5933, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'TBZ', 2162, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'SYZ', 2157, 'ZAH', 2167, '', 0, '100\r'),
	('EP', 2923, 'TBZ', 2162, 'DXB', 2188, '', 0, '100\r'),
	('EP', 2923, 'TBZ', 2162, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'TBZ', 2162, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'TBZ', 2162, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'ABD', 2097, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'ADU', 5935, '', 0, 'AT7 100\r'),
	('EP', 2923, 'THR', 2131, 'AFZ', 5931, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'AWZ', 2104, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'AZD', 2164, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'BJB', 5930, '', 0, '100 AT7\r'),
	('EP', 2923, 'THR', 2131, 'BND', 2134, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'BUZ', 2106, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'BXR', 5928, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'GBT', 6747, '', 0, '100 AT7\r'),
	('EP', 2923, 'THR', 2131, 'IFN', 4150, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'IIL', 6748, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'KSH', 2114, '', 0, 'AT7 100\r'),
	('EP', 2923, 'THR', 2131, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'NSH', 5932, '', 0, 'AT7\r'),
	('EP', 2923, 'THR', 2131, 'OMH', 5936, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'PFQ', 6749, '', 0, 'AT7\r'),
	('EP', 2923, 'THR', 2131, 'PGU', 7546, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'RAS', 2123, '', 0, 'AT7\r'),
	('EP', 2923, 'THR', 2131, 'RZR', 2151, '', 0, 'AT7\r'),
	('EP', 2923, 'THR', 2131, 'SDG', 2117, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'TBZ', 2162, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'YES', 7547, '', 0, 'AT7\r'),
	('EP', 2923, 'THR', 2131, 'ZAH', 2167, '', 0, '100\r'),
	('EP', 2923, 'THR', 2131, 'ZBR', 2166, '', 0, '100\r'),
	('EP', 2923, 'YES', 7547, 'THR', 2131, '', 0, 'AT7\r'),
	('EP', 2923, 'ZAH', 2167, 'DXB', 2188, '', 0, '100\r'),
	('EP', 2923, 'ZAH', 2167, 'GBT', 6747, '', 0, '100\r'),
	('EP', 2923, 'ZAH', 2167, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'ZAH', 2167, 'SYZ', 2157, '', 0, '100\r'),
	('EP', 2923, 'ZAH', 2167, 'THR', 2131, '', 0, '100\r'),
	('EP', 2923, 'ZBR', 2166, 'MCT', 2194, '', 0, '100\r'),
	('EP', 2923, 'ZBR', 2166, 'MHD', 4331, '', 0, '100\r'),
	('EP', 2923, 'ZBR', 2166, 'THR', 2131, '', 0, '100\r'),
	('EQ', 4863, 'BOG', 2709, 'CCS', 2851, '', 0, 'E70\r'),
	('EQ', 4863, 'BOG', 2709, 'UIO', 2688, '', 0, 'E70\r'),
	('EQ', 4863, 'CCS', 2851, 'BOG', 2709, '', 0, 'E70\r'),
	('EQ', 4863, 'CLO', 2715, 'ESM', 6047, '', 0, 'E70\r'),
	('EQ', 4863, 'CUE', 2671, 'GYE', 2673, '', 0, '320 E90\r'),
	('EQ', 4863, 'CUE', 2671, 'UIO', 2688, '', 0, 'E90\r'),
	('EQ', 4863, 'ESM', 6047, 'CLO', 2715, '', 0, 'E70\r'),
	('EQ', 4863, 'ESM', 6047, 'GYE', 2673, '', 0, 'E70\r'),
	('EQ', 4863, 'ESM', 6047, 'UIO', 2688, '', 0, 'E70\r'),
	('EQ', 4863, 'GPS', 2672, 'GYE', 2673, '', 0, '320\r'),
	('EQ', 4863, 'GRU', 2564, 'UIO', 2688, '', 0, 'E70\r'),
	('EQ', 4863, 'GYE', 2673, 'CUE', 2671, '', 0, '320 E90\r'),
	('EQ', 4863, 'GYE', 2673, 'ESM', 6047, '', 0, 'E70\r'),
	('EQ', 4863, 'GYE', 2673, 'GPS', 2672, '', 0, '320\r'),
	('EQ', 4863, 'GYE', 2673, 'LOH', 6046, '', 0, 'E90\r'),
	('EQ', 4863, 'GYE', 2673, 'LTX', 7695, '', 0, 'E70\r'),
	('EQ', 4863, 'GYE', 2673, 'PTY', 1871, '', 0, 'E90\r'),
	('EQ', 4863, 'GYE', 2673, 'SCY', 6045, '', 0, '320\r'),
	('EQ', 4863, 'GYE', 2673, 'UIO', 2688, '', 0, '320\r'),
	('EQ', 4863, 'HAV', 1909, 'UIO', 2688, '', 0, 'E70\r'),
	('EQ', 4863, 'LGQ', 6750, 'UIO', 2688, '', 0, 'E70 E90\r'),
	('EQ', 4863, 'LIM', 2789, 'UIO', 2688, '', 0, 'E70\r'),
	('EQ', 4863, 'LOH', 6046, 'GYE', 2673, '', 0, 'E90\r'),
	('EQ', 4863, 'LOH', 6046, 'UIO', 2688, '', 0, 'E90 E70\r'),
	('EQ', 4863, 'LTX', 7695, 'GYE', 2673, '', 0, 'E70\r'),
	('EQ', 4863, 'LTX', 7695, 'OCC', 2670, '', 0, 'E70\r'),
	('EQ', 4863, 'MEC', 2683, 'UIO', 2688, '', 0, 'E90\r'),
	('EQ', 4863, 'OCC', 2670, 'LTX', 7695, '', 0, 'E70\r'),
	('EQ', 4863, 'OCC', 2670, 'UIO', 2688, '', 0, 'E90\r'),
	('EQ', 4863, 'PTY', 1871, 'GYE', 2673, '', 0, 'E90\r'),
	('EQ', 4863, 'SCY', 6045, 'GYE', 2673, '', 0, '320\r'),
	('EQ', 4863, 'UIO', 2688, 'BOG', 2709, '', 0, 'E70\r'),
	('EQ', 4863, 'UIO', 2688, 'CUE', 2671, '', 0, '319\r'),
	('EQ', 4863, 'UIO', 2688, 'ESM', 6047, '', 0, '320\r'),
	('EQ', 4863, 'UIO', 2688, 'GRU', 2564, '', 0, 'E70\r'),
	('EQ', 4863, 'UIO', 2688, 'GYE', 2673, '', 0, '320\r'),
	('EQ', 4863, 'UIO', 2688, 'HAV', 1909, '', 0, 'E70\r'),
	('EQ', 4863, 'UIO', 2688, 'LGQ', 6750, '', 0, 'E70 E90\r'),
	('EQ', 4863, 'UIO', 2688, 'LIM', 2789, '', 0, 'E70\r'),
	('EQ', 4863, 'UIO', 2688, 'LOH', 6046, '', 0, 'E90\r'),
	('EQ', 4863, 'UIO', 2688, 'MEC', 2683, '', 0, 'E90\r'),
	('EQ', 4863, 'UIO', 2688, 'OCC', 2670, '', 0, 'E90\r'),
	('EQ', 4863, 'UIO', 2688, 'TUA', 2697, '', 0, 'E70\r'),
	('EQ', 4863, 'UIO', 2688, 'XMS', 2680, '', 0, 'E90\r'),
	('ET', 2220, 'ABJ', 253, 'CKY', 4162, '', 0, 'DH8\r'),
	('ET', 2220, 'ABJ', 253, 'COO', 245, '', 0, '73W 752\r'),
	('ET', 2220, 'ABJ', 253, 'LFW', 298, '', 0, 'DH8\r'),
	('ET', 2220, 'ABJ', 253, 'LOS', 273, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'ABJ', 253, 'OUA', 246, '', 0, '752\r'),
	('ET', 2220, 'ABV', 260, 'ADD', 1107, '', 0, '77L\r'),
	('ET', 2220, 'ABV', 260, 'COO', 245, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'ABV', 260, 'LFW', 298, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'ABV', 260, 'NDJ', 999, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'ABV', 260, 'NIM', 280, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'ACC', 248, 'ADD', 1107, '', 0, '738\r'),
	('ET', 2220, 'ACC', 248, 'FNA', 1059, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'ACC', 248, 'LFW', 298, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'ACC', 248, 'MLW', 1062, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'ADD', 1107, 'ABV', 260, '', 0, '77L\r'),
	('ET', 2220, 'ADD', 1107, 'ACC', 248, '', 0, '738\r'),
	('ET', 2220, 'ADD', 1107, 'AMH', 1109, '', 0, 'DH8\r'),
	('ET', 2220, 'ADD', 1107, 'ASO', 1119, '', 0, 'DH8\r'),
	('ET', 2220, 'ADD', 1107, 'AXU', 1110, '', 0, 'DH8\r'),
	('ET', 2220, 'ADD', 1107, 'BEY', 2177, '', 0, '738\r'),
	('ET', 2220, 'ADD', 1107, 'BJR', 1111, '', 0, 'DH8\r'),
	('ET', 2220, 'ADD', 1107, 'BKK', 3885, '', 0, '763\r'),
	('ET', 2220, 'ADD', 1107, 'BKO', 1044, '', 0, '763\r'),
	('ET', 2220, 'ADD', 1107, 'BOM', 2997, '', 0, '788\r'),
	('ET', 2220, 'ADD', 1107, 'CAI', 1128, '', 0, '73W 738\r'),
	('ET', 2220, 'ADD', 1107, 'CAN', 3370, '', 0, '77W\r'),
	('ET', 2220, 'ADD', 1107, 'CDG', 1382, '', 0, '763\r'),
	('ET', 2220, 'ADD', 1107, 'COO', 245, '', 0, '73W 752\r'),
	('ET', 2220, 'ADD', 1107, 'DAR', 1177, '', 0, '738 73W\r'),
	('ET', 2220, 'ADD', 1107, 'DEL', 3093, '', 0, '752\r'),
	('ET', 2220, 'ADD', 1107, 'DIR', 1112, '', 0, 'DH8 73W\r'),
	('ET', 2220, 'ADD', 1107, 'DLA', 897, '', 0, '763\r'),
	('ET', 2220, 'ADD', 1107, 'DMM', 2064, '', 0, '73W\r'),
	('ET', 2220, 'ADD', 1107, 'DXB', 2188, '', 0, '77L 738 788 763\r'),
	('ET', 2220, 'ADD', 1107, 'EBB', 1187, '', 0, '763 73W\r'),
	('ET', 2220, 'ADD', 1107, 'ENU', 264, '', 0, '752\r'),
	('ET', 2220, 'ADD', 1107, 'FBM', 1038, '', 0, '738 73W\r'),
	('ET', 2220, 'ADD', 1107, 'FCO', 1555, '', 0, '763\r'),
	('ET', 2220, 'ADD', 1107, 'FIH', 1020, '', 0, '788\r'),
	('ET', 2220, 'ADD', 1107, 'FRA', 340, '', 0, '788\r'),
	('ET', 2220, 'ADD', 1107, 'GDQ', 1114, '', 0, 'DH8\r'),
	('ET', 2220, 'ADD', 1107, 'GMB', 1113, '', 0, 'DH8\r'),
	('ET', 2220, 'ADD', 1107, 'HGA', 1121, '', 0, 'DH8\r'),
	('ET', 2220, 'ADD', 1107, 'HKG', 3077, '', 0, '788\r'),
	('ET', 2220, 'ADD', 1107, 'HRE', 1005, '', 0, '788\r'),
	('ET', 2220, 'ADD', 1107, 'JED', 2072, '', 0, '738 752\r'),
	('ET', 2220, 'ADD', 1107, 'JIB', 4119, '', 0, 'DH8 73W\r'),
	('ET', 2220, 'ADD', 1107, 'JIJ', 7417, '', 0, 'DH8\r'),
	('ET', 2220, 'ADD', 1107, 'JIM', 1116, '', 0, 'DH8\r'),
	('ET', 2220, 'ADD', 1107, 'JNB', 813, '', 0, '77L\r'),
	('ET', 2220, 'ADD', 1107, 'JRO', 1180, '', 0, '763\r'),
	('ET', 2220, 'ADD', 1107, 'JUB', 1173, '', 0, 'DH8 73W\r'),
	('ET', 2220, 'ADD', 1107, 'KGL', 1165, '', 0, '738\r'),
	('ET', 2220, 'ADD', 1107, 'KRT', 1175, '', 0, 'DH8 738\r'),
	('ET', 2220, 'ADD', 1107, 'KWI', 2176, '', 0, '738\r'),
	('ET', 2220, 'ADD', 1107, 'LAD', 951, '', 0, '77W\r'),
	('ET', 2220, 'ADD', 1107, 'LBV', 970, '', 0, '738\r'),
	('ET', 2220, 'ADD', 1107, 'LFW', 298, '', 0, '788 73W\r'),
	('ET', 2220, 'ADD', 1107, 'LHR', 507, '', 0, '788 77L\r'),
	('ET', 2220, 'ADD', 1107, 'LLW', 1016, '', 0, '738\r'),
	('ET', 2220, 'ADD', 1107, 'LOS', 273, '', 0, '77L\r'),
	('ET', 2220, 'ADD', 1107, 'LUN', 907, '', 0, '788\r'),
	('ET', 2220, 'ADD', 1107, 'MBA', 1145, '', 0, '738 DH8\r'),
	('ET', 2220, 'ADD', 1107, 'MCT', 2194, '', 0, '73W\r'),
	('ET', 2220, 'ADD', 1107, 'MPM', 979, '', 0, '73W 738\r'),
	('ET', 2220, 'ADD', 1107, 'MQX', 1118, '', 0, '738 DH8 73W\r'),
	('ET', 2220, 'ADD', 1107, 'NBO', 4059, '', 0, '763 738\r'),
	('ET', 2220, 'ADD', 1107, 'NDJ', 999, '', 0, '738 752 763\r'),
	('ET', 2220, 'ADD', 1107, 'NIM', 280, '', 0, '752\r'),
	('ET', 2220, 'ADD', 1107, 'OUA', 246, '', 0, '752\r'),
	('ET', 2220, 'ADD', 1107, 'PEK', 3364, '', 0, '77L\r'),
	('ET', 2220, 'ADD', 1107, 'PNR', 886, '', 0, '738\r'),
	('ET', 2220, 'ADD', 1107, 'PVG', 3406, '', 0, '788 77L\r'),
	('ET', 2220, 'ADD', 1107, 'RUH', 2082, '', 0, '738\r'),
	('ET', 2220, 'ADD', 1107, 'SSG', 891, '', 0, '763\r'),
	('ET', 2220, 'ADD', 1107, 'TLV', 1590, '', 0, '763\r'),
	('ET', 2220, 'ADL', 3341, 'SIN', 3316, '', 0, '333\r'),
	('ET', 2220, 'AKL', 2006, 'SIN', 3316, '', 0, '77W\r'),
	('ET', 2220, 'AMH', 1109, 'ADD', 1107, '', 0, 'DH8\r'),
	('ET', 2220, 'AMS', 580, 'FRA', 340, 'Y', 0, '32A 319\r'),
	('ET', 2220, 'ARN', 737, 'ADD', 1107, '', 0, '752\r'),
	('ET', 2220, 'ARN', 737, 'CPH', 609, '', 0, '320\r'),
	('ET', 2220, 'ARN', 737, 'FRA', 340, 'Y', 0, '321 32A\r'),
	('ET', 2220, 'ARN', 737, 'HEL', 421, '', 0, '717\r'),
	('ET', 2220, 'ARN', 737, 'OSL', 644, '', 0, '738 736 73W\r'),
	('ET', 2220, 'ASO', 1119, 'ADD', 1107, '', 0, 'DH8\r'),
	('ET', 2220, 'AXU', 1110, 'ADD', 1107, '', 0, 'DH8\r'),
	('ET', 2220, 'AXU', 1110, 'LLI', 1117, '', 0, 'DH8\r'),
	('ET', 2220, 'BCN', 1218, 'FRA', 340, 'Y', 0, '321\r'),
	('ET', 2220, 'BEY', 2177, 'ADD', 1107, '', 0, '738\r'),
	('ET', 2220, 'BGF', 888, 'DLA', 897, 'Y', 0, '73W\r'),
	('ET', 2220, 'BJM', 1120, 'KGL', 1165, '', 0, '738\r'),
	('ET', 2220, 'BJR', 1111, 'ADD', 1107, '', 0, 'DH8\r'),
	('ET', 2220, 'BJR', 1111, 'LLI', 1117, '', 0, 'DH8\r'),
	('ET', 2220, 'BKK', 3885, 'ADD', 1107, '', 0, '763\r'),
	('ET', 2220, 'BKK', 3885, 'ICN', 3930, 'Y', 0, '333 772\r'),
	('ET', 2220, 'BKK', 3885, 'KUL', 3304, '', 0, '763\r'),
	('ET', 2220, 'BKK', 3885, 'SIN', 3316, '', 0, '772 763\r'),
	('ET', 2220, 'BKO', 1044, 'ADD', 1107, '', 0, '763\r'),
	('ET', 2220, 'BKO', 1044, 'CKY', 4162, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'BKO', 1044, 'DKR', 1084, '', 0, '763\r'),
	('ET', 2220, 'BKO', 1044, 'LFW', 298, 'Y', 0, '73W\r'),
	('ET', 2220, 'BKO', 1044, 'OUA', 246, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'BLZ', 1013, 'ADD', 1107, '', 0, '738\r'),
	('ET', 2220, 'BLZ', 1013, 'JNB', 813, '', 0, '738\r'),
	('ET', 2220, 'BLZ', 1013, 'LLW', 1016, '', 0, '738\r'),
	('ET', 2220, 'BNE', 3320, 'SIN', 3316, '', 0, '333\r'),
	('ET', 2220, 'BOM', 2997, 'ADD', 1107, '', 0, '788\r'),
	('ET', 2220, 'BRU', 302, 'CDG', 1382, '', 0, '763\r'),
	('ET', 2220, 'BRU', 302, 'FRA', 340, 'Y', 0, '319 320 733 32A\r'),
	('ET', 2220, 'BUD', 1489, 'FRA', 340, 'Y', 0, '321 32A\r'),
	('ET', 2220, 'BZV', 883, 'ADD', 1107, '', 0, '788\r'),
	('ET', 2220, 'BZV', 883, 'DLA', 897, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'CAI', 1128, 'ADD', 1107, '', 0, '73W 738\r'),
	('ET', 2220, 'CAI', 1128, 'LCA', 1197, 'Y', 0, 'E70\r'),
	('ET', 2220, 'CAN', 3370, 'ADD', 1107, '', 0, '77W\r'),
	('ET', 2220, 'CDG', 1382, 'ADD', 1107, '', 0, '763\r'),
	('ET', 2220, 'CDG', 1382, 'BRU', 302, '', 0, '763\r'),
	('ET', 2220, 'CHC', 2009, 'SIN', 3316, '', 0, '772\r'),
	('ET', 2220, 'CKY', 4162, 'ABJ', 253, '', 0, 'DH8\r'),
	('ET', 2220, 'CKY', 4162, 'BKO', 1044, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'CKY', 4162, 'DKR', 1084, 'Y', 0, '73W\r'),
	('ET', 2220, 'CKY', 4162, 'LFW', 298, 'Y', 0, '73W\r'),
	('ET', 2220, 'CKY', 4162, 'OXB', 5665, '', 0, 'DH8\r'),
	('ET', 2220, 'COO', 245, 'ABJ', 253, '', 0, '73W 752\r'),
	('ET', 2220, 'COO', 245, 'ABV', 260, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'COO', 245, 'ADD', 1107, '', 0, '73W 752\r'),
	('ET', 2220, 'COO', 245, 'LFW', 298, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'COO', 245, 'NIM', 280, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'CPH', 609, 'ARN', 737, '', 0, '321\r'),
	('ET', 2220, 'CPH', 609, 'FRA', 340, 'Y', 0, '321 320\r'),
	('ET', 2220, 'DAR', 1177, 'ADD', 1107, '', 0, '738\r'),
	('ET', 2220, 'DAR', 1177, 'LLW', 1016, '', 0, 'DH8\r'),
	('ET', 2220, 'DAR', 1177, 'ZNZ', 1186, '', 0, '73W\r'),
	('ET', 2220, 'DEL', 3093, 'ADD', 1107, '', 0, '752\r'),
	('ET', 2220, 'DIR', 1112, 'ADD', 1107, '', 0, 'DH8 73W\r'),
	('ET', 2220, 'DIR', 1112, 'JIB', 4119, '', 0, '73W DH8\r'),
	('ET', 2220, 'DIR', 1112, 'JIJ', 7417, '', 0, 'DH8\r'),
	('ET', 2220, 'DKR', 1084, 'BKO', 1044, '', 0, '763\r'),
	('ET', 2220, 'DKR', 1084, 'CKY', 4162, 'Y', 0, '73W\r'),
	('ET', 2220, 'DLA', 897, 'ADD', 1107, '', 0, '763\r'),
	('ET', 2220, 'DLA', 897, 'BGF', 888, 'Y', 0, '73W\r'),
	('ET', 2220, 'DLA', 897, 'BZV', 883, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'DLA', 897, 'LFW', 298, 'Y', 0, '73W DH8\r'),
	('ET', 2220, 'DLA', 897, 'NDJ', 999, 'Y', 0, '73W\r'),
	('ET', 2220, 'DLA', 897, 'SSG', 891, '', 0, '763\r'),
	('ET', 2220, 'DMM', 2064, 'ADD', 1107, '', 0, '73W\r'),
	('ET', 2220, 'DUS', 345, 'FRA', 340, 'Y', 0, '319 320 321\r'),
	('ET', 2220, 'DXB', 2188, 'ADD', 1107, '', 0, '77L 738 788 763\r'),
	('ET', 2220, 'DXB', 2188, 'SIN', 3316, 'Y', 0, '77W 333\r'),
	('ET', 2220, 'EBB', 1187, 'ADD', 1107, '', 0, '763\r'),
	('ET', 2220, 'EBB', 1187, 'KGL', 1165, '', 0, '73W\r'),
	('ET', 2220, 'ENU', 264, 'ADD', 1107, '', 0, '752\r'),
	('ET', 2220, 'FBM', 1038, 'NLA', 910, '', 0, '738\r'),
	('ET', 2220, 'FCO', 1555, 'ADD', 1107, '', 0, '763\r'),
	('ET', 2220, 'FCO', 1555, 'MXP', 1524, '', 0, '763\r'),
	('ET', 2220, 'FIH', 1020, 'BZV', 883, '', 0, '788\r'),
	('ET', 2220, 'FIH', 1020, 'LBV', 970, 'Y', 0, '73W\r'),
	('ET', 2220, 'FNA', 1059, 'ACC', 248, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'FNA', 1059, 'MLW', 1062, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'FRA', 340, 'ADD', 1107, '', 0, '788\r'),
	('ET', 2220, 'FRA', 340, 'AMS', 580, 'Y', 0, '733\r'),
	('ET', 2220, 'FRA', 340, 'ARN', 737, 'Y', 0, '32A 321\r'),
	('ET', 2220, 'FRA', 340, 'BCN', 1218, 'Y', 0, '321\r'),
	('ET', 2220, 'FRA', 340, 'BRU', 302, 'Y', 0, '735 733\r'),
	('ET', 2220, 'FRA', 340, 'BUD', 1489, 'Y', 0, '733 735\r'),
	('ET', 2220, 'FRA', 340, 'CPH', 609, 'Y', 0, '319 321 320\r'),
	('ET', 2220, 'FRA', 340, 'DUS', 345, 'Y', 0, '319 320 321\r'),
	('ET', 2220, 'FRA', 340, 'GOT', 687, 'Y', 0, '32A 321\r'),
	('ET', 2220, 'FRA', 340, 'GVA', 1665, 'Y', 0, 'E90 CR7\r'),
	('ET', 2220, 'FRA', 340, 'HEL', 421, 'Y', 0, '32A 321 320\r'),
	('ET', 2220, 'FRA', 340, 'JED', 2072, 'Y', 0, '333\r'),
	('ET', 2220, 'FRA', 340, 'JFK', 3797, 'Y', 0, '388\r'),
	('ET', 2220, 'FRA', 340, 'LIS', 1638, 'Y', 0, '321 32A\r'),
	('ET', 2220, 'FRA', 340, 'LYS', 1335, 'Y', 0, '319 321\r'),
	('ET', 2220, 'FRA', 340, 'MAD', 1229, 'Y', 0, '321 319 32A\r'),
	('ET', 2220, 'FRA', 340, 'MRS', 1353, 'Y', 0, '320 32A 319\r'),
	('ET', 2220, 'FRA', 340, 'MUC', 346, 'Y', 0, '320 319\r'),
	('ET', 2220, 'FRA', 340, 'MXP', 1524, 'Y', 0, '320 319 321\r'),
	('ET', 2220, 'FRA', 340, 'OSL', 644, 'Y', 0, '32A\r'),
	('ET', 2220, 'FRA', 340, 'OTP', 1657, 'Y', 0, '32A 320 319\r'),
	('ET', 2220, 'FRA', 340, 'PRG', 1587, 'Y', 0, '321\r'),
	('ET', 2220, 'FRA', 340, 'TLS', 1273, 'Y', 0, '733\r'),
	('ET', 2220, 'FRA', 340, 'TXL', 351, 'Y', 0, '321 320 32A\r'),
	('ET', 2220, 'FRA', 340, 'VIE', 1613, 'Y', 0, '321\r'),
	('ET', 2220, 'FRA', 340, 'WAW', 679, 'Y', 0, '321 320 32A 319\r'),
	('ET', 2220, 'FRA', 340, 'ZRH', 1678, 'Y', 0, '319\r'),
	('ET', 2220, 'GDE', 5680, 'JIJ', 7417, '', 0, 'DH8\r'),
	('ET', 2220, 'GDQ', 1114, 'ADD', 1107, '', 0, 'DH8\r'),
	('ET', 2220, 'GDQ', 1114, 'LLI', 1117, '', 0, 'DH8\r'),
	('ET', 2220, 'GIG', 2560, 'GRU', 2564, '', 0, '788\r'),
	('ET', 2220, 'GMB', 1113, 'ADD', 1107, '', 0, 'DH8\r'),
	('ET', 2220, 'GMB', 1113, 'ASO', 1119, '', 0, 'DH8\r'),
	('ET', 2220, 'GOT', 687, 'FRA', 340, 'Y', 0, '319 733\r'),
	('ET', 2220, 'GRU', 2564, 'LFW', 298, '', 0, '788\r'),
	('ET', 2220, 'GVA', 1665, 'FRA', 340, 'Y', 0, '735\r'),
	('ET', 2220, 'HEL', 421, 'ARN', 737, '', 0, '717\r'),
	('ET', 2220, 'HEL', 421, 'FRA', 340, 'Y', 0, '32A 321\r'),
	('ET', 2220, 'HGA', 1121, 'ADD', 1107, '', 0, 'DH8\r'),
	('ET', 2220, 'HKG', 3077, 'ADD', 1107, '', 0, '763 788\r'),
	('ET', 2220, 'HKG', 3077, 'ICN', 3930, '', 0, '788\r'),
	('ET', 2220, 'HRE', 1005, 'ADD', 1107, '', 0, '788\r'),
	('ET', 2220, 'HRE', 1005, 'LLW', 1016, '', 0, 'DH8\r'),
	('ET', 2220, 'HRE', 1005, 'LUN', 907, '', 0, '788\r'),
	('ET', 2220, 'IAD', 3714, 'ADD', 1107, '', 0, '77L 788\r'),
	('ET', 2220, 'ICN', 3930, 'BKK', 3885, 'Y', 0, '333 772\r'),
	('ET', 2220, 'ICN', 3930, 'HKG', 3077, '', 0, '788\r'),
	('ET', 2220, 'JED', 2072, 'ADD', 1107, '', 0, '738 752\r'),
	('ET', 2220, 'JED', 2072, 'FRA', 340, 'Y', 0, '333\r'),
	('ET', 2220, 'JFK', 3797, 'FRA', 340, 'Y', 0, '744\r'),
	('ET', 2220, 'JIB', 4119, 'ADD', 1107, '', 0, '73W DH8\r'),
	('ET', 2220, 'JIB', 4119, 'DIR', 1112, '', 0, 'DH8 73W\r'),
	('ET', 2220, 'JIJ', 7417, 'ADD', 1107, '', 0, 'DH8\r'),
	('ET', 2220, 'JIJ', 7417, 'DIR', 1112, '', 0, 'DH8\r'),
	('ET', 2220, 'JIJ', 7417, 'GDE', 5680, '', 0, 'DH8\r'),
	('ET', 2220, 'JIM', 1116, 'ADD', 1107, '', 0, 'DH8\r'),
	('ET', 2220, 'JIM', 1116, 'AMH', 1109, '', 0, 'DH8\r'),
	('ET', 2220, 'JNB', 813, 'ADD', 1107, '', 0, '77L\r'),
	('ET', 2220, 'JNB', 813, 'BLZ', 1013, '', 0, '738\r'),
	('ET', 2220, 'JNB', 813, 'WDH', 4105, 'Y', 0, '319 320 738\r'),
	('ET', 2220, 'JRO', 1180, 'ADD', 1107, '', 0, 'DH8 763\r'),
	('ET', 2220, 'JRO', 1180, 'ZNZ', 1186, '', 0, '763\r'),
	('ET', 2220, 'JUB', 1173, 'ADD', 1107, '', 0, 'DH8 73W\r'),
	('ET', 2220, 'KGL', 1165, 'ADD', 1107, '', 0, '73W 738\r'),
	('ET', 2220, 'KGL', 1165, 'BJM', 1120, '', 0, '738\r'),
	('ET', 2220, 'KRT', 1175, 'ADD', 1107, '', 0, '738 DH8\r'),
	('ET', 2220, 'KUL', 3304, 'BKK', 3885, '', 0, '763\r'),
	('ET', 2220, 'KWI', 2176, 'ADD', 1107, '', 0, '738\r'),
	('ET', 2220, 'LAD', 951, 'ADD', 1107, '', 0, '77W\r'),
	('ET', 2220, 'LBV', 970, 'ADD', 1107, '', 0, '738\r'),
	('ET', 2220, 'LBV', 970, 'FIH', 1020, 'Y', 0, '73W\r'),
	('ET', 2220, 'LBV', 970, 'LFW', 298, 'Y', 0, 'DH8 73W\r'),
	('ET', 2220, 'LBV', 970, 'LOS', 273, 'Y', 0, '73W\r'),
	('ET', 2220, 'LBV', 970, 'NSI', 4161, 'Y', 0, '73W\r'),
	('ET', 2220, 'LBV', 970, 'PNR', 886, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'LCA', 1197, 'CAI', 1128, 'Y', 0, 'E70\r'),
	('ET', 2220, 'LFW', 298, 'ABJ', 253, '', 0, 'DH8\r'),
	('ET', 2220, 'LFW', 298, 'ABV', 260, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'LFW', 298, 'ACC', 248, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'LFW', 298, 'ADD', 1107, '', 0, '73W 788\r'),
	('ET', 2220, 'LFW', 298, 'BKO', 1044, 'Y', 0, '73W\r'),
	('ET', 2220, 'LFW', 298, 'CKY', 4162, 'Y', 0, '73W\r'),
	('ET', 2220, 'LFW', 298, 'COO', 245, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'LFW', 298, 'DLA', 897, 'Y', 0, '73W DH8\r'),
	('ET', 2220, 'LFW', 298, 'GIG', 2560, '', 0, '788\r'),
	('ET', 2220, 'LFW', 298, 'LBV', 970, 'Y', 0, '73W DH8\r'),
	('ET', 2220, 'LFW', 298, 'LOS', 273, '', 0, '73W\r'),
	('ET', 2220, 'LFW', 298, 'OUA', 246, 'Y', 0, 'DH8 73W\r'),
	('ET', 2220, 'LHR', 507, 'ADD', 1107, '', 0, '788 77L\r'),
	('ET', 2220, 'LHR', 507, 'YYZ', 193, '', 0, '77L\r'),
	('ET', 2220, 'LIS', 1638, 'FRA', 340, 'Y', 0, '321\r'),
	('ET', 2220, 'LLI', 1117, 'ADD', 1107, '', 0, 'DH8\r'),
	('ET', 2220, 'LLI', 1117, 'AXU', 1110, '', 0, 'DH8\r'),
	('ET', 2220, 'LLI', 1117, 'GDQ', 1114, '', 0, 'DH8\r'),
	('ET', 2220, 'LLW', 1016, 'BLZ', 1013, '', 0, '738 DH8\r'),
	('ET', 2220, 'LLW', 1016, 'DAR', 1177, '', 0, 'DH8\r'),
	('ET', 2220, 'LLW', 1016, 'HRE', 1005, '', 0, 'DH8\r'),
	('ET', 2220, 'LLW', 1016, 'LUN', 907, '', 0, 'DH8\r'),
	('ET', 2220, 'LOS', 273, 'ABJ', 253, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'LOS', 273, 'ADD', 1107, '', 0, '77L\r'),
	('ET', 2220, 'LOS', 273, 'LBV', 970, 'Y', 0, '73W\r'),
	('ET', 2220, 'LOS', 273, 'LFW', 298, '', 0, '73W\r'),
	('ET', 2220, 'LUN', 907, 'ADD', 1107, '', 0, '788\r'),
	('ET', 2220, 'LUN', 907, 'BLZ', 1013, '', 0, 'DH8\r'),
	('ET', 2220, 'LUN', 907, 'HRE', 1005, '', 0, '788\r'),
	('ET', 2220, 'LUN', 907, 'LLW', 1016, '', 0, 'DH8\r'),
	('ET', 2220, 'LYS', 1335, 'FRA', 340, 'Y', 0, '733 32A 321\r'),
	('ET', 2220, 'MAD', 1229, 'FRA', 340, 'Y', 0, '321 320\r'),
	('ET', 2220, 'MBA', 1145, 'ADD', 1107, '', 0, '738\r'),
	('ET', 2220, 'MBA', 1145, 'JRO', 1180, '', 0, 'DH8\r'),
	('ET', 2220, 'MCT', 2194, 'ADD', 1107, '', 0, '73W\r'),
	('ET', 2220, 'MEL', 3339, 'SIN', 3316, '', 0, '388\r'),
	('ET', 2220, 'MLW', 1062, 'ACC', 248, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'MLW', 1062, 'FNA', 1059, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'MPM', 979, 'ADD', 1107, '', 0, '73W 738\r'),
	('ET', 2220, 'MQX', 1118, 'ADD', 1107, '', 0, '738 DH8 73W\r'),
	('ET', 2220, 'MQX', 1118, 'SHC', 5601, '', 0, 'DH8\r'),
	('ET', 2220, 'MRS', 1353, 'FRA', 340, 'Y', 0, '320 32A 319\r'),
	('ET', 2220, 'MUC', 346, 'FRA', 340, 'Y', 0, '320 319\r'),
	('ET', 2220, 'MXP', 1524, 'FCO', 1555, '', 0, '763\r'),
	('ET', 2220, 'MXP', 1524, 'FRA', 340, 'Y', 0, '321 319 32A 320\r'),
	('ET', 2220, 'NBO', 4059, 'ADD', 1107, '', 0, '738 763\r'),
	('ET', 2220, 'NDJ', 999, 'ABV', 260, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'NDJ', 999, 'ADD', 1107, '', 0, '738 752 763\r'),
	('ET', 2220, 'NDJ', 999, 'DLA', 897, 'Y', 0, '73W\r'),
	('ET', 2220, 'NDJ', 999, 'NIM', 280, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'NIM', 280, 'ABV', 260, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'NIM', 280, 'ADD', 1107, '', 0, '752\r'),
	('ET', 2220, 'NIM', 280, 'COO', 245, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'NIM', 280, 'NDJ', 999, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'NIM', 280, 'OUA', 246, '', 0, '752\r'),
	('ET', 2220, 'NLA', 910, 'ADD', 1107, '', 0, '738 73W\r'),
	('ET', 2220, 'NSI', 4161, 'LBV', 970, 'Y', 0, '73W\r'),
	('ET', 2220, 'OSL', 644, 'ARN', 737, '', 0, '736 73W 738\r'),
	('ET', 2220, 'OSL', 644, 'FRA', 340, 'Y', 0, '319 320 32A\r'),
	('ET', 2220, 'OTP', 1657, 'FRA', 340, 'Y', 0, '733\r'),
	('ET', 2220, 'OUA', 246, 'ABJ', 253, '', 0, '752\r'),
	('ET', 2220, 'OUA', 246, 'ADD', 1107, '', 0, '752\r'),
	('ET', 2220, 'OUA', 246, 'BKO', 1044, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'OUA', 246, 'LFW', 298, 'Y', 0, '73W DH8\r'),
	('ET', 2220, 'OUA', 246, 'NIM', 280, '', 0, '752\r'),
	('ET', 2220, 'OXB', 5665, 'CKY', 4162, '', 0, 'DH8\r'),
	('ET', 2220, 'PEK', 3364, 'ADD', 1107, '', 0, '77L\r'),
	('ET', 2220, 'PER', 3351, 'SIN', 3316, '', 0, '772\r'),
	('ET', 2220, 'PNR', 886, 'ADD', 1107, '', 0, '738\r'),
	('ET', 2220, 'PNR', 886, 'LBV', 970, 'Y', 0, 'DH8\r'),
	('ET', 2220, 'PRG', 1587, 'FRA', 340, 'Y', 0, '320 321\r'),
	('ET', 2220, 'PVG', 3406, 'ADD', 1107, '', 0, '77L 788\r'),
	('ET', 2220, 'RUH', 2082, 'ADD', 1107, '', 0, '738\r'),
	('ET', 2220, 'SHC', 5601, 'MQX', 1118, '', 0, 'DH8\r'),
	('ET', 2220, 'SIN', 3316, 'ADL', 3341, '', 0, '333\r'),
	('ET', 2220, 'SIN', 3316, 'AKL', 2006, '', 0, '77W\r'),
	('ET', 2220, 'SIN', 3316, 'BKK', 3885, '', 0, '333 763\r'),
	('ET', 2220, 'SIN', 3316, 'BNE', 3320, '', 0, '333\r'),
	('ET', 2220, 'SIN', 3316, 'CHC', 2009, '', 0, '772\r'),
	('ET', 2220, 'SIN', 3316, 'DXB', 2188, 'Y', 0, '77W 333\r'),
	('ET', 2220, 'SIN', 3316, 'MEL', 3339, '', 0, '388\r'),
	('ET', 2220, 'SIN', 3316, 'PER', 3351, '', 0, '333\r'),
	('ET', 2220, 'SIN', 3316, 'SYD', 3361, '', 0, '388\r'),
	('ET', 2220, 'SOF', 1194, 'FRA', 340, 'Y', 0, '320 32A 319\r'),
	('ET', 2220, 'SSG', 891, 'ADD', 1107, '', 0, '763\r'),
	('ET', 2220, 'SSG', 891, 'DLA', 897, '', 0, '763\r'),
	('ET', 2220, 'SYD', 3361, 'SIN', 3316, '', 0, '388\r'),
	('ET', 2220, 'TLS', 1273, 'FRA', 340, 'Y', 0, '735\r'),
	('ET', 2220, 'TLV', 1590, 'ADD', 1107, '', 0, '763\r'),
	('ET', 2220, 'TXL', 351, 'FRA', 340, 'Y', 0, '321 320 32A\r'),
	('ET', 2220, 'VIE', 1613, 'FRA', 340, 'Y', 0, '321\r'),
	('ET', 2220, 'WAW', 679, 'FRA', 340, 'Y', 0, '320 321 32A\r'),
	('ET', 2220, 'WDH', 4105, 'JNB', 813, 'Y', 0, '319 320 738\r'),
	('ET', 2220, 'YYZ', 193, 'ADD', 1107, '', 0, '788\r'),
	('ET', 2220, 'ZNZ', 1186, 'ADD', 1107, '', 0, '73W\r'),
	('ET', 2220, 'ZNZ', 1186, 'JRO', 1180, '', 0, '763\r'),
	('ET', 2220, 'ZRH', 1678, 'FRA', 340, 'Y', 0, '319\r'),
	('EU', 2193, 'BHY', 6351, 'CKG', 3393, '', 0, '319\r'),
	('EU', 2193, 'BHY', 6351, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'CAN', 3370, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'CGQ', 4380, 'TNA', 4108, '', 0, '319\r'),
	('EU', 2193, 'CKG', 3393, 'BHY', 6351, '', 0, '319\r'),
	('EU', 2193, 'CSX', 3371, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'CSX', 3371, 'HGH', 3386, '', 0, '319\r'),
	('EU', 2193, 'CSX', 3371, 'NGB', 3387, '', 0, '319\r'),
	('EU', 2193, 'CSX', 3371, 'NKG', 3388, '', 0, '319\r'),
	('EU', 2193, 'CSX', 3371, 'SYX', 4030, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'BHY', 6351, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'CAN', 3370, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'CSX', 3371, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'HGH', 3386, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'JGS', 6428, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'JHG', 4055, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'JNG', 6944, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'JZH', 4301, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'KMG', 3382, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'KWE', 3394, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'LJG', 4033, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'LYG', 6383, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'LZH', 6356, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'NKG', 3388, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'PVG', 3406, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'SYX', 4030, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'SZX', 3374, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'TNA', 4108, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'TSN', 3368, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'WNZ', 6392, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'WUH', 3376, '', 0, '319\r'),
	('EU', 2193, 'CTU', 3395, 'XIY', 3379, '', 0, '319\r'),
	('EU', 2193, 'FOC', 3385, 'KWE', 3394, '', 0, '319\r'),
	('EU', 2193, 'HGH', 3386, 'CSX', 3371, '', 0, '319\r'),
	('EU', 2193, 'HGH', 3386, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'HGH', 3386, 'SYX', 4030, '', 0, '319\r'),
	('EU', 2193, 'HYN', 6384, 'WUH', 3376, '', 0, '319\r'),
	('EU', 2193, 'JGS', 6428, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'JGS', 6428, 'XMN', 3383, '', 0, '319\r'),
	('EU', 2193, 'JHG', 4055, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'JHG', 4055, 'KMG', 3382, '', 0, '319\r'),
	('EU', 2193, 'JNG', 6944, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'JNG', 6944, 'SHE', 4144, '', 0, '319\r'),
	('EU', 2193, 'JZH', 4301, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'KMG', 3382, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'KMG', 3382, 'JHG', 4055, '', 0, '319\r'),
	('EU', 2193, 'KMG', 3382, 'LZH', 6356, '', 0, '319\r'),
	('EU', 2193, 'KWE', 3394, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'KWE', 3394, 'FOC', 3385, '', 0, '319\r'),
	('EU', 2193, 'LJG', 4033, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'LYG', 6383, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'LYG', 6383, 'SHE', 4144, '', 0, '319\r'),
	('EU', 2193, 'LZH', 6356, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'LZH', 6356, 'KMG', 3382, '', 0, '319\r'),
	('EU', 2193, 'LZH', 6356, 'SZX', 3374, '', 0, '319\r'),
	('EU', 2193, 'LZH', 6356, 'XMN', 3383, '', 0, '319\r'),
	('EU', 2193, 'NGB', 3387, 'CSX', 3371, '', 0, '319\r'),
	('EU', 2193, 'NKG', 3388, 'CSX', 3371, '', 0, '319\r'),
	('EU', 2193, 'NKG', 3388, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'PVG', 3406, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'SHE', 4144, 'JNG', 6944, '', 0, '319\r'),
	('EU', 2193, 'SHE', 4144, 'LYG', 6383, '', 0, '319\r'),
	('EU', 2193, 'SYX', 4030, 'CSX', 3371, '', 0, '319\r'),
	('EU', 2193, 'SYX', 4030, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'SYX', 4030, 'HGH', 3386, '', 0, '319\r'),
	('EU', 2193, 'SZX', 3374, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'SZX', 3374, 'LZH', 6356, '', 0, '319\r'),
	('EU', 2193, 'TAO', 3390, 'XIY', 3379, '', 0, '319\r'),
	('EU', 2193, 'TNA', 4108, 'CGQ', 4380, '', 0, '319\r'),
	('EU', 2193, 'TNA', 4108, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'TSN', 3368, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'WNZ', 6392, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'WUH', 3376, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'WUH', 3376, 'HYN', 6384, '', 0, '319\r'),
	('EU', 2193, 'XIY', 3379, 'CTU', 3395, '', 0, '319\r'),
	('EU', 2193, 'XIY', 3379, 'TAO', 3390, '', 0, '319\r'),
	('EU', 2193, 'XMN', 3383, 'JGS', 6428, '', 0, '319\r'),
	('EU', 2193, 'XMN', 3383, 'LZH', 6356, '', 0, '319\r'),
	('EW', 2260, 'HAM', 342, 'AMS', 580, '', 0, 'CRJ\r'),
	('EY', 2222, 'ALA', 2908, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'AMD', 2994, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'AMM', 2170, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'AMS', 580, 'AUH', 2179, '', 0, '332\r'),
	('EY', 2222, 'AMS', 580, 'BEG', 1739, '', 0, '319\r'),
	('EY', 2222, 'AMS', 580, 'LIS', 1638, 'Y', 0, '32S\r'),
	('EY', 2222, 'AMS', 580, 'OPO', 1636, 'Y', 0, '100 ERJ\r'),
	('EY', 2222, 'ARN', 737, 'BEG', 1739, '', 0, '319\r'),
	('EY', 2222, 'ATH', 3941, 'AUH', 2179, '', 0, '321 320\r'),
	('EY', 2222, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'E75 CR7\r'),
	('EY', 2222, 'AUH', 2179, 'ALA', 2908, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'AMD', 2994, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'AMM', 2170, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'AMS', 580, '', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'ATH', 3941, '', 0, '321 320\r'),
	('EY', 2222, 'AUH', 2179, 'BAH', 2057, '', 0, '320 333 346\r'),
	('EY', 2222, 'AUH', 2179, 'BEG', 1739, '', 0, '319 320\r'),
	('EY', 2222, 'AUH', 2179, 'BEY', 2177, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'BGW', 4130, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'BKK', 3885, '', 0, '77W\r'),
	('EY', 2222, 'AUH', 2179, 'BLR', 3131, '', 0, '737 320\r'),
	('EY', 2222, 'AUH', 2179, 'BOM', 2997, '', 0, '320 346\r'),
	('EY', 2222, 'AUH', 2179, 'BRU', 302, '', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'BSR', 2234, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'CAI', 1128, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'CCJ', 3137, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'CDG', 1382, '', 0, '346\r'),
	('EY', 2222, 'AUH', 2179, 'CGK', 3275, '', 0, '332 77W\r'),
	('EY', 2222, 'AUH', 2179, 'CMB', 3024, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'CMN', 1074, '', 0, '333\r'),
	('EY', 2222, 'AUH', 2179, 'COK', 3136, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'CTU', 3395, '', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'DAC', 3076, '', 0, '77W\r'),
	('EY', 2222, 'AUH', 2179, 'DEL', 3093, '', 0, '320 332\r'),
	('EY', 2222, 'AUH', 2179, 'DME', 4029, '', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'DMM', 2064, '', 0, '320 319\r'),
	('EY', 2222, 'AUH', 2179, 'DOH', 2241, '', 0, '320 319\r'),
	('EY', 2222, 'AUH', 2179, 'DUB', 599, '', 0, '77W 332\r'),
	('EY', 2222, 'AUH', 2179, 'DUS', 345, '', 0, '332 333\r'),
	('EY', 2222, 'AUH', 2179, 'EBL', 3989, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'FCO', 1555, 'Y', 0, '330\r'),
	('EY', 2222, 'AUH', 2179, 'FRA', 340, '', 0, '332 333\r'),
	('EY', 2222, 'AUH', 2179, 'GRU', 2564, '', 0, '345\r'),
	('EY', 2222, 'AUH', 2179, 'GVA', 1665, '', 0, '333\r'),
	('EY', 2222, 'AUH', 2179, 'HKG', 3077, 'Y', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'HKT', 3179, 'Y', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'HYD', 3141, '', 0, '737 320\r'),
	('EY', 2222, 'AUH', 2179, 'IAD', 3714, '', 0, '346\r'),
	('EY', 2222, 'AUH', 2179, 'ICN', 3930, '', 0, '345 346\r'),
	('EY', 2222, 'AUH', 2179, 'IKA', 4330, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'ISB', 2223, '', 0, '320 332 77W\r'),
	('EY', 2222, 'AUH', 2179, 'IST', 1701, '', 0, '333 737 332 320\r'),
	('EY', 2222, 'AUH', 2179, 'JAI', 3098, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'JED', 2072, '', 0, '77W\r'),
	('EY', 2222, 'AUH', 2179, 'JFK', 3797, '', 0, '77W\r'),
	('EY', 2222, 'AUH', 2179, 'JNB', 813, '', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'KHI', 2206, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'KRT', 1175, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'KTM', 3125, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'KUL', 3304, '', 0, '332 77W\r'),
	('EY', 2222, 'AUH', 2179, 'KWI', 2176, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'LCA', 1197, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'LHE', 2207, '', 0, '320 346 332 345 77W\r'),
	('EY', 2222, 'AUH', 2179, 'LHR', 507, '', 0, '77W 346 345\r'),
	('EY', 2222, 'AUH', 2179, 'LOS', 273, '', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'MAA', 3144, '', 0, '321 320\r'),
	('EY', 2222, 'AUH', 2179, 'MAN', 478, '', 0, '332 77W\r'),
	('EY', 2222, 'AUH', 2179, 'MCT', 2194, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'MED', 2074, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'MEL', 3339, '', 0, '77W\r'),
	('EY', 2222, 'AUH', 2179, 'MLE', 3156, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'MNL', 2397, '', 0, '77W\r'),
	('EY', 2222, 'AUH', 2179, 'MSQ', 2954, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'MUC', 346, '', 0, '346 345 333\r'),
	('EY', 2222, 'AUH', 2179, 'MXP', 1524, '', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'NBO', 4059, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'NRT', 2279, '', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'ORD', 3830, '', 0, '77W\r'),
	('EY', 2222, 'AUH', 2179, 'PEK', 3364, '', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'PEW', 2219, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'PVG', 3406, '', 0, '333\r'),
	('EY', 2222, 'AUH', 2179, 'RUH', 2082, '', 0, '320 333 332 77W\r'),
	('EY', 2222, 'AUH', 2179, 'SAH', 3980, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'SEZ', 994, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'SGN', 3205, '', 0, '333 332\r'),
	('EY', 2222, 'AUH', 2179, 'SIN', 3316, '', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'SYD', 3361, '', 0, '77W 346\r'),
	('EY', 2222, 'AUH', 2179, 'TRV', 3153, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'TSE', 2910, '', 0, '320\r'),
	('EY', 2222, 'AUH', 2179, 'TXL', 351, 'Y', 0, '332\r'),
	('EY', 2222, 'AUH', 2179, 'YYZ', 193, '', 0, '77W\r'),
	('EY', 2222, 'BAH', 2057, 'AUH', 2179, '', 0, '320 333 346\r'),
	('EY', 2222, 'BEG', 1739, 'AMS', 580, '', 0, '319\r'),
	('EY', 2222, 'BEG', 1739, 'ARN', 737, '', 0, '319\r'),
	('EY', 2222, 'BEG', 1739, 'AUH', 2179, '', 0, '319 320\r'),
	('EY', 2222, 'BEG', 1739, 'FRA', 340, '', 0, '319\r'),
	('EY', 2222, 'BEG', 1739, 'LHR', 507, '', 0, '319\r'),
	('EY', 2222, 'BEY', 2177, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'BGW', 4130, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'BKK', 3885, 'AUH', 2179, '', 0, '77W\r'),
	('EY', 2222, 'BKK', 3885, 'CNX', 3931, 'Y', 0, '319 320\r'),
	('EY', 2222, 'BKK', 3885, 'HKG', 3077, 'Y', 0, '330\r'),
	('EY', 2222, 'BKK', 3885, 'HKT', 3179, 'Y', 0, '320\r'),
	('EY', 2222, 'BKK', 3885, 'KBV', 3174, 'Y', 0, '320 319\r'),
	('EY', 2222, 'BKK', 3885, 'LPQ', 3115, 'Y', 0, 'AT7 319\r'),
	('EY', 2222, 'BKK', 3885, 'MDL', 3222, 'Y', 0, '320\r'),
	('EY', 2222, 'BLR', 3131, 'AUH', 2179, '', 0, '320 737\r'),
	('EY', 2222, 'BNE', 3320, 'SIN', 3316, '', 0, '332\r'),
	('EY', 2222, 'BOM', 2997, 'AUH', 2179, '', 0, '346 320\r'),
	('EY', 2222, 'BOM', 2997, 'HKG', 3077, '', 0, '777\r'),
	('EY', 2222, 'BRU', 302, 'AUH', 2179, '', 0, '332\r'),
	('EY', 2222, 'BRU', 302, 'EWR', 3494, '', 0, '330\r'),
	('EY', 2222, 'BRU', 302, 'YYZ', 193, '', 0, '330\r'),
	('EY', 2222, 'BSR', 2234, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'BUD', 1489, 'FCO', 1555, 'Y', 0, '320 319\r'),
	('EY', 2222, 'CAI', 1128, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'CCJ', 3137, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'CDG', 1382, 'AUH', 2179, '', 0, '346\r'),
	('EY', 2222, 'CDG', 1382, 'JFK', 3797, 'Y', 0, '767\r'),
	('EY', 2222, 'CDG', 1382, 'TLS', 1273, 'Y', 0, '320\r'),
	('EY', 2222, 'CGK', 3275, 'AUH', 2179, '', 0, '77W 332\r'),
	('EY', 2222, 'CGK', 3275, 'HKG', 3077, 'Y', 0, '330\r'),
	('EY', 2222, 'CGK', 3275, 'PER', 3351, 'Y', 0, '737\r'),
	('EY', 2222, 'CMB', 3024, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'CMN', 1074, 'AUH', 2179, '', 0, '333\r'),
	('EY', 2222, 'CNX', 3931, 'BKK', 3885, 'Y', 0, '32S 319\r'),
	('EY', 2222, 'COK', 3136, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'CTU', 3395, 'AUH', 2179, '', 0, '332\r'),
	('EY', 2222, 'DAC', 3076, 'AUH', 2179, '', 0, '77W\r'),
	('EY', 2222, 'DEL', 3093, 'AUH', 2179, '', 0, '332 320\r'),
	('EY', 2222, 'DEL', 3093, 'HKG', 3077, '', 0, '330 777\r'),
	('EY', 2222, 'DME', 4029, 'AUH', 2179, '', 0, '332\r'),
	('EY', 2222, 'DMM', 2064, 'AUH', 2179, '', 0, '320 319\r'),
	('EY', 2222, 'DOH', 2241, 'AUH', 2179, '', 0, '320 319\r'),
	('EY', 2222, 'DUB', 599, 'AUH', 2179, '', 0, '77W 332\r'),
	('EY', 2222, 'DUS', 345, 'AUH', 2179, '', 0, '332 333\r'),
	('EY', 2222, 'EBL', 3989, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'EWR', 3494, 'BRU', 302, '', 0, '330\r'),
	('EY', 2222, 'FCO', 1555, 'AUH', 2179, 'Y', 0, '330\r'),
	('EY', 2222, 'FCO', 1555, 'BUD', 1489, 'Y', 0, '320\r'),
	('EY', 2222, 'FCO', 1555, 'MLA', 1606, 'Y', 0, '32S\r'),
	('EY', 2222, 'FCO', 1555, 'OTP', 1657, 'Y', 0, '319\r'),
	('EY', 2222, 'FCO', 1555, 'ZRH', 1678, 'Y', 0, 'EMJ\r'),
	('EY', 2222, 'FRA', 340, 'AUH', 2179, '', 0, '332 333\r'),
	('EY', 2222, 'FRA', 340, 'BEG', 1739, '', 0, '319\r'),
	('EY', 2222, 'GRU', 2564, 'AUH', 2179, '', 0, '345\r'),
	('EY', 2222, 'GVA', 1665, 'AUH', 2179, '', 0, '333\r'),
	('EY', 2222, 'HKG', 3077, 'AUH', 2179, 'Y', 0, '332\r'),
	('EY', 2222, 'HKG', 3077, 'BKK', 3885, 'Y', 0, '330\r'),
	('EY', 2222, 'HKG', 3077, 'BOM', 2997, '', 0, '777\r'),
	('EY', 2222, 'HKG', 3077, 'CGK', 3275, 'Y', 0, '330\r'),
	('EY', 2222, 'HKG', 3077, 'DEL', 3093, '', 0, '330 777\r'),
	('EY', 2222, 'HKT', 3179, 'AUH', 2179, 'Y', 0, '332\r'),
	('EY', 2222, 'HKT', 3179, 'BKK', 3885, 'Y', 0, '32S 320\r'),
	('EY', 2222, 'HRI', 8949, 'CMB', 3024, 'Y', 0, '32S\r'),
	('EY', 2222, 'HYD', 3141, 'AUH', 2179, '', 0, '320 737\r'),
	('EY', 2222, 'IAD', 3714, 'AUH', 2179, '', 0, '346\r'),
	('EY', 2222, 'ICN', 3930, 'AUH', 2179, '', 0, '345 346\r'),
	('EY', 2222, 'IKA', 4330, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'ISB', 2223, 'AUH', 2179, '', 0, '320 332 77W\r'),
	('EY', 2222, 'IST', 1701, 'AUH', 2179, '', 0, '333 737 332 320\r'),
	('EY', 2222, 'JAI', 3098, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'JED', 2072, 'AUH', 2179, '', 0, '77W\r'),
	('EY', 2222, 'JFK', 3797, 'AUH', 2179, '', 0, '77W\r'),
	('EY', 2222, 'JFK', 3797, 'CDG', 1382, 'Y', 0, '763 757\r'),
	('EY', 2222, 'JFK', 3797, 'LAS', 3877, 'Y', 0, '738\r'),
	('EY', 2222, 'JFK', 3797, 'MSY', 3861, 'Y', 0, 'E90 320\r'),
	('EY', 2222, 'JNB', 813, 'AUH', 2179, '', 0, '332\r'),
	('EY', 2222, 'KBV', 3174, 'BKK', 3885, 'Y', 0, '320 319\r'),
	('EY', 2222, 'KHI', 2206, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'KRT', 1175, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'KTM', 3125, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'KUL', 3304, 'AUH', 2179, '', 0, '332 77W\r'),
	('EY', 2222, 'KWI', 2176, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'LAS', 3877, 'JFK', 3797, 'Y', 0, '767 757\r'),
	('EY', 2222, 'LCA', 1197, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'LHE', 2207, 'AUH', 2179, '', 0, '77W 320 346 332 345\r'),
	('EY', 2222, 'LHR', 507, 'AUH', 2179, '', 0, '77W 346 345\r'),
	('EY', 2222, 'LIS', 1638, 'AGP', 1230, 'Y', 0, 'BE1\r'),
	('EY', 2222, 'LIS', 1638, 'AMS', 580, '', 0, '32S\r'),
	('EY', 2222, 'LIS', 1638, 'PXO', 1637, '', 0, '100 32S\r'),
	('EY', 2222, 'LOS', 273, 'AUH', 2179, '', 0, '332\r'),
	('EY', 2222, 'LPQ', 3115, 'BKK', 3885, 'Y', 0, 'AT7 319\r'),
	('EY', 2222, 'MAA', 3144, 'AUH', 2179, '', 0, '321 320\r'),
	('EY', 2222, 'MAN', 478, 'AUH', 2179, '', 0, '332 77W\r'),
	('EY', 2222, 'MCT', 2194, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'MDL', 3222, 'BKK', 3885, 'Y', 0, '320\r'),
	('EY', 2222, 'MED', 2074, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'MEL', 3339, 'AUH', 2179, '', 0, '77W\r'),
	('EY', 2222, 'MLE', 3156, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'MLE', 3156, 'HRI', 8949, 'Y', 0, '32S\r'),
	('EY', 2222, 'MNL', 2397, 'AUH', 2179, '', 0, '77W\r'),
	('EY', 2222, 'MRS', 1353, 'CDG', 1382, 'Y', 0, '319\r'),
	('EY', 2222, 'MSQ', 2954, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'MSY', 3861, 'JFK', 3797, 'Y', 0, 'E90 320\r'),
	('EY', 2222, 'MUC', 346, 'AUH', 2179, '', 0, '346 345 333\r'),
	('EY', 2222, 'MXP', 1524, 'AUH', 2179, '', 0, '332\r'),
	('EY', 2222, 'NBO', 4059, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'NGO', 3942, 'PEK', 3364, '', 0, '332\r'),
	('EY', 2222, 'NRT', 2279, 'AUH', 2179, '', 0, '332\r'),
	('EY', 2222, 'OPO', 1636, 'AMS', 580, 'Y', 0, '100 ERJ\r'),
	('EY', 2222, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'E75\r'),
	('EY', 2222, 'ORD', 3830, 'AUH', 2179, '', 0, '77W\r'),
	('EY', 2222, 'ORD', 3830, 'MSY', 3861, 'Y', 0, 'E75\r'),
	('EY', 2222, 'ORD', 3830, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('EY', 2222, 'ORD', 3830, 'YYZ', 193, 'Y', 0, 'EMJ\r'),
	('EY', 2222, 'OTP', 1657, 'FCO', 1555, 'Y', 0, '319\r'),
	('EY', 2222, 'PEK', 3364, 'AUH', 2179, '', 0, '332\r'),
	('EY', 2222, 'PEK', 3364, 'NGO', 3942, '', 0, '332\r'),
	('EY', 2222, 'PER', 3351, 'CGK', 3275, 'Y', 0, '737\r'),
	('EY', 2222, 'PEW', 2219, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'PVG', 3406, 'AUH', 2179, '', 0, '333\r'),
	('EY', 2222, 'PXO', 1637, 'LIS', 1638, '', 0, '100 32S\r'),
	('EY', 2222, 'RUH', 2082, 'AUH', 2179, '', 0, '320 333 332 77W\r'),
	('EY', 2222, 'SAH', 3980, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'SEZ', 994, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'SGN', 3205, 'AUH', 2179, '', 0, '333 332\r'),
	('EY', 2222, 'SIN', 3316, 'AUH', 2179, '', 0, '332\r'),
	('EY', 2222, 'SIN', 3316, 'BNE', 3320, '', 0, '332\r'),
	('EY', 2222, 'SYD', 3361, 'AUH', 2179, '', 0, '346 77W\r'),
	('EY', 2222, 'TRV', 3153, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'TSE', 2910, 'AUH', 2179, '', 0, '320\r'),
	('EY', 2222, 'TXL', 351, 'AUH', 2179, 'Y', 0, '332\r'),
	('EY', 2222, 'YUL', 146, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('EY', 2222, 'YYZ', 193, 'AUH', 2179, '', 0, '77W\r'),
	('EY', 2222, 'YYZ', 193, 'BRU', 302, '', 0, '330\r'),
	('EY', 2222, 'YYZ', 193, 'ORD', 3830, 'Y', 0, 'EMJ\r'),
	('EY', 2222, 'ZRH', 1678, 'FCO', 1555, 'Y', 0, 'EMJ\r'),
	('F2', 2409, 'ASV', 5692, 'WIL', 1147, '', 0, 'DH8\r'),
	('F2', 2409, 'JRO', 1180, 'WIL', 1147, '', 0, 'DH8\r'),
	('F2', 2409, 'LAU', 1144, 'WIL', 1147, '', 0, 'DH8\r'),
	('F2', 2409, 'MRE', 7424, 'WIL', 1147, '', 0, 'DH8\r'),
	('F2', 2409, 'NYK', 5695, 'UAS', 6773, '', 0, 'DH8\r'),
	('F2', 2409, 'NYK', 5695, 'WIL', 1147, '', 0, 'DH8\r'),
	('F2', 2409, 'UAS', 6773, 'NYK', 5695, '', 0, 'DH8\r'),
	('F2', 2409, 'UKA', 7976, 'WIL', 1147, '', 0, 'DH8\r'),
	('F2', 2409, 'WIL', 1147, 'JRO', 1180, '', 0, 'DH8\r'),
	('F2', 2409, 'WIL', 1147, 'LAU', 1144, '', 0, 'DH8\r'),
	('F2', 2409, 'WIL', 1147, 'MRE', 7424, '', 0, 'DH8\r'),
	('F2', 2409, 'WIL', 1147, 'NYK', 5695, '', 0, 'DH8\r'),
	('F2', 2409, 'WIL', 1147, 'UAS', 6773, '', 0, 'DH8\r'),
	('F2', 2409, 'WIL', 1147, 'UKA', 7976, '', 0, 'DH8\r'),
	('F5', 1910, 'CAB', 946, 'LAD', 951, '', 0, 'AT7\r'),
	('F5', 1910, 'LAD', 951, 'SSY', 944, '', 0, 'AT7\r'),
	('F5', 1910, 'LAD', 951, 'SZA', 958, '', 0, 'AT7\r'),
	('F5', 1910, 'SSY', 944, 'LAD', 951, '', 0, 'AT7\r'),
	('F5', 1910, 'SZA', 958, 'LAD', 951, '', 0, 'AT7\r'),
	('F7', 2420, 'AMS', 580, 'LEJ', 348, '', 0, 'S20\r'),
	('F7', 2420, 'BEG', 1739, 'GVA', 1665, '', 0, 'S20\r'),
	('F7', 2420, 'BOD', 1264, 'GVA', 1665, '', 0, 'AT7\r'),
	('F7', 2420, 'BZO', 1536, 'FCO', 1555, '', 0, 'S20\r'),
	('F7', 2420, 'CDG', 1382, 'LEJ', 348, '', 0, 'S20\r'),
	('F7', 2420, 'CTA', 1509, 'LMP', 1510, 'Y', 0, 'AT7\r'),
	('F7', 2420, 'FCO', 1555, 'BZO', 1536, '', 0, 'S20\r'),
	('F7', 2420, 'FCO', 1555, 'GVA', 1665, '', 0, 'AT7\r'),
	('F7', 2420, 'FLR', 1563, 'GVA', 1665, '', 0, 'S20\r'),
	('F7', 2420, 'FLR', 1563, 'ZRH', 1678, '', 0, 'S20\r'),
	('F7', 2420, 'GVA', 1665, 'BEG', 1739, '', 0, 'S20\r'),
	('F7', 2420, 'GVA', 1665, 'BOD', 1264, '', 0, 'AT7\r'),
	('F7', 2420, 'GVA', 1665, 'FCO', 1555, '', 0, 'AT7\r'),
	('F7', 2420, 'GVA', 1665, 'FLR', 1563, '', 0, 'S20\r'),
	('F7', 2420, 'GVA', 1665, 'LUG', 1675, '', 0, 'S20\r'),
	('F7', 2420, 'GVA', 1665, 'STR', 350, '', 0, 'S20\r'),
	('F7', 2420, 'GVA', 1665, 'TLS', 1273, '', 0, 'AT7\r'),
	('F7', 2420, 'GVA', 1665, 'VLC', 1246, '', 0, 'S20\r'),
	('F7', 2420, 'GVA', 1665, 'ZRH', 1678, '', 0, 'S20\r'),
	('F7', 2420, 'LEJ', 348, 'AMS', 580, '', 0, 'S20\r'),
	('F7', 2420, 'LEJ', 348, 'CDG', 1382, '', 0, 'S20\r'),
	('F7', 2420, 'LEJ', 348, 'ZRH', 1678, '', 0, 'S20\r'),
	('F7', 2420, 'LMP', 1510, 'CTA', 1509, 'Y', 0, 'AT7\r'),
	('F7', 2420, 'LMP', 1510, 'PMO', 1512, 'Y', 0, 'AT7\r'),
	('F7', 2420, 'LUG', 1675, 'GVA', 1665, '', 0, 'S20\r'),
	('F7', 2420, 'PMO', 1512, 'LMP', 1510, 'Y', 0, 'AT7\r'),
	('F7', 2420, 'PMO', 1512, 'PNL', 1511, '', 0, 'AT7\r'),
	('F7', 2420, 'PNL', 1511, 'PMO', 1512, '', 0, 'AT7\r'),
	('F7', 2420, 'PNL', 1511, 'TPS', 1515, '', 0, 'AT7\r'),
	('F7', 2420, 'STR', 350, 'GVA', 1665, '', 0, 'S20\r'),
	('F7', 2420, 'TLS', 1273, 'GVA', 1665, '', 0, 'AT7\r'),
	('F7', 2420, 'TPS', 1515, 'PNL', 1511, '', 0, 'AT7\r'),
	('F7', 2420, 'TRN', 1526, 'ZRH', 1678, '', 0, 'S20\r'),
	('F7', 2420, 'VLC', 1246, 'GVA', 1665, '', 0, 'S20\r'),
	('F7', 2420, 'ZRH', 1678, 'FLR', 1563, '', 0, 'S20\r'),
	('F7', 2420, 'ZRH', 1678, 'GVA', 1665, '', 0, 'S20\r'),
	('F7', 2420, 'ZRH', 1678, 'LEJ', 348, '', 0, 'S20\r'),
	('F7', 2420, 'ZRH', 1678, 'TRN', 1526, '', 0, 'S20\r'),
	('F9', 2468, 'AIA', 7067, 'CDR', 7066, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'ALS', 7073, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'ALS', 7073, 'FMN', 3743, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'ATL', 3682, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'ATL', 3682, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'ATY', 5721, 'PIR', 5761, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'AUS', 3673, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'BIS', 4083, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'BKG', 6962, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'BMI', 4037, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'BMI', 4037, 'MCO', 3878, '', 0, '319\r'),
	('F9', 2468, 'BNA', 3690, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'BNA', 3690, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'BZN', 4020, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'CDR', 7066, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'CID', 4043, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'CLE', 3486, 'CUN', 1852, '', 0, '320\r'),
	('F9', 2468, 'CLE', 3486, 'DEN', 3751, '', 0, '320\r'),
	('F9', 2468, 'CLE', 3486, 'PUJ', 1760, '', 0, '320\r'),
	('F9', 2468, 'CLE', 3486, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'CLT', 3876, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'CUN', 1852, 'CLE', 3486, '', 0, '320\r'),
	('F9', 2468, 'CUN', 1852, 'DEN', 3751, '', 0, '320\r'),
	('F9', 2468, 'CUN', 1852, 'MCI', 3458, '', 0, '319\r'),
	('F9', 2468, 'CUN', 1852, 'PHL', 3752, '', 0, '320\r'),
	('F9', 2468, 'CUN', 1852, 'PIT', 3570, '', 0, '320\r'),
	('F9', 2468, 'CUN', 1852, 'STL', 3678, '', 0, '320\r'),
	('F9', 2468, 'CVG', 3488, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'CVG', 3488, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'CYS', 3804, 'DEN', 3751, 'Y', 0, 'BEH BE1\r'),
	('F9', 2468, 'CYS', 3804, 'WRL', 5777, 'Y', 0, 'BEH BE1\r'),
	('F9', 2468, 'CZM', 1800, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'DCA', 3520, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'DDC', 5733, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'DDC', 5733, 'LBL', 4341, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'DEN', 3751, 'AIA', 7067, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'DEN', 3751, 'ALS', 7073, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'DEN', 3751, 'ATL', 3682, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'AUS', 3673, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'BIS', 4083, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'BKG', 6962, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'BMI', 4037, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'BNA', 3690, '', 0, '320 319\r'),
	('F9', 2468, 'DEN', 3751, 'BZN', 4020, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'CID', 4043, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'CLE', 3486, '', 0, '320\r'),
	('F9', 2468, 'DEN', 3751, 'CUN', 1852, '', 0, '320\r'),
	('F9', 2468, 'DEN', 3751, 'CVG', 3488, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'CYS', 3804, 'Y', 0, 'BEH BE1\r'),
	('F9', 2468, 'DEN', 3751, 'CZM', 1800, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'DCA', 3520, '', 0, '320 319\r'),
	('F9', 2468, 'DEN', 3751, 'DFW', 3670, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'DSM', 3729, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'DTW', 3645, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'EUG', 4099, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'FAR', 4292, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'FAT', 3687, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'FLL', 3533, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'FMN', 3743, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'DEN', 3751, 'FSD', 4009, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'GEG', 3467, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'GSO', 4008, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'IAH', 3550, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'ILG', 3859, '', 0, '320\r'),
	('F9', 2468, 'DEN', 3751, 'IND', 3585, '', 0, '320 319\r'),
	('F9', 2468, 'DEN', 3751, 'LAS', 3877, '', 0, '320 319\r'),
	('F9', 2468, 'DEN', 3751, 'LAX', 3484, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'LGA', 3697, '', 0, '320\r'),
	('F9', 2468, 'DEN', 3751, 'LIR', 1881, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'LIT', 3660, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'MCI', 3458, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'MCO', 3878, '', 0, '320 319\r'),
	('F9', 2468, 'DEN', 3751, 'MDT', 3542, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'MDW', 3747, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'MEM', 3473, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'MKE', 3717, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'MOT', 3498, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'MSN', 3459, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'MSP', 3858, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'MSY', 3861, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'OKC', 3863, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'OMA', 3454, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'PDX', 3720, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'PHF', 3633, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'PHX', 3462, '', 0, '320 319\r'),
	('F9', 2468, 'DEN', 3751, 'PIR', 5761, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'DEN', 3751, 'PSP', 3839, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'PVR', 1836, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'RSW', 3793, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'SAN', 3731, '', 0, '320 319\r'),
	('F9', 2468, 'DEN', 3751, 'SBA', 3949, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'SEA', 3577, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'SFO', 3469, '', 0, '320 319\r'),
	('F9', 2468, 'DEN', 3751, 'SJD', 1840, '', 0, '320\r'),
	('F9', 2468, 'DEN', 3751, 'SJO', 1885, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'SLC', 3536, '', 0, '319 320\r'),
	('F9', 2468, 'DEN', 3751, 'SNA', 3867, '', 0, '319\r'),
	('F9', 2468, 'DEN', 3751, 'STL', 3678, '', 0, '320 319\r'),
	('F9', 2468, 'DEN', 3751, 'TPA', 3646, '', 0, '320 319\r'),
	('F9', 2468, 'DEN', 3751, 'TYS', 3676, '', 0, '319\r'),
	('F9', 2468, 'DFW', 3670, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'DSM', 3729, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'DTW', 3645, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'DTW', 3645, 'ILG', 3859, '', 0, '320\r'),
	('F9', 2468, 'DTW', 3645, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'EUG', 4099, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'FAR', 4292, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'FAT', 3687, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'FLL', 3533, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'FLL', 3533, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'FMN', 3743, 'ALS', 7073, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'FMN', 3743, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'FMN', 3743, 'SOW', 7078, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'FSD', 4009, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'GEG', 3467, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'GSO', 4008, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'HON', 3491, 'PIR', 5761, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'IAH', 3550, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'IGM', 6132, 'PGA', 4124, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'ILG', 3859, 'DEN', 3751, '', 0, '320\r'),
	('F9', 2468, 'ILG', 3859, 'DTW', 3645, '', 0, '320\r'),
	('F9', 2468, 'ILG', 3859, 'MCO', 3878, '', 0, '320\r'),
	('F9', 2468, 'ILG', 3859, 'MDW', 3747, '', 0, '320\r'),
	('F9', 2468, 'ILG', 3859, 'RSW', 3793, '', 0, '320\r'),
	('F9', 2468, 'ILG', 3859, 'TPA', 3646, '', 0, '320\r'),
	('F9', 2468, 'IND', 3585, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'IND', 3585, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'LAS', 3877, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'LAX', 3484, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'LAX', 3484, 'IGM', 6132, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'LBL', 4341, 'DDC', 5733, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'LBL', 4341, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'LGA', 3697, 'DEN', 3751, '', 0, '320\r'),
	('F9', 2468, 'LIR', 1881, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'LIT', 3660, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'MBJ', 1780, 'ORD', 3830, '', 0, '320\r'),
	('F9', 2468, 'MBJ', 1780, 'STL', 3678, '', 0, '319\r'),
	('F9', 2468, 'MCI', 3458, 'CUN', 1852, '', 0, '319\r'),
	('F9', 2468, 'MCI', 3458, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'MCO', 3878, 'BMI', 4037, '', 0, '319\r'),
	('F9', 2468, 'MCO', 3878, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'MCO', 3878, 'ILG', 3859, '', 0, '320\r'),
	('F9', 2468, 'MCO', 3878, 'MDT', 3542, '', 0, '319\r'),
	('F9', 2468, 'MCO', 3878, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'MDT', 3542, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'MDT', 3542, 'MCO', 3878, '', 0, '319\r'),
	('F9', 2468, 'MDW', 3747, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'MDW', 3747, 'ILG', 3859, '', 0, '320\r'),
	('F9', 2468, 'MDW', 3747, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'MEM', 3473, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'MKE', 3717, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'MOT', 3498, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'MSN', 3459, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'MSP', 3858, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'MSY', 3861, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'OKC', 3863, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'OMA', 3454, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'ORD', 3830, 'MBJ', 1780, '', 0, '320\r'),
	('F9', 2468, 'ORD', 3830, 'PUJ', 1760, '', 0, '320\r'),
	('F9', 2468, 'ORD', 3830, 'PVR', 1836, '', 0, '320\r'),
	('F9', 2468, 'ORD', 3830, 'SJD', 1840, '', 0, '320\r'),
	('F9', 2468, 'PDX', 3720, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'PGA', 4124, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'PHF', 3633, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'PHL', 3752, 'CUN', 1852, '', 0, '320\r'),
	('F9', 2468, 'PHL', 3752, 'PUJ', 1760, '', 0, '320\r'),
	('F9', 2468, 'PHX', 3462, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'PHX', 3462, 'SOW', 7078, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'PIR', 5761, 'ATY', 5721, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'PIR', 5761, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'PIR', 5761, 'HON', 3491, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'PIT', 3570, 'CUN', 1852, '', 0, '320\r'),
	('F9', 2468, 'PIT', 3570, 'PUJ', 1760, '', 0, '320\r'),
	('F9', 2468, 'PSP', 3839, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'PUJ', 1760, 'CLE', 3486, '', 0, '320\r'),
	('F9', 2468, 'PUJ', 1760, 'ORD', 3830, '', 0, '320\r'),
	('F9', 2468, 'PUJ', 1760, 'PHL', 3752, '', 0, '320\r'),
	('F9', 2468, 'PUJ', 1760, 'PIT', 3570, '', 0, '320\r'),
	('F9', 2468, 'PUJ', 1760, 'STL', 3678, '', 0, '319\r'),
	('F9', 2468, 'PVR', 1836, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'PVR', 1836, 'ORD', 3830, '', 0, '320\r'),
	('F9', 2468, 'PVR', 1836, 'STL', 3678, '', 0, '319\r'),
	('F9', 2468, 'RDU', 3626, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'RSW', 3793, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'RSW', 3793, 'ILG', 3859, '', 0, '320\r'),
	('F9', 2468, 'RSW', 3793, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'SAN', 3731, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'SBA', 3949, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'SEA', 3577, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'SFO', 3469, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'SJD', 1840, 'DEN', 3751, '', 0, '320\r'),
	('F9', 2468, 'SJD', 1840, 'ORD', 3830, '', 0, '320\r'),
	('F9', 2468, 'SJO', 1885, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'SLC', 3536, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'SNA', 3867, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'SOW', 7078, 'FMN', 3743, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'SOW', 7078, 'PHX', 3462, 'Y', 0, 'BE1\r'),
	('F9', 2468, 'STL', 3678, 'CUN', 1852, '', 0, '320\r'),
	('F9', 2468, 'STL', 3678, 'DEN', 3751, '', 0, '320 319\r'),
	('F9', 2468, 'STL', 3678, 'MBJ', 1780, '', 0, '319\r'),
	('F9', 2468, 'STL', 3678, 'PUJ', 1760, '', 0, '319\r'),
	('F9', 2468, 'STL', 3678, 'PVR', 1836, '', 0, '319\r'),
	('F9', 2468, 'TPA', 3646, 'DEN', 3751, '', 0, '319 320\r'),
	('F9', 2468, 'TPA', 3646, 'ILG', 3859, '', 0, '320\r'),
	('F9', 2468, 'TPA', 3646, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'ATL', 3682, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'BNA', 3690, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'CLE', 3486, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'CLT', 3876, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'CVG', 3488, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'DTW', 3645, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'FLL', 3533, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'IND', 3585, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'MCO', 3878, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'MDW', 3747, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'RDU', 3626, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'RSW', 3793, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'TPA', 3646, '', 0, '319\r'),
	('F9', 2468, 'TTN', 3447, 'UST', 6989, '', 0, '319\r'),
	('F9', 2468, 'TYS', 3676, 'DEN', 3751, '', 0, '319\r'),
	('F9', 2468, 'UST', 6989, 'TTN', 3447, '', 0, '319\r'),
	('F9', 2468, 'WRL', 5777, 'CYS', 3804, 'Y', 0, 'BEH BE1\r'),
	('FB', 1548, 'AGP', 1230, 'SOF', 1194, '', 0, '320 319\r'),
	('FB', 1548, 'AMS', 580, 'SOF', 1194, '', 0, '320 E90 319\r'),
	('FB', 1548, 'ATH', 3941, 'SOF', 1194, '', 0, 'E90\r'),
	('FB', 1548, 'BCN', 1218, 'SOF', 1194, '', 0, '320 319\r'),
	('FB', 1548, 'BOJ', 1191, 'LED', 2948, '', 0, '320\r'),
	('FB', 1548, 'BOJ', 1191, 'SOF', 1194, '', 0, '320 E90\r'),
	('FB', 1548, 'BOJ', 1191, 'SVO', 2985, '', 0, '320\r'),
	('FB', 1548, 'BOJ', 1191, 'VAR', 1196, '', 0, 'E90\r'),
	('FB', 1548, 'BRU', 302, 'SOF', 1194, '', 0, 'E90 319\r'),
	('FB', 1548, 'CDG', 1382, 'SOF', 1194, '', 0, '319 E90\r'),
	('FB', 1548, 'FCO', 1555, 'SOF', 1194, '', 0, 'E90 319 320\r'),
	('FB', 1548, 'FRA', 340, 'SOF', 1194, '', 0, 'E90 319\r'),
	('FB', 1548, 'LCA', 1197, 'SOF', 1194, '', 0, 'E90\r'),
	('FB', 1548, 'LED', 2948, 'BOJ', 1191, '', 0, '320\r'),
	('FB', 1548, 'LHR', 507, 'SOF', 1194, '', 0, '320 319 E90\r'),
	('FB', 1548, 'MAD', 1229, 'SOF', 1194, '', 0, '319 320 E90\r'),
	('FB', 1548, 'MXP', 1524, 'SOF', 1194, '', 0, 'E90 319\r'),
	('FB', 1548, 'OTP', 1657, 'SOF', 1194, '', 0, 'AT5\r'),
	('FB', 1548, 'PFO', 1198, 'SOF', 1194, '', 0, 'E90\r'),
	('FB', 1548, 'PMI', 3998, 'SOF', 1194, '', 0, '320 E90\r'),
	('FB', 1548, 'PRG', 1587, 'SOF', 1194, '', 0, '319 E90\r'),
	('FB', 1548, 'SOF', 1194, 'AGP', 1230, '', 0, '320 319\r'),
	('FB', 1548, 'SOF', 1194, 'AMS', 580, '', 0, '320 E90 319\r'),
	('FB', 1548, 'SOF', 1194, 'ATH', 3941, '', 0, 'E90\r'),
	('FB', 1548, 'SOF', 1194, 'BCN', 1218, '', 0, '320 319\r'),
	('FB', 1548, 'SOF', 1194, 'BOJ', 1191, '', 0, 'E90 320\r'),
	('FB', 1548, 'SOF', 1194, 'BRU', 302, '', 0, 'E90 319\r'),
	('FB', 1548, 'SOF', 1194, 'CDG', 1382, '', 0, '319 E90\r'),
	('FB', 1548, 'SOF', 1194, 'FCO', 1555, '', 0, 'E90 319 320\r'),
	('FB', 1548, 'SOF', 1194, 'FRA', 340, '', 0, 'E90 319\r'),
	('FB', 1548, 'SOF', 1194, 'LCA', 1197, '', 0, 'E90\r'),
	('FB', 1548, 'SOF', 1194, 'LHR', 507, '', 0, '320 319 E90\r'),
	('FB', 1548, 'SOF', 1194, 'MAD', 1229, '', 0, '319 320 E90\r'),
	('FB', 1548, 'SOF', 1194, 'MXP', 1524, '', 0, 'E90 319\r'),
	('FB', 1548, 'SOF', 1194, 'OTP', 1657, '', 0, 'AT5\r'),
	('FB', 1548, 'SOF', 1194, 'PFO', 1198, '', 0, 'E90\r'),
	('FB', 1548, 'SOF', 1194, 'PMI', 3998, '', 0, '320 E90\r'),
	('FB', 1548, 'SOF', 1194, 'PRG', 1587, '', 0, '319 E90\r'),
	('FB', 1548, 'SOF', 1194, 'SVO', 2985, '', 0, '319\r'),
	('FB', 1548, 'SOF', 1194, 'TLV', 1590, '', 0, '319\r'),
	('FB', 1548, 'SOF', 1194, 'TXL', 351, '', 0, '319 E90\r'),
	('FB', 1548, 'SOF', 1194, 'VAR', 1196, '', 0, '320 E90 319\r'),
	('FB', 1548, 'SOF', 1194, 'VIE', 1613, '', 0, 'E90 319\r'),
	('FB', 1548, 'SOF', 1194, 'WAW', 679, '', 0, 'E75\r'),
	('FB', 1548, 'SOF', 1194, 'ZRH', 1678, '', 0, 'E90\r'),
	('FB', 1548, 'SVO', 2985, 'BOJ', 1191, '', 0, '320\r'),
	('FB', 1548, 'SVO', 2985, 'SOF', 1194, '', 0, '319\r'),
	('FB', 1548, 'SVO', 2985, 'VAR', 1196, '', 0, '320\r'),
	('FB', 1548, 'TLV', 1590, 'SOF', 1194, '', 0, '319\r'),
	('FB', 1548, 'TXL', 351, 'SOF', 1194, '', 0, '319 E90\r'),
	('FB', 1548, 'VAR', 1196, 'BOJ', 1191, '', 0, 'E90\r'),
	('FB', 1548, 'VAR', 1196, 'SOF', 1194, '', 0, 'E90 320 319\r'),
	('FB', 1548, 'VAR', 1196, 'SVO', 2985, '', 0, '320\r'),
	('FB', 1548, 'VIE', 1613, 'SOF', 1194, '', 0, 'E90 319\r'),
	('FB', 1548, 'WAW', 679, 'SOF', 1194, '', 0, 'E75\r'),
	('FB', 1548, 'ZRH', 1678, 'SOF', 1194, '', 0, 'E90\r'),
	('FD', 4947, 'CAN', 3370, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'CEI', 3932, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'CKG', 3393, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'CNX', 3931, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'CNX', 3931, 'HDY', 3181, '', 0, '320\r'),
	('FD', 4947, 'CNX', 3931, 'HGH', 3386, '', 0, '320\r'),
	('FD', 4947, 'CNX', 3931, 'HKG', 3077, '', 0, '320\r'),
	('FD', 4947, 'CNX', 3931, 'HKT', 3179, '', 0, '320\r'),
	('FD', 4947, 'CNX', 3931, 'KBV', 3174, '', 0, '320\r'),
	('FD', 4947, 'CNX', 3931, 'MFM', 3121, '', 0, '320\r'),
	('FD', 4947, 'CSX', 3371, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'CAN', 3370, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'CEI', 3932, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'CKG', 3393, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'CNX', 3931, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'CSX', 3371, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'DPS', 3940, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'HAN', 3199, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'HDY', 3181, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'HGH', 3386, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'HKG', 3077, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'HKT', 3179, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'KBV', 3174, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'KKC', 3938, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'KMG', 3382, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'KOP', 3936, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'KUL', 3304, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'MAA', 3144, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'MDL', 3222, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'MFM', 3121, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'NAW', 3173, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'NGB', 3387, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'NST', 3933, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'PEN', 3308, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'PHS', 3170, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'PNH', 3034, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'REP', 3035, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'RGN', 3239, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'SGN', 3205, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'SIN', 3316, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'SZX', 3374, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'TST', 3182, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'UBP', 3937, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'URT', 4000, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'UTH', 3183, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'WUH', 3376, '', 0, '320\r'),
	('FD', 4947, 'DMK', 3157, 'XIY', 3379, '', 0, '320\r'),
	('FD', 4947, 'DPS', 3940, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'HAN', 3199, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'HDY', 3181, 'CNX', 3931, '', 0, '320\r'),
	('FD', 4947, 'HDY', 3181, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'HGH', 3386, 'CNX', 3931, '', 0, '320\r'),
	('FD', 4947, 'HGH', 3386, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'HKG', 3077, 'CNX', 3931, '', 0, '320\r'),
	('FD', 4947, 'HKG', 3077, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'HKG', 3077, 'HKT', 3179, '', 0, '320\r'),
	('FD', 4947, 'HKT', 3179, 'CNX', 3931, '', 0, '320\r'),
	('FD', 4947, 'HKT', 3179, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'HKT', 3179, 'HKG', 3077, '', 0, '320\r'),
	('FD', 4947, 'HKT', 3179, 'SIN', 3316, '', 0, '320\r'),
	('FD', 4947, 'HKT', 3179, 'UTH', 3183, '', 0, '320\r'),
	('FD', 4947, 'KBV', 3174, 'CNX', 3931, '', 0, '320\r'),
	('FD', 4947, 'KBV', 3174, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'KBV', 3174, 'SIN', 3316, '', 0, '320\r'),
	('FD', 4947, 'KKC', 3938, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'KMG', 3382, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'KOP', 3936, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'KUL', 3304, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'MAA', 3144, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'MDL', 3222, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'MFM', 3121, 'CNX', 3931, '', 0, '320\r'),
	('FD', 4947, 'MFM', 3121, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'NAW', 3173, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'NGB', 3387, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'NST', 3933, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'PEN', 3308, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'PHS', 3170, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'PNH', 3034, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'REP', 3035, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'RGN', 3239, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'SGN', 3205, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'SIN', 3316, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'SIN', 3316, 'HKT', 3179, '', 0, '320\r'),
	('FD', 4947, 'SIN', 3316, 'KBV', 3174, '', 0, '320\r'),
	('FD', 4947, 'SZX', 3374, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'TST', 3182, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'UBP', 3937, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'URT', 4000, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'UTH', 3183, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'UTH', 3183, 'HKT', 3179, '', 0, '320\r'),
	('FD', 4947, 'WUH', 3376, 'DMK', 3157, '', 0, '320\r'),
	('FD', 4947, 'XIY', 3379, 'DMK', 3157, '', 0, '320\r'),
	('FE', 4044, 'CTU', 3395, 'KHH', 2264, '', 0, 'M83\r'),
	('FE', 4044, 'HFE', 3389, 'TPE', 2276, '', 0, 'M83\r'),
	('FE', 4044, 'INC', 4085, 'TPE', 2276, '', 0, 'M83\r'),
	('FE', 4044, 'KHH', 2264, 'CTU', 3395, '', 0, 'M83\r'),
	('FE', 4044, 'KHH', 2264, 'NNG', 3373, '', 0, 'M83\r'),
	('FE', 4044, 'KWE', 3394, 'TPE', 2276, '', 0, 'M83\r'),
	('FE', 4044, 'NNG', 3373, 'KHH', 2264, '', 0, 'M83\r'),
	('FE', 4044, 'NNG', 3373, 'TSA', 2275, '', 0, 'M83\r'),
	('FE', 4044, 'SJW', 6347, 'TPE', 2276, '', 0, 'M83\r'),
	('FE', 4044, 'TPE', 2276, 'HFE', 3389, '', 0, 'M83\r'),
	('FE', 4044, 'TPE', 2276, 'INC', 4085, '', 0, 'M83\r'),
	('FE', 4044, 'TPE', 2276, 'KWE', 3394, '', 0, 'M83\r'),
	('FE', 4044, 'TPE', 2276, 'SJW', 6347, '', 0, 'M83\r'),
	('FE', 4044, 'TSA', 2275, 'NNG', 3373, '', 0, 'M83\r'),
	('FE', 4044, 'TSA', 2275, 'TSN', 3368, '', 0, 'M83\r'),
	('FE', 4044, 'TSA', 2275, 'TYN', 3369, '', 0, 'M83\r'),
	('FE', 4044, 'TSN', 3368, 'TSA', 2275, '', 0, 'M83\r'),
	('FE', 4044, 'TYN', 3369, 'TSA', 2275, '', 0, 'M83\r'),
	('FG', 125, 'DEL', 3093, 'KBL', 2050, '', 0, '734\r'),
	('FG', 125, 'DEL', 3093, 'KDH', 2051, '', 0, '734\r'),
	('FG', 125, 'DXB', 2188, 'KBL', 2050, '', 0, '734\r'),
	('FG', 125, 'DXB', 2188, 'KDH', 2051, '', 0, '734\r'),
	('FG', 125, 'ESB', 1682, 'IST', 1701, '', 0, '734\r'),
	('FG', 125, 'GYD', 2922, 'KBL', 2050, '', 0, '734\r'),
	('FG', 125, 'GYD', 2922, 'SVO', 2985, '', 0, '734\r'),
	('FG', 125, 'HEA', 2048, 'KBL', 2050, '', 0, '734\r'),
	('FG', 125, 'JED', 2072, 'KWI', 2176, '', 0, '734\r'),
	('FG', 125, 'KBL', 2050, 'DEL', 3093, '', 0, '734\r'),
	('FG', 125, 'KBL', 2050, 'DXB', 2188, '', 0, '734\r'),
	('FG', 125, 'KBL', 2050, 'ESB', 1682, '', 0, '734\r'),
	('FG', 125, 'KBL', 2050, 'GYD', 2922, '', 0, '734\r'),
	('FG', 125, 'KBL', 2050, 'HEA', 2048, '', 0, '734\r'),
	('FG', 125, 'KBL', 2050, 'KDH', 2051, '', 0, '734\r'),
	('FG', 125, 'KBL', 2050, 'KWI', 2176, '', 0, '734\r'),
	('FG', 125, 'KDH', 2051, 'DEL', 3093, '', 0, '734\r'),
	('FG', 125, 'KDH', 2051, 'DXB', 2188, '', 0, '734\r'),
	('FG', 125, 'KDH', 2051, 'KBL', 2050, '', 0, '734\r'),
	('FG', 125, 'KWI', 2176, 'JED', 2072, '', 0, '734\r'),
	('FG', 125, 'KWI', 2176, 'KBL', 2050, '', 0, '734\r'),
	('FG', 125, 'SVO', 2985, 'GYD', 2922, '', 0, '734\r'),
	('FI', 2835, 'AMS', 580, 'KEF', 16, '', 0, '75W 75T\r'),
	('FI', 2835, 'ARN', 737, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'BGO', 636, 'SVG', 666, '', 0, '75W\r'),
	('FI', 2835, 'BGO', 636, 'TRD', 665, '', 0, '75W\r'),
	('FI', 2835, 'BLL', 608, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'BOS', 3448, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'BRU', 302, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'CDG', 1382, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'CPH', 609, 'KEF', 16, '', 0, '75T 75W\r'),
	('FI', 2835, 'DEN', 3751, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'EWR', 3494, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'FRA', 340, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'GLA', 534, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'HEL', 421, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'IAD', 3714, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'JFK', 3797, 'KEF', 16, '', 0, '75T\r'),
	('FI', 2835, 'KEF', 16, 'AMS', 580, '', 0, '75W 75T\r'),
	('FI', 2835, 'KEF', 16, 'ARN', 737, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'BGO', 636, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'BLL', 608, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'BOS', 3448, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'BRU', 302, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'CDG', 1382, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'CPH', 609, '', 0, '75T 75W\r'),
	('FI', 2835, 'KEF', 16, 'DEN', 3751, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'EWR', 3494, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'FRA', 340, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'GLA', 534, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'HEL', 421, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'IAD', 3714, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'JFK', 3797, '', 0, '75T\r'),
	('FI', 2835, 'KEF', 16, 'LGW', 502, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'LHR', 507, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'MAN', 478, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'MUC', 346, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'OSL', 644, '', 0, '75W 75T\r'),
	('FI', 2835, 'KEF', 16, 'SEA', 3577, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'SFB', 4167, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'YEG', 49, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'YYZ', 193, '', 0, '75W\r'),
	('FI', 2835, 'KEF', 16, 'ZRH', 1678, '', 0, '75W\r'),
	('FI', 2835, 'LGW', 502, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'LHR', 507, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'MAN', 478, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'MUC', 346, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'OSL', 644, 'KEF', 16, '', 0, '75W 75T\r'),
	('FI', 2835, 'SEA', 3577, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'SFB', 4167, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'SVG', 666, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'TRD', 665, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'YEG', 49, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'YYZ', 193, 'KEF', 16, '', 0, '75W\r'),
	('FI', 2835, 'ZRH', 1678, 'KEF', 16, '', 0, '75W\r'),
	('FJ', 879, 'AKL', 2006, 'NAN', 1960, '', 0, '73W 73H 332\r'),
	('FJ', 879, 'APW', 1969, 'HNL', 3728, '', 0, '73H\r'),
	('FJ', 879, 'APW', 1969, 'NAN', 1960, '', 0, '73H\r'),
	('FJ', 879, 'BNE', 3320, 'NAN', 1960, '', 0, '73H 73W\r'),
	('FJ', 879, 'CXI', 2252, 'HNL', 3728, '', 0, '73W\r'),
	('FJ', 879, 'CXI', 2252, 'NAN', 1960, '', 0, '73W\r'),
	('FJ', 879, 'FUN', 4077, 'SUV', 1961, '', 0, 'AT5\r'),
	('FJ', 879, 'HIR', 4074, 'VLI', 1997, '', 0, '73W\r'),
	('FJ', 879, 'HKG', 3077, 'NAN', 1960, '', 0, '332\r'),
	('FJ', 879, 'HNL', 3728, 'APW', 1969, '', 0, '73H\r'),
	('FJ', 879, 'HNL', 3728, 'CXI', 2252, '', 0, '73W\r'),
	('FJ', 879, 'HNL', 3728, 'NAN', 1960, '', 0, '73H\r'),
	('FJ', 879, 'ICI', 5867, 'SUV', 1961, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'KDV', 5869, 'NAN', 1960, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'KDV', 5869, 'SUV', 1961, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'LAX', 3484, 'NAN', 1960, '', 0, '332\r'),
	('FJ', 879, 'LBS', 5874, 'NAN', 1960, 'Y', 0, 'AT5\r'),
	('FJ', 879, 'LBS', 5874, 'SUV', 1961, 'Y', 0, 'AT5\r'),
	('FJ', 879, 'LKB', 5873, 'SUV', 1961, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'MEL', 3339, 'NAN', 1960, '', 0, '73H\r'),
	('FJ', 879, 'NAN', 1960, 'AKL', 2006, '', 0, '73H 332 73W\r'),
	('FJ', 879, 'NAN', 1960, 'APW', 1969, '', 0, '73H\r'),
	('FJ', 879, 'NAN', 1960, 'BNE', 3320, '', 0, '73H 73W\r'),
	('FJ', 879, 'NAN', 1960, 'CHC', 2009, '', 0, '73H\r'),
	('FJ', 879, 'NAN', 1960, 'CXI', 2252, '', 0, '73W\r'),
	('FJ', 879, 'NAN', 1960, 'HKG', 3077, '', 0, '332\r'),
	('FJ', 879, 'NAN', 1960, 'HNL', 3728, '', 0, '73H\r'),
	('FJ', 879, 'NAN', 1960, 'KDV', 5869, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'NAN', 1960, 'LAX', 3484, '', 0, '332\r'),
	('FJ', 879, 'NAN', 1960, 'LBS', 5874, 'Y', 0, 'AT5\r'),
	('FJ', 879, 'NAN', 1960, 'MEL', 3339, '', 0, '73H\r'),
	('FJ', 879, 'NAN', 1960, 'RTA', 5877, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'NAN', 1960, 'SUV', 1961, 'Y', 0, 'AT5\r'),
	('FJ', 879, 'NAN', 1960, 'SVU', 5878, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'NAN', 1960, 'SYD', 3361, '', 0, '332 73H\r'),
	('FJ', 879, 'NAN', 1960, 'TBU', 1963, '', 0, '73H 73W\r'),
	('FJ', 879, 'NAN', 1960, 'TRW', 1965, '', 0, '73H 73W\r'),
	('FJ', 879, 'NAN', 1960, 'TVU', 5875, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'NAN', 1960, 'VLI', 1997, '', 0, '73W AT5\r'),
	('FJ', 879, 'RTA', 5877, 'NAN', 1960, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'SUV', 1961, 'AKL', 2006, '', 0, '73W\r'),
	('FJ', 879, 'SUV', 1961, 'FUN', 4077, '', 0, 'AT5\r'),
	('FJ', 879, 'SUV', 1961, 'ICI', 5867, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'SUV', 1961, 'KDV', 5869, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'SUV', 1961, 'LBS', 5874, 'Y', 0, 'AT5\r'),
	('FJ', 879, 'SUV', 1961, 'LKB', 5873, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'SUV', 1961, 'NAN', 1960, 'Y', 0, 'AT5\r'),
	('FJ', 879, 'SUV', 1961, 'SVU', 5878, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'SUV', 1961, 'SYD', 3361, '', 0, '73W\r'),
	('FJ', 879, 'SUV', 1961, 'TBU', 1963, '', 0, 'AT5\r'),
	('FJ', 879, 'SUV', 1961, 'TVU', 5875, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'SUV', 1961, 'VBV', 5883, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'SVU', 5878, 'NAN', 1960, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'SVU', 5878, 'SUV', 1961, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'SVU', 5878, 'TVU', 5875, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'SYD', 3361, 'NAN', 1960, '', 0, '332 73H\r'),
	('FJ', 879, 'SYD', 3361, 'SUV', 1961, '', 0, '73W\r'),
	('FJ', 879, 'TBU', 1963, 'NAN', 1960, '', 0, '73H 73W\r'),
	('FJ', 879, 'TBU', 1963, 'SUV', 1961, '', 0, 'AT5\r'),
	('FJ', 879, 'TRW', 1965, 'NAN', 1960, '', 0, '73H 73W\r'),
	('FJ', 879, 'TVU', 5875, 'NAN', 1960, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'TVU', 5875, 'SUV', 1961, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'TVU', 5875, 'SVU', 5878, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'VBV', 5883, 'SUV', 1961, 'Y', 0, 'DHT\r'),
	('FJ', 879, 'VLI', 1997, 'HIR', 4074, '', 0, '73W\r'),
	('FJ', 879, 'VLI', 1997, 'NAN', 1960, '', 0, '73W AT5\r'),
	('FL', 1316, 'ABQ', 4019, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'ABQ', 4019, 'LAS', 3877, 'Y', 0, '73W\r'),
	('FL', 1316, 'ABQ', 4019, 'MCI', 3458, 'Y', 0, '73W\r'),
	('FL', 1316, 'ABQ', 4019, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'ABQ', 4019, 'PDX', 3720, 'Y', 0, '73W\r'),
	('FL', 1316, 'ALB', 3864, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'ALB', 3864, 'EWR', 3494, 'Y', 0, '73W\r'),
	('FL', 1316, 'ALB', 3864, 'FLL', 3533, 'Y', 0, '73W\r'),
	('FL', 1316, 'ALB', 3864, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'ALB', 3864, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'AMA', 3840, 'DAL', 3502, 'Y', 0, '735 73W\r'),
	('FL', 1316, 'AMA', 3840, 'DEN', 3751, 'Y', 0, '735\r'),
	('FL', 1316, 'AMA', 3840, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'ATL', 3682, 'AUA', 2895, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'AUS', 3673, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'BDL', 3825, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'BOS', 3448, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'BWI', 3849, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'CAK', 4112, '', 0, '717 \r'),
	('FL', 1316, 'ATL', 3682, 'CMH', 3759, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'CUN', 1852, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'DAY', 3627, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'DCA', 3520, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'DEN', 3751, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'DTW', 3645, '', 0, '717 73G\r'),
	('FL', 1316, 'ATL', 3682, 'FLL', 3533, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'HOU', 3566, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'IND', 3585, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'JAX', 3712, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'LAS', 3877, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'LAX', 3484, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'LGA', 3697, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'MBJ', 1780, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'MCI', 3458, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'MCO', 3878, '', 0, '717 73G\r'),
	('FL', 1316, 'ATL', 3682, 'MDW', 3747, '', 0, '73G 717\r'),
	('FL', 1316, 'ATL', 3682, 'MKE', 3717, '', 0, '717 73G\r'),
	('FL', 1316, 'ATL', 3682, 'MSP', 3858, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'MSY', 3861, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'NAS', 1953, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'OKC', 3863, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'ORF', 3611, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'PBI', 3722, 'Y', 0, '733 73W\r'),
	('FL', 1316, 'ATL', 3682, 'PHL', 3752, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'ATL', 3682, 'PIT', 3570, '', 0, '717 73G\r'),
	('FL', 1316, 'ATL', 3682, 'PUJ', 1760, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'RDU', 3626, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'RIC', 3608, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'RSW', 3793, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'SAN', 3731, 'Y', 0, '73W\r'),
	('FL', 1316, 'ATL', 3682, 'SAT', 3621, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'SDF', 4014, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'SFO', 3469, '', 0, '73G\r'),
	('FL', 1316, 'ATL', 3682, 'SJU', 2890, 'Y', 0, '73W\r'),
	('FL', 1316, 'ATL', 3682, 'STL', 3678, '', 0, '717\r'),
	('FL', 1316, 'ATL', 3682, 'TPA', 3646, '', 0, '717\r'),
	('FL', 1316, 'AUA', 2895, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'AUA', 2895, 'BWI', 3849, '', 0, '73G\r'),
	('FL', 1316, 'AUA', 2895, 'MCO', 3878, '', 0, '73G\r'),
	('FL', 1316, 'AUS', 3673, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'AUS', 3673, 'CUN', 1852, '', 0, '73G\r'),
	('FL', 1316, 'AUS', 3673, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'AUS', 3673, 'ELP', 3559, 'Y', 0, '73W\r'),
	('FL', 1316, 'AUS', 3673, 'HRL', 3560, 'Y', 0, '735\r'),
	('FL', 1316, 'AUS', 3673, 'MCO', 3878, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'AUS', 3673, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'AUS', 3673, 'OAK', 3453, 'Y', 0, '73W\r'),
	('FL', 1316, 'AUS', 3673, 'SJC', 3748, 'Y', 0, '73W\r'),
	('FL', 1316, 'AUS', 3673, 'SMF', 3817, 'Y', 0, '73W\r'),
	('FL', 1316, 'BDL', 3825, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'BDL', 3825, 'BWI', 3849, 'Y', 0, '733\r'),
	('FL', 1316, 'BDL', 3825, 'MCO', 3878, 'Y', 0, '73C\r'),
	('FL', 1316, 'BDL', 3825, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'BHM', 3811, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'BHM', 3811, 'DAL', 3502, 'Y', 0, '73W\r'),
	('FL', 1316, 'BHM', 3811, 'LAS', 3877, 'Y', 0, '73W\r'),
	('FL', 1316, 'BHM', 3811, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'BHM', 3811, 'TPA', 3646, 'Y', 0, '73C\r'),
	('FL', 1316, 'BNA', 3690, 'BWI', 3849, 'Y', 0, '738 73W\r'),
	('FL', 1316, 'BNA', 3690, 'CHS', 3806, 'Y', 0, '73W\r'),
	('FL', 1316, 'BNA', 3690, 'HOU', 3566, 'Y', 0, '735\r'),
	('FL', 1316, 'BNA', 3690, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'BNA', 3690, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'BNA', 3690, 'PIT', 3570, 'Y', 0, '73C\r'),
	('FL', 1316, 'BNA', 3690, 'PVD', 3641, '', 0, '733\r'),
	('FL', 1316, 'BNA', 3690, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'BOI', 3495, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'BOS', 3448, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'BOS', 3448, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'BOS', 3448, 'CAK', 4112, '', 0, '717\r'),
	('FL', 1316, 'BOS', 3448, 'MCO', 3878, '', 0, '717\r'),
	('FL', 1316, 'BOS', 3448, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'BUF', 3820, 'BWI', 3849, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'BUF', 3820, 'FLL', 3533, 'Y', 0, '73W\r'),
	('FL', 1316, 'BUF', 3820, 'MCO', 3878, 'Y', 0, '73C\r'),
	('FL', 1316, 'BUF', 3820, 'MDW', 3747, 'Y', 0, '73W 738 73H\r'),
	('FL', 1316, 'BUR', 3644, 'LAS', 3877, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'ABQ', 4019, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'ALB', 3864, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'BWI', 3849, 'AUA', 2895, '', 0, '73G\r'),
	('FL', 1316, 'BWI', 3849, 'AUS', 3673, 'Y', 0, '73C\r'),
	('FL', 1316, 'BWI', 3849, 'BDL', 3825, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'BNA', 3690, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'BOS', 3448, 'Y', 0, '73W 73C 733\r'),
	('FL', 1316, 'BWI', 3849, 'BUF', 3820, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'BWI', 3849, 'CLE', 3486, 'Y', 0, '733\r'),
	('FL', 1316, 'BWI', 3849, 'CLT', 3876, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'CMH', 3759, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'CUN', 1852, '', 0, '73G\r'),
	('FL', 1316, 'BWI', 3849, 'DAY', 3627, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'DTW', 3645, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'FLL', 3533, '', 0, '717\r'),
	('FL', 1316, 'BWI', 3849, 'FNT', 4089, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'IND', 3585, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'BWI', 3849, 'ISP', 3857, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'LAS', 3877, '', 0, '73G\r'),
	('FL', 1316, 'BWI', 3849, 'LAX', 3484, 'Y', 0, '738\r'),
	('FL', 1316, 'BWI', 3849, 'MBJ', 1780, '', 0, '73G\r'),
	('FL', 1316, 'BWI', 3849, 'MCO', 3878, '', 0, '717\r'),
	('FL', 1316, 'BWI', 3849, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'MEM', 3473, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'MHT', 4011, 'Y', 0, '73H 73W\r'),
	('FL', 1316, 'BWI', 3849, 'MSY', 3861, 'Y', 0, '733\r'),
	('FL', 1316, 'BWI', 3849, 'NAS', 1953, '', 0, '73G\r'),
	('FL', 1316, 'BWI', 3849, 'ORF', 3611, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'BWI', 3849, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'PIT', 3570, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'PUJ', 1760, '', 0, '73G\r'),
	('FL', 1316, 'BWI', 3849, 'PVD', 3641, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'BWI', 3849, 'PWM', 3862, 'Y', 0, '73C\r'),
	('FL', 1316, 'BWI', 3849, 'RDU', 3626, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'BWI', 3849, 'ROC', 3622, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'RSW', 3793, '', 0, '717\r'),
	('FL', 1316, 'BWI', 3849, 'SAN', 3731, 'Y', 0, '73H\r'),
	('FL', 1316, 'BWI', 3849, 'SAT', 3621, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'SDF', 4014, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'SJU', 2890, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'SLC', 3536, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'STL', 3678, 'Y', 0, '73W\r'),
	('FL', 1316, 'BWI', 3849, 'TPA', 3646, '', 0, '717\r'),
	('FL', 1316, 'CAK', 4112, 'ATL', 3682, '', 0, '717 \r'),
	('FL', 1316, 'CAK', 4112, 'BOS', 3448, '', 0, '717\r'),
	('FL', 1316, 'CAK', 4112, 'LGA', 3697, '', 0, '717\r'),
	('FL', 1316, 'CAK', 4112, 'MCO', 3878, '', 0, '717\r'),
	('FL', 1316, 'CAK', 4112, 'TPA', 3646, '', 0, '717\r'),
	('FL', 1316, 'CHS', 3806, 'BWI', 3849, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'CHS', 3806, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'CHS', 3806, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'CLE', 3486, 'DEN', 3751, '', 0, '73W\r'),
	('FL', 1316, 'CLE', 3486, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'CLT', 3876, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'CLT', 3876, 'MCO', 3878, 'Y', 0, '73W 733\r'),
	('FL', 1316, 'CLT', 3876, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'CMH', 3759, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'CMH', 3759, 'BWI', 3849, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'CMH', 3759, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'CMH', 3759, 'RNO', 3807, 'Y', 0, '73W\r'),
	('FL', 1316, 'CMH', 3759, 'STL', 3678, 'Y', 0, '73W\r'),
	('FL', 1316, 'CRP', 3744, 'LBB', 3829, 'Y', 0, '735\r'),
	('FL', 1316, 'CUN', 1852, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'CUN', 1852, 'AUS', 3673, '', 0, '73G\r'),
	('FL', 1316, 'CUN', 1852, 'BWI', 3849, '', 0, '73G\r'),
	('FL', 1316, 'CUN', 1852, 'DEN', 3751, '', 0, '73G\r'),
	('FL', 1316, 'CUN', 1852, 'MDW', 3747, '', 0, '73G\r'),
	('FL', 1316, 'CUN', 1852, 'MKE', 3717, '', 0, '73G\r'),
	('FL', 1316, 'CUN', 1852, 'SAT', 3621, '', 0, '73G\r'),
	('FL', 1316, 'DAL', 3502, 'AMA', 3840, 'Y', 0, '735\r'),
	('FL', 1316, 'DAL', 3502, 'AUS', 3673, 'Y', 0, '73W 735\r'),
	('FL', 1316, 'DAL', 3502, 'BHM', 3811, 'Y', 0, '73C\r'),
	('FL', 1316, 'DAL', 3502, 'HOU', 3566, '', 0, '73W\r'),
	('FL', 1316, 'DAL', 3502, 'LBB', 3829, 'Y', 0, '735 73C\r'),
	('FL', 1316, 'DAL', 3502, 'LIT', 3660, 'Y', 0, '733 73W\r'),
	('FL', 1316, 'DAL', 3502, 'MAF', 3652, 'Y', 0, '735 73W\r'),
	('FL', 1316, 'DAL', 3502, 'MCI', 3458, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'DAL', 3502, 'MSY', 3861, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'DAL', 3502, 'OKC', 3863, 'Y', 0, '73W\r'),
	('FL', 1316, 'DAL', 3502, 'SAT', 3621, 'Y', 0, '73C 73W 735\r'),
	('FL', 1316, 'DAL', 3502, 'SEA', 3577, 'Y', 0, '73W\r'),
	('FL', 1316, 'DAL', 3502, 'SFO', 3469, 'Y', 0, '73W\r'),
	('FL', 1316, 'DAL', 3502, 'SLC', 3536, 'Y', 0, '73C\r'),
	('FL', 1316, 'DAL', 3502, 'STL', 3678, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'DAY', 3627, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'DAY', 3627, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'DAY', 3627, 'TPA', 3646, '', 0, '717\r'),
	('FL', 1316, 'DCA', 3520, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'DCA', 3520, 'MKE', 3717, '', 0, '717\r'),
	('FL', 1316, 'DCA', 3520, 'RSW', 3793, '', 0, '717\r'),
	('FL', 1316, 'DEN', 3751, 'ABQ', 4019, '', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'AMA', 3840, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'DEN', 3751, 'BNA', 3690, 'Y', 0, '738\r'),
	('FL', 1316, 'DEN', 3751, 'BWI', 3849, 'Y', 0, '73H\r'),
	('FL', 1316, 'DEN', 3751, 'CMH', 3759, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'CUN', 1852, '', 0, '73G\r'),
	('FL', 1316, 'DEN', 3751, 'GEG', 3467, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'IND', 3585, 'Y', 0, '73C\r'),
	('FL', 1316, 'DEN', 3751, 'LAS', 3877, 'Y', 0, '73C 73W 73H\r'),
	('FL', 1316, 'DEN', 3751, 'LAX', 3484, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'DEN', 3751, 'MCI', 3458, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'MKE', 3717, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'MSP', 3858, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'DEN', 3751, 'MSY', 3861, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'OKC', 3863, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'OMA', 3454, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'ONT', 3734, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'ORF', 3611, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'SAN', 3731, 'Y', 0, '73C\r'),
	('FL', 1316, 'DEN', 3751, 'SAT', 3621, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'DEN', 3751, 'SJD', 1840, '', 0, '73G\r'),
	('FL', 1316, 'DEN', 3751, 'SLC', 3536, 'Y', 0, '73W 733\r'),
	('FL', 1316, 'DEN', 3751, 'SMF', 3817, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'SNA', 3867, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'DEN', 3751, 'TUS', 3636, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'DFW', 3670, 'AUS', 3673, 'Y', 0, 'M83\r'),
	('FL', 1316, 'DSM', 3729, 'MDW', 3747, 'Y', 0, '733\r'),
	('FL', 1316, 'DSM', 3729, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'DTW', 3645, 'ATL', 3682, '', 0, '717 73G\r'),
	('FL', 1316, 'DTW', 3645, 'BWI', 3849, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'DTW', 3645, 'LAX', 3484, 'Y', 0, '73W\r'),
	('FL', 1316, 'DTW', 3645, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'ELP', 3559, 'LAX', 3484, 'Y', 0, '73W\r'),
	('FL', 1316, 'ELP', 3559, 'PHL', 3752, 'Y', 0, '73W\r'),
	('FL', 1316, 'ELP', 3559, 'SAT', 3621, 'Y', 0, '73C\r'),
	('FL', 1316, 'EWR', 3494, 'BNA', 3690, 'Y', 0, '73W\r'),
	('FL', 1316, 'EWR', 3494, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'EWR', 3494, 'MSY', 3861, 'Y', 0, '73W\r'),
	('FL', 1316, 'EYW', 3875, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'FLL', 3533, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'FLL', 3533, 'AUS', 3673, 'Y', 0, '73W\r'),
	('FL', 1316, 'FLL', 3533, 'BWI', 3849, '', 0, '717\r'),
	('FL', 1316, 'FLL', 3533, 'HOU', 3566, 'Y', 0, '73W\r'),
	('FL', 1316, 'FLL', 3533, 'MKE', 3717, 'Y', 0, '73W\r'),
	('FL', 1316, 'FLL', 3533, 'MSY', 3861, 'Y', 0, '73C\r'),
	('FL', 1316, 'FLL', 3533, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'FLL', 3533, 'SFO', 3469, 'Y', 0, '73W\r'),
	('FL', 1316, 'FLL', 3533, 'SJU', 2890, 'Y', 0, '73W\r'),
	('FL', 1316, 'FLL', 3533, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'FNT', 4089, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'FNT', 4089, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'FNT', 4089, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'GEG', 3467, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'GRR', 3685, 'STL', 3678, 'Y', 0, '73C\r'),
	('FL', 1316, 'GSP', 4034, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'HOU', 3566, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'HOU', 3566, 'AUS', 3673, 'Y', 0, '735\r'),
	('FL', 1316, 'HOU', 3566, 'BWI', 3849, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'HOU', 3566, 'CHS', 3806, 'Y', 0, '73W\r'),
	('FL', 1316, 'HOU', 3566, 'CLT', 3876, 'Y', 0, '733\r'),
	('FL', 1316, 'HOU', 3566, 'CRP', 3744, 'Y', 0, '735\r'),
	('FL', 1316, 'HOU', 3566, 'DAL', 3502, 'Y', 0, '735 73W 73C 733\r'),
	('FL', 1316, 'HOU', 3566, 'DEN', 3751, 'Y', 0, '73H\r'),
	('FL', 1316, 'HOU', 3566, 'GSP', 4034, 'Y', 0, '73W\r'),
	('FL', 1316, 'HOU', 3566, 'HRL', 3560, 'Y', 0, '735 733\r'),
	('FL', 1316, 'HOU', 3566, 'ISP', 3857, 'Y', 0, '73W\r'),
	('FL', 1316, 'HOU', 3566, 'LAS', 3877, 'Y', 0, '73H\r'),
	('FL', 1316, 'HOU', 3566, 'LAX', 3484, '', 0, '73W\r'),
	('FL', 1316, 'HOU', 3566, 'LIT', 3660, 'Y', 0, '735\r'),
	('FL', 1316, 'HOU', 3566, 'MCI', 3458, 'Y', 0, '73W 733\r'),
	('FL', 1316, 'HOU', 3566, 'MCO', 3878, 'Y', 0, '733\r'),
	('FL', 1316, 'HOU', 3566, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'HOU', 3566, 'MSY', 3861, 'Y', 0, '735 73W 73C 733\r'),
	('FL', 1316, 'HOU', 3566, 'OKC', 3863, 'Y', 0, '73W\r'),
	('FL', 1316, 'HOU', 3566, 'PHX', 3462, 'Y', 0, '738 73W\r'),
	('FL', 1316, 'HOU', 3566, 'PVD', 3641, 'Y', 0, '73H\r'),
	('FL', 1316, 'HOU', 3566, 'RDU', 3626, 'Y', 0, '733\r'),
	('FL', 1316, 'HOU', 3566, 'SAT', 3621, '', 1, '735\r'),
	('FL', 1316, 'HOU', 3566, 'SNA', 3867, 'Y', 0, '73W\r'),
	('FL', 1316, 'HOU', 3566, 'TPA', 3646, 'Y', 0, '73C\r'),
	('FL', 1316, 'HOU', 3566, 'TUL', 3855, 'Y', 0, '73W\r'),
	('FL', 1316, 'HRL', 3560, 'HOU', 3566, 'Y', 0, '735 733\r'),
	('FL', 1316, 'HRL', 3560, 'MAF', 3652, 'Y', 0, '735\r'),
	('FL', 1316, 'IAD', 3714, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'IAD', 3714, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'IAD', 3714, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'ICT', 3457, 'DAL', 3502, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'ICT', 3457, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'IND', 3585, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'IND', 3585, 'BWI', 3849, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'IND', 3585, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'IND', 3585, 'LAS', 3877, 'Y', 0, '73W\r'),
	('FL', 1316, 'IND', 3585, 'MCI', 3458, 'Y', 0, '73C\r'),
	('FL', 1316, 'IND', 3585, 'MCO', 3878, '', 0, '717\r'),
	('FL', 1316, 'IND', 3585, 'TPA', 3646, '', 0, '717\r'),
	('FL', 1316, 'ISP', 3857, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'ISP', 3857, 'FLL', 3533, 'Y', 0, '73W\r'),
	('FL', 1316, 'ISP', 3857, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'ISP', 3857, 'SNA', 3867, 'Y', 0, '73W\r'),
	('FL', 1316, 'ISP', 3857, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'JAN', 3580, 'HOU', 3566, 'Y', 0, '73W\r'),
	('FL', 1316, 'JAN', 3580, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'JAX', 3712, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'JAX', 3712, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAS', 3877, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'LAS', 3877, 'AUS', 3673, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAS', 3877, 'BUR', 3644, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAS', 3877, 'BWI', 3849, '', 0, '73G\r'),
	('FL', 1316, 'LAS', 3877, 'DEN', 3751, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'LAS', 3877, 'HOU', 3566, 'Y', 0, '73H\r'),
	('FL', 1316, 'LAS', 3877, 'IND', 3585, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'LAS', 3877, 'LAX', 3484, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAS', 3877, 'MDW', 3747, 'Y', 0, '73H 73W\r'),
	('FL', 1316, 'LAS', 3877, 'MKE', 3717, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAS', 3877, 'OAK', 3453, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAS', 3877, 'PHX', 3462, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'LAS', 3877, 'PVD', 3641, 'Y', 0, '73W 738\r'),
	('FL', 1316, 'LAS', 3877, 'RDU', 3626, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAS', 3877, 'RNO', 3807, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAS', 3877, 'SAN', 3731, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAS', 3877, 'SAT', 3621, 'Y', 0, '73W 733\r'),
	('FL', 1316, 'LAS', 3877, 'SEA', 3577, 'Y', 0, '73C\r'),
	('FL', 1316, 'LAS', 3877, 'SLC', 3536, 'Y', 0, '73C\r'),
	('FL', 1316, 'LAS', 3877, 'SMF', 3817, 'Y', 0, '73C 73H\r'),
	('FL', 1316, 'LAS', 3877, 'SNA', 3867, '', 0, '73G\r'),
	('FL', 1316, 'LAS', 3877, 'TPA', 3646, 'Y', 0, '73H\r'),
	('FL', 1316, 'LAS', 3877, 'TUS', 3636, 'Y', 0, '73C\r'),
	('FL', 1316, 'LAX', 3484, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'LAX', 3484, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAX', 3484, 'HOU', 3566, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAX', 3484, 'LAS', 3877, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAX', 3484, 'MDW', 3747, 'Y', 0, '73H 738\r'),
	('FL', 1316, 'LAX', 3484, 'MKE', 3717, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAX', 3484, 'OAK', 3453, '', 0, '73W\r'),
	('FL', 1316, 'LAX', 3484, 'PWM', 3862, 'Y', 0, '73W\r'),
	('FL', 1316, 'LAX', 3484, 'RNO', 3807, 'Y', 0, '73W\r'),
	('FL', 1316, 'LBB', 3829, 'DAL', 3502, 'Y', 0, '735\r'),
	('FL', 1316, 'LBB', 3829, 'HRL', 3560, 'Y', 0, '735\r'),
	('FL', 1316, 'LBB', 3829, 'LAS', 3877, 'Y', 0, '73C\r'),
	('FL', 1316, 'LGA', 3697, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'LGA', 3697, 'CAK', 4112, '', 0, '717\r'),
	('FL', 1316, 'LGA', 3697, 'MDW', 3747, 'Y', 0, '73H 73W\r'),
	('FL', 1316, 'LIT', 3660, 'BWI', 3849, 'Y', 0, '73W 733\r'),
	('FL', 1316, 'LIT', 3660, 'DAL', 3502, 'Y', 0, '73W\r'),
	('FL', 1316, 'LIT', 3660, 'STL', 3678, 'Y', 0, '73W\r'),
	('FL', 1316, 'MAF', 3652, 'DAL', 3502, 'Y', 0, '735 73W\r'),
	('FL', 1316, 'MBJ', 1780, 'ATL', 3682, '', 0, '73G \r'),
	('FL', 1316, 'MBJ', 1780, 'BWI', 3849, '', 0, '73G\r'),
	('FL', 1316, 'MBJ', 1780, 'MCO', 3878, '', 0, '73G\r'),
	('FL', 1316, 'MBJ', 1780, 'MDW', 3747, '', 0, '73G\r'),
	('FL', 1316, 'MCI', 3458, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'MCI', 3458, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCI', 3458, 'DAL', 3502, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCI', 3458, 'DEN', 3751, 'Y', 0, '738 73C 73W\r'),
	('FL', 1316, 'MCI', 3458, 'IND', 3585, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'MCI', 3458, 'LAS', 3877, 'Y', 0, '73H\r'),
	('FL', 1316, 'MCI', 3458, 'LAX', 3484, 'Y', 0, '73C\r'),
	('FL', 1316, 'MCI', 3458, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCI', 3458, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCI', 3458, 'MKE', 3717, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCI', 3458, 'MSP', 3858, 'Y', 0, '73C\r'),
	('FL', 1316, 'MCI', 3458, 'MSY', 3861, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCI', 3458, 'PDX', 3720, 'Y', 0, '733\r'),
	('FL', 1316, 'MCI', 3458, 'PHL', 3752, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCI', 3458, 'SEA', 3577, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCI', 3458, 'SFO', 3469, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCI', 3458, 'STL', 3678, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCI', 3458, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'ALB', 3864, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'ATL', 3682, '', 0, '717 73G\r'),
	('FL', 1316, 'MCO', 3878, 'AUA', 2895, '', 0, '73G\r'),
	('FL', 1316, 'MCO', 3878, 'AUS', 3673, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'BDL', 3825, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'MCO', 3878, 'BHM', 3811, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'BNA', 3690, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'BOS', 3448, '', 0, '717\r'),
	('FL', 1316, 'MCO', 3878, 'BUF', 3820, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'BWI', 3849, '', 0, '717\r'),
	('FL', 1316, 'MCO', 3878, 'CAK', 4112, '', 0, '717\r'),
	('FL', 1316, 'MCO', 3878, 'CLT', 3876, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'DEN', 3751, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'MCO', 3878, 'HOU', 3566, '', 1, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'IND', 3585, '', 0, '717\r'),
	('FL', 1316, 'MCO', 3878, 'ISP', 3857, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'JAN', 3580, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'MBJ', 1780, '', 0, '73G\r'),
	('FL', 1316, 'MCO', 3878, 'MDW', 3747, '', 0, '717\r'),
	('FL', 1316, 'MCO', 3878, 'MEM', 3473, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'MCO', 3878, 'MKE', 3717, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'MSP', 3858, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'MCO', 3878, 'MSY', 3861, 'Y', 0, '73W 73C 733\r'),
	('FL', 1316, 'MCO', 3878, 'ORF', 3611, '', 1, '717\r'),
	('FL', 1316, 'MCO', 3878, 'PHL', 3752, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'PHX', 3462, 'Y', 0, '73C 738\r'),
	('FL', 1316, 'MCO', 3878, 'PIT', 3570, '', 0, '717\r'),
	('FL', 1316, 'MCO', 3878, 'PVD', 3641, 'Y', 0, '73W 733\r'),
	('FL', 1316, 'MCO', 3878, 'RDU', 3626, 'Y', 0, '73C\r'),
	('FL', 1316, 'MCO', 3878, 'SAT', 3621, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'SDF', 4014, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'SJU', 2890, 'Y', 0, '73W\r'),
	('FL', 1316, 'MCO', 3878, 'STL', 3678, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'MDW', 3747, 'ABQ', 4019, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'ALB', 3864, 'Y', 0, '73H\r'),
	('FL', 1316, 'MDW', 3747, 'ATL', 3682, '', 0, '73G 717 \r'),
	('FL', 1316, 'MDW', 3747, 'AUS', 3673, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'BDL', 3825, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'BHM', 3811, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'BNA', 3690, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'BOS', 3448, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'BUF', 3820, 'Y', 0, '73W 738\r'),
	('FL', 1316, 'MDW', 3747, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'CHS', 3806, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'CLE', 3486, '', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'CLT', 3876, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'CMH', 3759, 'Y', 0, '73C 73W 73H\r'),
	('FL', 1316, 'MDW', 3747, 'CUN', 1852, '', 0, '73G\r'),
	('FL', 1316, 'MDW', 3747, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'DSM', 3729, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'DTW', 3645, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'EWR', 3494, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'GSP', 4034, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'HOU', 3566, 'Y', 0, '73H 73W\r'),
	('FL', 1316, 'MDW', 3747, 'IAD', 3714, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'ICT', 3457, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'JAN', 3580, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'LAS', 3877, 'Y', 0, '73W 738\r'),
	('FL', 1316, 'MDW', 3747, 'LAX', 3484, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'MDW', 3747, 'LGA', 3697, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'LIT', 3660, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'MBJ', 1780, '', 0, '73G\r'),
	('FL', 1316, 'MDW', 3747, 'MCI', 3458, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'MCO', 3878, '', 0, '717 73G\r'),
	('FL', 1316, 'MDW', 3747, 'MEM', 3473, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'MHT', 4011, 'Y', 0, '73H\r'),
	('FL', 1316, 'MDW', 3747, 'MSP', 3858, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'MSY', 3861, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'OAK', 3453, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'OKC', 3863, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'OMA', 3454, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'ONT', 3734, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'ORF', 3611, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'PDX', 3720, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'MDW', 3747, 'PHL', 3752, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'MDW', 3747, 'PHX', 3462, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'MDW', 3747, 'PIT', 3570, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'MDW', 3747, 'PUJ', 1760, '', 0, '73G\r'),
	('FL', 1316, 'MDW', 3747, 'PVD', 3641, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'RDU', 3626, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'ROC', 3622, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'RSW', 3793, '', 0, '717\r'),
	('FL', 1316, 'MDW', 3747, 'SAN', 3731, 'Y', 0, '73H 73W 738\r'),
	('FL', 1316, 'MDW', 3747, 'SAT', 3621, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'SDF', 4014, 'Y', 0, '73W 733\r'),
	('FL', 1316, 'MDW', 3747, 'SEA', 3577, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'MDW', 3747, 'SFO', 3469, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'SJC', 3748, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'SLC', 3536, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'SMF', 3817, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'STL', 3678, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'MDW', 3747, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'TUL', 3855, 'Y', 0, '73W\r'),
	('FL', 1316, 'MDW', 3747, 'TUS', 3636, 'Y', 0, '73W\r'),
	('FL', 1316, 'MEM', 3473, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'MEM', 3473, 'HOU', 3566, 'Y', 0, '733\r'),
	('FL', 1316, 'MEM', 3473, 'LAS', 3877, 'Y', 0, '73C\r'),
	('FL', 1316, 'MEM', 3473, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'MEM', 3473, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'MEM', 3473, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'MEX', 1824, 'SAT', 3621, '', 0, '73G\r'),
	('FL', 1316, 'MEX', 1824, 'SNA', 3867, '', 0, '73G\r'),
	('FL', 1316, 'MHT', 4011, 'BWI', 3849, 'Y', 0, '73H 73W\r'),
	('FL', 1316, 'MHT', 4011, 'MDW', 3747, 'Y', 0, '73H 73W\r'),
	('FL', 1316, 'MHT', 4011, 'MSP', 3858, 'Y', 0, '73H\r'),
	('FL', 1316, 'MHT', 4011, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'ATL', 3682, '', 0, '717 73G\r'),
	('FL', 1316, 'MKE', 3717, 'BOS', 3448, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'BWI', 3849, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'MKE', 3717, 'CUN', 1852, '', 0, '73G\r'),
	('FL', 1316, 'MKE', 3717, 'DCA', 3520, '', 0, '717\r'),
	('FL', 1316, 'MKE', 3717, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'FLL', 3533, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'LAS', 3877, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'LAX', 3484, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'MCI', 3458, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'MSP', 3858, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'MSY', 3861, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'MKE', 3717, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'RSW', 3793, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'SEA', 3577, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'SFO', 3469, 'Y', 0, '73W\r'),
	('FL', 1316, 'MKE', 3717, 'STL', 3678, 'Y', 0, '73C\r'),
	('FL', 1316, 'MKE', 3717, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSP', 3858, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'MSP', 3858, 'DEN', 3751, 'Y', 0, '73C\r'),
	('FL', 1316, 'MSP', 3858, 'MCI', 3458, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'MSP', 3858, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSP', 3858, 'MDW', 3747, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'MSP', 3858, 'MKE', 3717, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'MSP', 3858, 'OAK', 3453, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSP', 3858, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSP', 3858, 'STL', 3678, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSY', 3861, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'MSY', 3861, 'AUS', 3673, 'Y', 0, '73C\r'),
	('FL', 1316, 'MSY', 3861, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSY', 3861, 'DAL', 3502, 'Y', 0, '73W 73C 733\r'),
	('FL', 1316, 'MSY', 3861, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSY', 3861, 'EWR', 3494, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSY', 3861, 'EYW', 3875, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSY', 3861, 'FLL', 3533, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'MSY', 3861, 'HOU', 3566, 'Y', 0, '735 73W 73C\r'),
	('FL', 1316, 'MSY', 3861, 'LAS', 3877, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSY', 3861, 'MCI', 3458, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSY', 3861, 'MCO', 3878, 'Y', 0, '733 73W 73C\r'),
	('FL', 1316, 'MSY', 3861, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSY', 3861, 'MKE', 3717, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSY', 3861, 'SAN', 3731, 'Y', 0, '73W\r'),
	('FL', 1316, 'MSY', 3861, 'STL', 3678, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'MSY', 3861, 'TPA', 3646, 'Y', 0, '73C 73W 733\r'),
	('FL', 1316, 'NAS', 1953, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'NAS', 1953, 'BWI', 3849, '', 0, '73G\r'),
	('FL', 1316, 'OAK', 3453, 'CMH', 3759, 'Y', 0, '73W\r'),
	('FL', 1316, 'OAK', 3453, 'DEN', 3751, '', 0, '73W\r'),
	('FL', 1316, 'OAK', 3453, 'LAS', 3877, 'Y', 0, '73C 73W 73H\r'),
	('FL', 1316, 'OAK', 3453, 'LAX', 3484, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'OAK', 3453, 'MDW', 3747, 'Y', 0, '73H\r'),
	('FL', 1316, 'OAK', 3453, 'OKC', 3863, 'Y', 0, '73W\r'),
	('FL', 1316, 'OAK', 3453, 'SNA', 3867, 'Y', 0, '73W\r'),
	('FL', 1316, 'OKC', 3863, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'OKC', 3863, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'OKC', 3863, 'DAL', 3502, 'Y', 0, '73W 733 73C\r'),
	('FL', 1316, 'OKC', 3863, 'DEN', 3751, 'Y', 0, '73C\r'),
	('FL', 1316, 'OKC', 3863, 'HOU', 3566, 'Y', 0, '733 73W\r'),
	('FL', 1316, 'OKC', 3863, 'LAS', 3877, 'Y', 0, '73C\r'),
	('FL', 1316, 'OKC', 3863, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'OKC', 3863, 'STL', 3678, 'Y', 0, '73W\r'),
	('FL', 1316, 'OMA', 3454, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'OMA', 3454, 'SAN', 3731, 'Y', 0, '73W\r'),
	('FL', 1316, 'OMA', 3454, 'STL', 3678, 'Y', 0, '73W\r'),
	('FL', 1316, 'ONT', 3734, 'DEN', 3751, 'Y', 0, '73C\r'),
	('FL', 1316, 'ONT', 3734, 'LAS', 3877, 'Y', 0, '73H 73W\r'),
	('FL', 1316, 'ORF', 3611, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'ORF', 3611, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'ORF', 3611, 'MCO', 3878, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'ORF', 3611, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'PBI', 3722, 'ATL', 3682, 'Y', 0, '73W 733\r'),
	('FL', 1316, 'PDX', 3720, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'PDX', 3720, 'MDW', 3747, 'Y', 0, '73H\r'),
	('FL', 1316, 'PDX', 3720, 'OAK', 3453, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'PDX', 3720, 'OKC', 3863, 'Y', 0, '733\r'),
	('FL', 1316, 'PHL', 3752, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'PHL', 3752, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'PHL', 3752, 'FLL', 3533, 'Y', 0, '73W\r'),
	('FL', 1316, 'PHL', 3752, 'ICT', 3457, 'Y', 0, '73C\r'),
	('FL', 1316, 'PHL', 3752, 'MCO', 3878, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'PHL', 3752, 'MDW', 3747, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'PHL', 3752, 'PHX', 3462, 'Y', 0, '73H\r'),
	('FL', 1316, 'PHX', 3462, 'ABQ', 4019, 'Y', 0, '73W\r'),
	('FL', 1316, 'PHX', 3462, 'ATL', 3682, 'Y', 0, '73W\r'),
	('FL', 1316, 'PHX', 3462, 'DEN', 3751, 'Y', 0, '73H 73W 73C\r'),
	('FL', 1316, 'PHX', 3462, 'FLL', 3533, 'Y', 0, '73W\r'),
	('FL', 1316, 'PHX', 3462, 'HOU', 3566, 'Y', 0, '73H 73W\r'),
	('FL', 1316, 'PHX', 3462, 'LAS', 3877, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'PHX', 3462, 'OAK', 3453, 'Y', 0, '738\r'),
	('FL', 1316, 'PHX', 3462, 'ONT', 3734, 'Y', 0, '73W\r'),
	('FL', 1316, 'PHX', 3462, 'PDX', 3720, 'Y', 0, '73W\r'),
	('FL', 1316, 'PHX', 3462, 'PHL', 3752, 'Y', 0, '73W\r'),
	('FL', 1316, 'PHX', 3462, 'SAN', 3731, 'Y', 0, '73W\r'),
	('FL', 1316, 'PHX', 3462, 'SJC', 3748, 'Y', 0, '73W\r'),
	('FL', 1316, 'PHX', 3462, 'SNA', 3867, 'Y', 0, '73W\r'),
	('FL', 1316, 'PIT', 3570, 'ATL', 3682, '', 0, '717 73G\r'),
	('FL', 1316, 'PIT', 3570, 'BWI', 3849, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'PIT', 3570, 'MCO', 3878, '', 0, '717\r'),
	('FL', 1316, 'PIT', 3570, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'PIT', 3570, 'TPA', 3646, '', 0, '717\r'),
	('FL', 1316, 'PUJ', 1760, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'PUJ', 1760, 'BWI', 3849, '', 0, '73G\r'),
	('FL', 1316, 'PUJ', 1760, 'MDW', 3747, '', 0, '73G\r'),
	('FL', 1316, 'PVD', 3641, 'BWI', 3849, 'Y', 0, '73W 738 73C\r'),
	('FL', 1316, 'PVD', 3641, 'LAS', 3877, 'Y', 0, '73H\r'),
	('FL', 1316, 'PVD', 3641, 'MCO', 3878, '', 0, '733\r'),
	('FL', 1316, 'PVD', 3641, 'MDW', 3747, 'Y', 0, '73H 73W\r'),
	('FL', 1316, 'PVD', 3641, 'SAN', 3731, 'Y', 0, '73W\r'),
	('FL', 1316, 'PVD', 3641, 'SLC', 3536, 'Y', 0, '73H\r'),
	('FL', 1316, 'PWM', 3862, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'RDU', 3626, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'RDU', 3626, 'BNA', 3690, '', 0, '733\r'),
	('FL', 1316, 'RDU', 3626, 'BWI', 3849, 'Y', 0, '73W 733\r'),
	('FL', 1316, 'RDU', 3626, 'MCO', 3878, 'Y', 0, '733 73W\r'),
	('FL', 1316, 'RDU', 3626, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'RDU', 3626, 'SFO', 3469, 'Y', 0, '73W\r'),
	('FL', 1316, 'RDU', 3626, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'RIC', 3608, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'RNO', 3807, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'RNO', 3807, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'ROC', 3622, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'ROC', 3622, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'RSW', 3793, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'RSW', 3793, 'BWI', 3849, '', 0, '717\r'),
	('FL', 1316, 'RSW', 3793, 'DCA', 3520, '', 0, '717\r'),
	('FL', 1316, 'RSW', 3793, 'MDW', 3747, '', 0, '717\r'),
	('FL', 1316, 'SAN', 3731, 'ATL', 3682, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAN', 3731, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAN', 3731, 'DEN', 3751, 'Y', 0, '73H 73C\r'),
	('FL', 1316, 'SAN', 3731, 'HOU', 3566, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'SAN', 3731, 'LAS', 3877, 'Y', 0, '73W 738\r'),
	('FL', 1316, 'SAN', 3731, 'MCI', 3458, 'Y', 0, '738\r'),
	('FL', 1316, 'SAN', 3731, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAN', 3731, 'RNO', 3807, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAN', 3731, 'SAT', 3621, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAN', 3731, 'SDF', 4014, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAN', 3731, 'SJC', 3748, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAT', 3621, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'SAT', 3621, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAT', 3621, 'CUN', 1852, '', 0, '73G\r'),
	('FL', 1316, 'SAT', 3621, 'DAL', 3502, 'Y', 0, '73W 73C 733\r'),
	('FL', 1316, 'SAT', 3621, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAT', 3621, 'HOU', 3566, 'Y', 0, '73W 735\r'),
	('FL', 1316, 'SAT', 3621, 'LAS', 3877, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAT', 3621, 'LAX', 3484, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAT', 3621, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAT', 3621, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAT', 3621, 'MEX', 1824, '', 0, '73G\r'),
	('FL', 1316, 'SAT', 3621, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'SAT', 3621, 'STL', 3678, 'Y', 0, '73C\r'),
	('FL', 1316, 'SAT', 3621, 'TPA', 3646, 'Y', 0, '73C\r'),
	('FL', 1316, 'SDF', 4014, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'SDF', 4014, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'SDF', 4014, 'MCO', 3878, 'Y', 0, '73W\r'),
	('FL', 1316, 'SDF', 4014, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'SEA', 3577, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'SEA', 3577, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'SEA', 3577, 'LAS', 3877, 'Y', 0, '73W\r'),
	('FL', 1316, 'SEA', 3577, 'MDW', 3747, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'SEA', 3577, 'MKE', 3717, 'Y', 0, '73W\r'),
	('FL', 1316, 'SEA', 3577, 'OAK', 3453, 'Y', 0, '73W\r'),
	('FL', 1316, 'SEA', 3577, 'PHX', 3462, 'Y', 0, '73C\r'),
	('FL', 1316, 'SEA', 3577, 'SAN', 3731, 'Y', 0, '73C\r'),
	('FL', 1316, 'SEA', 3577, 'SLC', 3536, 'Y', 0, '73W\r'),
	('FL', 1316, 'SEA', 3577, 'SMF', 3817, 'Y', 0, '73W\r'),
	('FL', 1316, 'SFO', 3469, 'ATL', 3682, '', 0, '73G\r'),
	('FL', 1316, 'SFO', 3469, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'SFO', 3469, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'SFO', 3469, 'MKE', 3717, 'Y', 0, '73W\r'),
	('FL', 1316, 'SFO', 3469, 'ORF', 3611, 'Y', 0, '73W\r'),
	('FL', 1316, 'SJC', 3748, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'SJC', 3748, 'LAS', 3877, 'Y', 0, '73C 73W\r'),
	('FL', 1316, 'SJC', 3748, 'LAX', 3484, 'Y', 0, '73W\r'),
	('FL', 1316, 'SJC', 3748, 'SAN', 3731, 'Y', 0, '73W\r'),
	('FL', 1316, 'SJD', 1840, 'DEN', 3751, '', 0, '73G\r'),
	('FL', 1316, 'SJD', 1840, 'SNA', 3867, '', 0, '73G\r'),
	('FL', 1316, 'SJU', 2890, 'ATL', 3682, 'Y', 0, '73W\r'),
	('FL', 1316, 'SJU', 2890, 'FLL', 3533, 'Y', 0, '73W\r'),
	('FL', 1316, 'SJU', 2890, 'MCO', 3878, 'Y', 0, '738\r'),
	('FL', 1316, 'SJU', 2890, 'ONT', 3734, 'Y', 0, '73H\r'),
	('FL', 1316, 'SLC', 3536, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'SLC', 3536, 'LAS', 3877, 'Y', 0, '73C\r'),
	('FL', 1316, 'SLC', 3536, 'MDW', 3747, 'Y', 0, '73H\r'),
	('FL', 1316, 'SLC', 3536, 'MHT', 4011, 'Y', 0, '73W\r'),
	('FL', 1316, 'SLC', 3536, 'OAK', 3453, 'Y', 0, '73W\r'),
	('FL', 1316, 'SLC', 3536, 'PDX', 3720, 'Y', 0, '733\r'),
	('FL', 1316, 'SLC', 3536, 'SEA', 3577, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'SLC', 3536, 'TUS', 3636, 'Y', 0, '73W\r'),
	('FL', 1316, 'SMF', 3817, 'DEN', 3751, 'Y', 0, '73C 73H\r'),
	('FL', 1316, 'SMF', 3817, 'LAS', 3877, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'SMF', 3817, 'LAX', 3484, 'Y', 0, '73W\r'),
	('FL', 1316, 'SMF', 3817, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'SMF', 3817, 'SAN', 3731, 'Y', 0, '73W\r'),
	('FL', 1316, 'SMF', 3817, 'SEA', 3577, 'Y', 0, '73W\r'),
	('FL', 1316, 'SMF', 3817, 'SNA', 3867, 'Y', 0, '73W\r'),
	('FL', 1316, 'SNA', 3867, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'SNA', 3867, 'LAS', 3877, '', 0, '73G\r'),
	('FL', 1316, 'SNA', 3867, 'MEX', 1824, '', 0, '73G\r'),
	('FL', 1316, 'SNA', 3867, 'OAK', 3453, 'Y', 0, '73W\r'),
	('FL', 1316, 'SNA', 3867, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'SNA', 3867, 'SFO', 3469, 'Y', 0, '73W\r'),
	('FL', 1316, 'SNA', 3867, 'SJD', 1840, '', 0, '73G\r'),
	('FL', 1316, 'STL', 3678, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'STL', 3678, 'BNA', 3690, 'Y', 0, '73C\r'),
	('FL', 1316, 'STL', 3678, 'BWI', 3849, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'CMH', 3759, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'DAL', 3502, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'DEN', 3751, 'Y', 0, '73C\r'),
	('FL', 1316, 'STL', 3678, 'DFW', 3670, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'DTW', 3645, 'Y', 0, '73C\r'),
	('FL', 1316, 'STL', 3678, 'FLL', 3533, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'GRR', 3685, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'LAS', 3877, 'Y', 0, '73C\r'),
	('FL', 1316, 'STL', 3678, 'LAX', 3484, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'MCI', 3458, 'Y', 0, '73C\r'),
	('FL', 1316, 'STL', 3678, 'MDW', 3747, 'Y', 0, '73H 73W 73C\r'),
	('FL', 1316, 'STL', 3678, 'MKE', 3717, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'MSP', 3858, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'MSY', 3861, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'OKC', 3863, 'Y', 0, '73C\r'),
	('FL', 1316, 'STL', 3678, 'OMA', 3454, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'PHL', 3752, 'Y', 0, '73C\r'),
	('FL', 1316, 'STL', 3678, 'RDU', 3626, 'Y', 0, '73W\r'),
	('FL', 1316, 'STL', 3678, 'SAT', 3621, 'Y', 0, '73C\r'),
	('FL', 1316, 'STL', 3678, 'TPA', 3646, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'ALB', 3864, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'ATL', 3682, '', 0, '717\r'),
	('FL', 1316, 'TPA', 3646, 'BDL', 3825, 'Y', 0, '73C\r'),
	('FL', 1316, 'TPA', 3646, 'BHM', 3811, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'BWI', 3849, '', 0, '717\r'),
	('FL', 1316, 'TPA', 3646, 'CAK', 4112, '', 0, '717\r'),
	('FL', 1316, 'TPA', 3646, 'CMH', 3759, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'DAY', 3627, '', 0, '717\r'),
	('FL', 1316, 'TPA', 3646, 'EYW', 3875, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'FLL', 3533, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'HOU', 3566, 'Y', 0, '73W 73C\r'),
	('FL', 1316, 'TPA', 3646, 'IND', 3585, '', 0, '717\r'),
	('FL', 1316, 'TPA', 3646, 'ISP', 3857, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'MCI', 3458, 'Y', 0, '73C\r'),
	('FL', 1316, 'TPA', 3646, 'MDW', 3747, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'MKE', 3717, 'Y', 0, '73C\r'),
	('FL', 1316, 'TPA', 3646, 'MSY', 3861, 'Y', 0, '73W 733\r'),
	('FL', 1316, 'TPA', 3646, 'PDX', 3720, 'Y', 0, '73H\r'),
	('FL', 1316, 'TPA', 3646, 'PHX', 3462, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'PIT', 3570, '', 0, '717\r'),
	('FL', 1316, 'TPA', 3646, 'PVD', 3641, 'Y', 0, '73W 73H\r'),
	('FL', 1316, 'TPA', 3646, 'RDU', 3626, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'SAT', 3621, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'SEA', 3577, 'Y', 0, '73W\r'),
	('FL', 1316, 'TPA', 3646, 'SJU', 2890, 'Y', 0, '738 73H\r'),
	('FL', 1316, 'TPA', 3646, 'STL', 3678, 'Y', 0, '73C\r'),
	('FL', 1316, 'TUL', 3855, 'DEN', 3751, 'Y', 0, '73W\r'),
	('FL', 1316, 'TUS', 3636, 'LAS', 3877, 'Y', 0, '73W\r'),
	('FL', 1316, 'TUS', 3636, 'LAX', 3484, 'Y', 0, '73C\r'),
	('FL', 1316, 'TUS', 3636, 'MDW', 3747, 'Y', 0, '73H\r'),
	('FL', 1316, 'TUS', 3636, 'SJC', 3748, 'Y', 0, '73W\r'),
	('FM', 4609, 'BAV', 6346, 'SHA', 3391, '', 0, '738 737\r'),
	('FM', 4609, 'BKK', 3885, 'PVG', 3406, '', 0, '738 757\r'),
	('FM', 4609, 'CAN', 3370, 'HGH', 3386, '', 0, '738\r'),
	('FM', 4609, 'CAN', 3370, 'NKG', 3388, '', 0, '738\r'),
	('FM', 4609, 'CAN', 3370, 'PVG', 3406, '', 0, '738 757\r'),
	('FM', 4609, 'CAN', 3370, 'SHA', 3391, '', 0, '738 333 757\r'),
	('FM', 4609, 'CAN', 3370, 'WNZ', 6392, '', 0, '738\r'),
	('FM', 4609, 'CAN', 3370, 'XMN', 3383, '', 0, '738\r'),
	('FM', 4609, 'CGO', 3375, 'HGH', 3386, '', 0, '738\r'),
	('FM', 4609, 'CGO', 3375, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'CGO', 3375, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'CGQ', 4380, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'CKG', 3393, 'SHA', 3391, '', 0, '738 737\r'),
	('FM', 4609, 'CKG', 3393, 'TXN', 6387, '', 0, '737\r'),
	('FM', 4609, 'CSX', 3371, 'SHA', 3391, '', 0, '738 737\r'),
	('FM', 4609, 'CTU', 3395, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'CTU', 3395, 'SHA', 3391, '', 0, '757 737 738\r'),
	('FM', 4609, 'CTU', 3395, 'TXN', 6387, '', 0, '737\r'),
	('FM', 4609, 'DDG', 6433, 'TAO', 3390, '', 0, '737\r'),
	('FM', 4609, 'DLC', 3404, 'PVG', 3406, '', 0, '738 737\r'),
	('FM', 4609, 'DSN', 6434, 'XIY', 3379, '', 0, '737\r'),
	('FM', 4609, 'DYG', 6353, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'FOC', 3385, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'FUG', 7503, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'GMP', 2378, 'SHA', 3391, '', 0, '333\r'),
	('FM', 4609, 'HAK', 4120, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'HET', 6345, 'HLD', 3366, '', 0, '738\r'),
	('FM', 4609, 'HET', 6345, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'HGH', 3386, 'CAN', 3370, '', 0, '738\r'),
	('FM', 4609, 'HGH', 3386, 'CGO', 3375, '', 0, '738\r'),
	('FM', 4609, 'HGH', 3386, 'HKG', 3077, 'Y', 0, '320\r'),
	('FM', 4609, 'HGH', 3386, 'PEK', 3364, '', 0, '757\r'),
	('FM', 4609, 'HKG', 3077, 'HGH', 3386, 'Y', 0, '320\r'),
	('FM', 4609, 'HKG', 3077, 'NGB', 3387, 'Y', 0, '320\r'),
	('FM', 4609, 'HKG', 3077, 'NKG', 3388, 'Y', 0, '321\r'),
	('FM', 4609, 'HKG', 3077, 'PVG', 3406, '', 0, '330 738\r'),
	('FM', 4609, 'HKG', 3077, 'SHA', 3391, '', 0, '333\r'),
	('FM', 4609, 'HKT', 3179, 'PVG', 3406, '', 0, '757 738\r'),
	('FM', 4609, 'HLD', 3366, 'HET', 6345, '', 0, '738\r'),
	('FM', 4609, 'HND', 2359, 'SHA', 3391, '', 0, '333\r'),
	('FM', 4609, 'HRB', 3400, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'HTN', 3398, 'URC', 3399, '', 0, '738\r'),
	('FM', 4609, 'ICN', 3930, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'INC', 4085, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'JGS', 6428, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'JHG', 4055, 'KMG', 3382, '', 0, '737\r'),
	('FM', 4609, 'JMU', 6411, 'TAO', 3390, '', 0, '737\r'),
	('FM', 4609, 'JNG', 6944, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'JNZ', 6412, 'PVG', 3406, '', 0, '737\r'),
	('FM', 4609, 'JXA', 8417, 'TAO', 3390, '', 0, '737\r'),
	('FM', 4609, 'KHN', 3384, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'KIX', 3992, 'PVG', 3406, '', 0, '321 738\r'),
	('FM', 4609, 'KMG', 3382, 'JHG', 4055, '', 0, '737\r'),
	('FM', 4609, 'KMG', 3382, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'KWE', 3394, 'PVG', 3406, '', 0, '737 738\r'),
	('FM', 4609, 'KWE', 3394, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'KWL', 3372, 'PVG', 3406, '', 0, '738 757\r'),
	('FM', 4609, 'KWL', 3372, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'LHW', 6431, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'LYG', 6383, 'SHA', 3391, '', 0, '738 737\r'),
	('FM', 4609, 'LYI', 6385, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'MFM', 3121, 'PVG', 3406, 'Y', 0, '321\r'),
	('FM', 4609, 'MFM', 3121, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'MIG', 6400, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'NDG', 6413, 'TAO', 3390, '', 0, '737\r'),
	('FM', 4609, 'NGB', 3387, 'HKG', 3077, 'Y', 0, '320\r'),
	('FM', 4609, 'NKG', 3388, 'CAN', 3370, '', 0, '738\r'),
	('FM', 4609, 'NKG', 3388, 'HKG', 3077, 'Y', 0, '321\r'),
	('FM', 4609, 'NNG', 3373, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'NNG', 3373, 'SHA', 3391, '', 0, '738 737\r'),
	('FM', 4609, 'PEK', 3364, 'HGH', 3386, '', 0, '757\r'),
	('FM', 4609, 'PEK', 3364, 'SHA', 3391, '', 0, '738 757\r'),
	('FM', 4609, 'PUS', 2372, 'PVG', 3406, '', 0, '738 739\r'),
	('FM', 4609, 'PUS', 2372, 'TAO', 3390, 'Y', 0, '737\r'),
	('FM', 4609, 'PVG', 3406, 'BKK', 3885, '', 0, '757 738\r'),
	('FM', 4609, 'PVG', 3406, 'CAN', 3370, '', 0, '757 738\r'),
	('FM', 4609, 'PVG', 3406, 'CGO', 3375, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'CGQ', 4380, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'CTU', 3395, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'DLC', 3404, '', 0, '738 737\r'),
	('FM', 4609, 'PVG', 3406, 'DYG', 6353, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'HAK', 4120, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'HKG', 3077, '', 0, '330 738\r'),
	('FM', 4609, 'PVG', 3406, 'HKT', 3179, '', 0, '757 738\r'),
	('FM', 4609, 'PVG', 3406, 'HRB', 3400, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'ICN', 3930, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'INC', 4085, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'JNZ', 6412, '', 0, '737\r'),
	('FM', 4609, 'PVG', 3406, 'KIX', 3992, '', 0, '321 738\r'),
	('FM', 4609, 'PVG', 3406, 'KWE', 3394, '', 0, '738 737\r'),
	('FM', 4609, 'PVG', 3406, 'KWL', 3372, '', 0, '757 738\r'),
	('FM', 4609, 'PVG', 3406, 'MFM', 3121, 'Y', 0, '321\r'),
	('FM', 4609, 'PVG', 3406, 'MIG', 6400, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'NNG', 3373, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'PUS', 2372, '', 0, '738 739\r'),
	('FM', 4609, 'PVG', 3406, 'SHE', 4144, '', 0, '737 738\r'),
	('FM', 4609, 'PVG', 3406, 'SHP', 6429, '', 0, '737\r'),
	('FM', 4609, 'PVG', 3406, 'SWA', 4302, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'SYX', 4030, '', 0, '757\r'),
	('FM', 4609, 'PVG', 3406, 'TOY', 2324, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'TSA', 2275, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'TSN', 3368, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'TVS', 8858, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'WUH', 3376, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'WXN', 6403, '', 0, '737\r'),
	('FM', 4609, 'PVG', 3406, 'XIY', 3379, '', 0, '738 737\r'),
	('FM', 4609, 'PVG', 3406, 'XMN', 3383, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'YCU', 6430, '', 0, '738\r'),
	('FM', 4609, 'PVG', 3406, 'ZHA', 6357, '', 0, '737\r'),
	('FM', 4609, 'PVG', 3406, 'ZUH', 6355, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'BAV', 6346, '', 0, '738 737\r'),
	('FM', 4609, 'SHA', 3391, 'CAN', 3370, '', 0, '333 738 757\r'),
	('FM', 4609, 'SHA', 3391, 'CGO', 3375, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'CKG', 3393, '', 0, '738 737\r'),
	('FM', 4609, 'SHA', 3391, 'CSX', 3371, '', 0, '738 737\r'),
	('FM', 4609, 'SHA', 3391, 'CTU', 3395, '', 0, '757 737 738\r'),
	('FM', 4609, 'SHA', 3391, 'FOC', 3385, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'FUG', 7503, '', 0, '737\r'),
	('FM', 4609, 'SHA', 3391, 'GMP', 2378, '', 0, '333\r'),
	('FM', 4609, 'SHA', 3391, 'HET', 6345, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'HKG', 3077, '', 0, '333\r'),
	('FM', 4609, 'SHA', 3391, 'HND', 2359, '', 0, '333\r'),
	('FM', 4609, 'SHA', 3391, 'JGS', 6428, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'JNG', 6944, '', 0, '737\r'),
	('FM', 4609, 'SHA', 3391, 'KHN', 3384, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'KMG', 3382, '', 0, '737\r'),
	('FM', 4609, 'SHA', 3391, 'KWE', 3394, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'KWL', 3372, '', 0, '737\r'),
	('FM', 4609, 'SHA', 3391, 'LHW', 6431, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'LYG', 6383, '', 0, '738 737\r'),
	('FM', 4609, 'SHA', 3391, 'LYI', 6385, '', 0, '737\r'),
	('FM', 4609, 'SHA', 3391, 'MFM', 3121, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'NNG', 3373, '', 0, '738 737\r'),
	('FM', 4609, 'SHA', 3391, 'PEK', 3364, '', 0, '757 738\r'),
	('FM', 4609, 'SHA', 3391, 'SHE', 4144, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'SJW', 6347, '', 0, '738 737\r'),
	('FM', 4609, 'SHA', 3391, 'SWA', 4302, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'SZX', 3374, '', 0, '333 738\r'),
	('FM', 4609, 'SHA', 3391, 'TAO', 3390, '', 0, '737\r'),
	('FM', 4609, 'SHA', 3391, 'TSA', 2275, '', 0, '333\r'),
	('FM', 4609, 'SHA', 3391, 'TSN', 3368, '', 0, '738 737\r'),
	('FM', 4609, 'SHA', 3391, 'TXN', 6387, '', 0, '737\r'),
	('FM', 4609, 'SHA', 3391, 'TYN', 3369, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'URC', 3399, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'WNZ', 6392, '', 0, '737\r'),
	('FM', 4609, 'SHA', 3391, 'WUH', 3376, '', 0, '738\r'),
	('FM', 4609, 'SHA', 3391, 'XIY', 3379, '', 0, '737\r'),
	('FM', 4609, 'SHA', 3391, 'XMN', 3383, '', 0, '737 757 738\r'),
	('FM', 4609, 'SHA', 3391, 'YIH', 6361, '', 0, '737\r'),
	('FM', 4609, 'SHA', 3391, 'YNT', 3392, '', 0, '737\r'),
	('FM', 4609, 'SHE', 4144, 'PVG', 3406, '', 0, '737 738\r'),
	('FM', 4609, 'SHE', 4144, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'SHP', 6429, 'PVG', 3406, '', 0, '737\r'),
	('FM', 4609, 'SJW', 6347, 'SHA', 3391, '', 0, '738 737\r'),
	('FM', 4609, 'SWA', 4302, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'SYX', 4030, 'PVG', 3406, '', 0, '757\r'),
	('FM', 4609, 'SZX', 3374, 'SHA', 3391, '', 0, '333 738\r'),
	('FM', 4609, 'TAO', 3390, 'DDG', 6433, '', 0, '737\r'),
	('FM', 4609, 'TAO', 3390, 'JMU', 6411, '', 0, '737\r'),
	('FM', 4609, 'TAO', 3390, 'JXA', 8417, '', 0, '737\r'),
	('FM', 4609, 'TAO', 3390, 'NDG', 6413, '', 0, '737\r'),
	('FM', 4609, 'TAO', 3390, 'PUS', 2372, 'Y', 0, '737\r'),
	('FM', 4609, 'TAO', 3390, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'TOY', 2324, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'TSA', 2275, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'TSA', 2275, 'SHA', 3391, '', 0, '333\r'),
	('FM', 4609, 'TSN', 3368, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'TSN', 3368, 'SHA', 3391, '', 0, '738 737\r'),
	('FM', 4609, 'TVS', 8858, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'TXN', 6387, 'CKG', 3393, '', 0, '737\r'),
	('FM', 4609, 'TXN', 6387, 'CTU', 3395, '', 0, '737\r'),
	('FM', 4609, 'TXN', 6387, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'TYN', 3369, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'URC', 3399, 'HTN', 3398, '', 0, '738\r'),
	('FM', 4609, 'URC', 3399, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'WNZ', 6392, 'CAN', 3370, '', 0, '738\r'),
	('FM', 4609, 'WNZ', 6392, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'WUH', 3376, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'WUH', 3376, 'SHA', 3391, '', 0, '738\r'),
	('FM', 4609, 'WXN', 6403, 'PVG', 3406, '', 0, '737\r'),
	('FM', 4609, 'XIY', 3379, 'DSN', 6434, '', 0, '737\r'),
	('FM', 4609, 'XIY', 3379, 'PVG', 3406, '', 0, '738 737\r'),
	('FM', 4609, 'XIY', 3379, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'XMN', 3383, 'CAN', 3370, '', 0, '738\r'),
	('FM', 4609, 'XMN', 3383, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'XMN', 3383, 'SHA', 3391, '', 0, '737 757 738\r'),
	('FM', 4609, 'YCU', 6430, 'PVG', 3406, '', 0, '738\r'),
	('FM', 4609, 'YIH', 6361, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'YNT', 3392, 'SHA', 3391, '', 0, '737\r'),
	('FM', 4609, 'ZHA', 6357, 'PVG', 3406, '', 0, '737\r'),
	('FM', 4609, 'ZUH', 6355, 'PVG', 3406, '', 0, '738\r'),
	('FO', 476, 'AAY', 3979, 'SAH', 3980, '', 0, 'CR7\r'),
	('FO', 476, 'ADE', 3977, 'AHB', 2059, '', 0, 'CR7\r'),
	('FO', 476, 'ADE', 3977, 'DMM', 2064, '', 0, 'CR7\r'),
	('FO', 476, 'ADE', 3977, 'GXF', 5954, '', 0, 'CR7\r'),
	('FO', 476, 'ADE', 3977, 'MGQ', 5687, '', 0, 'CR7\r'),
	('FO', 476, 'ADE', 3977, 'RIY', 3974, '', 0, 'CR7\r'),
	('FO', 476, 'ADE', 3977, 'SAH', 3980, '', 0, 'CR7\r'),
	('FO', 476, 'ADE', 3977, 'SHJ', 2191, '', 0, 'CR7\r'),
	('FO', 476, 'AHB', 2059, 'ADE', 3977, '', 0, 'CR7\r'),
	('FO', 476, 'AHB', 2059, 'SAH', 3980, '', 0, 'CR7\r'),
	('FO', 476, 'AXK', 3978, 'SAH', 3980, '', 0, 'CR7\r'),
	('FO', 476, 'DMM', 2064, 'ADE', 3977, '', 0, 'CR7\r'),
	('FO', 476, 'DMM', 2064, 'TAI', 3975, '', 0, 'CR7\r'),
	('FO', 476, 'GXF', 5954, 'ADE', 3977, '', 0, 'CR7\r'),
	('FO', 476, 'GXF', 5954, 'SAH', 3980, '', 0, 'CR7\r'),
	('FO', 476, 'HOD', 3976, 'SAH', 3980, '', 0, 'CR7\r'),
	('FO', 476, 'JIB', 4119, 'SAH', 3980, '', 0, 'CR7\r'),
	('FO', 476, 'JIB', 4119, 'TAI', 3975, '', 0, 'CR7\r'),
	('FO', 476, 'RIY', 3974, 'ADE', 3977, '', 0, 'CR7\r'),
	('FO', 476, 'RIY', 3974, 'SAH', 3980, '', 0, 'CR7\r'),
	('FO', 476, 'RIY', 3974, 'SCT', 3984, '', 0, 'CR7\r'),
	('FO', 476, 'RIY', 3974, 'SHJ', 2191, '', 0, 'CR7\r'),
	('FO', 476, 'SAH', 3980, 'AAY', 3979, '', 0, 'CR7\r'),
	('FO', 476, 'SAH', 3980, 'ADE', 3977, '', 0, 'CR7\r'),
	('FO', 476, 'SAH', 3980, 'AXK', 3978, '', 0, 'CR7\r'),
	('FO', 476, 'SAH', 3980, 'GXF', 5954, '', 0, 'CR7\r'),
	('FO', 476, 'SAH', 3980, 'HOD', 3976, '', 0, 'CR7\r'),
	('FO', 476, 'SAH', 3980, 'RIY', 3974, '', 0, 'CR7\r'),
	('FO', 476, 'SAH', 3980, 'TAI', 3975, '', 0, 'CR7\r'),
	('FO', 476, 'SCT', 3984, 'RIY', 3974, '', 0, 'CR7\r'),
	('FO', 476, 'SHJ', 2191, 'ADE', 3977, '', 0, 'CR7\r'),
	('FO', 476, 'TAI', 3975, 'DMM', 2064, '', 0, 'CR7\r'),
	('FO', 476, 'TAI', 3975, 'JIB', 4119, '', 0, 'CR7\r'),
	('FO', 476, 'TAI', 3975, 'SAH', 3980, '', 0, 'CR7\r'),
	('FR', 4296, 'AAR', 607, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'AAR', 607, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'AAR', 607, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'ACE', 1055, 'ZAZ', 1252, '', 0, '738\r'),
	('FR', 4296, 'AGA', 1064, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'AGA', 1064, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'AAR', 607, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BRU', 302, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'CGN', 344, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'DTM', 373, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'FMO', 341, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'HAU', 645, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'MMX', 708, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'NUE', 347, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'TMP', 458, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'TRF', 664, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'VST', 733, '', 0, '738\r'),
	('FR', 4296, 'AGP', 1230, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'AOI', 4309, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'CUF', 1534, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'DTM', 373, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'PMF', 1531, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'TRF', 664, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'TRS', 1545, '', 0, '738\r'),
	('FR', 4296, 'AHO', 1517, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'BRU', 302, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'HAU', 645, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'KIR', 601, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'KTW', 671, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'MST', 582, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'NUE', 347, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'TMP', 458, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'TRF', 664, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'VST', 733, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'VXO', 711, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'ALC', 1212, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'AOI', 4309, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'AOI', 4309, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'AOI', 4309, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'AOI', 4309, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'AOI', 4309, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'ATH', 3941, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'ATH', 3941, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'ATH', 3941, 'PFO', 1198, '', 0, '738\r'),
	('FR', 4296, 'ATH', 3941, 'RHO', 1472, '', 0, '738\r'),
	('FR', 4296, 'ATH', 3941, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'ATH', 3941, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'BRU', 302, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'FCO', 1555, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'MAH', 1231, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'NDR', 5673, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'TFN', 1057, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'TRN', 1526, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'VLL', 1247, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'BCN', 1218, 'XRY', 1226, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'TRN', 1526, '', 0, '738\r'),
	('FR', 4296, 'BDS', 1506, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'BES', 1403, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'ATH', 3941, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'CTA', 1509, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'KGS', 1458, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'LBC', 364, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'LDE', 1276, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'LPP', 441, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'PMO', 1512, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'PSR', 1505, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'RHO', 1472, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'RIX', 3953, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'SUF', 1508, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'SXF', 337, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'TLL', 415, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'TMP', 458, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'BGY', 1525, 'ZAZ', 1252, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'BZG', 5591, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'KTW', 671, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'LDY', 468, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'MJV', 1227, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'BHX', 469, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'BIQ', 1280, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'BIQ', 1280, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BIQ', 1280, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'BIQ', 1280, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'CCF', 1352, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'BLL', 608, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'BOD', 1264, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'CTA', 1509, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'PMO', 1512, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'SUF', 1508, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'BLQ', 1538, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'BOD', 1264, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'BOD', 1264, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'BOD', 1264, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'BOD', 1264, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'BOD', 1264, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'BOD', 1264, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'BOD', 1264, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BOD', 1264, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'CCF', 1352, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'MJV', 1227, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'RHO', 1472, '', 0, '738\r'),
	('FR', 4296, 'BOH', 494, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'BZR', 1360, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'HAU', 645, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'RIX', 3953, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'TLL', 415, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'TMP', 458, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'BRE', 353, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'GOA', 1528, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'MST', 582, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'TRN', 1526, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'TRS', 1545, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'BRI', 1501, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'BRQ', 1588, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'BZR', 1360, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'EGC', 1265, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'LIG', 1270, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'POZ', 674, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'RZE', 675, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'BRS', 490, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'BRU', 302, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BRU', 302, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'BRU', 302, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'BRU', 302, 'FCO', 1555, '', 0, '738\r'),
	('FR', 4296, 'BRU', 302, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'BRU', 302, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'BRU', 302, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BRU', 302, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'BRU', 302, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'BSL', 4053, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BSL', 4053, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BTS', 1745, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'TMP', 458, '', 0, '738\r'),
	('FR', 4296, 'BUD', 1489, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'BZR', 1360, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'NDR', 5673, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'OUD', 1070, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'PSR', 1505, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'PUY', 1203, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'RBA', 1072, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'TNG', 1080, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'TRS', 1545, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'BVA', 1367, 'ZAZ', 1252, '', 0, '738\r'),
	('FR', 4296, 'BVE', 1278, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BZG', 5591, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'BZG', 5591, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'BZG', 5591, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'BZR', 1360, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'BZR', 1360, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'BZR', 1360, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'BZR', 1360, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'BZR', 1360, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'BZR', 1360, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'BZR', 1360, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'BZR', 1360, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'BZR', 1360, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'CUF', 1534, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'GOA', 1528, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'PEG', 1567, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'PMF', 1531, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'PSR', 1505, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'CAG', 1519, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'CCF', 1352, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'CCF', 1352, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'CCF', 1352, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'CCF', 1352, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'CCF', 1352, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'CCF', 1352, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'CCF', 1352, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'CCF', 1352, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'CCF', 1352, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'CCF', 1352, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'CFE', 1330, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'CFU', 1460, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'CGN', 344, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'CGN', 344, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'CGN', 344, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'CGN', 344, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'CGN', 344, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'ATH', 3941, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'KTW', 671, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'PFO', 1198, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'CHQ', 1474, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'BOD', 1264, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'CIY', 9327, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'POZ', 674, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'CIA', 1553, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'CIY', 9327, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'CIY', 9327, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'CIY', 9327, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'CIY', 9327, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'CIY', 9327, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'CIY', 9327, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'CIY', 9327, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'AGA', 1064, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'AOI', 4309, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'BIQ', 1280, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'BOD', 1264, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'CCF', 1352, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'CIY', 9327, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'EGC', 1265, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'FNI', 1439, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'FSC', 1323, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'GOA', 1528, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'LEI', 1213, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'LRH', 6493, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'MPL', 1359, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'NDR', 5673, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'OUD', 1070, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'PEG', 1567, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'PFO', 1198, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'PGF', 1356, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'PSR', 1505, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'PUY', 1203, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'RBA', 1072, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'RDZ', 1289, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'RHO', 1472, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'SUF', 1508, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'TGD', 1741, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'TNG', 1080, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'TRN', 1526, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'TRS', 1545, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'VOL', 1448, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'ZAZ', 1252, '', 0, '738\r'),
	('FR', 4296, 'CRL', 304, 'ZTH', 1488, '', 0, '738\r'),
	('FR', 4296, 'CTA', 1509, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'CTA', 1509, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'CTA', 1509, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'CTA', 1509, 'FCO', 1555, '', 0, '738\r'),
	('FR', 4296, 'CTA', 1509, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'CTA', 1509, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'CTA', 1509, 'TRN', 1526, '', 0, '738\r'),
	('FR', 4296, 'CTA', 1509, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'CUF', 1534, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'CUF', 1534, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'CUF', 1534, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'DLE', 1309, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'DLE', 1309, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'DLE', 1309, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'DNR', 1405, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'DNR', 1405, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'DTM', 373, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'DTM', 373, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'DTM', 373, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'DTM', 373, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'DTM', 373, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'DTM', 373, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'DTM', 373, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'DTM', 373, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BIQ', 1280, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BSL', 4053, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'BZG', 5591, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'CCF', 1352, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'CIY', 9327, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'KTW', 671, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'LEI', 1213, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'LGW', 502, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'LRH', 6493, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'MJV', 1227, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'NCE', 1354, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'NCL', 521, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'NTE', 1418, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'OTP', 1657, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'POZ', 674, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'PRG', 1587, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'RDZ', 1289, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'RIX', 3953, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'RZE', 675, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'SXF', 337, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'SZZ', 676, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'TUF', 1376, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'DUB', 599, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'EBU', 1350, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'EBU', 1350, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'BOD', 1264, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'BZR', 1360, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'POZ', 674, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'EDI', 535, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'EFL', 1455, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'EGC', 1265, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'EGC', 1265, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'EGC', 1265, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'EGC', 1265, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'EGC', 1265, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'CCF', 1352, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'CTA', 1509, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'MJV', 1227, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'EIN', 585, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'CCF', 1352, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'DNR', 1405, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'EGC', 1265, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'LEI', 1213, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'LIG', 1270, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'LRH', 6493, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'MAH', 1231, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'MJV', 1227, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'RHO', 1472, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'RIX', 3953, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'RZE', 675, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'SXF', 337, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'EMA', 523, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'ESU', 5671, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'CGN', 344, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'DTM', 373, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'KIR', 601, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'LDY', 468, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'MST', 582, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'FAO', 1626, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'FCO', 1555, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'FCO', 1555, 'BRU', 302, '', 0, '738\r'),
	('FR', 4296, 'FCO', 1555, 'CTA', 1509, '', 0, '738\r'),
	('FR', 4296, 'FCO', 1555, 'PMO', 1512, '', 0, '738\r'),
	('FR', 4296, 'FCO', 1555, 'SUF', 1508, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'EBU', 1350, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'FNI', 1439, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'NTE', 1418, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'FEZ', 1066, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'FKB', 4166, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'FMM', 3986, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'FMO', 341, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'FMO', 341, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'FNI', 1439, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'FNI', 1439, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'FNI', 1439, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'FNI', 1439, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'FSC', 1323, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'FUE', 1051, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'GDN', 668, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'GOA', 1528, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'GOA', 1528, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'GOA', 1528, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'GOA', 1528, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'GOA', 1528, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'GPA', 1473, 'PFO', 1198, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'CGN', 344, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'DTM', 373, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'FMO', 341, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'GRQ', 586, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'LPP', 441, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'MST', 582, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'NCL', 521, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'POZ', 674, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'PSR', 1505, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'RBA', 1072, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'SFT', 726, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'TLL', 415, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'TMP', 458, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'GRO', 1222, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'GRQ', 586, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'GRQ', 586, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'GSE', 691, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'HAU', 645, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'HAU', 645, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'HAU', 645, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'HAU', 645, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'HAU', 645, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'HAU', 645, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'CIY', 9327, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'KIR', 601, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'MPL', 1359, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'NDR', 5673, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'PDV', 1193, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'PSR', 1505, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'PUY', 1203, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'RIX', 3953, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'SUF', 1508, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'TMP', 458, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'VOL', 1448, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'XRY', 1226, '', 0, '738\r'),
	('FR', 4296, 'HHN', 355, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'IBZ', 1225, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'KGS', 1458, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'KGS', 1458, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'KGS', 1458, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'KGS', 1458, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'KGS', 1458, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'KGS', 1458, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'KGS', 1458, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'KIR', 601, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'KIR', 601, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'KIR', 601, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'KIR', 601, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'KIR', 601, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'DTM', 373, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'KGS', 1458, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'PFO', 1198, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'KRK', 669, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'KTW', 671, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'KTW', 671, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'KTW', 671, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'KTW', 671, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'KTW', 671, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'CIY', 9327, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'KGS', 1458, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'LGW', 502, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'PFO', 1198, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'RHO', 1472, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'KUN', 3956, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'KGS', 1458, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'LIG', 1270, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'MJV', 1227, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'MPL', 1359, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'LBA', 517, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'LBC', 364, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'LBC', 364, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'LBC', 364, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'LDE', 1276, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'LDE', 1276, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'LDY', 468, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'LDY', 468, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'LDY', 468, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'LDY', 468, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'LDY', 468, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'LEI', 1213, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'LEI', 1213, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'LEI', 1213, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'LEI', 1213, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'LEI', 1213, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'LEJ', 348, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'LGW', 502, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'LGW', 502, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'LGW', 502, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'LGW', 502, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'LGW', 502, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'LIG', 1270, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'LIG', 1270, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'LIG', 1270, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'LIG', 1270, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'LIG', 1270, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'LIL', 1399, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'LIL', 1399, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'BRU', 302, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'DLE', 1309, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'LIS', 1638, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'LNZ', 1611, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'LPA', 1054, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'CCF', 1352, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'EGC', 1265, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'FNI', 1439, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'KGS', 1458, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'LDY', 468, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'LIG', 1270, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'POZ', 674, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'RHO', 1472, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'SZZ', 676, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'TRF', 664, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'LPL', 491, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'LPP', 441, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'LPP', 441, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'LPP', 441, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'LRH', 6493, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'LRH', 6493, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'LRH', 6493, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'LRH', 6493, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'LRH', 6493, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'BZR', 1360, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'FNI', 1439, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'KIR', 601, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'MJV', 1227, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'RZE', 675, '', 0, '738\r'),
	('FR', 4296, 'LTN', 492, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'LUZ', 8832, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'CTA', 1509, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'PMO', 1512, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'RBA', 1072, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'TFN', 1057, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'MAD', 1229, 'TNG', 1080, '', 0, '738\r'),
	('FR', 4296, 'MAH', 1231, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'MAH', 1231, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'MAH', 1231, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'BZR', 1360, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'MJV', 1227, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'PFO', 1198, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'RIX', 3953, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'RZE', 675, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'TLL', 415, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'MAN', 478, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'MJV', 1227, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'MJV', 1227, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'MJV', 1227, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'MJV', 1227, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'MJV', 1227, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'MJV', 1227, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'MJV', 1227, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'MJV', 1227, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'MJV', 1227, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'MJV', 1227, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'TRN', 1526, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'MLA', 1606, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'MMX', 708, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'MMX', 708, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'MPL', 1359, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'MPL', 1359, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'MPL', 1359, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'AGA', 1064, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'BES', 1403, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'BOD', 1264, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'CTA', 1509, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'ESU', 5671, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'LIL', 1399, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'NDR', 5673, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'NTE', 1418, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'OUD', 1070, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'PMO', 1512, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'RBA', 1072, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'TNG', 1080, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'TUF', 1376, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'MRS', 1353, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'MST', 582, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'MST', 582, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'MST', 582, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'MST', 582, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'MST', 582, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'MST', 582, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'MST', 582, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'MST', 582, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'NCE', 1354, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'NCE', 1354, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'NCL', 521, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'NCL', 521, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'NDR', 5673, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'NDR', 5673, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'NDR', 5673, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'NDR', 5673, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'NDR', 5673, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'NOC', 600, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'AOI', 4309, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'BZR', 1360, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'LEI', 1213, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'LPP', 441, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'OUD', 1070, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'PMO', 1512, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'PSR', 1505, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'RIX', 3953, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'SUF', 1508, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'NRN', 4198, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'NTE', 1418, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'NTE', 1418, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'NTE', 1418, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'NUE', 347, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'NUE', 347, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'NUE', 347, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'BIQ', 1280, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'BZR', 1360, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'PFO', 1198, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'RHO', 1472, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'RJK', 1205, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'NYO', 699, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'BOD', 1264, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'BRU', 302, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'CCF', 1352, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'CFE', 1330, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'DLE', 1309, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'DTM', 373, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'EBU', 1350, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'LIL', 1399, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'LRH', 6493, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'MST', 582, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'SXB', 1435, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'TUF', 1376, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'OPO', 1636, 'XCR', 1374, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'LGW', 502, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'ORK', 596, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'OSI', 1202, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'OSR', 1582, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'OTP', 1657, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'OTP', 1657, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'OUD', 1070, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'OUD', 1070, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'OUD', 1070, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'OUD', 1070, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'PDV', 1193, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'PDV', 1193, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PEG', 1567, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'PEG', 1567, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'PEG', 1567, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PEG', 1567, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'PFO', 1198, 'ATH', 3941, '', 0, '738\r'),
	('FR', 4296, 'PFO', 1198, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'PFO', 1198, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'PFO', 1198, 'GPA', 1473, '', 0, '738\r'),
	('FR', 4296, 'PFO', 1198, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'PFO', 1198, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'PFO', 1198, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'PFO', 1198, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'PFO', 1198, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'PFO', 1198, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PGF', 1356, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'PGF', 1356, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'CCF', 1352, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'LDY', 468, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'MJV', 1227, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'RIX', 3953, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'PIK', 537, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'PIS', 1268, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'PIS', 1268, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PMF', 1531, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'PMF', 1531, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'PMF', 1531, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PMF', 1531, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'AAR', 607, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BRU', 302, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'CGN', 344, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'DTM', 373, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'GRQ', 586, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'LBC', 364, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'MST', 582, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'PMI', 3998, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'PMO', 1512, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'PMO', 1512, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'PMO', 1512, 'FCO', 1555, '', 0, '738\r'),
	('FR', 4296, 'PMO', 1512, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'PMO', 1512, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'PMO', 1512, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'PMO', 1512, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'PMO', 1512, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PMO', 1512, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'PMO', 1512, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'POZ', 674, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'POZ', 674, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'POZ', 674, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'POZ', 674, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'POZ', 674, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'POZ', 674, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'POZ', 674, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'POZ', 674, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PRG', 1587, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'PRG', 1587, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'CIY', 9327, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'HAU', 645, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'LBC', 364, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'PMO', 1512, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'SUF', 1508, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'TRF', 664, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'PSA', 1562, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'PSR', 1505, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'PSR', 1505, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'PSR', 1505, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'PSR', 1505, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'PSR', 1505, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'PSR', 1505, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'PSR', 1505, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'PSR', 1505, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'PUY', 1203, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'PUY', 1203, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'PUY', 1203, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'PUY', 1203, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'PUY', 1203, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'DLE', 1309, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'TUF', 1376, '', 0, '738\r'),
	('FR', 4296, 'RAK', 1075, 'XCR', 1374, '', 0, '738\r'),
	('FR', 4296, 'RBA', 1072, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'RBA', 1072, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'RBA', 1072, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'RBA', 1072, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'RBA', 1072, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'RBA', 1072, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'RDZ', 1289, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'RDZ', 1289, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'RDZ', 1289, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'REU', 1236, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'RHO', 1472, 'ATH', 3941, '', 0, '738\r'),
	('FR', 4296, 'RHO', 1472, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'RHO', 1472, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'RHO', 1472, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'RHO', 1472, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'RHO', 1472, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'RHO', 1472, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'RHO', 1472, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'RHO', 1472, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'RHO', 1472, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'RIX', 3953, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'RIX', 3953, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'RIX', 3953, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'RIX', 3953, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'RIX', 3953, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'RIX', 3953, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'RIX', 3953, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'RIX', 3953, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'RIX', 3953, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'RIX', 3953, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'RJK', 1205, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'BZR', 1360, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'KGS', 1458, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'POZ', 674, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'PUY', 1203, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'RHO', 1472, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'RIX', 3953, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'RZE', 675, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'SXF', 337, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'TLL', 415, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'RYG', 657, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'RZE', 675, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'RZE', 675, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'RZE', 675, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'RZE', 675, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'RZE', 675, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'RZE', 675, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'RZE', 675, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'SCQ', 1243, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'SDR', 1251, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'SFT', 726, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'SFT', 726, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'ATH', 3941, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'PFO', 1198, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SKG', 1486, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'LGW', 502, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'NCE', 1354, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'PIS', 1268, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'SXF', 337, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'SNN', 603, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'AAR', 607, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'AOI', 4309, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'ATH', 3941, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BIQ', 1280, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BOD', 1264, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BRQ', 1588, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BSL', 4053, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BVE', 1278, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'BZG', 5591, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'CCF', 1352, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'CFU', 1460, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'CIY', 9327, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'DNR', 1405, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'DTM', 373, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'EFL', 1455, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'EGC', 1265, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'FAO', 1626, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'FEZ', 1066, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'FUE', 1051, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'GOA', 1528, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'HAU', 645, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'KGS', 1458, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'KIR', 601, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'KTW', 671, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'LDE', 1276, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'LDY', 468, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'LEI', 1213, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'LEJ', 348, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'LIG', 1270, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'LIS', 1638, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'LNZ', 1611, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'LRH', 6493, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'LUZ', 8832, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'MJV', 1227, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'MMX', 708, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'NUE', 347, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'OSI', 1202, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'OSR', 1582, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'OTP', 1657, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PDV', 1193, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PEG', 1567, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PFO', 1198, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PGF', 1356, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PIS', 1268, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PMF', 1531, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PMO', 1512, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'POZ', 674, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PRG', 1587, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PSR', 1505, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'PUY', 1203, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'RBA', 1072, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'RDZ', 1289, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'REU', 1236, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'RHO', 1472, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'RIX', 3953, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'RZE', 675, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SFT', 726, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SUF', 1508, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SXB', 1435, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SXF', 337, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SZG', 1612, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'SZZ', 676, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'TGD', 1741, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'TLL', 415, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'TLN', 1438, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'TMP', 458, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'TRF', 664, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'TRN', 1526, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'TRS', 1545, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'TUF', 1376, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'VNO', 3959, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'VST', 733, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'XRY', 1226, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'ZAD', 1209, '', 0, '738\r'),
	('FR', 4296, 'STN', 548, 'ZAZ', 1252, '', 0, '738\r'),
	('FR', 4296, 'SUF', 1508, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'SUF', 1508, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'SUF', 1508, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'SUF', 1508, 'FCO', 1555, '', 0, '738\r'),
	('FR', 4296, 'SUF', 1508, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'SUF', 1508, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'SUF', 1508, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'SUF', 1508, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SUF', 1508, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'BOD', 1264, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'LGW', 502, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'PMO', 1512, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SVQ', 1253, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'SXB', 1435, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'SXB', 1435, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SXF', 337, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'SXF', 337, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'SXF', 337, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'SXF', 337, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'SXF', 337, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'SXF', 337, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SZG', 1612, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'SZZ', 676, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'SZZ', 676, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'SZZ', 676, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'TFN', 1057, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'TFN', 1057, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'BHX', 469, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'BOH', 494, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'CGN', 344, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'EDI', 535, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'LTN', 492, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'MST', 582, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'NOC', 600, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'SVQ', 1253, '', 0, '738\r'),
	('FR', 4296, 'TFS', 1056, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'TGD', 1741, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'TGD', 1741, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'TLL', 415, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'TLL', 415, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'TLL', 415, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'TLL', 415, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'TLL', 415, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'TLL', 415, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'TLN', 1438, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'TMP', 458, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'TMP', 458, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'TMP', 458, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'TMP', 458, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'TMP', 458, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'TMP', 458, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'TMP', 458, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'TMP', 458, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'TNG', 1080, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'TNG', 1080, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'TNG', 1080, 'MAD', 1229, '', 0, '738\r'),
	('FR', 4296, 'TNG', 1080, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'AOI', 4309, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'BTS', 1745, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'CUF', 1534, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'FMM', 3986, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'GOA', 1528, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'KRK', 669, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'KUN', 3956, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'MST', 582, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'PEG', 1567, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'PMF', 1531, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'TRN', 1526, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'TRS', 1545, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'TPS', 1515, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'TRF', 664, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'TRF', 664, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'TRF', 664, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'TRF', 664, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'TRF', 664, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'TRF', 664, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'TRN', 1526, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'TRN', 1526, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'TRN', 1526, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'TRN', 1526, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'TRN', 1526, 'CTA', 1509, '', 0, '738\r'),
	('FR', 4296, 'TRN', 1526, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'TRN', 1526, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'TRN', 1526, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'TRS', 1545, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'TRS', 1545, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'TRS', 1545, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'TRS', 1545, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'TRS', 1545, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'TRS', 1545, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'TRS', 1545, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'AHO', 1517, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'BDS', 1506, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'BRU', 302, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'BUD', 1489, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'CAG', 1519, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'CTA', 1509, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'LBA', 517, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'PMO', 1512, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'SUF', 1508, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'TSF', 1539, 'VLC', 1246, '', 0, '738\r'),
	('FR', 4296, 'TUF', 1376, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'TUF', 1376, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'TUF', 1376, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'TUF', 1376, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'TUF', 1376, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'BRI', 1501, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'BRU', 302, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'IBZ', 1225, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'LPA', 1054, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'MAH', 1231, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'SCQ', 1243, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'SDR', 1251, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'TFS', 1056, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'TRS', 1545, '', 0, '738\r'),
	('FR', 4296, 'VLC', 1246, 'TSF', 1539, '', 0, '738\r'),
	('FR', 4296, 'VLL', 1247, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'BRE', 353, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'VNO', 3959, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'VOL', 1448, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'VOL', 1448, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'VST', 733, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'VST', 733, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'VST', 733, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'VXO', 711, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'EIN', 585, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'GDN', 668, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'PMI', 3998, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'PSA', 1562, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'SKG', 1486, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'TPS', 1515, '', 0, '738\r'),
	('FR', 4296, 'WMI', 8414, 'WRO', 680, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'AGP', 1230, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'ALC', 1212, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'BLQ', 1538, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'BRS', 490, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'CHQ', 1474, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'CIA', 1553, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'EMA', 523, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'GRO', 1222, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'LPL', 491, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'MLA', 1606, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'ORK', 596, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'PIK', 537, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'SNN', 603, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'WRO', 680, 'WMI', 8414, '', 0, '738\r'),
	('FR', 4296, 'XCR', 1374, 'OPO', 1636, '', 0, '738\r'),
	('FR', 4296, 'XCR', 1374, 'RAK', 1075, '', 0, '738\r'),
	('FR', 4296, 'XRY', 1226, 'BCN', 1218, '', 0, '738\r'),
	('FR', 4296, 'XRY', 1226, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'XRY', 1226, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'BLL', 608, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'DUB', 599, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'FKB', 4166, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'GSE', 691, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'HAU', 645, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'HHN', 355, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'MAN', 478, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'MRS', 1353, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'NRN', 4198, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'NYO', 699, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'RYG', 657, '', 0, '738\r'),
	('FR', 4296, 'ZAD', 1209, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'ZAZ', 1252, 'ACE', 1055, '', 0, '738\r'),
	('FR', 4296, 'ZAZ', 1252, 'BGY', 1525, '', 0, '738\r'),
	('FR', 4296, 'ZAZ', 1252, 'BVA', 1367, '', 0, '738\r'),
	('FR', 4296, 'ZAZ', 1252, 'CRL', 304, '', 0, '738\r'),
	('FR', 4296, 'ZAZ', 1252, 'STN', 548, '', 0, '738\r'),
	('FR', 4296, 'ZTH', 1488, 'CRL', 304, '', 0, '738\r'),
	('FS', 4513, 'CDG', 1382, 'DJE', 293, '', 0, '319\r'),
	('FS', 4513, 'CDG', 1382, 'MIR', 286, '', 0, '319\r'),
	('FS', 4513, 'CDG', 1382, 'SFA', 295, '', 0, '319\r'),
	('FS', 4513, 'CDG', 1382, 'TUN', 287, '', 0, '319\r'),
	('FS', 4513, 'DJE', 293, 'CDG', 1382, '', 0, '319\r'),
	('FS', 4513, 'DJE', 293, 'TIP', 1157, '', 0, '319\r'),
	('FS', 4513, 'MIR', 286, 'CDG', 1382, '', 0, '319\r'),
	('FS', 4513, 'MIR', 286, 'TIP', 1157, '', 0, '319\r'),
	('FS', 4513, 'SFA', 295, 'CDG', 1382, '', 0, '319\r'),
	('FS', 4513, 'SFA', 295, 'TIP', 1157, '', 0, '319\r'),
	('FS', 4513, 'TIP', 1157, 'DJE', 293, '', 0, '319\r'),
	('FS', 4513, 'TIP', 1157, 'MIR', 286, '', 0, '319\r'),
	('FS', 4513, 'TIP', 1157, 'SFA', 295, '', 0, '319\r'),
	('FS', 4513, 'TIP', 1157, 'TUN', 287, '', 0, '319\r'),
	('FS', 4513, 'TUN', 287, 'CDG', 1382, '', 0, '319\r'),
	('FS', 4513, 'TUN', 287, 'TIP', 1157, '', 0, '319\r'),
	('FS', 4513, 'YUL', 146, 'TUN', 287, '', 0, '332\r'),
	('FV', 641, 'DUS', 345, 'LED', 2948, '', 0, '319\r'),
	('FV', 641, 'KZN', 2990, 'LED', 2948, '', 0, 'A81\r'),
	('FV', 641, 'LED', 2948, 'DUS', 345, '', 0, '319\r'),
	('FV', 641, 'LED', 2948, 'HAM', 342, '', 0, '319\r'),
	('FV', 641, 'LED', 2948, 'KZN', 2990, '', 0, 'A81\r'),
	('FW', 2826, 'CTS', 2287, 'ITM', 2334, '', 0, 'CRJ\r'),
	('FW', 2826, 'CTS', 2287, 'SDJ', 2347, '', 0, 'CRJ\r'),
	('FW', 2826, 'FKS', 5999, 'ITM', 2334, '', 0, 'CRJ\r'),
	('FW', 2826, 'FUK', 2305, 'ITM', 2334, '', 0, 'CRJ\r'),
	('FW', 2826, 'FUK', 2305, 'KMI', 2308, '', 0, 'CRJ\r'),
	('FW', 2826, 'FUK', 2305, 'KMQ', 2322, '', 0, 'CRJ\r'),
	('FW', 2826, 'FUK', 2305, 'NGO', 3942, '', 0, 'CRJ\r'),
	('FW', 2826, 'FUK', 2305, 'SDJ', 2347, '', 0, 'CRJ\r'),
	('FW', 2826, 'HIJ', 2326, 'NRT', 2279, '', 0, 'CRJ\r'),
	('FW', 2826, 'HIJ', 2326, 'SDJ', 2347, '', 0, 'CRJ\r'),
	('FW', 2826, 'ITM', 2334, 'CTS', 2287, '', 0, 'CRJ\r'),
	('FW', 2826, 'ITM', 2334, 'FKS', 5999, '', 0, 'CRJ\r'),
	('FW', 2826, 'ITM', 2334, 'FUK', 2305, '', 0, 'CRJ\r'),
	('FW', 2826, 'ITM', 2334, 'OIT', 2310, '', 0, 'CRJ\r'),
	('FW', 2826, 'ITM', 2334, 'SDJ', 2347, '', 0, 'CRJ\r'),
	('FW', 2826, 'KMI', 2308, 'FUK', 2305, '', 0, 'CRJ\r'),
	('FW', 2826, 'KMQ', 2322, 'FUK', 2305, '', 0, 'CRJ\r'),
	('FW', 2826, 'KMQ', 2322, 'NRT', 2279, '', 0, 'CRJ\r'),
	('FW', 2826, 'KMQ', 2322, 'SDJ', 2347, '', 0, 'CRJ\r'),
	('FW', 2826, 'NGO', 3942, 'FUK', 2305, '', 0, 'CRJ\r'),
	('FW', 2826, 'NGO', 3942, 'OIT', 2310, '', 0, 'CRJ\r'),
	('FW', 2826, 'NGO', 3942, 'SDJ', 2347, '', 0, 'CRJ\r'),
	('FW', 2826, 'NRT', 2279, 'HIJ', 2326, '', 0, 'CRJ\r'),
	('FW', 2826, 'NRT', 2279, 'KMQ', 2322, '', 0, 'CRJ\r'),
	('FW', 2826, 'OIT', 2310, 'ITM', 2334, '', 0, 'CRJ\r'),
	('FW', 2826, 'OIT', 2310, 'NGO', 3942, '', 0, 'CRJ\r'),
	('FW', 2826, 'SDJ', 2347, 'CTS', 2287, '', 0, 'CRJ\r'),
	('FW', 2826, 'SDJ', 2347, 'FUK', 2305, '', 0, 'CRJ\r'),
	('FW', 2826, 'SDJ', 2347, 'HIJ', 2326, '', 0, 'CRJ\r'),
	('FW', 2826, 'SDJ', 2347, 'ITM', 2334, '', 0, 'CRJ\r'),
	('FW', 2826, 'SDJ', 2347, 'KMQ', 2322, '', 0, 'CRJ\r'),
	('FW', 2826, 'SDJ', 2347, 'NGO', 3942, '', 0, 'CRJ\r'),
	('FY', 2353, 'AOR', 3296, 'SZB', 3408, '', 0, 'AT7\r'),
	('FY', 2353, 'BTH', 3903, 'SZB', 3408, '', 0, 'AT7\r'),
	('FY', 2353, 'BTJ', 3294, 'PEN', 3308, '', 0, 'AT7\r'),
	('FY', 2353, 'HKT', 3179, 'PEN', 3308, '', 0, 'AT7\r'),
	('FY', 2353, 'IPH', 3302, 'SIN', 3316, '', 0, 'AT7\r'),
	('FY', 2353, 'JHB', 3303, 'KBR', 3298, '', 0, 'AT7\r'),
	('FY', 2353, 'JHB', 3303, 'SZB', 3408, '', 0, 'AT7\r'),
	('FY', 2353, 'KBR', 3298, 'JHB', 3303, '', 0, 'AT7\r'),
	('FY', 2353, 'KBR', 3298, 'PEN', 3308, '', 0, 'AT7\r'),
	('FY', 2353, 'KBR', 3298, 'SZB', 3408, '', 0, 'AT7\r'),
	('FY', 2353, 'KTE', 3300, 'SZB', 3408, '', 0, 'AT7\r'),
	('FY', 2353, 'KUA', 3299, 'PEN', 3308, '', 0, 'AT7\r'),
	('FY', 2353, 'KUA', 3299, 'SIN', 3316, '', 0, 'AT7\r'),
	('FY', 2353, 'LGK', 3305, 'PEN', 3308, '', 0, 'AT7\r'),
	('FY', 2353, 'LGK', 3305, 'SZB', 3408, '', 0, 'AT7\r'),
	('FY', 2353, 'PEN', 3308, 'BTJ', 3294, '', 0, 'AT7\r'),
	('FY', 2353, 'PEN', 3308, 'HKT', 3179, '', 0, 'AT7\r'),
	('FY', 2353, 'PEN', 3308, 'KBR', 3298, '', 0, 'AT7\r'),
	('FY', 2353, 'PEN', 3308, 'KUA', 3299, '', 0, 'AT7\r'),
	('FY', 2353, 'PEN', 3308, 'LGK', 3305, '', 0, 'AT7\r'),
	('FY', 2353, 'PEN', 3308, 'SZB', 3408, '', 0, 'AT7\r'),
	('FY', 2353, 'PEN', 3308, 'USM', 3177, '', 0, 'AT7\r'),
	('FY', 2353, 'PKU', 3273, 'SZB', 3408, '', 0, 'AT7\r'),
	('FY', 2353, 'SIN', 3316, 'IPH', 3302, '', 0, 'AT7\r'),
	('FY', 2353, 'SIN', 3316, 'KUA', 3299, '', 0, 'AT7\r'),
	('FY', 2353, 'SIN', 3316, 'SZB', 3408, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'AOR', 3296, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'BTH', 3903, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'JHB', 3303, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'KBR', 3298, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'KTE', 3300, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'LGK', 3305, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'PEN', 3308, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'PKU', 3273, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'SIN', 3316, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'TGG', 3307, '', 0, 'AT7\r'),
	('FY', 2353, 'SZB', 3408, 'USM', 3177, '', 0, 'AT7\r'),
	('FY', 2353, 'TGG', 3307, 'SZB', 3408, '', 0, 'AT7\r'),
	('FY', 2353, 'USM', 3177, 'PEN', 3308, '', 0, 'AT7\r'),
	('FY', 2353, 'USM', 3177, 'SZB', 3408, '', 0, 'AT7\r'),
	('FZ', 14485, 'ADD', 1107, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'AHB', 2059, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'AMD', 2994, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'AMM', 2170, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'AMM', 2170, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'ASB', 2976, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'BAH', 2057, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'BAH', 2057, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'BEG', 1739, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'BEY', 2177, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'BGW', 4130, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'BSR', 2234, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'CGP', 3069, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'CMB', 3024, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'DAC', 3076, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'DMM', 2064, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'DMM', 2064, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'DOH', 2241, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'DOH', 2241, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'DOK', 2940, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'AMD', 2994, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'AMM', 2170, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'BAH', 2057, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'BEY', 2177, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'CGP', 3069, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'CMB', 3024, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'DMM', 2064, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'DOH', 2241, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'DOK', 2940, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'IEV', 2944, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'JED', 2072, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'KBL', 2050, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'KIV', 1735, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'KRT', 1175, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'KTM', 3125, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'KUF', 4118, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'KWI', 2176, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'KZN', 2990, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'MCT', 2194, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'MLE', 3156, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'ODS', 2947, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'RUH', 2082, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'SVX', 2975, '', 0, '73H\r'),
	('FZ', 14485, 'DWC', 8076, 'UFA', 2992, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'ADD', 1107, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'AHB', 2059, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'AMM', 2170, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'ASB', 2976, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'BAH', 2057, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'BEG', 1739, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'BGW', 4130, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'BSR', 2234, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'DAC', 3076, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'DMM', 2064, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'DOH', 2241, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'DYU', 2979, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'EBL', 3989, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'ELQ', 2067, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'EVN', 3964, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'FRU', 2912, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'GYD', 2922, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'HAS', 2069, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'HBE', 3410, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'HRK', 6105, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'HYD', 3141, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'ISU', 5952, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'JED', 2072, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'JIB', 4119, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'JUB', 1173, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'KBL', 2050, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'KHI', 2206, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'KRR', 2960, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'KRT', 1175, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'KTM', 3125, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'KWI', 2176, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'LKO', 3105, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'MCT', 2194, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'MED', 2074, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'MRV', 2962, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'MUX', 2214, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'NJF', 7490, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'OTP', 1657, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'PZU', 5702, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'ROV', 2964, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'SAH', 3980, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'SAW', 4317, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'SKP', 1737, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'SKT', 6776, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'SLL', 2195, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'TBS', 3973, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'TIF', 2090, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'TUU', 2089, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'VOG', 2967, '', 0, '73H\r'),
	('FZ', 14485, 'DXB', 2188, 'YNB', 2096, '', 0, '73H\r'),
	('FZ', 14485, 'DYU', 2979, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'EBL', 3989, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'ELQ', 2067, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'EVN', 3964, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'FRU', 2912, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'GYD', 2922, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'HAS', 2069, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'HBE', 3410, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'HRK', 6105, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'HYD', 3141, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'IEV', 2944, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'ISU', 5952, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'JED', 2072, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'JED', 2072, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'JIB', 4119, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'JUB', 1173, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'KBL', 2050, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'KBL', 2050, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'KHI', 2206, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'KIV', 1735, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'KRR', 2960, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'KRT', 1175, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'KRT', 1175, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'KTM', 3125, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'KTM', 3125, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'KUF', 4118, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'KWI', 2176, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'KWI', 2176, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'KZN', 2990, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'LKO', 3105, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'MCT', 2194, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'MCT', 2194, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'MED', 2074, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'MLE', 3156, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'MRV', 2962, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'MUX', 2214, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'NJF', 7490, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'ODS', 2947, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'OTP', 1657, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'PZU', 5702, 'KRT', 1175, '', 0, '73H\r'),
	('FZ', 14485, 'ROV', 2964, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'RUH', 2082, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'SAH', 3980, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'SAW', 4317, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'SKP', 1737, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'SKT', 6776, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'SLL', 2195, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'SVX', 2975, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'TBS', 3973, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'TIF', 2090, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'TUU', 2089, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'UFA', 2992, 'DWC', 8076, '', 0, '73H\r'),
	('FZ', 14485, 'VOG', 2967, 'DXB', 2188, '', 0, '73H\r'),
	('FZ', 14485, 'YNB', 2096, 'DXB', 2188, '', 0, '73H\r'),
	('G3', 1790, 'AEP', 2442, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'AJU', 2522, 'GIG', 2560, '', 0, '738 73G\r'),
	('G3', 1790, 'AJU', 2522, 'GRU', 2564, '', 0, '73G 738\r'),
	('G3', 1790, 'AJU', 2522, 'SSA', 2621, '', 0, '738\r'),
	('G3', 1790, 'ASU', 2699, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'AUA', 2895, 'CCS', 2851, '', 0, '738\r'),
	('G3', 1790, 'BEL', 2526, 'BSB', 2531, '', 0, '738 73G\r'),
	('G3', 1790, 'BEL', 2526, 'FOR', 2559, '', 0, '738 73G\r'),
	('G3', 1790, 'BEL', 2526, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'BEL', 2526, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'BEL', 2526, 'MAB', 2584, '', 0, '73G 738\r'),
	('G3', 1790, 'BEL', 2526, 'MAO', 2551, '', 0, '73G\r'),
	('G3', 1790, 'BEL', 2526, 'MCP', 2591, '', 0, '738 73G\r'),
	('G3', 1790, 'BEL', 2526, 'SLZ', 2616, '', 0, '738\r'),
	('G3', 1790, 'BEL', 2526, 'STM', 4092, '', 0, '73G 738\r'),
	('G3', 1790, 'BGI', 2875, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'BPS', 4209, 'CNF', 2537, '', 0, '738\r'),
	('G3', 1790, 'BPS', 4209, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'BPS', 4209, 'SSA', 2621, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'BEL', 2526, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'CGB', 2548, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'CGH', 2618, '', 0, '738 73G\r'),
	('G3', 1790, 'BSB', 2531, 'CGR', 2538, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'CNF', 2537, '', 0, '738 73G\r'),
	('G3', 1790, 'BSB', 2531, 'CWB', 2545, '', 0, '73G 738\r'),
	('G3', 1790, 'BSB', 2531, 'FOR', 2559, '', 0, '73G 738\r'),
	('G3', 1790, 'BSB', 2531, 'GIG', 2560, '', 0, '738 73G\r'),
	('G3', 1790, 'BSB', 2531, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'BSB', 2531, 'GYN', 2562, '', 0, '738 73G\r'),
	('G3', 1790, 'BSB', 2531, 'IMP', 2572, '', 0, '73G\r'),
	('G3', 1790, 'BSB', 2531, 'JPA', 2575, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'MAB', 2584, '', 0, '738 73G\r'),
	('G3', 1790, 'BSB', 2531, 'MAO', 2551, '', 0, '738 73G\r'),
	('G3', 1790, 'BSB', 2531, 'MCZ', 2590, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'NAT', 2597, '', 0, '73G 738\r'),
	('G3', 1790, 'BSB', 2531, 'PMW', 4214, '', 0, '738 73G\r'),
	('G3', 1790, 'BSB', 2531, 'POA', 2599, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'PVH', 2607, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'RBR', 2609, '', 0, '73G\r'),
	('G3', 1790, 'BSB', 2531, 'REC', 2610, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'SDU', 2612, '', 0, '738 73G\r'),
	('G3', 1790, 'BSB', 2531, 'SLZ', 2616, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'SSA', 2621, '', 0, '738\r'),
	('G3', 1790, 'BSB', 2531, 'THE', 2623, '', 0, '73G 738\r'),
	('G3', 1790, 'BSB', 2531, 'VCP', 2578, '', 0, '738\r'),
	('G3', 1790, 'BVB', 2533, 'MAO', 2551, '', 0, '738 73G\r'),
	('G3', 1790, 'CCS', 2851, 'AUA', 2895, '', 0, '738\r'),
	('G3', 1790, 'CCS', 2851, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'CCS', 2851, 'PUJ', 1760, '', 0, '738\r'),
	('G3', 1790, 'CGB', 2548, 'BSB', 2531, '', 0, '738\r'),
	('G3', 1790, 'CGB', 2548, 'CGH', 2618, '', 0, '738\r'),
	('G3', 1790, 'CGB', 2548, 'CGR', 2538, '', 0, '738\r'),
	('G3', 1790, 'CGB', 2548, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'CGB', 2548, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'CGB', 2548, 'PVH', 2607, '', 0, '73G\r'),
	('G3', 1790, 'CGH', 2618, 'BSB', 2531, '', 0, '738 73G\r'),
	('G3', 1790, 'CGH', 2618, 'CGB', 2548, '', 0, '738\r'),
	('G3', 1790, 'CGH', 2618, 'CGR', 2538, '', 0, '738 73G\r'),
	('G3', 1790, 'CGH', 2618, 'CLV', 4215, '', 0, '73G\r'),
	('G3', 1790, 'CGH', 2618, 'CNF', 2537, '', 0, '738 73G\r'),
	('G3', 1790, 'CGH', 2618, 'CWB', 2545, '', 0, '738 73G\r'),
	('G3', 1790, 'CGH', 2618, 'CXJ', 2547, '', 0, '73G 738\r'),
	('G3', 1790, 'CGH', 2618, 'FLN', 2555, '', 0, '73G 738\r'),
	('G3', 1790, 'CGH', 2618, 'GIG', 2560, '', 0, '738 73G\r'),
	('G3', 1790, 'CGH', 2618, 'GYN', 2562, '', 0, '738 73G\r'),
	('G3', 1790, 'CGH', 2618, 'JOI', 2576, '', 0, '73G\r'),
	('G3', 1790, 'CGH', 2618, 'JTC', 8238, '', 0, '73G\r'),
	('G3', 1790, 'CGH', 2618, 'LDB', 2581, '', 0, '73G\r'),
	('G3', 1790, 'CGH', 2618, 'MGF', 2586, '', 0, '738 73G\r'),
	('G3', 1790, 'CGH', 2618, 'NVT', 2595, '', 0, '73G\r'),
	('G3', 1790, 'CGH', 2618, 'POA', 2599, '', 0, '738 73G\r'),
	('G3', 1790, 'CGH', 2618, 'PPB', 2550, '', 0, '73G\r'),
	('G3', 1790, 'CGH', 2618, 'SDU', 2612, '', 0, '738\r'),
	('G3', 1790, 'CGH', 2618, 'SSA', 2621, '', 0, '738 73G\r'),
	('G3', 1790, 'CGH', 2618, 'UDI', 2633, '', 0, '73G 738\r'),
	('G3', 1790, 'CGH', 2618, 'VIX', 2638, '', 0, '73G 738\r'),
	('G3', 1790, 'CGR', 2538, 'BSB', 2531, '', 0, '738\r'),
	('G3', 1790, 'CGR', 2538, 'CGB', 2548, '', 0, '73G\r'),
	('G3', 1790, 'CGR', 2538, 'CGH', 2618, '', 0, '738 73G\r'),
	('G3', 1790, 'CGR', 2538, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'CGR', 2538, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'CGR', 2538, 'MGF', 2586, '', 0, '738\r'),
	('G3', 1790, 'CLV', 4215, 'CGH', 2618, '', 0, '73G\r'),
	('G3', 1790, 'CNF', 2537, 'BPS', 4209, '', 0, '738\r'),
	('G3', 1790, 'CNF', 2537, 'BSB', 2531, '', 0, '738 73G\r'),
	('G3', 1790, 'CNF', 2537, 'CGH', 2618, '', 0, '738 73G\r'),
	('G3', 1790, 'CNF', 2537, 'GIG', 2560, '', 0, '738 73G\r'),
	('G3', 1790, 'CNF', 2537, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'CNF', 2537, 'GYN', 2562, '', 0, '73G\r'),
	('G3', 1790, 'CNF', 2537, 'IOS', 2569, '', 0, '73G\r'),
	('G3', 1790, 'CNF', 2537, 'MOC', 2587, '', 0, '73G\r'),
	('G3', 1790, 'CNF', 2537, 'REC', 2610, '', 0, '738\r'),
	('G3', 1790, 'CNF', 2537, 'SDU', 2612, '', 0, '738 73G\r'),
	('G3', 1790, 'CNF', 2537, 'SSA', 2621, '', 0, '738\r'),
	('G3', 1790, 'CNF', 2537, 'UDI', 2633, '', 0, '738 73G\r'),
	('G3', 1790, 'CNF', 2537, 'VCP', 2578, '', 0, '738\r'),
	('G3', 1790, 'CNF', 2537, 'VIX', 2638, '', 0, '73G 738\r'),
	('G3', 1790, 'COR', 2443, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'CPV', 2577, 'SSA', 2621, '', 0, '738 73G\r'),
	('G3', 1790, 'CWB', 2545, 'BSB', 2531, '', 0, '738 73G\r'),
	('G3', 1790, 'CWB', 2545, 'CGH', 2618, '', 0, '738 73G\r'),
	('G3', 1790, 'CWB', 2545, 'EZE', 3988, '', 0, '73G\r'),
	('G3', 1790, 'CWB', 2545, 'GIG', 2560, '', 0, '73G 738\r'),
	('G3', 1790, 'CWB', 2545, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'CWB', 2545, 'IGU', 2554, '', 0, '738\r'),
	('G3', 1790, 'CWB', 2545, 'LDB', 2581, '', 0, '738 73G\r'),
	('G3', 1790, 'CWB', 2545, 'MGF', 2586, '', 0, '73G 738\r'),
	('G3', 1790, 'CWB', 2545, 'POA', 2599, '', 0, '73G 738\r'),
	('G3', 1790, 'CWB', 2545, 'VCP', 2578, '', 0, '73G\r'),
	('G3', 1790, 'CXJ', 2547, 'CGH', 2618, '', 0, '73G 738\r'),
	('G3', 1790, 'CZS', 2549, 'RBR', 2609, '', 0, '73G\r'),
	('G3', 1790, 'DTW', 3645, 'GRU', 2564, '', 0, '76W\r'),
	('G3', 1790, 'EZE', 3988, 'CWB', 2545, '', 0, '73G\r'),
	('G3', 1790, 'EZE', 3988, 'FLN', 2555, '', 0, '738\r'),
	('G3', 1790, 'EZE', 3988, 'FOR', 2559, '', 0, '738\r'),
	('G3', 1790, 'EZE', 3988, 'GIG', 2560, '', 0, '73G\r'),
	('G3', 1790, 'EZE', 3988, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'EZE', 3988, 'POA', 2599, '', 0, '738\r'),
	('G3', 1790, 'FEN', 2556, 'REC', 2610, '', 0, '73G\r'),
	('G3', 1790, 'FLN', 2555, 'CGH', 2618, '', 0, '73G 738\r'),
	('G3', 1790, 'FLN', 2555, 'EZE', 3988, '', 0, '738\r'),
	('G3', 1790, 'FLN', 2555, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'FLN', 2555, 'GRU', 2564, '', 0, '73G 738\r'),
	('G3', 1790, 'FLN', 2555, 'POA', 2599, '', 0, '73G 738\r'),
	('G3', 1790, 'FLN', 2555, 'XAP', 2539, '', 0, '73G\r'),
	('G3', 1790, 'FOR', 2559, 'BEL', 2526, '', 0, '73G 738\r'),
	('G3', 1790, 'FOR', 2559, 'BSB', 2531, '', 0, '738\r'),
	('G3', 1790, 'FOR', 2559, 'EZE', 3988, '', 0, '738\r'),
	('G3', 1790, 'FOR', 2559, 'GIG', 2560, '', 0, '73G 738\r'),
	('G3', 1790, 'FOR', 2559, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'FOR', 2559, 'NAT', 2597, '', 0, '738 73G\r'),
	('G3', 1790, 'FOR', 2559, 'REC', 2610, '', 0, '738 73G\r'),
	('G3', 1790, 'FOR', 2559, 'SLZ', 2616, '', 0, '738\r'),
	('G3', 1790, 'FOR', 2559, 'SSA', 2621, '', 0, '738\r'),
	('G3', 1790, 'FOR', 2559, 'THE', 2623, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'AJU', 2522, '', 0, '738 73G\r'),
	('G3', 1790, 'GIG', 2560, 'BEL', 2526, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'BSB', 2531, '', 0, '738 73G\r'),
	('G3', 1790, 'GIG', 2560, 'CGB', 2548, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'CGH', 2618, '', 0, '738 73G\r'),
	('G3', 1790, 'GIG', 2560, 'CGR', 2538, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'CNF', 2537, '', 0, '738 73G\r'),
	('G3', 1790, 'GIG', 2560, 'CWB', 2545, '', 0, '738 73G\r'),
	('G3', 1790, 'GIG', 2560, 'EZE', 3988, '', 0, '73G\r'),
	('G3', 1790, 'GIG', 2560, 'FLN', 2555, '', 0, '73G\r'),
	('G3', 1790, 'GIG', 2560, 'FOR', 2559, '', 0, '738 73G\r'),
	('G3', 1790, 'GIG', 2560, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'GIG', 2560, 'GYN', 2562, '', 0, '73G\r'),
	('G3', 1790, 'GIG', 2560, 'IGU', 2554, '', 0, '73G\r'),
	('G3', 1790, 'GIG', 2560, 'JPA', 2575, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'MAO', 2551, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'MCZ', 2590, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'NAT', 2597, '', 0, '738 73G\r'),
	('G3', 1790, 'GIG', 2560, 'NVT', 2595, '', 0, '73G\r'),
	('G3', 1790, 'GIG', 2560, 'POA', 2599, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'REC', 2610, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'SDQ', 1762, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'SLZ', 2616, '', 0, '738\r'),
	('G3', 1790, 'GIG', 2560, 'SSA', 2621, '', 0, '738 73G\r'),
	('G3', 1790, 'GIG', 2560, 'VCP', 2578, '', 0, '73G\r'),
	('G3', 1790, 'GIG', 2560, 'VIX', 2638, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'AEP', 2442, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'AJU', 2522, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'ASU', 2699, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'BEL', 2526, '', 0, '73G 738\r'),
	('G3', 1790, 'GRU', 2564, 'BGI', 2875, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'BPS', 4209, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'BSB', 2531, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'CCS', 2851, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'CGB', 2548, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'CGR', 2538, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'CNF', 2537, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'COR', 2443, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'CWB', 2545, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'DTW', 3645, '', 0, '76W\r'),
	('G3', 1790, 'GRU', 2564, 'EZE', 3988, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'FLN', 2555, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'FOR', 2559, '', 0, '73G 738\r'),
	('G3', 1790, 'GRU', 2564, 'GIG', 2560, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'GYN', 2562, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'IGU', 2554, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'JFK', 3797, '', 0, '764\r'),
	('G3', 1790, 'GRU', 2564, 'JPA', 2575, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'LDB', 2581, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'MAO', 2551, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'MCZ', 2590, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'MGF', 2586, '', 0, '73G\r'),
	('G3', 1790, 'GRU', 2564, 'MVD', 2816, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'NAT', 2597, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'NVT', 2595, '', 0, '73G\r'),
	('G3', 1790, 'GRU', 2564, 'POA', 2599, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'REC', 2610, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'ROS', 2440, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'SDQ', 1762, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'SDU', 2612, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'SLZ', 2616, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'SSA', 2621, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'THE', 2623, '', 0, '738\r'),
	('G3', 1790, 'GRU', 2564, 'UDI', 2633, '', 0, '73G\r'),
	('G3', 1790, 'GRU', 2564, 'VIX', 2638, '', 0, '738 73G\r'),
	('G3', 1790, 'GRU', 2564, 'VVI', 2771, '', 0, '738\r'),
	('G3', 1790, 'GYN', 2562, 'BSB', 2531, '', 0, '73G 738\r'),
	('G3', 1790, 'GYN', 2562, 'CGH', 2618, '', 0, '738 73G\r'),
	('G3', 1790, 'GYN', 2562, 'CNF', 2537, '', 0, '738\r'),
	('G3', 1790, 'GYN', 2562, 'GIG', 2560, '', 0, '73G\r'),
	('G3', 1790, 'GYN', 2562, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'IGU', 2554, 'CWB', 2545, '', 0, '738\r'),
	('G3', 1790, 'IGU', 2554, 'GIG', 2560, '', 0, '73G 738\r'),
	('G3', 1790, 'IGU', 2554, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'IMP', 2572, 'BSB', 2531, '', 0, '73G\r'),
	('G3', 1790, 'IMP', 2572, 'SLZ', 2616, '', 0, '73G\r'),
	('G3', 1790, 'IOS', 2569, 'CNF', 2537, '', 0, '73G\r'),
	('G3', 1790, 'IOS', 2569, 'SSA', 2621, '', 0, '73G\r'),
	('G3', 1790, 'JDO', 6034, 'REC', 2610, '', 0, '73G\r'),
	('G3', 1790, 'JFK', 3797, 'GRU', 2564, '', 0, '764\r'),
	('G3', 1790, 'JOI', 2576, 'CGH', 2618, '', 0, '73G\r'),
	('G3', 1790, 'JPA', 2575, 'BSB', 2531, '', 0, '738\r'),
	('G3', 1790, 'JPA', 2575, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'JPA', 2575, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'JTC', 8238, 'CGH', 2618, '', 0, '73G\r'),
	('G3', 1790, 'LDB', 2581, 'CGH', 2618, '', 0, '738 73G\r'),
	('G3', 1790, 'LDB', 2581, 'CWB', 2545, '', 0, '73G 738\r'),
	('G3', 1790, 'LDB', 2581, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'MAB', 2584, 'BEL', 2526, '', 0, '73G 738\r'),
	('G3', 1790, 'MAB', 2584, 'BSB', 2531, '', 0, '73G 738\r'),
	('G3', 1790, 'MAO', 2551, 'BEL', 2526, '', 0, '73G\r'),
	('G3', 1790, 'MAO', 2551, 'BSB', 2531, '', 0, '738 73G\r'),
	('G3', 1790, 'MAO', 2551, 'BVB', 2533, '', 0, '738 73G\r'),
	('G3', 1790, 'MAO', 2551, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'MAO', 2551, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'MAO', 2551, 'PVH', 2607, '', 0, '73G 738\r'),
	('G3', 1790, 'MAO', 2551, 'STM', 4092, '', 0, '738\r'),
	('G3', 1790, 'MCO', 3878, 'SDQ', 1762, '', 0, '738\r'),
	('G3', 1790, 'MCP', 2591, 'BEL', 2526, '', 0, '738 73G\r'),
	('G3', 1790, 'MCZ', 2590, 'BSB', 2531, '', 0, '738\r'),
	('G3', 1790, 'MCZ', 2590, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'MCZ', 2590, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'MCZ', 2590, 'SSA', 2621, '', 0, '738\r'),
	('G3', 1790, 'MGF', 2586, 'CGH', 2618, '', 0, '738 73G\r'),
	('G3', 1790, 'MGF', 2586, 'CGR', 2538, '', 0, '73G\r'),
	('G3', 1790, 'MGF', 2586, 'CWB', 2545, '', 0, '73G 738\r'),
	('G3', 1790, 'MGF', 2586, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'MIA', 3576, 'SDQ', 1762, '', 0, '738\r'),
	('G3', 1790, 'MOC', 2587, 'CNF', 2537, '', 0, '73G\r'),
	('G3', 1790, 'MVD', 2816, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'MVD', 2816, 'POA', 2599, '', 0, '738\r'),
	('G3', 1790, 'NAT', 2597, 'BSB', 2531, '', 0, '738 73G\r'),
	('G3', 1790, 'NAT', 2597, 'FOR', 2559, '', 0, '738\r'),
	('G3', 1790, 'NAT', 2597, 'GIG', 2560, '', 0, '738 73G\r'),
	('G3', 1790, 'NAT', 2597, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'NAT', 2597, 'SSA', 2621, '', 0, '738\r'),
	('G3', 1790, 'NVT', 2595, 'CGH', 2618, '', 0, '73G\r'),
	('G3', 1790, 'NVT', 2595, 'GIG', 2560, '', 0, '73G\r'),
	('G3', 1790, 'NVT', 2595, 'GRU', 2564, '', 0, '73G\r'),
	('G3', 1790, 'PMW', 4214, 'BSB', 2531, '', 0, '73G 738\r'),
	('G3', 1790, 'PNZ', 2604, 'REC', 2610, '', 0, '738\r'),
	('G3', 1790, 'POA', 2599, 'BSB', 2531, '', 0, '738\r'),
	('G3', 1790, 'POA', 2599, 'CGH', 2618, '', 0, '738 73G\r'),
	('G3', 1790, 'POA', 2599, 'CWB', 2545, '', 0, '73G 738\r'),
	('G3', 1790, 'POA', 2599, 'EZE', 3988, '', 0, '738\r'),
	('G3', 1790, 'POA', 2599, 'FLN', 2555, '', 0, '73G 738\r'),
	('G3', 1790, 'POA', 2599, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'POA', 2599, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'POA', 2599, 'MVD', 2816, '', 0, '738\r'),
	('G3', 1790, 'PPB', 2550, 'CGH', 2618, '', 0, '73G\r'),
	('G3', 1790, 'PUJ', 1760, 'CCS', 2851, '', 0, '738\r'),
	('G3', 1790, 'PVH', 2607, 'BSB', 2531, '', 0, '738\r'),
	('G3', 1790, 'PVH', 2607, 'CGB', 2548, '', 0, '738\r'),
	('G3', 1790, 'PVH', 2607, 'MAO', 2551, '', 0, '73G\r'),
	('G3', 1790, 'PVH', 2607, 'RBR', 2609, '', 0, '73G\r'),
	('G3', 1790, 'RBR', 2609, 'BSB', 2531, '', 0, '73G\r'),
	('G3', 1790, 'RBR', 2609, 'CZS', 2549, '', 0, '73G\r'),
	('G3', 1790, 'RBR', 2609, 'PVH', 2607, '', 0, '73G\r'),
	('G3', 1790, 'REC', 2610, 'BSB', 2531, '', 0, '738\r'),
	('G3', 1790, 'REC', 2610, 'CNF', 2537, '', 0, '738\r'),
	('G3', 1790, 'REC', 2610, 'FEN', 2556, '', 0, '73G\r'),
	('G3', 1790, 'REC', 2610, 'FOR', 2559, '', 0, '738 73G\r'),
	('G3', 1790, 'REC', 2610, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'REC', 2610, 'GRU', 2564, '', 0, '73G 738\r'),
	('G3', 1790, 'REC', 2610, 'JDO', 6034, '', 0, '73G\r'),
	('G3', 1790, 'REC', 2610, 'PNZ', 2604, '', 0, '738\r'),
	('G3', 1790, 'REC', 2610, 'SSA', 2621, '', 0, '738 73G\r'),
	('G3', 1790, 'ROS', 2440, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'SDQ', 1762, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'SDQ', 1762, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'SDQ', 1762, 'MCO', 3878, '', 0, '738\r'),
	('G3', 1790, 'SDQ', 1762, 'MIA', 3576, '', 0, '738\r'),
	('G3', 1790, 'SDU', 2612, 'BSB', 2531, '', 0, '738 73G\r'),
	('G3', 1790, 'SDU', 2612, 'CGH', 2618, '', 0, '738\r'),
	('G3', 1790, 'SDU', 2612, 'CNF', 2537, '', 0, '73G 738\r'),
	('G3', 1790, 'SDU', 2612, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'SDU', 2612, 'VIX', 2638, '', 0, '73G 738\r'),
	('G3', 1790, 'SLZ', 2616, 'BEL', 2526, '', 0, '738\r'),
	('G3', 1790, 'SLZ', 2616, 'BSB', 2531, '', 0, '738\r'),
	('G3', 1790, 'SLZ', 2616, 'FOR', 2559, '', 0, '738\r'),
	('G3', 1790, 'SLZ', 2616, 'GIG', 2560, '', 0, '738\r'),
	('G3', 1790, 'SLZ', 2616, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'SLZ', 2616, 'IMP', 2572, '', 0, '73G\r'),
	('G3', 1790, 'SSA', 2621, 'AJU', 2522, '', 0, '738\r'),
	('G3', 1790, 'SSA', 2621, 'BPS', 4209, '', 0, '738\r'),
	('G3', 1790, 'SSA', 2621, 'BSB', 2531, '', 0, '738\r'),
	('G3', 1790, 'SSA', 2621, 'CGH', 2618, '', 0, '738 73G\r'),
	('G3', 1790, 'SSA', 2621, 'CNF', 2537, '', 0, '738\r'),
	('G3', 1790, 'SSA', 2621, 'CPV', 2577, '', 0, '738 73G\r'),
	('G3', 1790, 'SSA', 2621, 'FOR', 2559, '', 0, '738\r'),
	('G3', 1790, 'SSA', 2621, 'GIG', 2560, '', 0, '73G 738\r'),
	('G3', 1790, 'SSA', 2621, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'SSA', 2621, 'IOS', 2569, '', 0, '73G\r'),
	('G3', 1790, 'SSA', 2621, 'MCZ', 2590, '', 0, '738\r'),
	('G3', 1790, 'SSA', 2621, 'NAT', 2597, '', 0, '738\r'),
	('G3', 1790, 'SSA', 2621, 'REC', 2610, '', 0, '73G 738\r'),
	('G3', 1790, 'SSA', 2621, 'VIX', 2638, '', 0, '73G\r'),
	('G3', 1790, 'STM', 4092, 'BEL', 2526, '', 0, '73G 738\r'),
	('G3', 1790, 'STM', 4092, 'MAO', 2551, '', 0, '738\r'),
	('G3', 1790, 'THE', 2623, 'BSB', 2531, '', 0, '73G 738\r'),
	('G3', 1790, 'THE', 2623, 'FOR', 2559, '', 0, '738\r'),
	('G3', 1790, 'THE', 2623, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'UDI', 2633, 'CGH', 2618, '', 0, '73G 738\r'),
	('G3', 1790, 'UDI', 2633, 'CNF', 2537, '', 0, '738 73G\r'),
	('G3', 1790, 'UDI', 2633, 'GRU', 2564, '', 0, '73G\r'),
	('G3', 1790, 'VCP', 2578, 'BSB', 2531, '', 0, '738 73G\r'),
	('G3', 1790, 'VCP', 2578, 'CNF', 2537, '', 0, '738\r'),
	('G3', 1790, 'VCP', 2578, 'CWB', 2545, '', 0, '73G\r'),
	('G3', 1790, 'VCP', 2578, 'GIG', 2560, '', 0, '738 73G\r'),
	('G3', 1790, 'VIX', 2638, 'CGH', 2618, '', 0, '738\r'),
	('G3', 1790, 'VIX', 2638, 'CNF', 2537, '', 0, '738\r'),
	('G3', 1790, 'VIX', 2638, 'GIG', 2560, '', 0, '738 73G\r'),
	('G3', 1790, 'VIX', 2638, 'GRU', 2564, '', 0, '738 73G\r'),
	('G3', 1790, 'VIX', 2638, 'SDU', 2612, '', 0, '738 73G\r'),
	('G3', 1790, 'VIX', 2638, 'SSA', 2621, '', 0, '73G\r'),
	('G3', 1790, 'VVI', 2771, 'GRU', 2564, '', 0, '738\r'),
	('G3', 1790, 'XAP', 2539, 'FLN', 2555, '', 0, '73G\r'),
	('G4', 35, 'ABE', 4355, 'MYR', 3515, '', 0, 'M80\r'),
	('G4', 35, 'ABE', 4355, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'ABE', 4355, 'PIE', 3617, '', 0, 'M80 320\r'),
	('G4', 35, 'ABE', 4355, 'SFB', 4167, '', 0, '320 M80\r'),
	('G4', 35, 'ATW', 4047, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'ATW', 4047, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'ATW', 4047, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'AUS', 3673, 'LAS', 3877, '', 0, 'M80 757\r'),
	('G4', 35, 'AVL', 4007, 'FLL', 3533, '', 0, 'M80\r'),
	('G4', 35, 'AVL', 4007, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'AVL', 4007, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'AVL', 4007, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'AVP', 4286, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'ATW', 4047, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'BIL', 4021, '', 0, '319\r'),
	('G4', 35, 'AZA', 6505, 'BIS', 4083, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'BLI', 3777, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'BZN', 4020, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'CID', 4043, '', 0, 'M80 319\r'),
	('G4', 35, 'AZA', 6505, 'DLH', 3598, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'EUG', 4099, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'FAR', 4292, '', 0, 'M80 319\r'),
	('G4', 35, 'AZA', 6505, 'FSD', 4009, '', 0, 'M80 319\r'),
	('G4', 35, 'AZA', 6505, 'FWA', 4041, '', 0, '319\r'),
	('G4', 35, 'AZA', 6505, 'GFK', 3442, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'GRI', 5740, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'GRR', 3685, '', 0, '319\r'),
	('G4', 35, 'AZA', 6505, 'GTF', 3880, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'ICT', 3457, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'IDA', 4100, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'MLI', 4072, '', 0, '319\r'),
	('G4', 35, 'AZA', 6505, 'MOT', 3498, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'MSO', 4216, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'OAK', 3453, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'PIA', 4046, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'PSC', 6133, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'PVU', 7579, '', 0, '319\r'),
	('G4', 35, 'AZA', 6505, 'RAP', 4087, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'RFD', 4028, '', 0, '319\r'),
	('G4', 35, 'AZA', 6505, 'RST', 4048, '', 0, '319\r'),
	('G4', 35, 'AZA', 6505, 'SBN', 4359, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'SGF', 4348, '', 0, 'M80\r'),
	('G4', 35, 'AZA', 6505, 'STC', 4271, '', 0, '319\r'),
	('G4', 35, 'BGR', 3463, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'BGR', 3463, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'BIL', 4021, 'AZA', 6505, '', 0, '319\r'),
	('G4', 35, 'BIL', 4021, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'BIS', 4083, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'BIS', 4083, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'BIS', 4083, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'BLI', 3777, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'BLI', 3777, 'LAS', 3877, '', 0, 'M80 757\r'),
	('G4', 35, 'BLI', 3777, 'LAX', 3484, '', 0, 'M80\r'),
	('G4', 35, 'BLI', 3777, 'OAK', 3453, '', 0, 'M80\r'),
	('G4', 35, 'BLI', 3777, 'PSP', 3839, '', 0, 'M80\r'),
	('G4', 35, 'BLI', 3777, 'SAN', 3731, '', 0, 'M80\r'),
	('G4', 35, 'BLV', 3790, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'BMI', 4037, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'BOI', 3495, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'BTV', 3711, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'BZN', 4020, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'BZN', 4020, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'CHA', 3578, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'CHA', 3578, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'CID', 4043, 'AZA', 6505, '', 0, 'M80 319\r'),
	('G4', 35, 'CID', 4043, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'CID', 4043, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'CID', 4043, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'CID', 4043, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'CKB', 5730, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'COS', 3819, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'CPR', 3872, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'CVG', 3488, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'CVG', 3488, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'DLH', 3598, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'DLH', 3598, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'DSM', 3729, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'DSM', 3729, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'DSM', 3729, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'DSM', 3729, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'ELM', 3946, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'ELM', 3946, 'SFB', 4167, '', 0, '320 M80\r'),
	('G4', 35, 'EUG', 4099, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'EUG', 4099, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'EUG', 4099, 'LAX', 3484, '', 0, 'M80\r'),
	('G4', 35, 'EUG', 4099, 'OAK', 3453, '', 0, 'M80\r'),
	('G4', 35, 'FAR', 4292, 'AZA', 6505, '', 0, 'M80 319\r'),
	('G4', 35, 'FAR', 4292, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'FAR', 4292, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'FAR', 4292, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'FAT', 3687, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'FCA', 4127, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'FLL', 3533, 'AVL', 4007, '', 0, 'M80\r'),
	('G4', 35, 'FLL', 3533, 'GSP', 4034, '', 0, 'M80\r'),
	('G4', 35, 'FLL', 3533, 'LEX', 4017, '', 0, 'M80\r'),
	('G4', 35, 'FLL', 3533, 'PBG', 3771, '', 0, 'M80\r'),
	('G4', 35, 'FLL', 3533, 'TYS', 3676, '', 0, 'M80\r'),
	('G4', 35, 'FSD', 4009, 'AZA', 6505, '', 0, 'M80 319\r'),
	('G4', 35, 'FSD', 4009, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'FSD', 4009, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'FSD', 4009, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'FWA', 4041, 'AZA', 6505, '', 0, '319\r'),
	('G4', 35, 'FWA', 4041, 'MYR', 3515, '', 0, 'M80\r'),
	('G4', 35, 'FWA', 4041, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'FWA', 4041, 'PIE', 3617, '', 0, 'M80 320\r'),
	('G4', 35, 'FWA', 4041, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'GFK', 3442, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'GFK', 3442, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'GFK', 3442, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'GJT', 4063, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'GRI', 5740, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'GRI', 5740, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'GRR', 3685, 'AZA', 6505, '', 0, '319\r'),
	('G4', 35, 'GRR', 3685, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'GRR', 3685, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'GRR', 3685, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'GSO', 4008, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'GSO', 4008, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'GSP', 4034, 'FLL', 3533, '', 0, 'M80\r'),
	('G4', 35, 'GSP', 4034, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'GSP', 4034, 'PIE', 3617, '', 0, 'M80 320\r'),
	('G4', 35, 'GSP', 4034, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'GTF', 3880, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'GTF', 3880, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'HGR', 6739, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'HNL', 3728, 'LAS', 3877, '', 0, '757\r'),
	('G4', 35, 'HNL', 3728, 'LAX', 3484, '', 0, '757\r'),
	('G4', 35, 'HTS', 5742, 'MYR', 3515, '', 0, 'M80\r'),
	('G4', 35, 'HTS', 5742, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'HTS', 5742, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'IAG', 3630, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'IAG', 3630, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'IAG', 3630, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'ICT', 3457, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'ICT', 3457, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'IDA', 4100, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'IDA', 4100, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'ISP', 3857, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'LAN', 3544, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'ATW', 4047, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'AUS', 3673, '', 0, 'M80 757\r'),
	('G4', 35, 'LAS', 3877, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'BIL', 4021, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'BIS', 4083, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'BLI', 3777, '', 0, '757 M80\r'),
	('G4', 35, 'LAS', 3877, 'BOI', 3495, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'BZN', 4020, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'CID', 4043, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'COS', 3819, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'CPR', 3872, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'DLH', 3598, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'DSM', 3729, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'EUG', 4099, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'FAR', 4292, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'FAT', 3687, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'FCA', 4127, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'FSD', 4009, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'GFK', 3442, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'GJT', 4063, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'GRI', 5740, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'GRR', 3685, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'GTF', 3880, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'HNL', 3728, '', 0, '757\r'),
	('G4', 35, 'LAS', 3877, 'ICT', 3457, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'IDA', 4100, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'LRD', 3691, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'MFE', 3826, '', 0, '757 M80\r'),
	('G4', 35, 'LAS', 3877, 'MFR', 4101, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'MLI', 4072, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'MOT', 3498, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'MRY', 3948, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'MSO', 4216, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'PIA', 4046, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'PSC', 6133, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'RAP', 4087, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'RFD', 4028, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'RNO', 3807, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'SBN', 4359, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'SCK', 3805, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'SGF', 4348, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'SHV', 3609, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'SMX', 5772, '', 0, 'M80\r'),
	('G4', 35, 'LAS', 3877, 'XNA', 4356, '', 0, 'M80\r'),
	('G4', 35, 'LAX', 3484, 'BLI', 3777, '', 0, 'M80\r'),
	('G4', 35, 'LAX', 3484, 'EUG', 4099, '', 0, 'M80\r'),
	('G4', 35, 'LAX', 3484, 'HNL', 3728, '', 0, '757\r'),
	('G4', 35, 'LAX', 3484, 'MFR', 4101, '', 0, 'M80\r'),
	('G4', 35, 'LAX', 3484, 'PVU', 7579, '', 0, '319\r'),
	('G4', 35, 'LCK', 3674, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'LCK', 3674, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'LEX', 4017, 'FLL', 3533, '', 0, 'M80\r'),
	('G4', 35, 'LEX', 4017, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'LEX', 4017, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'LEX', 4017, 'SFB', 4167, '', 0, 'M80 320\r'),
	('G4', 35, 'LIT', 3660, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'LRD', 3691, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'MDT', 3542, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'MDT', 3542, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'MFE', 3826, 'LAS', 3877, '', 0, '757 M80\r'),
	('G4', 35, 'MFR', 4101, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'MFR', 4101, 'LAX', 3484, '', 0, 'M80\r'),
	('G4', 35, 'MLI', 4072, 'AZA', 6505, '', 0, '319\r'),
	('G4', 35, 'MLI', 4072, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'MLI', 4072, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'MLI', 4072, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'MOT', 3498, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'MOT', 3498, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'MRY', 3948, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'MSO', 4216, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'MSO', 4216, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'MYR', 3515, 'ABE', 4355, '', 0, 'M80\r'),
	('G4', 35, 'MYR', 3515, 'FWA', 4041, '', 0, 'M80\r'),
	('G4', 35, 'MYR', 3515, 'HTS', 5742, '', 0, 'M80\r'),
	('G4', 35, 'MYR', 3515, 'YNG', 3881, '', 0, 'M80\r'),
	('G4', 35, 'OAK', 3453, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'OAK', 3453, 'BLI', 3777, '', 0, 'M80\r'),
	('G4', 35, 'OAK', 3453, 'EUG', 4099, '', 0, 'M80\r'),
	('G4', 35, 'OAK', 3453, 'PVU', 7579, '', 0, '319\r'),
	('G4', 35, 'OKC', 3863, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'OWB', 5758, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'PBG', 3771, 'FLL', 3533, '', 0, 'M80\r'),
	('G4', 35, 'PBG', 3771, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'PBG', 3771, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'ABE', 4355, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'AVL', 4007, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'CID', 4043, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'CVG', 3488, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'DSM', 3729, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'FWA', 4041, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'GSP', 4034, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'IAG', 3630, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'ISP', 3857, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'LEX', 4017, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'PIA', 4046, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'RFD', 4028, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'SBN', 4359, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'SGF', 4348, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'SPI', 4336, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'TOL', 4040, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'TYS', 3676, '', 0, 'M80\r'),
	('G4', 35, 'PGD', 7056, 'YNG', 3881, '', 0, 'M80\r'),
	('G4', 35, 'PHF', 3633, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'PIA', 4046, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'PIA', 4046, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'PIA', 4046, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'PIA', 4046, 'PIE', 3617, '', 0, 'M80 320\r'),
	('G4', 35, 'PIE', 3617, 'ABE', 4355, '', 0, 'M80 320\r'),
	('G4', 35, 'PIE', 3617, 'AVL', 4007, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'BGR', 3463, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'CHA', 3578, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'CID', 4043, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'DSM', 3729, '', 0, 'M80\r'),
	('G4', 35, 'PIE', 3617, 'ELM', 3946, '', 0, 'M80\r'),
	('G4', 35, 'PIE', 3617, 'FAR', 4292, '', 0, 'M80\r'),
	('G4', 35, 'PIE', 3617, 'FSD', 4009, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'FWA', 4041, '', 0, 'M80 320\r'),
	('G4', 35, 'PIE', 3617, 'GRR', 3685, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'GSO', 4008, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'GSP', 4034, '', 0, 'M80 320\r'),
	('G4', 35, 'PIE', 3617, 'HTS', 5742, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'IAG', 3630, '', 0, 'M80\r'),
	('G4', 35, 'PIE', 3617, 'LCK', 3674, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'LEX', 4017, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'MDT', 3542, '', 0, 'M80\r'),
	('G4', 35, 'PIE', 3617, 'MLI', 4072, '', 0, 'M80\r'),
	('G4', 35, 'PIE', 3617, 'PBG', 3771, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'PIA', 4046, '', 0, 'M80 320\r'),
	('G4', 35, 'PIE', 3617, 'RFD', 4028, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'ROA', 4016, '', 0, 'M80\r'),
	('G4', 35, 'PIE', 3617, 'SBN', 4359, '', 0, 'M80\r'),
	('G4', 35, 'PIE', 3617, 'SGF', 4348, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'SWF', 3661, '', 0, 'M80\r'),
	('G4', 35, 'PIE', 3617, 'SYR', 3745, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'TOL', 4040, '', 0, '320\r'),
	('G4', 35, 'PIE', 3617, 'TRI', 4116, '', 0, 'M80\r'),
	('G4', 35, 'PIE', 3617, 'TYS', 3676, '', 0, 'M80 320\r'),
	('G4', 35, 'PIE', 3617, 'YNG', 3881, '', 0, 'M80\r'),
	('G4', 35, 'PSC', 6133, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'PSC', 6133, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'PSM', 5763, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'PSP', 3839, 'BLI', 3777, '', 0, 'M80\r'),
	('G4', 35, 'PVU', 7579, 'AZA', 6505, '', 0, '319\r'),
	('G4', 35, 'PVU', 7579, 'LAX', 3484, '', 0, '319\r'),
	('G4', 35, 'PVU', 7579, 'OAK', 3453, '', 0, '319\r'),
	('G4', 35, 'RAP', 4087, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'RAP', 4087, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'RFD', 4028, 'AZA', 6505, '', 0, '319\r'),
	('G4', 35, 'RFD', 4028, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'RFD', 4028, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'RFD', 4028, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'RFD', 4028, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'RNO', 3807, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'ROA', 4016, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'ROA', 4016, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'RST', 4048, 'AZA', 6505, '', 0, '319\r'),
	('G4', 35, 'SAN', 3731, 'BLI', 3777, '', 0, 'M80\r'),
	('G4', 35, 'SBN', 4359, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'SBN', 4359, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'SBN', 4359, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'SBN', 4359, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'SBN', 4359, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'SCK', 3805, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'ABE', 4355, '', 0, '320 M80\r'),
	('G4', 35, 'SFB', 4167, 'ATW', 4047, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'AVL', 4007, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'AVP', 4286, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'BGR', 3463, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'BIS', 4083, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'BLV', 3790, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'BMI', 4037, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'BTV', 3711, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'CHA', 3578, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'CID', 4043, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'CKB', 5730, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'CVG', 3488, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'DSM', 3729, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'ELM', 3946, '', 0, '320 M80\r'),
	('G4', 35, 'SFB', 4167, 'FAR', 4292, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'FSD', 4009, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'FWA', 4041, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'GFK', 3442, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'GRR', 3685, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'GSO', 4008, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'GSP', 4034, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'HGR', 6739, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'HTS', 5742, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'IAG', 3630, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'LAN', 3544, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'LCK', 3674, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'LEX', 4017, '', 0, 'M80 320\r'),
	('G4', 35, 'SFB', 4167, 'LIT', 3660, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'MDT', 3542, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'MLI', 4072, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'OKC', 3863, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'OWB', 5758, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'PBG', 3771, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'PHF', 3633, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'PSM', 5763, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'RFD', 4028, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'ROA', 4016, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'SBN', 4359, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'SGF', 4348, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'SPI', 4336, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'TOL', 4040, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'TRI', 4116, '', 0, 'M80\r'),
	('G4', 35, 'SFB', 4167, 'TUL', 3855, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'TYS', 3676, '', 0, 'M80 320\r'),
	('G4', 35, 'SFB', 4167, 'XNA', 4356, '', 0, '320\r'),
	('G4', 35, 'SFB', 4167, 'YNG', 3881, '', 0, 'M80\r'),
	('G4', 35, 'SGF', 4348, 'AZA', 6505, '', 0, 'M80\r'),
	('G4', 35, 'SGF', 4348, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'SGF', 4348, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'SGF', 4348, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'SGF', 4348, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'SHV', 3609, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'SMX', 5772, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'STC', 4271, 'AZA', 6505, '', 0, '319\r'),
	('G4', 35, 'SWF', 3661, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'SYR', 3745, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'TOL', 4040, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'TOL', 4040, 'PIE', 3617, '', 0, '320\r'),
	('G4', 35, 'TOL', 4040, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'TRI', 4116, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'TRI', 4116, 'SFB', 4167, '', 0, 'M80\r'),
	('G4', 35, 'TUL', 3855, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'TYS', 3676, 'FLL', 3533, '', 0, 'M80\r'),
	('G4', 35, 'TYS', 3676, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'TYS', 3676, 'PIE', 3617, '', 0, 'M80 320\r'),
	('G4', 35, 'TYS', 3676, 'SFB', 4167, '', 0, 'M80 320\r'),
	('G4', 35, 'XNA', 4356, 'LAS', 3877, '', 0, 'M80\r'),
	('G4', 35, 'XNA', 4356, 'SFB', 4167, '', 0, '320\r'),
	('G4', 35, 'YNG', 3881, 'MYR', 3515, '', 0, 'M80\r'),
	('G4', 35, 'YNG', 3881, 'PGD', 7056, '', 0, 'M80\r'),
	('G4', 35, 'YNG', 3881, 'PIE', 3617, '', 0, 'M80\r'),
	('G4', 35, 'YNG', 3881, 'SFB', 4167, '', 0, 'M80\r'),
	('G5', 15837, 'ACX', 7506, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'ACX', 7506, 'KWE', 3394, '', 0, 'CR9 CR2\r'),
	('G5', 15837, 'AEB', 8082, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'AEB', 8082, 'KWL', 3372, '', 0, 'CR9\r'),
	('G5', 15837, 'AQG', 6427, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'AQG', 6427, 'XMN', 3383, '', 0, 'CR9\r'),
	('G5', 15837, 'BAV', 6346, 'CIF', 6342, '', 0, 'CR9\r'),
	('G5', 15837, 'BFJ', 9025, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'BFJ', 9025, 'KWE', 3394, '', 0, 'CR2 CR9\r'),
	('G5', 15837, 'BHY', 6351, 'KWL', 3372, '', 0, 'CR9\r'),
	('G5', 15837, 'CIF', 6342, 'BAV', 6346, '', 0, 'CR9\r'),
	('G5', 15837, 'CIF', 6342, 'DLC', 3404, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'ACX', 7506, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'AEB', 8082, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'AQG', 6427, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'BFJ', 9025, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'DOY', 4145, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'DSN', 6434, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'HDG', 8407, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'HIA', 7898, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'INC', 4085, '', 0, 'CR2\r'),
	('G5', 15837, 'CKG', 3393, 'JIQ', 8781, '', 0, 'CR2\r'),
	('G5', 15837, 'CKG', 3393, 'KWE', 3394, '', 0, 'CR2 CR9\r'),
	('G5', 15837, 'CKG', 3393, 'LZH', 6356, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'NNG', 3373, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'XFN', 6360, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'XIC', 3396, '', 0, 'CR9\r'),
	('G5', 15837, 'CKG', 3393, 'XNN', 6366, '', 0, 'CR9\r'),
	('G5', 15837, 'DLC', 3404, 'CIF', 6342, '', 0, 'CR9\r'),
	('G5', 15837, 'DLC', 3404, 'DOY', 4145, '', 0, 'CR9\r'),
	('G5', 15837, 'DLC', 3404, 'FUG', 7503, '', 0, 'CR9\r'),
	('G5', 15837, 'DLC', 3404, 'HDG', 8407, '', 0, 'CR9\r'),
	('G5', 15837, 'DLC', 3404, 'HIA', 7898, '', 0, 'CR9\r'),
	('G5', 15837, 'DLC', 3404, 'JNG', 6944, '', 0, 'CR9\r'),
	('G5', 15837, 'DLC', 3404, 'LYG', 6383, '', 0, 'CR9\r'),
	('G5', 15837, 'DLC', 3404, 'SHP', 6429, '', 0, 'CR9\r'),
	('G5', 15837, 'DLC', 3404, 'TVS', 8858, '', 0, 'CR9\r'),
	('G5', 15837, 'DOY', 4145, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'DOY', 4145, 'DLC', 3404, '', 0, 'CR9\r'),
	('G5', 15837, 'DSN', 6434, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'FOC', 3385, 'LYG', 6383, '', 0, 'CR9\r'),
	('G5', 15837, 'FUG', 7503, 'DLC', 3404, '', 0, 'CR9\r'),
	('G5', 15837, 'FUG', 7503, 'HGH', 3386, '', 0, 'CR9\r'),
	('G5', 15837, 'HDG', 8407, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'HDG', 8407, 'DLC', 3404, '', 0, 'CR9\r'),
	('G5', 15837, 'HGH', 3386, 'FUG', 7503, '', 0, 'CR9\r'),
	('G5', 15837, 'HGH', 3386, 'XFN', 6360, '', 0, 'CR9\r'),
	('G5', 15837, 'HIA', 7898, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'HIA', 7898, 'DLC', 3404, '', 0, 'CR9\r'),
	('G5', 15837, 'HZH', 7508, 'KWE', 3394, '', 0, 'CR2\r'),
	('G5', 15837, 'INC', 4085, 'CKG', 3393, '', 0, 'CR2\r'),
	('G5', 15837, 'INC', 4085, 'JGN', 6432, '', 0, 'CR2\r'),
	('G5', 15837, 'JGN', 6432, 'INC', 4085, '', 0, 'CR2\r'),
	('G5', 15837, 'JIQ', 8781, 'CKG', 3393, '', 0, 'CR2\r'),
	('G5', 15837, 'JNG', 6944, 'DLC', 3404, '', 0, 'CR9\r'),
	('G5', 15837, 'JNG', 6944, 'XIY', 3379, '', 0, 'CR9\r'),
	('G5', 15837, 'KMG', 3382, 'KWE', 3394, '', 0, 'CR2\r'),
	('G5', 15837, 'KWE', 3394, 'ACX', 7506, '', 0, 'CR9 CR2\r'),
	('G5', 15837, 'KWE', 3394, 'BFJ', 9025, '', 0, 'CR2 CR9\r'),
	('G5', 15837, 'KWE', 3394, 'CKG', 3393, '', 0, 'CR9 CR2\r'),
	('G5', 15837, 'KWE', 3394, 'HZH', 7508, '', 0, 'CR2\r'),
	('G5', 15837, 'KWE', 3394, 'KMG', 3382, '', 0, 'CR2\r'),
	('G5', 15837, 'KWE', 3394, 'KWL', 3372, '', 0, 'CR9\r'),
	('G5', 15837, 'KWE', 3394, 'LZO', 6399, '', 0, 'CR9\r'),
	('G5', 15837, 'KWE', 3394, 'WUZ', 6744, '', 0, 'CR2\r'),
	('G5', 15837, 'KWL', 3372, 'AEB', 8082, '', 0, 'CR9\r'),
	('G5', 15837, 'KWL', 3372, 'BHY', 6351, '', 0, 'CR9\r'),
	('G5', 15837, 'KWL', 3372, 'KWE', 3394, '', 0, 'CR9\r'),
	('G5', 15837, 'LYG', 6383, 'DLC', 3404, '', 0, 'CR9\r'),
	('G5', 15837, 'LYG', 6383, 'FOC', 3385, '', 0, 'CR9\r'),
	('G5', 15837, 'LZH', 6356, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'LZH', 6356, 'ZUH', 6355, '', 0, 'CR9\r'),
	('G5', 15837, 'LZO', 6399, 'KWE', 3394, '', 0, 'CR9\r'),
	('G5', 15837, 'NNG', 3373, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'NNG', 3373, 'WUZ', 6744, '', 0, 'CR9\r'),
	('G5', 15837, 'SHP', 6429, 'DLC', 3404, '', 0, 'CR9\r'),
	('G5', 15837, 'SHP', 6429, 'SJW', 6347, '', 0, 'CR9\r'),
	('G5', 15837, 'SJW', 6347, 'SHP', 6429, '', 0, 'CR9\r'),
	('G5', 15837, 'SJW', 6347, 'TVS', 8858, '', 0, 'CR9\r'),
	('G5', 15837, 'TVS', 8858, 'DLC', 3404, '', 0, 'CR9\r'),
	('G5', 15837, 'TVS', 8858, 'SJW', 6347, '', 0, 'CR9\r'),
	('G5', 15837, 'WUZ', 6744, 'KWE', 3394, '', 0, 'CR2\r'),
	('G5', 15837, 'WUZ', 6744, 'NNG', 3373, '', 0, 'CR9\r'),
	('G5', 15837, 'WUZ', 6744, 'ZUH', 6355, '', 0, 'CR2\r'),
	('G5', 15837, 'XFN', 6360, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'XFN', 6360, 'HGH', 3386, '', 0, 'CR9\r'),
	('G5', 15837, 'XIC', 3396, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'XIY', 3379, 'JNG', 6944, '', 0, 'CR9\r'),
	('G5', 15837, 'XMN', 3383, 'AQG', 6427, '', 0, 'CR9\r'),
	('G5', 15837, 'XNN', 6366, 'CKG', 3393, '', 0, 'CR9\r'),
	('G5', 15837, 'ZUH', 6355, 'LZH', 6356, '', 0, 'CR9\r'),
	('G5', 15837, 'ZUH', 6355, 'WUZ', 6744, '', 0, 'CR2\r'),
	('G8', 2575, 'AMD', 2994, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'AMD', 2994, 'CCU', 3043, '', 0, '320\r'),
	('G8', 2575, 'AMD', 2994, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'BLR', 3131, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'BLR', 3131, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'BLR', 3131, 'GOI', 3007, '', 0, '320\r'),
	('G8', 2575, 'BLR', 3131, 'PNQ', 3017, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'AMD', 2994, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'BLR', 3131, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'COK', 3136, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'GOI', 3007, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'IXC', 3089, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'JAI', 3098, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'LKO', 3105, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'MAA', 3144, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'NAG', 3015, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'PAT', 3061, '', 0, '320\r'),
	('G8', 2575, 'BOM', 2997, 'SXR', 3112, '', 0, '320\r'),
	('G8', 2575, 'CCU', 3043, 'AMD', 2994, '', 0, '320\r'),
	('G8', 2575, 'CCU', 3043, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'CCU', 3043, 'GAU', 6173, '', 0, '320\r'),
	('G8', 2575, 'CCU', 3043, 'IXB', 3040, '', 0, '320\r'),
	('G8', 2575, 'CCU', 3043, 'IXZ', 3146, '', 0, '320\r'),
	('G8', 2575, 'CCU', 3043, 'NAG', 3015, '', 0, '320\r'),
	('G8', 2575, 'CCU', 3043, 'PAT', 3061, '', 0, '320\r'),
	('G8', 2575, 'COK', 3136, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'AMD', 2994, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'BLR', 3131, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'CCU', 3043, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'GAU', 6173, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'GOI', 3007, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'IXB', 3040, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'IXJ', 3100, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'IXL', 3104, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'IXR', 3063, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'LKO', 3105, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'NAG', 3015, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'PAT', 3061, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'PNQ', 3017, '', 0, '320\r'),
	('G8', 2575, 'DEL', 3093, 'SXR', 3112, '', 0, '320\r'),
	('G8', 2575, 'GAU', 6173, 'CCU', 3043, '', 0, '320\r'),
	('G8', 2575, 'GAU', 6173, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'GOI', 3007, 'BLR', 3131, '', 0, '320\r'),
	('G8', 2575, 'GOI', 3007, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'GOI', 3007, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'IXB', 3040, 'CCU', 3043, '', 0, '320\r'),
	('G8', 2575, 'IXB', 3040, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'IXC', 3089, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'IXJ', 3100, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'IXJ', 3100, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'IXJ', 3100, 'SXR', 3112, '', 0, '320\r'),
	('G8', 2575, 'IXL', 3104, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'IXR', 3063, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'IXR', 3063, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'IXZ', 3146, 'CCU', 3043, '', 0, '320\r'),
	('G8', 2575, 'IXZ', 3146, 'MAA', 3144, '', 0, '320\r'),
	('G8', 2575, 'JAI', 3098, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'LKO', 3105, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'LKO', 3105, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'MAA', 3144, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'MAA', 3144, 'IXZ', 3146, '', 0, '320\r'),
	('G8', 2575, 'MAA', 3144, 'PNQ', 3017, '', 0, '320\r'),
	('G8', 2575, 'NAG', 3015, 'BOM', 2997, '', 0, '320\r'),
	('G8', 2575, 'NAG', 3015, 'CCU', 3043, '', 0, '320\r'),
	('G8', 2575, 'NAG', 3015, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'NAG', 3015, 'PNQ', 3017, '', 0, '320\r'),
	('G8', 2575, 'PAT', 3061, 'CCU', 3043, '', 0, '320\r'),
	('G8', 2575, 'PAT', 3061, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'PAT', 3061, 'IXR', 3063, '', 0, '320\r'),
	('G8', 2575, 'PNQ', 3017, 'BLR', 3131, '', 0, '320\r'),
	('G8', 2575, 'PNQ', 3017, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'PNQ', 3017, 'MAA', 3144, '', 0, '320\r'),
	('G8', 2575, 'PNQ', 3017, 'NAG', 3015, '', 0, '320\r'),
	('G8', 2575, 'SXR', 3112, 'DEL', 3093, '', 0, '320\r'),
	('G8', 2575, 'SXR', 3112, 'IXJ', 3100, '', 0, '320\r'),
	('G9', 329, 'AHB', 2059, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'ALA', 2908, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'AMD', 2994, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'AMM', 2170, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'ATZ', 5691, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'BAH', 2057, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'BEY', 2177, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'BGW', 4130, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'BLR', 3131, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'BOM', 2997, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'BSR', 2234, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'CAI', 1128, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'CCJ', 3137, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'CGP', 3069, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'CIT', 2914, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'CJB', 3135, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'CMB', 3024, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'COK', 3136, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'DAC', 3076, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'DEL', 3093, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'DME', 4029, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'DMM', 2064, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'DOH', 2241, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'DOK', 2940, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'EBL', 3989, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'ELQ', 2067, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'EVN', 3964, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'GOI', 3007, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'HAS', 2069, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'HBE', 3410, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'HMB', 8235, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'HOF', 2060, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'HRK', 6105, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'HYD', 3141, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'IKA', 4330, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'JAI', 3098, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'JED', 2072, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'KBP', 2939, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'KHI', 2206, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'KRT', 1175, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'KTM', 3125, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'KWI', 2176, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'KZN', 2990, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'LRR', 5934, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'MAA', 3144, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'MCT', 2194, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'MED', 2074, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'MHD', 4331, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'NAG', 3015, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'NBO', 4059, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'NJF', 7490, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'ODS', 2947, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'PEW', 2219, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'ROV', 2964, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'RUH', 2082, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'SAW', 4317, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'AHB', 2059, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'ALA', 2908, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'AMD', 2994, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'AMM', 2170, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'ATZ', 5691, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'BAH', 2057, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'BEY', 2177, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'BGW', 4130, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'BLR', 3131, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'BOM', 2997, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'BSR', 2234, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'CAI', 1128, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'CCJ', 3137, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'CGP', 3069, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'CIT', 2914, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'CJB', 3135, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'CMB', 3024, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'COK', 3136, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'DAC', 3076, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'DEL', 3093, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'DME', 4029, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'DMM', 2064, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'DOH', 2241, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'DOK', 2940, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'EBL', 3989, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'ELQ', 2067, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'EVN', 3964, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'GOI', 3007, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'HAS', 2069, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'HBE', 3410, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'HMB', 8235, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'HOF', 2060, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'HRK', 6105, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'HYD', 3141, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'IKA', 4330, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'JAI', 3098, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'JED', 2072, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'KBP', 2939, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'KHI', 2206, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'KRT', 1175, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'KTM', 3125, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'KWI', 2176, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'KZN', 2990, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'LRR', 5934, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'MAA', 3144, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'MCT', 2194, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'MED', 2074, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'MHD', 4331, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'NAG', 3015, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'NBO', 4059, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'NJF', 7490, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'ODS', 2947, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'PEW', 2219, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'ROV', 2964, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'RUH', 2082, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'SAW', 4317, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'SKT', 6776, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'SLL', 2195, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'SVX', 2975, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'SYZ', 2157, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'TIF', 2090, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'TRV', 3153, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'TSE', 2910, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'UFA', 2992, '', 0, '320\r'),
	('G9', 329, 'SHJ', 2191, 'YNB', 2096, '', 0, '320\r'),
	('G9', 329, 'SKT', 6776, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'SLL', 2195, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'SVX', 2975, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'SYZ', 2157, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'TIF', 2090, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'TRV', 3153, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'TSE', 2910, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'UFA', 2992, 'SHJ', 2191, '', 0, '320\r'),
	('G9', 329, 'YNB', 2096, 'SHJ', 2191, '', 0, '320\r'),
	('GA', 2520, 'AMQ', 3256, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'AMQ', 3256, 'SUB', 3928, '', 0, 'CRK\r'),
	('GA', 2520, 'AMQ', 3256, 'UPG', 3240, '', 0, '738\r'),
	('GA', 2520, 'AMS', 580, 'AUH', 2179, '', 0, '332\r'),
	('GA', 2520, 'AUH', 2179, 'AMS', 580, '', 0, '332\r'),
	('GA', 2520, 'AUH', 2179, 'CGK', 3275, '', 0, '332\r'),
	('GA', 2520, 'BDJ', 3908, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'BDJ', 3908, 'SUB', 3928, '', 0, 'CRK\r'),
	('GA', 2520, 'BDO', 3896, 'DPS', 3940, '', 0, '738\r'),
	('GA', 2520, 'BDO', 3896, 'SIN', 3316, 'Y', 0, '319\r'),
	('GA', 2520, 'BDO', 3896, 'SUB', 3928, '', 0, '738\r'),
	('GA', 2520, 'BEJ', 6209, 'BPN', 3919, '', 0, 'CRK\r'),
	('GA', 2520, 'BIK', 3241, 'DJJ', 3244, '', 0, '738\r'),
	('GA', 2520, 'BIK', 3241, 'UPG', 3240, '', 0, '738\r'),
	('GA', 2520, 'BKK', 3885, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'BKS', 3288, 'CGK', 3275, '', 0, 'CRK 735\r'),
	('GA', 2520, 'BMU', 3924, 'DPS', 3940, '', 0, 'AT7\r'),
	('GA', 2520, 'BMU', 3924, 'LOP', 8401, '', 0, 'AT7\r'),
	('GA', 2520, 'BNE', 3320, 'DPS', 3940, '', 0, '738\r'),
	('GA', 2520, 'BOM', 2997, 'SIN', 3316, '', 0, '73H\r'),
	('GA', 2520, 'BPN', 3919, 'BEJ', 6209, '', 0, 'CRK\r'),
	('GA', 2520, 'BPN', 3919, 'CGK', 3275, '', 0, '738 332\r'),
	('GA', 2520, 'BPN', 3919, 'JOG', 3898, '', 0, 'CRK\r'),
	('GA', 2520, 'BPN', 3919, 'MDC', 3250, '', 0, 'CRK\r'),
	('GA', 2520, 'BPN', 3919, 'SIN', 3316, '', 0, '738\r'),
	('GA', 2520, 'BPN', 3919, 'SUB', 3928, '', 0, '738 CRK\r'),
	('GA', 2520, 'BPN', 3919, 'TRK', 3920, '', 0, 'CRK\r'),
	('GA', 2520, 'BPN', 3919, 'UPG', 3240, '', 0, '738\r'),
	('GA', 2520, 'BTH', 3903, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'BTH', 3903, 'TKG', 6223, '', 0, 'CRK\r'),
	('GA', 2520, 'BTJ', 3294, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'BWN', 3272, 'CGK', 3275, 'Y', 0, '319\r'),
	('GA', 2520, 'BWN', 3272, 'SUB', 3928, 'Y', 0, '320 319\r'),
	('GA', 2520, 'CAN', 3370, 'CGK', 3275, '', 0, '332\r'),
	('GA', 2520, 'CGK', 3275, 'AMQ', 3256, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'AUH', 2179, '', 0, '332\r'),
	('GA', 2520, 'CGK', 3275, 'BDJ', 3908, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'BKK', 3885, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'BKS', 3288, '', 0, 'CRK 735\r'),
	('GA', 2520, 'CGK', 3275, 'BPN', 3919, '', 0, '738 332\r'),
	('GA', 2520, 'CGK', 3275, 'BTH', 3903, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'BTJ', 3294, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'BWN', 3272, 'Y', 0, '319\r'),
	('GA', 2520, 'CGK', 3275, 'CAN', 3370, '', 0, '332\r'),
	('GA', 2520, 'CGK', 3275, 'DJB', 3287, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'DJJ', 3244, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'DPS', 3940, '', 0, '738 332 777 333\r'),
	('GA', 2520, 'CGK', 3275, 'HKG', 3077, '', 0, '332 333\r'),
	('GA', 2520, 'CGK', 3275, 'HND', 2359, '', 0, '788\r'),
	('GA', 2520, 'CGK', 3275, 'ICN', 3930, '', 0, '333 332\r'),
	('GA', 2520, 'CGK', 3275, 'JED', 2072, '', 0, '777\r'),
	('GA', 2520, 'CGK', 3275, 'JOG', 3898, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'KIX', 3992, '', 0, '332\r'),
	('GA', 2520, 'CGK', 3275, 'KUL', 3304, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'LOP', 8401, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'MDC', 3250, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'MEL', 3339, '', 0, '332\r'),
	('GA', 2520, 'CGK', 3275, 'MLG', 3894, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'MNL', 2397, 'Y', 0, '319 320\r'),
	('GA', 2520, 'CGK', 3275, 'NRT', 2279, '', 0, '763 777\r'),
	('GA', 2520, 'CGK', 3275, 'PDG', 3278, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'PEK', 3364, '', 0, '333\r'),
	('GA', 2520, 'CGK', 3275, 'PER', 3351, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'PGK', 3905, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'PKU', 3273, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'PKY', 3911, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'PLM', 3289, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'PLW', 3249, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'PNK', 3284, '', 0, '738 735 CRK\r'),
	('GA', 2520, 'CGK', 3275, 'PVG', 3406, '', 0, '777\r'),
	('GA', 2520, 'CGK', 3275, 'SIN', 3316, '', 0, '738 332 333\r'),
	('GA', 2520, 'CGK', 3275, 'SOC', 3929, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'SRG', 3901, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'SUB', 3928, '', 0, '738 332\r'),
	('GA', 2520, 'CGK', 3275, 'SYD', 3361, '', 0, '332\r'),
	('GA', 2520, 'CGK', 3275, 'TJQ', 3904, '', 0, '735 CRK\r'),
	('GA', 2520, 'CGK', 3275, 'TKG', 6223, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'TNJ', 3906, '', 0, 'CRK\r'),
	('GA', 2520, 'CGK', 3275, 'TPE', 2276, '', 0, '738\r'),
	('GA', 2520, 'CGK', 3275, 'TTE', 3253, '', 0, '735 CRK\r'),
	('GA', 2520, 'CGK', 3275, 'UPG', 3240, '', 0, '738 332\r'),
	('GA', 2520, 'DEL', 3093, 'SIN', 3316, '', 0, '73H\r'),
	('GA', 2520, 'DJB', 3287, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'DJJ', 3244, 'BIK', 3241, '', 0, '738\r'),
	('GA', 2520, 'DJJ', 3244, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'DJJ', 3244, 'MKQ', 3246, '', 0, '738\r'),
	('GA', 2520, 'DJJ', 3244, 'MKW', 3260, '', 0, 'CRK\r'),
	('GA', 2520, 'DJJ', 3244, 'TIM', 3243, '', 0, '738\r'),
	('GA', 2520, 'DJJ', 3244, 'UPG', 3240, '', 0, '738\r'),
	('GA', 2520, 'DPS', 3940, 'BDO', 3896, '', 0, '738\r'),
	('GA', 2520, 'DPS', 3940, 'BMU', 3924, '', 0, 'AT7\r'),
	('GA', 2520, 'DPS', 3940, 'BNE', 3320, '', 0, '738\r'),
	('GA', 2520, 'DPS', 3940, 'CGK', 3275, '', 0, '738 333 332 777\r'),
	('GA', 2520, 'DPS', 3940, 'HKG', 3077, '', 0, '738\r'),
	('GA', 2520, 'DPS', 3940, 'HND', 2359, '', 0, '332\r'),
	('GA', 2520, 'DPS', 3940, 'ICN', 3930, '', 0, '333 332\r'),
	('GA', 2520, 'DPS', 3940, 'JOG', 3898, '', 0, '738\r'),
	('GA', 2520, 'DPS', 3940, 'KIX', 3992, '', 0, '333\r'),
	('GA', 2520, 'DPS', 3940, 'KOE', 3916, '', 0, '738 CRK\r'),
	('GA', 2520, 'DPS', 3940, 'LBJ', 3917, '', 0, 'AT7\r'),
	('GA', 2520, 'DPS', 3940, 'LOP', 8401, '', 0, 'AT7 738\r'),
	('GA', 2520, 'DPS', 3940, 'MEL', 3339, '', 0, '333\r'),
	('GA', 2520, 'DPS', 3940, 'NRT', 2279, '', 0, '333\r'),
	('GA', 2520, 'DPS', 3940, 'PER', 3351, '', 0, '738\r'),
	('GA', 2520, 'DPS', 3940, 'PLM', 3289, '', 0, 'CRK\r'),
	('GA', 2520, 'DPS', 3940, 'SIN', 3316, '', 0, '738 772\r'),
	('GA', 2520, 'DPS', 3940, 'SRG', 3901, '', 0, 'CRK\r'),
	('GA', 2520, 'DPS', 3940, 'SUB', 3928, '', 0, 'CRK 738\r'),
	('GA', 2520, 'DPS', 3940, 'SYD', 3361, '', 0, '332\r'),
	('GA', 2520, 'DPS', 3940, 'TIM', 3243, '', 0, '738\r'),
	('GA', 2520, 'DPS', 3940, 'TMC', 6204, '', 0, 'AT7\r'),
	('GA', 2520, 'DPS', 3940, 'TPE', 2276, 'Y', 0, '333\r'),
	('GA', 2520, 'DPS', 3940, 'UPG', 3240, '', 0, 'CRK 738\r'),
	('GA', 2520, 'ENE', 3914, 'KOE', 3916, '', 0, 'AT7\r'),
	('GA', 2520, 'ENE', 3914, 'LBJ', 3917, '', 0, 'AT7\r'),
	('GA', 2520, 'GTO', 3247, 'UPG', 3240, '', 0, '738\r'),
	('GA', 2520, 'HKG', 3077, 'CGK', 3275, '', 0, '333 332\r'),
	('GA', 2520, 'HKG', 3077, 'DPS', 3940, '', 0, '738\r'),
	('GA', 2520, 'HND', 2359, 'CGK', 3275, '', 0, '788\r'),
	('GA', 2520, 'HND', 2359, 'DPS', 3940, '', 0, '332\r'),
	('GA', 2520, 'ICN', 3930, 'CGK', 3275, '', 0, '332 333\r'),
	('GA', 2520, 'ICN', 3930, 'DPS', 3940, '', 0, '333 332\r'),
	('GA', 2520, 'IST', 1701, 'SIN', 3316, 'Y', 0, '333\r'),
	('GA', 2520, 'JED', 2072, 'CGK', 3275, '', 0, '777\r'),
	('GA', 2520, 'JED', 2072, 'SUB', 3928, '', 0, '744\r'),
	('GA', 2520, 'JOG', 3898, 'BPN', 3919, '', 0, 'CRK\r'),
	('GA', 2520, 'JOG', 3898, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'JOG', 3898, 'DPS', 3940, '', 0, '738\r'),
	('GA', 2520, 'JOG', 3898, 'SIN', 3316, '', 0, '319\r'),
	('GA', 2520, 'JOG', 3898, 'UPG', 3240, '', 0, 'CRK\r'),
	('GA', 2520, 'KDI', 3890, 'UPG', 3240, '', 0, '738 CRK\r'),
	('GA', 2520, 'KIX', 3992, 'CGK', 3275, '', 0, '332\r'),
	('GA', 2520, 'KIX', 3992, 'DPS', 3940, '', 0, '333\r'),
	('GA', 2520, 'KOE', 3916, 'DPS', 3940, '', 0, '738 CRK\r'),
	('GA', 2520, 'KOE', 3916, 'ENE', 3914, '', 0, 'AT7\r'),
	('GA', 2520, 'KOE', 3916, 'LOP', 8401, '', 0, 'CRK\r'),
	('GA', 2520, 'KOE', 3916, 'TMC', 6204, '', 0, 'AT7\r'),
	('GA', 2520, 'KUL', 3304, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'LBJ', 3917, 'DPS', 3940, '', 0, 'AT7\r'),
	('GA', 2520, 'LBJ', 3917, 'ENE', 3914, '', 0, 'AT7\r'),
	('GA', 2520, 'LOP', 8401, 'BMU', 3924, '', 0, 'AT7\r'),
	('GA', 2520, 'LOP', 8401, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'LOP', 8401, 'DPS', 3940, '', 0, '738 AT7\r'),
	('GA', 2520, 'LOP', 8401, 'KOE', 3916, '', 0, 'CRK\r'),
	('GA', 2520, 'LOP', 8401, 'SIN', 3316, 'Y', 0, '319\r'),
	('GA', 2520, 'LOP', 8401, 'SUB', 3928, '', 0, 'CRK\r'),
	('GA', 2520, 'LOP', 8401, 'UPG', 3240, '', 0, 'CRK\r'),
	('GA', 2520, 'MAA', 3144, 'SIN', 3316, '', 0, '73H\r'),
	('GA', 2520, 'MDC', 3250, 'BPN', 3919, '', 0, 'CRK\r'),
	('GA', 2520, 'MDC', 3250, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'MDC', 3250, 'SIN', 3316, 'Y', 0, '319\r'),
	('GA', 2520, 'MDC', 3250, 'TTE', 3253, '', 0, 'CRK\r'),
	('GA', 2520, 'MDC', 3250, 'UPG', 3240, '', 0, 'CRK\r'),
	('GA', 2520, 'MEL', 3339, 'CGK', 3275, '', 0, '332\r'),
	('GA', 2520, 'MEL', 3339, 'DPS', 3940, '', 0, '333\r'),
	('GA', 2520, 'MKQ', 3246, 'DJJ', 3244, '', 0, '738\r'),
	('GA', 2520, 'MKW', 3260, 'DJJ', 3244, '', 0, 'CRK\r'),
	('GA', 2520, 'MKW', 3260, 'SOQ', 3261, '', 0, 'CRK\r'),
	('GA', 2520, 'MLG', 3894, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'MNL', 2397, 'CGK', 3275, 'Y', 0, '319 320\r'),
	('GA', 2520, 'NRT', 2279, 'CGK', 3275, '', 0, '777 763\r'),
	('GA', 2520, 'NRT', 2279, 'DPS', 3940, '', 0, '333\r'),
	('GA', 2520, 'PDG', 3278, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'PEK', 3364, 'CGK', 3275, '', 0, '333\r'),
	('GA', 2520, 'PER', 3351, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'PER', 3351, 'DPS', 3940, '', 0, '738\r'),
	('GA', 2520, 'PGK', 3905, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'PKU', 3273, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'PKU', 3273, 'SIN', 3316, 'Y', 0, '319\r'),
	('GA', 2520, 'PKY', 3911, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'PLM', 3289, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'PLM', 3289, 'DPS', 3940, '', 0, 'CRK\r'),
	('GA', 2520, 'PLM', 3289, 'SIN', 3316, 'Y', 0, '319\r'),
	('GA', 2520, 'PLW', 3249, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'PLW', 3249, 'UPG', 3240, '', 0, '738\r'),
	('GA', 2520, 'PNK', 3284, 'CGK', 3275, '', 0, '738 735 CRK\r'),
	('GA', 2520, 'PVG', 3406, 'CGK', 3275, '', 0, '777\r'),
	('GA', 2520, 'SIN', 3316, 'BDO', 3896, 'Y', 0, '319\r'),
	('GA', 2520, 'SIN', 3316, 'BOM', 2997, '', 0, '73H\r'),
	('GA', 2520, 'SIN', 3316, 'BPN', 3919, '', 0, '738\r'),
	('GA', 2520, 'SIN', 3316, 'CGK', 3275, '', 0, '738 332 333\r'),
	('GA', 2520, 'SIN', 3316, 'DEL', 3093, '', 0, '73H\r'),
	('GA', 2520, 'SIN', 3316, 'DPS', 3940, '', 0, '772 738\r'),
	('GA', 2520, 'SIN', 3316, 'IST', 1701, 'Y', 0, '330\r'),
	('GA', 2520, 'SIN', 3316, 'JOG', 3898, '', 0, '319\r'),
	('GA', 2520, 'SIN', 3316, 'LOP', 8401, 'Y', 0, '319\r'),
	('GA', 2520, 'SIN', 3316, 'MAA', 3144, '', 0, '73H\r'),
	('GA', 2520, 'SIN', 3316, 'MDC', 3250, 'Y', 0, '320\r'),
	('GA', 2520, 'SIN', 3316, 'PKU', 3273, 'Y', 0, '319\r'),
	('GA', 2520, 'SIN', 3316, 'PLM', 3289, 'Y', 0, '319\r'),
	('GA', 2520, 'SIN', 3316, 'SOC', 3929, 'Y', 0, '319 320\r'),
	('GA', 2520, 'SIN', 3316, 'SRG', 3901, '', 0, '319\r'),
	('GA', 2520, 'SIN', 3316, 'SUB', 3928, '', 0, '738\r'),
	('GA', 2520, 'SIN', 3316, 'TPE', 2276, 'Y', 0, '333\r'),
	('GA', 2520, 'SIN', 3316, 'UPG', 3240, '', 0, '319\r'),
	('GA', 2520, 'SOC', 3929, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'SOC', 3929, 'SIN', 3316, 'Y', 0, '319 320\r'),
	('GA', 2520, 'SOQ', 3261, 'MKW', 3260, '', 0, 'CRK\r'),
	('GA', 2520, 'SOQ', 3261, 'UPG', 3240, '', 0, 'CRK\r'),
	('GA', 2520, 'SRG', 3901, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'SRG', 3901, 'DPS', 3940, '', 0, 'CRK\r'),
	('GA', 2520, 'SRG', 3901, 'SIN', 3316, '', 0, '319\r'),
	('GA', 2520, 'SRG', 3901, 'SUB', 3928, '', 0, 'CRK\r'),
	('GA', 2520, 'SUB', 3928, 'AMQ', 3256, '', 0, 'CRK\r'),
	('GA', 2520, 'SUB', 3928, 'BDJ', 3908, '', 0, 'CRK\r'),
	('GA', 2520, 'SUB', 3928, 'BDO', 3896, '', 0, '738\r'),
	('GA', 2520, 'SUB', 3928, 'BPN', 3919, '', 0, '738 CRK\r'),
	('GA', 2520, 'SUB', 3928, 'BWN', 3272, 'Y', 0, '319 320\r'),
	('GA', 2520, 'SUB', 3928, 'CGK', 3275, '', 0, '738 332\r'),
	('GA', 2520, 'SUB', 3928, 'DPS', 3940, '', 0, 'CRK 738\r'),
	('GA', 2520, 'SUB', 3928, 'JED', 2072, '', 0, '744\r'),
	('GA', 2520, 'SUB', 3928, 'LOP', 8401, '', 0, 'CRK\r'),
	('GA', 2520, 'SUB', 3928, 'SIN', 3316, '', 0, '738\r'),
	('GA', 2520, 'SUB', 3928, 'SRG', 3901, '', 0, 'CRK\r'),
	('GA', 2520, 'SUB', 3928, 'UPG', 3240, '', 0, 'CRK\r'),
	('GA', 2520, 'SYD', 3361, 'CGK', 3275, '', 0, '332\r'),
	('GA', 2520, 'SYD', 3361, 'DPS', 3940, '', 0, '332\r'),
	('GA', 2520, 'TIM', 3243, 'DJJ', 3244, '', 0, '738\r'),
	('GA', 2520, 'TIM', 3243, 'DPS', 3940, '', 0, '738\r'),
	('GA', 2520, 'TJQ', 3904, 'CGK', 3275, '', 0, '735 CRK\r'),
	('GA', 2520, 'TKG', 6223, 'BTH', 3903, '', 0, 'CRK\r'),
	('GA', 2520, 'TKG', 6223, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'TMC', 6204, 'DPS', 3940, '', 0, 'AT7\r'),
	('GA', 2520, 'TMC', 6204, 'KOE', 3916, '', 0, 'AT7\r'),
	('GA', 2520, 'TNJ', 3906, 'CGK', 3275, '', 0, 'CRK\r'),
	('GA', 2520, 'TPE', 2276, 'CGK', 3275, '', 0, '738\r'),
	('GA', 2520, 'TPE', 2276, 'DPS', 3940, 'Y', 0, '333\r'),
	('GA', 2520, 'TPE', 2276, 'SIN', 3316, 'Y', 0, '333\r'),
	('GA', 2520, 'TRK', 3920, 'BPN', 3919, '', 0, 'CRK\r'),
	('GA', 2520, 'TTE', 3253, 'CGK', 3275, '', 0, '735 CRK\r'),
	('GA', 2520, 'TTE', 3253, 'MDC', 3250, '', 0, 'CRK\r'),
	('GA', 2520, 'TTE', 3253, 'UPG', 3240, '', 0, 'CRK\r'),
	('GA', 2520, 'UPG', 3240, 'AMQ', 3256, '', 0, '738\r'),
	('GA', 2520, 'UPG', 3240, 'BIK', 3241, '', 0, '738\r'),
	('GA', 2520, 'UPG', 3240, 'BPN', 3919, '', 0, '738\r'),
	('GA', 2520, 'UPG', 3240, 'CGK', 3275, '', 0, '332 738\r'),
	('GA', 2520, 'UPG', 3240, 'DJJ', 3244, '', 0, '738\r'),
	('GA', 2520, 'UPG', 3240, 'DPS', 3940, '', 0, '738 CRK\r'),
	('GA', 2520, 'UPG', 3240, 'GTO', 3247, '', 0, '738\r'),
	('GA', 2520, 'UPG', 3240, 'JOG', 3898, '', 0, 'CRK\r'),
	('GA', 2520, 'UPG', 3240, 'KDI', 3890, '', 0, '738 CRK\r'),
	('GA', 2520, 'UPG', 3240, 'LOP', 8401, '', 0, 'CRK\r'),
	('GA', 2520, 'UPG', 3240, 'MDC', 3250, '', 0, 'CRK\r'),
	('GA', 2520, 'UPG', 3240, 'PLW', 3249, '', 0, '738\r'),
	('GA', 2520, 'UPG', 3240, 'SIN', 3316, '', 0, '319\r'),
	('GA', 2520, 'UPG', 3240, 'SOQ', 3261, '', 0, 'CRK\r'),
	('GA', 2520, 'UPG', 3240, 'SUB', 3928, '', 0, 'CRK\r'),
	('GA', 2520, 'UPG', 3240, 'TTE', 3253, '', 0, 'CRK\r'),
	('GE', 5038, 'AKJ', 2299, 'TPE', 2276, '', 0, '330\r'),
	('GE', 5038, 'BKK', 3885, 'TPE', 2276, '', 0, '330\r'),
	('GE', 5038, 'CJU', 2370, 'TPE', 2276, '', 0, '320\r'),
	('GE', 5038, 'CKG', 3393, 'TSA', 2275, '', 0, '321\r'),
	('GE', 5038, 'CNX', 3931, 'TPE', 2276, '', 0, '321\r'),
	('GE', 5038, 'CSX', 3371, 'KHH', 2264, '', 0, '320\r'),
	('GE', 5038, 'CSX', 3371, 'TPE', 2276, '', 0, '321\r'),
	('GE', 5038, 'CTS', 2287, 'TPE', 2276, '', 0, '330\r'),
	('GE', 5038, 'DYG', 6353, 'TPE', 2276, '', 0, '321\r'),
	('GE', 5038, 'FOC', 3385, 'KHH', 2264, '', 0, '320\r'),
	('GE', 5038, 'FOC', 3385, 'RMQ', 2268, '', 0, '321\r'),
	('GE', 5038, 'FOC', 3385, 'TSA', 2275, '', 0, '321\r'),
	('GE', 5038, 'HFE', 3389, 'KHH', 2264, '', 0, '320\r'),
	('GE', 5038, 'HFE', 3389, 'TSA', 2275, '', 0, '321\r'),
	('GE', 5038, 'HGH', 3386, 'TSA', 2275, '', 0, '321\r'),
	('GE', 5038, 'HKD', 2288, 'TPE', 2276, '', 0, '330\r'),
	('GE', 5038, 'HUN', 2278, 'RMQ', 2268, '', 0, 'AT7\r'),
	('GE', 5038, 'HUN', 2278, 'TSA', 2275, '', 0, 'AT7\r'),
	('GE', 5038, 'ISG', 2387, 'TPE', 2276, '', 0, '320\r'),
	('GE', 5038, 'KHH', 2264, 'CSX', 3371, '', 0, '320\r'),
	('GE', 5038, 'KHH', 2264, 'FOC', 3385, '', 0, '320\r'),
	('GE', 5038, 'KHH', 2264, 'HFE', 3389, '', 0, '320\r'),
	('GE', 5038, 'KHH', 2264, 'KNH', 2259, '', 0, 'AT7\r'),
	('GE', 5038, 'KHH', 2264, 'MFM', 3121, '', 0, '320\r'),
	('GE', 5038, 'KHH', 2264, 'MZG', 2272, '', 0, 'AT7\r'),
	('GE', 5038, 'KHH', 2264, 'NNG', 3373, '', 0, '320\r'),
	('GE', 5038, 'KHH', 2264, 'XMN', 3383, '', 0, '320\r'),
	('GE', 5038, 'KHH', 2264, 'XUZ', 4149, '', 0, '320\r'),
	('GE', 5038, 'KIX', 3992, 'TPE', 2276, '', 0, '330 321\r'),
	('GE', 5038, 'KNH', 2259, 'KHH', 2264, '', 0, 'AT7\r'),
	('GE', 5038, 'KNH', 2259, 'MZG', 2272, '', 0, 'AT7\r'),
	('GE', 5038, 'KNH', 2259, 'TSA', 2275, '', 0, 'AT7\r'),
	('GE', 5038, 'KUH', 5994, 'TPE', 2276, '', 0, '330\r'),
	('GE', 5038, 'MFM', 3121, 'KHH', 2264, '', 0, '320\r'),
	('GE', 5038, 'MFM', 3121, 'RMQ', 2268, '', 0, '320\r'),
	('GE', 5038, 'MFM', 3121, 'TPE', 2276, '', 0, '321 320\r'),
	('GE', 5038, 'MZG', 2272, 'KHH', 2264, '', 0, 'AT7\r'),
	('GE', 5038, 'MZG', 2272, 'KNH', 2259, '', 0, 'AT7\r'),
	('GE', 5038, 'MZG', 2272, 'TSA', 2275, '', 0, 'AT7\r'),
	('GE', 5038, 'NNG', 3373, 'KHH', 2264, '', 0, '320\r'),
	('GE', 5038, 'NNG', 3373, 'RMQ', 2268, '', 0, '320\r'),
	('GE', 5038, 'NRT', 2279, 'TPE', 2276, '', 0, '320\r'),
	('GE', 5038, 'OKA', 2384, 'TPE', 2276, '', 0, '320 321\r'),
	('GE', 5038, 'PVG', 3406, 'RMQ', 2268, '', 0, '321\r'),
	('GE', 5038, 'PVG', 3406, 'TPE', 2276, '', 0, '330\r'),
	('GE', 5038, 'PVG', 3406, 'TSA', 2275, '', 0, '321\r'),
	('GE', 5038, 'REP', 3035, 'TPE', 2276, '', 0, '321\r'),
	('GE', 5038, 'RMQ', 2268, 'FOC', 3385, '', 0, '321\r'),
	('GE', 5038, 'RMQ', 2268, 'HUN', 2278, '', 0, 'AT7\r'),
	('GE', 5038, 'RMQ', 2268, 'MFM', 3121, '', 0, '320\r'),
	('GE', 5038, 'RMQ', 2268, 'NNG', 3373, '', 0, '320\r'),
	('GE', 5038, 'RMQ', 2268, 'PVG', 3406, '', 0, '321\r'),
	('GE', 5038, 'RMQ', 2268, 'XMN', 3383, '', 0, '321\r'),
	('GE', 5038, 'ROR', 2256, 'TPE', 2276, '', 0, '320\r'),
	('GE', 5038, 'SHA', 3391, 'TSA', 2275, '', 0, '321\r'),
	('GE', 5038, 'TPE', 2276, 'AKJ', 2299, '', 0, '330\r'),
	('GE', 5038, 'TPE', 2276, 'BKK', 3885, '', 0, '330\r'),
	('GE', 5038, 'TPE', 2276, 'CJU', 2370, '', 0, '320\r'),
	('GE', 5038, 'TPE', 2276, 'CNX', 3931, '', 0, '321\r'),
	('GE', 5038, 'TPE', 2276, 'CSX', 3371, '', 0, '321\r'),
	('GE', 5038, 'TPE', 2276, 'CTS', 2287, '', 0, '330\r'),
	('GE', 5038, 'TPE', 2276, 'DYG', 6353, '', 0, '321\r'),
	('GE', 5038, 'TPE', 2276, 'HKD', 2288, '', 0, '330\r'),
	('GE', 5038, 'TPE', 2276, 'ISG', 2387, '', 0, '320\r'),
	('GE', 5038, 'TPE', 2276, 'KIX', 3992, '', 0, '330 321\r'),
	('GE', 5038, 'TPE', 2276, 'KUH', 5994, '', 0, '330\r'),
	('GE', 5038, 'TPE', 2276, 'MFM', 3121, '', 0, '321 320\r'),
	('GE', 5038, 'TPE', 2276, 'NRT', 2279, '', 0, '320\r'),
	('GE', 5038, 'TPE', 2276, 'OKA', 2384, '', 0, '320 321\r'),
	('GE', 5038, 'TPE', 2276, 'PVG', 3406, '', 0, '330\r'),
	('GE', 5038, 'TPE', 2276, 'REP', 3035, '', 0, '321\r'),
	('GE', 5038, 'TPE', 2276, 'ROR', 2256, '', 0, '320\r'),
	('GE', 5038, 'TPE', 2276, 'WUX', 6390, 'Y', 0, '738\r'),
	('GE', 5038, 'TPE', 2276, 'XUZ', 4149, '', 0, '321\r'),
	('GE', 5038, 'TSA', 2275, 'CKG', 3393, '', 0, '321\r'),
	('GE', 5038, 'TSA', 2275, 'FOC', 3385, '', 0, '321\r'),
	('GE', 5038, 'TSA', 2275, 'HFE', 3389, '', 0, '321\r'),
	('GE', 5038, 'TSA', 2275, 'HGH', 3386, '', 0, '321\r'),
	('GE', 5038, 'TSA', 2275, 'HUN', 2278, '', 0, 'AT7\r'),
	('GE', 5038, 'TSA', 2275, 'KNH', 2259, '', 0, 'AT7\r'),
	('GE', 5038, 'TSA', 2275, 'MZG', 2272, '', 0, 'AT7\r'),
	('GE', 5038, 'TSA', 2275, 'PVG', 3406, '', 0, '321\r'),
	('GE', 5038, 'TSA', 2275, 'SHA', 3391, '', 0, '321\r'),
	('GE', 5038, 'TSA', 2275, 'TSN', 3368, '', 0, '321\r'),
	('GE', 5038, 'TSA', 2275, 'WUH', 3376, '', 0, '321\r'),
	('GE', 5038, 'TSN', 3368, 'TSA', 2275, '', 0, '321\r'),
	('GE', 5038, 'WUH', 3376, 'TSA', 2275, '', 0, '321\r'),
	('GE', 5038, 'WUX', 6390, 'TPE', 2276, 'Y', 0, '738\r'),
	('GE', 5038, 'XMN', 3383, 'KHH', 2264, '', 0, '320\r'),
	('GE', 5038, 'XMN', 3383, 'RMQ', 2268, '', 0, '321\r'),
	('GE', 5038, 'XUZ', 4149, 'KHH', 2264, '', 0, '320\r'),
	('GE', 5038, 'XUZ', 4149, 'TPE', 2276, '', 0, '321\r'),
	('GF', 2638, 'ADD', 1107, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'AMM', 2170, 'BAH', 2057, '', 0, '320 321\r'),
	('GF', 2638, 'ATH', 3941, 'LCA', 1197, '', 0, '320\r'),
	('GF', 2638, 'AUH', 2179, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'ADD', 1107, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'AMM', 2170, '', 0, '320 321\r'),
	('GF', 2638, 'BAH', 2057, 'AUH', 2179, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'BEY', 2177, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'BGW', 4130, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'BKK', 3885, '', 0, '332 330\r'),
	('GF', 2638, 'BAH', 2057, 'BOM', 2997, '', 0, '321 320\r'),
	('GF', 2638, 'BAH', 2057, 'CAI', 1128, '', 0, '320 321\r'),
	('GF', 2638, 'BAH', 2057, 'CDG', 1382, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'COK', 3136, '', 0, '321\r'),
	('GF', 2638, 'BAH', 2057, 'DEL', 3093, '', 0, '321\r'),
	('GF', 2638, 'BAH', 2057, 'DMM', 2064, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'DOH', 2241, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'DWC', 8076, '', 0, '320 321\r'),
	('GF', 2638, 'BAH', 2057, 'DXB', 2188, '', 0, '320 321\r'),
	('GF', 2638, 'BAH', 2057, 'FRA', 340, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'IKA', 4330, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'ISB', 2223, '', 0, '330\r'),
	('GF', 2638, 'BAH', 2057, 'IST', 1701, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'JED', 2072, '', 0, '321 320 330 332\r'),
	('GF', 2638, 'BAH', 2057, 'KHI', 2206, '', 0, '320 321 332\r'),
	('GF', 2638, 'BAH', 2057, 'KRT', 1175, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'KWI', 2176, '', 0, '320 321\r'),
	('GF', 2638, 'BAH', 2057, 'LCA', 1197, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'LHE', 2207, '', 0, '330 332\r'),
	('GF', 2638, 'BAH', 2057, 'LHR', 507, '', 0, '332 320\r'),
	('GF', 2638, 'BAH', 2057, 'MAA', 3144, '', 0, '321\r'),
	('GF', 2638, 'BAH', 2057, 'MCT', 2194, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'MED', 2074, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'MHD', 4331, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'MNL', 2397, '', 0, '330 332\r'),
	('GF', 2638, 'BAH', 2057, 'NJF', 7490, '', 0, '321 320\r'),
	('GF', 2638, 'BAH', 2057, 'PEW', 2219, '', 0, '330 321 332\r'),
	('GF', 2638, 'BAH', 2057, 'RUH', 2082, '', 0, '320 321\r'),
	('GF', 2638, 'BAH', 2057, 'SAH', 3980, '', 0, '320\r'),
	('GF', 2638, 'BAH', 2057, 'SKT', 6776, '', 0, '321\r'),
	('GF', 2638, 'BAH', 2057, 'TRV', 3153, '', 0, '321\r'),
	('GF', 2638, 'BEY', 2177, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'BGW', 4130, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'BKK', 3885, 'BAH', 2057, '', 0, '332 330\r'),
	('GF', 2638, 'BOM', 2997, 'BAH', 2057, '', 0, '320 321\r'),
	('GF', 2638, 'CAI', 1128, 'BAH', 2057, '', 0, '320 321\r'),
	('GF', 2638, 'CDG', 1382, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'COK', 3136, 'BAH', 2057, '', 0, '321\r'),
	('GF', 2638, 'DEL', 3093, 'BAH', 2057, '', 0, '321\r'),
	('GF', 2638, 'DMM', 2064, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'DOH', 2241, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'DWC', 8076, 'BAH', 2057, '', 0, '320 321\r'),
	('GF', 2638, 'DXB', 2188, 'BAH', 2057, '', 0, '320 321\r'),
	('GF', 2638, 'FRA', 340, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'IKA', 4330, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'ISB', 2223, 'BAH', 2057, '', 0, '330\r'),
	('GF', 2638, 'IST', 1701, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'JED', 2072, 'BAH', 2057, '', 0, '321 320 330 332\r'),
	('GF', 2638, 'KHI', 2206, 'BAH', 2057, '', 0, '320 321 332\r'),
	('GF', 2638, 'KRT', 1175, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'KWI', 2176, 'BAH', 2057, '', 0, '320 321\r'),
	('GF', 2638, 'LCA', 1197, 'ATH', 3941, 'Y', 0, '320\r'),
	('GF', 2638, 'LCA', 1197, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'LHE', 2207, 'BAH', 2057, '', 0, '330 332\r'),
	('GF', 2638, 'LHR', 507, 'BAH', 2057, '', 0, '332 320\r'),
	('GF', 2638, 'LHR', 507, 'DFW', 3670, 'Y', 0, '777\r'),
	('GF', 2638, 'MAA', 3144, 'BAH', 2057, '', 0, '321\r'),
	('GF', 2638, 'MCT', 2194, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'MED', 2074, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'MHD', 4331, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'MNL', 2397, 'BAH', 2057, '', 0, '330\r'),
	('GF', 2638, 'NJF', 7490, 'BAH', 2057, '', 0, '321 320\r'),
	('GF', 2638, 'PEW', 2219, 'BAH', 2057, '', 0, '330 321 332\r'),
	('GF', 2638, 'RUH', 2082, 'BAH', 2057, '', 0, '320 321\r'),
	('GF', 2638, 'SAH', 3980, 'BAH', 2057, '', 0, '320\r'),
	('GF', 2638, 'SKT', 6776, 'BAH', 2057, '', 0, '321\r'),
	('GF', 2638, 'TRV', 3153, 'BAH', 2057, '', 0, '321\r'),
	('GK', 14118, 'CTS', 2287, 'KIX', 3992, '', 0, '320\r'),
	('GK', 14118, 'CTS', 2287, 'NGO', 3942, '', 0, '320\r'),
	('GK', 14118, 'CTS', 2287, 'NRT', 2279, '', 0, '320\r'),
	('GK', 14118, 'FUK', 2305, 'KIX', 3992, '', 0, '320\r'),
	('GK', 14118, 'FUK', 2305, 'NGO', 3942, '', 0, '320\r'),
	('GK', 14118, 'FUK', 2305, 'NRT', 2279, '', 0, '320\r'),
	('GK', 14118, 'KIX', 3992, 'CTS', 2287, '', 0, '320\r'),
	('GK', 14118, 'KIX', 3992, 'FUK', 2305, '', 0, '320\r'),
	('GK', 14118, 'KIX', 3992, 'NRT', 2279, '', 0, '320\r'),
	('GK', 14118, 'KIX', 3992, 'OKA', 2384, '', 0, '320\r'),
	('GK', 14118, 'KOJ', 2307, 'NGO', 3942, '', 0, '320\r'),
	('GK', 14118, 'KOJ', 2307, 'NRT', 2279, '', 0, '320\r'),
	('GK', 14118, 'MYJ', 2333, 'NRT', 2279, '', 0, '320\r'),
	('GK', 14118, 'NGO', 3942, 'CTS', 2287, '', 0, '320\r'),
	('GK', 14118, 'NGO', 3942, 'FUK', 2305, '', 0, '320\r'),
	('GK', 14118, 'NGO', 3942, 'KOJ', 2307, '', 0, '320\r'),
	('GK', 14118, 'NRT', 2279, 'CTS', 2287, '', 0, '320\r'),
	('GK', 14118, 'NRT', 2279, 'FUK', 2305, '', 0, '320\r'),
	('GK', 14118, 'NRT', 2279, 'KIX', 3992, '', 0, '320\r'),
	('GK', 14118, 'NRT', 2279, 'KOJ', 2307, '', 0, '320\r'),
	('GK', 14118, 'NRT', 2279, 'MYJ', 2333, '', 0, '320\r'),
	('GK', 14118, 'NRT', 2279, 'OIT', 2310, '', 0, '320\r'),
	('GK', 14118, 'NRT', 2279, 'OKA', 2384, '', 0, '320\r'),
	('GK', 14118, 'NRT', 2279, 'TAK', 2337, '', 0, '320\r'),
	('GK', 14118, 'OIT', 2310, 'NRT', 2279, '', 0, '320\r'),
	('GK', 14118, 'OKA', 2384, 'KIX', 3992, '', 0, '320\r'),
	('GK', 14118, 'OKA', 2384, 'NRT', 2279, '', 0, '320\r'),
	('GK', 14118, 'TAK', 2337, 'NRT', 2279, '', 0, '320\r'),
	('GL', 921, 'AGM', 7642, 'KUS', 4248, '', 0, 'BH2\r'),
	('GL', 921, 'CNP', 5439, 'KUS', 4248, '', 0, 'DH8\r'),
	('GL', 921, 'CNP', 5439, 'OBY', 8208, '', 0, 'NDE\r'),
	('GL', 921, 'CPH', 609, 'SFJ', 9, '', 0, '332\r'),
	('GL', 921, 'GOH', 8, 'JAV', 3995, '', 0, 'DH8\r'),
	('GL', 921, 'GOH', 8, 'JFR', 5440, '', 0, 'DH8\r'),
	('GL', 921, 'GOH', 8, 'JHS', 5447, '', 0, 'DH8\r'),
	('GL', 921, 'GOH', 8, 'JSU', 5443, '', 0, 'DH7\r'),
	('GL', 921, 'GOH', 8, 'KEF', 16, '', 0, 'DH8\r'),
	('GL', 921, 'GOH', 8, 'KUS', 4248, '', 0, 'DH8\r'),
	('GL', 921, 'GOH', 8, 'SFJ', 9, '', 0, 'DH8\r'),
	('GL', 921, 'GOH', 8, 'UAK', 7, '', 0, 'DH8\r'),
	('GL', 921, 'JAV', 3995, 'GOH', 8, '', 0, 'DH8\r'),
	('GL', 921, 'JAV', 3995, 'JEG', 3997, '', 0, 'DH8\r'),
	('GL', 921, 'JAV', 3995, 'JQA', 5449, '', 0, 'DH8\r'),
	('GL', 921, 'JAV', 3995, 'JUV', 5448, '', 0, 'DH8\r'),
	('GL', 921, 'JAV', 3995, 'SFJ', 9, '', 0, 'DH8\r'),
	('GL', 921, 'JEG', 3997, 'JAV', 3995, '', 0, 'DH8\r'),
	('GL', 921, 'JEG', 3997, 'JHS', 5447, '', 0, 'DH8\r'),
	('GL', 921, 'JEG', 3997, 'SFJ', 9, '', 0, 'DH8\r'),
	('GL', 921, 'JFR', 5440, 'GOH', 8, '', 0, 'DH8\r'),
	('GL', 921, 'JFR', 5440, 'UAK', 7, '', 0, 'DH8\r'),
	('GL', 921, 'JHS', 5447, 'GOH', 8, '', 0, 'DH8\r'),
	('GL', 921, 'JHS', 5447, 'JEG', 3997, '', 0, 'DH8\r'),
	('GL', 921, 'JHS', 5447, 'SFJ', 9, '', 0, 'DH7 DH8\r'),
	('GL', 921, 'JJU', 5442, 'JNN', 5444, '', 0, 'BH2\r'),
	('GL', 921, 'JJU', 5442, 'JNS', 5445, '', 0, 'BH2\r'),
	('GL', 921, 'JJU', 5442, 'LLU', 5438, '', 0, 'BH2\r'),
	('GL', 921, 'JJU', 5442, 'UAK', 7, '', 0, 'BH2\r'),
	('GL', 921, 'JNN', 5444, 'JJU', 5442, '', 0, 'BH2\r'),
	('GL', 921, 'JNN', 5444, 'LLU', 5438, '', 0, 'BH2\r'),
	('GL', 921, 'JNS', 5445, 'JJU', 5442, '', 0, 'BH2\r'),
	('GL', 921, 'JNS', 5445, 'UAK', 7, '', 0, 'BH2\r'),
	('GL', 921, 'JQA', 5449, 'JAV', 3995, '', 0, 'DH8\r'),
	('GL', 921, 'JQA', 5449, 'UMD', 8628, '', 0, 'BH2\r'),
	('GL', 921, 'JSU', 5443, 'GOH', 8, '', 0, 'DH7\r'),
	('GL', 921, 'JSU', 5443, 'SFJ', 9, '', 0, 'DH7\r'),
	('GL', 921, 'JUV', 5448, 'JAV', 3995, '', 0, 'DH8\r'),
	('GL', 921, 'JUV', 5448, 'NAQ', 5446, '', 0, 'DH8\r'),
	('GL', 921, 'KEF', 16, 'GOH', 8, '', 0, 'DH8\r'),
	('GL', 921, 'KUS', 4248, 'AGM', 7642, '', 0, 'BH2\r'),
	('GL', 921, 'KUS', 4248, 'CNP', 5439, '', 0, 'DH8\r'),
	('GL', 921, 'KUS', 4248, 'GOH', 8, '', 0, 'DH8\r'),
	('GL', 921, 'KUS', 4248, 'SFJ', 9, '', 0, 'DH8\r'),
	('GL', 921, 'LLU', 5438, 'JJU', 5442, '', 0, 'BH2\r'),
	('GL', 921, 'LLU', 5438, 'JNN', 5444, '', 0, 'BH2\r'),
	('GL', 921, 'NAQ', 5446, 'JUV', 5448, '', 0, 'DH8\r'),
	('GL', 921, 'NAQ', 5446, 'THU', 10, '', 0, 'BH2\r'),
	('GL', 921, 'OBY', 8208, 'CNP', 5439, '', 0, 'NDE\r'),
	('GL', 921, 'SFJ', 9, 'CPH', 609, '', 0, '332\r'),
	('GL', 921, 'SFJ', 9, 'GOH', 8, '', 0, 'DH8 DH7\r'),
	('GL', 921, 'SFJ', 9, 'JAV', 3995, '', 0, 'DH8\r'),
	('GL', 921, 'SFJ', 9, 'JEG', 3997, '', 0, 'DH8\r'),
	('GL', 921, 'SFJ', 9, 'JHS', 5447, '', 0, 'DH7 DH8\r'),
	('GL', 921, 'SFJ', 9, 'JSU', 5443, '', 0, 'DH7\r'),
	('GL', 921, 'SFJ', 9, 'KUS', 4248, '', 0, 'DH8\r'),
	('GL', 921, 'SFJ', 9, 'UAK', 7, '', 0, 'DH8\r'),
	('GL', 921, 'THU', 10, 'NAQ', 5446, '', 0, 'BH2\r'),
	('GL', 921, 'UAK', 7, 'GOH', 8, '', 0, 'DH8\r'),
	('GL', 921, 'UAK', 7, 'JFR', 5440, '', 0, 'DH8\r'),
	('GL', 921, 'UAK', 7, 'JJU', 5442, '', 0, 'BH2\r'),
	('GL', 921, 'UAK', 7, 'JNS', 5445, '', 0, 'BH2\r'),
	('GL', 921, 'UAK', 7, 'SFJ', 9, '', 0, 'DH8\r'),
	('GL', 921, 'UMD', 8628, 'JQA', 5449, '', 0, 'BH2\r'),
	('GQ', 1492, 'ATH', 3941, 'HER', 1452, '', 0, 'J41\r'),
	('GQ', 1492, 'ATH', 3941, 'KSO', 1453, '', 0, 'J41\r'),
	('GQ', 1492, 'ATH', 3941, 'KZI', 1463, '', 0, 'J41\r'),
	('GQ', 1492, 'AXD', 1446, 'JSH', 1480, '', 0, 'J41\r'),
	('GQ', 1492, 'CFU', 1460, 'PVK', 1470, '', 0, 'J41\r'),
	('GQ', 1492, 'EFL', 1455, 'PVK', 1470, '', 0, 'J41\r'),
	('GQ', 1492, 'HER', 1452, 'ATH', 3941, '', 0, 'J41\r'),
	('GQ', 1492, 'HER', 1452, 'JIK', 4191, '', 0, 'J41\r'),
	('GQ', 1492, 'HER', 1452, 'KGS', 1458, '', 0, 'J41\r'),
	('GQ', 1492, 'HER', 1452, 'MJT', 1469, '', 0, 'J41\r'),
	('GQ', 1492, 'HER', 1452, 'RHO', 1472, '', 0, 'J41\r'),
	('GQ', 1492, 'JIK', 4191, 'LXS', 1465, '', 0, 'J41\r'),
	('GQ', 1492, 'JKH', 1450, 'MJT', 1469, '', 0, 'J41\r'),
	('GQ', 1492, 'JKH', 1450, 'RHO', 1472, '', 0, 'J41\r'),
	('GQ', 1492, 'JSH', 1480, 'AXD', 1446, '', 0, 'J41\r'),
	('GQ', 1492, 'JSH', 1480, 'PVK', 1470, '', 0, 'J41\r'),
	('GQ', 1492, 'KIT', 1454, 'ZTH', 1488, '', 0, 'J41\r'),
	('GQ', 1492, 'KSO', 1453, 'ATH', 3941, '', 0, 'J41\r'),
	('GQ', 1492, 'LXS', 1465, 'JIK', 4191, '', 0, 'J41\r'),
	('GQ', 1492, 'LXS', 1465, 'MJT', 1469, '', 0, 'J41\r'),
	('GQ', 1492, 'LXS', 1465, 'SKG', 1486, '', 0, 'J41\r'),
	('GQ', 1492, 'MJT', 1469, 'JKH', 1450, '', 0, 'J41\r'),
	('GQ', 1492, 'MJT', 1469, 'LXS', 1465, '', 0, 'J41\r'),
	('GQ', 1492, 'MJT', 1469, 'RHO', 1472, '', 0, 'J41\r'),
	('GQ', 1492, 'PVK', 1470, 'CFU', 1460, '', 0, 'J41\r'),
	('GQ', 1492, 'PVK', 1470, 'EFL', 1455, '', 0, 'J41\r'),
	('GQ', 1492, 'PVK', 1470, 'JSH', 1480, '', 0, 'J41\r'),
	('GQ', 1492, 'RHO', 1472, 'HER', 1452, '', 0, 'J41\r'),
	('GQ', 1492, 'RHO', 1472, 'JKH', 1450, '', 0, 'J41\r'),
	('GQ', 1492, 'RHO', 1472, 'SMI', 1476, '', 0, 'J41\r'),
	('GQ', 1492, 'SKG', 1486, 'LXS', 1465, '', 0, 'J41\r'),
	('GQ', 1492, 'SKG', 1486, 'SKU', 1482, '', 0, 'J41\r'),
	('GQ', 1492, 'SKU', 1482, 'SKG', 1486, '', 0, 'J41\r'),
	('GQ', 1492, 'SMI', 1476, 'RHO', 1472, '', 0, 'J41\r'),
	('GQ', 1492, 'ZTH', 1488, 'EFL', 1455, '', 0, 'J41\r'),
	('GQ', 1492, 'ZTH', 1488, 'KIT', 1454, '', 0, 'J41\r'),
	('GR', 508, 'ACI', 497, 'GCI', 498, '', 0, 'BNT\r'),
	('GR', 508, 'ACI', 497, 'SOU', 495, '', 0, 'BNT\r'),
	('GR', 508, 'BRS', 490, 'GCI', 498, '', 0, 'AT7\r'),
	('GR', 508, 'DNR', 1405, 'GCI', 498, '', 0, 'BNT\r'),
	('GR', 508, 'EMA', 523, 'GCI', 498, '', 0, 'AT7\r'),
	('GR', 508, 'GCI', 498, 'ACI', 497, '', 0, 'BNT\r'),
	('GR', 508, 'GCI', 498, 'BRS', 490, '', 0, 'AT7\r'),
	('GR', 508, 'GCI', 498, 'DNR', 1405, '', 0, 'BNT\r'),
	('GR', 508, 'GCI', 498, 'EMA', 523, '', 0, 'AT7\r'),
	('GR', 508, 'GCI', 498, 'JER', 499, '', 0, 'AT4 AT7\r'),
	('GR', 508, 'GCI', 498, 'LGW', 502, '', 0, 'E95 AT7\r'),
	('GR', 508, 'GCI', 498, 'MAN', 478, '', 0, 'AT7\r'),
	('GR', 508, 'GCI', 498, 'STN', 548, '', 0, 'AT7\r'),
	('GR', 508, 'JER', 499, 'GCI', 498, '', 0, 'AT4 AT7\r'),
	('GR', 508, 'JER', 499, 'STN', 548, '', 0, 'AT7\r'),
	('GR', 508, 'LGW', 502, 'GCI', 498, '', 0, 'E95 AT7\r'),
	('GR', 508, 'MAN', 478, 'GCI', 498, '', 0, 'AT7\r'),
	('GR', 508, 'SOU', 495, 'ACI', 497, '', 0, 'BNT\r'),
	('GR', 508, 'STN', 548, 'GCI', 498, '', 0, 'AT7\r'),
	('GR', 508, 'STN', 548, 'JER', 499, '', 0, 'AT7\r'),
	('GS', 690, 'AAT', 6946, 'URC', 3399, '', 0, 'E90\r'),
	('GS', 690, 'AKU', 6404, 'URC', 3399, '', 0, '320 E90\r'),
	('GS', 690, 'AQG', 6427, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'AQG', 6427, 'PEK', 3364, '', 0, 'E90\r'),
	('GS', 690, 'BAV', 6346, 'TSN', 3368, '', 0, 'ERJ\r'),
	('GS', 690, 'BAV', 6346, 'XIY', 3379, '', 0, 'ERJ\r'),
	('GS', 690, 'BHY', 6351, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'BHY', 6351, 'LYA', 4148, '', 0, 'E90\r'),
	('GS', 690, 'CGD', 6352, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'CGD', 6352, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'CGD', 6352, 'XMN', 3383, '', 0, 'E90\r'),
	('GS', 690, 'CGO', 3375, 'DSN', 6434, '', 0, 'E90\r'),
	('GS', 690, 'CGO', 3375, 'HET', 6345, '', 0, 'E90\r'),
	('GS', 690, 'CGO', 3375, 'HFE', 3389, '', 0, 'E90\r'),
	('GS', 690, 'CGO', 3375, 'HGH', 3386, '', 0, 'E90\r'),
	('GS', 690, 'CGO', 3375, 'KHN', 3384, '', 0, '320\r'),
	('GS', 690, 'CGO', 3375, 'KWE', 3394, '', 0, 'E90\r'),
	('GS', 690, 'CGO', 3375, 'KWL', 3372, '', 0, 'E90\r'),
	('GS', 690, 'CGO', 3375, 'NNG', 3373, '', 0, 'E90\r'),
	('GS', 690, 'CGO', 3375, 'SWA', 4302, '', 0, 'E90\r'),
	('GS', 690, 'CGO', 3375, 'SYX', 4030, '', 0, '321\r'),
	('GS', 690, 'CGO', 3375, 'TAO', 3390, '', 0, 'E90\r'),
	('GS', 690, 'CGO', 3375, 'TSN', 3368, '', 0, 'E90 320\r'),
	('GS', 690, 'CGO', 3375, 'URC', 3399, '', 0, '321\r'),
	('GS', 690, 'CGQ', 4380, 'TSN', 3368, '', 0, 'E90\r'),
	('GS', 690, 'CIF', 6342, 'HET', 6345, '', 0, 'E90 ERJ\r'),
	('GS', 690, 'CIF', 6342, 'HLD', 3366, '', 0, 'E90\r'),
	('GS', 690, 'CIF', 6342, 'SHE', 4144, '', 0, 'ERJ\r'),
	('GS', 690, 'CIF', 6342, 'TSN', 3368, '', 0, 'E90\r'),
	('GS', 690, 'CIH', 6343, 'TYN', 3369, '', 0, 'ERJ\r'),
	('GS', 690, 'CJU', 2370, 'TSN', 3368, '', 0, '321\r'),
	('GS', 690, 'CKG', 3393, 'KWE', 3394, '', 0, 'E90\r'),
	('GS', 690, 'CKG', 3393, 'TSN', 3368, '', 0, '321 320\r'),
	('GS', 690, 'CKG', 3393, 'XIY', 3379, '', 0, '320 321\r'),
	('GS', 690, 'CSX', 3371, 'DSN', 6434, '', 0, 'E90\r'),
	('GS', 690, 'CSX', 3371, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'CSX', 3371, 'LYI', 6385, '', 0, 'E90\r'),
	('GS', 690, 'CSX', 3371, 'NNG', 3373, '', 0, 'E90\r'),
	('GS', 690, 'CSX', 3371, 'SWA', 4302, '', 0, 'E90\r'),
	('GS', 690, 'CSX', 3371, 'TSN', 3368, '', 0, 'E90\r'),
	('GS', 690, 'CSX', 3371, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'DAT', 6344, 'SHE', 4144, '', 0, 'E90\r'),
	('GS', 690, 'DAT', 6344, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'DLC', 3404, 'LYI', 6385, '', 0, 'E90\r'),
	('GS', 690, 'DLC', 3404, 'TSN', 3368, '', 0, 'E90 320\r'),
	('GS', 690, 'DNH', 4308, 'LHW', 6431, '', 0, 'ERJ\r'),
	('GS', 690, 'DSN', 6434, 'CGO', 3375, '', 0, 'E90\r'),
	('GS', 690, 'DSN', 6434, 'CSX', 3371, '', 0, 'E90\r'),
	('GS', 690, 'DSN', 6434, 'HET', 6345, '', 0, 'ERJ\r'),
	('GS', 690, 'DSN', 6434, 'HGH', 3386, '', 0, 'E90\r'),
	('GS', 690, 'DSN', 6434, 'INC', 4085, '', 0, 'ERJ\r'),
	('GS', 690, 'DSN', 6434, 'NKG', 3388, '', 0, 'E90\r'),
	('GS', 690, 'DSN', 6434, 'SJW', 6347, '', 0, 'ERJ\r'),
	('GS', 690, 'DSN', 6434, 'TSN', 3368, '', 0, 'E90 ERJ\r'),
	('GS', 690, 'DSN', 6434, 'URC', 3399, '', 0, 'E90\r'),
	('GS', 690, 'DSN', 6434, 'WUH', 3376, '', 0, 'ERJ\r'),
	('GS', 690, 'DSN', 6434, 'XIY', 3379, '', 0, 'E90 ERJ\r'),
	('GS', 690, 'FOC', 3385, 'HFE', 3389, '', 0, 'E90\r'),
	('GS', 690, 'FOC', 3385, 'HIA', 7898, '', 0, 'ERJ\r'),
	('GS', 690, 'FOC', 3385, 'TAO', 3390, '', 0, 'E90\r'),
	('GS', 690, 'FUG', 7503, 'TSN', 3368, '', 0, 'E90\r'),
	('GS', 690, 'FUG', 7503, 'WNZ', 6392, '', 0, 'E90\r'),
	('GS', 690, 'FUG', 7503, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'FUG', 7503, 'XMN', 3383, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'AQG', 6427, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'BHY', 6351, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'CGD', 6352, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'CSX', 3371, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'KWE', 3394, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'KWL', 3372, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'LZO', 6399, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'NNG', 3373, '', 0, 'E90 320\r'),
	('GS', 690, 'HAK', 4120, 'SWA', 4302, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'TXN', 6387, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'ZHA', 6357, '', 0, 'E90\r'),
	('GS', 690, 'HAK', 4120, 'ZUH', 6355, '', 0, 'E90\r'),
	('GS', 690, 'HET', 6345, 'CGO', 3375, '', 0, 'E90\r'),
	('GS', 690, 'HET', 6345, 'CIF', 6342, '', 0, 'ERJ E90\r'),
	('GS', 690, 'HET', 6345, 'DSN', 6434, '', 0, 'ERJ\r'),
	('GS', 690, 'HET', 6345, 'HLD', 3366, '', 0, 'E90\r'),
	('GS', 690, 'HET', 6345, 'HLH', 6349, '', 0, 'ERJ\r'),
	('GS', 690, 'HET', 6345, 'NZH', 6954, '', 0, 'E90\r'),
	('GS', 690, 'HET', 6345, 'RLK', 8630, '', 0, 'E90 ERJ\r'),
	('GS', 690, 'HET', 6345, 'TGO', 6348, '', 0, 'ERJ E90\r'),
	('GS', 690, 'HET', 6345, 'TSN', 3368, '', 0, 'ERJ\r'),
	('GS', 690, 'HET', 6345, 'WUA', 6955, '', 0, 'ERJ\r'),
	('GS', 690, 'HET', 6345, 'XIL', 6350, '', 0, 'ERJ\r'),
	('GS', 690, 'HET', 6345, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'HFE', 3389, 'CGO', 3375, '', 0, 'E90\r'),
	('GS', 690, 'HFE', 3389, 'FOC', 3385, '', 0, 'E90\r'),
	('GS', 690, 'HFE', 3389, 'NNG', 3373, '', 0, 'E90\r'),
	('GS', 690, 'HFE', 3389, 'SWA', 4302, '', 0, 'E90\r'),
	('GS', 690, 'HFE', 3389, 'TAO', 3390, '', 0, 'E90\r'),
	('GS', 690, 'HFE', 3389, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'HGH', 3386, 'CGO', 3375, '', 0, 'E90\r'),
	('GS', 690, 'HGH', 3386, 'DSN', 6434, '', 0, 'E90\r'),
	('GS', 690, 'HGH', 3386, 'SWA', 4302, '', 0, 'E90\r'),
	('GS', 690, 'HGH', 3386, 'TSN', 3368, '', 0, 'E90\r'),
	('GS', 690, 'HGH', 3386, 'WUH', 3376, '', 0, 'E90\r'),
	('GS', 690, 'HIA', 7898, 'FOC', 3385, '', 0, 'ERJ\r'),
	('GS', 690, 'HIA', 7898, 'TSN', 3368, '', 0, 'ERJ\r'),
	('GS', 690, 'HIA', 7898, 'WNZ', 6392, '', 0, 'ERJ\r'),
	('GS', 690, 'HIA', 7898, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'HLD', 3366, 'CIF', 6342, '', 0, 'E90\r'),
	('GS', 690, 'HLD', 3366, 'HET', 6345, '', 0, 'E90\r'),
	('GS', 690, 'HLD', 3366, 'HRB', 3400, '', 0, 'E90\r'),
	('GS', 690, 'HLD', 3366, 'JGD', 8979, '', 0, 'E90\r'),
	('GS', 690, 'HLH', 6349, 'HET', 6345, '', 0, 'ERJ\r'),
	('GS', 690, 'HLH', 6349, 'SHE', 4144, '', 0, 'ERJ\r'),
	('GS', 690, 'HMI', 6743, 'URC', 3399, '', 0, 'E90\r'),
	('GS', 690, 'HMI', 6743, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'HRB', 3400, 'HLD', 3366, '', 0, 'E90\r'),
	('GS', 690, 'HTN', 3398, 'URC', 3399, '', 0, '320\r'),
	('GS', 690, 'ICN', 3930, 'TSN', 3368, '', 0, '321\r'),
	('GS', 690, 'INC', 4085, 'DSN', 6434, '', 0, 'ERJ\r'),
	('GS', 690, 'INC', 4085, 'KWE', 3394, '', 0, 'E90\r'),
	('GS', 690, 'INC', 4085, 'LHW', 6431, '', 0, 'ERJ\r'),
	('GS', 690, 'INC', 4085, 'RLK', 8630, '', 0, 'ERJ\r'),
	('GS', 690, 'INC', 4085, 'TYN', 3369, '', 0, 'ERJ\r'),
	('GS', 690, 'IQN', 6365, 'LHW', 6431, '', 0, 'E90\r'),
	('GS', 690, 'IQN', 6365, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'JGD', 8979, 'HLD', 3366, '', 0, 'E90\r'),
	('GS', 690, 'JGN', 6432, 'LHW', 6431, '', 0, 'ERJ\r'),
	('GS', 690, 'JJN', 6386, 'NNG', 3373, '', 0, 'E90\r'),
	('GS', 690, 'JJN', 6386, 'YIW', 6394, '', 0, 'E90\r'),
	('GS', 690, 'JMU', 6411, 'SHE', 4144, '', 0, 'E90\r'),
	('GS', 690, 'KCA', 6406, 'URC', 3399, '', 0, 'E90\r'),
	('GS', 690, 'KHG', 3397, 'URC', 3399, '', 0, '320\r'),
	('GS', 690, 'KHN', 3384, 'CGO', 3375, '', 0, '320\r'),
	('GS', 690, 'KHN', 3384, 'KOW', 6379, '', 0, 'ERJ\r'),
	('GS', 690, 'KHN', 3384, 'NNG', 3373, '', 0, 'E90\r'),
	('GS', 690, 'KHN', 3384, 'SJW', 6347, '', 0, 'ERJ\r'),
	('GS', 690, 'KHN', 3384, 'TSN', 3368, '', 0, 'ERJ\r'),
	('GS', 690, 'KHN', 3384, 'WNZ', 6392, '', 0, 'E90\r'),
	('GS', 690, 'KMG', 3382, 'NNG', 3373, '', 0, 'E90\r'),
	('GS', 690, 'KMG', 3382, 'XIY', 3379, '', 0, '320\r'),
	('GS', 690, 'KMG', 3382, 'ZHA', 6357, '', 0, 'E90\r'),
	('GS', 690, 'KOW', 6379, 'KHN', 3384, '', 0, 'ERJ\r'),
	('GS', 690, 'KOW', 6379, 'ZUH', 6355, '', 0, 'E90\r'),
	('GS', 690, 'KRL', 6407, 'URC', 3399, '', 0, 'E90\r'),
	('GS', 690, 'KRY', 6408, 'URC', 3399, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'CGO', 3375, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'CKG', 3393, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'INC', 4085, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'KWL', 3372, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'MIG', 6400, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'NNG', 3373, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'TEN', 6963, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'TYN', 3369, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'WUH', 3376, '', 0, 'E90\r'),
	('GS', 690, 'KWE', 3394, 'XIY', 3379, '', 0, 'E90 321\r'),
	('GS', 690, 'KWL', 3372, 'CGO', 3375, '', 0, 'E90\r'),
	('GS', 690, 'KWL', 3372, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'KWL', 3372, 'KWE', 3394, '', 0, 'E90\r'),
	('GS', 690, 'KWL', 3372, 'LHW', 6431, '', 0, 'E90\r'),
	('GS', 690, 'KWL', 3372, 'XIY', 3379, '', 0, '321\r'),
	('GS', 690, 'KWL', 3372, 'ZUH', 6355, '', 0, 'E90\r'),
	('GS', 690, 'LHW', 6431, 'DNH', 4308, '', 0, 'ERJ\r'),
	('GS', 690, 'LHW', 6431, 'INC', 4085, '', 0, 'ERJ\r'),
	('GS', 690, 'LHW', 6431, 'IQN', 6365, '', 0, 'E90\r'),
	('GS', 690, 'LHW', 6431, 'JGN', 6432, '', 0, 'ERJ\r'),
	('GS', 690, 'LHW', 6431, 'KWL', 3372, '', 0, 'E90\r'),
	('GS', 690, 'LHW', 6431, 'TYN', 3369, '', 0, 'ERJ\r'),
	('GS', 690, 'LHW', 6431, 'XIY', 3379, '', 0, 'ERJ\r'),
	('GS', 690, 'LHW', 6431, 'YZY', 7987, '', 0, 'ERJ\r'),
	('GS', 690, 'LYA', 4148, 'BHY', 6351, '', 0, 'E90\r'),
	('GS', 690, 'LYI', 6385, 'CSX', 3371, '', 0, 'E90\r'),
	('GS', 690, 'LYI', 6385, 'DLC', 3404, '', 0, 'E90\r'),
	('GS', 690, 'LYI', 6385, 'WNZ', 6392, '', 0, 'E90\r'),
	('GS', 690, 'LYI', 6385, 'WUH', 3376, '', 0, 'E90\r'),
	('GS', 690, 'LYI', 6385, 'YIW', 6394, '', 0, 'E90\r'),
	('GS', 690, 'LZO', 6399, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'LZO', 6399, 'NNG', 3373, '', 0, 'E90\r'),
	('GS', 690, 'LZO', 6399, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'MDG', 4334, 'SHE', 4144, '', 0, 'E90\r'),
	('GS', 690, 'MIG', 6400, 'KWE', 3394, '', 0, 'E90\r'),
	('GS', 690, 'MWX', 4189, 'TSN', 3368, '', 0, '321\r'),
	('GS', 690, 'NAO', 6401, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'NGB', 3387, 'SWA', 4302, '', 0, 'E90\r'),
	('GS', 690, 'NGB', 3387, 'TSN', 3368, '', 0, '321 E90\r'),
	('GS', 690, 'NKG', 3388, 'DSN', 6434, '', 0, 'E90\r'),
	('GS', 690, 'NKG', 3388, 'SWA', 4302, '', 0, 'E90\r'),
	('GS', 690, 'NKG', 3388, 'XMN', 3383, '', 0, 'E90\r'),
	('GS', 690, 'NNG', 3373, 'CGO', 3375, '', 0, 'E90\r'),
	('GS', 690, 'NNG', 3373, 'CSX', 3371, '', 0, 'E90\r'),
	('GS', 690, 'NNG', 3373, 'HAK', 4120, '', 0, 'E90 320\r'),
	('GS', 690, 'NNG', 3373, 'HFE', 3389, '', 0, 'E90\r'),
	('GS', 690, 'NNG', 3373, 'JJN', 6386, '', 0, 'E90\r'),
	('GS', 690, 'NNG', 3373, 'KHN', 3384, '', 0, 'E90\r'),
	('GS', 690, 'NNG', 3373, 'KMG', 3382, '', 0, 'E90\r'),
	('GS', 690, 'NNG', 3373, 'KWE', 3394, '', 0, 'E90\r'),
	('GS', 690, 'NNG', 3373, 'LZO', 6399, '', 0, 'E90\r'),
	('GS', 690, 'NNG', 3373, 'WNZ', 6392, '', 0, 'E90\r'),
	('GS', 690, 'NNG', 3373, 'WUH', 3376, '', 0, '320 E90\r'),
	('GS', 690, 'NNG', 3373, 'XIY', 3379, '', 0, 'E90 320\r'),
	('GS', 690, 'NZH', 6954, 'HET', 6345, '', 0, 'E90\r'),
	('GS', 690, 'PEK', 3364, 'AQG', 6427, '', 0, 'E90\r'),
	('GS', 690, 'RLK', 8630, 'HET', 6345, '', 0, 'E90 ERJ\r'),
	('GS', 690, 'RLK', 8630, 'INC', 4085, '', 0, 'ERJ\r'),
	('GS', 690, 'RLK', 8630, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'SHA', 3391, 'TSN', 3368, '', 0, '321\r'),
	('GS', 690, 'SHE', 4144, 'CIF', 6342, '', 0, 'ERJ\r'),
	('GS', 690, 'SHE', 4144, 'DAT', 6344, '', 0, 'E90\r'),
	('GS', 690, 'SHE', 4144, 'HLH', 6349, '', 0, 'ERJ\r'),
	('GS', 690, 'SHE', 4144, 'JMU', 6411, '', 0, 'E90\r'),
	('GS', 690, 'SHE', 4144, 'MDG', 4334, '', 0, 'E90\r'),
	('GS', 690, 'SHE', 4144, 'TSN', 3368, '', 0, 'E90\r'),
	('GS', 690, 'SJW', 6347, 'DSN', 6434, '', 0, 'ERJ\r'),
	('GS', 690, 'SJW', 6347, 'KHN', 3384, '', 0, 'ERJ\r'),
	('GS', 690, 'SJW', 6347, 'TAO', 3390, '', 0, 'ERJ\r'),
	('GS', 690, 'SWA', 4302, 'CGO', 3375, '', 0, 'E90\r'),
	('GS', 690, 'SWA', 4302, 'CSX', 3371, '', 0, 'E90\r'),
	('GS', 690, 'SWA', 4302, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'SWA', 4302, 'HFE', 3389, '', 0, 'E90\r'),
	('GS', 690, 'SWA', 4302, 'HGH', 3386, '', 0, 'E90\r'),
	('GS', 690, 'SWA', 4302, 'NGB', 3387, '', 0, 'E90\r'),
	('GS', 690, 'SWA', 4302, 'NKG', 3388, '', 0, 'E90\r'),
	('GS', 690, 'SWA', 4302, 'YIW', 6394, '', 0, 'E90\r'),
	('GS', 690, 'SWA', 4302, 'ZHA', 6357, '', 0, 'E90\r'),
	('GS', 690, 'SYX', 4030, 'CGO', 3375, '', 0, '321\r'),
	('GS', 690, 'SYX', 4030, 'TSN', 3368, '', 0, '321\r'),
	('GS', 690, 'SYX', 4030, 'WUH', 3376, '', 0, '321\r'),
	('GS', 690, 'TAO', 3390, 'CGO', 3375, '', 0, 'E90\r'),
	('GS', 690, 'TAO', 3390, 'FOC', 3385, '', 0, 'E90\r'),
	('GS', 690, 'TAO', 3390, 'HFE', 3389, '', 0, 'E90\r'),
	('GS', 690, 'TAO', 3390, 'SJW', 6347, '', 0, 'ERJ\r'),
	('GS', 690, 'TAO', 3390, 'TSN', 3368, '', 0, 'E90\r'),
	('GS', 690, 'TAO', 3390, 'WNZ', 6392, '', 0, 'E90\r'),
	('GS', 690, 'TCG', 6752, 'URC', 3399, '', 0, 'E90\r'),
	('GS', 690, 'TEN', 6963, 'KWE', 3394, '', 0, 'E90\r'),
	('GS', 690, 'TGO', 6348, 'HET', 6345, '', 0, 'ERJ E90\r'),
	('GS', 690, 'TGO', 6348, 'TNA', 4108, '', 0, 'ERJ\r'),
	('GS', 690, 'TNA', 4108, 'TGO', 6348, '', 0, 'ERJ\r'),
	('GS', 690, 'TSN', 3368, 'BAV', 6346, '', 0, 'ERJ\r'),
	('GS', 690, 'TSN', 3368, 'CGO', 3375, '', 0, 'E90 320\r'),
	('GS', 690, 'TSN', 3368, 'CGQ', 4380, '', 0, 'E90\r'),
	('GS', 690, 'TSN', 3368, 'CIF', 6342, '', 0, 'E90\r'),
	('GS', 690, 'TSN', 3368, 'CJU', 2370, '', 0, '321\r'),
	('GS', 690, 'TSN', 3368, 'CKG', 3393, '', 0, '320 321\r'),
	('GS', 690, 'TSN', 3368, 'CSX', 3371, '', 0, 'E90\r'),
	('GS', 690, 'TSN', 3368, 'DLC', 3404, '', 0, 'E90 320\r'),
	('GS', 690, 'TSN', 3368, 'DSN', 6434, '', 0, 'E90 ERJ\r'),
	('GS', 690, 'TSN', 3368, 'FUG', 7503, '', 0, 'E90\r'),
	('GS', 690, 'TSN', 3368, 'HET', 6345, '', 0, 'ERJ\r'),
	('GS', 690, 'TSN', 3368, 'HGH', 3386, '', 0, 'E90\r'),
	('GS', 690, 'TSN', 3368, 'HIA', 7898, '', 0, 'ERJ\r'),
	('GS', 690, 'TSN', 3368, 'ICN', 3930, '', 0, '321\r'),
	('GS', 690, 'TSN', 3368, 'KHN', 3384, '', 0, 'ERJ\r'),
	('GS', 690, 'TSN', 3368, 'MWX', 4189, '', 0, '321\r'),
	('GS', 690, 'TSN', 3368, 'NGB', 3387, '', 0, '321 E90\r'),
	('GS', 690, 'TSN', 3368, 'SHA', 3391, '', 0, '321\r'),
	('GS', 690, 'TSN', 3368, 'SHE', 4144, '', 0, 'E90\r'),
	('GS', 690, 'TSN', 3368, 'SYX', 4030, '', 0, '321\r'),
	('GS', 690, 'TSN', 3368, 'TAO', 3390, '', 0, 'E90\r'),
	('GS', 690, 'TSN', 3368, 'TXN', 6387, '', 0, 'E90\r'),
	('GS', 690, 'TSN', 3368, 'TYN', 3369, '', 0, 'ERJ\r'),
	('GS', 690, 'TSN', 3368, 'URC', 3399, '', 0, '320\r'),
	('GS', 690, 'TSN', 3368, 'WUH', 3376, '', 0, 'E90 320 321\r'),
	('GS', 690, 'TSN', 3368, 'XIY', 3379, '', 0, '320 321 E90\r'),
	('GS', 690, 'TSN', 3368, 'YNT', 3392, '', 0, 'ERJ E90\r'),
	('GS', 690, 'TXN', 6387, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'TXN', 6387, 'TSN', 3368, '', 0, 'E90\r'),
	('GS', 690, 'TYN', 3369, 'CIH', 6343, '', 0, 'ERJ\r'),
	('GS', 690, 'TYN', 3369, 'INC', 4085, '', 0, 'ERJ\r'),
	('GS', 690, 'TYN', 3369, 'KWE', 3394, '', 0, 'E90\r'),
	('GS', 690, 'TYN', 3369, 'LHW', 6431, '', 0, 'ERJ\r'),
	('GS', 690, 'TYN', 3369, 'TSN', 3368, '', 0, 'ERJ\r'),
	('GS', 690, 'URC', 3399, 'AAT', 6946, '', 0, 'E90\r'),
	('GS', 690, 'URC', 3399, 'AKU', 6404, '', 0, '320 E90\r'),
	('GS', 690, 'URC', 3399, 'CGO', 3375, '', 0, '321\r'),
	('GS', 690, 'URC', 3399, 'DSN', 6434, '', 0, 'E90\r'),
	('GS', 690, 'URC', 3399, 'HMI', 6743, '', 0, 'E90\r'),
	('GS', 690, 'URC', 3399, 'HTN', 3398, '', 0, '320\r'),
	('GS', 690, 'URC', 3399, 'KCA', 6406, '', 0, 'E90\r'),
	('GS', 690, 'URC', 3399, 'KHG', 3397, '', 0, '320\r'),
	('GS', 690, 'URC', 3399, 'KRL', 6407, '', 0, 'E90\r'),
	('GS', 690, 'URC', 3399, 'KRY', 6408, '', 0, 'E90\r'),
	('GS', 690, 'URC', 3399, 'TCG', 6752, '', 0, 'E90\r'),
	('GS', 690, 'URC', 3399, 'TSN', 3368, '', 0, '320\r'),
	('GS', 690, 'URC', 3399, 'YIN', 6409, '', 0, 'E90 320\r'),
	('GS', 690, 'UYN', 6368, 'XIY', 3379, '', 0, 'E90\r'),
	('GS', 690, 'WNZ', 6392, 'FUG', 7503, '', 0, 'E90\r'),
	('GS', 690, 'WNZ', 6392, 'HIA', 7898, '', 0, 'ERJ\r'),
	('GS', 690, 'WNZ', 6392, 'KHN', 3384, '', 0, 'E90\r'),
	('GS', 690, 'WNZ', 6392, 'LYI', 6385, '', 0, 'E90\r'),
	('GS', 690, 'WNZ', 6392, 'NNG', 3373, '', 0, 'E90\r'),
	('GS', 690, 'WNZ', 6392, 'TAO', 3390, '', 0, 'E90\r'),
	('GS', 690, 'WUA', 6955, 'HET', 6345, '', 0, 'ERJ\r'),
	('GS', 690, 'WUH', 3376, 'DSN', 6434, '', 0, 'ERJ\r'),
	('GS', 690, 'WUH', 3376, 'HGH', 3386, '', 0, 'E90\r'),
	('GS', 690, 'WUH', 3376, 'KWE', 3394, '', 0, 'E90\r'),
	('GS', 690, 'WUH', 3376, 'LYI', 6385, '', 0, 'E90\r'),
	('GS', 690, 'WUH', 3376, 'NNG', 3373, '', 0, '320 E90\r'),
	('GS', 690, 'WUH', 3376, 'SYX', 4030, '', 0, '321\r'),
	('GS', 690, 'WUH', 3376, 'TSN', 3368, '', 0, 'E90 320 321\r'),
	('GS', 690, 'XIL', 6350, 'HET', 6345, '', 0, 'ERJ\r'),
	('GS', 690, 'XIY', 3379, 'BAV', 6346, '', 0, 'ERJ\r'),
	('GS', 690, 'XIY', 3379, 'CGD', 6352, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'CKG', 3393, '', 0, '321 320\r'),
	('GS', 690, 'XIY', 3379, 'CSX', 3371, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'DAT', 6344, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'DSN', 6434, '', 0, 'E90 ERJ\r'),
	('GS', 690, 'XIY', 3379, 'FUG', 7503, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'HET', 6345, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'HFE', 3389, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'HIA', 7898, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'HMI', 6743, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'IQN', 6365, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'KMG', 3382, '', 0, '320\r'),
	('GS', 690, 'XIY', 3379, 'KWE', 3394, '', 0, 'E90 321\r'),
	('GS', 690, 'XIY', 3379, 'KWL', 3372, '', 0, '321\r'),
	('GS', 690, 'XIY', 3379, 'LHW', 6431, '', 0, 'ERJ\r'),
	('GS', 690, 'XIY', 3379, 'LZO', 6399, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'NAO', 6401, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'NNG', 3373, '', 0, '320 E90\r'),
	('GS', 690, 'XIY', 3379, 'RLK', 8630, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'TSN', 3368, '', 0, 'E90 320 321\r'),
	('GS', 690, 'XIY', 3379, 'UYN', 6368, '', 0, 'E90\r'),
	('GS', 690, 'XIY', 3379, 'YIH', 6361, '', 0, 'ERJ\r'),
	('GS', 690, 'XIY', 3379, 'YZY', 7987, '', 0, 'ERJ\r'),
	('GS', 690, 'XMN', 3383, 'CGD', 6352, '', 0, 'E90\r'),
	('GS', 690, 'XMN', 3383, 'FUG', 7503, '', 0, 'E90\r'),
	('GS', 690, 'XMN', 3383, 'NKG', 3388, '', 0, 'E90\r'),
	('GS', 690, 'YIH', 6361, 'XIY', 3379, '', 0, 'ERJ\r'),
	('GS', 690, 'YIN', 6409, 'URC', 3399, '', 0, 'E90 320\r'),
	('GS', 690, 'YIW', 6394, 'JJN', 6386, '', 0, 'E90\r'),
	('GS', 690, 'YIW', 6394, 'LYI', 6385, '', 0, 'E90\r'),
	('GS', 690, 'YIW', 6394, 'SWA', 4302, '', 0, 'E90\r'),
	('GS', 690, 'YNT', 3392, 'TSN', 3368, '', 0, 'ERJ E90\r'),
	('GS', 690, 'YZY', 7987, 'LHW', 6431, '', 0, 'ERJ\r'),
	('GS', 690, 'YZY', 7987, 'XIY', 3379, '', 0, 'ERJ\r'),
	('GS', 690, 'ZHA', 6357, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'ZHA', 6357, 'KMG', 3382, '', 0, 'E90\r'),
	('GS', 690, 'ZHA', 6357, 'SWA', 4302, '', 0, 'E90\r'),
	('GS', 690, 'ZUH', 6355, 'HAK', 4120, '', 0, 'E90\r'),
	('GS', 690, 'ZUH', 6355, 'KOW', 6379, '', 0, 'E90\r'),
	('GS', 690, 'ZUH', 6355, 'KWL', 3372, '', 0, 'E90\r'),
	('GV', 386, 'AKB', 7195, 'DUT', 3860, '', 0, 'BEC\r'),
	('GV', 386, 'AKN', 3794, 'DLG', 3460, '', 0, 'BEC\r'),
	('GV', 386, 'AKN', 3794, 'KLL', 7102, '', 0, 'BEC\r'),
	('GV', 386, 'AKN', 3794, 'PIP', 7158, '', 0, 'BEC\r'),
	('GV', 386, 'AKN', 3794, 'WSN', 7159, '', 0, 'BEC\r'),
	('GV', 386, 'ANC', 3774, 'ENA', 3628, '', 0, 'BEC\r'),
	('GV', 386, 'BET', 3599, 'EMK', 7087, '', 0, 'BEC\r'),
	('GV', 386, 'CDB', 3854, 'KFP', 7202, '', 0, 'BEC\r'),
	('GV', 386, 'CDB', 3854, 'KVC', 6765, '', 0, 'BEC\r'),
	('GV', 386, 'CDB', 3854, 'NLG', 7203, '', 0, 'BEC\r'),
	('GV', 386, 'DLG', 3460, 'AKN', 3794, '', 0, 'BEC\r'),
	('GV', 386, 'DUT', 3860, 'AKB', 7195, '', 0, 'BEC\r'),
	('GV', 386, 'DUT', 3860, 'IKO', 7196, '', 0, 'BEC\r'),
	('GV', 386, 'DUT', 3860, 'KQA', 6134, '', 0, 'BEC\r'),
	('GV', 386, 'EGX', 7154, 'AKN', 3794, '', 0, 'BEC\r'),
	('GV', 386, 'EMK', 7087, 'BET', 3599, '', 0, 'BEC\r'),
	('GV', 386, 'EMK', 7087, 'KOT', 7207, '', 0, 'BEC\r'),
	('GV', 386, 'ENA', 3628, 'ANC', 3774, '', 0, 'BEC\r'),
	('GV', 386, 'IGG', 6763, 'AKN', 3794, '', 0, 'BEC\r'),
	('GV', 386, 'IKO', 7196, 'DUT', 3860, '', 0, 'BEC\r'),
	('GV', 386, 'KCL', 7155, 'KCQ', 7153, '', 0, 'BEC\r'),
	('GV', 386, 'KCQ', 7153, 'KPV', 7157, '', 0, 'BEC\r'),
	('GV', 386, 'KFP', 7202, 'CDB', 3854, '', 0, 'BEC\r'),
	('GV', 386, 'KLL', 7102, 'IGG', 6763, '', 0, 'BEC\r'),
	('GV', 386, 'KPV', 7157, 'AKN', 3794, '', 0, 'BEC\r'),
	('GV', 386, 'KQA', 6134, 'DUT', 3860, '', 0, 'BEC\r'),
	('GV', 386, 'KVC', 6765, 'CDB', 3854, '', 0, 'BEC\r'),
	('GV', 386, 'NLG', 7203, 'CDB', 3854, '', 0, 'BEC\r'),
	('GV', 386, 'PTH', 6766, 'AKN', 3794, '', 0, 'BEC\r'),
	('GV', 386, 'WSN', 7159, 'EGX', 7154, '', 0, 'BEC\r'),
	('GY', 9620, 'DME', 4029, 'FRU', 2912, '', 0, '733\r'),
	('GY', 9620, 'FRU', 2912, 'DME', 4029, '', 0, '733\r'),
	('GZ', 4234, 'AIT', 1958, 'AIU', 5861, '', 0, 'EMB\r'),
	('GZ', 4234, 'AIT', 1958, 'RAR', 1959, '', 0, 'SF3\r'),
	('GZ', 4234, 'AIU', 5861, 'RAR', 1959, '', 0, 'EMB\r'),
	('GZ', 4234, 'MGS', 5862, 'RAR', 1959, '', 0, 'EMB\r'),
	('GZ', 4234, 'MOI', 5865, 'RAR', 1959, '', 0, 'EMB\r'),
	('GZ', 4234, 'MUK', 5864, 'RAR', 1959, '', 0, 'EMB\r'),
	('GZ', 4234, 'PPT', 4075, 'RAR', 1959, 'Y', 0, 'AT5\r'),
	('GZ', 4234, 'RAR', 1959, 'AIT', 1958, '', 0, 'SF3 EMB\r'),
	('GZ', 4234, 'RAR', 1959, 'AIU', 5861, '', 0, 'EMB\r'),
	('GZ', 4234, 'RAR', 1959, 'MGS', 5862, '', 0, 'EMB\r'),
	('GZ', 4234, 'RAR', 1959, 'MOI', 5865, '', 0, 'EMB\r'),
	('GZ', 4234, 'RAR', 1959, 'MUK', 5864, '', 0, 'EMB\r'),
	('GZ', 4234, 'RAR', 1959, 'PPT', 4075, 'Y', 0, 'AT5\r'),
	('H2', 4737, 'ANF', 2651, 'CJC', 2645, '', 0, '320 319\r'),
	('H2', 4737, 'ANF', 2651, 'IQQ', 2649, '', 0, '319 320\r'),
	('H2', 4737, 'ANF', 2651, 'LSC', 2662, '', 0, '319 320\r'),
	('H2', 4737, 'ANF', 2651, 'SCL', 2650, '', 0, '320 319\r'),
	('H2', 4737, 'ARI', 2641, 'ANF', 2651, '', 0, '319 320\r'),
	('H2', 4737, 'ARI', 2641, 'IQQ', 2649, '', 0, '319 320\r'),
	('H2', 4737, 'ARI', 2641, 'LPB', 2762, '', 0, '320\r'),
	('H2', 4737, 'BBA', 2642, 'PMC', 2665, '', 0, '319 320\r'),
	('H2', 4737, 'BBA', 2642, 'PUQ', 2647, '', 0, '319\r'),
	('H2', 4737, 'CCP', 2656, 'PMC', 2665, '', 0, '319 320\r'),
	('H2', 4737, 'CCP', 2656, 'SCL', 2650, '', 0, '319 320\r'),
	('H2', 4737, 'CCP', 2656, 'ZAL', 2667, '', 0, '319\r'),
	('H2', 4737, 'CCP', 2656, 'ZCO', 2664, '', 0, '319\r'),
	('H2', 4737, 'CJC', 2645, 'ANF', 2651, '', 0, '319\r'),
	('H2', 4737, 'CJC', 2645, 'CPO', 4312, '', 0, '319\r'),
	('H2', 4737, 'CJC', 2645, 'LSC', 2662, '', 0, '319\r'),
	('H2', 4737, 'CJC', 2645, 'SCL', 2650, '', 0, '319 320\r'),
	('H2', 4737, 'CPO', 4312, 'CJC', 2645, '', 0, '319\r'),
	('H2', 4737, 'CPO', 4312, 'LSC', 2662, '', 0, '319\r'),
	('H2', 4737, 'CPO', 4312, 'SCL', 2650, '', 0, '320 319\r'),
	('H2', 4737, 'EZE', 3988, 'SCL', 2650, '', 0, '319\r'),
	('H2', 4737, 'GRU', 2564, 'SCL', 2650, '', 0, '319\r'),
	('H2', 4737, 'IQQ', 2649, 'ANF', 2651, '', 0, '319 320\r'),
	('H2', 4737, 'IQQ', 2649, 'ARI', 2641, '', 0, '320 319\r'),
	('H2', 4737, 'IQQ', 2649, 'SCL', 2650, '', 0, '319 320\r'),
	('H2', 4737, 'LPB', 2762, 'ARI', 2641, '', 0, '320\r'),
	('H2', 4737, 'LSC', 2662, 'ANF', 2651, '', 0, '319 320\r'),
	('H2', 4737, 'LSC', 2662, 'CJC', 2645, '', 0, '319\r'),
	('H2', 4737, 'LSC', 2662, 'CPO', 4312, '', 0, '319\r'),
	('H2', 4737, 'LSC', 2662, 'SCL', 2650, '', 0, '319 320\r'),
	('H2', 4737, 'PMC', 2665, 'BBA', 2642, '', 0, '319 320\r'),
	('H2', 4737, 'PMC', 2665, 'CCP', 2656, '', 0, '319 320\r'),
	('H2', 4737, 'PMC', 2665, 'PUQ', 2647, '', 0, '319\r'),
	('H2', 4737, 'PMC', 2665, 'SCL', 2650, '', 0, '319 320\r'),
	('H2', 4737, 'PUQ', 2647, 'BBA', 2642, '', 0, '319\r'),
	('H2', 4737, 'PUQ', 2647, 'PMC', 2665, '', 0, '319\r'),
	('H2', 4737, 'SCL', 2650, 'ANF', 2651, '', 0, '319 320\r'),
	('H2', 4737, 'SCL', 2650, 'CCP', 2656, '', 0, '319 320\r'),
	('H2', 4737, 'SCL', 2650, 'CJC', 2645, '', 0, '319 320\r'),
	('H2', 4737, 'SCL', 2650, 'CPO', 4312, '', 0, '320 319\r'),
	('H2', 4737, 'SCL', 2650, 'EZE', 3988, '', 0, '319\r'),
	('H2', 4737, 'SCL', 2650, 'GRU', 2564, '', 0, '319\r'),
	('H2', 4737, 'SCL', 2650, 'IQQ', 2649, '', 0, '320 319\r'),
	('H2', 4737, 'SCL', 2650, 'LSC', 2662, '', 0, '319 320\r'),
	('H2', 4737, 'SCL', 2650, 'PMC', 2665, '', 0, '319 320\r'),
	('H2', 4737, 'SCL', 2650, 'ZCO', 2664, '', 0, '319\r'),
	('H2', 4737, 'ZAL', 2667, 'CCP', 2656, '', 0, '319\r'),
	('H2', 4737, 'ZCO', 2664, 'CCP', 2656, '', 0, '319\r'),
	('H2', 4737, 'ZCO', 2664, 'SCL', 2650, '', 0, '319\r'),
	('H7', 2094, 'EBB', 1187, 'RUA', 5709, '', 0, 'L4T\r'),
	('H7', 2094, 'RUA', 5709, 'EBB', 1187, '', 0, 'L4T\r'),
	('HA', 2688, 'BNE', 3320, 'HNL', 3728, '', 0, '763\r'),
	('HA', 2688, 'CTS', 2287, 'HNL', 3728, '', 0, '763\r'),
	('HA', 2688, 'FUK', 2305, 'HNL', 3728, '', 0, '763\r'),
	('HA', 2688, 'HND', 2359, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'AKL', 2006, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'BNE', 3320, '', 0, '763\r'),
	('HA', 2688, 'HNL', 3728, 'FUK', 2305, '', 0, '763\r'),
	('HA', 2688, 'HNL', 3728, 'HND', 2359, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'ICN', 3930, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'ITO', 3415, '', 0, '717\r'),
	('HA', 2688, 'HNL', 3728, 'JFK', 3797, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'KIX', 3992, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'KOA', 3514, '', 0, '717\r'),
	('HA', 2688, 'HNL', 3728, 'LAS', 3877, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'LAX', 3484, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'LIH', 3602, '', 0, '717\r'),
	('HA', 2688, 'HNL', 3728, 'LNY', 3851, '', 0, 'AT5\r'),
	('HA', 2688, 'HNL', 3728, 'MKK', 3705, '', 0, 'AT5\r'),
	('HA', 2688, 'HNL', 3728, 'OAK', 3453, '', 0, '763\r'),
	('HA', 2688, 'HNL', 3728, 'OGG', 3456, '', 0, '717\r'),
	('HA', 2688, 'HNL', 3728, 'PDX', 3720, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'PEK', 3364, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'PHX', 3462, '', 0, '763\r'),
	('HA', 2688, 'HNL', 3728, 'PPG', 1970, '', 0, '763\r'),
	('HA', 2688, 'HNL', 3728, 'PPT', 4075, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'SAN', 3731, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'SDJ', 2347, '', 0, '763\r'),
	('HA', 2688, 'HNL', 3728, 'SEA', 3577, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'SFO', 3469, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'SMF', 3817, '', 0, '763\r'),
	('HA', 2688, 'HNL', 3728, 'SYD', 3361, '', 0, '332\r'),
	('HA', 2688, 'HNL', 3728, 'TPE', 2276, '', 0, '333\r'),
	('HA', 2688, 'ICN', 3930, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'ITO', 3415, 'HNL', 3728, '', 0, '717\r'),
	('HA', 2688, 'ITO', 3415, 'OGG', 3456, '', 0, '717\r'),
	('HA', 2688, 'JFK', 3797, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'JFK', 3797, 'LAS', 3877, 'Y', 0, '320\r'),
	('HA', 2688, 'KIX', 3992, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'KOA', 3514, 'HNL', 3728, '', 0, '717\r'),
	('HA', 2688, 'KOA', 3514, 'OGG', 3456, '', 0, '717\r'),
	('HA', 2688, 'LAS', 3877, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'LAS', 3877, 'JFK', 3797, 'Y', 0, '320\r'),
	('HA', 2688, 'LAS', 3877, 'SFO', 3469, 'Y', 0, '320\r'),
	('HA', 2688, 'LAX', 3484, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'LAX', 3484, 'OGG', 3456, '', 0, '763\r'),
	('HA', 2688, 'LIH', 3602, 'HNL', 3728, '', 0, '717\r'),
	('HA', 2688, 'LIH', 3602, 'OGG', 3456, '', 0, '717\r'),
	('HA', 2688, 'LNY', 3851, 'HNL', 3728, '', 0, 'AT5\r'),
	('HA', 2688, 'MKK', 3705, 'HNL', 3728, '', 0, 'AT5\r'),
	('HA', 2688, 'OAK', 3453, 'HNL', 3728, '', 0, '763\r'),
	('HA', 2688, 'OAK', 3453, 'OGG', 3456, '', 0, '763\r'),
	('HA', 2688, 'OGG', 3456, 'HNL', 3728, '', 0, '717\r'),
	('HA', 2688, 'OGG', 3456, 'ITO', 3415, '', 0, '717\r'),
	('HA', 2688, 'OGG', 3456, 'KOA', 3514, '', 0, '717\r'),
	('HA', 2688, 'OGG', 3456, 'LAX', 3484, '', 0, '763\r'),
	('HA', 2688, 'OGG', 3456, 'LIH', 3602, '', 0, '717\r'),
	('HA', 2688, 'OGG', 3456, 'OAK', 3453, '', 0, '763\r'),
	('HA', 2688, 'OGG', 3456, 'SEA', 3577, '', 0, '332\r'),
	('HA', 2688, 'OGG', 3456, 'SJC', 3748, '', 0, '763\r'),
	('HA', 2688, 'PDX', 3720, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'PEK', 3364, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'PHX', 3462, 'HNL', 3728, '', 0, '763\r'),
	('HA', 2688, 'PPG', 1970, 'HNL', 3728, '', 0, '763\r'),
	('HA', 2688, 'PPT', 4075, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'SAN', 3731, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'SDJ', 2347, 'CTS', 2287, '', 0, '763\r'),
	('HA', 2688, 'SEA', 3577, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'SEA', 3577, 'OGG', 3456, '', 0, '332\r'),
	('HA', 2688, 'SFO', 3469, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'SFO', 3469, 'LAS', 3877, 'Y', 0, '320\r'),
	('HA', 2688, 'SJC', 3748, 'OGG', 3456, '', 0, '763\r'),
	('HA', 2688, 'SMF', 3817, 'HNL', 3728, '', 0, '763\r'),
	('HA', 2688, 'SYD', 3361, 'HNL', 3728, '', 0, '332\r'),
	('HA', 2688, 'TPE', 2276, 'HNL', 3728, '', 0, '333\r'),
	('HD', 2765, 'AKJ', 2299, 'HND', 2359, '', 0, '735 763\r'),
	('HD', 2765, 'CTS', 2287, 'FKS', 5999, '', 0, '735\r'),
	('HD', 2765, 'CTS', 2287, 'HND', 2359, '', 0, '763 735\r'),
	('HD', 2765, 'CTS', 2287, 'KIJ', 4381, '', 0, '735\r'),
	('HD', 2765, 'CTS', 2287, 'KMQ', 2322, '', 0, '735\r'),
	('HD', 2765, 'CTS', 2287, 'OKJ', 2327, '', 0, '735\r'),
	('HD', 2765, 'CTS', 2287, 'SDJ', 2347, '', 0, '735\r'),
	('HD', 2765, 'CTS', 2287, 'TOY', 2324, '', 0, '735\r'),
	('HD', 2765, 'CTS', 2287, 'UKB', 3943, '', 0, '735\r'),
	('HD', 2765, 'FKS', 5999, 'CTS', 2287, '', 0, '735\r'),
	('HD', 2765, 'HKD', 2288, 'HND', 2359, '', 0, '763\r'),
	('HD', 2765, 'HND', 2359, 'AKJ', 2299, '', 0, '735 763\r'),
	('HD', 2765, 'HND', 2359, 'CTS', 2287, '', 0, '763 735\r'),
	('HD', 2765, 'HND', 2359, 'HKD', 2288, '', 0, '763\r'),
	('HD', 2765, 'HND', 2359, 'KUH', 5994, '', 0, '735\r'),
	('HD', 2765, 'HND', 2359, 'MMB', 2290, '', 0, '735\r'),
	('HD', 2765, 'HND', 2359, 'OBO', 2286, '', 0, '735\r'),
	('HD', 2765, 'KIJ', 4381, 'CTS', 2287, '', 0, '735\r'),
	('HD', 2765, 'KMQ', 2322, 'CTS', 2287, '', 0, '735\r'),
	('HD', 2765, 'KUH', 5994, 'HND', 2359, '', 0, '735\r'),
	('HD', 2765, 'MMB', 2290, 'HND', 2359, '', 0, '735\r'),
	('HD', 2765, 'OBO', 2286, 'HND', 2359, '', 0, '735\r'),
	('HD', 2765, 'OKJ', 2327, 'CTS', 2287, '', 0, '735\r'),
	('HD', 2765, 'SDJ', 2347, 'CTS', 2287, '', 0, '735\r'),
	('HD', 2765, 'TOY', 2324, 'CTS', 2287, '', 0, '735\r'),
	('HD', 2765, 'UKB', 3943, 'CTS', 2287, '', 0, '735\r'),
	('HF', 2682, 'ABJ', 253, 'ACC', 248, '', 0, 'E70 319\r'),
	('HF', 2682, 'ABJ', 253, 'BKO', 1044, '', 0, '319\r'),
	('HF', 2682, 'ABJ', 253, 'CKY', 4162, '', 0, 'E70\r'),
	('HF', 2682, 'ABJ', 253, 'DKR', 1084, '', 0, '319\r'),
	('HF', 2682, 'ABJ', 253, 'DLA', 897, '', 0, '319\r'),
	('HF', 2682, 'ABJ', 253, 'LBV', 970, '', 0, '319\r'),
	('HF', 2682, 'ABJ', 253, 'LFW', 298, '', 0, 'E70 319\r'),
	('HF', 2682, 'ABJ', 253, 'OUA', 246, '', 0, 'E70\r'),
	('HF', 2682, 'ACC', 248, 'ABJ', 253, '', 0, '319 E70\r'),
	('HF', 2682, 'ACC', 248, 'COO', 245, '', 0, 'E70 319\r'),
	('HF', 2682, 'BKO', 1044, 'ABJ', 253, '', 0, '319\r'),
	('HF', 2682, 'BZV', 883, 'LBV', 970, '', 0, '319\r'),
	('HF', 2682, 'CKY', 4162, 'ABJ', 253, '', 0, 'E70\r'),
	('HF', 2682, 'COO', 245, 'ABJ', 253, '', 0, 'E70\r'),
	('HF', 2682, 'COO', 245, 'ACC', 248, '', 0, '319 E70\r'),
	('HF', 2682, 'COO', 245, 'LFW', 298, '', 0, 'E70\r'),
	('HF', 2682, 'DKR', 1084, 'ABJ', 253, '', 0, '319\r'),
	('HF', 2682, 'DLA', 897, 'ABJ', 253, '', 0, '319\r'),
	('HF', 2682, 'LBV', 970, 'ABJ', 253, '', 0, '319\r'),
	('HF', 2682, 'LBV', 970, 'BZV', 883, '', 0, '319\r'),
	('HF', 2682, 'LBV', 970, 'PNR', 886, '', 0, '319\r'),
	('HF', 2682, 'LFW', 298, 'ABJ', 253, '', 0, 'E70 319\r'),
	('HF', 2682, 'LFW', 298, 'COO', 245, '', 0, 'E70\r'),
	('HF', 2682, 'OUA', 246, 'ABJ', 253, '', 0, 'E70\r'),
	('HF', 2682, 'PNR', 886, 'LBV', 970, '', 0, '319\r'),
	('HG', 3661, 'ACE', 1055, 'FUE', 1051, '', 0, '321 320\r'),
	('HG', 3661, 'AGP', 1230, 'VIE', 1613, '', 0, '321 320\r'),
	('HG', 3661, 'ARN', 737, 'VIE', 1613, '', 0, 'E90\r'),
	('HG', 3661, 'AYT', 1688, 'GRZ', 1609, '', 0, '321\r'),
	('HG', 3661, 'AYT', 1688, 'SZG', 1612, '', 0, '321\r'),
	('HG', 3661, 'AYT', 1688, 'VIE', 1613, '', 0, '321\r'),
	('HG', 3661, 'BCN', 1218, 'VIE', 1613, '', 0, '320 321\r'),
	('HG', 3661, 'CDG', 1382, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'CFU', 1460, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'CHQ', 1474, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'CLY', 1322, 'FMM', 3986, '', 0, '320\r'),
	('HG', 3661, 'CLY', 1322, 'SZG', 1612, '', 0, '320\r'),
	('HG', 3661, 'CPH', 609, 'VIE', 1613, '', 0, 'E90\r'),
	('HG', 3661, 'DME', 4029, 'VIE', 1613, '', 0, '320 E90\r'),
	('HG', 3661, 'FCO', 1555, 'VIE', 1613, '', 0, '320 E90 321\r'),
	('HG', 3661, 'FLR', 1563, 'VIE', 1613, '', 0, 'DH4\r'),
	('HG', 3661, 'FMM', 3986, 'CLY', 1322, '', 0, '320\r'),
	('HG', 3661, 'FNC', 4091, 'VIE', 1613, '', 0, '321\r'),
	('HG', 3661, 'FRA', 340, 'VIE', 1613, '', 0, 'E90 320\r'),
	('HG', 3661, 'FUE', 1051, 'SZG', 1612, '', 0, '320\r'),
	('HG', 3661, 'FUE', 1051, 'VIE', 1613, '', 0, '321\r'),
	('HG', 3661, 'GRZ', 1609, 'AYT', 1688, '', 0, '321\r'),
	('HG', 3661, 'GRZ', 1609, 'HER', 1452, '', 0, '320\r'),
	('HG', 3661, 'GRZ', 1609, 'PMI', 3998, '', 0, '320\r'),
	('HG', 3661, 'GRZ', 1609, 'TFS', 1056, '', 0, '320\r'),
	('HG', 3661, 'HER', 1452, 'GRZ', 1609, '', 0, '320\r'),
	('HG', 3661, 'HER', 1452, 'LNZ', 1611, '', 0, '321\r'),
	('HG', 3661, 'HER', 1452, 'SZG', 1612, '', 0, '321\r'),
	('HG', 3661, 'HER', 1452, 'VIE', 1613, '', 0, '320 321\r'),
	('HG', 3661, 'HRG', 1130, 'SZG', 1612, '', 0, '320 321\r'),
	('HG', 3661, 'HRG', 1130, 'VIE', 1613, '', 0, '320 321\r'),
	('HG', 3661, 'INN', 1610, 'PMI', 3998, '', 0, '320\r'),
	('HG', 3661, 'JMK', 1468, 'VIE', 1613, '', 0, '320 321\r'),
	('HG', 3661, 'JTR', 1479, 'VIE', 1613, '', 0, '321 320 E90\r'),
	('HG', 3661, 'KLX', 1456, 'VIE', 1613, '', 0, '320 E90\r'),
	('HG', 3661, 'LCA', 1197, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'LNZ', 1611, 'HER', 1452, '', 0, '321\r'),
	('HG', 3661, 'LNZ', 1611, 'PMI', 3998, '', 0, '320\r'),
	('HG', 3661, 'LPA', 1054, 'SZG', 1612, '', 0, '320\r'),
	('HG', 3661, 'LPA', 1054, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'MAD', 1229, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'MLA', 1606, 'VIE', 1613, '', 0, 'E90\r'),
	('HG', 3661, 'MUC', 346, 'VIE', 1613, '', 0, 'E90\r'),
	('HG', 3661, 'MXP', 1524, 'VIE', 1613, '', 0, 'E90\r'),
	('HG', 3661, 'NCE', 1354, 'VIE', 1613, '', 0, 'E90\r'),
	('HG', 3661, 'OLB', 1520, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'PMI', 3998, 'GRZ', 1609, '', 0, '320\r'),
	('HG', 3661, 'PMI', 3998, 'INN', 1610, '', 0, '320\r'),
	('HG', 3661, 'PMI', 3998, 'LNZ', 1611, '', 0, '320\r'),
	('HG', 3661, 'PMI', 3998, 'SZG', 1612, '', 0, '320\r'),
	('HG', 3661, 'PMI', 3998, 'VIE', 1613, '', 0, '320 321 E90\r'),
	('HG', 3661, 'PVK', 1470, 'VIE', 1613, '', 0, 'E90\r'),
	('HG', 3661, 'RHO', 1472, 'VIE', 1613, '', 0, '320 E90\r'),
	('HG', 3661, 'RMF', 4197, 'VIE', 1613, '', 0, '321\r'),
	('HG', 3661, 'SKG', 1486, 'VIE', 1613, '', 0, 'E90\r'),
	('HG', 3661, 'SZG', 1612, 'ACE', 1055, '', 0, '320\r'),
	('HG', 3661, 'SZG', 1612, 'AYT', 1688, '', 0, '321\r'),
	('HG', 3661, 'SZG', 1612, 'CLY', 1322, '', 0, '320\r'),
	('HG', 3661, 'SZG', 1612, 'HER', 1452, '', 0, '321\r'),
	('HG', 3661, 'SZG', 1612, 'HRG', 1130, '', 0, '320 321\r'),
	('HG', 3661, 'SZG', 1612, 'LPA', 1054, '', 0, '320\r'),
	('HG', 3661, 'SZG', 1612, 'PMI', 3998, '', 0, '320\r'),
	('HG', 3661, 'SZG', 1612, 'TFS', 1056, '', 0, '320\r'),
	('HG', 3661, 'SZG', 1612, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'TFS', 1056, 'GRZ', 1609, '', 0, '320\r'),
	('HG', 3661, 'TFS', 1056, 'SZG', 1612, '', 0, '320\r'),
	('HG', 3661, 'TFS', 1056, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'TLV', 1590, 'VIE', 1613, '', 0, '321 320\r'),
	('HG', 3661, 'VIE', 1613, 'ACE', 1055, '', 0, '321\r'),
	('HG', 3661, 'VIE', 1613, 'AGP', 1230, '', 0, '321 320\r'),
	('HG', 3661, 'VIE', 1613, 'ARN', 737, '', 0, 'E90\r'),
	('HG', 3661, 'VIE', 1613, 'AYT', 1688, '', 0, '321\r'),
	('HG', 3661, 'VIE', 1613, 'BCN', 1218, '', 0, '320 321\r'),
	('HG', 3661, 'VIE', 1613, 'CDG', 1382, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'CFU', 1460, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'CHQ', 1474, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'CPH', 609, '', 0, 'E90\r'),
	('HG', 3661, 'VIE', 1613, 'DME', 4029, '', 0, '320 E90\r'),
	('HG', 3661, 'VIE', 1613, 'FCO', 1555, '', 0, '320 E90 321\r'),
	('HG', 3661, 'VIE', 1613, 'FLR', 1563, '', 0, 'DH4\r'),
	('HG', 3661, 'VIE', 1613, 'FNC', 4091, '', 0, '321\r'),
	('HG', 3661, 'VIE', 1613, 'FRA', 340, '', 0, 'E90 320\r'),
	('HG', 3661, 'VIE', 1613, 'HER', 1452, '', 0, '320 321\r'),
	('HG', 3661, 'VIE', 1613, 'HRG', 1130, '', 0, '320 321\r'),
	('HG', 3661, 'VIE', 1613, 'JMK', 1468, '', 0, '320 321\r'),
	('HG', 3661, 'VIE', 1613, 'JTR', 1479, '', 0, '321 320 E90\r'),
	('HG', 3661, 'VIE', 1613, 'KLX', 1456, '', 0, '320 E90\r'),
	('HG', 3661, 'VIE', 1613, 'LCA', 1197, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'LPA', 1054, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'MAD', 1229, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'MLA', 1606, '', 0, 'E90\r'),
	('HG', 3661, 'VIE', 1613, 'MUC', 346, '', 0, 'E90\r'),
	('HG', 3661, 'VIE', 1613, 'MXP', 1524, '', 0, 'E90\r'),
	('HG', 3661, 'VIE', 1613, 'NCE', 1354, '', 0, 'E90\r'),
	('HG', 3661, 'VIE', 1613, 'OLB', 1520, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'PMI', 3998, '', 0, '321 320 E90\r'),
	('HG', 3661, 'VIE', 1613, 'PVK', 1470, '', 0, 'E90\r'),
	('HG', 3661, 'VIE', 1613, 'RHO', 1472, '', 0, '320 E90\r'),
	('HG', 3661, 'VIE', 1613, 'RMF', 4197, '', 0, '321\r'),
	('HG', 3661, 'VIE', 1613, 'SKG', 1486, '', 0, 'E90\r'),
	('HG', 3661, 'VIE', 1613, 'SZG', 1612, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'TFS', 1056, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'TLV', 1590, '', 0, '321 320\r'),
	('HG', 3661, 'VIE', 1613, 'VLC', 1246, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'VOL', 1448, '', 0, '320\r'),
	('HG', 3661, 'VIE', 1613, 'ZRH', 1678, '', 0, '321 E90 320\r'),
	('HG', 3661, 'VIE', 1613, 'ZTH', 1488, '', 0, '320 E90\r'),
	('HG', 3661, 'VLC', 1246, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'VOL', 1448, 'VIE', 1613, '', 0, '320\r'),
	('HG', 3661, 'ZRH', 1678, 'VIE', 1613, '', 0, '321 E90 320\r'),
	('HG', 3661, 'ZTH', 1488, 'VIE', 1613, '', 0, '320 E90\r'),
	('HI', 16625, 'BLD', 6449, 'GCW', 6448, '', 0, 'BH2\r'),
	('HI', 16625, 'GCW', 6448, 'BLD', 6449, '', 0, 'BH2\r'),
	('HK', 9784, 'DUS', 345, 'HRG', 1130, '', 0, '320\r'),
	('HK', 9784, 'DUS', 345, 'LPA', 1054, '', 0, '320\r'),
	('HK', 9784, 'DUS', 345, 'PMI', 3998, '', 0, '320\r'),
	('HK', 9784, 'HRG', 1130, 'DUS', 345, '', 0, '320\r'),
	('HK', 9784, 'LPA', 1054, 'DUS', 345, '', 0, '320\r'),
	('HK', 9784, 'PMI', 3998, 'DUS', 345, '', 0, '320\r'),
	('HM', 319, 'AUH', 2179, 'HKG', 3077, 'Y', 0, '332\r'),
	('HM', 319, 'AUH', 2179, 'SEZ', 994, 'Y', 0, '320 332\r'),
	('HM', 319, 'HKG', 3077, 'AUH', 2179, 'Y', 0, '332\r'),
	('HM', 319, 'JNB', 813, 'SEZ', 994, 'Y', 0, '332\r'),
	('HM', 319, 'MRU', 893, 'SEZ', 994, 'Y', 0, '320\r'),
	('HM', 319, 'PRI', 995, 'SEZ', 994, '', 0, 'DHT\r'),
	('HM', 319, 'SEZ', 994, 'AUH', 2179, 'Y', 0, '320 332\r'),
	('HM', 319, 'SEZ', 994, 'JNB', 813, 'Y', 0, '332\r'),
	('HM', 319, 'SEZ', 994, 'MRU', 893, 'Y', 0, '320\r'),
	('HM', 319, 'SEZ', 994, 'PRI', 995, '', 0, 'DHT\r'),
	('HN', 16707, 'HEA', 2048, 'KBL', 2050, '', 0, 'CR2\r'),
	('HN', 16707, 'KBL', 2050, 'HEA', 2048, '', 0, 'CR2\r'),
	('HN', 16707, 'KBL', 2050, 'KDH', 2051, '', 0, 'CR2\r'),
	('HN', 16707, 'KBL', 2050, 'MZR', 2053, '', 0, 'CR2\r'),
	('HN', 16707, 'KDH', 2051, 'KBL', 2050, '', 0, 'CR2\r'),
	('HN', 16707, 'MZR', 2053, 'KBL', 2050, '', 0, 'CR2\r'),
	('HO', 3081, 'BAV', 6346, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'BFJ', 9025, 'KMG', 3382, '', 0, '320\r'),
	('HO', 3081, 'BFJ', 9025, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'BHY', 6351, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'BHY', 6351, 'SZX', 3374, '', 0, '320\r'),
	('HO', 3081, 'BKK', 3885, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'CAN', 3370, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'CAN', 3370, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'CGQ', 4380, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'CIH', 6343, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'CJU', 2370, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'CKG', 3393, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'CKG', 3393, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'CNX', 3931, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'CSX', 3371, 'KWE', 3394, '', 0, '320\r'),
	('HO', 3081, 'CSX', 3371, 'LJG', 4033, '', 0, '320\r'),
	('HO', 3081, 'CSX', 3371, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'CSX', 3371, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'CSX', 3371, 'WNZ', 6392, '', 0, '320\r'),
	('HO', 3081, 'CTU', 3395, 'SHA', 3391, '', 0, '321\r'),
	('HO', 3081, 'DLC', 3404, 'HGH', 3386, '', 0, '320\r'),
	('HO', 3081, 'DLC', 3404, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'DOY', 4145, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'FOC', 3385, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'HAK', 4120, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'HAK', 4120, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'HGH', 3386, 'DLC', 3404, '', 0, '320\r'),
	('HO', 3081, 'HGH', 3386, 'KWE', 3394, '', 0, '320\r'),
	('HO', 3081, 'HGH', 3386, 'KWL', 3372, '', 0, '320\r'),
	('HO', 3081, 'HGH', 3386, 'TAO', 3390, '', 0, '320\r'),
	('HO', 3081, 'HKG', 3077, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'HKT', 3179, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'HLD', 3366, 'TGO', 6348, '', 0, '320\r'),
	('HO', 3081, 'HRB', 3400, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'INC', 4085, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'KHH', 2264, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'KIX', 3992, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'KMG', 3382, 'BFJ', 9025, '', 0, '320\r'),
	('HO', 3081, 'KMG', 3382, 'SHA', 3391, '', 0, '320 321\r'),
	('HO', 3081, 'KWE', 3394, 'CSX', 3371, '', 0, '320\r'),
	('HO', 3081, 'KWE', 3394, 'HGH', 3386, '', 0, '320\r'),
	('HO', 3081, 'KWE', 3394, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'KWE', 3394, 'SZX', 3374, '', 0, '320\r'),
	('HO', 3081, 'KWL', 3372, 'HGH', 3386, '', 0, '320\r'),
	('HO', 3081, 'KWL', 3372, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'LCX', 7504, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'LJG', 4033, 'CSX', 3371, '', 0, '320\r'),
	('HO', 3081, 'LJG', 4033, 'WUH', 3376, '', 0, '320\r'),
	('HO', 3081, 'MFM', 3121, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'NNG', 3373, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'OKA', 2384, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'PEK', 3364, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'BAV', 6346, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'BHY', 6351, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'BKK', 3885, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'CAN', 3370, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'CGQ', 4380, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'CJU', 2370, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'CKG', 3393, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'CNX', 3931, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'DLC', 3404, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'DOY', 4145, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'FOC', 3385, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'HAK', 4120, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'HKG', 3077, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'HKT', 3179, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'HRB', 3400, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'INC', 4085, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'KHH', 2264, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'KIX', 3992, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'KWL', 3372, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'MFM', 3121, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'OKA', 2384, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'SHE', 4144, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'SYX', 4030, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'SZX', 3374, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'TAO', 3390, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'TGO', 6348, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'TPE', 2276, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'TSN', 3368, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'WUH', 3376, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'XFN', 6360, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'XIY', 3379, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'XMN', 3383, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'YNY', 6006, '', 0, '320\r'),
	('HO', 3081, 'PVG', 3406, 'ZUH', 6355, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'BFJ', 9025, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'CAN', 3370, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'CIH', 6343, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'CKG', 3393, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'CSX', 3371, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'CTU', 3395, '', 0, '321\r'),
	('HO', 3081, 'SHA', 3391, 'INC', 4085, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'KMG', 3382, '', 0, '321 320\r'),
	('HO', 3081, 'SHA', 3391, 'KWE', 3394, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'LCX', 7504, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'NNG', 3373, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'PEK', 3364, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'SYX', 4030, '', 0, '320 321\r'),
	('HO', 3081, 'SHA', 3391, 'SZX', 3374, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'TAO', 3390, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'TSN', 3368, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'TYN', 3369, '', 0, '320 321\r'),
	('HO', 3081, 'SHA', 3391, 'URC', 3399, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'WNZ', 6392, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'WUH', 3376, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'XIY', 3379, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'XMN', 3383, '', 0, '320\r'),
	('HO', 3081, 'SHA', 3391, 'ZUH', 6355, '', 0, '320\r'),
	('HO', 3081, 'SHE', 4144, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'SYX', 4030, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'SYX', 4030, 'SHA', 3391, '', 0, '320 321\r'),
	('HO', 3081, 'SZX', 3374, 'BHY', 6351, '', 0, '320\r'),
	('HO', 3081, 'SZX', 3374, 'KWE', 3394, '', 0, '320\r'),
	('HO', 3081, 'SZX', 3374, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'SZX', 3374, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'TAO', 3390, 'HGH', 3386, '', 0, '320\r'),
	('HO', 3081, 'TAO', 3390, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'TAO', 3390, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'TGO', 6348, 'HLD', 3366, '', 0, '320\r'),
	('HO', 3081, 'TGO', 6348, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'TPE', 2276, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'TSN', 3368, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'TSN', 3368, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'TYN', 3369, 'SHA', 3391, '', 0, '320 321\r'),
	('HO', 3081, 'URC', 3399, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'WNZ', 6392, 'CSX', 3371, '', 0, '320\r'),
	('HO', 3081, 'WNZ', 6392, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'WUH', 3376, 'LJG', 4033, '', 0, '320\r'),
	('HO', 3081, 'WUH', 3376, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'WUH', 3376, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'XFN', 6360, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'XIY', 3379, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'XIY', 3379, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'XIY', 3379, 'XNN', 6366, '', 0, '320\r'),
	('HO', 3081, 'XMN', 3383, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'XMN', 3383, 'SHA', 3391, '', 0, '320\r'),
	('HO', 3081, 'XNN', 6366, 'XIY', 3379, '', 0, '320\r'),
	('HO', 3081, 'YNY', 6006, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'ZUH', 6355, 'PVG', 3406, '', 0, '320\r'),
	('HO', 3081, 'ZUH', 6355, 'SHA', 3391, '', 0, '320\r'),
	('HQ', 2684, 'ACE', 1055, 'FUE', 1051, '', 0, '320\r'),
	('HQ', 2684, 'ADB', 1706, 'CDG', 1382, '', 0, '320\r'),
	('HQ', 2684, 'AGA', 1064, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'AGA', 1064, 'LIL', 1399, '', 0, '320\r'),
	('HQ', 2684, 'AGP', 1230, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'AGP', 1230, 'LIL', 1399, '', 0, '320\r'),
	('HQ', 2684, 'AJA', 1324, 'LIL', 1399, '', 0, '320\r'),
	('HQ', 2684, 'AYT', 1688, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'BOJ', 1191, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'ACE', 1055, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'AGA', 1064, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'AYT', 1688, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'BOJ', 1191, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'CFU', 1460, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'CHQ', 1474, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'DBV', 1200, '', 0, '319 320\r'),
	('HQ', 2684, 'BRU', 302, 'FNC', 4091, '', 0, '319 320\r'),
	('HQ', 2684, 'BRU', 302, 'HER', 1452, '', 0, '320 319\r'),
	('HQ', 2684, 'BRU', 302, 'IBZ', 1225, '', 0, '319 320\r'),
	('HQ', 2684, 'BRU', 302, 'JMK', 1468, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'KGS', 1458, '', 0, '320 319\r'),
	('HQ', 2684, 'BRU', 302, 'LDE', 1276, '', 0, '319\r'),
	('HQ', 2684, 'BRU', 302, 'LEI', 1213, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'LPA', 1054, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'MAH', 1231, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'NBE', 7447, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'PFO', 1198, '', 0, '319\r'),
	('HQ', 2684, 'BRU', 302, 'PMI', 3998, '', 0, '320 319\r'),
	('HQ', 2684, 'BRU', 302, 'RAK', 1075, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'REU', 1236, '', 0, '319\r'),
	('HQ', 2684, 'BRU', 302, 'RHO', 1472, '', 0, '320 319\r'),
	('HQ', 2684, 'BRU', 302, 'TFS', 1056, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'TIV', 1743, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'VAR', 1196, '', 0, '320\r'),
	('HQ', 2684, 'BRU', 302, 'ZTH', 1488, '', 0, '320\r'),
	('HQ', 2684, 'CDG', 1382, 'ADB', 1706, '', 0, '320\r'),
	('HQ', 2684, 'CFU', 1460, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'CFU', 1460, 'LIL', 1399, '', 0, '320\r'),
	('HQ', 2684, 'CHQ', 1474, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'DBV', 1200, 'BRU', 302, '', 0, '319 320\r'),
	('HQ', 2684, 'DBV', 1200, 'LIL', 1399, '', 0, '320\r'),
	('HQ', 2684, 'FAO', 1626, 'AGP', 1230, '', 0, '320\r'),
	('HQ', 2684, 'FNC', 4091, 'BRU', 302, '', 0, '319 320\r'),
	('HQ', 2684, 'FUE', 1051, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'FUE', 1051, 'TFS', 1056, '', 0, '320\r'),
	('HQ', 2684, 'GRO', 1222, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'HER', 1452, 'BRU', 302, '', 0, '320 319\r'),
	('HQ', 2684, 'HER', 1452, 'LIL', 1399, '', 0, '320 319\r'),
	('HQ', 2684, 'IBZ', 1225, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'IBZ', 1225, 'MAH', 1231, '', 0, '319\r'),
	('HQ', 2684, 'JMK', 1468, 'JTR', 1479, '', 0, '320\r'),
	('HQ', 2684, 'JTR', 1479, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'KGS', 1458, 'BRU', 302, '', 0, '320 319\r'),
	('HQ', 2684, 'LDE', 1276, 'BRU', 302, '', 0, '319\r'),
	('HQ', 2684, 'LEI', 1213, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'LGG', 309, 'AGA', 1064, '', 0, '320\r'),
	('HQ', 2684, 'LGG', 309, 'HER', 1452, '', 0, '320\r'),
	('HQ', 2684, 'LGG', 309, 'LIL', 1399, '', 0, '320\r'),
	('HQ', 2684, 'LGG', 309, 'PMI', 3998, '', 0, '320\r'),
	('HQ', 2684, 'LGG', 309, 'RHO', 1472, '', 0, '320\r'),
	('HQ', 2684, 'LIL', 1399, 'AJA', 1324, '', 0, '320\r'),
	('HQ', 2684, 'LIL', 1399, 'CFU', 1460, '', 0, '320\r'),
	('HQ', 2684, 'LIL', 1399, 'DBV', 1200, '', 0, '320\r'),
	('HQ', 2684, 'LIL', 1399, 'FAO', 1626, '', 0, '320\r'),
	('HQ', 2684, 'LIL', 1399, 'FUE', 1051, '', 0, '320\r'),
	('HQ', 2684, 'LIL', 1399, 'HER', 1452, '', 0, '320 319\r'),
	('HQ', 2684, 'LIL', 1399, 'LGG', 309, '', 0, '320\r'),
	('HQ', 2684, 'LIL', 1399, 'RHO', 1472, '', 0, '320\r'),
	('HQ', 2684, 'LIL', 1399, 'SPU', 1206, '', 0, '320\r'),
	('HQ', 2684, 'LPA', 1054, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'MAH', 1231, 'BRU', 302, '', 0, '319\r'),
	('HQ', 2684, 'MAH', 1231, 'GRO', 1222, '', 0, '320\r'),
	('HQ', 2684, 'NBE', 7447, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'OST', 310, 'LGG', 309, '', 0, '320\r'),
	('HQ', 2684, 'PFO', 1198, 'BRU', 302, '', 0, '319\r'),
	('HQ', 2684, 'PMI', 3998, 'BRU', 302, '', 0, '320 319\r'),
	('HQ', 2684, 'PMI', 3998, 'LGG', 309, '', 0, '320\r'),
	('HQ', 2684, 'PMI', 3998, 'OST', 310, '', 0, '320\r'),
	('HQ', 2684, 'RAK', 1075, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'REU', 1236, 'BRU', 302, '', 0, '319\r'),
	('HQ', 2684, 'RHO', 1472, 'BRU', 302, '', 0, '320 319\r'),
	('HQ', 2684, 'RHO', 1472, 'LGG', 309, '', 0, '320\r'),
	('HQ', 2684, 'SPU', 1206, 'LIL', 1399, '', 0, '320\r'),
	('HQ', 2684, 'TFS', 1056, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'TFS', 1056, 'LIL', 1399, '', 0, '320\r'),
	('HQ', 2684, 'TIV', 1743, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'VAR', 1196, 'BRU', 302, '', 0, '320\r'),
	('HQ', 2684, 'ZTH', 1488, 'BRU', 302, '', 0, '320\r'),
	('HR', 1769, 'DUS', 345, 'LUX', 629, '', 0, 'CNJ\r'),
	('HR', 1769, 'LUX', 629, 'DUS', 345, '', 0, 'CNJ\r'),
	('HU', 2660, 'AEB', 8082, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'AKU', 6404, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'ALA', 2908, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'ARN', 737, 'TXL', 351, 'Y', 0, '321 738 320 319\r'),
	('HU', 2660, 'AUH', 2179, 'CTU', 3395, 'Y', 0, '332\r'),
	('HU', 2660, 'AUH', 2179, 'GVA', 1665, '', 0, '333\r'),
	('HU', 2660, 'AUH', 2179, 'JNB', 813, '', 0, '332\r'),
	('HU', 2660, 'AUH', 2179, 'KRT', 1175, 'Y', 0, '320\r'),
	('HU', 2660, 'AUH', 2179, 'NBO', 4059, '', 0, '320\r'),
	('HU', 2660, 'AUH', 2179, 'PEK', 3364, 'Y', 0, '332\r'),
	('HU', 2660, 'AUH', 2179, 'PVG', 3406, 'Y', 0, '333\r'),
	('HU', 2660, 'BAV', 6346, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'BCN', 1218, 'BRU', 302, '', 0, '320 319\r'),
	('HU', 2660, 'BIO', 1216, 'BRU', 302, '', 0, '319\r'),
	('HU', 2660, 'BKK', 3885, 'NNG', 3373, '', 0, '738\r'),
	('HU', 2660, 'BKK', 3885, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'BRU', 302, 'BCN', 1218, '', 0, '319\r'),
	('HU', 2660, 'BRU', 302, 'BIO', 1216, '', 0, '319\r'),
	('HU', 2660, 'BRU', 302, 'CPH', 609, 'Y', 0, '319\r'),
	('HU', 2660, 'BRU', 302, 'FCO', 1555, 'Y', 0, '320\r'),
	('HU', 2660, 'BRU', 302, 'GVA', 1665, 'Y', 0, '319\r'),
	('HU', 2660, 'BRU', 302, 'MAD', 1229, '', 0, '319\r'),
	('HU', 2660, 'BRU', 302, 'MXP', 1524, '', 0, 'AR1\r'),
	('HU', 2660, 'BRU', 302, 'PEK', 3364, '', 0, '330\r'),
	('HU', 2660, 'BRU', 302, 'TXL', 351, '', 0, '319 320\r'),
	('HU', 2660, 'CAN', 3370, 'AEB', 8082, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'DOY', 4145, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'FOC', 3385, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'HFE', 3389, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'KHN', 3384, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'KWE', 3394, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'NGB', 3387, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'NKG', 3388, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'TAO', 3390, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'TPE', 2276, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'TSN', 3368, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'TVS', 8858, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'WEF', 6388, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'WNZ', 6392, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'CAN', 3370, 'YIH', 6361, '', 0, '738\r'),
	('HU', 2660, 'CGN', 344, 'TXL', 351, '', 0, '73G 738 321 320 319\r'),
	('HU', 2660, 'CGO', 3375, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'CGQ', 4380, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'FOC', 3385, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'HET', 6345, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'KRL', 6407, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'KWE', 3394, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'KWL', 3372, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'CGO', 3375, 'XMN', 3383, '', 0, '738\r'),
	('HU', 2660, 'CGQ', 4380, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'CGQ', 4380, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'CIH', 6343, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'CIH', 6343, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'CIH', 6343, 'TSN', 3368, '', 0, '738\r'),
	('HU', 2660, 'CIH', 6343, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'CIH', 6343, 'XMN', 3383, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'ENY', 6367, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'HKG', 3077, 'Y', 0, '320\r'),
	('HU', 2660, 'CKG', 3393, 'KWL', 3372, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'LHW', 6431, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'WNZ', 6392, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'CKG', 3393, 'XNN', 6366, '', 0, '738\r'),
	('HU', 2660, 'CPH', 609, 'BRU', 302, 'Y', 0, '319\r'),
	('HU', 2660, 'CPH', 609, 'TXL', 351, '', 0, '738 319 73G\r'),
	('HU', 2660, 'CSX', 3371, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'FOC', 3385, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'HET', 6345, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'LHW', 6431, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'NGB', 3387, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'NNG', 3373, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'TNA', 4108, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'XMN', 3383, '', 0, '738\r'),
	('HU', 2660, 'CSX', 3371, 'XUZ', 4149, '', 0, '738\r'),
	('HU', 2660, 'CTU', 3395, 'AUH', 2179, 'Y', 0, '332\r'),
	('HU', 2660, 'CTU', 3395, 'HAK', 4120, '', 0, '737\r'),
	('HU', 2660, 'CTU', 3395, 'HKG', 3077, '', 0, '332\r'),
	('HU', 2660, 'CTU', 3395, 'JZH', 4301, '', 0, '738\r'),
	('HU', 2660, 'CTU', 3395, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'CTU', 3395, 'SZX', 3374, '', 0, '333 738\r'),
	('HU', 2660, 'CTU', 3395, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'CTU', 3395, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'HFE', 3389, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'JMU', 6411, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'NGB', 3387, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'NKG', 3388, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'TPE', 2276, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'WEF', 6388, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'WUH', 3376, '', 0, '738\r'),
	('HU', 2660, 'DLC', 3404, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'DOY', 4145, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'DOY', 4145, 'HRB', 3400, '', 0, '738\r'),
	('HU', 2660, 'DOY', 4145, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'DUS', 345, 'TXL', 351, '', 0, '738 320 73G\r'),
	('HU', 2660, 'ENY', 6367, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'ENY', 6367, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'FCO', 1555, 'BRU', 302, '', 0, '319\r'),
	('HU', 2660, 'FKB', 4166, 'TXL', 351, 'Y', 0, '73G DH4\r'),
	('HU', 2660, 'FOC', 3385, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'FOC', 3385, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'FOC', 3385, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'FOC', 3385, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'FOC', 3385, 'HFE', 3389, '', 0, '738\r'),
	('HU', 2660, 'FOC', 3385, 'HKG', 3077, '', 0, '332\r'),
	('HU', 2660, 'FOC', 3385, 'NKG', 3388, '', 0, '738\r'),
	('HU', 2660, 'FOC', 3385, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'FOC', 3385, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'FRA', 340, 'TXL', 351, '', 0, '320 738\r'),
	('HU', 2660, 'GOT', 687, 'TXL', 351, '', 0, '73G\r'),
	('HU', 2660, 'GVA', 1665, 'AUH', 2179, '', 0, '333\r'),
	('HU', 2660, 'GVA', 1665, 'BRU', 302, '', 0, '320\r'),
	('HU', 2660, 'HAK', 4120, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'CIH', 6343, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'CTU', 3395, '', 0, '737\r'),
	('HU', 2660, 'HAK', 4120, 'FOC', 3385, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'HFE', 3389, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'HKG', 3077, 'Y', 0, '320\r'),
	('HU', 2660, 'HAK', 4120, 'KHN', 3384, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'KMG', 3382, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'KWE', 3394, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'KWL', 3372, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'NKG', 3388, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'NNG', 3373, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'PVG', 3406, '', 0, '737 738\r'),
	('HU', 2660, 'HAK', 4120, 'SIN', 3316, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'TPE', 2276, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'WUH', 3376, '', 0, '738\r'),
	('HU', 2660, 'HAK', 4120, 'XMN', 3383, '', 0, '738\r'),
	('HU', 2660, 'HET', 6345, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'HET', 6345, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'HET', 6345, 'HRB', 3400, '', 0, '738\r'),
	('HU', 2660, 'HET', 6345, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'HET', 6345, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'HFE', 3389, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'HFE', 3389, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'HFE', 3389, 'FOC', 3385, '', 0, '738\r'),
	('HU', 2660, 'HFE', 3389, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'HFE', 3389, 'HRB', 3400, '', 0, '738\r'),
	('HU', 2660, 'HFE', 3389, 'LHW', 6431, '', 0, '738\r'),
	('HU', 2660, 'HFE', 3389, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'HFE', 3389, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'HFE', 3389, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'HFE', 3389, 'XMN', 3383, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'HKG', 3077, '', 0, '320 332\r'),
	('HU', 2660, 'HGH', 3386, 'JNZ', 6412, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'SHE', 4144, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'WEF', 6388, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'WUH', 3376, '', 0, '738\r'),
	('HU', 2660, 'HGH', 3386, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'HKG', 3077, 'CKG', 3393, 'Y', 0, '320\r'),
	('HU', 2660, 'HKG', 3077, 'CTU', 3395, '', 0, '332\r'),
	('HU', 2660, 'HKG', 3077, 'FOC', 3385, '', 0, '332\r'),
	('HU', 2660, 'HKG', 3077, 'HAK', 4120, 'Y', 0, '320\r'),
	('HU', 2660, 'HKG', 3077, 'HGH', 3386, '', 0, '332 320\r'),
	('HU', 2660, 'HKG', 3077, 'NKG', 3388, '', 0, '332\r'),
	('HU', 2660, 'HKG', 3077, 'PEK', 3364, '', 0, '332 320\r'),
	('HU', 2660, 'HKT', 3179, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'HLD', 3366, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'HRB', 3400, 'DOY', 4145, '', 0, '738\r'),
	('HU', 2660, 'HRB', 3400, 'HET', 6345, '', 0, '738\r'),
	('HU', 2660, 'HRB', 3400, 'HFE', 3389, '', 0, '738\r'),
	('HU', 2660, 'HRB', 3400, 'KHN', 3384, '', 0, '738\r'),
	('HU', 2660, 'HRB', 3400, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'HRB', 3400, 'TAO', 3390, '', 0, '738\r'),
	('HU', 2660, 'HRB', 3400, 'TNA', 4108, '', 0, '738\r'),
	('HU', 2660, 'HRB', 3400, 'TSN', 3368, '', 0, '738\r'),
	('HU', 2660, 'HTA', 2935, 'NZH', 6954, '', 0, '738\r'),
	('HU', 2660, 'IKT', 2937, 'NZH', 6954, '', 0, '738\r'),
	('HU', 2660, 'INC', 4085, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'JMU', 6411, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'JMU', 6411, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'JNB', 813, 'AUH', 2179, '', 0, '332\r'),
	('HU', 2660, 'JNZ', 6412, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'JZH', 4301, 'CTU', 3395, '', 0, '738\r'),
	('HU', 2660, 'KHG', 3397, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'KHN', 3384, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'KHN', 3384, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'KHN', 3384, 'HRB', 3400, '', 0, '738\r'),
	('HU', 2660, 'KHN', 3384, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'KHN', 3384, 'SHE', 4144, '', 0, '738\r'),
	('HU', 2660, 'KHN', 3384, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'KHN', 3384, 'XMN', 3383, '', 0, '738\r'),
	('HU', 2660, 'KHV', 2927, 'PEK', 3364, '', 0, '320\r'),
	('HU', 2660, 'KJA', 4374, 'PEK', 3364, '', 0, '320\r'),
	('HU', 2660, 'KMG', 3382, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'KMG', 3382, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'KMG', 3382, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'KMG', 3382, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'KRL', 6407, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'KRL', 6407, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'KRT', 1175, 'AUH', 2179, 'Y', 0, '320\r'),
	('HU', 2660, 'KWE', 3394, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'KWE', 3394, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'KWE', 3394, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'KWE', 3394, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'KWE', 3394, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'KWE', 3394, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'KWE', 3394, 'WUH', 3376, '', 0, '738\r'),
	('HU', 2660, 'KWL', 3372, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'KWL', 3372, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'KWL', 3372, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'KWL', 3372, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'KWL', 3372, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'LAX', 3484, 'PVG', 3406, 'Y', 0, '777\r'),
	('HU', 2660, 'LED', 2948, 'PEK', 3364, '', 0, '333\r'),
	('HU', 2660, 'LHW', 6431, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'LHW', 6431, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'LHW', 6431, 'HFE', 3389, '', 0, '738\r'),
	('HU', 2660, 'LHW', 6431, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'LHW', 6431, 'PVG', 3406, '', 0, '738\r'),
	('HU', 2660, 'LHW', 6431, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'LHW', 6431, 'TPE', 2276, '', 0, '738\r'),
	('HU', 2660, 'LHW', 6431, 'TSN', 3368, '', 0, '738\r'),
	('HU', 2660, 'LHW', 6431, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'LHW', 6431, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'LYI', 6385, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'MAD', 1229, 'BRU', 302, '', 0, '319\r'),
	('HU', 2660, 'MDG', 4334, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'MLE', 3156, 'PEK', 3364, '', 0, '767\r'),
	('HU', 2660, 'MUC', 346, 'TXL', 351, '', 0, '738 321 320 73G\r'),
	('HU', 2660, 'MXP', 1524, 'BRU', 302, 'Y', 0, '319 AR1\r'),
	('HU', 2660, 'NBO', 4059, 'AUH', 2179, '', 0, '320\r'),
	('HU', 2660, 'NDG', 6413, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'NGB', 3387, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'NGB', 3387, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'NGB', 3387, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'NGB', 3387, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'NGB', 3387, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'NGB', 3387, 'TAO', 3390, '', 0, '738\r'),
	('HU', 2660, 'NGB', 3387, 'WEF', 6388, '', 0, '738\r'),
	('HU', 2660, 'NKG', 3388, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'NKG', 3388, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'NKG', 3388, 'FOC', 3385, '', 0, '738\r'),
	('HU', 2660, 'NKG', 3388, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'NKG', 3388, 'HKG', 3077, '', 0, '332\r'),
	('HU', 2660, 'NKG', 3388, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'NKG', 3388, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'NNG', 3373, 'BKK', 3885, '', 0, '738\r'),
	('HU', 2660, 'NNG', 3373, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'NNG', 3373, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'NNG', 3373, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'NUE', 347, 'TXL', 351, '', 0, 'DH4\r'),
	('HU', 2660, 'NZH', 6954, 'HTA', 2935, '', 0, '738\r'),
	('HU', 2660, 'NZH', 6954, 'IKT', 2937, '', 0, '738\r'),
	('HU', 2660, 'NZH', 6954, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'ORD', 3830, 'PEK', 3364, '', 0, '787\r'),
	('HU', 2660, 'ORD', 3830, 'PVG', 3406, 'Y', 0, '777\r'),
	('HU', 2660, 'OSL', 644, 'TXL', 351, '', 0, '319\r'),
	('HU', 2660, 'OVB', 4078, 'PEK', 3364, '', 0, '320\r'),
	('HU', 2660, 'OVB', 4078, 'URC', 3399, '', 0, '320\r'),
	('HU', 2660, 'PEK', 3364, 'ALA', 2908, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'AUH', 2179, 'Y', 0, '332\r'),
	('HU', 2660, 'PEK', 3364, 'BAV', 6346, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'BKK', 3885, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'BRU', 302, '', 0, '330\r'),
	('HU', 2660, 'PEK', 3364, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'CGQ', 4380, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'CIH', 6343, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'CTU', 3395, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'DOY', 4145, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'ENY', 6367, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'FOC', 3385, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'HET', 6345, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'HKG', 3077, '', 0, '320 332\r'),
	('HU', 2660, 'PEK', 3364, 'HKT', 3179, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'HLD', 3366, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'HRB', 3400, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'INC', 4085, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'JMU', 6411, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'KHN', 3384, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'KHV', 2927, '', 0, '320\r'),
	('HU', 2660, 'PEK', 3364, 'KJA', 4374, '', 0, '320\r'),
	('HU', 2660, 'PEK', 3364, 'KMG', 3382, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'KWE', 3394, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'KWL', 3372, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'LED', 2948, '', 0, '333\r'),
	('HU', 2660, 'PEK', 3364, 'LHW', 6431, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'MDG', 4334, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'MLE', 3156, '', 0, '767\r'),
	('HU', 2660, 'PEK', 3364, 'NDG', 6413, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'NGB', 3387, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'NNG', 3373, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'NZH', 6954, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'ORD', 3830, '', 0, '787\r'),
	('HU', 2660, 'PEK', 3364, 'OVB', 4078, '', 0, '320\r'),
	('HU', 2660, 'PEK', 3364, 'PUS', 2372, 'Y', 0, '333\r'),
	('HU', 2660, 'PEK', 3364, 'SEA', 3577, '', 0, '787\r'),
	('HU', 2660, 'PEK', 3364, 'SHA', 3391, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'SVO', 2985, '', 0, '333\r'),
	('HU', 2660, 'PEK', 3364, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'SZX', 3374, '', 0, '738 333\r'),
	('HU', 2660, 'PEK', 3364, 'TPE', 2276, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'TXL', 351, '', 0, '330\r'),
	('HU', 2660, 'PEK', 3364, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'UYN', 6368, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'WEF', 6388, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'WNZ', 6392, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'WUA', 6955, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'WUH', 3376, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'XIY', 3379, '', 0, '738 787\r'),
	('HU', 2660, 'PEK', 3364, 'XMN', 3383, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'XNN', 6366, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'YIH', 6361, '', 0, '738\r'),
	('HU', 2660, 'PEK', 3364, 'YYZ', 193, '', 0, '787\r'),
	('HU', 2660, 'PUS', 2372, 'PEK', 3364, 'Y', 0, '333\r'),
	('HU', 2660, 'PVG', 3406, 'AUH', 2179, 'Y', 0, '333\r'),
	('HU', 2660, 'PVG', 3406, 'HAK', 4120, '', 0, '737 738\r'),
	('HU', 2660, 'PVG', 3406, 'LAX', 3484, 'Y', 0, '777\r'),
	('HU', 2660, 'PVG', 3406, 'LHW', 6431, '', 0, '738\r'),
	('HU', 2660, 'PVG', 3406, 'ORD', 3830, 'Y', 0, '777\r'),
	('HU', 2660, 'PVG', 3406, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'PVG', 3406, 'WEF', 6388, '', 0, '738\r'),
	('HU', 2660, 'PVG', 3406, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'SCN', 349, 'TXL', 351, 'Y', 0, '73G 320\r'),
	('HU', 2660, 'SEA', 3577, 'PEK', 3364, '', 0, '787\r'),
	('HU', 2660, 'SHA', 3391, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'SHA', 3391, 'TSN', 3368, '', 0, '738\r'),
	('HU', 2660, 'SHA', 3391, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'SHA', 3391, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'SHE', 4144, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'SHE', 4144, 'KHN', 3384, '', 0, '738\r'),
	('HU', 2660, 'SHE', 4144, 'TAO', 3390, '', 0, '738\r'),
	('HU', 2660, 'SHE', 4144, 'TNA', 4108, '', 0, '738\r'),
	('HU', 2660, 'SHE', 4144, 'WEF', 6388, '', 0, '738\r'),
	('HU', 2660, 'SHE', 4144, 'XMN', 3383, '', 0, '738\r'),
	('HU', 2660, 'SIN', 3316, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'SJW', 6347, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'STR', 350, 'TXL', 351, '', 0, '738 320 73G DH4 319\r'),
	('HU', 2660, 'SVO', 2985, 'PEK', 3364, '', 0, '333\r'),
	('HU', 2660, 'SYX', 4030, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'SYX', 4030, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'SYX', 4030, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'SYX', 4030, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'SYX', 4030, 'HFE', 3389, '', 0, '738\r'),
	('HU', 2660, 'SYX', 4030, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'SYX', 4030, 'KWE', 3394, '', 0, '738\r'),
	('HU', 2660, 'SYX', 4030, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'SYX', 4030, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'SYX', 4030, 'TNA', 4108, '', 0, '738\r'),
	('HU', 2660, 'SYX', 4030, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'CTU', 3395, '', 0, '333 738\r'),
	('HU', 2660, 'SZX', 3374, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'HFE', 3389, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'KMG', 3382, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'KWE', 3394, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'LHW', 6431, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'LYI', 6385, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'NGB', 3387, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'NKG', 3388, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'PEK', 3364, '', 0, '333 738\r'),
	('HU', 2660, 'SZX', 3374, 'SJW', 6347, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'TNA', 4108, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'TSN', 3368, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'TYN', 3369, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'XFN', 6360, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'XIY', 3379, '', 0, '738 333\r'),
	('HU', 2660, 'SZX', 3374, 'XUZ', 4149, '', 0, '738\r'),
	('HU', 2660, 'SZX', 3374, 'YIH', 6361, '', 0, '738\r'),
	('HU', 2660, 'TAO', 3390, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'TAO', 3390, 'HRB', 3400, '', 0, '738\r'),
	('HU', 2660, 'TAO', 3390, 'NGB', 3387, '', 0, '738\r'),
	('HU', 2660, 'TAO', 3390, 'SHE', 4144, '', 0, '738\r'),
	('HU', 2660, 'TAO', 3390, 'WUH', 3376, '', 0, '738\r'),
	('HU', 2660, 'TAO', 3390, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'TNA', 4108, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'TNA', 4108, 'HRB', 3400, '', 0, '738\r'),
	('HU', 2660, 'TNA', 4108, 'SHE', 4144, '', 0, '738\r'),
	('HU', 2660, 'TNA', 4108, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'TNA', 4108, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'TNA', 4108, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'TPE', 2276, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'TPE', 2276, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'TPE', 2276, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'TPE', 2276, 'LHW', 6431, '', 0, '738\r'),
	('HU', 2660, 'TPE', 2276, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'TPE', 2276, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'TSN', 3368, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'TSN', 3368, 'CIH', 6343, '', 0, '738\r'),
	('HU', 2660, 'TSN', 3368, 'HRB', 3400, '', 0, '738\r'),
	('HU', 2660, 'TSN', 3368, 'LHW', 6431, '', 0, '738\r'),
	('HU', 2660, 'TSN', 3368, 'SHA', 3391, '', 0, '738\r'),
	('HU', 2660, 'TSN', 3368, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'TVS', 8858, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'TXL', 351, 'ARN', 737, '', 0, '738 320 319 321\r'),
	('HU', 2660, 'TXL', 351, 'BRU', 302, '', 0, '319\r'),
	('HU', 2660, 'TXL', 351, 'CGN', 344, '', 0, '738\r'),
	('HU', 2660, 'TXL', 351, 'CPH', 609, '', 0, '738 73G\r'),
	('HU', 2660, 'TXL', 351, 'DUS', 345, '', 0, '320 321\r'),
	('HU', 2660, 'TXL', 351, 'FKB', 4166, 'Y', 0, '73G\r'),
	('HU', 2660, 'TXL', 351, 'FRA', 340, '', 0, '320\r'),
	('HU', 2660, 'TXL', 351, 'GOT', 687, '', 0, '73G\r'),
	('HU', 2660, 'TXL', 351, 'MUC', 346, '', 0, '738\r'),
	('HU', 2660, 'TXL', 351, 'NUE', 347, '', 0, 'DH4\r'),
	('HU', 2660, 'TXL', 351, 'OSL', 644, '', 0, '319\r'),
	('HU', 2660, 'TXL', 351, 'PEK', 3364, '', 0, '330\r'),
	('HU', 2660, 'TXL', 351, 'SCN', 349, 'Y', 0, '73G\r'),
	('HU', 2660, 'TXL', 351, 'STR', 350, '', 0, '320\r'),
	('HU', 2660, 'TXL', 351, 'VIE', 1613, 'Y', 0, '320 E90\r'),
	('HU', 2660, 'TXL', 351, 'ZRH', 1678, 'Y', 0, '321 319 320\r'),
	('HU', 2660, 'TYN', 3369, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'TYN', 3369, 'CIH', 6343, '', 0, '738\r'),
	('HU', 2660, 'TYN', 3369, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'TYN', 3369, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'TYN', 3369, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'TYN', 3369, 'HFE', 3389, '', 0, '738\r'),
	('HU', 2660, 'TYN', 3369, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'TYN', 3369, 'KWL', 3372, '', 0, '738\r'),
	('HU', 2660, 'TYN', 3369, 'PVG', 3406, '', 0, '738\r'),
	('HU', 2660, 'TYN', 3369, 'SHA', 3391, '', 0, '738\r'),
	('HU', 2660, 'TYN', 3369, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'AKU', 6404, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'CTU', 3395, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'KHG', 3397, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'KRL', 6407, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'LHW', 6431, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'OVB', 4078, '', 0, '320\r'),
	('HU', 2660, 'URC', 3399, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'SHA', 3391, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'WUH', 3376, '', 0, '738\r'),
	('HU', 2660, 'URC', 3399, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'UYN', 6368, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'VIE', 1613, 'TXL', 351, '', 0, '321 320 E90\r'),
	('HU', 2660, 'WEF', 6388, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'WEF', 6388, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'WEF', 6388, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'WEF', 6388, 'NGB', 3387, '', 0, '738\r'),
	('HU', 2660, 'WEF', 6388, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'WEF', 6388, 'PVG', 3406, '', 0, '738\r'),
	('HU', 2660, 'WEF', 6388, 'SHE', 4144, '', 0, '738\r'),
	('HU', 2660, 'WNZ', 6392, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'WNZ', 6392, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'WNZ', 6392, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'WNZ', 6392, 'WUH', 3376, '', 0, '738\r'),
	('HU', 2660, 'WUA', 6955, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'WUA', 6955, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'WUH', 3376, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'WUH', 3376, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'WUH', 3376, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'WUH', 3376, 'KWE', 3394, '', 0, '738\r'),
	('HU', 2660, 'WUH', 3376, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'WUH', 3376, 'TAO', 3390, '', 0, '738\r'),
	('HU', 2660, 'WUH', 3376, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'WUH', 3376, 'WNZ', 6392, '', 0, '738\r'),
	('HU', 2660, 'WUH', 3376, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'XFN', 6360, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'CTU', 3395, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'DLC', 3404, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'FOC', 3385, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'HET', 6345, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'HGH', 3386, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'INC', 4085, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'KHN', 3384, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'KMG', 3382, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'LHW', 6431, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'NKG', 3388, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'PEK', 3364, '', 0, '787 738\r'),
	('HU', 2660, 'XIY', 3379, 'PVG', 3406, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'SYX', 4030, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'SZX', 3374, '', 0, '738 333\r'),
	('HU', 2660, 'XIY', 3379, 'TAO', 3390, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'TNA', 4108, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'TPE', 2276, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'URC', 3399, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'WUA', 6955, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'WUH', 3376, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'XMN', 3383, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'XNN', 6366, '', 0, '738\r'),
	('HU', 2660, 'XIY', 3379, 'YIW', 6394, '', 0, '738\r'),
	('HU', 2660, 'XMN', 3383, 'CGO', 3375, '', 0, '738\r'),
	('HU', 2660, 'XMN', 3383, 'CIH', 6343, '', 0, '738\r'),
	('HU', 2660, 'XMN', 3383, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'XMN', 3383, 'HAK', 4120, '', 0, '738\r'),
	('HU', 2660, 'XMN', 3383, 'HFE', 3389, '', 0, '738\r'),
	('HU', 2660, 'XMN', 3383, 'KHN', 3384, '', 0, '738\r'),
	('HU', 2660, 'XMN', 3383, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'XMN', 3383, 'SHE', 4144, '', 0, '738\r'),
	('HU', 2660, 'XMN', 3383, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'XMN', 3383, 'XUZ', 4149, '', 0, '738\r'),
	('HU', 2660, 'XNN', 6366, 'CKG', 3393, '', 0, '738\r'),
	('HU', 2660, 'XNN', 6366, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'XNN', 6366, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'XUZ', 4149, 'CSX', 3371, '', 0, '738\r'),
	('HU', 2660, 'XUZ', 4149, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'XUZ', 4149, 'XMN', 3383, '', 0, '738\r'),
	('HU', 2660, 'YIH', 6361, 'CAN', 3370, '', 0, '738\r'),
	('HU', 2660, 'YIH', 6361, 'PEK', 3364, '', 0, '738\r'),
	('HU', 2660, 'YIH', 6361, 'SZX', 3374, '', 0, '738\r'),
	('HU', 2660, 'YIW', 6394, 'XIY', 3379, '', 0, '738\r'),
	('HU', 2660, 'YYZ', 193, 'PEK', 3364, '', 0, '787\r'),
	('HU', 2660, 'ZRH', 1678, 'TXL', 351, '', 0, '319 738 320\r'),
	('HV', 5039, 'ACE', 1055, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'ADB', 1706, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'AGA', 1064, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'AGP', 1230, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'AGP', 1230, 'EIN', 585, '', 0, '73H 73W\r'),
	('HV', 5039, 'AGP', 1230, 'RTM', 591, '', 0, '73H 73W\r'),
	('HV', 5039, 'AJA', 1324, 'OLB', 1520, '', 0, '73H\r'),
	('HV', 5039, 'ALC', 1212, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'ALC', 1212, 'EIN', 585, '', 0, '73W 73H\r'),
	('HV', 5039, 'ALC', 1212, 'RTM', 591, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'ACE', 1055, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'ADB', 1706, '', 0, '73W\r'),
	('HV', 5039, 'AMS', 580, 'AGP', 1230, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'AJA', 1324, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'ALC', 1212, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'ATH', 3941, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'AYT', 1688, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'BCN', 1218, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'BJV', 4315, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'BRI', 1501, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'CFU', 1460, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'CHQ', 1474, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'CMN', 1074, '', 0, '73W 73H\r'),
	('HV', 5039, 'AMS', 580, 'CTA', 1509, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'DLM', 1715, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'EBL', 3989, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'FAO', 1626, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'FNC', 4091, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'FUE', 1051, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'GRO', 1222, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'HER', 1452, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'IBZ', 1225, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'INN', 1610, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'JKH', 1450, '', 0, '73W\r'),
	('HV', 5039, 'AMS', 580, 'JMK', 1468, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'JTR', 1479, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'KGS', 1458, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'KIT', 1454, '', 0, '73W\r'),
	('HV', 5039, 'AMS', 580, 'LIS', 1638, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'LPA', 1054, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'MLA', 1606, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'NAP', 1561, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'NCE', 1354, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'OPO', 1636, '', 0, '73W 73H\r'),
	('HV', 5039, 'AMS', 580, 'PFO', 1198, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'PMI', 3998, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'PMO', 1512, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'PSA', 1562, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'PVK', 1470, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'RAK', 1075, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'RHO', 1472, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'SAW', 4317, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'SKG', 1486, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'SMI', 1476, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'SPC', 1053, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'SUF', 1508, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'SVQ', 1253, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'TFS', 1056, '', 0, '73W 73H\r'),
	('HV', 5039, 'AMS', 580, 'TLV', 1590, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'TRN', 1526, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'VCE', 1551, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'VLC', 1246, '', 0, '73H 73W\r'),
	('HV', 5039, 'AMS', 580, 'VRN', 1550, '', 0, '73H\r'),
	('HV', 5039, 'AMS', 580, 'ZTH', 1488, '', 0, '73H\r'),
	('HV', 5039, 'ATH', 3941, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'ATH', 3941, 'EIN', 585, '', 0, '73H 73W\r'),
	('HV', 5039, 'AYT', 1688, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'AYT', 1688, 'EIN', 585, '', 0, '73H 73W\r'),
	('HV', 5039, 'AYT', 1688, 'GRQ', 586, '', 0, '73H\r'),
	('HV', 5039, 'AYT', 1688, 'RTM', 591, '', 0, '73W 73H\r'),
	('HV', 5039, 'BCN', 1218, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'BCN', 1218, 'EIN', 585, '', 0, '73W 73H\r'),
	('HV', 5039, 'BCN', 1218, 'RTM', 591, '', 0, '73H 73W\r'),
	('HV', 5039, 'BJV', 4315, 'ADB', 1706, '', 0, '73H\r'),
	('HV', 5039, 'BJV', 4315, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'BJV', 4315, 'EIN', 585, '', 0, '73H\r'),
	('HV', 5039, 'BJV', 4315, 'RTM', 591, '', 0, '73H\r'),
	('HV', 5039, 'BLQ', 1538, 'EIN', 585, '', 0, '73W\r'),
	('HV', 5039, 'BRI', 1501, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'BUD', 1489, 'RTM', 591, '', 0, '73W 73H\r'),
	('HV', 5039, 'CFU', 1460, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'CFU', 1460, 'EFL', 1455, '', 0, '73H\r'),
	('HV', 5039, 'CHQ', 1474, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'CHQ', 1474, 'ZTH', 1488, '', 0, '73H\r'),
	('HV', 5039, 'CMN', 1074, 'AMS', 580, '', 0, '73W 73H\r'),
	('HV', 5039, 'CPH', 609, 'EIN', 585, '', 0, '73W\r'),
	('HV', 5039, 'CTA', 1509, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'DLM', 1715, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'DLM', 1715, 'RTM', 591, '', 0, '73H\r'),
	('HV', 5039, 'EBL', 3989, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'EFL', 1455, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'EGC', 1265, 'RTM', 591, '', 0, '73H 73W\r'),
	('HV', 5039, 'EIN', 585, 'AGP', 1230, '', 0, '73H 73W\r'),
	('HV', 5039, 'EIN', 585, 'ALC', 1212, '', 0, '73W 73H\r'),
	('HV', 5039, 'EIN', 585, 'ATH', 3941, '', 0, '73H 73W\r'),
	('HV', 5039, 'EIN', 585, 'AYT', 1688, '', 0, '73W\r'),
	('HV', 5039, 'EIN', 585, 'BCN', 1218, '', 0, '73W 73H\r'),
	('HV', 5039, 'EIN', 585, 'BJV', 4315, '', 0, '73H\r'),
	('HV', 5039, 'EIN', 585, 'BLQ', 1538, '', 0, '73W\r'),
	('HV', 5039, 'EIN', 585, 'CPH', 609, '', 0, '73W\r'),
	('HV', 5039, 'EIN', 585, 'DLM', 1715, '', 0, '73H\r'),
	('HV', 5039, 'EIN', 585, 'FAO', 1626, '', 0, '73H 73W\r'),
	('HV', 5039, 'EIN', 585, 'GRQ', 586, '', 0, '73H\r'),
	('HV', 5039, 'EIN', 585, 'IBZ', 1225, '', 0, '73W 73H\r'),
	('HV', 5039, 'EIN', 585, 'INN', 1610, '', 0, '73W\r'),
	('HV', 5039, 'EIN', 585, 'LIS', 1638, '', 0, '73H 73W\r'),
	('HV', 5039, 'EIN', 585, 'LPA', 1054, '', 0, '73W\r'),
	('HV', 5039, 'EIN', 585, 'MAD', 1229, '', 0, '73W\r'),
	('HV', 5039, 'EIN', 585, 'NAP', 1561, '', 0, '73W\r'),
	('HV', 5039, 'EIN', 585, 'NCE', 1354, '', 0, '73W 73H\r'),
	('HV', 5039, 'EIN', 585, 'PMI', 3998, '', 0, '73W 73H\r'),
	('HV', 5039, 'EIN', 585, 'RTM', 591, '', 0, '73H\r'),
	('HV', 5039, 'EIN', 585, 'SAW', 4317, '', 0, '73H 73W\r'),
	('HV', 5039, 'EIN', 585, 'TXL', 351, '', 0, '73W\r'),
	('HV', 5039, 'EIN', 585, 'VCE', 1551, '', 0, '73W\r'),
	('HV', 5039, 'EIN', 585, 'VLC', 1246, '', 0, '73H 73W\r'),
	('HV', 5039, 'FAO', 1626, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'FAO', 1626, 'EIN', 585, '', 0, '73H 73W\r'),
	('HV', 5039, 'FAO', 1626, 'GRQ', 586, '', 0, '73H\r'),
	('HV', 5039, 'FAO', 1626, 'RTM', 591, '', 0, '73H 73W\r'),
	('HV', 5039, 'FAO', 1626, 'SID', 1102, '', 0, '73H\r'),
	('HV', 5039, 'FCO', 1555, 'RTM', 591, '', 0, '73W 73H\r'),
	('HV', 5039, 'FNC', 4091, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'FUE', 1051, 'ACE', 1055, '', 0, '73H\r'),
	('HV', 5039, 'FUE', 1051, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'GRO', 1222, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'GRO', 1222, 'RTM', 591, '', 0, '73H 73W\r'),
	('HV', 5039, 'GRQ', 586, 'FAO', 1626, '', 0, '73H\r'),
	('HV', 5039, 'GRQ', 586, 'LPA', 1054, '', 0, '73H\r'),
	('HV', 5039, 'GRQ', 586, 'MST', 582, '', 0, '73H\r'),
	('HV', 5039, 'GRQ', 586, 'PMI', 3998, '', 0, '73H\r'),
	('HV', 5039, 'HER', 1452, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'HER', 1452, 'GRQ', 586, '', 0, '73H\r'),
	('HV', 5039, 'HER', 1452, 'RTM', 591, '', 0, '73H\r'),
	('HV', 5039, 'IBZ', 1225, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'IBZ', 1225, 'EIN', 585, '', 0, '73W 73H\r'),
	('HV', 5039, 'IBZ', 1225, 'RTM', 591, '', 0, '73H 73W\r'),
	('HV', 5039, 'INN', 1610, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'INN', 1610, 'EIN', 585, '', 0, '73W\r'),
	('HV', 5039, 'JKH', 1450, 'MJT', 1469, '', 0, '73W\r'),
	('HV', 5039, 'JMK', 1468, 'JTR', 1479, '', 0, '73H\r'),
	('HV', 5039, 'JTR', 1479, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'JTR', 1479, 'VOL', 1448, '', 0, '73H\r'),
	('HV', 5039, 'KGS', 1458, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'KIT', 1454, 'KLX', 1456, '', 0, '73W\r'),
	('HV', 5039, 'KLX', 1456, 'AMS', 580, '', 0, '73W\r'),
	('HV', 5039, 'LEI', 1213, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'LIS', 1638, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'LIS', 1638, 'EIN', 585, '', 0, '73H 73W\r'),
	('HV', 5039, 'LPA', 1054, 'ACE', 1055, '', 0, '73H\r'),
	('HV', 5039, 'LPA', 1054, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'LPA', 1054, 'EIN', 585, '', 0, '73H 73W\r'),
	('HV', 5039, 'MAD', 1229, 'EIN', 585, '', 0, '73W\r'),
	('HV', 5039, 'MAD', 1229, 'RTM', 591, '', 0, '73H 73W\r'),
	('HV', 5039, 'MJT', 1469, 'AMS', 580, '', 0, '73W\r'),
	('HV', 5039, 'MLA', 1606, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'MLA', 1606, 'NBE', 7447, '', 0, '73H\r'),
	('HV', 5039, 'MPL', 1359, 'RTM', 591, '', 0, '73W 73H\r'),
	('HV', 5039, 'MST', 582, 'AYT', 1688, '', 0, '73H\r'),
	('HV', 5039, 'MST', 582, 'HER', 1452, '', 0, '73H\r'),
	('HV', 5039, 'NAP', 1561, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'NAP', 1561, 'EIN', 585, '', 0, '73W\r'),
	('HV', 5039, 'NBE', 7447, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'NCE', 1354, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'NCE', 1354, 'EIN', 585, '', 0, '73W 73H\r'),
	('HV', 5039, 'NCE', 1354, 'RTM', 591, '', 0, '73W 73H\r'),
	('HV', 5039, 'OLB', 1520, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'OPO', 1636, 'AMS', 580, '', 0, '73W 73H\r'),
	('HV', 5039, 'PFO', 1198, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'PMI', 3998, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'PMI', 3998, 'EIN', 585, '', 0, '73W 73H\r'),
	('HV', 5039, 'PMI', 3998, 'GRQ', 586, '', 0, '73H\r'),
	('HV', 5039, 'PMI', 3998, 'RTM', 591, '', 0, '73H\r'),
	('HV', 5039, 'PMO', 1512, 'CTA', 1509, '', 0, '73H\r'),
	('HV', 5039, 'PRG', 1587, 'RTM', 591, '', 0, '73W 73H\r'),
	('HV', 5039, 'PSA', 1562, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'PVK', 1470, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'RAK', 1075, 'AGA', 1064, '', 0, '73H\r'),
	('HV', 5039, 'RAK', 1075, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'RAK', 1075, 'RTM', 591, '', 0, '73W\r'),
	('HV', 5039, 'RHO', 1472, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'RHO', 1472, 'EIN', 585, '', 0, '73H\r'),
	('HV', 5039, 'RTM', 591, 'AGP', 1230, '', 0, '73H 73W\r'),
	('HV', 5039, 'RTM', 591, 'ALC', 1212, '', 0, '73H 73W\r'),
	('HV', 5039, 'RTM', 591, 'AYT', 1688, '', 0, '73W 73H\r'),
	('HV', 5039, 'RTM', 591, 'BCN', 1218, '', 0, '73H 73W\r'),
	('HV', 5039, 'RTM', 591, 'BJV', 4315, '', 0, '73H\r'),
	('HV', 5039, 'RTM', 591, 'BUD', 1489, '', 0, '73W 73H\r'),
	('HV', 5039, 'RTM', 591, 'EGC', 1265, '', 0, '73H 73W\r'),
	('HV', 5039, 'RTM', 591, 'EIN', 585, '', 0, '73H\r'),
	('HV', 5039, 'RTM', 591, 'FAO', 1626, '', 0, '73H 73W\r'),
	('HV', 5039, 'RTM', 591, 'FCO', 1555, '', 0, '73W 73H\r'),
	('HV', 5039, 'RTM', 591, 'GRO', 1222, '', 0, '73H 73W\r'),
	('HV', 5039, 'RTM', 591, 'HER', 1452, '', 0, '73H\r'),
	('HV', 5039, 'RTM', 591, 'IBZ', 1225, '', 0, '73H 73W\r'),
	('HV', 5039, 'RTM', 591, 'MAD', 1229, '', 0, '73H 73W\r'),
	('HV', 5039, 'RTM', 591, 'MPL', 1359, '', 0, '73W 73H\r'),
	('HV', 5039, 'RTM', 591, 'NCE', 1354, '', 0, '73W 73H\r'),
	('HV', 5039, 'RTM', 591, 'PMI', 3998, '', 0, '73H\r'),
	('HV', 5039, 'RTM', 591, 'PRG', 1587, '', 0, '73W 73H\r'),
	('HV', 5039, 'RTM', 591, 'RAK', 1075, '', 0, '73W\r'),
	('HV', 5039, 'RTM', 591, 'RHO', 1472, '', 0, '73H\r'),
	('HV', 5039, 'RTM', 591, 'SAW', 4317, '', 0, '73H 73W\r'),
	('HV', 5039, 'RTM', 591, 'SPU', 1206, '', 0, '73W\r'),
	('HV', 5039, 'RTM', 591, 'TLN', 1438, '', 0, '73W 73H\r'),
	('HV', 5039, 'RTM', 591, 'VIE', 1613, '', 0, '73W\r'),
	('HV', 5039, 'RTM', 591, 'VLC', 1246, '', 0, '73W 73H\r'),
	('HV', 5039, 'SAW', 4317, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'SAW', 4317, 'EIN', 585, '', 0, '73H 73W\r'),
	('HV', 5039, 'SAW', 4317, 'RTM', 591, '', 0, '73H 73W\r'),
	('HV', 5039, 'SID', 1102, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'SKG', 1486, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'SMI', 1476, 'RHO', 1472, '', 0, '73H\r'),
	('HV', 5039, 'SPC', 1053, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'SPU', 1206, 'RTM', 591, '', 0, '73W\r'),
	('HV', 5039, 'SUF', 1508, 'CTA', 1509, '', 0, '73H\r'),
	('HV', 5039, 'SVQ', 1253, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'SVQ', 1253, 'LEI', 1213, '', 0, '73H\r'),
	('HV', 5039, 'TFS', 1056, 'AMS', 580, '', 0, '73W 73H\r'),
	('HV', 5039, 'TFS', 1056, 'LPA', 1054, '', 0, '73H\r'),
	('HV', 5039, 'TLN', 1438, 'RTM', 591, '', 0, '73W 73H\r'),
	('HV', 5039, 'TLV', 1590, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'TRN', 1526, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'TXL', 351, 'EIN', 585, '', 0, '73W\r'),
	('HV', 5039, 'VCE', 1551, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'VCE', 1551, 'EIN', 585, '', 0, '73W\r'),
	('HV', 5039, 'VIE', 1613, 'RTM', 591, '', 0, '73W\r'),
	('HV', 5039, 'VLC', 1246, 'AMS', 580, '', 0, '73H 73W\r'),
	('HV', 5039, 'VLC', 1246, 'EIN', 585, '', 0, '73H 73W\r'),
	('HV', 5039, 'VLC', 1246, 'RTM', 591, '', 0, '73H 73W\r'),
	('HV', 5039, 'VOL', 1448, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'VRN', 1550, 'AMS', 580, '', 0, '73H\r'),
	('HV', 5039, 'ZTH', 1488, 'AMS', 580, '', 0, '73H\r'),
	('HW', 2748, 'YEV', 54, 'YGH', 4239, '', 0, 'DHT\r'),
	('HW', 2748, 'YGH', 4239, 'YEV', 54, '', 0, 'DHT\r'),
	('HW', 2748, 'YGH', 4239, 'YVQ', 155, '', 0, 'DHT\r'),
	('HW', 2748, 'YVQ', 155, 'YGH', 4239, '', 0, 'DHT\r'),
	('HW', 2748, 'YVQ', 155, 'ZFN', 4238, '', 0, 'DHT\r'),
	('HW', 2748, 'YWJ', 4237, 'YZF', 196, '', 0, 'DHT\r'),
	('HW', 2748, 'YWJ', 4237, 'ZFN', 4238, '', 0, 'DHT\r'),
	('HW', 2748, 'YZF', 196, 'YWJ', 4237, '', 0, 'DHT\r'),
	('HW', 2748, 'ZFN', 4238, 'YVQ', 155, '', 0, 'DHT\r'),
	('HW', 2748, 'ZFN', 4238, 'YWJ', 4237, '', 0, 'DHT\r'),
	('HX', 2773, 'BKK', 3885, 'HKG', 3077, '', 0, '333 332\r'),
	('HX', 2773, 'CKG', 3393, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'CTU', 3395, 'HKG', 3077, '', 0, '332\r'),
	('HX', 2773, 'DPS', 3940, 'HKG', 3077, '', 0, '333 332\r'),
	('HX', 2773, 'FOC', 3385, 'HKG', 3077, '', 0, '320 332\r'),
	('HX', 2773, 'HAK', 4120, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'HAN', 3199, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'HGH', 3386, 'HKG', 3077, '', 0, '320 332\r'),
	('HX', 2773, 'HKG', 3077, 'BKK', 3885, '', 0, '332 333\r'),
	('HX', 2773, 'HKG', 3077, 'CKG', 3393, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'CTU', 3395, '', 0, '332\r'),
	('HX', 2773, 'HKG', 3077, 'DPS', 3940, '', 0, '332 333\r'),
	('HX', 2773, 'HKG', 3077, 'FOC', 3385, '', 0, '332 320\r'),
	('HX', 2773, 'HKG', 3077, 'HAK', 4120, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'HAN', 3199, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'HGH', 3386, '', 0, '332 320\r'),
	('HX', 2773, 'HKG', 3077, 'KOJ', 2307, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'KWE', 3394, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'KWL', 3372, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'NKG', 3388, '', 0, '332\r'),
	('HX', 2773, 'HKG', 3077, 'NNG', 3373, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'OKA', 2384, '', 0, '332 333\r'),
	('HX', 2773, 'HKG', 3077, 'PEK', 3364, '', 0, '333 332 320\r'),
	('HX', 2773, 'HKG', 3077, 'PVG', 3406, '', 0, '332 333 738\r'),
	('HX', 2773, 'HKG', 3077, 'SGN', 3205, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'SHA', 3391, '', 0, '333\r'),
	('HX', 2773, 'HKG', 3077, 'SYX', 4030, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'TPE', 2276, '', 0, '333 332\r'),
	('HX', 2773, 'HKG', 3077, 'TSN', 3368, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'TYN', 3369, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'XMN', 3383, '', 0, '320\r'),
	('HX', 2773, 'HKG', 3077, 'XUZ', 4149, '', 0, '320\r'),
	('HX', 2773, 'HRB', 3400, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'KOJ', 2307, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'KWE', 3394, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'KWL', 3372, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'NKG', 3388, 'HKG', 3077, '', 0, '332\r'),
	('HX', 2773, 'NNG', 3373, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'OKA', 2384, 'HKG', 3077, '', 0, '332 333\r'),
	('HX', 2773, 'PEK', 3364, 'HKG', 3077, '', 0, '320 332 333\r'),
	('HX', 2773, 'PVG', 3406, 'HKG', 3077, '', 0, '332 333 738\r'),
	('HX', 2773, 'SGN', 3205, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'SHA', 3391, 'HKG', 3077, '', 0, '333\r'),
	('HX', 2773, 'SYX', 4030, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'TPE', 2276, 'HKG', 3077, '', 0, '333 332\r'),
	('HX', 2773, 'TSN', 3368, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'TYN', 3369, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'XMN', 3383, 'HKG', 3077, '', 0, '320\r'),
	('HX', 2773, 'XUZ', 4149, 'HKG', 3077, '', 0, '320\r'),
	('HY', 5281, 'AER', 2965, 'TAS', 2983, '', 0, '767\r'),
	('HY', 5281, 'ALA', 2908, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'ATQ', 3081, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'AZN', 6148, 'DME', 4029, '', 0, '757\r'),
	('HY', 5281, 'AZN', 6148, 'LED', 2948, '', 0, '757\r'),
	('HY', 5281, 'AZN', 6148, 'TAS', 2983, '', 0, '757\r'),
	('HY', 5281, 'BHK', 2980, 'DME', 4029, '', 0, '320 757\r'),
	('HY', 5281, 'BHK', 2980, 'LED', 2948, '', 0, '757\r'),
	('HY', 5281, 'BHK', 2980, 'TAS', 2983, '', 0, 'I14 320 757\r'),
	('HY', 5281, 'BKK', 3885, 'TAS', 2983, '', 0, '764 763\r'),
	('HY', 5281, 'CDG', 1382, 'TAS', 2983, '', 0, '767\r'),
	('HY', 5281, 'CDG', 1382, 'UGC', 6152, '', 0, '764\r'),
	('HY', 5281, 'DEL', 3093, 'TAS', 2983, '', 0, '763 764\r'),
	('HY', 5281, 'DME', 4029, 'AZN', 6148, '', 0, '757\r'),
	('HY', 5281, 'DME', 4029, 'BHK', 2980, '', 0, '320 757\r'),
	('HY', 5281, 'DME', 4029, 'FEG', 6149, '', 0, '320\r'),
	('HY', 5281, 'DME', 4029, 'KSQ', 6153, '', 0, '320\r'),
	('HY', 5281, 'DME', 4029, 'NCU', 6151, '', 0, '320\r'),
	('HY', 5281, 'DME', 4029, 'NMA', 6150, '', 0, '752 320\r'),
	('HY', 5281, 'DME', 4029, 'NVI', 6485, '', 0, '320\r'),
	('HY', 5281, 'DME', 4029, 'SKD', 2981, '', 0, '757 320\r'),
	('HY', 5281, 'DME', 4029, 'TAS', 2983, '', 0, '764 767\r'),
	('HY', 5281, 'DME', 4029, 'TMJ', 6154, '', 0, '757\r'),
	('HY', 5281, 'DME', 4029, 'UGC', 6152, '', 0, '763 320\r'),
	('HY', 5281, 'DXB', 2188, 'TAS', 2983, '', 0, '763\r'),
	('HY', 5281, 'FCO', 1555, 'TAS', 2983, '', 0, '764\r'),
	('HY', 5281, 'FEG', 6149, 'DME', 4029, '', 0, '320\r'),
	('HY', 5281, 'FEG', 6149, 'KZN', 2990, '', 0, '320\r'),
	('HY', 5281, 'FEG', 6149, 'LED', 2948, '', 0, '757\r'),
	('HY', 5281, 'FEG', 6149, 'TAS', 2983, '', 0, '757 320\r'),
	('HY', 5281, 'FRA', 340, 'TAS', 2983, '', 0, '763 764 752\r'),
	('HY', 5281, 'FRU', 2912, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'GYD', 2922, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'ICN', 3930, 'TAS', 2983, '', 0, '764 767\r'),
	('HY', 5281, 'IST', 1701, 'TAS', 2983, '', 0, '767\r'),
	('HY', 5281, 'JFK', 3797, 'RIX', 3953, '', 0, '763 764\r'),
	('HY', 5281, 'KBP', 2939, 'TAS', 2983, '', 0, '763 764\r'),
	('HY', 5281, 'KGD', 2952, 'TAS', 2983, '', 0, '752\r'),
	('HY', 5281, 'KJA', 4374, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'KRR', 2960, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'KSQ', 6153, 'DME', 4029, '', 0, '320\r'),
	('HY', 5281, 'KSQ', 6153, 'LED', 2948, '', 0, '320\r'),
	('HY', 5281, 'KSQ', 6153, 'TAS', 2983, '', 0, 'I14 320\r'),
	('HY', 5281, 'KUF', 4118, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'KUL', 3304, 'SIN', 3316, '', 0, '764\r'),
	('HY', 5281, 'KUL', 3304, 'TAS', 2983, '', 0, '764\r'),
	('HY', 5281, 'KZN', 2990, 'FEG', 6149, '', 0, '320\r'),
	('HY', 5281, 'KZN', 2990, 'SKD', 2981, '', 0, '320\r'),
	('HY', 5281, 'KZN', 2990, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'LED', 2948, 'AZN', 6148, '', 0, '757\r'),
	('HY', 5281, 'LED', 2948, 'BHK', 2980, '', 0, '757\r'),
	('HY', 5281, 'LED', 2948, 'FEG', 6149, '', 0, '757\r'),
	('HY', 5281, 'LED', 2948, 'KSQ', 6153, '', 0, '320\r'),
	('HY', 5281, 'LED', 2948, 'NMA', 6150, '', 0, '752\r'),
	('HY', 5281, 'LED', 2948, 'NVI', 6485, '', 0, '320\r'),
	('HY', 5281, 'LED', 2948, 'SKD', 2981, '', 0, '757 320\r'),
	('HY', 5281, 'LED', 2948, 'TAS', 2983, '', 0, '764 320\r'),
	('HY', 5281, 'LED', 2948, 'UGC', 6152, '', 0, '320\r'),
	('HY', 5281, 'LHR', 507, 'TAS', 2983, '', 0, '757\r'),
	('HY', 5281, 'MRV', 2962, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'MXP', 1524, 'UGC', 6152, '', 0, '764\r'),
	('HY', 5281, 'NCU', 6151, 'DME', 4029, '', 0, '320\r'),
	('HY', 5281, 'NCU', 6151, 'TAS', 2983, '', 0, 'I14 320\r'),
	('HY', 5281, 'NMA', 6150, 'DME', 4029, '', 0, '752 320\r'),
	('HY', 5281, 'NMA', 6150, 'LED', 2948, '', 0, '752\r'),
	('HY', 5281, 'NMA', 6150, 'OVB', 4078, '', 0, '320\r'),
	('HY', 5281, 'NMA', 6150, 'SVX', 2975, '', 0, '320\r'),
	('HY', 5281, 'NMA', 6150, 'TAS', 2983, '', 0, '752 320\r'),
	('HY', 5281, 'NRT', 2279, 'TAS', 2983, '', 0, '764\r'),
	('HY', 5281, 'NVI', 6485, 'DME', 4029, '', 0, '320\r'),
	('HY', 5281, 'NVI', 6485, 'LED', 2948, '', 0, '320\r'),
	('HY', 5281, 'NVI', 6485, 'TAS', 2983, '', 0, 'I14 320\r'),
	('HY', 5281, 'OVB', 4078, 'NMA', 6150, '', 0, '320\r'),
	('HY', 5281, 'OVB', 4078, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'PEK', 3364, 'TAS', 2983, '', 0, '764 767\r'),
	('HY', 5281, 'RIX', 3953, 'JFK', 3797, '', 0, '763 764\r'),
	('HY', 5281, 'RIX', 3953, 'TAS', 2983, '', 0, '764 763\r'),
	('HY', 5281, 'ROV', 2964, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'SHJ', 2191, 'TAS', 2983, '', 0, '763\r'),
	('HY', 5281, 'SIN', 3316, 'KUL', 3304, '', 0, '764\r'),
	('HY', 5281, 'SIN', 3316, 'TAS', 2983, '', 0, '764\r'),
	('HY', 5281, 'SKD', 2981, 'DME', 4029, '', 0, '757 320\r'),
	('HY', 5281, 'SKD', 2981, 'KZN', 2990, '', 0, '320\r'),
	('HY', 5281, 'SKD', 2981, 'LED', 2948, '', 0, '757 320\r'),
	('HY', 5281, 'SKD', 2981, 'TAS', 2983, '', 0, '757 320\r'),
	('HY', 5281, 'SVX', 2975, 'NMA', 6150, '', 0, '320\r'),
	('HY', 5281, 'SVX', 2975, 'TAS', 2983, '', 0, '757\r'),
	('HY', 5281, 'TAS', 2983, 'AER', 2965, '', 0, '767\r'),
	('HY', 5281, 'TAS', 2983, 'ALA', 2908, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'ATQ', 3081, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'AZN', 6148, '', 0, '757\r'),
	('HY', 5281, 'TAS', 2983, 'BHK', 2980, '', 0, 'I14 320 757\r'),
	('HY', 5281, 'TAS', 2983, 'BKK', 3885, '', 0, '764 763\r'),
	('HY', 5281, 'TAS', 2983, 'CDG', 1382, '', 0, '767 764\r'),
	('HY', 5281, 'TAS', 2983, 'DEL', 3093, '', 0, '763 764\r'),
	('HY', 5281, 'TAS', 2983, 'DME', 4029, '', 0, '764 767\r'),
	('HY', 5281, 'TAS', 2983, 'DXB', 2188, '', 0, '763\r'),
	('HY', 5281, 'TAS', 2983, 'FCO', 1555, '', 0, '764\r'),
	('HY', 5281, 'TAS', 2983, 'FEG', 6149, '', 0, '320 757\r'),
	('HY', 5281, 'TAS', 2983, 'FRA', 340, '', 0, '763 764 752\r'),
	('HY', 5281, 'TAS', 2983, 'FRU', 2912, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'GYD', 2922, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'ICN', 3930, '', 0, '764 767\r'),
	('HY', 5281, 'TAS', 2983, 'IST', 1701, '', 0, '767\r'),
	('HY', 5281, 'TAS', 2983, 'KBP', 2939, '', 0, '763\r'),
	('HY', 5281, 'TAS', 2983, 'KGD', 2952, '', 0, '752\r'),
	('HY', 5281, 'TAS', 2983, 'KJA', 4374, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'KRR', 2960, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'KSQ', 6153, '', 0, 'I14 320\r'),
	('HY', 5281, 'TAS', 2983, 'KUF', 4118, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'KUL', 3304, '', 0, '764\r'),
	('HY', 5281, 'TAS', 2983, 'KZN', 2990, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'LED', 2948, '', 0, '764 320\r'),
	('HY', 5281, 'TAS', 2983, 'LHR', 507, '', 0, '757\r'),
	('HY', 5281, 'TAS', 2983, 'MRV', 2962, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'MXP', 1524, '', 0, '764\r'),
	('HY', 5281, 'TAS', 2983, 'NCU', 6151, '', 0, '320 I14\r'),
	('HY', 5281, 'TAS', 2983, 'NMA', 6150, '', 0, '752 320\r'),
	('HY', 5281, 'TAS', 2983, 'NRT', 2279, '', 0, '764\r'),
	('HY', 5281, 'TAS', 2983, 'NVI', 6485, '', 0, 'I14 320\r'),
	('HY', 5281, 'TAS', 2983, 'OVB', 4078, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'PEK', 3364, '', 0, '764 767\r'),
	('HY', 5281, 'TAS', 2983, 'PRG', 1587, 'Y', 0, '319\r'),
	('HY', 5281, 'TAS', 2983, 'RIX', 3953, '', 0, '763 764\r'),
	('HY', 5281, 'TAS', 2983, 'ROV', 2964, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'SHJ', 2191, '', 0, '763\r'),
	('HY', 5281, 'TAS', 2983, 'SIN', 3316, '', 0, '764\r'),
	('HY', 5281, 'TAS', 2983, 'SKD', 2981, '', 0, '757 320\r'),
	('HY', 5281, 'TAS', 2983, 'SVX', 2975, '', 0, '757\r'),
	('HY', 5281, 'TAS', 2983, 'TJM', 4111, '', 0, '752\r'),
	('HY', 5281, 'TAS', 2983, 'TLV', 1590, '', 0, '764\r'),
	('HY', 5281, 'TAS', 2983, 'TMJ', 6154, '', 0, 'I14 757\r'),
	('HY', 5281, 'TAS', 2983, 'TSE', 2910, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'UFA', 2992, '', 0, '320\r'),
	('HY', 5281, 'TAS', 2983, 'UGC', 6152, '', 0, '320 I14 763\r'),
	('HY', 5281, 'TAS', 2983, 'URC', 3399, '', 0, '764\r'),
	('HY', 5281, 'TAS', 2983, 'VOG', 2967, '', 0, '320\r'),
	('HY', 5281, 'TJM', 4111, 'TAS', 2983, '', 0, '752\r'),
	('HY', 5281, 'TLV', 1590, 'TAS', 2983, '', 0, '764\r'),
	('HY', 5281, 'TMJ', 6154, 'DME', 4029, '', 0, '757\r'),
	('HY', 5281, 'TMJ', 6154, 'TAS', 2983, '', 0, 'I14 757\r'),
	('HY', 5281, 'TSE', 2910, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'UFA', 2992, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'UGC', 6152, 'BHK', 2980, '', 0, '320\r'),
	('HY', 5281, 'UGC', 6152, 'DME', 4029, '', 0, '763 320\r'),
	('HY', 5281, 'UGC', 6152, 'LED', 2948, '', 0, '320\r'),
	('HY', 5281, 'UGC', 6152, 'TAS', 2983, '', 0, 'I14 320 763 764\r'),
	('HY', 5281, 'UGC', 6152, 'VOG', 2967, '', 0, '320\r'),
	('HY', 5281, 'URC', 3399, 'TAS', 2983, '', 0, '764\r'),
	('HY', 5281, 'VOG', 2967, 'TAS', 2983, '', 0, '320\r'),
	('HY', 5281, 'VOG', 2967, 'UGC', 6152, '', 0, '320\r'),
	('HZ', 4808, 'BVV', 7478, 'UUS', 2933, '', 0, 'DH8\r'),
	('HZ', 4808, 'CTS', 2287, 'UUS', 2933, '', 0, '737\r'),
	('HZ', 4808, 'DEE', 8782, 'UUS', 2933, '', 0, 'DH8\r'),
	('HZ', 4808, 'HRB', 3400, 'KHV', 2927, '', 0, '319\r'),
	('HZ', 4808, 'ICN', 3930, 'UUS', 2933, '', 0, '737\r'),
	('HZ', 4808, 'KHV', 2927, 'HRB', 3400, '', 0, '319 737\r'),
	('HZ', 4808, 'KHV', 2927, 'UUS', 2933, '', 0, '737\r'),
	('HZ', 4808, 'NRT', 2279, 'UUS', 2933, '', 0, '737\r'),
	('HZ', 4808, 'OHH', 7479, 'UUS', 2933, '', 0, 'DH8\r'),
	('HZ', 4808, 'UUS', 2933, 'BVV', 7478, '', 0, 'DH8\r'),
	('HZ', 4808, 'UUS', 2933, 'CTS', 2287, '', 0, '737\r'),
	('HZ', 4808, 'UUS', 2933, 'DEE', 8782, '', 0, 'DH8\r'),
	('HZ', 4808, 'UUS', 2933, 'HRB', 3400, '', 0, '737\r'),
	('HZ', 4808, 'UUS', 2933, 'NRT', 2279, '', 0, '737\r'),
	('HZ', 4808, 'UUS', 2933, 'OHH', 7479, '', 0, 'DH8\r'),
	('I4', 2917, 'KLW', 7205, 'KTN', 3808, '', 0, 'CNA\r'),
	('I4', 2917, 'KTN', 3808, 'KLW', 7205, '', 0, 'CNA\r'),
	('I6', 10955, 'BHV', 5939, 'KHI', 2206, '', 0, '733\r'),
	('I6', 10955, 'BHV', 5939, 'LHE', 2207, '', 0, '733\r'),
	('I6', 10955, 'ISB', 2223, 'KHI', 2206, '', 0, '733\r'),
	('I6', 10955, 'ISB', 2223, 'UET', 2221, '', 0, '733\r'),
	('I6', 10955, 'KHI', 2206, 'BHV', 5939, '', 0, '733\r'),
	('I6', 10955, 'KHI', 2206, 'ISB', 2223, '', 0, '733\r'),
	('I6', 10955, 'KHI', 2206, 'LHE', 2207, '', 0, '733\r'),
	('I6', 10955, 'KHI', 2206, 'LYP', 2202, '', 0, '733\r'),
	('I6', 10955, 'KHI', 2206, 'MUX', 2214, '', 0, '733\r'),
	('I6', 10955, 'KHI', 2206, 'PEW', 2219, '', 0, '733\r'),
	('I6', 10955, 'KHI', 2206, 'UET', 2221, '', 0, '733\r'),
	('I6', 10955, 'LHE', 2207, 'BHV', 5939, '', 0, '733\r'),
	('I6', 10955, 'LHE', 2207, 'KHI', 2206, '', 0, '733\r'),
	('I6', 10955, 'LHE', 2207, 'UET', 2221, '', 0, '733\r'),
	('I6', 10955, 'LYP', 2202, 'KHI', 2206, '', 0, '733\r'),
	('I6', 10955, 'MUX', 2214, 'KHI', 2206, '', 0, '733\r'),
	('I6', 10955, 'PEW', 2219, 'KHI', 2206, '', 0, '733\r'),
	('I6', 10955, 'UET', 2221, 'ISB', 2223, '', 0, '733\r'),
	('I6', 10955, 'UET', 2221, 'KHI', 2206, '', 0, '733\r'),
	('I6', 10955, 'UET', 2221, 'LHE', 2207, '', 0, '733\r'),
	('I8', 18828, 'DME', 4029, 'IJK', 6141, '', 0, 'YK2\r'),
	('I8', 18828, 'DME', 4029, 'KRO', 6146, '', 0, 'YK2\r'),
	('I8', 18828, 'IJK', 6141, 'DME', 4029, '', 0, 'YK2\r'),
	('I8', 18828, 'IJK', 6141, 'LED', 2948, '', 0, 'YK2\r'),
	('I8', 18828, 'IJK', 6141, 'SVX', 2975, '', 0, 'AN4\r'),
	('I8', 18828, 'KRO', 6146, 'DME', 4029, '', 0, 'YK2\r'),
	('I8', 18828, 'LED', 2948, 'IJK', 6141, '', 0, 'YK2\r'),
	('I8', 18828, 'SVX', 2975, 'IJK', 6141, '', 0, 'AN4\r'),
	('I9', 116, 'FOR', 2559, 'MXP', 1524, '', 0, '767\r'),
	('I9', 116, 'LIN', 1529, 'NAP', 1561, 'Y', 0, 'M80 737\r'),
	('I9', 116, 'MXP', 1524, 'FOR', 2559, '', 0, '767\r'),
	('I9', 116, 'NAP', 1561, 'LIN', 1529, 'Y', 0, '737 M80\r'),
	('IB', 2822, 'AAL', 628, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ABZ', 532, 'LHR', 507, 'Y', 0, '320 319\r'),
	('IB', 2822, 'ACC', 248, 'MAD', 1229, '', 0, '319\r'),
	('IB', 2822, 'ACE', 1055, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ACE', 1055, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'ACE', 1055, 'LGW', 502, 'Y', 0, '320\r'),
	('IB', 2822, 'ACE', 1055, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'AGP', 1230, 'AMS', 580, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'BRU', 302, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'CMN', 1074, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'AGP', 1230, 'CPH', 609, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'CWL', 488, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'DME', 4029, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'FCO', 1555, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'HAJ', 352, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'HAM', 342, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'LCY', 503, 'Y', 0, 'E90\r'),
	('IB', 2822, 'AGP', 1230, 'LGW', 502, 'Y', 0, '319 734 320\r'),
	('IB', 2822, 'AGP', 1230, 'LPA', 1054, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'LYS', 1335, '', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'AGP', 1230, 'MLN', 1058, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'AGP', 1230, 'MUC', 346, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'NTE', 1418, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'OVD', 1214, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'PMI', 3998, '', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'SCQ', 1243, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'TFN', 1057, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'TLS', 1273, 'Y', 0, '320\r'),
	('IB', 2822, 'AGP', 1230, 'VLC', 1246, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'ALC', 1212, 'AMS', 580, 'Y', 0, '320\r'),
	('IB', 2822, 'ALC', 1212, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ALC', 1212, 'BIO', 1216, 'Y', 0, 'CR9 CR2\r'),
	('IB', 2822, 'ALC', 1212, 'BRU', 302, 'Y', 0, '320\r'),
	('IB', 2822, 'ALC', 1212, 'CPH', 609, 'Y', 0, '320\r'),
	('IB', 2822, 'ALC', 1212, 'CWL', 488, 'Y', 0, '320\r'),
	('IB', 2822, 'ALC', 1212, 'DME', 4029, 'Y', 0, '320\r'),
	('IB', 2822, 'ALC', 1212, 'FCO', 1555, '', 0, '320\r'),
	('IB', 2822, 'ALC', 1212, 'IBZ', 1225, 'Y', 0, 'CR9 AT7 CR2\r'),
	('IB', 2822, 'ALC', 1212, 'LGW', 502, 'Y', 0, '319 734\r'),
	('IB', 2822, 'ALC', 1212, 'LPA', 1054, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'ALC', 1212, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'ALC', 1212, 'ORN', 231, 'Y', 0, '320\r'),
	('IB', 2822, 'ALC', 1212, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'ALC', 1212, 'PMI', 3998, 'Y', 0, '320\r'),
	('IB', 2822, 'ALG', 210, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ALG', 210, 'MAD', 1229, '', 0, '319\r'),
	('IB', 2822, 'AMM', 2170, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'AMM', 2170, 'MAD', 1229, 'Y', 0, '319 320\r'),
	('IB', 2822, 'AMS', 580, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'AMS', 580, 'ALC', 1212, 'Y', 0, '320\r'),
	('IB', 2822, 'AMS', 580, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'AMS', 580, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'AMS', 580, 'IBZ', 1225, 'Y', 0, '320\r'),
	('IB', 2822, 'AMS', 580, 'PMI', 3998, 'Y', 0, '320\r'),
	('IB', 2822, 'AMS', 580, 'SVQ', 1253, 'Y', 0, '320\r'),
	('IB', 2822, 'AMS', 580, 'VLC', 1246, 'Y', 0, '320\r'),
	('IB', 2822, 'ANU', 2874, 'LGW', 502, 'Y', 0, '777\r'),
	('IB', 2822, 'ANU', 2874, 'PUJ', 1760, 'Y', 0, '777\r'),
	('IB', 2822, 'ANU', 2874, 'SKB', 2891, 'Y', 0, '777\r'),
	('IB', 2822, 'ANU', 2874, 'TAB', 2901, 'Y', 0, '777\r'),
	('IB', 2822, 'AQP', 2802, 'LIM', 2789, 'Y', 0, '319\r'),
	('IB', 2822, 'ARN', 737, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ARN', 737, 'LHR', 507, 'Y', 0, '320 321 319\r'),
	('IB', 2822, 'ARN', 737, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'ATH', 3941, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ATL', 3682, 'LHR', 507, 'Y', 0, '777\r'),
	('IB', 2822, 'ATL', 3682, 'MIA', 3576, 'Y', 0, '738\r'),
	('IB', 2822, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'E75\r'),
	('IB', 2822, 'AUH', 2179, 'LHR', 507, 'Y', 0, '777\r'),
	('IB', 2822, 'AUH', 2179, 'MCT', 2194, 'Y', 0, '777\r'),
	('IB', 2822, 'AUS', 3673, 'LHR', 507, '', 0, '788\r'),
	('IB', 2822, 'BAH', 2057, 'DOH', 2241, 'Y', 0, '777\r'),
	('IB', 2822, 'BAH', 2057, 'LHR', 507, 'Y', 0, '777\r'),
	('IB', 2822, 'BCN', 1218, 'AAL', 628, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'ACE', 1055, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'ALC', 1212, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'ALG', 210, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'AMM', 2170, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'AMS', 580, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'ARN', 737, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'ATH', 3941, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'BES', 1403, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'BGO', 636, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'BJL', 1050, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'BLQ', 1538, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'BOD', 1264, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'BRI', 1501, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'BRU', 302, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'CDG', 1382, '', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'CMN', 1074, 'Y', 0, '73G 320 738\r'),
	('IB', 2822, 'BCN', 1218, 'CPH', 609, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'CTA', 1509, '', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'CWL', 488, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'DBV', 1200, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'DKR', 1084, '', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'DME', 4029, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'DRS', 338, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'DTM', 373, '', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'DUS', 345, 'Y', 0, '320 738 321\r'),
	('IB', 2822, 'BCN', 1218, 'EAS', 1242, 'Y', 0, '320 319\r'),
	('IB', 2822, 'BCN', 1218, 'EDI', 535, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'FCO', 1555, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'FEZ', 1066, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'FLR', 1563, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'FRA', 340, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'FUE', 1051, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'GOA', 1528, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'GOT', 687, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'GRX', 1223, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'HAJ', 352, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'HAM', 342, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'HEL', 421, 'Y', 0, '321 320\r'),
	('IB', 2822, 'BCN', 1218, 'IBZ', 1225, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'IEV', 2944, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'JFK', 3797, 'Y', 0, '763\r'),
	('IB', 2822, 'BCN', 1218, 'KBP', 2939, 'Y', 0, '737\r'),
	('IB', 2822, 'BCN', 1218, 'LCG', 1220, '', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'LED', 2948, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'LEI', 1213, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'LEJ', 348, 'Y', 0, '319 320\r'),
	('IB', 2822, 'BCN', 1218, 'LEN', 6756, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'BCN', 1218, 'LGW', 502, 'Y', 0, '320 319 734\r'),
	('IB', 2822, 'BCN', 1218, 'LHR', 507, 'Y', 0, '320 319 321\r'),
	('IB', 2822, 'BCN', 1218, 'LIL', 1399, '', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'LIS', 1638, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'LPA', 1054, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'LUX', 629, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'LYS', 1335, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'MAD', 1229, '', 0, '321 319 320\r'),
	('IB', 2822, 'BCN', 1218, 'MAH', 1231, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'MIA', 3576, 'Y', 0, '763\r'),
	('IB', 2822, 'BCN', 1218, 'MLA', 1606, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'MRS', 1353, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'MUC', 346, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'MXP', 1524, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'NAP', 1561, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'NCE', 1354, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'NDR', 5673, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'NTE', 1418, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'NUE', 347, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'OPO', 1636, '', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'ORN', 231, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'OSL', 644, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'OTP', 1657, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'OVD', 1214, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'PMI', 3998, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'PMO', 1512, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'PRG', 1587, 'Y', 0, '320 319\r'),
	('IB', 2822, 'BCN', 1218, 'PSA', 1562, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'RAK', 1075, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'RGS', 6757, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'BCN', 1218, 'RNS', 1415, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'SCQ', 1243, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'SDR', 1251, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'SLM', 1238, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'BCN', 1218, 'STR', 350, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'SVG', 666, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'SVQ', 1253, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'TFN', 1057, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'TFS', 1056, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'TLS', 1273, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'TLV', 1590, 'Y', 0, '763 320 744 739\r'),
	('IB', 2822, 'BCN', 1218, 'TNG', 1080, 'Y', 0, '320 73G\r'),
	('IB', 2822, 'BCN', 1218, 'TRN', 1526, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'TXL', 351, 'Y', 0, '320 738 321\r'),
	('IB', 2822, 'BCN', 1218, 'VCE', 1551, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'VGO', 1250, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'VIE', 1613, 'Y', 0, '320 321\r'),
	('IB', 2822, 'BCN', 1218, 'VLL', 1247, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'BCN', 1218, 'WAW', 679, '', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'XRY', 1226, '', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'ZAG', 1208, 'Y', 0, '320\r'),
	('IB', 2822, 'BCN', 1218, 'ZRH', 1678, 'Y', 0, '320\r'),
	('IB', 2822, 'BDA', 4069, 'LGW', 502, 'Y', 0, '777\r'),
	('IB', 2822, 'BES', 1403, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'BGI', 2875, 'LGW', 502, 'Y', 0, '777\r'),
	('IB', 2822, 'BGO', 636, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'BHD', 467, 'LHR', 507, 'Y', 0, '319\r'),
	('IB', 2822, 'BIO', 1216, 'ACE', 1055, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'ALC', 1212, 'Y', 0, 'CR9 CR2\r'),
	('IB', 2822, 'BIO', 1216, 'AMS', 580, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'FUE', 1051, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'IBZ', 1225, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'LCG', 1220, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'LHR', 507, '', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'LPA', 1054, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'MAD', 1229, '', 0, '321 319 320\r'),
	('IB', 2822, 'BIO', 1216, 'MXP', 1524, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'PMI', 3998, 'Y', 0, '320 CR9\r'),
	('IB', 2822, 'BIO', 1216, 'SCQ', 1243, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'BIO', 1216, 'SVQ', 1253, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'TFN', 1057, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'TXL', 351, 'Y', 0, '320\r'),
	('IB', 2822, 'BIO', 1216, 'VGO', 1250, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'BIO', 1216, 'VLC', 1246, 'Y', 0, 'CR2 CR9 AT7\r'),
	('IB', 2822, 'BJL', 1050, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'BKK', 3885, 'LHR', 507, 'Y', 0, '777\r'),
	('IB', 2822, 'BLQ', 1538, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'BLQ', 1538, 'MAD', 1229, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'BLQ', 1538, 'ORY', 1386, '', 0, '320\r'),
	('IB', 2822, 'BOD', 1264, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'BOD', 1264, 'MAD', 1229, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'BOD', 1264, 'PMI', 3998, 'Y', 0, '320\r'),
	('IB', 2822, 'BOG', 2709, 'MAD', 1229, '', 0, '345 346\r'),
	('IB', 2822, 'BOS', 3448, 'LHR', 507, 'Y', 0, '777 744\r'),
	('IB', 2822, 'BOS', 3448, 'MAD', 1229, '', 0, '333\r'),
	('IB', 2822, 'BRI', 1501, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'BRI', 1501, 'FLR', 1563, '', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'ALC', 1212, 'Y', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'FCO', 1555, '', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'IBZ', 1225, '', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'LIS', 1638, '', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'MAD', 1229, '', 0, '321 320\r'),
	('IB', 2822, 'BRU', 302, 'OPO', 1636, '', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'PMI', 3998, '', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'SCQ', 1243, '', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'VCE', 1551, '', 0, '320\r'),
	('IB', 2822, 'BRU', 302, 'VLC', 1246, 'Y', 0, '320\r'),
	('IB', 2822, 'BUD', 1489, 'LHR', 507, 'Y', 0, '320\r'),
	('IB', 2822, 'BWI', 3849, 'LHR', 507, 'Y', 0, '767\r'),
	('IB', 2822, 'CAG', 1519, 'FLR', 1563, '', 0, '320\r'),
	('IB', 2822, 'CCS', 2851, 'MAD', 1229, '', 0, '333\r'),
	('IB', 2822, 'CDG', 1382, 'BCN', 1218, '', 0, '320\r'),
	('IB', 2822, 'CDG', 1382, 'DFW', 3670, 'Y', 0, '763 777\r'),
	('IB', 2822, 'CDG', 1382, 'JFK', 3797, 'Y', 0, '763 757\r'),
	('IB', 2822, 'CDG', 1382, 'MIA', 3576, 'Y', 0, '763\r'),
	('IB', 2822, 'CDG', 1382, 'ORD', 3830, 'Y', 0, '763\r'),
	('IB', 2822, 'CDG', 1382, 'OVD', 1214, 'Y', 0, '320\r'),
	('IB', 2822, 'CDG', 1382, 'SCQ', 1243, 'Y', 0, '320\r'),
	('IB', 2822, 'CLO', 2715, 'BOG', 2709, 'Y', 0, '320\r'),
	('IB', 2822, 'CMN', 1074, 'AGP', 1230, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'CMN', 1074, 'BCN', 1218, 'Y', 0, '73G 738 320\r'),
	('IB', 2822, 'CMN', 1074, 'MAD', 1229, '', 0, '320 319\r'),
	('IB', 2822, 'CMN', 1074, 'VLC', 1246, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'CPH', 609, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'CPH', 609, 'ALC', 1212, 'Y', 0, '320\r'),
	('IB', 2822, 'CPH', 609, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'CPH', 609, 'FLR', 1563, 'Y', 0, '320\r'),
	('IB', 2822, 'CPH', 609, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'CPT', 797, 'LHR', 507, 'Y', 0, '744\r'),
	('IB', 2822, 'CTA', 1509, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'CTA', 1509, 'FCO', 1555, '', 0, '320\r'),
	('IB', 2822, 'CTA', 1509, 'FLR', 1563, 'Y', 0, '320\r'),
	('IB', 2822, 'CUZ', 2812, 'JUL', 2792, 'Y', 0, '319\r'),
	('IB', 2822, 'CWL', 488, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'CWL', 488, 'ALC', 1212, 'Y', 0, '320\r'),
	('IB', 2822, 'CWL', 488, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'DBV', 1200, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'DEN', 3751, 'LHR', 507, 'Y', 0, '777\r'),
	('IB', 2822, 'DFW', 3670, 'CDG', 1382, 'Y', 0, '763 777\r'),
	('IB', 2822, 'DFW', 3670, 'FRA', 340, 'Y', 0, '777\r'),
	('IB', 2822, 'DFW', 3670, 'LHR', 507, 'Y', 0, '77W 744 777\r'),
	('IB', 2822, 'DFW', 3670, 'MAD', 1229, 'Y', 0, '777\r'),
	('IB', 2822, 'DKR', 1084, 'BCN', 1218, '', 0, '320\r'),
	('IB', 2822, 'DKR', 1084, 'LPA', 1054, '', 0, '321\r'),
	('IB', 2822, 'DKR', 1084, 'MAD', 1229, '', 0, '321 319\r'),
	('IB', 2822, 'DME', 4029, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'DME', 4029, 'ALC', 1212, 'Y', 0, '320\r'),
	('IB', 2822, 'DME', 4029, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'DME', 4029, 'MAD', 1229, '', 0, '319\r'),
	('IB', 2822, 'DME', 4029, 'PMI', 3998, 'Y', 0, '320\r'),
	('IB', 2822, 'DOH', 2241, 'BAH', 2057, 'Y', 0, '777\r'),
	('IB', 2822, 'DRS', 338, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'DTM', 373, 'BCN', 1218, '', 0, '320\r'),
	('IB', 2822, 'DUB', 599, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'DUB', 599, 'ORD', 3830, 'Y', 0, '763\r'),
	('IB', 2822, 'DUS', 345, 'BCN', 1218, 'Y', 0, '320 738 321\r'),
	('IB', 2822, 'DUS', 345, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'DUS', 345, 'ORD', 3830, 'Y', 0, '763\r'),
	('IB', 2822, 'EAS', 1242, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'EAS', 1242, 'MAD', 1229, 'Y', 0, 'AT7 CR2\r'),
	('IB', 2822, 'EDI', 535, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'EDI', 535, 'LHR', 507, 'Y', 0, '321 320\r'),
	('IB', 2822, 'EWR', 3494, 'LHR', 507, 'Y', 0, '777 788\r'),
	('IB', 2822, 'EWR', 3494, 'ORY', 1386, 'Y', 0, '752\r'),
	('IB', 2822, 'EZE', 3988, 'MAD', 1229, '', 0, '346 342 345\r'),
	('IB', 2822, 'FCO', 1555, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'FCO', 1555, 'ALC', 1212, '', 0, '320\r'),
	('IB', 2822, 'FCO', 1555, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'FCO', 1555, 'BRU', 302, '', 0, '320\r'),
	('IB', 2822, 'FCO', 1555, 'CTA', 1509, '', 0, '320\r'),
	('IB', 2822, 'FCO', 1555, 'JFK', 3797, 'Y', 0, '763\r'),
	('IB', 2822, 'FCO', 1555, 'MAD', 1229, '', 0, '321 319\r'),
	('IB', 2822, 'FCO', 1555, 'NTE', 1418, 'Y', 0, '320\r'),
	('IB', 2822, 'FCO', 1555, 'ORD', 3830, 'Y', 0, '763\r'),
	('IB', 2822, 'FCO', 1555, 'ORY', 1386, '', 0, '320\r'),
	('IB', 2822, 'FCO', 1555, 'PRG', 1587, 'Y', 0, '320\r'),
	('IB', 2822, 'FCO', 1555, 'VLC', 1246, 'Y', 0, '320\r'),
	('IB', 2822, 'FEZ', 1066, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'FLR', 1563, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'FLR', 1563, 'BRI', 1501, '', 0, '320\r'),
	('IB', 2822, 'FLR', 1563, 'CAG', 1519, '', 0, '320\r'),
	('IB', 2822, 'FLR', 1563, 'CPH', 609, 'Y', 0, '320\r'),
	('IB', 2822, 'FLR', 1563, 'CTA', 1509, 'Y', 0, '320\r'),
	('IB', 2822, 'FLR', 1563, 'LGW', 502, '', 0, '320\r'),
	('IB', 2822, 'FLR', 1563, 'MAD', 1229, 'Y', 0, '320\r'),
	('IB', 2822, 'FLR', 1563, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'FLR', 1563, 'PMO', 1512, '', 0, '320\r'),
	('IB', 2822, 'FLR', 1563, 'TXL', 351, 'Y', 0, '320\r'),
	('IB', 2822, 'FRA', 340, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'FRA', 340, 'DFW', 3670, 'Y', 0, '777\r'),
	('IB', 2822, 'FRA', 340, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'FUE', 1051, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'FUE', 1051, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'FUE', 1051, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'GIG', 2560, 'MAD', 1229, '', 0, '342 333 345 346\r'),
	('IB', 2822, 'GLA', 534, 'LHR', 507, 'Y', 0, '321 320\r'),
	('IB', 2822, 'GOA', 1528, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'GOT', 687, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'GOT', 687, 'LHR', 507, 'Y', 0, '320\r'),
	('IB', 2822, 'GRU', 2564, 'MAD', 1229, '', 0, '345 342 346\r'),
	('IB', 2822, 'GRX', 1223, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'GRX', 1223, 'LCY', 503, 'Y', 0, 'E90\r'),
	('IB', 2822, 'GRX', 1223, 'MAD', 1229, 'Y', 0, 'CR9 CRK CR2\r'),
	('IB', 2822, 'GRX', 1223, 'MLN', 1058, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'GRX', 1223, 'PMI', 3998, 'Y', 0, '320\r'),
	('IB', 2822, 'GUA', 1767, 'SAL', 1892, '', 0, '342\r'),
	('IB', 2822, 'GVA', 1665, 'MAD', 1229, '', 0, '320 319\r'),
	('IB', 2822, 'GYE', 2673, 'MAD', 1229, '', 0, '342 345 346 340\r'),
	('IB', 2822, 'GYE', 2673, 'UIO', 2688, 'Y', 0, '319\r'),
	('IB', 2822, 'HAJ', 352, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'HAJ', 352, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'HAM', 342, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'HAM', 342, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'HEL', 421, 'BCN', 1218, 'Y', 0, '321 320\r'),
	('IB', 2822, 'HEL', 421, 'JFK', 3797, 'Y', 0, '330\r'),
	('IB', 2822, 'HEL', 421, 'MAD', 1229, 'Y', 0, '321\r'),
	('IB', 2822, 'IAD', 3714, 'LHR', 507, 'Y', 0, '744 777\r'),
	('IB', 2822, 'IAH', 3550, 'LHR', 507, 'Y', 0, '744 777\r'),
	('IB', 2822, 'IBZ', 1225, 'ALC', 1212, 'Y', 0, 'CR9 AT7 CR2\r'),
	('IB', 2822, 'IBZ', 1225, 'AMS', 580, 'Y', 0, '320\r'),
	('IB', 2822, 'IBZ', 1225, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'IBZ', 1225, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'IBZ', 1225, 'BRU', 302, '', 0, '320\r'),
	('IB', 2822, 'IBZ', 1225, 'LCY', 503, 'Y', 0, 'E70 E90\r'),
	('IB', 2822, 'IBZ', 1225, 'LHR', 507, '', 0, '319 320\r'),
	('IB', 2822, 'IBZ', 1225, 'MAD', 1229, 'Y', 0, 'CRK CR9 CR2\r'),
	('IB', 2822, 'IBZ', 1225, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'IBZ', 1225, 'PMI', 3998, 'Y', 0, 'CR9 AT7\r'),
	('IB', 2822, 'IBZ', 1225, 'VLC', 1246, 'Y', 0, 'AT7 CR2 CR9\r'),
	('IB', 2822, 'IEV', 2944, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ILD', 7459, 'PMI', 3998, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'JFK', 3797, 'BCN', 1218, 'Y', 0, '763\r'),
	('IB', 2822, 'JFK', 3797, 'CDG', 1382, 'Y', 0, '763 757\r'),
	('IB', 2822, 'JFK', 3797, 'FCO', 1555, 'Y', 0, '763\r'),
	('IB', 2822, 'JFK', 3797, 'HEL', 421, 'Y', 0, '330\r'),
	('IB', 2822, 'JFK', 3797, 'LCY', 503, 'Y', 0, '318\r'),
	('IB', 2822, 'JFK', 3797, 'LHR', 507, 'Y', 0, '744 77W 777\r'),
	('IB', 2822, 'JFK', 3797, 'MAD', 1229, '', 0, '333 346\r'),
	('IB', 2822, 'JFK', 3797, 'MAN', 478, 'Y', 0, '757\r'),
	('IB', 2822, 'JFK', 3797, 'MXP', 1524, 'Y', 0, '763\r'),
	('IB', 2822, 'JFK', 3797, 'ORY', 1386, 'Y', 0, '752\r'),
	('IB', 2822, 'JUL', 2792, 'AQP', 2802, 'Y', 0, '319\r'),
	('IB', 2822, 'KBP', 2939, 'BCN', 1218, 'Y', 0, '737\r'),
	('IB', 2822, 'KBP', 2939, 'MAD', 1229, 'Y', 0, '737\r'),
	('IB', 2822, 'KIN', 1779, 'LGW', 502, 'Y', 0, '777\r'),
	('IB', 2822, 'LAD', 951, 'LHR', 507, 'Y', 0, '777\r'),
	('IB', 2822, 'LAD', 951, 'MAD', 1229, '', 0, '333\r'),
	('IB', 2822, 'LAS', 3877, 'LHR', 507, 'Y', 0, '744\r'),
	('IB', 2822, 'LAX', 3484, 'LHR', 507, 'Y', 0, '744 77W 388\r'),
	('IB', 2822, 'LAX', 3484, 'MAD', 1229, '', 0, '346 342\r'),
	('IB', 2822, 'LBA', 517, 'LHR', 507, 'Y', 0, '319\r'),
	('IB', 2822, 'LCG', 1220, 'BCN', 1218, '', 0, '320\r'),
	('IB', 2822, 'LCG', 1220, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'LCG', 1220, 'LHR', 507, '', 0, '320\r'),
	('IB', 2822, 'LCG', 1220, 'MAD', 1229, '', 0, '321 319 320\r'),
	('IB', 2822, 'LCG', 1220, 'SVQ', 1253, 'Y', 0, '320\r'),
	('IB', 2822, 'LCY', 503, 'AGP', 1230, 'Y', 0, 'E90\r'),
	('IB', 2822, 'LCY', 503, 'GRX', 1223, 'Y', 0, 'E90\r'),
	('IB', 2822, 'LCY', 503, 'IBZ', 1225, 'Y', 0, 'E70 E90\r'),
	('IB', 2822, 'LCY', 503, 'MAD', 1229, 'Y', 0, 'E90\r'),
	('IB', 2822, 'LCY', 503, 'PMI', 3998, 'Y', 0, 'E90\r'),
	('IB', 2822, 'LDE', 1276, 'MAD', 1229, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'LED', 2948, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'LEI', 1213, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'LEI', 1213, 'MAD', 1229, 'Y', 0, 'CR9 CRK CR2 AT7\r'),
	('IB', 2822, 'LEI', 1213, 'MLN', 1058, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'LEJ', 348, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'LEN', 6756, 'BCN', 1218, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'LGW', 502, 'ACE', 1055, 'Y', 0, '320\r'),
	('IB', 2822, 'LGW', 502, 'AGP', 1230, 'Y', 0, '319 734 320\r'),
	('IB', 2822, 'LGW', 502, 'ALC', 1212, 'Y', 0, '319 734\r'),
	('IB', 2822, 'LGW', 502, 'ANU', 2874, 'Y', 0, '777\r'),
	('IB', 2822, 'LGW', 502, 'BCN', 1218, 'Y', 0, '319 320 734\r'),
	('IB', 2822, 'LGW', 502, 'BDA', 4069, 'Y', 0, '777\r'),
	('IB', 2822, 'LGW', 502, 'BGI', 2875, 'Y', 0, '777\r'),
	('IB', 2822, 'LGW', 502, 'FLR', 1563, '', 0, '320\r'),
	('IB', 2822, 'LGW', 502, 'KIN', 1779, 'Y', 0, '777\r'),
	('IB', 2822, 'LGW', 502, 'MCO', 3878, 'Y', 0, '777\r'),
	('IB', 2822, 'LGW', 502, 'TFS', 1056, 'Y', 0, '320\r'),
	('IB', 2822, 'LGW', 502, 'TPA', 3646, 'Y', 0, '777\r'),
	('IB', 2822, 'LGW', 502, 'UVF', 2894, 'Y', 0, '777\r'),
	('IB', 2822, 'LHR', 507, 'ABZ', 532, 'Y', 0, '320 319\r'),
	('IB', 2822, 'LHR', 507, 'ARN', 737, 'Y', 0, '321 319 767 320\r'),
	('IB', 2822, 'LHR', 507, 'ATL', 3682, 'Y', 0, '777\r'),
	('IB', 2822, 'LHR', 507, 'AUH', 2179, 'Y', 0, '777\r'),
	('IB', 2822, 'LHR', 507, 'AUS', 3673, '', 0, '788\r'),
	('IB', 2822, 'LHR', 507, 'BAH', 2057, 'Y', 0, '777\r'),
	('IB', 2822, 'LHR', 507, 'BCN', 1218, 'Y', 0, '319 320 321\r'),
	('IB', 2822, 'LHR', 507, 'BEY', 2177, 'Y', 0, '321\r'),
	('IB', 2822, 'LHR', 507, 'BHD', 467, 'Y', 0, '319\r'),
	('IB', 2822, 'LHR', 507, 'BIO', 1216, '', 0, '320\r'),
	('IB', 2822, 'LHR', 507, 'BKK', 3885, 'Y', 0, '777\r'),
	('IB', 2822, 'LHR', 507, 'BOS', 3448, 'Y', 0, '744 777\r'),
	('IB', 2822, 'LHR', 507, 'BUD', 1489, 'Y', 0, '320\r'),
	('IB', 2822, 'LHR', 507, 'BWI', 3849, 'Y', 0, '767\r'),
	('IB', 2822, 'LHR', 507, 'DEN', 3751, 'Y', 0, '777\r'),
	('IB', 2822, 'LHR', 507, 'DFW', 3670, 'Y', 0, '77W 744 777\r'),
	('IB', 2822, 'LHR', 507, 'EDI', 535, 'Y', 0, '320 321 319\r'),
	('IB', 2822, 'LHR', 507, 'EWR', 3494, 'Y', 0, '777 788\r'),
	('IB', 2822, 'LHR', 507, 'GLA', 534, 'Y', 0, '320 319 321 767\r'),
	('IB', 2822, 'LHR', 507, 'GOT', 687, 'Y', 0, '320\r'),
	('IB', 2822, 'LHR', 507, 'IAD', 3714, 'Y', 0, '744 777\r'),
	('IB', 2822, 'LHR', 507, 'IAH', 3550, 'Y', 0, '744 777\r'),
	('IB', 2822, 'LHR', 507, 'IBZ', 1225, '', 0, '319 320\r'),
	('IB', 2822, 'LHR', 507, 'JFK', 3797, 'Y', 0, '744 77W 777\r'),
	('IB', 2822, 'LHR', 507, 'LAS', 3877, 'Y', 0, '744\r'),
	('IB', 2822, 'LHR', 507, 'LAX', 3484, 'Y', 0, '744 77W 388\r'),
	('IB', 2822, 'LHR', 507, 'LBA', 517, 'Y', 0, '319\r'),
	('IB', 2822, 'LHR', 507, 'LCG', 1220, '', 0, '320\r'),
	('IB', 2822, 'LHR', 507, 'MAD', 1229, '', 0, '321 320 343 333\r'),
	('IB', 2822, 'LHR', 507, 'MAN', 478, 'Y', 0, '320 319 321\r'),
	('IB', 2822, 'LHR', 507, 'MEX', 1824, 'Y', 0, '744\r'),
	('IB', 2822, 'LHR', 507, 'MIA', 3576, 'Y', 0, '77W 744 777\r'),
	('IB', 2822, 'LHR', 507, 'NCL', 521, 'Y', 0, '320 319\r'),
	('IB', 2822, 'LHR', 507, 'ORD', 3830, 'Y', 0, '763 777 744\r'),
	('IB', 2822, 'LHR', 507, 'ORY', 1386, 'Y', 0, '319 320\r'),
	('IB', 2822, 'LHR', 507, 'OSL', 644, 'Y', 0, '319 320 321\r'),
	('IB', 2822, 'LHR', 507, 'PHL', 3752, 'Y', 0, '777 767\r'),
	('IB', 2822, 'LHR', 507, 'PHX', 3462, 'Y', 0, '744\r'),
	('IB', 2822, 'LHR', 507, 'PMI', 3998, 'Y', 0, '319 320\r'),
	('IB', 2822, 'LHR', 507, 'RDU', 3626, 'Y', 0, '763\r'),
	('IB', 2822, 'LHR', 507, 'RUH', 2082, 'Y', 0, '777 744\r'),
	('IB', 2822, 'LHR', 507, 'SAN', 3731, 'Y', 0, '777\r'),
	('IB', 2822, 'LHR', 507, 'SEA', 3577, 'Y', 0, '744\r'),
	('IB', 2822, 'LHR', 507, 'SFO', 3469, 'Y', 0, '744\r'),
	('IB', 2822, 'LHR', 507, 'SIN', 3316, 'Y', 0, '744 777\r'),
	('IB', 2822, 'LHR', 507, 'WAW', 679, 'Y', 0, '320\r'),
	('IB', 2822, 'LHR', 507, 'YUL', 146, 'Y', 0, '777\r'),
	('IB', 2822, 'LHR', 507, 'YVR', 156, 'Y', 0, '744\r'),
	('IB', 2822, 'LHR', 507, 'YYC', 178, 'Y', 0, '767\r'),
	('IB', 2822, 'LHR', 507, 'YYZ', 193, 'Y', 0, '788 744\r'),
	('IB', 2822, 'LIL', 1399, 'BCN', 1218, '', 0, '320\r'),
	('IB', 2822, 'LIM', 2789, 'CUZ', 2812, 'Y', 0, '319\r'),
	('IB', 2822, 'LIM', 2789, 'MAD', 1229, '', 0, '345 346 342\r'),
	('IB', 2822, 'LIN', 1529, 'MAD', 1229, '', 0, '320 321\r'),
	('IB', 2822, 'LIS', 1638, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'LIS', 1638, 'BRU', 302, '', 0, '320\r'),
	('IB', 2822, 'LIS', 1638, 'MAD', 1229, '', 0, '320 321 319\r'),
	('IB', 2822, 'LIS', 1638, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'LOS', 273, 'MAD', 1229, '', 0, '319\r'),
	('IB', 2822, 'LPA', 1054, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'LPA', 1054, 'ALC', 1212, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'LPA', 1054, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'LPA', 1054, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'LPA', 1054, 'DKR', 1084, '', 0, '321\r'),
	('IB', 2822, 'LPA', 1054, 'MAD', 1229, '', 0, '319 321\r'),
	('IB', 2822, 'LPA', 1054, 'NKC', 1094, '', 0, '319\r'),
	('IB', 2822, 'LPA', 1054, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'LPA', 1054, 'SCQ', 1243, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'LPA', 1054, 'SVQ', 1253, 'Y', 0, '320\r'),
	('IB', 2822, 'LPA', 1054, 'VLC', 1246, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'LUX', 629, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'LYS', 1335, 'AGP', 1230, '', 0, '320\r'),
	('IB', 2822, 'LYS', 1335, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'LYS', 1335, 'MAD', 1229, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'LYS', 1335, 'PMI', 3998, 'Y', 0, '320\r'),
	('IB', 2822, 'LYS', 1335, 'SVQ', 1253, '', 0, '320\r'),
	('IB', 2822, 'MAD', 1229, 'ACC', 248, '', 0, '319\r'),
	('IB', 2822, 'MAD', 1229, 'ACE', 1055, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'AGP', 1230, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'ALC', 1212, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'ALG', 210, '', 0, '319\r'),
	('IB', 2822, 'MAD', 1229, 'AMM', 2170, 'Y', 0, '319 320\r'),
	('IB', 2822, 'MAD', 1229, 'ARN', 737, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'BCN', 1218, '', 0, '319 320 321\r'),
	('IB', 2822, 'MAD', 1229, 'BIO', 1216, '', 0, '319 321 320\r'),
	('IB', 2822, 'MAD', 1229, 'BLQ', 1538, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'MAD', 1229, 'BOD', 1264, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'MAD', 1229, 'BOG', 2709, '', 0, '345 346\r'),
	('IB', 2822, 'MAD', 1229, 'BOS', 3448, '', 0, '333\r'),
	('IB', 2822, 'MAD', 1229, 'BRU', 302, '', 0, '321 320\r'),
	('IB', 2822, 'MAD', 1229, 'CCS', 2851, '', 0, '333\r'),
	('IB', 2822, 'MAD', 1229, 'CMN', 1074, '', 0, '320 319\r'),
	('IB', 2822, 'MAD', 1229, 'CPH', 609, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'DFW', 3670, 'Y', 0, '777\r'),
	('IB', 2822, 'MAD', 1229, 'DKR', 1084, '', 0, '321 319\r'),
	('IB', 2822, 'MAD', 1229, 'DME', 4029, '', 0, '319\r'),
	('IB', 2822, 'MAD', 1229, 'DUB', 599, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'DUS', 345, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'EAS', 1242, 'Y', 0, 'AT7 CR2\r'),
	('IB', 2822, 'MAD', 1229, 'EZE', 3988, '', 0, '346 342 345\r'),
	('IB', 2822, 'MAD', 1229, 'FCO', 1555, '', 0, '321 319\r'),
	('IB', 2822, 'MAD', 1229, 'FLR', 1563, 'Y', 0, '320\r'),
	('IB', 2822, 'MAD', 1229, 'FRA', 340, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'FUE', 1051, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'GIG', 2560, '', 0, '342 333 345 346\r'),
	('IB', 2822, 'MAD', 1229, 'GRU', 2564, '', 0, '345 342 346\r'),
	('IB', 2822, 'MAD', 1229, 'GRX', 1223, 'Y', 0, 'CRK CR9 CR2\r'),
	('IB', 2822, 'MAD', 1229, 'GUA', 1767, '', 0, '342\r'),
	('IB', 2822, 'MAD', 1229, 'GVA', 1665, '', 0, '319 320\r'),
	('IB', 2822, 'MAD', 1229, 'GYE', 2673, 'Y', 0, '763\r'),
	('IB', 2822, 'MAD', 1229, 'HEL', 421, 'Y', 0, '321\r'),
	('IB', 2822, 'MAD', 1229, 'IBZ', 1225, 'Y', 0, 'CRK CR9 CR2\r');
INSERT INTO `route` (`Airline`, `Airline_ID`, `Source_airport`, `Source_airport_ID`, `Destination_airport`, `Destination_airport_ID`, `Codeshare`, `Stops`, `Equipment`) VALUES
	('IB', 2822, 'MAD', 1229, 'JFK', 3797, '', 0, '333 346\r'),
	('IB', 2822, 'MAD', 1229, 'KBP', 2939, 'Y', 0, '737\r'),
	('IB', 2822, 'MAD', 1229, 'LAD', 951, '', 0, '333\r'),
	('IB', 2822, 'MAD', 1229, 'LAX', 3484, '', 0, '346 342\r'),
	('IB', 2822, 'MAD', 1229, 'LCG', 1220, '', 0, '319 320 321\r'),
	('IB', 2822, 'MAD', 1229, 'LCY', 503, 'Y', 0, 'E90\r'),
	('IB', 2822, 'MAD', 1229, 'LDE', 1276, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'MAD', 1229, 'LEI', 1213, 'Y', 0, 'CRK CR2 AT7 CR9\r'),
	('IB', 2822, 'MAD', 1229, 'LHR', 507, '', 0, '321 320 345 333 342\r'),
	('IB', 2822, 'MAD', 1229, 'LIM', 2789, '', 0, '345 346 342\r'),
	('IB', 2822, 'MAD', 1229, 'LIN', 1529, '', 0, '321 320\r'),
	('IB', 2822, 'MAD', 1229, 'LIS', 1638, '', 0, '321 320 319\r'),
	('IB', 2822, 'MAD', 1229, 'LOS', 273, '', 0, '319\r'),
	('IB', 2822, 'MAD', 1229, 'LPA', 1054, '', 0, '321 319\r'),
	('IB', 2822, 'MAD', 1229, 'LYS', 1335, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'MAD', 1229, 'MAH', 1231, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'MAD', 1229, 'MEX', 1824, '', 0, '345 346\r'),
	('IB', 2822, 'MAD', 1229, 'MIA', 3576, '', 0, '333 346\r'),
	('IB', 2822, 'MAD', 1229, 'MJV', 1227, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'MAD', 1229, 'MLN', 1058, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'MAD', 1229, 'MRS', 1353, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'MAD', 1229, 'MUC', 346, '', 0, '319 320 321\r'),
	('IB', 2822, 'MAD', 1229, 'MXP', 1524, '', 0, '321 320\r'),
	('IB', 2822, 'MAD', 1229, 'NCE', 1354, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'MAD', 1229, 'NTE', 1418, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'MAD', 1229, 'OPO', 1636, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'MAD', 1229, 'ORD', 3830, '', 0, '333\r'),
	('IB', 2822, 'MAD', 1229, 'ORN', 231, '', 0, '319\r'),
	('IB', 2822, 'MAD', 1229, 'ORY', 1386, '', 0, '320 321 319\r'),
	('IB', 2822, 'MAD', 1229, 'OVD', 1214, '', 0, '319 320\r'),
	('IB', 2822, 'MAD', 1229, 'PMI', 3998, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'PNA', 1234, 'Y', 0, 'CR9 CR2 CRK\r'),
	('IB', 2822, 'MAD', 1229, 'PRG', 1587, '', 0, '321 320\r'),
	('IB', 2822, 'MAD', 1229, 'PTY', 1871, '', 0, '346 342 333\r'),
	('IB', 2822, 'MAD', 1229, 'RAK', 1075, 'Y', 0, 'CR9 CRK CR2\r'),
	('IB', 2822, 'MAD', 1229, 'RJL', 5781, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'MAD', 1229, 'SCL', 2650, '', 0, '346 345 342\r'),
	('IB', 2822, 'MAD', 1229, 'SCQ', 1243, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'SDR', 1251, '', 0, '319\r'),
	('IB', 2822, 'MAD', 1229, 'SJO', 1885, '', 0, '345 346\r'),
	('IB', 2822, 'MAD', 1229, 'SOF', 1194, 'Y', 0, '319 320 E90\r'),
	('IB', 2822, 'MAD', 1229, 'SPC', 1053, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'SSG', 891, '', 0, '319\r'),
	('IB', 2822, 'MAD', 1229, 'SVQ', 1253, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'SXB', 1435, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'MAD', 1229, 'TFN', 1057, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'TFS', 1056, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'TLS', 1273, 'Y', 0, 'CR9 CRK CR2\r'),
	('IB', 2822, 'MAD', 1229, 'TLV', 1590, '', 0, '319\r'),
	('IB', 2822, 'MAD', 1229, 'TNG', 1080, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'MAD', 1229, 'TRN', 1526, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'MAD', 1229, 'TXL', 351, '', 0, '738\r'),
	('IB', 2822, 'MAD', 1229, 'UIO', 2688, '', 0, '342 345 346 340\r'),
	('IB', 2822, 'MAD', 1229, 'VCE', 1551, '', 0, '321 319 320\r'),
	('IB', 2822, 'MAD', 1229, 'VGO', 1250, 'Y', 0, '32S\r'),
	('IB', 2822, 'MAD', 1229, 'VIE', 1613, '', 0, '320 321 319\r'),
	('IB', 2822, 'MAD', 1229, 'VLC', 1246, 'Y', 0, 'CR9 AT7 CRK CR2\r'),
	('IB', 2822, 'MAD', 1229, 'XRY', 1226, 'Y', 0, 'CRK CR9 CR2\r'),
	('IB', 2822, 'MAD', 1229, 'ZRH', 1678, '', 0, '319\r'),
	('IB', 2822, 'MAH', 1231, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'MAH', 1231, 'MAD', 1229, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'MAH', 1231, 'PMI', 3998, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'MAH', 1231, 'VLC', 1246, 'Y', 0, 'CR2 AT7\r'),
	('IB', 2822, 'MAN', 478, 'JFK', 3797, 'Y', 0, '757\r'),
	('IB', 2822, 'MAN', 478, 'LHR', 507, 'Y', 0, '319 320 321\r'),
	('IB', 2822, 'MAN', 478, 'ORD', 3830, 'Y', 0, '763\r'),
	('IB', 2822, 'MCO', 3878, 'LGW', 502, 'Y', 0, '777\r'),
	('IB', 2822, 'MCT', 2194, 'AUH', 2179, 'Y', 0, '777\r'),
	('IB', 2822, 'MEX', 1824, 'MAD', 1229, '', 0, '345 346\r'),
	('IB', 2822, 'MEX', 1824, 'MIA', 3576, 'Y', 0, '738\r'),
	('IB', 2822, 'MGA', 1863, 'SJO', 1885, 'Y', 0, 'E90\r'),
	('IB', 2822, 'MIA', 3576, 'ATL', 3682, 'Y', 0, 'ER4 738\r'),
	('IB', 2822, 'MIA', 3576, 'BCN', 1218, 'Y', 0, '763\r'),
	('IB', 2822, 'MIA', 3576, 'CDG', 1382, 'Y', 0, '763\r'),
	('IB', 2822, 'MIA', 3576, 'LHR', 507, 'Y', 0, '744 77W 777\r'),
	('IB', 2822, 'MIA', 3576, 'MAD', 1229, '', 0, '333 346\r'),
	('IB', 2822, 'MIA', 3576, 'MSY', 3861, 'Y', 0, '738\r'),
	('IB', 2822, 'MIA', 3576, 'MXP', 1524, 'Y', 0, '763\r'),
	('IB', 2822, 'MJV', 1227, 'MAD', 1229, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'MLA', 1606, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'MLN', 1058, 'AGP', 1230, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'MLN', 1058, 'GRX', 1223, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'MLN', 1058, 'LEI', 1213, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'MLN', 1058, 'MAD', 1229, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'MRS', 1353, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'MRS', 1353, 'MAD', 1229, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'MRS', 1353, 'PMI', 3998, '', 0, '320\r'),
	('IB', 2822, 'MSY', 3861, 'MIA', 3576, 'Y', 0, '738\r'),
	('IB', 2822, 'MUC', 346, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'MUC', 346, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'MUC', 346, 'MAD', 1229, '', 0, '319 320 321\r'),
	('IB', 2822, 'MXP', 1524, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'MXP', 1524, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'MXP', 1524, 'JFK', 3797, 'Y', 0, '763\r'),
	('IB', 2822, 'MXP', 1524, 'MAD', 1229, '', 0, '321 320\r'),
	('IB', 2822, 'MXP', 1524, 'MIA', 3576, 'Y', 0, '763\r'),
	('IB', 2822, 'NAP', 1561, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'NCE', 1354, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'NCE', 1354, 'MAD', 1229, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'NCL', 521, 'LHR', 507, 'Y', 0, '320 319\r'),
	('IB', 2822, 'NDR', 5673, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'NKC', 1094, 'LPA', 1054, '', 0, '319\r'),
	('IB', 2822, 'NTE', 1418, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'NTE', 1418, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'NTE', 1418, 'FCO', 1555, 'Y', 0, '320\r'),
	('IB', 2822, 'NTE', 1418, 'MAD', 1229, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'NTE', 1418, 'SVQ', 1253, '', 0, '320\r'),
	('IB', 2822, 'NUE', 347, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'OPO', 1636, 'BCN', 1218, '', 0, '320\r'),
	('IB', 2822, 'OPO', 1636, 'BRU', 302, '', 0, '320\r'),
	('IB', 2822, 'OPO', 1636, 'MAD', 1229, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'OPO', 1636, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('IB', 2822, 'ORD', 3830, 'CDG', 1382, 'Y', 0, '763\r'),
	('IB', 2822, 'ORD', 3830, 'DUB', 599, 'Y', 0, '763\r'),
	('IB', 2822, 'ORD', 3830, 'DUS', 345, 'Y', 0, '763\r'),
	('IB', 2822, 'ORD', 3830, 'FCO', 1555, 'Y', 0, '763\r'),
	('IB', 2822, 'ORD', 3830, 'LHR', 507, 'Y', 0, '763 777 744\r'),
	('IB', 2822, 'ORD', 3830, 'MAD', 1229, '', 0, '333\r'),
	('IB', 2822, 'ORD', 3830, 'MAN', 478, 'Y', 0, '763\r'),
	('IB', 2822, 'ORD', 3830, 'MSY', 3861, 'Y', 0, 'E75\r'),
	('IB', 2822, 'ORN', 231, 'ALC', 1212, 'Y', 0, '320\r'),
	('IB', 2822, 'ORN', 231, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ORN', 231, 'MAD', 1229, '', 0, '319\r'),
	('IB', 2822, 'ORY', 1386, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'ALC', 1212, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'BLQ', 1538, '', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'EWR', 3494, 'Y', 0, '752\r'),
	('IB', 2822, 'ORY', 1386, 'FCO', 1555, '', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'FLR', 1563, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'IBZ', 1225, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'JFK', 3797, 'Y', 0, '752\r'),
	('IB', 2822, 'ORY', 1386, 'LHR', 507, 'Y', 0, '319 320\r'),
	('IB', 2822, 'ORY', 1386, 'LIS', 1638, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'LPA', 1054, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'MAD', 1229, '', 0, '321 320 319\r'),
	('IB', 2822, 'ORY', 1386, 'OPO', 1636, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'PMI', 3998, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'RBA', 1072, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'SVQ', 1253, 'Y', 0, '320\r'),
	('IB', 2822, 'ORY', 1386, 'TFN', 1057, '', 0, '321\r'),
	('IB', 2822, 'ORY', 1386, 'TFS', 1056, '', 0, '321\r'),
	('IB', 2822, 'ORY', 1386, 'VLC', 1246, 'Y', 0, '320\r'),
	('IB', 2822, 'OSL', 644, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'OSL', 644, 'LHR', 507, 'Y', 0, '319 320\r'),
	('IB', 2822, 'OTP', 1657, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'OVD', 1214, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'OVD', 1214, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'OVD', 1214, 'CDG', 1382, 'Y', 0, '320\r'),
	('IB', 2822, 'OVD', 1214, 'MAD', 1229, '', 0, '319 320\r'),
	('IB', 2822, 'OVD', 1214, 'PMI', 3998, 'Y', 0, 'CR9 CRK\r'),
	('IB', 2822, 'OVD', 1214, 'SVQ', 1253, '', 0, '320\r'),
	('IB', 2822, 'OVD', 1214, 'VLC', 1246, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'PHL', 3752, 'LHR', 507, 'Y', 0, '777 767\r'),
	('IB', 2822, 'PHX', 3462, 'LHR', 507, 'Y', 0, '744\r'),
	('IB', 2822, 'PMC', 2665, 'SCL', 2650, 'Y', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'AGP', 1230, '', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'ALC', 1212, 'Y', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'AMS', 580, 'Y', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'BIO', 1216, 'Y', 0, '320 CR9\r'),
	('IB', 2822, 'PMI', 3998, 'BOD', 1264, 'Y', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'BRU', 302, '', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'DME', 4029, 'Y', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'GRX', 1223, 'Y', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'IBZ', 1225, 'Y', 0, 'CR9 AT7\r'),
	('IB', 2822, 'PMI', 3998, 'ILD', 7459, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'PMI', 3998, 'LCY', 503, 'Y', 0, 'E90\r'),
	('IB', 2822, 'PMI', 3998, 'LHR', 507, 'Y', 0, '319 320\r'),
	('IB', 2822, 'PMI', 3998, 'LYS', 1335, 'Y', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'PMI', 3998, 'MAH', 1231, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'PMI', 3998, 'MRS', 1353, '', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'OVD', 1214, 'Y', 0, 'CR9 CRK\r'),
	('IB', 2822, 'PMI', 3998, 'SCQ', 1243, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'PMI', 3998, 'SVQ', 1253, '', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'TLS', 1273, 'Y', 0, '320\r'),
	('IB', 2822, 'PMI', 3998, 'VLC', 1246, 'Y', 0, 'CR9 AT7\r'),
	('IB', 2822, 'PMO', 1512, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'PMO', 1512, 'FLR', 1563, '', 0, '320\r'),
	('IB', 2822, 'PNA', 1234, 'MAD', 1229, 'Y', 0, 'CRK CR9 CR2\r'),
	('IB', 2822, 'POS', 2902, 'UVF', 2894, 'Y', 0, '777\r'),
	('IB', 2822, 'PRG', 1587, 'BCN', 1218, 'Y', 0, '320 319\r'),
	('IB', 2822, 'PRG', 1587, 'FCO', 1555, 'Y', 0, '320\r'),
	('IB', 2822, 'PRG', 1587, 'MAD', 1229, '', 0, '321 320\r'),
	('IB', 2822, 'PSA', 1562, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'PTY', 1871, 'MAD', 1229, '', 0, '346 342 333\r'),
	('IB', 2822, 'PTY', 1871, 'MIA', 3576, 'Y', 0, '738\r'),
	('IB', 2822, 'PTY', 1871, 'SJO', 1885, 'Y', 0, '73G\r'),
	('IB', 2822, 'PUJ', 1760, 'ANU', 2874, 'Y', 0, '777\r'),
	('IB', 2822, 'PUQ', 2647, 'PMC', 2665, 'Y', 0, '320\r'),
	('IB', 2822, 'RAK', 1075, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'RAK', 1075, 'MAD', 1229, 'Y', 0, 'CR9 CRK CR2\r'),
	('IB', 2822, 'RBA', 1072, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'RDU', 3626, 'LHR', 507, 'Y', 0, '763\r'),
	('IB', 2822, 'RGS', 6757, 'BCN', 1218, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'RJL', 5781, 'MAD', 1229, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'RNS', 1415, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'SAL', 1892, 'MAD', 1229, '', 0, '342\r'),
	('IB', 2822, 'SAN', 3731, 'LHR', 507, 'Y', 0, '777\r'),
	('IB', 2822, 'SCL', 2650, 'MAD', 1229, '', 0, '346 345 342\r'),
	('IB', 2822, 'SCQ', 1243, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'SCQ', 1243, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'SCQ', 1243, 'BIO', 1216, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'SCQ', 1243, 'BRU', 302, '', 0, '320\r'),
	('IB', 2822, 'SCQ', 1243, 'CDG', 1382, 'Y', 0, '320\r'),
	('IB', 2822, 'SCQ', 1243, 'LPA', 1054, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'SCQ', 1243, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'SCQ', 1243, 'PMI', 3998, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'SCQ', 1243, 'TFN', 1057, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'SDR', 1251, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'SDR', 1251, 'MAD', 1229, '', 0, '319\r'),
	('IB', 2822, 'SEA', 3577, 'LHR', 507, 'Y', 0, '744\r'),
	('IB', 2822, 'SFO', 3469, 'LHR', 507, 'Y', 0, '744\r'),
	('IB', 2822, 'SIN', 3316, 'LHR', 507, 'Y', 0, '744 777\r'),
	('IB', 2822, 'SIN', 3316, 'SYD', 3361, 'Y', 0, '777\r'),
	('IB', 2822, 'SJO', 1885, 'GUA', 1767, 'Y', 0, '73G\r'),
	('IB', 2822, 'SJO', 1885, 'MAD', 1229, '', 0, '345 346\r'),
	('IB', 2822, 'SJO', 1885, 'PTY', 1871, 'Y', 0, 'E90\r'),
	('IB', 2822, 'SKB', 2891, 'ANU', 2874, 'Y', 0, '777\r'),
	('IB', 2822, 'SLM', 1238, 'BCN', 1218, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'SOF', 1194, 'MAD', 1229, 'Y', 0, '319 320 E90\r'),
	('IB', 2822, 'SPC', 1053, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'SSG', 891, 'MAD', 1229, '', 0, '319\r'),
	('IB', 2822, 'STR', 350, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'SVG', 666, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'AMS', 580, 'Y', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'LCG', 1220, 'Y', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'LPA', 1054, 'Y', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'LYS', 1335, '', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'SVQ', 1253, 'NTE', 1418, '', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'OVD', 1214, '', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'PMI', 3998, '', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'TFN', 1057, 'Y', 0, '320\r'),
	('IB', 2822, 'SVQ', 1253, 'TLS', 1273, 'Y', 0, 'CR2 CR9\r'),
	('IB', 2822, 'SVQ', 1253, 'VLC', 1246, 'Y', 0, 'CRK CR2 CR9 AT7\r'),
	('IB', 2822, 'SXB', 1435, 'MAD', 1229, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'SYD', 3361, 'SIN', 3316, 'Y', 0, '777\r'),
	('IB', 2822, 'TFN', 1057, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'TFN', 1057, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'TFN', 1057, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'TFN', 1057, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'TFN', 1057, 'ORY', 1386, '', 0, '321\r'),
	('IB', 2822, 'TFN', 1057, 'SCQ', 1243, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'TFN', 1057, 'SVQ', 1253, 'Y', 0, '320\r'),
	('IB', 2822, 'TFN', 1057, 'VLC', 1246, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'TFS', 1056, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'TFS', 1056, 'LGW', 502, 'Y', 0, '320\r'),
	('IB', 2822, 'TFS', 1056, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'TFS', 1056, 'ORY', 1386, '', 0, '321\r'),
	('IB', 2822, 'TFS', 1056, 'VGO', 1250, '', 0, '32S\r'),
	('IB', 2822, 'TLS', 1273, 'AGP', 1230, 'Y', 0, '320\r'),
	('IB', 2822, 'TLS', 1273, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'TLS', 1273, 'MAD', 1229, 'Y', 0, 'CRK CR9 CR2\r'),
	('IB', 2822, 'TLS', 1273, 'PMI', 3998, 'Y', 0, '320\r'),
	('IB', 2822, 'TLS', 1273, 'SVQ', 1253, 'Y', 0, 'CR2 CR9\r'),
	('IB', 2822, 'TLV', 1590, 'BCN', 1218, '', 0, '738\r'),
	('IB', 2822, 'TLV', 1590, 'MAD', 1229, '', 0, '319\r'),
	('IB', 2822, 'TNG', 1080, 'BCN', 1218, 'Y', 0, '320 73G\r'),
	('IB', 2822, 'TNG', 1080, 'MAD', 1229, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'TPA', 3646, 'LGW', 502, 'Y', 0, '777\r'),
	('IB', 2822, 'TRN', 1526, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'TRN', 1526, 'MAD', 1229, 'Y', 0, 'CR9 CRK\r'),
	('IB', 2822, 'TXL', 351, 'BCN', 1218, 'Y', 0, '738 320 321\r'),
	('IB', 2822, 'TXL', 351, 'BIO', 1216, 'Y', 0, '320\r'),
	('IB', 2822, 'TXL', 351, 'FLR', 1563, 'Y', 0, '320\r'),
	('IB', 2822, 'TXL', 351, 'MAD', 1229, '', 0, '738\r'),
	('IB', 2822, 'UIO', 2688, 'GYE', 2673, '', 0, '342 346 345 340\r'),
	('IB', 2822, 'UIO', 2688, 'MAD', 1229, '', 0, '345 346\r'),
	('IB', 2822, 'UVF', 2894, 'GND', 2882, 'Y', 0, '777\r'),
	('IB', 2822, 'UVF', 2894, 'LGW', 502, 'Y', 0, '777\r'),
	('IB', 2822, 'UVF', 2894, 'POS', 2902, 'Y', 0, '777\r'),
	('IB', 2822, 'VCE', 1551, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'VCE', 1551, 'BRU', 302, '', 0, '320\r'),
	('IB', 2822, 'VCE', 1551, 'MAD', 1229, '', 0, '320 321 319\r'),
	('IB', 2822, 'VGO', 1250, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'VGO', 1250, 'BIO', 1216, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'VGO', 1250, 'MAD', 1229, 'Y', 0, '32S\r'),
	('IB', 2822, 'VGO', 1250, 'TFS', 1056, '', 0, '32S\r'),
	('IB', 2822, 'VIE', 1613, 'BCN', 1218, 'Y', 0, '320 321\r'),
	('IB', 2822, 'VIE', 1613, 'MAD', 1229, '', 0, '320 321 319\r'),
	('IB', 2822, 'VLC', 1246, 'AGP', 1230, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'VLC', 1246, 'AMS', 580, 'Y', 0, '320\r'),
	('IB', 2822, 'VLC', 1246, 'BIO', 1216, 'Y', 0, 'CR2 CR9 AT7\r'),
	('IB', 2822, 'VLC', 1246, 'BRU', 302, 'Y', 0, '320\r'),
	('IB', 2822, 'VLC', 1246, 'CMN', 1074, 'Y', 0, 'AT7\r'),
	('IB', 2822, 'VLC', 1246, 'FCO', 1555, 'Y', 0, '320\r'),
	('IB', 2822, 'VLC', 1246, 'IBZ', 1225, 'Y', 0, 'AT7 CR2 CR9\r'),
	('IB', 2822, 'VLC', 1246, 'LPA', 1054, 'Y', 0, 'CRK\r'),
	('IB', 2822, 'VLC', 1246, 'MAD', 1229, 'Y', 0, 'CR9 CRK AT7 CR2\r'),
	('IB', 2822, 'VLC', 1246, 'MAH', 1231, 'Y', 0, 'CR2 AT7\r'),
	('IB', 2822, 'VLC', 1246, 'ORY', 1386, 'Y', 0, '320\r'),
	('IB', 2822, 'VLC', 1246, 'OVD', 1214, 'Y', 0, 'CRK CR9\r'),
	('IB', 2822, 'VLC', 1246, 'PMI', 3998, 'Y', 0, 'CR9 AT7\r'),
	('IB', 2822, 'VLC', 1246, 'SVQ', 1253, 'Y', 0, 'CRK CR2 CR9 AT7\r'),
	('IB', 2822, 'VLC', 1246, 'TFN', 1057, 'Y', 0, 'CR9\r'),
	('IB', 2822, 'VLL', 1247, 'BCN', 1218, 'Y', 0, 'CR2\r'),
	('IB', 2822, 'WAW', 679, 'BCN', 1218, '', 0, '320\r'),
	('IB', 2822, 'WAW', 679, 'LHR', 507, 'Y', 0, '320\r'),
	('IB', 2822, 'XRY', 1226, 'BCN', 1218, '', 0, '320\r'),
	('IB', 2822, 'XRY', 1226, 'MAD', 1229, 'Y', 0, 'CRK CR2 CR9\r'),
	('IB', 2822, 'YUL', 146, 'LHR', 507, 'Y', 0, '777\r'),
	('IB', 2822, 'YVR', 156, 'LHR', 507, 'Y', 0, '744\r'),
	('IB', 2822, 'YYC', 178, 'LHR', 507, 'Y', 0, '767\r'),
	('IB', 2822, 'YYZ', 193, 'LHR', 507, 'Y', 0, '788 744\r'),
	('IB', 2822, 'ZAG', 1208, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ZRH', 1678, 'BCN', 1218, 'Y', 0, '320\r'),
	('IB', 2822, 'ZRH', 1678, 'MAD', 1229, '', 0, '319\r'),
	('ID', 2896, 'AMQ', 3256, 'CGK', 3275, '', 0, '739\r'),
	('ID', 2896, 'BPN', 3919, 'CGK', 3275, '', 0, '739\r'),
	('ID', 2896, 'CGK', 3275, 'AMQ', 3256, '', 0, '739\r'),
	('ID', 2896, 'CGK', 3275, 'BPN', 3919, '', 0, '739\r'),
	('ID', 2896, 'CGK', 3275, 'DJJ', 3244, '', 0, '739\r'),
	('ID', 2896, 'CGK', 3275, 'DPS', 3940, '', 0, '739\r'),
	('ID', 2896, 'CGK', 3275, 'JOG', 3898, '', 0, '739\r'),
	('ID', 2896, 'CGK', 3275, 'MDC', 3250, '', 0, '739\r'),
	('ID', 2896, 'CGK', 3275, 'PKU', 3273, '', 0, '739\r'),
	('ID', 2896, 'CGK', 3275, 'SUB', 3928, '', 0, '739\r'),
	('ID', 2896, 'DJJ', 3244, 'CGK', 3275, '', 0, '739\r'),
	('ID', 2896, 'DPS', 3940, 'CGK', 3275, '', 0, '739\r'),
	('ID', 2896, 'JOG', 3898, 'CGK', 3275, '', 0, '739\r'),
	('ID', 2896, 'MDC', 3250, 'CGK', 3275, '', 0, '739\r'),
	('ID', 2896, 'PKU', 3273, 'CGK', 3275, '', 0, '739\r'),
	('ID', 2896, 'SUB', 3928, 'CGK', 3275, '', 0, '739\r'),
	('IE', 4797, 'ATD', 5404, 'HIR', 4074, '', 0, 'BNI\r'),
	('IE', 4797, 'BNE', 3320, 'HIR', 4074, '', 0, '320\r'),
	('IE', 4797, 'BNY', 6919, 'HIR', 4074, '', 0, 'DHT\r'),
	('IE', 4797, 'BNY', 6919, 'RNL', 5414, '', 0, 'DHT\r'),
	('IE', 4797, 'CHY', 7617, 'GZO', 5412, '', 0, 'DHT\r'),
	('IE', 4797, 'EGM', 6758, 'GZO', 5412, '', 0, 'DHT\r'),
	('IE', 4797, 'EGM', 6758, 'HIR', 4074, '', 0, 'DHT\r'),
	('IE', 4797, 'EGM', 6758, 'RBV', 5418, '', 0, 'DHT\r'),
	('IE', 4797, 'EGM', 6758, 'VAO', 5416, '', 0, 'DHT\r'),
	('IE', 4797, 'FRE', 5407, 'HIR', 4074, '', 0, 'DHT\r'),
	('IE', 4797, 'FRE', 5407, 'VAO', 5416, '', 0, 'DHT\r'),
	('IE', 4797, 'GZO', 5412, 'CHY', 7617, '', 0, 'DHT\r'),
	('IE', 4797, 'GZO', 5412, 'EGM', 6758, '', 0, 'DHT\r'),
	('IE', 4797, 'GZO', 5412, 'HIR', 4074, '', 0, 'DH8 DHT\r'),
	('IE', 4797, 'GZO', 5412, 'MUA', 5411, '', 0, 'DH8\r'),
	('IE', 4797, 'HIR', 4074, 'ATD', 5404, '', 0, 'BNI\r'),
	('IE', 4797, 'HIR', 4074, 'BNE', 3320, '', 0, '320\r'),
	('IE', 4797, 'HIR', 4074, 'BNY', 6919, '', 0, 'DHT\r'),
	('IE', 4797, 'HIR', 4074, 'CHY', 7617, '', 0, 'DHT\r'),
	('IE', 4797, 'HIR', 4074, 'EGM', 6758, '', 0, 'DHT\r'),
	('IE', 4797, 'HIR', 4074, 'FRE', 5407, '', 0, 'DHT\r'),
	('IE', 4797, 'HIR', 4074, 'GZO', 5412, '', 0, 'DHT DH8\r'),
	('IE', 4797, 'HIR', 4074, 'IRA', 5409, '', 0, 'DH8\r'),
	('IE', 4797, 'HIR', 4074, 'KGE', 5417, '', 0, 'DHT\r'),
	('IE', 4797, 'HIR', 4074, 'MUA', 5411, '', 0, 'DH8 DHT\r'),
	('IE', 4797, 'HIR', 4074, 'NAN', 1960, '', 0, '100\r'),
	('IE', 4797, 'HIR', 4074, 'NNB', 7618, '', 0, 'DHT\r'),
	('IE', 4797, 'HIR', 4074, 'RBV', 5418, '', 0, 'BNI\r'),
	('IE', 4797, 'HIR', 4074, 'RNA', 7616, '', 0, 'DHT\r'),
	('IE', 4797, 'HIR', 4074, 'RNL', 5414, '', 0, 'DHT\r'),
	('IE', 4797, 'HIR', 4074, 'RUS', 5415, '', 0, 'BNI\r'),
	('IE', 4797, 'HIR', 4074, 'SCZ', 5410, '', 0, 'DH8\r'),
	('IE', 4797, 'HIR', 4074, 'VAO', 5416, '', 0, 'BNI\r'),
	('IE', 4797, 'HIR', 4074, 'VLI', 1997, '', 0, '320\r'),
	('IE', 4797, 'IRA', 5409, 'HIR', 4074, '', 0, 'DH8\r'),
	('IE', 4797, 'IRA', 5409, 'NNB', 7618, '', 0, 'DHT\r'),
	('IE', 4797, 'IRA', 5409, 'RNA', 7616, '', 0, 'DHT\r'),
	('IE', 4797, 'KGE', 5417, 'GZO', 5412, '', 0, 'DHT\r'),
	('IE', 4797, 'KGE', 5417, 'MUA', 5411, '', 0, 'DHT\r'),
	('IE', 4797, 'MUA', 5411, 'EGM', 6758, '', 0, 'DHT\r'),
	('IE', 4797, 'MUA', 5411, 'GZO', 5412, '', 0, 'DH8\r'),
	('IE', 4797, 'MUA', 5411, 'HIR', 4074, '', 0, 'DH8 DHT\r'),
	('IE', 4797, 'MUA', 5411, 'KGE', 5417, '', 0, 'DHT\r'),
	('IE', 4797, 'NAN', 1960, 'HIR', 4074, '', 0, '100\r'),
	('IE', 4797, 'NAN', 1960, 'VLI', 1997, '', 0, '320\r'),
	('IE', 4797, 'NNB', 7618, 'HIR', 4074, '', 0, 'DHT\r'),
	('IE', 4797, 'NNB', 7618, 'IRA', 5409, '', 0, 'DHT\r'),
	('IE', 4797, 'RBV', 5418, 'HIR', 4074, '', 0, 'BNI\r'),
	('IE', 4797, 'RBV', 5418, 'MUA', 5411, '', 0, 'DHT\r'),
	('IE', 4797, 'RNA', 7616, 'HIR', 4074, '', 0, 'DHT\r'),
	('IE', 4797, 'RNA', 7616, 'IRA', 5409, '', 0, 'DHT\r'),
	('IE', 4797, 'RNL', 5414, 'BNY', 6919, '', 0, 'DHT\r'),
	('IE', 4797, 'RNL', 5414, 'HIR', 4074, '', 0, 'DHT\r'),
	('IE', 4797, 'RUS', 5415, 'HIR', 4074, '', 0, 'BNI\r'),
	('IE', 4797, 'SCZ', 5410, 'HIR', 4074, '', 0, 'DH8\r'),
	('IE', 4797, 'VAO', 5416, 'HIR', 4074, '', 0, 'DHT BNI\r'),
	('IE', 4797, 'VLI', 1997, 'HIR', 4074, '', 0, '320\r'),
	('IE', 4797, 'VLI', 1997, 'NAN', 1960, '', 0, '320\r'),
	('IG', 3463, 'AMM', 2170, 'FCO', 1555, 'Y', 0, '320\r'),
	('IG', 3463, 'BDS', 1506, 'MUC', 346, 'Y', 0, '320\r'),
	('IG', 3463, 'BDS', 1506, 'ZRH', 1678, 'Y', 0, '320\r'),
	('IG', 3463, 'BGY', 1525, 'OMO', 1645, '', 0, '320\r'),
	('IG', 3463, 'BLQ', 1538, 'CAG', 1519, '', 0, 'M80\r'),
	('IG', 3463, 'BLQ', 1538, 'CTA', 1509, '', 0, '320 737\r'),
	('IG', 3463, 'BLQ', 1538, 'KIV', 1735, '', 0, '737\r'),
	('IG', 3463, 'BLQ', 1538, 'OLB', 1520, '', 0, 'M80\r'),
	('IG', 3463, 'BRI', 1501, 'TXL', 351, 'Y', 0, '320\r'),
	('IG', 3463, 'BSL', 4053, 'CTA', 1509, 'Y', 0, '320\r'),
	('IG', 3463, 'CAG', 1519, 'BLQ', 1538, '', 0, 'M80\r'),
	('IG', 3463, 'CAG', 1519, 'DUS', 345, '', 0, '320\r'),
	('IG', 3463, 'CAG', 1519, 'MUC', 346, 'Y', 0, '320\r'),
	('IG', 3463, 'CAG', 1519, 'NAP', 1561, '', 0, '737 M80\r'),
	('IG', 3463, 'CAG', 1519, 'TRN', 1526, '', 0, 'M80\r'),
	('IG', 3463, 'CAG', 1519, 'VRN', 1550, '', 0, 'M80\r'),
	('IG', 3463, 'CDG', 1382, 'OLB', 1520, '', 0, 'M80 320\r'),
	('IG', 3463, 'CDG', 1382, 'PMO', 1512, '', 0, '319\r'),
	('IG', 3463, 'CGN', 344, 'OLB', 1520, '', 0, '320\r'),
	('IG', 3463, 'CTA', 1509, 'BLQ', 1538, '', 0, '320 737\r'),
	('IG', 3463, 'CTA', 1509, 'BSL', 4053, 'Y', 0, '320\r'),
	('IG', 3463, 'CTA', 1509, 'DUS', 345, 'Y', 0, '320\r'),
	('IG', 3463, 'CTA', 1509, 'FCO', 1555, '', 0, '737\r'),
	('IG', 3463, 'CTA', 1509, 'FRA', 340, 'Y', 0, '320\r'),
	('IG', 3463, 'CTA', 1509, 'LIN', 1529, '', 0, '737 M80\r'),
	('IG', 3463, 'CTA', 1509, 'MLA', 1606, 'Y', 0, '319\r'),
	('IG', 3463, 'CTA', 1509, 'MUC', 346, 'Y', 0, '320\r'),
	('IG', 3463, 'CTA', 1509, 'NAP', 1561, '', 0, '737 320 M80\r'),
	('IG', 3463, 'CTA', 1509, 'STR', 350, 'Y', 0, '320\r'),
	('IG', 3463, 'CTA', 1509, 'TRN', 1526, '', 0, '737\r'),
	('IG', 3463, 'CTA', 1509, 'TXL', 351, 'Y', 0, '320\r'),
	('IG', 3463, 'CTA', 1509, 'VRN', 1550, '', 0, '737 320\r'),
	('IG', 3463, 'CTA', 1509, 'ZRH', 1678, 'Y', 0, '320\r'),
	('IG', 3463, 'DKR', 1084, 'MXP', 1524, 'Y', 0, '737 767\r'),
	('IG', 3463, 'DUS', 345, 'CAG', 1519, '', 0, '320\r'),
	('IG', 3463, 'DUS', 345, 'CTA', 1509, 'Y', 0, '320\r'),
	('IG', 3463, 'DUS', 345, 'FCO', 1555, 'Y', 0, '320\r'),
	('IG', 3463, 'DUS', 345, 'FLR', 1563, 'Y', 0, '320\r'),
	('IG', 3463, 'DUS', 345, 'MXP', 1524, '', 0, '320\r'),
	('IG', 3463, 'DUS', 345, 'NAP', 1561, 'Y', 0, '320\r'),
	('IG', 3463, 'DUS', 345, 'OLB', 1520, 'Y', 0, '320\r'),
	('IG', 3463, 'DUS', 345, 'VCE', 1551, 'Y', 0, '320\r'),
	('IG', 3463, 'FCO', 1555, 'AMM', 2170, 'Y', 0, '320\r'),
	('IG', 3463, 'FCO', 1555, 'CTA', 1509, '', 0, '737\r'),
	('IG', 3463, 'FCO', 1555, 'DUS', 345, 'Y', 0, '320\r'),
	('IG', 3463, 'FCO', 1555, 'FUE', 1051, '', 0, '320\r'),
	('IG', 3463, 'FCO', 1555, 'LRM', 1759, '', 0, '767\r'),
	('IG', 3463, 'FCO', 1555, 'MLA', 1606, 'Y', 0, '319\r'),
	('IG', 3463, 'FCO', 1555, 'MXP', 1524, '', 0, '767\r'),
	('IG', 3463, 'FCO', 1555, 'OLB', 1520, '', 0, 'M80\r'),
	('IG', 3463, 'FCO', 1555, 'TXL', 351, 'Y', 0, '320\r'),
	('IG', 3463, 'FCO', 1555, 'VIE', 1613, '', 0, '320\r'),
	('IG', 3463, 'FLR', 1563, 'DUS', 345, 'Y', 0, '320\r'),
	('IG', 3463, 'FLR', 1563, 'STR', 350, 'Y', 0, '320\r'),
	('IG', 3463, 'FLR', 1563, 'VIE', 1613, '', 0, '320\r'),
	('IG', 3463, 'FRA', 340, 'CTA', 1509, 'Y', 0, '320\r'),
	('IG', 3463, 'FUE', 1051, 'FCO', 1555, '', 0, '320\r'),
	('IG', 3463, 'FUE', 1051, 'MXP', 1524, '', 0, '737\r'),
	('IG', 3463, 'FUE', 1051, 'TFS', 1056, '', 0, '320\r'),
	('IG', 3463, 'FUE', 1051, 'VRN', 1550, '', 0, '320\r'),
	('IG', 3463, 'HAM', 342, 'OLB', 1520, '', 0, '320\r'),
	('IG', 3463, 'KBP', 2939, 'NAP', 1561, '', 0, '737\r'),
	('IG', 3463, 'KIV', 1735, 'BLQ', 1538, '', 0, '737\r'),
	('IG', 3463, 'KIV', 1735, 'MXP', 1524, '', 0, '737\r'),
	('IG', 3463, 'KIV', 1735, 'VRN', 1550, '', 0, '737\r'),
	('IG', 3463, 'LGW', 502, 'NAP', 1561, '', 0, '737\r'),
	('IG', 3463, 'LGW', 502, 'OLB', 1520, '', 0, '320\r'),
	('IG', 3463, 'LIN', 1529, 'CTA', 1509, '', 0, '737 M80\r'),
	('IG', 3463, 'LIN', 1529, 'MLA', 1606, 'Y', 0, '319\r'),
	('IG', 3463, 'LIN', 1529, 'NAP', 1561, '', 0, 'M80 737\r'),
	('IG', 3463, 'LIN', 1529, 'OLB', 1520, '', 0, 'M80\r'),
	('IG', 3463, 'LRM', 1759, 'FCO', 1555, '', 0, '767\r'),
	('IG', 3463, 'MLA', 1606, 'CTA', 1509, 'Y', 0, '319\r'),
	('IG', 3463, 'MLA', 1606, 'FCO', 1555, 'Y', 0, '319\r'),
	('IG', 3463, 'MLA', 1606, 'LIN', 1529, 'Y', 0, '319\r'),
	('IG', 3463, 'MLE', 3156, 'MXP', 1524, '', 0, '767\r'),
	('IG', 3463, 'MRU', 893, 'FCO', 1555, '', 0, '767\r'),
	('IG', 3463, 'MUC', 346, 'BDS', 1506, 'Y', 0, '320\r'),
	('IG', 3463, 'MUC', 346, 'CAG', 1519, 'Y', 0, '320\r'),
	('IG', 3463, 'MUC', 346, 'CTA', 1509, 'Y', 0, '320\r'),
	('IG', 3463, 'MUC', 346, 'NAP', 1561, 'Y', 0, '320\r'),
	('IG', 3463, 'MUC', 346, 'OLB', 1520, 'Y', 0, '320\r'),
	('IG', 3463, 'MXP', 1524, 'DKR', 1084, '', 0, '737 767\r'),
	('IG', 3463, 'MXP', 1524, 'DUS', 345, '', 0, '320\r'),
	('IG', 3463, 'MXP', 1524, 'FCO', 1555, '', 0, '767\r'),
	('IG', 3463, 'MXP', 1524, 'FUE', 1051, '', 0, '737\r'),
	('IG', 3463, 'MXP', 1524, 'KIV', 1735, '', 0, '737\r'),
	('IG', 3463, 'MXP', 1524, 'MRU', 893, '', 0, '767\r'),
	('IG', 3463, 'MXP', 1524, 'SSH', 4057, '', 0, '737\r'),
	('IG', 3463, 'MXP', 1524, 'TFS', 1056, '', 0, '320\r'),
	('IG', 3463, 'MXP', 1524, 'TIA', 1190, '', 0, '320\r'),
	('IG', 3463, 'MXP', 1524, 'TLV', 1590, 'Y', 0, '320 737\r'),
	('IG', 3463, 'MXP', 1524, 'TXL', 351, 'Y', 0, '320\r'),
	('IG', 3463, 'MXP', 1524, 'VIE', 1613, '', 0, '320\r'),
	('IG', 3463, 'NAP', 1561, 'CAG', 1519, '', 0, '737 M80\r'),
	('IG', 3463, 'NAP', 1561, 'CTA', 1509, '', 0, '320 737 M80\r'),
	('IG', 3463, 'NAP', 1561, 'DUS', 345, 'Y', 0, '320\r'),
	('IG', 3463, 'NAP', 1561, 'KBP', 2939, '', 0, '737\r'),
	('IG', 3463, 'NAP', 1561, 'LGW', 502, '', 0, '737\r'),
	('IG', 3463, 'NAP', 1561, 'LIN', 1529, '', 0, 'M80 737\r'),
	('IG', 3463, 'NAP', 1561, 'MUC', 346, 'Y', 0, '320\r'),
	('IG', 3463, 'NAP', 1561, 'OLB', 1520, 'Y', 0, 'M80 737\r'),
	('IG', 3463, 'NAP', 1561, 'STR', 350, 'Y', 0, '320\r'),
	('IG', 3463, 'NAP', 1561, 'TLV', 1590, '', 0, '737\r'),
	('IG', 3463, 'NAP', 1561, 'TRN', 1526, '', 0, '737\r'),
	('IG', 3463, 'NAP', 1561, 'TXL', 351, 'Y', 0, '320\r'),
	('IG', 3463, 'NAP', 1561, 'VCE', 1551, '', 0, '737 M80\r'),
	('IG', 3463, 'NAP', 1561, 'VRN', 1550, '', 0, '737 320 M80\r'),
	('IG', 3463, 'NAP', 1561, 'ZRH', 1678, '', 0, '320\r'),
	('IG', 3463, 'NUE', 347, 'OLB', 1520, 'Y', 0, '320\r'),
	('IG', 3463, 'OLB', 1520, 'BLQ', 1538, '', 0, 'M80\r'),
	('IG', 3463, 'OLB', 1520, 'CDG', 1382, '', 0, 'M80 320\r'),
	('IG', 3463, 'OLB', 1520, 'CGN', 344, '', 0, '320\r'),
	('IG', 3463, 'OLB', 1520, 'DUS', 345, 'Y', 0, '320\r'),
	('IG', 3463, 'OLB', 1520, 'FCO', 1555, '', 0, 'M80\r'),
	('IG', 3463, 'OLB', 1520, 'HAM', 342, '', 0, '320\r'),
	('IG', 3463, 'OLB', 1520, 'LGW', 502, '', 0, '320\r'),
	('IG', 3463, 'OLB', 1520, 'LIN', 1529, '', 0, 'M80\r'),
	('IG', 3463, 'OLB', 1520, 'MUC', 346, 'Y', 0, '320\r'),
	('IG', 3463, 'OLB', 1520, 'NAP', 1561, 'Y', 0, 'M80 737\r'),
	('IG', 3463, 'OLB', 1520, 'NUE', 347, 'Y', 0, '320\r'),
	('IG', 3463, 'OLB', 1520, 'STR', 350, 'Y', 0, '320\r'),
	('IG', 3463, 'OLB', 1520, 'TRN', 1526, '', 0, 'M80\r'),
	('IG', 3463, 'OLB', 1520, 'TXL', 351, 'Y', 0, '320\r'),
	('IG', 3463, 'OLB', 1520, 'VIE', 1613, '', 0, '320\r'),
	('IG', 3463, 'OLB', 1520, 'VRN', 1550, '', 0, 'M80\r'),
	('IG', 3463, 'OLB', 1520, 'ZRH', 1678, 'Y', 0, '320\r'),
	('IG', 3463, 'OMO', 1645, 'BGY', 1525, '', 0, '320\r'),
	('IG', 3463, 'PMO', 1512, 'CDG', 1382, '', 0, '319\r'),
	('IG', 3463, 'STR', 350, 'CTA', 1509, 'Y', 0, '320\r'),
	('IG', 3463, 'STR', 350, 'FLR', 1563, 'Y', 0, '320\r'),
	('IG', 3463, 'STR', 350, 'NAP', 1561, 'Y', 0, '320\r'),
	('IG', 3463, 'STR', 350, 'OLB', 1520, 'Y', 0, '320\r'),
	('IG', 3463, 'STR', 350, 'VCE', 1551, 'Y', 0, '320\r'),
	('IG', 3463, 'SUF', 1508, 'ZRH', 1678, 'Y', 0, '320\r'),
	('IG', 3463, 'TFS', 1056, 'FCO', 1555, '', 0, '320\r'),
	('IG', 3463, 'TFS', 1056, 'MXP', 1524, '', 0, '320\r'),
	('IG', 3463, 'TIA', 1190, 'MXP', 1524, '', 0, '320\r'),
	('IG', 3463, 'TIA', 1190, 'VRN', 1550, '', 0, '320\r'),
	('IG', 3463, 'TLV', 1590, 'MXP', 1524, 'Y', 0, '320 737\r'),
	('IG', 3463, 'TLV', 1590, 'NAP', 1561, '', 0, '737\r'),
	('IG', 3463, 'TRN', 1526, 'CAG', 1519, '', 0, 'M80\r'),
	('IG', 3463, 'TRN', 1526, 'CTA', 1509, '', 0, '737\r'),
	('IG', 3463, 'TRN', 1526, 'NAP', 1561, '', 0, '737\r'),
	('IG', 3463, 'TRN', 1526, 'OLB', 1520, '', 0, 'M80\r'),
	('IG', 3463, 'TXL', 351, 'BRI', 1501, 'Y', 0, '320\r'),
	('IG', 3463, 'TXL', 351, 'CTA', 1509, 'Y', 0, '320\r'),
	('IG', 3463, 'TXL', 351, 'FCO', 1555, 'Y', 0, '320\r'),
	('IG', 3463, 'TXL', 351, 'MXP', 1524, 'Y', 0, '320\r'),
	('IG', 3463, 'TXL', 351, 'NAP', 1561, 'Y', 0, '320\r'),
	('IG', 3463, 'TXL', 351, 'OLB', 1520, 'Y', 0, '320\r'),
	('IG', 3463, 'TXL', 351, 'VCE', 1551, 'Y', 0, '320\r'),
	('IG', 3463, 'VCE', 1551, 'DUS', 345, 'Y', 0, '320\r'),
	('IG', 3463, 'VCE', 1551, 'NAP', 1561, '', 0, '737 M80\r'),
	('IG', 3463, 'VCE', 1551, 'STR', 350, 'Y', 0, '320\r'),
	('IG', 3463, 'VCE', 1551, 'TXL', 351, 'Y', 0, '320\r'),
	('IG', 3463, 'VIE', 1613, 'FCO', 1555, '', 0, '320\r'),
	('IG', 3463, 'VIE', 1613, 'FLR', 1563, '', 0, '320\r'),
	('IG', 3463, 'VIE', 1613, 'MXP', 1524, '', 0, '320\r'),
	('IG', 3463, 'VIE', 1613, 'OLB', 1520, '', 0, '320\r'),
	('IG', 3463, 'VRN', 1550, 'CAG', 1519, '', 0, 'M80\r'),
	('IG', 3463, 'VRN', 1550, 'CTA', 1509, '', 0, 'M80 737 320\r'),
	('IG', 3463, 'VRN', 1550, 'FUE', 1051, '', 0, '320\r'),
	('IG', 3463, 'VRN', 1550, 'KIV', 1735, '', 0, '737\r'),
	('IG', 3463, 'VRN', 1550, 'NAP', 1561, '', 0, '320 737 M80\r'),
	('IG', 3463, 'VRN', 1550, 'OLB', 1520, '', 0, 'M80\r'),
	('IG', 3463, 'VRN', 1550, 'TFS', 1056, '', 0, '320\r'),
	('IG', 3463, 'VRN', 1550, 'TIA', 1190, '', 0, '320\r'),
	('IG', 3463, 'ZRH', 1678, 'BDS', 1506, 'Y', 0, '320\r'),
	('IG', 3463, 'ZRH', 1678, 'CTA', 1509, 'Y', 0, '320\r'),
	('IG', 3463, 'ZRH', 1678, 'NAP', 1561, '', 0, '320\r'),
	('IG', 3463, 'ZRH', 1678, 'OLB', 1520, 'Y', 0, '320\r'),
	('IG', 3463, 'ZRH', 1678, 'SUF', 1508, 'Y', 0, '320\r'),
	('IL', 10121, 'BDJ', 3908, 'PKN', 3910, '', 0, 'AT7\r'),
	('IL', 10121, 'BDJ', 3908, 'SUB', 3928, '', 0, 'AT7\r'),
	('IL', 10121, 'CGK', 3275, 'PKN', 3910, '', 0, '737\r'),
	('IL', 10121, 'DJJ', 3244, 'WMX', 3245, '', 0, 'AT7 732\r'),
	('IL', 10121, 'KTG', 3282, 'PKN', 3910, '', 0, 'AT7\r'),
	('IL', 10121, 'KTG', 3282, 'PNK', 3284, '', 0, 'AT7 737\r'),
	('IL', 10121, 'LUV', 6212, 'AMQ', 3256, '', 0, 'AT4\r'),
	('IL', 10121, 'PKN', 3910, 'BDJ', 3908, '', 0, 'AT7\r'),
	('IL', 10121, 'PKN', 3910, 'CGK', 3275, '', 0, '737\r'),
	('IL', 10121, 'PKN', 3910, 'KTG', 3282, '', 0, 'AT7 737\r'),
	('IL', 10121, 'PKN', 3910, 'PKN', 3910, '', 0, 'AT7\r'),
	('IL', 10121, 'PKN', 3910, 'SOC', 3929, '', 0, 'AT7\r'),
	('IL', 10121, 'PKN', 3910, 'SRG', 3901, '', 0, '737 AT7\r'),
	('IL', 10121, 'PKN', 3910, 'SUB', 3928, '', 0, '737\r'),
	('IL', 10121, 'PNK', 3284, 'KTG', 3282, '', 0, 'AT7\r'),
	('IL', 10121, 'SOC', 3929, 'PKN', 3910, '', 0, 'AT7\r'),
	('IL', 10121, 'SRG', 3901, 'PKN', 3910, '', 0, '737\r'),
	('IL', 10121, 'SUB', 3928, 'PKN', 3910, '', 0, '737\r'),
	('IL', 10121, 'WMX', 3245, 'DJJ', 3244, '', 0, 'AT7 732\r'),
	('IOS', 2951, 'ABA', 2955, 'IKT', 2937, '', 0, 'AN4\r'),
	('IOS', 2951, 'BQS', 2926, 'HTA', 2935, '', 0, 'CR2\r'),
	('IOS', 2951, 'BQS', 2926, 'VVO', 2934, '', 0, 'CR2\r'),
	('IOS', 2951, 'DME', 4029, 'OMS', 2958, '', 0, 'CR2\r'),
	('IOS', 2951, 'DYU', 2979, 'OMS', 2958, '', 0, 'CR2\r'),
	('IOS', 2951, 'EVN', 3964, 'OMS', 2958, '', 0, 'CR2\r'),
	('IOS', 2951, 'EXT', 552, 'ISC', 4347, '', 0, 'DHT\r'),
	('IOS', 2951, 'EXT', 552, 'NQY', 481, '', 0, 'DHT\r'),
	('IOS', 2951, 'GDX', 2930, 'KHV', 2927, '', 0, 'CR2\r'),
	('IOS', 2951, 'GDX', 2930, 'YKS', 2923, '', 0, 'AN4\r'),
	('IOS', 2951, 'GYD', 2922, 'OMS', 2958, '', 0, 'CR2\r'),
	('IOS', 2951, 'HRB', 3400, 'IKT', 2937, '', 0, 'CR2\r'),
	('IOS', 2951, 'HTA', 2935, 'BQS', 2926, '', 0, 'CR2\r'),
	('IOS', 2951, 'HTA', 2935, 'IKT', 2937, '', 0, 'CR2\r'),
	('IOS', 2951, 'HTA', 2935, 'KHV', 2927, '', 0, 'CR2\r'),
	('IOS', 2951, 'IKT', 2937, 'ABA', 2955, '', 0, 'AN4\r'),
	('IOS', 2951, 'IKT', 2937, 'HRB', 3400, '', 0, 'CR2\r'),
	('IOS', 2951, 'IKT', 2937, 'HTA', 2935, '', 0, 'CR2\r'),
	('IOS', 2951, 'IKT', 2937, 'KJA', 4374, '', 0, 'CR2\r'),
	('IOS', 2951, 'IKT', 2937, 'KYZ', 6118, '', 0, 'AN4\r'),
	('IOS', 2951, 'IKT', 2937, 'ODO', 8944, '', 0, 'AN4\r'),
	('IOS', 2951, 'IKT', 2937, 'OVB', 4078, '', 0, 'CR2\r'),
	('IOS', 2951, 'IKT', 2937, 'UKX', 6924, '', 0, 'AN4\r'),
	('IOS', 2951, 'IKT', 2937, 'ULK', 9026, '', 0, 'AN4\r'),
	('IOS', 2951, 'IKT', 2937, 'UUD', 2938, '', 0, 'CR2\r'),
	('IOS', 2951, 'ISC', 4347, 'EXT', 552, '', 0, 'DHT\r'),
	('IOS', 2951, 'ISC', 4347, 'LEQ', 5572, '', 0, 'DHT BNT\r'),
	('IOS', 2951, 'ISC', 4347, 'NQY', 481, '', 0, 'DHT\r'),
	('IOS', 2951, 'JMU', 6411, 'KHV', 2927, '', 0, 'CR2\r'),
	('IOS', 2951, 'KHV', 2927, 'GDX', 2930, '', 0, 'CR2\r'),
	('IOS', 2951, 'KHV', 2927, 'HTA', 2935, '', 0, 'CR2\r'),
	('IOS', 2951, 'KHV', 2927, 'JMU', 6411, '', 0, 'CR2\r'),
	('IOS', 2951, 'KHV', 2927, 'UUD', 2938, '', 0, 'CR2\r'),
	('IOS', 2951, 'KJA', 4374, 'IKT', 2937, '', 0, 'CR2\r'),
	('IOS', 2951, 'KJA', 4374, 'NZH', 6954, '', 0, 'CR2\r'),
	('IOS', 2951, 'KJA', 4374, 'OVB', 4078, '', 0, 'CR2\r'),
	('IOS', 2951, 'KYZ', 6118, 'IKT', 2937, '', 0, 'AN4\r'),
	('IOS', 2951, 'LEQ', 5572, 'ISC', 4347, '', 0, 'DHT BNT\r'),
	('IOS', 2951, 'NJC', 2972, 'OMS', 2958, '', 0, 'CR2\r'),
	('IOS', 2951, 'NJC', 2972, 'OVB', 4078, '', 0, 'CR2\r'),
	('IOS', 2951, 'NJC', 2972, 'UUA', 6160, '', 0, 'CR2\r'),
	('IOS', 2951, 'NQY', 481, 'EXT', 552, '', 0, 'DHT\r'),
	('IOS', 2951, 'NQY', 481, 'ISC', 4347, '', 0, 'DHT\r'),
	('IOS', 2951, 'NUX', 4364, 'OMS', 2958, '', 0, 'CR2\r'),
	('IOS', 2951, 'NZH', 6954, 'KJA', 4374, '', 0, 'CR2\r'),
	('IOS', 2951, 'NZH', 6954, 'OVB', 4078, '', 0, 'CR2\r'),
	('IOS', 2951, 'NZH', 6954, 'UUD', 2938, '', 0, 'CR2\r'),
	('IOS', 2951, 'ODO', 8944, 'IKT', 2937, '', 0, 'AN4\r'),
	('IOS', 2951, 'OMS', 2958, 'DME', 4029, '', 0, 'CR2\r'),
	('IOS', 2951, 'OMS', 2958, 'DYU', 2979, '', 0, 'CR2\r'),
	('IOS', 2951, 'OMS', 2958, 'EVN', 3964, '', 0, 'CR2\r'),
	('IOS', 2951, 'OMS', 2958, 'GYD', 2922, '', 0, 'CR2\r'),
	('IOS', 2951, 'OMS', 2958, 'NJC', 2972, '', 0, 'CR2\r'),
	('IOS', 2951, 'OMS', 2958, 'NUX', 4364, '', 0, 'CR2\r'),
	('IOS', 2951, 'OMS', 2958, 'OVB', 4078, '', 0, 'CR2\r'),
	('IOS', 2951, 'OMS', 2958, 'TAS', 2983, '', 0, 'CR2\r'),
	('IOS', 2951, 'OVB', 4078, 'IKT', 2937, '', 0, 'CR2\r'),
	('IOS', 2951, 'OVB', 4078, 'KJA', 4374, '', 0, 'CR2\r'),
	('IOS', 2951, 'OVB', 4078, 'NJC', 2972, '', 0, 'CR2\r'),
	('IOS', 2951, 'OVB', 4078, 'NZH', 6954, '', 0, 'CR2\r'),
	('IOS', 2951, 'OVB', 4078, 'OMS', 2958, '', 0, 'CR2\r'),
	('IOS', 2951, 'OVB', 4078, 'SLY', 6137, '', 0, 'CR2\r'),
	('IOS', 2951, 'SLY', 6137, 'OVB', 4078, '', 0, 'CR2\r'),
	('IOS', 2951, 'TAS', 2983, 'OMS', 2958, '', 0, 'CR2\r'),
	('IOS', 2951, 'UKX', 6924, 'IKT', 2937, '', 0, 'AN4\r'),
	('IOS', 2951, 'ULK', 9026, 'IKT', 2937, '', 0, 'AN4\r'),
	('IOS', 2951, 'UUA', 6160, 'NJC', 2972, '', 0, 'CR2\r'),
	('IOS', 2951, 'UUD', 2938, 'IKT', 2937, '', 0, 'CR2\r'),
	('IOS', 2951, 'UUD', 2938, 'KHV', 2927, '', 0, 'CR2\r'),
	('IOS', 2951, 'UUD', 2938, 'NZH', 6954, '', 0, 'CR2\r'),
	('IOS', 2951, 'VVO', 2934, 'BQS', 2926, '', 0, 'CR2\r'),
	('IOS', 2951, 'YKS', 2923, 'GDX', 2930, '', 0, 'AN4\r'),
	('IR', 2922, 'ABD', 2097, 'MHD', 4331, '', 0, '100 M82\r'),
	('IR', 2922, 'ABD', 2097, 'THR', 2131, '', 0, 'M82 100\r'),
	('IR', 2922, 'ADU', 5935, 'MHD', 4331, '', 0, '100\r'),
	('IR', 2922, 'ADU', 5935, 'THR', 2131, '', 0, '100\r'),
	('IR', 2922, 'AMS', 580, 'IKA', 4330, '', 0, 'AB6\r'),
	('IR', 2922, 'ARN', 737, 'IKA', 4330, '', 0, 'AB6\r'),
	('IR', 2922, 'AWZ', 2104, 'BND', 2134, '', 0, '100\r'),
	('IR', 2922, 'AWZ', 2104, 'DXB', 2188, '', 0, '100\r'),
	('IR', 2922, 'AWZ', 2104, 'IFN', 4150, '', 0, 'M82 100\r'),
	('IR', 2922, 'AWZ', 2104, 'KIH', 2109, '', 0, 'M82\r'),
	('IR', 2922, 'AWZ', 2104, 'KWI', 2176, '', 0, '100\r'),
	('IR', 2922, 'AWZ', 2104, 'MHD', 4331, '', 0, 'M82 AB4\r'),
	('IR', 2922, 'AWZ', 2104, 'RAS', 2123, '', 0, '100\r'),
	('IR', 2922, 'AWZ', 2104, 'SRY', 5933, '', 0, 'M82\r'),
	('IR', 2922, 'AWZ', 2104, 'SYZ', 2157, '', 0, 'M82 100\r'),
	('IR', 2922, 'AWZ', 2104, 'TBZ', 2162, '', 0, 'AB4\r'),
	('IR', 2922, 'AWZ', 2104, 'THR', 2131, '', 0, 'M82 100 AB4\r'),
	('IR', 2922, 'AZD', 2164, 'MHD', 4331, '', 0, 'M82 100\r'),
	('IR', 2922, 'AZD', 2164, 'THR', 2131, '', 0, '100 M82 AB4 320\r'),
	('IR', 2922, 'BAH', 2057, 'MHD', 4331, '', 0, '320 M82\r'),
	('IR', 2922, 'BDH', 2110, 'SYZ', 2157, '', 0, '100\r'),
	('IR', 2922, 'BEY', 2177, 'IKA', 4330, '', 0, '313 320\r'),
	('IR', 2922, 'BEY', 2177, 'MHD', 4331, '', 0, '313\r'),
	('IR', 2922, 'BND', 2134, 'AWZ', 2104, '', 0, '100\r'),
	('IR', 2922, 'BND', 2134, 'DXB', 2188, '', 0, '320\r'),
	('IR', 2922, 'BND', 2134, 'IFN', 4150, '', 0, '100 M82\r'),
	('IR', 2922, 'BND', 2134, 'MHD', 4331, '', 0, 'M82\r'),
	('IR', 2922, 'BND', 2134, 'SRY', 5933, '', 0, '100\r'),
	('IR', 2922, 'BND', 2134, 'SYZ', 2157, '', 0, '320 100\r'),
	('IR', 2922, 'BND', 2134, 'TBZ', 2162, '', 0, '100\r'),
	('IR', 2922, 'BND', 2134, 'THR', 2131, '', 0, '100 320 M82\r'),
	('IR', 2922, 'BND', 2134, 'ZBR', 2166, '', 0, '100\r'),
	('IR', 2922, 'BOM', 2997, 'IKA', 4330, '', 0, '74L\r'),
	('IR', 2922, 'BUZ', 2106, 'SYZ', 2157, '', 0, '100\r'),
	('IR', 2922, 'BUZ', 2106, 'THR', 2131, '', 0, '100 M82 AB4\r'),
	('IR', 2922, 'CGN', 344, 'IKA', 4330, '', 0, '313\r'),
	('IR', 2922, 'DMM', 2064, 'MHD', 4331, '', 0, '320\r'),
	('IR', 2922, 'DOH', 2241, 'LRR', 5934, '', 0, '320\r'),
	('IR', 2922, 'DOH', 2241, 'SYZ', 2157, '', 0, '320\r'),
	('IR', 2922, 'DXB', 2188, 'AWZ', 2104, '', 0, '100\r'),
	('IR', 2922, 'DXB', 2188, 'BND', 2134, '', 0, '320\r'),
	('IR', 2922, 'DXB', 2188, 'IFN', 4150, '', 0, '320\r'),
	('IR', 2922, 'DXB', 2188, 'IKA', 4330, '', 0, '320\r'),
	('IR', 2922, 'ESB', 1682, 'IKA', 4330, '', 0, '320\r'),
	('IR', 2922, 'FCO', 1555, 'IKA', 4330, '', 0, '313\r'),
	('IR', 2922, 'FRA', 340, 'IKA', 4330, '', 0, 'AB6\r'),
	('IR', 2922, 'GBT', 6747, 'THR', 2131, '', 0, '100\r'),
	('IR', 2922, 'GBT', 6747, 'ZAH', 2167, '', 0, '100\r'),
	('IR', 2922, 'GOT', 687, 'IKA', 4330, '', 0, 'AB6\r'),
	('IR', 2922, 'GSM', 5712, 'MHD', 4331, '', 0, 'M82\r'),
	('IR', 2922, 'GSM', 5712, 'THR', 2131, '', 0, '100 320\r'),
	('IR', 2922, 'GYD', 2922, 'IKA', 4330, '', 0, '320\r'),
	('IR', 2922, 'HAM', 342, 'IKA', 4330, '', 0, '313\r'),
	('IR', 2922, 'IFN', 4150, 'AWZ', 2104, '', 0, 'M82 100\r'),
	('IR', 2922, 'IFN', 4150, 'BND', 2134, '', 0, '100 M82\r'),
	('IR', 2922, 'IFN', 4150, 'DXB', 2188, '', 0, '320\r'),
	('IR', 2922, 'IFN', 4150, 'KER', 2136, '', 0, '100\r'),
	('IR', 2922, 'IFN', 4150, 'KIH', 2109, '', 0, '100 320\r'),
	('IR', 2922, 'IFN', 4150, 'KWI', 2176, '', 0, '100 320\r'),
	('IR', 2922, 'IFN', 4150, 'MHD', 4331, '', 0, '320 M82 AB4\r'),
	('IR', 2922, 'IFN', 4150, 'SYZ', 2157, '', 0, '100\r'),
	('IR', 2922, 'IFN', 4150, 'TBZ', 2162, '', 0, '100\r'),
	('IR', 2922, 'IFN', 4150, 'THR', 2131, '', 0, '100 M82 AB4 320\r'),
	('IR', 2922, 'IKA', 4330, 'AMS', 580, '', 0, 'AB6\r'),
	('IR', 2922, 'IKA', 4330, 'ARN', 737, '', 0, 'AB6\r'),
	('IR', 2922, 'IKA', 4330, 'BEY', 2177, '', 0, '313 320\r'),
	('IR', 2922, 'IKA', 4330, 'BOM', 2997, '', 0, '74L\r'),
	('IR', 2922, 'IKA', 4330, 'CGN', 344, '', 0, '313\r'),
	('IR', 2922, 'IKA', 4330, 'DXB', 2188, '', 0, '320\r'),
	('IR', 2922, 'IKA', 4330, 'ESB', 1682, '', 0, '320\r'),
	('IR', 2922, 'IKA', 4330, 'FCO', 1555, '', 0, '313\r'),
	('IR', 2922, 'IKA', 4330, 'FRA', 340, '', 0, 'AB6\r'),
	('IR', 2922, 'IKA', 4330, 'GOT', 687, '', 0, 'AB6\r'),
	('IR', 2922, 'IKA', 4330, 'GYD', 2922, '', 0, '320\r'),
	('IR', 2922, 'IKA', 4330, 'HAM', 342, '', 0, '313\r'),
	('IR', 2922, 'IKA', 4330, 'IST', 1701, '', 0, '320\r'),
	('IR', 2922, 'IKA', 4330, 'KHI', 2206, '', 0, '320\r'),
	('IR', 2922, 'IKA', 4330, 'KUL', 3304, '', 0, '74L\r'),
	('IR', 2922, 'IKA', 4330, 'LHR', 507, '', 0, 'AB6\r'),
	('IR', 2922, 'IKA', 4330, 'MXP', 1524, '', 0, 'AB6\r'),
	('IR', 2922, 'IKA', 4330, 'NJF', 7490, '', 0, '320\r'),
	('IR', 2922, 'IKA', 4330, 'ORY', 1386, '', 0, 'AB6\r'),
	('IR', 2922, 'IKA', 4330, 'PEK', 3364, '', 0, '74L\r'),
	('IR', 2922, 'IKA', 4330, 'TAS', 2983, '', 0, '320\r'),
	('IR', 2922, 'IKA', 4330, 'VIE', 1613, '', 0, '313\r'),
	('IR', 2922, 'IST', 1701, 'IKA', 4330, '', 0, '320\r'),
	('IR', 2922, 'KER', 2136, 'IFN', 4150, '', 0, '100\r'),
	('IR', 2922, 'KER', 2136, 'THR', 2131, '', 0, '100\r'),
	('IR', 2922, 'KER', 2136, 'ZAH', 2167, '', 0, '100\r'),
	('IR', 2922, 'KHD', 5927, 'THR', 2131, '', 0, '100\r'),
	('IR', 2922, 'KHI', 2206, 'IKA', 4330, '', 0, '320\r'),
	('IR', 2922, 'KIH', 2109, 'AWZ', 2104, '', 0, 'M82\r'),
	('IR', 2922, 'KIH', 2109, 'IFN', 4150, '', 0, '100 320\r'),
	('IR', 2922, 'KIH', 2109, 'SYZ', 2157, '', 0, 'M82\r'),
	('IR', 2922, 'KIH', 2109, 'THR', 2131, '', 0, '100 M82 AB4 320\r'),
	('IR', 2922, 'KSH', 2114, 'MHD', 4331, '', 0, 'M82\r'),
	('IR', 2922, 'KSH', 2114, 'THR', 2131, '', 0, '100 M82 AB4 320\r'),
	('IR', 2922, 'KUL', 3304, 'IKA', 4330, '', 0, '74L\r'),
	('IR', 2922, 'KWI', 2176, 'AWZ', 2104, '', 0, '100\r'),
	('IR', 2922, 'KWI', 2176, 'IFN', 4150, '', 0, '100 320\r'),
	('IR', 2922, 'KWI', 2176, 'LRR', 5934, '', 0, '100\r'),
	('IR', 2922, 'KWI', 2176, 'MHD', 4331, '', 0, '320\r'),
	('IR', 2922, 'KWI', 2176, 'SYZ', 2157, '', 0, '320 100\r'),
	('IR', 2922, 'LHR', 507, 'IKA', 4330, '', 0, 'AB6\r'),
	('IR', 2922, 'LRR', 5934, 'DOH', 2241, '', 0, '320\r'),
	('IR', 2922, 'LRR', 5934, 'KWI', 2176, '', 0, '100\r'),
	('IR', 2922, 'LRR', 5934, 'THR', 2131, '', 0, '320 100\r'),
	('IR', 2922, 'MHD', 4331, 'ABD', 2097, '', 0, '100 M82\r'),
	('IR', 2922, 'MHD', 4331, 'ADU', 5935, '', 0, '100\r'),
	('IR', 2922, 'MHD', 4331, 'AWZ', 2104, '', 0, 'M82 AB4\r'),
	('IR', 2922, 'MHD', 4331, 'AZD', 2164, '', 0, 'M82 100\r'),
	('IR', 2922, 'MHD', 4331, 'BAH', 2057, '', 0, '320 M82\r'),
	('IR', 2922, 'MHD', 4331, 'BEY', 2177, '', 0, '313\r'),
	('IR', 2922, 'MHD', 4331, 'BND', 2134, '', 0, 'M82\r'),
	('IR', 2922, 'MHD', 4331, 'DMM', 2064, '', 0, '320\r'),
	('IR', 2922, 'MHD', 4331, 'GSM', 5712, '', 0, 'M82\r'),
	('IR', 2922, 'MHD', 4331, 'IFN', 4150, '', 0, '320 M82 100\r'),
	('IR', 2922, 'MHD', 4331, 'KSH', 2114, '', 0, 'M82\r'),
	('IR', 2922, 'MHD', 4331, 'KWI', 2176, '', 0, '320\r'),
	('IR', 2922, 'MHD', 4331, 'RAS', 2123, '', 0, 'M82 100\r'),
	('IR', 2922, 'MHD', 4331, 'SRY', 5933, '', 0, 'M82\r'),
	('IR', 2922, 'MHD', 4331, 'SYZ', 2157, '', 0, '100 M82\r'),
	('IR', 2922, 'MHD', 4331, 'TBZ', 2162, '', 0, 'M82 100\r'),
	('IR', 2922, 'MHD', 4331, 'THR', 2131, '', 0, 'M82 AB4 320 100\r'),
	('IR', 2922, 'MHD', 4331, 'XBJ', 2142, '', 0, '100\r'),
	('IR', 2922, 'MHD', 4331, 'ZAH', 2167, '', 0, 'M82\r'),
	('IR', 2922, 'MXP', 1524, 'IKA', 4330, '', 0, 'AB6\r'),
	('IR', 2922, 'NJF', 7490, 'IKA', 4330, '', 0, '320\r'),
	('IR', 2922, 'OMH', 5936, 'THR', 2131, '', 0, '100 M82\r'),
	('IR', 2922, 'ORY', 1386, 'IKA', 4330, '', 0, 'AB6\r'),
	('IR', 2922, 'PEK', 3364, 'IKA', 4330, '', 0, '74L\r'),
	('IR', 2922, 'RAS', 2123, 'AWZ', 2104, '', 0, '100\r'),
	('IR', 2922, 'RAS', 2123, 'MHD', 4331, '', 0, 'M82 100\r'),
	('IR', 2922, 'RAS', 2123, 'THR', 2131, '', 0, '100\r'),
	('IR', 2922, 'SRY', 5933, 'AWZ', 2104, '', 0, 'M82\r'),
	('IR', 2922, 'SRY', 5933, 'BND', 2134, '', 0, '100\r'),
	('IR', 2922, 'SRY', 5933, 'MHD', 4331, '', 0, 'M82\r'),
	('IR', 2922, 'SVO', 2985, 'IKA', 4330, '', 0, '313\r'),
	('IR', 2922, 'SYZ', 2157, 'AWZ', 2104, '', 0, 'M82 100\r'),
	('IR', 2922, 'SYZ', 2157, 'BDH', 2110, '', 0, '100\r'),
	('IR', 2922, 'SYZ', 2157, 'BND', 2134, '', 0, '320 100\r'),
	('IR', 2922, 'SYZ', 2157, 'BUZ', 2106, '', 0, '100\r'),
	('IR', 2922, 'SYZ', 2157, 'DOH', 2241, '', 0, '320\r'),
	('IR', 2922, 'SYZ', 2157, 'IFN', 4150, '', 0, '100\r'),
	('IR', 2922, 'SYZ', 2157, 'KIH', 2109, '', 0, 'M82\r'),
	('IR', 2922, 'SYZ', 2157, 'KWI', 2176, '', 0, '320 100\r'),
	('IR', 2922, 'SYZ', 2157, 'MHD', 4331, '', 0, 'M82 320\r'),
	('IR', 2922, 'SYZ', 2157, 'THR', 2131, '', 0, '100 320 AB4 M82\r'),
	('IR', 2922, 'TAS', 2983, 'IKA', 4330, '', 0, '320\r'),
	('IR', 2922, 'TBZ', 2162, 'AWZ', 2104, '', 0, 'AB4\r'),
	('IR', 2922, 'TBZ', 2162, 'BND', 2134, '', 0, '100\r'),
	('IR', 2922, 'TBZ', 2162, 'IFN', 4150, '', 0, '100\r'),
	('IR', 2922, 'TBZ', 2162, 'MHD', 4331, '', 0, 'M82 100 AB4\r'),
	('IR', 2922, 'TBZ', 2162, 'THR', 2131, '', 0, 'AB4 100 M82\r'),
	('IR', 2922, 'THR', 2131, 'ABD', 2097, '', 0, 'M82 100\r'),
	('IR', 2922, 'THR', 2131, 'ADU', 5935, '', 0, '100\r'),
	('IR', 2922, 'THR', 2131, 'AWZ', 2104, '', 0, 'M82 100 AB4\r'),
	('IR', 2922, 'THR', 2131, 'AZD', 2164, '', 0, '100 M82 AB4 320\r'),
	('IR', 2922, 'THR', 2131, 'BND', 2134, '', 0, '100 320 M82\r'),
	('IR', 2922, 'THR', 2131, 'BUZ', 2106, '', 0, '100 M82 AB4\r'),
	('IR', 2922, 'THR', 2131, 'GBT', 6747, '', 0, '100\r'),
	('IR', 2922, 'THR', 2131, 'GSM', 5712, '', 0, '100 320\r'),
	('IR', 2922, 'THR', 2131, 'IFN', 4150, '', 0, '100 320 M82 AB4\r'),
	('IR', 2922, 'THR', 2131, 'KER', 2136, '', 0, '100\r'),
	('IR', 2922, 'THR', 2131, 'KHD', 5927, '', 0, '100\r'),
	('IR', 2922, 'THR', 2131, 'KIH', 2109, '', 0, '100 M82 AB4 320\r'),
	('IR', 2922, 'THR', 2131, 'KSH', 2114, '', 0, '100 M82 AB4 320\r'),
	('IR', 2922, 'THR', 2131, 'LRR', 5934, '', 0, '320 100\r'),
	('IR', 2922, 'THR', 2131, 'MHD', 4331, '', 0, 'AB4 M82 100 320\r'),
	('IR', 2922, 'THR', 2131, 'OMH', 5936, '', 0, '100 M82\r'),
	('IR', 2922, 'THR', 2131, 'RAS', 2123, '', 0, '100\r'),
	('IR', 2922, 'THR', 2131, 'SYZ', 2157, '', 0, '100 320 AB4 M82\r'),
	('IR', 2922, 'THR', 2131, 'TBZ', 2162, '', 0, 'AB4 100 M82\r'),
	('IR', 2922, 'THR', 2131, 'XBJ', 2142, '', 0, '100 M82\r'),
	('IR', 2922, 'THR', 2131, 'ZAH', 2167, '', 0, 'M82 100 320\r'),
	('IR', 2922, 'VIE', 1613, 'IKA', 4330, '', 0, '313\r'),
	('IR', 2922, 'XBJ', 2142, 'MHD', 4331, '', 0, '100\r'),
	('IR', 2922, 'XBJ', 2142, 'THR', 2131, '', 0, '100 M82\r'),
	('IR', 2922, 'ZAH', 2167, 'GBT', 6747, '', 0, '100\r'),
	('IR', 2922, 'ZAH', 2167, 'KER', 2136, '', 0, '100\r'),
	('IR', 2922, 'ZAH', 2167, 'MHD', 4331, '', 0, 'M82\r'),
	('IR', 2922, 'ZAH', 2167, 'THR', 2131, '', 0, 'M82 100 320\r'),
	('IR', 2922, 'ZAH', 2167, 'ZBR', 2166, '', 0, 'M82 100 320\r'),
	('IR', 2922, 'ZBR', 2166, 'BND', 2134, '', 0, '100\r'),
	('IR', 2922, 'ZBR', 2166, 'THR', 2131, '', 0, '100\r'),
	('IR', 2922, 'ZBR', 2166, 'ZAH', 2167, '', 0, 'M82 100 320\r'),
	('IX', 569, 'AAN', 5937, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'AUH', 2179, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'AUH', 2179, 'COK', 3136, '', 0, '738\r'),
	('IX', 569, 'AUH', 2179, 'MCT', 2194, '', 0, '738\r'),
	('IX', 569, 'AUH', 2179, 'TRV', 3153, '', 0, '738\r'),
	('IX', 569, 'BAH', 2057, 'DOH', 2241, '', 0, '738\r'),
	('IX', 569, 'BAH', 2057, 'IXE', 3143, '', 0, '738\r'),
	('IX', 569, 'BOM', 2997, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'BOM', 2997, 'COK', 3136, '', 0, '738\r'),
	('IX', 569, 'BOM', 2997, 'DOH', 2241, '', 0, '738\r'),
	('IX', 569, 'BOM', 2997, 'IXE', 3143, '', 0, '738\r'),
	('IX', 569, 'BOM', 2997, 'MAA', 3144, '', 0, '738\r'),
	('IX', 569, 'BOM', 2997, 'TRV', 3153, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'AAN', 5937, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'AUH', 2179, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'BAH', 2057, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'BOM', 2997, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'COK', 3136, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'DMM', 2064, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'DXB', 2188, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'IXE', 3143, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'KWI', 2176, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'MCT', 2194, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'SHJ', 2191, '', 0, '738\r'),
	('IX', 569, 'CCJ', 3137, 'SLL', 2195, '', 0, '738\r'),
	('IX', 569, 'COK', 3136, 'AUH', 2179, '', 0, '738\r'),
	('IX', 569, 'COK', 3136, 'BOM', 2997, '', 0, '738\r'),
	('IX', 569, 'COK', 3136, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'COK', 3136, 'DXB', 2188, '', 0, '738\r'),
	('IX', 569, 'COK', 3136, 'MCT', 2194, '', 0, '738\r'),
	('IX', 569, 'COK', 3136, 'SHJ', 2191, '', 0, '738\r'),
	('IX', 569, 'COK', 3136, 'TRV', 3153, '', 0, '738\r'),
	('IX', 569, 'DMM', 2064, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'DMM', 2064, 'IXE', 3143, '', 0, '738\r'),
	('IX', 569, 'DOH', 2241, 'BAH', 2057, '', 0, '738\r'),
	('IX', 569, 'DOH', 2241, 'BOM', 2997, '', 0, '738\r'),
	('IX', 569, 'DOH', 2241, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'DXB', 2188, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'DXB', 2188, 'COK', 3136, '', 0, '738\r'),
	('IX', 569, 'DXB', 2188, 'IXE', 3143, '', 0, '738\r'),
	('IX', 569, 'DXB', 2188, 'TRV', 3153, '', 0, '738\r'),
	('IX', 569, 'IXE', 3143, 'AUH', 2179, '', 0, '738\r'),
	('IX', 569, 'IXE', 3143, 'BOM', 2997, '', 0, '738\r'),
	('IX', 569, 'IXE', 3143, 'DMM', 2064, '', 0, '738\r'),
	('IX', 569, 'IXE', 3143, 'DOH', 2241, '', 0, '738\r'),
	('IX', 569, 'IXE', 3143, 'DXB', 2188, '', 0, '738\r'),
	('IX', 569, 'IXE', 3143, 'SHJ', 2191, '', 0, '738\r'),
	('IX', 569, 'JAI', 3098, 'SHJ', 2191, '', 0, '738\r'),
	('IX', 569, 'KUL', 3304, 'MAA', 3144, '', 0, '738\r'),
	('IX', 569, 'KWI', 2176, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'MAA', 3144, 'BOM', 2997, '', 0, '738\r'),
	('IX', 569, 'MAA', 3144, 'KUL', 3304, '', 0, '738\r'),
	('IX', 569, 'MAA', 3144, 'TRV', 3153, '', 0, '738\r'),
	('IX', 569, 'MAA', 3144, 'TRZ', 3152, '', 0, '738\r'),
	('IX', 569, 'MCT', 2194, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'MCT', 2194, 'COK', 3136, '', 0, '738\r'),
	('IX', 569, 'MCT', 2194, 'IXE', 3143, '', 0, '738\r'),
	('IX', 569, 'MCT', 2194, 'TRV', 3153, '', 0, '738\r'),
	('IX', 569, 'PNQ', 3017, 'SHJ', 2191, '', 0, '738\r'),
	('IX', 569, 'SHJ', 2191, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'SHJ', 2191, 'COK', 3136, '', 0, '738\r'),
	('IX', 569, 'SHJ', 2191, 'IXE', 3143, '', 0, '738\r'),
	('IX', 569, 'SHJ', 2191, 'JAI', 3098, '', 0, '738\r'),
	('IX', 569, 'SHJ', 2191, 'PNQ', 3017, '', 0, '738\r'),
	('IX', 569, 'SHJ', 2191, 'TRV', 3153, '', 0, '738\r'),
	('IX', 569, 'SIN', 3316, 'TRZ', 3152, '', 0, '738\r'),
	('IX', 569, 'SLL', 2195, 'CCJ', 3137, '', 0, '738\r'),
	('IX', 569, 'TRV', 3153, 'AUH', 2179, '', 0, '738\r'),
	('IX', 569, 'TRV', 3153, 'BOM', 2997, '', 0, '738\r'),
	('IX', 569, 'TRV', 3153, 'COK', 3136, '', 0, '738\r'),
	('IX', 569, 'TRV', 3153, 'DXB', 2188, '', 0, '738\r'),
	('IX', 569, 'TRV', 3153, 'MAA', 3144, '', 0, '738\r'),
	('IX', 569, 'TRV', 3153, 'MCT', 2194, '', 0, '738\r'),
	('IX', 569, 'TRV', 3153, 'SHJ', 2191, '', 0, '738\r'),
	('IX', 569, 'TRZ', 3152, 'MAA', 3144, '', 0, '738\r'),
	('IX', 569, 'TRZ', 3152, 'SIN', 3316, '', 0, '738\r'),
	('IY', 5496, 'ADD', 1107, 'SAH', 3980, '', 0, '310 330\r'),
	('IY', 5496, 'ADE', 3977, 'AMM', 2170, '', 0, '310\r'),
	('IY', 5496, 'ADE', 3977, 'AUH', 2179, '', 0, '320\r'),
	('IY', 5496, 'ADE', 3977, 'BOM', 2997, '', 0, '320\r'),
	('IY', 5496, 'ADE', 3977, 'CAI', 1128, '', 0, '320\r'),
	('IY', 5496, 'ADE', 3977, 'DMM', 2064, 'Y', 0, 'CR7\r'),
	('IY', 5496, 'ADE', 3977, 'DOH', 2241, '', 0, '320\r'),
	('IY', 5496, 'ADE', 3977, 'DXB', 2188, '', 0, '310 320\r'),
	('IY', 5496, 'ADE', 3977, 'JED', 2072, '', 0, '320 330\r'),
	('IY', 5496, 'ADE', 3977, 'RUH', 2082, '', 0, '310\r'),
	('IY', 5496, 'ADE', 3977, 'SAH', 3980, '', 0, '320 CR2 310\r'),
	('IY', 5496, 'AMM', 2170, 'ADE', 3977, '', 0, '310\r'),
	('IY', 5496, 'AMM', 2170, 'BEY', 2177, '', 0, '330\r'),
	('IY', 5496, 'AMM', 2170, 'HOD', 3976, '', 0, '310\r'),
	('IY', 5496, 'AMM', 2170, 'SAH', 3980, '', 0, '330\r'),
	('IY', 5496, 'ASM', 3967, 'SAH', 3980, '', 0, '310\r'),
	('IY', 5496, 'AUH', 2179, 'ADE', 3977, '', 0, '320\r'),
	('IY', 5496, 'AUH', 2179, 'GXF', 5954, '', 0, '320\r'),
	('IY', 5496, 'AUH', 2179, 'RIY', 3974, '', 0, '310\r'),
	('IY', 5496, 'BAH', 2057, 'SAH', 3980, 'Y', 0, '320\r'),
	('IY', 5496, 'BEY', 2177, 'AMM', 2170, '', 0, '330\r'),
	('IY', 5496, 'BEY', 2177, 'SAH', 3980, '', 0, '330\r'),
	('IY', 5496, 'BOM', 2997, 'ADE', 3977, '', 0, '320\r'),
	('IY', 5496, 'BOM', 2997, 'SAH', 3980, '', 0, '320\r'),
	('IY', 5496, 'CAI', 1128, 'ADE', 3977, '', 0, '320\r'),
	('IY', 5496, 'CAI', 1128, 'CDG', 1382, '', 0, '330\r'),
	('IY', 5496, 'CAI', 1128, 'RIY', 3974, '', 0, '320\r'),
	('IY', 5496, 'CAI', 1128, 'SAH', 3980, '', 0, '310 330 320\r'),
	('IY', 5496, 'CAI', 1128, 'TAI', 3975, '', 0, '320\r'),
	('IY', 5496, 'CDG', 1382, 'CAI', 1128, '', 0, '330\r'),
	('IY', 5496, 'CGK', 3275, 'DXB', 2188, '', 0, '330\r'),
	('IY', 5496, 'CGK', 3275, 'KUL', 3304, '', 0, '330\r'),
	('IY', 5496, 'DAR', 1177, 'NBO', 4059, '', 0, '738\r'),
	('IY', 5496, 'DOH', 2241, 'ADE', 3977, '', 0, '320\r'),
	('IY', 5496, 'DOH', 2241, 'SAH', 3980, '', 0, '310\r'),
	('IY', 5496, 'DXB', 2188, 'ADE', 3977, '', 0, '320\r'),
	('IY', 5496, 'DXB', 2188, 'CGK', 3275, '', 0, '330\r'),
	('IY', 5496, 'DXB', 2188, 'KUL', 3304, '', 0, '330\r'),
	('IY', 5496, 'DXB', 2188, 'RIY', 3974, '', 0, '310\r'),
	('IY', 5496, 'DXB', 2188, 'SAH', 3980, '', 0, '310 330\r'),
	('IY', 5496, 'GXF', 5954, 'AUH', 2179, '', 0, '320\r'),
	('IY', 5496, 'GXF', 5954, 'JED', 2072, '', 0, '320\r'),
	('IY', 5496, 'GXF', 5954, 'SAH', 3980, '', 0, '320\r'),
	('IY', 5496, 'HAH', 912, 'JIB', 4119, '', 0, '330 310\r'),
	('IY', 5496, 'HOD', 3976, 'AMM', 2170, '', 0, '310\r'),
	('IY', 5496, 'HOD', 3976, 'CAI', 1128, '', 0, '310\r'),
	('IY', 5496, 'HOD', 3976, 'JED', 2072, '', 0, '330 320\r'),
	('IY', 5496, 'HOD', 3976, 'SAH', 3980, '', 0, '320 CR2 310\r'),
	('IY', 5496, 'JED', 2072, 'ADE', 3977, '', 0, '320\r'),
	('IY', 5496, 'JED', 2072, 'GXF', 5954, '', 0, '320\r'),
	('IY', 5496, 'JED', 2072, 'HOD', 3976, '', 0, '320\r'),
	('IY', 5496, 'JED', 2072, 'RIY', 3974, '', 0, '310\r'),
	('IY', 5496, 'JED', 2072, 'SAH', 3980, '', 0, '310 320 330\r'),
	('IY', 5496, 'JED', 2072, 'TAI', 3975, '', 0, '320\r'),
	('IY', 5496, 'JIB', 4119, 'HAH', 912, '', 0, '330 310\r'),
	('IY', 5496, 'JIB', 4119, 'SAH', 3980, '', 0, '330 310\r'),
	('IY', 5496, 'KRT', 1175, 'SAH', 3980, '', 0, '320\r'),
	('IY', 5496, 'KUL', 3304, 'CGK', 3275, '', 0, '330\r'),
	('IY', 5496, 'KUL', 3304, 'DXB', 2188, '', 0, '330\r'),
	('IY', 5496, 'KWI', 2176, 'DOH', 2241, '', 0, '320\r'),
	('IY', 5496, 'KWI', 2176, 'RIY', 3974, '', 0, '320\r'),
	('IY', 5496, 'NBO', 4059, 'SAH', 3980, '', 0, '320\r'),
	('IY', 5496, 'RIY', 3974, 'ADE', 3977, 'Y', 0, 'CR2\r'),
	('IY', 5496, 'RIY', 3974, 'AUH', 2179, '', 0, '310\r'),
	('IY', 5496, 'RIY', 3974, 'CAI', 1128, '', 0, '320\r'),
	('IY', 5496, 'RIY', 3974, 'DXB', 2188, '', 0, '310\r'),
	('IY', 5496, 'RIY', 3974, 'JED', 2072, '', 0, '330\r'),
	('IY', 5496, 'RIY', 3974, 'KWI', 2176, '', 0, '320\r'),
	('IY', 5496, 'RIY', 3974, 'SAH', 3980, '', 0, '320 310\r'),
	('IY', 5496, 'RIY', 3974, 'SCT', 3984, '', 0, '320\r'),
	('IY', 5496, 'RUH', 2082, 'SAH', 3980, '', 0, '310\r'),
	('IY', 5496, 'RUH', 2082, 'TAI', 3975, '', 0, '320\r'),
	('IY', 5496, 'SAH', 3980, 'AAY', 3979, 'Y', 0, 'CR7\r'),
	('IY', 5496, 'SAH', 3980, 'ADD', 1107, '', 0, '310 330\r'),
	('IY', 5496, 'SAH', 3980, 'ADE', 3977, '', 0, '310 320 CR2 330\r'),
	('IY', 5496, 'SAH', 3980, 'AMM', 2170, '', 0, '330\r'),
	('IY', 5496, 'SAH', 3980, 'ASM', 3967, '', 0, '310\r'),
	('IY', 5496, 'SAH', 3980, 'BAH', 2057, 'Y', 0, '320\r'),
	('IY', 5496, 'SAH', 3980, 'BEY', 2177, '', 0, '330\r'),
	('IY', 5496, 'SAH', 3980, 'CAI', 1128, '', 0, '310 330 320\r'),
	('IY', 5496, 'SAH', 3980, 'DXB', 2188, '', 0, '330\r'),
	('IY', 5496, 'SAH', 3980, 'GXF', 5954, '', 0, '320\r'),
	('IY', 5496, 'SAH', 3980, 'HOD', 3976, '', 0, '310 CR2 330 320\r'),
	('IY', 5496, 'SAH', 3980, 'JED', 2072, '', 0, '310 330 320\r'),
	('IY', 5496, 'SAH', 3980, 'JIB', 4119, '', 0, '330 310\r'),
	('IY', 5496, 'SAH', 3980, 'KRT', 1175, '', 0, '320\r'),
	('IY', 5496, 'SAH', 3980, 'KWI', 2176, '', 0, '320\r'),
	('IY', 5496, 'SAH', 3980, 'NBO', 4059, '', 0, '320\r'),
	('IY', 5496, 'SAH', 3980, 'RIY', 3974, '', 0, '320 310 330\r'),
	('IY', 5496, 'SAH', 3980, 'RUH', 2082, '', 0, '310 320\r'),
	('IY', 5496, 'SAH', 3980, 'TAI', 3975, '', 0, '320\r'),
	('IY', 5496, 'SCT', 3984, 'RIY', 3974, '', 0, '320\r'),
	('IY', 5496, 'TAI', 3975, 'CAI', 1128, '', 0, '320\r'),
	('IY', 5496, 'TAI', 3975, 'JED', 2072, '', 0, '320\r'),
	('IY', 5496, 'TAI', 3975, 'RUH', 2082, '', 0, '320\r'),
	('IY', 5496, 'TAI', 3975, 'SAH', 3980, '', 0, '320\r'),
	('IZ', 231, 'AMM', 2170, 'TLV', 1590, '', 0, 'AT7\r'),
	('IZ', 231, 'AMS', 580, 'TLV', 1590, '', 0, '753\r'),
	('IZ', 231, 'BCN', 1218, 'TLV', 1590, '', 0, '753\r'),
	('IZ', 231, 'CDG', 1382, 'TLV', 1590, '', 0, '753\r'),
	('IZ', 231, 'ETH', 1594, 'HFA', 1596, '', 0, 'AT7\r'),
	('IZ', 231, 'ETH', 1594, 'SDV', 1605, '', 0, 'AT7 E90 E95\r'),
	('IZ', 231, 'ETH', 1594, 'TLV', 1590, '', 0, 'E95 753 AT7 E90\r'),
	('IZ', 231, 'HFA', 1596, 'ETH', 1594, '', 0, 'AT7\r'),
	('IZ', 231, 'HFA', 1596, 'SDV', 1605, '', 0, 'AT7\r'),
	('IZ', 231, 'LCA', 1197, 'TLV', 1590, '', 0, 'AT7\r'),
	('IZ', 231, 'SDV', 1605, 'ETH', 1594, '', 0, 'E90 AT7 E95\r'),
	('IZ', 231, 'SDV', 1605, 'HFA', 1596, '', 0, 'AT7\r'),
	('IZ', 231, 'TBS', 3973, 'TLV', 1590, '', 0, 'E95\r'),
	('IZ', 231, 'TLV', 1590, 'AMM', 2170, '', 0, 'AT7\r'),
	('IZ', 231, 'TLV', 1590, 'AMS', 580, '', 0, '753\r'),
	('IZ', 231, 'TLV', 1590, 'BCN', 1218, '', 0, '753\r'),
	('IZ', 231, 'TLV', 1590, 'CDG', 1382, '', 0, '753\r'),
	('IZ', 231, 'TLV', 1590, 'ETH', 1594, '', 0, 'E95 753 AT7 E90\r'),
	('IZ', 231, 'TLV', 1590, 'LCA', 1197, '', 0, 'AT7\r'),
	('IZ', 231, 'TLV', 1590, 'TBS', 3973, '', 0, 'E95\r'),
	('J2', 197, 'CDG', 1382, 'GYD', 2922, '', 0, '320\r'),
	('J2', 197, 'DME', 4029, 'GYD', 2922, '', 0, '320\r'),
	('J2', 197, 'DOH', 2241, 'GYD', 2922, 'Y', 0, '320\r'),
	('J2', 197, 'DXB', 2188, 'GYD', 2922, '', 0, '757 319 320\r'),
	('J2', 197, 'ESB', 1682, 'GYD', 2922, '', 0, '320 319\r'),
	('J2', 197, 'FCO', 1555, 'GYD', 2922, '', 0, '319\r'),
	('J2', 197, 'FRA', 340, 'GYD', 2922, 'Y', 0, '333 343\r'),
	('J2', 197, 'GYD', 2922, 'CDG', 1382, '', 0, '320\r'),
	('J2', 197, 'GYD', 2922, 'DME', 4029, '', 0, '320\r'),
	('J2', 197, 'GYD', 2922, 'DOH', 2241, 'Y', 0, '320\r'),
	('J2', 197, 'GYD', 2922, 'DXB', 2188, '', 0, '757 319 320\r'),
	('J2', 197, 'GYD', 2922, 'ESB', 1682, '', 0, '320 319\r'),
	('J2', 197, 'GYD', 2922, 'FCO', 1555, '', 0, '319\r'),
	('J2', 197, 'GYD', 2922, 'FRA', 340, 'Y', 0, '333 343\r'),
	('J2', 197, 'GYD', 2922, 'IKA', 4330, '', 0, 'E70 E90 319\r'),
	('J2', 197, 'GYD', 2922, 'IST', 1701, '', 0, '767\r'),
	('J2', 197, 'GYD', 2922, 'KBP', 2939, '', 0, '737 320 319\r'),
	('J2', 197, 'GYD', 2922, 'KVD', 6089, '', 0, 'E90\r'),
	('J2', 197, 'GYD', 2922, 'LED', 2948, '', 0, '320 757\r'),
	('J2', 197, 'GYD', 2922, 'LHR', 507, '', 0, '767\r'),
	('J2', 197, 'GYD', 2922, 'MRV', 2962, '', 0, 'E70 E90\r'),
	('J2', 197, 'GYD', 2922, 'MXP', 1524, '', 0, '320\r'),
	('J2', 197, 'GYD', 2922, 'OVB', 4078, '', 0, '757\r'),
	('J2', 197, 'GYD', 2922, 'PEK', 3364, '', 0, '340\r'),
	('J2', 197, 'GYD', 2922, 'PRG', 1587, '', 0, '320\r'),
	('J2', 197, 'GYD', 2922, 'RIX', 3953, '', 0, '735\r'),
	('J2', 197, 'GYD', 2922, 'SAW', 4317, '', 0, '319\r'),
	('J2', 197, 'GYD', 2922, 'SCO', 4367, '', 0, 'E70 E90\r'),
	('J2', 197, 'GYD', 2922, 'SVX', 2975, '', 0, '320\r'),
	('J2', 197, 'GYD', 2922, 'TBS', 3973, '', 0, 'E70 E90\r'),
	('J2', 197, 'GYD', 2922, 'TBZ', 2162, '', 0, 'E70 E90\r'),
	('J2', 197, 'GYD', 2922, 'TLV', 1590, '', 0, '320\r'),
	('J2', 197, 'GYD', 2922, 'VIE', 1613, '', 0, '320\r'),
	('J2', 197, 'IKA', 4330, 'GYD', 2922, '', 0, 'E70 E90 319\r'),
	('J2', 197, 'IST', 1701, 'GYD', 2922, '', 0, '767\r'),
	('J2', 197, 'KBP', 2939, 'GYD', 2922, '', 0, '320 737 319\r'),
	('J2', 197, 'KVD', 6089, 'GYD', 2922, '', 0, 'E90\r'),
	('J2', 197, 'KVD', 6089, 'LED', 2948, '', 0, '757\r'),
	('J2', 197, 'LED', 2948, 'GYD', 2922, '', 0, '320 757\r'),
	('J2', 197, 'LED', 2948, 'KVD', 6089, '', 0, '757\r'),
	('J2', 197, 'LHR', 507, 'GYD', 2922, '', 0, '767\r'),
	('J2', 197, 'MRV', 2962, 'GYD', 2922, '', 0, 'E70 E90\r'),
	('J2', 197, 'MXP', 1524, 'GYD', 2922, '', 0, '320\r'),
	('J2', 197, 'OVB', 4078, 'GYD', 2922, '', 0, '757\r'),
	('J2', 197, 'PEK', 3364, 'GYD', 2922, '', 0, '340\r'),
	('J2', 197, 'PRG', 1587, 'GYD', 2922, '', 0, '320\r'),
	('J2', 197, 'RIX', 3953, 'GYD', 2922, '', 0, '735\r'),
	('J2', 197, 'SAW', 4317, 'GYD', 2922, '', 0, '319\r'),
	('J2', 197, 'SCO', 4367, 'GYD', 2922, '', 0, 'E90 E70\r'),
	('J2', 197, 'SVX', 2975, 'GYD', 2922, '', 0, '320\r'),
	('J2', 197, 'TBS', 3973, 'GYD', 2922, '', 0, 'E70 E90\r'),
	('J2', 197, 'TBZ', 2162, 'GYD', 2922, '', 0, 'E90\r'),
	('J2', 197, 'TLV', 1590, 'GYD', 2922, '', 0, '320\r'),
	('J2', 197, 'VIE', 1613, 'GYD', 2922, '', 0, '320\r'),
	('J3', 3734, 'YEG', 49, 'YHY', 72, '', 0, 'J31\r'),
	('J3', 3734, 'YEG', 49, 'YMM', 90, '', 0, 'J31\r'),
	('J3', 3734, 'YEG', 49, 'YSM', 136, '', 0, 'J31\r'),
	('J3', 3734, 'YHY', 72, 'YEG', 49, '', 0, 'J31\r'),
	('J3', 3734, 'YHY', 72, 'YSM', 136, '', 0, 'J31\r'),
	('J3', 3734, 'YLW', 87, 'YQF', 112, '', 0, 'J31\r'),
	('J3', 3734, 'YMM', 90, 'YEG', 49, '', 0, 'J31\r'),
	('J3', 3734, 'YMM', 90, 'YPY', 109, '', 0, 'J31\r'),
	('J3', 3734, 'YMM', 90, 'YQF', 112, '', 0, 'J31\r'),
	('J3', 3734, 'YPY', 109, 'YMM', 90, '', 0, 'J31\r'),
	('J3', 3734, 'YPY', 109, 'YSM', 136, '', 0, 'J31\r'),
	('J3', 3734, 'YQF', 112, 'YLW', 87, '', 0, 'J31\r'),
	('J3', 3734, 'YQF', 112, 'YMM', 90, '', 0, 'J31\r'),
	('J3', 3734, 'YSM', 136, 'YEG', 49, '', 0, 'J31\r'),
	('J3', 3734, 'YSM', 136, 'YHY', 72, '', 0, 'J31\r'),
	('J3', 3734, 'YSM', 136, 'YPY', 109, '', 0, 'J31\r'),
	('J3', 3734, 'YSM', 136, 'YZF', 196, '', 0, 'J31\r'),
	('J3', 3734, 'YZF', 196, 'YSM', 136, '', 0, 'J31\r'),
	('J4', 10737, 'EGN', 6768, 'KRT', 1175, '', 0, '737\r'),
	('J4', 10737, 'ELF', 1169, 'KRT', 1175, '', 0, '737\r'),
	('J4', 10737, 'KRT', 1175, 'EGN', 6768, '', 0, '737\r'),
	('J4', 10737, 'KRT', 1175, 'ELF', 1169, '', 0, '737\r'),
	('J4', 10737, 'KRT', 1175, 'PZU', 5702, '', 0, '737\r'),
	('J4', 10737, 'KRT', 1175, 'UYL', 5701, '', 0, '737\r'),
	('J4', 10737, 'PZU', 5702, 'KRT', 1175, '', 0, '737\r'),
	('J4', 10737, 'UYL', 5701, 'KRT', 1175, '', 0, '737\r'),
	('J5', 10912, 'AGN', 7135, 'TKE', 7137, '', 0, 'DHP\r'),
	('J5', 10912, 'ELV', 7136, 'JNU', 3492, '', 0, 'DHP\r'),
	('J5', 10912, 'GST', 5960, 'JNU', 3492, '', 0, 'PA1\r'),
	('J5', 10912, 'HNH', 7142, 'JNU', 3492, '', 0, 'CNA\r'),
	('J5', 10912, 'HNS', 5963, 'JNU', 3492, '', 0, 'CNA\r'),
	('J5', 10912, 'HNS', 5963, 'SGY', 5961, '', 0, 'CNC\r'),
	('J5', 10912, 'JNU', 3492, 'AGN', 7135, '', 0, 'DHP\r'),
	('J5', 10912, 'JNU', 3492, 'GST', 5960, '', 0, 'PA1\r'),
	('J5', 10912, 'JNU', 3492, 'HNH', 7142, '', 0, 'CNA\r'),
	('J5', 10912, 'JNU', 3492, 'HNS', 5963, '', 0, 'CNC CNA\r'),
	('J5', 10912, 'JNU', 3492, 'PEC', 7138, '', 0, 'DHP\r'),
	('J5', 10912, 'JNU', 3492, 'SGY', 5961, '', 0, 'CNA\r'),
	('J5', 10912, 'PEC', 7138, 'ELV', 7136, '', 0, 'DHP\r'),
	('J5', 10912, 'SGY', 5961, 'JNU', 3492, '', 0, 'CNC CNA\r'),
	('J5', 10912, 'TKE', 7137, 'JNU', 3492, '', 0, 'DHP\r'),
	('J8', 1508, 'RDN', 4013, 'SIN', 3316, '', 0, 'DH7\r'),
	('J8', 1508, 'RDN', 4013, 'SZB', 3408, '', 0, 'DH7\r'),
	('J8', 1508, 'SIN', 3316, 'RDN', 4013, '', 0, 'DH7\r'),
	('J8', 1508, 'SZB', 3408, 'RDN', 4013, '', 0, 'DH7\r'),
	('J9', 2993, 'AMM', 2170, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'ATZ', 5691, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'BAH', 2057, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'BEY', 2177, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'CAI', 1128, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'DWC', 8076, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'DXB', 2188, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'HBE', 3410, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'HMB', 8235, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'JED', 2072, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'AMM', 2170, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'ATZ', 5691, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'BAH', 2057, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'BEY', 2177, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'CAI', 1128, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'DWC', 8076, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'DXB', 2188, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'HBE', 3410, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'HMB', 8235, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'JED', 2072, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'LXR', 1132, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'MHD', 4331, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'NJF', 7490, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'RUH', 2082, '', 0, '320\r'),
	('J9', 2993, 'KWI', 2176, 'SAW', 4317, '', 0, '320\r'),
	('J9', 2993, 'LXR', 1132, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'MHD', 4331, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'NJF', 7490, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'RUH', 2082, 'KWI', 2176, '', 0, '320\r'),
	('J9', 2993, 'SAW', 4317, 'KWI', 2176, '', 0, '320\r'),
	('JA', 132, 'BEG', 1739, 'SJJ', 1646, '', 0, 'AT7\r'),
	('JA', 132, 'BNX', 5794, 'SJJ', 1646, '', 0, 'AT7\r'),
	('JA', 132, 'BNX', 5794, 'ZRH', 1678, '', 0, 'AT7\r'),
	('JA', 132, 'CPH', 609, 'SJJ', 1646, '', 0, 'AT7\r'),
	('JA', 132, 'IST', 1701, 'SJJ', 1646, '', 0, 'AT7\r'),
	('JA', 132, 'SJJ', 1646, 'BEG', 1739, '', 0, 'AT7\r'),
	('JA', 132, 'SJJ', 1646, 'BNX', 5794, '', 0, 'AT7\r'),
	('JA', 132, 'SJJ', 1646, 'CPH', 609, '', 0, 'AT7\r'),
	('JA', 132, 'SJJ', 1646, 'IST', 1701, '', 0, 'AT7\r'),
	('JA', 132, 'ZRH', 1678, 'BNX', 5794, '', 0, 'AT7\r'),
	('JB', 2731, 'CXH', 4107, 'YWH', 4106, '', 0, 'S76\r'),
	('JB', 2731, 'YWH', 4106, 'CXH', 4107, '', 0, 'S76\r'),
	('JD', 6557, 'BAV', 6346, 'CGO', 3375, '', 0, '320\r'),
	('JD', 6557, 'CAN', 3370, 'CKG', 3393, '', 0, '319\r'),
	('JD', 6557, 'CAN', 3370, 'CTU', 3395, '', 0, '319\r'),
	('JD', 6557, 'CAN', 3370, 'HAK', 4120, '', 0, '320\r'),
	('JD', 6557, 'CAN', 3370, 'HET', 6345, '', 0, '319\r'),
	('JD', 6557, 'CAN', 3370, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'CAN', 3370, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'CAN', 3370, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'CGO', 3375, 'BAV', 6346, '', 0, '320\r'),
	('JD', 6557, 'CGO', 3375, 'HAK', 4120, '', 0, '319\r'),
	('JD', 6557, 'CGO', 3375, 'HET', 6345, '', 0, '320\r'),
	('JD', 6557, 'CGO', 3375, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'CGO', 3375, 'KWL', 3372, '', 0, '320\r'),
	('JD', 6557, 'CGO', 3375, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'CGQ', 4380, 'FOC', 3385, '', 0, '320\r'),
	('JD', 6557, 'CGQ', 4380, 'SJW', 6347, '', 0, '320\r'),
	('JD', 6557, 'CIF', 6342, 'HET', 6345, '', 0, '319\r'),
	('JD', 6557, 'CKG', 3393, 'CAN', 3370, '', 0, '319\r'),
	('JD', 6557, 'CKG', 3393, 'HAK', 4120, '', 0, '320 319\r'),
	('JD', 6557, 'CKG', 3393, 'SYX', 4030, '', 0, '319\r'),
	('JD', 6557, 'CKG', 3393, 'XIY', 3379, '', 0, '320\r'),
	('JD', 6557, 'CSX', 3371, 'HAK', 4120, '', 0, '320\r'),
	('JD', 6557, 'CSX', 3371, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'CTU', 3395, 'CAN', 3370, '', 0, '319\r'),
	('JD', 6557, 'CTU', 3395, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'CTU', 3395, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'DLC', 3404, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'DLC', 3404, 'NGB', 3387, '', 0, '320\r'),
	('JD', 6557, 'DLC', 3404, 'WUH', 3376, '', 0, '319\r'),
	('JD', 6557, 'DNH', 4308, 'HGH', 3386, '', 0, '320\r'),
	('JD', 6557, 'DNH', 4308, 'URC', 3399, '', 0, '320\r'),
	('JD', 6557, 'DYG', 6353, 'XIY', 3379, '', 0, '319\r'),
	('JD', 6557, 'ENH', 6358, 'WUH', 3376, '', 0, '319\r'),
	('JD', 6557, 'FOC', 3385, 'CGQ', 4380, '', 0, '320\r'),
	('JD', 6557, 'FOC', 3385, 'SYX', 4030, '', 0, '319 320\r'),
	('JD', 6557, 'FOC', 3385, 'XUZ', 4149, '', 0, '319\r'),
	('JD', 6557, 'HAK', 4120, 'CAN', 3370, '', 0, '320\r'),
	('JD', 6557, 'HAK', 4120, 'CGO', 3375, '', 0, '319\r'),
	('JD', 6557, 'HAK', 4120, 'CKG', 3393, '', 0, '320 319\r'),
	('JD', 6557, 'HAK', 4120, 'CSX', 3371, '', 0, '320\r'),
	('JD', 6557, 'HAK', 4120, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'HAK', 4120, 'KHN', 3384, '', 0, '319\r'),
	('JD', 6557, 'HAK', 4120, 'KWE', 3394, '', 0, '319\r'),
	('JD', 6557, 'HAK', 4120, 'KWL', 3372, '', 0, '320\r'),
	('JD', 6557, 'HAK', 4120, 'NGB', 3387, '', 0, '320\r'),
	('JD', 6557, 'HAK', 4120, 'NKG', 3388, '', 0, '319\r'),
	('JD', 6557, 'HAK', 4120, 'PEK', 3364, '', 0, '319\r'),
	('JD', 6557, 'HAK', 4120, 'WUH', 3376, '', 0, '319\r'),
	('JD', 6557, 'HAK', 4120, 'XIY', 3379, '', 0, '319 320\r'),
	('JD', 6557, 'HET', 6345, 'CAN', 3370, '', 0, '319\r'),
	('JD', 6557, 'HET', 6345, 'CGO', 3375, '', 0, '320\r'),
	('JD', 6557, 'HET', 6345, 'CIF', 6342, '', 0, '319\r'),
	('JD', 6557, 'HET', 6345, 'KHN', 3384, '', 0, '319\r'),
	('JD', 6557, 'HET', 6345, 'PEK', 3364, '', 0, '319\r'),
	('JD', 6557, 'HET', 6345, 'WUH', 3376, '', 0, '320\r'),
	('JD', 6557, 'HFE', 3389, 'XIY', 3379, '', 0, '319\r'),
	('JD', 6557, 'HFE', 3389, 'XMN', 3383, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'CAN', 3370, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'CGO', 3375, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'DLC', 3404, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'DNH', 4308, '', 0, '320\r'),
	('JD', 6557, 'HGH', 3386, 'HAK', 4120, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'JHG', 4055, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'KMG', 3382, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'KWL', 3372, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'PEK', 3364, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'SJW', 6347, '', 0, '320\r'),
	('JD', 6557, 'HGH', 3386, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'HGH', 3386, 'TAO', 3390, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'TGO', 6348, '', 0, '319\r'),
	('JD', 6557, 'HGH', 3386, 'XIY', 3379, '', 0, '320\r'),
	('JD', 6557, 'HGH', 3386, 'YIH', 6361, '', 0, '320\r'),
	('JD', 6557, 'HLD', 3366, 'PEK', 3364, '', 0, '319\r'),
	('JD', 6557, 'HRB', 3400, 'SJW', 6347, '', 0, '320\r'),
	('JD', 6557, 'HRB', 3400, 'TGO', 6348, '', 0, '319\r'),
	('JD', 6557, 'HRB', 3400, 'TSN', 3368, '', 0, '319\r'),
	('JD', 6557, 'JHG', 4055, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'JHG', 4055, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'JXA', 8417, 'PEK', 3364, '', 0, '319\r'),
	('JD', 6557, 'KHG', 3397, 'URC', 3399, '', 0, '320\r'),
	('JD', 6557, 'KHN', 3384, 'HAK', 4120, '', 0, '319\r'),
	('JD', 6557, 'KHN', 3384, 'HET', 6345, '', 0, '319\r'),
	('JD', 6557, 'KHN', 3384, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'KHN', 3384, 'TNA', 4108, '', 0, '320\r'),
	('JD', 6557, 'KMG', 3382, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'KMG', 3382, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'KWE', 3394, 'HAK', 4120, '', 0, '319\r'),
	('JD', 6557, 'KWE', 3394, 'SYX', 4030, '', 0, '319\r'),
	('JD', 6557, 'KWE', 3394, 'XIY', 3379, '', 0, '319\r'),
	('JD', 6557, 'KWE', 3394, 'YIH', 6361, '', 0, '320\r'),
	('JD', 6557, 'KWL', 3372, 'CGO', 3375, '', 0, '320\r'),
	('JD', 6557, 'KWL', 3372, 'HAK', 4120, '', 0, '320\r'),
	('JD', 6557, 'KWL', 3372, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'KWL', 3372, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'KWL', 3372, 'NGB', 3387, '', 0, '319\r'),
	('JD', 6557, 'KWL', 3372, 'TNA', 4108, '', 0, '320\r'),
	('JD', 6557, 'KWL', 3372, 'TYN', 3369, '', 0, '320\r'),
	('JD', 6557, 'KWL', 3372, 'XIY', 3379, '', 0, '319 320\r'),
	('JD', 6557, 'KWL', 3372, 'XMN', 3383, '', 0, '319\r'),
	('JD', 6557, 'LHW', 6431, 'NNG', 3373, '', 0, '319\r'),
	('JD', 6557, 'LHW', 6431, 'PEK', 3364, '', 0, '320\r'),
	('JD', 6557, 'LHW', 6431, 'URC', 3399, '', 0, '320\r'),
	('JD', 6557, 'LJG', 4033, 'CAN', 3370, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'CTU', 3395, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'JHG', 4055, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'KMG', 3382, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'KWL', 3372, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'NKG', 3388, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'PEK', 3364, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'SJW', 6347, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'TNA', 4108, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'WUH', 3376, '', 0, '319\r'),
	('JD', 6557, 'LJG', 4033, 'XIY', 3379, '', 0, '319\r'),
	('JD', 6557, 'NGB', 3387, 'DLC', 3404, '', 0, '320\r'),
	('JD', 6557, 'NGB', 3387, 'HAK', 4120, '', 0, '320\r'),
	('JD', 6557, 'NGB', 3387, 'KWL', 3372, '', 0, '319\r'),
	('JD', 6557, 'NKG', 3388, 'HAK', 4120, '', 0, '319\r'),
	('JD', 6557, 'NKG', 3388, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'NKG', 3388, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'NNG', 3373, 'LHW', 6431, '', 0, '319\r'),
	('JD', 6557, 'NNG', 3373, 'SYX', 4030, '', 0, '319\r'),
	('JD', 6557, 'PEK', 3364, 'HAK', 4120, '', 0, '319\r'),
	('JD', 6557, 'PEK', 3364, 'HET', 6345, '', 0, '319\r'),
	('JD', 6557, 'PEK', 3364, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'PEK', 3364, 'HLD', 3366, '', 0, '319\r'),
	('JD', 6557, 'PEK', 3364, 'JXA', 8417, '', 0, '319\r'),
	('JD', 6557, 'PEK', 3364, 'LHW', 6431, '', 0, '320\r'),
	('JD', 6557, 'PEK', 3364, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'PEK', 3364, 'TAO', 3390, '', 0, '319\r'),
	('JD', 6557, 'PEK', 3364, 'XMN', 3383, '', 0, '320\r'),
	('JD', 6557, 'PEK', 3364, 'YIH', 6361, '', 0, '320\r'),
	('JD', 6557, 'SHE', 4144, 'SJW', 6347, '', 0, '319\r'),
	('JD', 6557, 'SJW', 6347, 'CGQ', 4380, '', 0, '320\r'),
	('JD', 6557, 'SJW', 6347, 'HGH', 3386, '', 0, '320\r'),
	('JD', 6557, 'SJW', 6347, 'HRB', 3400, '', 0, '320\r'),
	('JD', 6557, 'SJW', 6347, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'SJW', 6347, 'SHE', 4144, '', 0, '319\r'),
	('JD', 6557, 'SJW', 6347, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'SJW', 6347, 'URC', 3399, '', 0, '320\r'),
	('JD', 6557, 'SJW', 6347, 'XIY', 3379, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'CAN', 3370, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'CGO', 3375, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'CKG', 3393, '', 0, '319\r'),
	('JD', 6557, 'SYX', 4030, 'CSX', 3371, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'CTU', 3395, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'FOC', 3385, '', 0, '319 320\r'),
	('JD', 6557, 'SYX', 4030, 'HGH', 3386, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'KHN', 3384, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'KWE', 3394, '', 0, '319\r'),
	('JD', 6557, 'SYX', 4030, 'NKG', 3388, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'NNG', 3373, '', 0, '319\r'),
	('JD', 6557, 'SYX', 4030, 'SJW', 6347, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'TSN', 3368, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'WUH', 3376, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'XIY', 3379, '', 0, '320\r'),
	('JD', 6557, 'SYX', 4030, 'XMN', 3383, '', 0, '319\r'),
	('JD', 6557, 'SYX', 4030, 'YIH', 6361, '', 0, '320\r'),
	('JD', 6557, 'TAO', 3390, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'TAO', 3390, 'PEK', 3364, '', 0, '319\r'),
	('JD', 6557, 'TAO', 3390, 'XIY', 3379, '', 0, '319\r'),
	('JD', 6557, 'TGO', 6348, 'HGH', 3386, '', 0, '319\r'),
	('JD', 6557, 'TGO', 6348, 'HRB', 3400, '', 0, '319\r'),
	('JD', 6557, 'TNA', 4108, 'KHN', 3384, '', 0, '320\r'),
	('JD', 6557, 'TNA', 4108, 'KWL', 3372, '', 0, '320\r'),
	('JD', 6557, 'TNA', 4108, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'TNA', 4108, 'XIY', 3379, '', 0, '320\r'),
	('JD', 6557, 'TSN', 3368, 'HRB', 3400, '', 0, '319\r'),
	('JD', 6557, 'TSN', 3368, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'TSN', 3368, 'XIY', 3379, '', 0, '319\r'),
	('JD', 6557, 'TXN', 6387, 'XIY', 3379, '', 0, '319\r'),
	('JD', 6557, 'TXN', 6387, 'XMN', 3383, '', 0, '319\r'),
	('JD', 6557, 'TYN', 3369, 'KWL', 3372, '', 0, '320\r'),
	('JD', 6557, 'URC', 3399, 'DNH', 4308, '', 0, '320\r'),
	('JD', 6557, 'URC', 3399, 'KHG', 3397, '', 0, '320\r'),
	('JD', 6557, 'URC', 3399, 'LHW', 6431, '', 0, '320\r'),
	('JD', 6557, 'URC', 3399, 'SJW', 6347, '', 0, '320\r'),
	('JD', 6557, 'WUH', 3376, 'DLC', 3404, '', 0, '319\r'),
	('JD', 6557, 'WUH', 3376, 'ENH', 6358, '', 0, '319\r'),
	('JD', 6557, 'WUH', 3376, 'HAK', 4120, '', 0, '319\r'),
	('JD', 6557, 'WUH', 3376, 'HET', 6345, '', 0, '320\r'),
	('JD', 6557, 'WUH', 3376, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'WUH', 3376, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'WUH', 3376, 'XMN', 3383, '', 0, '320\r'),
	('JD', 6557, 'XIY', 3379, 'CKG', 3393, '', 0, '320\r'),
	('JD', 6557, 'XIY', 3379, 'DYG', 6353, '', 0, '319\r'),
	('JD', 6557, 'XIY', 3379, 'HAK', 4120, '', 0, '319 320\r'),
	('JD', 6557, 'XIY', 3379, 'HFE', 3389, '', 0, '319\r'),
	('JD', 6557, 'XIY', 3379, 'HGH', 3386, '', 0, '320\r'),
	('JD', 6557, 'XIY', 3379, 'KWE', 3394, '', 0, '319\r'),
	('JD', 6557, 'XIY', 3379, 'KWL', 3372, '', 0, '319 320\r'),
	('JD', 6557, 'XIY', 3379, 'LJG', 4033, '', 0, '319\r'),
	('JD', 6557, 'XIY', 3379, 'SJW', 6347, '', 0, '320\r'),
	('JD', 6557, 'XIY', 3379, 'SYX', 4030, '', 0, '320\r'),
	('JD', 6557, 'XIY', 3379, 'TAO', 3390, '', 0, '319\r'),
	('JD', 6557, 'XIY', 3379, 'TNA', 4108, '', 0, '320\r'),
	('JD', 6557, 'XIY', 3379, 'TSN', 3368, '', 0, '319\r'),
	('JD', 6557, 'XIY', 3379, 'TXN', 6387, '', 0, '319\r'),
	('JD', 6557, 'XMN', 3383, 'HFE', 3389, '', 0, '319\r'),
	('JD', 6557, 'XMN', 3383, 'KWL', 3372, '', 0, '319\r'),
	('JD', 6557, 'XMN', 3383, 'PEK', 3364, '', 0, '320\r'),
	('JD', 6557, 'XMN', 3383, 'SYX', 4030, '', 0, '319\r'),
	('JD', 6557, 'XMN', 3383, 'TXN', 6387, '', 0, '319\r'),
	('JD', 6557, 'XMN', 3383, 'WUH', 3376, '', 0, '320\r'),
	('JD', 6557, 'XUZ', 4149, 'FOC', 3385, '', 0, '319\r'),
	('JD', 6557, 'YIH', 6361, 'HGH', 3386, '', 0, '320\r'),
	('JD', 6557, 'YIH', 6361, 'KWE', 3394, '', 0, '320\r'),
	('JD', 6557, 'YIH', 6361, 'PEK', 3364, '', 0, '320\r'),
	('JD', 6557, 'YIH', 6361, 'SYX', 4030, '', 0, '320\r'),
	('JE', 3393, 'BFN', 794, 'CPT', 797, '', 0, '733 738\r'),
	('JE', 3393, 'CPT', 797, 'BFN', 794, '', 0, '733 738\r'),
	('JE', 3393, 'CPT', 797, 'DUR', 799, '', 0, '738\r'),
	('JE', 3393, 'CPT', 797, 'HLA', 820, '', 0, '738\r'),
	('JE', 3393, 'CPT', 797, 'JNB', 813, '', 0, '738 733\r'),
	('JE', 3393, 'CPT', 797, 'PLZ', 838, '', 0, '733\r'),
	('JE', 3393, 'DUR', 799, 'CPT', 797, '', 0, '738\r'),
	('JE', 3393, 'DUR', 799, 'JNB', 813, '', 0, '738 733\r'),
	('JE', 3393, 'GRJ', 804, 'JNB', 813, '', 0, '738 733\r'),
	('JE', 3393, 'HLA', 820, 'CPT', 797, '', 0, '738\r'),
	('JE', 3393, 'JNB', 813, 'CPT', 797, '', 0, '738 733\r'),
	('JE', 3393, 'JNB', 813, 'DUR', 799, '', 0, '738 733\r'),
	('JE', 3393, 'JNB', 813, 'GRJ', 804, '', 0, '738 733\r'),
	('JE', 3393, 'JNB', 813, 'PLZ', 838, '', 0, '733 738\r'),
	('JE', 3393, 'JNB', 813, 'ZNZ', 1186, '', 0, '738\r'),
	('JE', 3393, 'PLZ', 838, 'CPT', 797, '', 0, '733\r'),
	('JE', 3393, 'PLZ', 838, 'JNB', 813, '', 0, '733 738\r'),
	('JE', 3393, 'ZNZ', 1186, 'JNB', 813, '', 0, '738\r'),
	('JH', 13200, 'AOJ', 2340, 'NKM', 5997, '', 0, 'E70\r'),
	('JH', 13200, 'CTS', 2287, 'FSZ', 6476, '', 0, 'E70\r'),
	('JH', 13200, 'CTS', 2287, 'MMJ', 2280, '', 0, 'E70\r'),
	('JH', 13200, 'FSZ', 6476, 'CTS', 2287, '', 0, 'E70\r'),
	('JH', 13200, 'FSZ', 6476, 'FUK', 2305, '', 0, 'E70\r'),
	('JH', 13200, 'FSZ', 6476, 'KOJ', 2307, '', 0, 'E70\r'),
	('JH', 13200, 'FUK', 2305, 'FSZ', 6476, '', 0, 'E70\r'),
	('JH', 13200, 'FUK', 2305, 'KIJ', 4381, '', 0, 'E70\r'),
	('JH', 13200, 'FUK', 2305, 'MMJ', 2280, '', 0, 'E70\r'),
	('JH', 13200, 'GAJ', 2341, 'NKM', 5997, '', 0, 'E70\r'),
	('JH', 13200, 'HNA', 2344, 'NKM', 5997, '', 0, 'E70\r'),
	('JH', 13200, 'KCZ', 2332, 'NKM', 5997, '', 0, 'E70\r'),
	('JH', 13200, 'KIJ', 4381, 'FUK', 2305, '', 0, 'E70\r'),
	('JH', 13200, 'KIJ', 4381, 'NKM', 5997, '', 0, 'E70\r'),
	('JH', 13200, 'KMJ', 2312, 'NKM', 5997, '', 0, 'E70\r'),
	('JH', 13200, 'KOJ', 2307, 'FSZ', 6476, '', 0, 'E70\r'),
	('JH', 13200, 'MMJ', 2280, 'CTS', 2287, '', 0, 'E70\r'),
	('JH', 13200, 'MMJ', 2280, 'FUK', 2305, '', 0, 'E70\r'),
	('JH', 13200, 'NKM', 5997, 'AOJ', 2340, '', 0, 'E70\r'),
	('JH', 13200, 'NKM', 5997, 'GAJ', 2341, '', 0, 'E70\r'),
	('JH', 13200, 'NKM', 5997, 'HNA', 2344, '', 0, 'E70\r'),
	('JH', 13200, 'NKM', 5997, 'KCZ', 2332, '', 0, 'E70\r'),
	('JH', 13200, 'NKM', 5997, 'KIJ', 4381, '', 0, 'E70\r'),
	('JH', 13200, 'NKM', 5997, 'KMJ', 2312, '', 0, 'E70\r'),
	('JJ', 4867, 'AEP', 2442, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'AGT', 4305, 'ASU', 2699, 'Y', 0, '320\r'),
	('JJ', 4867, 'AGT', 4305, 'GRU', 2564, 'Y', 0, '320\r'),
	('JJ', 4867, 'AJU', 2522, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'AJU', 2522, 'REC', 2610, '', 0, '320\r'),
	('JJ', 4867, 'AJU', 2522, 'SDU', 2612, '', 0, '319\r'),
	('JJ', 4867, 'AJU', 2522, 'SSA', 2621, '', 0, '319\r'),
	('JJ', 4867, 'AQP', 2802, 'LIM', 2789, 'Y', 0, '319\r'),
	('JJ', 4867, 'ASU', 2699, 'AGT', 4305, 'Y', 0, '320\r'),
	('JJ', 4867, 'ASU', 2699, 'EZE', 3988, '', 0, '320\r'),
	('JJ', 4867, 'ASU', 2699, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'BEL', 2526, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'BEL', 2526, 'FOR', 2559, '', 0, '320\r'),
	('JJ', 4867, 'BEL', 2526, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'BEL', 2526, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'BEL', 2526, 'MAB', 2584, '', 0, '320\r'),
	('JJ', 4867, 'BEL', 2526, 'MAO', 2551, '', 0, '320\r'),
	('JJ', 4867, 'BEL', 2526, 'MCP', 2591, '', 0, '320\r'),
	('JJ', 4867, 'BEL', 2526, 'MIA', 3576, '', 0, '763\r'),
	('JJ', 4867, 'BEL', 2526, 'SLZ', 2616, '', 0, '320\r'),
	('JJ', 4867, 'BEL', 2526, 'STM', 4092, '', 0, '320\r'),
	('JJ', 4867, 'BOG', 2709, 'GRU', 2564, '', 0, '763\r'),
	('JJ', 4867, 'BPS', 4209, 'CGH', 2618, '', 0, '320\r'),
	('JJ', 4867, 'BPS', 4209, 'CNF', 2537, '', 0, '320 319\r'),
	('JJ', 4867, 'BPS', 4209, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'BEL', 2526, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'CGB', 2548, '', 0, '320 319\r'),
	('JJ', 4867, 'BSB', 2531, 'CGH', 2618, '', 0, '320 319\r'),
	('JJ', 4867, 'BSB', 2531, 'CGR', 2538, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'CNF', 2537, '', 0, '320 319\r'),
	('JJ', 4867, 'BSB', 2531, 'CWB', 2545, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'FLN', 2555, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'FOR', 2559, '', 0, '321 319\r'),
	('JJ', 4867, 'BSB', 2531, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'GRU', 2564, '', 0, '320 321\r'),
	('JJ', 4867, 'BSB', 2531, 'GYN', 2562, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'IMP', 2572, '', 0, '319 320\r'),
	('JJ', 4867, 'BSB', 2531, 'JPA', 2575, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'MAB', 2584, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'MAO', 2551, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'MCZ', 2590, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'MIA', 3576, '', 0, '757 763\r'),
	('JJ', 4867, 'BSB', 2531, 'NAT', 2597, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'PMW', 4214, '', 0, '319 320\r'),
	('JJ', 4867, 'BSB', 2531, 'POA', 2599, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'PVH', 2607, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'RBR', 2609, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'REC', 2610, '', 0, '321 320\r'),
	('JJ', 4867, 'BSB', 2531, 'SDU', 2612, '', 0, '319\r'),
	('JJ', 4867, 'BSB', 2531, 'SLZ', 2616, '', 0, '320 319\r'),
	('JJ', 4867, 'BSB', 2531, 'SSA', 2621, '', 0, '320 319\r'),
	('JJ', 4867, 'BSB', 2531, 'THE', 2623, '', 0, '320 319\r'),
	('JJ', 4867, 'BSB', 2531, 'UDI', 2633, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'VCP', 2578, '', 0, '320\r'),
	('JJ', 4867, 'BSB', 2531, 'VIX', 2638, '', 0, '320\r'),
	('JJ', 4867, 'BVB', 2533, 'MAO', 2551, '', 0, '320\r'),
	('JJ', 4867, 'CCS', 2851, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'CDG', 1382, 'GRU', 2564, '', 0, '773\r'),
	('JJ', 4867, 'CDG', 1382, 'PEK', 3364, '', 0, '773\r'),
	('JJ', 4867, 'CGB', 2548, 'BSB', 2531, '', 0, '320 319\r'),
	('JJ', 4867, 'CGB', 2548, 'CGH', 2618, '', 0, '319\r'),
	('JJ', 4867, 'CGB', 2548, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'CGH', 2618, 'BPS', 4209, '', 0, '320\r'),
	('JJ', 4867, 'CGH', 2618, 'BSB', 2531, '', 0, '320 319\r'),
	('JJ', 4867, 'CGH', 2618, 'CGB', 2548, '', 0, '320\r'),
	('JJ', 4867, 'CGH', 2618, 'CGR', 2538, '', 0, '320\r'),
	('JJ', 4867, 'CGH', 2618, 'CNF', 2537, '', 0, '319 320\r'),
	('JJ', 4867, 'CGH', 2618, 'CWB', 2545, '', 0, '320 319\r'),
	('JJ', 4867, 'CGH', 2618, 'FLN', 2555, '', 0, '319 320\r'),
	('JJ', 4867, 'CGH', 2618, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'CGH', 2618, 'GYN', 2562, '', 0, '320 319\r'),
	('JJ', 4867, 'CGH', 2618, 'IGU', 2554, '', 0, '320 319\r'),
	('JJ', 4867, 'CGH', 2618, 'IOS', 2569, '', 0, '319\r'),
	('JJ', 4867, 'CGH', 2618, 'JOI', 2576, '', 0, '319\r'),
	('JJ', 4867, 'CGH', 2618, 'LDB', 2581, '', 0, '319\r'),
	('JJ', 4867, 'CGH', 2618, 'NVT', 2595, '', 0, '319\r'),
	('JJ', 4867, 'CGH', 2618, 'POA', 2599, '', 0, '320 319\r'),
	('JJ', 4867, 'CGH', 2618, 'RAO', 2613, '', 0, '320 319\r'),
	('JJ', 4867, 'CGH', 2618, 'SDU', 2612, '', 0, '319\r'),
	('JJ', 4867, 'CGH', 2618, 'SJP', 2619, '', 0, '320 319\r'),
	('JJ', 4867, 'CGH', 2618, 'SSA', 2621, '', 0, '320 319\r'),
	('JJ', 4867, 'CGH', 2618, 'UDI', 2633, '', 0, '319 320\r'),
	('JJ', 4867, 'CGH', 2618, 'VIX', 2638, '', 0, '320 319\r'),
	('JJ', 4867, 'CGR', 2538, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'CGR', 2538, 'CGH', 2618, '', 0, '320\r'),
	('JJ', 4867, 'CGR', 2538, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'CNF', 2537, 'BPS', 4209, '', 0, '320 319\r'),
	('JJ', 4867, 'CNF', 2537, 'BSB', 2531, '', 0, '320 319\r'),
	('JJ', 4867, 'CNF', 2537, 'CGH', 2618, '', 0, '319 320\r'),
	('JJ', 4867, 'CNF', 2537, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'CNF', 2537, 'GRU', 2564, '', 0, '320 321\r'),
	('JJ', 4867, 'CNF', 2537, 'MIA', 3576, '', 0, '763\r'),
	('JJ', 4867, 'CNF', 2537, 'SDU', 2612, '', 0, '319\r'),
	('JJ', 4867, 'CNF', 2537, 'SSA', 2621, '', 0, '320\r'),
	('JJ', 4867, 'CUZ', 2812, 'JUL', 2792, 'Y', 0, '319\r'),
	('JJ', 4867, 'CWB', 2545, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'CWB', 2545, 'CGH', 2618, '', 0, '320 319\r'),
	('JJ', 4867, 'CWB', 2545, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'CWB', 2545, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'CWB', 2545, 'IGU', 2554, '', 0, '320\r'),
	('JJ', 4867, 'CWB', 2545, 'LDB', 2581, '', 0, '320\r'),
	('JJ', 4867, 'CWB', 2545, 'POA', 2599, '', 0, '320\r'),
	('JJ', 4867, 'CWB', 2545, 'SSA', 2621, '', 0, '320\r'),
	('JJ', 4867, 'DFW', 3670, 'GIG', 2560, '', 0, '763\r'),
	('JJ', 4867, 'DFW', 3670, 'GRU', 2564, '', 0, '77W\r'),
	('JJ', 4867, 'EZE', 3988, 'ASU', 2699, '', 0, '320\r'),
	('JJ', 4867, 'EZE', 3988, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'EZE', 3988, 'GRU', 2564, '', 0, '330 320\r'),
	('JJ', 4867, 'FLN', 2555, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'FLN', 2555, 'CGH', 2618, '', 0, '320 319\r'),
	('JJ', 4867, 'FLN', 2555, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'FLN', 2555, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'FOR', 2559, 'BEL', 2526, '', 0, '320\r'),
	('JJ', 4867, 'FOR', 2559, 'BSB', 2531, '', 0, '321 319\r'),
	('JJ', 4867, 'FOR', 2559, 'GIG', 2560, '', 0, '320 321\r'),
	('JJ', 4867, 'FOR', 2559, 'GRU', 2564, '', 0, '321 320\r'),
	('JJ', 4867, 'FOR', 2559, 'MAO', 2551, '', 0, '320\r'),
	('JJ', 4867, 'FOR', 2559, 'NAT', 2597, '', 0, '321\r'),
	('JJ', 4867, 'FOR', 2559, 'REC', 2610, '', 0, '320\r'),
	('JJ', 4867, 'FOR', 2559, 'SLZ', 2616, '', 0, '320\r'),
	('JJ', 4867, 'FOR', 2559, 'SSA', 2621, '', 0, '320\r'),
	('JJ', 4867, 'FOR', 2559, 'THE', 2623, '', 0, '319 320\r'),
	('JJ', 4867, 'FRA', 340, 'GIG', 2560, 'Y', 0, '744\r'),
	('JJ', 4867, 'FRA', 340, 'GRU', 2564, '', 0, '773\r'),
	('JJ', 4867, 'GIG', 2560, 'BEL', 2526, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'CGH', 2618, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'CNF', 2537, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'CWB', 2545, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'DFW', 3670, '', 0, '763\r'),
	('JJ', 4867, 'GIG', 2560, 'EZE', 3988, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'FLN', 2555, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'FOR', 2559, '', 0, '320 321\r'),
	('JJ', 4867, 'GIG', 2560, 'FRA', 340, 'Y', 0, '744\r'),
	('JJ', 4867, 'GIG', 2560, 'GRU', 2564, '', 0, '320 319\r'),
	('JJ', 4867, 'GIG', 2560, 'IGU', 2554, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'JFK', 3797, '', 0, '763\r'),
	('JJ', 4867, 'GIG', 2560, 'JPA', 2575, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'MAO', 2551, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'MCZ', 2590, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'MIA', 3576, '', 0, '763\r'),
	('JJ', 4867, 'GIG', 2560, 'NAT', 2597, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'POA', 2599, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'REC', 2610, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'SCL', 2650, 'Y', 0, '320 319\r'),
	('JJ', 4867, 'GIG', 2560, 'SLZ', 2616, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'SSA', 2621, '', 0, '320 321\r'),
	('JJ', 4867, 'GIG', 2560, 'VCP', 2578, '', 0, '320\r'),
	('JJ', 4867, 'GIG', 2560, 'VIX', 2638, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'AEP', 2442, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'AGT', 4305, 'Y', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'AJU', 2522, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'ASU', 2699, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'BEL', 2526, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'BOG', 2709, '', 0, '763\r'),
	('JJ', 4867, 'GRU', 2564, 'BPS', 4209, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'BSB', 2531, '', 0, '321 320\r'),
	('JJ', 4867, 'GRU', 2564, 'CCS', 2851, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'CDG', 1382, '', 0, '773\r'),
	('JJ', 4867, 'GRU', 2564, 'CGB', 2548, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'CGR', 2538, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'CNF', 2537, '', 0, '321 320\r'),
	('JJ', 4867, 'GRU', 2564, 'CWB', 2545, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'DFW', 3670, '', 0, '77W\r'),
	('JJ', 4867, 'GRU', 2564, 'EZE', 3988, '', 0, '330 320\r'),
	('JJ', 4867, 'GRU', 2564, 'FLN', 2555, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'FOR', 2559, '', 0, '321 320\r'),
	('JJ', 4867, 'GRU', 2564, 'FRA', 340, '', 0, '773\r'),
	('JJ', 4867, 'GRU', 2564, 'GIG', 2560, '', 0, '320 319\r'),
	('JJ', 4867, 'GRU', 2564, 'GYN', 2562, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'IGU', 2554, '', 0, '320 319\r'),
	('JJ', 4867, 'GRU', 2564, 'JFK', 3797, '', 0, '773 77W 777\r'),
	('JJ', 4867, 'GRU', 2564, 'JNB', 813, '', 0, '346 332 343\r'),
	('JJ', 4867, 'GRU', 2564, 'JOI', 2576, '', 0, '319\r'),
	('JJ', 4867, 'GRU', 2564, 'JPA', 2575, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'LDB', 2581, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'LHR', 507, '', 0, '773\r'),
	('JJ', 4867, 'GRU', 2564, 'LIM', 2789, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'MAD', 1229, '', 0, '330\r'),
	('JJ', 4867, 'GRU', 2564, 'MAO', 2551, '', 0, '330 321 320\r'),
	('JJ', 4867, 'GRU', 2564, 'MCO', 3878, '', 0, '330\r'),
	('JJ', 4867, 'GRU', 2564, 'MCZ', 2590, '', 0, '321\r'),
	('JJ', 4867, 'GRU', 2564, 'MEX', 1824, '', 0, '330\r'),
	('JJ', 4867, 'GRU', 2564, 'MIA', 3576, '', 0, '773 777\r'),
	('JJ', 4867, 'GRU', 2564, 'MUC', 346, 'Y', 0, '346\r'),
	('JJ', 4867, 'GRU', 2564, 'MVD', 2816, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'MXP', 1524, '', 0, '330\r'),
	('JJ', 4867, 'GRU', 2564, 'NAT', 2597, '', 0, '321 320\r'),
	('JJ', 4867, 'GRU', 2564, 'POA', 2599, '', 0, '320 321 330\r'),
	('JJ', 4867, 'GRU', 2564, 'RAO', 2613, '', 0, '320 319\r'),
	('JJ', 4867, 'GRU', 2564, 'REC', 2610, '', 0, '321 320\r'),
	('JJ', 4867, 'GRU', 2564, 'ROS', 2440, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'SCL', 2650, '', 0, '773 320 330\r'),
	('JJ', 4867, 'GRU', 2564, 'SJP', 2619, '', 0, '320 319\r'),
	('JJ', 4867, 'GRU', 2564, 'SLZ', 2616, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'SSA', 2621, '', 0, '320 321\r'),
	('JJ', 4867, 'GRU', 2564, 'THE', 2623, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'VIX', 2638, '', 0, '320\r'),
	('JJ', 4867, 'GRU', 2564, 'YYZ', 193, 'Y', 0, '763\r'),
	('JJ', 4867, 'GYN', 2562, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'GYN', 2562, 'CGH', 2618, '', 0, '320 319\r'),
	('JJ', 4867, 'GYN', 2562, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'IGU', 2554, 'CGH', 2618, '', 0, '320 319\r'),
	('JJ', 4867, 'IGU', 2554, 'CWB', 2545, '', 0, '320\r'),
	('JJ', 4867, 'IGU', 2554, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'IGU', 2554, 'GRU', 2564, '', 0, '319 320\r'),
	('JJ', 4867, 'IGU', 2554, 'LIM', 2789, 'Y', 0, '319\r'),
	('JJ', 4867, 'IMP', 2572, 'BSB', 2531, '', 0, '320 319\r'),
	('JJ', 4867, 'IMP', 2572, 'SLZ', 2616, '', 0, '319 320\r'),
	('JJ', 4867, 'IOS', 2569, 'CGH', 2618, '', 0, '319\r'),
	('JJ', 4867, 'IOS', 2569, 'SDU', 2612, '', 0, '319\r'),
	('JJ', 4867, 'JFK', 3797, 'GIG', 2560, '', 0, '763\r'),
	('JJ', 4867, 'JFK', 3797, 'GRU', 2564, '', 0, '773 77W 777\r'),
	('JJ', 4867, 'JFK', 3797, 'LIM', 2789, 'Y', 0, '763\r'),
	('JJ', 4867, 'JNB', 813, 'GRU', 2564, '', 0, '332 343 346\r'),
	('JJ', 4867, 'JOI', 2576, 'CGH', 2618, '', 0, '319\r'),
	('JJ', 4867, 'JOI', 2576, 'GRU', 2564, '', 0, '319\r'),
	('JJ', 4867, 'JPA', 2575, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'JPA', 2575, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'JPA', 2575, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'JUL', 2792, 'AQP', 2802, 'Y', 0, '319\r'),
	('JJ', 4867, 'LAX', 3484, 'LIM', 2789, 'Y', 0, '763\r'),
	('JJ', 4867, 'LDB', 2581, 'CGH', 2618, '', 0, '319\r'),
	('JJ', 4867, 'LDB', 2581, 'CWB', 2545, '', 0, '320\r'),
	('JJ', 4867, 'LDB', 2581, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'LHR', 507, 'GRU', 2564, '', 0, '773\r'),
	('JJ', 4867, 'LIM', 2789, 'CUZ', 2812, 'Y', 0, '319\r'),
	('JJ', 4867, 'LIM', 2789, 'GRU', 2564, '', 0, '319 320\r'),
	('JJ', 4867, 'LIM', 2789, 'IGU', 2554, 'Y', 0, '319\r'),
	('JJ', 4867, 'LIM', 2789, 'JFK', 3797, 'Y', 0, '763\r'),
	('JJ', 4867, 'LIM', 2789, 'LAX', 3484, 'Y', 0, '763\r'),
	('JJ', 4867, 'LIM', 2789, 'SCL', 2650, 'Y', 0, '763\r'),
	('JJ', 4867, 'MAB', 2584, 'BEL', 2526, '', 0, '320\r'),
	('JJ', 4867, 'MAB', 2584, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'MAD', 1229, 'GRU', 2564, '', 0, '330\r'),
	('JJ', 4867, 'MAD', 1229, 'PEK', 3364, '', 0, '330\r'),
	('JJ', 4867, 'MAO', 2551, 'BEL', 2526, '', 0, '320\r'),
	('JJ', 4867, 'MAO', 2551, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'MAO', 2551, 'BVB', 2533, '', 0, '320\r'),
	('JJ', 4867, 'MAO', 2551, 'FOR', 2559, '', 0, '320\r'),
	('JJ', 4867, 'MAO', 2551, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'MAO', 2551, 'GRU', 2564, '', 0, '321 320 330\r'),
	('JJ', 4867, 'MAO', 2551, 'MIA', 3576, '', 0, '738 763\r'),
	('JJ', 4867, 'MAO', 2551, 'STM', 4092, '', 0, '320\r'),
	('JJ', 4867, 'MCO', 3878, 'GRU', 2564, '', 0, '330\r'),
	('JJ', 4867, 'MCP', 2591, 'BEL', 2526, '', 0, '320\r'),
	('JJ', 4867, 'MCZ', 2590, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'MCZ', 2590, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'MCZ', 2590, 'GRU', 2564, '', 0, '321\r'),
	('JJ', 4867, 'MEX', 1824, 'GRU', 2564, '', 0, '330\r'),
	('JJ', 4867, 'MIA', 3576, 'BEL', 2526, '', 0, '763\r'),
	('JJ', 4867, 'MIA', 3576, 'BSB', 2531, '', 0, '763 757\r'),
	('JJ', 4867, 'MIA', 3576, 'BWI', 3849, '', 0, '777\r'),
	('JJ', 4867, 'MIA', 3576, 'CNF', 2537, '', 0, '763\r'),
	('JJ', 4867, 'MIA', 3576, 'GIG', 2560, '', 0, '763\r'),
	('JJ', 4867, 'MIA', 3576, 'GRU', 2564, '', 0, '773 777\r'),
	('JJ', 4867, 'MIA', 3576, 'MAO', 2551, '', 0, '763 738\r'),
	('JJ', 4867, 'MIA', 3576, 'REC', 2610, '', 0, '757\r'),
	('JJ', 4867, 'MIA', 3576, 'SSA', 2621, '', 0, '757\r'),
	('JJ', 4867, 'MUC', 346, 'GRU', 2564, 'Y', 0, '346\r'),
	('JJ', 4867, 'MVD', 2816, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'MXP', 1524, 'GRU', 2564, '', 0, '330\r'),
	('JJ', 4867, 'NAT', 2597, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'NAT', 2597, 'FOR', 2559, '', 0, '321\r'),
	('JJ', 4867, 'NAT', 2597, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'NAT', 2597, 'GRU', 2564, '', 0, '320 321\r'),
	('JJ', 4867, 'NVT', 2595, 'CGH', 2618, '', 0, '319\r'),
	('JJ', 4867, 'PEK', 3364, 'CDG', 1382, '', 0, '773\r'),
	('JJ', 4867, 'PEK', 3364, 'MAD', 1229, '', 0, '330\r'),
	('JJ', 4867, 'PET', 2603, 'POA', 2599, 'Y', 0, 'L4T\r'),
	('JJ', 4867, 'PMW', 4214, 'BSB', 2531, '', 0, '319 320\r'),
	('JJ', 4867, 'POA', 2599, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'POA', 2599, 'CGH', 2618, '', 0, '319 320\r'),
	('JJ', 4867, 'POA', 2599, 'CWB', 2545, '', 0, '320\r'),
	('JJ', 4867, 'POA', 2599, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'POA', 2599, 'GRU', 2564, '', 0, '321 320 330\r'),
	('JJ', 4867, 'PUQ', 2647, 'SCL', 2650, 'Y', 0, '320\r'),
	('JJ', 4867, 'PVH', 2607, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'RAO', 2613, 'CGH', 2618, '', 0, '319 320\r'),
	('JJ', 4867, 'RAO', 2613, 'GRU', 2564, '', 0, '320 319\r'),
	('JJ', 4867, 'RBR', 2609, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'REC', 2610, 'AJU', 2522, '', 0, '320\r'),
	('JJ', 4867, 'REC', 2610, 'BSB', 2531, '', 0, '320 321\r'),
	('JJ', 4867, 'REC', 2610, 'FOR', 2559, '', 0, '320\r'),
	('JJ', 4867, 'REC', 2610, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'REC', 2610, 'GRU', 2564, '', 0, '321 320\r'),
	('JJ', 4867, 'REC', 2610, 'MIA', 3576, '', 0, '757\r'),
	('JJ', 4867, 'REC', 2610, 'SSA', 2621, '', 0, '320\r'),
	('JJ', 4867, 'RIG', 2611, 'PET', 2603, 'Y', 0, 'L4T\r'),
	('JJ', 4867, 'ROS', 2440, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'SCL', 2650, 'GIG', 2560, 'Y', 0, '320 319\r'),
	('JJ', 4867, 'SCL', 2650, 'GRU', 2564, '', 0, '320 773 330\r'),
	('JJ', 4867, 'SCL', 2650, 'IQQ', 2649, 'Y', 0, '320\r'),
	('JJ', 4867, 'SCL', 2650, 'LIM', 2789, 'Y', 0, '763\r'),
	('JJ', 4867, 'SDU', 2612, 'AJU', 2522, '', 0, '319\r'),
	('JJ', 4867, 'SDU', 2612, 'BSB', 2531, '', 0, '319\r'),
	('JJ', 4867, 'SDU', 2612, 'CGH', 2618, '', 0, '319\r'),
	('JJ', 4867, 'SDU', 2612, 'CNF', 2537, '', 0, '319\r'),
	('JJ', 4867, 'SDU', 2612, 'IOS', 2569, '', 0, '319\r'),
	('JJ', 4867, 'SDU', 2612, 'VIX', 2638, '', 0, '319\r'),
	('JJ', 4867, 'SJP', 2619, 'CGH', 2618, '', 0, '319 320\r'),
	('JJ', 4867, 'SJP', 2619, 'GRU', 2564, '', 0, '320 319\r'),
	('JJ', 4867, 'SLZ', 2616, 'BEL', 2526, '', 0, '320\r'),
	('JJ', 4867, 'SLZ', 2616, 'BSB', 2531, '', 0, '320 319\r'),
	('JJ', 4867, 'SLZ', 2616, 'FOR', 2559, '', 0, '320\r'),
	('JJ', 4867, 'SLZ', 2616, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'SLZ', 2616, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'SLZ', 2616, 'IMP', 2572, '', 0, '320 319\r'),
	('JJ', 4867, 'SSA', 2621, 'AJU', 2522, '', 0, '319\r'),
	('JJ', 4867, 'SSA', 2621, 'BSB', 2531, '', 0, '320 319\r'),
	('JJ', 4867, 'SSA', 2621, 'CGH', 2618, '', 0, '320 319\r'),
	('JJ', 4867, 'SSA', 2621, 'CNF', 2537, '', 0, '320\r'),
	('JJ', 4867, 'SSA', 2621, 'CWB', 2545, '', 0, '320\r'),
	('JJ', 4867, 'SSA', 2621, 'FOR', 2559, '', 0, '320\r'),
	('JJ', 4867, 'SSA', 2621, 'GIG', 2560, '', 0, '320 321\r'),
	('JJ', 4867, 'SSA', 2621, 'GRU', 2564, '', 0, '321 320\r'),
	('JJ', 4867, 'SSA', 2621, 'MIA', 3576, '', 0, '757\r'),
	('JJ', 4867, 'SSA', 2621, 'REC', 2610, '', 0, '320\r'),
	('JJ', 4867, 'STM', 4092, 'BEL', 2526, '', 0, '320\r'),
	('JJ', 4867, 'STM', 4092, 'MAO', 2551, '', 0, '320\r'),
	('JJ', 4867, 'THE', 2623, 'BSB', 2531, '', 0, '319 320\r'),
	('JJ', 4867, 'THE', 2623, 'FOR', 2559, '', 0, '319 320\r'),
	('JJ', 4867, 'THE', 2623, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'UDI', 2633, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'UDI', 2633, 'CGH', 2618, '', 0, '319 320\r'),
	('JJ', 4867, 'VCP', 2578, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'VCP', 2578, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'VIX', 2638, 'BSB', 2531, '', 0, '320\r'),
	('JJ', 4867, 'VIX', 2638, 'CGH', 2618, '', 0, '320 319\r'),
	('JJ', 4867, 'VIX', 2638, 'GIG', 2560, '', 0, '320\r'),
	('JJ', 4867, 'VIX', 2638, 'GRU', 2564, '', 0, '320\r'),
	('JJ', 4867, 'VIX', 2638, 'SDU', 2612, '', 0, '319\r'),
	('JJ', 4867, 'YYZ', 193, 'GRU', 2564, 'Y', 0, '763\r'),
	('JL', 2987, 'AKJ', 2299, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'AOJ', 2340, 'CTS', 2287, 'Y', 0, 'E70\r'),
	('JL', 2987, 'AOJ', 2340, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'AOJ', 2340, 'ITM', 2334, 'Y', 0, 'E70\r'),
	('JL', 2987, 'ASJ', 2316, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'ASJ', 2316, 'ITM', 2334, 'Y', 0, '73H\r'),
	('JL', 2987, 'AXT', 2345, 'CTS', 2287, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'AXT', 2345, 'HND', 2359, 'Y', 0, '73H\r'),
	('JL', 2987, 'AXT', 2345, 'ITM', 2334, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'BKI', 3269, 'NRT', 2279, '', 0, '738\r'),
	('JL', 2987, 'BKK', 3885, 'CEI', 3932, 'Y', 0, '734\r'),
	('JL', 2987, 'BKK', 3885, 'CNX', 3931, 'Y', 0, '747 320 773\r'),
	('JL', 2987, 'BKK', 3885, 'FUK', 2305, 'Y', 0, '330\r'),
	('JL', 2987, 'BKK', 3885, 'HKT', 3179, 'Y', 0, '320 333\r'),
	('JL', 2987, 'BKK', 3885, 'HND', 2359, '', 0, '767 777\r'),
	('JL', 2987, 'BKK', 3885, 'KIX', 3992, '', 0, '767\r'),
	('JL', 2987, 'BKK', 3885, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'BOS', 3448, 'MSY', 3861, 'Y', 0, 'E90\r'),
	('JL', 2987, 'BOS', 3448, 'NRT', 2279, '', 0, '788\r'),
	('JL', 2987, 'CAN', 3370, 'KIX', 3992, 'Y', 0, '321\r'),
	('JL', 2987, 'CAN', 3370, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'CDG', 1382, 'HND', 2359, '', 0, '773\r'),
	('JL', 2987, 'CDG', 1382, 'LYS', 1335, 'Y', 0, '320\r'),
	('JL', 2987, 'CDG', 1382, 'NRT', 2279, '', 0, '788\r'),
	('JL', 2987, 'CDG', 1382, 'TLS', 1273, 'Y', 0, '319\r'),
	('JL', 2987, 'CEI', 3932, 'BKK', 3885, 'Y', 0, '734\r'),
	('JL', 2987, 'CGK', 3275, 'NRT', 2279, '', 0, '773 777\r'),
	('JL', 2987, 'CJU', 2370, 'KIX', 3992, 'Y', 0, '739\r'),
	('JL', 2987, 'CJU', 2370, 'NRT', 2279, 'Y', 0, '739\r'),
	('JL', 2987, 'CNS', 3322, 'BNE', 3320, 'Y', 0, '333\r'),
	('JL', 2987, 'CNS', 3322, 'KIX', 3992, 'Y', 0, '332\r'),
	('JL', 2987, 'CNS', 3322, 'NRT', 2279, 'Y', 0, '332\r'),
	('JL', 2987, 'CTS', 2287, 'AOJ', 2340, 'Y', 0, 'E70\r'),
	('JL', 2987, 'CTS', 2287, 'AXT', 2345, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'CTS', 2287, 'FUK', 2305, '', 0, '73H\r'),
	('JL', 2987, 'CTS', 2287, 'HIJ', 2326, 'Y', 0, '73H\r'),
	('JL', 2987, 'CTS', 2287, 'HKG', 3077, 'Y', 0, '744\r'),
	('JL', 2987, 'CTS', 2287, 'HNA', 2344, 'Y', 0, 'E70 CRJ\r'),
	('JL', 2987, 'CTS', 2287, 'HND', 2359, '', 0, '777 773 73H 767\r'),
	('JL', 2987, 'CTS', 2287, 'ICN', 3930, 'Y', 0, '73H 744 333 772\r'),
	('JL', 2987, 'CTS', 2287, 'ITM', 2334, '', 0, '73H\r'),
	('JL', 2987, 'CTS', 2287, 'KIJ', 4381, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'CTS', 2287, 'KIX', 3992, '', 0, '73H\r'),
	('JL', 2987, 'CTS', 2287, 'MMB', 2290, 'Y', 0, 'CRJ E70\r'),
	('JL', 2987, 'CTS', 2287, 'NGO', 3942, 'Y', 0, '73H\r'),
	('JL', 2987, 'CTS', 2287, 'NRT', 2279, 'Y', 0, '773\r'),
	('JL', 2987, 'CTS', 2287, 'PVG', 3406, 'Y', 0, '321 320\r'),
	('JL', 2987, 'CTS', 2287, 'SDJ', 2347, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'DEL', 3093, 'NRT', 2279, '', 0, '777\r'),
	('JL', 2987, 'DFW', 3670, 'MSY', 3861, 'Y', 0, 'M80 M83\r'),
	('JL', 2987, 'DFW', 3670, 'NRT', 2279, 'Y', 0, '777\r'),
	('JL', 2987, 'DLC', 3404, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'DME', 4029, 'NRT', 2279, '', 0, '788\r'),
	('JL', 2987, 'DOH', 2241, 'KIX', 3992, '', 0, '332\r'),
	('JL', 2987, 'DOH', 2241, 'NRT', 2279, '', 0, '77L\r'),
	('JL', 2987, 'DXB', 2188, 'HND', 2359, 'Y', 0, '772\r'),
	('JL', 2987, 'DXB', 2188, 'KIX', 3992, 'Y', 0, '773\r'),
	('JL', 2987, 'DXB', 2188, 'NRT', 2279, 'Y', 0, '773\r'),
	('JL', 2987, 'FRA', 340, 'NRT', 2279, '', 0, '773\r'),
	('JL', 2987, 'FSZ', 6476, 'PVG', 3406, 'Y', 0, '738\r'),
	('JL', 2987, 'FUK', 2305, 'BKK', 3885, 'Y', 0, '330\r'),
	('JL', 2987, 'FUK', 2305, 'CTS', 2287, '', 0, '73H\r'),
	('JL', 2987, 'FUK', 2305, 'HAN', 3199, 'Y', 0, '321\r'),
	('JL', 2987, 'FUK', 2305, 'HNA', 2344, 'Y', 0, 'E70\r'),
	('JL', 2987, 'FUK', 2305, 'HND', 2359, '', 0, '777 767 73H\r'),
	('JL', 2987, 'FUK', 2305, 'ICN', 3930, 'Y', 0, '333 739 773\r'),
	('JL', 2987, 'FUK', 2305, 'ITM', 2334, '', 0, 'E70\r'),
	('JL', 2987, 'FUK', 2305, 'NRT', 2279, 'Y', 0, '73H\r'),
	('JL', 2987, 'FUK', 2305, 'PVG', 3406, 'Y', 0, '320 738\r'),
	('JL', 2987, 'FUK', 2305, 'SDJ', 2347, 'Y', 0, 'E70\r'),
	('JL', 2987, 'FUK', 2305, 'SGN', 3205, 'Y', 0, '321\r'),
	('JL', 2987, 'FUK', 2305, 'TAO', 3390, 'Y', 0, '319\r'),
	('JL', 2987, 'FUK', 2305, 'TPE', 2276, 'Y', 0, '772\r'),
	('JL', 2987, 'GAJ', 2341, 'HND', 2359, '', 0, 'E70\r'),
	('JL', 2987, 'GAJ', 2341, 'ITM', 2334, 'Y', 0, 'E70 CRJ\r'),
	('JL', 2987, 'GMP', 2378, 'HND', 2359, '', 0, '767\r'),
	('JL', 2987, 'GMP', 2378, 'KIX', 3992, '', 0, '73H\r'),
	('JL', 2987, 'GUM', 2246, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'HAN', 3199, 'FUK', 2305, 'Y', 0, '321\r'),
	('JL', 2987, 'HAN', 3199, 'KIX', 3992, 'Y', 0, '321\r'),
	('JL', 2987, 'HAN', 3199, 'NGO', 3942, 'Y', 0, '321\r'),
	('JL', 2987, 'HAN', 3199, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'HEL', 421, 'KIX', 3992, 'Y', 0, '333\r'),
	('JL', 2987, 'HEL', 421, 'NGO', 3942, 'Y', 0, '333\r'),
	('JL', 2987, 'HEL', 421, 'NRT', 2279, '', 0, '788\r'),
	('JL', 2987, 'HIJ', 2326, 'CTS', 2287, 'Y', 0, '73H\r'),
	('JL', 2987, 'HIJ', 2326, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'HIJ', 2326, 'PVG', 3406, 'Y', 0, '320\r'),
	('JL', 2987, 'HKD', 2288, 'HND', 2359, '', 0, '73H 767\r'),
	('JL', 2987, 'HKD', 2288, 'ITM', 2334, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'HKG', 3077, 'CNS', 3322, 'Y', 0, '333\r'),
	('JL', 2987, 'HKG', 3077, 'CTS', 2287, 'Y', 0, '744\r'),
	('JL', 2987, 'HKG', 3077, 'HND', 2359, '', 0, '777 767\r'),
	('JL', 2987, 'HKG', 3077, 'KIX', 3992, 'Y', 0, '333 744 773 343 772\r'),
	('JL', 2987, 'HKG', 3077, 'NGO', 3942, 'Y', 0, '333 343\r'),
	('JL', 2987, 'HKG', 3077, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'HKG', 3077, 'TPE', 2276, 'Y', 0, '333 744 773 772\r'),
	('JL', 2987, 'HKT', 3179, 'BKK', 3885, 'Y', 0, '320\r'),
	('JL', 2987, 'HNA', 2344, 'CTS', 2287, 'Y', 0, 'E70 CRJ\r'),
	('JL', 2987, 'HNA', 2344, 'FUK', 2305, 'Y', 0, 'E70\r'),
	('JL', 2987, 'HNA', 2344, 'ITM', 2334, 'Y', 0, 'E70 CRJ\r'),
	('JL', 2987, 'HND', 2359, 'AKJ', 2299, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'AOJ', 2340, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'ASJ', 2316, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'AXT', 2345, 'Y', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'BKK', 3885, '', 0, '767 777\r'),
	('JL', 2987, 'HND', 2359, 'CDG', 1382, '', 0, '773\r'),
	('JL', 2987, 'HND', 2359, 'CTS', 2287, '', 0, '773 777 73H 767\r'),
	('JL', 2987, 'HND', 2359, 'DXB', 2188, 'Y', 0, '772\r'),
	('JL', 2987, 'HND', 2359, 'FUK', 2305, '', 0, '767 777 73H\r'),
	('JL', 2987, 'HND', 2359, 'GAJ', 2341, '', 0, 'E70\r'),
	('JL', 2987, 'HND', 2359, 'GMP', 2378, '', 0, '767\r'),
	('JL', 2987, 'HND', 2359, 'HIJ', 2326, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'HKD', 2288, '', 0, '73H 767\r'),
	('JL', 2987, 'HND', 2359, 'HKG', 3077, '', 0, '777 767\r'),
	('JL', 2987, 'HND', 2359, 'HNL', 3728, '', 0, '777\r'),
	('JL', 2987, 'HND', 2359, 'ITM', 2334, '', 0, '767 777\r'),
	('JL', 2987, 'HND', 2359, 'IZO', 2328, '', 0, '767 73H\r'),
	('JL', 2987, 'HND', 2359, 'KCZ', 2332, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'KIX', 3992, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'KKJ', 2311, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'KMI', 2308, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'KMJ', 2312, '', 0, '73H 767\r'),
	('JL', 2987, 'HND', 2359, 'KMQ', 2322, '', 0, '767\r'),
	('JL', 2987, 'HND', 2359, 'KOJ', 2307, '', 0, '73H 767\r'),
	('JL', 2987, 'HND', 2359, 'KUH', 5994, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'LHR', 507, '', 0, '773\r'),
	('JL', 2987, 'HND', 2359, 'MMB', 2290, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'MSJ', 2346, '', 0, '73H E70\r'),
	('JL', 2987, 'HND', 2359, 'MYJ', 2333, '', 0, '767\r'),
	('JL', 2987, 'HND', 2359, 'NGO', 3942, '', 0, '73H 773\r'),
	('JL', 2987, 'HND', 2359, 'NGS', 2313, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'OBO', 2286, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'OIT', 2310, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'OKA', 2384, '', 0, '777 73H 773 767\r'),
	('JL', 2987, 'HND', 2359, 'OKJ', 2327, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'PEK', 3364, '', 0, '767\r'),
	('JL', 2987, 'HND', 2359, 'SFO', 3469, '', 0, '788\r'),
	('JL', 2987, 'HND', 2359, 'SGN', 3205, '', 0, '767\r'),
	('JL', 2987, 'HND', 2359, 'SHA', 3391, '', 0, '767 777\r'),
	('JL', 2987, 'HND', 2359, 'SHM', 2284, '', 0, 'E70\r'),
	('JL', 2987, 'HND', 2359, 'SIN', 3316, '', 0, '767 777\r'),
	('JL', 2987, 'HND', 2359, 'TAK', 2337, '', 0, '73H\r'),
	('JL', 2987, 'HND', 2359, 'TKS', 2336, '', 0, '767\r'),
	('JL', 2987, 'HND', 2359, 'TSA', 2275, '', 0, '767\r'),
	('JL', 2987, 'HND', 2359, 'UBJ', 2296, '', 0, '73H\r'),
	('JL', 2987, 'HNL', 3728, 'HND', 2359, '', 0, '777\r'),
	('JL', 2987, 'HNL', 3728, 'KIX', 3992, '', 0, '777\r'),
	('JL', 2987, 'HNL', 3728, 'NGO', 3942, '', 0, '788 777\r'),
	('JL', 2987, 'HNL', 3728, 'NRT', 2279, '', 0, '767 788 777\r'),
	('JL', 2987, 'ICN', 3930, 'CTS', 2287, 'Y', 0, '744 73H 333 772\r'),
	('JL', 2987, 'ICN', 3930, 'FUK', 2305, 'Y', 0, '333 739 773\r'),
	('JL', 2987, 'ICN', 3930, 'KIJ', 4381, 'Y', 0, '73J\r'),
	('JL', 2987, 'ICN', 3930, 'KIX', 3992, 'Y', 0, '333 73H 772 773 332\r'),
	('JL', 2987, 'ICN', 3930, 'KMQ', 2322, 'Y', 0, '73H\r'),
	('JL', 2987, 'ICN', 3930, 'KOJ', 2307, 'Y', 0, '73H 73J 739\r'),
	('JL', 2987, 'ICN', 3930, 'NGO', 3942, 'Y', 0, '73H 332 333 772\r'),
	('JL', 2987, 'ICN', 3930, 'NRT', 2279, '', 0, '73H\r'),
	('JL', 2987, 'ITM', 2334, 'AOJ', 2340, 'Y', 0, 'E70\r'),
	('JL', 2987, 'ITM', 2334, 'ASJ', 2316, 'Y', 0, '73H\r'),
	('JL', 2987, 'ITM', 2334, 'AXT', 2345, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'ITM', 2334, 'CTS', 2287, '', 0, '73H\r'),
	('JL', 2987, 'ITM', 2334, 'FUK', 2305, '', 0, 'E70\r'),
	('JL', 2987, 'ITM', 2334, 'GAJ', 2341, 'Y', 0, 'E70 CRJ\r'),
	('JL', 2987, 'ITM', 2334, 'HKD', 2288, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'ITM', 2334, 'HNA', 2344, 'Y', 0, 'E70 CRJ\r'),
	('JL', 2987, 'ITM', 2334, 'HND', 2359, '', 0, '777 767\r'),
	('JL', 2987, 'ITM', 2334, 'KIJ', 4381, 'Y', 0, 'E70\r'),
	('JL', 2987, 'ITM', 2334, 'KMI', 2308, 'Y', 0, 'CRJ E70\r'),
	('JL', 2987, 'ITM', 2334, 'KMJ', 2312, 'Y', 0, 'E70 CRJ\r'),
	('JL', 2987, 'ITM', 2334, 'KOJ', 2307, 'Y', 0, '73H E70\r'),
	('JL', 2987, 'ITM', 2334, 'MSJ', 2346, 'Y', 0, 'E70\r'),
	('JL', 2987, 'ITM', 2334, 'MYJ', 2333, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'ITM', 2334, 'NGS', 2313, 'Y', 0, 'E70\r'),
	('JL', 2987, 'ITM', 2334, 'NRT', 2279, '', 0, '773\r'),
	('JL', 2987, 'ITM', 2334, 'OIT', 2310, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'ITM', 2334, 'OKA', 2384, '', 0, '773\r'),
	('JL', 2987, 'ITM', 2334, 'SDJ', 2347, 'Y', 0, 'E70\r'),
	('JL', 2987, 'IZO', 2328, 'HND', 2359, '', 0, '767 73H\r'),
	('JL', 2987, 'JFK', 3797, 'MSY', 3861, 'Y', 0, 'E90\r'),
	('JL', 2987, 'JFK', 3797, 'NRT', 2279, '', 0, '788 773\r'),
	('JL', 2987, 'KCZ', 2332, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'KHH', 2264, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'KHV', 2927, 'NRT', 2279, 'Y', 0, '320\r'),
	('JL', 2987, 'KIJ', 4381, 'CTS', 2287, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'KIJ', 4381, 'ICN', 3930, 'Y', 0, '739 73J\r'),
	('JL', 2987, 'KIJ', 4381, 'ITM', 2334, 'Y', 0, 'E70\r'),
	('JL', 2987, 'KIJ', 4381, 'PVG', 3406, 'Y', 0, '319\r'),
	('JL', 2987, 'KIX', 3992, 'BKK', 3885, '', 0, '767\r'),
	('JL', 2987, 'KIX', 3992, 'CAN', 3370, 'Y', 0, '321\r'),
	('JL', 2987, 'KIX', 3992, 'CJU', 2370, 'Y', 0, '739\r'),
	('JL', 2987, 'KIX', 3992, 'CNS', 3322, 'Y', 0, '332\r'),
	('JL', 2987, 'KIX', 3992, 'CTS', 2287, '', 0, '73H\r'),
	('JL', 2987, 'KIX', 3992, 'DOH', 2241, '', 0, '332\r'),
	('JL', 2987, 'KIX', 3992, 'DXB', 2188, 'Y', 0, '773\r'),
	('JL', 2987, 'KIX', 3992, 'GMP', 2378, '', 0, '73H\r'),
	('JL', 2987, 'KIX', 3992, 'HAN', 3199, 'Y', 0, '321\r'),
	('JL', 2987, 'KIX', 3992, 'HEL', 421, 'Y', 0, '333\r'),
	('JL', 2987, 'KIX', 3992, 'HKG', 3077, 'Y', 0, '333 773 744 343 772\r'),
	('JL', 2987, 'KIX', 3992, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'KIX', 3992, 'HNL', 3728, '', 0, '777\r'),
	('JL', 2987, 'KIX', 3992, 'ICN', 3930, 'Y', 0, '772 333 73H 773 332\r'),
	('JL', 2987, 'KIX', 3992, 'KUL', 3304, 'Y', 0, '333\r'),
	('JL', 2987, 'KIX', 3992, 'NKG', 3388, 'Y', 0, '320\r'),
	('JL', 2987, 'KIX', 3992, 'OOL', 3321, 'Y', 0, '332\r'),
	('JL', 2987, 'KIX', 3992, 'PUS', 2372, 'Y', 0, '73H\r'),
	('JL', 2987, 'KIX', 3992, 'PVG', 3406, '', 0, '767 73H\r'),
	('JL', 2987, 'KIX', 3992, 'SGN', 3205, 'Y', 0, '332\r'),
	('JL', 2987, 'KIX', 3992, 'SHE', 4144, 'Y', 0, '320\r'),
	('JL', 2987, 'KIX', 3992, 'TAO', 3390, 'Y', 0, '320\r'),
	('JL', 2987, 'KIX', 3992, 'TPE', 2276, '', 0, '767 73H\r'),
	('JL', 2987, 'KIX', 3992, 'YNT', 3392, 'Y', 0, '320\r'),
	('JL', 2987, 'KKJ', 2311, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'KMG', 3382, 'PVG', 3406, 'Y', 0, '738\r'),
	('JL', 2987, 'KMI', 2308, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'KMI', 2308, 'ITM', 2334, 'Y', 0, 'CRJ E70\r'),
	('JL', 2987, 'KMJ', 2312, 'HND', 2359, '', 0, '767 73H\r'),
	('JL', 2987, 'KMJ', 2312, 'ITM', 2334, 'Y', 0, 'E70 CRJ\r'),
	('JL', 2987, 'KMQ', 2322, 'HND', 2359, '', 0, '767\r'),
	('JL', 2987, 'KMQ', 2322, 'ICN', 3930, 'Y', 0, '73H\r'),
	('JL', 2987, 'KMQ', 2322, 'PVG', 3406, 'Y', 0, '319\r'),
	('JL', 2987, 'KOJ', 2307, 'HND', 2359, '', 0, '767 73H\r'),
	('JL', 2987, 'KOJ', 2307, 'ICN', 3930, 'Y', 0, '73H 73J 739\r'),
	('JL', 2987, 'KOJ', 2307, 'ITM', 2334, 'Y', 0, 'E70 73H\r'),
	('JL', 2987, 'KOJ', 2307, 'PVG', 3406, 'Y', 0, '319\r'),
	('JL', 2987, 'KUH', 5994, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'KUL', 3304, 'KIX', 3992, 'Y', 0, '333\r'),
	('JL', 2987, 'KUL', 3304, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'LAX', 3484, 'LIM', 2789, 'Y', 0, '763\r'),
	('JL', 2987, 'LAX', 3484, 'NRT', 2279, '', 0, '773\r'),
	('JL', 2987, 'LHR', 507, 'HND', 2359, '', 0, '773\r'),
	('JL', 2987, 'LHR', 507, 'NRT', 2279, 'Y', 0, '777\r'),
	('JL', 2987, 'LIM', 2789, 'LAX', 3484, 'Y', 0, '763\r'),
	('JL', 2987, 'LIM', 2789, 'SCL', 2650, 'Y', 0, '763\r'),
	('JL', 2987, 'MMB', 2290, 'CTS', 2287, 'Y', 0, 'CRJ E70\r'),
	('JL', 2987, 'MMB', 2290, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'MNL', 2397, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'MSJ', 2346, 'HND', 2359, '', 0, '73H E70\r'),
	('JL', 2987, 'MSJ', 2346, 'ITM', 2334, 'Y', 0, 'E70\r'),
	('JL', 2987, 'MSY', 3861, 'JFK', 3797, 'Y', 0, 'E90\r'),
	('JL', 2987, 'MYJ', 2333, 'HND', 2359, '', 0, '767\r'),
	('JL', 2987, 'MYJ', 2333, 'ITM', 2334, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'MYJ', 2333, 'PVG', 3406, 'Y', 0, '319\r'),
	('JL', 2987, 'NGO', 3942, 'BKK', 3885, 'Y', 0, '773\r'),
	('JL', 2987, 'NGO', 3942, 'CTS', 2287, 'Y', 0, '73H\r'),
	('JL', 2987, 'NGO', 3942, 'HAN', 3199, 'Y', 0, '321\r'),
	('JL', 2987, 'NGO', 3942, 'HEL', 421, 'Y', 0, '333\r'),
	('JL', 2987, 'NGO', 3942, 'HKG', 3077, 'Y', 0, '343 333\r'),
	('JL', 2987, 'NGO', 3942, 'HND', 2359, '', 0, '773 73H\r'),
	('JL', 2987, 'NGO', 3942, 'HNL', 3728, '', 0, '777\r'),
	('JL', 2987, 'NGO', 3942, 'ICN', 3930, 'Y', 0, '772 73H 332 333\r'),
	('JL', 2987, 'NGO', 3942, 'NRT', 2279, '', 0, '788\r'),
	('JL', 2987, 'NGO', 3942, 'PUS', 2372, 'Y', 0, '739\r'),
	('JL', 2987, 'NGO', 3942, 'PVG', 3406, '', 0, '767\r'),
	('JL', 2987, 'NGO', 3942, 'TAO', 3390, 'Y', 0, '321\r'),
	('JL', 2987, 'NGO', 3942, 'TPE', 2276, '', 0, '73H\r'),
	('JL', 2987, 'NGO', 3942, 'TSN', 3368, '', 0, '73H\r'),
	('JL', 2987, 'NGS', 2313, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'NGS', 2313, 'ITM', 2334, 'Y', 0, 'E70\r'),
	('JL', 2987, 'NGS', 2313, 'PVG', 3406, 'Y', 0, '319\r'),
	('JL', 2987, 'NKG', 3388, 'KIX', 3992, 'Y', 0, '320\r'),
	('JL', 2987, 'NKG', 3388, 'NRT', 2279, 'Y', 0, '320\r'),
	('JL', 2987, 'NRT', 2279, 'BKI', 3269, '', 0, '738\r'),
	('JL', 2987, 'NRT', 2279, 'BKK', 3885, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'BOS', 3448, '', 0, '788\r'),
	('JL', 2987, 'NRT', 2279, 'CAN', 3370, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'CDG', 1382, '', 0, '788\r'),
	('JL', 2987, 'NRT', 2279, 'CGK', 3275, '', 0, '773 777\r'),
	('JL', 2987, 'NRT', 2279, 'CJU', 2370, 'Y', 0, '739\r'),
	('JL', 2987, 'NRT', 2279, 'CNS', 3322, 'Y', 0, '332\r'),
	('JL', 2987, 'NRT', 2279, 'CTS', 2287, 'Y', 0, '773\r'),
	('JL', 2987, 'NRT', 2279, 'DEL', 3093, '', 0, '777\r'),
	('JL', 2987, 'NRT', 2279, 'DFW', 3670, 'Y', 0, '777\r'),
	('JL', 2987, 'NRT', 2279, 'DLC', 3404, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'DME', 4029, '', 0, '788\r'),
	('JL', 2987, 'NRT', 2279, 'DOH', 2241, '', 0, '77L\r'),
	('JL', 2987, 'NRT', 2279, 'DXB', 2188, 'Y', 0, '773\r'),
	('JL', 2987, 'NRT', 2279, 'FRA', 340, '', 0, '773\r'),
	('JL', 2987, 'NRT', 2279, 'FUK', 2305, 'Y', 0, '73H\r'),
	('JL', 2987, 'NRT', 2279, 'GUM', 2246, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'HAN', 3199, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'HEL', 421, '', 0, '788\r'),
	('JL', 2987, 'NRT', 2279, 'HKG', 3077, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'HNL', 3728, '', 0, '788 777\r'),
	('JL', 2987, 'NRT', 2279, 'ICN', 3930, '', 0, '73H\r'),
	('JL', 2987, 'NRT', 2279, 'ITM', 2334, '', 0, '773\r'),
	('JL', 2987, 'NRT', 2279, 'JFK', 3797, '', 0, '773 788\r'),
	('JL', 2987, 'NRT', 2279, 'KHH', 2264, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'KHV', 2927, 'Y', 0, '320\r'),
	('JL', 2987, 'NRT', 2279, 'KUL', 3304, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'LAX', 3484, '', 0, '773\r'),
	('JL', 2987, 'NRT', 2279, 'LHR', 507, 'Y', 0, '777\r'),
	('JL', 2987, 'NRT', 2279, 'MNL', 2397, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'NGO', 3942, '', 0, '788\r'),
	('JL', 2987, 'NRT', 2279, 'NKG', 3388, 'Y', 0, '320\r'),
	('JL', 2987, 'NRT', 2279, 'OKA', 2384, 'Y', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'OOL', 3321, 'Y', 0, '332\r'),
	('JL', 2987, 'NRT', 2279, 'ORD', 3830, '', 0, '773\r'),
	('JL', 2987, 'NRT', 2279, 'PEK', 3364, '', 0, '73H 767\r'),
	('JL', 2987, 'NRT', 2279, 'PPT', 4075, 'Y', 0, '343\r'),
	('JL', 2987, 'NRT', 2279, 'PUS', 2372, '', 0, '73H\r'),
	('JL', 2987, 'NRT', 2279, 'PVG', 3406, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'ROR', 2256, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'SAN', 3731, '', 0, '788\r'),
	('JL', 2987, 'NRT', 2279, 'SGN', 3205, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'SHE', 4144, 'Y', 0, '320\r'),
	('JL', 2987, 'NRT', 2279, 'SIN', 3316, '', 0, '767\r'),
	('JL', 2987, 'NRT', 2279, 'SYD', 3361, '', 0, '777\r'),
	('JL', 2987, 'NRT', 2279, 'TPE', 2276, '', 0, '73H\r'),
	('JL', 2987, 'NRT', 2279, 'VVO', 2934, 'Y', 0, '320\r'),
	('JL', 2987, 'NRT', 2279, 'YVR', 156, '', 0, '788\r'),
	('JL', 2987, 'OBO', 2286, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'OIT', 2310, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'OIT', 2310, 'ITM', 2334, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'OKA', 2384, 'HND', 2359, '', 0, '767 777 73H 773\r'),
	('JL', 2987, 'OKA', 2384, 'ITM', 2334, '', 0, '773\r'),
	('JL', 2987, 'OKA', 2384, 'NRT', 2279, 'Y', 0, '767\r'),
	('JL', 2987, 'OKA', 2384, 'PVG', 3406, 'Y', 0, '320\r'),
	('JL', 2987, 'OKJ', 2327, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'OKJ', 2327, 'PVG', 3406, 'Y', 0, '320\r'),
	('JL', 2987, 'OOL', 3321, 'KIX', 3992, 'Y', 0, '332\r'),
	('JL', 2987, 'OOL', 3321, 'NRT', 2279, 'Y', 0, '332\r'),
	('JL', 2987, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'E75\r'),
	('JL', 2987, 'ORD', 3830, 'MSY', 3861, 'Y', 0, 'E75\r'),
	('JL', 2987, 'ORD', 3830, 'NRT', 2279, '', 0, '773\r'),
	('JL', 2987, 'PEK', 3364, 'HND', 2359, '', 0, '767\r'),
	('JL', 2987, 'PEK', 3364, 'NRT', 2279, '', 0, '767 73H\r'),
	('JL', 2987, 'PPT', 4075, 'NRT', 2279, 'Y', 0, '343\r'),
	('JL', 2987, 'PUS', 2372, 'KIX', 3992, 'Y', 0, '73H\r'),
	('JL', 2987, 'PUS', 2372, 'NGO', 3942, 'Y', 0, '739\r'),
	('JL', 2987, 'PUS', 2372, 'NRT', 2279, '', 0, '73H\r'),
	('JL', 2987, 'PVG', 3406, 'CTS', 2287, 'Y', 0, '321 320\r'),
	('JL', 2987, 'PVG', 3406, 'FSZ', 6476, 'Y', 0, '738\r'),
	('JL', 2987, 'PVG', 3406, 'FUK', 2305, 'Y', 0, '738 320\r'),
	('JL', 2987, 'PVG', 3406, 'HIJ', 2326, 'Y', 0, '320\r'),
	('JL', 2987, 'PVG', 3406, 'KIJ', 4381, 'Y', 0, '319\r'),
	('JL', 2987, 'PVG', 3406, 'KIX', 3992, '', 0, '767 73H\r'),
	('JL', 2987, 'PVG', 3406, 'KMG', 3382, 'Y', 0, '738\r'),
	('JL', 2987, 'PVG', 3406, 'KMQ', 2322, 'Y', 0, '319\r'),
	('JL', 2987, 'PVG', 3406, 'KOJ', 2307, 'Y', 0, '319\r'),
	('JL', 2987, 'PVG', 3406, 'MYJ', 2333, 'Y', 0, '319\r'),
	('JL', 2987, 'PVG', 3406, 'NGO', 3942, '', 0, '767\r'),
	('JL', 2987, 'PVG', 3406, 'NGS', 2313, 'Y', 0, '319\r'),
	('JL', 2987, 'PVG', 3406, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'PVG', 3406, 'OKA', 2384, 'Y', 0, '320\r'),
	('JL', 2987, 'PVG', 3406, 'OKJ', 2327, 'Y', 0, '320\r'),
	('JL', 2987, 'PVG', 3406, 'WUH', 3376, 'Y', 0, '738\r'),
	('JL', 2987, 'PVG', 3406, 'XIY', 3379, 'Y', 0, '321\r'),
	('JL', 2987, 'ROR', 2256, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'SAN', 3731, 'NRT', 2279, '', 0, '788\r'),
	('JL', 2987, 'SCL', 2650, 'LIM', 2789, 'Y', 0, '763\r'),
	('JL', 2987, 'SDJ', 2347, 'CTS', 2287, 'Y', 0, 'CRJ\r'),
	('JL', 2987, 'SDJ', 2347, 'FUK', 2305, 'Y', 0, 'E70\r'),
	('JL', 2987, 'SDJ', 2347, 'ITM', 2334, 'Y', 0, 'E70\r'),
	('JL', 2987, 'SFO', 3469, 'HND', 2359, '', 0, '788\r'),
	('JL', 2987, 'SGN', 3205, 'FUK', 2305, 'Y', 0, '321\r'),
	('JL', 2987, 'SGN', 3205, 'HND', 2359, '', 0, '767\r'),
	('JL', 2987, 'SGN', 3205, 'KIX', 3992, 'Y', 0, '332\r'),
	('JL', 2987, 'SGN', 3205, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'SHA', 3391, 'HND', 2359, '', 0, '767 777\r'),
	('JL', 2987, 'SHE', 4144, 'KIX', 3992, 'Y', 0, '320\r'),
	('JL', 2987, 'SHE', 4144, 'NRT', 2279, 'Y', 0, '320\r'),
	('JL', 2987, 'SHM', 2284, 'HND', 2359, '', 0, 'E70\r'),
	('JL', 2987, 'SIN', 3316, 'HND', 2359, '', 0, '767 777\r'),
	('JL', 2987, 'SIN', 3316, 'NRT', 2279, '', 0, '767\r'),
	('JL', 2987, 'SYD', 3361, 'NRT', 2279, '', 0, '777\r'),
	('JL', 2987, 'TAK', 2337, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'TAO', 3390, 'FUK', 2305, 'Y', 0, '319\r'),
	('JL', 2987, 'TAO', 3390, 'KIX', 3992, 'Y', 0, '320\r'),
	('JL', 2987, 'TAO', 3390, 'NGO', 3942, 'Y', 0, '321\r'),
	('JL', 2987, 'TKS', 2336, 'HND', 2359, '', 0, '767 73H\r'),
	('JL', 2987, 'TPE', 2276, 'FUK', 2305, 'Y', 0, '772\r'),
	('JL', 2987, 'TPE', 2276, 'HKG', 3077, 'Y', 0, '333 744 772\r'),
	('JL', 2987, 'TPE', 2276, 'KIX', 3992, '', 0, '73H 767\r'),
	('JL', 2987, 'TPE', 2276, 'NGO', 3942, '', 0, '73H\r'),
	('JL', 2987, 'TPE', 2276, 'NRT', 2279, '', 0, '73H\r'),
	('JL', 2987, 'TSA', 2275, 'HND', 2359, '', 0, '767\r'),
	('JL', 2987, 'TSN', 3368, 'NGO', 3942, '', 0, '73H\r'),
	('JL', 2987, 'UBJ', 2296, 'HND', 2359, '', 0, '73H\r'),
	('JL', 2987, 'VVO', 2934, 'NRT', 2279, 'Y', 0, '320\r'),
	('JL', 2987, 'WUH', 3376, 'PVG', 3406, 'Y', 0, '738\r'),
	('JL', 2987, 'XIY', 3379, 'PVG', 3406, 'Y', 0, '320\r'),
	('JL', 2987, 'YEG', 49, 'YVR', 156, 'Y', 0, '73W\r'),
	('JL', 2987, 'YEG', 49, 'YZF', 196, 'Y', 0, '73W\r'),
	('JL', 2987, 'YNT', 3392, 'KIX', 3992, 'Y', 0, '320\r'),
	('JL', 2987, 'YVR', 156, 'NRT', 2279, '', 0, '788\r'),
	('JL', 2987, 'YVR', 156, 'YEG', 49, 'Y', 0, '73W\r'),
	('JL', 2987, 'YZF', 196, 'YEG', 49, 'Y', 0, '73W\r'),
	('JN', 2264, 'AHO', 1517, 'FCO', 1555, '', 0, '320\r'),
	('JN', 2264, 'BLQ', 1538, 'TIA', 1190, '', 0, '320\r'),
	('JN', 2264, 'FCO', 1555, 'AHO', 1517, '', 0, '320\r'),
	('JN', 2264, 'MXP', 1524, 'TIA', 1190, '', 0, '320\r'),
	('JN', 2264, 'TIA', 1190, 'BLQ', 1538, '', 0, '320\r'),
	('JN', 2264, 'TIA', 1190, 'MXP', 1524, '', 0, '320\r'),
	('JN', 2264, 'TIA', 1190, 'VRN', 1550, '', 0, '320\r'),
	('JN', 2264, 'VRN', 1550, 'TIA', 1190, '', 0, '320\r'),
	('JP', 83, 'AMS', 580, 'LJU', 1569, '', 0, '319 CR9\r'),
	('JP', 83, 'BRU', 302, 'LJU', 1569, '', 0, '319 CR9\r'),
	('JP', 83, 'CDG', 1382, 'LJU', 1569, '', 0, 'CR9 319 CR2\r'),
	('JP', 83, 'CPH', 609, 'LJU', 1569, '', 0, 'CR9\r'),
	('JP', 83, 'FRA', 340, 'LJU', 1569, '', 0, 'CR9 319\r'),
	('JP', 83, 'FRA', 340, 'PRN', 1742, '', 0, '319\r'),
	('JP', 83, 'FRA', 340, 'TIA', 1190, '', 0, '319\r'),
	('JP', 83, 'IST', 1701, 'LJU', 1569, '', 0, 'CR9 319\r'),
	('JP', 83, 'LJU', 1569, 'AMS', 580, '', 0, '319 CR9\r'),
	('JP', 83, 'LJU', 1569, 'BRU', 302, '', 0, '319 CR9\r'),
	('JP', 83, 'LJU', 1569, 'CDG', 1382, '', 0, 'CR9 319 CR2\r'),
	('JP', 83, 'LJU', 1569, 'CPH', 609, '', 0, 'CR9\r'),
	('JP', 83, 'LJU', 1569, 'FRA', 340, '', 0, 'CR9 319\r'),
	('JP', 83, 'LJU', 1569, 'IST', 1701, '', 0, '319 CR9\r'),
	('JP', 83, 'LJU', 1569, 'MUC', 346, '', 0, 'CR9 CR2\r'),
	('JP', 83, 'LJU', 1569, 'PRG', 1587, '', 0, 'CR2\r'),
	('JP', 83, 'LJU', 1569, 'PRN', 1742, '', 0, 'CR9 CR2\r'),
	('JP', 83, 'LJU', 1569, 'SJJ', 1646, '', 0, 'CR2\r'),
	('JP', 83, 'LJU', 1569, 'SKP', 1737, '', 0, 'CR9 CR2\r'),
	('JP', 83, 'LJU', 1569, 'SVO', 2985, '', 0, '319 CR9 CR2\r'),
	('JP', 83, 'LJU', 1569, 'TGD', 1741, '', 0, 'CR2 CR9\r'),
	('JP', 83, 'LJU', 1569, 'TIA', 1190, '', 0, 'CR9 CR2\r'),
	('JP', 83, 'LJU', 1569, 'VIE', 1613, '', 0, 'CR9 CR2\r'),
	('JP', 83, 'LJU', 1569, 'WAW', 679, '', 0, 'CR2\r'),
	('JP', 83, 'LJU', 1569, 'ZRH', 1678, '', 0, 'CR9 CR2 319\r'),
	('JP', 83, 'MUC', 346, 'LJU', 1569, '', 0, 'CR9 CR2\r'),
	('JP', 83, 'MUC', 346, 'PRN', 1742, '', 0, '319\r'),
	('JP', 83, 'PRG', 1587, 'LJU', 1569, '', 0, 'CR2\r'),
	('JP', 83, 'PRN', 1742, 'FRA', 340, '', 0, '319\r'),
	('JP', 83, 'PRN', 1742, 'LJU', 1569, '', 0, 'CR9 CR2\r'),
	('JP', 83, 'PRN', 1742, 'MUC', 346, '', 0, '319\r'),
	('JP', 83, 'SJJ', 1646, 'LJU', 1569, '', 0, 'CR2\r'),
	('JP', 83, 'SKP', 1737, 'LJU', 1569, '', 0, 'CR2 CR9\r'),
	('JP', 83, 'SVO', 2985, 'LJU', 1569, '', 0, 'CR2 319 CR9\r'),
	('JP', 83, 'TGD', 1741, 'LJU', 1569, '', 0, 'CR9 CR2\r'),
	('JP', 83, 'TIA', 1190, 'FRA', 340, '', 0, '319\r'),
	('JP', 83, 'TIA', 1190, 'LJU', 1569, '', 0, 'CR9 CR2\r'),
	('JP', 83, 'VIE', 1613, 'LJU', 1569, '', 0, 'CR9 CR2\r'),
	('JP', 83, 'WAW', 679, 'LJU', 1569, '', 0, 'CR2\r'),
	('JP', 83, 'ZRH', 1678, 'LJU', 1569, '', 0, 'CR9 CR2 319\r'),
	('JQ', 3052, 'ADL', 3341, 'AKL', 2006, '', 0, '320\r'),
	('JQ', 3052, 'ADL', 3341, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'ADL', 3341, 'CNS', 3322, '', 0, '320\r'),
	('JQ', 3052, 'ADL', 3341, 'DPS', 3940, '', 0, '320\r'),
	('JQ', 3052, 'ADL', 3341, 'DRW', 3999, '', 0, '320\r'),
	('JQ', 3052, 'ADL', 3341, 'MEL', 3339, '', 0, '320\r'),
	('JQ', 3052, 'ADL', 3341, 'OOL', 3321, '', 0, '320\r'),
	('JQ', 3052, 'ADL', 3341, 'PER', 3351, '', 0, '320\r'),
	('JQ', 3052, 'ADL', 3341, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'AKL', 2006, 'ADL', 3341, '', 0, '320\r'),
	('JQ', 3052, 'AKL', 2006, 'CHC', 2009, '', 0, '320\r'),
	('JQ', 3052, 'AKL', 2006, 'DUD', 2011, '', 0, '320\r'),
	('JQ', 3052, 'AKL', 2006, 'MEL', 3339, '', 0, '320\r'),
	('JQ', 3052, 'AKL', 2006, 'OOL', 3321, '', 0, '320\r'),
	('JQ', 3052, 'AKL', 2006, 'SIN', 3316, '', 0, '332\r'),
	('JQ', 3052, 'AKL', 2006, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'AKL', 2006, 'WLG', 2042, '', 0, '320\r'),
	('JQ', 3052, 'AKL', 2006, 'ZQN', 2030, '', 0, '320\r'),
	('JQ', 3052, 'AVV', 3332, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'AYQ', 4010, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'BKK', 3885, 'MEL', 3339, '', 0, '332\r'),
	('JQ', 3052, 'BNE', 3320, 'ADL', 3341, '', 0, '320\r'),
	('JQ', 3052, 'BNE', 3320, 'CNS', 3322, '', 0, '320\r'),
	('JQ', 3052, 'BNE', 3320, 'DPS', 3940, '', 0, '788\r'),
	('JQ', 3052, 'BNE', 3320, 'DRW', 3999, '', 0, '320\r'),
	('JQ', 3052, 'BNE', 3320, 'HBA', 3336, '', 0, '320\r'),
	('JQ', 3052, 'BNE', 3320, 'HTI', 6242, '', 0, '320\r'),
	('JQ', 3052, 'BNE', 3320, 'LST', 3337, '', 0, '320\r'),
	('JQ', 3052, 'BNE', 3320, 'MEL', 3339, '', 0, '320 321\r'),
	('JQ', 3052, 'BNE', 3320, 'MKY', 3326, '', 0, '320\r'),
	('JQ', 3052, 'BNE', 3320, 'NTL', 4320, '', 0, '320\r'),
	('JQ', 3052, 'BNE', 3320, 'PER', 3351, '', 0, '320\r'),
	('JQ', 3052, 'BNE', 3320, 'PPP', 3328, '', 0, '320\r'),
	('JQ', 3052, 'BNE', 3320, 'SYD', 3361, '', 0, '320 321\r'),
	('JQ', 3052, 'BNE', 3320, 'TSV', 3330, '', 0, '320\r'),
	('JQ', 3052, 'BNK', 4291, 'MEL', 3339, '', 0, '320\r'),
	('JQ', 3052, 'BNK', 4291, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'CHC', 2009, 'AKL', 2006, '', 0, '320\r'),
	('JQ', 3052, 'CHC', 2009, 'MEL', 3339, '', 0, '320\r'),
	('JQ', 3052, 'CHC', 2009, 'OOL', 3321, '', 0, '320\r'),
	('JQ', 3052, 'CHC', 2009, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'CHC', 2009, 'WLG', 2042, '', 0, '320\r'),
	('JQ', 3052, 'CNS', 3322, 'ADL', 3341, '', 0, '320\r'),
	('JQ', 3052, 'CNS', 3322, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'CNS', 3322, 'DRW', 3999, '', 0, '320\r'),
	('JQ', 3052, 'CNS', 3322, 'KIX', 3992, '', 0, '332\r'),
	('JQ', 3052, 'CNS', 3322, 'MEL', 3339, '', 0, '321 320 332\r'),
	('JQ', 3052, 'CNS', 3322, 'NRT', 2279, '', 0, '332\r'),
	('JQ', 3052, 'CNS', 3322, 'OOL', 3321, '', 0, '320\r'),
	('JQ', 3052, 'CNS', 3322, 'PER', 3351, '', 0, '320\r'),
	('JQ', 3052, 'CNS', 3322, 'SYD', 3361, '', 0, '320 321\r'),
	('JQ', 3052, 'DPS', 3940, 'ADL', 3341, '', 0, '320\r'),
	('JQ', 3052, 'DPS', 3940, 'BNE', 3320, '', 0, '788\r'),
	('JQ', 3052, 'DPS', 3940, 'DRW', 3999, '', 0, '320\r'),
	('JQ', 3052, 'DPS', 3940, 'MEL', 3339, '', 0, '788\r'),
	('JQ', 3052, 'DPS', 3940, 'PER', 3351, '', 0, '320\r'),
	('JQ', 3052, 'DPS', 3940, 'SIN', 3316, '', 0, '320\r'),
	('JQ', 3052, 'DPS', 3940, 'SYD', 3361, '', 0, '788\r'),
	('JQ', 3052, 'DRW', 3999, 'ADL', 3341, '', 0, '320\r'),
	('JQ', 3052, 'DRW', 3999, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'DRW', 3999, 'CNS', 3322, '', 0, '320\r'),
	('JQ', 3052, 'DRW', 3999, 'DPS', 3940, '', 0, '320\r'),
	('JQ', 3052, 'DRW', 3999, 'MEL', 3339, '', 0, '320\r'),
	('JQ', 3052, 'DRW', 3999, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'DUD', 2011, 'AKL', 2006, '', 0, '320\r'),
	('JQ', 3052, 'HBA', 3336, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'HBA', 3336, 'MEL', 3339, '', 0, '320 321\r'),
	('JQ', 3052, 'HBA', 3336, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'HKT', 3179, 'MEL', 3339, '', 0, '788\r'),
	('JQ', 3052, 'HKT', 3179, 'SYD', 3361, '', 0, '788\r'),
	('JQ', 3052, 'HNL', 3728, 'MEL', 3339, '', 0, '332\r'),
	('JQ', 3052, 'HNL', 3728, 'SYD', 3361, '', 0, '332\r'),
	('JQ', 3052, 'HTI', 6242, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'HTI', 6242, 'MEL', 3339, '', 0, '320\r'),
	('JQ', 3052, 'HTI', 6242, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'KIX', 3992, 'CNS', 3322, '', 0, '332\r'),
	('JQ', 3052, 'KIX', 3992, 'OOL', 3321, '', 0, '332\r'),
	('JQ', 3052, 'LOP', 8401, 'PER', 3351, '', 0, '320\r'),
	('JQ', 3052, 'LST', 3337, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'LST', 3337, 'MEL', 3339, '', 0, '320\r'),
	('JQ', 3052, 'LST', 3337, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'MCY', 3325, 'MEL', 3339, '', 0, '320\r'),
	('JQ', 3052, 'MCY', 3325, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'ADL', 3341, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'AKL', 2006, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'BKK', 3885, '', 0, '332\r'),
	('JQ', 3052, 'MEL', 3339, 'BNE', 3320, '', 0, '321 320\r'),
	('JQ', 3052, 'MEL', 3339, 'BNK', 4291, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'CHC', 2009, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'CNS', 3322, '', 0, '321 320 332\r'),
	('JQ', 3052, 'MEL', 3339, 'DPS', 3940, '', 0, '788\r'),
	('JQ', 3052, 'MEL', 3339, 'DRW', 3999, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'HBA', 3336, '', 0, '320 321\r'),
	('JQ', 3052, 'MEL', 3339, 'HKT', 3179, '', 0, '788\r'),
	('JQ', 3052, 'MEL', 3339, 'HNL', 3728, '', 0, '332\r'),
	('JQ', 3052, 'MEL', 3339, 'HTI', 6242, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'LST', 3337, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'MCY', 3325, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'NRT', 2279, '', 0, '332\r'),
	('JQ', 3052, 'MEL', 3339, 'NTL', 4320, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'OOL', 3321, '', 0, '321 320\r'),
	('JQ', 3052, 'MEL', 3339, 'PER', 3351, '', 0, '320\r'),
	('JQ', 3052, 'MEL', 3339, 'SIN', 3316, '', 0, '332\r'),
	('JQ', 3052, 'MEL', 3339, 'SYD', 3361, '', 0, '320 321 788\r'),
	('JQ', 3052, 'MEL', 3339, 'TSV', 3330, '', 0, '321\r'),
	('JQ', 3052, 'MEL', 3339, 'ZQN', 2030, '', 0, '320\r'),
	('JQ', 3052, 'MKY', 3326, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'NAN', 1960, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'NRT', 2279, 'CNS', 3322, '', 0, '332\r'),
	('JQ', 3052, 'NRT', 2279, 'MEL', 3339, '', 0, '332\r'),
	('JQ', 3052, 'NRT', 2279, 'OOL', 3321, '', 0, '332\r'),
	('JQ', 3052, 'NTL', 4320, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'NTL', 4320, 'MEL', 3339, '', 0, '320\r'),
	('JQ', 3052, 'NTL', 4320, 'OOL', 3321, '', 0, '320\r'),
	('JQ', 3052, 'OOL', 3321, 'ADL', 3341, '', 0, '320\r'),
	('JQ', 3052, 'OOL', 3321, 'AKL', 2006, '', 0, '320\r'),
	('JQ', 3052, 'OOL', 3321, 'CHC', 2009, '', 0, '320\r'),
	('JQ', 3052, 'OOL', 3321, 'CNS', 3322, '', 0, '320\r'),
	('JQ', 3052, 'OOL', 3321, 'KIX', 3992, '', 0, '332\r'),
	('JQ', 3052, 'OOL', 3321, 'MEL', 3339, '', 0, '320 321\r'),
	('JQ', 3052, 'OOL', 3321, 'NRT', 2279, '', 0, '332\r'),
	('JQ', 3052, 'OOL', 3321, 'NTL', 4320, '', 0, '320\r'),
	('JQ', 3052, 'OOL', 3321, 'SYD', 3361, '', 0, '320 332 321\r'),
	('JQ', 3052, 'PER', 3351, 'ADL', 3341, '', 0, '320\r'),
	('JQ', 3052, 'PER', 3351, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'PER', 3351, 'CNS', 3322, '', 0, '320\r'),
	('JQ', 3052, 'PER', 3351, 'DPS', 3940, '', 0, '320\r'),
	('JQ', 3052, 'PER', 3351, 'LOP', 8401, '', 0, '320\r'),
	('JQ', 3052, 'PER', 3351, 'MEL', 3339, '', 0, '320\r'),
	('JQ', 3052, 'PER', 3351, 'SYD', 3361, '', 0, '321\r'),
	('JQ', 3052, 'PPP', 3328, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'SIN', 3316, 'AKL', 2006, '', 0, '332\r'),
	('JQ', 3052, 'SIN', 3316, 'DPS', 3940, '', 0, '320\r'),
	('JQ', 3052, 'SIN', 3316, 'MEL', 3339, '', 0, '332\r'),
	('JQ', 3052, 'SYD', 3361, 'ADL', 3341, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'AKL', 2006, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'AVV', 3332, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'AYQ', 4010, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'BNE', 3320, '', 0, '320 321\r'),
	('JQ', 3052, 'SYD', 3361, 'BNK', 4291, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'CHC', 2009, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'CNS', 3322, '', 0, '321 320\r'),
	('JQ', 3052, 'SYD', 3361, 'DPS', 3940, '', 0, '788\r'),
	('JQ', 3052, 'SYD', 3361, 'DRW', 3999, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'HBA', 3336, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'HKT', 3179, '', 0, '788\r'),
	('JQ', 3052, 'SYD', 3361, 'HNL', 3728, '', 0, '332\r'),
	('JQ', 3052, 'SYD', 3361, 'HTI', 6242, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'LST', 3337, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'MCY', 3325, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'MEL', 3339, '', 0, '320 321 788 332\r'),
	('JQ', 3052, 'SYD', 3361, 'NAN', 1960, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'OOL', 3321, '', 0, '320 321\r'),
	('JQ', 3052, 'SYD', 3361, 'PER', 3351, '', 0, '321\r'),
	('JQ', 3052, 'SYD', 3361, 'TSV', 3330, '', 0, '320\r'),
	('JQ', 3052, 'SYD', 3361, 'ZQN', 2030, '', 0, '320\r'),
	('JQ', 3052, 'TSV', 3330, 'BNE', 3320, '', 0, '320\r'),
	('JQ', 3052, 'TSV', 3330, 'MEL', 3339, '', 0, '321\r'),
	('JQ', 3052, 'TSV', 3330, 'SYD', 3361, '', 0, '320\r'),
	('JQ', 3052, 'WLG', 2042, 'AKL', 2006, '', 0, '320\r'),
	('JQ', 3052, 'WLG', 2042, 'CHC', 2009, '', 0, '320\r'),
	('JQ', 3052, 'ZQN', 2030, 'AKL', 2006, '', 0, '320\r'),
	('JQ', 3052, 'ZQN', 2030, 'SYD', 3361, '', 0, '320\r'),
	('JS', 998, 'FNJ', 3377, 'KUL', 3304, '', 0, 'T20\r'),
	('JS', 998, 'FNJ', 3377, 'PEK', 3364, '', 0, 'A81 T20\r'),
	('JS', 998, 'FNJ', 3377, 'SHE', 4144, '', 0, 'T20\r'),
	('JS', 998, 'FNJ', 3377, 'VVO', 2934, '', 0, 'T20\r'),
	('JS', 998, 'KUL', 3304, 'FNJ', 3377, '', 0, 'T20\r'),
	('JS', 998, 'PEK', 3364, 'FNJ', 3377, '', 0, 'A81 T20\r'),
	('JS', 998, 'SHE', 4144, 'FNJ', 3377, '', 0, 'T20\r'),
	('JS', 998, 'VVO', 2934, 'FNJ', 3377, '', 0, 'T20\r'),
	('JT', 3290, 'AMQ', 3256, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'AMQ', 3256, 'FKQ', 3257, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'AMQ', 3256, 'LUV', 6212, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'AMQ', 3256, 'MKW', 3260, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'AMQ', 3256, 'NBX', 3242, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'AMQ', 3256, 'SOQ', 3261, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'AMQ', 3256, 'SUB', 3928, '', 0, '739\r'),
	('JT', 3290, 'AMQ', 3256, 'UPG', 3240, '', 0, '739\r'),
	('JT', 3290, 'BDJ', 3908, 'BDO', 3896, '', 0, '738\r'),
	('JT', 3290, 'BDJ', 3908, 'BPN', 3919, '', 0, '738\r'),
	('JT', 3290, 'BDJ', 3908, 'CGK', 3275, '', 0, '739 738\r'),
	('JT', 3290, 'BDJ', 3908, 'JOG', 3898, '', 0, '739\r'),
	('JT', 3290, 'BDJ', 3908, 'KBU', 6231, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'BDJ', 3908, 'SRG', 3901, '', 0, '739\r'),
	('JT', 3290, 'BDJ', 3908, 'SUB', 3928, '', 0, '739 738\r'),
	('JT', 3290, 'BDO', 3896, 'BDJ', 3908, '', 0, '738\r'),
	('JT', 3290, 'BDO', 3896, 'BTH', 3903, '', 0, '738\r'),
	('JT', 3290, 'BDO', 3896, 'DPS', 3940, '', 0, '738\r'),
	('JT', 3290, 'BDO', 3896, 'JOG', 3898, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'BDO', 3896, 'KUL', 3304, '', 0, '738\r'),
	('JT', 3290, 'BDO', 3896, 'PKU', 3273, '', 0, '738\r'),
	('JT', 3290, 'BDO', 3896, 'SUB', 3928, '', 0, '738\r'),
	('JT', 3290, 'BEJ', 6209, 'BPN', 3919, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'BKS', 3288, 'BTH', 3903, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'BKS', 3288, 'CGK', 3275, '', 0, '738 739\r'),
	('JT', 3290, 'BMU', 3924, 'DPS', 3940, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'BPN', 3919, 'BDJ', 3908, '', 0, '738\r'),
	('JT', 3290, 'BPN', 3919, 'BEJ', 6209, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'BPN', 3919, 'BTH', 3903, '', 0, '738\r'),
	('JT', 3290, 'BPN', 3919, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'BPN', 3919, 'JOG', 3898, '', 0, '739\r'),
	('JT', 3290, 'BPN', 3919, 'MDC', 3250, '', 0, '738\r'),
	('JT', 3290, 'BPN', 3919, 'PLW', 3249, '', 0, '738\r'),
	('JT', 3290, 'BPN', 3919, 'SRG', 3901, '', 0, '738 739\r'),
	('JT', 3290, 'BPN', 3919, 'SUB', 3928, '', 0, '739 738\r'),
	('JT', 3290, 'BPN', 3919, 'TRK', 3920, '', 0, '739\r'),
	('JT', 3290, 'BPN', 3919, 'UPG', 3240, '', 0, '739\r'),
	('JT', 3290, 'BTH', 3903, 'BDO', 3896, '', 0, '738\r'),
	('JT', 3290, 'BTH', 3903, 'BKS', 3288, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'BTH', 3903, 'BPN', 3919, '', 0, '738\r'),
	('JT', 3290, 'BTH', 3903, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'BTH', 3903, 'DJB', 3287, '', 0, '739\r'),
	('JT', 3290, 'BTH', 3903, 'DPS', 3940, '', 0, '739\r'),
	('JT', 3290, 'BTH', 3903, 'JOG', 3898, '', 0, '738\r'),
	('JT', 3290, 'BTH', 3903, 'NTX', 6225, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'BTH', 3903, 'PDG', 3278, '', 0, '734\r'),
	('JT', 3290, 'BTH', 3903, 'PGK', 3905, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'BTH', 3903, 'PKU', 3273, '', 0, '739 738\r'),
	('JT', 3290, 'BTH', 3903, 'PLM', 3289, '', 0, '739\r'),
	('JT', 3290, 'BTH', 3903, 'PNK', 3284, '', 0, '738\r'),
	('JT', 3290, 'BTH', 3903, 'SRG', 3901, '', 0, '738\r'),
	('JT', 3290, 'BTH', 3903, 'SUB', 3928, '', 0, '739\r'),
	('JT', 3290, 'BTH', 3903, 'TKG', 6223, '', 0, '738\r'),
	('JT', 3290, 'BTJ', 3294, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'BXB', 3259, 'SOQ', 3261, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'CGK', 3275, 'AMQ', 3256, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'BDJ', 3908, '', 0, '739 738\r'),
	('JT', 3290, 'CGK', 3275, 'BKS', 3288, '', 0, '739 738\r'),
	('JT', 3290, 'CGK', 3275, 'BPN', 3919, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'BTH', 3903, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'BTJ', 3294, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'DJB', 3287, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'DJJ', 3244, '', 0, '738\r'),
	('JT', 3290, 'CGK', 3275, 'DPS', 3940, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'JED', 2072, '', 0, '744\r'),
	('JT', 3290, 'CGK', 3275, 'JOG', 3898, '', 0, '739 738\r'),
	('JT', 3290, 'CGK', 3275, 'KDI', 3890, '', 0, '738\r'),
	('JT', 3290, 'CGK', 3275, 'KUL', 3304, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'LOP', 8401, '', 0, '739 738\r'),
	('JT', 3290, 'CGK', 3275, 'MDC', 3250, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'PDG', 3278, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'PGK', 3905, '', 0, '738 739\r'),
	('JT', 3290, 'CGK', 3275, 'PKU', 3273, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'PKY', 3911, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'PLM', 3289, '', 0, '739 738\r'),
	('JT', 3290, 'CGK', 3275, 'PLW', 3249, '', 0, '738\r'),
	('JT', 3290, 'CGK', 3275, 'PNK', 3284, '', 0, '738\r'),
	('JT', 3290, 'CGK', 3275, 'SIN', 3316, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'SOC', 3929, '', 0, '739\r'),
	('JT', 3290, 'CGK', 3275, 'SRG', 3901, '', 0, '739 738\r'),
	('JT', 3290, 'CGK', 3275, 'SUB', 3928, '', 0, '739 738\r'),
	('JT', 3290, 'CGK', 3275, 'TKG', 6223, '', 0, '738\r'),
	('JT', 3290, 'CGK', 3275, 'TNJ', 3906, '', 0, '738\r'),
	('JT', 3290, 'CGK', 3275, 'TRK', 3920, '', 0, '738\r'),
	('JT', 3290, 'CGK', 3275, 'UPG', 3240, '', 0, '739 738 733\r'),
	('JT', 3290, 'DJB', 3287, 'BTH', 3903, '', 0, '739\r'),
	('JT', 3290, 'DJB', 3287, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'DJJ', 3244, 'MKQ', 3246, '', 0, '738\r'),
	('JT', 3290, 'DJJ', 3244, 'NBX', 3242, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'DJJ', 3244, 'UPG', 3240, '', 0, '739 738\r'),
	('JT', 3290, 'DPS', 3940, 'BDO', 3896, '', 0, '738\r'),
	('JT', 3290, 'DPS', 3940, 'BMU', 3924, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'DPS', 3940, 'BTH', 3903, '', 0, '739\r'),
	('JT', 3290, 'DPS', 3940, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'DPS', 3940, 'JOG', 3898, '', 0, '739\r'),
	('JT', 3290, 'DPS', 3940, 'KOE', 3916, '', 0, '739\r'),
	('JT', 3290, 'DPS', 3940, 'LBJ', 3917, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'DPS', 3940, 'LOP', 8401, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'DPS', 3940, 'MLG', 3894, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'DPS', 3940, 'MOF', 3913, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'DPS', 3940, 'SRG', 3901, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'DPS', 3940, 'SUB', 3928, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'DPS', 3940, 'TMC', 6204, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'DPS', 3940, 'UPG', 3240, '', 0, '739\r'),
	('JT', 3290, 'DPS', 3940, 'WGP', 3927, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'ENE', 3914, 'KOE', 3916, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'ENE', 3914, 'LBJ', 3917, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'FKQ', 3257, 'KNG', 3258, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'FKQ', 3257, 'MKW', 3260, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'FKQ', 3257, 'SOQ', 3261, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'GTO', 3247, 'MDC', 3250, 'Y', 0, 'DH8\r'),
	('JT', 3290, 'GTO', 3247, 'UPG', 3240, '', 0, '738 739\r'),
	('JT', 3290, 'JED', 2072, 'CGK', 3275, '', 0, '744\r'),
	('JT', 3290, 'JOG', 3898, 'BDJ', 3908, '', 0, '739\r'),
	('JT', 3290, 'JOG', 3898, 'BDO', 3896, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'JOG', 3898, 'BPN', 3919, '', 0, '739\r'),
	('JT', 3290, 'JOG', 3898, 'BTH', 3903, '', 0, '738\r'),
	('JT', 3290, 'JOG', 3898, 'CGK', 3275, '', 0, '738 739\r'),
	('JT', 3290, 'JOG', 3898, 'DPS', 3940, '', 0, '739\r'),
	('JT', 3290, 'JOG', 3898, 'LOP', 8401, '', 0, '738\r'),
	('JT', 3290, 'JOG', 3898, 'PKU', 3273, '', 0, '738\r'),
	('JT', 3290, 'JOG', 3898, 'SUB', 3928, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'JOG', 3898, 'UPG', 3240, '', 0, '739\r'),
	('JT', 3290, 'KBU', 6231, 'BDJ', 3908, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'KBU', 6231, 'UPG', 3240, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'KDI', 3890, 'CGK', 3275, '', 0, '738\r'),
	('JT', 3290, 'KDI', 3890, 'UPG', 3240, '', 0, 'ATR 738\r'),
	('JT', 3290, 'KNG', 3258, 'AMQ', 3256, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'KNG', 3258, 'FKQ', 3257, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'KNG', 3258, 'NBX', 3242, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'KOE', 3916, 'DPS', 3940, '', 0, '739\r'),
	('JT', 3290, 'KOE', 3916, 'ENE', 3914, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'KOE', 3916, 'MOF', 3913, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'KOE', 3916, 'SUB', 3928, '', 0, '739\r'),
	('JT', 3290, 'KUL', 3304, 'BDO', 3896, '', 0, '738\r'),
	('JT', 3290, 'KUL', 3304, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'LBJ', 3917, 'DPS', 3940, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'LBJ', 3917, 'ENE', 3914, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'LOP', 8401, 'CGK', 3275, '', 0, '739 738\r'),
	('JT', 3290, 'LOP', 8401, 'DPS', 3940, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'LOP', 8401, 'JOG', 3898, '', 0, '738\r'),
	('JT', 3290, 'LOP', 8401, 'SUB', 3928, '', 0, '739\r'),
	('JT', 3290, 'LUV', 6212, 'AMQ', 3256, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'LUW', 3254, 'UPG', 3240, '', 0, 'ATR\r'),
	('JT', 3290, 'MDC', 3250, 'BPN', 3919, '', 0, '738\r'),
	('JT', 3290, 'MDC', 3250, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'MDC', 3250, 'GTO', 3247, 'Y', 0, 'DH8\r'),
	('JT', 3290, 'MDC', 3250, 'NAH', 3886, 'Y', 0, 'DH8 ATR\r'),
	('JT', 3290, 'MDC', 3250, 'SOQ', 3261, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'MDC', 3250, 'SUB', 3928, '', 0, '739\r'),
	('JT', 3290, 'MDC', 3250, 'TTE', 3253, '', 0, '733 DH8\r'),
	('JT', 3290, 'MDC', 3250, 'UPG', 3240, '', 0, '739\r'),
	('JT', 3290, 'MJU', 9181, 'UPG', 3240, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'MKQ', 3246, 'DJJ', 3244, '', 0, '738\r'),
	('JT', 3290, 'MKW', 3260, 'AMQ', 3256, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'MKW', 3260, 'FKQ', 3257, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'MLG', 3894, 'DPS', 3940, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'MOF', 3913, 'DPS', 3940, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'MOF', 3913, 'KOE', 3916, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'NAH', 3886, 'MDC', 3250, 'Y', 0, 'DH8 ATR\r'),
	('JT', 3290, 'NBX', 3242, 'AMQ', 3256, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'NBX', 3242, 'DJJ', 3244, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'NBX', 3242, 'KNG', 3258, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'NTX', 6225, 'BTH', 3903, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'PDG', 3278, 'BTH', 3903, '', 0, '738\r'),
	('JT', 3290, 'PDG', 3278, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'PGK', 3905, 'BTH', 3903, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'PGK', 3905, 'CGK', 3275, '', 0, '738 739\r'),
	('JT', 3290, 'PGK', 3905, 'TJQ', 3904, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'PKU', 3273, 'BDO', 3896, '', 0, '738\r'),
	('JT', 3290, 'PKU', 3273, 'BTH', 3903, '', 0, '739 738\r'),
	('JT', 3290, 'PKU', 3273, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'PKU', 3273, 'JOG', 3898, '', 0, '738\r'),
	('JT', 3290, 'PKY', 3911, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'PKY', 3911, 'SUB', 3928, '', 0, '739\r'),
	('JT', 3290, 'PLM', 3289, 'BTH', 3903, '', 0, '739\r'),
	('JT', 3290, 'PLM', 3289, 'CGK', 3275, '', 0, '739 738\r'),
	('JT', 3290, 'PLM', 3289, 'TKG', 6223, '', 0, '739\r'),
	('JT', 3290, 'PLW', 3249, 'BPN', 3919, '', 0, '738\r'),
	('JT', 3290, 'PLW', 3249, 'CGK', 3275, '', 0, '738\r'),
	('JT', 3290, 'PLW', 3249, 'SUB', 3928, '', 0, '738\r'),
	('JT', 3290, 'PLW', 3249, 'UPG', 3240, '', 0, '739 738\r'),
	('JT', 3290, 'PNK', 3284, 'BTH', 3903, '', 0, '738\r'),
	('JT', 3290, 'PNK', 3284, 'CGK', 3275, '', 0, '738\r'),
	('JT', 3290, 'PSJ', 3251, 'UPG', 3240, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'PUM', 8735, 'UPG', 3240, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'SGN', 3205, 'SIN', 3316, '', 0, '739\r'),
	('JT', 3290, 'SIN', 3316, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'SIN', 3316, 'SGN', 3205, '', 0, '739\r'),
	('JT', 3290, 'SOC', 3929, 'CGK', 3275, '', 0, '739\r'),
	('JT', 3290, 'SOQ', 3261, 'AMQ', 3256, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'SOQ', 3261, 'BXB', 3259, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'SOQ', 3261, 'FKQ', 3257, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'SOQ', 3261, 'MDC', 3250, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'SRG', 3901, 'BDJ', 3908, '', 0, '739\r'),
	('JT', 3290, 'SRG', 3901, 'BPN', 3919, '', 0, '738 739\r'),
	('JT', 3290, 'SRG', 3901, 'BTH', 3903, '', 0, '738\r'),
	('JT', 3290, 'SRG', 3901, 'CGK', 3275, '', 0, '739 738\r'),
	('JT', 3290, 'SRG', 3901, 'DPS', 3940, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'SRG', 3901, 'SUB', 3928, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'SUB', 3928, 'AMQ', 3256, '', 0, '739\r'),
	('JT', 3290, 'SUB', 3928, 'BDJ', 3908, '', 0, '739 738\r'),
	('JT', 3290, 'SUB', 3928, 'BDO', 3896, '', 0, '738\r'),
	('JT', 3290, 'SUB', 3928, 'BPN', 3919, '', 0, '739 738\r'),
	('JT', 3290, 'SUB', 3928, 'BTH', 3903, '', 0, '739\r'),
	('JT', 3290, 'SUB', 3928, 'CGK', 3275, '', 0, '739 738\r'),
	('JT', 3290, 'SUB', 3928, 'DPS', 3940, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'SUB', 3928, 'JOG', 3898, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'SUB', 3928, 'KOE', 3916, '', 0, '739\r'),
	('JT', 3290, 'SUB', 3928, 'LOP', 8401, '', 0, '739\r'),
	('JT', 3290, 'SUB', 3928, 'MDC', 3250, '', 0, '739\r'),
	('JT', 3290, 'SUB', 3928, 'PKY', 3911, '', 0, '739\r'),
	('JT', 3290, 'SUB', 3928, 'SRG', 3901, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'SUB', 3928, 'TRK', 3920, '', 0, '738\r'),
	('JT', 3290, 'SUB', 3928, 'UPG', 3240, '', 0, '739\r'),
	('JT', 3290, 'TJQ', 3904, 'PGK', 3905, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'TKG', 6223, 'BTH', 3903, '', 0, '738\r'),
	('JT', 3290, 'TKG', 6223, 'CGK', 3275, '', 0, '738\r'),
	('JT', 3290, 'TMC', 6204, 'DPS', 3940, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'TNJ', 3906, 'CGK', 3275, '', 0, '738\r'),
	('JT', 3290, 'TRK', 3920, 'BPN', 3919, '', 0, '739\r'),
	('JT', 3290, 'TRK', 3920, 'CGK', 3275, '', 0, '738\r'),
	('JT', 3290, 'TRK', 3920, 'SUB', 3928, '', 0, '738\r'),
	('JT', 3290, 'TRK', 3920, 'UPG', 3240, '', 0, '733\r'),
	('JT', 3290, 'TTE', 3253, 'MDC', 3250, '', 0, '733 DH8\r'),
	('JT', 3290, 'TTE', 3253, 'UPG', 3240, '', 0, '733\r'),
	('JT', 3290, 'UPG', 3240, 'AMQ', 3256, '', 0, '739\r'),
	('JT', 3290, 'UPG', 3240, 'BPN', 3919, '', 0, '739\r'),
	('JT', 3290, 'UPG', 3240, 'CGK', 3275, '', 0, '739 738 733\r'),
	('JT', 3290, 'UPG', 3240, 'DJJ', 3244, '', 0, '739\r'),
	('JT', 3290, 'UPG', 3240, 'DPS', 3940, '', 0, '739\r'),
	('JT', 3290, 'UPG', 3240, 'GTO', 3247, '', 0, '739 738\r'),
	('JT', 3290, 'UPG', 3240, 'JOG', 3898, '', 0, '739\r'),
	('JT', 3290, 'UPG', 3240, 'KBU', 6231, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'UPG', 3240, 'KDI', 3890, '', 0, 'ATR\r'),
	('JT', 3290, 'UPG', 3240, 'LUW', 3254, '', 0, 'ATR\r'),
	('JT', 3290, 'UPG', 3240, 'MDC', 3250, '', 0, '739\r'),
	('JT', 3290, 'UPG', 3240, 'MJU', 9181, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'UPG', 3240, 'PLW', 3249, '', 0, '738 739\r'),
	('JT', 3290, 'UPG', 3240, 'PSJ', 3251, '', 0, 'ATR\r'),
	('JT', 3290, 'UPG', 3240, 'PUM', 8735, 'Y', 0, 'ATR\r'),
	('JT', 3290, 'UPG', 3240, 'SUB', 3928, '', 0, '739\r'),
	('JT', 3290, 'UPG', 3240, 'TRK', 3920, '', 0, '733\r'),
	('JT', 3290, 'UPG', 3240, 'TTE', 3253, '', 0, '733\r'),
	('JT', 3290, 'WGP', 3927, 'DPS', 3940, 'Y', 0, 'ATR\r'),
	('JU', 2991, 'AMS', 580, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'ARN', 737, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'ATH', 3941, 'BEG', 1739, '', 0, '319 320\r'),
	('JU', 2991, 'AUH', 2179, 'BEG', 1739, '', 0, '319 320\r'),
	('JU', 2991, 'BBO', 1122, 'BSA', 5686, '', 0, 'AN4\r'),
	('JU', 2991, 'BBO', 1122, 'JIB', 4119, '', 0, '737\r'),
	('JU', 2991, 'BEG', 1739, 'AMS', 580, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'ARN', 737, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'ATH', 3941, '', 0, '319 320\r'),
	('JU', 2991, 'BEG', 1739, 'AUH', 2179, '', 0, '319 320\r'),
	('JU', 2991, 'BEG', 1739, 'BNX', 5794, '', 0, 'AT7\r'),
	('JU', 2991, 'BEG', 1739, 'BRU', 302, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'BUD', 1489, '', 0, 'AT7\r'),
	('JU', 2991, 'BEG', 1739, 'CDG', 1382, '', 0, '320\r'),
	('JU', 2991, 'BEG', 1739, 'CPH', 609, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'DUS', 345, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'FCO', 1555, '', 0, 'E90 319 733 E75\r'),
	('JU', 2991, 'BEG', 1739, 'FRA', 340, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'LCA', 1197, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'LHR', 507, '', 0, '319 733\r'),
	('JU', 2991, 'BEG', 1739, 'LJU', 1569, '', 0, 'AT7\r'),
	('JU', 2991, 'BEG', 1739, 'MXP', 1524, '', 0, '733\r'),
	('JU', 2991, 'BEG', 1739, 'OTP', 1657, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'PRG', 1587, '', 0, 'AT7\r'),
	('JU', 2991, 'BEG', 1739, 'SAW', 4317, '', 0, '733\r'),
	('JU', 2991, 'BEG', 1739, 'SJJ', 1646, '', 0, 'AT7\r'),
	('JU', 2991, 'BEG', 1739, 'SKG', 1486, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'SKP', 1737, '', 0, '319 320\r'),
	('JU', 2991, 'BEG', 1739, 'SOF', 1194, '', 0, 'AT7\r'),
	('JU', 2991, 'BEG', 1739, 'STR', 350, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'SVO', 2985, '', 0, '320 319\r'),
	('JU', 2991, 'BEG', 1739, 'TGD', 1741, '', 0, 'AT7 319\r'),
	('JU', 2991, 'BEG', 1739, 'TIV', 1743, '', 0, 'AT7\r'),
	('JU', 2991, 'BEG', 1739, 'TLV', 1590, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'TXL', 351, '', 0, '319\r'),
	('JU', 2991, 'BEG', 1739, 'VAR', 1196, '', 0, 'AT7\r'),
	('JU', 2991, 'BEG', 1739, 'VIE', 1613, '', 0, 'AT7\r'),
	('JU', 2991, 'BEG', 1739, 'WAW', 679, '', 0, 'E75 E70\r'),
	('JU', 2991, 'BEG', 1739, 'ZRH', 1678, '', 0, '319\r'),
	('JU', 2991, 'BNX', 5794, 'BEG', 1739, '', 0, 'AT7\r'),
	('JU', 2991, 'BRU', 302, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'BSA', 5686, 'BBO', 1122, '', 0, 'AN4\r'),
	('JU', 2991, 'BSA', 5686, 'GLK', 5688, '', 0, 'AN4\r'),
	('JU', 2991, 'BUD', 1489, 'BEG', 1739, '', 0, 'AT7\r'),
	('JU', 2991, 'CDG', 1382, 'BEG', 1739, '', 0, '320\r'),
	('JU', 2991, 'CPH', 609, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'DUS', 345, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'DXB', 2188, 'BBO', 1122, '', 0, '737\r'),
	('JU', 2991, 'FCO', 1555, 'BEG', 1739, '', 0, '319 733\r'),
	('JU', 2991, 'FRA', 340, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'GLK', 5688, 'BSA', 5686, '', 0, 'AN4\r'),
	('JU', 2991, 'HGA', 1121, 'MGQ', 5687, '', 0, '737\r'),
	('JU', 2991, 'JIB', 4119, 'DXB', 2188, '', 0, '737\r'),
	('JU', 2991, 'JIB', 4119, 'HGA', 1121, '', 0, '737\r'),
	('JU', 2991, 'JIB', 4119, 'MGQ', 5687, '', 0, '737\r'),
	('JU', 2991, 'LCA', 1197, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'LHR', 507, 'BEG', 1739, '', 0, '319 733\r'),
	('JU', 2991, 'LJU', 1569, 'BEG', 1739, '', 0, 'AT7\r'),
	('JU', 2991, 'MGQ', 5687, 'BBO', 1122, '', 0, '737\r'),
	('JU', 2991, 'MXP', 1524, 'BEG', 1739, '', 0, '733\r'),
	('JU', 2991, 'OTP', 1657, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'PRG', 1587, 'BEG', 1739, '', 0, 'AT7\r'),
	('JU', 2991, 'SAW', 4317, 'BEG', 1739, '', 0, '733\r'),
	('JU', 2991, 'SJJ', 1646, 'BEG', 1739, '', 0, 'AT7\r'),
	('JU', 2991, 'SKG', 1486, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'SKP', 1737, 'BEG', 1739, '', 0, '319 320\r'),
	('JU', 2991, 'SOF', 1194, 'BEG', 1739, '', 0, 'AT7\r'),
	('JU', 2991, 'STR', 350, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'SVO', 2985, 'BEG', 1739, '', 0, '319 320\r'),
	('JU', 2991, 'TGD', 1741, 'BEG', 1739, '', 0, 'AT7 319\r'),
	('JU', 2991, 'TIV', 1743, 'BEG', 1739, '', 0, 'AT7\r'),
	('JU', 2991, 'TLV', 1590, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'TXL', 351, 'BEG', 1739, '', 0, '319\r'),
	('JU', 2991, 'VAR', 1196, 'BEG', 1739, '', 0, 'AT7\r'),
	('JU', 2991, 'VIE', 1613, 'BEG', 1739, '', 0, 'AT7\r'),
	('JU', 2991, 'WAW', 679, 'BEG', 1739, '', 0, 'E75 E70\r'),
	('JU', 2991, 'ZRH', 1678, 'BEG', 1739, '', 0, '319\r'),
	('JV', 1434, 'YAG', 5479, 'YQK', 115, '', 0, 'SWM\r'),
	('JV', 1434, 'YAG', 5479, 'YQT', 121, '', 0, 'SWM\r'),
	('JV', 1434, 'YAM', 21, 'YQT', 121, '', 0, 'SWM\r'),
	('JV', 1434, 'YAM', 21, 'YSB', 133, '', 0, 'SWM\r'),
	('JV', 1434, 'YFO', 58, 'YQD', 5524, '', 0, 'SWM\r'),
	('JV', 1434, 'YHD', 67, 'YQK', 115, '', 0, 'SWM\r'),
	('JV', 1434, 'YHD', 67, 'YQT', 121, '', 0, 'SWM\r'),
	('JV', 1434, 'YHD', 67, 'YRL', 5527, '', 0, 'SWM\r'),
	('JV', 1434, 'YHD', 67, 'YXL', 169, '', 0, 'SWM\r'),
	('JV', 1434, 'YQD', 5524, 'YFO', 58, '', 0, 'SWM\r'),
	('JV', 1434, 'YQD', 5524, 'YWG', 160, '', 0, 'SWM\r'),
	('JV', 1434, 'YQK', 115, 'YAG', 5479, '', 0, 'SWM\r'),
	('JV', 1434, 'YQK', 115, 'YHD', 67, '', 0, 'SWM\r'),
	('JV', 1434, 'YQK', 115, 'YWG', 160, '', 0, 'SWM\r'),
	('JV', 1434, 'YQT', 121, 'YAG', 5479, '', 0, 'SWM\r'),
	('JV', 1434, 'YQT', 121, 'YAM', 21, '', 0, 'SWM\r'),
	('JV', 1434, 'YQT', 121, 'YTS', 143, '', 0, 'SWM\r'),
	('JV', 1434, 'YQT', 121, 'YWG', 160, '', 0, 'SWM\r'),
	('JV', 1434, 'YQT', 121, 'YXL', 169, '', 0, 'SWM\r'),
	('JV', 1434, 'YRL', 5527, 'YHD', 67, '', 0, 'SWM\r'),
	('JV', 1434, 'YRL', 5527, 'YWG', 160, '', 0, 'SWM\r'),
	('JV', 1434, 'YRL', 5527, 'YXL', 169, '', 0, 'SWM\r'),
	('JV', 1434, 'YSB', 133, 'YAM', 21, '', 0, 'SWM\r'),
	('JV', 1434, 'YSB', 133, 'YQT', 121, '', 0, 'SWM\r'),
	('JV', 1434, 'YSB', 133, 'YTS', 143, '', 0, 'SWM\r'),
	('JV', 1434, 'YSB', 133, 'YYB', 177, '', 0, 'SWM\r'),
	('JV', 1434, 'YTS', 143, 'YSB', 133, '', 0, 'SWM\r'),
	('JV', 1434, 'YTS', 143, 'YYU', 190, '', 0, 'SWM\r'),
	('JV', 1434, 'YWG', 160, 'YFO', 58, '', 0, 'SWM\r'),
	('JV', 1434, 'YWG', 160, 'YQD', 5524, '', 0, 'SWM\r'),
	('JV', 1434, 'YWG', 160, 'YQK', 115, '', 0, 'SWM\r'),
	('JV', 1434, 'YWG', 160, 'YRL', 5527, '', 0, 'SWM\r'),
	('JV', 1434, 'YXL', 169, 'YAG', 5479, '', 0, 'SWM\r'),
	('JV', 1434, 'YXL', 169, 'YHD', 67, '', 0, 'SWM\r'),
	('JV', 1434, 'YXL', 169, 'YQT', 121, '', 0, 'SWM\r'),
	('JV', 1434, 'YXL', 169, 'YRL', 5527, '', 0, 'SWM\r'),
	('JV', 1434, 'YYB', 177, 'YSB', 133, '', 0, 'SWM\r'),
	('JV', 1434, 'YYU', 190, 'YQT', 121, '', 0, 'SWM\r'),
	('JV', 1434, 'YYU', 190, 'YTS', 143, '', 0, 'SWM\r'),
	('JW', 397, 'CTS', 2287, 'NRT', 2279, '', 0, '320\r'),
	('JW', 397, 'ICN', 3930, 'NRT', 2279, '', 0, '320\r'),
	('JW', 397, 'NRT', 2279, 'CTS', 2287, '', 0, '320\r'),
	('JW', 397, 'NRT', 2279, 'ICN', 3930, '', 0, '320\r'),
	('JW', 397, 'NRT', 2279, 'OKA', 2384, '', 0, '320\r'),
	('JW', 397, 'NRT', 2279, 'TPE', 2276, '', 0, '320\r'),
	('JW', 397, 'OKA', 2384, 'NRT', 2279, '', 0, '320\r'),
	('JW', 397, 'TPE', 2276, 'NRT', 2279, '', 0, '320\r'),
	('JY', 14849, 'AZS', 5810, 'SJU', 2890, '', 0, 'EM2\r'),
	('JY', 14849, 'CAP', 1895, 'PLS', 1754, '', 0, 'BE9\r'),
	('JY', 14849, 'GDT', 5807, 'PLS', 1754, '', 0, 'EM2 BE9\r'),
	('JY', 14849, 'GDT', 5807, 'XSC', 1755, '', 0, 'BE9\r'),
	('JY', 14849, 'KIN', 1779, 'PLS', 1754, '', 0, 'EM2\r'),
	('JY', 14849, 'KIN', 1779, 'SDQ', 1762, '', 0, 'EM2\r'),
	('JY', 14849, 'NAS', 1953, 'PLS', 1754, '', 0, 'EM2\r'),
	('JY', 14849, 'PAP', 1897, 'PLS', 1754, '', 0, 'EM2\r'),
	('JY', 14849, 'PLS', 1754, 'CAP', 1895, '', 0, 'BE9\r'),
	('JY', 14849, 'PLS', 1754, 'GDT', 5807, '', 0, 'EM2 BE9\r'),
	('JY', 14849, 'PLS', 1754, 'KIN', 1779, '', 0, 'EM2\r'),
	('JY', 14849, 'PLS', 1754, 'NAS', 1953, '', 0, 'EM2\r'),
	('JY', 14849, 'PLS', 1754, 'PAP', 1897, '', 0, 'EM2\r'),
	('JY', 14849, 'PLS', 1754, 'POP', 1761, '', 0, 'EM2\r'),
	('JY', 14849, 'PLS', 1754, 'SDQ', 1762, '', 0, 'EM2\r'),
	('JY', 14849, 'PLS', 1754, 'SJU', 2890, '', 0, 'EM2\r'),
	('JY', 14849, 'PLS', 1754, 'STI', 1764, '', 0, 'EM2\r'),
	('JY', 14849, 'PLS', 1754, 'XSC', 1755, '', 0, 'BE9\r'),
	('JY', 14849, 'POP', 1761, 'PLS', 1754, '', 0, 'EM2\r'),
	('JY', 14849, 'POP', 1761, 'SJU', 2890, '', 0, 'EM2\r'),
	('JY', 14849, 'SDQ', 1762, 'KIN', 1779, '', 0, 'EM2\r'),
	('JY', 14849, 'SDQ', 1762, 'PLS', 1754, '', 0, 'EM2\r'),
	('JY', 14849, 'SJU', 2890, 'AZS', 5810, '', 0, 'EM2\r'),
	('JY', 14849, 'SJU', 2890, 'PLS', 1754, '', 0, 'EM2\r'),
	('JY', 14849, 'SJU', 2890, 'POP', 1761, '', 0, 'EM2\r'),
	('JY', 14849, 'STI', 1764, 'PLS', 1754, '', 0, 'EM2\r'),
	('JY', 14849, 'XSC', 1755, 'GDT', 5807, '', 0, 'BE9\r'),
	('JY', 14849, 'XSC', 1755, 'PLS', 1754, '', 0, 'BE9\r'),
	('K2', 2245, 'AMS', 580, 'GDN', 668, '', 0, 'DH4\r'),
	('K2', 2245, 'AMS', 580, 'KRK', 669, '', 0, 'DH4\r'),
	('K2', 2245, 'BRU', 302, 'GDN', 668, '', 0, 'DH4\r'),
	('K2', 2245, 'BRU', 302, 'WRO', 680, '', 0, 'DH4\r'),
	('K2', 2245, 'BVA', 1367, 'RZE', 675, '', 0, 'DH4\r'),
	('K2', 2245, 'CDG', 1382, 'WRO', 680, '', 0, 'DH4\r'),
	('K2', 2245, 'DBV', 1200, 'WAW', 679, '', 0, 'DH4\r'),
	('K2', 2245, 'FCO', 1555, 'RZE', 675, '', 0, 'DH4\r'),
	('K2', 2245, 'GDN', 668, 'AMS', 580, '', 0, 'DH4\r'),
	('K2', 2245, 'GDN', 668, 'BRU', 302, '', 0, 'DH4\r'),
	('K2', 2245, 'GDN', 668, 'HEL', 421, '', 0, 'DH4\r'),
	('K2', 2245, 'GDN', 668, 'KRK', 669, '', 0, 'DH4\r'),
	('K2', 2245, 'GDN', 668, 'LUZ', 8832, '', 0, 'DH4\r'),
	('K2', 2245, 'GDN', 668, 'WRO', 680, '', 0, 'DH4\r'),
	('K2', 2245, 'GDN', 668, 'ZRH', 1678, '', 0, 'DH4\r'),
	('K2', 2245, 'HEL', 421, 'GDN', 668, '', 0, 'DH4\r'),
	('K2', 2245, 'KRK', 669, 'AMS', 580, '', 0, 'DH4\r'),
	('K2', 2245, 'KRK', 669, 'GDN', 668, '', 0, 'DH4\r'),
	('K2', 2245, 'KRK', 669, 'ZRH', 1678, '', 0, 'DH4\r'),
	('K2', 2245, 'LUZ', 8832, 'GDN', 668, '', 0, 'DH4\r'),
	('K2', 2245, 'LUZ', 8832, 'MXP', 1524, '', 0, 'DH4\r'),
	('K2', 2245, 'MXP', 1524, 'LUZ', 8832, '', 0, 'DH4\r'),
	('K2', 2245, 'RZE', 675, 'BVA', 1367, '', 0, 'DH4\r'),
	('K2', 2245, 'RZE', 675, 'FCO', 1555, '', 0, 'DH4\r'),
	('K2', 2245, 'SPU', 1206, 'WAW', 679, '', 0, 'DH4\r'),
	('K2', 2245, 'WAW', 679, 'DBV', 1200, '', 0, 'DH4\r'),
	('K2', 2245, 'WAW', 679, 'SPU', 1206, '', 0, 'DH4\r'),
	('K2', 2245, 'WAW', 679, 'ZAD', 1209, '', 0, 'DH4\r'),
	('K2', 2245, 'WRO', 680, 'BRU', 302, '', 0, 'DH4\r'),
	('K2', 2245, 'WRO', 680, 'CDG', 1382, '', 0, 'DH4\r'),
	('K2', 2245, 'WRO', 680, 'GDN', 668, '', 0, 'DH4\r'),
	('K2', 2245, 'WRO', 680, 'ZRH', 1678, '', 0, 'DH4\r'),
	('K2', 2245, 'ZAD', 1209, 'WAW', 679, '', 0, 'DH4\r'),
	('K2', 2245, 'ZRH', 1678, 'GDN', 668, '', 0, 'DH4\r'),
	('K2', 2245, 'ZRH', 1678, 'KRK', 669, '', 0, 'DH4\r'),
	('K2', 2245, 'ZRH', 1678, 'WRO', 680, '', 0, 'DH4\r'),
	('K5', 10765, 'AHN', 5716, 'BNA', 3690, '', 0, 'CNC\r'),
	('K5', 10765, 'BNA', 3690, 'AHN', 5716, '', 0, 'CNC\r'),
	('K5', 10765, 'BNA', 3690, 'MKL', 3704, '', 0, 'CNC\r'),
	('K5', 10765, 'BUR', 3644, 'IPL', 3689, '', 0, 'CNC\r'),
	('K5', 10765, 'DAL', 3502, 'ELD', 3696, '', 0, 'CNC\r'),
	('K5', 10765, 'ELD', 3696, 'DAL', 3502, '', 0, 'CNC\r'),
	('K5', 10765, 'ELD', 3696, 'HOT', 5741, '', 0, 'CNC\r'),
	('K5', 10765, 'GST', 5960, 'HNH', 7142, '', 0, 'CNC\r'),
	('K5', 10765, 'GST', 5960, 'JNU', 3492, '', 0, 'CN1 CNC\r'),
	('K5', 10765, 'HNH', 7142, 'GST', 5960, '', 0, 'CNC\r'),
	('K5', 10765, 'HNH', 7142, 'JNU', 3492, '', 0, 'CNC CN1\r'),
	('K5', 10765, 'HNS', 5963, 'JNU', 3492, '', 0, 'CNC CN1\r'),
	('K5', 10765, 'HNS', 5963, 'SGY', 5961, '', 0, 'CNC\r'),
	('K5', 10765, 'HOT', 5741, 'ELD', 3696, '', 0, 'CNC\r'),
	('K5', 10765, 'HOT', 5741, 'MEM', 3473, '', 0, 'CNC\r'),
	('K5', 10765, 'HRO', 3461, 'MCI', 3458, '', 0, 'CNC\r'),
	('K5', 10765, 'HRO', 3461, 'MEM', 3473, '', 0, 'CNC\r'),
	('K5', 10765, 'IPL', 3689, 'BUR', 3644, '', 0, 'CNC\r'),
	('K5', 10765, 'IPL', 3689, 'SAN', 3731, '', 0, 'CNC\r'),
	('K5', 10765, 'JNU', 3492, 'GST', 5960, '', 0, 'CNC CN1\r'),
	('K5', 10765, 'JNU', 3492, 'HNH', 7142, '', 0, 'CNC CN1\r'),
	('K5', 10765, 'JNU', 3492, 'HNS', 5963, '', 0, 'CN1 CNC\r'),
	('K5', 10765, 'JNU', 3492, 'SGY', 5961, '', 0, 'CNC CN1\r'),
	('K5', 10765, 'MCI', 3458, 'HRO', 3461, '', 0, 'CNC\r'),
	('K5', 10765, 'MCI', 3458, 'SLN', 5771, '', 0, 'CNC\r'),
	('K5', 10765, 'MEM', 3473, 'ELD', 3696, '', 0, 'CNC\r'),
	('K5', 10765, 'MEM', 3473, 'HOT', 5741, '', 0, 'CNC\r'),
	('K5', 10765, 'MEM', 3473, 'HRO', 3461, '', 0, 'CNC\r'),
	('K5', 10765, 'MEM', 3473, 'MKL', 3704, '', 0, 'CNC\r'),
	('K5', 10765, 'MKL', 3704, 'BNA', 3690, '', 0, 'CNC\r'),
	('K5', 10765, 'MKL', 3704, 'MEM', 3473, '', 0, 'CNC\r'),
	('K5', 10765, 'OTH', 5757, 'PDX', 3720, '', 0, 'CNC\r'),
	('K5', 10765, 'PDT', 6883, 'PDX', 3720, '', 0, 'CNC\r'),
	('K5', 10765, 'PDX', 3720, 'OTH', 5757, '', 0, 'CNC\r'),
	('K5', 10765, 'PDX', 3720, 'PDT', 6883, '', 0, 'CNC\r'),
	('K5', 10765, 'SAN', 3731, 'IPL', 3689, '', 0, 'CNC\r'),
	('K5', 10765, 'SGY', 5961, 'HNS', 5963, '', 0, 'CNC\r'),
	('K5', 10765, 'SGY', 5961, 'JNU', 3492, '', 0, 'CNC CN1\r'),
	('K5', 10765, 'SLN', 5771, 'MCI', 3458, '', 0, 'CNC\r'),
	('K6', 13899, 'BKK', 3885, 'PNH', 3034, '', 0, '321\r'),
	('K6', 13899, 'BKK', 3885, 'REP', 3035, '', 0, 'AT7\r'),
	('K6', 13899, 'CAN', 3370, 'REP', 3035, '', 0, '321\r'),
	('K6', 13899, 'HAN', 3199, 'PNH', 3034, '', 0, '321\r'),
	('K6', 13899, 'HAN', 3199, 'REP', 3035, '', 0, '321\r'),
	('K6', 13899, 'KOS', 4093, 'REP', 3035, '', 0, 'AT7\r'),
	('K6', 13899, 'PNH', 3034, 'BKK', 3885, '', 0, '321\r'),
	('K6', 13899, 'PNH', 3034, 'HAN', 3199, '', 0, '321\r'),
	('K6', 13899, 'PNH', 3034, 'PVG', 3406, '', 0, '321\r'),
	('K6', 13899, 'PNH', 3034, 'REP', 3035, '', 0, 'AT7 321\r'),
	('K6', 13899, 'PNH', 3034, 'SGN', 3205, '', 0, 'AT7\r'),
	('K6', 13899, 'PVG', 3406, 'PNH', 3034, '', 0, '321\r'),
	('K6', 13899, 'PVG', 3406, 'REP', 3035, '', 0, '321\r'),
	('K6', 13899, 'REP', 3035, 'BKK', 3885, '', 0, 'AT7\r'),
	('K6', 13899, 'REP', 3035, 'CAN', 3370, '', 0, '321\r'),
	('K6', 13899, 'REP', 3035, 'HAN', 3199, '', 0, '321\r'),
	('K6', 13899, 'REP', 3035, 'KOS', 4093, '', 0, 'AT7\r'),
	('K6', 13899, 'REP', 3035, 'PNH', 3034, '', 0, 'AT7 321\r'),
	('K6', 13899, 'REP', 3035, 'PVG', 3406, '', 0, '321\r'),
	('K6', 13899, 'REP', 3035, 'SGN', 3205, '', 0, '321 AT7\r'),
	('K6', 13899, 'SGN', 3205, 'PNH', 3034, '', 0, 'AT7\r'),
	('K6', 13899, 'SGN', 3205, 'REP', 3035, '', 0, '321 AT7\r'),
	('K8', 11808, 'CNX', 3931, 'HGN', 4086, '', 0, 'CNC\r'),
	('K8', 11808, 'CNX', 3931, 'NNT', 4131, '', 0, 'CNC\r'),
	('K8', 11808, 'CNX', 3931, 'PHS', 3170, '', 0, 'CNC\r'),
	('K8', 11808, 'CNX', 3931, 'PYY', 4159, '', 0, 'CNC\r'),
	('K8', 11808, 'HGN', 4086, 'CNX', 3931, '', 0, 'CNC\r'),
	('K8', 11808, 'NNT', 4131, 'CNX', 3931, '', 0, 'CNC\r'),
	('K8', 11808, 'PHS', 3170, 'CNX', 3931, '', 0, 'CNC\r'),
	('K8', 11808, 'PYY', 4159, 'CNX', 3931, '', 0, 'CNC\r'),
	('KA', 2056, 'BKI', 3269, 'HKG', 3077, '', 0, '321 320\r'),
	('KA', 2056, 'BLR', 3131, 'HKG', 3077, '', 0, '333\r'),
	('KA', 2056, 'BWN', 3272, 'HKG', 3077, 'Y', 0, '320\r'),
	('KA', 2056, 'CAN', 3370, 'HKG', 3077, '', 0, '333 321 320\r'),
	('KA', 2056, 'CCU', 3043, 'HKG', 3077, '', 0, '320\r'),
	('KA', 2056, 'CGO', 3375, 'HKG', 3077, '', 0, '320\r'),
	('KA', 2056, 'CJU', 2370, 'HKG', 3077, '', 0, '320\r'),
	('KA', 2056, 'CKG', 3393, 'HKG', 3077, '', 0, '320 738 321\r'),
	('KA', 2056, 'CNX', 3931, 'HKG', 3077, '', 0, '320\r'),
	('KA', 2056, 'CRK', 4140, 'HKG', 3077, '', 0, '320\r'),
	('KA', 2056, 'CSX', 3371, 'HKG', 3077, '', 0, '320 321\r'),
	('KA', 2056, 'CTU', 3395, 'HKG', 3077, '', 0, '320 333 321\r'),
	('KA', 2056, 'DAC', 3076, 'HKG', 3077, '', 0, '333\r'),
	('KA', 2056, 'DAC', 3076, 'KTM', 3125, '', 0, '333\r'),
	('KA', 2056, 'DAD', 3196, 'HKG', 3077, '', 0, '320\r'),
	('KA', 2056, 'DLC', 3404, 'HKG', 3077, 'Y', 0, '738\r'),
	('KA', 2056, 'DPS', 3940, 'HKG', 3077, '', 0, '333\r'),
	('KA', 2056, 'FOC', 3385, 'HKG', 3077, '', 0, '333\r'),
	('KA', 2056, 'FUK', 2305, 'HKG', 3077, '', 0, '321 333\r'),
	('KA', 2056, 'HAK', 4120, 'HKG', 3077, '', 0, '320 321\r'),
	('KA', 2056, 'HAN', 3199, 'HKG', 3077, '', 0, '320 321\r'),
	('KA', 2056, 'HGH', 3386, 'HKG', 3077, '', 0, '333 321 320\r'),
	('KA', 2056, 'HKG', 3077, 'BKI', 3269, '', 0, '321 320\r'),
	('KA', 2056, 'HKG', 3077, 'BLR', 3131, '', 0, '333\r'),
	('KA', 2056, 'HKG', 3077, 'BWN', 3272, 'Y', 0, '320\r'),
	('KA', 2056, 'HKG', 3077, 'CAN', 3370, '', 0, '333 321 320\r'),
	('KA', 2056, 'HKG', 3077, 'CCU', 3043, '', 0, '320\r'),
	('KA', 2056, 'HKG', 3077, 'CGO', 3375, '', 0, '320\r'),
	('KA', 2056, 'HKG', 3077, 'CJU', 2370, '', 0, '320\r'),
	('KA', 2056, 'HKG', 3077, 'CKG', 3393, '', 0, '320 738 321\r'),
	('KA', 2056, 'HKG', 3077, 'CNX', 3931, '', 0, '320\r'),
	('KA', 2056, 'HKG', 3077, 'CRK', 4140, '', 0, '320\r'),
	('KA', 2056, 'HKG', 3077, 'CSX', 3371, '', 0, '320 321\r'),
	('KA', 2056, 'HKG', 3077, 'CTU', 3395, '', 0, '320 333 321\r'),
	('KA', 2056, 'HKG', 3077, 'DAC', 3076, '', 0, '333\r'),
	('KA', 2056, 'HKG', 3077, 'DAD', 3196, '', 0, '320\r'),
	('KA', 2056, 'HKG', 3077, 'DLC', 3404, 'Y', 0, '738\r'),
	('KA', 2056, 'HKG', 3077, 'DPS', 3940, '', 0, '333\r'),
	('KA', 2056, 'HKG', 3077, 'FOC', 3385, '', 0, '333\r'),
	('KA', 2056, 'HKG', 3077, 'FUK', 2305, '', 0, '321 333\r'),
	('KA', 2056, 'HKG', 3077, 'HAK', 4120, '', 0, '320 321\r'),
	('KA', 2056, 'HKG', 3077, 'HAN', 3199, '', 0, '320 321\r'),
	('KA', 2056, 'HKG', 3077, 'HGH', 3386, '', 0, '321 333 320\r'),
	('KA', 2056, 'HKG', 3077, 'HKT', 3179, '', 0, '320 321\r'),
	('KA', 2056, 'HKG', 3077, 'KHH', 2264, '', 0, '320 333 321\r'),
	('KA', 2056, 'HKG', 3077, 'KMG', 3382, '', 0, '333 320 321\r'),
	('KA', 2056, 'HKG', 3077, 'KWL', 3372, '', 0, '320 321\r'),
	('KA', 2056, 'HKG', 3077, 'MLE', 3156, '', 0, '333\r'),
	('KA', 2056, 'HKG', 3077, 'MNL', 2397, '', 0, '320\r'),
	('KA', 2056, 'HKG', 3077, 'NGB', 3387, '', 0, '320 321\r'),
	('KA', 2056, 'HKG', 3077, 'NKG', 3388, '', 0, '333 321 320\r'),
	('KA', 2056, 'HKG', 3077, 'OKA', 2384, '', 0, '333\r'),
	('KA', 2056, 'HKG', 3077, 'PEK', 3364, '', 0, '333 321 320\r'),
	('KA', 2056, 'HKG', 3077, 'PEN', 3308, '', 0, '333\r'),
	('KA', 2056, 'HKG', 3077, 'PNH', 3034, '', 0, '320 333\r'),
	('KA', 2056, 'HKG', 3077, 'PUS', 2372, '', 0, '321 320\r'),
	('KA', 2056, 'HKG', 3077, 'PVG', 3406, '', 0, '333 321 320\r'),
	('KA', 2056, 'HKG', 3077, 'REP', 3035, '', 0, '320\r'),
	('KA', 2056, 'HKG', 3077, 'RGN', 3239, '', 0, '321\r'),
	('KA', 2056, 'HKG', 3077, 'RMQ', 2268, '', 0, '320 321\r'),
	('KA', 2056, 'HKG', 3077, 'SHA', 3391, '', 0, '333\r'),
	('KA', 2056, 'HKG', 3077, 'SYX', 4030, '', 0, '320 321\r'),
	('KA', 2056, 'HKG', 3077, 'TAO', 3390, '', 0, '333 320\r'),
	('KA', 2056, 'HKG', 3077, 'TPE', 2276, '', 0, '333 320 321\r'),
	('KA', 2056, 'HKG', 3077, 'TSN', 3368, '', 0, '738\r'),
	('KA', 2056, 'HKG', 3077, 'WNZ', 6392, '', 0, '321 320\r'),
	('KA', 2056, 'HKG', 3077, 'WUH', 3376, '', 0, '321 320\r'),
	('KA', 2056, 'HKG', 3077, 'XIY', 3379, '', 0, '320 321\r'),
	('KA', 2056, 'HKG', 3077, 'XMN', 3383, '', 0, '333 321 320\r'),
	('KA', 2056, 'HKT', 3179, 'HKG', 3077, '', 0, '320 321\r'),
	('KA', 2056, 'KHH', 2264, 'HKG', 3077, '', 0, '333 320 321\r'),
	('KA', 2056, 'KMG', 3382, 'HKG', 3077, '', 0, '333 320 321\r'),
	('KA', 2056, 'KTM', 3125, 'DAC', 3076, '', 0, '333\r'),
	('KA', 2056, 'KWL', 3372, 'HKG', 3077, '', 0, '320 321\r'),
	('KA', 2056, 'MLE', 3156, 'HKG', 3077, '', 0, '333\r'),
	('KA', 2056, 'MNL', 2397, 'HKG', 3077, '', 0, '320\r'),
	('KA', 2056, 'NGB', 3387, 'HKG', 3077, '', 0, '321 320\r'),
	('KA', 2056, 'NKG', 3388, 'HKG', 3077, '', 0, '320 333 321\r'),
	('KA', 2056, 'OKA', 2384, 'HKG', 3077, '', 0, '333\r'),
	('KA', 2056, 'PEK', 3364, 'HKG', 3077, '', 0, '320 333 321\r'),
	('KA', 2056, 'PEN', 3308, 'HKG', 3077, '', 0, '333\r'),
	('KA', 2056, 'PNH', 3034, 'HKG', 3077, '', 0, '320 333\r'),
	('KA', 2056, 'PUS', 2372, 'HKG', 3077, '', 0, '321 320\r'),
	('KA', 2056, 'PVG', 3406, 'HKG', 3077, '', 0, '320 321 333\r'),
	('KA', 2056, 'REP', 3035, 'HKG', 3077, '', 0, '320\r'),
	('KA', 2056, 'RGN', 3239, 'HKG', 3077, '', 0, '321\r'),
	('KA', 2056, 'RMQ', 2268, 'HKG', 3077, '', 0, '320 321\r'),
	('KA', 2056, 'SHA', 3391, 'HKG', 3077, '', 0, '333\r'),
	('KA', 2056, 'SYX', 4030, 'HKG', 3077, '', 0, '320 321\r'),
	('KA', 2056, 'TAO', 3390, 'HKG', 3077, '', 0, '333 320\r'),
	('KA', 2056, 'TPE', 2276, 'HKG', 3077, '', 0, '333 320 321\r'),
	('KA', 2056, 'TSN', 3368, 'HKG', 3077, '', 0, '738\r'),
	('KA', 2056, 'WNZ', 6392, 'HKG', 3077, '', 0, '321 320\r'),
	('KA', 2056, 'WUH', 3376, 'HKG', 3077, '', 0, '321 320\r'),
	('KA', 2056, 'XIY', 3379, 'HKG', 3077, '', 0, '320 321\r'),
	('KA', 2056, 'XMN', 3383, 'HKG', 3077, '', 0, '320 333 321\r'),
	('KB', 2058, 'BKK', 3885, 'DAC', 3076, '', 0, '319\r'),
	('KB', 2058, 'BKK', 3885, 'GAU', 6173, '', 0, '319\r'),
	('KB', 2058, 'BKK', 3885, 'IXB', 3040, '', 0, '319\r'),
	('KB', 2058, 'CCU', 3043, 'PBH', 3155, '', 0, 'ATR 319\r'),
	('KB', 2058, 'CCU', 3043, 'SIN', 3316, '', 0, '319\r'),
	('KB', 2058, 'DAC', 3076, 'BKK', 3885, '', 0, '319\r'),
	('KB', 2058, 'DAC', 3076, 'PBH', 3155, '', 0, '319\r'),
	('KB', 2058, 'DEL', 3093, 'KTM', 3125, '', 0, '319\r'),
	('KB', 2058, 'GAU', 6173, 'BKK', 3885, '', 0, '319\r'),
	('KB', 2058, 'GAU', 6173, 'PBH', 3155, '', 0, '319\r'),
	('KB', 2058, 'IXB', 3040, 'BKK', 3885, '', 0, '319\r'),
	('KB', 2058, 'IXB', 3040, 'PBH', 3155, '', 0, '319\r'),
	('KB', 2058, 'KTM', 3125, 'DEL', 3093, '', 0, '319\r'),
	('KB', 2058, 'KTM', 3125, 'PBH', 3155, '', 0, '319 ATR\r'),
	('KB', 2058, 'PBH', 3155, 'CCU', 3043, '', 0, 'ATR 319\r'),
	('KB', 2058, 'PBH', 3155, 'DAC', 3076, '', 0, '319\r'),
	('KB', 2058, 'PBH', 3155, 'GAU', 6173, '', 0, '319\r'),
	('KB', 2058, 'PBH', 3155, 'IXB', 3040, '', 0, '319\r'),
	('KB', 2058, 'PBH', 3155, 'KTM', 3125, '', 0, '319 ATR\r'),
	('KB', 2058, 'SIN', 3316, 'CCU', 3043, '', 0, '319\r'),
	('KC', 1006, 'AKX', 2920, 'ALA', 2908, '', 0, '757 320 767 321\r'),
	('KC', 1006, 'AKX', 2920, 'TSE', 2910, '', 0, 'E90 320\r'),
	('KC', 1006, 'ALA', 2908, 'AKX', 2920, '', 0, '757 320 767 321\r'),
	('KC', 1006, 'ALA', 2908, 'AUH', 2179, '', 0, '320 321\r'),
	('KC', 1006, 'ALA', 2908, 'BKK', 3885, '', 0, '767 757\r'),
	('KC', 1006, 'ALA', 2908, 'CIT', 2914, '', 0, '320 E90 757 319\r'),
	('KC', 1006, 'ALA', 2908, 'DEL', 3093, '', 0, 'E90 320\r'),
	('KC', 1006, 'ALA', 2908, 'DYU', 2979, '', 0, '320 757\r'),
	('KC', 1006, 'ALA', 2908, 'FRU', 2912, '', 0, '319 757 E90\r'),
	('KC', 1006, 'ALA', 2908, 'GUW', 4357, '', 0, '321 757 320\r'),
	('KC', 1006, 'ALA', 2908, 'GYD', 2922, '', 0, 'E90\r'),
	('KC', 1006, 'ALA', 2908, 'HKG', 3077, '', 0, '757\r'),
	('KC', 1006, 'ALA', 2908, 'ICN', 3930, '', 0, '767\r'),
	('KC', 1006, 'ALA', 2908, 'IST', 1701, '', 0, '738 320\r'),
	('KC', 1006, 'ALA', 2908, 'KBP', 2939, '', 0, '320\r'),
	('KC', 1006, 'ALA', 2908, 'KGF', 4375, '', 0, 'E90 319\r'),
	('KC', 1006, 'ALA', 2908, 'KUF', 4118, '', 0, 'E90\r'),
	('KC', 1006, 'ALA', 2908, 'KUL', 3304, '', 0, '757\r'),
	('KC', 1006, 'ALA', 2908, 'KZN', 2990, '', 0, 'E90\r'),
	('KC', 1006, 'ALA', 2908, 'KZO', 4358, '', 0, '320 E90 319\r'),
	('KC', 1006, 'ALA', 2908, 'LED', 2948, '', 0, '320\r'),
	('KC', 1006, 'ALA', 2908, 'LHR', 507, '', 0, '757\r'),
	('KC', 1006, 'ALA', 2908, 'PEK', 3364, '', 0, '320\r'),
	('KC', 1006, 'ALA', 2908, 'PWQ', 2917, '', 0, 'E90\r'),
	('KC', 1006, 'ALA', 2908, 'SCO', 4367, '', 0, '757 321 320\r'),
	('KC', 1006, 'ALA', 2908, 'SGN', 3205, '', 0, '757\r'),
	('KC', 1006, 'ALA', 2908, 'SVO', 2985, '', 0, '320 321\r'),
	('KC', 1006, 'ALA', 2908, 'TAS', 2983, '', 0, '320 319 E90 757\r'),
	('KC', 1006, 'ALA', 2908, 'TBS', 3973, '', 0, 'E90\r'),
	('KC', 1006, 'ALA', 2908, 'TSE', 2910, '', 0, '757 321 320 767 319 E90\r'),
	('KC', 1006, 'ALA', 2908, 'UKK', 6086, '', 0, '320 E90 757 319\r'),
	('KC', 1006, 'ALA', 2908, 'URC', 3399, '', 0, '320 E90 321\r'),
	('KC', 1006, 'AMS', 580, 'GUW', 4357, '', 0, '321\r'),
	('KC', 1006, 'AUH', 2179, 'ALA', 2908, '', 0, '320 321\r'),
	('KC', 1006, 'AUH', 2179, 'TSE', 2910, '', 0, '320 321\r'),
	('KC', 1006, 'BKK', 3885, 'ALA', 2908, '', 0, '767 757\r'),
	('KC', 1006, 'CIT', 2914, 'ALA', 2908, '', 0, '320 E90 757 319\r'),
	('KC', 1006, 'CIT', 2914, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'DEL', 3093, 'ALA', 2908, '', 0, 'E90 320\r'),
	('KC', 1006, 'DYU', 2979, 'ALA', 2908, '', 0, '320 757\r'),
	('KC', 1006, 'DZN', 6085, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'FRA', 340, 'TSE', 2910, '', 0, '321 757\r'),
	('KC', 1006, 'FRU', 2912, 'ALA', 2908, '', 0, '319 757 E90\r'),
	('KC', 1006, 'FRU', 2912, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'GUW', 4357, 'ALA', 2908, '', 0, '321 757 320\r'),
	('KC', 1006, 'GUW', 4357, 'AMS', 580, '', 0, '321\r'),
	('KC', 1006, 'GUW', 4357, 'IST', 1701, '', 0, '320\r'),
	('KC', 1006, 'GUW', 4357, 'SCO', 4367, '', 0, '320\r'),
	('KC', 1006, 'GUW', 4357, 'TSE', 2910, '', 0, '320\r'),
	('KC', 1006, 'GYD', 2922, 'ALA', 2908, '', 0, 'E90\r'),
	('KC', 1006, 'GYD', 2922, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'HKG', 3077, 'ALA', 2908, '', 0, '757\r'),
	('KC', 1006, 'ICN', 3930, 'ALA', 2908, '', 0, '767\r'),
	('KC', 1006, 'IST', 1701, 'ALA', 2908, '', 0, '738 320\r'),
	('KC', 1006, 'IST', 1701, 'GUW', 4357, '', 0, '320\r'),
	('KC', 1006, 'IST', 1701, 'SCO', 4367, '', 0, '320\r'),
	('KC', 1006, 'IST', 1701, 'TSE', 2910, '', 0, '320\r'),
	('KC', 1006, 'KBP', 2939, 'ALA', 2908, '', 0, '320\r'),
	('KC', 1006, 'KBP', 2939, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'KGF', 4375, 'ALA', 2908, '', 0, 'E90 319\r'),
	('KC', 1006, 'KSN', 6088, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'KUF', 4118, 'ALA', 2908, '', 0, 'E90\r'),
	('KC', 1006, 'KUL', 3304, 'ALA', 2908, '', 0, '757\r'),
	('KC', 1006, 'KZN', 2990, 'ALA', 2908, '', 0, 'E90\r'),
	('KC', 1006, 'KZO', 4358, 'ALA', 2908, '', 0, '320 E90 319\r'),
	('KC', 1006, 'KZO', 4358, 'TSE', 2910, '', 0, 'E90 321 320\r'),
	('KC', 1006, 'LED', 2948, 'ALA', 2908, '', 0, '320\r'),
	('KC', 1006, 'LED', 2948, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'LHR', 507, 'ALA', 2908, '', 0, '757\r'),
	('KC', 1006, 'LHR', 507, 'TSE', 2910, '', 0, '757\r'),
	('KC', 1006, 'OMS', 2958, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'OVB', 4078, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'PEK', 3364, 'ALA', 2908, '', 0, '320\r'),
	('KC', 1006, 'PEK', 3364, 'TSE', 2910, '', 0, '320\r'),
	('KC', 1006, 'PWQ', 2917, 'ALA', 2908, '', 0, 'E90\r'),
	('KC', 1006, 'PWQ', 2917, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'SCO', 4367, 'ALA', 2908, '', 0, '757 321 320\r'),
	('KC', 1006, 'SCO', 4367, 'GUW', 4357, '', 0, '320\r'),
	('KC', 1006, 'SCO', 4367, 'IST', 1701, '', 0, '320\r'),
	('KC', 1006, 'SCO', 4367, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'SGN', 3205, 'ALA', 2908, '', 0, '757\r'),
	('KC', 1006, 'SVO', 2985, 'ALA', 2908, '', 0, '320 321\r'),
	('KC', 1006, 'SVO', 2985, 'TSE', 2910, '', 0, '320\r'),
	('KC', 1006, 'SVX', 2975, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'TAS', 2983, 'ALA', 2908, '', 0, '320 319 E90 757\r'),
	('KC', 1006, 'TAS', 2983, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'TBS', 3973, 'ALA', 2908, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'AKX', 2920, '', 0, 'E90 320\r'),
	('KC', 1006, 'TSE', 2910, 'ALA', 2908, '', 0, '319 321 757 320 767 E90\r'),
	('KC', 1006, 'TSE', 2910, 'AUH', 2179, '', 0, '321 320\r'),
	('KC', 1006, 'TSE', 2910, 'CIT', 2914, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'DZN', 6085, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'FRA', 340, '', 0, '321 757\r'),
	('KC', 1006, 'TSE', 2910, 'FRU', 2912, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'GUW', 4357, '', 0, '320\r'),
	('KC', 1006, 'TSE', 2910, 'GYD', 2922, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'IST', 1701, '', 0, '320\r'),
	('KC', 1006, 'TSE', 2910, 'KBP', 2939, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'KSN', 6088, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'KZO', 4358, '', 0, 'E90 321 320\r'),
	('KC', 1006, 'TSE', 2910, 'LED', 2948, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'LHR', 507, '', 0, '757\r'),
	('KC', 1006, 'TSE', 2910, 'OMS', 2958, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'OVB', 4078, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'PEK', 3364, '', 0, '320\r'),
	('KC', 1006, 'TSE', 2910, 'PWQ', 2917, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'SCO', 4367, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'SVO', 2985, '', 0, '320\r'),
	('KC', 1006, 'TSE', 2910, 'SVX', 2975, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'TAS', 2983, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'UKK', 6086, '', 0, 'E90 320\r'),
	('KC', 1006, 'TSE', 2910, 'URC', 3399, '', 0, 'E90\r'),
	('KC', 1006, 'TSE', 2910, 'VIE', 1613, 'Y', 0, '320\r'),
	('KC', 1006, 'UKK', 6086, 'ALA', 2908, '', 0, '320 E90 757 319\r'),
	('KC', 1006, 'UKK', 6086, 'TSE', 2910, '', 0, 'E90 320\r'),
	('KC', 1006, 'URC', 3399, 'ALA', 2908, '', 0, '320 E90 321\r'),
	('KC', 1006, 'URC', 3399, 'TSE', 2910, '', 0, 'E90\r'),
	('KC', 1006, 'VIE', 1613, 'TSE', 2910, 'Y', 0, '320\r'),
	('KE', 3163, 'AKL', 2006, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'AMS', 580, 'ICN', 3930, '', 0, '332\r'),
	('KE', 3163, 'AOJ', 2340, 'ICN', 3930, '', 0, '73H\r'),
	('KE', 3163, 'ATL', 3682, 'GIG', 2560, 'Y', 0, '764\r'),
	('KE', 3163, 'ATL', 3682, 'ICN', 3930, '', 0, '77W\r'),
	('KE', 3163, 'ATL', 3682, 'JFK', 3797, '', 0, '74N\r'),
	('KE', 3163, 'ATL', 3682, 'SCL', 2650, 'Y', 0, '76W\r'),
	('KE', 3163, 'AUH', 2179, 'ICN', 3930, '', 0, '345 346\r'),
	('KE', 3163, 'AXT', 2345, 'ICN', 3930, '', 0, '73H 739\r'),
	('KE', 3163, 'BKI', 3269, 'ICN', 3930, '', 0, '73J\r'),
	('KE', 3163, 'BKK', 3885, 'ICN', 3930, '', 0, '333 773 744 772 332\r'),
	('KE', 3163, 'BKK', 3885, 'PUS', 2372, '', 0, '333\r'),
	('KE', 3163, 'BNE', 3320, 'ICN', 3930, '', 0, '333\r'),
	('KE', 3163, 'BOM', 2997, 'ICN', 3930, '', 0, '332\r'),
	('KE', 3163, 'CAN', 3370, 'ICN', 3930, '', 0, '333\r'),
	('KE', 3163, 'CDG', 1382, 'ICN', 3930, '', 0, '388\r'),
	('KE', 3163, 'CEB', 4206, 'ICN', 3930, '', 0, '744\r'),
	('KE', 3163, 'CEB', 4206, 'PUS', 2372, '', 0, '73H\r'),
	('KE', 3163, 'CGK', 3275, 'ICN', 3930, '', 0, '332 77W\r'),
	('KE', 3163, 'CGO', 3375, 'ICN', 3930, '', 0, '73J 73H\r'),
	('KE', 3163, 'CJJ', 6008, 'CJU', 2370, '', 0, '739\r'),
	('KE', 3163, 'CJJ', 6008, 'HGH', 3386, '', 0, '739\r'),
	('KE', 3163, 'CJU', 2370, 'CJJ', 6008, '', 0, '739\r'),
	('KE', 3163, 'CJU', 2370, 'GMP', 2378, '', 0, '739 744 772 73H\r'),
	('KE', 3163, 'CJU', 2370, 'HIN', 6007, '', 0, '739\r'),
	('KE', 3163, 'CJU', 2370, 'ICN', 3930, '', 0, '739\r'),
	('KE', 3163, 'CJU', 2370, 'KIX', 3992, '', 0, '739\r'),
	('KE', 3163, 'CJU', 2370, 'KUV', 6003, '', 0, '739\r'),
	('KE', 3163, 'CJU', 2370, 'KWJ', 2361, '', 0, '739 73H\r'),
	('KE', 3163, 'CJU', 2370, 'NGO', 3942, '', 0, '73H\r'),
	('KE', 3163, 'CJU', 2370, 'NRT', 2279, '', 0, '739\r'),
	('KE', 3163, 'CJU', 2370, 'PEK', 3364, '', 0, '333\r'),
	('KE', 3163, 'CJU', 2370, 'PUS', 2372, '', 0, '739 333 73H\r'),
	('KE', 3163, 'CJU', 2370, 'RSU', 2365, '', 0, '73H\r'),
	('KE', 3163, 'CJU', 2370, 'TAE', 2381, '', 0, '739 73H\r'),
	('KE', 3163, 'CJU', 2370, 'USN', 2374, '', 0, '73H\r'),
	('KE', 3163, 'CJU', 2370, 'WJU', 6005, '', 0, '739\r'),
	('KE', 3163, 'CMB', 3024, 'ICN', 3930, '', 0, '333\r'),
	('KE', 3163, 'CMB', 3024, 'MLE', 3156, '', 0, '333\r'),
	('KE', 3163, 'CNX', 3931, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'CSX', 3371, 'ICN', 3930, '', 0, '333 332\r'),
	('KE', 3163, 'CTS', 2287, 'ICN', 3930, '', 0, '73H 744 333 772\r'),
	('KE', 3163, 'CTS', 2287, 'PUS', 2372, '', 0, '73H\r'),
	('KE', 3163, 'DAD', 3196, 'ICN', 3930, '', 0, '321 73J\r'),
	('KE', 3163, 'DFW', 3670, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'DLC', 3404, 'ICN', 3930, '', 0, '319 772 73H\r'),
	('KE', 3163, 'DPS', 3940, 'ICN', 3930, '', 0, '333\r'),
	('KE', 3163, 'DXB', 2188, 'ICN', 3930, '', 0, '332\r'),
	('KE', 3163, 'FCO', 1555, 'ICN', 3930, '', 0, '744\r'),
	('KE', 3163, 'FRA', 340, 'ICN', 3930, '', 0, '744\r'),
	('KE', 3163, 'FUK', 2305, 'ICN', 3930, '', 0, '333 739 77W 73J\r'),
	('KE', 3163, 'FUK', 2305, 'PUS', 2372, '', 0, '739\r'),
	('KE', 3163, 'GIG', 2560, 'ATL', 3682, 'Y', 0, '764\r'),
	('KE', 3163, 'GMP', 2378, 'CJU', 2370, '', 0, '739 744 772 73H\r'),
	('KE', 3163, 'GMP', 2378, 'HIN', 6007, '', 0, '73H\r'),
	('KE', 3163, 'GMP', 2378, 'HND', 2359, '', 0, '773 772\r'),
	('KE', 3163, 'GMP', 2378, 'KIX', 3992, '', 0, '772\r'),
	('KE', 3163, 'GMP', 2378, 'KPO', 2380, '', 0, '73H\r'),
	('KE', 3163, 'GMP', 2378, 'KWJ', 2361, '', 0, '73H\r'),
	('KE', 3163, 'GMP', 2378, 'PEK', 3364, '', 0, '772 744\r'),
	('KE', 3163, 'GMP', 2378, 'PUS', 2372, '', 0, '73H 739 73J\r'),
	('KE', 3163, 'GMP', 2378, 'RSU', 2365, '', 0, '73H\r'),
	('KE', 3163, 'GMP', 2378, 'SHA', 3391, '', 0, '772\r'),
	('KE', 3163, 'GMP', 2378, 'USN', 2374, '', 0, '73H\r'),
	('KE', 3163, 'GRU', 2564, 'LAX', 3484, '', 0, '77W\r'),
	('KE', 3163, 'GUM', 2246, 'ICN', 3930, '', 0, '744\r'),
	('KE', 3163, 'GUM', 2246, 'KIX', 3992, '', 0, '772 739\r'),
	('KE', 3163, 'GUM', 2246, 'PUS', 2372, '', 0, '73H\r'),
	('KE', 3163, 'HAN', 3199, 'ICN', 3930, '', 0, '73J 332 333\r'),
	('KE', 3163, 'HAN', 3199, 'PUS', 2372, '', 0, '321\r'),
	('KE', 3163, 'HGH', 3386, 'CJJ', 6008, '', 0, '739\r'),
	('KE', 3163, 'HIN', 6007, 'CJU', 2370, '', 0, '739\r'),
	('KE', 3163, 'HIN', 6007, 'GMP', 2378, '', 0, '73H\r'),
	('KE', 3163, 'HKG', 3077, 'ICN', 3930, '', 0, '388 333 744 332 73J 77W\r'),
	('KE', 3163, 'HKG', 3077, 'PUS', 2372, '', 0, '739\r'),
	('KE', 3163, 'HKT', 3179, 'ICN', 3930, '', 0, '333\r'),
	('KE', 3163, 'HND', 2359, 'GMP', 2378, '', 0, '772 773\r'),
	('KE', 3163, 'HND', 2359, 'ICN', 3930, '', 0, '73H\r'),
	('KE', 3163, 'HNL', 3728, 'ICN', 3930, '', 0, '333 744\r'),
	('KE', 3163, 'HNL', 3728, 'NRT', 2279, '', 0, '333\r'),
	('KE', 3163, 'IAD', 3714, 'ICN', 3930, '', 0, '77W 772\r'),
	('KE', 3163, 'IAH', 3550, 'ICN', 3930, '', 0, '772 77W\r'),
	('KE', 3163, 'ICN', 3930, 'AKL', 2006, '', 0, '772\r'),
	('KE', 3163, 'ICN', 3930, 'AMS', 580, '', 0, '332\r'),
	('KE', 3163, 'ICN', 3930, 'AOJ', 2340, '', 0, '73H\r'),
	('KE', 3163, 'ICN', 3930, 'ATL', 3682, '', 0, '77W\r'),
	('KE', 3163, 'ICN', 3930, 'AUH', 2179, '', 0, '345 346\r'),
	('KE', 3163, 'ICN', 3930, 'AXT', 2345, '', 0, '73H 739\r'),
	('KE', 3163, 'ICN', 3930, 'BKI', 3269, '', 0, '73J\r'),
	('KE', 3163, 'ICN', 3930, 'BKK', 3885, '', 0, '744 773 333 772 332\r'),
	('KE', 3163, 'ICN', 3930, 'BNE', 3320, '', 0, '333\r'),
	('KE', 3163, 'ICN', 3930, 'BOM', 2997, '', 0, '332\r'),
	('KE', 3163, 'ICN', 3930, 'CAN', 3370, '', 0, '333\r'),
	('KE', 3163, 'ICN', 3930, 'CDG', 1382, '', 0, '388\r'),
	('KE', 3163, 'ICN', 3930, 'CEB', 4206, '', 0, '744\r'),
	('KE', 3163, 'ICN', 3930, 'CGK', 3275, '', 0, '77W 332\r'),
	('KE', 3163, 'ICN', 3930, 'CGO', 3375, '', 0, '73J 73H\r'),
	('KE', 3163, 'ICN', 3930, 'CJU', 2370, '', 0, '739\r'),
	('KE', 3163, 'ICN', 3930, 'CMB', 3024, '', 0, '333\r'),
	('KE', 3163, 'ICN', 3930, 'CNX', 3931, '', 0, '772\r'),
	('KE', 3163, 'ICN', 3930, 'CSX', 3371, '', 0, '333 332\r'),
	('KE', 3163, 'ICN', 3930, 'CTS', 2287, '', 0, '744 73H 333 772\r'),
	('KE', 3163, 'ICN', 3930, 'DAD', 3196, '', 0, '321 73J\r'),
	('KE', 3163, 'ICN', 3930, 'DFW', 3670, '', 0, '772\r'),
	('KE', 3163, 'ICN', 3930, 'DLC', 3404, '', 0, '772 319 73H\r'),
	('KE', 3163, 'ICN', 3930, 'DPS', 3940, '', 0, '333\r'),
	('KE', 3163, 'ICN', 3930, 'DXB', 2188, '', 0, '332\r'),
	('KE', 3163, 'ICN', 3930, 'FRA', 340, '', 0, '744\r'),
	('KE', 3163, 'ICN', 3930, 'FUK', 2305, '', 0, '333 739 77W 73J\r'),
	('KE', 3163, 'ICN', 3930, 'GUM', 2246, '', 0, '744\r'),
	('KE', 3163, 'ICN', 3930, 'HAN', 3199, '', 0, '73J 332 333\r'),
	('KE', 3163, 'ICN', 3930, 'HKG', 3077, '', 0, '333 744 332 388 73J 77W\r'),
	('KE', 3163, 'ICN', 3930, 'HKT', 3179, '', 0, '333\r'),
	('KE', 3163, 'ICN', 3930, 'HND', 2359, '', 0, '73H\r'),
	('KE', 3163, 'ICN', 3930, 'HNL', 3728, '', 0, '333 744\r'),
	('KE', 3163, 'ICN', 3930, 'IAD', 3714, '', 0, '77W 772\r'),
	('KE', 3163, 'ICN', 3930, 'IAH', 3550, '', 0, '772 77W\r'),
	('KE', 3163, 'ICN', 3930, 'IST', 1701, '', 0, '772\r'),
	('KE', 3163, 'ICN', 3930, 'JFK', 3797, '', 0, '388 77W\r'),
	('KE', 3163, 'ICN', 3930, 'KIJ', 4381, '', 0, '73J\r'),
	('KE', 3163, 'ICN', 3930, 'KIX', 3992, '', 0, '333 73H 772 739 77W 332\r'),
	('KE', 3163, 'ICN', 3930, 'KMG', 3382, '', 0, '73J\r'),
	('KE', 3163, 'ICN', 3930, 'KMQ', 2322, '', 0, '73H\r'),
	('KE', 3163, 'ICN', 3930, 'KOJ', 2307, '', 0, '73H 73J 739\r'),
	('KE', 3163, 'ICN', 3930, 'KTM', 3125, '', 0, '772\r'),
	('KE', 3163, 'ICN', 3930, 'KUL', 3304, '', 0, '772 77W\r'),
	('KE', 3163, 'ICN', 3930, 'LAS', 3877, '', 0, '772\r'),
	('KE', 3163, 'ICN', 3930, 'LAX', 3484, '', 0, '388 77W\r'),
	('KE', 3163, 'ICN', 3930, 'LED', 2948, '', 0, '772\r'),
	('KE', 3163, 'ICN', 3930, 'LHR', 507, '', 0, '77W\r'),
	('KE', 3163, 'ICN', 3930, 'MAD', 1229, '', 0, '332 744\r'),
	('KE', 3163, 'ICN', 3930, 'MDG', 4334, '', 0, '73J\r'),
	('KE', 3163, 'ICN', 3930, 'MNL', 2397, '', 0, '773\r'),
	('KE', 3163, 'ICN', 3930, 'MXP', 1524, '', 0, '744\r'),
	('KE', 3163, 'ICN', 3930, 'NAN', 1960, '', 0, '332\r'),
	('KE', 3163, 'ICN', 3930, 'NBO', 4059, '', 0, '332\r'),
	('KE', 3163, 'ICN', 3930, 'NGO', 3942, '', 0, '73H 332 333 772\r'),
	('KE', 3163, 'ICN', 3930, 'NRT', 2279, '', 0, '73H 77W 333 744 332 73J\r'),
	('KE', 3163, 'ICN', 3930, 'OIT', 2310, '', 0, '73H 73J\r'),
	('KE', 3163, 'ICN', 3930, 'OKJ', 2327, '', 0, '739\r'),
	('KE', 3163, 'ICN', 3930, 'ORD', 3830, '', 0, '772 77W\r'),
	('KE', 3163, 'ICN', 3930, 'PEK', 3364, '', 0, '773 772 332\r'),
	('KE', 3163, 'ICN', 3930, 'PNH', 3034, '', 0, '73H 73J\r'),
	('KE', 3163, 'ICN', 3930, 'PRG', 1587, '', 0, '333 744\r'),
	('KE', 3163, 'ICN', 3930, 'PVG', 3406, '', 0, '77W 333 772\r'),
	('KE', 3163, 'ICN', 3930, 'REP', 3035, '', 0, '73J 73H\r'),
	('KE', 3163, 'ICN', 3930, 'RGN', 3239, '', 0, '73H\r'),
	('KE', 3163, 'ICN', 3930, 'ROR', 2256, '', 0, '73H\r'),
	('KE', 3163, 'ICN', 3930, 'RUH', 2082, '', 0, '332\r'),
	('KE', 3163, 'ICN', 3930, 'SEA', 3577, '', 0, '772 77W\r'),
	('KE', 3163, 'ICN', 3930, 'SFO', 3469, '', 0, '77W 772\r'),
	('KE', 3163, 'ICN', 3930, 'SGN', 3205, '', 0, '73H 321 333 744\r'),
	('KE', 3163, 'ICN', 3930, 'SHE', 4144, '', 0, '773 332 73H 744\r'),
	('KE', 3163, 'ICN', 3930, 'SIN', 3316, '', 0, '773 77W\r'),
	('KE', 3163, 'ICN', 3930, 'SVO', 2985, '', 0, '772\r'),
	('KE', 3163, 'ICN', 3930, 'SYD', 3361, '', 0, '333\r'),
	('KE', 3163, 'ICN', 3930, 'SZX', 3374, '', 0, '73J\r'),
	('KE', 3163, 'ICN', 3930, 'TAE', 2381, '', 0, '73H 73J\r'),
	('KE', 3163, 'ICN', 3930, 'TAO', 3390, '', 0, '73J 333 744\r'),
	('KE', 3163, 'ICN', 3930, 'TAS', 2983, '', 0, '332\r'),
	('KE', 3163, 'ICN', 3930, 'TLV', 1590, '', 0, '772\r'),
	('KE', 3163, 'ICN', 3930, 'TNA', 4108, '', 0, '73J 739\r'),
	('KE', 3163, 'ICN', 3930, 'TPE', 2276, '', 0, '333 73H\r'),
	('KE', 3163, 'ICN', 3930, 'TSN', 3368, '', 0, '73H 739\r'),
	('KE', 3163, 'ICN', 3930, 'TXN', 6387, '', 0, '73H 73J\r'),
	('KE', 3163, 'ICN', 3930, 'ULN', 3380, '', 0, '333\r'),
	('KE', 3163, 'ICN', 3930, 'VIE', 1613, '', 0, '77W\r'),
	('KE', 3163, 'ICN', 3930, 'VVO', 2934, '', 0, '73J\r'),
	('KE', 3163, 'ICN', 3930, 'WUH', 3376, '', 0, '73J\r'),
	('KE', 3163, 'ICN', 3930, 'XIY', 3379, '', 0, '332\r'),
	('KE', 3163, 'ICN', 3930, 'XMN', 3383, '', 0, '73H 73J\r'),
	('KE', 3163, 'ICN', 3930, 'YNJ', 6414, '', 0, '739\r'),
	('KE', 3163, 'ICN', 3930, 'YNT', 3392, 'Y', 0, '320\r'),
	('KE', 3163, 'ICN', 3930, 'YVR', 156, '', 0, '772\r'),
	('KE', 3163, 'ICN', 3930, 'YYZ', 193, '', 0, '772\r'),
	('KE', 3163, 'IST', 1701, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'JED', 2072, 'RUH', 2082, '', 0, '332\r'),
	('KE', 3163, 'JFK', 3797, 'ICN', 3930, '', 0, '77W 388\r'),
	('KE', 3163, 'KIJ', 4381, 'ICN', 3930, '', 0, '739 73J\r'),
	('KE', 3163, 'KIX', 3992, 'CJU', 2370, '', 0, '739\r'),
	('KE', 3163, 'KIX', 3992, 'GMP', 2378, '', 0, '772\r'),
	('KE', 3163, 'KIX', 3992, 'GUM', 2246, '', 0, '772 739\r'),
	('KE', 3163, 'KIX', 3992, 'ICN', 3930, '', 0, '772 333 73H 739 77W 332\r'),
	('KE', 3163, 'KIX', 3992, 'PUS', 2372, '', 0, '73H\r'),
	('KE', 3163, 'KMG', 3382, 'ICN', 3930, '', 0, '73J\r'),
	('KE', 3163, 'KMQ', 2322, 'ICN', 3930, '', 0, '73H\r'),
	('KE', 3163, 'KOJ', 2307, 'ICN', 3930, '', 0, '73H 73J 739\r'),
	('KE', 3163, 'KPO', 2380, 'GMP', 2378, '', 0, '73H\r'),
	('KE', 3163, 'KTM', 3125, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'KUL', 3304, 'ICN', 3930, '', 0, '772 77W\r'),
	('KE', 3163, 'KUV', 6003, 'CJU', 2370, '', 0, '739\r'),
	('KE', 3163, 'KWJ', 2361, 'CJU', 2370, '', 0, '739 73H\r'),
	('KE', 3163, 'KWJ', 2361, 'GMP', 2378, '', 0, '73H\r'),
	('KE', 3163, 'LAS', 3877, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'LAX', 3484, 'GRU', 2564, '', 0, '77W\r'),
	('KE', 3163, 'LAX', 3484, 'ICN', 3930, '', 0, '388 77W\r'),
	('KE', 3163, 'LAX', 3484, 'LIM', 2789, 'Y', 0, '763\r'),
	('KE', 3163, 'LED', 2948, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'LHR', 507, 'ICN', 3930, '', 0, '77W\r'),
	('KE', 3163, 'LIM', 2789, 'LAX', 3484, 'Y', 0, '763\r'),
	('KE', 3163, 'LIM', 2789, 'SCL', 2650, 'Y', 0, '763\r'),
	('KE', 3163, 'MAD', 1229, 'ICN', 3930, '', 0, '332 744\r'),
	('KE', 3163, 'MDG', 4334, 'ICN', 3930, '', 0, '73J\r'),
	('KE', 3163, 'MEX', 1824, 'TIJ', 1847, 'Y', 0, '787\r'),
	('KE', 3163, 'MLE', 3156, 'CMB', 3024, '', 0, '333\r'),
	('KE', 3163, 'MNL', 2397, 'ICN', 3930, '', 0, '773\r'),
	('KE', 3163, 'MXP', 1524, 'FCO', 1555, '', 0, '744\r'),
	('KE', 3163, 'NAN', 1960, 'ICN', 3930, '', 0, '332\r'),
	('KE', 3163, 'NBO', 4059, 'ICN', 3930, '', 0, '332\r'),
	('KE', 3163, 'NGO', 3942, 'CJU', 2370, '', 0, '73H\r'),
	('KE', 3163, 'NGO', 3942, 'ICN', 3930, '', 0, '772 73H 332 333\r'),
	('KE', 3163, 'NGO', 3942, 'PUS', 2372, '', 0, '739\r'),
	('KE', 3163, 'NKG', 3388, 'PUS', 2372, '', 0, '73H\r'),
	('KE', 3163, 'NRT', 2279, 'CJU', 2370, '', 0, '739\r'),
	('KE', 3163, 'NRT', 2279, 'HNL', 3728, '', 0, '333\r'),
	('KE', 3163, 'NRT', 2279, 'ICN', 3930, '', 0, '332 73H 77W 333 744 73J\r'),
	('KE', 3163, 'NRT', 2279, 'PUS', 2372, '', 0, '739\r'),
	('KE', 3163, 'OIT', 2310, 'ICN', 3930, '', 0, '73H 73J\r'),
	('KE', 3163, 'OKJ', 2327, 'ICN', 3930, '', 0, '739\r'),
	('KE', 3163, 'ORD', 3830, 'ICN', 3930, '', 0, '772 77W\r'),
	('KE', 3163, 'PEK', 3364, 'CJU', 2370, '', 0, '333\r'),
	('KE', 3163, 'PEK', 3364, 'GMP', 2378, '', 0, '772 744\r'),
	('KE', 3163, 'PEK', 3364, 'ICN', 3930, '', 0, '773 772 332\r'),
	('KE', 3163, 'PEK', 3364, 'PUS', 2372, '', 0, '333\r'),
	('KE', 3163, 'PNH', 3034, 'ICN', 3930, '', 0, '73H 73J\r'),
	('KE', 3163, 'PRG', 1587, 'ARN', 737, '', 0, '319\r'),
	('KE', 3163, 'PRG', 1587, 'ICN', 3930, '', 0, '744 333\r'),
	('KE', 3163, 'PUS', 2372, 'BKK', 3885, '', 0, '333\r'),
	('KE', 3163, 'PUS', 2372, 'CEB', 4206, '', 0, '73H\r'),
	('KE', 3163, 'PUS', 2372, 'CJU', 2370, '', 0, '739 333 73H\r'),
	('KE', 3163, 'PUS', 2372, 'CTS', 2287, '', 0, '73H\r'),
	('KE', 3163, 'PUS', 2372, 'FUK', 2305, '', 0, '739\r'),
	('KE', 3163, 'PUS', 2372, 'GMP', 2378, '', 0, '73H 739\r'),
	('KE', 3163, 'PUS', 2372, 'GUM', 2246, '', 0, '73H\r'),
	('KE', 3163, 'PUS', 2372, 'HAN', 3199, '', 0, '321\r'),
	('KE', 3163, 'PUS', 2372, 'HKG', 3077, '', 0, '739\r'),
	('KE', 3163, 'PUS', 2372, 'KIX', 3992, '', 0, '73H\r'),
	('KE', 3163, 'PUS', 2372, 'NGO', 3942, '', 0, '739\r'),
	('KE', 3163, 'PUS', 2372, 'NKG', 3388, '', 0, '73H\r'),
	('KE', 3163, 'PUS', 2372, 'NRT', 2279, '', 0, '739\r'),
	('KE', 3163, 'PUS', 2372, 'PEK', 3364, '', 0, '333\r'),
	('KE', 3163, 'PUS', 2372, 'PVG', 3406, '', 0, '739\r'),
	('KE', 3163, 'PUS', 2372, 'REP', 3035, '', 0, '73H\r'),
	('KE', 3163, 'PUS', 2372, 'SGN', 3205, 'Y', 0, '321\r'),
	('KE', 3163, 'PUS', 2372, 'TAO', 3390, '', 0, '73H\r'),
	('KE', 3163, 'PVG', 3406, 'ICN', 3930, '', 0, '772 77W 333\r'),
	('KE', 3163, 'PVG', 3406, 'PUS', 2372, '', 0, '739\r'),
	('KE', 3163, 'REP', 3035, 'ICN', 3930, '', 0, '73J 73H\r'),
	('KE', 3163, 'REP', 3035, 'PUS', 2372, '', 0, '73H\r'),
	('KE', 3163, 'RGN', 3239, 'ICN', 3930, '', 0, '73H\r'),
	('KE', 3163, 'ROR', 2256, 'ICN', 3930, '', 0, '73H\r'),
	('KE', 3163, 'RSU', 2365, 'CJU', 2370, '', 0, '73H\r'),
	('KE', 3163, 'RSU', 2365, 'GMP', 2378, '', 0, '73H\r'),
	('KE', 3163, 'RUH', 2082, 'ICN', 3930, '', 0, '332\r'),
	('KE', 3163, 'RUH', 2082, 'JED', 2072, '', 0, '332\r'),
	('KE', 3163, 'SCL', 2650, 'ATL', 3682, 'Y', 0, '76W\r'),
	('KE', 3163, 'SCL', 2650, 'LIM', 2789, 'Y', 0, '763\r'),
	('KE', 3163, 'SEA', 3577, 'ICN', 3930, '', 0, '772 77W\r'),
	('KE', 3163, 'SFO', 3469, 'ICN', 3930, '', 0, '77W 772\r'),
	('KE', 3163, 'SGN', 3205, 'ICN', 3930, '', 0, '321 73H 333 744\r'),
	('KE', 3163, 'SGN', 3205, 'PUS', 2372, 'Y', 0, '321\r'),
	('KE', 3163, 'SHA', 3391, 'GMP', 2378, '', 0, '772\r'),
	('KE', 3163, 'SHE', 4144, 'ICN', 3930, '', 0, '773 332 73H 744\r'),
	('KE', 3163, 'SIN', 3316, 'ICN', 3930, '', 0, '77W 773\r'),
	('KE', 3163, 'SVO', 2985, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'SYD', 3361, 'ICN', 3930, '', 0, '333\r'),
	('KE', 3163, 'SZX', 3374, 'ICN', 3930, '', 0, '73J\r'),
	('KE', 3163, 'TAE', 2381, 'CJU', 2370, '', 0, '73H 739\r'),
	('KE', 3163, 'TAE', 2381, 'ICN', 3930, '', 0, '73J 73H\r'),
	('KE', 3163, 'TAO', 3390, 'ICN', 3930, '', 0, '73J 333 744\r'),
	('KE', 3163, 'TAO', 3390, 'PUS', 2372, '', 0, '73H\r'),
	('KE', 3163, 'TAS', 2983, 'ICN', 3930, '', 0, '332 763 753\r'),
	('KE', 3163, 'TIJ', 1847, 'NRT', 2279, 'Y', 0, '787\r'),
	('KE', 3163, 'TLV', 1590, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'TNA', 4108, 'ICN', 3930, '', 0, '73J 739\r'),
	('KE', 3163, 'TPE', 2276, 'ICN', 3930, '', 0, '333 73H\r'),
	('KE', 3163, 'TSN', 3368, 'ICN', 3930, '', 0, '73H 739\r'),
	('KE', 3163, 'TXN', 6387, 'ICN', 3930, '', 0, '73H 73J\r'),
	('KE', 3163, 'ULN', 3380, 'ICN', 3930, '', 0, '333\r'),
	('KE', 3163, 'USN', 2374, 'CJU', 2370, '', 0, '73H\r'),
	('KE', 3163, 'USN', 2374, 'GMP', 2378, '', 0, '73H\r'),
	('KE', 3163, 'VIE', 1613, 'ZRH', 1678, '', 0, '77W\r'),
	('KE', 3163, 'VVO', 2934, 'ICN', 3930, '', 0, '73J\r'),
	('KE', 3163, 'WJU', 6005, 'CJU', 2370, '', 0, '739\r'),
	('KE', 3163, 'WUH', 3376, 'ICN', 3930, '', 0, '73J\r'),
	('KE', 3163, 'XIY', 3379, 'ICN', 3930, '', 0, '332\r'),
	('KE', 3163, 'XMN', 3383, 'ICN', 3930, '', 0, '73H 73J\r'),
	('KE', 3163, 'YNJ', 6414, 'ICN', 3930, '', 0, '739\r'),
	('KE', 3163, 'YNT', 3392, 'ICN', 3930, 'Y', 0, '320\r'),
	('KE', 3163, 'YVR', 156, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'YYZ', 193, 'ICN', 3930, '', 0, '772\r'),
	('KE', 3163, 'ZRH', 1678, 'ICN', 3930, '', 0, '77W\r'),
	('KK', 995, 'ADA', 1685, 'EBL', 3989, '', 0, '320\r'),
	('KK', 995, 'ADA', 1685, 'ECN', 5780, '', 0, '320\r'),
	('KK', 995, 'ADA', 1685, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'ADB', 1706, 'ECN', 5780, '', 0, '320\r'),
	('KK', 995, 'ADB', 1706, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'AYT', 1688, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'BJV', 4315, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'EBL', 3989, 'ADA', 1685, '', 0, '320\r'),
	('KK', 995, 'EBL', 3989, 'ESB', 1682, '', 0, '320\r'),
	('KK', 995, 'EBL', 3989, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'ECN', 5780, 'ADA', 1685, '', 0, '320\r'),
	('KK', 995, 'ECN', 5780, 'ADB', 1706, '', 0, '320\r'),
	('KK', 995, 'ECN', 5780, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'ESB', 1682, 'EBL', 3989, '', 0, '320\r'),
	('KK', 995, 'GZT', 1689, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'IKA', 4330, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'ADA', 1685, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'ADB', 1706, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'AYT', 1688, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'BJV', 4315, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'EBL', 3989, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'ECN', 5780, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'GZT', 1689, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'IKA', 4330, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'ISU', 5952, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'LTN', 492, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'NBC', 6969, '', 0, '320\r'),
	('KK', 995, 'IST', 1701, 'TBS', 3973, '', 0, '320\r'),
	('KK', 995, 'ISU', 5952, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'LTN', 492, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'NBC', 6969, 'IST', 1701, '', 0, '320\r'),
	('KK', 995, 'TBS', 3973, 'IST', 1701, '', 0, '320\r'),
	('KL', 3090, 'AAL', 628, 'AMS', 580, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'ABE', 4355, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ABQ', 4019, 'ATL', 3682, 'Y', 0, '757 320\r'),
	('KL', 3090, 'ABV', 260, 'CDG', 1382, 'Y', 0, '332\r'),
	('KL', 3090, 'ABV', 260, 'PHC', 275, 'Y', 0, '332\r'),
	('KL', 3090, 'ABY', 5715, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ABZ', 532, 'AMS', 580, '', 0, '737 EMJ F70\r'),
	('KL', 3090, 'ACC', 248, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'ADD', 1107, 'JIB', 4119, 'Y', 0, 'EMJ E90\r'),
	('KL', 3090, 'ADD', 1107, 'NBO', 4059, 'Y', 0, 'E90\r'),
	('KL', 3090, 'AES', 630, 'AMS', 580, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'AEX', 3852, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'AGS', 3658, 'ATL', 3682, 'Y', 0, 'CRJ 717\r'),
	('KL', 3090, 'AKU', 6404, 'URC', 3399, 'Y', 0, '737\r'),
	('KL', 3090, 'ALA', 2908, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'ALB', 3864, 'ATL', 3682, 'Y', 0, 'M88 CR9\r'),
	('KL', 3090, 'ALG', 210, 'CDG', 1382, 'Y', 0, '319\r'),
	('KL', 3090, 'AMS', 580, 'AAL', 628, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'ABZ', 532, '', 0, 'EMJ 737 F70\r'),
	('KL', 3090, 'AMS', 580, 'ACC', 248, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'AES', 630, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'AMS', 580, 'ALA', 2908, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'ARN', 737, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'ATH', 3941, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'ATL', 3682, '', 0, ' 777\r'),
	('KL', 3090, 'AMS', 580, 'AUA', 2895, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'AUH', 2179, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'BCN', 1218, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'BGO', 636, '', 0, 'F70 EMJ 737\r'),
	('KL', 3090, 'AMS', 580, 'BHX', 469, '', 0, 'EMJ 737\r'),
	('KL', 3090, 'AMS', 580, 'BKK', 3885, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'BLL', 608, '', 0, '737 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'BLQ', 1538, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'AMS', 580, 'BOD', 1264, '', 0, 'F70\r'),
	('KL', 3090, 'AMS', 580, 'BOM', 2997, 'Y', 0, '76W\r'),
	('KL', 3090, 'AMS', 580, 'BOS', 3448, 'Y', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'BRE', 353, 'Y', 0, 'F70\r'),
	('KL', 3090, 'AMS', 580, 'BRS', 490, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'AMS', 580, 'BRU', 302, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'BSL', 4053, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'BUD', 1489, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'CAI', 1128, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'CAN', 3370, 'Y', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'CDG', 1382, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'CFE', 1330, 'Y', 0, 'ERJ\r'),
	('KL', 3090, 'AMS', 580, 'CGN', 344, 'Y', 0, 'F70\r'),
	('KL', 3090, 'AMS', 580, 'CPH', 609, '', 0, '737 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'CPT', 797, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'CTU', 3395, '', 0, '74M\r'),
	('KL', 3090, 'AMS', 580, 'CUR', 2897, '', 0, '747\r'),
	('KL', 3090, 'AMS', 580, 'CWL', 488, 'Y', 0, 'F70\r'),
	('KL', 3090, 'AMS', 580, 'DEL', 3093, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'DFW', 3670, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'DMM', 2064, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'DOH', 2241, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'DTW', 3645, 'Y', 0, '777 330 76W\r'),
	('KL', 3090, 'AMS', 580, 'DUS', 345, 'Y', 0, 'F70\r'),
	('KL', 3090, 'AMS', 580, 'DXB', 2188, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'EDI', 535, '', 0, '737 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'EWR', 3494, 'Y', 0, '76W\r'),
	('KL', 3090, 'AMS', 580, 'EZE', 3988, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'FCO', 1555, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'FLR', 1563, '', 0, 'EMJ\r'),
	('KL', 3090, 'AMS', 580, 'FRA', 340, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'AMS', 580, 'FUK', 2305, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'GIG', 2560, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'GLA', 534, '', 0, 'EMJ 737\r'),
	('KL', 3090, 'AMS', 580, 'GOT', 687, '', 0, 'EMJ\r'),
	('KL', 3090, 'AMS', 580, 'GRU', 2564, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'GVA', 1665, '', 0, '737 F70 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'HAJ', 352, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'AMS', 580, 'HAM', 342, '', 0, '737 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'HAV', 1909, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'HEL', 421, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'HGH', 3386, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'HKG', 3077, '', 0, '74M\r'),
	('KL', 3090, 'AMS', 580, 'HRE', 1005, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'HUY', 515, 'Y', 0, 'F70\r'),
	('KL', 3090, 'AMS', 580, 'IAD', 3714, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'IAH', 3550, '', 0, '74M\r'),
	('KL', 3090, 'AMS', 580, 'ICN', 3930, '', 0, '74M 330\r'),
	('KL', 3090, 'AMS', 580, 'IST', 1701, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'JFK', 3797, '', 0, '330 777 74M 747\r'),
	('KL', 3090, 'AMS', 580, 'JNB', 813, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'JRO', 1180, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'KBP', 2939, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'KGL', 1165, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'KIX', 3992, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'KRS', 638, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'KUL', 3304, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'KWI', 2176, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'LAD', 951, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'LAX', 3484, '', 0, '74M 747\r'),
	('KL', 3090, 'AMS', 580, 'LBA', 517, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'LCA', 1197, 'Y', 0, '32S\r'),
	('KL', 3090, 'AMS', 580, 'LCY', 503, 'Y', 0, 'ARJ\r'),
	('KL', 3090, 'AMS', 580, 'LED', 2948, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'LHR', 507, '', 0, '737 F70 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'LIM', 2789, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'LIN', 1529, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'LIS', 1638, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'LOS', 273, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'LPI', 742, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'LUX', 629, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'AMS', 580, 'LYS', 1335, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'AMS', 580, 'MAD', 1229, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'MAN', 478, '', 0, '737 EMJ F70\r'),
	('KL', 3090, 'AMS', 580, 'MEX', 1824, '', 0, '74M\r'),
	('KL', 3090, 'AMS', 580, 'MME', 522, 'Y', 0, 'F70\r'),
	('KL', 3090, 'AMS', 580, 'MRS', 1353, 'Y', 0, '32S\r'),
	('KL', 3090, 'AMS', 580, 'MSP', 3858, 'Y', 0, '330 76W\r'),
	('KL', 3090, 'AMS', 580, 'MUC', 346, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'NBO', 4059, '', 0, '747\r'),
	('KL', 3090, 'AMS', 580, 'NCE', 1354, '', 0, '737 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'NCL', 521, '', 0, 'EMJ 737\r'),
	('KL', 3090, 'AMS', 580, 'NRT', 2279, '', 0, '747 74M 777\r'),
	('KL', 3090, 'AMS', 580, 'NTE', 1418, 'Y', 0, 'ERJ\r'),
	('KL', 3090, 'AMS', 580, 'NUE', 347, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'AMS', 580, 'NWI', 547, 'Y', 0, 'F70\r'),
	('KL', 3090, 'AMS', 580, 'ORD', 3830, '', 0, '74M\r'),
	('KL', 3090, 'AMS', 580, 'OSL', 644, '', 0, '737 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'OTP', 1657, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'PBM', 2773, '', 0, '747\r'),
	('KL', 3090, 'AMS', 580, 'PDX', 3720, 'Y', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'PEK', 3364, '', 0, '74M\r'),
	('KL', 3090, 'AMS', 580, 'PRG', 1587, 'Y', 0, 'F70 EMJ 737\r'),
	('KL', 3090, 'AMS', 580, 'PTY', 1871, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'PVG', 3406, '', 0, '74M 747\r'),
	('KL', 3090, 'AMS', 580, 'RIX', 3953, 'Y', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'SEA', 3577, 'Y', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'SFO', 3469, '', 0, '747\r'),
	('KL', 3090, 'AMS', 580, 'SIN', 3316, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'STR', 350, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'SVG', 666, '', 0, 'EMJ 737\r'),
	('KL', 3090, 'AMS', 580, 'SVO', 2985, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'SXB', 1435, 'Y', 0, 'ERJ CRJ EMJ\r'),
	('KL', 3090, 'AMS', 580, 'SXM', 2899, '', 0, '747\r'),
	('KL', 3090, 'AMS', 580, 'TBS', 3973, 'Y', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'TLL', 415, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'AMS', 580, 'TLS', 1273, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'AMS', 580, 'TLV', 1590, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'TPE', 2276, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'TRD', 665, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'AMS', 580, 'TRF', 664, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'AMS', 580, 'TXL', 351, '', 0, '737 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'UIO', 2688, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'VCE', 1551, '', 0, '737 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'VIE', 1613, '', 0, '737 EMJ\r'),
	('KL', 3090, 'AMS', 580, 'WAW', 679, '', 0, '737\r'),
	('KL', 3090, 'AMS', 580, 'XMN', 3383, '', 0, '777\r'),
	('KL', 3090, 'AMS', 580, 'YUL', 146, '', 0, 'M11\r'),
	('KL', 3090, 'AMS', 580, 'YVR', 156, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'YYC', 178, '', 0, '330\r'),
	('KL', 3090, 'AMS', 580, 'YYZ', 193, '', 0, 'M11 330 747 74M\r'),
	('KL', 3090, 'AMS', 580, 'ZRH', 1678, '', 0, '737 EMJ\r'),
	('KL', 3090, 'ARN', 737, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'ATH', 3941, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'ATL', 3682, 'ABE', 4355, 'Y', 0, '717\r'),
	('KL', 3090, 'ATL', 3682, 'ABQ', 4019, 'Y', 0, '757\r'),
	('KL', 3090, 'ATL', 3682, 'ABY', 5715, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'AEX', 3852, 'Y', 0, 'CRJ CR9\r'),
	('KL', 3090, 'ATL', 3682, 'AGS', 3658, 'Y', 0, '717 M88 CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'ALB', 3864, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'AMS', 580, '', 0, '777 \r'),
	('KL', 3090, 'ATL', 3682, 'ATW', 4047, 'Y', 0, 'CR9\r'),
	('KL', 3090, 'ATL', 3682, 'AUS', 3673, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'ATL', 3682, 'AVL', 4007, 'Y', 0, 'CRJ M88\r'),
	('KL', 3090, 'ATL', 3682, 'AVP', 4286, 'Y', 0, 'CR7\r'),
	('KL', 3090, 'ATL', 3682, 'BDL', 3825, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'BHM', 3811, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'BMI', 4037, 'Y', 0, 'CR9\r'),
	('KL', 3090, 'ATL', 3682, 'BNA', 3690, 'Y', 0, '319 M88 738 73H 717 320\r'),
	('KL', 3090, 'ATL', 3682, 'BOS', 3448, 'Y', 0, '757 320 319\r'),
	('KL', 3090, 'ATL', 3682, 'BQK', 5725, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'BRU', 302, 'Y', 0, '76W\r'),
	('KL', 3090, 'ATL', 3682, 'BTR', 3846, 'Y', 0, 'CR7 CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'BTV', 3711, 'Y', 0, 'CR9\r'),
	('KL', 3090, 'ATL', 3682, 'BUF', 3820, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'ATL', 3682, 'BWI', 3849, 'Y', 0, '757 320 M90\r'),
	('KL', 3090, 'ATL', 3682, 'CAE', 3561, 'Y', 0, 'M88 CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'CAK', 4112, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'CHA', 3578, 'Y', 0, 'CRJ M88\r'),
	('KL', 3090, 'ATL', 3682, 'CHO', 4015, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'CHS', 3806, 'Y', 0, 'M88 73W 717 319\r'),
	('KL', 3090, 'ATL', 3682, 'CID', 4043, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'CLE', 3486, 'Y', 0, '717 CR9\r'),
	('KL', 3090, 'ATL', 3682, 'CLT', 3876, 'Y', 0, 'M88 M90 319\r'),
	('KL', 3090, 'ATL', 3682, 'CMH', 3759, 'Y', 0, '73W M88 738\r'),
	('KL', 3090, 'ATL', 3682, 'COS', 3819, 'Y', 0, '738\r'),
	('KL', 3090, 'ATL', 3682, 'CRW', 4285, 'Y', 0, '319\r'),
	('KL', 3090, 'ATL', 3682, 'CSG', 4255, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'CUN', 1852, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'CVG', 3488, 'Y', 0, 'M88 738\r'),
	('KL', 3090, 'ATL', 3682, 'CZM', 1800, 'Y', 0, '319 M88\r'),
	('KL', 3090, 'ATL', 3682, 'DAB', 3950, 'Y', 0, 'M90 757\r'),
	('KL', 3090, 'ATL', 3682, 'DAL', 3502, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'DAY', 3627, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'DCA', 3520, 'Y', 0, 'M90 320\r'),
	('KL', 3090, 'ATL', 3682, 'DEN', 3751, 'Y', 0, '757 M90\r'),
	('KL', 3090, 'ATL', 3682, 'DFW', 3670, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'DHN', 3739, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'DSM', 3729, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'DTW', 3645, 'Y', 0, '320 73H M90 757\r'),
	('KL', 3090, 'ATL', 3682, 'DUB', 599, 'Y', 0, '76W\r'),
	('KL', 3090, 'ATL', 3682, 'DUS', 345, 'Y', 0, '76W\r'),
	('KL', 3090, 'ATL', 3682, 'ECP', 7669, 'Y', 0, '717 M88 CR9\r'),
	('KL', 3090, 'ATL', 3682, 'ELP', 3559, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'EVV', 4018, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'EWN', 3730, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'EWR', 3494, 'Y', 0, '717\r'),
	('KL', 3090, 'ATL', 3682, 'EYW', 3875, 'Y', 0, 'CR7\r'),
	('KL', 3090, 'ATL', 3682, 'FAY', 5738, 'Y', 0, 'CRJ 73W\r'),
	('KL', 3090, 'ATL', 3682, 'FCO', 1555, 'Y', 0, '333\r'),
	('KL', 3090, 'ATL', 3682, 'FLL', 3533, 'Y', 0, '757 739\r'),
	('KL', 3090, 'ATL', 3682, 'FNT', 4089, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'FRA', 340, 'Y', 0, '764\r'),
	('KL', 3090, 'ATL', 3682, 'FSM', 3437, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'FWA', 4041, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'GDL', 1804, 'Y', 0, '320\r'),
	('KL', 3090, 'ATL', 3682, 'GNV', 3472, 'Y', 0, 'CR9 717\r'),
	('KL', 3090, 'ATL', 3682, 'GPT', 4038, 'Y', 0, 'CRJ M88\r'),
	('KL', 3090, 'ATL', 3682, 'GRB', 3653, 'Y', 0, 'CR7\r'),
	('KL', 3090, 'ATL', 3682, 'GRK', 3775, 'Y', 0, 'CR9\r'),
	('KL', 3090, 'ATL', 3682, 'GRR', 3685, 'Y', 0, '320 M88\r'),
	('KL', 3090, 'ATL', 3682, 'GSO', 4008, 'Y', 0, 'M88 320 319\r'),
	('KL', 3090, 'ATL', 3682, 'GSP', 4034, 'Y', 0, '319 M88 CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'GTR', 4273, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'HOU', 3566, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'HPN', 3589, 'Y', 0, 'CR7\r'),
	('KL', 3090, 'ATL', 3682, 'HSV', 4113, 'Y', 0, '717 M88\r'),
	('KL', 3090, 'ATL', 3682, 'IAD', 3714, 'Y', 0, 'M88 CR7\r'),
	('KL', 3090, 'ATL', 3682, 'IAH', 3550, 'Y', 0, '717 320 M88\r'),
	('KL', 3090, 'ATL', 3682, 'ICT', 3457, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'ILM', 3845, 'Y', 0, 'CRJ 319\r'),
	('KL', 3090, 'ATL', 3682, 'IND', 3585, 'Y', 0, 'M88 M90\r'),
	('KL', 3090, 'ATL', 3682, 'JAN', 3580, 'Y', 0, '717 CR9 M88\r'),
	('KL', 3090, 'ATL', 3682, 'JAX', 3712, 'Y', 0, '757\r'),
	('KL', 3090, 'ATL', 3682, 'JFK', 3797, 'Y', 0, '319 752 738 M88 73H\r'),
	('KL', 3090, 'ATL', 3682, 'LAS', 3877, 'Y', 0, '757 753\r'),
	('KL', 3090, 'ATL', 3682, 'LAX', 3484, 'Y', 0, '763 757 739\r'),
	('KL', 3090, 'ATL', 3682, 'LEX', 4017, 'Y', 0, 'CR9 M88 CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'LFT', 3493, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'LGA', 3697, 'Y', 0, '738 M88 757\r'),
	('KL', 3090, 'ATL', 3682, 'LHR', 507, 'Y', 0, '764 77L 76W\r'),
	('KL', 3090, 'ATL', 3682, 'LIT', 3660, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'MAD', 1229, 'Y', 0, '764\r'),
	('KL', 3090, 'ATL', 3682, 'MAN', 478, 'Y', 0, '76W\r'),
	('KL', 3090, 'ATL', 3682, 'MCI', 3458, 'Y', 0, 'M90 757\r'),
	('KL', 3090, 'ATL', 3682, 'MCO', 3878, 'Y', 0, '757 739\r'),
	('KL', 3090, 'ATL', 3682, 'MDT', 3542, 'Y', 0, 'CRJ M88\r'),
	('KL', 3090, 'ATL', 3682, 'MDW', 3747, 'Y', 0, '320 717 319\r'),
	('KL', 3090, 'ATL', 3682, 'MEM', 3473, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'MEX', 1824, 'Y', 0, '73W 73H\r'),
	('KL', 3090, 'ATL', 3682, 'MGM', 4115, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'MHT', 4011, 'Y', 0, '320\r'),
	('KL', 3090, 'ATL', 3682, 'MIA', 3576, 'Y', 0, '757 320\r'),
	('KL', 3090, 'ATL', 3682, 'MKE', 3717, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'ATL', 3682, 'MLB', 3671, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'MLI', 4072, 'Y', 0, 'CR7 CR9\r'),
	('KL', 3090, 'ATL', 3682, 'MLU', 3732, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'MOB', 3782, 'Y', 0, 'CRJ CR9 717 CR7\r'),
	('KL', 3090, 'ATL', 3682, 'MSN', 3459, 'Y', 0, '73W\r'),
	('KL', 3090, 'ATL', 3682, 'MSP', 3858, 'Y', 0, '757 M90\r'),
	('KL', 3090, 'ATL', 3682, 'MSY', 3861, 'Y', 0, 'M88 757\r'),
	('KL', 3090, 'ATL', 3682, 'MTY', 1825, 'Y', 0, 'CR9\r'),
	('KL', 3090, 'ATL', 3682, 'MUC', 346, 'Y', 0, '764\r'),
	('KL', 3090, 'ATL', 3682, 'MYR', 3515, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'OAJ', 4386, 'Y', 0, 'CRJ CR9\r'),
	('KL', 3090, 'ATL', 3682, 'OKC', 3863, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'OMA', 3454, 'Y', 0, 'CR7 M88\r'),
	('KL', 3090, 'ATL', 3682, 'ORD', 3830, 'Y', 0, '757 319 320 M90 M88\r'),
	('KL', 3090, 'ATL', 3682, 'ORF', 3611, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'ATL', 3682, 'PBI', 3722, 'Y', 0, '757\r'),
	('KL', 3090, 'ATL', 3682, 'PDX', 3720, 'Y', 0, '73H 738\r'),
	('KL', 3090, 'ATL', 3682, 'PHF', 3633, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'PHL', 3752, 'Y', 0, 'M90 757 M88\r'),
	('KL', 3090, 'ATL', 3682, 'PHX', 3462, 'Y', 0, '73H 757 738\r'),
	('KL', 3090, 'ATL', 3682, 'PIA', 4046, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'PIT', 3570, 'Y', 0, 'CR9 M88\r'),
	('KL', 3090, 'ATL', 3682, 'PNS', 3564, 'Y', 0, 'M90\r'),
	('KL', 3090, 'ATL', 3682, 'PVD', 3641, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'PWM', 3862, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'RDU', 3626, 'Y', 0, 'M88 739 320\r'),
	('KL', 3090, 'ATL', 3682, 'RIC', 3608, 'Y', 0, 'M88 M90\r'),
	('KL', 3090, 'ATL', 3682, 'ROA', 4016, 'Y', 0, 'CRJ 319 CR9\r'),
	('KL', 3090, 'ATL', 3682, 'ROC', 3622, 'Y', 0, 'M90\r'),
	('KL', 3090, 'ATL', 3682, 'RSW', 3793, 'Y', 0, 'M88 757\r'),
	('KL', 3090, 'ATL', 3682, 'SAN', 3731, 'Y', 0, '763 739\r'),
	('KL', 3090, 'ATL', 3682, 'SAT', 3621, 'Y', 0, 'M90 757\r'),
	('KL', 3090, 'ATL', 3682, 'SAV', 3613, 'Y', 0, 'M88 717 319\r'),
	('KL', 3090, 'ATL', 3682, 'SBN', 4359, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'SDF', 4014, 'Y', 0, 'M88 M90\r'),
	('KL', 3090, 'ATL', 3682, 'SEA', 3577, 'Y', 0, '76W 757 763\r'),
	('KL', 3090, 'ATL', 3682, 'SFO', 3469, 'Y', 0, '739 763 757\r'),
	('KL', 3090, 'ATL', 3682, 'SGF', 4348, 'Y', 0, 'CRJ CR9\r'),
	('KL', 3090, 'ATL', 3682, 'SHV', 3609, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'SJC', 3748, 'Y', 0, '738\r'),
	('KL', 3090, 'ATL', 3682, 'SJD', 1840, 'Y', 0, '73W 738\r'),
	('KL', 3090, 'ATL', 3682, 'SJU', 2890, 'Y', 0, '757\r'),
	('KL', 3090, 'ATL', 3682, 'SLC', 3536, 'Y', 0, '763 757\r'),
	('KL', 3090, 'ATL', 3682, 'SMF', 3817, 'Y', 0, '757\r'),
	('KL', 3090, 'ATL', 3682, 'SNA', 3867, 'Y', 0, '757\r'),
	('KL', 3090, 'ATL', 3682, 'SRQ', 4067, 'Y', 0, '757\r'),
	('KL', 3090, 'ATL', 3682, 'STL', 3678, 'Y', 0, 'M90 757\r'),
	('KL', 3090, 'ATL', 3682, 'STR', 350, 'Y', 0, '76W\r'),
	('KL', 3090, 'ATL', 3682, 'STT', 2883, 'Y', 0, '757\r'),
	('KL', 3090, 'ATL', 3682, 'SYR', 3745, 'Y', 0, 'M88\r'),
	('KL', 3090, 'ATL', 3682, 'TLH', 3698, 'Y', 0, 'CRJ M88 319\r'),
	('KL', 3090, 'ATL', 3682, 'TPA', 3646, 'Y', 0, '757 739\r'),
	('KL', 3090, 'ATL', 3682, 'TRI', 4116, 'Y', 0, 'CRJ 319\r'),
	('KL', 3090, 'ATL', 3682, 'TUL', 3855, 'Y', 0, 'CR7 M88 CR9\r'),
	('KL', 3090, 'ATL', 3682, 'TUS', 3636, 'Y', 0, 'M90\r'),
	('KL', 3090, 'ATL', 3682, 'TYS', 3676, 'Y', 0, 'CR7 CRJ 717 CR9\r'),
	('KL', 3090, 'ATL', 3682, 'VLD', 5776, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ATL', 3682, 'VPS', 3873, 'Y', 0, 'M88 319 717\r'),
	('KL', 3090, 'ATL', 3682, 'XNA', 4356, 'Y', 0, 'CRJ CR9 717 CR7\r'),
	('KL', 3090, 'ATW', 4047, 'ATL', 3682, 'Y', 0, 'CR7 CR9\r'),
	('KL', 3090, 'AUA', 2895, 'BON', 2896, '', 0, '330\r'),
	('KL', 3090, 'AUH', 2179, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'AUH', 2179, 'BAH', 2057, '', 0, '330\r'),
	('KL', 3090, 'AUH', 2179, 'ISB', 2223, 'Y', 0, '320 332\r'),
	('KL', 3090, 'AUH', 2179, 'LHE', 2207, 'Y', 0, '332 320 77W\r'),
	('KL', 3090, 'AUS', 3673, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'AVL', 4007, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'AVP', 4286, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('KL', 3090, 'BAH', 2057, 'AUH', 2179, '', 0, '330\r'),
	('KL', 3090, 'BCN', 1218, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'BCN', 1218, 'JFK', 3797, 'Y', 0, '330\r'),
	('KL', 3090, 'BDL', 3825, 'ATL', 3682, 'Y', 0, 'M88 320 73W\r'),
	('KL', 3090, 'BEL', 2526, 'STM', 4092, 'Y', 0, '737\r'),
	('KL', 3090, 'BGO', 636, 'AMS', 580, '', 0, '737 F70 EMJ\r'),
	('KL', 3090, 'BHM', 3811, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('KL', 3090, 'BHX', 469, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'BJM', 1120, 'KGL', 1165, 'Y', 0, 'EMJ E70\r'),
	('KL', 3090, 'BJM', 1120, 'NBO', 4059, 'Y', 0, 'E70\r'),
	('KL', 3090, 'BKK', 3885, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'BKK', 3885, 'CEI', 3932, 'Y', 0, '320\r'),
	('KL', 3090, 'BKK', 3885, 'CNX', 3931, 'Y', 0, '319\r'),
	('KL', 3090, 'BKK', 3885, 'HKT', 3179, 'Y', 0, '320\r'),
	('KL', 3090, 'BKK', 3885, 'TPE', 2276, 'Y', 0, '340\r'),
	('KL', 3090, 'BLL', 608, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'BLQ', 1538, 'AMS', 580, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'BMI', 4037, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('KL', 3090, 'BNA', 3690, 'ATL', 3682, 'Y', 0, 'M88 738 320 717 319\r'),
	('KL', 3090, 'BOD', 1264, 'AMS', 580, '', 0, 'F70\r'),
	('KL', 3090, 'BOM', 2997, 'AMS', 580, 'Y', 0, '76W\r'),
	('KL', 3090, 'BON', 2896, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'BOS', 3448, 'AMS', 580, 'Y', 0, '330\r'),
	('KL', 3090, 'BOS', 3448, 'ATL', 3682, 'Y', 0, '757 M90 M88\r'),
	('KL', 3090, 'BOS', 3448, 'LHR', 507, 'Y', 0, '767\r'),
	('KL', 3090, 'BPS', 4209, 'CNF', 2537, 'Y', 0, '737\r'),
	('KL', 3090, 'BQK', 5725, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'BRE', 353, 'AMS', 580, 'Y', 0, 'F70\r'),
	('KL', 3090, 'BRS', 490, 'AMS', 580, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'BRU', 302, 'AMS', 580, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'BRU', 302, 'ATL', 3682, 'Y', 0, '76W\r'),
	('KL', 3090, 'BRU', 302, 'JFK', 3797, 'Y', 0, '76W\r'),
	('KL', 3090, 'BSL', 4053, 'AMS', 580, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'BSL', 4053, 'CDG', 1382, 'Y', 0, 'AT7\r'),
	('KL', 3090, 'BTR', 3846, 'ATL', 3682, 'Y', 0, 'CRJ CR7 319 CR9\r'),
	('KL', 3090, 'BTV', 3711, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('KL', 3090, 'BUD', 1489, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'BUF', 3820, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'BWI', 3849, 'ATL', 3682, 'Y', 0, 'M88 M90 757 73W\r'),
	('KL', 3090, 'BZV', 883, 'FIH', 1020, 'Y', 0, '737 738\r'),
	('KL', 3090, 'BZV', 883, 'NBO', 4059, 'Y', 0, '738\r'),
	('KL', 3090, 'CAE', 3561, 'ATL', 3682, 'Y', 0, 'M88 319 CRJ 717\r'),
	('KL', 3090, 'CAI', 1128, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'CAK', 4112, 'ATL', 3682, 'Y', 0, 'M88 CR9\r'),
	('KL', 3090, 'CAN', 3370, 'AMS', 580, 'Y', 0, '330\r'),
	('KL', 3090, 'CAN', 3370, 'HGH', 3386, 'Y', 0, '321 772 738 333\r'),
	('KL', 3090, 'CDG', 1382, 'ABV', 260, 'Y', 0, '330\r'),
	('KL', 3090, 'CDG', 1382, 'ALG', 210, 'Y', 0, '319\r'),
	('KL', 3090, 'CDG', 1382, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'CDG', 1382, 'BSL', 4053, 'Y', 0, 'ATR\r'),
	('KL', 3090, 'CDG', 1382, 'CMN', 1074, 'Y', 0, '320 319\r'),
	('KL', 3090, 'CDG', 1382, 'DLA', 897, 'Y', 0, '777\r'),
	('KL', 3090, 'CDG', 1382, 'EZE', 3988, 'Y', 0, '777\r'),
	('KL', 3090, 'CDG', 1382, 'NIM', 280, 'Y', 0, '330\r'),
	('KL', 3090, 'CDG', 1382, 'PUJ', 1760, 'Y', 0, '747\r'),
	('KL', 3090, 'CDG', 1382, 'ROB', 1063, 'Y', 0, '330\r'),
	('KL', 3090, 'CEI', 3932, 'BKK', 3885, 'Y', 0, '320\r'),
	('KL', 3090, 'CFE', 1330, 'AMS', 580, 'Y', 0, 'ERJ\r'),
	('KL', 3090, 'CGK', 3275, 'KUL', 3304, '', 0, '777\r'),
	('KL', 3090, 'CGK', 3275, 'SYD', 3361, '', 0, '330\r'),
	('KL', 3090, 'CGN', 344, 'AMS', 580, 'Y', 0, 'F70\r'),
	('KL', 3090, 'CGO', 3375, 'CTU', 3395, 'Y', 0, '320\r'),
	('KL', 3090, 'CGO', 3375, 'HRB', 3400, 'Y', 0, '320\r'),
	('KL', 3090, 'CHA', 3578, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'CHO', 4015, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'CHS', 3806, 'ATL', 3682, 'Y', 0, '73W M88 319\r'),
	('KL', 3090, 'CID', 4043, 'ATL', 3682, 'Y', 0, 'CRJ CR9\r'),
	('KL', 3090, 'CLE', 3486, 'ATL', 3682, 'Y', 0, 'M88 717 CR9\r'),
	('KL', 3090, 'CLT', 3876, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'CMH', 3759, 'ATL', 3682, 'Y', 0, 'M88 73W 738 319\r'),
	('KL', 3090, 'CMN', 1074, 'CDG', 1382, 'Y', 0, '320 319\r'),
	('KL', 3090, 'CNF', 2537, 'GRU', 2564, 'Y', 0, '738\r'),
	('KL', 3090, 'CNX', 3931, 'BKK', 3885, 'Y', 0, '320\r'),
	('KL', 3090, 'COS', 3819, 'ATL', 3682, 'Y', 0, '738\r'),
	('KL', 3090, 'CPH', 609, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'CPT', 797, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'CRW', 4285, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'CSG', 4255, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'CTU', 3395, 'AMS', 580, '', 0, '74M\r'),
	('KL', 3090, 'CTU', 3395, 'CGO', 3375, 'Y', 0, '32S\r'),
	('KL', 3090, 'CTU', 3395, 'HGH', 3386, 'Y', 0, '320\r'),
	('KL', 3090, 'CTU', 3395, 'KMG', 3382, 'Y', 0, '737\r'),
	('KL', 3090, 'CTU', 3395, 'KWL', 3372, 'Y', 0, '737\r'),
	('KL', 3090, 'CTU', 3395, 'TNA', 4108, 'Y', 0, '32S\r'),
	('KL', 3090, 'CTU', 3395, 'XIY', 3379, 'Y', 0, '32S\r'),
	('KL', 3090, 'CUN', 1852, 'ATL', 3682, 'Y', 0, '757 320 M88\r'),
	('KL', 3090, 'CUN', 1852, 'MEX', 1824, 'Y', 0, '767\r'),
	('KL', 3090, 'CUR', 2897, 'AMS', 580, '', 0, '747\r'),
	('KL', 3090, 'CVG', 3488, 'ATL', 3682, 'Y', 0, 'M88 738 319\r'),
	('KL', 3090, 'CWB', 2545, 'GIG', 2560, 'Y', 0, '73G\r'),
	('KL', 3090, 'CWB', 2545, 'MGF', 2586, 'Y', 0, '738\r'),
	('KL', 3090, 'CWL', 488, 'AMS', 580, 'Y', 0, 'F70\r'),
	('KL', 3090, 'CZM', 1800, 'ATL', 3682, 'Y', 0, '319 M88\r'),
	('KL', 3090, 'DAB', 3950, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'DAL', 3502, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'DAR', 1177, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'DAY', 3627, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('KL', 3090, 'DCA', 3520, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'DEL', 3093, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'DEN', 3751, 'ATL', 3682, 'Y', 0, '757 M90\r'),
	('KL', 3090, 'DFW', 3670, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'DFW', 3670, 'ATL', 3682, 'Y', 0, 'M88 319\r'),
	('KL', 3090, 'DHN', 3739, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'DLA', 897, 'CDG', 1382, 'Y', 0, '772\r'),
	('KL', 3090, 'DLA', 897, 'SSG', 891, 'Y', 0, '772\r'),
	('KL', 3090, 'DLC', 3404, 'HGH', 3386, 'Y', 0, '32S\r'),
	('KL', 3090, 'DMM', 2064, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'DMM', 2064, 'KWI', 2176, '', 0, '330\r'),
	('KL', 3090, 'DOH', 2241, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'DOH', 2241, 'MCT', 2194, '', 0, '330\r'),
	('KL', 3090, 'DPS', 3940, 'SIN', 3316, '', 0, '777\r'),
	('KL', 3090, 'DSM', 3729, 'ATL', 3682, 'Y', 0, 'M88 CR7 CR9\r'),
	('KL', 3090, 'DTW', 3645, 'AMS', 580, 'Y', 0, '777 330 76W\r'),
	('KL', 3090, 'DTW', 3645, 'ATL', 3682, 'Y', 0, 'M88 73H 757 320 738 739\r'),
	('KL', 3090, 'DTW', 3645, 'FRA', 340, 'Y', 0, '767\r'),
	('KL', 3090, 'DTW', 3645, 'LHR', 507, 'Y', 0, '76W 777\r'),
	('KL', 3090, 'DTW', 3645, 'MSY', 3861, 'Y', 0, '319 CR7\r'),
	('KL', 3090, 'DUB', 599, 'ATL', 3682, 'Y', 0, '76W\r'),
	('KL', 3090, 'DUB', 599, 'JFK', 3797, 'Y', 0, '757\r'),
	('KL', 3090, 'DUS', 345, 'AMS', 580, 'Y', 0, 'F70\r'),
	('KL', 3090, 'DUS', 345, 'ATL', 3682, 'Y', 0, '76W\r'),
	('KL', 3090, 'DXB', 2188, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'DXB', 2188, 'NBO', 4059, 'Y', 0, '767\r'),
	('KL', 3090, 'DZA', 915, 'HAH', 912, 'Y', 0, '737 73W\r'),
	('KL', 3090, 'EBB', 1187, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'ECP', 7669, 'ATL', 3682, 'Y', 0, '717 M88 CR9\r'),
	('KL', 3090, 'EDI', 535, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'ELP', 3559, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('KL', 3090, 'EVV', 4018, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'EWN', 3730, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'EWR', 3494, 'AMS', 580, 'Y', 0, '76W\r'),
	('KL', 3090, 'EWR', 3494, 'ATL', 3682, 'Y', 0, '717 319\r'),
	('KL', 3090, 'EYW', 3875, 'ATL', 3682, 'Y', 0, '73W\r'),
	('KL', 3090, 'EZE', 3988, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'EZE', 3988, 'CDG', 1382, 'Y', 0, '772\r'),
	('KL', 3090, 'EZE', 3988, 'FTE', 4061, 'Y', 0, '737\r'),
	('KL', 3090, 'EZE', 3988, 'MVD', 2816, 'Y', 0, '772\r'),
	('KL', 3090, 'EZE', 3988, 'SCL', 2650, '', 0, '777\r'),
	('KL', 3090, 'FAY', 5738, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'FBM', 1038, 'NBO', 4059, 'Y', 0, 'E90\r'),
	('KL', 3090, 'FBM', 1038, 'NLA', 910, 'Y', 0, 'EMJ E90\r'),
	('KL', 3090, 'FCO', 1555, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'FCO', 1555, 'ATL', 3682, 'Y', 0, '333\r'),
	('KL', 3090, 'FIH', 1020, 'BZV', 883, 'Y', 0, '737 738\r'),
	('KL', 3090, 'FIH', 1020, 'NBO', 4059, 'Y', 0, '738\r'),
	('KL', 3090, 'FLL', 3533, 'ATL', 3682, 'Y', 0, '757\r'),
	('KL', 3090, 'FLR', 1563, 'AMS', 580, '', 0, 'EMJ\r'),
	('KL', 3090, 'FNA', 1059, 'CDG', 1382, 'Y', 0, '332\r'),
	('KL', 3090, 'FNT', 4089, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('KL', 3090, 'FRA', 340, 'AMS', 580, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'FRA', 340, 'ATL', 3682, 'Y', 0, '764\r'),
	('KL', 3090, 'FRA', 340, 'DTW', 3645, 'Y', 0, '767\r'),
	('KL', 3090, 'FRA', 340, 'JFK', 3797, 'Y', 0, '76W\r'),
	('KL', 3090, 'FSM', 3437, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'FTE', 4061, 'USH', 2497, 'Y', 0, '737\r'),
	('KL', 3090, 'FUK', 2305, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'FWA', 4041, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'GDL', 1804, 'ATL', 3682, 'Y', 0, '320\r'),
	('KL', 3090, 'GIG', 2560, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'GIG', 2560, 'CWB', 2545, 'Y', 0, '737\r'),
	('KL', 3090, 'GLA', 534, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'GNV', 3472, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('KL', 3090, 'GOT', 687, 'AMS', 580, '', 0, 'EMJ\r'),
	('KL', 3090, 'GPT', 4038, 'ATL', 3682, 'Y', 0, 'M88 CRJ CR7\r'),
	('KL', 3090, 'GRB', 3653, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('KL', 3090, 'GRK', 3775, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('KL', 3090, 'GRR', 3685, 'ATL', 3682, 'Y', 0, '320 717 M88 319\r'),
	('KL', 3090, 'GRU', 2564, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'GSO', 4008, 'ATL', 3682, 'Y', 0, 'CR7 M88\r'),
	('KL', 3090, 'GSP', 4034, 'ATL', 3682, 'Y', 0, 'CR7 319 717 M88 CRJ\r'),
	('KL', 3090, 'GTR', 4273, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'GVA', 1665, 'AMS', 580, '', 0, '737 F70 EMJ\r'),
	('KL', 3090, 'GYE', 2673, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'HAH', 912, 'NBO', 4059, 'Y', 0, '73W\r'),
	('KL', 3090, 'HAJ', 352, 'AMS', 580, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'HAK', 4120, 'HGH', 3386, 'Y', 0, '32S\r'),
	('KL', 3090, 'HAM', 342, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'HAV', 1909, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'HEL', 421, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'HGH', 3386, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'HGH', 3386, 'CAN', 3370, 'Y', 0, '321 772\r'),
	('KL', 3090, 'HGH', 3386, 'CGQ', 4380, 'Y', 0, '320\r'),
	('KL', 3090, 'HGH', 3386, 'CTU', 3395, 'Y', 0, '320\r'),
	('KL', 3090, 'HGH', 3386, 'DLC', 3404, 'Y', 0, '321\r'),
	('KL', 3090, 'HGH', 3386, 'HAK', 4120, 'Y', 0, '320\r'),
	('KL', 3090, 'HGH', 3386, 'HRB', 3400, 'Y', 0, '320\r'),
	('KL', 3090, 'HGH', 3386, 'KWL', 3372, 'Y', 0, '738\r'),
	('KL', 3090, 'HGH', 3386, 'LHW', 6431, 'Y', 0, '757\r'),
	('KL', 3090, 'HGH', 3386, 'SHE', 4144, 'Y', 0, '321\r'),
	('KL', 3090, 'HGH', 3386, 'SYX', 4030, 'Y', 0, '321\r'),
	('KL', 3090, 'HGH', 3386, 'SZX', 3374, 'Y', 0, '321 320\r'),
	('KL', 3090, 'HGH', 3386, 'TAO', 3390, 'Y', 0, '738\r'),
	('KL', 3090, 'HKG', 3077, 'AMS', 580, '', 0, '74M\r'),
	('KL', 3090, 'HKT', 3179, 'BKK', 3885, 'Y', 0, '32S 320\r'),
	('KL', 3090, 'HNL', 3728, 'ATL', 3682, 'Y', 0, '333\r'),
	('KL', 3090, 'HNL', 3728, 'LAX', 3484, 'Y', 0, '757\r'),
	('KL', 3090, 'HOU', 3566, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('KL', 3090, 'HPN', 3589, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('KL', 3090, 'HRB', 3400, 'CGO', 3375, 'Y', 0, '32S\r'),
	('KL', 3090, 'HRB', 3400, 'HGH', 3386, 'Y', 0, '32S\r'),
	('KL', 3090, 'HRE', 1005, 'LUN', 907, '', 0, '330\r'),
	('KL', 3090, 'HRE', 1005, 'NBO', 4059, 'Y', 0, 'E90\r'),
	('KL', 3090, 'HSV', 4113, 'ATL', 3682, 'Y', 0, '717 CRJ\r'),
	('KL', 3090, 'HUY', 515, 'AMS', 580, 'Y', 0, 'F70\r'),
	('KL', 3090, 'IAD', 3714, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'IAD', 3714, 'ATL', 3682, 'Y', 0, 'M88 320\r'),
	('KL', 3090, 'IAH', 3550, 'AMS', 580, '', 0, '74M\r'),
	('KL', 3090, 'IAH', 3550, 'ATL', 3682, 'Y', 0, 'M88 717 319\r'),
	('KL', 3090, 'ICN', 3930, 'AMS', 580, '', 0, '74M 330\r'),
	('KL', 3090, 'ICT', 3457, 'ATL', 3682, 'Y', 0, 'CR7 CR9\r'),
	('KL', 3090, 'ILM', 3845, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'IND', 3585, 'ATL', 3682, 'Y', 0, 'M88 320\r'),
	('KL', 3090, 'ISB', 2223, 'AUH', 2179, 'Y', 0, '320 332\r'),
	('KL', 3090, 'IST', 1701, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'JAN', 3580, 'ATL', 3682, 'Y', 0, '717 CR9 CRJ\r'),
	('KL', 3090, 'JAX', 3712, 'ATL', 3682, 'Y', 0, '757\r'),
	('KL', 3090, 'JFK', 3797, 'AMS', 580, '', 0, '330 777 74M 747\r'),
	('KL', 3090, 'JFK', 3797, 'ATL', 3682, 'Y', 0, '319 738 752 M88\r'),
	('KL', 3090, 'JFK', 3797, 'BCN', 1218, 'Y', 0, '330\r'),
	('KL', 3090, 'JFK', 3797, 'BRU', 302, 'Y', 0, '76W\r'),
	('KL', 3090, 'JFK', 3797, 'DUB', 599, 'Y', 0, '757\r'),
	('KL', 3090, 'JFK', 3797, 'FRA', 340, 'Y', 0, '76W\r'),
	('KL', 3090, 'JFK', 3797, 'LHR', 507, 'Y', 0, '767 76W\r'),
	('KL', 3090, 'JFK', 3797, 'MAD', 1229, 'Y', 0, '767\r'),
	('KL', 3090, 'JFK', 3797, 'MSY', 3861, 'Y', 0, 'CR9\r'),
	('KL', 3090, 'JIB', 4119, 'ADD', 1107, 'Y', 0, 'EMJ E90\r'),
	('KL', 3090, 'JIB', 4119, 'NBO', 4059, 'Y', 0, 'E90\r'),
	('KL', 3090, 'JNB', 813, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'JNU', 3492, 'KTN', 3808, 'Y', 0, '737\r'),
	('KL', 3090, 'JRO', 1180, 'DAR', 1177, '', 0, '330\r'),
	('KL', 3090, 'KBP', 2939, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'KBP', 2939, 'TBS', 3973, 'Y', 0, '73G\r'),
	('KL', 3090, 'KCH', 3263, 'KUL', 3304, 'Y', 0, '738\r'),
	('KL', 3090, 'KCH', 3263, 'MYY', 3266, 'Y', 0, '738\r'),
	('KL', 3090, 'KGL', 1165, 'BJM', 1120, 'Y', 0, 'EMJ E70\r'),
	('KL', 3090, 'KGL', 1165, 'EBB', 1187, '', 0, '330\r'),
	('KL', 3090, 'KGL', 1165, 'NBO', 4059, 'Y', 0, 'E70\r'),
	('KL', 3090, 'KHH', 2264, 'SIN', 3316, 'Y', 0, '737\r'),
	('KL', 3090, 'KIN', 1779, 'PTY', 1871, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'KIX', 3992, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'KMG', 3382, 'CTU', 3395, 'Y', 0, '737\r'),
	('KL', 3090, 'KRS', 638, 'AMS', 580, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'KTN', 3808, 'SEA', 3577, 'Y', 0, '734\r'),
	('KL', 3090, 'KTN', 3808, 'SIT', 3856, 'Y', 0, '737\r'),
	('KL', 3090, 'KUL', 3304, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'KUL', 3304, 'CGK', 3275, '', 0, '777\r'),
	('KL', 3090, 'KUL', 3304, 'KCH', 3263, 'Y', 0, '737\r'),
	('KL', 3090, 'KWI', 2176, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'KWI', 2176, 'DMM', 2064, '', 0, '330\r'),
	('KL', 3090, 'KWL', 3372, 'CTU', 3395, 'Y', 0, '738\r'),
	('KL', 3090, 'KWL', 3372, 'HGH', 3386, 'Y', 0, '737\r'),
	('KL', 3090, 'KWL', 3372, 'NNG', 3373, 'Y', 0, '738\r'),
	('KL', 3090, 'LAD', 951, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'LAS', 3877, 'ATL', 3682, 'Y', 0, '757\r'),
	('KL', 3090, 'LAX', 3484, 'AMS', 580, '', 0, '74M 747\r'),
	('KL', 3090, 'LAX', 3484, 'ATL', 3682, 'Y', 0, '757\r'),
	('KL', 3090, 'LAX', 3484, 'KOA', 3514, 'Y', 0, '757\r'),
	('KL', 3090, 'LAX', 3484, 'MSP', 3858, 'Y', 0, '757 753\r'),
	('KL', 3090, 'LAX', 3484, 'MSY', 3861, 'Y', 0, '319\r'),
	('KL', 3090, 'LAX', 3484, 'OGG', 3456, 'Y', 0, '757\r'),
	('KL', 3090, 'LBA', 517, 'AMS', 580, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'LCA', 1197, 'AMS', 580, 'Y', 0, '32S\r'),
	('KL', 3090, 'LCY', 503, 'AMS', 580, 'Y', 0, 'ARJ\r'),
	('KL', 3090, 'LCY', 503, 'RTM', 591, 'Y', 0, 'F50 ARJ\r'),
	('KL', 3090, 'LED', 2948, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'LEX', 4017, 'ATL', 3682, 'Y', 0, 'CR9 CRJ\r'),
	('KL', 3090, 'LFT', 3493, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'LGA', 3697, 'ATL', 3682, 'Y', 0, '757 M88 73W\r'),
	('KL', 3090, 'LHE', 2207, 'AUH', 2179, 'Y', 0, '346 77W 320\r'),
	('KL', 3090, 'LHR', 507, 'AMS', 580, '', 0, '737 F70 EMJ\r'),
	('KL', 3090, 'LHR', 507, 'ATL', 3682, 'Y', 0, '764 77L 76W\r'),
	('KL', 3090, 'LHR', 507, 'BOS', 3448, 'Y', 0, '767\r'),
	('KL', 3090, 'LHR', 507, 'DTW', 3645, 'Y', 0, '76W 777\r'),
	('KL', 3090, 'LHR', 507, 'JFK', 3797, 'Y', 0, '76W 767\r'),
	('KL', 3090, 'LHR', 507, 'MSP', 3858, 'Y', 0, '767\r'),
	('KL', 3090, 'LHR', 507, 'SEA', 3577, 'Y', 0, '76W\r'),
	('KL', 3090, 'LHW', 6431, 'URC', 3399, 'Y', 0, '752\r'),
	('KL', 3090, 'LIM', 2789, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'LIN', 1529, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'LIS', 1638, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'LIT', 3660, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('KL', 3090, 'LLW', 1016, 'LUN', 907, 'Y', 0, 'EMJ E90\r'),
	('KL', 3090, 'LLW', 1016, 'NBO', 4059, 'Y', 0, '738 E90\r'),
	('KL', 3090, 'LOS', 273, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'LPI', 742, 'AMS', 580, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'LUN', 907, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'LUN', 907, 'HRE', 1005, 'Y', 0, 'EMJ E90\r'),
	('KL', 3090, 'LUN', 907, 'LLW', 1016, 'Y', 0, '737 EMJ 738 E90 763\r'),
	('KL', 3090, 'LUN', 907, 'NBO', 4059, 'Y', 0, 'E90 763\r'),
	('KL', 3090, 'LUX', 629, 'AMS', 580, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'LVI', 906, 'HRE', 1005, 'Y', 0, 'EMJ E90\r'),
	('KL', 3090, 'LYS', 1335, 'AMS', 580, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'MAD', 1229, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'MAD', 1229, 'ATL', 3682, 'Y', 0, '764\r'),
	('KL', 3090, 'MAD', 1229, 'JFK', 3797, 'Y', 0, '767\r'),
	('KL', 3090, 'MAN', 478, 'AMS', 580, '', 0, '737 EMJ F70\r'),
	('KL', 3090, 'MAN', 478, 'ATL', 3682, 'Y', 0, '76W\r'),
	('KL', 3090, 'MAO', 2551, 'GRU', 2564, 'Y', 0, '737\r'),
	('KL', 3090, 'MCI', 3458, 'ATL', 3682, 'Y', 0, 'M88 M90 757\r'),
	('KL', 3090, 'MCO', 3878, 'ATL', 3682, 'Y', 0, '757 739\r'),
	('KL', 3090, 'MCT', 2194, 'DOH', 2241, '', 0, '330\r'),
	('KL', 3090, 'MDT', 3542, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'MDW', 3747, 'ATL', 3682, 'Y', 0, '717 320 319\r'),
	('KL', 3090, 'MEM', 3473, 'ATL', 3682, 'Y', 0, 'M88 320\r'),
	('KL', 3090, 'MEX', 1824, 'AMS', 580, '', 0, '74M\r'),
	('KL', 3090, 'MEX', 1824, 'ATL', 3682, 'Y', 0, '73W 738 73H\r'),
	('KL', 3090, 'MEX', 1824, 'MTY', 1825, 'Y', 0, '737\r'),
	('KL', 3090, 'MGF', 2586, 'CWB', 2545, 'Y', 0, '737\r'),
	('KL', 3090, 'MGM', 4115, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'MHT', 4011, 'ATL', 3682, 'Y', 0, '320\r'),
	('KL', 3090, 'MIA', 3576, 'ATL', 3682, 'Y', 0, '757 M88 M90\r'),
	('KL', 3090, 'MKE', 3717, 'ATL', 3682, 'Y', 0, 'M88 M90\r'),
	('KL', 3090, 'MLB', 3671, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('KL', 3090, 'MLI', 4072, 'ATL', 3682, 'Y', 0, 'CR7 CR9\r'),
	('KL', 3090, 'MLU', 3732, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'MME', 522, 'AMS', 580, 'Y', 0, 'F70\r'),
	('KL', 3090, 'MNL', 2397, 'TPE', 2276, '', 0, '777\r'),
	('KL', 3090, 'MOB', 3782, 'ATL', 3682, 'Y', 0, '717 CR9 CR7 CRJ\r'),
	('KL', 3090, 'MRS', 1353, 'AMS', 580, 'Y', 0, '32S\r'),
	('KL', 3090, 'MSN', 3459, 'ATL', 3682, 'Y', 0, '73W CR7 320 CR9\r'),
	('KL', 3090, 'MSP', 3858, 'AMS', 580, 'Y', 0, '330\r'),
	('KL', 3090, 'MSP', 3858, 'ATL', 3682, 'Y', 0, '320 757 739\r'),
	('KL', 3090, 'MSP', 3858, 'LAX', 3484, 'Y', 0, '757\r'),
	('KL', 3090, 'MSP', 3858, 'LHR', 507, 'Y', 0, '767\r'),
	('KL', 3090, 'MSP', 3858, 'MSY', 3861, 'Y', 0, 'E75 CR9\r'),
	('KL', 3090, 'MSP', 3858, 'SEA', 3577, 'Y', 0, '757\r'),
	('KL', 3090, 'MSP', 3858, 'SFO', 3469, 'Y', 0, '757\r'),
	('KL', 3090, 'MSY', 3861, 'ATL', 3682, 'Y', 0, '757 M90 M88\r'),
	('KL', 3090, 'MSY', 3861, 'DTW', 3645, 'Y', 0, '319 CR9 CR7 M88\r'),
	('KL', 3090, 'MSY', 3861, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('KL', 3090, 'MSY', 3861, 'LAX', 3484, 'Y', 0, '319\r'),
	('KL', 3090, 'MTY', 1825, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('KL', 3090, 'MUC', 346, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'MUC', 346, 'ATL', 3682, 'Y', 0, '764\r'),
	('KL', 3090, 'MVD', 2816, 'EZE', 3988, 'Y', 0, '777\r'),
	('KL', 3090, 'MYR', 3515, 'ATL', 3682, 'Y', 0, 'CR7 CR9 717 319\r'),
	('KL', 3090, 'MYY', 3266, 'KCH', 3263, 'Y', 0, '737\r'),
	('KL', 3090, 'NBO', 4059, 'ADD', 1107, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'NBO', 4059, 'AMS', 580, '', 0, '747\r'),
	('KL', 3090, 'NBO', 4059, 'BJM', 1120, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'NBO', 4059, 'BZV', 883, 'Y', 0, '737\r'),
	('KL', 3090, 'NBO', 4059, 'DXB', 2188, 'Y', 0, '767\r'),
	('KL', 3090, 'NBO', 4059, 'DZA', 915, 'Y', 0, '737\r'),
	('KL', 3090, 'NBO', 4059, 'FBM', 1038, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'NBO', 4059, 'FIH', 1020, 'Y', 0, '737\r'),
	('KL', 3090, 'NBO', 4059, 'HRE', 1005, 'Y', 0, '767\r'),
	('KL', 3090, 'NBO', 4059, 'JIB', 4119, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'NBO', 4059, 'KGL', 1165, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'NBO', 4059, 'LLW', 1016, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'NBO', 4059, 'LUN', 907, 'Y', 0, 'EMJ 737\r'),
	('KL', 3090, 'NBO', 4059, 'LVI', 906, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'NBO', 4059, 'NLA', 910, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'NCE', 1354, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'NCL', 521, 'AMS', 580, '', 0, 'EMJ 737\r'),
	('KL', 3090, 'NIM', 280, 'CDG', 1382, 'Y', 0, '332\r'),
	('KL', 3090, 'NIM', 280, 'OUA', 246, 'Y', 0, '332\r'),
	('KL', 3090, 'NKG', 3388, 'CGQ', 4380, 'Y', 0, '319\r'),
	('KL', 3090, 'NLA', 910, 'FBM', 1038, 'Y', 0, 'EMJ E90\r'),
	('KL', 3090, 'NLA', 910, 'NBO', 4059, 'Y', 0, 'E90\r'),
	('KL', 3090, 'NNG', 3373, 'KWL', 3372, 'Y', 0, '737\r'),
	('KL', 3090, 'NRT', 2279, 'AMS', 580, '', 0, '74M 747 777\r'),
	('KL', 3090, 'NTE', 1418, 'AMS', 580, 'Y', 0, 'ERJ\r'),
	('KL', 3090, 'NUE', 347, 'AMS', 580, 'Y', 0, 'F70 EMJ\r'),
	('KL', 3090, 'NWI', 547, 'AMS', 580, 'Y', 0, 'F70\r'),
	('KL', 3090, 'OAJ', 4386, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'OGG', 3456, 'LAX', 3484, 'Y', 0, '757\r'),
	('KL', 3090, 'OKC', 3863, 'ATL', 3682, 'Y', 0, 'CR9 M88\r'),
	('KL', 3090, 'OMA', 3454, 'ATL', 3682, 'Y', 0, 'CR7 M88\r'),
	('KL', 3090, 'ORD', 3830, 'AMS', 580, '', 0, '74M\r'),
	('KL', 3090, 'ORD', 3830, 'ATL', 3682, 'Y', 0, '717 M88 319\r'),
	('KL', 3090, 'ORF', 3611, 'ATL', 3682, 'Y', 0, 'M90 M88 319\r'),
	('KL', 3090, 'OSL', 644, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'OTP', 1657, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'OUA', 246, 'NIM', 280, 'Y', 0, '330\r'),
	('KL', 3090, 'PBI', 3722, 'ATL', 3682, 'Y', 0, 'M90 757\r'),
	('KL', 3090, 'PBM', 2773, 'AMS', 580, '', 0, '747\r'),
	('KL', 3090, 'PDX', 3720, 'AMS', 580, 'Y', 0, '330\r'),
	('KL', 3090, 'PDX', 3720, 'ATL', 3682, 'Y', 0, '739 738 73H\r'),
	('KL', 3090, 'PEK', 3364, 'AMS', 580, '', 0, '74M\r'),
	('KL', 3090, 'PHC', 275, 'ABV', 260, 'Y', 0, '330 332\r'),
	('KL', 3090, 'PHF', 3633, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'PHL', 3752, 'ATL', 3682, 'Y', 0, 'M90 320 M88 73H\r'),
	('KL', 3090, 'PHX', 3462, 'ATL', 3682, 'Y', 0, '757\r'),
	('KL', 3090, 'PIA', 4046, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'PIT', 3570, 'ATL', 3682, 'Y', 0, 'M88 CR9\r'),
	('KL', 3090, 'PNS', 3564, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('KL', 3090, 'PRG', 1587, 'AMS', 580, 'Y', 0, 'EMJ F70 737\r'),
	('KL', 3090, 'PSP', 3839, 'SFO', 3469, 'Y', 0, '737\r'),
	('KL', 3090, 'PTY', 1871, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'PTY', 1871, 'SJO', 1885, 'Y', 0, '737\r'),
	('KL', 3090, 'PUJ', 1760, 'SDQ', 1762, 'Y', 0, '747 744\r'),
	('KL', 3090, 'PVD', 3641, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('KL', 3090, 'PVG', 3406, 'AMS', 580, '', 0, '74M 747\r'),
	('KL', 3090, 'PVR', 1836, 'ATL', 3682, 'Y', 0, '757\r'),
	('KL', 3090, 'RDU', 3626, 'ATL', 3682, 'Y', 0, 'M88 M90\r'),
	('KL', 3090, 'RIC', 3608, 'ATL', 3682, 'Y', 0, 'M88 73H\r'),
	('KL', 3090, 'RIX', 3953, 'AMS', 580, 'Y', 0, '737\r'),
	('KL', 3090, 'ROA', 4016, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'ROB', 1063, 'FNA', 1059, 'Y', 0, '330 332\r'),
	('KL', 3090, 'ROC', 3622, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'RSW', 3793, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('KL', 3090, 'RTM', 591, 'LCY', 503, 'Y', 0, 'F50 ARJ\r'),
	('KL', 3090, 'SAN', 3731, 'ATL', 3682, 'Y', 0, '763 739\r'),
	('KL', 3090, 'SAT', 3621, 'ATL', 3682, 'Y', 0, '757 M90\r'),
	('KL', 3090, 'SAV', 3613, 'ATL', 3682, 'Y', 0, '717 M88 319\r'),
	('KL', 3090, 'SBN', 4359, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'SCL', 2650, 'EZE', 3988, '', 0, '777\r'),
	('KL', 3090, 'SDF', 4014, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('KL', 3090, 'SDQ', 1762, 'CDG', 1382, 'Y', 0, '744\r'),
	('KL', 3090, 'SEA', 3577, 'AMS', 580, 'Y', 0, '330\r'),
	('KL', 3090, 'SEA', 3577, 'ATL', 3682, 'Y', 0, '76W 763\r'),
	('KL', 3090, 'SEA', 3577, 'HNL', 3728, 'Y', 0, '753\r'),
	('KL', 3090, 'SEA', 3577, 'KTN', 3808, 'Y', 0, '737\r'),
	('KL', 3090, 'SEA', 3577, 'LHR', 507, 'Y', 0, '76W\r'),
	('KL', 3090, 'SFO', 3469, 'AMS', 580, '', 0, '747\r'),
	('KL', 3090, 'SFO', 3469, 'ATL', 3682, 'Y', 0, '763 757\r'),
	('KL', 3090, 'SFO', 3469, 'HNL', 3728, 'Y', 0, '753\r'),
	('KL', 3090, 'SFO', 3469, 'SEA', 3577, 'Y', 0, '734\r'),
	('KL', 3090, 'SGF', 4348, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'SHE', 4144, 'HGH', 3386, 'Y', 0, '32S\r'),
	('KL', 3090, 'SHE', 4144, 'XIY', 3379, 'Y', 0, '32S\r'),
	('KL', 3090, 'SHV', 3609, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'SIN', 3316, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'SIN', 3316, 'DPS', 3940, '', 0, '777\r'),
	('KL', 3090, 'SIT', 3856, 'JNU', 3492, 'Y', 0, '737\r'),
	('KL', 3090, 'SJC', 3748, 'ATL', 3682, 'Y', 0, '738\r'),
	('KL', 3090, 'SJD', 1840, 'ATL', 3682, 'Y', 0, '73W 738\r'),
	('KL', 3090, 'SJO', 1885, 'GUA', 1767, 'Y', 0, '73G\r'),
	('KL', 3090, 'SJO', 1885, 'PTY', 1871, 'Y', 0, 'E90\r'),
	('KL', 3090, 'SJO', 1885, 'TGU', 1776, 'Y', 0, '738\r'),
	('KL', 3090, 'SJU', 2890, 'ATL', 3682, 'Y', 0, '73H 757 753\r'),
	('KL', 3090, 'SLC', 3536, 'ATL', 3682, 'Y', 0, '763 757 738\r'),
	('KL', 3090, 'SLC', 3536, 'LAX', 3484, 'Y', 0, '757\r'),
	('KL', 3090, 'SLZ', 2616, 'BEL', 2526, 'Y', 0, '737\r'),
	('KL', 3090, 'SMF', 3817, 'ATL', 3682, 'Y', 0, '757\r'),
	('KL', 3090, 'SNA', 3867, 'ATL', 3682, 'Y', 0, '757\r'),
	('KL', 3090, 'SRQ', 4067, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('KL', 3090, 'SSG', 891, 'DLA', 897, 'Y', 0, '777\r'),
	('KL', 3090, 'STL', 3678, 'ATL', 3682, 'Y', 0, 'M90 M88 319\r'),
	('KL', 3090, 'STM', 4092, 'MAO', 2551, 'Y', 0, '737\r'),
	('KL', 3090, 'STR', 350, 'AMS', 580, 'Y', 0, 'EMJ F70\r'),
	('KL', 3090, 'STR', 350, 'ATL', 3682, 'Y', 0, '76W\r'),
	('KL', 3090, 'STT', 2883, 'ATL', 3682, 'Y', 0, '757\r'),
	('KL', 3090, 'SVG', 666, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'SVO', 2985, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'SXB', 1435, 'AMS', 580, 'Y', 0, 'ERJ CRJ EMJ\r'),
	('KL', 3090, 'SXM', 2899, 'CUR', 2897, '', 0, '747\r'),
	('KL', 3090, 'SYR', 3745, 'ATL', 3682, 'Y', 0, 'M88 CR9\r'),
	('KL', 3090, 'SYX', 4030, 'HGH', 3386, 'Y', 0, '32S\r'),
	('KL', 3090, 'SZX', 3374, 'HGH', 3386, 'Y', 0, '32S 320\r'),
	('KL', 3090, 'TAO', 3390, 'HGH', 3386, 'Y', 0, '737\r'),
	('KL', 3090, 'TBS', 3973, 'AMS', 580, 'Y', 0, '737\r'),
	('KL', 3090, 'TBS', 3973, 'KBP', 2939, 'Y', 0, '73G\r'),
	('KL', 3090, 'TGU', 1776, 'SJO', 1885, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'TLH', 3698, 'ATL', 3682, 'Y', 0, '319 M88 CRJ 717\r'),
	('KL', 3090, 'TLL', 415, 'AMS', 580, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'TLS', 1273, 'AMS', 580, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'TLV', 1590, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'TNA', 4108, 'CGQ', 4380, 'Y', 0, '320\r'),
	('KL', 3090, 'TPA', 3646, 'ATL', 3682, 'Y', 0, '757 739\r'),
	('KL', 3090, 'TPE', 2276, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'TPE', 2276, 'BKK', 3885, 'Y', 0, '340\r'),
	('KL', 3090, 'TPE', 2276, 'MNL', 2397, '', 0, '777\r'),
	('KL', 3090, 'TRD', 665, 'AMS', 580, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'TRF', 664, 'AMS', 580, 'Y', 0, 'EMJ\r'),
	('KL', 3090, 'TRI', 4116, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'TRN', 1526, 'FCO', 1555, 'Y', 0, '32S\r'),
	('KL', 3090, 'TUL', 3855, 'ATL', 3682, 'Y', 0, 'CR7 CR9\r'),
	('KL', 3090, 'TUS', 3636, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('KL', 3090, 'TXL', 351, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'TYS', 3676, 'ATL', 3682, 'Y', 0, '717 CR7 CRJ CR9\r'),
	('KL', 3090, 'UIO', 2688, 'GYE', 2673, '', 0, '777\r'),
	('KL', 3090, 'URC', 3399, 'HGH', 3386, 'Y', 0, '73G\r'),
	('KL', 3090, 'URC', 3399, 'WUH', 3376, 'Y', 0, '737\r'),
	('KL', 3090, 'VCE', 1551, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'VIE', 1613, 'AMS', 580, '', 0, '737 EMJ\r'),
	('KL', 3090, 'VLD', 5776, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('KL', 3090, 'VPS', 3873, 'ATL', 3682, 'Y', 0, '717 319 M88\r'),
	('KL', 3090, 'WAW', 679, 'AMS', 580, '', 0, '737\r'),
	('KL', 3090, 'WUH', 3376, 'XMN', 3383, 'Y', 0, '73G\r'),
	('KL', 3090, 'XIY', 3379, 'CTU', 3395, 'Y', 0, '320\r'),
	('KL', 3090, 'XIY', 3379, 'DLC', 3404, 'Y', 0, '320\r'),
	('KL', 3090, 'XIY', 3379, 'SHE', 4144, 'Y', 0, '320\r'),
	('KL', 3090, 'XMN', 3383, 'AMS', 580, '', 0, '777\r'),
	('KL', 3090, 'XMN', 3383, 'NKG', 3388, 'Y', 0, '32S\r'),
	('KL', 3090, 'XNA', 4356, 'ATL', 3682, 'Y', 0, 'CRJ CR7 CR9\r'),
	('KL', 3090, 'YEG', 49, 'YMM', 90, 'Y', 0, '73W\r'),
	('KL', 3090, 'YEG', 49, 'YWG', 160, 'Y', 0, '737\r'),
	('KL', 3090, 'YHZ', 73, 'YYT', 189, 'Y', 0, '73W\r'),
	('KL', 3090, 'YHZ', 73, 'YYZ', 193, 'Y', 0, '73W\r'),
	('KL', 3090, 'YOW', 100, 'YYZ', 193, 'Y', 0, '737\r'),
	('KL', 3090, 'YUL', 146, 'AMS', 580, '', 0, 'M11\r'),
	('KL', 3090, 'YVR', 156, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'YWG', 160, 'YEG', 49, 'Y', 0, '73W\r'),
	('KL', 3090, 'YWG', 160, 'YUL', 146, 'Y', 0, '73W\r'),
	('KL', 3090, 'YYC', 178, 'AMS', 580, '', 0, '330\r'),
	('KL', 3090, 'YYC', 178, 'YEG', 49, 'Y', 0, '737\r'),
	('KL', 3090, 'YYC', 178, 'YYZ', 193, 'Y', 0, '737\r'),
	('KL', 3090, 'YYT', 189, 'YHZ', 73, 'Y', 0, '737\r'),
	('KL', 3090, 'YYZ', 193, 'AMS', 580, '', 0, 'M11 330 747 74M\r'),
	('KL', 3090, 'YYZ', 193, 'YHZ', 73, 'Y', 0, '737\r'),
	('KL', 3090, 'YYZ', 193, 'YQR', 120, 'Y', 0, '73W\r'),
	('KL', 3090, 'YYZ', 193, 'YUL', 146, 'Y', 0, '73W\r'),
	('KL', 3090, 'YYZ', 193, 'YWG', 160, 'Y', 0, '737\r'),
	('KL', 3090, 'ZRH', 1678, 'AMS', 580, '', 0, 'EMJ 737\r'),
	('KM', 242, 'ALG', 210, 'MLA', 1606, '', 0, '319\r'),
	('KM', 242, 'AMS', 580, 'MLA', 1606, '', 0, '320 319\r'),
	('KM', 242, 'ATH', 3941, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'ATH', 3941, 'SOF', 1194, '', 0, '320\r'),
	('KM', 242, 'BEN', 1154, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'BHX', 469, 'MLA', 1606, '', 0, '320 319\r'),
	('KM', 242, 'BRS', 490, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'BRU', 302, 'CTA', 1509, 'Y', 0, '319\r'),
	('KM', 242, 'BRU', 302, 'MLA', 1606, '', 0, '320 319\r'),
	('KM', 242, 'BUD', 1489, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'CDG', 1382, 'MLA', 1606, '', 0, '319 320\r'),
	('KM', 242, 'CTA', 1509, 'BRU', 302, 'Y', 0, '319\r'),
	('KM', 242, 'CTA', 1509, 'MLA', 1606, '', 0, '319 320\r'),
	('KM', 242, 'CTA', 1509, 'MUC', 346, '', 0, '319\r'),
	('KM', 242, 'CWL', 488, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'DME', 4029, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'DUS', 345, 'MLA', 1606, '', 0, '319 320\r'),
	('KM', 242, 'EXT', 552, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'FCO', 1555, 'MLA', 1606, '', 0, '320 319\r'),
	('KM', 242, 'FRA', 340, 'MLA', 1606, '', 0, '319 320\r'),
	('KM', 242, 'GLA', 534, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'GVA', 1665, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'HAM', 342, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'IST', 1701, 'MLA', 1606, '', 0, '319 737\r'),
	('KM', 242, 'LCA', 1197, 'MLA', 1606, 'Y', 0, '332\r'),
	('KM', 242, 'LED', 2948, 'MLA', 1606, '', 0, '319 320\r'),
	('KM', 242, 'LGW', 502, 'MLA', 1606, '', 0, '320 319\r'),
	('KM', 242, 'LHR', 507, 'MLA', 1606, '', 0, '320 319\r'),
	('KM', 242, 'LIN', 1529, 'MLA', 1606, '', 0, '319 320\r'),
	('KM', 242, 'LYS', 1335, 'MLA', 1606, '', 0, '320 319\r'),
	('KM', 242, 'MAN', 478, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'ALG', 210, '', 0, '319\r'),
	('KM', 242, 'MLA', 1606, 'AMS', 580, '', 0, '320 319\r'),
	('KM', 242, 'MLA', 1606, 'ATH', 3941, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'BEN', 1154, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'BHX', 469, '', 0, '320 319\r'),
	('KM', 242, 'MLA', 1606, 'BRS', 490, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'BRU', 302, '', 0, '320 319\r'),
	('KM', 242, 'MLA', 1606, 'BUD', 1489, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'CDG', 1382, '', 0, '319 320\r'),
	('KM', 242, 'MLA', 1606, 'CTA', 1509, '', 0, '319 320\r'),
	('KM', 242, 'MLA', 1606, 'CWL', 488, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'DME', 4029, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'DUS', 345, '', 0, '319 320\r'),
	('KM', 242, 'MLA', 1606, 'EXT', 552, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'FCO', 1555, '', 0, '320 319\r'),
	('KM', 242, 'MLA', 1606, 'FRA', 340, '', 0, '319 320\r'),
	('KM', 242, 'MLA', 1606, 'GLA', 534, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'GVA', 1665, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'HAM', 342, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'IST', 1701, '', 0, '319 737\r'),
	('KM', 242, 'MLA', 1606, 'LCA', 1197, 'Y', 0, '332\r'),
	('KM', 242, 'MLA', 1606, 'LED', 2948, '', 0, '319 320\r'),
	('KM', 242, 'MLA', 1606, 'LGW', 502, '', 0, '320 319\r'),
	('KM', 242, 'MLA', 1606, 'LHR', 507, '', 0, '320 319\r'),
	('KM', 242, 'MLA', 1606, 'LIN', 1529, '', 0, '319 320\r'),
	('KM', 242, 'MLA', 1606, 'LYS', 1335, '', 0, '320 319\r'),
	('KM', 242, 'MLA', 1606, 'MAN', 478, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'MRS', 1353, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'MUC', 346, '', 0, '319 320\r'),
	('KM', 242, 'MLA', 1606, 'NCL', 521, '', 0, '319\r'),
	('KM', 242, 'MLA', 1606, 'NWI', 547, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'ORY', 1386, '', 0, '320 319\r'),
	('KM', 242, 'MLA', 1606, 'PRG', 1587, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'SAW', 4317, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'SVO', 2985, '', 0, '319\r'),
	('KM', 242, 'MLA', 1606, 'TIP', 1157, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'TXL', 351, '', 0, '320\r'),
	('KM', 242, 'MLA', 1606, 'VIE', 1613, '', 0, '319 320\r'),
	('KM', 242, 'MLA', 1606, 'ZRH', 1678, '', 0, '319\r'),
	('KM', 242, 'MRS', 1353, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'MUC', 346, 'CTA', 1509, '', 0, '319\r'),
	('KM', 242, 'MUC', 346, 'MLA', 1606, '', 0, '319 320\r'),
	('KM', 242, 'NCL', 521, 'MLA', 1606, '', 0, '319\r'),
	('KM', 242, 'NWI', 547, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'ORY', 1386, 'MLA', 1606, '', 0, '320 319\r'),
	('KM', 242, 'PRG', 1587, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'SAW', 4317, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'SOF', 1194, 'ATH', 3941, '', 0, '320\r'),
	('KM', 242, 'SVO', 2985, 'MLA', 1606, '', 0, '319\r'),
	('KM', 242, 'TIP', 1157, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'TXL', 351, 'MLA', 1606, '', 0, '320\r'),
	('KM', 242, 'VIE', 1613, 'MLA', 1606, '', 0, '319 320\r'),
	('KM', 242, 'ZRH', 1678, 'MLA', 1606, '', 0, '319\r'),
	('KN', 10741, 'ACX', 7506, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'BAV', 6346, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'BAV', 6346, 'SJW', 6347, '', 0, '737\r'),
	('KN', 10741, 'BFJ', 9025, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'CAN', 3370, 'HGH', 3386, '', 0, '737\r'),
	('KN', 10741, 'CAN', 3370, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'CIF', 6342, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'CIH', 6343, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'CKG', 3393, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'CSX', 3371, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'CTU', 3395, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'CZX', 4109, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'DAT', 6344, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'DSN', 6434, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'ENY', 6367, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'FUO', 7457, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'HET', 6345, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'HGH', 3386, 'CAN', 3370, '', 0, '737\r'),
	('KN', 10741, 'HGH', 3386, 'SJW', 6347, '', 0, '737\r'),
	('KN', 10741, 'HLD', 3366, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'HLH', 6349, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'HRB', 3400, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'HSN', 6395, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'IQN', 6365, 'LHW', 6431, '', 0, '737\r'),
	('KN', 10741, 'IQN', 6365, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'JUZ', 6382, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'KHN', 3384, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'KMG', 3382, 'SJW', 6347, '', 0, '737\r'),
	('KN', 10741, 'KWE', 3394, 'XIY', 3379, '', 0, '737\r'),
	('KN', 10741, 'LHW', 6431, 'IQN', 6365, '', 0, '737\r'),
	('KN', 10741, 'LYG', 6383, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'LYI', 6385, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'ACX', 7506, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'BAV', 6346, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'BFJ', 9025, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'CAN', 3370, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'CIF', 6342, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'CIH', 6343, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'CKG', 3393, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'CSX', 3371, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'CTU', 3395, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'CZX', 4109, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'DAT', 6344, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'DSN', 6434, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'ENY', 6367, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'FUO', 7457, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'HET', 6345, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'HLD', 3366, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'HLH', 6349, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'HRB', 3400, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'HSN', 6395, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'IQN', 6365, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'JUZ', 6382, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'KHN', 3384, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'LYG', 6383, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'LYI', 6385, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'NDG', 6413, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'NGB', 3387, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'NNY', 6359, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'NZH', 6954, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'SHA', 3391, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'SZX', 3374, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'UYN', 6368, '', 0, '737 73G\r'),
	('KN', 10741, 'NAY', 6341, 'WNZ', 6392, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'WUA', 6955, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'XFN', 6360, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'XIL', 6350, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'XMN', 3383, '', 0, '737\r'),
	('KN', 10741, 'NAY', 6341, 'ZHA', 6357, '', 0, '737\r'),
	('KN', 10741, 'NDG', 6413, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'NGB', 3387, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'NNY', 6359, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'NZH', 6954, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'SHA', 3391, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'SHA', 3391, 'SJW', 6347, '', 0, '737\r'),
	('KN', 10741, 'SJW', 6347, 'BAV', 6346, '', 0, '737\r'),
	('KN', 10741, 'SJW', 6347, 'HGH', 3386, '', 0, '737\r'),
	('KN', 10741, 'SJW', 6347, 'KMG', 3382, '', 0, '737\r'),
	('KN', 10741, 'SJW', 6347, 'SHA', 3391, '', 0, '737\r'),
	('KN', 10741, 'SJW', 6347, 'XIY', 3379, '', 0, '737\r'),
	('KN', 10741, 'SZX', 3374, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'UYN', 6368, 'NAY', 6341, '', 0, '737 73G\r'),
	('KN', 10741, 'WNZ', 6392, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'WUA', 6955, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'XFN', 6360, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'XIL', 6350, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'XIY', 3379, 'KWE', 3394, '', 0, '737\r'),
	('KN', 10741, 'XIY', 3379, 'SJW', 6347, '', 0, '737\r'),
	('KN', 10741, 'XMN', 3383, 'NAY', 6341, '', 0, '737\r'),
	('KN', 10741, 'ZHA', 6357, 'NAY', 6341, '', 0, '737\r'),
	('KO', 109, 'ANC', 3774, 'ILI', 3429, '', 0, '\r'),
	('KO', 109, 'ILI', 3429, 'ANC', 3774, '', 0, '\r'),
	('KQ', 3126, 'ABJ', 253, 'DKR', 1084, '', 0, '73W 738\r'),
	('KQ', 3126, 'ABJ', 253, 'NBO', 4059, '', 0, '73W 738\r'),
	('KQ', 3126, 'ACC', 248, 'DKR', 1084, '', 0, '738\r'),
	('KQ', 3126, 'ACC', 248, 'FNA', 1059, '', 0, '738\r'),
	('KQ', 3126, 'ACC', 248, 'NBO', 4059, '', 0, '738\r'),
	('KQ', 3126, 'ACC', 248, 'ROB', 1063, '', 0, '738\r'),
	('KQ', 3126, 'ADD', 1107, 'JIB', 4119, '', 0, 'E90\r'),
	('KQ', 3126, 'ADD', 1107, 'NBO', 4059, '', 0, 'E90\r'),
	('KQ', 3126, 'AMS', 580, 'NBO', 4059, '', 0, '772\r'),
	('KQ', 3126, 'APL', 984, 'NBO', 4059, '', 0, 'E90 E70\r'),
	('KQ', 3126, 'APL', 984, 'POL', 985, '', 0, 'ER4\r'),
	('KQ', 3126, 'BJM', 1120, 'KGL', 1165, '', 0, 'E70\r'),
	('KQ', 3126, 'BJM', 1120, 'NBO', 4059, '', 0, 'E70 E90\r'),
	('KQ', 3126, 'BKK', 3885, 'CAN', 3370, '', 0, '763\r'),
	('KQ', 3126, 'BKK', 3885, 'HKG', 3077, '', 0, '763\r'),
	('KQ', 3126, 'BKK', 3885, 'NBO', 4059, '', 0, '763\r'),
	('KQ', 3126, 'BKO', 1044, 'DKR', 1084, '', 0, '73W\r'),
	('KQ', 3126, 'BKO', 1044, 'NBO', 4059, '', 0, '73W\r'),
	('KQ', 3126, 'BLZ', 1013, 'NBO', 4059, '', 0, 'E90\r'),
	('KQ', 3126, 'BOM', 2997, 'NBO', 4059, '', 0, '772 73W\r'),
	('KQ', 3126, 'BZV', 883, 'FIH', 1020, '', 0, '738\r'),
	('KQ', 3126, 'BZV', 883, 'NBO', 4059, '', 0, '738\r'),
	('KQ', 3126, 'CAN', 3370, 'BKK', 3885, '', 0, '763\r'),
	('KQ', 3126, 'CAN', 3370, 'NBO', 4059, '', 0, '773\r'),
	('KQ', 3126, 'CDG', 1382, 'NBO', 4059, '', 0, '763\r'),
	('KQ', 3126, 'COO', 245, 'NBO', 4059, '', 0, '738\r'),
	('KQ', 3126, 'DAR', 1177, 'NBO', 4059, '', 0, 'E90\r'),
	('KQ', 3126, 'DAR', 1177, 'ZNZ', 1186, 'Y', 0, 'AT7\r'),
	('KQ', 3126, 'DEL', 3093, 'NBO', 4059, '', 0, '73W\r'),
	('KQ', 3126, 'DKR', 1084, 'ABJ', 253, '', 0, '73W 738\r'),
	('KQ', 3126, 'DKR', 1084, 'ACC', 248, '', 0, '738\r'),
	('KQ', 3126, 'DKR', 1084, 'BKO', 1044, '', 0, '73W\r'),
	('KQ', 3126, 'DLA', 897, 'NBO', 4059, '', 0, 'E90\r'),
	('KQ', 3126, 'DXB', 2188, 'NBO', 4059, '', 0, '763\r'),
	('KQ', 3126, 'DXB', 2188, 'SVO', 2985, 'Y', 0, '320\r'),
	('KQ', 3126, 'DZA', 915, 'HAH', 912, '', 0, '73W\r'),
	('KQ', 3126, 'EBB', 1187, 'NBO', 4059, '', 0, 'E90 E70\r'),
	('KQ', 3126, 'EDI', 535, 'CDG', 1382, 'Y', 0, 'AR8\r'),
	('KQ', 3126, 'EDL', 1138, 'NBO', 4059, '', 0, '733\r'),
	('KQ', 3126, 'FBM', 1038, 'NBO', 4059, '', 0, 'E90\r'),
	('KQ', 3126, 'FBM', 1038, 'NLA', 910, '', 0, 'E90\r'),
	('KQ', 3126, 'FIH', 1020, 'BZV', 883, '', 0, '738\r'),
	('KQ', 3126, 'FIH', 1020, 'NBO', 4059, '', 0, '738 763 73W\r'),
	('KQ', 3126, 'FNA', 1059, 'ACC', 248, '', 0, '738\r'),
	('KQ', 3126, 'GBE', 881, 'NBO', 4059, '', 0, 'E90\r'),
	('KQ', 3126, 'HAH', 912, 'NBO', 4059, '', 0, '73W E90\r'),
	('KQ', 3126, 'HKG', 3077, 'BKK', 3885, '', 0, '763\r'),
	('KQ', 3126, 'HRE', 1005, 'LUN', 907, '', 0, '763\r'),
	('KQ', 3126, 'HRE', 1005, 'NBO', 4059, '', 0, 'E90 E70\r'),
	('KQ', 3126, 'ICN', 3930, 'NBO', 4059, 'Y', 0, '332\r'),
	('KQ', 3126, 'JED', 2072, 'NBO', 4059, 'Y', 0, '320\r'),
	('KQ', 3126, 'JIB', 4119, 'ADD', 1107, '', 0, 'E90\r'),
	('KQ', 3126, 'JIB', 4119, 'NBO', 4059, '', 0, 'E90\r'),
	('KQ', 3126, 'JNB', 813, 'NBO', 4059, '', 0, '738 763 73W\r'),
	('KQ', 3126, 'JNB', 813, 'WDH', 4105, '', 0, '319\r'),
	('KQ', 3126, 'JRO', 1180, 'MWZ', 1183, 'Y', 0, 'AT7\r'),
	('KQ', 3126, 'JRO', 1180, 'NBO', 4059, '', 0, 'E70 E90\r'),
	('KQ', 3126, 'JUB', 1173, 'NBO', 4059, '', 0, 'E90 E70\r'),
	('KQ', 3126, 'KGL', 1165, 'BJM', 1120, '', 0, 'E70\r'),
	('KQ', 3126, 'KGL', 1165, 'NBO', 4059, '', 0, 'E90 E70\r'),
	('KQ', 3126, 'KIS', 1140, 'NBO', 4059, '', 0, '733 E90 E70\r'),
	('KQ', 3126, 'KRT', 1175, 'NBO', 4059, '', 0, 'E70 E90\r'),
	('KQ', 3126, 'LAD', 951, 'NBO', 4059, '', 0, '738\r'),
	('KQ', 3126, 'LHR', 507, 'NBO', 4059, '', 0, '772\r'),
	('KQ', 3126, 'LLW', 1016, 'LUN', 907, '', 0, 'E90 763 E70\r'),
	('KQ', 3126, 'LLW', 1016, 'NBO', 4059, '', 0, 'E90 738 763\r'),
	('KQ', 3126, 'LOS', 273, 'COO', 245, '', 0, '738\r'),
	('KQ', 3126, 'LOS', 273, 'NBO', 4059, '', 0, '738\r'),
	('KQ', 3126, 'LUN', 907, 'HRE', 1005, '', 0, 'E90\r'),
	('KQ', 3126, 'LUN', 907, 'LLW', 1016, '', 0, '738 E90 763\r'),
	('KQ', 3126, 'LUN', 907, 'NBO', 4059, '', 0, '763 E90 E70\r'),
	('KQ', 3126, 'LUN', 907, 'WDH', 4105, '', 0, 'ER3\r'),
	('KQ', 3126, 'LVI', 906, 'HRE', 1005, '', 0, 'E90\r'),
	('KQ', 3126, 'MBA', 1145, 'NBO', 4059, '', 0, 'E90 733\r'),
	('KQ', 3126, 'MPM', 979, 'NBO', 4059, '', 0, 'E90\r'),
	('KQ', 3126, 'MRU', 893, 'NBO', 4059, 'Y', 0, '319\r'),
	('KQ', 3126, 'MWZ', 1183, 'JRO', 1180, 'Y', 0, 'AT7\r'),
	('KQ', 3126, 'MWZ', 1183, 'NBO', 4059, 'Y', 0, 'AT4\r'),
	('KQ', 3126, 'MYD', 5694, 'NBO', 4059, '', 0, 'E70\r'),
	('KQ', 3126, 'NBO', 4059, 'ABJ', 253, '', 0, '73W 738\r'),
	('KQ', 3126, 'NBO', 4059, 'ACC', 248, '', 0, '738\r'),
	('KQ', 3126, 'NBO', 4059, 'ADD', 1107, '', 0, 'E90\r'),
	('KQ', 3126, 'NBO', 4059, 'AMS', 580, '', 0, '772\r'),
	('KQ', 3126, 'NBO', 4059, 'APL', 984, '', 0, 'E90 E70\r'),
	('KQ', 3126, 'NBO', 4059, 'BJM', 1120, '', 0, 'E70 E90\r'),
	('KQ', 3126, 'NBO', 4059, 'BKK', 3885, '', 0, '763\r'),
	('KQ', 3126, 'NBO', 4059, 'BKO', 1044, '', 0, '73W\r'),
	('KQ', 3126, 'NBO', 4059, 'BLZ', 1013, '', 0, 'E90\r'),
	('KQ', 3126, 'NBO', 4059, 'BOM', 2997, '', 0, '772 73W 763\r'),
	('KQ', 3126, 'NBO', 4059, 'BZV', 883, '', 0, '738 73W\r'),
	('KQ', 3126, 'NBO', 4059, 'CAN', 3370, '', 0, '773\r'),
	('KQ', 3126, 'NBO', 4059, 'CDG', 1382, '', 0, '763\r'),
	('KQ', 3126, 'NBO', 4059, 'DAR', 1177, '', 0, 'E90\r'),
	('KQ', 3126, 'NBO', 4059, 'DEL', 3093, '', 0, '73W\r'),
	('KQ', 3126, 'NBO', 4059, 'DLA', 897, '', 0, 'E90\r'),
	('KQ', 3126, 'NBO', 4059, 'DXB', 2188, '', 0, '763\r'),
	('KQ', 3126, 'NBO', 4059, 'DZA', 915, '', 0, '73W E90\r'),
	('KQ', 3126, 'NBO', 4059, 'EBB', 1187, '', 0, 'E90 E70\r'),
	('KQ', 3126, 'NBO', 4059, 'EDL', 1138, '', 0, '733\r'),
	('KQ', 3126, 'NBO', 4059, 'FBM', 1038, '', 0, 'E90\r'),
	('KQ', 3126, 'NBO', 4059, 'FIH', 1020, '', 0, '763 738\r'),
	('KQ', 3126, 'NBO', 4059, 'GBE', 881, '', 0, 'E90\r'),
	('KQ', 3126, 'NBO', 4059, 'HRE', 1005, '', 0, '763 E90 E70\r'),
	('KQ', 3126, 'NBO', 4059, 'ICN', 3930, 'Y', 0, '332\r'),
	('KQ', 3126, 'NBO', 4059, 'JED', 2072, 'Y', 0, '320\r'),
	('KQ', 3126, 'NBO', 4059, 'JIB', 4119, '', 0, 'E90\r'),
	('KQ', 3126, 'NBO', 4059, 'JNB', 813, '', 0, '738 763 73W\r'),
	('KQ', 3126, 'NBO', 4059, 'JRO', 1180, '', 0, 'E70 E90\r'),
	('KQ', 3126, 'NBO', 4059, 'JUB', 1173, '', 0, 'E90 E70\r'),
	('KQ', 3126, 'NBO', 4059, 'KGL', 1165, '', 0, 'E90 E70\r'),
	('KQ', 3126, 'NBO', 4059, 'KIS', 1140, '', 0, '733 E90 E70\r'),
	('KQ', 3126, 'NBO', 4059, 'KRT', 1175, '', 0, 'E70 E90\r'),
	('KQ', 3126, 'NBO', 4059, 'LAD', 951, '', 0, '738\r'),
	('KQ', 3126, 'NBO', 4059, 'LHR', 507, '', 0, '772\r'),
	('KQ', 3126, 'NBO', 4059, 'LLW', 1016, '', 0, 'E90 763 E70\r'),
	('KQ', 3126, 'NBO', 4059, 'LOS', 273, '', 0, '738\r'),
	('KQ', 3126, 'NBO', 4059, 'LUN', 907, '', 0, 'E90 738 763\r'),
	('KQ', 3126, 'NBO', 4059, 'LVI', 906, '', 0, 'E90\r'),
	('KQ', 3126, 'NBO', 4059, 'MBA', 1145, '', 0, '733 E90\r'),
	('KQ', 3126, 'NBO', 4059, 'MPM', 979, '', 0, 'E90\r'),
	('KQ', 3126, 'NBO', 4059, 'MRU', 893, 'Y', 0, '319\r'),
	('KQ', 3126, 'NBO', 4059, 'MWZ', 1183, 'Y', 0, 'AT4\r'),
	('KQ', 3126, 'NBO', 4059, 'MYD', 5694, '', 0, 'E70\r'),
	('KQ', 3126, 'NBO', 4059, 'NLA', 910, '', 0, 'E90\r'),
	('KQ', 3126, 'NBO', 4059, 'NSI', 4161, '', 0, 'E90 738\r'),
	('KQ', 3126, 'NBO', 4059, 'POL', 985, '', 0, 'ER4\r'),
	('KQ', 3126, 'NBO', 4059, 'SEZ', 994, '', 0, '73W 738\r'),
	('KQ', 3126, 'NBO', 4059, 'TNR', 918, '', 0, 'E90 738\r'),
	('KQ', 3126, 'NBO', 4059, 'ZNZ', 1186, 'Y', 0, 'AT7\r'),
	('KQ', 3126, 'NLA', 910, 'FBM', 1038, '', 0, 'E90\r'),
	('KQ', 3126, 'NLA', 910, 'NBO', 4059, '', 0, 'E90\r'),
	('KQ', 3126, 'NSI', 4161, 'NBO', 4059, '', 0, 'E90 738\r'),
	('KQ', 3126, 'POL', 985, 'APL', 984, '', 0, 'ER4\r'),
	('KQ', 3126, 'POL', 985, 'NBO', 4059, '', 0, 'ER4\r'),
	('KQ', 3126, 'ROB', 1063, 'ACC', 248, '', 0, '738\r'),
	('KQ', 3126, 'SEZ', 994, 'NBO', 4059, '', 0, '73W 738\r'),
	('KQ', 3126, 'SVO', 2985, 'DXB', 2188, 'Y', 0, '320\r'),
	('KQ', 3126, 'TNR', 918, 'NBO', 4059, '', 0, 'E90 738\r'),
	('KQ', 3126, 'WDH', 4105, 'JNB', 813, '', 0, '319\r'),
	('KQ', 3126, 'WDH', 4105, 'LUN', 907, '', 0, 'ER3\r'),
	('KQ', 3126, 'ZNZ', 1186, 'DAR', 1177, 'Y', 0, 'AT7\r'),
	('KQ', 3126, 'ZNZ', 1186, 'NBO', 4059, 'Y', 0, 'AT7\r'),
	('KR', 1844, 'DME', 4029, 'FRU', 2912, '', 0, '320\r'),
	('KR', 1844, 'DME', 4029, 'OSS', 2913, '', 0, '320\r'),
	('KR', 1844, 'EGO', 6156, 'FRU', 2912, '', 0, '320\r'),
	('KR', 1844, 'FRU', 2912, 'DME', 4029, '', 0, '320\r'),
	('KR', 1844, 'FRU', 2912, 'EGO', 6156, '', 0, '320\r'),
	('KR', 1844, 'FRU', 2912, 'IKT', 2937, '', 0, '320\r'),
	('KR', 1844, 'FRU', 2912, 'OVB', 4078, '', 0, '320\r'),
	('KR', 1844, 'FRU', 2912, 'SGC', 2974, '', 0, '320\r'),
	('KR', 1844, 'FRU', 2912, 'SVX', 2975, '', 0, '320\r'),
	('KR', 1844, 'FRU', 2912, 'URC', 3399, '', 0, '320\r'),
	('KR', 1844, 'IKT', 2937, 'FRU', 2912, '', 0, '320\r'),
	('KR', 1844, 'IKT', 2937, 'OSS', 2913, '', 0, '320\r'),
	('KR', 1844, 'OSS', 2913, 'DME', 4029, '', 0, '320\r'),
	('KR', 1844, 'OSS', 2913, 'IKT', 2937, '', 0, '320\r'),
	('KR', 1844, 'OSS', 2913, 'OVB', 4078, '', 0, '320\r'),
	('KR', 1844, 'OSS', 2913, 'SVX', 2975, '', 0, '320\r'),
	('KR', 1844, 'OVB', 4078, 'FRU', 2912, '', 0, '320\r'),
	('KR', 1844, 'OVB', 4078, 'OSS', 2913, '', 0, '320\r'),
	('KR', 1844, 'SGC', 2974, 'FRU', 2912, '', 0, '320\r'),
	('KR', 1844, 'SVX', 2975, 'FRU', 2912, '', 0, '320\r'),
	('KR', 1844, 'SVX', 2975, 'OSS', 2913, '', 0, '320\r'),
	('KR', 1844, 'URC', 3399, 'FRU', 2912, '', 0, '320\r'),
	('KS', 3935, 'AKN', 3794, 'ANC', 3774, '', 0, 'SF3\r'),
	('KS', 3935, 'ANC', 3774, 'AKN', 3794, '', 0, 'SF3\r'),
	('KS', 3935, 'ANC', 3774, 'ANI', 5967, '', 0, 'SF3\r'),
	('KS', 3935, 'ANC', 3774, 'CDB', 3854, '', 0, 'SF3\r'),
	('KS', 3935, 'ANC', 3774, 'DLG', 3460, '', 0, 'SF3\r'),
	('KS', 3935, 'ANC', 3774, 'MCG', 5965, '', 0, 'SF3\r'),
	('KS', 3935, 'ANC', 3774, 'SDP', 6742, '', 0, 'SF3\r'),
	('KS', 3935, 'ANC', 3774, 'SNP', 3426, '', 0, 'SF3\r'),
	('KS', 3935, 'ANC', 3774, 'STG', 7247, '', 0, 'SF3\r'),
	('KS', 3935, 'ANC', 3774, 'UNK', 7088, '', 0, 'SF3\r'),
	('KS', 3935, 'ANI', 5967, 'ANC', 3774, '', 0, 'SF3\r'),
	('KS', 3935, 'ANI', 5967, 'MCG', 5965, '', 0, 'SF3\r'),
	('KS', 3935, 'BOS', 3448, 'ISP', 3857, '', 0, 'SF3\r'),
	('KS', 3935, 'BOS', 3448, 'PBG', 3771, '', 0, 'SF3\r'),
	('KS', 3935, 'BOS', 3448, 'PQI', 3528, '', 0, 'SF3\r'),
	('KS', 3935, 'CDB', 3854, 'ANC', 3774, '', 0, 'SF3\r'),
	('KS', 3935, 'DLG', 3460, 'ANC', 3774, '', 0, 'SF3\r'),
	('KS', 3935, 'ISP', 3857, 'BOS', 3448, '', 0, 'SF3\r'),
	('KS', 3935, 'MCG', 5965, 'ANC', 3774, '', 0, 'SF3\r'),
	('KS', 3935, 'MCG', 5965, 'ANI', 5967, '', 0, 'SF3\r'),
	('KS', 3935, 'PBG', 3771, 'BOS', 3448, '', 0, 'SF3\r'),
	('KS', 3935, 'PQI', 3528, 'BOS', 3448, '', 0, 'SF3\r'),
	('KS', 3935, 'SDP', 6742, 'ANC', 3774, '', 0, 'SF3\r'),
	('KS', 3935, 'SNP', 3426, 'ANC', 3774, '', 0, 'SF3\r'),
	('KS', 3935, 'SNP', 3426, 'STG', 7247, '', 0, 'SF3\r'),
	('KS', 3935, 'STG', 7247, 'ANC', 3774, '', 0, 'SF3\r'),
	('KS', 3935, 'STG', 7247, 'SNP', 3426, '', 0, 'SF3\r'),
	('KS', 3935, 'UNK', 7088, 'ANC', 3774, '', 0, 'SF3\r'),
	('KU', 3179, 'ADD', 1107, 'KWI', 2176, '', 0, '73W\r'),
	('KU', 3179, 'AMM', 2170, 'KWI', 2176, '', 0, 'AB6 310 320\r'),
	('KU', 3179, 'AUH', 2179, 'KWI', 2176, '', 0, '320\r'),
	('KU', 3179, 'AUH', 2179, 'MCT', 2194, '', 0, '320\r'),
	('KU', 3179, 'BAH', 2057, 'KWI', 2176, '', 0, '320\r'),
	('KU', 3179, 'BEY', 2177, 'KWI', 2176, '', 0, 'AB6 320\r'),
	('KU', 3179, 'BKK', 3885, 'KWI', 2176, '', 0, '340\r'),
	('KU', 3179, 'BKK', 3885, 'MNL', 2397, '', 0, '340\r'),
	('KU', 3179, 'BOM', 2997, 'KWI', 2176, '', 0, '777\r'),
	('KU', 3179, 'CAI', 1128, 'KWI', 2176, '', 0, '777 340 320 AB6\r'),
	('KU', 3179, 'CDG', 1382, 'FCO', 1555, '', 0, '340\r'),
	('KU', 3179, 'CGK', 3275, 'KUL', 3304, '', 0, '340\r'),
	('KU', 3179, 'CMB', 3024, 'KWI', 2176, '', 0, 'AB6\r'),
	('KU', 3179, 'COK', 3136, 'KWI', 2176, '', 0, 'AB6\r'),
	('KU', 3179, 'DAC', 3076, 'KWI', 2176, '', 0, 'AB6\r'),
	('KU', 3179, 'DEL', 3093, 'KWI', 2176, '', 0, '310\r'),
	('KU', 3179, 'DMM', 2064, 'KWI', 2176, '', 0, 'AB6 320\r'),
	('KU', 3179, 'DOH', 2241, 'KWI', 2176, '', 0, '320 310\r'),
	('KU', 3179, 'DXB', 2188, 'KWI', 2176, '', 0, '320 310 AB6\r'),
	('KU', 3179, 'FCO', 1555, 'CDG', 1382, '', 0, '340\r'),
	('KU', 3179, 'FCO', 1555, 'KWI', 2176, '', 0, '340\r'),
	('KU', 3179, 'FRA', 340, 'GVA', 1665, '', 0, '340\r'),
	('KU', 3179, 'FRA', 340, 'KWI', 2176, '', 0, '340\r'),
	('KU', 3179, 'GVA', 1665, 'FRA', 340, '', 0, '340\r'),
	('KU', 3179, 'HBE', 3410, 'KWI', 2176, '', 0, '320\r'),
	('KU', 3179, 'HMB', 8235, 'KWI', 2176, '', 0, '320\r'),
	('KU', 3179, 'IKA', 4330, 'KWI', 2176, '', 0, '320\r'),
	('KU', 3179, 'ISB', 2223, 'KWI', 2176, '', 0, '320\r'),
	('KU', 3179, 'IST', 1701, 'KWI', 2176, '', 0, '321\r'),
	('KU', 3179, 'JED', 2072, 'KWI', 2176, '', 0, '340 AB6 310 320\r'),
	('KU', 3179, 'JFK', 3797, 'KWI', 2176, '', 0, '777\r'),
	('KU', 3179, 'JFK', 3797, 'LHR', 507, '', 0, '777\r'),
	('KU', 3179, 'KUL', 3304, 'CGK', 3275, '', 0, '340\r'),
	('KU', 3179, 'KUL', 3304, 'KWI', 2176, '', 0, '340\r'),
	('KU', 3179, 'KWI', 2176, 'ADD', 1107, '', 0, '73W\r'),
	('KU', 3179, 'KWI', 2176, 'AMM', 2170, '', 0, 'AB6 310 320\r'),
	('KU', 3179, 'KWI', 2176, 'AUH', 2179, '', 0, '320\r'),
	('KU', 3179, 'KWI', 2176, 'BAH', 2057, '', 0, '320\r'),
	('KU', 3179, 'KWI', 2176, 'BEY', 2177, '', 0, 'AB6 320\r'),
	('KU', 3179, 'KWI', 2176, 'BKK', 3885, '', 0, '340\r'),
	('KU', 3179, 'KWI', 2176, 'BOM', 2997, '', 0, '777\r'),
	('KU', 3179, 'KWI', 2176, 'CAI', 1128, '', 0, '777 340 320 AB6\r'),
	('KU', 3179, 'KWI', 2176, 'CMB', 3024, '', 0, 'AB6\r'),
	('KU', 3179, 'KWI', 2176, 'COK', 3136, '', 0, 'AB6\r'),
	('KU', 3179, 'KWI', 2176, 'DAC', 3076, '', 0, 'AB6\r'),
	('KU', 3179, 'KWI', 2176, 'DEL', 3093, '', 0, '310\r'),
	('KU', 3179, 'KWI', 2176, 'DMM', 2064, '', 0, 'AB6 320\r'),
	('KU', 3179, 'KWI', 2176, 'DOH', 2241, '', 0, '320 310\r'),
	('KU', 3179, 'KWI', 2176, 'DXB', 2188, '', 0, '320 310 AB6\r'),
	('KU', 3179, 'KWI', 2176, 'FCO', 1555, '', 0, '340\r'),
	('KU', 3179, 'KWI', 2176, 'FRA', 340, '', 0, '340\r'),
	('KU', 3179, 'KWI', 2176, 'HBE', 3410, '', 0, '320\r'),
	('KU', 3179, 'KWI', 2176, 'HMB', 8235, '', 0, '320\r'),
	('KU', 3179, 'KWI', 2176, 'IKA', 4330, '', 0, '320\r'),
	('KU', 3179, 'KWI', 2176, 'ISB', 2223, '', 0, '320\r'),
	('KU', 3179, 'KWI', 2176, 'IST', 1701, '', 0, '321\r'),
	('KU', 3179, 'KWI', 2176, 'JED', 2072, '', 0, '340 AB6 310 320\r'),
	('KU', 3179, 'KWI', 2176, 'JFK', 3797, '', 0, '777\r'),
	('KU', 3179, 'KWI', 2176, 'KUL', 3304, '', 0, '340\r'),
	('KU', 3179, 'KWI', 2176, 'LHE', 2207, '', 0, '320\r'),
	('KU', 3179, 'KWI', 2176, 'LHR', 507, '', 0, 'AB6 777\r'),
	('KU', 3179, 'KWI', 2176, 'MAA', 3144, '', 0, '310\r'),
	('KU', 3179, 'KWI', 2176, 'MCT', 2194, '', 0, '320\r'),
	('KU', 3179, 'KWI', 2176, 'NJF', 7490, '', 0, '320\r'),
	('KU', 3179, 'KWI', 2176, 'RUH', 2082, '', 0, '320 AB6 310\r'),
	('KU', 3179, 'KWI', 2176, 'SAW', 4317, '', 0, '738\r'),
	('KU', 3179, 'KWI', 2176, 'TRV', 3153, '', 0, '310 AB6\r'),
	('KU', 3179, 'LHE', 2207, 'KWI', 2176, '', 0, '320\r'),
	('KU', 3179, 'LHR', 507, 'JFK', 3797, '', 0, '777\r'),
	('KU', 3179, 'LHR', 507, 'KWI', 2176, '', 0, 'AB6 777\r'),
	('KU', 3179, 'MAA', 3144, 'KWI', 2176, '', 0, '310\r'),
	('KU', 3179, 'MCT', 2194, 'AUH', 2179, '', 0, '320\r'),
	('KU', 3179, 'MCT', 2194, 'KWI', 2176, '', 0, '320\r'),
	('KU', 3179, 'MNL', 2397, 'BKK', 3885, '', 0, '340\r'),
	('KU', 3179, 'NJF', 7490, 'KWI', 2176, '', 0, '320\r'),
	('KU', 3179, 'RUH', 2082, 'KWI', 2176, '', 0, '320 AB6 310\r'),
	('KU', 3179, 'SAH', 3980, 'KWI', 2176, '', 0, '320\r'),
	('KU', 3179, 'SAW', 4317, 'KWI', 2176, '', 0, '738\r'),
	('KU', 3179, 'TRV', 3153, 'KWI', 2176, '', 0, '310 AB6\r'),
	('KX', 1682, 'CYB', 1925, 'GCM', 1926, '', 0, 'DHT 733\r'),
	('KX', 1682, 'CYB', 1925, 'LYB', 4314, '', 0, 'DHT\r'),
	('KX', 1682, 'GCM', 1926, 'CYB', 1925, '', 0, 'DHT 733\r'),
	('KX', 1682, 'GCM', 1926, 'HAV', 1909, '', 0, '733\r'),
	('KX', 1682, 'GCM', 1926, 'JFK', 3797, '', 0, '733\r'),
	('KX', 1682, 'GCM', 1926, 'KIN', 1779, '', 0, '733\r'),
	('KX', 1682, 'GCM', 1926, 'LCE', 1771, '', 0, '733\r'),
	('KX', 1682, 'GCM', 1926, 'LYB', 4314, '', 0, 'DHT\r'),
	('KX', 1682, 'GCM', 1926, 'MIA', 3576, '', 0, '733\r'),
	('KX', 1682, 'GCM', 1926, 'ORD', 3830, '', 0, '733\r'),
	('KX', 1682, 'GCM', 1926, 'TPA', 3646, '', 0, '733\r'),
	('KX', 1682, 'HAV', 1909, 'GCM', 1926, '', 0, '733\r'),
	('KX', 1682, 'JFK', 3797, 'GCM', 1926, '', 0, '733\r'),
	('KX', 1682, 'KIN', 1779, 'GCM', 1926, '', 0, '733\r'),
	('KX', 1682, 'KIN', 1779, 'MBJ', 1780, '', 0, '733\r'),
	('KX', 1682, 'LCE', 1771, 'GCM', 1926, '', 0, '733\r'),
	('KX', 1682, 'LYB', 4314, 'CYB', 1925, '', 0, 'DHT\r'),
	('KX', 1682, 'LYB', 4314, 'GCM', 1926, '', 0, 'DHT\r'),
	('KX', 1682, 'MBJ', 1780, 'GCM', 1926, '', 0, '733\r'),
	('KX', 1682, 'MIA', 3576, 'CYB', 1925, '', 0, '733\r'),
	('KX', 1682, 'MIA', 3576, 'GCM', 1926, '', 0, '733\r'),
	('KX', 1682, 'ORD', 3830, 'GCM', 1926, '', 0, '733\r'),
	('KX', 1682, 'TPA', 3646, 'GCM', 1926, '', 0, '733\r'),
	('KY', 13704, 'CAN', 3370, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'CGO', 3375, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'CKG', 3393, 'HYN', 6384, '', 0, '73G\r'),
	('KY', 13704, 'CKG', 3393, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'CKG', 3393, 'NTG', 5475, '', 0, '73G\r'),
	('KY', 13704, 'CSX', 3371, 'HYN', 6384, '', 0, '73G\r'),
	('KY', 13704, 'CSX', 3371, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'CTU', 3395, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'CZX', 4109, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'HGH', 3386, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'HRB', 3400, 'TNA', 4108, '', 0, '73G\r'),
	('KY', 13704, 'HYN', 6384, 'CKG', 3393, '', 0, '73G\r'),
	('KY', 13704, 'HYN', 6384, 'CSX', 3371, '', 0, '73G\r'),
	('KY', 13704, 'JHG', 4055, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'JHG', 4055, 'LJG', 4033, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'CAN', 3370, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'CGO', 3375, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'CKG', 3393, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'CSX', 3371, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'CTU', 3395, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'CZX', 4109, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'HGH', 3386, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'JHG', 4055, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'LJG', 4033, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'NKG', 3388, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'NNG', 3373, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'PVG', 3406, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'SZX', 3374, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'TNA', 4108, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'WUH', 3376, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'XIY', 3379, '', 0, '73G\r'),
	('KY', 13704, 'KMG', 3382, 'XMN', 3383, '', 0, '73G\r'),
	('KY', 13704, 'LJG', 4033, 'JHG', 4055, '', 0, '73G\r'),
	('KY', 13704, 'LJG', 4033, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'LJG', 4033, 'NNG', 3373, '', 0, '73G\r'),
	('KY', 13704, 'LJG', 4033, 'XIY', 3379, '', 0, '73G\r'),
	('KY', 13704, 'NKG', 3388, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'NNG', 3373, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'NNG', 3373, 'LJG', 4033, '', 0, '73G\r'),
	('KY', 13704, 'NNG', 3373, 'XMN', 3383, '', 0, '73G\r'),
	('KY', 13704, 'NTG', 5475, 'CKG', 3393, '', 0, '73G\r'),
	('KY', 13704, 'PVG', 3406, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'SZX', 3374, 'KMG', 3382, '', 0, '738\r'),
	('KY', 13704, 'TNA', 4108, 'HRB', 3400, '', 0, '73G\r'),
	('KY', 13704, 'TNA', 4108, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'WUH', 3376, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'WUH', 3376, 'YTY', 8876, '', 0, '73G\r'),
	('KY', 13704, 'XIY', 3379, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'XIY', 3379, 'LJG', 4033, '', 0, '73G\r'),
	('KY', 13704, 'XMN', 3383, 'KMG', 3382, '', 0, '73G\r'),
	('KY', 13704, 'XMN', 3383, 'NNG', 3373, '', 0, '73G\r'),
	('KY', 13704, 'YTY', 8876, 'WUH', 3376, '', 0, '73G\r'),
	('L6', 16942, 'ABJ', 253, 'BKO', 1044, '', 0, '73G\r'),
	('L6', 16942, 'ABJ', 253, 'COO', 245, '', 0, '73G\r'),
	('L6', 16942, 'BKO', 1044, 'ABJ', 253, '', 0, '73G\r'),
	('L6', 16942, 'BKO', 1044, 'COO', 245, '', 0, '73G\r'),
	('L6', 16942, 'BKO', 1044, 'NKC', 1094, '', 0, '73G\r'),
	('L6', 16942, 'BZV', 883, 'COO', 245, '', 0, '73G\r'),
	('L6', 16942, 'CDG', 1382, 'CMN', 1074, '', 0, '73G\r'),
	('L6', 16942, 'CKY', 4162, 'DKR', 1084, '', 0, '73G\r'),
	('L6', 16942, 'CMN', 1074, 'CDG', 1382, '', 0, '73G\r'),
	('L6', 16942, 'CMN', 1074, 'NKC', 1094, '', 0, '73G\r'),
	('L6', 16942, 'COO', 245, 'ABJ', 253, '', 0, '73G\r'),
	('L6', 16942, 'COO', 245, 'BKO', 1044, '', 0, '73G\r'),
	('L6', 16942, 'COO', 245, 'BZV', 883, '', 0, '73G\r'),
	('L6', 16942, 'COO', 245, 'PNR', 886, '', 0, '73G\r'),
	('L6', 16942, 'DKR', 1084, 'CKY', 4162, '', 0, '73G\r'),
	('L6', 16942, 'DKR', 1084, 'NKC', 1094, '', 0, '73G\r'),
	('L6', 16942, 'LPA', 1054, 'NDB', 1097, '', 0, '73G\r'),
	('L6', 16942, 'NDB', 1097, 'LPA', 1054, '', 0, '73G\r'),
	('L6', 16942, 'NDB', 1097, 'NKC', 1094, '', 0, '73G\r'),
	('L6', 16942, 'NKC', 1094, 'BKO', 1044, '', 0, '73G\r'),
	('L6', 16942, 'NKC', 1094, 'CMN', 1074, '', 0, '73G\r'),
	('L6', 16942, 'NKC', 1094, 'DKR', 1084, '', 0, '73G\r'),
	('L6', 16942, 'NKC', 1094, 'NDB', 1097, '', 0, '73G\r'),
	('L6', 16942, 'PNR', 886, 'COO', 245, '', 0, '73G\r'),
	('LA', 3200, 'ADZ', 2749, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'ADZ', 2749, 'CLO', 2715, 'Y', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'BHI', 2501, 'Y', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'BRC', 2513, '', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'COR', 2443, 'Y', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'CRD', 2487, 'Y', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'IGR', 2471, '', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'MDZ', 2452, '', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'NQN', 2509, 'Y', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'RGL', 2496, 'Y', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'SCL', 2650, '', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'SLA', 2476, '', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'TUC', 2460, '', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'UAQ', 2461, '', 0, '320\r'),
	('LA', 3200, 'AEP', 2442, 'USH', 2497, 'Y', 0, '320\r'),
	('LA', 3200, 'AKL', 2006, 'SCL', 2650, '', 0, '343\r'),
	('LA', 3200, 'AKL', 2006, 'SYD', 3361, '', 0, '343 340\r'),
	('LA', 3200, 'ANF', 2651, 'CJC', 2645, '', 0, '320\r'),
	('LA', 3200, 'ANF', 2651, 'IQQ', 2649, 'Y', 0, '319 320\r'),
	('LA', 3200, 'ANF', 2651, 'LSC', 2662, 'Y', 0, '320\r'),
	('LA', 3200, 'ANF', 2651, 'SCL', 2650, '', 0, '320 319\r'),
	('LA', 3200, 'APO', 5476, 'EOH', 2729, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'AQP', 2802, 'CUZ', 2812, 'Y', 0, '319\r'),
	('LA', 3200, 'AQP', 2802, 'JUL', 2792, 'Y', 0, '319\r'),
	('LA', 3200, 'AQP', 2802, 'LIM', 2789, '', 0, '319\r'),
	('LA', 3200, 'ARI', 2641, 'IQQ', 2649, 'Y', 0, '320\r'),
	('LA', 3200, 'ARI', 2641, 'SCL', 2650, '', 0, '320\r'),
	('LA', 3200, 'ASU', 2699, 'SCL', 2650, 'Y', 0, '320\r'),
	('LA', 3200, 'AUA', 2895, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'BAQ', 2710, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'BBA', 2642, 'PMC', 2665, '', 0, '320\r'),
	('LA', 3200, 'BBA', 2642, 'SCL', 2650, 'Y', 0, '320\r'),
	('LA', 3200, 'BGA', 2708, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'BHI', 2501, 'AEP', 2442, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'ADZ', 2749, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'AUA', 2895, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'BAQ', 2710, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'BGA', 2708, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'CLO', 2715, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'CTG', 2714, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'CUC', 2713, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'DFW', 3670, 'Y', 0, '319\r'),
	('LA', 3200, 'BOG', 2709, 'EYP', 6055, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'GRU', 2564, 'Y', 0, '763\r'),
	('LA', 3200, 'BOG', 2709, 'IBE', 2724, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'BOG', 2709, 'LET', 2728, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'LIM', 2789, 'Y', 0, '319 763\r'),
	('LA', 3200, 'BOG', 2709, 'MDE', 2745, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'MIA', 3576, 'Y', 0, '757 763\r'),
	('LA', 3200, 'BOG', 2709, 'MTR', 2731, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'NVA', 2734, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'BOG', 2709, 'PEI', 2739, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'PUU', 2706, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'BOG', 2709, 'SCL', 2650, 'Y', 0, '763\r'),
	('LA', 3200, 'BOG', 2709, 'SMR', 2748, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'UIB', 2753, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'BOG', 2709, 'VUP', 2755, 'Y', 0, '320\r'),
	('LA', 3200, 'BOG', 2709, 'VVC', 2756, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'BRC', 2513, 'AEP', 2442, '', 0, '320\r'),
	('LA', 3200, 'CCP', 2656, 'SCL', 2650, '', 0, '320 319\r'),
	('LA', 3200, 'CCS', 2851, 'GYE', 2673, '', 0, '763\r'),
	('LA', 3200, 'CCS', 2851, 'LIM', 2789, 'Y', 0, '319\r'),
	('LA', 3200, 'CCS', 2851, 'MIA', 3576, '', 0, '763\r'),
	('LA', 3200, 'CCS', 2851, 'SCL', 2650, '', 0, '763\r'),
	('LA', 3200, 'CIX', 2785, 'LIM', 2789, 'Y', 0, '320 319\r'),
	('LA', 3200, 'CJA', 6066, 'LIM', 2789, 'Y', 0, '319\r'),
	('LA', 3200, 'CJC', 2645, 'LSC', 2662, 'Y', 0, '320\r'),
	('LA', 3200, 'CJC', 2645, 'SCL', 2650, '', 0, '320\r'),
	('LA', 3200, 'CLO', 2715, 'ADZ', 2749, 'Y', 0, '320\r'),
	('LA', 3200, 'CLO', 2715, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'CLO', 2715, 'MIA', 3576, 'Y', 0, '738\r'),
	('LA', 3200, 'CLO', 2715, 'UIO', 2688, 'Y', 0, '320\r'),
	('LA', 3200, 'COR', 2443, 'AEP', 2442, 'Y', 0, '320\r'),
	('LA', 3200, 'COR', 2443, 'LIM', 2789, 'Y', 0, '320\r'),
	('LA', 3200, 'COR', 2443, 'SCL', 2650, '', 0, '320\r'),
	('LA', 3200, 'CPO', 4312, 'SCL', 2650, '', 0, '319 320\r'),
	('LA', 3200, 'CRD', 2487, 'AEP', 2442, 'Y', 0, '320\r'),
	('LA', 3200, 'CTG', 2714, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'CUC', 2713, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'CUN', 1852, 'LIM', 2789, 'Y', 0, '320\r'),
	('LA', 3200, 'CUN', 1852, 'MEX', 1824, 'Y', 0, '737\r'),
	('LA', 3200, 'CUN', 1852, 'MIA', 3576, '', 0, '763\r'),
	('LA', 3200, 'CUN', 1852, 'SCL', 2650, '', 0, '763\r'),
	('LA', 3200, 'CUZ', 2812, 'AQP', 2802, 'Y', 0, '319\r'),
	('LA', 3200, 'CUZ', 2812, 'JUL', 2792, '', 0, '319\r'),
	('LA', 3200, 'CUZ', 2812, 'LIM', 2789, '', 0, '320 319\r'),
	('LA', 3200, 'CUZ', 2812, 'PEM', 2808, 'Y', 0, '319\r'),
	('LA', 3200, 'DFW', 3670, 'BOG', 2709, 'Y', 0, '319\r'),
	('LA', 3200, 'DFW', 3670, 'LIM', 2789, 'Y', 0, '763\r'),
	('LA', 3200, 'DFW', 3670, 'SCL', 2650, 'Y', 0, '763\r'),
	('LA', 3200, 'EOH', 2729, 'APO', 5476, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'EOH', 2729, 'IBE', 2724, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'EOH', 2729, 'MTR', 2731, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'EOH', 2729, 'PEI', 2739, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'EYP', 6055, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'EZE', 3988, 'GIG', 2560, 'Y', 0, '320\r'),
	('LA', 3200, 'EZE', 3988, 'GRU', 2564, 'Y', 0, '320 330\r'),
	('LA', 3200, 'EZE', 3988, 'GYE', 2673, 'Y', 0, '319\r'),
	('LA', 3200, 'EZE', 3988, 'LIM', 2789, '', 0, '763\r'),
	('LA', 3200, 'EZE', 3988, 'SCL', 2650, '', 0, '320 763 787 319\r'),
	('LA', 3200, 'FRA', 340, 'MAD', 1229, '', 0, '787\r'),
	('LA', 3200, 'GIG', 2560, 'EZE', 3988, 'Y', 0, '320\r'),
	('LA', 3200, 'GIG', 2560, 'SCL', 2650, '', 0, '320 319\r'),
	('LA', 3200, 'GRU', 2564, 'BOG', 2709, 'Y', 0, '763\r'),
	('LA', 3200, 'GRU', 2564, 'EZE', 3988, 'Y', 0, '330 320\r'),
	('LA', 3200, 'GRU', 2564, 'LIM', 2789, 'Y', 0, '320 763\r'),
	('LA', 3200, 'GRU', 2564, 'MAD', 1229, 'Y', 0, '330\r'),
	('LA', 3200, 'GRU', 2564, 'MVD', 2816, 'Y', 0, '320\r'),
	('LA', 3200, 'GRU', 2564, 'SCL', 2650, '', 0, '319 763 320\r'),
	('LA', 3200, 'GYE', 2673, 'CCS', 2851, '', 0, '763\r'),
	('LA', 3200, 'GYE', 2673, 'EZE', 3988, 'Y', 0, '319\r'),
	('LA', 3200, 'GYE', 2673, 'LIM', 2789, '', 0, '763\r'),
	('LA', 3200, 'GYE', 2673, 'MAD', 1229, 'Y', 0, '763 343 346\r'),
	('LA', 3200, 'GYE', 2673, 'SCL', 2650, '', 0, '319 763\r'),
	('LA', 3200, 'HAV', 1909, 'LIM', 2789, 'Y', 0, '319\r'),
	('LA', 3200, 'IBE', 2724, 'BOG', 2709, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'IBE', 2724, 'EOH', 2729, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'IGR', 2471, 'AEP', 2442, '', 0, '320\r'),
	('LA', 3200, 'IGU', 2554, 'LIM', 2789, '', 0, '319\r'),
	('LA', 3200, 'IPC', 2657, 'PPT', 4075, '', 0, '763\r'),
	('LA', 3200, 'IPC', 2657, 'SCL', 2650, '', 0, '763\r'),
	('LA', 3200, 'IQQ', 2649, 'ANF', 2651, '', 0, '320\r'),
	('LA', 3200, 'IQQ', 2649, 'ARI', 2641, '', 0, '320\r'),
	('LA', 3200, 'IQQ', 2649, 'LPB', 2762, '', 0, '320\r'),
	('LA', 3200, 'IQQ', 2649, 'SCL', 2650, '', 0, '320 319\r'),
	('LA', 3200, 'IQQ', 2649, 'VVI', 2771, '', 0, '320\r'),
	('LA', 3200, 'IQT', 2801, 'LIM', 2789, 'Y', 0, '320 319\r'),
	('LA', 3200, 'IQT', 2801, 'TPP', 2806, 'Y', 0, '319\r'),
	('LA', 3200, 'JFK', 3797, 'LIM', 2789, '', 0, '763\r'),
	('LA', 3200, 'JFK', 3797, 'SCL', 2650, '', 0, '787\r'),
	('LA', 3200, 'JUL', 2792, 'AQP', 2802, '', 0, '319\r'),
	('LA', 3200, 'JUL', 2792, 'CUZ', 2812, 'Y', 0, '319\r'),
	('LA', 3200, 'JUL', 2792, 'LIM', 2789, 'Y', 0, '319\r'),
	('LA', 3200, 'LAX', 3484, 'LIM', 2789, '', 0, '763\r'),
	('LA', 3200, 'LET', 2728, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'LIM', 2789, 'AQP', 2802, 'Y', 0, '319 320\r'),
	('LA', 3200, 'LIM', 2789, 'BOG', 2709, 'Y', 0, '319 763\r'),
	('LA', 3200, 'LIM', 2789, 'CCS', 2851, 'Y', 0, '319\r'),
	('LA', 3200, 'LIM', 2789, 'CIX', 2785, 'Y', 0, '320 319\r'),
	('LA', 3200, 'LIM', 2789, 'CJA', 6066, 'Y', 0, '319\r'),
	('LA', 3200, 'LIM', 2789, 'COR', 2443, 'Y', 0, '320\r'),
	('LA', 3200, 'LIM', 2789, 'CUN', 1852, 'Y', 0, '320\r'),
	('LA', 3200, 'LIM', 2789, 'CUZ', 2812, '', 0, '319\r'),
	('LA', 3200, 'LIM', 2789, 'DFW', 3670, 'Y', 0, '763\r'),
	('LA', 3200, 'LIM', 2789, 'EZE', 3988, '', 0, '763\r'),
	('LA', 3200, 'LIM', 2789, 'GRU', 2564, 'Y', 0, '319 763 320\r'),
	('LA', 3200, 'LIM', 2789, 'GYE', 2673, '', 0, '763\r'),
	('LA', 3200, 'LIM', 2789, 'HAV', 1909, 'Y', 0, '319\r'),
	('LA', 3200, 'LIM', 2789, 'IGU', 2554, '', 0, '319\r'),
	('LA', 3200, 'LIM', 2789, 'IQT', 2801, '', 0, '319\r'),
	('LA', 3200, 'LIM', 2789, 'JFK', 3797, '', 0, '763\r'),
	('LA', 3200, 'LIM', 2789, 'JUL', 2792, 'Y', 0, '319\r'),
	('LA', 3200, 'LIM', 2789, 'LAX', 3484, '', 0, '763\r'),
	('LA', 3200, 'LIM', 2789, 'LPB', 2762, 'Y', 0, '319\r'),
	('LA', 3200, 'LIM', 2789, 'MAD', 1229, 'Y', 0, '763 346 343\r'),
	('LA', 3200, 'LIM', 2789, 'MEX', 1824, 'Y', 0, '738 763\r'),
	('LA', 3200, 'LIM', 2789, 'MIA', 3576, '', 0, '320\r'),
	('LA', 3200, 'LIM', 2789, 'PCL', 2781, 'Y', 0, '319 320\r'),
	('LA', 3200, 'LIM', 2789, 'PEM', 2808, 'Y', 0, '319\r'),
	('LA', 3200, 'LIM', 2789, 'PIU', 2809, 'Y', 0, '319\r'),
	('LA', 3200, 'LIM', 2789, 'PUJ', 1760, 'Y', 0, '320\r'),
	('LA', 3200, 'LIM', 2789, 'SCL', 2650, '', 0, '763 320 319\r'),
	('LA', 3200, 'LIM', 2789, 'TBP', 2796, '', 0, '320\r'),
	('LA', 3200, 'LIM', 2789, 'TCQ', 2807, 'Y', 0, '319 320\r'),
	('LA', 3200, 'LIM', 2789, 'TPP', 2806, 'Y', 0, '320 319\r'),
	('LA', 3200, 'LIM', 2789, 'TRU', 2804, 'Y', 0, '320 319\r'),
	('LA', 3200, 'LIM', 2789, 'UIO', 2688, '', 0, '320\r'),
	('LA', 3200, 'LIM', 2789, 'VVI', 2771, '', 0, '319\r'),
	('LA', 3200, 'LPB', 2762, 'IQQ', 2649, '', 0, '320\r'),
	('LA', 3200, 'LPB', 2762, 'LIM', 2789, '', 0, '319\r'),
	('LA', 3200, 'LPB', 2762, 'VVI', 2771, 'Y', 0, '319\r'),
	('LA', 3200, 'LSC', 2662, 'ANF', 2651, 'Y', 0, '320\r'),
	('LA', 3200, 'LSC', 2662, 'CJC', 2645, 'Y', 0, '320\r'),
	('LA', 3200, 'LSC', 2662, 'SCL', 2650, 'Y', 0, '320 319\r'),
	('LA', 3200, 'MAD', 1229, 'FRA', 340, '', 0, '787\r'),
	('LA', 3200, 'MAD', 1229, 'GRU', 2564, 'Y', 0, '330\r'),
	('LA', 3200, 'MAD', 1229, 'GYE', 2673, '', 0, '320\r'),
	('LA', 3200, 'MAD', 1229, 'LIM', 2789, 'Y', 0, '763 346 343\r'),
	('LA', 3200, 'MAD', 1229, 'SCL', 2650, '', 0, '787\r'),
	('LA', 3200, 'MAD', 1229, 'UIO', 2688, 'Y', 0, '346 343\r'),
	('LA', 3200, 'MDE', 2745, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'MDE', 2745, 'MIA', 3576, 'Y', 0, '738\r'),
	('LA', 3200, 'MDE', 2745, 'UIO', 2688, 'Y', 0, '320\r'),
	('LA', 3200, 'MDZ', 2452, 'AEP', 2442, '', 0, '320\r'),
	('LA', 3200, 'MDZ', 2452, 'SCL', 2650, '', 0, '320 319\r'),
	('LA', 3200, 'MEX', 1824, 'LIM', 2789, '', 0, '763\r'),
	('LA', 3200, 'MEX', 1824, 'MTY', 1825, 'Y', 0, '737\r'),
	('LA', 3200, 'MEX', 1824, 'SCL', 2650, '', 0, '763\r'),
	('LA', 3200, 'MIA', 3576, 'BOG', 2709, 'Y', 0, '763 757\r'),
	('LA', 3200, 'MIA', 3576, 'CCS', 2851, '', 0, '763\r'),
	('LA', 3200, 'MIA', 3576, 'CLO', 2715, 'Y', 0, '738\r'),
	('LA', 3200, 'MIA', 3576, 'CUN', 1852, '', 0, '763\r'),
	('LA', 3200, 'MIA', 3576, 'LIM', 2789, 'Y', 0, '763 757\r'),
	('LA', 3200, 'MIA', 3576, 'MDE', 2745, 'Y', 0, '738\r'),
	('LA', 3200, 'MIA', 3576, 'PUJ', 1760, '', 0, '763\r'),
	('LA', 3200, 'MIA', 3576, 'SCL', 2650, '', 0, '763\r'),
	('LA', 3200, 'MPN', 579, 'PUQ', 2647, '', 0, '320\r'),
	('LA', 3200, 'MTR', 2731, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'MTR', 2731, 'EOH', 2729, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'MVD', 2816, 'GRU', 2564, 'Y', 0, '320\r'),
	('LA', 3200, 'MVD', 2816, 'SCL', 2650, '', 0, '320 763\r'),
	('LA', 3200, 'NQN', 2509, 'AEP', 2442, 'Y', 0, '320\r'),
	('LA', 3200, 'NVA', 2734, 'BOG', 2709, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'PCL', 2781, 'LIM', 2789, 'Y', 0, '319 320\r'),
	('LA', 3200, 'PEI', 2739, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'PEI', 2739, 'EOH', 2729, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'PEM', 2808, 'CUZ', 2812, 'Y', 0, '319\r'),
	('LA', 3200, 'PEM', 2808, 'LIM', 2789, 'Y', 0, '319\r'),
	('LA', 3200, 'PIU', 2809, 'LIM', 2789, 'Y', 0, '319\r'),
	('LA', 3200, 'PMC', 2665, 'BBA', 2642, '', 0, '320\r'),
	('LA', 3200, 'PMC', 2665, 'PUQ', 2647, '', 0, '320\r'),
	('LA', 3200, 'PMC', 2665, 'SCL', 2650, '', 0, '320\r'),
	('LA', 3200, 'PPT', 4075, 'IPC', 2657, '', 0, '763\r'),
	('LA', 3200, 'PUJ', 1760, 'LIM', 2789, 'Y', 0, '320\r'),
	('LA', 3200, 'PUJ', 1760, 'MIA', 3576, '', 0, '763\r'),
	('LA', 3200, 'PUJ', 1760, 'SCL', 2650, '', 0, '763\r'),
	('LA', 3200, 'PUQ', 2647, 'PMC', 2665, '', 0, '320\r'),
	('LA', 3200, 'PUQ', 2647, 'RGL', 2496, '', 0, '320\r'),
	('LA', 3200, 'PUQ', 2647, 'SCL', 2650, '', 0, '320\r'),
	('LA', 3200, 'PUU', 2706, 'BOG', 2709, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'RGL', 2496, 'AEP', 2442, 'Y', 0, '320\r'),
	('LA', 3200, 'RGL', 2496, 'MPN', 579, '', 0, '320\r'),
	('LA', 3200, 'SCL', 2650, 'AEP', 2442, '', 0, '320\r'),
	('LA', 3200, 'SCL', 2650, 'AKL', 2006, '', 0, '340 343\r'),
	('LA', 3200, 'SCL', 2650, 'ANF', 2651, '', 0, '320 319\r'),
	('LA', 3200, 'SCL', 2650, 'ARI', 2641, '', 0, '320\r'),
	('LA', 3200, 'SCL', 2650, 'ASU', 2699, 'Y', 0, '320\r'),
	('LA', 3200, 'SCL', 2650, 'BBA', 2642, 'Y', 0, '320\r'),
	('LA', 3200, 'SCL', 2650, 'BOG', 2709, 'Y', 0, '763\r'),
	('LA', 3200, 'SCL', 2650, 'CCP', 2656, '', 0, '320 319\r'),
	('LA', 3200, 'SCL', 2650, 'CCS', 2851, '', 0, '763\r'),
	('LA', 3200, 'SCL', 2650, 'CJC', 2645, '', 0, '320\r'),
	('LA', 3200, 'SCL', 2650, 'COR', 2443, '', 0, '320\r'),
	('LA', 3200, 'SCL', 2650, 'CPO', 4312, '', 0, '319 320\r'),
	('LA', 3200, 'SCL', 2650, 'CUN', 1852, '', 0, '763\r'),
	('LA', 3200, 'SCL', 2650, 'DFW', 3670, 'Y', 0, '763\r'),
	('LA', 3200, 'SCL', 2650, 'EZE', 3988, '', 0, '320 763 787 319\r'),
	('LA', 3200, 'SCL', 2650, 'GIG', 2560, '', 0, '320 319\r'),
	('LA', 3200, 'SCL', 2650, 'GRU', 2564, '', 0, '763 320 319\r'),
	('LA', 3200, 'SCL', 2650, 'GYE', 2673, '', 0, '763\r'),
	('LA', 3200, 'SCL', 2650, 'IPC', 2657, '', 0, '763\r'),
	('LA', 3200, 'SCL', 2650, 'IQQ', 2649, '', 0, '320\r'),
	('LA', 3200, 'SCL', 2650, 'JFK', 3797, '', 0, '787\r'),
	('LA', 3200, 'SCL', 2650, 'LIM', 2789, '', 0, '763 320 319\r'),
	('LA', 3200, 'SCL', 2650, 'LSC', 2662, 'Y', 0, '320 319\r'),
	('LA', 3200, 'SCL', 2650, 'MAD', 1229, '', 0, '787\r'),
	('LA', 3200, 'SCL', 2650, 'MDZ', 2452, '', 0, '320 319\r'),
	('LA', 3200, 'SCL', 2650, 'MEX', 1824, '', 0, '763\r'),
	('LA', 3200, 'SCL', 2650, 'MIA', 3576, '', 0, '763\r'),
	('LA', 3200, 'SCL', 2650, 'MVD', 2816, '', 0, '320 763\r'),
	('LA', 3200, 'SCL', 2650, 'PMC', 2665, '', 0, '320\r'),
	('LA', 3200, 'SCL', 2650, 'PUJ', 1760, '', 0, '763\r'),
	('LA', 3200, 'SCL', 2650, 'PUQ', 2647, '', 0, '320\r'),
	('LA', 3200, 'SCL', 2650, 'SYD', 3361, 'Y', 0, '744\r'),
	('LA', 3200, 'SCL', 2650, 'UIO', 2688, '', 0, '319\r'),
	('LA', 3200, 'SCL', 2650, 'ZCO', 2664, '', 0, '319\r'),
	('LA', 3200, 'SCL', 2650, 'ZOS', 2658, '', 0, '319\r'),
	('LA', 3200, 'SLA', 2476, 'AEP', 2442, 'Y', 0, '320\r'),
	('LA', 3200, 'SMR', 2748, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'SYD', 3361, 'AKL', 2006, '', 0, '343\r'),
	('LA', 3200, 'SYD', 3361, 'SCL', 2650, 'Y', 0, '744\r'),
	('LA', 3200, 'TBP', 2796, 'LIM', 2789, '', 0, '320\r'),
	('LA', 3200, 'TCQ', 2807, 'LIM', 2789, 'Y', 0, '319 320\r'),
	('LA', 3200, 'TPP', 2806, 'IQT', 2801, 'Y', 0, '319\r'),
	('LA', 3200, 'TPP', 2806, 'LIM', 2789, 'Y', 0, '320 319\r'),
	('LA', 3200, 'TRU', 2804, 'LIM', 2789, 'Y', 0, '320 319\r'),
	('LA', 3200, 'TUC', 2460, 'AEP', 2442, 'Y', 0, '320\r'),
	('LA', 3200, 'UAQ', 2461, 'MDZ', 2452, '', 0, '320\r'),
	('LA', 3200, 'UIB', 2753, 'BOG', 2709, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'UIO', 2688, 'CLO', 2715, 'Y', 0, '320\r'),
	('LA', 3200, 'UIO', 2688, 'GYE', 2673, '', 0, '319\r'),
	('LA', 3200, 'UIO', 2688, 'LIM', 2789, '', 0, '320\r'),
	('LA', 3200, 'UIO', 2688, 'MAD', 1229, 'Y', 0, '346\r'),
	('LA', 3200, 'UIO', 2688, 'MDE', 2745, 'Y', 0, '320\r'),
	('LA', 3200, 'USH', 2497, 'AEP', 2442, 'Y', 0, '320\r'),
	('LA', 3200, 'VUP', 2755, 'BOG', 2709, 'Y', 0, '320\r'),
	('LA', 3200, 'VVC', 2756, 'BOG', 2709, 'Y', 0, 'DH2\r'),
	('LA', 3200, 'VVI', 2771, 'IQQ', 2649, '', 0, '320\r'),
	('LA', 3200, 'VVI', 2771, 'LIM', 2789, 'Y', 0, '319\r'),
	('LA', 3200, 'VVI', 2771, 'LPB', 2762, '', 0, '319\r'),
	('LA', 3200, 'ZAL', 2667, 'SCL', 2650, '', 0, '319\r'),
	('LA', 3200, 'ZCO', 2664, 'SCL', 2650, '', 0, '319\r'),
	('LA', 3200, 'ZOS', 2658, 'ZAL', 2667, '', 0, '319\r'),
	('LC', 5354, 'BZV', 883, 'CDG', 1382, '', 0, '757\r'),
	('LC', 5354, 'BZV', 883, 'COO', 245, '', 0, '737\r'),
	('LC', 5354, 'BZV', 883, 'DLA', 897, '', 0, '737\r'),
	('LC', 5354, 'BZV', 883, 'PNR', 886, '', 0, '737\r'),
	('LC', 5354, 'CDG', 1382, 'BZV', 883, '', 0, '757\r'),
	('LC', 5354, 'CDG', 1382, 'PNR', 886, '', 0, '757\r'),
	('LC', 5354, 'COO', 245, 'BZV', 883, '', 0, '737\r'),
	('LC', 5354, 'COO', 245, 'DLA', 897, '', 0, '737\r'),
	('LC', 5354, 'COO', 245, 'PNR', 886, '', 0, '737\r'),
	('LC', 5354, 'DLA', 897, 'BZV', 883, '', 0, '737\r'),
	('LC', 5354, 'DLA', 897, 'COO', 245, '', 0, '737\r'),
	('LC', 5354, 'PNR', 886, 'BZV', 883, '', 0, '737\r'),
	('LC', 5354, 'PNR', 886, 'CDG', 1382, '', 0, '757\r'),
	('LC', 5354, 'PNR', 886, 'COO', 245, '', 0, '737\r'),
	('LF', 2419, 'BKK', 3885, 'VTE', 3120, '', 0, '737\r'),
	('LF', 2419, 'LPQ', 3115, 'VTE', 3120, '', 0, '737\r'),
	('LF', 2419, 'VTE', 3120, 'BKK', 3885, '', 0, '737\r'),
	('LF', 2419, 'VTE', 3120, 'LPQ', 3115, '', 0, '737\r'),
	('LG', 3329, 'ACE', 1055, 'FUE', 1051, '', 0, '73W\r'),
	('LG', 3329, 'ACE', 1055, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'ADB', 1706, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'AGA', 1064, 'LUX', 629, '', 0, '73W 73H\r'),
	('LG', 3329, 'AGP', 1230, 'BVE', 1278, '', 0, '73W\r'),
	('LG', 3329, 'AGP', 1230, 'LUX', 629, '', 0, '73W ER4 73H\r'),
	('LG', 3329, 'AJA', 1324, 'LUX', 629, '', 0, '73W\r'),
	('LG', 3329, 'ANG', 1277, 'FSC', 1323, '', 0, 'DH4\r'),
	('LG', 3329, 'ARN', 737, 'LUX', 629, '', 0, 'ER4\r'),
	('LG', 3329, 'AYT', 1688, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'BCN', 1218, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'BIA', 1321, 'LUX', 629, '', 0, '73W\r'),
	('LG', 3329, 'BVC', 1103, 'SID', 1102, '', 0, '73W\r'),
	('LG', 3329, 'CAG', 1519, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'CDG', 1382, 'LUX', 629, '', 0, 'ER4 DH4\r'),
	('LG', 3329, 'CFU', 1460, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'CLY', 1322, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'CPH', 609, 'LUX', 629, '', 0, 'ER4 DH4\r'),
	('LG', 3329, 'DBV', 1200, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'DJE', 293, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'DJE', 293, 'NBE', 7447, '', 0, '73W\r'),
	('LG', 3329, 'DUB', 599, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'DUS', 345, 'LUX', 629, 'Y', 0, 'CNJ\r'),
	('LG', 3329, 'FAO', 1626, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'FAO', 1626, 'XRY', 1226, '', 0, '73H\r'),
	('LG', 3329, 'FCO', 1555, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'FNC', 4091, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'FRA', 340, 'LUX', 629, '', 0, 'ER4 DH4\r'),
	('LG', 3329, 'FSC', 1323, 'ANG', 1277, '', 0, 'DH4\r'),
	('LG', 3329, 'FSC', 1323, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'FUE', 1051, 'LUX', 629, '', 0, '73W 73H\r'),
	('LG', 3329, 'GVA', 1665, 'LUX', 629, '', 0, 'ER4\r'),
	('LG', 3329, 'HAM', 342, 'SCN', 349, '', 0, 'DH4\r'),
	('LG', 3329, 'HER', 1452, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'IBZ', 1225, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'KGS', 1458, 'LUX', 629, '', 0, '73W\r'),
	('LG', 3329, 'LCY', 503, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'LIS', 1638, 'LUX', 629, '', 0, '73W 73H\r'),
	('LG', 3329, 'LPA', 1054, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'ACE', 1055, '', 0, '73W 73H\r'),
	('LG', 3329, 'LUX', 629, 'ADB', 1706, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'AGA', 1064, '', 0, '73W 73H\r'),
	('LG', 3329, 'LUX', 629, 'AGP', 1230, '', 0, '73W ER4\r'),
	('LG', 3329, 'LUX', 629, 'AJA', 1324, '', 0, '73W\r'),
	('LG', 3329, 'LUX', 629, 'ARN', 737, '', 0, 'ER4\r'),
	('LG', 3329, 'LUX', 629, 'AYT', 1688, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'BCN', 1218, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'BIA', 1321, '', 0, '73W\r'),
	('LG', 3329, 'LUX', 629, 'BVC', 1103, '', 0, '73W\r'),
	('LG', 3329, 'LUX', 629, 'CAG', 1519, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'CDG', 1382, '', 0, 'ER4 DH4\r'),
	('LG', 3329, 'LUX', 629, 'CFU', 1460, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'CLY', 1322, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'CPH', 609, '', 0, 'ER4 DH4\r'),
	('LG', 3329, 'LUX', 629, 'CTA', 1509, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'DBV', 1200, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'DJE', 293, '', 0, '73H 73W\r'),
	('LG', 3329, 'LUX', 629, 'DUB', 599, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'DUS', 345, 'Y', 0, 'CNJ\r'),
	('LG', 3329, 'LUX', 629, 'FAO', 1626, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'FCO', 1555, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'FNC', 4091, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'FRA', 340, '', 0, 'ER4 DH4\r'),
	('LG', 3329, 'LUX', 629, 'FSC', 1323, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'FUE', 1051, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'GVA', 1665, '', 0, 'ER4\r'),
	('LG', 3329, 'LUX', 629, 'HER', 1452, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'IBZ', 1225, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'KGS', 1458, '', 0, '73W\r'),
	('LG', 3329, 'LUX', 629, 'LCY', 503, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'LIS', 1638, '', 0, '73W 73H\r'),
	('LG', 3329, 'LUX', 629, 'LPA', 1054, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'MAD', 1229, '', 0, 'ER4\r'),
	('LG', 3329, 'LUX', 629, 'MLA', 1606, '', 0, 'ER4\r'),
	('LG', 3329, 'LUX', 629, 'MUC', 346, '', 0, 'DH4 ER4\r'),
	('LG', 3329, 'LUX', 629, 'MXP', 1524, '', 0, 'DH4 ER4\r'),
	('LG', 3329, 'LUX', 629, 'NAP', 1561, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'NCE', 1354, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'OPO', 1636, '', 0, '73H 73W\r'),
	('LG', 3329, 'LUX', 629, 'PMI', 3998, '', 0, '73H 73W\r'),
	('LG', 3329, 'LUX', 629, 'RAK', 1075, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'RHO', 1472, '', 0, '73H 73W\r'),
	('LG', 3329, 'LUX', 629, 'SCN', 349, '', 0, 'DH4\r'),
	('LG', 3329, 'LUX', 629, 'TFS', 1056, '', 0, '73H 73W\r'),
	('LG', 3329, 'LUX', 629, 'TXL', 351, '', 0, 'DH4 ER4\r'),
	('LG', 3329, 'LUX', 629, 'VAR', 1196, '', 0, '73H\r'),
	('LG', 3329, 'LUX', 629, 'VIE', 1613, '', 0, 'DH4 ER4\r'),
	('LG', 3329, 'LUX', 629, 'XRY', 1226, '', 0, '73H\r'),
	('LG', 3329, 'MAD', 1229, 'LUX', 629, '', 0, 'ER4\r'),
	('LG', 3329, 'MLA', 1606, 'LUX', 629, '', 0, 'ER4\r'),
	('LG', 3329, 'MUC', 346, 'LUX', 629, '', 0, 'DH4 ER4\r'),
	('LG', 3329, 'MXP', 1524, 'LUX', 629, '', 0, 'DH4 ER4\r'),
	('LG', 3329, 'NAP', 1561, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'NBE', 7447, 'LUX', 629, '', 0, '73W\r'),
	('LG', 3329, 'NCE', 1354, 'LUX', 629, '', 0, 'DH4\r'),
	('LG', 3329, 'OPO', 1636, 'LUX', 629, '', 0, '73H 73W\r'),
	('LG', 3329, 'PMI', 3998, 'LUX', 629, '', 0, '73H 73W\r'),
	('LG', 3329, 'RAK', 1075, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'RHO', 1472, 'LUX', 629, '', 0, '73H 73W\r'),
	('LG', 3329, 'SCN', 349, 'HAM', 342, '', 0, 'DH4\r'),
	('LG', 3329, 'SCN', 349, 'LUX', 629, '', 0, 'DH4 ER4\r'),
	('LG', 3329, 'SCN', 349, 'TXL', 351, '', 0, 'DH4\r'),
	('LG', 3329, 'SID', 1102, 'LUX', 629, '', 0, '73W\r'),
	('LG', 3329, 'TFS', 1056, 'LUX', 629, '', 0, '73H 73W\r'),
	('LG', 3329, 'TXL', 351, 'LUX', 629, '', 0, 'DH4 ER4\r'),
	('LG', 3329, 'TXL', 351, 'SCN', 349, '', 0, 'DH4 ER4\r'),
	('LG', 3329, 'VAR', 1196, 'LUX', 629, '', 0, '73H\r'),
	('LG', 3329, 'VIE', 1613, 'LUX', 629, '', 0, 'DH4 ER4\r'),
	('LG', 3329, 'XRY', 1226, 'AGP', 1230, '', 0, '73H\r'),
	('LG', 3329, 'XRY', 1226, 'LUX', 629, '', 0, '73H\r'),
	('LH', 3320, 'ABJ', 253, 'BRU', 302, 'Y', 0, '332\r'),
	('LH', 3320, 'ABJ', 253, 'LFW', 298, 'Y', 0, '333\r'),
	('LH', 3320, 'ABJ', 253, 'OUA', 246, 'Y', 0, '333\r'),
	('LH', 3320, 'ABV', 260, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'ABV', 260, 'SSG', 891, '', 0, '343\r'),
	('LH', 3320, 'ABZ', 532, 'FRA', 340, '', 0, '735\r'),
	('LH', 3320, 'ACC', 248, 'FRA', 340, 'Y', 0, '333\r'),
	('LH', 3320, 'ADB', 1706, 'MUC', 346, '', 0, '319 321 320\r'),
	('LH', 3320, 'ADD', 1107, 'DAR', 1177, 'Y', 0, '73W\r'),
	('LH', 3320, 'ADD', 1107, 'EBB', 1187, 'Y', 0, '73W\r'),
	('LH', 3320, 'ADD', 1107, 'FRA', 340, 'Y', 0, '788\r'),
	('LH', 3320, 'ADD', 1107, 'HRE', 1005, 'Y', 0, '788\r'),
	('LH', 3320, 'ADD', 1107, 'JED', 2072, '', 0, '333\r'),
	('LH', 3320, 'ADD', 1107, 'MBA', 1145, 'Y', 0, 'DH8\r'),
	('LH', 3320, 'AGP', 1230, 'DUS', 345, '', 0, '320\r'),
	('LH', 3320, 'AGP', 1230, 'FRA', 340, '', 0, '321 320\r'),
	('LH', 3320, 'AGP', 1230, 'MUC', 346, '', 0, '320 321\r'),
	('LH', 3320, 'ALA', 2908, 'FRA', 340, '', 0, '333\r'),
	('LH', 3320, 'ALA', 2908, 'TSE', 2910, '', 0, '333\r'),
	('LH', 3320, 'ALG', 210, 'FRA', 340, '', 0, '319\r'),
	('LH', 3320, 'AMM', 2170, 'FRA', 340, '', 0, '321\r'),
	('LH', 3320, 'AMS', 580, 'EWR', 3494, 'Y', 0, '752 763\r'),
	('LH', 3320, 'AMS', 580, 'FRA', 340, '', 0, '733 735 320 319 32A 321\r'),
	('LH', 3320, 'AMS', 580, 'IAD', 3714, 'Y', 0, '763\r'),
	('LH', 3320, 'AMS', 580, 'IAH', 3550, 'Y', 0, '777\r'),
	('LH', 3320, 'AMS', 580, 'MUC', 346, 'Y', 0, 'E95 CR9\r'),
	('LH', 3320, 'AMS', 580, 'ORD', 3830, 'Y', 0, '763\r'),
	('LH', 3320, 'AOI', 4309, 'MUC', 346, 'Y', 0, 'CR9 E95\r'),
	('LH', 3320, 'ARN', 737, 'DUS', 345, 'Y', 0, '736 717 73W 73H\r'),
	('LH', 3320, 'ARN', 737, 'FRA', 340, '', 0, '321 32A\r'),
	('LH', 3320, 'ARN', 737, 'MUC', 346, '', 0, '320 CR9 321 319\r'),
	('LH', 3320, 'ARN', 737, 'TXL', 351, 'Y', 0, '73H 717 73W 736\r'),
	('LH', 3320, 'ASB', 2976, 'GYD', 2922, '', 0, '333 343\r'),
	('LH', 3320, 'ATH', 3941, 'DUS', 345, 'Y', 0, '320\r'),
	('LH', 3320, 'ATH', 3941, 'FRA', 340, '', 0, '321\r'),
	('LH', 3320, 'ATH', 3941, 'MUC', 346, '', 0, '321\r'),
	('LH', 3320, 'ATH', 3941, 'TXL', 351, 'Y', 0, '320\r'),
	('LH', 3320, 'ATL', 3682, 'FRA', 340, '', 0, '343 M1F\r'),
	('LH', 3320, 'ATL', 3682, 'IAD', 3714, 'Y', 0, 'CRJ\r'),
	('LH', 3320, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('LH', 3320, 'AUH', 2179, 'FRA', 340, '', 0, '333\r'),
	('LH', 3320, 'AUH', 2179, 'MCT', 2194, '', 0, '333\r'),
	('LH', 3320, 'AYT', 1688, 'DUS', 345, '', 0, '320\r'),
	('LH', 3320, 'BAH', 2057, 'DOH', 2241, '', 0, '333\r'),
	('LH', 3320, 'BCN', 1218, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'BCN', 1218, 'FRA', 340, '', 0, '321 320 319 32A\r'),
	('LH', 3320, 'BCN', 1218, 'MUC', 346, '', 0, '321 319 320 E95\r'),
	('LH', 3320, 'BCN', 1218, 'TXL', 351, '', 0, '320\r'),
	('LH', 3320, 'BEG', 1739, 'FRA', 340, '', 0, '320 32A 319 321\r'),
	('LH', 3320, 'BEG', 1739, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'BEY', 2177, 'FRA', 340, '', 0, '32A 321 320\r'),
	('LH', 3320, 'BFS', 465, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'BGO', 636, 'FRA', 340, 'Y', 0, '735 E90\r'),
	('LH', 3320, 'BHX', 469, 'DUS', 345, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'BHX', 469, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'BHX', 469, 'FRA', 340, '', 0, '319 733 32A 321 320\r'),
	('LH', 3320, 'BHX', 469, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'BIA', 1321, 'FRA', 340, '', 0, 'E90\r'),
	('LH', 3320, 'BIO', 1216, 'FRA', 340, '', 0, '321 320 32A 319\r'),
	('LH', 3320, 'BIO', 1216, 'MUC', 346, '', 0, '319 E95 320\r'),
	('LH', 3320, 'BJM', 1120, 'NBO', 4059, 'Y', 0, '332\r'),
	('LH', 3320, 'BKK', 3885, 'FRA', 340, '', 0, '346\r'),
	('LH', 3320, 'BKK', 3885, 'KBV', 3174, 'Y', 0, '333\r'),
	('LH', 3320, 'BKK', 3885, 'MUC', 346, 'Y', 0, '747\r'),
	('LH', 3320, 'BLL', 608, 'FRA', 340, '', 0, '733 735\r'),
	('LH', 3320, 'BLQ', 1538, 'FRA', 340, '', 0, '32A 735 321 319 733 320\r'),
	('LH', 3320, 'BLQ', 1538, 'MUC', 346, '', 0, 'E95\r'),
	('LH', 3320, 'BLR', 3131, 'FRA', 340, '', 0, '74H\r'),
	('LH', 3320, 'BOG', 2709, 'FRA', 340, '', 0, '346\r'),
	('LH', 3320, 'BOM', 2997, 'FRA', 340, '', 0, '744\r'),
	('LH', 3320, 'BOM', 2997, 'MUC', 346, '', 0, '333\r'),
	('LH', 3320, 'BOS', 3448, 'FRA', 340, '', 0, '744 346\r'),
	('LH', 3320, 'BOS', 3448, 'MUC', 346, '', 0, '333\r'),
	('LH', 3320, 'BRE', 353, 'FRA', 340, '', 0, '319 733 321 735 E90\r'),
	('LH', 3320, 'BRE', 353, 'MUC', 346, '', 0, '320 E95 319 321\r'),
	('LH', 3320, 'BRI', 1501, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'BRU', 302, 'ABJ', 253, 'Y', 0, '333\r'),
	('LH', 3320, 'BRU', 302, 'BJM', 1120, 'Y', 0, '332\r'),
	('LH', 3320, 'BRU', 302, 'COO', 245, 'Y', 0, '332\r'),
	('LH', 3320, 'BRU', 302, 'DKR', 1084, 'Y', 0, '333\r'),
	('LH', 3320, 'BRU', 302, 'DLA', 897, 'Y', 0, '332 333\r'),
	('LH', 3320, 'BRU', 302, 'EWR', 3494, 'Y', 0, '764 777\r'),
	('LH', 3320, 'BRU', 302, 'FNA', 1059, 'Y', 0, '333\r'),
	('LH', 3320, 'BRU', 302, 'FRA', 340, '', 0, '321 735 E90 733 CR7 319 320 32A\r'),
	('LH', 3320, 'BRU', 302, 'HAJ', 352, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'BRU', 302, 'HAM', 342, 'Y', 0, 'AR1 DH4 319\r'),
	('LH', 3320, 'BRU', 302, 'IAD', 3714, 'Y', 0, '777 332\r'),
	('LH', 3320, 'BRU', 302, 'JFK', 3797, 'Y', 0, '333\r'),
	('LH', 3320, 'BRU', 302, 'KGL', 1165, 'Y', 0, '332\r'),
	('LH', 3320, 'BRU', 302, 'LAD', 951, 'Y', 0, '333\r'),
	('LH', 3320, 'BRU', 302, 'LIN', 1529, 'Y', 0, 'AR1 319\r'),
	('LH', 3320, 'BRU', 302, 'MUC', 346, '', 0, 'E95 319 320\r'),
	('LH', 3320, 'BRU', 302, 'MXP', 1524, 'Y', 0, '319 AR1\r'),
	('LH', 3320, 'BRU', 302, 'NSI', 4161, 'Y', 0, '332\r'),
	('LH', 3320, 'BRU', 302, 'OUA', 246, 'Y', 0, '333\r'),
	('LH', 3320, 'BRU', 302, 'TXL', 351, 'Y', 0, '319 AR1 320\r'),
	('LH', 3320, 'BRU', 302, 'VNO', 3959, 'Y', 0, 'AR1 319\r'),
	('LH', 3320, 'BRU', 302, 'YUL', 146, 'Y', 0, '333\r'),
	('LH', 3320, 'BSL', 4053, 'FRA', 340, '', 0, 'CR7\r'),
	('LH', 3320, 'BSL', 4053, 'HAM', 342, 'Y', 0, 'AR1\r'),
	('LH', 3320, 'BSL', 4053, 'MUC', 346, 'Y', 0, 'CR7 CR9\r'),
	('LH', 3320, 'BUD', 1489, 'DUS', 345, '', 0, '319\r'),
	('LH', 3320, 'BUD', 1489, 'FRA', 340, '', 0, '733 320 321 735 32A\r'),
	('LH', 3320, 'BUD', 1489, 'MUC', 346, '', 0, '320 E95 CR9 319 321\r'),
	('LH', 3320, 'CAG', 1519, 'MUC', 346, '', 0, 'E95\r'),
	('LH', 3320, 'CAI', 1128, 'FRA', 340, '', 0, '321 32A\r'),
	('LH', 3320, 'CAI', 1128, 'MUC', 346, 'Y', 0, '738\r'),
	('LH', 3320, 'CCS', 2851, 'FRA', 340, '', 0, '333\r'),
	('LH', 3320, 'CDG', 1382, 'DUS', 345, '', 0, 'CR9 319 320\r'),
	('LH', 3320, 'CDG', 1382, 'EWR', 3494, 'Y', 0, '764 752 763\r'),
	('LH', 3320, 'CDG', 1382, 'FRA', 340, '', 0, '319 321 32A 735 320 733\r'),
	('LH', 3320, 'CDG', 1382, 'IAD', 3714, 'Y', 0, '763\r'),
	('LH', 3320, 'CDG', 1382, 'MUC', 346, '', 0, 'E95 320 321 319\r'),
	('LH', 3320, 'CDG', 1382, 'ORD', 3830, 'Y', 0, '763\r'),
	('LH', 3320, 'CDG', 1382, 'TXL', 351, '', 0, '320\r'),
	('LH', 3320, 'CDG', 1382, 'YUL', 146, 'Y', 0, '77W\r'),
	('LH', 3320, 'CDG', 1382, 'YYZ', 193, 'Y', 0, '77W\r'),
	('LH', 3320, 'CGN', 344, 'MUC', 346, '', 0, '321 319 320 E95\r'),
	('LH', 3320, 'CGN', 344, 'VIE', 1613, 'Y', 0, '100 F70\r'),
	('LH', 3320, 'CKY', 4162, 'DKR', 1084, 'Y', 0, '333\r'),
	('LH', 3320, 'CLJ', 1652, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'CLO', 2715, 'BOG', 2709, 'Y', 0, '320\r'),
	('LH', 3320, 'CLT', 3876, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'CMN', 1074, 'FRA', 340, '', 0, '321\r'),
	('LH', 3320, 'CNX', 3931, 'BKK', 3885, 'Y', 0, 'AB6\r'),
	('LH', 3320, 'COO', 245, 'ABJ', 253, 'Y', 0, '332\r'),
	('LH', 3320, 'CPH', 609, 'DUS', 345, 'Y', 0, 'CR9 CR2\r'),
	('LH', 3320, 'CPH', 609, 'FRA', 340, '', 0, '32A 319 733 321 320\r'),
	('LH', 3320, 'CPH', 609, 'MUC', 346, 'Y', 0, 'CR9 E95 320 321 319\r'),
	('LH', 3320, 'CPH', 609, 'OSL', 644, 'Y', 0, '321 738 320\r'),
	('LH', 3320, 'CPH', 609, 'TXL', 351, 'Y', 0, '320 CR2 321 319 CR9\r'),
	('LH', 3320, 'CPH', 609, 'YYZ', 193, 'Y', 0, '763\r'),
	('LH', 3320, 'CTA', 1509, 'MLA', 1606, 'Y', 0, '319\r'),
	('LH', 3320, 'CTA', 1509, 'MUC', 346, '', 0, 'E95 321\r'),
	('LH', 3320, 'CTU', 3395, 'FRA', 340, 'Y', 0, '330\r'),
	('LH', 3320, 'CWB', 2545, 'LDB', 2581, 'Y', 0, '320\r'),
	('LH', 3320, 'DAR', 1177, 'NBO', 4059, 'Y', 0, '333\r'),
	('LH', 3320, 'DAR', 1177, 'ZNZ', 1186, 'Y', 0, '73W DH8\r'),
	('LH', 3320, 'DBV', 1200, 'DUS', 345, 'Y', 0, '319\r'),
	('LH', 3320, 'DBV', 1200, 'FRA', 340, 'Y', 0, '319 320 735\r'),
	('LH', 3320, 'DBV', 1200, 'MUC', 346, '', 0, '319 E95 320\r'),
	('LH', 3320, 'DEL', 3093, 'FRA', 340, '', 0, '74H\r'),
	('LH', 3320, 'DEL', 3093, 'MUC', 346, '', 0, '333 346\r'),
	('LH', 3320, 'DEN', 3751, 'FRA', 340, '', 0, '744\r'),
	('LH', 3320, 'DFW', 3670, 'FRA', 340, '', 0, '333\r'),
	('LH', 3320, 'DKR', 1084, 'BRU', 302, 'Y', 0, '333\r'),
	('LH', 3320, 'DKR', 1084, 'CKY', 4162, 'Y', 0, '333\r'),
	('LH', 3320, 'DLA', 897, 'BRU', 302, 'Y', 0, '332 333\r'),
	('LH', 3320, 'DLA', 897, 'FIH', 1020, 'Y', 0, '333\r'),
	('LH', 3320, 'DLA', 897, 'NSI', 4161, 'Y', 0, '332\r'),
	('LH', 3320, 'DME', 4029, 'FRA', 340, '', 0, '32A 321 320\r'),
	('LH', 3320, 'DME', 4029, 'MUC', 346, '', 0, '321 320 319\r'),
	('LH', 3320, 'DMM', 2064, 'FRA', 340, 'Y', 0, '73H\r'),
	('LH', 3320, 'DMM', 2064, 'KWI', 2176, '', 0, '343\r'),
	('LH', 3320, 'DOH', 2241, 'BAH', 2057, '', 0, '333\r'),
	('LH', 3320, 'DOH', 2241, 'FRA', 340, '', 0, '333 343\r'),
	('LH', 3320, 'DOK', 2940, 'MUC', 346, 'Y', 0, 'CR7 CR9\r'),
	('LH', 3320, 'DRS', 338, 'FRA', 340, '', 0, '735 733 32A E90\r'),
	('LH', 3320, 'DRS', 338, 'MUC', 346, '', 0, 'E95\r'),
	('LH', 3320, 'DTM', 373, 'MUC', 346, '', 0, '319\r'),
	('LH', 3320, 'DTW', 3645, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'DUB', 599, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'DUB', 599, 'FRA', 340, '', 0, '321\r'),
	('LH', 3320, 'DUB', 599, 'MUC', 346, '', 0, '320 319\r'),
	('LH', 3320, 'DUS', 345, 'AGP', 1230, '', 0, '320\r'),
	('LH', 3320, 'DUS', 345, 'ARN', 737, 'Y', 0, '736 717 73W 73H\r'),
	('LH', 3320, 'DUS', 345, 'ATH', 3941, 'Y', 0, '320\r'),
	('LH', 3320, 'DUS', 345, 'AYT', 1688, '', 0, '320\r'),
	('LH', 3320, 'DUS', 345, 'BHX', 469, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'DUS', 345, 'BUD', 1489, '', 0, '319\r'),
	('LH', 3320, 'DUS', 345, 'CDG', 1382, '', 0, 'CR9 319 320\r'),
	('LH', 3320, 'DUS', 345, 'CPH', 609, 'Y', 0, 'CR9 CR2\r'),
	('LH', 3320, 'DUS', 345, 'DBV', 1200, 'Y', 0, '319\r'),
	('LH', 3320, 'DUS', 345, 'EWR', 3494, '', 0, '343\r'),
	('LH', 3320, 'DUS', 345, 'FCO', 1555, '', 0, '320\r'),
	('LH', 3320, 'DUS', 345, 'FRA', 340, '', 0, '319 320 CR7 E90 321\r'),
	('LH', 3320, 'DUS', 345, 'GLA', 534, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'DUS', 345, 'GOT', 687, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'DUS', 345, 'GRZ', 1609, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'DUS', 345, 'HAM', 342, '', 0, '320 319\r'),
	('LH', 3320, 'DUS', 345, 'LED', 2948, '', 0, '319 320\r'),
	('LH', 3320, 'DUS', 345, 'LHR', 507, '', 0, '320 CR9\r'),
	('LH', 3320, 'DUS', 345, 'LNZ', 1611, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'DUS', 345, 'MAN', 478, 'Y', 0, '319 CR9\r'),
	('LH', 3320, 'DUS', 345, 'MLA', 1606, 'Y', 0, '319 320\r'),
	('LH', 3320, 'DUS', 345, 'MUC', 346, '', 0, '321 320 319\r'),
	('LH', 3320, 'DUS', 345, 'NAP', 1561, 'Y', 0, '319 CR9\r'),
	('LH', 3320, 'DUS', 345, 'NCE', 1354, '', 0, '320 319 CR9\r'),
	('LH', 3320, 'DUS', 345, 'NCL', 521, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'DUS', 345, 'NRT', 2279, 'Y', 0, '788\r'),
	('LH', 3320, 'DUS', 345, 'ORD', 3830, '', 0, '343\r'),
	('LH', 3320, 'DUS', 345, 'OSL', 644, 'Y', 0, '73G 73W 738 736\r'),
	('LH', 3320, 'DUS', 345, 'OTP', 1657, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'DUS', 345, 'PEK', 3364, 'Y', 0, '330\r'),
	('LH', 3320, 'DUS', 345, 'SKG', 1486, 'Y', 0, '321\r'),
	('LH', 3320, 'DUS', 345, 'SPU', 1206, 'Y', 0, '319\r'),
	('LH', 3320, 'DUS', 345, 'TXL', 351, '', 0, '320 319 CR9\r'),
	('LH', 3320, 'DUS', 345, 'VIE', 1613, '', 0, '320 319 CR9\r'),
	('LH', 3320, 'DUS', 345, 'VKO', 2988, '', 0, '320\r'),
	('LH', 3320, 'DUS', 345, 'VLC', 1246, '', 0, '319 320\r'),
	('LH', 3320, 'DUS', 345, 'WAW', 679, 'Y', 0, 'E75\r'),
	('LH', 3320, 'DUS', 345, 'ZRH', 1678, '', 0, '320 319 CR9\r'),
	('LH', 3320, 'DXB', 2188, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'DXB', 2188, 'MUC', 346, '', 0, '333\r'),
	('LH', 3320, 'EBB', 1187, 'BRU', 302, 'Y', 0, '332\r'),
	('LH', 3320, 'EBB', 1187, 'KGL', 1165, 'Y', 0, '73W\r'),
	('LH', 3320, 'EBL', 3989, 'FRA', 340, '', 0, '319\r'),
	('LH', 3320, 'EDI', 535, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'EDI', 535, 'FRA', 340, '', 0, '321 32A 320 319\r'),
	('LH', 3320, 'ESB', 1682, 'MUC', 346, '', 0, '321 320\r'),
	('LH', 3320, 'EWR', 3494, 'AMS', 580, 'Y', 0, '752 763\r'),
	('LH', 3320, 'EWR', 3494, 'BCN', 1218, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'BFS', 465, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'BHX', 469, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'BRU', 302, 'Y', 0, '764 777\r'),
	('LH', 3320, 'EWR', 3494, 'CDG', 1382, 'Y', 0, '764 752 763\r'),
	('LH', 3320, 'EWR', 3494, 'DUB', 599, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'DUS', 345, '', 0, '343\r'),
	('LH', 3320, 'EWR', 3494, 'EDI', 535, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'FCO', 1555, 'Y', 0, '764\r'),
	('LH', 3320, 'EWR', 3494, 'FRA', 340, '', 0, '744\r'),
	('LH', 3320, 'EWR', 3494, 'GLA', 534, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'HAM', 342, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'LHR', 507, 'Y', 0, '763 752 777\r'),
	('LH', 3320, 'EWR', 3494, 'MAD', 1229, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'MAN', 478, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'MSY', 3861, 'Y', 0, '320 E70\r'),
	('LH', 3320, 'EWR', 3494, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'EWR', 3494, 'MXP', 1524, 'Y', 0, '764\r'),
	('LH', 3320, 'EWR', 3494, 'SNN', 603, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'STR', 350, 'Y', 0, '752\r'),
	('LH', 3320, 'EWR', 3494, 'TXL', 351, 'Y', 0, '752\r'),
	('LH', 3320, 'EZE', 3988, 'FRA', 340, '', 0, '744\r'),
	('LH', 3320, 'FAO', 1626, 'FRA', 340, '', 0, '32A 321 320\r'),
	('LH', 3320, 'FAO', 1626, 'MUC', 346, '', 0, '321\r'),
	('LH', 3320, 'FCO', 1555, 'DUS', 345, '', 0, '320\r'),
	('LH', 3320, 'FCO', 1555, 'EWR', 3494, 'Y', 0, '764\r'),
	('LH', 3320, 'FCO', 1555, 'FRA', 340, '', 0, '321 320\r'),
	('LH', 3320, 'FCO', 1555, 'MUC', 346, '', 0, '321 319 320\r'),
	('LH', 3320, 'FCO', 1555, 'YYZ', 193, 'Y', 0, '333\r'),
	('LH', 3320, 'FDH', 382, 'FRA', 340, 'Y', 0, 'CR7\r'),
	('LH', 3320, 'FIH', 1020, 'BRU', 302, 'Y', 0, '333\r'),
	('LH', 3320, 'FIH', 1020, 'DLA', 897, 'Y', 0, '333\r'),
	('LH', 3320, 'FLR', 1563, 'FRA', 340, 'Y', 0, 'E90\r'),
	('LH', 3320, 'FLR', 1563, 'MUC', 346, '', 0, 'E95\r'),
	('LH', 3320, 'FMO', 341, 'FRA', 340, 'Y', 0, 'CR7\r'),
	('LH', 3320, 'FMO', 341, 'MUC', 346, 'Y', 0, 'E95 CR9\r'),
	('LH', 3320, 'FNA', 1059, 'ROB', 1063, 'Y', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'ABV', 260, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'ABZ', 532, '', 0, '735\r'),
	('LH', 3320, 'FRA', 340, 'ACC', 248, 'Y', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'ADD', 1107, 'Y', 0, '788\r'),
	('LH', 3320, 'FRA', 340, 'AGP', 1230, '', 0, '321 320\r'),
	('LH', 3320, 'FRA', 340, 'ALA', 2908, '', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'ALG', 210, '', 0, '319\r'),
	('LH', 3320, 'FRA', 340, 'AMM', 2170, '', 0, '321\r'),
	('LH', 3320, 'FRA', 340, 'AMS', 580, '', 0, '735 320 319 733 32A 321\r'),
	('LH', 3320, 'FRA', 340, 'ARN', 737, '', 0, '321 32A\r'),
	('LH', 3320, 'FRA', 340, 'ATH', 3941, '', 0, '321\r'),
	('LH', 3320, 'FRA', 340, 'ATL', 3682, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'AUH', 2179, '', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'BCN', 1218, '', 0, '321 320 319 32A\r'),
	('LH', 3320, 'FRA', 340, 'BEG', 1739, '', 0, '320 32A 319 321\r'),
	('LH', 3320, 'FRA', 340, 'BEY', 2177, '', 0, '32A 321 320\r'),
	('LH', 3320, 'FRA', 340, 'BGO', 636, 'Y', 0, '735 E90\r'),
	('LH', 3320, 'FRA', 340, 'BHX', 469, '', 0, '733 319 32A 321 320\r'),
	('LH', 3320, 'FRA', 340, 'BIA', 1321, '', 0, 'E90\r'),
	('LH', 3320, 'FRA', 340, 'BIO', 1216, '', 0, '320 32A 319 321\r'),
	('LH', 3320, 'FRA', 340, 'BKK', 3885, '', 0, '346\r'),
	('LH', 3320, 'FRA', 340, 'BLL', 608, '', 0, '735 733\r'),
	('LH', 3320, 'FRA', 340, 'BLQ', 1538, '', 0, '735 321 319 733 320\r'),
	('LH', 3320, 'FRA', 340, 'BLR', 3131, '', 0, '74H\r'),
	('LH', 3320, 'FRA', 340, 'BOG', 2709, '', 0, '346\r'),
	('LH', 3320, 'FRA', 340, 'BOM', 2997, '', 0, '744\r'),
	('LH', 3320, 'FRA', 340, 'BOS', 3448, '', 0, '744 346\r'),
	('LH', 3320, 'FRA', 340, 'BRE', 353, '', 0, '733 319 321 735 E90\r'),
	('LH', 3320, 'FRA', 340, 'BRU', 302, '', 0, 'E90 733 735 CR7 319 321 320 32A\r'),
	('LH', 3320, 'FRA', 340, 'BSL', 4053, '', 0, 'CR7\r'),
	('LH', 3320, 'FRA', 340, 'BUD', 1489, '', 0, '320 733 321 735 32A\r'),
	('LH', 3320, 'FRA', 340, 'CAI', 1128, '', 0, '32A 321\r'),
	('LH', 3320, 'FRA', 340, 'CCS', 2851, '', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'CDG', 1382, '', 0, '321 32A 735 319 320 733\r'),
	('LH', 3320, 'FRA', 340, 'CMN', 1074, '', 0, '321\r'),
	('LH', 3320, 'FRA', 340, 'CPH', 609, '', 0, '319 733 32A 321 320\r'),
	('LH', 3320, 'FRA', 340, 'CTU', 3395, 'Y', 0, '330\r'),
	('LH', 3320, 'FRA', 340, 'DBV', 1200, 'Y', 0, '319 320 735\r'),
	('LH', 3320, 'FRA', 340, 'DEL', 3093, '', 0, '74H\r'),
	('LH', 3320, 'FRA', 340, 'DEN', 3751, '', 0, '744\r'),
	('LH', 3320, 'FRA', 340, 'DFW', 3670, '', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'DME', 4029, '', 0, '32A 321 320\r'),
	('LH', 3320, 'FRA', 340, 'DMM', 2064, 'Y', 0, '73H\r'),
	('LH', 3320, 'FRA', 340, 'DOH', 2241, '', 0, '333 343\r'),
	('LH', 3320, 'FRA', 340, 'DRS', 338, '', 0, '735 733 32A E90\r'),
	('LH', 3320, 'FRA', 340, 'DTW', 3645, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'DUB', 599, '', 0, '321\r'),
	('LH', 3320, 'FRA', 340, 'DUS', 345, '', 0, '319 320 CR7 E90 321\r'),
	('LH', 3320, 'FRA', 340, 'DXB', 2188, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'EBL', 3989, '', 0, '319\r'),
	('LH', 3320, 'FRA', 340, 'EDI', 535, '', 0, '321 32A 320 319\r'),
	('LH', 3320, 'FRA', 340, 'EWR', 3494, '', 0, '744\r'),
	('LH', 3320, 'FRA', 340, 'EZE', 3988, '', 0, '744\r'),
	('LH', 3320, 'FRA', 340, 'FAO', 1626, '', 0, '32A 321 320\r'),
	('LH', 3320, 'FRA', 340, 'FCO', 1555, '', 0, '321 320\r'),
	('LH', 3320, 'FRA', 340, 'FDH', 382, 'Y', 0, 'CR7\r'),
	('LH', 3320, 'FRA', 340, 'FLR', 1563, 'Y', 0, 'E90\r'),
	('LH', 3320, 'FRA', 340, 'FMO', 341, 'Y', 0, 'CR7\r'),
	('LH', 3320, 'FRA', 340, 'GDN', 668, '', 0, '319 321 32A 320\r'),
	('LH', 3320, 'FRA', 340, 'GIG', 2560, '', 0, '744\r'),
	('LH', 3320, 'FRA', 340, 'GOJ', 4274, '', 0, '319\r'),
	('LH', 3320, 'FRA', 340, 'GOT', 687, '', 0, '319 32A 733 321\r'),
	('LH', 3320, 'FRA', 340, 'GRU', 2564, '', 0, '74H\r'),
	('LH', 3320, 'FRA', 340, 'GRZ', 1609, '', 0, 'E90 733\r'),
	('LH', 3320, 'FRA', 340, 'GVA', 1665, '', 0, 'CR7 735 E90\r'),
	('LH', 3320, 'FRA', 340, 'GWT', 410, 'Y', 0, 'E90\r'),
	('LH', 3320, 'FRA', 340, 'GYD', 2922, '', 0, '333 343\r'),
	('LH', 3320, 'FRA', 340, 'HAJ', 352, '', 0, '319 735 733 32A\r'),
	('LH', 3320, 'FRA', 340, 'HAM', 342, '', 0, '321 320 319 32A\r'),
	('LH', 3320, 'FRA', 340, 'HEL', 421, '', 0, '321 32A 320\r'),
	('LH', 3320, 'FRA', 340, 'HER', 1452, 'Y', 0, '320\r'),
	('LH', 3320, 'FRA', 340, 'HKG', 3077, '', 0, '74H\r'),
	('LH', 3320, 'FRA', 340, 'HND', 2359, '', 0, '744\r'),
	('LH', 3320, 'FRA', 340, 'IAD', 3714, '', 0, '333 74H\r'),
	('LH', 3320, 'FRA', 340, 'IAH', 3550, '', 0, '388\r'),
	('LH', 3320, 'FRA', 340, 'IBZ', 1225, '', 0, '321 319\r'),
	('LH', 3320, 'FRA', 340, 'ICN', 3930, '', 0, '74H\r'),
	('LH', 3320, 'FRA', 340, 'IKA', 4330, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'INN', 1610, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'FRA', 340, 'IST', 1701, '', 0, '321\r'),
	('LH', 3320, 'FRA', 340, 'JED', 2072, '', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'JFK', 3797, '', 0, '388 744\r'),
	('LH', 3320, 'FRA', 340, 'JNB', 813, '', 0, '388\r'),
	('LH', 3320, 'FRA', 340, 'KBP', 2939, '', 0, '32A 319 320\r'),
	('LH', 3320, 'FRA', 340, 'KIX', 3992, '', 0, '744\r'),
	('LH', 3320, 'FRA', 340, 'KRK', 669, '', 0, '735 321 733 32A 319\r'),
	('LH', 3320, 'FRA', 340, 'KTW', 671, 'Y', 0, '735 CR7 733\r'),
	('LH', 3320, 'FRA', 340, 'KUF', 4118, '', 0, '319\r'),
	('LH', 3320, 'FRA', 340, 'KUL', 3304, '', 0, '346\r'),
	('LH', 3320, 'FRA', 340, 'KWI', 2176, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'LAD', 951, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'LAX', 3484, '', 0, '74H\r'),
	('LH', 3320, 'FRA', 340, 'LCA', 1197, '', 0, '32A 321\r'),
	('LH', 3320, 'FRA', 340, 'LCY', 503, 'Y', 0, 'E90\r'),
	('LH', 3320, 'FRA', 340, 'LED', 2948, '', 0, '32A 321 320\r'),
	('LH', 3320, 'FRA', 340, 'LEJ', 348, '', 0, 'CR7 E90 735\r'),
	('LH', 3320, 'FRA', 340, 'LHR', 507, '', 0, '32A 319 320 321 733\r'),
	('LH', 3320, 'FRA', 340, 'LIN', 1529, '', 0, '321 E90 320 319 32A\r'),
	('LH', 3320, 'FRA', 340, 'LIS', 1638, '', 0, '321 32A\r'),
	('LH', 3320, 'FRA', 340, 'LJU', 1569, 'Y', 0, 'CR9 319\r'),
	('LH', 3320, 'FRA', 340, 'LNZ', 1611, '', 0, 'CR7 E90\r'),
	('LH', 3320, 'FRA', 340, 'LOS', 273, '', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'LYS', 1335, '', 0, '32A 319 733 321 735\r'),
	('LH', 3320, 'FRA', 340, 'MAA', 3144, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'MAD', 1229, '', 0, '32A 321 319 320\r'),
	('LH', 3320, 'FRA', 340, 'MAN', 478, '', 0, '319 321 32A 320 733\r'),
	('LH', 3320, 'FRA', 340, 'MCO', 3878, '', 0, '744\r'),
	('LH', 3320, 'FRA', 340, 'MEX', 1824, '', 0, '74H\r'),
	('LH', 3320, 'FRA', 340, 'MIA', 3576, '', 0, '388\r'),
	('LH', 3320, 'FRA', 340, 'MLA', 1606, '', 0, '321 32A\r'),
	('LH', 3320, 'FRA', 340, 'MPL', 1359, '', 0, '735\r'),
	('LH', 3320, 'FRA', 340, 'MRS', 1353, '', 0, 'E90 320 32A 319\r'),
	('LH', 3320, 'FRA', 340, 'MSQ', 2954, 'Y', 0, 'E90\r'),
	('LH', 3320, 'FRA', 340, 'MUC', 346, '', 0, '320 321 32A 319\r'),
	('LH', 3320, 'FRA', 340, 'MXP', 1524, '', 0, '320 319 321 32A 733\r'),
	('LH', 3320, 'FRA', 340, 'NAP', 1561, '', 0, '321 32A 320\r'),
	('LH', 3320, 'FRA', 340, 'NCE', 1354, '', 0, '32A 319 321 320\r'),
	('LH', 3320, 'FRA', 340, 'NGO', 3942, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'NKG', 3388, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'NUE', 347, '', 0, '319 735 CR7 321 733 E90 32A 320\r'),
	('LH', 3320, 'FRA', 340, 'OLB', 1520, 'Y', 0, 'E90\r'),
	('LH', 3320, 'FRA', 340, 'OPO', 1636, '', 0, '321\r'),
	('LH', 3320, 'FRA', 340, 'ORD', 3830, '', 0, '74H 744\r'),
	('LH', 3320, 'FRA', 340, 'OSL', 644, '', 0, '319 32A 320\r'),
	('LH', 3320, 'FRA', 340, 'OTP', 1657, '', 0, '320 733 32A 319\r'),
	('LH', 3320, 'FRA', 340, 'PEK', 3364, '', 0, '388\r'),
	('LH', 3320, 'FRA', 340, 'PHL', 3752, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'PMI', 3998, '', 0, '319 32A\r'),
	('LH', 3320, 'FRA', 340, 'PMO', 1512, 'Y', 0, 'E90\r'),
	('LH', 3320, 'FRA', 340, 'PNQ', 3017, 'Y', 0, '73H\r'),
	('LH', 3320, 'FRA', 340, 'POZ', 674, '', 0, 'CR7\r'),
	('LH', 3320, 'FRA', 340, 'PRG', 1587, '', 0, '321 733 32A 320\r'),
	('LH', 3320, 'FRA', 340, 'PRN', 1742, 'Y', 0, '319\r'),
	('LH', 3320, 'FRA', 340, 'PUY', 1203, 'Y', 0, '319 320\r'),
	('LH', 3320, 'FRA', 340, 'PVG', 3406, '', 0, '388 744\r'),
	('LH', 3320, 'FRA', 340, 'RIX', 3953, '', 0, '321 320\r'),
	('LH', 3320, 'FRA', 340, 'RUH', 2082, '', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'RZE', 675, '', 0, 'CR7\r'),
	('LH', 3320, 'FRA', 340, 'SEA', 3577, '', 0, '333 343\r'),
	('LH', 3320, 'FRA', 340, 'SFO', 3469, '', 0, '744 388\r'),
	('LH', 3320, 'FRA', 340, 'SHE', 4144, '', 0, '343\r'),
	('LH', 3320, 'FRA', 340, 'SIN', 3316, '', 0, '388\r'),
	('LH', 3320, 'FRA', 340, 'SKG', 1486, 'Y', 0, '321\r'),
	('LH', 3320, 'FRA', 340, 'SOF', 1194, '', 0, '320 32A 319 321\r'),
	('LH', 3320, 'FRA', 340, 'SPU', 1206, '', 0, '319\r'),
	('LH', 3320, 'FRA', 340, 'STR', 350, '', 0, '319 735 320 32A\r'),
	('LH', 3320, 'FRA', 340, 'SVG', 666, '', 0, '319 733\r'),
	('LH', 3320, 'FRA', 340, 'SZG', 1612, 'Y', 0, '100\r'),
	('LH', 3320, 'FRA', 340, 'TLL', 415, '', 0, '321 320 32A\r'),
	('LH', 3320, 'FRA', 340, 'TLS', 1273, '', 0, '319 735 733\r'),
	('LH', 3320, 'FRA', 340, 'TLV', 1590, '', 0, '321\r'),
	('LH', 3320, 'FRA', 340, 'TRN', 1526, '', 0, '735 E90 CR7\r'),
	('LH', 3320, 'FRA', 340, 'TSE', 2910, '', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'TUN', 287, '', 0, '319\r'),
	('LH', 3320, 'FRA', 340, 'TXL', 351, '', 0, '321 320 32A\r'),
	('LH', 3320, 'FRA', 340, 'VCE', 1551, '', 0, '321 32A 319\r'),
	('LH', 3320, 'FRA', 340, 'VIE', 1613, '', 0, '321\r'),
	('LH', 3320, 'FRA', 340, 'VKO', 2988, '', 0, '32A 321\r'),
	('LH', 3320, 'FRA', 340, 'VLC', 1246, '', 0, '32A 319\r'),
	('LH', 3320, 'FRA', 340, 'VNO', 3959, '', 0, '321 320\r'),
	('LH', 3320, 'FRA', 340, 'VRN', 1550, 'Y', 0, 'E95\r'),
	('LH', 3320, 'FRA', 340, 'WAW', 679, '', 0, '321 320 32A 319\r'),
	('LH', 3320, 'FRA', 340, 'WRO', 680, '', 0, 'CR7 32A\r'),
	('LH', 3320, 'FRA', 340, 'YOW', 100, 'Y', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'YUL', 146, 'Y', 0, '333\r'),
	('LH', 3320, 'FRA', 340, 'YVR', 156, '', 0, '744\r'),
	('LH', 3320, 'FRA', 340, 'YYC', 178, 'Y', 0, '77W\r'),
	('LH', 3320, 'FRA', 340, 'YYZ', 193, '', 0, '744\r'),
	('LH', 3320, 'FRA', 340, 'ZAD', 1209, 'Y', 0, '319\r'),
	('LH', 3320, 'FRA', 340, 'ZAG', 1208, '', 0, '733 32A\r'),
	('LH', 3320, 'FRA', 340, 'ZRH', 1678, '', 0, '733 E90 735 319 320 321\r'),
	('LH', 3320, 'GDN', 668, 'FRA', 340, '', 0, '319 321 32A 320\r'),
	('LH', 3320, 'GDN', 668, 'MUC', 346, '', 0, 'E95\r'),
	('LH', 3320, 'GIG', 2560, 'FRA', 340, '', 0, '744\r'),
	('LH', 3320, 'GLA', 534, 'DUS', 345, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'GLA', 534, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'GOA', 1528, 'MUC', 346, '', 0, 'CR9 CR7\r'),
	('LH', 3320, 'GOJ', 4274, 'FRA', 340, '', 0, '319\r'),
	('LH', 3320, 'GOT', 687, 'DUS', 345, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'GOT', 687, 'FRA', 340, '', 0, '32A 319 733 321\r'),
	('LH', 3320, 'GOT', 687, 'MUC', 346, 'Y', 0, 'E95 CR9\r'),
	('LH', 3320, 'GRU', 2564, 'CWB', 2545, 'Y', 0, '320\r'),
	('LH', 3320, 'GRU', 2564, 'FRA', 340, '', 0, '74H\r'),
	('LH', 3320, 'GRU', 2564, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'GRZ', 1609, 'DUS', 345, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'GRZ', 1609, 'FRA', 340, '', 0, 'E90 733\r'),
	('LH', 3320, 'GRZ', 1609, 'MUC', 346, 'Y', 0, 'CR9 CR7\r'),
	('LH', 3320, 'GRZ', 1609, 'STR', 350, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'GVA', 1665, 'FRA', 340, '', 0, '735 CR7\r'),
	('LH', 3320, 'GVA', 1665, 'MUC', 346, '', 0, 'E95 CR9\r'),
	('LH', 3320, 'GVA', 1665, 'YUL', 146, 'Y', 0, '333\r'),
	('LH', 3320, 'GWT', 410, 'FRA', 340, 'Y', 0, 'E90\r'),
	('LH', 3320, 'GWT', 410, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'GYD', 2922, 'ASB', 2976, '', 0, '333 343\r'),
	('LH', 3320, 'GYD', 2922, 'FRA', 340, '', 0, '333 343\r'),
	('LH', 3320, 'HAJ', 352, 'BRU', 302, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'HAJ', 352, 'FRA', 340, '', 0, '735 319 733 32A\r'),
	('LH', 3320, 'HAJ', 352, 'MUC', 346, '', 0, '319 320 321 E95\r'),
	('LH', 3320, 'HAJ', 352, 'ZRH', 1678, 'Y', 0, '100 AR1 320\r'),
	('LH', 3320, 'HAM', 342, 'BRU', 302, 'Y', 0, '319 AR1 DH4\r'),
	('LH', 3320, 'HAM', 342, 'BSL', 4053, 'Y', 0, 'AR1\r'),
	('LH', 3320, 'HAM', 342, 'DUS', 345, '', 0, '320 319\r'),
	('LH', 3320, 'HAM', 342, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'HAM', 342, 'FRA', 340, '', 0, '319 321 320 32A\r'),
	('LH', 3320, 'HAM', 342, 'LIS', 1638, 'Y', 0, '320 319 321\r'),
	('LH', 3320, 'HAM', 342, 'MUC', 346, '', 0, '321 320 319\r'),
	('LH', 3320, 'HAM', 342, 'SCN', 349, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'HAM', 342, 'VIE', 1613, 'Y', 0, '320 321\r'),
	('LH', 3320, 'HAM', 342, 'WAW', 679, 'Y', 0, 'E75 E70\r'),
	('LH', 3320, 'HAM', 342, 'ZRH', 1678, 'Y', 0, '321 320\r'),
	('LH', 3320, 'HEL', 421, 'FRA', 340, '', 0, '321 32A 320\r'),
	('LH', 3320, 'HEL', 421, 'MUC', 346, '', 0, '320 319\r'),
	('LH', 3320, 'HER', 1452, 'FRA', 340, 'Y', 0, '320\r'),
	('LH', 3320, 'HER', 1452, 'MUC', 346, 'Y', 0, '320\r'),
	('LH', 3320, 'HKG', 3077, 'FRA', 340, '', 0, '74H\r'),
	('LH', 3320, 'HKG', 3077, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'HKT', 3179, 'BKK', 3885, 'Y', 0, '333 330\r'),
	('LH', 3320, 'HND', 2359, 'FRA', 340, '', 0, '744\r'),
	('LH', 3320, 'HND', 2359, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'HRE', 1005, 'ADD', 1107, 'Y', 0, '788\r'),
	('LH', 3320, 'HRE', 1005, 'LUN', 907, 'Y', 0, '788\r'),
	('LH', 3320, 'IAD', 3714, 'AMS', 580, 'Y', 0, '763\r'),
	('LH', 3320, 'IAD', 3714, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('LH', 3320, 'IAD', 3714, 'BRU', 302, 'Y', 0, '777 332\r'),
	('LH', 3320, 'IAD', 3714, 'CDG', 1382, 'Y', 0, '763\r'),
	('LH', 3320, 'IAD', 3714, 'FRA', 340, '', 0, '333 74H\r'),
	('LH', 3320, 'IAD', 3714, 'LHR', 507, 'Y', 0, '752 777\r'),
	('LH', 3320, 'IAD', 3714, 'MSY', 3861, 'Y', 0, '738 739\r'),
	('LH', 3320, 'IAD', 3714, 'MUC', 346, '', 0, '333\r'),
	('LH', 3320, 'IAH', 3550, 'AMS', 580, 'Y', 0, '777\r'),
	('LH', 3320, 'IAH', 3550, 'FRA', 340, '', 0, '388\r'),
	('LH', 3320, 'IAH', 3550, 'LHR', 507, 'Y', 0, '763 788\r'),
	('LH', 3320, 'IAH', 3550, 'MSY', 3861, 'Y', 0, '73G 320 ERJ 738 CR7\r'),
	('LH', 3320, 'IBZ', 1225, 'FRA', 340, '', 0, '321 319\r'),
	('LH', 3320, 'ICN', 3930, 'FRA', 340, '', 0, '74H\r'),
	('LH', 3320, 'ICN', 3930, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'IKA', 4330, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'INN', 1610, 'FRA', 340, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'IST', 1701, 'FRA', 340, '', 0, '321\r'),
	('LH', 3320, 'IST', 1701, 'MUC', 346, '', 0, '321 320\r'),
	('LH', 3320, 'JED', 2072, 'ADD', 1107, '', 0, '333\r'),
	('LH', 3320, 'JED', 2072, 'FRA', 340, '', 0, '333\r'),
	('LH', 3320, 'JFK', 3797, 'BRU', 302, 'Y', 0, '333\r'),
	('LH', 3320, 'JFK', 3797, 'FRA', 340, '', 0, '388 744\r'),
	('LH', 3320, 'JFK', 3797, 'MSY', 3861, 'Y', 0, 'E90\r'),
	('LH', 3320, 'JFK', 3797, 'MUC', 346, '', 0, '333\r'),
	('LH', 3320, 'JNB', 813, 'FRA', 340, '', 0, '388\r'),
	('LH', 3320, 'JNB', 813, 'MUC', 346, 'Y', 0, '346 343 332\r'),
	('LH', 3320, 'JRO', 1180, 'ADD', 1107, 'Y', 0, '763\r'),
	('LH', 3320, 'KBP', 2939, 'FRA', 340, '', 0, '321 32A 319 320\r'),
	('LH', 3320, 'KBP', 2939, 'MUC', 346, '', 0, '319 320 321\r'),
	('LH', 3320, 'KBV', 3174, 'BKK', 3885, 'Y', 0, '333\r'),
	('LH', 3320, 'KGL', 1165, 'EBB', 1187, 'Y', 0, '332\r'),
	('LH', 3320, 'KGL', 1165, 'NBO', 4059, 'Y', 0, '332\r'),
	('LH', 3320, 'KIV', 1735, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'KIX', 3992, 'FRA', 340, '', 0, '744\r'),
	('LH', 3320, 'KIX', 3992, 'NRT', 2279, '', 0, '744\r'),
	('LH', 3320, 'KLX', 1456, 'MUC', 346, 'Y', 0, '319\r'),
	('LH', 3320, 'KRK', 669, 'FRA', 340, '', 0, '735 321 733 32A 319\r'),
	('LH', 3320, 'KRK', 669, 'MUC', 346, 'Y', 0, '319 320 E95\r'),
	('LH', 3320, 'KTW', 671, 'FRA', 340, 'Y', 0, '735 CR7 733\r'),
	('LH', 3320, 'KUF', 4118, 'FRA', 340, '', 0, '319\r'),
	('LH', 3320, 'KUL', 3304, 'FRA', 340, '', 0, '346\r'),
	('LH', 3320, 'KWI', 2176, 'DMM', 2064, '', 0, '343\r'),
	('LH', 3320, 'KWI', 2176, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'LAD', 951, 'FIH', 1020, 'Y', 0, '333\r'),
	('LH', 3320, 'LAD', 951, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'LAX', 3484, 'FRA', 340, '', 0, '74H\r'),
	('LH', 3320, 'LAX', 3484, 'LHR', 507, 'Y', 0, '777\r'),
	('LH', 3320, 'LAX', 3484, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'LCA', 1197, 'FRA', 340, '', 0, '32A 321\r'),
	('LH', 3320, 'LCA', 1197, 'MUC', 346, '', 0, '321\r'),
	('LH', 3320, 'LCY', 503, 'FRA', 340, 'Y', 0, 'E90\r'),
	('LH', 3320, 'LED', 2948, 'DUS', 345, '', 0, '319 320\r'),
	('LH', 3320, 'LED', 2948, 'FRA', 340, '', 0, '320 32A 321\r'),
	('LH', 3320, 'LED', 2948, 'MUC', 346, '', 0, '320 321\r'),
	('LH', 3320, 'LEJ', 348, 'FRA', 340, '', 0, 'E90 CR7 735\r'),
	('LH', 3320, 'LEJ', 348, 'MUC', 346, 'Y', 0, 'CR9 E95 CR7\r'),
	('LH', 3320, 'LEJ', 348, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'LFW', 298, 'BRU', 302, 'Y', 0, '333\r'),
	('LH', 3320, 'LHR', 507, 'DUS', 345, '', 0, '320 CR9\r'),
	('LH', 3320, 'LHR', 507, 'EWR', 3494, 'Y', 0, '763 777 752\r'),
	('LH', 3320, 'LHR', 507, 'FRA', 340, '', 0, '319 320 32A 321 733\r'),
	('LH', 3320, 'LHR', 507, 'IAD', 3714, 'Y', 0, '752 777\r'),
	('LH', 3320, 'LHR', 507, 'IAH', 3550, 'Y', 0, '763 788\r'),
	('LH', 3320, 'LHR', 507, 'LAX', 3484, 'Y', 0, '777\r'),
	('LH', 3320, 'LHR', 507, 'MUC', 346, '', 0, '319 320 321\r'),
	('LH', 3320, 'LHR', 507, 'ORD', 3830, 'Y', 0, '763\r'),
	('LH', 3320, 'LHR', 507, 'SFO', 3469, 'Y', 0, '777\r'),
	('LH', 3320, 'LHR', 507, 'YEG', 49, 'Y', 0, '763\r'),
	('LH', 3320, 'LHR', 507, 'YHZ', 73, 'Y', 0, '763\r'),
	('LH', 3320, 'LHR', 507, 'YOW', 100, 'Y', 0, '763\r'),
	('LH', 3320, 'LHR', 507, 'YUL', 146, 'Y', 0, '77W\r'),
	('LH', 3320, 'LHR', 507, 'YVR', 156, 'Y', 0, '77W\r'),
	('LH', 3320, 'LHR', 507, 'YYC', 178, 'Y', 0, '333\r'),
	('LH', 3320, 'LHR', 507, 'YYT', 189, 'Y', 0, '319\r'),
	('LH', 3320, 'LHR', 507, 'YYZ', 193, 'Y', 0, '77L 763 77W 333\r'),
	('LH', 3320, 'LIM', 2789, 'UIO', 2688, '', 0, 'M1F\r'),
	('LH', 3320, 'LIN', 1529, 'BRU', 302, 'Y', 0, 'AR1 319\r'),
	('LH', 3320, 'LIN', 1529, 'FRA', 340, '', 0, '320 321 E90 319 32A\r'),
	('LH', 3320, 'LIS', 1638, 'FRA', 340, '', 0, '321 32A\r'),
	('LH', 3320, 'LIS', 1638, 'HAM', 342, 'Y', 0, '319 320 321\r'),
	('LH', 3320, 'LIS', 1638, 'MUC', 346, '', 0, '321\r'),
	('LH', 3320, 'LJU', 1569, 'FRA', 340, 'Y', 0, 'CR9 319\r'),
	('LH', 3320, 'LJU', 1569, 'MUC', 346, 'Y', 0, 'CR9 CR2\r'),
	('LH', 3320, 'LNZ', 1611, 'DUS', 345, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'LNZ', 1611, 'FRA', 340, '', 0, 'CR7 E90\r'),
	('LH', 3320, 'LOS', 273, 'FRA', 340, '', 0, '333\r'),
	('LH', 3320, 'LOS', 273, 'PHC', 275, '', 0, '333\r'),
	('LH', 3320, 'LUN', 907, 'HRE', 1005, 'Y', 0, '788\r'),
	('LH', 3320, 'LUX', 629, 'MUC', 346, 'Y', 0, 'CR9 CR7\r'),
	('LH', 3320, 'LUX', 629, 'SCN', 349, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'LUX', 629, 'TXL', 351, 'Y', 0, 'DH4 ER4\r'),
	('LH', 3320, 'LWO', 2945, 'MUC', 346, 'Y', 0, 'CR7 CR9\r'),
	('LH', 3320, 'LYS', 1335, 'FRA', 340, '', 0, '32A 319 733 321 735\r'),
	('LH', 3320, 'LYS', 1335, 'MUC', 346, 'Y', 0, 'E95 CR9\r'),
	('LH', 3320, 'MAA', 3144, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'MAD', 1229, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'MAD', 1229, 'FRA', 340, '', 0, '321 32A 319 320\r'),
	('LH', 3320, 'MAD', 1229, 'MUC', 346, '', 0, '321 320 319\r'),
	('LH', 3320, 'MAN', 478, 'DUS', 345, 'Y', 0, '319 CR9\r'),
	('LH', 3320, 'MAN', 478, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'MAN', 478, 'FRA', 340, '', 0, '32A 319 321 320 733\r'),
	('LH', 3320, 'MAN', 478, 'MUC', 346, '', 0, '320 319\r'),
	('LH', 3320, 'MBA', 1145, 'JRO', 1180, 'Y', 0, 'DH8\r'),
	('LH', 3320, 'MCO', 3878, 'FRA', 340, '', 0, '744\r'),
	('LH', 3320, 'MCT', 2194, 'AUH', 2179, '', 0, '333\r'),
	('LH', 3320, 'MEX', 1824, 'FRA', 340, '', 0, '74H\r'),
	('LH', 3320, 'MEX', 1824, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'MIA', 3576, 'FRA', 340, '', 0, '388\r'),
	('LH', 3320, 'MLA', 1606, 'CTA', 1509, 'Y', 0, '319\r'),
	('LH', 3320, 'MLA', 1606, 'DUS', 345, 'Y', 0, '319 320\r'),
	('LH', 3320, 'MLA', 1606, 'FRA', 340, '', 0, '321 32A\r'),
	('LH', 3320, 'MLA', 1606, 'MUC', 346, '', 0, '319 320\r'),
	('LH', 3320, 'MPL', 1359, 'FRA', 340, '', 0, '735\r'),
	('LH', 3320, 'MRS', 1353, 'FRA', 340, '', 0, 'E90 320 32A 319\r'),
	('LH', 3320, 'MRS', 1353, 'MUC', 346, 'Y', 0, 'E95 CR9\r'),
	('LH', 3320, 'MSQ', 2954, 'FRA', 340, 'Y', 0, 'E90\r'),
	('LH', 3320, 'MSY', 3861, 'EWR', 3494, 'Y', 0, '738 ERJ\r'),
	('LH', 3320, 'MSY', 3861, 'IAD', 3714, 'Y', 0, '320 319\r'),
	('LH', 3320, 'MSY', 3861, 'IAH', 3550, 'Y', 0, 'CR7 738 ERJ\r'),
	('LH', 3320, 'MSY', 3861, 'JFK', 3797, 'Y', 0, 'E90 320\r'),
	('LH', 3320, 'MUC', 346, 'ADB', 1706, '', 0, '321 319 320\r'),
	('LH', 3320, 'MUC', 346, 'AGP', 1230, '', 0, '320 321\r'),
	('LH', 3320, 'MUC', 346, 'AMS', 580, 'Y', 0, 'E95 CR9\r'),
	('LH', 3320, 'MUC', 346, 'AOI', 4309, 'Y', 0, 'CR9 E95\r'),
	('LH', 3320, 'MUC', 346, 'ARN', 737, '', 0, 'CR9 320 321 319\r'),
	('LH', 3320, 'MUC', 346, 'ATH', 3941, '', 0, '321\r'),
	('LH', 3320, 'MUC', 346, 'BCN', 1218, '', 0, '319 321 320 E95\r'),
	('LH', 3320, 'MUC', 346, 'BEG', 1739, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'BHX', 469, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'BIO', 1216, '', 0, 'E95 319 320\r'),
	('LH', 3320, 'MUC', 346, 'BKK', 3885, 'Y', 0, '747\r'),
	('LH', 3320, 'MUC', 346, 'BLQ', 1538, '', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'BOM', 2997, '', 0, '333\r'),
	('LH', 3320, 'MUC', 346, 'BOS', 3448, '', 0, '333\r'),
	('LH', 3320, 'MUC', 346, 'BRE', 353, '', 0, 'E95 319 321 320\r'),
	('LH', 3320, 'MUC', 346, 'BRI', 1501, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'BRU', 302, '', 0, '319 E95 320\r'),
	('LH', 3320, 'MUC', 346, 'BSL', 4053, 'Y', 0, 'CR9 CR7\r'),
	('LH', 3320, 'MUC', 346, 'BUD', 1489, '', 0, '320 E95 CR9 319 321\r'),
	('LH', 3320, 'MUC', 346, 'CAG', 1519, '', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'CAI', 1128, 'Y', 0, '738\r'),
	('LH', 3320, 'MUC', 346, 'CDG', 1382, '', 0, 'E95 320 321 319\r'),
	('LH', 3320, 'MUC', 346, 'CGN', 344, '', 0, '319 321 320 E95\r'),
	('LH', 3320, 'MUC', 346, 'CLJ', 1652, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'CLT', 3876, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'CPH', 609, 'Y', 0, 'CR9 E95 320 321 319\r'),
	('LH', 3320, 'MUC', 346, 'CTA', 1509, '', 0, 'E95 321\r'),
	('LH', 3320, 'MUC', 346, 'DBV', 1200, '', 0, '319 E95 320\r'),
	('LH', 3320, 'MUC', 346, 'DEL', 3093, '', 0, '346 333\r'),
	('LH', 3320, 'MUC', 346, 'DME', 4029, '', 0, '320 321 319\r'),
	('LH', 3320, 'MUC', 346, 'DOK', 2940, 'Y', 0, 'CR7 CR9\r'),
	('LH', 3320, 'MUC', 346, 'DRS', 338, '', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'DTM', 373, '', 0, '319\r'),
	('LH', 3320, 'MUC', 346, 'DUB', 599, '', 0, '320 319\r'),
	('LH', 3320, 'MUC', 346, 'DUS', 345, '', 0, '320 321 319\r'),
	('LH', 3320, 'MUC', 346, 'DXB', 2188, '', 0, '333\r'),
	('LH', 3320, 'MUC', 346, 'ESB', 1682, '', 0, '321 320\r'),
	('LH', 3320, 'MUC', 346, 'EWR', 3494, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'FAO', 1626, '', 0, '321\r'),
	('LH', 3320, 'MUC', 346, 'FCO', 1555, '', 0, '320 321 319\r'),
	('LH', 3320, 'MUC', 346, 'FLR', 1563, '', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'FMO', 341, 'Y', 0, 'E95 CR9\r'),
	('LH', 3320, 'MUC', 346, 'FRA', 340, '', 0, '321 320 32A 319\r'),
	('LH', 3320, 'MUC', 346, 'GDN', 668, '', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'GOA', 1528, '', 0, 'CR9 CR7\r'),
	('LH', 3320, 'MUC', 346, 'GOT', 687, 'Y', 0, 'E95 CR9\r'),
	('LH', 3320, 'MUC', 346, 'GRU', 2564, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'GRZ', 1609, 'Y', 0, 'CR9 CR7\r'),
	('LH', 3320, 'MUC', 346, 'GVA', 1665, '', 0, 'E95 CR9\r'),
	('LH', 3320, 'MUC', 346, 'GWT', 410, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'HAJ', 352, '', 0, '320 321 319 E95\r'),
	('LH', 3320, 'MUC', 346, 'HAM', 342, '', 0, '320 321 319\r'),
	('LH', 3320, 'MUC', 346, 'HEL', 421, '', 0, '319 320\r'),
	('LH', 3320, 'MUC', 346, 'HER', 1452, 'Y', 0, '320\r'),
	('LH', 3320, 'MUC', 346, 'HKG', 3077, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'HND', 2359, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'IAD', 3714, '', 0, '333\r'),
	('LH', 3320, 'MUC', 346, 'ICN', 3930, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'IST', 1701, '', 0, '321 320\r'),
	('LH', 3320, 'MUC', 346, 'JFK', 3797, '', 0, '333\r'),
	('LH', 3320, 'MUC', 346, 'JNB', 813, 'Y', 0, '346 343 332\r'),
	('LH', 3320, 'MUC', 346, 'KBP', 2939, '', 0, '319 320 321\r'),
	('LH', 3320, 'MUC', 346, 'KIV', 1735, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'KLX', 1456, 'Y', 0, '319\r'),
	('LH', 3320, 'MUC', 346, 'KRK', 669, 'Y', 0, '319 320 E95\r'),
	('LH', 3320, 'MUC', 346, 'LAX', 3484, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'LCA', 1197, '', 0, '321\r'),
	('LH', 3320, 'MUC', 346, 'LED', 2948, '', 0, '321 320\r'),
	('LH', 3320, 'MUC', 346, 'LEJ', 348, 'Y', 0, 'CR9 E95 CR7\r'),
	('LH', 3320, 'MUC', 346, 'LHR', 507, '', 0, '320 321 319\r'),
	('LH', 3320, 'MUC', 346, 'LIS', 1638, '', 0, '321\r'),
	('LH', 3320, 'MUC', 346, 'LJU', 1569, 'Y', 0, 'CR9 CR2\r'),
	('LH', 3320, 'MUC', 346, 'LUX', 629, 'Y', 0, 'CR9 CR7\r'),
	('LH', 3320, 'MUC', 346, 'LWO', 2945, 'Y', 0, 'CR7 CR9\r'),
	('LH', 3320, 'MUC', 346, 'LYS', 1335, 'Y', 0, 'E95 CR9\r'),
	('LH', 3320, 'MUC', 346, 'MAD', 1229, '', 0, '321 320 319\r'),
	('LH', 3320, 'MUC', 346, 'MAN', 478, '', 0, '319 320\r'),
	('LH', 3320, 'MUC', 346, 'MEX', 1824, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'MLA', 1606, '', 0, '319 320\r'),
	('LH', 3320, 'MUC', 346, 'MRS', 1353, 'Y', 0, 'CR9 E95\r'),
	('LH', 3320, 'MUC', 346, 'MXP', 1524, '', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'NAP', 1561, '', 0, '321\r'),
	('LH', 3320, 'MUC', 346, 'NCE', 1354, '', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'NUE', 347, 'Y', 0, 'CR7 CR9\r'),
	('LH', 3320, 'MUC', 346, 'ODS', 2947, 'Y', 0, 'CR9 CR7\r'),
	('LH', 3320, 'MUC', 346, 'OLB', 1520, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'ORD', 3830, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'OSL', 644, '', 0, '319 E95 320 321\r'),
	('LH', 3320, 'MUC', 346, 'OTP', 1657, '', 0, '320 321\r'),
	('LH', 3320, 'MUC', 346, 'PAD', 371, 'Y', 0, 'CR9 CR7\r'),
	('LH', 3320, 'MUC', 346, 'PEK', 3364, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'PMI', 3998, '', 0, '320 319 321\r'),
	('LH', 3320, 'MUC', 346, 'PMO', 1512, 'Y', 0, 'E95 319\r'),
	('LH', 3320, 'MUC', 346, 'POZ', 674, '', 0, 'CR7 CR9\r'),
	('LH', 3320, 'MUC', 346, 'PRG', 1587, '', 0, 'E95 CR9\r'),
	('LH', 3320, 'MUC', 346, 'PRN', 1742, 'Y', 0, '319\r'),
	('LH', 3320, 'MUC', 346, 'PSA', 1562, '', 0, 'CR9 E95\r'),
	('LH', 3320, 'MUC', 346, 'PVG', 3406, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'RLG', 772, 'Y', 0, 'CR9 E95\r'),
	('LH', 3320, 'MUC', 346, 'RTM', 591, 'Y', 0, 'CR7 CR9\r'),
	('LH', 3320, 'MUC', 346, 'RUH', 2082, '', 0, '333\r'),
	('LH', 3320, 'MUC', 346, 'SBZ', 1658, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'MUC', 346, 'SFO', 3469, '', 0, '346\r'),
	('LH', 3320, 'MUC', 346, 'SJJ', 1646, '', 0, '319 E95\r'),
	('LH', 3320, 'MUC', 346, 'SKG', 1486, 'Y', 0, '320\r'),
	('LH', 3320, 'MUC', 346, 'SOF', 1194, '', 0, '321 320\r'),
	('LH', 3320, 'MUC', 346, 'SPU', 1206, 'Y', 0, 'DH4 CR9\r'),
	('LH', 3320, 'MUC', 346, 'STR', 350, 'Y', 0, 'CR9 CR7 E95\r'),
	('LH', 3320, 'MUC', 346, 'SUF', 1508, 'Y', 0, '319\r'),
	('LH', 3320, 'MUC', 346, 'TBS', 3973, '', 0, '319\r'),
	('LH', 3320, 'MUC', 346, 'TIA', 1190, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'TLS', 1273, 'Y', 0, 'E95 319 CR9\r'),
	('LH', 3320, 'MUC', 346, 'TLV', 1590, '', 0, '321\r'),
	('LH', 3320, 'MUC', 346, 'TRN', 1526, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'TRS', 1545, 'Y', 0, 'CR9 CR7\r'),
	('LH', 3320, 'MUC', 346, 'TSR', 1663, 'Y', 0, 'CR9 E95\r'),
	('LH', 3320, 'MUC', 346, 'TXL', 351, '', 0, '320 321 319\r'),
	('LH', 3320, 'MUC', 346, 'VCE', 1551, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'VIE', 1613, '', 0, 'E95 319 CR9\r'),
	('LH', 3320, 'MUC', 346, 'VLC', 1246, '', 0, '319\r'),
	('LH', 3320, 'MUC', 346, 'VRN', 1550, 'Y', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'WAW', 679, '', 0, 'E95\r'),
	('LH', 3320, 'MUC', 346, 'WRO', 680, 'Y', 0, 'CR9 E95 CR7\r'),
	('LH', 3320, 'MUC', 346, 'YUL', 146, '', 0, '333\r'),
	('LH', 3320, 'MUC', 346, 'YVR', 156, '', 0, '333\r'),
	('LH', 3320, 'MUC', 346, 'YYZ', 193, 'Y', 0, '77W\r'),
	('LH', 3320, 'MUC', 346, 'ZAD', 1209, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'MUC', 346, 'ZAG', 1208, '', 0, 'E95 CR9\r'),
	('LH', 3320, 'MUC', 346, 'ZRH', 1678, '', 0, 'E95 319 CR9\r'),
	('LH', 3320, 'MXP', 1524, 'BRU', 302, 'Y', 0, '319 AR1\r'),
	('LH', 3320, 'MXP', 1524, 'EWR', 3494, 'Y', 0, '764\r'),
	('LH', 3320, 'MXP', 1524, 'FRA', 340, '', 0, '320 319 321 32A 733\r'),
	('LH', 3320, 'MXP', 1524, 'MUC', 346, '', 0, 'E95\r'),
	('LH', 3320, 'NAP', 1561, 'DUS', 345, 'Y', 0, '319 CR9\r'),
	('LH', 3320, 'NAP', 1561, 'FRA', 340, '', 0, '320 321 32A\r'),
	('LH', 3320, 'NAP', 1561, 'MUC', 346, '', 0, '321\r'),
	('LH', 3320, 'NBO', 4059, 'BRU', 302, 'Y', 0, '332\r'),
	('LH', 3320, 'NBO', 4059, 'DAR', 1177, 'Y', 0, '333\r'),
	('LH', 3320, 'NBO', 4059, 'ZRH', 1678, 'Y', 0, '333\r'),
	('LH', 3320, 'NCE', 1354, 'DUS', 345, '', 0, '320 319 CR9\r'),
	('LH', 3320, 'NCE', 1354, 'FRA', 340, '', 0, '319 32A 321 320\r'),
	('LH', 3320, 'NCE', 1354, 'MUC', 346, '', 0, 'E95\r'),
	('LH', 3320, 'NCL', 521, 'DUS', 345, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'NGO', 3942, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'NKG', 3388, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'NRT', 2279, 'DUS', 345, 'Y', 0, '788\r'),
	('LH', 3320, 'NRT', 2279, 'KIX', 3992, '', 0, '744\r'),
	('LH', 3320, 'NSI', 4161, 'BRU', 302, 'Y', 0, '332\r'),
	('LH', 3320, 'NSI', 4161, 'DLA', 897, 'Y', 0, '332\r'),
	('LH', 3320, 'NUE', 347, 'FRA', 340, '', 0, '319 735 CR7 321 733 E90 32A 320\r'),
	('LH', 3320, 'NUE', 347, 'MUC', 346, 'Y', 0, 'CR7 CR9\r'),
	('LH', 3320, 'NUE', 347, 'ZRH', 1678, 'Y', 0, 'AR1 100\r'),
	('LH', 3320, 'ODS', 2947, 'MUC', 346, 'Y', 0, 'CR9 CR7\r'),
	('LH', 3320, 'OLB', 1520, 'FRA', 340, 'Y', 0, 'E90\r'),
	('LH', 3320, 'OLB', 1520, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'OPO', 1636, 'FRA', 340, '', 0, '321\r'),
	('LH', 3320, 'ORD', 3830, 'AMS', 580, 'Y', 0, '763\r'),
	('LH', 3320, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'CR7 E70\r'),
	('LH', 3320, 'ORD', 3830, 'CDG', 1382, 'Y', 0, '763\r'),
	('LH', 3320, 'ORD', 3830, 'DUS', 345, '', 0, '343\r'),
	('LH', 3320, 'ORD', 3830, 'FRA', 340, '', 0, '74H 744\r'),
	('LH', 3320, 'ORD', 3830, 'LHR', 507, 'Y', 0, '763\r'),
	('LH', 3320, 'ORD', 3830, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'OSL', 644, 'DUS', 345, 'Y', 0, '73G 73W 738 736\r'),
	('LH', 3320, 'OSL', 644, 'FRA', 340, '', 0, '32A 319 320\r'),
	('LH', 3320, 'OSL', 644, 'MUC', 346, '', 0, '320 319 E95 321\r'),
	('LH', 3320, 'OSL', 644, 'TOS', 663, 'Y', 0, '73G\r'),
	('LH', 3320, 'OTP', 1657, 'DUS', 345, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'OTP', 1657, 'FRA', 340, '', 0, '32A 320 733 319\r'),
	('LH', 3320, 'OTP', 1657, 'MUC', 346, '', 0, '320 321\r'),
	('LH', 3320, 'OUA', 246, 'ABJ', 253, 'Y', 0, '333\r'),
	('LH', 3320, 'OUA', 246, 'BRU', 302, 'Y', 0, '333\r'),
	('LH', 3320, 'PAD', 371, 'MUC', 346, 'Y', 0, 'CR9 CR7\r'),
	('LH', 3320, 'PEK', 3364, 'DUS', 345, 'Y', 0, '330\r'),
	('LH', 3320, 'PEK', 3364, 'FRA', 340, '', 0, '388\r'),
	('LH', 3320, 'PEK', 3364, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'PHC', 275, 'LOS', 273, '', 0, '333\r'),
	('LH', 3320, 'PHL', 3752, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'PMI', 3998, 'FRA', 340, '', 0, '319 32A\r'),
	('LH', 3320, 'PMI', 3998, 'MUC', 346, '', 0, '320 319 321\r'),
	('LH', 3320, 'PMO', 1512, 'FRA', 340, 'Y', 0, 'E90\r'),
	('LH', 3320, 'PMO', 1512, 'MUC', 346, 'Y', 0, 'E95 319\r'),
	('LH', 3320, 'POZ', 674, 'FRA', 340, '', 0, 'CR7\r'),
	('LH', 3320, 'POZ', 674, 'MUC', 346, '', 0, 'CR9 CR7\r'),
	('LH', 3320, 'PRG', 1587, 'FRA', 340, '', 0, '321 733 32A 320\r'),
	('LH', 3320, 'PRG', 1587, 'MUC', 346, '', 0, 'E95 CR9\r'),
	('LH', 3320, 'PRN', 1742, 'FRA', 340, 'Y', 0, '319\r'),
	('LH', 3320, 'PRN', 1742, 'MUC', 346, 'Y', 0, '319\r'),
	('LH', 3320, 'PSA', 1562, 'MUC', 346, '', 0, 'CR9 E95\r'),
	('LH', 3320, 'PVG', 3406, 'FRA', 340, '', 0, '388 744\r'),
	('LH', 3320, 'PVG', 3406, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'RIX', 3953, 'FRA', 340, '', 0, '321 320\r'),
	('LH', 3320, 'RLG', 772, 'MUC', 346, 'Y', 0, 'CR9 E95\r'),
	('LH', 3320, 'ROB', 1063, 'BRU', 302, 'Y', 0, '333\r'),
	('LH', 3320, 'RTM', 591, 'MUC', 346, 'Y', 0, 'CR7 CR9\r'),
	('LH', 3320, 'RUH', 2082, 'FRA', 340, '', 0, '333\r'),
	('LH', 3320, 'RUH', 2082, 'MUC', 346, '', 0, '333\r'),
	('LH', 3320, 'RZE', 675, 'FRA', 340, '', 0, 'CR7\r'),
	('LH', 3320, 'SBZ', 1658, 'MUC', 346, 'Y', 0, 'CR9\r'),
	('LH', 3320, 'SCN', 349, 'HAM', 342, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'SCN', 349, 'LUX', 629, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'SCN', 349, 'TXL', 351, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'SEA', 3577, 'FRA', 340, '', 0, '333 343\r'),
	('LH', 3320, 'SFO', 3469, 'FRA', 340, '', 0, '744 388\r'),
	('LH', 3320, 'SFO', 3469, 'LHR', 507, 'Y', 0, '777\r'),
	('LH', 3320, 'SFO', 3469, 'MUC', 346, '', 0, '346\r'),
	('LH', 3320, 'SHE', 4144, 'FRA', 340, '', 0, '343\r'),
	('LH', 3320, 'SHE', 4144, 'TAO', 3390, '', 0, '343\r'),
	('LH', 3320, 'SIN', 3316, 'FRA', 340, '', 0, '388\r'),
	('LH', 3320, 'SJJ', 1646, 'MUC', 346, '', 0, '319 E95\r'),
	('LH', 3320, 'SKG', 1486, 'ATH', 3941, 'Y', 0, '321\r'),
	('LH', 3320, 'SKG', 1486, 'DUS', 345, 'Y', 0, '321\r'),
	('LH', 3320, 'SKG', 1486, 'FRA', 340, 'Y', 0, '321\r'),
	('LH', 3320, 'SKG', 1486, 'MUC', 346, 'Y', 0, '320\r'),
	('LH', 3320, 'SKG', 1486, 'STR', 350, 'Y', 0, '320\r'),
	('LH', 3320, 'SNN', 603, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'SOF', 1194, 'FRA', 340, '', 0, '32A 320 319 321\r'),
	('LH', 3320, 'SOF', 1194, 'MUC', 346, '', 0, '320 321\r'),
	('LH', 3320, 'SPU', 1206, 'DUS', 345, 'Y', 0, '319\r'),
	('LH', 3320, 'SPU', 1206, 'FRA', 340, '', 0, '319\r'),
	('LH', 3320, 'SPU', 1206, 'MUC', 346, 'Y', 0, 'DH4 CR9\r'),
	('LH', 3320, 'SSG', 891, 'ABV', 260, '', 0, '343\r'),
	('LH', 3320, 'STR', 350, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'STR', 350, 'FRA', 340, '', 0, '733 319 735 320 32A\r'),
	('LH', 3320, 'STR', 350, 'GRZ', 1609, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'STR', 350, 'MUC', 346, 'Y', 0, 'CR9 CR7 E95\r'),
	('LH', 3320, 'STR', 350, 'SKG', 1486, 'Y', 0, '320\r'),
	('LH', 3320, 'STR', 350, 'VIE', 1613, 'Y', 0, '319 100 F70 320 DH4\r'),
	('LH', 3320, 'STR', 350, 'ZRH', 1678, 'Y', 0, '100 AR1 319\r'),
	('LH', 3320, 'SUF', 1508, 'MUC', 346, 'Y', 0, '319\r'),
	('LH', 3320, 'SVG', 666, 'FRA', 340, '', 0, '319 733\r'),
	('LH', 3320, 'SZG', 1612, 'FRA', 340, 'Y', 0, '100\r'),
	('LH', 3320, 'TAO', 3390, 'SHE', 4144, '', 0, '343\r'),
	('LH', 3320, 'TBS', 3973, 'MUC', 346, '', 0, '319\r'),
	('LH', 3320, 'TIA', 1190, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'TLL', 415, 'FRA', 340, '', 0, '320 321 32A\r'),
	('LH', 3320, 'TLS', 1273, 'FRA', 340, '', 0, '321 319 735 733\r'),
	('LH', 3320, 'TLS', 1273, 'MUC', 346, 'Y', 0, 'E95 319 CR9\r'),
	('LH', 3320, 'TLV', 1590, 'FRA', 340, '', 0, '321\r'),
	('LH', 3320, 'TLV', 1590, 'MUC', 346, '', 0, '321\r'),
	('LH', 3320, 'TLV', 1590, 'TXL', 351, '', 0, '320\r'),
	('LH', 3320, 'TOS', 663, 'ALF', 632, 'Y', 0, '73G\r'),
	('LH', 3320, 'TRN', 1526, 'FRA', 340, '', 0, 'E90 735 CR7\r'),
	('LH', 3320, 'TRN', 1526, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'TRS', 1545, 'MUC', 346, 'Y', 0, 'CR7 CR9\r'),
	('LH', 3320, 'TSE', 2910, 'ALA', 2908, '', 0, '333\r'),
	('LH', 3320, 'TSE', 2910, 'FRA', 340, '', 0, '333\r'),
	('LH', 3320, 'TSR', 1663, 'MUC', 346, 'Y', 0, 'CR9 E95\r'),
	('LH', 3320, 'TUN', 287, 'FRA', 340, '', 0, '319\r'),
	('LH', 3320, 'TXL', 351, 'ARN', 737, 'Y', 0, '73H 717 73W 736\r'),
	('LH', 3320, 'TXL', 351, 'ATH', 3941, 'Y', 0, '320\r'),
	('LH', 3320, 'TXL', 351, 'BCN', 1218, '', 0, '320\r'),
	('LH', 3320, 'TXL', 351, 'BRU', 302, 'Y', 0, '319 AR1 320\r'),
	('LH', 3320, 'TXL', 351, 'CDG', 1382, '', 0, '320\r'),
	('LH', 3320, 'TXL', 351, 'CPH', 609, 'Y', 0, '320 CR2 321 319 CR9\r'),
	('LH', 3320, 'TXL', 351, 'DUS', 345, '', 0, '320 319 CR9\r'),
	('LH', 3320, 'TXL', 351, 'EWR', 3494, 'Y', 0, '752\r'),
	('LH', 3320, 'TXL', 351, 'FRA', 340, '', 0, '32A 321 320\r'),
	('LH', 3320, 'TXL', 351, 'LUX', 629, 'Y', 0, 'DH4 ER4\r'),
	('LH', 3320, 'TXL', 351, 'MUC', 346, '', 0, '321 320 319\r'),
	('LH', 3320, 'TXL', 351, 'SCN', 349, 'Y', 0, 'DH4 ER4\r'),
	('LH', 3320, 'TXL', 351, 'TLV', 1590, '', 0, '320\r'),
	('LH', 3320, 'TXL', 351, 'VIE', 1613, 'Y', 0, '320 321 319\r'),
	('LH', 3320, 'TXL', 351, 'VKO', 2988, '', 0, '320\r'),
	('LH', 3320, 'TXL', 351, 'ZAG', 1208, '', 0, '320\r'),
	('LH', 3320, 'TXL', 351, 'ZRH', 1678, 'Y', 0, '321 320\r'),
	('LH', 3320, 'VCE', 1551, 'FRA', 340, '', 0, '321 32A 319\r'),
	('LH', 3320, 'VCE', 1551, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'VIE', 1613, 'CGN', 344, 'Y', 0, '100 F70\r'),
	('LH', 3320, 'VIE', 1613, 'DUS', 345, '', 0, '320 319 CR9\r'),
	('LH', 3320, 'VIE', 1613, 'FRA', 340, '', 0, '321\r'),
	('LH', 3320, 'VIE', 1613, 'HAM', 342, 'Y', 0, '320 321\r'),
	('LH', 3320, 'VIE', 1613, 'LEJ', 348, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'VIE', 1613, 'MUC', 346, '', 0, 'E95 319\r'),
	('LH', 3320, 'VIE', 1613, 'STR', 350, 'Y', 0, '100 319 F70 320 DH4\r'),
	('LH', 3320, 'VIE', 1613, 'TXL', 351, 'Y', 0, '320 321 319\r'),
	('LH', 3320, 'VIE', 1613, 'YYZ', 193, 'Y', 0, '767\r'),
	('LH', 3320, 'VKO', 2988, 'DUS', 345, '', 0, '320\r'),
	('LH', 3320, 'VKO', 2988, 'FRA', 340, '', 0, '321 32A\r'),
	('LH', 3320, 'VKO', 2988, 'TXL', 351, '', 0, '320\r'),
	('LH', 3320, 'VLC', 1246, 'DUS', 345, '', 0, '319 320\r'),
	('LH', 3320, 'VLC', 1246, 'FRA', 340, '', 0, '32A 319\r'),
	('LH', 3320, 'VLC', 1246, 'MUC', 346, '', 0, '319\r'),
	('LH', 3320, 'VNO', 3959, 'BRU', 302, 'Y', 0, 'AR1 319\r'),
	('LH', 3320, 'VNO', 3959, 'FRA', 340, '', 0, '320 321\r'),
	('LH', 3320, 'VRN', 1550, 'FRA', 340, 'Y', 0, 'E95\r'),
	('LH', 3320, 'VRN', 1550, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LH', 3320, 'WAW', 679, 'DUS', 345, 'Y', 0, 'E75\r'),
	('LH', 3320, 'WAW', 679, 'FRA', 340, '', 0, '32A 321 320 319\r'),
	('LH', 3320, 'WAW', 679, 'HAM', 342, 'Y', 0, 'E75 E70\r'),
	('LH', 3320, 'WAW', 679, 'MUC', 346, '', 0, 'E95\r'),
	('LH', 3320, 'WRO', 680, 'FRA', 340, '', 0, 'CR7 32A\r'),
	('LH', 3320, 'WRO', 680, 'MUC', 346, 'Y', 0, 'CR7 CR9 E95\r'),
	('LH', 3320, 'YEG', 49, 'LHR', 507, 'Y', 0, '763\r'),
	('LH', 3320, 'YHZ', 73, 'LHR', 507, 'Y', 0, '763\r'),
	('LH', 3320, 'YOW', 100, 'FRA', 340, 'Y', 0, '333\r'),
	('LH', 3320, 'YOW', 100, 'LHR', 507, 'Y', 0, '763\r'),
	('LH', 3320, 'YUL', 146, 'BRU', 302, 'Y', 0, '333\r'),
	('LH', 3320, 'YUL', 146, 'CDG', 1382, 'Y', 0, '77W\r'),
	('LH', 3320, 'YUL', 146, 'FRA', 340, 'Y', 0, '333\r'),
	('LH', 3320, 'YUL', 146, 'GVA', 1665, 'Y', 0, '333\r'),
	('LH', 3320, 'YUL', 146, 'LHR', 507, 'Y', 0, '77W\r'),
	('LH', 3320, 'YUL', 146, 'MUC', 346, '', 0, '333\r'),
	('LH', 3320, 'YUL', 146, 'YYZ', 193, 'Y', 0, '333\r'),
	('LH', 3320, 'YVR', 156, 'FRA', 340, '', 0, '744\r'),
	('LH', 3320, 'YVR', 156, 'LHR', 507, 'Y', 0, '77W\r'),
	('LH', 3320, 'YVR', 156, 'MUC', 346, '', 0, '333\r'),
	('LH', 3320, 'YYC', 178, 'FRA', 340, 'Y', 0, '77W\r'),
	('LH', 3320, 'YYC', 178, 'LHR', 507, 'Y', 0, '333\r'),
	('LH', 3320, 'YYT', 189, 'LHR', 507, 'Y', 0, '319\r'),
	('LH', 3320, 'YYZ', 193, 'CDG', 1382, 'Y', 0, '77W\r'),
	('LH', 3320, 'YYZ', 193, 'CPH', 609, 'Y', 0, '763\r'),
	('LH', 3320, 'YYZ', 193, 'FCO', 1555, 'Y', 0, '333\r'),
	('LH', 3320, 'YYZ', 193, 'FRA', 340, '', 0, '744\r'),
	('LH', 3320, 'YYZ', 193, 'LHR', 507, 'Y', 0, '763 77L 77W 333\r'),
	('LH', 3320, 'YYZ', 193, 'MUC', 346, 'Y', 0, '77W\r'),
	('LH', 3320, 'YYZ', 193, 'VIE', 1613, 'Y', 0, '767\r'),
	('LH', 3320, 'YYZ', 193, 'YUL', 146, 'Y', 0, '333\r'),
	('LH', 3320, 'ZAD', 1209, 'FRA', 340, 'Y', 0, '319\r'),
	('LH', 3320, 'ZAD', 1209, 'MUC', 346, 'Y', 0, 'DH4\r'),
	('LH', 3320, 'ZAG', 1208, 'FRA', 340, '', 0, '733 32A\r'),
	('LH', 3320, 'ZAG', 1208, 'MUC', 346, '', 0, 'E95 CR9\r'),
	('LH', 3320, 'ZAG', 1208, 'TXL', 351, '', 0, '320\r'),
	('LH', 3320, 'ZNZ', 1186, 'JRO', 1180, 'Y', 0, '763\r'),
	('LH', 3320, 'ZRH', 1678, 'DUS', 345, '', 0, '320 319 CR9\r'),
	('LH', 3320, 'ZRH', 1678, 'FRA', 340, '', 0, '733 E90 735 319 320 321\r'),
	('LH', 3320, 'ZRH', 1678, 'HAJ', 352, 'Y', 0, 'AR1 100 320\r'),
	('LH', 3320, 'ZRH', 1678, 'HAM', 342, 'Y', 0, '321 320\r'),
	('LH', 3320, 'ZRH', 1678, 'MUC', 346, '', 0, 'E95 319 CR9\r'),
	('LH', 3320, 'ZRH', 1678, 'NBO', 4059, 'Y', 0, '333\r'),
	('LH', 3320, 'ZRH', 1678, 'NUE', 347, 'Y', 0, '100 AR1\r'),
	('LH', 3320, 'ZRH', 1678, 'STR', 350, 'Y', 0, 'AR1 100 319\r'),
	('LH', 3320, 'ZRH', 1678, 'TXL', 351, 'Y', 0, '320 321\r'),
	('LI', 3251, 'ANU', 2874, 'AXA', 2900, '', 0, 'AT7 AT4\r'),
	('LI', 3251, 'ANU', 2874, 'BGI', 2875, '', 0, 'AT4 AT7\r'),
	('LI', 3251, 'ANU', 2874, 'DOM', 2877, '', 0, 'DH3 AT7\r'),
	('LI', 3251, 'ANU', 2874, 'PTP', 2881, '', 0, 'DH3\r'),
	('LI', 3251, 'ANU', 2874, 'SDQ', 1762, '', 0, 'AT4\r'),
	('LI', 3251, 'ANU', 2874, 'SJU', 2890, '', 0, 'AT7\r'),
	('LI', 3251, 'ANU', 2874, 'SKB', 2891, '', 0, 'AT4 DH3 AT7\r'),
	('LI', 3251, 'ANU', 2874, 'SLU', 2893, '', 0, 'AT7\r'),
	('LI', 3251, 'ANU', 2874, 'SXM', 2899, '', 0, 'AT7 DH3\r'),
	('LI', 3251, 'AXA', 2900, 'ANU', 2874, '', 0, 'DH3\r'),
	('LI', 3251, 'AXA', 2900, 'STT', 2883, '', 0, 'AT7 AT4\r'),
	('LI', 3251, 'BGI', 2875, 'ANU', 2874, '', 0, 'DH3 AT4 AT7\r'),
	('LI', 3251, 'BGI', 2875, 'DOM', 2877, '', 0, 'DH3 AT7\r'),
	('LI', 3251, 'BGI', 2875, 'FDF', 2878, '', 0, 'DH3\r'),
	('LI', 3251, 'BGI', 2875, 'GND', 2882, '', 0, 'DH3 AT4 AT7\r'),
	('LI', 3251, 'BGI', 2875, 'OGL', 4306, '', 0, 'DH3\r'),
	('LI', 3251, 'BGI', 2875, 'SLU', 2893, '', 0, 'DH3\r'),
	('LI', 3251, 'BGI', 2875, 'SVD', 2907, '', 0, 'AT7 DH3\r'),
	('LI', 3251, 'CUR', 2897, 'POS', 2902, '', 0, 'AT7\r'),
	('LI', 3251, 'DOM', 2877, 'ANU', 2874, '', 0, 'AT7 DH3\r'),
	('LI', 3251, 'DOM', 2877, 'BGI', 2875, '', 0, 'DH3 AT7\r'),
	('LI', 3251, 'DOM', 2877, 'PTP', 2881, '', 0, 'DH3\r'),
	('LI', 3251, 'DOM', 2877, 'SJU', 2890, '', 0, 'DH3\r'),
	('LI', 3251, 'DOM', 2877, 'SVD', 2907, '', 0, 'DH3\r'),
	('LI', 3251, 'EIS', 2903, 'SXM', 2899, '', 0, 'AT7 DH3 AT4\r'),
	('LI', 3251, 'FDF', 2878, 'BGI', 2875, '', 0, 'DH3\r'),
	('LI', 3251, 'FDF', 2878, 'SLU', 2893, '', 0, 'DH3\r'),
	('LI', 3251, 'GND', 2882, 'BGI', 2875, '', 0, 'DH3 AT7\r'),
	('LI', 3251, 'GND', 2882, 'POS', 2902, '', 0, 'AT4 AT7\r'),
	('LI', 3251, 'GND', 2882, 'SVD', 2907, '', 0, 'DH3\r'),
	('LI', 3251, 'OGL', 4306, 'BGI', 2875, '', 0, 'DH3\r'),
	('LI', 3251, 'POS', 2902, 'CUR', 2897, '', 0, 'AT7\r'),
	('LI', 3251, 'POS', 2902, 'GND', 2882, '', 0, 'AT7 DH3\r'),
	('LI', 3251, 'POS', 2902, 'SLU', 2893, '', 0, 'AT7\r'),
	('LI', 3251, 'POS', 2902, 'SVD', 2907, '', 0, 'AT7 AT4\r'),
	('LI', 3251, 'PTP', 2881, 'ANU', 2874, '', 0, 'DH3\r'),
	('LI', 3251, 'PTP', 2881, 'DOM', 2877, '', 0, 'DH3\r'),
	('LI', 3251, 'SDQ', 1762, 'ANU', 2874, '', 0, 'AT4\r'),
	('LI', 3251, 'SJU', 2890, 'ANU', 2874, '', 0, 'AT7\r'),
	('LI', 3251, 'SJU', 2890, 'DOM', 2877, '', 0, 'DH3\r'),
	('LI', 3251, 'SKB', 2891, 'ANU', 2874, '', 0, 'AT7 AT4\r'),
	('LI', 3251, 'SKB', 2891, 'SXM', 2899, '', 0, 'AT4 DH3 AT7\r'),
	('LI', 3251, 'SLU', 2893, 'ANU', 2874, '', 0, 'AT7\r'),
	('LI', 3251, 'SLU', 2893, 'BGI', 2875, '', 0, 'AT7 DH3\r'),
	('LI', 3251, 'SLU', 2893, 'DOM', 2877, '', 0, 'AT7\r'),
	('LI', 3251, 'SLU', 2893, 'FDF', 2878, '', 0, 'DH3\r'),
	('LI', 3251, 'SLU', 2893, 'POS', 2902, '', 0, 'AT7\r'),
	('LI', 3251, 'SLU', 2893, 'SVD', 2907, '', 0, 'DH3\r'),
	('LI', 3251, 'STT', 2883, 'AXA', 2900, '', 0, 'DH3\r'),
	('LI', 3251, 'STT', 2883, 'SXM', 2899, '', 0, 'AT7 AT4\r'),
	('LI', 3251, 'STX', 2884, 'SXM', 2899, '', 0, 'DH3\r'),
	('LI', 3251, 'SVD', 2907, 'BGI', 2875, '', 0, 'DH3 AT4 AT7\r'),
	('LI', 3251, 'SVD', 2907, 'GND', 2882, '', 0, 'DH3 AT7\r'),
	('LI', 3251, 'SVD', 2907, 'POS', 2902, '', 0, 'AT7 DH3\r'),
	('LI', 3251, 'SVD', 2907, 'SLU', 2893, '', 0, 'AT7 DH3\r'),
	('LI', 3251, 'SXM', 2899, 'ANU', 2874, '', 0, 'AT4 AT7 DH3\r'),
	('LI', 3251, 'SXM', 2899, 'DOM', 2877, '', 0, 'DH3\r'),
	('LI', 3251, 'SXM', 2899, 'EIS', 2903, '', 0, 'AT7 DH3 AT4\r'),
	('LI', 3251, 'SXM', 2899, 'SKB', 2891, '', 0, 'AT7 AT4\r'),
	('LI', 3251, 'SXM', 2899, 'SLU', 2893, '', 0, 'DH3\r'),
	('LI', 3251, 'SXM', 2899, 'STT', 2883, '', 0, 'DH3\r'),
	('LI', 3251, 'SXM', 2899, 'STX', 2884, '', 0, 'DH3\r'),
	('LJ', 9810, 'BKK', 3885, 'ICN', 3930, '', 0, '738\r'),
	('LJ', 9810, 'CEB', 4206, 'ICN', 3930, '', 0, '738\r'),
	('LJ', 9810, 'CJU', 2370, 'GMP', 2378, '', 0, '738\r'),
	('LJ', 9810, 'CJU', 2370, 'PVG', 3406, '', 0, '738\r'),
	('LJ', 9810, 'CNX', 3931, 'ICN', 3930, '', 0, '738\r'),
	('LJ', 9810, 'CRK', 4140, 'ICN', 3930, '', 0, '738\r'),
	('LJ', 9810, 'CTS', 2287, 'ICN', 3930, '', 0, '738\r'),
	('LJ', 9810, 'GMP', 2378, 'CJU', 2370, '', 0, '738\r'),
	('LJ', 9810, 'GUM', 2246, 'ICN', 3930, '', 0, '738\r'),
	('LJ', 9810, 'HKG', 3077, 'ICN', 3930, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'BKK', 3885, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'CEB', 4206, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'CNX', 3931, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'CRK', 4140, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'CTS', 2287, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'GUM', 2246, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'HKG', 3077, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'MFM', 3121, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'NGS', 2313, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'OKA', 2384, '', 0, '738\r'),
	('LJ', 9810, 'ICN', 3930, 'VTE', 3120, '', 0, '738\r'),
	('LJ', 9810, 'MFM', 3121, 'ICN', 3930, '', 0, '738\r'),
	('LJ', 9810, 'NGS', 2313, 'ICN', 3930, '', 0, '738\r'),
	('LJ', 9810, 'OKA', 2384, 'ICN', 3930, '', 0, '738\r'),
	('LJ', 9810, 'PVG', 3406, 'CJU', 2370, '', 0, '738\r'),
	('LJ', 9810, 'VTE', 3120, 'ICN', 3930, '', 0, '738\r'),
	('LM', 3287, 'EOI', 5564, 'KOI', 529, '', 0, 'BNI\r'),
	('LM', 3287, 'KOI', 529, 'EOI', 5564, '', 0, 'BNI\r'),
	('LM', 3287, 'KOI', 529, 'NDY', 5569, '', 0, 'BNI\r'),
	('LM', 3287, 'KOI', 529, 'NRL', 5566, '', 0, 'BNI\r'),
	('LM', 3287, 'KOI', 529, 'PPW', 5567, '', 0, 'BNI\r'),
	('LM', 3287, 'KOI', 529, 'SOY', 5568, '', 0, 'BNI\r'),
	('LM', 3287, 'KOI', 529, 'WRY', 5571, '', 0, 'BNI\r'),
	('LM', 3287, 'NDY', 5569, 'KOI', 529, '', 0, 'BNI\r'),
	('LM', 3287, 'NDY', 5569, 'SOY', 5568, '', 0, 'BNI\r'),
	('LM', 3287, 'NRL', 5566, 'EOI', 5564, '', 0, 'BNI\r'),
	('LM', 3287, 'NRL', 5566, 'KOI', 529, '', 0, 'BNI\r'),
	('LM', 3287, 'NRL', 5566, 'NDY', 5569, '', 0, 'BNI\r'),
	('LM', 3287, 'NRL', 5566, 'PPW', 5567, '', 0, 'BNI\r'),
	('LM', 3287, 'PPW', 5567, 'KOI', 529, '', 0, 'BNI\r'),
	('LM', 3287, 'PPW', 5567, 'NRL', 5566, '', 0, 'BNI\r'),
	('LM', 3287, 'PPW', 5567, 'WRY', 5571, '', 0, 'BNI\r'),
	('LM', 3287, 'SOY', 5568, 'KOI', 529, '', 0, 'BNI\r'),
	('LM', 3287, 'SOY', 5568, 'NDY', 5569, '', 0, 'BNI\r'),
	('LM', 3287, 'WRY', 5571, 'KOI', 529, '', 0, 'BNI\r'),
	('LM', 3287, 'WRY', 5571, 'PPW', 5567, '', 0, 'BNI\r'),
	('LN', 3258, 'AKF', 1153, 'BEN', 1154, '', 0, 'CR9\r'),
	('LN', 3258, 'AKF', 1153, 'TIP', 1157, '', 0, 'CR9\r'),
	('LN', 3258, 'ALG', 210, 'TIP', 1157, '', 0, 'CR9\r'),
	('LN', 3258, 'AMM', 2170, 'BEN', 1154, '', 0, '320\r'),
	('LN', 3258, 'AMM', 2170, 'TIP', 1157, '', 0, '320 330\r'),
	('LN', 3258, 'BEN', 1154, 'AKF', 1153, '', 0, 'CR9\r'),
	('LN', 3258, 'BEN', 1154, 'AMM', 2170, '', 0, '320\r'),
	('LN', 3258, 'BEN', 1154, 'CAI', 1128, '', 0, '320\r'),
	('LN', 3258, 'BEN', 1154, 'CMN', 1074, '', 0, '320\r'),
	('LN', 3258, 'BEN', 1154, 'HBE', 3410, '', 0, '320\r'),
	('LN', 3258, 'BEN', 1154, 'IST', 1701, '', 0, '320\r'),
	('LN', 3258, 'BEN', 1154, 'MRA', 5804, '', 0, '320 CR9\r'),
	('LN', 3258, 'BEN', 1154, 'SFA', 295, '', 0, '320\r'),
	('LN', 3258, 'BEN', 1154, 'TIP', 1157, '', 0, '320 CR9\r'),
	('LN', 3258, 'BEN', 1154, 'TUN', 287, '', 0, '320 CR9\r'),
	('LN', 3258, 'CAI', 1128, 'BEN', 1154, '', 0, '320\r'),
	('LN', 3258, 'CAI', 1128, 'MRA', 5804, '', 0, '320\r'),
	('LN', 3258, 'CAI', 1128, 'TIP', 1157, '', 0, '320\r'),
	('LN', 3258, 'CMN', 1074, 'BEN', 1154, '', 0, '320\r'),
	('LN', 3258, 'CMN', 1074, 'TIP', 1157, '', 0, '320 330\r'),
	('LN', 3258, 'GHT', 1152, 'TIP', 1157, '', 0, 'CR9\r'),
	('LN', 3258, 'HBE', 3410, 'BEN', 1154, '', 0, '320\r'),
	('LN', 3258, 'HBE', 3410, 'MRA', 5804, '', 0, '320\r'),
	('LN', 3258, 'HBE', 3410, 'TIP', 1157, '', 0, '320 330\r'),
	('LN', 3258, 'HBE', 3410, 'TOB', 5697, '', 0, 'CR9\r'),
	('LN', 3258, 'IST', 1701, 'BEN', 1154, '', 0, '320\r'),
	('LN', 3258, 'IST', 1701, 'TIP', 1157, '', 0, '330\r'),
	('LN', 3258, 'LAQ', 5699, 'TIP', 1157, '', 0, 'CR9\r'),
	('LN', 3258, 'LAQ', 5699, 'TUN', 287, '', 0, '320 CR9\r'),
	('LN', 3258, 'LHR', 507, 'TIP', 1157, '', 0, '320\r'),
	('LN', 3258, 'LTD', 1162, 'TIP', 1157, '', 0, 'CR9\r'),
	('LN', 3258, 'MAD', 1229, 'TIP', 1157, '', 0, '320\r'),
	('LN', 3258, 'MAN', 478, 'TIP', 1157, '', 0, '320\r'),
	('LN', 3258, 'MLA', 1606, 'TIP', 1157, '', 0, '320\r'),
	('LN', 3258, 'MRA', 5804, 'BEN', 1154, '', 0, '320 CR9\r'),
	('LN', 3258, 'MRA', 5804, 'CAI', 1128, '', 0, '320\r'),
	('LN', 3258, 'MRA', 5804, 'HBE', 3410, '', 0, '320\r'),
	('LN', 3258, 'MRA', 5804, 'SFA', 295, '', 0, 'CR9 320\r'),
	('LN', 3258, 'MRA', 5804, 'TUN', 287, '', 0, '320\r'),
	('LN', 3258, 'QUB', 5805, 'TIP', 1157, '', 0, 'CR9\r'),
	('LN', 3258, 'SFA', 295, 'BEN', 1154, '', 0, '320\r'),
	('LN', 3258, 'SFA', 295, 'MRA', 5804, '', 0, 'CR9 320\r'),
	('LN', 3258, 'SFA', 295, 'TIP', 1157, '', 0, 'CR9 320\r'),
	('LN', 3258, 'SRX', 5696, 'TIP', 1157, '', 0, 'CR9\r'),
	('LN', 3258, 'SRX', 5696, 'TUN', 287, '', 0, 'CR9\r'),
	('LN', 3258, 'TIP', 1157, 'AKF', 1153, '', 0, 'CR9\r'),
	('LN', 3258, 'TIP', 1157, 'ALG', 210, '', 0, 'CR9\r'),
	('LN', 3258, 'TIP', 1157, 'AMM', 2170, '', 0, '320 330\r'),
	('LN', 3258, 'TIP', 1157, 'BEN', 1154, '', 0, 'CR9 320\r'),
	('LN', 3258, 'TIP', 1157, 'CAI', 1128, '', 0, '320\r'),
	('LN', 3258, 'TIP', 1157, 'CMN', 1074, '', 0, '320 330\r'),
	('LN', 3258, 'TIP', 1157, 'GHT', 1152, '', 0, 'CR9\r'),
	('LN', 3258, 'TIP', 1157, 'HBE', 3410, '', 0, '320 330\r'),
	('LN', 3258, 'TIP', 1157, 'IST', 1701, '', 0, '330\r'),
	('LN', 3258, 'TIP', 1157, 'LAQ', 5699, '', 0, '320 CR9\r'),
	('LN', 3258, 'TIP', 1157, 'LHR', 507, '', 0, '320\r'),
	('LN', 3258, 'TIP', 1157, 'LTD', 1162, '', 0, 'CR9\r'),
	('LN', 3258, 'TIP', 1157, 'MAD', 1229, '', 0, '320\r'),
	('LN', 3258, 'TIP', 1157, 'MAN', 478, '', 0, '320\r'),
	('LN', 3258, 'TIP', 1157, 'MLA', 1606, '', 0, '320\r'),
	('LN', 3258, 'TIP', 1157, 'QUB', 5805, '', 0, 'CR9\r'),
	('LN', 3258, 'TIP', 1157, 'SFA', 295, '', 0, 'CR9 320\r'),
	('LN', 3258, 'TIP', 1157, 'SRX', 5696, '', 0, 'CR9\r'),
	('LN', 3258, 'TIP', 1157, 'TOB', 5697, '', 0, 'CR9\r'),
	('LN', 3258, 'TIP', 1157, 'TUN', 287, '', 0, 'CR9 320\r'),
	('LN', 3258, 'TOB', 5697, 'HBE', 3410, '', 0, 'CR9\r'),
	('LN', 3258, 'TOB', 5697, 'TIP', 1157, '', 0, 'CR9\r'),
	('LN', 3258, 'TOB', 5697, 'TUN', 287, '', 0, 'CR9\r'),
	('LN', 3258, 'TUN', 287, 'BEN', 1154, '', 0, '320 CR9\r'),
	('LN', 3258, 'TUN', 287, 'LAQ', 5699, '', 0, '320 CR9\r'),
	('LN', 3258, 'TUN', 287, 'MRA', 5804, '', 0, '320\r'),
	('LN', 3258, 'TUN', 287, 'SRX', 5696, '', 0, 'CR9\r'),
	('LN', 3258, 'TUN', 287, 'TIP', 1157, '', 0, 'CR9 320\r'),
	('LN', 3258, 'TUN', 287, 'TOB', 5697, '', 0, 'CR9\r'),
	('LO', 3210, 'AMS', 580, 'WAW', 679, '', 0, 'E75 E95 E70\r'),
	('LO', 3210, 'ARN', 737, 'WAW', 679, '', 0, 'E70 E75\r'),
	('LO', 3210, 'ATH', 3941, 'WAW', 679, '', 0, 'E95 E75 734\r'),
	('LO', 3210, 'BCN', 1218, 'WAW', 679, '', 0, 'E95 734\r'),
	('LO', 3210, 'BEG', 1739, 'WAW', 679, '', 0, 'E75 E70\r'),
	('LO', 3210, 'BRU', 302, 'WAW', 679, '', 0, 'E95 734 E75\r'),
	('LO', 3210, 'BUD', 1489, 'WAW', 679, '', 0, 'E70 E75\r'),
	('LO', 3210, 'CDG', 1382, 'WAW', 679, '', 0, 'E75 E95\r'),
	('LO', 3210, 'CPH', 609, 'WAW', 679, '', 0, 'E70 E75\r'),
	('LO', 3210, 'DUS', 345, 'WAW', 679, '', 0, 'E75\r'),
	('LO', 3210, 'EVN', 3964, 'WAW', 679, '', 0, 'E75\r'),
	('LO', 3210, 'FRA', 340, 'GDN', 668, 'Y', 0, '319 321 32A 320\r'),
	('LO', 3210, 'FRA', 340, 'KRK', 669, 'Y', 0, '735 733 321 32A 319\r'),
	('LO', 3210, 'FRA', 340, 'KTW', 671, 'Y', 0, '735 CR7 733\r'),
	('LO', 3210, 'FRA', 340, 'POZ', 674, 'Y', 0, 'CR7\r'),
	('LO', 3210, 'FRA', 340, 'WAW', 679, '', 0, 'E75 E95 E70\r'),
	('LO', 3210, 'FRA', 340, 'WRO', 680, 'Y', 0, 'CR7 32A 321\r'),
	('LO', 3210, 'GDN', 668, 'FRA', 340, 'Y', 0, '319 321 32A 320\r'),
	('LO', 3210, 'GDN', 668, 'MUC', 346, 'Y', 0, 'E95\r'),
	('LO', 3210, 'GDN', 668, 'WAW', 679, '', 0, 'DH4\r'),
	('LO', 3210, 'GVA', 1665, 'WAW', 679, '', 0, 'E75\r'),
	('LO', 3210, 'HAM', 342, 'WAW', 679, '', 0, 'E75 E70\r'),
	('LO', 3210, 'IST', 1701, 'WAW', 679, '', 0, '734 E95\r'),
	('LO', 3210, 'JFK', 3797, 'WAW', 679, '', 0, '788\r'),
	('LO', 3210, 'KBP', 2939, 'WAW', 679, '', 0, '734 E75 E95\r'),
	('LO', 3210, 'KRK', 669, 'FRA', 340, 'Y', 0, '735 733 321 32A 319\r'),
	('LO', 3210, 'KRK', 669, 'MUC', 346, 'Y', 0, '319 320 E95\r'),
	('LO', 3210, 'KRK', 669, 'VIE', 1613, 'Y', 0, 'F70 DH4 100\r'),
	('LO', 3210, 'KRK', 669, 'WAW', 679, '', 0, 'DH4 E70\r'),
	('LO', 3210, 'KTW', 671, 'FRA', 340, 'Y', 0, '735 CR7 733\r'),
	('LO', 3210, 'KTW', 671, 'WAW', 679, '', 0, 'E70 DH4\r'),
	('LO', 3210, 'LCA', 1197, 'WAW', 679, '', 0, 'E95\r'),
	('LO', 3210, 'LED', 2948, 'WAW', 679, '', 0, 'E75\r'),
	('LO', 3210, 'LHR', 507, 'WAW', 679, '', 0, '734 E95\r'),
	('LO', 3210, 'LIS', 1638, 'WAW', 679, 'Y', 0, '320 319\r'),
	('LO', 3210, 'LJU', 1569, 'WAW', 679, '', 0, 'CR2\r'),
	('LO', 3210, 'LWO', 2945, 'WAW', 679, '', 0, 'E95 E70\r'),
	('LO', 3210, 'MAD', 1229, 'WAW', 679, '', 0, '734 E95\r'),
	('LO', 3210, 'MSQ', 2954, 'WAW', 679, '', 0, 'E75 E95 734\r'),
	('LO', 3210, 'MUC', 346, 'GDN', 668, 'Y', 0, 'E95\r'),
	('LO', 3210, 'MUC', 346, 'KRK', 669, 'Y', 0, '319 320 E95\r'),
	('LO', 3210, 'MUC', 346, 'POZ', 674, 'Y', 0, 'CR9 CR7\r'),
	('LO', 3210, 'MUC', 346, 'WAW', 679, '', 0, 'E75\r'),
	('LO', 3210, 'MUC', 346, 'WRO', 680, 'Y', 0, 'CR9 E95 CR7\r'),
	('LO', 3210, 'MXP', 1524, 'WAW', 679, '', 0, 'E75 E70\r'),
	('LO', 3210, 'NCE', 1354, 'WAW', 679, '', 0, 'E75\r'),
	('LO', 3210, 'ODS', 2947, 'WAW', 679, '', 0, 'E75 E70\r'),
	('LO', 3210, 'ORD', 3830, 'WAW', 679, '', 0, '788\r'),
	('LO', 3210, 'OTP', 1657, 'WAW', 679, '', 0, 'E75 E95 E70\r'),
	('LO', 3210, 'PEK', 3364, 'WAW', 679, '', 0, '788\r'),
	('LO', 3210, 'POZ', 674, 'FRA', 340, 'Y', 0, 'CR7\r'),
	('LO', 3210, 'POZ', 674, 'MUC', 346, 'Y', 0, 'CR9 CR7\r'),
	('LO', 3210, 'POZ', 674, 'WAW', 679, '', 0, 'DH4\r'),
	('LO', 3210, 'PRG', 1587, 'WAW', 679, '', 0, 'E75 E70\r'),
	('LO', 3210, 'RIX', 3953, 'WAW', 679, '', 0, 'E70 DH4 E75\r'),
	('LO', 3210, 'RZE', 675, 'WAW', 679, 'Y', 0, 'DH4 E95 E75\r'),
	('LO', 3210, 'SOF', 1194, 'WAW', 679, '', 0, 'E75 E70\r'),
	('LO', 3210, 'SVO', 2985, 'WAW', 679, '', 0, 'E95 E75\r'),
	('LO', 3210, 'SZZ', 676, 'WAW', 679, '', 0, 'E70\r'),
	('LO', 3210, 'TBS', 3973, 'WAW', 679, '', 0, 'E95\r'),
	('LO', 3210, 'TLL', 415, 'WAW', 679, '', 0, 'E70 E75\r'),
	('LO', 3210, 'TLV', 1590, 'WAW', 679, '', 0, '734 E95\r'),
	('LO', 3210, 'VIE', 1613, 'KRK', 669, 'Y', 0, 'DH4 F70 100\r'),
	('LO', 3210, 'VIE', 1613, 'WAW', 679, '', 0, 'E95 E75\r'),
	('LO', 3210, 'VNO', 3959, 'WAW', 679, '', 0, 'E70 E75 DH4\r'),
	('LO', 3210, 'WAW', 679, 'AMS', 580, '', 0, 'E95 E75 E70\r'),
	('LO', 3210, 'WAW', 679, 'ARN', 737, '', 0, 'E70 E75\r'),
	('LO', 3210, 'WAW', 679, 'ATH', 3941, '', 0, 'E95 E75 734\r'),
	('LO', 3210, 'WAW', 679, 'BCN', 1218, '', 0, 'E95 734\r'),
	('LO', 3210, 'WAW', 679, 'BEG', 1739, '', 0, 'E75 E70\r'),
	('LO', 3210, 'WAW', 679, 'BRU', 302, '', 0, 'E95 734 E75\r'),
	('LO', 3210, 'WAW', 679, 'BUD', 1489, '', 0, 'E70 E75\r'),
	('LO', 3210, 'WAW', 679, 'CDG', 1382, '', 0, 'E95 E75\r'),
	('LO', 3210, 'WAW', 679, 'CPH', 609, '', 0, 'E75 E70\r'),
	('LO', 3210, 'WAW', 679, 'DUS', 345, '', 0, 'E75\r'),
	('LO', 3210, 'WAW', 679, 'EVN', 3964, '', 0, 'E75\r'),
	('LO', 3210, 'WAW', 679, 'FRA', 340, '', 0, 'E75 E95 E70\r'),
	('LO', 3210, 'WAW', 679, 'GDN', 668, '', 0, 'E75 DH4 E95\r'),
	('LO', 3210, 'WAW', 679, 'GVA', 1665, '', 0, 'E75\r'),
	('LO', 3210, 'WAW', 679, 'HAM', 342, '', 0, 'E75 E70\r'),
	('LO', 3210, 'WAW', 679, 'IST', 1701, '', 0, '734 E95\r'),
	('LO', 3210, 'WAW', 679, 'JFK', 3797, '', 0, '788\r'),
	('LO', 3210, 'WAW', 679, 'KBP', 2939, '', 0, '734 E75 E95\r'),
	('LO', 3210, 'WAW', 679, 'KRK', 669, '', 0, 'DH4 E70\r'),
	('LO', 3210, 'WAW', 679, 'KTW', 671, '', 0, 'E70 DH4\r'),
	('LO', 3210, 'WAW', 679, 'LCA', 1197, '', 0, 'E95\r'),
	('LO', 3210, 'WAW', 679, 'LED', 2948, '', 0, 'E75\r'),
	('LO', 3210, 'WAW', 679, 'LHR', 507, '', 0, '734 E95\r'),
	('LO', 3210, 'WAW', 679, 'LIS', 1638, 'Y', 0, '320 319\r'),
	('LO', 3210, 'WAW', 679, 'LJU', 1569, '', 0, 'CR2\r'),
	('LO', 3210, 'WAW', 679, 'LWO', 2945, '', 0, 'E95 E70\r'),
	('LO', 3210, 'WAW', 679, 'MAD', 1229, '', 0, '734 E95\r'),
	('LO', 3210, 'WAW', 679, 'MSQ', 2954, '', 0, 'E75 E95 734\r'),
	('LO', 3210, 'WAW', 679, 'MUC', 346, '', 0, 'E75\r'),
	('LO', 3210, 'WAW', 679, 'MXP', 1524, '', 0, 'E75 E70\r'),
	('LO', 3210, 'WAW', 679, 'NCE', 1354, '', 0, 'E75\r'),
	('LO', 3210, 'WAW', 679, 'ODS', 2947, '', 0, 'E75 E70\r'),
	('LO', 3210, 'WAW', 679, 'ORD', 3830, '', 0, '788\r'),
	('LO', 3210, 'WAW', 679, 'OTP', 1657, '', 0, 'E75 E95 E70\r'),
	('LO', 3210, 'WAW', 679, 'PEK', 3364, '', 0, '788\r'),
	('LO', 3210, 'WAW', 679, 'POZ', 674, '', 0, 'DH4\r'),
	('LO', 3210, 'WAW', 679, 'PRG', 1587, '', 0, 'E75 E70\r'),
	('LO', 3210, 'WAW', 679, 'RIX', 3953, '', 0, 'E70 DH4 E75\r'),
	('LO', 3210, 'WAW', 679, 'RZE', 675, 'Y', 0, 'DH4 E95 E75\r'),
	('LO', 3210, 'WAW', 679, 'SOF', 1194, '', 0, 'E75 E70\r'),
	('LO', 3210, 'WAW', 679, 'SVO', 2985, '', 0, 'E95 E75\r'),
	('LO', 3210, 'WAW', 679, 'SZZ', 676, '', 0, 'E70\r'),
	('LO', 3210, 'WAW', 679, 'TBS', 3973, '', 0, 'E95\r'),
	('LO', 3210, 'WAW', 679, 'TLL', 415, '', 0, 'E70 E75\r'),
	('LO', 3210, 'WAW', 679, 'TLV', 1590, '', 0, '734 E95\r'),
	('LO', 3210, 'WAW', 679, 'VIE', 1613, '', 0, 'E95 E75\r'),
	('LO', 3210, 'WAW', 679, 'VNO', 3959, '', 0, 'E70 E75 DH4\r'),
	('LO', 3210, 'WAW', 679, 'WRO', 680, '', 0, 'E95 E75 E70\r'),
	('LO', 3210, 'WAW', 679, 'YYZ', 193, '', 0, '788\r'),
	('LO', 3210, 'WAW', 679, 'ZRH', 1678, '', 0, 'E70 E75\r'),
	('LO', 3210, 'WRO', 680, 'FRA', 340, 'Y', 0, 'CR7 32A 321\r'),
	('LO', 3210, 'WRO', 680, 'MUC', 346, 'Y', 0, 'CR7 CR9 E95\r'),
	('LO', 3210, 'WRO', 680, 'WAW', 679, '', 0, 'E95 E75 E70\r'),
	('LO', 3210, 'YYZ', 193, 'WAW', 679, '', 0, '788\r'),
	('LO', 3210, 'ZRH', 1678, 'WAW', 679, '', 0, 'E70 E75\r'),
	('LR', 3197, 'DRK', 6945, 'SJO', 1885, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'FON', 6731, 'SJO', 1885, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'FON', 6731, 'XQP', 1889, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'GLF', 1879, 'SJO', 1885, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'LIR', 1881, 'SJO', 1885, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'MGA', 1863, 'SAL', 1892, 'Y', 0, 'ATR\r'),
	('LR', 3197, 'MGA', 1863, 'SJO', 1885, 'Y', 0, 'ATR\r'),
	('LR', 3197, 'PJM', 5847, 'GLF', 1879, '', 0, 'CNA\r'),
	('LR', 3197, 'PJM', 5847, 'SJO', 1885, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'PMZ', 1887, 'SJO', 1885, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'SAL', 1892, 'MGA', 1863, 'Y', 0, 'ATR\r'),
	('LR', 3197, 'SJO', 1885, 'DRK', 6945, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'SJO', 1885, 'FON', 6731, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'SJO', 1885, 'GLF', 1879, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'SJO', 1885, 'LIR', 1881, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'SJO', 1885, 'MGA', 1863, 'Y', 0, 'ATR\r'),
	('LR', 3197, 'SJO', 1885, 'PJM', 5847, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'SJO', 1885, 'PMZ', 1887, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'SJO', 1885, 'TMU', 6732, '', 0, 'CNA\r'),
	('LR', 3197, 'SJO', 1885, 'TNO', 5844, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'SJO', 1885, 'XQP', 1889, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'TMU', 6732, 'SJO', 1885, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'TNO', 5844, 'SJO', 1885, 'Y', 0, 'CNA\r'),
	('LR', 3197, 'XQP', 1889, 'SJO', 1885, 'Y', 0, 'CNA\r'),
	('LS', 3026, 'ACE', 1055, 'BFS', 465, '', 0, '733\r'),
	('LS', 3026, 'ACE', 1055, 'BLK', 514, '', 0, '73C\r'),
	('LS', 3026, 'ACE', 1055, 'EMA', 523, '', 0, '73H\r'),
	('LS', 3026, 'ACE', 1055, 'GLA', 534, '', 0, '73H 738\r'),
	('LS', 3026, 'ACE', 1055, 'LBA', 517, '', 0, '75W 752\r'),
	('LS', 3026, 'ACE', 1055, 'MAN', 478, '', 0, '752 75W 73H\r'),
	('LS', 3026, 'ACE', 1055, 'NCL', 521, '', 0, '752 75W\r'),
	('LS', 3026, 'AGP', 1230, 'BFS', 465, '', 0, '733\r'),
	('LS', 3026, 'AGP', 1230, 'BLK', 514, '', 0, '733\r'),
	('LS', 3026, 'AGP', 1230, 'EDI', 535, '', 0, '733\r'),
	('LS', 3026, 'AGP', 1230, 'EMA', 523, '', 0, '733 73H\r'),
	('LS', 3026, 'AGP', 1230, 'GLA', 534, '', 0, '73H 738\r'),
	('LS', 3026, 'AGP', 1230, 'LBA', 517, '', 0, '73H 733 752 75W\r'),
	('LS', 3026, 'AGP', 1230, 'MAN', 478, '', 0, '752 75W 733\r'),
	('LS', 3026, 'AGP', 1230, 'NCL', 521, '', 0, '733 73C\r'),
	('LS', 3026, 'ALC', 1212, 'BFS', 465, '', 0, '733\r'),
	('LS', 3026, 'ALC', 1212, 'BLK', 514, '', 0, '733 73C\r'),
	('LS', 3026, 'ALC', 1212, 'EDI', 535, '', 0, '733\r'),
	('LS', 3026, 'ALC', 1212, 'EMA', 523, '', 0, '733 73H\r'),
	('LS', 3026, 'ALC', 1212, 'GLA', 534, '', 0, '738 733 73H\r'),
	('LS', 3026, 'ALC', 1212, 'LBA', 517, '', 0, '75W 733 752 73H\r'),
	('LS', 3026, 'ALC', 1212, 'MAN', 478, '', 0, '75W 733 73H\r'),
	('LS', 3026, 'ALC', 1212, 'NCL', 521, '', 0, '73C 733 752 75W\r'),
	('LS', 3026, 'AMS', 580, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'BCN', 1218, 'GLA', 534, '', 0, '73H\r'),
	('LS', 3026, 'BCN', 1218, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'BCN', 1218, 'MAN', 478, '', 0, '738 733 73H\r'),
	('LS', 3026, 'BFS', 465, 'ACE', 1055, '', 0, '733\r'),
	('LS', 3026, 'BFS', 465, 'AGP', 1230, '', 0, '733\r'),
	('LS', 3026, 'BFS', 465, 'ALC', 1212, '', 0, '733\r'),
	('LS', 3026, 'BFS', 465, 'DBV', 1200, '', 0, '733\r'),
	('LS', 3026, 'BFS', 465, 'FAO', 1626, '', 0, '733\r'),
	('LS', 3026, 'BFS', 465, 'MJV', 1227, '', 0, '733\r'),
	('LS', 3026, 'BFS', 465, 'PMI', 3998, '', 0, '733\r'),
	('LS', 3026, 'BFS', 465, 'REU', 1236, '', 0, '733\r'),
	('LS', 3026, 'BFS', 465, 'TFS', 1056, '', 0, '733\r'),
	('LS', 3026, 'BJV', 4315, 'EMA', 523, '', 0, '73H\r'),
	('LS', 3026, 'BJV', 4315, 'GLA', 534, '', 0, '73H\r'),
	('LS', 3026, 'BJV', 4315, 'LBA', 517, '', 0, '752\r'),
	('LS', 3026, 'BJV', 4315, 'MAN', 478, '', 0, '73H 738\r'),
	('LS', 3026, 'BJV', 4315, 'NCL', 521, '', 0, '752\r'),
	('LS', 3026, 'BLK', 514, 'ACE', 1055, '', 0, '73C\r'),
	('LS', 3026, 'BLK', 514, 'AGP', 1230, '', 0, '733\r'),
	('LS', 3026, 'BLK', 514, 'ALC', 1212, '', 0, '733 73C\r'),
	('LS', 3026, 'BLK', 514, 'DLM', 1715, '', 0, '73C\r'),
	('LS', 3026, 'BLK', 514, 'FAO', 1626, '', 0, '733\r'),
	('LS', 3026, 'BLK', 514, 'PMI', 3998, '', 0, '73C\r'),
	('LS', 3026, 'BLK', 514, 'TFS', 1056, '', 0, '73C\r'),
	('LS', 3026, 'BUD', 1489, 'EDI', 535, '', 0, '733\r'),
	('LS', 3026, 'BUD', 1489, 'EMA', 523, '', 0, '733\r'),
	('LS', 3026, 'BUD', 1489, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'BUD', 1489, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'CDG', 1382, 'EMA', 523, '', 0, '733\r'),
	('LS', 3026, 'CDG', 1382, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'CDG', 1382, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'DBV', 1200, 'BFS', 465, '', 0, '733\r'),
	('LS', 3026, 'DBV', 1200, 'EDI', 535, '', 0, '733\r'),
	('LS', 3026, 'DBV', 1200, 'EMA', 523, '', 0, '733\r'),
	('LS', 3026, 'DBV', 1200, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'DBV', 1200, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'DBV', 1200, 'NCL', 521, '', 0, '733\r'),
	('LS', 3026, 'DLM', 1715, 'BLK', 514, '', 0, '73C\r'),
	('LS', 3026, 'DLM', 1715, 'EMA', 523, '', 0, '73H\r'),
	('LS', 3026, 'DLM', 1715, 'GLA', 534, '', 0, '73H\r'),
	('LS', 3026, 'DLM', 1715, 'LBA', 517, '', 0, '73H 75W\r'),
	('LS', 3026, 'DLM', 1715, 'MAN', 478, '', 0, '752 73H 75W\r'),
	('LS', 3026, 'DLM', 1715, 'NCL', 521, '', 0, '752\r'),
	('LS', 3026, 'DUS', 345, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'EDI', 535, 'AGP', 1230, '', 0, '733\r'),
	('LS', 3026, 'EDI', 535, 'ALC', 1212, '', 0, '733\r'),
	('LS', 3026, 'EDI', 535, 'BUD', 1489, '', 0, '733\r'),
	('LS', 3026, 'EDI', 535, 'DBV', 1200, '', 0, '733\r'),
	('LS', 3026, 'EDI', 535, 'FAO', 1626, '', 0, '733\r'),
	('LS', 3026, 'EDI', 535, 'MAH', 1231, '', 0, '733\r'),
	('LS', 3026, 'EDI', 535, 'MJV', 1227, '', 0, '733\r'),
	('LS', 3026, 'EDI', 535, 'PMI', 3998, '', 0, '733\r'),
	('LS', 3026, 'EDI', 535, 'PRG', 1587, '', 0, '733\r'),
	('LS', 3026, 'EDI', 535, 'VCE', 1551, '', 0, '733\r'),
	('LS', 3026, 'EMA', 523, 'ACE', 1055, '', 0, '73H\r'),
	('LS', 3026, 'EMA', 523, 'AGP', 1230, '', 0, '733 73H\r'),
	('LS', 3026, 'EMA', 523, 'ALC', 1212, '', 0, '733 73H\r'),
	('LS', 3026, 'EMA', 523, 'BJV', 4315, '', 0, '73H\r'),
	('LS', 3026, 'EMA', 523, 'BUD', 1489, '', 0, '733\r'),
	('LS', 3026, 'EMA', 523, 'CDG', 1382, '', 0, '733\r'),
	('LS', 3026, 'EMA', 523, 'DBV', 1200, '', 0, '733\r'),
	('LS', 3026, 'EMA', 523, 'DLM', 1715, '', 0, '73H\r'),
	('LS', 3026, 'EMA', 523, 'FAO', 1626, '', 0, '733\r'),
	('LS', 3026, 'EMA', 523, 'FNC', 4091, '', 0, '733\r'),
	('LS', 3026, 'EMA', 523, 'HER', 1452, '', 0, '73H\r'),
	('LS', 3026, 'EMA', 523, 'IBZ', 1225, '', 0, '733\r'),
	('LS', 3026, 'EMA', 523, 'LPA', 1054, '', 0, '73H\r'),
	('LS', 3026, 'EMA', 523, 'MAH', 1231, '', 0, '733\r'),
	('LS', 3026, 'EMA', 523, 'MJV', 1227, '', 0, '733\r'),
	('LS', 3026, 'EMA', 523, 'PFO', 1198, '', 0, '73H\r'),
	('LS', 3026, 'EMA', 523, 'PMI', 3998, '', 0, '733 73H\r'),
	('LS', 3026, 'EMA', 523, 'PRG', 1587, '', 0, '733\r'),
	('LS', 3026, 'EMA', 523, 'RHO', 1472, '', 0, '73H\r'),
	('LS', 3026, 'EMA', 523, 'TFS', 1056, '', 0, '73H\r'),
	('LS', 3026, 'FAO', 1626, 'BFS', 465, '', 0, '733\r'),
	('LS', 3026, 'FAO', 1626, 'BLK', 514, '', 0, '733\r'),
	('LS', 3026, 'FAO', 1626, 'EDI', 535, '', 0, '733\r'),
	('LS', 3026, 'FAO', 1626, 'EMA', 523, '', 0, '733\r'),
	('LS', 3026, 'FAO', 1626, 'GLA', 534, '', 0, '738 73H\r'),
	('LS', 3026, 'FAO', 1626, 'LBA', 517, '', 0, '733 73H 752\r'),
	('LS', 3026, 'FAO', 1626, 'MAN', 478, '', 0, '738 752 75W\r'),
	('LS', 3026, 'FAO', 1626, 'NCL', 521, '', 0, '733 73C\r'),
	('LS', 3026, 'FCO', 1555, 'GLA', 534, '', 0, '738\r'),
	('LS', 3026, 'FCO', 1555, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'FCO', 1555, 'MAN', 478, '', 0, '73H 733\r'),
	('LS', 3026, 'FCO', 1555, 'NCL', 521, '', 0, '73C\r'),
	('LS', 3026, 'FNC', 4091, 'EMA', 523, '', 0, '733\r'),
	('LS', 3026, 'FNC', 4091, 'LBA', 517, '', 0, '73H\r'),
	('LS', 3026, 'FNC', 4091, 'MAN', 478, '', 0, '75W 733\r'),
	('LS', 3026, 'FUE', 1051, 'GLA', 534, '', 0, '738\r'),
	('LS', 3026, 'FUE', 1051, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'FUE', 1051, 'MAN', 478, '', 0, '73H\r'),
	('LS', 3026, 'GLA', 534, 'ACE', 1055, '', 0, '73H 738\r'),
	('LS', 3026, 'GLA', 534, 'AGP', 1230, '', 0, '73H 738\r'),
	('LS', 3026, 'GLA', 534, 'ALC', 1212, '', 0, '738 733 73H\r'),
	('LS', 3026, 'GLA', 534, 'BCN', 1218, '', 0, '73H\r'),
	('LS', 3026, 'GLA', 534, 'BJV', 4315, '', 0, '73H\r'),
	('LS', 3026, 'GLA', 534, 'DLM', 1715, '', 0, '73H\r'),
	('LS', 3026, 'GLA', 534, 'FAO', 1626, '', 0, '738 73H\r'),
	('LS', 3026, 'GLA', 534, 'FCO', 1555, '', 0, '738\r'),
	('LS', 3026, 'GLA', 534, 'FUE', 1051, '', 0, '738\r'),
	('LS', 3026, 'GLA', 534, 'HER', 1452, '', 0, '73H\r'),
	('LS', 3026, 'GLA', 534, 'IBZ', 1225, '', 0, '738 73H\r'),
	('LS', 3026, 'GLA', 534, 'LPA', 1054, '', 0, '738\r'),
	('LS', 3026, 'GLA', 534, 'PFO', 1198, '', 0, '73H\r'),
	('LS', 3026, 'GLA', 534, 'PMI', 3998, '', 0, '73H 738\r'),
	('LS', 3026, 'GLA', 534, 'RHO', 1472, '', 0, '73H\r'),
	('LS', 3026, 'GLA', 534, 'TFS', 1056, '', 0, '738 73H\r'),
	('LS', 3026, 'HER', 1452, 'EMA', 523, '', 0, '73H\r'),
	('LS', 3026, 'HER', 1452, 'GLA', 534, '', 0, '73H\r'),
	('LS', 3026, 'HER', 1452, 'LBA', 517, '', 0, '75W 73H\r'),
	('LS', 3026, 'HER', 1452, 'MAN', 478, '', 0, '75W 738\r'),
	('LS', 3026, 'HER', 1452, 'NCL', 521, '', 0, '752\r'),
	('LS', 3026, 'IBZ', 1225, 'EMA', 523, '', 0, '733\r'),
	('LS', 3026, 'IBZ', 1225, 'GLA', 534, '', 0, '738 73H\r'),
	('LS', 3026, 'IBZ', 1225, 'LBA', 517, '', 0, '733 73H\r'),
	('LS', 3026, 'IBZ', 1225, 'MAN', 478, '', 0, '733 73H 738 75W\r'),
	('LS', 3026, 'IBZ', 1225, 'NCL', 521, '', 0, '733\r'),
	('LS', 3026, 'JER', 499, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'JER', 499, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'KGS', 1458, 'LBA', 517, '', 0, '73H\r'),
	('LS', 3026, 'KGS', 1458, 'MAN', 478, '', 0, '75W\r'),
	('LS', 3026, 'KRK', 669, 'NCL', 521, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'ACE', 1055, '', 0, '75W 752\r'),
	('LS', 3026, 'LBA', 517, 'AGP', 1230, '', 0, '73H 733 752 75W\r'),
	('LS', 3026, 'LBA', 517, 'ALC', 1212, '', 0, '75W 733 752 73H\r'),
	('LS', 3026, 'LBA', 517, 'AMS', 580, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'BCN', 1218, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'BJV', 4315, '', 0, '752\r'),
	('LS', 3026, 'LBA', 517, 'BUD', 1489, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'CDG', 1382, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'DBV', 1200, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'DLM', 1715, '', 0, '73H 75W\r'),
	('LS', 3026, 'LBA', 517, 'DUS', 345, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'FAO', 1626, '', 0, '733 73H 752\r'),
	('LS', 3026, 'LBA', 517, 'FCO', 1555, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'FNC', 4091, '', 0, '73H\r'),
	('LS', 3026, 'LBA', 517, 'FUE', 1051, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'HER', 1452, '', 0, '75W 73H\r'),
	('LS', 3026, 'LBA', 517, 'IBZ', 1225, '', 0, '733 73H\r'),
	('LS', 3026, 'LBA', 517, 'JER', 499, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'KGS', 1458, '', 0, '73H\r'),
	('LS', 3026, 'LBA', 517, 'LCA', 1197, '', 0, '75W\r'),
	('LS', 3026, 'LBA', 517, 'LPA', 1054, '', 0, '752\r'),
	('LS', 3026, 'LBA', 517, 'MAH', 1231, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'MJV', 1227, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'NCE', 1354, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'PFO', 1198, '', 0, '752 75W\r'),
	('LS', 3026, 'LBA', 517, 'PMI', 3998, '', 0, '752 733 73H 75W\r'),
	('LS', 3026, 'LBA', 517, 'PRG', 1587, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'PSA', 1562, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'RHO', 1472, '', 0, '752\r'),
	('LS', 3026, 'LBA', 517, 'TFS', 1056, '', 0, '752 73H\r'),
	('LS', 3026, 'LBA', 517, 'VCE', 1551, '', 0, '733\r'),
	('LS', 3026, 'LBA', 517, 'ZTH', 1488, '', 0, '73H\r'),
	('LS', 3026, 'LCA', 1197, 'LBA', 517, '', 0, '75W\r'),
	('LS', 3026, 'LCA', 1197, 'MAN', 478, '', 0, '73H 75W\r'),
	('LS', 3026, 'LPA', 1054, 'EMA', 523, '', 0, '73H\r'),
	('LS', 3026, 'LPA', 1054, 'GLA', 534, '', 0, '738\r'),
	('LS', 3026, 'LPA', 1054, 'LBA', 517, '', 0, '752\r'),
	('LS', 3026, 'LPA', 1054, 'MAN', 478, '', 0, '73H 752\r'),
	('LS', 3026, 'LPA', 1054, 'NCL', 521, '', 0, '752\r'),
	('LS', 3026, 'MAH', 1231, 'EDI', 535, '', 0, '733\r'),
	('LS', 3026, 'MAH', 1231, 'EMA', 523, '', 0, '733\r'),
	('LS', 3026, 'MAH', 1231, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'MAH', 1231, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'MAH', 1231, 'NCL', 521, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'ACE', 1055, '', 0, '752 75W 73H\r'),
	('LS', 3026, 'MAN', 478, 'AGP', 1230, '', 0, '752 75W 733\r'),
	('LS', 3026, 'MAN', 478, 'ALC', 1212, '', 0, '75W 733 73H\r'),
	('LS', 3026, 'MAN', 478, 'BCN', 1218, '', 0, '738 733 73H\r'),
	('LS', 3026, 'MAN', 478, 'BJV', 4315, '', 0, '73H 738\r'),
	('LS', 3026, 'MAN', 478, 'BUD', 1489, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'CDG', 1382, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'DBV', 1200, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'DLM', 1715, '', 0, '752 73H 75W\r'),
	('LS', 3026, 'MAN', 478, 'FAO', 1626, '', 0, '738 752 75W\r'),
	('LS', 3026, 'MAN', 478, 'FCO', 1555, '', 0, '73H 733\r'),
	('LS', 3026, 'MAN', 478, 'FNC', 4091, '', 0, '75W 733\r'),
	('LS', 3026, 'MAN', 478, 'FUE', 1051, '', 0, '73H\r'),
	('LS', 3026, 'MAN', 478, 'HER', 1452, '', 0, '75W 738\r'),
	('LS', 3026, 'MAN', 478, 'IBZ', 1225, '', 0, '733 73H 738 75W\r'),
	('LS', 3026, 'MAN', 478, 'JER', 499, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'KGS', 1458, '', 0, '75W\r'),
	('LS', 3026, 'MAN', 478, 'LCA', 1197, '', 0, '73H 75W\r'),
	('LS', 3026, 'MAN', 478, 'LPA', 1054, '', 0, '73H 752\r'),
	('LS', 3026, 'MAN', 478, 'MAH', 1231, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'MJV', 1227, '', 0, '733 738 73H\r'),
	('LS', 3026, 'MAN', 478, 'NCE', 1354, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'PFO', 1198, '', 0, '73H 75W\r'),
	('LS', 3026, 'MAN', 478, 'PMI', 3998, '', 0, '75W 73H 752\r'),
	('LS', 3026, 'MAN', 478, 'PRG', 1587, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'PSA', 1562, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'PUY', 1203, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'REU', 1236, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'RHO', 1472, '', 0, '752\r'),
	('LS', 3026, 'MAN', 478, 'SPU', 1206, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'TFS', 1056, '', 0, '75W 73H\r'),
	('LS', 3026, 'MAN', 478, 'TLS', 1273, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'VCE', 1551, '', 0, '733 738\r'),
	('LS', 3026, 'MAN', 478, 'VIE', 1613, '', 0, '733\r'),
	('LS', 3026, 'MAN', 478, 'ZTH', 1488, '', 0, '738\r'),
	('LS', 3026, 'MJV', 1227, 'BFS', 465, '', 0, '733\r'),
	('LS', 3026, 'MJV', 1227, 'EDI', 535, '', 0, '733\r'),
	('LS', 3026, 'MJV', 1227, 'EMA', 523, '', 0, '733\r'),
	('LS', 3026, 'MJV', 1227, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'MJV', 1227, 'MAN', 478, '', 0, '733 738 73H\r'),
	('LS', 3026, 'MJV', 1227, 'NCL', 521, '', 0, '733 73C\r'),
	('LS', 3026, 'NCE', 1354, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'NCE', 1354, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'NCL', 521, 'ACE', 1055, '', 0, '752 75W\r'),
	('LS', 3026, 'NCL', 521, 'AGP', 1230, '', 0, '733 73C\r'),
	('LS', 3026, 'NCL', 521, 'ALC', 1212, '', 0, '73C 733 752 75W\r'),
	('LS', 3026, 'NCL', 521, 'BJV', 4315, '', 0, '752\r'),
	('LS', 3026, 'NCL', 521, 'DBV', 1200, '', 0, '733\r'),
	('LS', 3026, 'NCL', 521, 'DLM', 1715, '', 0, '752\r'),
	('LS', 3026, 'NCL', 521, 'FAO', 1626, '', 0, '733 73C\r'),
	('LS', 3026, 'NCL', 521, 'FCO', 1555, '', 0, '73C\r'),
	('LS', 3026, 'NCL', 521, 'HER', 1452, '', 0, '752\r'),
	('LS', 3026, 'NCL', 521, 'IBZ', 1225, '', 0, '733\r'),
	('LS', 3026, 'NCL', 521, 'KRK', 669, '', 0, '733\r'),
	('LS', 3026, 'NCL', 521, 'LPA', 1054, '', 0, '752\r'),
	('LS', 3026, 'NCL', 521, 'MAH', 1231, '', 0, '733\r'),
	('LS', 3026, 'NCL', 521, 'MJV', 1227, '', 0, '733 73C\r'),
	('LS', 3026, 'NCL', 521, 'PFO', 1198, '', 0, '752\r'),
	('LS', 3026, 'NCL', 521, 'PMI', 3998, '', 0, '752 733\r'),
	('LS', 3026, 'NCL', 521, 'PRG', 1587, '', 0, '73C 733\r'),
	('LS', 3026, 'NCL', 521, 'PSA', 1562, '', 0, '733\r'),
	('LS', 3026, 'NCL', 521, 'REU', 1236, '', 0, '733\r'),
	('LS', 3026, 'NCL', 521, 'RHO', 1472, '', 0, '752\r'),
	('LS', 3026, 'NCL', 521, 'TFS', 1056, '', 0, '752\r'),
	('LS', 3026, 'NCL', 521, 'VCE', 1551, '', 0, '733 73C\r'),
	('LS', 3026, 'PFO', 1198, 'EMA', 523, '', 0, '73H\r'),
	('LS', 3026, 'PFO', 1198, 'GLA', 534, '', 0, '73H\r'),
	('LS', 3026, 'PFO', 1198, 'LBA', 517, '', 0, '752 75W\r'),
	('LS', 3026, 'PFO', 1198, 'MAN', 478, '', 0, '73H 75W\r'),
	('LS', 3026, 'PFO', 1198, 'NCL', 521, '', 0, '752\r'),
	('LS', 3026, 'PMI', 3998, 'BFS', 465, '', 0, '733\r'),
	('LS', 3026, 'PMI', 3998, 'BLK', 514, '', 0, '73C\r'),
	('LS', 3026, 'PMI', 3998, 'EDI', 535, '', 0, '733\r'),
	('LS', 3026, 'PMI', 3998, 'EMA', 523, '', 0, '733 73H\r'),
	('LS', 3026, 'PMI', 3998, 'GLA', 534, '', 0, '73H 738\r'),
	('LS', 3026, 'PMI', 3998, 'LBA', 517, '', 0, '752 733 73H 75W\r'),
	('LS', 3026, 'PMI', 3998, 'MAN', 478, '', 0, '75W 73H 752\r'),
	('LS', 3026, 'PMI', 3998, 'NCL', 521, '', 0, '752 733\r'),
	('LS', 3026, 'PRG', 1587, 'EDI', 535, '', 0, '733\r'),
	('LS', 3026, 'PRG', 1587, 'EMA', 523, '', 0, '733\r'),
	('LS', 3026, 'PRG', 1587, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'PRG', 1587, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'PRG', 1587, 'NCL', 521, '', 0, '73C 733\r'),
	('LS', 3026, 'PSA', 1562, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'PSA', 1562, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'PSA', 1562, 'NCL', 521, '', 0, '733\r'),
	('LS', 3026, 'PUY', 1203, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'REU', 1236, 'BFS', 465, '', 0, '733\r'),
	('LS', 3026, 'REU', 1236, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'REU', 1236, 'NCL', 521, '', 0, '733\r'),
	('LS', 3026, 'RHO', 1472, 'EMA', 523, '', 0, '73H\r'),
	('LS', 3026, 'RHO', 1472, 'GLA', 534, '', 0, '73H\r'),
	('LS', 3026, 'RHO', 1472, 'LBA', 517, '', 0, '752\r'),
	('LS', 3026, 'RHO', 1472, 'MAN', 478, '', 0, '752\r'),
	('LS', 3026, 'RHO', 1472, 'NCL', 521, '', 0, '752\r'),
	('LS', 3026, 'SPU', 1206, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'TFS', 1056, 'BFS', 465, '', 0, '733\r'),
	('LS', 3026, 'TFS', 1056, 'BLK', 514, '', 0, '73C\r'),
	('LS', 3026, 'TFS', 1056, 'EMA', 523, '', 0, '73H\r'),
	('LS', 3026, 'TFS', 1056, 'GLA', 534, '', 0, '738 73H\r'),
	('LS', 3026, 'TFS', 1056, 'LBA', 517, '', 0, '752 73H\r'),
	('LS', 3026, 'TFS', 1056, 'MAN', 478, '', 0, '75W 73H\r'),
	('LS', 3026, 'TFS', 1056, 'NCL', 521, '', 0, '752\r'),
	('LS', 3026, 'TLS', 1273, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'VCE', 1551, 'EDI', 535, '', 0, '733\r'),
	('LS', 3026, 'VCE', 1551, 'LBA', 517, '', 0, '733\r'),
	('LS', 3026, 'VCE', 1551, 'MAN', 478, '', 0, '733 738\r'),
	('LS', 3026, 'VCE', 1551, 'NCL', 521, '', 0, '733 73C\r'),
	('LS', 3026, 'VIE', 1613, 'MAN', 478, '', 0, '733\r'),
	('LS', 3026, 'ZTH', 1488, 'LBA', 517, '', 0, '73H\r'),
	('LS', 3026, 'ZTH', 1488, 'MAN', 478, '', 0, '738\r'),
	('LT', 3213, 'BRU', 302, 'VNO', 3959, '', 0, 'CR2 E75\r'),
	('LT', 3213, 'CDG', 1382, 'VNO', 3959, '', 0, 'E75\r'),
	('LT', 3213, 'MUC', 346, 'VNO', 3959, '', 0, 'E75 CR2\r'),
	('LT', 3213, 'PRG', 1587, 'VNO', 3959, '', 0, 'CR2\r'),
	('LT', 3213, 'TLL', 415, 'VNO', 3959, '', 0, 'E75 CR2\r'),
	('LT', 3213, 'TXL', 351, 'VNO', 3959, '', 0, 'CR2\r'),
	('LT', 3213, 'VNO', 3959, 'BRU', 302, '', 0, 'CR2 E75\r'),
	('LT', 3213, 'VNO', 3959, 'CDG', 1382, '', 0, 'E75\r'),
	('LT', 3213, 'VNO', 3959, 'MUC', 346, '', 0, 'E75 CR2\r'),
	('LT', 3213, 'VNO', 3959, 'PRG', 1587, '', 0, 'CR2\r'),
	('LT', 3213, 'VNO', 3959, 'TLL', 415, '', 0, 'E75 CR2\r'),
	('LT', 3213, 'VNO', 3959, 'TXL', 351, '', 0, 'CR2\r'),
	('LV', 1008, 'MLE', 3156, 'PEK', 3364, '', 0, '763\r'),
	('LV', 1008, 'MLE', 3156, 'PVG', 3406, '', 0, '763\r'),
	('LV', 1008, 'PEK', 3364, 'MLE', 3156, '', 0, '763\r'),
	('LV', 1008, 'PVG', 3406, 'MLE', 3156, '', 0, '763\r'),
	('LW', 3865, 'ABQ', 4019, 'CNM', 3597, '', 0, 'CNC\r'),
	('LW', 3865, 'ABQ', 4019, 'LAM', 7584, '', 0, 'CNC\r'),
	('LW', 3865, 'CNM', 3597, 'ABQ', 4019, '', 0, 'CNC\r'),
	('LW', 3865, 'HGR', 6739, 'IAD', 3714, 'Y', 0, 'PA2\r'),
	('LW', 3865, 'IAD', 3714, 'HGR', 6739, 'Y', 0, 'PA2\r'),
	('LW', 3865, 'IAD', 3714, 'LNS', 5751, 'Y', 0, 'PA2\r'),
	('LW', 3865, 'IAH', 3550, 'VCT', 5775, 'Y', 0, 'PA2\r'),
	('LW', 3865, 'LAM', 7584, 'ABQ', 4019, '', 0, 'CNC\r'),
	('LW', 3865, 'LNS', 5751, 'IAD', 3714, 'Y', 0, 'PA2\r'),
	('LW', 3865, 'VCT', 5775, 'IAH', 3550, 'Y', 0, 'PA2\r'),
	('LX', 4559, 'ACE', 1055, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'AGP', 1230, 'GVA', 1665, '', 0, '320 AR1\r'),
	('LX', 4559, 'AGP', 1230, 'ZRH', 1678, '', 0, '321 320\r'),
	('LX', 4559, 'AMS', 580, 'ZRH', 1678, '', 0, '320 AR1\r'),
	('LX', 4559, 'ARN', 737, 'GVA', 1665, '', 0, '320 319\r'),
	('LX', 4559, 'ARN', 737, 'ZRH', 1678, '', 0, '320 321\r'),
	('LX', 4559, 'ATH', 3941, 'GVA', 1665, '', 0, '320 319\r'),
	('LX', 4559, 'ATH', 3941, 'ZRH', 1678, '', 0, '321\r'),
	('LX', 4559, 'AYT', 1688, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'BAH', 2057, 'DOH', 2241, 'Y', 0, '333\r'),
	('LX', 4559, 'BCN', 1218, 'BSL', 4053, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'BCN', 1218, 'GVA', 1665, '', 0, '320 319 AR1\r'),
	('LX', 4559, 'BCN', 1218, 'ZRH', 1678, '', 0, '321 320\r'),
	('LX', 4559, 'BEG', 1739, 'GVA', 1665, '', 0, '320\r'),
	('LX', 4559, 'BEG', 1739, 'ZRH', 1678, '', 0, '320 100\r'),
	('LX', 4559, 'BHX', 469, 'ZRH', 1678, '', 0, '100 AR1\r'),
	('LX', 4559, 'BKK', 3885, 'ZRH', 1678, '', 0, '343\r'),
	('LX', 4559, 'BOM', 2997, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'BOS', 3448, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'BRU', 302, 'BSL', 4053, 'Y', 0, '319 AR1\r'),
	('LX', 4559, 'BRU', 302, 'DLA', 897, 'Y', 0, '332\r'),
	('LX', 4559, 'BRU', 302, 'GVA', 1665, 'Y', 0, '320 319 AR1\r'),
	('LX', 4559, 'BRU', 302, 'LIN', 1529, '', 0, 'AR1 319\r'),
	('LX', 4559, 'BRU', 302, 'NSI', 4161, 'Y', 0, '332\r'),
	('LX', 4559, 'BRU', 302, 'ZRH', 1678, '', 0, 'AR1 320\r'),
	('LX', 4559, 'BSL', 4053, 'BCN', 1218, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'BSL', 4053, 'BRU', 302, 'Y', 0, '319 AR1\r'),
	('LX', 4559, 'BSL', 4053, 'FCO', 1555, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'BSL', 4053, 'FRA', 340, 'Y', 0, 'CR7\r'),
	('LX', 4559, 'BSL', 4053, 'HAM', 342, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'BSL', 4053, 'LCY', 503, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'BSL', 4053, 'MUC', 346, 'Y', 0, 'CR7 CR9\r'),
	('LX', 4559, 'BSL', 4053, 'PRG', 1587, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'BSL', 4053, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('LX', 4559, 'BUD', 1489, 'ZRH', 1678, '', 0, 'AR1 100 320 319\r'),
	('LX', 4559, 'CAI', 1128, 'GVA', 1665, 'Y', 0, '738\r'),
	('LX', 4559, 'CAI', 1128, 'ZRH', 1678, '', 0, '333 343\r'),
	('LX', 4559, 'CDG', 1382, 'GVA', 1665, 'Y', 0, '319 321 320 318\r'),
	('LX', 4559, 'CDG', 1382, 'ZRH', 1678, '', 0, '320 AR1 32A 319\r'),
	('LX', 4559, 'CGN', 344, 'ZRH', 1678, '', 0, '320 319\r'),
	('LX', 4559, 'CPH', 609, 'GVA', 1665, '', 0, '319 320\r'),
	('LX', 4559, 'CPH', 609, 'ZRH', 1678, '', 0, '321 320\r'),
	('LX', 4559, 'CTA', 1509, 'GVA', 1665, '', 0, '320\r'),
	('LX', 4559, 'CTA', 1509, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'DAR', 1177, 'NBO', 4059, '', 0, '333\r'),
	('LX', 4559, 'DBV', 1200, 'ZRH', 1678, 'Y', 0, 'DH4\r'),
	('LX', 4559, 'DEL', 3093, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'DLA', 897, 'BRU', 302, 'Y', 0, '332\r'),
	('LX', 4559, 'DLA', 897, 'NSI', 4161, 'Y', 0, '332\r'),
	('LX', 4559, 'DME', 4029, 'GVA', 1665, '', 0, '320 319\r'),
	('LX', 4559, 'DME', 4029, 'ZRH', 1678, '', 0, '321 320\r'),
	('LX', 4559, 'DOH', 2241, 'BAH', 2057, 'Y', 0, '333\r'),
	('LX', 4559, 'DOH', 2241, 'FRA', 340, 'Y', 0, '333\r'),
	('LX', 4559, 'DUB', 599, 'ZRH', 1678, '', 0, '321\r'),
	('LX', 4559, 'DUS', 345, 'ZRH', 1678, '', 0, '320 AR1 100 321\r'),
	('LX', 4559, 'DXB', 2188, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'EWR', 3494, 'GVA', 1665, 'Y', 0, '763\r'),
	('LX', 4559, 'EWR', 3494, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'FCO', 1555, 'BSL', 4053, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'FCO', 1555, 'GVA', 1665, '', 0, '319 320\r'),
	('LX', 4559, 'FCO', 1555, 'ZRH', 1678, '', 0, '320 321 319 32A\r'),
	('LX', 4559, 'FLR', 1563, 'ZRH', 1678, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'FNC', 4091, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'FRA', 340, 'BSL', 4053, 'Y', 0, 'CR7\r'),
	('LX', 4559, 'FRA', 340, 'DOH', 2241, 'Y', 0, '333\r'),
	('LX', 4559, 'FRA', 340, 'GVA', 1665, 'Y', 0, 'CR7 735 E90\r'),
	('LX', 4559, 'FRA', 340, 'ZRH', 1678, '', 0, '320 AR1\r'),
	('LX', 4559, 'FUE', 1051, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'GRU', 2564, 'ZRH', 1678, '', 0, '343\r'),
	('LX', 4559, 'GVA', 1665, 'AGP', 1230, '', 0, '320 AR1\r'),
	('LX', 4559, 'GVA', 1665, 'ARN', 737, '', 0, '320 319\r'),
	('LX', 4559, 'GVA', 1665, 'ATH', 3941, '', 0, '320 319\r'),
	('LX', 4559, 'GVA', 1665, 'BCN', 1218, '', 0, '320 319 AR1\r'),
	('LX', 4559, 'GVA', 1665, 'BEG', 1739, '', 0, '320\r'),
	('LX', 4559, 'GVA', 1665, 'BRU', 302, 'Y', 0, '319 320 AR1\r'),
	('LX', 4559, 'GVA', 1665, 'CAI', 1128, 'Y', 0, '738\r'),
	('LX', 4559, 'GVA', 1665, 'CDG', 1382, 'Y', 0, '321 319 320 318\r'),
	('LX', 4559, 'GVA', 1665, 'CPH', 609, '', 0, '319 320\r'),
	('LX', 4559, 'GVA', 1665, 'CTA', 1509, '', 0, '320\r'),
	('LX', 4559, 'GVA', 1665, 'DME', 4029, '', 0, '319 320\r'),
	('LX', 4559, 'GVA', 1665, 'EWR', 3494, 'Y', 0, '763\r'),
	('LX', 4559, 'GVA', 1665, 'FCO', 1555, '', 0, '319 320\r'),
	('LX', 4559, 'GVA', 1665, 'FRA', 340, 'Y', 0, '735 CR7 E90\r'),
	('LX', 4559, 'GVA', 1665, 'HER', 1452, '', 0, '320\r'),
	('LX', 4559, 'GVA', 1665, 'IAD', 3714, 'Y', 0, '763\r'),
	('LX', 4559, 'GVA', 1665, 'JFK', 3797, '', 0, '333\r'),
	('LX', 4559, 'GVA', 1665, 'LCY', 503, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'GVA', 1665, 'LED', 2948, '', 0, '319\r'),
	('LX', 4559, 'GVA', 1665, 'LHR', 507, '', 0, '320 319\r'),
	('LX', 4559, 'GVA', 1665, 'LIS', 1638, '', 0, '319 320\r'),
	('LX', 4559, 'GVA', 1665, 'MAD', 1229, '', 0, '320 319\r'),
	('LX', 4559, 'GVA', 1665, 'MUC', 346, 'Y', 0, 'E95 CR9\r'),
	('LX', 4559, 'GVA', 1665, 'NCE', 1354, '', 0, '320 319 AR1\r'),
	('LX', 4559, 'GVA', 1665, 'OLB', 1520, '', 0, '320\r'),
	('LX', 4559, 'GVA', 1665, 'OPO', 1636, '', 0, '319 320\r'),
	('LX', 4559, 'GVA', 1665, 'PMI', 3998, '', 0, '320\r'),
	('LX', 4559, 'GVA', 1665, 'PRG', 1587, '', 0, '320 319\r'),
	('LX', 4559, 'GVA', 1665, 'PRN', 1742, '', 0, '320\r'),
	('LX', 4559, 'GVA', 1665, 'RAK', 1075, '', 0, '320\r'),
	('LX', 4559, 'GVA', 1665, 'TLV', 1590, 'Y', 0, '738\r'),
	('LX', 4559, 'GVA', 1665, 'VIE', 1613, 'Y', 0, 'F70 319 100\r'),
	('LX', 4559, 'GVA', 1665, 'WAW', 679, 'Y', 0, 'E75\r'),
	('LX', 4559, 'GVA', 1665, 'YUL', 146, 'Y', 0, '333\r'),
	('LX', 4559, 'GVA', 1665, 'ZRH', 1678, '', 0, 'AR1 320 319 321 32A\r'),
	('LX', 4559, 'HAJ', 352, 'ZRH', 1678, '', 0, '100 AR1 320\r'),
	('LX', 4559, 'HAM', 342, 'BSL', 4053, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'HAM', 342, 'ZRH', 1678, '', 0, '319 321 320 CRJ\r'),
	('LX', 4559, 'HAV', 1909, 'ZRH', 1678, 'Y', 0, '333\r'),
	('LX', 4559, 'HER', 1452, 'GVA', 1665, '', 0, '320\r'),
	('LX', 4559, 'HER', 1452, 'ZRH', 1678, 'Y', 0, '320 333\r'),
	('LX', 4559, 'HKG', 3077, 'ZRH', 1678, '', 0, '343\r'),
	('LX', 4559, 'HRG', 1130, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'IAD', 3714, 'GVA', 1665, 'Y', 0, '763\r'),
	('LX', 4559, 'IAD', 3714, 'ZRH', 1678, 'Y', 0, '763 764\r'),
	('LX', 4559, 'IST', 1701, 'ZRH', 1678, '', 0, '320 32A\r'),
	('LX', 4559, 'JFK', 3797, 'GVA', 1665, '', 0, '333\r'),
	('LX', 4559, 'JFK', 3797, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'JNB', 813, 'ZRH', 1678, '', 0, '343 333\r'),
	('LX', 4559, 'KBP', 2939, 'ZRH', 1678, '', 0, '320 32A 100 319\r'),
	('LX', 4559, 'LAS', 3877, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'LAX', 3484, 'ZRH', 1678, '', 0, '343\r'),
	('LX', 4559, 'LCA', 1197, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'LCY', 503, 'BSL', 4053, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'LCY', 503, 'GVA', 1665, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'LCY', 503, 'ZRH', 1678, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'LED', 2948, 'GVA', 1665, '', 0, '319\r'),
	('LX', 4559, 'LED', 2948, 'ZRH', 1678, '', 0, '320 32A\r'),
	('LX', 4559, 'LHR', 507, 'GVA', 1665, '', 0, '320 319\r'),
	('LX', 4559, 'LHR', 507, 'ZRH', 1678, '', 0, '320 321 32A\r'),
	('LX', 4559, 'LIN', 1529, 'BRU', 302, '', 0, 'AR1 319\r'),
	('LX', 4559, 'LIS', 1638, 'GVA', 1665, '', 0, '319 320\r'),
	('LX', 4559, 'LIS', 1638, 'ZRH', 1678, '', 0, '32A 320\r'),
	('LX', 4559, 'LJU', 1569, 'ZRH', 1678, 'Y', 0, 'CR9 CR2 319\r'),
	('LX', 4559, 'LPA', 1054, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'LUG', 1675, 'ZRH', 1678, 'Y', 0, 'S20\r'),
	('LX', 4559, 'LUX', 629, 'ZRH', 1678, '', 0, 'AR1 320\r'),
	('LX', 4559, 'LYS', 1335, 'ZRH', 1678, '', 0, 'AR1\r'),
	('LX', 4559, 'MAD', 1229, 'GVA', 1665, '', 0, '320 319\r'),
	('LX', 4559, 'MAD', 1229, 'ZRH', 1678, '', 0, '320 32A\r'),
	('LX', 4559, 'MAN', 478, 'ZRH', 1678, '', 0, '100 320 AR1\r'),
	('LX', 4559, 'MIA', 3576, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'MLA', 1606, 'ZRH', 1678, 'Y', 0, '319\r'),
	('LX', 4559, 'MUC', 346, 'BSL', 4053, 'Y', 0, 'CR9 CR7\r'),
	('LX', 4559, 'MUC', 346, 'GVA', 1665, 'Y', 0, 'E95 CR9\r'),
	('LX', 4559, 'MUC', 346, 'ZRH', 1678, '', 0, 'AR1\r'),
	('LX', 4559, 'MXP', 1524, 'ZRH', 1678, '', 0, 'AR1 100 320\r'),
	('LX', 4559, 'NBO', 4059, 'DAR', 1177, '', 0, '333\r'),
	('LX', 4559, 'NBO', 4059, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'NCE', 1354, 'GVA', 1665, '', 0, '320 319 AR1\r'),
	('LX', 4559, 'NCE', 1354, 'ZRH', 1678, '', 0, '320 319\r'),
	('LX', 4559, 'NRT', 2279, 'ZRH', 1678, '', 0, '343\r'),
	('LX', 4559, 'NSI', 4161, 'BRU', 302, 'Y', 0, '332\r'),
	('LX', 4559, 'NSI', 4161, 'DLA', 897, 'Y', 0, '332\r'),
	('LX', 4559, 'NUE', 347, 'ZRH', 1678, '', 0, 'AR1 100\r'),
	('LX', 4559, 'OLB', 1520, 'GVA', 1665, '', 0, '320\r'),
	('LX', 4559, 'OPO', 1636, 'GVA', 1665, '', 0, '319 320\r'),
	('LX', 4559, 'OPO', 1636, 'ZRH', 1678, 'Y', 0, '320 319\r'),
	('LX', 4559, 'ORD', 3830, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'OSL', 644, 'ZRH', 1678, '', 0, '319 320\r'),
	('LX', 4559, 'OTP', 1657, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'PEK', 3364, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'PMI', 3998, 'GVA', 1665, '', 0, '320\r'),
	('LX', 4559, 'PMI', 3998, 'ZRH', 1678, '', 0, '321 320\r'),
	('LX', 4559, 'PRG', 1587, 'BSL', 4053, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'PRG', 1587, 'GVA', 1665, '', 0, '320 319\r'),
	('LX', 4559, 'PRG', 1587, 'ZRH', 1678, '', 0, 'AR1\r'),
	('LX', 4559, 'PRN', 1742, 'GVA', 1665, '', 0, '320\r'),
	('LX', 4559, 'PRN', 1742, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'PUJ', 1760, 'ZRH', 1678, 'Y', 0, '333\r'),
	('LX', 4559, 'PVG', 3406, 'ZRH', 1678, '', 0, '343\r'),
	('LX', 4559, 'RAK', 1075, 'GVA', 1665, '', 0, '320\r'),
	('LX', 4559, 'RAK', 1075, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'RMF', 4197, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'SFO', 3469, 'ZRH', 1678, '', 0, '343\r'),
	('LX', 4559, 'SIN', 3316, 'ZRH', 1678, '', 0, '343\r'),
	('LX', 4559, 'SKP', 1737, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'SPU', 1206, 'ZRH', 1678, 'Y', 0, 'DH4\r'),
	('LX', 4559, 'STR', 350, 'ZRH', 1678, '', 0, 'AR1\r'),
	('LX', 4559, 'TFS', 1056, 'ZRH', 1678, 'Y', 0, '320\r'),
	('LX', 4559, 'TLV', 1590, 'GVA', 1665, 'Y', 0, '738\r'),
	('LX', 4559, 'TLV', 1590, 'ZRH', 1678, '', 0, '333 343 32A\r'),
	('LX', 4559, 'TPA', 3646, 'ZRH', 1678, 'Y', 0, '333\r'),
	('LX', 4559, 'TXL', 351, 'ZRH', 1678, '', 0, '321 320\r'),
	('LX', 4559, 'VCE', 1551, 'ZRH', 1678, '', 0, 'AR1 320\r'),
	('LX', 4559, 'VIE', 1613, 'BSL', 4053, 'Y', 0, 'DH4\r'),
	('LX', 4559, 'VIE', 1613, 'GVA', 1665, 'Y', 0, '319 100 F70\r'),
	('LX', 4559, 'VIE', 1613, 'ZRH', 1678, '', 0, '320 32A 319 321 AR1\r'),
	('LX', 4559, 'VLC', 1246, 'ZRH', 1678, '', 0, '321 320\r'),
	('LX', 4559, 'WAW', 679, 'GVA', 1665, 'Y', 0, 'E75\r'),
	('LX', 4559, 'WAW', 679, 'ZRH', 1678, '', 0, '100\r'),
	('LX', 4559, 'YUL', 146, 'GVA', 1665, 'Y', 0, '333\r'),
	('LX', 4559, 'YUL', 146, 'YYZ', 193, 'Y', 0, '333\r'),
	('LX', 4559, 'YUL', 146, 'ZRH', 1678, '', 0, '333\r'),
	('LX', 4559, 'YYZ', 193, 'YUL', 146, 'Y', 0, '333\r'),
	('LX', 4559, 'YYZ', 193, 'ZRH', 1678, 'Y', 0, '333\r'),
	('LX', 4559, 'ZAG', 1208, 'ZRH', 1678, 'Y', 0, 'DH4\r'),
	('LX', 4559, 'ZRH', 1678, 'ACE', 1055, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'AGP', 1230, '', 0, '321 320\r'),
	('LX', 4559, 'ZRH', 1678, 'AMS', 580, '', 0, '320 AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'ARN', 737, '', 0, '320 321\r'),
	('LX', 4559, 'ZRH', 1678, 'ATH', 3941, '', 0, '321\r'),
	('LX', 4559, 'ZRH', 1678, 'AYT', 1688, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'BCN', 1218, '', 0, '321 320\r'),
	('LX', 4559, 'ZRH', 1678, 'BEG', 1739, '', 0, '320 100\r'),
	('LX', 4559, 'ZRH', 1678, 'BHX', 469, '', 0, '100 AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'BKK', 3885, '', 0, '343\r'),
	('LX', 4559, 'ZRH', 1678, 'BOM', 2997, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'BOS', 3448, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'BRU', 302, '', 0, '320 AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'BUD', 1489, '', 0, 'AR1 100 320 319\r'),
	('LX', 4559, 'ZRH', 1678, 'CAI', 1128, '', 0, '333 343\r'),
	('LX', 4559, 'ZRH', 1678, 'CDG', 1382, '', 0, '320 AR1 32A 319\r'),
	('LX', 4559, 'ZRH', 1678, 'CGN', 344, '', 0, '320 319\r'),
	('LX', 4559, 'ZRH', 1678, 'CPH', 609, '', 0, '321 320\r'),
	('LX', 4559, 'ZRH', 1678, 'CTA', 1509, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'DBV', 1200, 'Y', 0, 'DH4\r'),
	('LX', 4559, 'ZRH', 1678, 'DEL', 3093, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'DME', 4029, '', 0, '321 320\r'),
	('LX', 4559, 'ZRH', 1678, 'DUB', 599, '', 0, '321\r'),
	('LX', 4559, 'ZRH', 1678, 'DUS', 345, '', 0, '320 AR1 100 321\r'),
	('LX', 4559, 'ZRH', 1678, 'DXB', 2188, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'EWR', 3494, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'FCO', 1555, '', 0, '321 320 319 32A\r'),
	('LX', 4559, 'ZRH', 1678, 'FLR', 1563, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'FNC', 4091, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'FRA', 340, '', 0, '320 AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'FUE', 1051, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'GRU', 2564, '', 0, '343\r'),
	('LX', 4559, 'ZRH', 1678, 'GVA', 1665, '', 0, '319 320 AR1 321 32A\r'),
	('LX', 4559, 'ZRH', 1678, 'HAJ', 352, '', 0, 'AR1 100 320\r'),
	('LX', 4559, 'ZRH', 1678, 'HAM', 342, '', 0, '321 319 320 CRJ\r'),
	('LX', 4559, 'ZRH', 1678, 'HAV', 1909, 'Y', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'HER', 1452, 'Y', 0, '320 333\r'),
	('LX', 4559, 'ZRH', 1678, 'HKG', 3077, '', 0, '343\r'),
	('LX', 4559, 'ZRH', 1678, 'HRG', 1130, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'IAD', 3714, 'Y', 0, '763 764\r'),
	('LX', 4559, 'ZRH', 1678, 'IST', 1701, '', 0, '320 32A\r'),
	('LX', 4559, 'ZRH', 1678, 'JFK', 3797, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'JNB', 813, '', 0, '343 333\r'),
	('LX', 4559, 'ZRH', 1678, 'KBP', 2939, '', 0, '320 32A 100 319\r'),
	('LX', 4559, 'ZRH', 1678, 'LAS', 3877, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'LAX', 3484, '', 0, '343\r'),
	('LX', 4559, 'ZRH', 1678, 'LCA', 1197, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'LCY', 503, 'Y', 0, 'AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'LED', 2948, '', 0, '320 32A\r'),
	('LX', 4559, 'ZRH', 1678, 'LHR', 507, '', 0, '320 321 32A\r'),
	('LX', 4559, 'ZRH', 1678, 'LIS', 1638, '', 0, '32A 320\r'),
	('LX', 4559, 'ZRH', 1678, 'LJU', 1569, 'Y', 0, 'CR9 CR2 319\r'),
	('LX', 4559, 'ZRH', 1678, 'LPA', 1054, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'LUG', 1675, 'Y', 0, 'S20\r'),
	('LX', 4559, 'ZRH', 1678, 'LUX', 629, '', 0, 'AR1 320\r'),
	('LX', 4559, 'ZRH', 1678, 'LYS', 1335, '', 0, 'AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'MAD', 1229, '', 0, '320 32A\r'),
	('LX', 4559, 'ZRH', 1678, 'MAN', 478, '', 0, '100 320 AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'MIA', 3576, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'MLA', 1606, 'Y', 0, '319\r'),
	('LX', 4559, 'ZRH', 1678, 'MUC', 346, '', 0, 'AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'MXP', 1524, '', 0, 'AR1 100 320\r'),
	('LX', 4559, 'ZRH', 1678, 'NBO', 4059, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'NCE', 1354, '', 0, '320 319\r'),
	('LX', 4559, 'ZRH', 1678, 'NRT', 2279, '', 0, '343\r'),
	('LX', 4559, 'ZRH', 1678, 'NUE', 347, '', 0, '100 AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'OPO', 1636, 'Y', 0, '320 319\r'),
	('LX', 4559, 'ZRH', 1678, 'ORD', 3830, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'OSL', 644, '', 0, '319 320\r'),
	('LX', 4559, 'ZRH', 1678, 'OTP', 1657, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'PEK', 3364, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'PMI', 3998, '', 0, '321 320\r'),
	('LX', 4559, 'ZRH', 1678, 'PRG', 1587, '', 0, 'AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'PRN', 1742, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'PUJ', 1760, 'Y', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'PVG', 3406, '', 0, '343\r'),
	('LX', 4559, 'ZRH', 1678, 'RAK', 1075, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'RMF', 4197, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'SFO', 3469, '', 0, '343\r'),
	('LX', 4559, 'ZRH', 1678, 'SIN', 3316, '', 0, '343\r'),
	('LX', 4559, 'ZRH', 1678, 'SKP', 1737, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'SPU', 1206, 'Y', 0, 'DH4\r'),
	('LX', 4559, 'ZRH', 1678, 'STR', 350, '', 0, 'AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'TFS', 1056, 'Y', 0, '320\r'),
	('LX', 4559, 'ZRH', 1678, 'TLV', 1590, '', 0, '343 32A 333\r'),
	('LX', 4559, 'ZRH', 1678, 'TPA', 3646, 'Y', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'TXL', 351, '', 0, '320 321\r'),
	('LX', 4559, 'ZRH', 1678, 'VCE', 1551, '', 0, 'AR1 320\r'),
	('LX', 4559, 'ZRH', 1678, 'VIE', 1613, '', 0, '32A 319 321 320 AR1\r'),
	('LX', 4559, 'ZRH', 1678, 'VLC', 1246, '', 0, '321 320\r'),
	('LX', 4559, 'ZRH', 1678, 'WAW', 679, '', 0, '100\r'),
	('LX', 4559, 'ZRH', 1678, 'YUL', 146, '', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'YYZ', 193, 'Y', 0, '333\r'),
	('LX', 4559, 'ZRH', 1678, 'ZAG', 1208, 'Y', 0, 'DH4\r'),
	('LY', 2150, 'AMS', 580, 'TLV', 1590, '', 0, '738 739 763\r'),
	('LY', 2150, 'ATH', 3941, 'TLV', 1590, '', 0, '738\r'),
	('LY', 2150, 'BCN', 1218, 'TLV', 1590, '', 0, '763 744 738\r'),
	('LY', 2150, 'BKK', 3885, 'TLV', 1590, '', 0, '763 744\r'),
	('LY', 2150, 'BOM', 2997, 'TLV', 1590, '', 0, '763\r'),
	('LY', 2150, 'BRU', 302, 'TLV', 1590, '', 0, '73G 738\r'),
	('LY', 2150, 'BUD', 1489, 'TLV', 1590, '', 0, '738\r'),
	('LY', 2150, 'CDG', 1382, 'TLV', 1590, '', 0, '738 763 739 772 744\r'),
	('LY', 2150, 'DME', 4029, 'TLV', 1590, '', 0, '739 763 738 73G 772\r'),
	('LY', 2150, 'EWR', 3494, 'TLV', 1590, '', 0, '772\r'),
	('LY', 2150, 'FCO', 1555, 'TLV', 1590, '', 0, '73G 739 738 763\r'),
	('LY', 2150, 'FRA', 340, 'TLV', 1590, '', 0, '738\r'),
	('LY', 2150, 'GVA', 1665, 'TLV', 1590, '', 0, '738\r'),
	('LY', 2150, 'HKG', 3077, 'TLV', 1590, '', 0, '772\r'),
	('LY', 2150, 'JFK', 3797, 'TLV', 1590, '', 0, '744\r'),
	('LY', 2150, 'JNB', 813, 'TLV', 1590, '', 0, '763\r'),
	('LY', 2150, 'KBP', 2939, 'TLV', 1590, '', 0, '738\r'),
	('LY', 2150, 'LAX', 3484, 'TLV', 1590, '', 0, '772\r'),
	('LY', 2150, 'LCA', 1197, 'TLV', 1590, '', 0, '738\r'),
	('LY', 2150, 'LED', 2948, 'TLV', 1590, '', 0, '739 738\r'),
	('LY', 2150, 'LHR', 507, 'TLV', 1590, '', 0, '772 763\r'),
	('LY', 2150, 'LTN', 492, 'TLV', 1590, '', 0, '738\r'),
	('LY', 2150, 'MAD', 1229, 'TLV', 1590, '', 0, '739 738\r'),
	('LY', 2150, 'MRS', 1353, 'TLV', 1590, '', 0, '763 738\r'),
	('LY', 2150, 'MUC', 346, 'MAD', 1229, '', 0, '738\r'),
	('LY', 2150, 'MUC', 346, 'TLV', 1590, '', 0, '738 73G 763\r'),
	('LY', 2150, 'MXP', 1524, 'TLV', 1590, '', 0, '739 738\r'),
	('LY', 2150, 'OTP', 1657, 'TLV', 1590, '', 0, '738 739\r'),
	('LY', 2150, 'PEK', 3364, 'TLV', 1590, '', 0, '763\r'),
	('LY', 2150, 'PRG', 1587, 'TLV', 1590, '', 0, '738\r'),
	('LY', 2150, 'SOF', 1194, 'TLV', 1590, '', 0, '738\r'),
	('LY', 2150, 'SXF', 337, 'TLV', 1590, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'AMS', 580, '', 0, '738 739 763\r'),
	('LY', 2150, 'TLV', 1590, 'ATH', 3941, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'BCN', 1218, '', 0, '763 744 738\r'),
	('LY', 2150, 'TLV', 1590, 'BKK', 3885, '', 0, '763 744\r'),
	('LY', 2150, 'TLV', 1590, 'BOM', 2997, '', 0, '763\r'),
	('LY', 2150, 'TLV', 1590, 'BRU', 302, '', 0, '73G 738\r'),
	('LY', 2150, 'TLV', 1590, 'BUD', 1489, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'CDG', 1382, '', 0, '738 763 739 772 744\r'),
	('LY', 2150, 'TLV', 1590, 'DME', 4029, '', 0, '739 763 738 73G 772\r'),
	('LY', 2150, 'TLV', 1590, 'EWR', 3494, '', 0, '772\r'),
	('LY', 2150, 'TLV', 1590, 'FCO', 1555, '', 0, '73G 738 739 763\r'),
	('LY', 2150, 'TLV', 1590, 'FRA', 340, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'GVA', 1665, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'HKG', 3077, '', 0, '772\r'),
	('LY', 2150, 'TLV', 1590, 'JFK', 3797, '', 0, '744\r'),
	('LY', 2150, 'TLV', 1590, 'JNB', 813, '', 0, '763\r'),
	('LY', 2150, 'TLV', 1590, 'KBP', 2939, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'LAX', 3484, '', 0, '772\r'),
	('LY', 2150, 'TLV', 1590, 'LCA', 1197, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'LED', 2948, '', 0, '739 738\r'),
	('LY', 2150, 'TLV', 1590, 'LHR', 507, '', 0, '772 763\r'),
	('LY', 2150, 'TLV', 1590, 'LTN', 492, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'MAD', 1229, '', 0, '739 738\r'),
	('LY', 2150, 'TLV', 1590, 'MRS', 1353, '', 0, '738 763\r'),
	('LY', 2150, 'TLV', 1590, 'MUC', 346, '', 0, '738 73G 763\r'),
	('LY', 2150, 'TLV', 1590, 'MXP', 1524, '', 0, '738 739\r'),
	('LY', 2150, 'TLV', 1590, 'OTP', 1657, '', 0, '738 739\r'),
	('LY', 2150, 'TLV', 1590, 'PEK', 3364, '', 0, '763\r'),
	('LY', 2150, 'TLV', 1590, 'PRG', 1587, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'SOF', 1194, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'SXF', 337, '', 0, '738\r'),
	('LY', 2150, 'TLV', 1590, 'VCE', 1551, '', 0, '738 73G\r'),
	('LY', 2150, 'TLV', 1590, 'VIE', 1613, '', 0, '738 73G\r'),
	('LY', 2150, 'TLV', 1590, 'WAW', 679, '', 0, '738 73G\r'),
	('LY', 2150, 'TLV', 1590, 'YYZ', 193, '', 0, '763\r'),
	('LY', 2150, 'TLV', 1590, 'ZRH', 1678, '', 0, '738 73G\r'),
	('LY', 2150, 'VCE', 1551, 'TLV', 1590, '', 0, '738 73G\r'),
	('LY', 2150, 'VIE', 1613, 'TLV', 1590, '', 0, '738 73G\r'),
	('LY', 2150, 'WAW', 679, 'TLV', 1590, '', 0, '738 73G\r'),
	('LY', 2150, 'YYZ', 193, 'TLV', 1590, '', 0, '763\r'),
	('LY', 2150, 'ZRH', 1678, 'TLV', 1590, '', 0, '738 73G\r'),
	('M3', 42, 'AAL', 628, 'OSL', 644, '', 0, 'SWM\r'),
	('M3', 42, 'OLA', 655, 'OSL', 644, '', 0, 'SWM\r'),
	('M3', 42, 'OSL', 644, 'AAL', 628, '', 0, 'SWM\r'),
	('M3', 42, 'OSL', 644, 'OLA', 655, '', 0, 'SWM\r'),
	('M3', 42, 'OSL', 644, 'VDB', 642, '', 0, 'SWM\r'),
	('M3', 42, 'VDB', 642, 'OSL', 644, '', 0, 'SWM\r'),
	('M4', 15893, 'ASW', 1136, 'CAI', 1128, '', 0, 'DH4\r'),
	('M4', 15893, 'ATZ', 5691, 'CAI', 1128, '', 0, 'DH4\r'),
	('M4', 15893, 'CAI', 1128, 'ASW', 1136, '', 0, 'DH4\r'),
	('M4', 15893, 'CAI', 1128, 'ATZ', 5691, '', 0, 'DH4\r'),
	('M4', 15893, 'CAI', 1128, 'HBE', 3410, '', 0, 'DH4\r'),
	('M4', 15893, 'CAI', 1128, 'HMB', 8235, '', 0, 'DH4\r'),
	('M4', 15893, 'CAI', 1128, 'HRG', 1130, '', 0, 'DH4\r'),
	('M4', 15893, 'CAI', 1128, 'LXR', 1132, '', 0, 'DH4\r'),
	('M4', 15893, 'CAI', 1128, 'SSH', 4057, '', 0, 'DH4\r'),
	('M4', 15893, 'HBE', 3410, 'CAI', 1128, '', 0, 'DH4\r'),
	('M4', 15893, 'HBE', 3410, 'SSH', 4057, '', 0, 'DH4\r'),
	('M4', 15893, 'HMB', 8235, 'CAI', 1128, '', 0, 'DH4\r'),
	('M4', 15893, 'HMB', 8235, 'JED', 2072, '', 0, 'DH4\r'),
	('M4', 15893, 'HRG', 1130, 'CAI', 1128, '', 0, 'DH4\r'),
	('M4', 15893, 'HRG', 1130, 'SSH', 4057, '', 0, 'DH4\r'),
	('M4', 15893, 'JED', 2072, 'HMB', 8235, '', 0, 'DH4\r'),
	('M4', 15893, 'LXR', 1132, 'CAI', 1128, '', 0, 'DH4\r'),
	('M4', 15893, 'SSH', 4057, 'CAI', 1128, '', 0, 'DH4\r'),
	('M4', 15893, 'SSH', 4057, 'HBE', 3410, '', 0, 'DH4\r'),
	('M5', 3123, 'BFI', 3726, 'CLM', 5731, '', 0, 'CNC\r'),
	('M5', 3123, 'BFI', 3726, 'ESD', 7083, '', 0, 'CNC\r'),
	('M5', 3123, 'CLM', 5731, 'BFI', 3726, '', 0, 'CNC\r'),
	('M5', 3123, 'ESD', 7083, 'FRD', 7082, '', 0, 'CNC\r'),
	('M5', 3123, 'FBS', 8174, 'LKE', 6457, 'Y', 0, 'DHP\r'),
	('M5', 3123, 'FBS', 8174, 'RCE', 8170, '', 0, 'DHP\r'),
	('M5', 3123, 'FRD', 7082, 'BFI', 3726, '', 0, 'CNC\r'),
	('M5', 3123, 'LKE', 6457, 'FBS', 8174, '', 0, 'DHP\r'),
	('M5', 3123, 'LKE', 6457, 'SEA', 3577, 'Y', 0, 'DHL\r'),
	('M5', 3123, 'LKE', 6457, 'YWH', 4106, 'Y', 0, 'DHL\r'),
	('M5', 3123, 'LPS', 6136, 'WSX', 8173, 'Y', 0, 'DHP\r'),
	('M5', 3123, 'RCE', 8170, 'FBS', 8174, 'Y', 0, 'DHP\r'),
	('M5', 3123, 'WSX', 8173, 'LPS', 6136, '', 0, 'DHP\r'),
	('M5', 3123, 'YWH', 4106, 'LKE', 6457, 'Y', 0, 'DHL\r'),
	('M6', 246, 'ATM', 2566, 'BEL', 2526, '', 0, 'EM2\r'),
	('M6', 246, 'ATM', 2566, 'ORX', 8259, '', 0, 'EM2\r'),
	('M6', 246, 'BEL', 2526, 'ATM', 2566, '', 0, 'EM2\r'),
	('M6', 246, 'BEL', 2526, 'BVS', 7370, '', 0, 'EMB\r'),
	('M6', 246, 'ITB', 7534, 'STM', 4092, '', 0, 'EM2\r'),
	('M6', 246, 'STM', 4092, 'ITB', 7534, '', 0, 'EM2\r'),
	('M6', 246, 'STM', 4092, 'ORX', 8259, '', 0, 'EM2\r'),
	('M9', 3547, 'IEV', 2944, 'OZH', 6103, '', 0, 'AN4\r'),
	('M9', 3547, 'IEV', 2944, 'UDJ', 6109, '', 0, 'A40\r'),
	('M9', 3547, 'OZH', 6103, 'IEV', 2944, '', 0, 'AN4\r'),
	('M9', 3547, 'OZH', 6103, 'VKO', 2988, '', 0, 'AN4\r'),
	('M9', 3547, 'UDJ', 6109, 'IEV', 2944, '', 0, 'A40\r'),
	('M9', 3547, 'VKO', 2988, 'OZH', 6103, '', 0, 'AN4\r'),
	('MD', 1066, 'ANM', 927, 'TMM', 921, '', 0, 'AT5 DHT\r'),
	('MD', 1066, 'ANM', 927, 'TNR', 918, '', 0, 'AT5\r'),
	('MD', 1066, 'ANM', 927, 'WMN', 932, '', 0, 'DHT AT5\r'),
	('MD', 1066, 'BKK', 3885, 'CAN', 3370, '', 0, '343\r'),
	('MD', 1066, 'BKK', 3885, 'HKG', 3077, 'Y', 0, '747\r'),
	('MD', 1066, 'BKK', 3885, 'KUL', 3304, 'Y', 0, '333\r'),
	('MD', 1066, 'BKK', 3885, 'SIN', 3316, 'Y', 0, '777\r'),
	('MD', 1066, 'BKK', 3885, 'TNR', 918, '', 0, '343\r'),
	('MD', 1066, 'CAN', 3370, 'BKK', 3885, '', 0, '343\r'),
	('MD', 1066, 'CDG', 1382, 'TNR', 918, '', 0, '343\r'),
	('MD', 1066, 'DIE', 923, 'DZA', 915, '', 0, '733\r'),
	('MD', 1066, 'DIE', 923, 'NOS', 930, '', 0, '733\r'),
	('MD', 1066, 'DIE', 923, 'RUN', 916, '', 0, '733\r'),
	('MD', 1066, 'DIE', 923, 'SVB', 933, '', 0, '733\r'),
	('MD', 1066, 'DIE', 923, 'TNR', 918, '', 0, '733 AT7\r'),
	('MD', 1066, 'DZA', 915, 'DIE', 923, '', 0, '733\r'),
	('MD', 1066, 'DZA', 915, 'MJN', 929, '', 0, 'AT7\r'),
	('MD', 1066, 'DZA', 915, 'TNR', 918, '', 0, 'AT7 733\r'),
	('MD', 1066, 'FTU', 937, 'TLE', 943, '', 0, '733\r'),
	('MD', 1066, 'FTU', 937, 'TNR', 918, '', 0, '733 AT7\r'),
	('MD', 1066, 'HAH', 912, 'TNR', 918, '', 0, '733 AT7\r'),
	('MD', 1066, 'HKG', 3077, 'BKK', 3885, 'Y', 0, '747\r'),
	('MD', 1066, 'JNB', 813, 'TNR', 918, '', 0, '733\r'),
	('MD', 1066, 'KUL', 3304, 'BKK', 3885, 'Y', 0, '333\r'),
	('MD', 1066, 'MJN', 929, 'DZA', 915, '', 0, 'AT7\r'),
	('MD', 1066, 'MJN', 929, 'TNR', 918, '', 0, 'AT7 AT5\r'),
	('MD', 1066, 'MOQ', 922, 'TLE', 943, '', 0, 'AT7\r'),
	('MD', 1066, 'MOQ', 922, 'TNR', 918, '', 0, 'DHT AT7\r'),
	('MD', 1066, 'MRS', 1353, 'TNR', 918, '', 0, '343\r'),
	('MD', 1066, 'MRU', 893, 'TNR', 918, '', 0, '733\r'),
	('MD', 1066, 'NOS', 930, 'DIE', 923, '', 0, '733\r'),
	('MD', 1066, 'NOS', 930, 'TNR', 918, '', 0, '733 AT7\r'),
	('MD', 1066, 'RUN', 916, 'DIE', 923, '', 0, '733\r'),
	('MD', 1066, 'RUN', 916, 'SMS', 920, '', 0, 'AT5 AT7\r'),
	('MD', 1066, 'RUN', 916, 'TNR', 918, '', 0, '733\r'),
	('MD', 1066, 'SIN', 3316, 'BKK', 3885, 'Y', 0, '777\r'),
	('MD', 1066, 'SMS', 920, 'RUN', 916, '', 0, 'AT5\r'),
	('MD', 1066, 'SMS', 920, 'TMM', 921, '', 0, 'AT5 AT7\r'),
	('MD', 1066, 'SMS', 920, 'TNR', 918, '', 0, 'AT7 AT5\r'),
	('MD', 1066, 'SVB', 933, 'DIE', 923, '', 0, '733\r'),
	('MD', 1066, 'SVB', 933, 'TNR', 918, '', 0, '733\r'),
	('MD', 1066, 'SVB', 933, 'WMN', 932, '', 0, 'AT7\r'),
	('MD', 1066, 'TLE', 943, 'FTU', 937, '', 0, '733\r'),
	('MD', 1066, 'TLE', 943, 'MOQ', 922, '', 0, 'AT7\r'),
	('MD', 1066, 'TLE', 943, 'TNR', 918, '', 0, '733 AT7\r'),
	('MD', 1066, 'TMM', 921, 'ANM', 927, '', 0, 'AT5 DHT\r'),
	('MD', 1066, 'TMM', 921, 'RUN', 916, '', 0, 'AT5\r'),
	('MD', 1066, 'TMM', 921, 'SMS', 920, '', 0, 'AT7 AT5\r'),
	('MD', 1066, 'TMM', 921, 'TNR', 918, '', 0, 'DHT AT5 AT7\r'),
	('MD', 1066, 'TMM', 921, 'WMN', 932, '', 0, 'DHT\r'),
	('MD', 1066, 'TMM', 921, 'WMR', 924, '', 0, 'DHT\r'),
	('MD', 1066, 'TNR', 918, 'ANM', 927, '', 0, 'AT5\r'),
	('MD', 1066, 'TNR', 918, 'BKK', 3885, '', 0, '343\r'),
	('MD', 1066, 'TNR', 918, 'CDG', 1382, '', 0, '343\r'),
	('MD', 1066, 'TNR', 918, 'DIE', 923, '', 0, '733 AT7\r'),
	('MD', 1066, 'TNR', 918, 'DZA', 915, '', 0, 'AT7 733\r'),
	('MD', 1066, 'TNR', 918, 'FTU', 937, '', 0, '733 AT7\r'),
	('MD', 1066, 'TNR', 918, 'HAH', 912, '', 0, '733 AT7\r'),
	('MD', 1066, 'TNR', 918, 'JNB', 813, '', 0, '733\r'),
	('MD', 1066, 'TNR', 918, 'MJN', 929, '', 0, 'AT7 AT5\r'),
	('MD', 1066, 'TNR', 918, 'MOQ', 922, '', 0, 'DHT AT7\r'),
	('MD', 1066, 'TNR', 918, 'MRS', 1353, '', 0, '343\r'),
	('MD', 1066, 'TNR', 918, 'MRU', 893, '', 0, '733\r'),
	('MD', 1066, 'TNR', 918, 'NOS', 930, '', 0, '733 AT7\r'),
	('MD', 1066, 'TNR', 918, 'RUN', 916, '', 0, '733\r'),
	('MD', 1066, 'TNR', 918, 'SMS', 920, '', 0, 'AT7 AT5\r'),
	('MD', 1066, 'TNR', 918, 'SVB', 933, '', 0, '733\r'),
	('MD', 1066, 'TNR', 918, 'TLE', 943, '', 0, '733 AT7\r'),
	('MD', 1066, 'TNR', 918, 'TMM', 921, '', 0, 'DHT AT7 AT5\r'),
	('MD', 1066, 'TNR', 918, 'WMN', 932, '', 0, 'AT5 AT7\r'),
	('MD', 1066, 'WMN', 932, 'ANM', 927, '', 0, 'DHT AT5\r'),
	('MD', 1066, 'WMN', 932, 'SVB', 933, '', 0, 'AT7\r'),
	('MD', 1066, 'WMN', 932, 'TMM', 921, '', 0, 'DHT\r'),
	('MD', 1066, 'WMN', 932, 'TNR', 918, '', 0, 'AT5 AT7\r'),
	('MD', 1066, 'WMR', 924, 'TMM', 921, '', 0, 'DHT\r'),
	('ME', 3490, 'ABJ', 253, 'ACC', 248, '', 0, '332\r'),
	('ME', 3490, 'ABJ', 253, 'LOS', 273, '', 0, '332\r'),
	('ME', 3490, 'ACC', 248, 'ABJ', 253, '', 0, '332\r'),
	('ME', 3490, 'ACC', 248, 'BEY', 2177, '', 0, '332\r'),
	('ME', 3490, 'AMM', 2170, 'BEY', 2177, '', 0, '321 320\r'),
	('ME', 3490, 'ATH', 3941, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'AUH', 2179, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'ACC', 248, '', 0, '332\r'),
	('ME', 3490, 'BEY', 2177, 'AMM', 2170, '', 0, '321 320\r'),
	('ME', 3490, 'BEY', 2177, 'ATH', 3941, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'AUH', 2179, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'BGW', 4130, '', 0, '321 320\r'),
	('ME', 3490, 'BEY', 2177, 'BRU', 302, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'BSR', 2234, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'CAI', 1128, '', 0, '320 321\r'),
	('ME', 3490, 'BEY', 2177, 'CDG', 1382, '', 0, '332\r'),
	('ME', 3490, 'BEY', 2177, 'DMM', 2064, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'DOH', 2241, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'DXB', 2188, '', 0, '332 320\r'),
	('ME', 3490, 'BEY', 2177, 'EBL', 3989, '', 0, '321 320\r'),
	('ME', 3490, 'BEY', 2177, 'EVN', 3964, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'FCO', 1555, '', 0, '32S 320 319\r'),
	('ME', 3490, 'BEY', 2177, 'FRA', 340, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'GVA', 1665, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'IST', 1701, '', 0, '320 332 321\r'),
	('ME', 3490, 'BEY', 2177, 'JED', 2072, '', 0, '320 332\r'),
	('ME', 3490, 'BEY', 2177, 'KAN', 270, '', 0, '332\r'),
	('ME', 3490, 'BEY', 2177, 'KWI', 2176, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'LCA', 1197, '', 0, '321 320\r'),
	('ME', 3490, 'BEY', 2177, 'LHR', 507, '', 0, '320 332\r'),
	('ME', 3490, 'BEY', 2177, 'LOS', 273, '', 0, '332\r'),
	('ME', 3490, 'BEY', 2177, 'MED', 2074, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'MXP', 1524, '', 0, '320\r'),
	('ME', 3490, 'BEY', 2177, 'NJF', 7490, '', 0, '321\r'),
	('ME', 3490, 'BEY', 2177, 'OTP', 1657, '', 0, '73W\r'),
	('ME', 3490, 'BEY', 2177, 'RUH', 2082, '', 0, '320 332 321\r'),
	('ME', 3490, 'BEY', 2177, 'SVO', 2985, '', 0, '320 319\r'),
	('ME', 3490, 'BEY', 2177, 'TUN', 287, 'Y', 0, '320\r'),
	('ME', 3490, 'BGW', 4130, 'BEY', 2177, '', 0, '321 320\r'),
	('ME', 3490, 'BRU', 302, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'BSR', 2234, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'CAI', 1128, 'BEY', 2177, '', 0, '320 321\r'),
	('ME', 3490, 'CDG', 1382, 'BEY', 2177, '', 0, '332\r'),
	('ME', 3490, 'DMM', 2064, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'DOH', 2241, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'DXB', 2188, 'BEY', 2177, '', 0, '332 320\r'),
	('ME', 3490, 'EBL', 3989, 'BEY', 2177, '', 0, '321 320\r'),
	('ME', 3490, 'EVN', 3964, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'FCO', 1555, 'BEY', 2177, '', 0, '32S 319 320\r'),
	('ME', 3490, 'FRA', 340, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'GVA', 1665, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'IST', 1701, 'BEY', 2177, '', 0, '320 332 321\r'),
	('ME', 3490, 'JED', 2072, 'BEY', 2177, '', 0, '320 332\r'),
	('ME', 3490, 'KAN', 270, 'BEY', 2177, '', 0, '332\r'),
	('ME', 3490, 'KWI', 2176, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'LCA', 1197, 'BEY', 2177, '', 0, '321 320\r'),
	('ME', 3490, 'LHR', 507, 'BEY', 2177, '', 0, '320 332\r'),
	('ME', 3490, 'LOS', 273, 'ABJ', 253, '', 0, '332\r'),
	('ME', 3490, 'LOS', 273, 'BEY', 2177, '', 0, '332\r'),
	('ME', 3490, 'MXP', 1524, 'BEY', 2177, '', 0, '320\r'),
	('ME', 3490, 'NJF', 7490, 'BEY', 2177, '', 0, '321\r'),
	('ME', 3490, 'OTP', 1657, 'BEY', 2177, 'Y', 0, '73W\r'),
	('ME', 3490, 'RUH', 2082, 'BEY', 2177, '', 0, '320 332 321\r'),
	('ME', 3490, 'SVO', 2985, 'BEY', 2177, '', 0, '319 320\r'),
	('ME', 3490, 'TUN', 287, 'BEY', 2177, 'Y', 0, '320\r'),
	('MF', 5484, 'BKK', 3885, 'FOC', 3385, '', 0, '738\r'),
	('MF', 5484, 'BKK', 3885, 'XMN', 3383, '', 0, '738\r'),
	('MF', 5484, 'CAN', 3370, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'CAN', 3370, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'CAN', 3370, 'JJN', 6386, '', 0, '737\r'),
	('MF', 5484, 'CAN', 3370, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'CGK', 3275, 'FOC', 3385, '', 0, '738\r'),
	('MF', 5484, 'CGK', 3275, 'SIN', 3316, '', 0, '738\r'),
	('MF', 5484, 'CGK', 3275, 'XMN', 3383, '', 0, '738\r'),
	('MF', 5484, 'CGO', 3375, 'FOC', 3385, '', 0, '737 738\r'),
	('MF', 5484, 'CGO', 3375, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'CGO', 3375, 'HRB', 3400, '', 0, '737\r'),
	('MF', 5484, 'CGO', 3375, 'INC', 4085, '', 0, '737\r'),
	('MF', 5484, 'CGO', 3375, 'LHW', 6431, '', 0, '737\r'),
	('MF', 5484, 'CGO', 3375, 'URC', 3399, '', 0, '737\r'),
	('MF', 5484, 'CGO', 3375, 'XMN', 3383, '', 0, '738 737\r'),
	('MF', 5484, 'CGO', 3375, 'XNN', 6366, '', 0, '737\r'),
	('MF', 5484, 'CGQ', 4380, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'CGQ', 4380, 'NGB', 3387, '', 0, '737\r'),
	('MF', 5484, 'CGQ', 4380, 'NKG', 3388, '', 0, '737\r'),
	('MF', 5484, 'CGQ', 4380, 'TAO', 3390, '', 0, '737\r'),
	('MF', 5484, 'CJU', 2370, 'FOC', 3385, '', 0, '738\r'),
	('MF', 5484, 'CJU', 2370, 'XMN', 3383, '', 0, '738\r'),
	('MF', 5484, 'CKG', 3393, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'KHN', 3384, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'KWL', 3372, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'LJG', 4033, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'LXA', 4097, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'TSN', 3368, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'XNN', 6366, '', 0, '737\r'),
	('MF', 5484, 'CKG', 3393, 'YIH', 6361, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'CTU', 3395, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'HET', 6345, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'JJN', 6386, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'KWE', 3394, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'LHW', 6431, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'LZO', 6399, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'MIG', 6400, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'PEK', 3364, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'TAO', 3390, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'TPE', 2276, '', 0, '738 330\r'),
	('MF', 5484, 'CSX', 3371, 'TYN', 3369, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'URC', 3399, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'CSX', 3371, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'CTU', 3395, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'CTU', 3395, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'CTU', 3395, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'CTU', 3395, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'CTU', 3395, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'CZX', 4109, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'CZX', 4109, 'TYN', 3369, '', 0, '737\r'),
	('MF', 5484, 'DAT', 6344, 'TYN', 3369, '', 0, '737\r'),
	('MF', 5484, 'DLC', 3404, 'FOC', 3385, '', 0, '738\r'),
	('MF', 5484, 'DLC', 3404, 'HGH', 3386, '', 0, '738\r'),
	('MF', 5484, 'DLC', 3404, 'TAO', 3390, '', 0, '737\r'),
	('MF', 5484, 'DLC', 3404, 'TNA', 4108, '', 0, '737\r'),
	('MF', 5484, 'DLC', 3404, 'TSN', 3368, '', 0, '737\r'),
	('MF', 5484, 'DLC', 3404, 'XMN', 3383, '', 0, '738\r'),
	('MF', 5484, 'FOC', 3385, 'BKK', 3885, '', 0, '738\r'),
	('MF', 5484, 'FOC', 3385, 'CAN', 3370, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'CGK', 3275, '', 0, '738\r'),
	('MF', 5484, 'FOC', 3385, 'CGO', 3375, '', 0, '737 738\r'),
	('MF', 5484, 'FOC', 3385, 'CJU', 2370, '', 0, '738\r'),
	('MF', 5484, 'FOC', 3385, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'CTU', 3395, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'CZX', 4109, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'DLC', 3404, '', 0, '738\r'),
	('MF', 5484, 'FOC', 3385, 'HAK', 4120, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'HGH', 3386, '', 0, '737 738\r'),
	('MF', 5484, 'FOC', 3385, 'HRB', 3400, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'KHH', 2264, '', 0, '737 738\r'),
	('MF', 5484, 'FOC', 3385, 'KMG', 3382, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'KUL', 3304, '', 0, '738\r'),
	('MF', 5484, 'FOC', 3385, 'KWE', 3394, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'KWL', 3372, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'MFM', 3121, '', 0, '738\r'),
	('MF', 5484, 'FOC', 3385, 'NKG', 3388, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'NNG', 3373, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'PEK', 3364, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'SHA', 3391, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'SIN', 3316, '', 0, '738\r'),
	('MF', 5484, 'FOC', 3385, 'SYX', 4030, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'SZX', 3374, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'TAO', 3390, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'TNA', 4108, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'TPE', 2276, '', 0, '738\r'),
	('MF', 5484, 'FOC', 3385, 'TSA', 2275, '', 0, '737 738\r'),
	('MF', 5484, 'FOC', 3385, 'TSN', 3368, '', 0, '738\r'),
	('MF', 5484, 'FOC', 3385, 'TYN', 3369, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'FOC', 3385, 'ZUH', 6355, '', 0, '737\r'),
	('MF', 5484, 'HAK', 4120, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'HAK', 4120, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'HAK', 4120, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'HET', 6345, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'HET', 6345, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'HET', 6345, 'NKG', 3388, '', 0, '737\r'),
	('MF', 5484, 'HET', 6345, 'TNA', 4108, '', 0, '737\r'),
	('MF', 5484, 'HET', 6345, 'TSN', 3368, '', 0, '737\r'),
	('MF', 5484, 'HFE', 3389, 'TYN', 3369, '', 0, '737\r'),
	('MF', 5484, 'HFE', 3389, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'CAN', 3370, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'CGO', 3375, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'CGQ', 4380, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'CTU', 3395, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'DLC', 3404, '', 0, '738\r'),
	('MF', 5484, 'HGH', 3386, 'FOC', 3385, '', 0, '738 737\r'),
	('MF', 5484, 'HGH', 3386, 'HAK', 4120, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'HET', 6345, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'HRB', 3400, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'JJN', 6386, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'KMG', 3382, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'KWE', 3394, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'LJG', 4033, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'MFM', 3121, '', 0, '738\r'),
	('MF', 5484, 'HGH', 3386, 'NNG', 3373, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'PEK', 3364, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'SHE', 4144, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'SJW', 6347, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'SYX', 4030, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'SZX', 3374, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'TAO', 3390, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'TNA', 4108, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'TPE', 2276, '', 0, '738\r'),
	('MF', 5484, 'HGH', 3386, 'TSN', 3368, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'TYN', 3369, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'HGH', 3386, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'HKG', 3077, 'JJN', 6386, '', 0, '738\r'),
	('MF', 5484, 'HKG', 3077, 'WUS', 6391, '', 0, '738\r'),
	('MF', 5484, 'HKG', 3077, 'XMN', 3383, '', 0, '738\r'),
	('MF', 5484, 'HRB', 3400, 'CGO', 3375, '', 0, '737\r'),
	('MF', 5484, 'HRB', 3400, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'HRB', 3400, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'HRB', 3400, 'KHN', 3384, '', 0, '737\r'),
	('MF', 5484, 'HRB', 3400, 'NKG', 3388, '', 0, '737\r'),
	('MF', 5484, 'HRB', 3400, 'TAO', 3390, '', 0, '737\r'),
	('MF', 5484, 'HRB', 3400, 'TSN', 3368, '', 0, '737\r'),
	('MF', 5484, 'HRB', 3400, 'YNZ', 6393, '', 0, '737\r'),
	('MF', 5484, 'HSN', 6395, 'JJN', 6386, '', 0, '737\r'),
	('MF', 5484, 'HSN', 6395, 'PEK', 3364, '', 0, '737\r'),
	('MF', 5484, 'HSN', 6395, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'ICN', 3930, 'XMN', 3383, '', 0, '73H 738 73J\r'),
	('MF', 5484, 'INC', 4085, 'CGO', 3375, '', 0, '737\r'),
	('MF', 5484, 'INC', 4085, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'INC', 4085, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'JJN', 6386, 'CAN', 3370, '', 0, '737\r'),
	('MF', 5484, 'JJN', 6386, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'JJN', 6386, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'JJN', 6386, 'HKG', 3077, '', 0, '738\r'),
	('MF', 5484, 'JJN', 6386, 'HSN', 6395, '', 0, '737\r'),
	('MF', 5484, 'JJN', 6386, 'KWE', 3394, '', 0, '737\r'),
	('MF', 5484, 'JJN', 6386, 'MFM', 3121, '', 0, '738\r'),
	('MF', 5484, 'JJN', 6386, 'NKG', 3388, '', 0, '737\r'),
	('MF', 5484, 'JJN', 6386, 'PEK', 3364, '', 0, '737\r'),
	('MF', 5484, 'JJN', 6386, 'SHA', 3391, '', 0, '737\r'),
	('MF', 5484, 'JJN', 6386, 'SZX', 3374, '', 0, '737\r'),
	('MF', 5484, 'JJN', 6386, 'TPE', 2276, '', 0, '738\r'),
	('MF', 5484, 'JJN', 6386, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'KHH', 2264, 'FOC', 3385, '', 0, '737 738\r'),
	('MF', 5484, 'KHH', 2264, 'XMN', 3383, '', 0, 'E90 738\r'),
	('MF', 5484, 'KHN', 3384, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'KHN', 3384, 'HRB', 3400, '', 0, '737\r'),
	('MF', 5484, 'KHN', 3384, 'KMG', 3382, '', 0, '737\r'),
	('MF', 5484, 'KHN', 3384, 'SZX', 3374, '', 0, '737\r'),
	('MF', 5484, 'KHN', 3384, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'KHN', 3384, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'KMG', 3382, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'KMG', 3382, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'KMG', 3382, 'KHN', 3384, '', 0, '737\r'),
	('MF', 5484, 'KMG', 3382, 'KWE', 3394, '', 0, '737\r'),
	('MF', 5484, 'KMG', 3382, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'KMG', 3382, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'KUL', 3304, 'FOC', 3385, '', 0, '738\r'),
	('MF', 5484, 'KUL', 3304, 'XMN', 3383, '', 0, '738\r'),
	('MF', 5484, 'KWE', 3394, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'KWE', 3394, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'KWE', 3394, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'KWE', 3394, 'JJN', 6386, '', 0, '737\r'),
	('MF', 5484, 'KWE', 3394, 'KMG', 3382, '', 0, '737\r'),
	('MF', 5484, 'KWE', 3394, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'KWL', 3372, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'KWL', 3372, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'KWL', 3372, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'LHW', 6431, 'CGO', 3375, '', 0, '737\r'),
	('MF', 5484, 'LHW', 6431, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'LHW', 6431, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'LJG', 4033, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'LJG', 4033, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'LXA', 4097, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'LZO', 6399, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'MFM', 3121, 'FOC', 3385, '', 0, '738\r'),
	('MF', 5484, 'MFM', 3121, 'HGH', 3386, '', 0, '738\r'),
	('MF', 5484, 'MFM', 3121, 'JJN', 6386, '', 0, '738\r'),
	('MF', 5484, 'MFM', 3121, 'XMN', 3383, '', 0, '738\r'),
	('MF', 5484, 'MIG', 6400, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'NGB', 3387, 'CGQ', 4380, '', 0, '737\r'),
	('MF', 5484, 'NGB', 3387, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'NKG', 3388, 'CGQ', 4380, '', 0, '737\r'),
	('MF', 5484, 'NKG', 3388, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'NKG', 3388, 'HET', 6345, '', 0, '737\r'),
	('MF', 5484, 'NKG', 3388, 'HRB', 3400, '', 0, '737\r'),
	('MF', 5484, 'NKG', 3388, 'JJN', 6386, '', 0, '737\r'),
	('MF', 5484, 'NKG', 3388, 'SHE', 4144, '', 0, '737\r'),
	('MF', 5484, 'NKG', 3388, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'NKG', 3388, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'NNG', 3373, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'NNG', 3373, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'NNG', 3373, 'SZX', 3374, '', 0, '737\r'),
	('MF', 5484, 'NNG', 3373, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'PEK', 3364, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'PEK', 3364, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'PEK', 3364, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'PEK', 3364, 'HSN', 6395, '', 0, '737\r'),
	('MF', 5484, 'PEK', 3364, 'JJN', 6386, '', 0, '737\r'),
	('MF', 5484, 'PEK', 3364, 'WUS', 6391, '', 0, '737\r'),
	('MF', 5484, 'PEK', 3364, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'SHA', 3391, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'SHA', 3391, 'JJN', 6386, '', 0, '737\r'),
	('MF', 5484, 'SHA', 3391, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'SHE', 4144, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'SHE', 4144, 'NKG', 3388, '', 0, '737\r'),
	('MF', 5484, 'SHE', 4144, 'TAO', 3390, '', 0, '737\r'),
	('MF', 5484, 'SHE', 4144, 'TNA', 4108, '', 0, '737\r'),
	('MF', 5484, 'SHE', 4144, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'SIN', 3316, 'CGK', 3275, '', 0, '738 332 333\r'),
	('MF', 5484, 'SIN', 3316, 'FOC', 3385, '', 0, '738\r'),
	('MF', 5484, 'SIN', 3316, 'XMN', 3383, '', 0, '738\r'),
	('MF', 5484, 'SJW', 6347, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'SYX', 4030, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'SYX', 4030, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'SYX', 4030, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'SZX', 3374, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'SZX', 3374, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'SZX', 3374, 'JJN', 6386, '', 0, '737\r'),
	('MF', 5484, 'SZX', 3374, 'KHN', 3384, '', 0, '737\r'),
	('MF', 5484, 'SZX', 3374, 'NNG', 3373, '', 0, '737\r'),
	('MF', 5484, 'SZX', 3374, 'TSN', 3368, '', 0, '737\r'),
	('MF', 5484, 'SZX', 3374, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'TAO', 3390, 'CGQ', 4380, '', 0, '737\r'),
	('MF', 5484, 'TAO', 3390, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'TAO', 3390, 'DLC', 3404, '', 0, '737\r'),
	('MF', 5484, 'TAO', 3390, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'TAO', 3390, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'TAO', 3390, 'HRB', 3400, '', 0, '737\r'),
	('MF', 5484, 'TAO', 3390, 'SHE', 4144, '', 0, '737\r'),
	('MF', 5484, 'TAO', 3390, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'TNA', 4108, 'DLC', 3404, '', 0, '737\r'),
	('MF', 5484, 'TNA', 4108, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'TNA', 4108, 'HET', 6345, '', 0, '737\r'),
	('MF', 5484, 'TNA', 4108, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'TNA', 4108, 'SHE', 4144, '', 0, '737\r'),
	('MF', 5484, 'TNA', 4108, 'URC', 3399, '', 0, '737\r'),
	('MF', 5484, 'TNA', 4108, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'TNA', 4108, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'TPE', 2276, 'CSX', 3371, '', 0, '738 330\r'),
	('MF', 5484, 'TPE', 2276, 'FOC', 3385, '', 0, '738\r'),
	('MF', 5484, 'TPE', 2276, 'HGH', 3386, '', 0, '738\r'),
	('MF', 5484, 'TPE', 2276, 'JJN', 6386, '', 0, '738\r'),
	('MF', 5484, 'TPE', 2276, 'XMN', 3383, '', 0, '330 738\r'),
	('MF', 5484, 'TSA', 2275, 'FOC', 3385, '', 0, '737 738\r'),
	('MF', 5484, 'TSA', 2275, 'XMN', 3383, '', 0, '738\r'),
	('MF', 5484, 'TSN', 3368, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'TSN', 3368, 'DLC', 3404, '', 0, '737\r'),
	('MF', 5484, 'TSN', 3368, 'FOC', 3385, '', 0, '738\r'),
	('MF', 5484, 'TSN', 3368, 'HET', 6345, '', 0, '737\r'),
	('MF', 5484, 'TSN', 3368, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'TSN', 3368, 'HRB', 3400, '', 0, '737\r'),
	('MF', 5484, 'TSN', 3368, 'SZX', 3374, '', 0, '737\r'),
	('MF', 5484, 'TSN', 3368, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'TSN', 3368, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'TSN', 3368, 'XMN', 3383, '', 0, '738 737\r'),
	('MF', 5484, 'TXN', 6387, 'TYN', 3369, '', 0, '737\r'),
	('MF', 5484, 'TXN', 6387, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'TYN', 3369, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'TYN', 3369, 'CZX', 4109, '', 0, '737\r'),
	('MF', 5484, 'TYN', 3369, 'DAT', 6344, '', 0, '737\r'),
	('MF', 5484, 'TYN', 3369, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'TYN', 3369, 'HFE', 3389, '', 0, '737\r'),
	('MF', 5484, 'TYN', 3369, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'TYN', 3369, 'TXN', 6387, '', 0, '737\r'),
	('MF', 5484, 'TYN', 3369, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'URC', 3399, 'CGO', 3375, '', 0, '737\r'),
	('MF', 5484, 'URC', 3399, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'URC', 3399, 'TNA', 4108, '', 0, '737\r'),
	('MF', 5484, 'URC', 3399, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'URC', 3399, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'CTU', 3395, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'INC', 4085, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'JJN', 6386, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'KMG', 3382, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'LHW', 6431, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'TNA', 4108, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'TSN', 3368, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'URC', 3399, '', 0, '737\r'),
	('MF', 5484, 'WUH', 3376, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'WUS', 6391, 'HKG', 3077, '', 0, '738\r'),
	('MF', 5484, 'WUS', 6391, 'PEK', 3364, '', 0, '737\r'),
	('MF', 5484, 'WUS', 6391, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'WXN', 6403, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'WXN', 6403, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'INC', 4085, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'KHN', 3384, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'NKG', 3388, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'TSN', 3368, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'URC', 3399, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'WXN', 6403, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'XIY', 3379, 'XNN', 6366, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'BKK', 3885, '', 0, '738\r'),
	('MF', 5484, 'XMN', 3383, 'CAN', 3370, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'CGK', 3275, '', 0, '738\r'),
	('MF', 5484, 'XMN', 3383, 'CGO', 3375, '', 0, '737 738\r'),
	('MF', 5484, 'XMN', 3383, 'CJU', 2370, '', 0, '738\r'),
	('MF', 5484, 'XMN', 3383, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'CSX', 3371, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'CTU', 3395, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'DLC', 3404, '', 0, '738\r'),
	('MF', 5484, 'XMN', 3383, 'HAK', 4120, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'HFE', 3389, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'HGH', 3386, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'HKG', 3077, '', 0, '738\r'),
	('MF', 5484, 'XMN', 3383, 'HSN', 6395, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'ICN', 3930, '', 0, '73H 738 73J\r'),
	('MF', 5484, 'XMN', 3383, 'KHH', 2264, '', 0, 'E90 738\r'),
	('MF', 5484, 'XMN', 3383, 'KHN', 3384, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'KMG', 3382, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'KUL', 3304, '', 0, '738\r'),
	('MF', 5484, 'XMN', 3383, 'KWE', 3394, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'KWL', 3372, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'MFM', 3121, '', 0, '738\r'),
	('MF', 5484, 'XMN', 3383, 'NGB', 3387, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'NKG', 3388, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'NNG', 3373, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'PEK', 3364, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'SHA', 3391, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'SHE', 4144, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'SIN', 3316, '', 0, '738\r'),
	('MF', 5484, 'XMN', 3383, 'SYX', 4030, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'SZX', 3374, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'TAO', 3390, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'TNA', 4108, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'TPE', 2276, '', 0, '738 330\r'),
	('MF', 5484, 'XMN', 3383, 'TSA', 2275, '', 0, '738\r'),
	('MF', 5484, 'XMN', 3383, 'TSN', 3368, '', 0, '738 737\r'),
	('MF', 5484, 'XMN', 3383, 'TXN', 6387, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'TYN', 3369, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'WUH', 3376, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'WUS', 6391, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'WXN', 6403, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'YIH', 6361, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'YNZ', 6393, '', 0, '737\r'),
	('MF', 5484, 'XMN', 3383, 'ZUH', 6355, '', 0, '737\r'),
	('MF', 5484, 'XNN', 6366, 'CGO', 3375, '', 0, '737\r'),
	('MF', 5484, 'XNN', 6366, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'XNN', 6366, 'XIY', 3379, '', 0, '737\r'),
	('MF', 5484, 'YIH', 6361, 'CKG', 3393, '', 0, '737\r'),
	('MF', 5484, 'YIH', 6361, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'YNZ', 6393, 'HRB', 3400, '', 0, '737\r'),
	('MF', 5484, 'YNZ', 6393, 'XMN', 3383, '', 0, '737\r'),
	('MF', 5484, 'ZUH', 6355, 'FOC', 3385, '', 0, '737\r'),
	('MF', 5484, 'ZUH', 6355, 'XMN', 3383, '', 0, '737\r'),
	('MH', 3378, 'ADL', 3341, 'KUL', 3304, '', 0, '333\r'),
	('MH', 3378, 'AKL', 2006, 'KUL', 3304, '', 0, '772\r'),
	('MH', 3378, 'AMM', 2170, 'BKK', 3885, 'Y', 0, '330\r'),
	('MH', 3378, 'AMS', 580, 'HEL', 421, 'Y', 0, '320\r'),
	('MH', 3378, 'AMS', 580, 'KUL', 3304, '', 0, '772\r'),
	('MH', 3378, 'AMS', 580, 'ZRH', 1678, 'Y', 0, '737\r'),
	('MH', 3378, 'AOR', 3296, 'KUL', 3304, '', 0, '738 734\r'),
	('MH', 3378, 'AOR', 3296, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'E75 CR7\r'),
	('MH', 3378, 'AUH', 2179, 'KUL', 3304, '', 0, '333\r'),
	('MH', 3378, 'AUH', 2179, 'KWI', 2176, '', 0, '320\r'),
	('MH', 3378, 'AUH', 2179, 'MCT', 2194, 'Y', 0, '320\r'),
	('MH', 3378, 'BAH', 2057, 'BKK', 3885, '', 0, '330 332\r'),
	('MH', 3378, 'BBN', 6220, 'MUR', 3265, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'BBN', 6220, 'MYY', 3266, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'BKI', 3269, 'BTU', 3262, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'BKI', 3269, 'BWN', 3272, '', 0, '320\r'),
	('MH', 3378, 'BKI', 3269, 'HKG', 3077, '', 0, '738 320\r'),
	('MH', 3378, 'BKI', 3269, 'ICN', 3930, 'Y', 0, '738\r'),
	('MH', 3378, 'BKI', 3269, 'KCH', 3263, '', 0, '738\r'),
	('MH', 3378, 'BKI', 3269, 'KUD', 6222, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'BKI', 3269, 'KUL', 3304, '', 0, '738 734\r'),
	('MH', 3378, 'BKI', 3269, 'LBU', 3270, '', 0, '738 AT7\r'),
	('MH', 3378, 'BKI', 3269, 'LDU', 3268, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'BKI', 3269, 'LWY', 6219, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'BKI', 3269, 'MYY', 3266, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'BKI', 3269, 'MZV', 4056, '', 0, 'AT7\r'),
	('MH', 3378, 'BKI', 3269, 'NRT', 2279, '', 0, '738\r'),
	('MH', 3378, 'BKI', 3269, 'PER', 3351, '', 0, '738\r'),
	('MH', 3378, 'BKI', 3269, 'PPS', 2433, '', 0, 'AT7\r'),
	('MH', 3378, 'BKI', 3269, 'PVG', 3406, '', 0, '738\r'),
	('MH', 3378, 'BKI', 3269, 'SBW', 3267, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'BKI', 3269, 'SDK', 4141, '', 0, '738 AT7\r'),
	('MH', 3378, 'BKI', 3269, 'SIN', 3316, 'Y', 0, '320 319\r'),
	('MH', 3378, 'BKI', 3269, 'TPE', 2276, '', 0, '738\r'),
	('MH', 3378, 'BKI', 3269, 'TWU', 3271, '', 0, '738\r'),
	('MH', 3378, 'BKK', 3885, 'AMM', 2170, 'Y', 0, '330\r'),
	('MH', 3378, 'BKK', 3885, 'BAH', 2057, '', 0, '330 332\r'),
	('MH', 3378, 'BKK', 3885, 'CAI', 1128, 'Y', 0, '773\r'),
	('MH', 3378, 'BKK', 3885, 'CEI', 3932, 'Y', 0, '320\r'),
	('MH', 3378, 'BKK', 3885, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'BKK', 3885, 'PEN', 3308, 'Y', 0, '734\r'),
	('MH', 3378, 'BKM', 6218, 'LWY', 6219, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'BLR', 3131, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'BNE', 3320, 'KUL', 3304, '', 0, '333\r'),
	('MH', 3378, 'BOM', 2997, 'KUL', 3304, '', 0, '772 738\r'),
	('MH', 3378, 'BTH', 3903, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'BTJ', 3294, 'PEN', 3308, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'BTU', 3262, 'BKI', 3269, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'BTU', 3262, 'KCH', 3263, '', 0, '738\r'),
	('MH', 3378, 'BTU', 3262, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'BTU', 3262, 'MYY', 3266, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'BTU', 3262, 'SBW', 3267, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'BWN', 3272, 'BKI', 3269, '', 0, '320\r'),
	('MH', 3378, 'BWN', 3272, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'BWN', 3272, 'MZV', 4056, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'CAI', 1128, 'BKK', 3885, 'Y', 0, '773\r'),
	('MH', 3378, 'CAN', 3370, 'KUL', 3304, '', 0, '738 333\r'),
	('MH', 3378, 'CDG', 1382, 'DFW', 3670, '', 0, '763 777\r'),
	('MH', 3378, 'CDG', 1382, 'HEL', 421, 'Y', 0, '321\r'),
	('MH', 3378, 'CDG', 1382, 'KUL', 3304, '', 0, '380\r'),
	('MH', 3378, 'CDG', 1382, 'MIA', 3576, '', 0, '763\r'),
	('MH', 3378, 'CDG', 1382, 'ORD', 3830, '', 0, '763\r'),
	('MH', 3378, 'CEI', 3932, 'BKK', 3885, 'Y', 0, '320\r'),
	('MH', 3378, 'CGK', 3275, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'CMB', 3024, 'FCO', 1555, '', 0, '332 343\r'),
	('MH', 3378, 'CMB', 3024, 'KHI', 2206, '', 0, '320\r'),
	('MH', 3378, 'CMB', 3024, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'CMB', 3024, 'MLE', 3156, 'Y', 0, '320\r'),
	('MH', 3378, 'CNX', 3931, 'BKK', 3885, 'Y', 0, '320\r'),
	('MH', 3378, 'COK', 3136, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'DAC', 3076, 'KUL', 3304, '', 0, '772 738 333\r'),
	('MH', 3378, 'DEL', 3093, 'KUL', 3304, '', 0, '738 333\r'),
	('MH', 3378, 'DFW', 3670, 'FRA', 340, '', 0, '777\r'),
	('MH', 3378, 'DFW', 3670, 'LHR', 507, '', 0, '777\r'),
	('MH', 3378, 'DFW', 3670, 'NRT', 2279, '', 0, '777\r'),
	('MH', 3378, 'DOH', 2241, 'KUL', 3304, 'Y', 0, '332 777\r'),
	('MH', 3378, 'DOH', 2241, 'RUH', 2082, 'Y', 0, '777\r'),
	('MH', 3378, 'DPS', 3940, 'KUL', 3304, '', 0, '772 738 333\r'),
	('MH', 3378, 'DRW', 3999, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'DWC', 8076, 'KUL', 3304, '', 0, '333\r'),
	('MH', 3378, 'FCO', 1555, 'CMB', 3024, '', 0, '332 343\r'),
	('MH', 3378, 'FOC', 3385, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'FRA', 340, 'DFW', 3670, '', 0, '777\r'),
	('MH', 3378, 'FRA', 340, 'KUL', 3304, '', 0, '772\r'),
	('MH', 3378, 'HAN', 3199, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'HEL', 421, 'CDG', 1382, 'Y', 0, '321\r'),
	('MH', 3378, 'HEL', 421, 'LHR', 507, 'Y', 0, '321\r'),
	('MH', 3378, 'HKG', 3077, 'BKI', 3269, '', 0, '738 320\r'),
	('MH', 3378, 'HKG', 3077, 'KUL', 3304, '', 0, '738 772\r'),
	('MH', 3378, 'HKT', 3179, 'BKK', 3885, 'Y', 0, '320\r'),
	('MH', 3378, 'HKT', 3179, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'HKT', 3179, 'PEN', 3308, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'HYD', 3141, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'ICN', 3930, 'BKI', 3269, 'Y', 0, '738\r'),
	('MH', 3378, 'ICN', 3930, 'KUL', 3304, '', 0, '333\r'),
	('MH', 3378, 'IPH', 3302, 'SIN', 3316, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'IST', 1701, 'KUL', 3304, '', 0, '330 772\r'),
	('MH', 3378, 'JED', 2072, 'KUL', 3304, '', 0, '772\r'),
	('MH', 3378, 'JFK', 3797, 'LHR', 507, '', 0, '777\r'),
	('MH', 3378, 'JHB', 3303, 'KBR', 3298, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'JHB', 3303, 'KUL', 3304, '', 0, '738 734\r'),
	('MH', 3378, 'JHB', 3303, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'KBR', 3298, 'JHB', 3303, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'KBR', 3298, 'KUL', 3304, '', 0, '738 734\r'),
	('MH', 3378, 'KBR', 3298, 'PEN', 3308, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'KBR', 3298, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'KBV', 3174, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'KCH', 3263, 'BKI', 3269, '', 0, '738\r'),
	('MH', 3378, 'KCH', 3263, 'BTU', 3262, '', 0, '738\r'),
	('MH', 3378, 'KCH', 3263, 'KUL', 3304, '', 0, '734 738\r'),
	('MH', 3378, 'KCH', 3263, 'MKM', 6217, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'KCH', 3263, 'MYY', 3266, '', 0, '738\r'),
	('MH', 3378, 'KCH', 3263, 'MZV', 4056, '', 0, 'AT7\r'),
	('MH', 3378, 'KCH', 3263, 'PNK', 3284, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'KCH', 3263, 'SBW', 3267, '', 0, '738\r'),
	('MH', 3378, 'KCH', 3263, 'SIN', 3316, '', 0, '738\r'),
	('MH', 3378, 'KCH', 3263, 'TGC', 6770, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'KHI', 2206, 'CMB', 3024, '', 0, '320\r'),
	('MH', 3378, 'KIX', 3992, 'KUL', 3304, '', 0, '333\r'),
	('MH', 3378, 'KMG', 3382, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'KTE', 3300, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'KTM', 3125, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'KUA', 3299, 'KUL', 3304, '', 0, '738 734\r'),
	('MH', 3378, 'KUA', 3299, 'PEN', 3308, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'KUA', 3299, 'SIN', 3316, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'KUD', 6222, 'BKI', 3269, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'KUD', 6222, 'SDK', 4141, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'KUL', 3304, 'ADL', 3341, '', 0, '333\r'),
	('MH', 3378, 'KUL', 3304, 'AKL', 2006, '', 0, '772\r'),
	('MH', 3378, 'KUL', 3304, 'AMS', 580, '', 0, '772\r'),
	('MH', 3378, 'KUL', 3304, 'AOR', 3296, '', 0, '738 734\r'),
	('MH', 3378, 'KUL', 3304, 'AUH', 2179, '', 0, '332\r'),
	('MH', 3378, 'KUL', 3304, 'BKI', 3269, '', 0, '734 738\r'),
	('MH', 3378, 'KUL', 3304, 'BKK', 3885, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'BLR', 3131, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'BNE', 3320, '', 0, '333\r'),
	('MH', 3378, 'KUL', 3304, 'BOM', 2997, '', 0, '772 738\r'),
	('MH', 3378, 'KUL', 3304, 'BTU', 3262, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'BWN', 3272, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'CAN', 3370, '', 0, '333 738\r'),
	('MH', 3378, 'KUL', 3304, 'CDG', 1382, '', 0, '380\r'),
	('MH', 3378, 'KUL', 3304, 'CGK', 3275, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'CMB', 3024, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'COK', 3136, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'DAC', 3076, '', 0, '772 738\r'),
	('MH', 3378, 'KUL', 3304, 'DEL', 3093, '', 0, '738 333\r'),
	('MH', 3378, 'KUL', 3304, 'DOH', 2241, '', 0, '332\r'),
	('MH', 3378, 'KUL', 3304, 'DPS', 3940, '', 0, '772 738 333\r'),
	('MH', 3378, 'KUL', 3304, 'DRW', 3999, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'DWC', 8076, '', 0, '333\r'),
	('MH', 3378, 'KUL', 3304, 'FOC', 3385, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'FRA', 340, '', 0, '772\r'),
	('MH', 3378, 'KUL', 3304, 'HAN', 3199, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'HKG', 3077, '', 0, '738 772\r'),
	('MH', 3378, 'KUL', 3304, 'HKT', 3179, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'HYD', 3141, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'ICN', 3930, '', 0, '333\r'),
	('MH', 3378, 'KUL', 3304, 'IST', 1701, '', 0, '772 330\r'),
	('MH', 3378, 'KUL', 3304, 'JED', 2072, '', 0, '772\r'),
	('MH', 3378, 'KUL', 3304, 'JHB', 3303, '', 0, '738 734\r'),
	('MH', 3378, 'KUL', 3304, 'KBR', 3298, '', 0, '738 734\r'),
	('MH', 3378, 'KUL', 3304, 'KBV', 3174, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'KCH', 3263, '', 0, '738 734\r'),
	('MH', 3378, 'KUL', 3304, 'KIX', 3992, '', 0, '333\r'),
	('MH', 3378, 'KUL', 3304, 'KMG', 3382, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'KTM', 3125, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'KUA', 3299, '', 0, '738 734\r'),
	('MH', 3378, 'KUL', 3304, 'LBU', 3270, '', 0, '738 734\r'),
	('MH', 3378, 'KUL', 3304, 'LGK', 3305, '', 0, '738 734\r'),
	('MH', 3378, 'KUL', 3304, 'LHR', 507, '', 0, '380\r'),
	('MH', 3378, 'KUL', 3304, 'MAA', 3144, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'MCT', 2194, '', 0, '332 333\r'),
	('MH', 3378, 'KUL', 3304, 'MEL', 3339, '', 0, '333 772\r'),
	('MH', 3378, 'KUL', 3304, 'MLE', 3156, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'MNL', 2397, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'MRU', 893, 'Y', 0, '343 332\r'),
	('MH', 3378, 'KUL', 3304, 'MYY', 3266, '', 0, '738 734\r'),
	('MH', 3378, 'KUL', 3304, 'NRT', 2279, '', 0, '772\r'),
	('MH', 3378, 'KUL', 3304, 'PEK', 3364, '', 0, '333\r'),
	('MH', 3378, 'KUL', 3304, 'PEN', 3308, '', 0, '738 734\r'),
	('MH', 3378, 'KUL', 3304, 'PER', 3351, '', 0, '333\r'),
	('MH', 3378, 'KUL', 3304, 'PNH', 3034, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'PVG', 3406, '', 0, '333\r'),
	('MH', 3378, 'KUL', 3304, 'REP', 3035, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'RGN', 3239, '', 0, '738 319\r'),
	('MH', 3378, 'KUL', 3304, 'SBW', 3267, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'SDK', 4141, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'SGN', 3205, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'SIN', 3316, '', 0, '738 319 320\r'),
	('MH', 3378, 'KUL', 3304, 'SYD', 3361, '', 0, '333\r'),
	('MH', 3378, 'KUL', 3304, 'TAS', 2983, 'Y', 0, '764\r'),
	('MH', 3378, 'KUL', 3304, 'TGG', 3307, '', 0, '734 738\r'),
	('MH', 3378, 'KUL', 3304, 'TPE', 2276, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'TWU', 3271, '', 0, '738\r'),
	('MH', 3378, 'KUL', 3304, 'USM', 3177, 'Y', 0, '319\r'),
	('MH', 3378, 'KUL', 3304, 'XMN', 3383, '', 0, '738\r'),
	('MH', 3378, 'LAX', 3484, 'NRT', 2279, '', 0, '773\r'),
	('MH', 3378, 'LBP', 5855, 'MUR', 3265, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'LBU', 3270, 'BKI', 3269, '', 0, '738 AT7\r'),
	('MH', 3378, 'LBU', 3270, 'KUL', 3304, '', 0, '738 734\r'),
	('MH', 3378, 'LBU', 3270, 'MYY', 3266, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'LDU', 3268, 'BKI', 3269, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'LGK', 3305, 'KUL', 3304, '', 0, '738 734\r'),
	('MH', 3378, 'LGK', 3305, 'PEN', 3308, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'LGK', 3305, 'SIN', 3316, 'Y', 0, '320 319\r'),
	('MH', 3378, 'LGK', 3305, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'LGL', 6215, 'MUR', 3265, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'LGL', 6215, 'MYY', 3266, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'LHR', 507, 'DFW', 3670, '', 0, '777\r'),
	('MH', 3378, 'LHR', 507, 'HEL', 421, 'Y', 0, '320 321\r'),
	('MH', 3378, 'LHR', 507, 'JFK', 3797, '', 0, '777\r'),
	('MH', 3378, 'LHR', 507, 'KUL', 3304, '', 0, '380\r'),
	('MH', 3378, 'LHR', 507, 'RDU', 3626, '', 0, '763\r'),
	('MH', 3378, 'LKH', 6769, 'MUR', 3265, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'LKH', 6769, 'MYY', 3266, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'LMN', 3264, 'MYY', 3266, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'LWY', 6219, 'BKI', 3269, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'LWY', 6219, 'BKM', 6218, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'LWY', 6219, 'MYY', 3266, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MAA', 3144, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'MCT', 2194, 'AUH', 2179, 'Y', 0, '320\r'),
	('MH', 3378, 'MCT', 2194, 'KUL', 3304, '', 0, '332 333\r'),
	('MH', 3378, 'MEL', 3339, 'KUL', 3304, '', 0, '333 772\r'),
	('MH', 3378, 'MIA', 3576, 'LHR', 507, '', 0, '777\r'),
	('MH', 3378, 'MKM', 6217, 'KCH', 3263, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MKM', 6217, 'MYY', 3266, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MLE', 3156, 'CMB', 3024, 'Y', 0, '343 320\r'),
	('MH', 3378, 'MLE', 3156, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'MNL', 2397, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'MRU', 893, 'KUL', 3304, 'Y', 0, '343 332\r'),
	('MH', 3378, 'MUR', 3265, 'BBN', 6220, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MUR', 3265, 'LBP', 5855, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MUR', 3265, 'LGL', 6215, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MUR', 3265, 'LKH', 6769, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MUR', 3265, 'MYY', 3266, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MUR', 3265, 'ODN', 6216, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MYY', 3266, 'BBN', 6220, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MYY', 3266, 'BKI', 3269, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'MYY', 3266, 'BTU', 3262, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'MYY', 3266, 'KCH', 3263, '', 0, '738\r'),
	('MH', 3378, 'MYY', 3266, 'KUL', 3304, '', 0, '738 734\r'),
	('MH', 3378, 'MYY', 3266, 'LBU', 3270, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'MYY', 3266, 'LGL', 6215, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MYY', 3266, 'LKH', 6769, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MYY', 3266, 'LMN', 3264, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'MYY', 3266, 'LWY', 6219, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MYY', 3266, 'MKM', 6217, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MYY', 3266, 'MUR', 3265, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MYY', 3266, 'MZV', 4056, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'MYY', 3266, 'ODN', 6216, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'MYY', 3266, 'SBW', 3267, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'MZV', 4056, 'BKI', 3269, '', 0, 'AT7\r'),
	('MH', 3378, 'MZV', 4056, 'BWN', 3272, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'MZV', 4056, 'KCH', 3263, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'MZV', 4056, 'MYY', 3266, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'NRT', 2279, 'BKI', 3269, '', 0, '738\r'),
	('MH', 3378, 'NRT', 2279, 'DFW', 3670, '', 0, '777\r'),
	('MH', 3378, 'NRT', 2279, 'KUL', 3304, '', 0, '772\r'),
	('MH', 3378, 'NRT', 2279, 'ORD', 3830, '', 0, '777\r'),
	('MH', 3378, 'ODN', 6216, 'MUR', 3265, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'ODN', 6216, 'MYY', 3266, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'E75 CR7\r'),
	('MH', 3378, 'ORD', 3830, 'CDG', 1382, '', 0, '763\r'),
	('MH', 3378, 'ORD', 3830, 'NRT', 2279, '', 0, '777\r'),
	('MH', 3378, 'PEK', 3364, 'KUL', 3304, '', 0, '333\r'),
	('MH', 3378, 'PEN', 3308, 'BKK', 3885, 'Y', 0, '734\r'),
	('MH', 3378, 'PEN', 3308, 'BTJ', 3294, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'PEN', 3308, 'HKT', 3179, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'PEN', 3308, 'KBR', 3298, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'PEN', 3308, 'KUA', 3299, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'PEN', 3308, 'KUL', 3304, '', 0, '734 738\r'),
	('MH', 3378, 'PEN', 3308, 'LGK', 3305, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'PEN', 3308, 'SIN', 3316, 'Y', 0, '320 738 319\r'),
	('MH', 3378, 'PEN', 3308, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'PEN', 3308, 'USM', 3177, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'PER', 3351, 'BKI', 3269, '', 0, '738\r'),
	('MH', 3378, 'PER', 3351, 'KUL', 3304, '', 0, '333\r'),
	('MH', 3378, 'PKU', 3273, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'PNH', 3034, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'PNK', 3284, 'KCH', 3263, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'PPS', 2433, 'BKI', 3269, '', 0, 'AT7\r'),
	('MH', 3378, 'PVG', 3406, 'BKI', 3269, '', 0, '738\r'),
	('MH', 3378, 'PVG', 3406, 'KUL', 3304, '', 0, '333\r'),
	('MH', 3378, 'RDU', 3626, 'LHR', 507, '', 0, '763\r'),
	('MH', 3378, 'REP', 3035, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'RGN', 3239, 'KUL', 3304, '', 0, '319 738\r'),
	('MH', 3378, 'RUH', 2082, 'DOH', 2241, 'Y', 0, '787 777 332\r'),
	('MH', 3378, 'SAN', 3731, 'NRT', 2279, '', 0, '787\r'),
	('MH', 3378, 'SBW', 3267, 'BKI', 3269, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SBW', 3267, 'BTU', 3262, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SBW', 3267, 'KCH', 3263, '', 0, '738\r'),
	('MH', 3378, 'SBW', 3267, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'SBW', 3267, 'MYY', 3266, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SDK', 4141, 'BKI', 3269, '', 0, '738 AT7\r'),
	('MH', 3378, 'SDK', 4141, 'KUD', 6222, 'Y', 0, 'DHT\r'),
	('MH', 3378, 'SDK', 4141, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'SDK', 4141, 'TWU', 3271, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SGN', 3205, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'SIN', 3316, 'BKI', 3269, 'Y', 0, '320 319\r'),
	('MH', 3378, 'SIN', 3316, 'IPH', 3302, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SIN', 3316, 'KCH', 3263, '', 0, '738\r'),
	('MH', 3378, 'SIN', 3316, 'KUA', 3299, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SIN', 3316, 'KUL', 3304, '', 0, '738 319 320\r'),
	('MH', 3378, 'SIN', 3316, 'LGK', 3305, 'Y', 0, '320 319\r'),
	('MH', 3378, 'SIN', 3316, 'PEN', 3308, 'Y', 0, '320 738 319\r'),
	('MH', 3378, 'SIN', 3316, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SIN', 3316, 'TAS', 2983, 'Y', 0, '752\r'),
	('MH', 3378, 'SYD', 3361, 'KUL', 3304, '', 0, '333\r'),
	('MH', 3378, 'SZB', 3408, 'AOR', 3296, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SZB', 3408, 'BTH', 3903, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SZB', 3408, 'JHB', 3303, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SZB', 3408, 'KBR', 3298, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SZB', 3408, 'KTE', 3300, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SZB', 3408, 'LGK', 3305, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SZB', 3408, 'PEN', 3308, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SZB', 3408, 'PKU', 3273, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SZB', 3408, 'SIN', 3316, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SZB', 3408, 'TGG', 3307, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'SZB', 3408, 'USM', 3177, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'TAS', 2983, 'KUL', 3304, 'Y', 0, '764\r'),
	('MH', 3378, 'TAS', 2983, 'SIN', 3316, 'Y', 0, '764\r'),
	('MH', 3378, 'TGC', 6770, 'KCH', 3263, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'TGG', 3307, 'KUL', 3304, '', 0, '734 738\r'),
	('MH', 3378, 'TGG', 3307, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'TPE', 2276, 'BKI', 3269, '', 0, '738\r'),
	('MH', 3378, 'TPE', 2276, 'KUL', 3304, '', 0, '738\r'),
	('MH', 3378, 'TRK', 3920, 'TWU', 3271, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'TWU', 3271, 'BKI', 3269, '', 0, '738\r'),
	('MH', 3378, 'TWU', 3271, 'KUL', 3304, '', 0, '734 738\r'),
	('MH', 3378, 'TWU', 3271, 'SDK', 4141, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'TWU', 3271, 'TRK', 3920, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'USM', 3177, 'KUL', 3304, 'Y', 0, '319\r'),
	('MH', 3378, 'USM', 3177, 'PEN', 3308, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'USM', 3177, 'SZB', 3408, 'Y', 0, 'AT7\r'),
	('MH', 3378, 'XMN', 3383, 'KUL', 3304, '', 0, '738\r'),
	('MI', 4750, 'BDO', 3896, 'SIN', 3316, '', 0, '319\r'),
	('MI', 4750, 'BKI', 3269, 'SIN', 3316, '', 0, '320 319\r'),
	('MI', 4750, 'BLR', 3131, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'BPN', 3919, 'SIN', 3316, '', 0, '319 320\r'),
	('MI', 4750, 'CCU', 3043, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'CEB', 4206, 'DVO', 4090, '', 0, '320\r'),
	('MI', 4750, 'CEB', 4206, 'SIN', 3316, '', 0, '320 738\r'),
	('MI', 4750, 'CJB', 3135, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'CKG', 3393, 'SIN', 3316, '', 0, '320 319\r'),
	('MI', 4750, 'CNX', 3931, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'COK', 3136, 'SIN', 3316, '', 0, '320 738 319\r'),
	('MI', 4750, 'CSX', 3371, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'CTU', 3395, 'SIN', 3316, '', 0, '320 319\r'),
	('MI', 4750, 'DAD', 3196, 'REP', 3035, '', 0, '738 320\r'),
	('MI', 4750, 'DAD', 3196, 'SIN', 3316, '', 0, '738 320\r'),
	('MI', 4750, 'DIL', 3310, 'SIN', 3316, '', 0, '319\r'),
	('MI', 4750, 'DRW', 3999, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'DVO', 4090, 'CEB', 4206, '', 0, '320\r'),
	('MI', 4750, 'DVO', 4090, 'SIN', 3316, '', 0, '320 738\r'),
	('MI', 4750, 'HAN', 3199, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'HKT', 3179, 'SIN', 3316, '', 0, '320 738 319\r'),
	('MI', 4750, 'HYD', 3141, 'SIN', 3316, '', 0, '320 738\r'),
	('MI', 4750, 'JOG', 3898, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'KCH', 3263, 'SIN', 3316, '', 0, '319\r'),
	('MI', 4750, 'KMG', 3382, 'SIN', 3316, '', 0, '320 319\r'),
	('MI', 4750, 'KTM', 3125, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'KUL', 3304, 'SIN', 3316, '', 0, '320 738 319\r'),
	('MI', 4750, 'LGK', 3305, 'SIN', 3316, '', 0, '320 319\r'),
	('MI', 4750, 'LOP', 8401, 'SIN', 3316, '', 0, '319 320\r'),
	('MI', 4750, 'MAA', 3144, 'SIN', 3316, '', 0, '319 320\r'),
	('MI', 4750, 'MDC', 3250, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'PEN', 3308, 'SIN', 3316, '', 0, '320 738 319\r'),
	('MI', 4750, 'PKU', 3273, 'SIN', 3316, '', 0, '319\r'),
	('MI', 4750, 'PLM', 3289, 'SIN', 3316, '', 0, '319\r'),
	('MI', 4750, 'PNH', 3034, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'REP', 3035, 'DAD', 3196, '', 0, '738 320\r'),
	('MI', 4750, 'REP', 3035, 'PNH', 3034, '', 0, '320\r'),
	('MI', 4750, 'REP', 3035, 'SIN', 3316, '', 0, '738 320\r'),
	('MI', 4750, 'RGN', 3239, 'SIN', 3316, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'BDO', 3896, '', 0, '319\r'),
	('MI', 4750, 'SIN', 3316, 'BKI', 3269, '', 0, '320 319\r'),
	('MI', 4750, 'SIN', 3316, 'BLR', 3131, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'BPN', 3919, '', 0, '319 320\r'),
	('MI', 4750, 'SIN', 3316, 'CCU', 3043, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'CEB', 4206, '', 0, '320 738\r'),
	('MI', 4750, 'SIN', 3316, 'CJB', 3135, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'CKG', 3393, '', 0, '320 319\r'),
	('MI', 4750, 'SIN', 3316, 'CNX', 3931, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'COK', 3136, '', 0, '320 738 319\r'),
	('MI', 4750, 'SIN', 3316, 'CSX', 3371, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'CTU', 3395, '', 0, '320 319\r'),
	('MI', 4750, 'SIN', 3316, 'DAD', 3196, '', 0, '738 319 320\r'),
	('MI', 4750, 'SIN', 3316, 'DIL', 3310, '', 0, '319\r'),
	('MI', 4750, 'SIN', 3316, 'DRW', 3999, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'DVO', 4090, '', 0, '320 738\r'),
	('MI', 4750, 'SIN', 3316, 'HAN', 3199, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'HKT', 3179, '', 0, '320 738 319\r'),
	('MI', 4750, 'SIN', 3316, 'HYD', 3141, '', 0, '738 320\r'),
	('MI', 4750, 'SIN', 3316, 'JOG', 3898, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'KCH', 3263, '', 0, '319\r'),
	('MI', 4750, 'SIN', 3316, 'KMG', 3382, '', 0, '320 319\r'),
	('MI', 4750, 'SIN', 3316, 'KTM', 3125, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'KUL', 3304, '', 0, '320 738 319\r'),
	('MI', 4750, 'SIN', 3316, 'LGK', 3305, '', 0, '320 319\r'),
	('MI', 4750, 'SIN', 3316, 'LOP', 8401, '', 0, '319 320\r'),
	('MI', 4750, 'SIN', 3316, 'MAA', 3144, '', 0, '319 320\r'),
	('MI', 4750, 'SIN', 3316, 'MDC', 3250, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'PEN', 3308, '', 0, '320 738 319\r'),
	('MI', 4750, 'SIN', 3316, 'PKU', 3273, '', 0, '319\r'),
	('MI', 4750, 'SIN', 3316, 'PLM', 3289, '', 0, '319\r'),
	('MI', 4750, 'SIN', 3316, 'PNH', 3034, '', 0, '320\r'),
	('MI', 4750, 'SIN', 3316, 'REP', 3035, '', 0, '738 320\r'),
	('MI', 4750, 'SIN', 3316, 'RGN', 3239, '', 0, '320 319\r'),
	('MI', 4750, 'SIN', 3316, 'SOC', 3929, '', 0, '320 319\r'),
	('MI', 4750, 'SIN', 3316, 'SRG', 3901, '', 0, '319\r'),
	('MI', 4750, 'SIN', 3316, 'SUB', 3928, '', 0, '333 320 319\r'),
	('MI', 4750, 'SIN', 3316, 'SZX', 3374, '', 0, '320 738 319\r'),
	('MI', 4750, 'SIN', 3316, 'TRV', 3153, '', 0, '319 320\r'),
	('MI', 4750, 'SIN', 3316, 'UPG', 3240, '', 0, '319 320\r'),
	('MI', 4750, 'SIN', 3316, 'USM', 3177, '', 0, '319\r'),
	('MI', 4750, 'SIN', 3316, 'VTZ', 3066, '', 0, '319\r'),
	('MI', 4750, 'SIN', 3316, 'WUH', 3376, '', 0, '319 320\r'),
	('MI', 4750, 'SIN', 3316, 'XMN', 3383, '', 0, '320\r'),
	('MI', 4750, 'SOC', 3929, 'SIN', 3316, '', 0, '320 319\r'),
	('MI', 4750, 'SRG', 3901, 'SIN', 3316, '', 0, '319\r'),
	('MI', 4750, 'SUB', 3928, 'SIN', 3316, '', 0, '333 320 319\r'),
	('MI', 4750, 'SZX', 3374, 'SIN', 3316, '', 0, '320 738 319\r'),
	('MI', 4750, 'TRV', 3153, 'SIN', 3316, '', 0, '319 320\r'),
	('MI', 4750, 'UPG', 3240, 'SIN', 3316, '', 0, '319 320\r'),
	('MI', 4750, 'USM', 3177, 'SIN', 3316, '', 0, '319\r'),
	('MI', 4750, 'VTZ', 3066, 'SIN', 3316, '', 0, '319\r'),
	('MI', 4750, 'WUH', 3376, 'SIN', 3316, '', 0, '319 320\r'),
	('MI', 4750, 'XMN', 3383, 'SIN', 3316, '', 0, '320\r'),
	('MJ', 3342, 'AUH', 2179, 'CMB', 3024, 'Y', 0, '320\r'),
	('MJ', 3342, 'BAH', 2057, 'CMB', 3024, '', 0, '320 321\r'),
	('MJ', 3342, 'BKK', 3885, 'CMB', 3024, 'Y', 0, '320 332 343\r'),
	('MJ', 3342, 'BLR', 3131, 'CMB', 3024, 'Y', 0, '320\r'),
	('MJ', 3342, 'BOM', 2997, 'CMB', 3024, 'Y', 0, '320\r'),
	('MJ', 3342, 'CGK', 3275, 'CMB', 3024, '', 0, '321\r'),
	('MJ', 3342, 'CMB', 3024, 'AUH', 2179, 'Y', 0, '320\r'),
	('MJ', 3342, 'CMB', 3024, 'BAH', 2057, '', 0, '320 321\r'),
	('MJ', 3342, 'CMB', 3024, 'BKK', 3885, 'Y', 0, '320 332 343\r'),
	('MJ', 3342, 'CMB', 3024, 'BLR', 3131, 'Y', 0, '320\r'),
	('MJ', 3342, 'CMB', 3024, 'BOM', 2997, 'Y', 0, '320\r'),
	('MJ', 3342, 'CMB', 3024, 'CGK', 3275, '', 0, '321\r'),
	('MJ', 3342, 'CMB', 3024, 'COK', 3136, 'Y', 0, '320\r'),
	('MJ', 3342, 'CMB', 3024, 'DAC', 3076, '', 0, '321 320\r'),
	('MJ', 3342, 'CMB', 3024, 'DEL', 3093, 'Y', 0, '320\r'),
	('MJ', 3342, 'CMB', 3024, 'DMM', 2064, 'Y', 0, '343\r'),
	('MJ', 3342, 'CMB', 3024, 'DXB', 2188, 'Y', 0, '343 320 332\r'),
	('MJ', 3342, 'CMB', 3024, 'HRI', 8949, 'Y', 0, '343\r'),
	('MJ', 3342, 'CMB', 3024, 'IXM', 3142, '', 0, '320\r'),
	('MJ', 3342, 'CMB', 3024, 'JED', 2072, 'Y', 0, '343\r'),
	('MJ', 3342, 'CMB', 3024, 'KUL', 3304, 'Y', 0, '320 332\r'),
	('MJ', 3342, 'CMB', 3024, 'KWI', 2176, 'Y', 0, '332 343\r'),
	('MJ', 3342, 'CMB', 3024, 'MAA', 3144, 'Y', 0, '332 320 343\r'),
	('MJ', 3342, 'CMB', 3024, 'MCT', 2194, 'Y', 0, '320 321\r'),
	('MJ', 3342, 'CMB', 3024, 'MLE', 3156, 'Y', 0, '320 332 343\r'),
	('MJ', 3342, 'CMB', 3024, 'RUH', 2082, 'Y', 0, '343 332\r'),
	('MJ', 3342, 'CMB', 3024, 'SEZ', 994, '', 0, '320\r'),
	('MJ', 3342, 'CMB', 3024, 'SHJ', 2191, '', 0, '321\r'),
	('MJ', 3342, 'CMB', 3024, 'SIN', 3316, 'Y', 0, '320\r'),
	('MJ', 3342, 'CMB', 3024, 'TRV', 3153, 'Y', 0, '320\r'),
	('MJ', 3342, 'CMB', 3024, 'TRZ', 3152, '', 0, '320\r'),
	('MJ', 3342, 'COK', 3136, 'CMB', 3024, 'Y', 0, '320\r'),
	('MJ', 3342, 'DAC', 3076, 'CMB', 3024, '', 0, '321 320\r'),
	('MJ', 3342, 'DEL', 3093, 'CMB', 3024, 'Y', 0, '320\r'),
	('MJ', 3342, 'DMM', 2064, 'CMB', 3024, 'Y', 0, '343\r'),
	('MJ', 3342, 'DXB', 2188, 'CMB', 3024, 'Y', 0, '343 320 332\r'),
	('MJ', 3342, 'HRI', 8949, 'CMB', 3024, '', 0, '320\r'),
	('MJ', 3342, 'HRI', 8949, 'JED', 2072, 'Y', 0, '343\r'),
	('MJ', 3342, 'IXM', 3142, 'CMB', 3024, '', 0, '320\r'),
	('MJ', 3342, 'JED', 2072, 'CMB', 3024, 'Y', 0, '343\r'),
	('MJ', 3342, 'KUL', 3304, 'CMB', 3024, 'Y', 0, '320 343 332\r'),
	('MJ', 3342, 'KWI', 2176, 'CMB', 3024, 'Y', 0, '332 343\r'),
	('MJ', 3342, 'MAA', 3144, 'CMB', 3024, 'Y', 0, '332 320 343\r'),
	('MJ', 3342, 'MAA', 3144, 'HRI', 8949, 'Y', 0, '320\r'),
	('MJ', 3342, 'MCT', 2194, 'CMB', 3024, 'Y', 0, '320 321\r'),
	('MJ', 3342, 'MLE', 3156, 'CMB', 3024, 'Y', 0, '320 332 343\r'),
	('MJ', 3342, 'RUH', 2082, 'CMB', 3024, 'Y', 0, '343\r'),
	('MJ', 3342, 'SEZ', 994, 'CMB', 3024, '', 0, '320\r'),
	('MJ', 3342, 'SHJ', 2191, 'CMB', 3024, '', 0, '321\r'),
	('MJ', 3342, 'SIN', 3316, 'CMB', 3024, 'Y', 0, '320\r'),
	('MJ', 3342, 'TRV', 3153, 'CMB', 3024, 'Y', 0, '320\r'),
	('MJ', 3342, 'TRZ', 3152, 'CMB', 3024, 'Y', 0, '320\r'),
	('MK', 1057, 'BLR', 3131, 'MAA', 3144, '', 0, '332\r'),
	('MK', 1057, 'BOM', 2997, 'MRU', 893, '', 0, '332 343\r'),
	('MK', 1057, 'BSL', 4053, 'CDG', 1382, 'Y', 0, 'AT7\r'),
	('MK', 1057, 'CDG', 1382, 'BSL', 4053, 'Y', 0, 'AT7\r'),
	('MK', 1057, 'CDG', 1382, 'MRU', 893, '', 0, '343\r'),
	('MK', 1057, 'CPT', 797, 'MRU', 893, '', 0, '319\r'),
	('MK', 1057, 'DEL', 3093, 'MRU', 893, '', 0, '332\r'),
	('MK', 1057, 'DUR', 799, 'MRU', 893, '', 0, '319\r'),
	('MK', 1057, 'DXB', 2188, 'MRU', 893, 'Y', 0, '388 77W\r'),
	('MK', 1057, 'HKG', 3077, 'MRU', 893, '', 0, '332\r'),
	('MK', 1057, 'JNB', 813, 'MRU', 893, '', 0, '319 343\r'),
	('MK', 1057, 'KUL', 3304, 'MRU', 893, '', 0, '343 332\r'),
	('MK', 1057, 'KUL', 3304, 'SIN', 3316, '', 0, '343\r'),
	('MK', 1057, 'LHR', 507, 'MRU', 893, '', 0, '343\r'),
	('MK', 1057, 'MAA', 3144, 'MRU', 893, '', 0, '332\r'),
	('MK', 1057, 'MRU', 893, 'BLR', 3131, '', 0, '332\r'),
	('MK', 1057, 'MRU', 893, 'BOM', 2997, '', 0, '332 343\r'),
	('MK', 1057, 'MRU', 893, 'CDG', 1382, '', 0, '343\r'),
	('MK', 1057, 'MRU', 893, 'CPT', 797, '', 0, '319\r'),
	('MK', 1057, 'MRU', 893, 'DEL', 3093, '', 0, '332\r'),
	('MK', 1057, 'MRU', 893, 'DUR', 799, '', 0, '319\r'),
	('MK', 1057, 'MRU', 893, 'DXB', 2188, 'Y', 0, '388 77W\r'),
	('MK', 1057, 'MRU', 893, 'HKG', 3077, '', 0, '332\r'),
	('MK', 1057, 'MRU', 893, 'JNB', 813, '', 0, '319 343\r'),
	('MK', 1057, 'MRU', 893, 'KUL', 3304, '', 0, '343 332\r'),
	('MK', 1057, 'MRU', 893, 'LHR', 507, '', 0, '343\r'),
	('MK', 1057, 'MRU', 893, 'NBO', 4059, '', 0, '319\r'),
	('MK', 1057, 'MRU', 893, 'PEK', 3364, '', 0, '343\r'),
	('MK', 1057, 'MRU', 893, 'PER', 3351, '', 0, '332\r'),
	('MK', 1057, 'MRU', 893, 'PVG', 3406, '', 0, '343\r'),
	('MK', 1057, 'MRU', 893, 'RRG', 894, '', 0, 'AT7\r'),
	('MK', 1057, 'MRU', 893, 'RUN', 916, '', 0, '343 AT7 319 332\r'),
	('MK', 1057, 'MRU', 893, 'TNR', 918, '', 0, '343 319\r'),
	('MK', 1057, 'MRU', 893, 'ZSE', 917, '', 0, 'AT7\r'),
	('MK', 1057, 'NBO', 4059, 'MRU', 893, '', 0, '319\r'),
	('MK', 1057, 'PEK', 3364, 'MRU', 893, '', 0, '343\r'),
	('MK', 1057, 'PER', 3351, 'MRU', 893, '', 0, '332\r'),
	('MK', 1057, 'PVG', 3406, 'MRU', 893, '', 0, '343\r'),
	('MK', 1057, 'RRG', 894, 'MRU', 893, '', 0, 'AT7\r'),
	('MK', 1057, 'RUN', 916, 'MRU', 893, '', 0, '319 343 AT7 332\r'),
	('MK', 1057, 'SIN', 3316, 'KUL', 3304, '', 0, '343\r'),
	('MK', 1057, 'TNR', 918, 'MRU', 893, '', 0, '343 319\r'),
	('MK', 1057, 'ZSE', 917, 'MRU', 893, '', 0, 'AT7\r'),
	('MM', 17675, 'CTS', 2287, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'FUK', 2305, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'HKG', 3077, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'ICN', 3930, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'ISG', 2387, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'ISG', 2387, 'OKA', 2384, '', 0, '320\r'),
	('MM', 17675, 'KHH', 2264, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'CTS', 2287, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'FUK', 2305, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'HKG', 3077, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'ICN', 3930, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'ISG', 2387, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'KHH', 2264, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'KOJ', 2307, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'MYJ', 2333, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'NGS', 2313, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'NRT', 2279, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'OKA', 2384, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'PUS', 2372, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'SDJ', 2347, '', 0, '320\r'),
	('MM', 17675, 'KIX', 3992, 'TPE', 2276, '', 0, '320\r'),
	('MM', 17675, 'KOJ', 2307, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'MYJ', 2333, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'NGS', 2313, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'NRT', 2279, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'OKA', 2384, 'ISG', 2387, '', 0, '320\r'),
	('MM', 17675, 'OKA', 2384, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'OKA', 2384, 'TPE', 2276, '', 0, '320\r'),
	('MM', 17675, 'PUS', 2372, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'SDJ', 2347, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'TPE', 2276, 'KIX', 3992, '', 0, '320\r'),
	('MM', 17675, 'TPE', 2276, 'OKA', 2384, '', 0, '320\r'),
	('MN', 1829, 'CPT', 797, 'DUR', 799, '', 0, '738\r'),
	('MN', 1829, 'CPT', 797, 'HLA', 820, '', 0, '738\r'),
	('MN', 1829, 'CPT', 797, 'JNB', 813, '', 0, '738\r'),
	('MN', 1829, 'DUR', 799, 'CPT', 797, '', 0, '738\r'),
	('MN', 1829, 'DUR', 799, 'HLA', 820, '', 0, '738\r'),
	('MN', 1829, 'DUR', 799, 'JNB', 813, '', 0, '738\r'),
	('MN', 1829, 'ELS', 800, 'JNB', 813, '', 0, '738\r'),
	('MN', 1829, 'GRJ', 804, 'JNB', 813, '', 0, '738\r'),
	('MN', 1829, 'HLA', 820, 'CPT', 797, '', 0, '738\r'),
	('MN', 1829, 'HLA', 820, 'DUR', 799, '', 0, '738\r'),
	('MN', 1829, 'JNB', 813, 'CPT', 797, '', 0, '738\r'),
	('MN', 1829, 'JNB', 813, 'DUR', 799, '', 0, '738\r'),
	('MN', 1829, 'JNB', 813, 'ELS', 800, '', 0, '738\r'),
	('MN', 1829, 'JNB', 813, 'GRJ', 804, '', 0, '738\r'),
	('MO', 502, 'YBK', 29, 'YCS', 5487, '', 0, 'AT4\r'),
	('MO', 502, 'YBK', 29, 'YRT', 132, '', 0, 'AT4\r'),
	('MO', 502, 'YCS', 5487, 'YBK', 29, '', 0, 'AT4\r'),
	('MO', 502, 'YCS', 5487, 'YRT', 132, '', 0, 'AT4\r'),
	('MO', 502, 'YEK', 50, 'YRT', 132, '', 0, 'AT4\r'),
	('MO', 502, 'YEK', 50, 'YXN', 5534, '', 0, 'AT4\r'),
	('MO', 502, 'YEK', 50, 'YYQ', 187, '', 0, 'AT4\r'),
	('MO', 502, 'YFB', 55, 'YRT', 132, 'Y', 0, '73M\r'),
	('MO', 502, 'YFO', 58, 'YQD', 5524, '', 0, 'AT4\r'),
	('MO', 502, 'YFO', 58, 'YTH', 141, '', 0, 'FRJ\r'),
	('MO', 502, 'YFO', 58, 'YWG', 160, '', 0, 'AT4 FRJ\r'),
	('MO', 502, 'YGX', 5497, 'YTH', 141, '', 0, 'AT4\r'),
	('MO', 502, 'YGX', 5497, 'YWG', 160, '', 0, 'AT4\r'),
	('MO', 502, 'YOW', 100, 'YFB', 55, 'Y', 0, '73M\r'),
	('MO', 502, 'YQD', 5524, 'YFO', 58, '', 0, 'AT4\r'),
	('MO', 502, 'YQD', 5524, 'YTH', 141, '', 0, 'FRJ\r'),
	('MO', 502, 'YQD', 5524, 'YWG', 160, '', 0, 'AT4 FRJ\r'),
	('MO', 502, 'YRT', 132, 'YBK', 29, '', 0, 'AT4\r'),
	('MO', 502, 'YRT', 132, 'YCS', 5487, '', 0, 'AT4\r'),
	('MO', 502, 'YRT', 132, 'YEK', 50, '', 0, 'AT4\r'),
	('MO', 502, 'YRT', 132, 'YTH', 141, '', 0, 'AT4\r'),
	('MO', 502, 'YRT', 132, 'YUT', 147, '', 0, 'AT4\r'),
	('MO', 502, 'YRT', 132, 'YWG', 160, '', 0, 'FRJ\r'),
	('MO', 502, 'YRT', 132, 'YXN', 5534, '', 0, 'AT4\r'),
	('MO', 502, 'YRT', 132, 'YYQ', 187, '', 0, 'AT4 FRJ\r'),
	('MO', 502, 'YRT', 132, 'YZF', 196, 'Y', 0, '73M\r'),
	('MO', 502, 'YRT', 132, 'YZS', 41, '', 0, 'AT4\r'),
	('MO', 502, 'YSK', 5529, 'YWG', 160, '', 0, 'AT4\r'),
	('MO', 502, 'YTH', 141, 'YFO', 58, '', 0, 'FRJ\r'),
	('MO', 502, 'YTH', 141, 'YGX', 5497, '', 0, 'AT4\r'),
	('MO', 502, 'YTH', 141, 'YQD', 5524, '', 0, 'FRJ\r'),
	('MO', 502, 'YTH', 141, 'YWG', 160, '', 0, 'FRJ AT4\r'),
	('MO', 502, 'YTH', 141, 'YYQ', 187, '', 0, 'AT4\r'),
	('MO', 502, 'YUT', 147, 'YRT', 132, '', 0, 'AT4\r'),
	('MO', 502, 'YUT', 147, 'YZS', 41, '', 0, 'AT4\r'),
	('MO', 502, 'YWG', 160, 'YFO', 58, '', 0, 'FRJ AT4\r'),
	('MO', 502, 'YWG', 160, 'YGX', 5497, '', 0, 'AT4\r'),
	('MO', 502, 'YWG', 160, 'YQD', 5524, '', 0, 'AT4 FRJ\r'),
	('MO', 502, 'YWG', 160, 'YRT', 132, '', 0, 'FRJ AT4\r'),
	('MO', 502, 'YWG', 160, 'YSK', 5529, '', 0, 'AT4\r'),
	('MO', 502, 'YWG', 160, 'YTH', 141, '', 0, 'AT4 FRJ\r'),
	('MO', 502, 'YWG', 160, 'YYQ', 187, '', 0, 'AT4 FRJ\r'),
	('MO', 502, 'YXN', 5534, 'YEK', 50, '', 0, 'AT4\r'),
	('MO', 502, 'YXN', 5534, 'YRT', 132, '', 0, 'AT4\r'),
	('MO', 502, 'YYQ', 187, 'YEK', 50, '', 0, 'AT4\r'),
	('MO', 502, 'YYQ', 187, 'YRT', 132, '', 0, 'FRJ AT4\r'),
	('MO', 502, 'YYQ', 187, 'YTH', 141, '', 0, 'AT4\r'),
	('MO', 502, 'YYQ', 187, 'YWG', 160, '', 0, 'AT4 FRJ\r'),
	('MO', 502, 'YZF', 196, 'YEG', 49, 'Y', 0, '73M\r'),
	('MO', 502, 'YZF', 196, 'YOW', 100, 'Y', 0, '73M\r'),
	('MO', 502, 'YZS', 41, 'YRT', 132, '', 0, 'AT4\r'),
	('MO', 502, 'YZS', 41, 'YUT', 147, '', 0, 'AT4\r'),
	('MR', 13335, 'BKK', 3885, 'ULN', 3380, '', 0, '319\r'),
	('MR', 13335, 'BYN', 6371, 'LTI', 6370, '', 0, 'F50\r'),
	('MR', 13335, 'BYN', 6371, 'ULN', 3380, '', 0, 'F50\r'),
	('MR', 13335, 'COQ', 6795, 'HLD', 3366, '', 0, 'F50\r'),
	('MR', 13335, 'COQ', 6795, 'NZH', 6954, '', 0, 'F50\r'),
	('MR', 13335, 'COQ', 6795, 'ULN', 3380, '', 0, 'F50\r'),
	('MR', 13335, 'HKG', 3077, 'ULN', 3380, '', 0, '319\r'),
	('MR', 13335, 'HLD', 3366, 'COQ', 6795, '', 0, 'F50\r'),
	('MR', 13335, 'HVD', 6373, 'ULN', 3380, '', 0, 'F50\r'),
	('MR', 13335, 'LTI', 6370, 'BYN', 6371, '', 0, 'F50\r'),
	('MR', 13335, 'MXV', 6374, 'ULN', 3380, '', 0, 'F50\r'),
	('MR', 13335, 'NZH', 6954, 'COQ', 6795, '', 0, 'F50\r'),
	('MR', 13335, 'ULN', 3380, 'BKK', 3885, '', 0, '319\r'),
	('MR', 13335, 'ULN', 3380, 'BYN', 6371, '', 0, 'F50\r'),
	('MR', 13335, 'ULN', 3380, 'COQ', 6795, '', 0, 'F50\r'),
	('MR', 13335, 'ULN', 3380, 'DLZ', 6372, '', 0, 'F50\r'),
	('MR', 13335, 'ULN', 3380, 'HKG', 3077, '', 0, '319\r'),
	('MR', 13335, 'ULN', 3380, 'HVD', 6373, '', 0, 'F50\r'),
	('MR', 13335, 'ULN', 3380, 'MXV', 6374, '', 0, 'F50\r'),
	('MS', 2143, 'ABJ', 253, 'ACC', 248, '', 0, '738\r'),
	('MS', 2143, 'ABS', 1127, 'ASW', 1136, '', 0, 'E70\r'),
	('MS', 2143, 'ABV', 260, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'ACC', 248, 'ABJ', 253, '', 0, '738\r'),
	('MS', 2143, 'ACC', 248, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'ADD', 1107, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'ADD', 1107, 'JIB', 4119, '', 0, 'DH8 73W\r'),
	('MS', 2143, 'ADD', 1107, 'KGL', 1165, 'Y', 0, '738\r'),
	('MS', 2143, 'ADD', 1107, 'LAD', 951, '', 0, '77W\r'),
	('MS', 2143, 'AHB', 2059, 'CAI', 1128, '', 0, 'E70 320\r'),
	('MS', 2143, 'ALG', 210, 'CAI', 1128, '', 0, '320\r'),
	('MS', 2143, 'AMM', 2170, 'CAI', 1128, '', 0, '738 320 E70\r'),
	('MS', 2143, 'AMS', 580, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'ASM', 3967, 'CAI', 1128, '', 0, '320\r'),
	('MS', 2143, 'ASW', 1136, 'ABS', 1127, '', 0, 'E70\r'),
	('MS', 2143, 'ASW', 1136, 'CAI', 1128, '', 0, 'E70 738\r'),
	('MS', 2143, 'ATH', 3941, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'ATH', 3941, 'HBE', 3410, '', 0, 'E70\r'),
	('MS', 2143, 'ATH', 3941, 'HER', 1452, '', 0, 'DH4\r'),
	('MS', 2143, 'ATZ', 5691, 'CAI', 1128, '', 0, 'E70\r'),
	('MS', 2143, 'AUH', 2179, 'CAI', 1128, '', 0, '738 330\r'),
	('MS', 2143, 'BAH', 2057, 'CAI', 1128, '', 0, 'E70\r'),
	('MS', 2143, 'BCN', 1218, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'BEN', 1154, 'CAI', 1128, '', 0, '320 E70\r'),
	('MS', 2143, 'BEY', 2177, 'CAI', 1128, '', 0, '738 320 E70\r'),
	('MS', 2143, 'BEY', 2177, 'HBE', 3410, '', 0, 'E70\r'),
	('MS', 2143, 'BGW', 4130, 'CAI', 1128, '', 0, '320\r'),
	('MS', 2143, 'BJM', 1120, 'KGL', 1165, 'Y', 0, '738\r'),
	('MS', 2143, 'BKK', 3885, 'CAI', 1128, '', 0, '773\r'),
	('MS', 2143, 'BKK', 3885, 'KUL', 3304, '', 0, '773\r'),
	('MS', 2143, 'BOM', 2997, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'BRU', 302, 'CAI', 1128, '', 0, '320\r'),
	('MS', 2143, 'BUD', 1489, 'CAI', 1128, '', 0, 'E70\r'),
	('MS', 2143, 'CAI', 1128, 'ABV', 260, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'ACC', 248, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'ADD', 1107, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'AHB', 2059, '', 0, 'E70 320\r'),
	('MS', 2143, 'CAI', 1128, 'ALG', 210, '', 0, '320\r'),
	('MS', 2143, 'CAI', 1128, 'AMM', 2170, '', 0, '738 320 E70\r'),
	('MS', 2143, 'CAI', 1128, 'AMS', 580, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'ASM', 3967, '', 0, '320\r'),
	('MS', 2143, 'CAI', 1128, 'ASW', 1136, '', 0, '738 E70\r'),
	('MS', 2143, 'CAI', 1128, 'ATH', 3941, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'ATZ', 5691, '', 0, 'E70\r'),
	('MS', 2143, 'CAI', 1128, 'AUH', 2179, '', 0, '738 330\r'),
	('MS', 2143, 'CAI', 1128, 'BAH', 2057, '', 0, 'E70\r'),
	('MS', 2143, 'CAI', 1128, 'BCN', 1218, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'BEN', 1154, '', 0, '320 E70\r'),
	('MS', 2143, 'CAI', 1128, 'BEY', 2177, '', 0, '738 320 E70\r'),
	('MS', 2143, 'CAI', 1128, 'BGW', 4130, '', 0, '320\r'),
	('MS', 2143, 'CAI', 1128, 'BKK', 3885, '', 0, '773\r'),
	('MS', 2143, 'CAI', 1128, 'BOM', 2997, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'BRU', 302, '', 0, '320\r'),
	('MS', 2143, 'CAI', 1128, 'BUD', 1489, '', 0, 'E70\r'),
	('MS', 2143, 'CAI', 1128, 'CAN', 3370, '', 0, '773\r'),
	('MS', 2143, 'CAI', 1128, 'CDG', 1382, '', 0, '333 320\r'),
	('MS', 2143, 'CAI', 1128, 'CGK', 3275, '', 0, '330\r'),
	('MS', 2143, 'CAI', 1128, 'CMN', 1074, '', 0, '321\r'),
	('MS', 2143, 'CAI', 1128, 'CPH', 609, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'DAR', 1177, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'DME', 4029, '', 0, '320\r'),
	('MS', 2143, 'CAI', 1128, 'DMM', 2064, '', 0, '333 738 330 321\r'),
	('MS', 2143, 'CAI', 1128, 'DOH', 2241, '', 0, '333 738\r'),
	('MS', 2143, 'CAI', 1128, 'DXB', 2188, '', 0, '773 333\r'),
	('MS', 2143, 'CAI', 1128, 'EBB', 1187, '', 0, '320\r'),
	('MS', 2143, 'CAI', 1128, 'EBL', 3989, '', 0, '320 321\r'),
	('MS', 2143, 'CAI', 1128, 'ELQ', 2067, '', 0, '321 E70\r'),
	('MS', 2143, 'CAI', 1128, 'FCO', 1555, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'FRA', 340, '', 0, '330 738\r'),
	('MS', 2143, 'CAI', 1128, 'GVA', 1665, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'HBE', 3410, '', 0, '320 321\r'),
	('MS', 2143, 'CAI', 1128, 'HMB', 8235, '', 0, 'E70\r'),
	('MS', 2143, 'CAI', 1128, 'HRG', 1130, '', 0, '321 E70 735\r'),
	('MS', 2143, 'CAI', 1128, 'IST', 1701, '', 0, '320 738 E70\r'),
	('MS', 2143, 'CAI', 1128, 'JED', 2072, '', 0, '738 330 340 333 320\r'),
	('MS', 2143, 'CAI', 1128, 'JFK', 3797, '', 0, '773\r'),
	('MS', 2143, 'CAI', 1128, 'JNB', 813, '', 0, '330\r'),
	('MS', 2143, 'CAI', 1128, 'JUB', 1173, '', 0, '320\r'),
	('MS', 2143, 'CAI', 1128, 'KAN', 270, '', 0, '320\r'),
	('MS', 2143, 'CAI', 1128, 'KRT', 1175, '', 0, '321 320\r'),
	('MS', 2143, 'CAI', 1128, 'KWI', 2176, '', 0, '340 738 320\r'),
	('MS', 2143, 'CAI', 1128, 'LCA', 1197, '', 0, 'E70\r'),
	('MS', 2143, 'CAI', 1128, 'LHR', 507, '', 0, '333 738\r'),
	('MS', 2143, 'CAI', 1128, 'LOS', 273, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'LXR', 1132, '', 0, '738 E70 320\r'),
	('MS', 2143, 'CAI', 1128, 'MAD', 1229, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'MAN', 478, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'MCT', 2194, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'MED', 2074, '', 0, '330 738 333\r'),
	('MS', 2143, 'CAI', 1128, 'MUC', 346, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'MXP', 1524, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'NBO', 4059, '', 0, '320\r'),
	('MS', 2143, 'CAI', 1128, 'PEK', 3364, '', 0, '330\r'),
	('MS', 2143, 'CAI', 1128, 'RMF', 4197, '', 0, 'E70\r'),
	('MS', 2143, 'CAI', 1128, 'RUH', 2082, '', 0, '738 333 330\r'),
	('MS', 2143, 'CAI', 1128, 'SAH', 3980, '', 0, '320\r'),
	('MS', 2143, 'CAI', 1128, 'SHJ', 2191, '', 0, '738 320\r'),
	('MS', 2143, 'CAI', 1128, 'SSH', 4057, '', 0, '738 E70 735 321\r'),
	('MS', 2143, 'CAI', 1128, 'SXF', 337, '', 0, '738\r'),
	('MS', 2143, 'CAI', 1128, 'TIP', 1157, '', 0, '321 320\r'),
	('MS', 2143, 'CAI', 1128, 'TUN', 287, '', 0, '738 320\r'),
	('MS', 2143, 'CAI', 1128, 'VIE', 1613, '', 0, '738 E70\r'),
	('MS', 2143, 'CAI', 1128, 'YYZ', 193, '', 0, '773\r'),
	('MS', 2143, 'CAI', 1128, 'ZRH', 1678, 'Y', 0, '333 343\r'),
	('MS', 2143, 'CAN', 3370, 'CAI', 1128, '', 0, '773\r'),
	('MS', 2143, 'CDG', 1382, 'CAI', 1128, '', 0, '333 320\r'),
	('MS', 2143, 'CDG', 1382, 'LXR', 1132, '', 0, '320\r'),
	('MS', 2143, 'CGK', 3275, 'CAI', 1128, '', 0, '330\r'),
	('MS', 2143, 'CMN', 1074, 'CAI', 1128, '', 0, '321\r'),
	('MS', 2143, 'CPH', 609, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'DAR', 1177, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'DAR', 1177, 'HRE', 1005, '', 0, '738\r'),
	('MS', 2143, 'DME', 4029, 'CAI', 1128, '', 0, '320\r'),
	('MS', 2143, 'DMM', 2064, 'CAI', 1128, '', 0, '738 333 330 321\r'),
	('MS', 2143, 'DMM', 2064, 'HBE', 3410, '', 0, '320\r'),
	('MS', 2143, 'DOH', 2241, 'CAI', 1128, '', 0, '333 738\r'),
	('MS', 2143, 'DXB', 2188, 'CAI', 1128, '', 0, '333 773\r'),
	('MS', 2143, 'DXB', 2188, 'SIN', 3316, 'Y', 0, '333\r'),
	('MS', 2143, 'EBB', 1187, 'CAI', 1128, '', 0, '320\r'),
	('MS', 2143, 'EBL', 3989, 'CAI', 1128, '', 0, '320 321\r'),
	('MS', 2143, 'ELQ', 2067, 'CAI', 1128, '', 0, '321 E70\r'),
	('MS', 2143, 'FCO', 1555, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'FRA', 340, 'CAI', 1128, '', 0, '330 738\r'),
	('MS', 2143, 'GVA', 1665, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'HBE', 3410, 'ATH', 3941, '', 0, 'E70\r'),
	('MS', 2143, 'HBE', 3410, 'BEY', 2177, '', 0, 'E70\r'),
	('MS', 2143, 'HBE', 3410, 'CAI', 1128, '', 0, '738 320 321\r'),
	('MS', 2143, 'HBE', 3410, 'DMM', 2064, '', 0, '320\r'),
	('MS', 2143, 'HBE', 3410, 'HRG', 1130, '', 0, 'E70\r'),
	('MS', 2143, 'HBE', 3410, 'IST', 1701, 'Y', 0, '73W 319\r'),
	('MS', 2143, 'HBE', 3410, 'JED', 2072, '', 0, '320\r'),
	('MS', 2143, 'HBE', 3410, 'KWI', 2176, '', 0, '320 738\r'),
	('MS', 2143, 'HBE', 3410, 'MED', 2074, '', 0, '320 738\r'),
	('MS', 2143, 'HBE', 3410, 'RUH', 2082, '', 0, '320\r'),
	('MS', 2143, 'HBE', 3410, 'SSH', 4057, '', 0, 'E70\r'),
	('MS', 2143, 'HER', 1452, 'ATH', 3941, '', 0, 'DH4\r'),
	('MS', 2143, 'HMB', 8235, 'CAI', 1128, '', 0, 'E70\r'),
	('MS', 2143, 'HMB', 8235, 'KWI', 2176, '', 0, 'E70\r'),
	('MS', 2143, 'HRE', 1005, 'DAR', 1177, '', 0, '738\r'),
	('MS', 2143, 'HRG', 1130, 'CAI', 1128, '', 0, '321 E70 735\r'),
	('MS', 2143, 'HRG', 1130, 'HBE', 3410, '', 0, 'E70\r'),
	('MS', 2143, 'HRG', 1130, 'IST', 1701, '', 0, '738 320\r'),
	('MS', 2143, 'IST', 1701, 'CAI', 1128, '', 0, '320 738 E70\r'),
	('MS', 2143, 'IST', 1701, 'HBE', 3410, 'Y', 0, '73W 319\r'),
	('MS', 2143, 'IST', 1701, 'HRG', 1130, '', 0, '738 320\r'),
	('MS', 2143, 'IST', 1701, 'KBP', 2939, '', 0, '321\r'),
	('MS', 2143, 'IST', 1701, 'SSH', 4057, '', 0, '738 319\r'),
	('MS', 2143, 'JED', 2072, 'CAI', 1128, '', 0, '738 333 330 340 320\r'),
	('MS', 2143, 'JED', 2072, 'HBE', 3410, '', 0, '320\r'),
	('MS', 2143, 'JED', 2072, 'LXR', 1132, '', 0, '320\r'),
	('MS', 2143, 'JED', 2072, 'SSH', 4057, '', 0, 'E70\r'),
	('MS', 2143, 'JFK', 3797, 'CAI', 1128, '', 0, '773\r'),
	('MS', 2143, 'JIB', 4119, 'ADD', 1107, '', 0, '73W DH8\r'),
	('MS', 2143, 'JNB', 813, 'CAI', 1128, '', 0, '330\r'),
	('MS', 2143, 'JUB', 1173, 'CAI', 1128, '', 0, '320\r'),
	('MS', 2143, 'KAN', 270, 'CAI', 1128, '', 0, '320\r'),
	('MS', 2143, 'KBP', 2939, 'IST', 1701, '', 0, '321 738\r'),
	('MS', 2143, 'KGL', 1165, 'ADD', 1107, 'Y', 0, '738\r'),
	('MS', 2143, 'KGL', 1165, 'BJM', 1120, 'Y', 0, '738\r'),
	('MS', 2143, 'KRT', 1175, 'CAI', 1128, '', 0, '321 320\r'),
	('MS', 2143, 'KUL', 3304, 'BKK', 3885, '', 0, '773\r'),
	('MS', 2143, 'KWI', 2176, 'CAI', 1128, '', 0, '738 340 320\r'),
	('MS', 2143, 'KWI', 2176, 'HBE', 3410, '', 0, '320 738\r'),
	('MS', 2143, 'KWI', 2176, 'HMB', 8235, '', 0, 'E70\r'),
	('MS', 2143, 'KWI', 2176, 'LXR', 1132, '', 0, '320\r'),
	('MS', 2143, 'KWI', 2176, 'SSH', 4057, '', 0, 'E70\r'),
	('MS', 2143, 'LAD', 951, 'ADD', 1107, '', 0, '77W\r'),
	('MS', 2143, 'LCA', 1197, 'CAI', 1128, '', 0, 'E70\r'),
	('MS', 2143, 'LHR', 507, 'CAI', 1128, '', 0, '333 738\r'),
	('MS', 2143, 'LHR', 507, 'LXR', 1132, '', 0, '738\r'),
	('MS', 2143, 'LOS', 273, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'LXR', 1132, 'CAI', 1128, '', 0, '738 E70 320\r'),
	('MS', 2143, 'LXR', 1132, 'CDG', 1382, '', 0, '320\r'),
	('MS', 2143, 'LXR', 1132, 'JED', 2072, '', 0, '320\r'),
	('MS', 2143, 'LXR', 1132, 'KWI', 2176, '', 0, '320\r'),
	('MS', 2143, 'LXR', 1132, 'LHR', 507, '', 0, '738\r'),
	('MS', 2143, 'MAD', 1229, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'MAN', 478, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'MCT', 2194, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'MED', 2074, 'CAI', 1128, '', 0, '333 330 738\r'),
	('MS', 2143, 'MED', 2074, 'HBE', 3410, '', 0, '320 738\r'),
	('MS', 2143, 'MUC', 346, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'MXP', 1524, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'NBO', 4059, 'CAI', 1128, '', 0, '320\r'),
	('MS', 2143, 'PEK', 3364, 'CAI', 1128, '', 0, '330\r'),
	('MS', 2143, 'RHO', 1472, 'ATH', 3941, '', 0, 'DH4\r'),
	('MS', 2143, 'RMF', 4197, 'CAI', 1128, '', 0, 'E70\r'),
	('MS', 2143, 'RUH', 2082, 'CAI', 1128, '', 0, '738 333 330\r'),
	('MS', 2143, 'RUH', 2082, 'HBE', 3410, '', 0, '320\r'),
	('MS', 2143, 'RUH', 2082, 'SSH', 4057, '', 0, 'E70\r'),
	('MS', 2143, 'SAH', 3980, 'CAI', 1128, '', 0, '320\r'),
	('MS', 2143, 'SHJ', 2191, 'CAI', 1128, '', 0, '738 320\r'),
	('MS', 2143, 'SIN', 3316, 'DXB', 2188, 'Y', 0, '333\r'),
	('MS', 2143, 'SSH', 4057, 'CAI', 1128, '', 0, '738 E70 735 321\r'),
	('MS', 2143, 'SSH', 4057, 'HBE', 3410, '', 0, 'E70\r'),
	('MS', 2143, 'SSH', 4057, 'IST', 1701, '', 0, '738 319\r'),
	('MS', 2143, 'SSH', 4057, 'JED', 2072, '', 0, 'E70\r'),
	('MS', 2143, 'SSH', 4057, 'KWI', 2176, '', 0, 'E70\r'),
	('MS', 2143, 'SSH', 4057, 'RUH', 2082, '', 0, 'E70\r'),
	('MS', 2143, 'SXF', 337, 'CAI', 1128, '', 0, '738\r'),
	('MS', 2143, 'TIP', 1157, 'CAI', 1128, '', 0, '321 320\r'),
	('MS', 2143, 'TUN', 287, 'CAI', 1128, '', 0, '738 320\r'),
	('MS', 2143, 'VIE', 1613, 'CAI', 1128, '', 0, '738 E70\r'),
	('MS', 2143, 'YYZ', 193, 'CAI', 1128, '', 0, '773\r'),
	('MS', 2143, 'ZRH', 1678, 'CAI', 1128, 'Y', 0, '333 343\r'),
	('MU', 1758, 'ACX', 7506, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'ACX', 7506, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'AKL', 2006, 'MEL', 3339, 'Y', 0, '73H\r'),
	('MU', 1758, 'AKL', 2006, 'SYD', 3361, 'Y', 0, '73H\r'),
	('MU', 1758, 'AMS', 580, 'BCN', 1218, '', 0, '737\r'),
	('MU', 1758, 'AMS', 580, 'BLQ', 1538, '', 0, 'EMJ\r'),
	('MU', 1758, 'AMS', 580, 'CDG', 1382, 'Y', 0, '737\r'),
	('MU', 1758, 'AMS', 580, 'CPH', 609, '', 0, 'EMJ 737 F70\r'),
	('MU', 1758, 'AMS', 580, 'FCO', 1555, '', 0, '737\r'),
	('MU', 1758, 'AMS', 580, 'FRA', 340, 'Y', 0, 'EMJ F70\r'),
	('MU', 1758, 'AMS', 580, 'LHR', 507, 'Y', 0, '737 F70\r'),
	('MU', 1758, 'AMS', 580, 'MAD', 1229, '', 0, '737\r'),
	('MU', 1758, 'AMS', 580, 'PVG', 3406, 'Y', 0, '74M\r'),
	('MU', 1758, 'AQG', 6427, 'SHA', 3391, '', 0, 'EMB\r'),
	('MU', 1758, 'AQG', 6427, 'WUH', 3376, '', 0, 'EMB\r'),
	('MU', 1758, 'BAV', 6346, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'BAV', 6346, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'BAV', 6346, 'SHA', 3391, 'Y', 0, '738 737\r'),
	('MU', 1758, 'BAV', 6346, 'SJW', 6347, 'Y', 0, '737\r'),
	('MU', 1758, 'BCN', 1218, 'AMS', 580, '', 0, '737\r'),
	('MU', 1758, 'BFJ', 9025, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'BHY', 6351, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'BHY', 6351, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'BKK', 3885, 'CTU', 3395, '', 0, '320\r'),
	('MU', 1758, 'BKK', 3885, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'BKK', 3885, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'BKK', 3885, 'PVG', 3406, '', 0, '333 320 332\r'),
	('MU', 1758, 'BLQ', 1538, 'AMS', 580, '', 0, 'EMJ\r'),
	('MU', 1758, 'BNE', 3320, 'SIN', 3316, 'Y', 0, '744\r'),
	('MU', 1758, 'BSD', 7505, 'KMG', 3382, '', 0, '733\r'),
	('MU', 1758, 'CAN', 3370, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'CAN', 3370, 'HGH', 3386, '', 0, '320\r'),
	('MU', 1758, 'CAN', 3370, 'HIA', 7898, '', 0, '320\r'),
	('MU', 1758, 'CAN', 3370, 'HYN', 6384, '', 0, '733\r'),
	('MU', 1758, 'CAN', 3370, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'CAN', 3370, 'KMG', 3382, '', 0, '737 733\r'),
	('MU', 1758, 'CAN', 3370, 'LHW', 6431, '', 0, '738\r'),
	('MU', 1758, 'CAN', 3370, 'LJG', 4033, '', 0, '737\r'),
	('MU', 1758, 'CAN', 3370, 'LUM', 6376, '', 0, '737\r'),
	('MU', 1758, 'CAN', 3370, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'CAN', 3370, 'NGB', 3387, '', 0, '738 320\r'),
	('MU', 1758, 'CAN', 3370, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'CAN', 3370, 'NRT', 2279, 'Y', 0, '767\r'),
	('MU', 1758, 'CAN', 3370, 'PVG', 3406, '', 0, '738\r'),
	('MU', 1758, 'CAN', 3370, 'SHA', 3391, '', 0, '738 321 333 AB6\r'),
	('MU', 1758, 'CAN', 3370, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'CAN', 3370, 'TNA', 4108, '', 0, '320\r'),
	('MU', 1758, 'CAN', 3370, 'TYN', 3369, '', 0, '737\r'),
	('MU', 1758, 'CAN', 3370, 'WNZ', 6392, '', 0, '733 738 320 737\r'),
	('MU', 1758, 'CAN', 3370, 'WUH', 3376, '', 0, '738 73G\r'),
	('MU', 1758, 'CAN', 3370, 'WUX', 6390, '', 0, 'E90 320 321\r'),
	('MU', 1758, 'CAN', 3370, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'CAN', 3370, 'XMN', 3383, 'Y', 0, '738\r'),
	('MU', 1758, 'CCU', 3043, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'CDG', 1382, 'AMS', 580, 'Y', 0, '737\r'),
	('MU', 1758, 'CDG', 1382, 'PEK', 3364, 'Y', 0, '772 77W\r'),
	('MU', 1758, 'CDG', 1382, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'CEI', 3932, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'CGK', 3275, 'PVG', 3406, '', 0, '777\r'),
	('MU', 1758, 'CGO', 3375, 'DLC', 3404, '', 0, '737\r'),
	('MU', 1758, 'CGO', 3375, 'HGH', 3386, '', 0, '320\r'),
	('MU', 1758, 'CGO', 3375, 'INC', 4085, '', 0, '320\r'),
	('MU', 1758, 'CGO', 3375, 'KMG', 3382, '', 0, '733 737\r'),
	('MU', 1758, 'CGO', 3375, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'CGO', 3375, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'CGO', 3375, 'PVG', 3406, '', 0, '320 738\r'),
	('MU', 1758, 'CGO', 3375, 'SHA', 3391, '', 0, '738 737 320 321\r'),
	('MU', 1758, 'CGO', 3375, 'URC', 3399, '', 0, '320\r'),
	('MU', 1758, 'CGO', 3375, 'XNN', 6366, '', 0, '320\r'),
	('MU', 1758, 'CGQ', 4380, 'PEK', 3364, '', 0, '320\r'),
	('MU', 1758, 'CGQ', 4380, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'CGQ', 4380, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'CHC', 2009, 'SYD', 3361, 'Y', 0, '73H\r'),
	('MU', 1758, 'CHG', 6772, 'DLC', 3404, '', 0, '319\r'),
	('MU', 1758, 'CIF', 6342, 'HET', 6345, '', 0, '320\r'),
	('MU', 1758, 'CIF', 6342, 'HRB', 3400, '', 0, '320\r'),
	('MU', 1758, 'CIF', 6342, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'CIF', 6342, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'CIF', 6342, 'TSN', 3368, '', 0, '320\r'),
	('MU', 1758, 'CIH', 6343, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'CIH', 6343, 'TYN', 3369, '', 0, 'EMB\r'),
	('MU', 1758, 'CIH', 6343, 'WUH', 3376, '', 0, 'EMB\r'),
	('MU', 1758, 'CJJ', 6008, 'HGH', 3386, 'Y', 0, '739\r'),
	('MU', 1758, 'CJU', 2370, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'CJU', 2370, 'PEK', 3364, '', 0, '321\r'),
	('MU', 1758, 'CJU', 2370, 'PVG', 3406, '', 0, '738\r'),
	('MU', 1758, 'CJU', 2370, 'WNZ', 6392, '', 0, '320\r'),
	('MU', 1758, 'CKG', 3393, 'CZX', 4109, '', 0, '320\r'),
	('MU', 1758, 'CKG', 3393, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'CKG', 3393, 'KMG', 3382, '', 0, '320 738\r'),
	('MU', 1758, 'CKG', 3393, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'CKG', 3393, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'CKG', 3393, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'CKG', 3393, 'PVG', 3406, '', 0, '320 321 346\r'),
	('MU', 1758, 'CKG', 3393, 'SHA', 3391, '', 0, '321 738\r'),
	('MU', 1758, 'CKG', 3393, 'TNA', 4108, '', 0, '320\r'),
	('MU', 1758, 'CKG', 3393, 'TXN', 6387, 'Y', 0, '737\r'),
	('MU', 1758, 'CKG', 3393, 'TYN', 3369, '', 0, '738\r'),
	('MU', 1758, 'CKG', 3393, 'WNZ', 6392, '', 0, '320\r'),
	('MU', 1758, 'CKG', 3393, 'WUX', 6390, '', 0, '320\r'),
	('MU', 1758, 'CKG', 3393, 'XIY', 3379, '', 0, '320 319\r'),
	('MU', 1758, 'CKG', 3393, 'XNN', 6366, '', 0, '320\r'),
	('MU', 1758, 'CKG', 3393, 'ZAT', 6378, '', 0, '733\r'),
	('MU', 1758, 'CMB', 3024, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'CMB', 3024, 'MLE', 3156, '', 0, '737\r'),
	('MU', 1758, 'CNX', 3931, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'CNX', 3931, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'CPH', 609, 'AMS', 580, '', 0, '737 EMJ F70\r'),
	('MU', 1758, 'CSX', 3371, 'ICN', 3930, '', 0, '332\r'),
	('MU', 1758, 'CSX', 3371, 'KMG', 3382, '', 0, '320 733 319\r'),
	('MU', 1758, 'CSX', 3371, 'KWE', 3394, '', 0, '320\r'),
	('MU', 1758, 'CSX', 3371, 'LZH', 6356, '', 0, '319\r'),
	('MU', 1758, 'CSX', 3371, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'CSX', 3371, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'CSX', 3371, 'NKG', 3388, '', 0, '320 319\r'),
	('MU', 1758, 'CSX', 3371, 'PVG', 3406, '', 0, '320 321\r'),
	('MU', 1758, 'CSX', 3371, 'SHA', 3391, '', 0, '738 321\r'),
	('MU', 1758, 'CSX', 3371, 'WUX', 6390, '', 0, '320\r'),
	('MU', 1758, 'CSX', 3371, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'CSX', 3371, 'YNZ', 6393, '', 0, '733\r'),
	('MU', 1758, 'CTS', 2287, 'PVG', 3406, '', 0, '321 320\r'),
	('MU', 1758, 'CTU', 3395, 'BKK', 3885, '', 0, '320\r'),
	('MU', 1758, 'CTU', 3395, 'CZX', 4109, '', 0, '320\r'),
	('MU', 1758, 'CTU', 3395, 'DCY', 9310, '', 0, '319\r'),
	('MU', 1758, 'CTU', 3395, 'DIG', 6375, '', 0, '737\r'),
	('MU', 1758, 'CTU', 3395, 'DLU', 4054, '', 0, '737\r'),
	('MU', 1758, 'CTU', 3395, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'CTU', 3395, 'HGH', 3386, '', 0, '320\r'),
	('MU', 1758, 'CTU', 3395, 'JZH', 4301, '', 0, '319 737\r'),
	('MU', 1758, 'CTU', 3395, 'KGT', 8921, '', 0, '319\r'),
	('MU', 1758, 'CTU', 3395, 'KHN', 3384, '', 0, '738\r'),
	('MU', 1758, 'CTU', 3395, 'KMG', 3382, '', 0, '737 733\r'),
	('MU', 1758, 'CTU', 3395, 'LHW', 6431, '', 0, '738 320\r'),
	('MU', 1758, 'CTU', 3395, 'LXA', 4097, '', 0, '319\r'),
	('MU', 1758, 'CTU', 3395, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'CTU', 3395, 'NGB', 3387, '', 0, '319\r'),
	('MU', 1758, 'CTU', 3395, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'CTU', 3395, 'PVG', 3406, '', 0, '319 738 320 321\r'),
	('MU', 1758, 'CTU', 3395, 'SHA', 3391, '', 0, '738 767\r'),
	('MU', 1758, 'CTU', 3395, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'CTU', 3395, 'TNA', 4108, '', 0, '319\r'),
	('MU', 1758, 'CTU', 3395, 'TXN', 6387, 'Y', 0, '737\r'),
	('MU', 1758, 'CTU', 3395, 'TYN', 3369, '', 0, '738\r'),
	('MU', 1758, 'CTU', 3395, 'WUH', 3376, '', 0, '733\r'),
	('MU', 1758, 'CTU', 3395, 'WUX', 6390, '', 0, '320 321\r'),
	('MU', 1758, 'CTU', 3395, 'XIY', 3379, '', 0, '321 320\r'),
	('MU', 1758, 'CTU', 3395, 'XNN', 6366, '', 0, '320\r'),
	('MU', 1758, 'CZX', 4109, 'CKG', 3393, '', 0, '320\r'),
	('MU', 1758, 'CZX', 4109, 'CTU', 3395, '', 0, '320\r'),
	('MU', 1758, 'CZX', 4109, 'DLC', 3404, '', 0, '320\r'),
	('MU', 1758, 'CZX', 4109, 'DYG', 6353, '', 0, '320\r'),
	('MU', 1758, 'CZX', 4109, 'KWL', 3372, '', 0, '320\r'),
	('MU', 1758, 'CZX', 4109, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'CZX', 4109, 'PEK', 3364, '', 0, '320\r'),
	('MU', 1758, 'CZX', 4109, 'SZX', 3374, '', 0, '320\r'),
	('MU', 1758, 'CZX', 4109, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'CZX', 4109, 'XMN', 3383, '', 0, '320\r'),
	('MU', 1758, 'DAC', 3076, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'DAD', 3196, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'DAT', 6344, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'DAT', 6344, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'DAX', 6397, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'DCY', 9310, 'CTU', 3395, '', 0, '319\r'),
	('MU', 1758, 'DDG', 6433, 'TAO', 3390, 'Y', 0, '737\r'),
	('MU', 1758, 'DEL', 3093, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'DIG', 6375, 'CTU', 3395, '', 0, '737\r'),
	('MU', 1758, 'DIG', 6375, 'JHG', 4055, '', 0, '737\r'),
	('MU', 1758, 'DIG', 6375, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'DIG', 6375, 'LXA', 4097, '', 0, '737\r'),
	('MU', 1758, 'DLC', 3404, 'CGO', 3375, '', 0, '737\r'),
	('MU', 1758, 'DLC', 3404, 'CHG', 6772, '', 0, '319\r'),
	('MU', 1758, 'DLC', 3404, 'CZX', 4109, '', 0, '320\r'),
	('MU', 1758, 'DLC', 3404, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'DLC', 3404, 'LYA', 4148, '', 0, '733\r'),
	('MU', 1758, 'DLC', 3404, 'LYG', 6383, '', 0, 'EMB\r'),
	('MU', 1758, 'DLC', 3404, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'DLC', 3404, 'NRT', 2279, 'Y', 0, '767\r'),
	('MU', 1758, 'DLC', 3404, 'PEK', 3364, '', 0, '321 320\r'),
	('MU', 1758, 'DLC', 3404, 'PVG', 3406, '', 0, '320 738 319\r'),
	('MU', 1758, 'DLC', 3404, 'TAO', 3390, '', 0, '738\r'),
	('MU', 1758, 'DLC', 3404, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'DLU', 4054, 'CTU', 3395, '', 0, '737\r'),
	('MU', 1758, 'DLU', 4054, 'JHG', 4055, '', 0, '737\r'),
	('MU', 1758, 'DLU', 4054, 'KMG', 3382, '', 0, '737 733\r'),
	('MU', 1758, 'DNH', 4308, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'DPS', 3940, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'DSN', 6434, 'HRB', 3400, '', 0, '733\r'),
	('MU', 1758, 'DSN', 6434, 'KMG', 3382, '', 0, '733\r'),
	('MU', 1758, 'DSN', 6434, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'DSN', 6434, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'DTW', 3645, 'PEK', 3364, 'Y', 0, '777\r'),
	('MU', 1758, 'DTW', 3645, 'PVG', 3406, 'Y', 0, '77L 777\r'),
	('MU', 1758, 'DXB', 2188, 'KMG', 3382, '', 0, '333\r'),
	('MU', 1758, 'DYG', 6353, 'CZX', 4109, '', 0, '320\r'),
	('MU', 1758, 'DYG', 6353, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'DYG', 6353, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'DYG', 6353, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'ENH', 6358, 'WUH', 3376, '', 0, '738\r'),
	('MU', 1758, 'ENY', 6367, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'ENY', 6367, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'FCO', 1555, 'AMS', 580, '', 0, '737\r'),
	('MU', 1758, 'FCO', 1555, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'FOC', 3385, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'FOC', 3385, 'NKG', 3388, '', 0, '738\r'),
	('MU', 1758, 'FOC', 3385, 'PVG', 3406, '', 0, '321 320 319\r'),
	('MU', 1758, 'FOC', 3385, 'SHA', 3391, 'Y', 0, '738\r'),
	('MU', 1758, 'FOC', 3385, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'FRA', 340, 'AMS', 580, 'Y', 0, 'EMJ\r'),
	('MU', 1758, 'FRA', 340, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'FSZ', 6476, 'PVG', 3406, '', 0, '738 320\r'),
	('MU', 1758, 'FUG', 7503, 'SHA', 3391, 'Y', 0, '737\r'),
	('MU', 1758, 'FUK', 2305, 'PVG', 3406, '', 0, '320 738\r'),
	('MU', 1758, 'FUK', 2305, 'TAO', 3390, '', 0, '319\r'),
	('MU', 1758, 'FUO', 7457, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'GMP', 2378, 'SHA', 3391, '', 0, '321\r'),
	('MU', 1758, 'GOQ', 6363, 'XIY', 3379, '', 0, '319\r'),
	('MU', 1758, 'GOQ', 6363, 'XNN', 6366, '', 0, '319\r'),
	('MU', 1758, 'HAK', 4120, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'HAK', 4120, 'KMG', 3382, '', 0, '320\r'),
	('MU', 1758, 'HAK', 4120, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'HAN', 3199, 'NNG', 3373, '', 0, '737\r'),
	('MU', 1758, 'HAN', 3199, 'PVG', 3406, 'Y', 0, '321\r'),
	('MU', 1758, 'HDG', 8407, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'HDG', 8407, 'SHA', 3391, '', 0, '320 737\r'),
	('MU', 1758, 'HET', 6345, 'CIF', 6342, '', 0, '320\r'),
	('MU', 1758, 'HET', 6345, 'HLD', 3366, 'Y', 0, '738\r'),
	('MU', 1758, 'HET', 6345, 'HLH', 6349, '', 0, '737\r'),
	('MU', 1758, 'HET', 6345, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'HET', 6345, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'HET', 6345, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'HET', 6345, 'SJW', 6347, '', 0, '319 320\r'),
	('MU', 1758, 'HET', 6345, 'TGO', 6348, '', 0, '320\r'),
	('MU', 1758, 'HET', 6345, 'TYN', 3369, '', 0, '737\r'),
	('MU', 1758, 'HET', 6345, 'WUA', 6955, '', 0, '320\r'),
	('MU', 1758, 'HET', 6345, 'XIL', 6350, '', 0, '320\r'),
	('MU', 1758, 'HET', 6345, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'CAN', 3370, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'CKG', 3393, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'CTU', 3395, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'HKG', 3077, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'KMG', 3382, '', 0, '320 737\r'),
	('MU', 1758, 'HFE', 3389, 'KWL', 3372, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'PEK', 3364, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'TPE', 2276, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'TXN', 6387, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'HFE', 3389, 'XMN', 3383, '', 0, '320\r'),
	('MU', 1758, 'HGH', 3386, 'CAN', 3370, '', 0, '320\r'),
	('MU', 1758, 'HGH', 3386, 'CGO', 3375, '', 0, '320\r'),
	('MU', 1758, 'HGH', 3386, 'CJJ', 6008, 'Y', 0, '739\r'),
	('MU', 1758, 'HGH', 3386, 'CTU', 3395, '', 0, '320\r'),
	('MU', 1758, 'HGH', 3386, 'HKG', 3077, '', 0, '320 332\r'),
	('MU', 1758, 'HGH', 3386, 'HKT', 3179, '', 0, '320\r'),
	('MU', 1758, 'HGH', 3386, 'KMG', 3382, '', 0, '320\r'),
	('MU', 1758, 'HGH', 3386, 'LYG', 6383, '', 0, 'EMB\r'),
	('MU', 1758, 'HGH', 3386, 'LYI', 6385, '', 0, '320\r'),
	('MU', 1758, 'HGH', 3386, 'LZO', 6399, '', 0, '737\r'),
	('MU', 1758, 'HGH', 3386, 'PEK', 3364, '', 0, '320 321\r'),
	('MU', 1758, 'HGH', 3386, 'SJW', 6347, 'Y', 0, '737\r'),
	('MU', 1758, 'HGH', 3386, 'SWA', 4302, '', 0, '320\r'),
	('MU', 1758, 'HGH', 3386, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'HGH', 3386, 'TYN', 3369, '', 0, '320 737\r'),
	('MU', 1758, 'HGH', 3386, 'WUH', 3376, '', 0, '320\r'),
	('MU', 1758, 'HGH', 3386, 'XIY', 3379, '', 0, '321 320\r'),
	('MU', 1758, 'HGH', 3386, 'XMN', 3383, '', 0, '320 EMB\r'),
	('MU', 1758, 'HIA', 7898, 'CAN', 3370, '', 0, '320\r'),
	('MU', 1758, 'HIA', 7898, 'HKG', 3077, '', 0, '320\r'),
	('MU', 1758, 'HIA', 7898, 'PEK', 3364, '', 0, '320\r'),
	('MU', 1758, 'HIA', 7898, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'HIJ', 2326, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'HKG', 3077, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'HKG', 3077, 'HGH', 3386, '', 0, '332 320\r'),
	('MU', 1758, 'HKG', 3077, 'HIA', 7898, '', 0, '320\r'),
	('MU', 1758, 'HKG', 3077, 'INC', 4085, '', 0, '320\r'),
	('MU', 1758, 'HKG', 3077, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'HKG', 3077, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'HKG', 3077, 'LJG', 4033, '', 0, '737\r'),
	('MU', 1758, 'HKG', 3077, 'LYG', 6383, '', 0, '320\r'),
	('MU', 1758, 'HKG', 3077, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'HKG', 3077, 'NKG', 3388, '', 0, '332 321\r'),
	('MU', 1758, 'HKG', 3077, 'PVG', 3406, '', 0, '320 332 321\r'),
	('MU', 1758, 'HKG', 3077, 'SHA', 3391, '', 0, '332\r'),
	('MU', 1758, 'HKG', 3077, 'TNA', 4108, '', 0, '319\r'),
	('MU', 1758, 'HKG', 3077, 'TYN', 3369, '', 0, '738\r'),
	('MU', 1758, 'HKG', 3077, 'WNZ', 6392, '', 0, '738\r'),
	('MU', 1758, 'HKG', 3077, 'WUX', 6390, '', 0, '320\r'),
	('MU', 1758, 'HKG', 3077, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'HKG', 3077, 'YNT', 3392, '', 0, '320\r'),
	('MU', 1758, 'HKG', 3077, 'YNZ', 6393, '', 0, '320\r'),
	('MU', 1758, 'HKT', 3179, 'HGH', 3386, '', 0, '320\r'),
	('MU', 1758, 'HKT', 3179, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'HKT', 3179, 'PVG', 3406, 'Y', 0, '757 738\r'),
	('MU', 1758, 'HLD', 3366, 'HET', 6345, 'Y', 0, '738\r'),
	('MU', 1758, 'HLD', 3366, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'HLH', 6349, 'HET', 6345, '', 0, '737\r'),
	('MU', 1758, 'HLH', 6349, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'HMI', 6743, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'HMI', 6743, 'URC', 3399, '', 0, '320\r'),
	('MU', 1758, 'HND', 2359, 'PEK', 3364, 'Y', 0, '767\r'),
	('MU', 1758, 'HND', 2359, 'SHA', 3391, '', 0, '321\r'),
	('MU', 1758, 'HNL', 3728, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'HRB', 3400, 'CIF', 6342, '', 0, '320\r'),
	('MU', 1758, 'HRB', 3400, 'DSN', 6434, '', 0, '733\r'),
	('MU', 1758, 'HRB', 3400, 'JGD', 8979, '', 0, '320\r'),
	('MU', 1758, 'HRB', 3400, 'JNG', 6944, '', 0, '737\r'),
	('MU', 1758, 'HRB', 3400, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'HRB', 3400, 'PEK', 3364, '', 0, '320 321\r'),
	('MU', 1758, 'HRB', 3400, 'PVG', 3406, '', 0, '320 321 319\r'),
	('MU', 1758, 'HRB', 3400, 'TAO', 3390, '', 0, '321 320\r'),
	('MU', 1758, 'HRB', 3400, 'TGO', 6348, '', 0, '320\r'),
	('MU', 1758, 'HRB', 3400, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'HRB', 3400, 'YNT', 3392, '', 0, '320\r'),
	('MU', 1758, 'HSN', 6395, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'HSN', 6395, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'HTN', 3398, 'URC', 3399, 'Y', 0, '738\r'),
	('MU', 1758, 'HYN', 6384, 'CAN', 3370, '', 0, '733\r'),
	('MU', 1758, 'HZH', 7508, 'KWE', 3394, '', 0, '319\r'),
	('MU', 1758, 'ICN', 3930, 'CSX', 3371, '', 0, '332\r'),
	('MU', 1758, 'ICN', 3930, 'KMG', 3382, '', 0, '320\r'),
	('MU', 1758, 'ICN', 3930, 'KWL', 3372, '', 0, '320\r'),
	('MU', 1758, 'ICN', 3930, 'NKG', 3388, '', 0, '321 320\r'),
	('MU', 1758, 'ICN', 3930, 'PVG', 3406, '', 0, '332 321\r'),
	('MU', 1758, 'ICN', 3930, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'ICN', 3930, 'WUH', 3376, 'Y', 0, '73J\r'),
	('MU', 1758, 'ICN', 3930, 'XIY', 3379, 'Y', 0, '332\r'),
	('MU', 1758, 'ICN', 3930, 'YNT', 3392, '', 0, '320\r'),
	('MU', 1758, 'INC', 4085, 'CGO', 3375, '', 0, '320\r'),
	('MU', 1758, 'INC', 4085, 'HKG', 3077, '', 0, '320\r'),
	('MU', 1758, 'INC', 4085, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'INC', 4085, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'INC', 4085, 'PEK', 3364, '', 0, '320\r'),
	('MU', 1758, 'INC', 4085, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'INC', 4085, 'TPE', 2276, '', 0, '320\r'),
	('MU', 1758, 'INC', 4085, 'URC', 3399, '', 0, '320\r'),
	('MU', 1758, 'INC', 4085, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'IQN', 6365, 'LHW', 6431, 'Y', 0, '737\r'),
	('MU', 1758, 'IQN', 6365, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'JFK', 3797, 'PVG', 3406, '', 0, '346\r'),
	('MU', 1758, 'JGD', 8979, 'HRB', 3400, '', 0, '320\r'),
	('MU', 1758, 'JGN', 6432, 'LHW', 6431, '', 0, '320\r'),
	('MU', 1758, 'JGN', 6432, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'JGS', 6428, 'SHA', 3391, 'Y', 0, '738\r'),
	('MU', 1758, 'JGS', 6428, 'SZX', 3374, '', 0, '320\r'),
	('MU', 1758, 'JGS', 6428, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'JHG', 4055, 'DIG', 6375, '', 0, '737\r'),
	('MU', 1758, 'JHG', 4055, 'DLU', 4054, '', 0, '737\r'),
	('MU', 1758, 'JHG', 4055, 'KMG', 3382, '', 0, '737 733 320\r'),
	('MU', 1758, 'JHG', 4055, 'LJG', 4033, '', 0, '737\r'),
	('MU', 1758, 'JHG', 4055, 'TCZ', 7862, '', 0, '733\r'),
	('MU', 1758, 'JIQ', 8781, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'JIQ', 8781, 'PEK', 3364, '', 0, '737\r'),
	('MU', 1758, 'JIU', 6381, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'JMU', 6411, 'TAO', 3390, 'Y', 0, '737\r'),
	('MU', 1758, 'JNG', 6944, 'HRB', 3400, '', 0, '737\r'),
	('MU', 1758, 'JNG', 6944, 'KMG', 3382, '', 0, '733 737\r'),
	('MU', 1758, 'JNG', 6944, 'PEK', 3364, '', 0, '733\r'),
	('MU', 1758, 'JNG', 6944, 'SHA', 3391, 'Y', 0, '737\r'),
	('MU', 1758, 'JNZ', 6412, 'PVG', 3406, 'Y', 0, '737\r'),
	('MU', 1758, 'JUZ', 6382, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'JXA', 8417, 'PEK', 3364, '', 0, '320\r'),
	('MU', 1758, 'JXA', 8417, 'TAO', 3390, 'Y', 0, '737\r'),
	('MU', 1758, 'JZH', 4301, 'CTU', 3395, '', 0, '319 737\r'),
	('MU', 1758, 'JZH', 4301, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'JZH', 4301, 'XIY', 3379, '', 0, '319\r'),
	('MU', 1758, 'KGT', 8921, 'CTU', 3395, '', 0, '319\r'),
	('MU', 1758, 'KHG', 3397, 'NGQ', 7932, '', 0, '319\r'),
	('MU', 1758, 'KHG', 3397, 'URC', 3399, '', 0, 'E90 320 73G\r'),
	('MU', 1758, 'KHG', 3397, 'XIY', 3379, '', 0, '319\r'),
	('MU', 1758, 'KHH', 2264, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'KHH', 2264, 'NKG', 3388, '', 0, '321 320\r'),
	('MU', 1758, 'KHH', 2264, 'WUH', 3376, '', 0, '738\r'),
	('MU', 1758, 'KHN', 3384, 'CAN', 3370, '', 0, '320\r'),
	('MU', 1758, 'KHN', 3384, 'CTU', 3395, '', 0, '738\r'),
	('MU', 1758, 'KHN', 3384, 'HAK', 4120, '', 0, '320\r'),
	('MU', 1758, 'KHN', 3384, 'HKG', 3077, '', 0, '320\r'),
	('MU', 1758, 'KHN', 3384, 'KHH', 2264, '', 0, '320\r'),
	('MU', 1758, 'KHN', 3384, 'KMG', 3382, '', 0, '320 733\r'),
	('MU', 1758, 'KHN', 3384, 'KOW', 6379, '', 0, 'EMB\r'),
	('MU', 1758, 'KHN', 3384, 'KWE', 3394, '', 0, '320\r'),
	('MU', 1758, 'KHN', 3384, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'KHN', 3384, 'NGB', 3387, '', 0, '738\r'),
	('MU', 1758, 'KHN', 3384, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'KHN', 3384, 'NNG', 3373, '', 0, '320\r'),
	('MU', 1758, 'KHN', 3384, 'PEK', 3364, '', 0, '320 321\r'),
	('MU', 1758, 'KHN', 3384, 'PVG', 3406, '', 0, '319 320\r'),
	('MU', 1758, 'KHN', 3384, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'KHN', 3384, 'SZX', 3374, '', 0, '320\r'),
	('MU', 1758, 'KHN', 3384, 'TPE', 2276, '', 0, '320\r'),
	('MU', 1758, 'KHN', 3384, 'WUH', 3376, '', 0, 'EMB\r'),
	('MU', 1758, 'KHN', 3384, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'KIJ', 4381, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'KIX', 3992, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'KIX', 3992, 'PVG', 3406, '', 0, '321 738\r'),
	('MU', 1758, 'KIX', 3992, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'KIX', 3992, 'YNT', 3392, '', 0, '320\r'),
	('MU', 1758, 'KMG', 3382, 'BHY', 6351, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'BKK', 3885, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'BSD', 7505, '', 0, '733\r'),
	('MU', 1758, 'KMG', 3382, 'CAN', 3370, '', 0, '737 733\r'),
	('MU', 1758, 'KMG', 3382, 'CCU', 3043, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'CEI', 3932, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'CGO', 3375, '', 0, '737 733\r'),
	('MU', 1758, 'KMG', 3382, 'CKG', 3393, '', 0, '320 738\r'),
	('MU', 1758, 'KMG', 3382, 'CMB', 3024, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'CNX', 3931, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'CSX', 3371, '', 0, '733 320 319\r'),
	('MU', 1758, 'KMG', 3382, 'CTU', 3395, '', 0, '737 733\r'),
	('MU', 1758, 'KMG', 3382, 'DAC', 3076, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'DAD', 3196, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'DIG', 6375, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'DLC', 3404, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'DLU', 4054, '', 0, '737 733\r'),
	('MU', 1758, 'KMG', 3382, 'DSN', 6434, '', 0, '733\r'),
	('MU', 1758, 'KMG', 3382, 'DXB', 2188, '', 0, '333\r'),
	('MU', 1758, 'KMG', 3382, 'FOC', 3385, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'HAK', 4120, '', 0, '320\r'),
	('MU', 1758, 'KMG', 3382, 'HFE', 3389, '', 0, '737 320\r'),
	('MU', 1758, 'KMG', 3382, 'HGH', 3386, '', 0, '320\r'),
	('MU', 1758, 'KMG', 3382, 'HKG', 3077, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'HKT', 3179, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'ICN', 3930, '', 0, '320\r'),
	('MU', 1758, 'KMG', 3382, 'INC', 4085, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'JHG', 4055, '', 0, '737 733 320\r'),
	('MU', 1758, 'KMG', 3382, 'JIQ', 8781, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'JNG', 6944, '', 0, '733 737\r'),
	('MU', 1758, 'KMG', 3382, 'KHN', 3384, '', 0, '733 320\r'),
	('MU', 1758, 'KMG', 3382, 'KTM', 3125, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'KWL', 3372, '', 0, '738 73G\r'),
	('MU', 1758, 'KMG', 3382, 'LHW', 6431, '', 0, '320\r'),
	('MU', 1758, 'KMG', 3382, 'LJG', 4033, '', 0, '733 737\r'),
	('MU', 1758, 'KMG', 3382, 'LLF', 8845, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'LNJ', 7527, '', 0, '737 733\r'),
	('MU', 1758, 'KMG', 3382, 'LUM', 6376, '', 0, '733 737\r'),
	('MU', 1758, 'KMG', 3382, 'LXA', 4097, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'LYA', 4148, '', 0, '733\r'),
	('MU', 1758, 'KMG', 3382, 'LZO', 6399, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'MDL', 3222, '', 0, '738\r'),
	('MU', 1758, 'KMG', 3382, 'MFM', 3121, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'MIG', 6400, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'NAO', 6401, '', 0, '319\r'),
	('MU', 1758, 'KMG', 3382, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'KMG', 3382, 'NKG', 3388, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'NNG', 3373, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'NYT', 8130, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'PEK', 3364, '', 0, '333 737 733\r'),
	('MU', 1758, 'KMG', 3382, 'PVG', 3406, '', 0, '738 333\r'),
	('MU', 1758, 'KMG', 3382, 'REP', 3035, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'RGN', 3239, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'SHA', 3391, '', 0, '733 737 321\r'),
	('MU', 1758, 'KMG', 3382, 'SJW', 6347, 'Y', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'SYM', 6377, '', 0, '733 737\r'),
	('MU', 1758, 'KMG', 3382, 'SYX', 4030, '', 0, '733\r'),
	('MU', 1758, 'KMG', 3382, 'SZX', 3374, '', 0, '737 733 321 319 320\r'),
	('MU', 1758, 'KMG', 3382, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'KMG', 3382, 'TCZ', 7862, '', 0, '737 733\r'),
	('MU', 1758, 'KMG', 3382, 'TPE', 2276, '', 0, '738\r'),
	('MU', 1758, 'KMG', 3382, 'TSN', 3368, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'TYN', 3369, '', 0, '737 738\r'),
	('MU', 1758, 'KMG', 3382, 'VTE', 3120, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'WNH', 7528, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'WNZ', 6392, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'WUH', 3376, '', 0, '733 738\r'),
	('MU', 1758, 'KMG', 3382, 'XIC', 3396, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'XIY', 3379, '', 0, '733 737 320\r'),
	('MU', 1758, 'KMG', 3382, 'XMN', 3383, '', 0, '737\r'),
	('MU', 1758, 'KMG', 3382, 'YBP', 4110, '', 0, '733\r'),
	('MU', 1758, 'KMG', 3382, 'ZAT', 6378, '', 0, '733\r'),
	('MU', 1758, 'KMQ', 2322, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'KOJ', 2307, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'KOW', 6379, 'KHN', 3384, '', 0, 'EMB\r'),
	('MU', 1758, 'KOW', 6379, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'KRL', 6407, 'URC', 3399, '', 0, '320\r'),
	('MU', 1758, 'KTM', 3125, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'KUL', 3304, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'KWE', 3394, 'CSX', 3371, '', 0, '320\r'),
	('MU', 1758, 'KWE', 3394, 'HZH', 7508, '', 0, '319\r'),
	('MU', 1758, 'KWE', 3394, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'KWE', 3394, 'PVG', 3406, '', 0, '738 319\r'),
	('MU', 1758, 'KWE', 3394, 'SHA', 3391, '', 0, '73G 321 738\r'),
	('MU', 1758, 'KWE', 3394, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'KWL', 3372, 'CZX', 4109, '', 0, '320\r'),
	('MU', 1758, 'KWL', 3372, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'KWL', 3372, 'ICN', 3930, '', 0, '320\r'),
	('MU', 1758, 'KWL', 3372, 'KMG', 3382, '', 0, '738 73G\r'),
	('MU', 1758, 'KWL', 3372, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'KWL', 3372, 'SHA', 3391, 'Y', 0, '737\r'),
	('MU', 1758, 'KWL', 3372, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'LAX', 3484, 'PVG', 3406, '', 0, '346\r'),
	('MU', 1758, 'LHR', 507, 'AMS', 580, 'Y', 0, '737 F70\r'),
	('MU', 1758, 'LHR', 507, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'LHW', 6431, 'CAN', 3370, '', 0, '738\r'),
	('MU', 1758, 'LHW', 6431, 'CTU', 3395, '', 0, '320 738\r'),
	('MU', 1758, 'LHW', 6431, 'IQN', 6365, 'Y', 0, '737\r'),
	('MU', 1758, 'LHW', 6431, 'JGN', 6432, '', 0, '320\r'),
	('MU', 1758, 'LHW', 6431, 'KMG', 3382, '', 0, '320\r'),
	('MU', 1758, 'LHW', 6431, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'LHW', 6431, 'PEK', 3364, '', 0, '320 321\r'),
	('MU', 1758, 'LHW', 6431, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'LHW', 6431, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'LHW', 6431, 'SJW', 6347, '', 0, '320\r'),
	('MU', 1758, 'LHW', 6431, 'TNA', 4108, '', 0, '320\r'),
	('MU', 1758, 'LHW', 6431, 'URC', 3399, '', 0, '320\r'),
	('MU', 1758, 'LHW', 6431, 'WUH', 3376, '', 0, '738\r'),
	('MU', 1758, 'LHW', 6431, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'LJG', 4033, 'CAN', 3370, '', 0, '733\r'),
	('MU', 1758, 'LJG', 4033, 'HKG', 3077, '', 0, '737\r'),
	('MU', 1758, 'LJG', 4033, 'JHG', 4055, '', 0, '737\r'),
	('MU', 1758, 'LJG', 4033, 'KMG', 3382, '', 0, '733 737\r'),
	('MU', 1758, 'LJG', 4033, 'PEK', 3364, '', 0, '737\r'),
	('MU', 1758, 'LJG', 4033, 'SHA', 3391, '', 0, '737\r'),
	('MU', 1758, 'LJG', 4033, 'TCZ', 7862, '', 0, '733\r'),
	('MU', 1758, 'LJG', 4033, 'XIY', 3379, '', 0, '319\r'),
	('MU', 1758, 'LLF', 8845, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'LLF', 8845, 'SZX', 3374, '', 0, '737\r'),
	('MU', 1758, 'LNJ', 7527, 'KMG', 3382, '', 0, '733\r'),
	('MU', 1758, 'LUM', 6376, 'CAN', 3370, '', 0, '737\r'),
	('MU', 1758, 'LUM', 6376, 'KMG', 3382, '', 0, '733 737\r'),
	('MU', 1758, 'LXA', 4097, 'CTU', 3395, '', 0, '319\r'),
	('MU', 1758, 'LXA', 4097, 'DIG', 6375, '', 0, '737\r'),
	('MU', 1758, 'LXA', 4097, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'LXA', 4097, 'XIY', 3379, '', 0, '319\r'),
	('MU', 1758, 'LYA', 4148, 'DLC', 3404, '', 0, '733\r'),
	('MU', 1758, 'LYA', 4148, 'KMG', 3382, '', 0, '733\r'),
	('MU', 1758, 'LYA', 4148, 'PEK', 3364, '', 0, '320\r'),
	('MU', 1758, 'LYA', 4148, 'SHA', 3391, '', 0, '321\r'),
	('MU', 1758, 'LYG', 6383, 'DLC', 3404, '', 0, 'EMB\r'),
	('MU', 1758, 'LYG', 6383, 'HGH', 3386, '', 0, 'EMB\r'),
	('MU', 1758, 'LYG', 6383, 'HKG', 3077, '', 0, '320\r'),
	('MU', 1758, 'LYG', 6383, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'LYG', 6383, 'PEK', 3364, '', 0, '319\r'),
	('MU', 1758, 'LYG', 6383, 'SHA', 3391, 'Y', 0, '738 737\r'),
	('MU', 1758, 'LYG', 6383, 'WUH', 3376, '', 0, 'EMB\r'),
	('MU', 1758, 'LYI', 6385, 'HGH', 3386, '', 0, '320\r'),
	('MU', 1758, 'LYI', 6385, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'LYI', 6385, 'PEK', 3364, '', 0, '319\r'),
	('MU', 1758, 'LYI', 6385, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'LYI', 6385, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'LZH', 6356, 'CSX', 3371, '', 0, '319\r'),
	('MU', 1758, 'LZH', 6356, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'LZH', 6356, 'SHA', 3391, '', 0, '321\r'),
	('MU', 1758, 'LZH', 6356, 'SYX', 4030, '', 0, 'EMB\r'),
	('MU', 1758, 'LZH', 6356, 'WUH', 3376, '', 0, 'EMB\r'),
	('MU', 1758, 'LZO', 6399, 'HGH', 3386, '', 0, '737\r'),
	('MU', 1758, 'LZO', 6399, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'LZO', 6399, 'PEK', 3364, '', 0, '737 319\r'),
	('MU', 1758, 'LZO', 6399, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'MAD', 1229, 'AMS', 580, '', 0, '737\r'),
	('MU', 1758, 'MDG', 4334, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'MDL', 3222, 'KMG', 3382, '', 0, '738\r'),
	('MU', 1758, 'MEL', 3339, 'AKL', 2006, 'Y', 0, '73H\r'),
	('MU', 1758, 'MEL', 3339, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'MEL', 3339, 'SIN', 3316, 'Y', 0, '333\r'),
	('MU', 1758, 'MEL', 3339, 'WLG', 2042, 'Y', 0, '73H\r'),
	('MU', 1758, 'MFM', 3121, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'MFM', 3121, 'PVG', 3406, '', 0, '321\r'),
	('MU', 1758, 'MFM', 3121, 'SHA', 3391, 'Y', 0, '738\r'),
	('MU', 1758, 'MIG', 6400, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'MIG', 6400, 'PVG', 3406, 'Y', 0, '738\r'),
	('MU', 1758, 'MLE', 3156, 'CMB', 3024, '', 0, '737\r'),
	('MU', 1758, 'MNL', 2397, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'MWX', 4189, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'MYJ', 2333, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'NAO', 6401, 'KMG', 3382, '', 0, '319\r'),
	('MU', 1758, 'NAO', 6401, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'NAY', 6341, 'ACX', 7506, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'BAV', 6346, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'BFJ', 9025, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'CAN', 3370, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'CIF', 6342, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'CIH', 6343, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'CKG', 3393, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'CSX', 3371, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'CTU', 3395, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'CZX', 4109, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'DAT', 6344, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'DSN', 6434, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'ENY', 6367, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'FUO', 7457, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'HET', 6345, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'HLD', 3366, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'HLH', 6349, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'HRB', 3400, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'HSN', 6395, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'IQN', 6365, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'JUZ', 6382, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'KHN', 3384, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'LYG', 6383, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'LYI', 6385, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'NDG', 6413, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'NGB', 3387, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'NNY', 6359, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'NZH', 6954, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'SHA', 3391, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'SZX', 3374, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'UYN', 6368, 'Y', 0, '737 73G\r'),
	('MU', 1758, 'NAY', 6341, 'WNZ', 6392, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'WUA', 6955, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'XFN', 6360, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'XIL', 6350, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'XMN', 3383, 'Y', 0, '737\r'),
	('MU', 1758, 'NAY', 6341, 'ZHA', 6357, 'Y', 0, '737\r'),
	('MU', 1758, 'NBS', 8826, 'TSN', 3368, '', 0, '738\r'),
	('MU', 1758, 'NDG', 6413, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'NDG', 6413, 'TAO', 3390, 'Y', 0, '737\r'),
	('MU', 1758, 'NGB', 3387, 'BKK', 3885, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'CAN', 3370, '', 0, '738 320\r'),
	('MU', 1758, 'NGB', 3387, 'CGO', 3375, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'CJU', 2370, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'CKG', 3393, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'CSX', 3371, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'CTU', 3395, '', 0, '319\r'),
	('MU', 1758, 'NGB', 3387, 'HKG', 3077, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'KHN', 3384, '', 0, '738\r'),
	('MU', 1758, 'NGB', 3387, 'KMG', 3382, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'NGB', 3387, 'PEK', 3364, '', 0, '320 321\r'),
	('MU', 1758, 'NGB', 3387, 'SZX', 3374, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'TPE', 2276, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'WUH', 3376, '', 0, '320 738\r'),
	('MU', 1758, 'NGB', 3387, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'NGB', 3387, 'XMN', 3383, '', 0, '320\r'),
	('MU', 1758, 'NGO', 3942, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'NGO', 3942, 'TAO', 3390, '', 0, '321\r'),
	('MU', 1758, 'NGO', 3942, 'TSN', 3368, 'Y', 0, '73H\r'),
	('MU', 1758, 'NGQ', 7932, 'KHG', 3397, '', 0, '319\r'),
	('MU', 1758, 'NGS', 2313, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'NKG', 3388, 'BAV', 6346, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'CAN', 3370, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'CGO', 3375, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'CIF', 6342, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'CKG', 3393, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'CSX', 3371, '', 0, '320 319\r'),
	('MU', 1758, 'NKG', 3388, 'CTU', 3395, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'DLC', 3404, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'DYG', 6353, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'FOC', 3385, '', 0, '738\r'),
	('MU', 1758, 'NKG', 3388, 'HET', 6345, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'HKG', 3077, '', 0, '321 332\r'),
	('MU', 1758, 'NKG', 3388, 'ICN', 3930, '', 0, '321 320\r'),
	('MU', 1758, 'NKG', 3388, 'INC', 4085, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'KHH', 2264, '', 0, '321 320\r'),
	('MU', 1758, 'NKG', 3388, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'KIX', 3992, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'NKG', 3388, 'LHW', 6431, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'NNG', 3373, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'NRT', 2279, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'PEK', 3364, '', 0, '320 321 332\r'),
	('MU', 1758, 'NKG', 3388, 'PUS', 2372, 'Y', 0, '73H\r'),
	('MU', 1758, 'NKG', 3388, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'SJW', 6347, '', 0, '319 320\r'),
	('MU', 1758, 'NKG', 3388, 'SYD', 3361, '', 0, '332\r'),
	('MU', 1758, 'NKG', 3388, 'SYX', 4030, '', 0, '321\r'),
	('MU', 1758, 'NKG', 3388, 'SZX', 3374, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'TAO', 3390, '', 0, '321 320\r'),
	('MU', 1758, 'NKG', 3388, 'TGO', 6348, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'TPE', 2276, '', 0, '320 321\r'),
	('MU', 1758, 'NKG', 3388, 'TYN', 3369, '', 0, '320 738 737\r'),
	('MU', 1758, 'NKG', 3388, 'XIY', 3379, '', 0, '321 320\r'),
	('MU', 1758, 'NKG', 3388, 'XMN', 3383, '', 0, '320\r'),
	('MU', 1758, 'NKG', 3388, 'YCU', 6430, '', 0, '320\r'),
	('MU', 1758, 'NNG', 3373, 'HAN', 3199, '', 0, '737\r'),
	('MU', 1758, 'NNG', 3373, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'NNG', 3373, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'NNG', 3373, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'NNG', 3373, 'PNH', 3034, '', 0, '737\r'),
	('MU', 1758, 'NNG', 3373, 'PVG', 3406, '', 0, '73G\r'),
	('MU', 1758, 'NNG', 3373, 'RGN', 3239, '', 0, '737\r'),
	('MU', 1758, 'NNG', 3373, 'SHA', 3391, '', 0, '738 320\r'),
	('MU', 1758, 'NNG', 3373, 'SIN', 3316, '', 0, '320\r'),
	('MU', 1758, 'NNG', 3373, 'SYX', 4030, '', 0, '738\r'),
	('MU', 1758, 'NNG', 3373, 'VTE', 3120, '', 0, '737\r'),
	('MU', 1758, 'NNG', 3373, 'WUH', 3376, '', 0, '738\r'),
	('MU', 1758, 'NNG', 3373, 'XIY', 3379, '', 0, '737\r'),
	('MU', 1758, 'NNY', 6359, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'NRT', 2279, 'CAN', 3370, 'Y', 0, '767\r'),
	('MU', 1758, 'NRT', 2279, 'DLC', 3404, 'Y', 0, '767\r'),
	('MU', 1758, 'NRT', 2279, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'NRT', 2279, 'PEK', 3364, 'Y', 0, '73H 767\r'),
	('MU', 1758, 'NRT', 2279, 'PVG', 3406, '', 0, '321 333 332\r'),
	('MU', 1758, 'NYT', 8130, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'NZH', 6954, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'OKA', 2384, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'OKJ', 2327, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'PEK', 3364, 'CDG', 1382, 'Y', 0, '77W 772\r'),
	('MU', 1758, 'PEK', 3364, 'CGQ', 4380, '', 0, '320\r'),
	('MU', 1758, 'PEK', 3364, 'CJU', 2370, '', 0, '321\r'),
	('MU', 1758, 'PEK', 3364, 'CZX', 4109, '', 0, '320\r'),
	('MU', 1758, 'PEK', 3364, 'DLC', 3404, '', 0, '320 321\r'),
	('MU', 1758, 'PEK', 3364, 'DTW', 3645, 'Y', 0, '777\r'),
	('MU', 1758, 'PEK', 3364, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'PEK', 3364, 'HGH', 3386, '', 0, '321 320\r'),
	('MU', 1758, 'PEK', 3364, 'HIA', 7898, '', 0, '320\r'),
	('MU', 1758, 'PEK', 3364, 'HND', 2359, 'Y', 0, '767\r'),
	('MU', 1758, 'PEK', 3364, 'HRB', 3400, '', 0, '320 321\r'),
	('MU', 1758, 'PEK', 3364, 'INC', 4085, '', 0, '320\r'),
	('MU', 1758, 'PEK', 3364, 'JIQ', 8781, '', 0, '737\r'),
	('MU', 1758, 'PEK', 3364, 'JNG', 6944, '', 0, '733\r'),
	('MU', 1758, 'PEK', 3364, 'JXA', 8417, '', 0, '320\r'),
	('MU', 1758, 'PEK', 3364, 'KHN', 3384, '', 0, '320 321\r'),
	('MU', 1758, 'PEK', 3364, 'KMG', 3382, '', 0, '737 333 733\r'),
	('MU', 1758, 'PEK', 3364, 'LHW', 6431, '', 0, '321 320\r'),
	('MU', 1758, 'PEK', 3364, 'LJG', 4033, '', 0, '737\r'),
	('MU', 1758, 'PEK', 3364, 'LYA', 4148, '', 0, '320\r'),
	('MU', 1758, 'PEK', 3364, 'LYG', 6383, '', 0, '319\r'),
	('MU', 1758, 'PEK', 3364, 'LYI', 6385, '', 0, '319\r'),
	('MU', 1758, 'PEK', 3364, 'LZO', 6399, '', 0, '319 737\r'),
	('MU', 1758, 'PEK', 3364, 'NGB', 3387, '', 0, '320 321\r'),
	('MU', 1758, 'PEK', 3364, 'NKG', 3388, '', 0, '320 332 321\r'),
	('MU', 1758, 'PEK', 3364, 'NRT', 2279, 'Y', 0, '767 73H\r'),
	('MU', 1758, 'PEK', 3364, 'PVG', 3406, '', 0, '333 321 320 332\r'),
	('MU', 1758, 'PEK', 3364, 'SEA', 3577, 'Y', 0, '76W\r'),
	('MU', 1758, 'PEK', 3364, 'SHA', 3391, '', 0, '333 767\r'),
	('MU', 1758, 'PEK', 3364, 'SHE', 4144, 'Y', 0, '321 320\r'),
	('MU', 1758, 'PEK', 3364, 'SPN', 2244, '', 0, '333\r'),
	('MU', 1758, 'PEK', 3364, 'TAO', 3390, '', 0, '319 320 321\r'),
	('MU', 1758, 'PEK', 3364, 'TGO', 6348, '', 0, '320\r'),
	('MU', 1758, 'PEK', 3364, 'TYN', 3369, '', 0, '738\r'),
	('MU', 1758, 'PEK', 3364, 'WNZ', 6392, '', 0, '738\r'),
	('MU', 1758, 'PEK', 3364, 'WUH', 3376, '', 0, '738\r'),
	('MU', 1758, 'PEK', 3364, 'WUX', 6390, '', 0, '321 320\r'),
	('MU', 1758, 'PEK', 3364, 'XIY', 3379, '', 0, '333 320 321\r'),
	('MU', 1758, 'PEK', 3364, 'XNN', 6366, '', 0, '320\r'),
	('MU', 1758, 'PEK', 3364, 'YNT', 3392, '', 0, '321 320\r'),
	('MU', 1758, 'PER', 3351, 'SIN', 3316, 'Y', 0, '332\r'),
	('MU', 1758, 'PNH', 3034, 'NNG', 3373, '', 0, '737\r'),
	('MU', 1758, 'PUS', 2372, 'NKG', 3388, 'Y', 0, '73H\r'),
	('MU', 1758, 'PUS', 2372, 'PVG', 3406, '', 0, '321 320\r'),
	('MU', 1758, 'PUS', 2372, 'TAO', 3390, 'Y', 0, '73H\r'),
	('MU', 1758, 'PVG', 3406, 'ACX', 7506, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'AMS', 580, 'Y', 0, '74M\r'),
	('MU', 1758, 'PVG', 3406, 'BHY', 6351, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'BKK', 3885, '', 0, '320 333 332\r'),
	('MU', 1758, 'PVG', 3406, 'CAN', 3370, '', 0, '738\r'),
	('MU', 1758, 'PVG', 3406, 'CDG', 1382, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'CGK', 3275, '', 0, '777\r'),
	('MU', 1758, 'PVG', 3406, 'CGO', 3375, '', 0, '320 738\r'),
	('MU', 1758, 'PVG', 3406, 'CGQ', 4380, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'CJU', 2370, '', 0, '738\r'),
	('MU', 1758, 'PVG', 3406, 'CKG', 3393, '', 0, '320 346 321\r'),
	('MU', 1758, 'PVG', 3406, 'CNX', 3931, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'CSX', 3371, '', 0, '321 320\r'),
	('MU', 1758, 'PVG', 3406, 'CTS', 2287, '', 0, '321 320\r'),
	('MU', 1758, 'PVG', 3406, 'CTU', 3395, '', 0, '320 319 738\r'),
	('MU', 1758, 'PVG', 3406, 'DAT', 6344, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'DAX', 6397, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'DEL', 3093, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'DLC', 3404, '', 0, '320 738 319\r'),
	('MU', 1758, 'PVG', 3406, 'DPS', 3940, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'DTW', 3645, 'Y', 0, '77L\r'),
	('MU', 1758, 'PVG', 3406, 'DYG', 6353, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'FCO', 1555, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'FOC', 3385, '', 0, '320 319 321\r'),
	('MU', 1758, 'PVG', 3406, 'FRA', 340, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'FSZ', 6476, '', 0, '738 320\r'),
	('MU', 1758, 'PVG', 3406, 'FUK', 2305, '', 0, '738 320\r'),
	('MU', 1758, 'PVG', 3406, 'HAK', 4120, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'HAN', 3199, 'Y', 0, '321\r'),
	('MU', 1758, 'PVG', 3406, 'HDG', 8407, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'HIJ', 2326, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'HKG', 3077, '', 0, '321 320 332\r'),
	('MU', 1758, 'PVG', 3406, 'HKT', 3179, 'Y', 0, '757 738\r'),
	('MU', 1758, 'PVG', 3406, 'HMI', 6743, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'HNL', 3728, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'HRB', 3400, '', 0, '321 320 319\r'),
	('MU', 1758, 'PVG', 3406, 'HSN', 6395, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'ICN', 3930, '', 0, '332 321\r'),
	('MU', 1758, 'PVG', 3406, 'INC', 4085, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'JFK', 3797, '', 0, '346\r'),
	('MU', 1758, 'PVG', 3406, 'JNZ', 6412, 'Y', 0, '737\r'),
	('MU', 1758, 'PVG', 3406, 'JZH', 4301, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'KHN', 3384, '', 0, '320 319\r'),
	('MU', 1758, 'PVG', 3406, 'KIJ', 4381, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'KIX', 3992, '', 0, '321 738\r'),
	('MU', 1758, 'PVG', 3406, 'KMG', 3382, '', 0, '738 333\r'),
	('MU', 1758, 'PVG', 3406, 'KMQ', 2322, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'KOJ', 2307, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'KUL', 3304, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'KWE', 3394, '', 0, '738 319\r'),
	('MU', 1758, 'PVG', 3406, 'KWL', 3372, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'LAX', 3484, '', 0, '346\r'),
	('MU', 1758, 'PVG', 3406, 'LHR', 507, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'LHW', 6431, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'LYI', 6385, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'LZH', 6356, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'LZO', 6399, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'MEL', 3339, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'MFM', 3121, '', 0, '321\r'),
	('MU', 1758, 'PVG', 3406, 'MIG', 6400, 'Y', 0, '738\r'),
	('MU', 1758, 'PVG', 3406, 'MNL', 2397, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'MWX', 4189, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'MYJ', 2333, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'NAO', 6401, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'NGO', 3942, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'NGS', 2313, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'NNG', 3373, '', 0, '73G\r'),
	('MU', 1758, 'PVG', 3406, 'NRT', 2279, '', 0, '333 321 332\r'),
	('MU', 1758, 'PVG', 3406, 'OKA', 2384, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'OKJ', 2327, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'PEK', 3364, '', 0, '321 332 320 333\r'),
	('MU', 1758, 'PVG', 3406, 'PNH', 3034, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'PUS', 2372, '', 0, '321 320\r'),
	('MU', 1758, 'PVG', 3406, 'REP', 3035, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'SEA', 3577, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'SFO', 3469, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'SGN', 3205, '', 0, '738\r'),
	('MU', 1758, 'PVG', 3406, 'SHE', 4144, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'SHP', 6429, 'Y', 0, '737\r'),
	('MU', 1758, 'PVG', 3406, 'SIN', 3316, '', 0, '332 320 767\r'),
	('MU', 1758, 'PVG', 3406, 'SJW', 6347, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'SVO', 2985, '', 0, '333 77W 767\r'),
	('MU', 1758, 'PVG', 3406, 'SYD', 3361, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'SYX', 4030, '', 0, '320 319\r'),
	('MU', 1758, 'PVG', 3406, 'SZX', 3374, '', 0, '320 321\r'),
	('MU', 1758, 'PVG', 3406, 'TAE', 2381, '', 0, '321 320\r'),
	('MU', 1758, 'PVG', 3406, 'TAO', 3390, '', 0, '321 320 332\r'),
	('MU', 1758, 'PVG', 3406, 'TNA', 4108, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'TOY', 2324, 'Y', 0, '738\r'),
	('MU', 1758, 'PVG', 3406, 'TPE', 2276, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'TSN', 3368, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'TVS', 8858, 'Y', 0, '738\r'),
	('MU', 1758, 'PVG', 3406, 'TYN', 3369, '', 0, '738\r'),
	('MU', 1758, 'PVG', 3406, 'URC', 3399, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'WNZ', 6392, '', 0, '738 321 737 332\r'),
	('MU', 1758, 'PVG', 3406, 'WUH', 3376, '', 0, '738 320 332\r'),
	('MU', 1758, 'PVG', 3406, 'WXN', 6403, 'Y', 0, '737\r'),
	('MU', 1758, 'PVG', 3406, 'XIY', 3379, '', 0, '320 321\r'),
	('MU', 1758, 'PVG', 3406, 'XMN', 3383, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'XNN', 6366, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'YBP', 4110, '', 0, '319\r'),
	('MU', 1758, 'PVG', 3406, 'YCU', 6430, 'Y', 0, '738\r'),
	('MU', 1758, 'PVG', 3406, 'YNJ', 6414, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'YNT', 3392, '', 0, '320\r'),
	('MU', 1758, 'PVG', 3406, 'YVR', 156, '', 0, '332\r'),
	('MU', 1758, 'PVG', 3406, 'ZHA', 6357, 'Y', 0, '737\r'),
	('MU', 1758, 'PVG', 3406, 'ZUH', 6355, '', 0, '738\r'),
	('MU', 1758, 'REP', 3035, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'REP', 3035, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'RGN', 3239, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'RGN', 3239, 'NNG', 3373, '', 0, '737\r'),
	('MU', 1758, 'SEA', 3577, 'PEK', 3364, 'Y', 0, '76W\r'),
	('MU', 1758, 'SEA', 3577, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'SFO', 3469, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'SGN', 3205, 'PVG', 3406, '', 0, '738\r'),
	('MU', 1758, 'SHA', 3391, 'AQG', 6427, '', 0, 'EMB\r'),
	('MU', 1758, 'SHA', 3391, 'BAV', 6346, 'Y', 0, '738 737\r'),
	('MU', 1758, 'SHA', 3391, 'CAN', 3370, '', 0, '333 AB6 738 321\r'),
	('MU', 1758, 'SHA', 3391, 'CGO', 3375, '', 0, '737 320 738 321\r'),
	('MU', 1758, 'SHA', 3391, 'CKG', 3393, '', 0, '321 738\r'),
	('MU', 1758, 'SHA', 3391, 'CSX', 3371, '', 0, '738 321\r'),
	('MU', 1758, 'SHA', 3391, 'CTU', 3395, '', 0, '767 738\r'),
	('MU', 1758, 'SHA', 3391, 'FOC', 3385, 'Y', 0, '738\r'),
	('MU', 1758, 'SHA', 3391, 'FUG', 7503, 'Y', 0, '737\r'),
	('MU', 1758, 'SHA', 3391, 'GMP', 2378, '', 0, '321\r'),
	('MU', 1758, 'SHA', 3391, 'HDG', 8407, '', 0, '320 737\r'),
	('MU', 1758, 'SHA', 3391, 'HET', 6345, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'HIA', 7898, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'HKG', 3077, '', 0, '332\r'),
	('MU', 1758, 'SHA', 3391, 'HND', 2359, '', 0, '321\r'),
	('MU', 1758, 'SHA', 3391, 'JGS', 6428, 'Y', 0, '738\r'),
	('MU', 1758, 'SHA', 3391, 'JIU', 6381, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'JNG', 6944, 'Y', 0, '737\r'),
	('MU', 1758, 'SHA', 3391, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'KMG', 3382, '', 0, '737 733 321\r'),
	('MU', 1758, 'SHA', 3391, 'KOW', 6379, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'KWE', 3394, '', 0, '321 73G 738\r'),
	('MU', 1758, 'SHA', 3391, 'KWL', 3372, 'Y', 0, '737\r'),
	('MU', 1758, 'SHA', 3391, 'LHW', 6431, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'LJG', 4033, '', 0, '737\r'),
	('MU', 1758, 'SHA', 3391, 'LYA', 4148, '', 0, '321\r'),
	('MU', 1758, 'SHA', 3391, 'LYG', 6383, 'Y', 0, '738 737\r'),
	('MU', 1758, 'SHA', 3391, 'LYI', 6385, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'LZH', 6356, '', 0, '321\r'),
	('MU', 1758, 'SHA', 3391, 'MFM', 3121, 'Y', 0, '738\r'),
	('MU', 1758, 'SHA', 3391, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'SHA', 3391, 'NNG', 3373, '', 0, '738 320\r'),
	('MU', 1758, 'SHA', 3391, 'PEK', 3364, '', 0, '333 767\r'),
	('MU', 1758, 'SHA', 3391, 'SHE', 4144, 'Y', 0, '738\r'),
	('MU', 1758, 'SHA', 3391, 'SJW', 6347, 'Y', 0, '738 737\r'),
	('MU', 1758, 'SHA', 3391, 'SWA', 4302, '', 0, '321\r'),
	('MU', 1758, 'SHA', 3391, 'SYX', 4030, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'SZX', 3374, '', 0, '321 767 333 320 AB6\r'),
	('MU', 1758, 'SHA', 3391, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'TNA', 4108, '', 0, '321\r'),
	('MU', 1758, 'SHA', 3391, 'TSA', 2275, '', 0, '333\r'),
	('MU', 1758, 'SHA', 3391, 'TSN', 3368, '', 0, '737 320\r'),
	('MU', 1758, 'SHA', 3391, 'TXN', 6387, 'Y', 0, '737\r'),
	('MU', 1758, 'SHA', 3391, 'TYN', 3369, '', 0, '737 321\r'),
	('MU', 1758, 'SHA', 3391, 'URC', 3399, '', 0, '320 73G 752\r'),
	('MU', 1758, 'SHA', 3391, 'WNZ', 6392, 'Y', 0, '737\r'),
	('MU', 1758, 'SHA', 3391, 'WUH', 3376, '', 0, '321 738 733 320\r'),
	('MU', 1758, 'SHA', 3391, 'WUS', 6391, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'XIY', 3379, '', 0, '320 321\r'),
	('MU', 1758, 'SHA', 3391, 'XMN', 3383, '', 0, '320 737\r'),
	('MU', 1758, 'SHA', 3391, 'XUZ', 4149, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'YIH', 6361, 'Y', 0, '737\r'),
	('MU', 1758, 'SHA', 3391, 'YNT', 3392, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'YNZ', 6393, '', 0, '320\r'),
	('MU', 1758, 'SHA', 3391, 'ZUH', 6355, '', 0, '320 321\r'),
	('MU', 1758, 'SHE', 4144, 'PEK', 3364, 'Y', 0, '320 321\r'),
	('MU', 1758, 'SHE', 4144, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'SHE', 4144, 'SHA', 3391, 'Y', 0, '738\r'),
	('MU', 1758, 'SHE', 4144, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'SHE', 4144, 'XIY', 3379, '', 0, '733\r'),
	('MU', 1758, 'SHP', 6429, 'PVG', 3406, 'Y', 0, '737\r'),
	('MU', 1758, 'SHP', 6429, 'SJW', 6347, '', 0, '320\r'),
	('MU', 1758, 'SIN', 3316, 'BNE', 3320, 'Y', 0, '744\r'),
	('MU', 1758, 'SIN', 3316, 'MEL', 3339, 'Y', 0, '333\r'),
	('MU', 1758, 'SIN', 3316, 'NNG', 3373, '', 0, '320\r'),
	('MU', 1758, 'SIN', 3316, 'PER', 3351, 'Y', 0, '332\r'),
	('MU', 1758, 'SIN', 3316, 'PVG', 3406, '', 0, '332 320 767\r'),
	('MU', 1758, 'SIN', 3316, 'SYD', 3361, '', 0, '333\r'),
	('MU', 1758, 'SIN', 3316, 'WUH', 3376, '', 0, '320\r'),
	('MU', 1758, 'SIN', 3316, 'WUX', 6390, '', 0, '320\r'),
	('MU', 1758, 'SJW', 6347, 'BAV', 6346, 'Y', 0, '737\r'),
	('MU', 1758, 'SJW', 6347, 'HET', 6345, '', 0, '319 320\r'),
	('MU', 1758, 'SJW', 6347, 'HGH', 3386, 'Y', 0, '737\r'),
	('MU', 1758, 'SJW', 6347, 'KMG', 3382, 'Y', 0, '737\r'),
	('MU', 1758, 'SJW', 6347, 'LHW', 6431, '', 0, '320\r'),
	('MU', 1758, 'SJW', 6347, 'NKG', 3388, '', 0, '319 320\r'),
	('MU', 1758, 'SJW', 6347, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'SJW', 6347, 'SHA', 3391, 'Y', 0, '738 737\r'),
	('MU', 1758, 'SJW', 6347, 'SHP', 6429, '', 0, '320\r'),
	('MU', 1758, 'SJW', 6347, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'SJW', 6347, 'TPE', 2276, '', 0, '737\r'),
	('MU', 1758, 'SJW', 6347, 'XIY', 3379, 'Y', 0, '737\r'),
	('MU', 1758, 'SPN', 2244, 'PEK', 3364, '', 0, '333\r'),
	('MU', 1758, 'SVO', 2985, 'PVG', 3406, '', 0, '333 767 77W\r'),
	('MU', 1758, 'SWA', 4302, 'HGH', 3386, '', 0, '320\r'),
	('MU', 1758, 'SWA', 4302, 'SHA', 3391, '', 0, '321\r'),
	('MU', 1758, 'SYD', 3361, 'AKL', 2006, 'Y', 0, '73H\r'),
	('MU', 1758, 'SYD', 3361, 'CHC', 2009, 'Y', 0, '73H\r'),
	('MU', 1758, 'SYD', 3361, 'NKG', 3388, '', 0, '332\r'),
	('MU', 1758, 'SYD', 3361, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'SYD', 3361, 'SIN', 3316, 'Y', 0, '333 744\r'),
	('MU', 1758, 'SYD', 3361, 'WLG', 2042, 'Y', 0, '73H\r'),
	('MU', 1758, 'SYM', 6377, 'KMG', 3382, '', 0, '733 737\r'),
	('MU', 1758, 'SYX', 4030, 'KMG', 3382, '', 0, '733\r'),
	('MU', 1758, 'SYX', 4030, 'LZH', 6356, '', 0, 'EMB\r'),
	('MU', 1758, 'SYX', 4030, 'NKG', 3388, '', 0, '321\r'),
	('MU', 1758, 'SYX', 4030, 'NNG', 3373, '', 0, '738\r'),
	('MU', 1758, 'SYX', 4030, 'PVG', 3406, '', 0, '320 319\r'),
	('MU', 1758, 'SYX', 4030, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'SYX', 4030, 'WUH', 3376, '', 0, '738\r'),
	('MU', 1758, 'SZX', 3374, 'CZX', 4109, '', 0, '320\r'),
	('MU', 1758, 'SZX', 3374, 'JGS', 6428, '', 0, '320\r'),
	('MU', 1758, 'SZX', 3374, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'SZX', 3374, 'KMG', 3382, '', 0, '737 321 319 320\r'),
	('MU', 1758, 'SZX', 3374, 'LLF', 8845, '', 0, '737\r'),
	('MU', 1758, 'SZX', 3374, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'SZX', 3374, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'SZX', 3374, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'SZX', 3374, 'PVG', 3406, '', 0, '320 321\r'),
	('MU', 1758, 'SZX', 3374, 'SHA', 3391, '', 0, '333 AB6 767 320 321\r'),
	('MU', 1758, 'SZX', 3374, 'TYN', 3369, '', 0, '737\r'),
	('MU', 1758, 'SZX', 3374, 'WUH', 3376, '', 0, '733\r'),
	('MU', 1758, 'SZX', 3374, 'WUX', 6390, '', 0, '320\r'),
	('MU', 1758, 'SZX', 3374, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'TAE', 2381, 'PVG', 3406, '', 0, '321 320\r'),
	('MU', 1758, 'TAO', 3390, 'CAN', 3370, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'CTU', 3395, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'DDG', 6433, 'Y', 0, '737\r'),
	('MU', 1758, 'TAO', 3390, 'DLC', 3404, '', 0, '738\r'),
	('MU', 1758, 'TAO', 3390, 'FUK', 2305, '', 0, '319\r'),
	('MU', 1758, 'TAO', 3390, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'HGH', 3386, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'HRB', 3400, '', 0, '321 320\r'),
	('MU', 1758, 'TAO', 3390, 'ICN', 3930, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'JMU', 6411, 'Y', 0, '737\r'),
	('MU', 1758, 'TAO', 3390, 'JXA', 8417, 'Y', 0, '737\r'),
	('MU', 1758, 'TAO', 3390, 'KIX', 3992, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'KMG', 3382, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'MDG', 4334, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'NDG', 6413, 'Y', 0, '737\r'),
	('MU', 1758, 'TAO', 3390, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'NGO', 3942, '', 0, '321\r'),
	('MU', 1758, 'TAO', 3390, 'NKG', 3388, '', 0, '321 320\r'),
	('MU', 1758, 'TAO', 3390, 'PEK', 3364, '', 0, '320 321 319\r'),
	('MU', 1758, 'TAO', 3390, 'PUS', 2372, 'Y', 0, '73H\r'),
	('MU', 1758, 'TAO', 3390, 'PVG', 3406, '', 0, '320 321\r'),
	('MU', 1758, 'TAO', 3390, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'SHE', 4144, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'SJW', 6347, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'TPE', 2276, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'TYN', 3369, '', 0, '737\r'),
	('MU', 1758, 'TAO', 3390, 'WNZ', 6392, '', 0, '737\r'),
	('MU', 1758, 'TAO', 3390, 'WUH', 3376, '', 0, '738 320\r'),
	('MU', 1758, 'TAO', 3390, 'WUX', 6390, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'TAO', 3390, 'YNJ', 6414, '', 0, '320\r'),
	('MU', 1758, 'TCZ', 7862, 'JHG', 4055, '', 0, '733\r'),
	('MU', 1758, 'TCZ', 7862, 'KMG', 3382, '', 0, '737 733\r'),
	('MU', 1758, 'TCZ', 7862, 'LJG', 4033, '', 0, '733\r'),
	('MU', 1758, 'TGO', 6348, 'HET', 6345, '', 0, '320\r'),
	('MU', 1758, 'TGO', 6348, 'HRB', 3400, '', 0, '320\r'),
	('MU', 1758, 'TGO', 6348, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'TGO', 6348, 'PEK', 3364, '', 0, '320\r'),
	('MU', 1758, 'TNA', 4108, 'CAN', 3370, '', 0, '320\r'),
	('MU', 1758, 'TNA', 4108, 'CKG', 3393, '', 0, '320\r'),
	('MU', 1758, 'TNA', 4108, 'CTU', 3395, '', 0, '319\r'),
	('MU', 1758, 'TNA', 4108, 'HKG', 3077, '', 0, '319\r'),
	('MU', 1758, 'TNA', 4108, 'LHW', 6431, '', 0, '320\r'),
	('MU', 1758, 'TNA', 4108, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'TNA', 4108, 'SHA', 3391, '', 0, '321\r'),
	('MU', 1758, 'TNA', 4108, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'TOY', 2324, 'PVG', 3406, 'Y', 0, '738\r'),
	('MU', 1758, 'TPE', 2276, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'TPE', 2276, 'INC', 4085, '', 0, '320\r'),
	('MU', 1758, 'TPE', 2276, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'TPE', 2276, 'KMG', 3382, '', 0, '738\r'),
	('MU', 1758, 'TPE', 2276, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'TPE', 2276, 'NKG', 3388, '', 0, '320 321\r'),
	('MU', 1758, 'TPE', 2276, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'TPE', 2276, 'SJW', 6347, '', 0, '737\r'),
	('MU', 1758, 'TPE', 2276, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'TPE', 2276, 'TYN', 3369, '', 0, '738\r'),
	('MU', 1758, 'TPE', 2276, 'WUH', 3376, '', 0, '738\r'),
	('MU', 1758, 'TPE', 2276, 'WUX', 6390, '', 0, '321\r'),
	('MU', 1758, 'TPE', 2276, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'TPE', 2276, 'XUZ', 4149, '', 0, '320\r'),
	('MU', 1758, 'TPE', 2276, 'YNZ', 6393, '', 0, '320\r'),
	('MU', 1758, 'TSA', 2275, 'SHA', 3391, '', 0, '333\r'),
	('MU', 1758, 'TSN', 3368, 'CIF', 6342, '', 0, '320\r'),
	('MU', 1758, 'TSN', 3368, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'TSN', 3368, 'NBS', 8826, '', 0, '738\r'),
	('MU', 1758, 'TSN', 3368, 'NGO', 3942, 'Y', 0, '73H\r'),
	('MU', 1758, 'TSN', 3368, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'TSN', 3368, 'SHA', 3391, '', 0, '737 320\r'),
	('MU', 1758, 'TSN', 3368, 'WUH', 3376, '', 0, '738\r'),
	('MU', 1758, 'TVS', 8858, 'PVG', 3406, 'Y', 0, '738\r'),
	('MU', 1758, 'TXN', 6387, 'CKG', 3393, 'Y', 0, '737\r'),
	('MU', 1758, 'TXN', 6387, 'CTU', 3395, 'Y', 0, '737\r'),
	('MU', 1758, 'TXN', 6387, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'TXN', 6387, 'SHA', 3391, 'Y', 0, '737\r'),
	('MU', 1758, 'TYN', 3369, 'CAN', 3370, '', 0, '737\r'),
	('MU', 1758, 'TYN', 3369, 'CIH', 6343, '', 0, 'EMB\r'),
	('MU', 1758, 'TYN', 3369, 'CKG', 3393, '', 0, '738\r'),
	('MU', 1758, 'TYN', 3369, 'CTU', 3395, '', 0, '738\r'),
	('MU', 1758, 'TYN', 3369, 'HET', 6345, '', 0, '737\r'),
	('MU', 1758, 'TYN', 3369, 'HGH', 3386, '', 0, '320 737\r'),
	('MU', 1758, 'TYN', 3369, 'HKG', 3077, '', 0, '738\r'),
	('MU', 1758, 'TYN', 3369, 'KMG', 3382, '', 0, '737 738\r'),
	('MU', 1758, 'TYN', 3369, 'NKG', 3388, '', 0, '738 320 737\r'),
	('MU', 1758, 'TYN', 3369, 'PEK', 3364, '', 0, '738\r'),
	('MU', 1758, 'TYN', 3369, 'PVG', 3406, '', 0, '738\r'),
	('MU', 1758, 'TYN', 3369, 'SHA', 3391, '', 0, '737 321\r'),
	('MU', 1758, 'TYN', 3369, 'SZX', 3374, '', 0, '737\r'),
	('MU', 1758, 'TYN', 3369, 'TAO', 3390, '', 0, '737\r'),
	('MU', 1758, 'TYN', 3369, 'TPE', 2276, '', 0, '738\r'),
	('MU', 1758, 'TYN', 3369, 'WUH', 3376, '', 0, '737\r'),
	('MU', 1758, 'TYN', 3369, 'XIY', 3379, '', 0, '737\r'),
	('MU', 1758, 'TYN', 3369, 'YCU', 6430, '', 0, '737\r'),
	('MU', 1758, 'URC', 3399, 'CGO', 3375, '', 0, '320\r'),
	('MU', 1758, 'URC', 3399, 'HMI', 6743, '', 0, '320\r'),
	('MU', 1758, 'URC', 3399, 'HTN', 3398, 'Y', 0, '738\r'),
	('MU', 1758, 'URC', 3399, 'INC', 4085, '', 0, '320\r'),
	('MU', 1758, 'URC', 3399, 'KHG', 3397, '', 0, 'E90 73G 320\r'),
	('MU', 1758, 'URC', 3399, 'KRL', 6407, '', 0, '320\r'),
	('MU', 1758, 'URC', 3399, 'LHW', 6431, '', 0, '320\r'),
	('MU', 1758, 'URC', 3399, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'URC', 3399, 'SHA', 3391, '', 0, '752 73G 320\r'),
	('MU', 1758, 'URC', 3399, 'XIY', 3379, '', 0, '320 321 738\r'),
	('MU', 1758, 'UYN', 6368, 'NAY', 6341, 'Y', 0, '737 73G\r'),
	('MU', 1758, 'UYN', 6368, 'XIY', 3379, '', 0, '320 319\r'),
	('MU', 1758, 'VTE', 3120, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'VTE', 3120, 'NNG', 3373, '', 0, '737\r'),
	('MU', 1758, 'WLG', 2042, 'MEL', 3339, 'Y', 0, '73H\r'),
	('MU', 1758, 'WLG', 2042, 'SYD', 3361, 'Y', 0, '73H\r'),
	('MU', 1758, 'WNH', 7528, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'WNZ', 6392, 'CAN', 3370, '', 0, '738 320 737 733\r'),
	('MU', 1758, 'WNZ', 6392, 'CJU', 2370, '', 0, '320\r'),
	('MU', 1758, 'WNZ', 6392, 'CKG', 3393, '', 0, '320\r'),
	('MU', 1758, 'WNZ', 6392, 'HKG', 3077, '', 0, '738\r'),
	('MU', 1758, 'WNZ', 6392, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'WNZ', 6392, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'WNZ', 6392, 'PEK', 3364, '', 0, '738\r'),
	('MU', 1758, 'WNZ', 6392, 'PVG', 3406, '', 0, '738 737 321 332\r'),
	('MU', 1758, 'WNZ', 6392, 'SHA', 3391, 'Y', 0, '737\r'),
	('MU', 1758, 'WNZ', 6392, 'TAO', 3390, '', 0, '737\r'),
	('MU', 1758, 'WNZ', 6392, 'WUH', 3376, '', 0, '733\r'),
	('MU', 1758, 'WNZ', 6392, 'XIY', 3379, '', 0, '737 320\r'),
	('MU', 1758, 'WUA', 6955, 'HET', 6345, '', 0, '320\r'),
	('MU', 1758, 'WUA', 6955, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'WUH', 3376, 'AQG', 6427, '', 0, 'EMB\r'),
	('MU', 1758, 'WUH', 3376, 'CAN', 3370, '', 0, '738 73G\r'),
	('MU', 1758, 'WUH', 3376, 'CIH', 6343, '', 0, 'EMB\r'),
	('MU', 1758, 'WUH', 3376, 'CTU', 3395, '', 0, '733\r'),
	('MU', 1758, 'WUH', 3376, 'ENH', 6358, '', 0, '738\r'),
	('MU', 1758, 'WUH', 3376, 'HGH', 3386, '', 0, '320\r'),
	('MU', 1758, 'WUH', 3376, 'ICN', 3930, 'Y', 0, '73J\r'),
	('MU', 1758, 'WUH', 3376, 'KHH', 2264, '', 0, '738\r'),
	('MU', 1758, 'WUH', 3376, 'KHN', 3384, '', 0, 'EMB\r'),
	('MU', 1758, 'WUH', 3376, 'KMG', 3382, '', 0, '733 738\r'),
	('MU', 1758, 'WUH', 3376, 'LHW', 6431, '', 0, '738\r'),
	('MU', 1758, 'WUH', 3376, 'LYG', 6383, '', 0, 'EMB\r'),
	('MU', 1758, 'WUH', 3376, 'LZH', 6356, '', 0, 'EMB\r'),
	('MU', 1758, 'WUH', 3376, 'NGB', 3387, '', 0, '738 320\r'),
	('MU', 1758, 'WUH', 3376, 'NNG', 3373, '', 0, '738\r'),
	('MU', 1758, 'WUH', 3376, 'PEK', 3364, '', 0, '738\r'),
	('MU', 1758, 'WUH', 3376, 'PVG', 3406, '', 0, '738 332 320\r'),
	('MU', 1758, 'WUH', 3376, 'SHA', 3391, '', 0, '738 321 733 320\r'),
	('MU', 1758, 'WUH', 3376, 'SIN', 3316, '', 0, '320\r'),
	('MU', 1758, 'WUH', 3376, 'SYX', 4030, '', 0, '738\r'),
	('MU', 1758, 'WUH', 3376, 'SZX', 3374, '', 0, '733\r'),
	('MU', 1758, 'WUH', 3376, 'TAO', 3390, '', 0, '738 320\r'),
	('MU', 1758, 'WUH', 3376, 'TPE', 2276, '', 0, '738\r'),
	('MU', 1758, 'WUH', 3376, 'TSN', 3368, '', 0, '738\r'),
	('MU', 1758, 'WUH', 3376, 'TYN', 3369, '', 0, '737\r'),
	('MU', 1758, 'WUH', 3376, 'WNZ', 6392, '', 0, '733\r'),
	('MU', 1758, 'WUH', 3376, 'XFN', 6360, '', 0, 'EMB\r'),
	('MU', 1758, 'WUH', 3376, 'XIY', 3379, '', 0, '738 320\r'),
	('MU', 1758, 'WUH', 3376, 'XMN', 3383, '', 0, '320 737\r'),
	('MU', 1758, 'WUH', 3376, 'YCU', 6430, '', 0, '320\r'),
	('MU', 1758, 'WUS', 6391, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'WUX', 6390, 'CAN', 3370, '', 0, '321 320 E90\r'),
	('MU', 1758, 'WUX', 6390, 'CKG', 3393, '', 0, '320\r'),
	('MU', 1758, 'WUX', 6390, 'CSX', 3371, '', 0, '320\r'),
	('MU', 1758, 'WUX', 6390, 'CTU', 3395, '', 0, '320 321\r'),
	('MU', 1758, 'WUX', 6390, 'HKG', 3077, '', 0, '320\r'),
	('MU', 1758, 'WUX', 6390, 'PEK', 3364, '', 0, '321 320\r'),
	('MU', 1758, 'WUX', 6390, 'SIN', 3316, '', 0, '320\r'),
	('MU', 1758, 'WUX', 6390, 'SZX', 3374, '', 0, '320\r'),
	('MU', 1758, 'WUX', 6390, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'WUX', 6390, 'TPE', 2276, '', 0, '321\r'),
	('MU', 1758, 'WUX', 6390, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'WUX', 6390, 'XMN', 3383, '', 0, '321\r'),
	('MU', 1758, 'WXN', 6403, 'PVG', 3406, 'Y', 0, '737\r'),
	('MU', 1758, 'XFN', 6360, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'XFN', 6360, 'WUH', 3376, '', 0, 'EMB\r'),
	('MU', 1758, 'XIC', 3396, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'XIL', 6350, 'HET', 6345, '', 0, '320\r'),
	('MU', 1758, 'XIL', 6350, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'XIY', 3379, 'CAN', 3370, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'CGQ', 4380, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'CKG', 3393, '', 0, '320 319\r'),
	('MU', 1758, 'XIY', 3379, 'CSX', 3371, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'CTU', 3395, '', 0, '321 320\r'),
	('MU', 1758, 'XIY', 3379, 'CZX', 4109, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'DLC', 3404, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'DNH', 4308, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'DSN', 6434, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'DYG', 6353, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'ENY', 6367, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'FOC', 3385, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'GOQ', 6363, '', 0, '319\r'),
	('MU', 1758, 'XIY', 3379, 'HET', 6345, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'HGH', 3386, '', 0, '321 320\r'),
	('MU', 1758, 'XIY', 3379, 'HKG', 3077, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'HRB', 3400, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'ICN', 3930, 'Y', 0, '332\r'),
	('MU', 1758, 'XIY', 3379, 'INC', 4085, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'JGN', 6432, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'JGS', 6428, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'JZH', 4301, '', 0, '319\r'),
	('MU', 1758, 'XIY', 3379, 'KHG', 3397, '', 0, '319\r'),
	('MU', 1758, 'XIY', 3379, 'KHN', 3384, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'KMG', 3382, '', 0, '320 737 733\r'),
	('MU', 1758, 'XIY', 3379, 'KWE', 3394, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'KWL', 3372, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'LHW', 6431, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'LJG', 4033, '', 0, '319\r'),
	('MU', 1758, 'XIY', 3379, 'LXA', 4097, '', 0, '319\r'),
	('MU', 1758, 'XIY', 3379, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'NKG', 3388, '', 0, '320 321\r'),
	('MU', 1758, 'XIY', 3379, 'NNG', 3373, '', 0, '737\r'),
	('MU', 1758, 'XIY', 3379, 'PEK', 3364, '', 0, '321 320 333\r'),
	('MU', 1758, 'XIY', 3379, 'PVG', 3406, '', 0, '320 321\r'),
	('MU', 1758, 'XIY', 3379, 'SHA', 3391, '', 0, '320 321\r'),
	('MU', 1758, 'XIY', 3379, 'SHE', 4144, '', 0, '733\r'),
	('MU', 1758, 'XIY', 3379, 'SJW', 6347, 'Y', 0, '737\r'),
	('MU', 1758, 'XIY', 3379, 'SZX', 3374, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'TNA', 4108, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'TPE', 2276, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'TYN', 3369, '', 0, '737\r'),
	('MU', 1758, 'XIY', 3379, 'URC', 3399, '', 0, '321 738 320\r'),
	('MU', 1758, 'XIY', 3379, 'UYN', 6368, '', 0, '319 320\r'),
	('MU', 1758, 'XIY', 3379, 'WNZ', 6392, '', 0, '737 320\r'),
	('MU', 1758, 'XIY', 3379, 'WUH', 3376, '', 0, '320 738\r'),
	('MU', 1758, 'XIY', 3379, 'WUX', 6390, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'XMN', 3383, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'XNN', 6366, '', 0, '319 320\r'),
	('MU', 1758, 'XIY', 3379, 'YNZ', 6393, '', 0, '320\r'),
	('MU', 1758, 'XIY', 3379, 'YZY', 7987, '', 0, '320\r'),
	('MU', 1758, 'XMN', 3383, 'CAN', 3370, 'Y', 0, '738\r'),
	('MU', 1758, 'XMN', 3383, 'CZX', 4109, '', 0, '320\r'),
	('MU', 1758, 'XMN', 3383, 'HFE', 3389, '', 0, '320\r'),
	('MU', 1758, 'XMN', 3383, 'HGH', 3386, '', 0, '320 EMB\r'),
	('MU', 1758, 'XMN', 3383, 'KMG', 3382, '', 0, '737\r'),
	('MU', 1758, 'XMN', 3383, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'XMN', 3383, 'NGB', 3387, '', 0, '320\r'),
	('MU', 1758, 'XMN', 3383, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'XMN', 3383, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'XMN', 3383, 'SHA', 3391, '', 0, '320 737\r'),
	('MU', 1758, 'XMN', 3383, 'WUH', 3376, '', 0, '320 737\r'),
	('MU', 1758, 'XMN', 3383, 'WUX', 6390, '', 0, '321\r'),
	('MU', 1758, 'XMN', 3383, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'XNN', 6366, 'CGO', 3375, '', 0, '320\r'),
	('MU', 1758, 'XNN', 6366, 'CKG', 3393, '', 0, '320\r'),
	('MU', 1758, 'XNN', 6366, 'CTU', 3395, '', 0, '320\r'),
	('MU', 1758, 'XNN', 6366, 'GOQ', 6363, '', 0, '319\r'),
	('MU', 1758, 'XNN', 6366, 'PEK', 3364, '', 0, '320\r'),
	('MU', 1758, 'XNN', 6366, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'XNN', 6366, 'XIY', 3379, '', 0, '320 319\r'),
	('MU', 1758, 'XNN', 6366, 'YUS', 7894, '', 0, '319\r'),
	('MU', 1758, 'XUZ', 4149, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'XUZ', 4149, 'TPE', 2276, '', 0, '320\r'),
	('MU', 1758, 'YBP', 4110, 'KMG', 3382, '', 0, '733\r'),
	('MU', 1758, 'YBP', 4110, 'PVG', 3406, '', 0, '319\r'),
	('MU', 1758, 'YCU', 6430, 'NKG', 3388, '', 0, '320\r'),
	('MU', 1758, 'YCU', 6430, 'PVG', 3406, 'Y', 0, '738\r'),
	('MU', 1758, 'YCU', 6430, 'TYN', 3369, '', 0, '737\r'),
	('MU', 1758, 'YCU', 6430, 'WUH', 3376, '', 0, '320\r'),
	('MU', 1758, 'YIH', 6361, 'SHA', 3391, 'Y', 0, '737\r'),
	('MU', 1758, 'YNJ', 6414, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'YNJ', 6414, 'TAO', 3390, '', 0, '320\r'),
	('MU', 1758, 'YNT', 3392, 'HKG', 3077, '', 0, '320\r'),
	('MU', 1758, 'YNT', 3392, 'HRB', 3400, '', 0, '320\r'),
	('MU', 1758, 'YNT', 3392, 'ICN', 3930, '', 0, '320\r'),
	('MU', 1758, 'YNT', 3392, 'KIX', 3992, '', 0, '320\r'),
	('MU', 1758, 'YNT', 3392, 'PEK', 3364, '', 0, '320 321\r'),
	('MU', 1758, 'YNT', 3392, 'PVG', 3406, '', 0, '320\r'),
	('MU', 1758, 'YNT', 3392, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'YNZ', 6393, 'CSX', 3371, '', 0, '733\r'),
	('MU', 1758, 'YNZ', 6393, 'HKG', 3077, '', 0, '320\r'),
	('MU', 1758, 'YNZ', 6393, 'SHA', 3391, '', 0, '320\r'),
	('MU', 1758, 'YNZ', 6393, 'TPE', 2276, '', 0, '320\r'),
	('MU', 1758, 'YNZ', 6393, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'YUS', 7894, 'XNN', 6366, '', 0, '319\r'),
	('MU', 1758, 'YVR', 156, 'PVG', 3406, '', 0, '332\r'),
	('MU', 1758, 'YZY', 7987, 'XIY', 3379, '', 0, '320\r'),
	('MU', 1758, 'ZAT', 6378, 'CKG', 3393, '', 0, '733\r'),
	('MU', 1758, 'ZAT', 6378, 'KMG', 3382, '', 0, '737 733\r'),
	('MU', 1758, 'ZHA', 6357, 'NAY', 6341, 'Y', 0, '737\r'),
	('MU', 1758, 'ZHA', 6357, 'PVG', 3406, 'Y', 0, '737\r'),
	('MU', 1758, 'ZUH', 6355, 'PVG', 3406, '', 0, '738\r'),
	('MU', 1758, 'ZUH', 6355, 'SHA', 3391, '', 0, '320 321\r'),
	('MW', 3437, 'HNL', 3728, 'JHM', 3796, '', 0, 'CNA\r'),
	('MW', 3437, 'HNL', 3728, 'MKK', 3705, '', 0, 'CNA\r'),
	('MW', 3437, 'HNL', 3728, 'OGG', 3456, '', 0, 'CNA\r'),
	('MW', 3437, 'HNM', 3445, 'OGG', 3456, '', 0, 'CNA\r'),
	('MW', 3437, 'JHM', 3796, 'HNL', 3728, '', 0, 'CNA\r'),
	('MW', 3437, 'JHM', 3796, 'KOA', 3514, '', 0, 'CNA\r'),
	('MW', 3437, 'KOA', 3514, 'JHM', 3796, '', 0, 'CNA\r'),
	('MW', 3437, 'KOA', 3514, 'OGG', 3456, '', 0, 'CNA\r'),
	('MW', 3437, 'LNY', 3851, 'MKK', 3705, '', 0, 'CNA\r'),
	('MW', 3437, 'LNY', 3851, 'OGG', 3456, '', 0, 'CNA\r'),
	('MW', 3437, 'MKK', 3705, 'HNL', 3728, '', 0, 'CNA\r'),
	('MW', 3437, 'MKK', 3705, 'OGG', 3456, '', 0, 'CNA\r'),
	('MW', 3437, 'MUE', 3545, 'OGG', 3456, '', 0, 'CNA\r'),
	('MW', 3437, 'OGG', 3456, 'HNL', 3728, '', 0, 'CNA\r'),
	('MW', 3437, 'OGG', 3456, 'HNM', 3445, '', 0, 'CNA\r'),
	('MW', 3437, 'OGG', 3456, 'KOA', 3514, '', 0, 'CNA\r'),
	('MW', 3437, 'OGG', 3456, 'LNY', 3851, '', 0, 'CNA\r'),
	('MW', 3437, 'OGG', 3456, 'MKK', 3705, '', 0, 'CNA\r'),
	('MW', 3437, 'OGG', 3456, 'MUE', 3545, '', 0, 'CNA\r'),
	('MY', 3498, 'BZE', 1957, 'CUK', 5454, '', 0, 'CNC\r'),
	('MY', 3498, 'BZE', 1957, 'DGA', 7287, '', 0, 'CNC\r'),
	('MY', 3498, 'BZE', 1957, 'SPR', 4279, '', 0, 'CNC\r'),
	('MY', 3498, 'BZE', 1957, 'TZA', 6463, '', 0, 'CNC\r'),
	('MY', 3498, 'CUK', 5454, 'BZE', 1957, '', 0, 'CNC\r'),
	('MY', 3498, 'CUK', 5454, 'SPR', 4279, '', 0, 'CNC\r'),
	('MY', 3498, 'CZH', 7029, 'SPR', 4279, '', 0, 'CNC\r'),
	('MY', 3498, 'DGA', 7287, 'BZE', 1957, '', 0, 'CNC\r'),
	('MY', 3498, 'DGA', 7287, 'PLJ', 7288, '', 0, 'CNC\r'),
	('MY', 3498, 'PLJ', 7288, 'DGA', 7287, '', 0, 'CNC\r'),
	('MY', 3498, 'PLJ', 7288, 'PND', 5455, '', 0, 'CNC\r'),
	('MY', 3498, 'SPR', 4279, 'BZE', 1957, '', 0, 'CNC\r'),
	('MY', 3498, 'SPR', 4279, 'CUK', 5454, '', 0, 'CNC\r'),
	('MY', 3498, 'SPR', 4279, 'CZH', 7029, '', 0, 'CNC\r'),
	('MY', 3498, 'SPR', 4279, 'TZA', 6463, '', 0, 'CNC\r'),
	('MY', 3498, 'TZA', 6463, 'BZE', 1957, '', 0, 'CNC\r'),
	('MY', 3498, 'TZA', 6463, 'DGA', 7287, '', 0, 'CNC\r'),
	('MY', 3498, 'TZA', 6463, 'SPR', 4279, '', 0, 'CNC\r'),
	('N3', 3783, 'AUA', 2895, 'JBQ', 5811, '', 0, 'J32\r'),
	('N3', 3783, 'JBQ', 5811, 'AUA', 2895, '', 0, 'J32\r'),
	('N3', 3783, 'JBQ', 5811, 'PAP', 1897, '', 0, 'J32\r'),
	('N3', 3783, 'PAP', 1897, 'JBQ', 5811, '', 0, 'J32\r'),
	('NF', 524, 'AKL', 2006, 'VLI', 1997, '', 0, '738\r'),
	('NF', 524, 'AUY', 5914, 'TAH', 4242, '', 0, 'YN2 BNI\r'),
	('NF', 524, 'AWD', 5915, 'FTA', 5917, '', 0, 'YN2\r'),
	('NF', 524, 'AWD', 5915, 'TAH', 4242, '', 0, 'BNI YN2\r'),
	('NF', 524, 'BNE', 3320, 'SON', 5908, '', 0, '738\r'),
	('NF', 524, 'BNE', 3320, 'VLI', 1997, '', 0, '738\r'),
	('NF', 524, 'CCV', 5897, 'LNB', 5902, '', 0, 'DHT\r'),
	('NF', 524, 'CCV', 5897, 'NUS', 5905, '', 0, 'YN2 DHT\r'),
	('NF', 524, 'CCV', 5897, 'ULB', 5910, '', 0, 'DHT YN2\r'),
	('NF', 524, 'DLY', 5916, 'IPA', 5918, '', 0, 'YN2\r'),
	('NF', 524, 'DLY', 5916, 'VLI', 1997, '', 0, 'YN2\r'),
	('NF', 524, 'EAE', 5896, 'VLI', 1997, '', 0, 'BNI\r'),
	('NF', 524, 'FTA', 5917, 'AWD', 5915, '', 0, 'YN2\r'),
	('NF', 524, 'FTA', 5917, 'TAH', 4242, '', 0, 'YN2 BNI\r'),
	('NF', 524, 'HIR', 4074, 'VLI', 1997, 'Y', 0, '320\r'),
	('NF', 524, 'IPA', 5918, 'DLY', 5916, '', 0, 'YN2\r'),
	('NF', 524, 'IPA', 5918, 'TAH', 4242, '', 0, 'YN2\r'),
	('NF', 524, 'IPA', 5918, 'VLI', 1997, '', 0, 'YN2\r'),
	('NF', 524, 'LNB', 5902, 'CCV', 5897, '', 0, 'DHT\r'),
	('NF', 524, 'LNB', 5902, 'VLI', 1997, '', 0, 'DHT\r'),
	('NF', 524, 'LNE', 5904, 'LOD', 5898, '', 0, 'DHT\r'),
	('NF', 524, 'LNE', 5904, 'SON', 5908, '', 0, 'YN2 BNI\r'),
	('NF', 524, 'LNE', 5904, 'VLI', 1997, '', 0, 'DHT\r'),
	('NF', 524, 'LOD', 5898, 'LNE', 5904, '', 0, 'DHT\r'),
	('NF', 524, 'LOD', 5898, 'SON', 5908, '', 0, 'DHT YN2 BNI\r'),
	('NF', 524, 'LPM', 5901, 'NUS', 5905, '', 0, 'DHT\r'),
	('NF', 524, 'LPM', 5901, 'VLI', 1997, '', 0, 'DHT\r'),
	('NF', 524, 'MTV', 5893, 'SLH', 5894, '', 0, 'DHT\r'),
	('NF', 524, 'MTV', 5893, 'TOH', 5895, '', 0, 'DHT\r'),
	('NF', 524, 'MTV', 5893, 'ZGU', 5906, '', 0, 'YN2\r'),
	('NF', 524, 'MWF', 5903, 'SON', 5908, '', 0, 'DHT\r'),
	('NF', 524, 'NOU', 2005, 'VLI', 1997, '', 0, 'ATR\r'),
	('NF', 524, 'NUS', 5905, 'CCV', 5897, '', 0, 'DHT YN2\r'),
	('NF', 524, 'NUS', 5905, 'LPM', 5901, '', 0, 'DHT\r'),
	('NF', 524, 'NUS', 5905, 'SON', 5908, '', 0, 'DHT YN2\r'),
	('NF', 524, 'NUS', 5905, 'SWJ', 5912, '', 0, 'DHT\r'),
	('NF', 524, 'NUS', 5905, 'VLI', 1997, '', 0, 'YN2 DHT BNI\r'),
	('NF', 524, 'PBJ', 5900, 'ULB', 5910, '', 0, 'DHT\r'),
	('NF', 524, 'PBJ', 5900, 'VLI', 1997, '', 0, 'DHT\r'),
	('NF', 524, 'SLH', 5894, 'MTV', 5893, '', 0, 'YN2\r'),
	('NF', 524, 'SLH', 5894, 'SON', 5908, '', 0, 'DHT YN2\r'),
	('NF', 524, 'SLH', 5894, 'TOH', 5895, '', 0, 'DHT\r'),
	('NF', 524, 'SON', 5908, 'BNE', 3320, '', 0, '738\r'),
	('NF', 524, 'SON', 5908, 'LNE', 5904, '', 0, 'YN2 BNI DHT\r'),
	('NF', 524, 'SON', 5908, 'LOD', 5898, '', 0, 'DHT YN2 BNI\r'),
	('NF', 524, 'SON', 5908, 'MWF', 5903, '', 0, 'DHT\r'),
	('NF', 524, 'SON', 5908, 'NUS', 5905, '', 0, 'DHT YN2 BNI\r'),
	('NF', 524, 'SON', 5908, 'SLH', 5894, '', 0, 'DHT YN2\r'),
	('NF', 524, 'SON', 5908, 'SSR', 5899, '', 0, 'DHT\r'),
	('NF', 524, 'SON', 5908, 'VLI', 1997, '', 0, 'ATR DHT\r'),
	('NF', 524, 'SON', 5908, 'WLH', 6771, '', 0, 'DHT YN2\r'),
	('NF', 524, 'SON', 5908, 'ZGU', 5906, '', 0, 'DHT\r'),
	('NF', 524, 'SSR', 5899, 'SON', 5908, '', 0, 'DHT\r'),
	('NF', 524, 'SWJ', 5912, 'NUS', 5905, '', 0, 'DHT\r'),
	('NF', 524, 'SWJ', 5912, 'VLI', 1997, '', 0, 'DHT\r'),
	('NF', 524, 'SYD', 3361, 'VLI', 1997, '', 0, '738\r'),
	('NF', 524, 'TAH', 4242, 'AUY', 5914, '', 0, 'YN2 BNI\r'),
	('NF', 524, 'TAH', 4242, 'AWD', 5915, '', 0, 'YN2 BNI\r'),
	('NF', 524, 'TAH', 4242, 'FTA', 5917, '', 0, 'BNI YN2\r'),
	('NF', 524, 'TAH', 4242, 'IPA', 5918, '', 0, 'YN2\r'),
	('NF', 524, 'TAH', 4242, 'VLI', 1997, '', 0, 'ATR YN2 DHT BNI\r'),
	('NF', 524, 'TGH', 5909, 'VLI', 1997, '', 0, 'BNI\r'),
	('NF', 524, 'TOH', 5895, 'MTV', 5893, '', 0, 'DHT\r'),
	('NF', 524, 'TOH', 5895, 'SLH', 5894, '', 0, 'DHT\r'),
	('NF', 524, 'TOH', 5895, 'ZGU', 5906, '', 0, 'DHT\r'),
	('NF', 524, 'ULB', 5910, 'CCV', 5897, '', 0, 'DHT\r'),
	('NF', 524, 'ULB', 5910, 'PBJ', 5900, '', 0, 'DHT\r'),
	('NF', 524, 'ULB', 5910, 'VLI', 1997, '', 0, 'YN2\r'),
	('NF', 524, 'VLI', 1997, 'AKL', 2006, '', 0, '738\r'),
	('NF', 524, 'VLI', 1997, 'BNE', 3320, '', 0, '738\r'),
	('NF', 524, 'VLI', 1997, 'CCV', 5897, '', 0, 'YN2\r'),
	('NF', 524, 'VLI', 1997, 'DLY', 5916, '', 0, 'YN2\r'),
	('NF', 524, 'VLI', 1997, 'EAE', 5896, '', 0, 'BNI\r'),
	('NF', 524, 'VLI', 1997, 'HIR', 4074, 'Y', 0, '320\r'),
	('NF', 524, 'VLI', 1997, 'IPA', 5918, '', 0, 'YN2\r'),
	('NF', 524, 'VLI', 1997, 'LNB', 5902, '', 0, 'DHT\r'),
	('NF', 524, 'VLI', 1997, 'LNE', 5904, '', 0, 'DHT BNI\r'),
	('NF', 524, 'VLI', 1997, 'LPM', 5901, '', 0, 'DHT\r'),
	('NF', 524, 'VLI', 1997, 'NOU', 2005, '', 0, 'ATR\r'),
	('NF', 524, 'VLI', 1997, 'NUS', 5905, '', 0, 'YN2 DHT\r'),
	('NF', 524, 'VLI', 1997, 'PBJ', 5900, '', 0, 'DHT\r'),
	('NF', 524, 'VLI', 1997, 'SON', 5908, '', 0, 'ATR DHT\r'),
	('NF', 524, 'VLI', 1997, 'SWJ', 5912, '', 0, 'DHT\r'),
	('NF', 524, 'VLI', 1997, 'SYD', 3361, '', 0, '738\r'),
	('NF', 524, 'VLI', 1997, 'TAH', 4242, '', 0, 'ATR YN2 DHT BNI\r'),
	('NF', 524, 'VLI', 1997, 'TGH', 5909, '', 0, 'BNI\r'),
	('NF', 524, 'VLI', 1997, 'VLS', 5911, '', 0, 'BNI\r'),
	('NF', 524, 'VLS', 5911, 'VLI', 1997, '', 0, 'BNI\r'),
	('NF', 524, 'WLH', 6771, 'SON', 5908, '', 0, 'DHT YN2\r'),
	('NF', 524, 'ZGU', 5906, 'MTV', 5893, '', 0, 'DHT\r'),
	('NF', 524, 'ZGU', 5906, 'SON', 5908, '', 0, 'DHT YN2\r'),
	('NF', 524, 'ZGU', 5906, 'TOH', 5895, '', 0, 'DHT\r'),
	('NH', 324, 'AKJ', 2299, 'HND', 2359, 'Y', 0, '737 763 735\r'),
	('NH', 324, 'AKJ', 2299, 'NGO', 3942, '', 0, '737\r'),
	('NH', 324, 'AKJ', 2299, 'TPE', 2276, 'Y', 0, '332\r'),
	('NH', 324, 'AKL', 2006, 'NRT', 2279, 'Y', 0, '763 772\r'),
	('NH', 324, 'ATL', 3682, 'IAD', 3714, 'Y', 0, 'ERJ E70\r'),
	('NH', 324, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('NH', 324, 'AUH', 2179, 'NRT', 2279, 'Y', 0, '332\r'),
	('NH', 324, 'AUH', 2179, 'PEK', 3364, 'Y', 0, '332\r'),
	('NH', 324, 'AXT', 2345, 'CTS', 2287, 'Y', 0, 'DH8\r'),
	('NH', 324, 'AXT', 2345, 'HND', 2359, '', 0, '787 767 737 738\r'),
	('NH', 324, 'AXT', 2345, 'ITM', 2334, 'Y', 0, 'DH8\r'),
	('NH', 324, 'AXT', 2345, 'NGO', 3942, 'Y', 0, 'DH8\r'),
	('NH', 324, 'BKK', 3885, 'BOM', 2997, '', 0, '777\r'),
	('NH', 324, 'BKK', 3885, 'CEI', 3932, 'Y', 0, '734\r'),
	('NH', 324, 'BKK', 3885, 'CNX', 3931, 'Y', 0, 'AB6\r'),
	('NH', 324, 'BKK', 3885, 'HKT', 3179, 'Y', 0, '333\r'),
	('NH', 324, 'BKK', 3885, 'HND', 2359, '', 0, '777 763 747\r'),
	('NH', 324, 'BKK', 3885, 'KIX', 3992, 'Y', 0, '773\r'),
	('NH', 324, 'BKK', 3885, 'NGO', 3942, 'Y', 0, '773 777\r'),
	('NH', 324, 'BKK', 3885, 'NRT', 2279, '', 0, '777 76F\r'),
	('NH', 324, 'BOM', 2997, 'BKK', 3885, '', 0, '777\r'),
	('NH', 324, 'BOM', 2997, 'NRT', 2279, '', 0, '737\r'),
	('NH', 324, 'CAN', 3370, 'NRT', 2279, '', 0, '763\r'),
	('NH', 324, 'CDG', 1382, 'HND', 2359, '', 0, '777\r'),
	('NH', 324, 'CDG', 1382, 'NRT', 2279, '', 0, '777\r'),
	('NH', 324, 'CEI', 3932, 'BKK', 3885, 'Y', 0, '734\r'),
	('NH', 324, 'CGK', 3275, 'HND', 2359, '', 0, '788\r'),
	('NH', 324, 'CGK', 3275, 'KIX', 3992, '', 0, '332\r'),
	('NH', 324, 'CGK', 3275, 'NRT', 2279, '', 0, '763 777\r'),
	('NH', 324, 'CJU', 2370, 'FUK', 2305, 'Y', 0, '320\r'),
	('NH', 324, 'CKG', 3393, 'PVG', 3406, 'Y', 0, '738\r'),
	('NH', 324, 'CTS', 2287, 'AXT', 2345, 'Y', 0, 'DH8\r'),
	('NH', 324, 'CTS', 2287, 'FKS', 5999, 'Y', 0, '737 735\r'),
	('NH', 324, 'CTS', 2287, 'FSZ', 6476, '', 0, '737\r'),
	('NH', 324, 'CTS', 2287, 'FUK', 2305, '', 0, '772 767\r'),
	('NH', 324, 'CTS', 2287, 'GUM', 2246, 'Y', 0, '738\r'),
	('NH', 324, 'CTS', 2287, 'HIJ', 2326, '', 0, '320\r'),
	('NH', 324, 'CTS', 2287, 'HKD', 2288, 'Y', 0, 'DH8\r'),
	('NH', 324, 'CTS', 2287, 'HND', 2359, '', 0, '772 773 787 320 767 737\r'),
	('NH', 324, 'CTS', 2287, 'ITM', 2334, '', 0, '320 772\r'),
	('NH', 324, 'CTS', 2287, 'KIJ', 4381, 'Y', 0, '737 DH8\r'),
	('NH', 324, 'CTS', 2287, 'KIX', 3992, '', 0, '737\r'),
	('NH', 324, 'CTS', 2287, 'KMQ', 2322, 'Y', 0, '737\r'),
	('NH', 324, 'CTS', 2287, 'KUH', 5994, '', 0, '737\r'),
	('NH', 324, 'CTS', 2287, 'MMB', 2290, '', 0, 'DH8\r'),
	('NH', 324, 'CTS', 2287, 'NGO', 3942, '', 0, '767 320 737\r'),
	('NH', 324, 'CTS', 2287, 'NRT', 2279, '', 0, '320 737\r'),
	('NH', 324, 'CTS', 2287, 'OKA', 2384, 'Y', 0, '737\r'),
	('NH', 324, 'CTS', 2287, 'OKJ', 2327, 'Y', 0, '737\r'),
	('NH', 324, 'CTS', 2287, 'PEK', 3364, 'Y', 0, '738\r'),
	('NH', 324, 'CTS', 2287, 'SDJ', 2347, '', 0, '735 737\r'),
	('NH', 324, 'CTS', 2287, 'SHB', 2291, '', 0, 'DH8\r'),
	('NH', 324, 'CTS', 2287, 'TOY', 2324, 'Y', 0, '737 735\r'),
	('NH', 324, 'CTS', 2287, 'TPE', 2276, 'Y', 0, '332\r'),
	('NH', 324, 'CTS', 2287, 'UKB', 3943, '', 0, '737\r'),
	('NH', 324, 'CTS', 2287, 'WKJ', 2294, '', 0, 'DH8\r'),
	('NH', 324, 'CTU', 3395, 'NRT', 2279, '', 0, '763\r'),
	('NH', 324, 'CTU', 3395, 'PEK', 3364, 'Y', 0, '320\r'),
	('NH', 324, 'CTU', 3395, 'PVG', 3406, 'Y', 0, '319\r'),
	('NH', 324, 'DEL', 3093, 'NRT', 2279, '', 0, '763\r'),
	('NH', 324, 'DEN', 3751, 'NRT', 2279, 'Y', 0, '788\r'),
	('NH', 324, 'DLC', 3404, 'FUK', 2305, 'Y', 0, '738\r'),
	('NH', 324, 'DLC', 3404, 'HIJ', 2326, 'Y', 0, '738\r'),
	('NH', 324, 'DLC', 3404, 'KIX', 3992, '', 0, '737\r'),
	('NH', 324, 'DLC', 3404, 'NRT', 2279, 'Y', 0, '738 763\r'),
	('NH', 324, 'DLC', 3404, 'PEK', 3364, 'Y', 0, '738\r'),
	('NH', 324, 'DLC', 3404, 'TSN', 3368, 'Y', 0, '738\r'),
	('NH', 324, 'DOH', 2241, 'KIX', 3992, 'Y', 0, '332\r'),
	('NH', 324, 'DOH', 2241, 'NRT', 2279, 'Y', 0, '77L\r'),
	('NH', 324, 'DPS', 3940, 'HND', 2359, '', 0, '332\r'),
	('NH', 324, 'DPS', 3940, 'KIX', 3992, '', 0, '333\r'),
	('NH', 324, 'DPS', 3940, 'NRT', 2279, '', 0, '333\r'),
	('NH', 324, 'DUS', 345, 'NRT', 2279, '', 0, '788\r'),
	('NH', 324, 'EWR', 3494, 'NRT', 2279, 'Y', 0, '777\r'),
	('NH', 324, 'EWR', 3494, 'YVR', 156, '', 0, '319\r'),
	('NH', 324, 'FKS', 5999, 'CTS', 2287, 'Y', 0, '737 735\r'),
	('NH', 324, 'FKS', 5999, 'ITM', 2334, 'Y', 0, '735 CRJ DH8 CR7\r'),
	('NH', 324, 'FOC', 3385, 'KIX', 3992, 'Y', 0, '320\r'),
	('NH', 324, 'FOC', 3385, 'SZX', 3374, 'Y', 0, '320\r'),
	('NH', 324, 'FRA', 340, 'HND', 2359, '', 0, '788 744 77W\r'),
	('NH', 324, 'FRA', 340, 'KIX', 3992, 'Y', 0, '744\r'),
	('NH', 324, 'FRA', 340, 'NGO', 3942, 'Y', 0, '343\r'),
	('NH', 324, 'FSZ', 6476, 'CTS', 2287, '', 0, '737\r'),
	('NH', 324, 'FSZ', 6476, 'ICN', 3930, 'Y', 0, '320\r'),
	('NH', 324, 'FSZ', 6476, 'OKA', 2384, '', 0, '737\r'),
	('NH', 324, 'FUJ', 2304, 'FUK', 2305, '', 0, 'DH8\r'),
	('NH', 324, 'FUJ', 2304, 'NGS', 2313, 'Y', 0, 'DH2\r'),
	('NH', 324, 'FUK', 2305, 'CJU', 2370, 'Y', 0, '320\r'),
	('NH', 324, 'FUK', 2305, 'CTS', 2287, '', 0, '772 767\r'),
	('NH', 324, 'FUK', 2305, 'DLC', 3404, 'Y', 0, '738\r'),
	('NH', 324, 'FUK', 2305, 'FUJ', 2304, 'Y', 0, 'DH8 DH2\r'),
	('NH', 324, 'FUK', 2305, 'GUM', 2246, 'Y', 0, '738 73G\r'),
	('NH', 324, 'FUK', 2305, 'HND', 2359, '', 0, '773 772 767 787 738\r'),
	('NH', 324, 'FUK', 2305, 'ICN', 3930, 'Y', 0, '333 321 77L 763\r'),
	('NH', 324, 'FUK', 2305, 'ISG', 2387, '', 0, '735\r'),
	('NH', 324, 'FUK', 2305, 'ITM', 2334, '', 0, '735 767 737\r'),
	('NH', 324, 'FUK', 2305, 'KIJ', 4381, 'Y', 0, '735\r'),
	('NH', 324, 'FUK', 2305, 'KIX', 3992, '', 0, '737\r'),
	('NH', 324, 'FUK', 2305, 'KMI', 2308, 'Y', 0, 'DH8 CR7 CRJ\r'),
	('NH', 324, 'FUK', 2305, 'KMQ', 2322, '', 0, '735\r'),
	('NH', 324, 'FUK', 2305, 'NGO', 3942, '', 0, '735 738 737\r'),
	('NH', 324, 'FUK', 2305, 'NRT', 2279, '', 0, '735 738\r'),
	('NH', 324, 'FUK', 2305, 'OKA', 2384, '', 0, '735 767 738\r'),
	('NH', 324, 'FUK', 2305, 'SDJ', 2347, '', 0, '735\r'),
	('NH', 324, 'FUK', 2305, 'SIN', 3316, 'Y', 0, '333\r'),
	('NH', 324, 'FUK', 2305, 'TPE', 2276, 'Y', 0, '332 333\r'),
	('NH', 324, 'FUK', 2305, 'TSJ', 2297, 'Y', 0, '735 DH8\r'),
	('NH', 324, 'GMP', 2378, 'HND', 2359, '', 0, '77W 777\r'),
	('NH', 324, 'GMP', 2378, 'KIX', 3992, 'Y', 0, '321\r'),
	('NH', 324, 'GUM', 2246, 'CTS', 2287, 'Y', 0, '738\r'),
	('NH', 324, 'GUM', 2246, 'FUK', 2305, 'Y', 0, '738 73G\r'),
	('NH', 324, 'GUM', 2246, 'KIX', 3992, 'Y', 0, '73G 738\r'),
	('NH', 324, 'GUM', 2246, 'NGO', 3942, 'Y', 0, '73G 738\r'),
	('NH', 324, 'GUM', 2246, 'NRT', 2279, 'Y', 0, '777\r'),
	('NH', 324, 'GUM', 2246, 'OKJ', 2327, 'Y', 0, '73G\r'),
	('NH', 324, 'GUM', 2246, 'SDJ', 2347, 'Y', 0, '73G\r'),
	('NH', 324, 'HAC', 2352, 'HND', 2359, '', 0, '738 320\r'),
	('NH', 324, 'HAN', 3199, 'HND', 2359, '', 0, '763\r'),
	('NH', 324, 'HGH', 3386, 'KIX', 3992, '', 0, '737\r'),
	('NH', 324, 'HGH', 3386, 'NRT', 2279, '', 0, '737\r'),
	('NH', 324, 'HIJ', 2326, 'CTS', 2287, '', 0, '320\r'),
	('NH', 324, 'HIJ', 2326, 'DLC', 3404, 'Y', 0, '738\r'),
	('NH', 324, 'HIJ', 2326, 'HND', 2359, '', 0, '787 772 767 320\r'),
	('NH', 324, 'HIJ', 2326, 'ICN', 3930, 'Y', 0, '321\r'),
	('NH', 324, 'HIJ', 2326, 'NRT', 2279, 'Y', 0, 'CR7\r'),
	('NH', 324, 'HIJ', 2326, 'OKA', 2384, '', 0, '767\r'),
	('NH', 324, 'HIJ', 2326, 'SDJ', 2347, 'Y', 0, 'CR7 CRJ\r'),
	('NH', 324, 'HKD', 2288, 'CTS', 2287, 'Y', 0, 'DH8\r'),
	('NH', 324, 'HKD', 2288, 'HND', 2359, '', 0, '772 767 320\r'),
	('NH', 324, 'HKD', 2288, 'KIX', 3992, '', 0, '737\r'),
	('NH', 324, 'HKD', 2288, 'NGO', 3942, '', 0, '320\r'),
	('NH', 324, 'HKD', 2288, 'TPE', 2276, 'Y', 0, '332\r'),
	('NH', 324, 'HKG', 3077, 'HND', 2359, '', 0, '777\r'),
	('NH', 324, 'HKG', 3077, 'KIX', 3992, '', 0, '763\r'),
	('NH', 324, 'HKG', 3077, 'NGO', 3942, '', 0, '737\r'),
	('NH', 324, 'HKG', 3077, 'NRT', 2279, 'Y', 0, '763\r'),
	('NH', 324, 'HND', 2359, 'AKJ', 2299, 'Y', 0, '737 763 735\r'),
	('NH', 324, 'HND', 2359, 'AXT', 2345, '', 0, '767 737 787 738\r'),
	('NH', 324, 'HND', 2359, 'BKK', 3885, '', 0, '777 747 763\r'),
	('NH', 324, 'HND', 2359, 'CDG', 1382, '', 0, '777\r'),
	('NH', 324, 'HND', 2359, 'CGK', 3275, '', 0, '788\r'),
	('NH', 324, 'HND', 2359, 'CTS', 2287, '', 0, '737 773 772 787 767 320\r'),
	('NH', 324, 'HND', 2359, 'DPS', 3940, '', 0, '332\r'),
	('NH', 324, 'HND', 2359, 'FRA', 340, '', 0, '788 77W 744\r'),
	('NH', 324, 'HND', 2359, 'FUK', 2305, '', 0, '767 772 787 773 738\r'),
	('NH', 324, 'HND', 2359, 'GMP', 2378, '', 0, '777 77W\r'),
	('NH', 324, 'HND', 2359, 'HAC', 2352, '', 0, '738 320\r'),
	('NH', 324, 'HND', 2359, 'HAN', 3199, '', 0, '763\r'),
	('NH', 324, 'HND', 2359, 'HIJ', 2326, '', 0, '787 772 767 320\r'),
	('NH', 324, 'HND', 2359, 'HKD', 2288, '', 0, '772 767\r'),
	('NH', 324, 'HND', 2359, 'HKG', 3077, '', 0, '777\r'),
	('NH', 324, 'HND', 2359, 'HNL', 3728, 'Y', 0, '763\r'),
	('NH', 324, 'HND', 2359, 'HSG', 5996, '', 0, '320 737 738\r'),
	('NH', 324, 'HND', 2359, 'ICN', 3930, 'Y', 0, '321\r'),
	('NH', 324, 'HND', 2359, 'ISG', 2387, '', 0, '737 767\r'),
	('NH', 324, 'HND', 2359, 'ITM', 2334, '', 0, '320 772 773 787 767\r'),
	('NH', 324, 'HND', 2359, 'IWJ', 5998, '', 0, '320 737\r'),
	('NH', 324, 'HND', 2359, 'KCZ', 2332, '', 0, '767 738\r'),
	('NH', 324, 'HND', 2359, 'KIX', 3992, '', 0, '767 737 772\r'),
	('NH', 324, 'HND', 2359, 'KKJ', 2311, 'Y', 0, '320\r'),
	('NH', 324, 'HND', 2359, 'KMI', 2308, '', 0, '320 787 767\r'),
	('NH', 324, 'HND', 2359, 'KMJ', 2312, '', 0, '787 767 320\r'),
	('NH', 324, 'HND', 2359, 'KMQ', 2322, '', 0, '772 767 320 787\r'),
	('NH', 324, 'HND', 2359, 'KOJ', 2307, '', 0, '767 787 320\r'),
	('NH', 324, 'HND', 2359, 'KUH', 5994, '', 0, '767 320 737\r'),
	('NH', 324, 'HND', 2359, 'LAX', 3484, '', 0, '777\r'),
	('NH', 324, 'HND', 2359, 'LHR', 507, '', 0, '77W\r'),
	('NH', 324, 'HND', 2359, 'MBE', 2298, '', 0, '738\r'),
	('NH', 324, 'HND', 2359, 'MMB', 2290, 'Y', 0, '737 735\r'),
	('NH', 324, 'HND', 2359, 'MNL', 2397, '', 0, '788\r'),
	('NH', 324, 'HND', 2359, 'MUC', 346, '', 0, '346 788\r'),
	('NH', 324, 'HND', 2359, 'MYJ', 2333, '', 0, '772 787 767\r'),
	('NH', 324, 'HND', 2359, 'NGS', 2313, '', 0, '772\r'),
	('NH', 324, 'HND', 2359, 'NTQ', 3409, '', 0, '737 738\r'),
	('NH', 324, 'HND', 2359, 'OBO', 2286, 'Y', 0, '737 735\r'),
	('NH', 324, 'HND', 2359, 'OIM', 2356, 'Y', 0, '737\r'),
	('NH', 324, 'HND', 2359, 'OIT', 2310, '', 0, '767 320 737\r'),
	('NH', 324, 'HND', 2359, 'OKA', 2384, '', 0, '738 773 772\r'),
	('NH', 324, 'HND', 2359, 'OKJ', 2327, '', 0, '787 767 738\r'),
	('NH', 324, 'HND', 2359, 'ONJ', 6000, '', 0, '738 737\r'),
	('NH', 324, 'HND', 2359, 'PEK', 3364, '', 0, '788\r'),
	('NH', 324, 'HND', 2359, 'SHA', 3391, '', 0, '777\r'),
	('NH', 324, 'HND', 2359, 'SHB', 2291, '', 0, '738\r'),
	('NH', 324, 'HND', 2359, 'SIN', 3316, '', 0, '788 773\r'),
	('NH', 324, 'HND', 2359, 'SYO', 6001, '', 0, '320 767 738\r'),
	('NH', 324, 'HND', 2359, 'TAK', 2337, '', 0, '787 767 320\r'),
	('NH', 324, 'HND', 2359, 'TKS', 2336, '', 0, '738 737\r'),
	('NH', 324, 'HND', 2359, 'TOY', 2324, '', 0, '767 787\r'),
	('NH', 324, 'HND', 2359, 'TSA', 2275, '', 0, '788 763\r'),
	('NH', 324, 'HND', 2359, 'TTJ', 2335, '', 0, '738 737 320\r'),
	('NH', 324, 'HND', 2359, 'UBJ', 2296, '', 0, '767\r'),
	('NH', 324, 'HND', 2359, 'UKB', 3943, '', 0, '737 767\r'),
	('NH', 324, 'HND', 2359, 'WKJ', 2294, '', 0, '737\r'),
	('NH', 324, 'HND', 2359, 'YGJ', 2330, '', 0, '767 738 737 320\r'),
	('NH', 324, 'HND', 2359, 'YVR', 156, '', 0, '763\r'),
	('NH', 324, 'HNL', 3728, 'HND', 2359, 'Y', 0, '763\r'),
	('NH', 324, 'HNL', 3728, 'NRT', 2279, 'Y', 0, '744 763\r'),
	('NH', 324, 'HSG', 5996, 'HND', 2359, '', 0, '737 320 738\r'),
	('NH', 324, 'IAD', 3714, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('NH', 324, 'IAD', 3714, 'NRT', 2279, '', 0, '777 77W\r'),
	('NH', 324, 'IAH', 3550, 'NRT', 2279, 'Y', 0, '777\r'),
	('NH', 324, 'ICN', 3930, 'FSZ', 6476, 'Y', 0, '320\r'),
	('NH', 324, 'ICN', 3930, 'FUK', 2305, 'Y', 0, '333 321 77L 763\r'),
	('NH', 324, 'ICN', 3930, 'HIJ', 2326, 'Y', 0, '321\r'),
	('NH', 324, 'ICN', 3930, 'HND', 2359, 'Y', 0, '321\r'),
	('NH', 324, 'ICN', 3930, 'KIX', 3992, 'Y', 0, '77L 74E 763 772 321\r'),
	('NH', 324, 'ICN', 3930, 'KMI', 2308, 'Y', 0, '321\r'),
	('NH', 324, 'ICN', 3930, 'KMJ', 2312, 'Y', 0, '321 320\r'),
	('NH', 324, 'ICN', 3930, 'MYJ', 2333, 'Y', 0, '321\r'),
	('NH', 324, 'ICN', 3930, 'NGO', 3942, 'Y', 0, '321 763\r'),
	('NH', 324, 'ICN', 3930, 'NRT', 2279, 'Y', 0, '333 321 738 772 74E\r'),
	('NH', 324, 'ICN', 3930, 'OKA', 2384, 'Y', 0, '321\r'),
	('NH', 324, 'ICN', 3930, 'SDJ', 2347, 'Y', 0, '321 763\r'),
	('NH', 324, 'ICN', 3930, 'TAK', 2337, 'Y', 0, '321 320\r'),
	('NH', 324, 'ICN', 3930, 'TOY', 2324, 'Y', 0, '321\r'),
	('NH', 324, 'ICN', 3930, 'YGJ', 2330, 'Y', 0, '321 320\r'),
	('NH', 324, 'IKI', 2295, 'NGS', 2313, 'Y', 0, 'DH2\r'),
	('NH', 324, 'ISG', 2387, 'FUK', 2305, '', 0, '735\r'),
	('NH', 324, 'ISG', 2387, 'HND', 2359, '', 0, '737 767\r'),
	('NH', 324, 'ISG', 2387, 'KIX', 3992, '', 0, '737\r'),
	('NH', 324, 'ISG', 2387, 'MMY', 2390, '', 0, '735\r'),
	('NH', 324, 'ISG', 2387, 'NGO', 3942, '', 0, '737\r'),
	('NH', 324, 'ISG', 2387, 'OKA', 2384, '', 0, '735 738\r'),
	('NH', 324, 'IST', 1701, 'KIX', 3992, 'Y', 0, '332\r'),
	('NH', 324, 'IST', 1701, 'NRT', 2279, 'Y', 0, '332 77W\r'),
	('NH', 324, 'ITM', 2334, 'AXT', 2345, 'Y', 0, 'DH8\r'),
	('NH', 324, 'ITM', 2334, 'CTS', 2287, '', 0, '772 320\r'),
	('NH', 324, 'ITM', 2334, 'FKS', 5999, 'Y', 0, '735 CRJ DH8 CR7\r'),
	('NH', 324, 'ITM', 2334, 'FUK', 2305, '', 0, '767 735 737\r'),
	('NH', 324, 'ITM', 2334, 'HND', 2359, '', 0, '772 767 787 773 320\r'),
	('NH', 324, 'ITM', 2334, 'KCZ', 2332, 'Y', 0, 'DH8 735\r'),
	('NH', 324, 'ITM', 2334, 'KIJ', 4381, '', 0, '738\r'),
	('NH', 324, 'ITM', 2334, 'KMI', 2308, '', 0, '737 735 DH8\r'),
	('NH', 324, 'ITM', 2334, 'KMJ', 2312, '', 0, '320 DH8 735\r'),
	('NH', 324, 'ITM', 2334, 'KOJ', 2307, '', 0, '320 767 735\r'),
	('NH', 324, 'ITM', 2334, 'MYJ', 2333, 'Y', 0, 'DH8 737 320 767\r'),
	('NH', 324, 'ITM', 2334, 'NGS', 2313, '', 0, '320 735\r'),
	('NH', 324, 'ITM', 2334, 'NRT', 2279, '', 0, '738 767\r'),
	('NH', 324, 'ITM', 2334, 'OIT', 2310, 'Y', 0, 'CR7 DH8\r'),
	('NH', 324, 'ITM', 2334, 'OKA', 2384, '', 0, '738 767\r'),
	('NH', 324, 'ITM', 2334, 'SDJ', 2347, '', 0, '320 767\r'),
	('NH', 324, 'IWJ', 5998, 'HND', 2359, '', 0, '320 737\r'),
	('NH', 324, 'JFK', 3797, 'NRT', 2279, '', 0, '77W\r'),
	('NH', 324, 'KCZ', 2332, 'HND', 2359, '', 0, '767 738\r'),
	('NH', 324, 'KCZ', 2332, 'ITM', 2334, 'Y', 0, 'DH8 735\r'),
	('NH', 324, 'KHH', 2264, 'NRT', 2279, '', 0, '321\r'),
	('NH', 324, 'KIJ', 4381, 'CTS', 2287, 'Y', 0, 'DH8 737\r'),
	('NH', 324, 'KIJ', 4381, 'FUK', 2305, 'Y', 0, '735\r'),
	('NH', 324, 'KIJ', 4381, 'ITM', 2334, '', 0, '738\r'),
	('NH', 324, 'KIJ', 4381, 'NGO', 3942, 'Y', 0, 'DH8\r'),
	('NH', 324, 'KIJ', 4381, 'NRT', 2279, 'Y', 0, 'DH8\r'),
	('NH', 324, 'KIJ', 4381, 'OKA', 2384, '', 0, '735\r'),
	('NH', 324, 'KIX', 3992, 'BKK', 3885, 'Y', 0, '773\r'),
	('NH', 324, 'KIX', 3992, 'CGK', 3275, '', 0, '332\r'),
	('NH', 324, 'KIX', 3992, 'CTS', 2287, '', 0, '737\r'),
	('NH', 324, 'KIX', 3992, 'DLC', 3404, '', 0, '737\r'),
	('NH', 324, 'KIX', 3992, 'DOH', 2241, 'Y', 0, '332\r'),
	('NH', 324, 'KIX', 3992, 'DPS', 3940, '', 0, '333\r'),
	('NH', 324, 'KIX', 3992, 'FOC', 3385, 'Y', 0, '320\r'),
	('NH', 324, 'KIX', 3992, 'FRA', 340, 'Y', 0, '744\r'),
	('NH', 324, 'KIX', 3992, 'FUK', 2305, '', 0, '737\r'),
	('NH', 324, 'KIX', 3992, 'GMP', 2378, 'Y', 0, '321\r'),
	('NH', 324, 'KIX', 3992, 'GUM', 2246, 'Y', 0, '73G 738\r'),
	('NH', 324, 'KIX', 3992, 'HGH', 3386, '', 0, '737\r'),
	('NH', 324, 'KIX', 3992, 'HKD', 2288, '', 0, '737\r'),
	('NH', 324, 'KIX', 3992, 'HKG', 3077, '', 0, '763\r'),
	('NH', 324, 'KIX', 3992, 'HND', 2359, '', 0, '320 772 737 767\r'),
	('NH', 324, 'KIX', 3992, 'ICN', 3930, 'Y', 0, '763 77L 74E 772 321\r'),
	('NH', 324, 'KIX', 3992, 'ISG', 2387, '', 0, '737\r'),
	('NH', 324, 'KIX', 3992, 'IST', 1701, 'Y', 0, '332\r'),
	('NH', 324, 'KIX', 3992, 'MFM', 3121, 'Y', 0, '319\r'),
	('NH', 324, 'KIX', 3992, 'NRT', 2279, 'Y', 0, '744\r'),
	('NH', 324, 'KIX', 3992, 'OKA', 2384, '', 0, '767 737 735 772\r'),
	('NH', 324, 'KIX', 3992, 'PEK', 3364, '', 0, '737\r'),
	('NH', 324, 'KIX', 3992, 'PVG', 3406, '', 0, '763\r'),
	('NH', 324, 'KIX', 3992, 'SFO', 3469, 'Y', 0, '777 788\r'),
	('NH', 324, 'KIX', 3992, 'SIN', 3316, 'Y', 0, '333\r'),
	('NH', 324, 'KIX', 3992, 'TAO', 3390, '', 0, '763\r'),
	('NH', 324, 'KIX', 3992, 'TNA', 4108, 'Y', 0, '738\r'),
	('NH', 324, 'KIX', 3992, 'TPE', 2276, '', 0, '321\r'),
	('NH', 324, 'KIX', 3992, 'WUX', 6390, 'Y', 0, '738\r'),
	('NH', 324, 'KKJ', 2311, 'HND', 2359, 'Y', 0, '320\r'),
	('NH', 324, 'KMI', 2308, 'FUK', 2305, 'Y', 0, 'DH8 CR7 CRJ\r'),
	('NH', 324, 'KMI', 2308, 'HND', 2359, '', 0, '767 320 787\r'),
	('NH', 324, 'KMI', 2308, 'ICN', 3930, 'Y', 0, '321\r'),
	('NH', 324, 'KMI', 2308, 'ITM', 2334, '', 0, '737 DH8 735 320\r'),
	('NH', 324, 'KMI', 2308, 'NGO', 3942, '', 0, '737 735 DH8\r'),
	('NH', 324, 'KMI', 2308, 'OKA', 2384, 'Y', 0, '737\r'),
	('NH', 324, 'KMJ', 2312, 'HND', 2359, '', 0, '787 767 320\r'),
	('NH', 324, 'KMJ', 2312, 'ICN', 3930, 'Y', 0, '321 320\r'),
	('NH', 324, 'KMJ', 2312, 'ITM', 2334, '', 0, '320 DH8 738 735\r'),
	('NH', 324, 'KMJ', 2312, 'NGO', 3942, '', 0, '320\r'),
	('NH', 324, 'KMJ', 2312, 'OKA', 2384, '', 0, '737\r'),
	('NH', 324, 'KMQ', 2322, 'CTS', 2287, 'Y', 0, '737\r'),
	('NH', 324, 'KMQ', 2322, 'FUK', 2305, '', 0, '735\r'),
	('NH', 324, 'KMQ', 2322, 'HND', 2359, '', 0, '772 767 320 787\r'),
	('NH', 324, 'KMQ', 2322, 'NRT', 2279, 'Y', 0, 'CR7 CRJ\r'),
	('NH', 324, 'KMQ', 2322, 'SDJ', 2347, 'Y', 0, 'CR7 CRJ\r'),
	('NH', 324, 'KMQ', 2322, 'TPE', 2276, 'Y', 0, '321 332\r'),
	('NH', 324, 'KOJ', 2307, 'HND', 2359, '', 0, '787 320 767\r'),
	('NH', 324, 'KOJ', 2307, 'ITM', 2334, '', 0, '735 767 320\r'),
	('NH', 324, 'KOJ', 2307, 'NGO', 3942, '', 0, '737 738\r'),
	('NH', 324, 'KOJ', 2307, 'OKA', 2384, '', 0, '735\r'),
	('NH', 324, 'KUH', 5994, 'CTS', 2287, '', 0, '737\r'),
	('NH', 324, 'KUH', 5994, 'HND', 2359, '', 0, '767 320 737\r'),
	('NH', 324, 'LAX', 3484, 'HND', 2359, '', 0, '777\r'),
	('NH', 324, 'LAX', 3484, 'NRT', 2279, '', 0, '77W\r'),
	('NH', 324, 'LHR', 507, 'HND', 2359, '', 0, '77W\r'),
	('NH', 324, 'LHR', 507, 'LIS', 1638, 'Y', 0, '320 321 319\r'),
	('NH', 324, 'LHR', 507, 'NRT', 2279, '', 0, '346 343\r'),
	('NH', 324, 'LHR', 507, 'WAW', 679, 'Y', 0, '734\r'),
	('NH', 324, 'LIS', 1638, 'LHR', 507, 'Y', 0, '320 321 319\r'),
	('NH', 324, 'MBE', 2298, 'HND', 2359, '', 0, '738\r'),
	('NH', 324, 'MFM', 3121, 'KIX', 3992, 'Y', 0, '319\r'),
	('NH', 324, 'MFM', 3121, 'NRT', 2279, 'Y', 0, '321 320 319\r'),
	('NH', 324, 'MMB', 2290, 'CTS', 2287, '', 0, 'DH8\r'),
	('NH', 324, 'MMB', 2290, 'HND', 2359, 'Y', 0, '737 735\r'),
	('NH', 324, 'MMB', 2290, 'NGO', 3942, '', 0, '735\r'),
	('NH', 324, 'MMY', 2390, 'ISG', 2387, '', 0, '735\r'),
	('NH', 324, 'MMY', 2390, 'OKA', 2384, '', 0, '735\r'),
	('NH', 324, 'MNL', 2397, 'HND', 2359, '', 0, '788\r'),
	('NH', 324, 'MNL', 2397, 'NRT', 2279, '', 0, '763\r'),
	('NH', 324, 'MSY', 3861, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('NH', 324, 'MUC', 346, 'HND', 2359, '', 0, '346 788\r'),
	('NH', 324, 'MYJ', 2333, 'HND', 2359, '', 0, '772 787 767\r'),
	('NH', 324, 'MYJ', 2333, 'ICN', 3930, 'Y', 0, '321\r'),
	('NH', 324, 'MYJ', 2333, 'ITM', 2334, 'Y', 0, '767 DH8 737 320\r'),
	('NH', 324, 'MYJ', 2333, 'NGO', 3942, 'Y', 0, 'DH8\r'),
	('NH', 324, 'MYJ', 2333, 'OKA', 2384, '', 0, '737\r'),
	('NH', 324, 'NGO', 3942, 'AKJ', 2299, '', 0, '737\r'),
	('NH', 324, 'NGO', 3942, 'AXT', 2345, 'Y', 0, 'DH8\r'),
	('NH', 324, 'NGO', 3942, 'BKK', 3885, 'Y', 0, '777\r'),
	('NH', 324, 'NGO', 3942, 'CTS', 2287, '', 0, '320 737 767\r'),
	('NH', 324, 'NGO', 3942, 'FRA', 340, 'Y', 0, '343\r'),
	('NH', 324, 'NGO', 3942, 'FUK', 2305, '', 0, '735 738\r'),
	('NH', 324, 'NGO', 3942, 'GUM', 2246, 'Y', 0, '73G 738\r'),
	('NH', 324, 'NGO', 3942, 'HKD', 2288, '', 0, '320\r'),
	('NH', 324, 'NGO', 3942, 'HKG', 3077, '', 0, '737\r'),
	('NH', 324, 'NGO', 3942, 'ICN', 3930, 'Y', 0, '321 763\r'),
	('NH', 324, 'NGO', 3942, 'ISG', 2387, '', 0, '737\r'),
	('NH', 324, 'NGO', 3942, 'KIJ', 4381, 'Y', 0, 'DH8\r'),
	('NH', 324, 'NGO', 3942, 'KMI', 2308, '', 0, '735 320\r'),
	('NH', 324, 'NGO', 3942, 'KMJ', 2312, '', 0, '737 320\r'),
	('NH', 324, 'NGO', 3942, 'KOJ', 2307, '', 0, '735 738 737\r'),
	('NH', 324, 'NGO', 3942, 'MMB', 2290, '', 0, '735\r'),
	('NH', 324, 'NGO', 3942, 'MYJ', 2333, 'Y', 0, 'DH8\r'),
	('NH', 324, 'NGO', 3942, 'NGS', 2313, '', 0, '737\r'),
	('NH', 324, 'NGO', 3942, 'NRT', 2279, '', 0, '737 320\r'),
	('NH', 324, 'NGO', 3942, 'OIT', 2310, 'Y', 0, 'CR7\r'),
	('NH', 324, 'NGO', 3942, 'OKA', 2384, '', 0, '767\r'),
	('NH', 324, 'NGO', 3942, 'PEK', 3364, 'Y', 0, '738\r'),
	('NH', 324, 'NGO', 3942, 'PVG', 3406, '', 0, '737\r'),
	('NH', 324, 'NGO', 3942, 'SDJ', 2347, '', 0, 'DH8 735\r'),
	('NH', 324, 'NGO', 3942, 'SIN', 3316, 'Y', 0, '333\r'),
	('NH', 324, 'NGS', 2313, 'FUJ', 2304, 'Y', 0, 'DH2\r'),
	('NH', 324, 'NGS', 2313, 'HND', 2359, '', 0, '772\r'),
	('NH', 324, 'NGS', 2313, 'IKI', 2295, 'Y', 0, 'DH2\r'),
	('NH', 324, 'NGS', 2313, 'ITM', 2334, '', 0, '735 737\r'),
	('NH', 324, 'NGS', 2313, 'NGO', 3942, '', 0, '737\r'),
	('NH', 324, 'NGS', 2313, 'OKA', 2384, '', 0, '320\r'),
	('NH', 324, 'NGS', 2313, 'TSJ', 2297, 'Y', 0, 'DH2\r'),
	('NH', 324, 'NRT', 2279, 'AKL', 2006, 'Y', 0, '763 772\r'),
	('NH', 324, 'NRT', 2279, 'AUH', 2179, 'Y', 0, '332\r'),
	('NH', 324, 'NRT', 2279, 'BKK', 3885, '', 0, '777 76F\r'),
	('NH', 324, 'NRT', 2279, 'BOM', 2997, '', 0, '737\r'),
	('NH', 324, 'NRT', 2279, 'CAN', 3370, '', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'CDG', 1382, '', 0, '777\r'),
	('NH', 324, 'NRT', 2279, 'CGK', 3275, '', 0, '777 763\r'),
	('NH', 324, 'NRT', 2279, 'CTS', 2287, '', 0, '320 737\r'),
	('NH', 324, 'NRT', 2279, 'CTU', 3395, '', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'DEL', 3093, '', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'DEN', 3751, 'Y', 0, '788\r'),
	('NH', 324, 'NRT', 2279, 'DLC', 3404, 'Y', 0, '763 738\r'),
	('NH', 324, 'NRT', 2279, 'DOH', 2241, 'Y', 0, '77L\r'),
	('NH', 324, 'NRT', 2279, 'DPS', 3940, '', 0, '333\r'),
	('NH', 324, 'NRT', 2279, 'DUS', 345, '', 0, '788\r'),
	('NH', 324, 'NRT', 2279, 'EWR', 3494, 'Y', 0, '777\r'),
	('NH', 324, 'NRT', 2279, 'FUK', 2305, '', 0, '738 737 735\r'),
	('NH', 324, 'NRT', 2279, 'GUM', 2246, 'Y', 0, '777\r'),
	('NH', 324, 'NRT', 2279, 'HGH', 3386, '', 0, '737\r'),
	('NH', 324, 'NRT', 2279, 'HIJ', 2326, 'Y', 0, 'CR7 CRJ\r'),
	('NH', 324, 'NRT', 2279, 'HKG', 3077, 'Y', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'HNL', 3728, 'Y', 0, '744 763\r'),
	('NH', 324, 'NRT', 2279, 'IAD', 3714, '', 0, '777 77W\r'),
	('NH', 324, 'NRT', 2279, 'IAH', 3550, 'Y', 0, '777\r'),
	('NH', 324, 'NRT', 2279, 'ICN', 3930, 'Y', 0, '321 333 738 772 74E\r'),
	('NH', 324, 'NRT', 2279, 'IST', 1701, 'Y', 0, '77W 332\r'),
	('NH', 324, 'NRT', 2279, 'ITM', 2334, '', 0, '767 738\r'),
	('NH', 324, 'NRT', 2279, 'JFK', 3797, '', 0, '77W\r'),
	('NH', 324, 'NRT', 2279, 'KHH', 2264, '', 0, '321\r'),
	('NH', 324, 'NRT', 2279, 'KIJ', 4381, 'Y', 0, 'DH8\r'),
	('NH', 324, 'NRT', 2279, 'KIX', 3992, 'Y', 0, '744\r'),
	('NH', 324, 'NRT', 2279, 'KMQ', 2322, 'Y', 0, 'CR7\r'),
	('NH', 324, 'NRT', 2279, 'LAX', 3484, '', 0, '77W\r'),
	('NH', 324, 'NRT', 2279, 'LHR', 507, '', 0, '346\r'),
	('NH', 324, 'NRT', 2279, 'MFM', 3121, 'Y', 0, '321 320 319\r'),
	('NH', 324, 'NRT', 2279, 'MNL', 2397, '', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'NGO', 3942, '', 0, '320 735\r'),
	('NH', 324, 'NRT', 2279, 'OKA', 2384, '', 0, '767\r'),
	('NH', 324, 'NRT', 2279, 'ORD', 3830, '', 0, '77W 777\r'),
	('NH', 324, 'NRT', 2279, 'PEK', 3364, '', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'PVG', 3406, '', 0, '788 763 777\r'),
	('NH', 324, 'NRT', 2279, 'RGN', 3239, '', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'SDJ', 2347, '', 0, '735 737\r'),
	('NH', 324, 'NRT', 2279, 'SEA', 3577, '', 0, '788\r'),
	('NH', 324, 'NRT', 2279, 'SFO', 3469, '', 0, '77W\r'),
	('NH', 324, 'NRT', 2279, 'SGN', 3205, 'Y', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'SHE', 4144, '', 0, '737\r'),
	('NH', 324, 'NRT', 2279, 'SIN', 3316, '', 0, '788\r'),
	('NH', 324, 'NRT', 2279, 'SJC', 3748, '', 0, '788\r'),
	('NH', 324, 'NRT', 2279, 'TAO', 3390, '', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'TPE', 2276, '', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'VIE', 1613, 'Y', 0, '772\r'),
	('NH', 324, 'NRT', 2279, 'XMN', 3383, '', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'YVR', 156, 'Y', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'YYC', 178, 'Y', 0, '763\r'),
	('NH', 324, 'NRT', 2279, 'YYZ', 193, 'Y', 0, '77W\r'),
	('NH', 324, 'NRT', 2279, 'ZRH', 1678, 'Y', 0, '343\r'),
	('NH', 324, 'NTQ', 3409, 'HND', 2359, '', 0, '737 738\r'),
	('NH', 324, 'OBO', 2286, 'HND', 2359, 'Y', 0, '737 735\r'),
	('NH', 324, 'OIM', 2356, 'HND', 2359, 'Y', 0, '737\r'),
	('NH', 324, 'OIT', 2310, 'HND', 2359, '', 0, '320 767 737\r'),
	('NH', 324, 'OIT', 2310, 'ITM', 2334, 'Y', 0, 'CR7 DH8\r'),
	('NH', 324, 'OIT', 2310, 'NGO', 3942, 'Y', 0, 'CR7\r'),
	('NH', 324, 'OKA', 2384, 'CTS', 2287, 'Y', 0, '737\r'),
	('NH', 324, 'OKA', 2384, 'FSZ', 6476, '', 0, '737\r'),
	('NH', 324, 'OKA', 2384, 'FUK', 2305, '', 0, '767 738 735\r'),
	('NH', 324, 'OKA', 2384, 'HIJ', 2326, '', 0, '767\r'),
	('NH', 324, 'OKA', 2384, 'HND', 2359, '', 0, '772 773 738\r'),
	('NH', 324, 'OKA', 2384, 'ICN', 3930, 'Y', 0, '321\r'),
	('NH', 324, 'OKA', 2384, 'ISG', 2387, '', 0, '735 738\r'),
	('NH', 324, 'OKA', 2384, 'ITM', 2334, '', 0, '767 773\r'),
	('NH', 324, 'OKA', 2384, 'KIJ', 4381, '', 0, '735\r'),
	('NH', 324, 'OKA', 2384, 'KIX', 3992, '', 0, '737 735 767 772\r'),
	('NH', 324, 'OKA', 2384, 'KMI', 2308, 'Y', 0, '737\r'),
	('NH', 324, 'OKA', 2384, 'KMJ', 2312, '', 0, '738\r'),
	('NH', 324, 'OKA', 2384, 'KOJ', 2307, '', 0, '735\r'),
	('NH', 324, 'OKA', 2384, 'MMY', 2390, '', 0, '735\r'),
	('NH', 324, 'OKA', 2384, 'MYJ', 2333, '', 0, '737\r'),
	('NH', 324, 'OKA', 2384, 'NGO', 3942, '', 0, '767 737\r'),
	('NH', 324, 'OKA', 2384, 'NGS', 2313, '', 0, '737\r'),
	('NH', 324, 'OKA', 2384, 'NRT', 2279, '', 0, '767\r'),
	('NH', 324, 'OKA', 2384, 'PEK', 3364, 'Y', 0, '738\r'),
	('NH', 324, 'OKA', 2384, 'SDJ', 2347, '', 0, '767\r'),
	('NH', 324, 'OKA', 2384, 'TAK', 2337, 'Y', 0, '767\r'),
	('NH', 324, 'OKA', 2384, 'UKB', 3943, 'Y', 0, '737\r'),
	('NH', 324, 'OKJ', 2327, 'CTS', 2287, 'Y', 0, '737\r'),
	('NH', 324, 'OKJ', 2327, 'GUM', 2246, 'Y', 0, '73G\r'),
	('NH', 324, 'OKJ', 2327, 'HND', 2359, '', 0, '787 767 738\r'),
	('NH', 324, 'OKJ', 2327, 'TPE', 2276, 'Y', 0, 'M90\r'),
	('NH', 324, 'ONJ', 6000, 'HND', 2359, '', 0, '738 737\r'),
	('NH', 324, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('NH', 324, 'ORD', 3830, 'MSY', 3861, 'Y', 0, '320 ERJ 319\r'),
	('NH', 324, 'ORD', 3830, 'NRT', 2279, '', 0, '77W 777\r'),
	('NH', 324, 'PEK', 3364, 'CTS', 2287, 'Y', 0, '738\r'),
	('NH', 324, 'PEK', 3364, 'CTU', 3395, 'Y', 0, '320\r'),
	('NH', 324, 'PEK', 3364, 'DLC', 3404, 'Y', 0, '738\r'),
	('NH', 324, 'PEK', 3364, 'HND', 2359, '', 0, '788\r'),
	('NH', 324, 'PEK', 3364, 'KIX', 3992, '', 0, '737\r'),
	('NH', 324, 'PEK', 3364, 'NGO', 3942, 'Y', 0, '738 332\r'),
	('NH', 324, 'PEK', 3364, 'NRT', 2279, '', 0, '763\r'),
	('NH', 324, 'PEK', 3364, 'OKA', 2384, 'Y', 0, '738\r'),
	('NH', 324, 'PEK', 3364, 'PVG', 3406, 'Y', 0, '738\r'),
	('NH', 324, 'PUS', 2372, 'OKA', 2384, 'Y', 0, '320\r'),
	('NH', 324, 'PVG', 3406, 'CKG', 3393, 'Y', 0, '738\r'),
	('NH', 324, 'PVG', 3406, 'CTU', 3395, 'Y', 0, '319\r'),
	('NH', 324, 'PVG', 3406, 'KIX', 3992, '', 0, '763\r'),
	('NH', 324, 'PVG', 3406, 'NGO', 3942, '', 0, '737\r'),
	('NH', 324, 'PVG', 3406, 'NRT', 2279, '', 0, '777 788 763\r'),
	('NH', 324, 'PVG', 3406, 'PEK', 3364, 'Y', 0, '738\r'),
	('NH', 324, 'PVG', 3406, 'SDJ', 2347, 'Y', 0, '738\r'),
	('NH', 324, 'PVG', 3406, 'SZX', 3374, 'Y', 0, '321\r'),
	('NH', 324, 'RGN', 3239, 'NRT', 2279, '', 0, '763\r'),
	('NH', 324, 'SDJ', 2347, 'CTS', 2287, '', 0, '735 DH8\r'),
	('NH', 324, 'SDJ', 2347, 'FUK', 2305, '', 0, '735\r'),
	('NH', 324, 'SDJ', 2347, 'GUM', 2246, 'Y', 0, '73G\r'),
	('NH', 324, 'SDJ', 2347, 'HIJ', 2326, 'Y', 0, 'CR7\r'),
	('NH', 324, 'SDJ', 2347, 'ICN', 3930, 'Y', 0, '321 763\r'),
	('NH', 324, 'SDJ', 2347, 'ITM', 2334, '', 0, '767 320\r'),
	('NH', 324, 'SDJ', 2347, 'KMQ', 2322, 'Y', 0, 'CR7 CRJ\r'),
	('NH', 324, 'SDJ', 2347, 'NGO', 3942, '', 0, '735 DH8\r'),
	('NH', 324, 'SDJ', 2347, 'NRT', 2279, '', 0, '737 735\r'),
	('NH', 324, 'SDJ', 2347, 'OKA', 2384, '', 0, '767\r'),
	('NH', 324, 'SDJ', 2347, 'PVG', 3406, 'Y', 0, '738\r'),
	('NH', 324, 'SDJ', 2347, 'TPE', 2276, 'Y', 0, '321\r'),
	('NH', 324, 'SEA', 3577, 'NRT', 2279, '', 0, '788\r'),
	('NH', 324, 'SFO', 3469, 'KIX', 3992, 'Y', 0, '777 788\r'),
	('NH', 324, 'SFO', 3469, 'NRT', 2279, '', 0, '77W\r'),
	('NH', 324, 'SGN', 3205, 'NRT', 2279, 'Y', 0, '763\r'),
	('NH', 324, 'SHA', 3391, 'HND', 2359, '', 0, '777\r'),
	('NH', 324, 'SHB', 2291, 'CTS', 2287, '', 0, 'DH8\r'),
	('NH', 324, 'SHB', 2291, 'HND', 2359, '', 0, '738\r'),
	('NH', 324, 'SHE', 4144, 'NRT', 2279, '', 0, '737\r'),
	('NH', 324, 'SIN', 3316, 'FUK', 2305, 'Y', 0, '333\r'),
	('NH', 324, 'SIN', 3316, 'HND', 2359, '', 0, '333 788\r'),
	('NH', 324, 'SIN', 3316, 'KIX', 3992, 'Y', 0, '333\r'),
	('NH', 324, 'SIN', 3316, 'NGO', 3942, 'Y', 0, '333\r'),
	('NH', 324, 'SIN', 3316, 'NRT', 2279, '', 0, '788\r'),
	('NH', 324, 'SJC', 3748, 'NRT', 2279, '', 0, '788\r'),
	('NH', 324, 'SYO', 6001, 'HND', 2359, '', 0, '738 320 767\r'),
	('NH', 324, 'SZX', 3374, 'FOC', 3385, 'Y', 0, '320\r'),
	('NH', 324, 'SZX', 3374, 'HGH', 3386, 'Y', 0, '738\r'),
	('NH', 324, 'SZX', 3374, 'PVG', 3406, 'Y', 0, '321\r'),
	('NH', 324, 'TAK', 2337, 'HND', 2359, '', 0, '787 320 767\r'),
	('NH', 324, 'TAK', 2337, 'ICN', 3930, 'Y', 0, '321 320\r'),
	('NH', 324, 'TAK', 2337, 'OKA', 2384, 'Y', 0, '767\r'),
	('NH', 324, 'TAO', 3390, 'KIX', 3992, '', 0, '763\r'),
	('NH', 324, 'TAO', 3390, 'NRT', 2279, '', 0, '763\r'),
	('NH', 324, 'TKS', 2336, 'HND', 2359, '', 0, '738 737\r'),
	('NH', 324, 'TNA', 4108, 'KIX', 3992, 'Y', 0, '738\r'),
	('NH', 324, 'TOY', 2324, 'CTS', 2287, 'Y', 0, '737 735\r'),
	('NH', 324, 'TOY', 2324, 'HND', 2359, '', 0, '767 787\r'),
	('NH', 324, 'TOY', 2324, 'ICN', 3930, 'Y', 0, '321\r'),
	('NH', 324, 'TPE', 2276, 'AKJ', 2299, 'Y', 0, '332\r'),
	('NH', 324, 'TPE', 2276, 'CTS', 2287, 'Y', 0, '332\r'),
	('NH', 324, 'TPE', 2276, 'FUK', 2305, 'Y', 0, '332 333\r'),
	('NH', 324, 'TPE', 2276, 'HKD', 2288, 'Y', 0, '332\r'),
	('NH', 324, 'TPE', 2276, 'KIX', 3992, '', 0, '321\r'),
	('NH', 324, 'TPE', 2276, 'KMQ', 2322, 'Y', 0, '321 332\r'),
	('NH', 324, 'TPE', 2276, 'NRT', 2279, '', 0, '763\r'),
	('NH', 324, 'TPE', 2276, 'OKJ', 2327, 'Y', 0, 'M90\r'),
	('NH', 324, 'TPE', 2276, 'SDJ', 2347, 'Y', 0, '321\r'),
	('NH', 324, 'TSA', 2275, 'HND', 2359, '', 0, '788 763\r'),
	('NH', 324, 'TSJ', 2297, 'FUK', 2305, 'Y', 0, '735 DH8\r'),
	('NH', 324, 'TSJ', 2297, 'NGS', 2313, 'Y', 0, 'DH2\r'),
	('NH', 324, 'TSN', 3368, 'DLC', 3404, 'Y', 0, '738\r'),
	('NH', 324, 'TTJ', 2335, 'HND', 2359, '', 0, '738 737 320\r'),
	('NH', 324, 'UBJ', 2296, 'HND', 2359, '', 0, '767\r'),
	('NH', 324, 'UKB', 3943, 'CTS', 2287, '', 0, '737\r'),
	('NH', 324, 'UKB', 3943, 'HND', 2359, '', 0, '767 737\r'),
	('NH', 324, 'UKB', 3943, 'OKA', 2384, 'Y', 0, '737\r'),
	('NH', 324, 'VIE', 1613, 'NRT', 2279, 'Y', 0, '772\r'),
	('NH', 324, 'WAW', 679, 'LHR', 507, 'Y', 0, '734\r'),
	('NH', 324, 'WKJ', 2294, 'CTS', 2287, '', 0, 'DH8\r'),
	('NH', 324, 'WKJ', 2294, 'HND', 2359, '', 0, '737\r'),
	('NH', 324, 'WUX', 6390, 'KIX', 3992, 'Y', 0, '738\r'),
	('NH', 324, 'XMN', 3383, 'NRT', 2279, '', 0, '763\r'),
	('NH', 324, 'YGJ', 2330, 'HND', 2359, '', 0, '737 767 738 320\r'),
	('NH', 324, 'YGJ', 2330, 'ICN', 3930, 'Y', 0, '321 320\r'),
	('NH', 324, 'YVR', 156, 'EWR', 3494, '', 0, '319\r'),
	('NH', 324, 'YVR', 156, 'HND', 2359, '', 0, '763\r'),
	('NH', 324, 'YVR', 156, 'NRT', 2279, 'Y', 0, '763\r'),
	('NH', 324, 'YYC', 178, 'NRT', 2279, 'Y', 0, '763\r'),
	('NH', 324, 'YYZ', 193, 'NRT', 2279, 'Y', 0, '77W\r'),
	('NH', 324, 'ZRH', 1678, 'NRT', 2279, 'Y', 0, '343\r'),
	('NHG', 3574, 'CCM', 2541, 'FLN', 2555, '', 0, 'L4T\r'),
	('NHG', 3574, 'CFC', 8244, 'CWB', 2545, '', 0, 'L4T\r'),
	('NHG', 3574, 'CFC', 8244, 'JCB', 7384, '', 0, 'L4T\r'),
	('NHG', 3574, 'CWB', 2545, 'CFC', 8244, '', 0, 'L4T\r'),
	('NHG', 3574, 'CWB', 2545, 'FLN', 2555, '', 0, 'L4T\r'),
	('NHG', 3574, 'CWB', 2545, 'GPB', 7383, '', 0, 'L4T\r'),
	('NHG', 3574, 'CWB', 2545, 'XAP', 2539, '', 0, 'L4T\r'),
	('NHG', 3574, 'ERM', 6477, 'JCB', 7384, '', 0, 'L4T\r'),
	('NHG', 3574, 'ERM', 6477, 'PFB', 2602, '', 0, 'L4T\r'),
	('NHG', 3574, 'FLN', 2555, 'CCM', 2541, '', 0, 'L4T\r'),
	('NHG', 3574, 'FLN', 2555, 'CWB', 2545, '', 0, 'L4T\r'),
	('NHG', 3574, 'FLN', 2555, 'JCB', 7384, '', 0, 'L4T\r'),
	('NHG', 3574, 'GEL', 2596, 'POA', 2599, '', 0, 'L4T\r'),
	('NHG', 3574, 'GEL', 2596, 'RIA', 6040, '', 0, 'L4T\r'),
	('NHG', 3574, 'GPB', 7383, 'CWB', 2545, '', 0, 'L4T\r'),
	('NHG', 3574, 'JCB', 7384, 'CFC', 8244, '', 0, 'L4T\r'),
	('NHG', 3574, 'JCB', 7384, 'ERM', 6477, '', 0, 'L4T\r'),
	('NHG', 3574, 'JCB', 7384, 'FLN', 2555, '', 0, 'L4T\r'),
	('NHG', 3574, 'PET', 2603, 'POA', 2599, '', 0, 'L4T\r'),
	('NHG', 3574, 'PET', 2603, 'RIG', 2611, '', 0, 'L4T\r'),
	('NHG', 3574, 'PFB', 2602, 'ERM', 6477, '', 0, 'L4T\r'),
	('NHG', 3574, 'PFB', 2602, 'POA', 2599, '', 0, 'L4T\r'),
	('NHG', 3574, 'POA', 2599, 'ERM', 6477, '', 0, 'L4T\r'),
	('NHG', 3574, 'POA', 2599, 'PFB', 2602, '', 0, 'L4T\r'),
	('NHG', 3574, 'POA', 2599, 'RIA', 6040, '', 0, 'L4T\r'),
	('NHG', 3574, 'POA', 2599, 'SRA', 6069, '', 0, 'L4T\r'),
	('NHG', 3574, 'RIA', 6040, 'GEL', 2596, '', 0, 'L4T\r'),
	('NHG', 3574, 'RIA', 6040, 'POA', 2599, '', 0, 'L4T\r'),
	('NHG', 3574, 'RIA', 6040, 'URG', 2632, '', 0, 'L4T\r'),
	('NHG', 3574, 'RIG', 2611, 'PET', 2603, '', 0, 'L4T\r'),
	('NHG', 3574, 'RIG', 2611, 'POA', 2599, '', 0, 'L4T\r'),
	('NHG', 3574, 'SRA', 6069, 'GEL', 2596, '', 0, 'L4T\r'),
	('NHG', 3574, 'URG', 2632, 'RIA', 6040, '', 0, 'L4T\r'),
	('NHG', 3574, 'XAP', 2539, 'CWB', 2545, '', 0, 'L4T\r'),
	('NK', 4687, 'ACY', 3524, 'BOS', 3448, '', 0, '319\r'),
	('NK', 4687, 'ACY', 3524, 'DTW', 3645, '', 0, '319\r'),
	('NK', 4687, 'ACY', 3524, 'FLL', 3533, '', 0, '320 319\r'),
	('NK', 4687, 'ACY', 3524, 'MCO', 3878, '', 0, '320\r'),
	('NK', 4687, 'ACY', 3524, 'MYR', 3515, '', 0, '320\r'),
	('NK', 4687, 'ACY', 3524, 'ORD', 3830, '', 0, '319\r'),
	('NK', 4687, 'ACY', 3524, 'RSW', 3793, '', 0, '319\r'),
	('NK', 4687, 'ACY', 3524, 'TPA', 3646, '', 0, '319\r'),
	('NK', 4687, 'ATL', 3682, 'DFW', 3670, '', 0, '320\r'),
	('NK', 4687, 'ATL', 3682, 'FLL', 3533, '', 0, '320 319\r'),
	('NK', 4687, 'AUA', 2895, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'AXM', 2705, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'BOG', 2709, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'BOS', 3448, 'ACY', 3524, '', 0, '319\r'),
	('NK', 4687, 'BOS', 3448, 'DFW', 3670, '', 0, '319\r'),
	('NK', 4687, 'BOS', 3448, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'BOS', 3448, 'MYR', 3515, '', 0, '320 319\r'),
	('NK', 4687, 'BOS', 3448, 'ORD', 3830, '', 0, '319\r'),
	('NK', 4687, 'BQN', 2885, 'FLL', 3533, '', 0, '320 319\r'),
	('NK', 4687, 'BWI', 3849, 'DFW', 3670, '', 0, '320\r'),
	('NK', 4687, 'BWI', 3849, 'FLL', 3533, '', 0, '320\r'),
	('NK', 4687, 'BWI', 3849, 'LAS', 3877, '', 0, '320\r'),
	('NK', 4687, 'BWI', 3849, 'MSP', 3858, '', 0, '319\r'),
	('NK', 4687, 'BWI', 3849, 'MYR', 3515, '', 0, '320\r'),
	('NK', 4687, 'CRW', 4285, 'MYR', 3515, '', 0, '319\r'),
	('NK', 4687, 'CTG', 2714, 'FLL', 3533, '', 0, '320 319\r'),
	('NK', 4687, 'CUN', 1852, 'DFW', 3670, '', 0, '320\r'),
	('NK', 4687, 'CUN', 1852, 'DTW', 3645, '', 0, '319\r'),
	('NK', 4687, 'CUN', 1852, 'FLL', 3533, '', 0, '320\r'),
	('NK', 4687, 'DEN', 3751, 'DFW', 3670, '', 0, '320 319\r'),
	('NK', 4687, 'DEN', 3751, 'DTW', 3645, '', 0, '320\r'),
	('NK', 4687, 'DEN', 3751, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'DEN', 3751, 'IAH', 3550, '', 0, '320\r'),
	('NK', 4687, 'DEN', 3751, 'LAS', 3877, '', 0, '319\r'),
	('NK', 4687, 'DEN', 3751, 'MSP', 3858, '', 0, '319\r'),
	('NK', 4687, 'DEN', 3751, 'ORD', 3830, '', 0, '320\r'),
	('NK', 4687, 'DEN', 3751, 'PHX', 3462, '', 0, '320 319\r'),
	('NK', 4687, 'DFW', 3670, 'ATL', 3682, '', 0, '320\r'),
	('NK', 4687, 'DFW', 3670, 'BOS', 3448, '', 0, '319\r'),
	('NK', 4687, 'DFW', 3670, 'BWI', 3849, '', 0, '320\r'),
	('NK', 4687, 'DFW', 3670, 'CUN', 1852, '', 0, '320\r'),
	('NK', 4687, 'DFW', 3670, 'DEN', 3751, '', 0, '320 319\r'),
	('NK', 4687, 'DFW', 3670, 'DTW', 3645, '', 0, '319 320\r'),
	('NK', 4687, 'DFW', 3670, 'FLL', 3533, '', 0, '320 319\r'),
	('NK', 4687, 'DFW', 3670, 'LAS', 3877, '', 0, '319 320\r'),
	('NK', 4687, 'DFW', 3670, 'LAX', 3484, '', 0, '319\r'),
	('NK', 4687, 'DFW', 3670, 'LGA', 3697, '', 0, '319\r'),
	('NK', 4687, 'DFW', 3670, 'MCO', 3878, '', 0, '319 320\r'),
	('NK', 4687, 'DFW', 3670, 'MSP', 3858, '', 0, '319\r'),
	('NK', 4687, 'DFW', 3670, 'MSY', 3861, '', 0, '319\r'),
	('NK', 4687, 'DFW', 3670, 'MYR', 3515, '', 0, '319\r'),
	('NK', 4687, 'DFW', 3670, 'OAK', 3453, '', 0, '319\r'),
	('NK', 4687, 'DFW', 3670, 'ORD', 3830, '', 0, '320\r'),
	('NK', 4687, 'DFW', 3670, 'PDX', 3720, '', 0, '320\r'),
	('NK', 4687, 'DFW', 3670, 'PHL', 3752, '', 0, '320\r'),
	('NK', 4687, 'DFW', 3670, 'PHX', 3462, '', 0, '319 320\r'),
	('NK', 4687, 'DFW', 3670, 'SAN', 3731, '', 0, '319\r'),
	('NK', 4687, 'DFW', 3670, 'SJD', 1840, '', 0, '320 319\r'),
	('NK', 4687, 'DFW', 3670, 'TPA', 3646, '', 0, '320\r'),
	('NK', 4687, 'DTW', 3645, 'ACY', 3524, '', 0, '319\r'),
	('NK', 4687, 'DTW', 3645, 'CUN', 1852, '', 0, '319\r'),
	('NK', 4687, 'DTW', 3645, 'DEN', 3751, '', 0, '320\r'),
	('NK', 4687, 'DTW', 3645, 'DFW', 3670, '', 0, '319\r'),
	('NK', 4687, 'DTW', 3645, 'FLL', 3533, '', 0, '319 320 321\r'),
	('NK', 4687, 'DTW', 3645, 'IAH', 3550, '', 0, '320\r'),
	('NK', 4687, 'DTW', 3645, 'LAS', 3877, '', 0, '319 320\r'),
	('NK', 4687, 'DTW', 3645, 'LAX', 3484, '', 0, '320\r'),
	('NK', 4687, 'DTW', 3645, 'LGA', 3697, '', 0, '320\r'),
	('NK', 4687, 'DTW', 3645, 'MCO', 3878, '', 0, '321 320 319\r'),
	('NK', 4687, 'DTW', 3645, 'MYR', 3515, '', 0, '320\r'),
	('NK', 4687, 'DTW', 3645, 'RSW', 3793, '', 0, '319\r'),
	('NK', 4687, 'DTW', 3645, 'TPA', 3646, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'ACY', 3524, '', 0, '320 319\r'),
	('NK', 4687, 'FLL', 3533, 'ATL', 3682, '', 0, '320 319\r'),
	('NK', 4687, 'FLL', 3533, 'AUA', 2895, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'AXM', 2705, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'BOG', 2709, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'BOS', 3448, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'BQN', 2885, '', 0, '319 320\r'),
	('NK', 4687, 'FLL', 3533, 'BWI', 3849, '', 0, '320\r'),
	('NK', 4687, 'FLL', 3533, 'CTG', 2714, '', 0, '320 319\r'),
	('NK', 4687, 'FLL', 3533, 'CUN', 1852, '', 0, '320\r'),
	('NK', 4687, 'FLL', 3533, 'DEN', 3751, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'DFW', 3670, '', 0, '319 320\r'),
	('NK', 4687, 'FLL', 3533, 'DTW', 3645, '', 0, '320 319 321\r'),
	('NK', 4687, 'FLL', 3533, 'GUA', 1767, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'IAG', 3630, '', 0, '320\r'),
	('NK', 4687, 'FLL', 3533, 'KIN', 1779, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'LAS', 3877, '', 0, '320\r'),
	('NK', 4687, 'FLL', 3533, 'LAX', 3484, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'LBE', 5747, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'LGA', 3697, '', 0, '320 321\r'),
	('NK', 4687, 'FLL', 3533, 'LIM', 2789, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'MBJ', 1780, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'MCO', 3878, '', 0, '320\r'),
	('NK', 4687, 'FLL', 3533, 'MDE', 2745, '', 0, '320\r'),
	('NK', 4687, 'FLL', 3533, 'MGA', 1863, '', 0, '320\r'),
	('NK', 4687, 'FLL', 3533, 'MYR', 3515, '', 0, '320 319\r'),
	('NK', 4687, 'FLL', 3533, 'ORD', 3830, '', 0, '320 319\r'),
	('NK', 4687, 'FLL', 3533, 'PAP', 1897, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'PBG', 3771, '', 0, '320\r'),
	('NK', 4687, 'FLL', 3533, 'PTY', 1871, '', 0, '320 319\r'),
	('NK', 4687, 'FLL', 3533, 'PUJ', 1760, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'SAL', 1892, '', 0, '320 319\r'),
	('NK', 4687, 'FLL', 3533, 'SAP', 1772, '', 0, '320 319\r'),
	('NK', 4687, 'FLL', 3533, 'SDQ', 1762, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'SJO', 1885, '', 0, '320\r'),
	('NK', 4687, 'FLL', 3533, 'SJU', 2890, '', 0, '321 320\r'),
	('NK', 4687, 'FLL', 3533, 'STI', 1764, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'STT', 2883, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'SXM', 2899, '', 0, '320\r'),
	('NK', 4687, 'FLL', 3533, 'TLC', 1850, '', 0, '319\r'),
	('NK', 4687, 'FLL', 3533, 'TPA', 3646, '', 0, '319 321\r'),
	('NK', 4687, 'FLL', 3533, 'ZSA', 1956, '', 0, '319\r'),
	('NK', 4687, 'GUA', 1767, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'IAG', 3630, 'FLL', 3533, '', 0, '320\r'),
	('NK', 4687, 'IAG', 3630, 'MYR', 3515, '', 0, '320\r'),
	('NK', 4687, 'IAH', 3550, 'DEN', 3751, '', 0, '320\r'),
	('NK', 4687, 'IAH', 3550, 'DTW', 3645, '', 0, '320\r'),
	('NK', 4687, 'IAH', 3550, 'LAS', 3877, '', 0, '319\r'),
	('NK', 4687, 'IAH', 3550, 'LAX', 3484, '', 0, '320\r'),
	('NK', 4687, 'IAH', 3550, 'MCO', 3878, '', 0, '320\r'),
	('NK', 4687, 'IAH', 3550, 'MSP', 3858, '', 0, '319\r'),
	('NK', 4687, 'IAH', 3550, 'ORD', 3830, '', 0, '319\r'),
	('NK', 4687, 'KIN', 1779, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'LAS', 3877, 'BWI', 3849, '', 0, '320\r'),
	('NK', 4687, 'LAS', 3877, 'DEN', 3751, '', 0, '319\r'),
	('NK', 4687, 'LAS', 3877, 'DFW', 3670, '', 0, '320 319\r'),
	('NK', 4687, 'LAS', 3877, 'DTW', 3645, '', 0, '320 319\r'),
	('NK', 4687, 'LAS', 3877, 'FLL', 3533, '', 0, '320\r'),
	('NK', 4687, 'LAS', 3877, 'IAH', 3550, '', 0, '319\r'),
	('NK', 4687, 'LAS', 3877, 'LAX', 3484, '', 0, '319\r'),
	('NK', 4687, 'LAS', 3877, 'MSP', 3858, '', 0, '320\r'),
	('NK', 4687, 'LAS', 3877, 'OAK', 3453, '', 0, '319 320\r'),
	('NK', 4687, 'LAS', 3877, 'ORD', 3830, '', 0, '319 320\r'),
	('NK', 4687, 'LAS', 3877, 'PDX', 3720, '', 0, '319\r'),
	('NK', 4687, 'LAS', 3877, 'PHL', 3752, '', 0, '320\r'),
	('NK', 4687, 'LAS', 3877, 'SAN', 3731, '', 0, '320 319\r'),
	('NK', 4687, 'LAX', 3484, 'DFW', 3670, '', 0, '319\r'),
	('NK', 4687, 'LAX', 3484, 'DTW', 3645, '', 0, '320\r'),
	('NK', 4687, 'LAX', 3484, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'LAX', 3484, 'IAH', 3550, '', 0, '320\r'),
	('NK', 4687, 'LAX', 3484, 'LAS', 3877, '', 0, '319\r'),
	('NK', 4687, 'LAX', 3484, 'MSP', 3858, '', 0, '319\r'),
	('NK', 4687, 'LAX', 3484, 'ORD', 3830, '', 0, '319\r'),
	('NK', 4687, 'LBE', 5747, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'LBE', 5747, 'MCO', 3878, '', 0, '320\r'),
	('NK', 4687, 'LBE', 5747, 'MYR', 3515, '', 0, '320\r'),
	('NK', 4687, 'LGA', 3697, 'DFW', 3670, '', 0, '319\r'),
	('NK', 4687, 'LGA', 3697, 'DTW', 3645, '', 0, '320\r'),
	('NK', 4687, 'LGA', 3697, 'FLL', 3533, '', 0, '321 320\r'),
	('NK', 4687, 'LGA', 3697, 'MYR', 3515, '', 0, '320\r'),
	('NK', 4687, 'LGA', 3697, 'ORD', 3830, '', 0, '320\r'),
	('NK', 4687, 'LIM', 2789, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'MBJ', 1780, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'MCO', 3878, 'ACY', 3524, '', 0, '320\r'),
	('NK', 4687, 'MCO', 3878, 'DFW', 3670, '', 0, '320 319\r'),
	('NK', 4687, 'MCO', 3878, 'DTW', 3645, '', 0, '321 320 319\r'),
	('NK', 4687, 'MCO', 3878, 'FLL', 3533, '', 0, '319 320\r'),
	('NK', 4687, 'MCO', 3878, 'IAH', 3550, '', 0, '320\r'),
	('NK', 4687, 'MCO', 3878, 'LBE', 5747, '', 0, '320\r'),
	('NK', 4687, 'MCO', 3878, 'ORD', 3830, '', 0, '320\r'),
	('NK', 4687, 'MCO', 3878, 'SJU', 2890, '', 0, '321 320\r'),
	('NK', 4687, 'MDE', 2745, 'FLL', 3533, '', 0, '320\r'),
	('NK', 4687, 'MGA', 1863, 'FLL', 3533, '', 0, '320\r'),
	('NK', 4687, 'MSP', 3858, 'BWI', 3849, '', 0, '319\r'),
	('NK', 4687, 'MSP', 3858, 'DEN', 3751, '', 0, '319\r'),
	('NK', 4687, 'MSP', 3858, 'DFW', 3670, '', 0, '319\r'),
	('NK', 4687, 'MSP', 3858, 'IAH', 3550, '', 0, '319\r'),
	('NK', 4687, 'MSP', 3858, 'LAS', 3877, '', 0, '320\r'),
	('NK', 4687, 'MSP', 3858, 'LAX', 3484, '', 0, '319\r'),
	('NK', 4687, 'MSP', 3858, 'ORD', 3830, '', 0, '320 319\r'),
	('NK', 4687, 'MSY', 3861, 'DFW', 3670, '', 0, '319\r'),
	('NK', 4687, 'MYR', 3515, 'ACY', 3524, '', 0, '320\r'),
	('NK', 4687, 'MYR', 3515, 'BOS', 3448, '', 0, '320 319\r'),
	('NK', 4687, 'MYR', 3515, 'BWI', 3849, '', 0, '320\r'),
	('NK', 4687, 'MYR', 3515, 'CRW', 4285, '', 0, '319\r'),
	('NK', 4687, 'MYR', 3515, 'DFW', 3670, '', 0, '319\r'),
	('NK', 4687, 'MYR', 3515, 'DTW', 3645, '', 0, '320\r'),
	('NK', 4687, 'MYR', 3515, 'FLL', 3533, '', 0, '320 319\r'),
	('NK', 4687, 'MYR', 3515, 'IAG', 3630, '', 0, '320\r'),
	('NK', 4687, 'MYR', 3515, 'LBE', 5747, '', 0, '320\r'),
	('NK', 4687, 'MYR', 3515, 'LGA', 3697, '', 0, '320\r'),
	('NK', 4687, 'MYR', 3515, 'ORD', 3830, '', 0, '320\r'),
	('NK', 4687, 'MYR', 3515, 'PBG', 3771, '', 0, '320\r'),
	('NK', 4687, 'MYR', 3515, 'PHL', 3752, '', 0, '320\r'),
	('NK', 4687, 'OAK', 3453, 'DFW', 3670, '', 0, '319\r'),
	('NK', 4687, 'OAK', 3453, 'LAS', 3877, '', 0, '320 319\r'),
	('NK', 4687, 'OAK', 3453, 'ORD', 3830, '', 0, '319\r'),
	('NK', 4687, 'ORD', 3830, 'ACY', 3524, '', 0, '319\r'),
	('NK', 4687, 'ORD', 3830, 'BOS', 3448, '', 0, '319\r'),
	('NK', 4687, 'ORD', 3830, 'DEN', 3751, '', 0, '320\r'),
	('NK', 4687, 'ORD', 3830, 'DFW', 3670, '', 0, '320\r'),
	('NK', 4687, 'ORD', 3830, 'FLL', 3533, '', 0, '319 320\r'),
	('NK', 4687, 'ORD', 3830, 'IAH', 3550, '', 0, '319\r'),
	('NK', 4687, 'ORD', 3830, 'LAS', 3877, '', 0, '320 319\r'),
	('NK', 4687, 'ORD', 3830, 'LAX', 3484, '', 0, '319\r'),
	('NK', 4687, 'ORD', 3830, 'LGA', 3697, '', 0, '320\r'),
	('NK', 4687, 'ORD', 3830, 'MCO', 3878, '', 0, '320\r'),
	('NK', 4687, 'ORD', 3830, 'MSP', 3858, '', 0, '319 320\r'),
	('NK', 4687, 'ORD', 3830, 'MYR', 3515, '', 0, '320\r'),
	('NK', 4687, 'ORD', 3830, 'OAK', 3453, '', 0, '319\r'),
	('NK', 4687, 'ORD', 3830, 'RSW', 3793, '', 0, '319\r'),
	('NK', 4687, 'ORD', 3830, 'TPA', 3646, '', 0, '319\r'),
	('NK', 4687, 'PAP', 1897, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'PBG', 3771, 'FLL', 3533, '', 0, '320\r'),
	('NK', 4687, 'PBG', 3771, 'MYR', 3515, '', 0, '320\r'),
	('NK', 4687, 'PDX', 3720, 'DFW', 3670, '', 0, '320\r'),
	('NK', 4687, 'PDX', 3720, 'LAS', 3877, '', 0, '319\r'),
	('NK', 4687, 'PDX', 3720, 'SAN', 3731, '', 0, '319\r'),
	('NK', 4687, 'PHL', 3752, 'DFW', 3670, '', 0, '320\r'),
	('NK', 4687, 'PHL', 3752, 'LAS', 3877, '', 0, '320\r'),
	('NK', 4687, 'PHL', 3752, 'MYR', 3515, '', 0, '320\r'),
	('NK', 4687, 'PHX', 3462, 'DEN', 3751, '', 0, '320 319\r'),
	('NK', 4687, 'PHX', 3462, 'DFW', 3670, '', 0, '320 319\r'),
	('NK', 4687, 'PTY', 1871, 'FLL', 3533, '', 0, '320 319\r'),
	('NK', 4687, 'PUJ', 1760, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'RSW', 3793, 'ACY', 3524, '', 0, '319\r'),
	('NK', 4687, 'RSW', 3793, 'DTW', 3645, '', 0, '319\r'),
	('NK', 4687, 'RSW', 3793, 'ORD', 3830, '', 0, '319\r'),
	('NK', 4687, 'SAL', 1892, 'FLL', 3533, '', 0, '320 319\r'),
	('NK', 4687, 'SAN', 3731, 'DFW', 3670, '', 0, '319\r'),
	('NK', 4687, 'SAN', 3731, 'LAS', 3877, '', 0, '319 320\r'),
	('NK', 4687, 'SAN', 3731, 'PDX', 3720, '', 0, '319\r'),
	('NK', 4687, 'SAN', 3731, 'SJD', 1840, '', 0, '319\r'),
	('NK', 4687, 'SAP', 1772, 'FLL', 3533, '', 0, '320 319\r'),
	('NK', 4687, 'SDQ', 1762, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'SJD', 1840, 'DFW', 3670, '', 0, '320 319\r'),
	('NK', 4687, 'SJD', 1840, 'SAN', 3731, '', 0, '319\r'),
	('NK', 4687, 'SJO', 1885, 'FLL', 3533, '', 0, '320\r'),
	('NK', 4687, 'SJU', 2890, 'FLL', 3533, '', 0, '321 320\r'),
	('NK', 4687, 'SJU', 2890, 'MCO', 3878, '', 0, '321 320\r'),
	('NK', 4687, 'STI', 1764, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'STT', 2883, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'SXM', 2899, 'FLL', 3533, '', 0, '320\r'),
	('NK', 4687, 'TLC', 1850, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'TPA', 3646, 'ACY', 3524, '', 0, '319\r'),
	('NK', 4687, 'TPA', 3646, 'DFW', 3670, '', 0, '320\r'),
	('NK', 4687, 'TPA', 3646, 'DTW', 3645, '', 0, '319\r'),
	('NK', 4687, 'TPA', 3646, 'FLL', 3533, '', 0, '319\r'),
	('NK', 4687, 'TPA', 3646, 'ORD', 3830, '', 0, '319\r'),
	('NK', 4687, 'ZSA', 1956, 'FLL', 3533, '', 0, '319\r'),
	('NL', 4311, 'AAN', 5937, 'PEW', 2219, '', 0, '734\r'),
	('NL', 4311, 'AUH', 2179, 'ISB', 2223, '', 0, '734 320\r'),
	('NL', 4311, 'AUH', 2179, 'LHE', 2207, '', 0, '734\r'),
	('NL', 4311, 'AUH', 2179, 'PEW', 2219, '', 0, '320 734\r'),
	('NL', 4311, 'DMM', 2064, 'ISB', 2223, '', 0, '734\r'),
	('NL', 4311, 'DMM', 2064, 'LHE', 2207, '', 0, '320\r'),
	('NL', 4311, 'DXB', 2188, 'ISB', 2223, '', 0, '734\r'),
	('NL', 4311, 'DXB', 2188, 'KHI', 2206, '', 0, '320\r'),
	('NL', 4311, 'DXB', 2188, 'LHE', 2207, '', 0, '320\r'),
	('NL', 4311, 'DXB', 2188, 'MUX', 2214, '', 0, '734\r'),
	('NL', 4311, 'DXB', 2188, 'PEW', 2219, '', 0, '320\r'),
	('NL', 4311, 'ISB', 2223, 'AUH', 2179, '', 0, '734 320\r'),
	('NL', 4311, 'ISB', 2223, 'DXB', 2188, '', 0, '734\r'),
	('NL', 4311, 'ISB', 2223, 'JED', 2072, '', 0, '333\r'),
	('NL', 4311, 'ISB', 2223, 'KHI', 2206, '', 0, '320 734\r'),
	('NL', 4311, 'ISB', 2223, 'RUH', 2082, '', 0, '333\r'),
	('NL', 4311, 'ISB', 2223, 'SKZ', 2227, '', 0, '734\r'),
	('NL', 4311, 'ISB', 2223, 'UET', 2221, '', 0, '734\r'),
	('NL', 4311, 'JED', 2072, 'ISB', 2223, '', 0, '333\r'),
	('NL', 4311, 'JED', 2072, 'LHE', 2207, '', 0, '333 320\r'),
	('NL', 4311, 'JED', 2072, 'PEW', 2219, '', 0, '333\r'),
	('NL', 4311, 'KHI', 2206, 'DXB', 2188, '', 0, '320\r'),
	('NL', 4311, 'KHI', 2206, 'ISB', 2223, '', 0, '320 734\r'),
	('NL', 4311, 'KHI', 2206, 'LHE', 2207, '', 0, '734 320\r'),
	('NL', 4311, 'KHI', 2206, 'MUX', 2214, '', 0, '320 734\r'),
	('NL', 4311, 'KHI', 2206, 'PEW', 2219, '', 0, '734 320\r'),
	('NL', 4311, 'KHI', 2206, 'UET', 2221, '', 0, '734\r'),
	('NL', 4311, 'KWI', 2176, 'LHE', 2207, '', 0, '320\r'),
	('NL', 4311, 'LHE', 2207, 'AUH', 2179, '', 0, '734\r'),
	('NL', 4311, 'LHE', 2207, 'DMM', 2064, '', 0, '320\r'),
	('NL', 4311, 'LHE', 2207, 'DXB', 2188, '', 0, '320\r'),
	('NL', 4311, 'LHE', 2207, 'JED', 2072, '', 0, '333 320\r'),
	('NL', 4311, 'LHE', 2207, 'KHI', 2206, '', 0, '734 320\r'),
	('NL', 4311, 'LHE', 2207, 'KWI', 2176, '', 0, '320\r'),
	('NL', 4311, 'LHE', 2207, 'MCT', 2194, '', 0, '320 734 333\r'),
	('NL', 4311, 'LHE', 2207, 'MHD', 4331, '', 0, '320\r'),
	('NL', 4311, 'LHE', 2207, 'RUH', 2082, '', 0, '333\r'),
	('NL', 4311, 'LHE', 2207, 'UET', 2221, '', 0, '734\r'),
	('NL', 4311, 'MCT', 2194, 'LHE', 2207, '', 0, '320 734 333\r'),
	('NL', 4311, 'MCT', 2194, 'PEW', 2219, '', 0, '320\r'),
	('NL', 4311, 'MCT', 2194, 'SKT', 6776, '', 0, '320\r'),
	('NL', 4311, 'MED', 2074, 'MUX', 2214, '', 0, '320\r'),
	('NL', 4311, 'MHD', 4331, 'LHE', 2207, '', 0, '320\r'),
	('NL', 4311, 'MUX', 2214, 'DXB', 2188, '', 0, '734\r'),
	('NL', 4311, 'MUX', 2214, 'KHI', 2206, '', 0, '320 734\r'),
	('NL', 4311, 'MUX', 2214, 'MED', 2074, '', 0, '320\r'),
	('NL', 4311, 'PEW', 2219, 'AAN', 5937, '', 0, '734\r'),
	('NL', 4311, 'PEW', 2219, 'AUH', 2179, '', 0, '734 320\r'),
	('NL', 4311, 'PEW', 2219, 'DXB', 2188, '', 0, '320\r'),
	('NL', 4311, 'PEW', 2219, 'JED', 2072, '', 0, '333\r'),
	('NL', 4311, 'PEW', 2219, 'KHI', 2206, '', 0, '320 734\r'),
	('NL', 4311, 'PEW', 2219, 'MCT', 2194, '', 0, '320\r'),
	('NL', 4311, 'PEW', 2219, 'RUH', 2082, '', 0, '320 333\r'),
	('NL', 4311, 'PEW', 2219, 'SHJ', 2191, '', 0, '734\r'),
	('NL', 4311, 'RUH', 2082, 'ISB', 2223, '', 0, '333\r'),
	('NL', 4311, 'RUH', 2082, 'LHE', 2207, '', 0, '333\r'),
	('NL', 4311, 'RUH', 2082, 'PEW', 2219, '', 0, '320 333\r'),
	('NL', 4311, 'SHJ', 2191, 'PEW', 2219, '', 0, '734\r'),
	('NL', 4311, 'SHJ', 2191, 'SKT', 6776, '', 0, '734\r'),
	('NL', 4311, 'SKT', 6776, 'SHJ', 2191, '', 0, '734\r'),
	('NL', 4311, 'SKZ', 2227, 'ISB', 2223, '', 0, '734\r'),
	('NL', 4311, 'UET', 2221, 'ISB', 2223, '', 0, '734\r'),
	('NL', 4311, 'UET', 2221, 'KHI', 2206, '', 0, '734\r'),
	('NL', 4311, 'UET', 2221, 'LHE', 2207, '', 0, '734\r'),
	('NP', 17083, 'CAI', 1128, 'ELQ', 2067, '', 0, '320\r'),
	('NP', 17083, 'CAI', 1128, 'JED', 2072, '', 0, '320\r'),
	('NP', 17083, 'CAI', 1128, 'TIF', 2090, '', 0, '320\r'),
	('NP', 17083, 'CAI', 1128, 'TUU', 2089, '', 0, '320\r'),
	('NP', 17083, 'CAI', 1128, 'YNB', 2096, '', 0, '320\r'),
	('NP', 17083, 'ELQ', 2067, 'CAI', 1128, '', 0, '320\r'),
	('NP', 17083, 'HBE', 3410, 'ELQ', 2067, '', 0, '320\r'),
	('NP', 17083, 'HBE', 3410, 'JED', 2072, '', 0, '320\r'),
	('NP', 17083, 'HBE', 3410, 'KWI', 2176, '', 0, '320\r'),
	('NP', 17083, 'HBE', 3410, 'YNB', 2096, '', 0, '320\r'),
	('NP', 17083, 'JED', 2072, 'CAI', 1128, '', 0, '320\r'),
	('NP', 17083, 'JED', 2072, 'HBE', 3410, '', 0, '320\r'),
	('NP', 17083, 'KWI', 2176, 'HBE', 3410, '', 0, '320\r'),
	('NP', 17083, 'TIF', 2090, 'CAI', 1128, '', 0, '320\r'),
	('NP', 17083, 'TUU', 2089, 'CAI', 1128, '', 0, '320\r'),
	('NP', 17083, 'YNB', 2096, 'CAI', 1128, '', 0, '320\r'),
	('NS', 16136, 'CAN', 3370, 'SJW', 6347, '', 0, '73G\r'),
	('NS', 16136, 'CGO', 3375, 'TSN', 3368, '', 0, '738\r'),
	('NS', 16136, 'CGO', 3375, 'WNZ', 6392, '', 0, '738\r'),
	('NS', 16136, 'CKG', 3393, 'NNG', 3373, '', 0, 'E90\r'),
	('NS', 16136, 'CKG', 3393, 'SJW', 6347, '', 0, 'E90\r'),
	('NS', 16136, 'CKG', 3393, 'WNZ', 6392, '', 0, '738\r'),
	('NS', 16136, 'CSX', 3371, 'KWE', 3394, '', 0, '738\r'),
	('NS', 16136, 'CSX', 3371, 'WNZ', 6392, '', 0, '738\r'),
	('NS', 16136, 'CTU', 3395, 'SJW', 6347, '', 0, '73G\r'),
	('NS', 16136, 'FOC', 3385, 'NKG', 3388, '', 0, 'E90\r'),
	('NS', 16136, 'HAK', 4120, 'NNG', 3373, '', 0, '738\r'),
	('NS', 16136, 'HAK', 4120, 'WNZ', 6392, '', 0, '738\r'),
	('NS', 16136, 'HGH', 3386, 'SJW', 6347, '', 0, 'E90 73G\r'),
	('NS', 16136, 'HGH', 3386, 'SYX', 4030, '', 0, 'E90\r'),
	('NS', 16136, 'JJN', 6386, 'NKG', 3388, '', 0, 'E90\r'),
	('NS', 16136, 'KMG', 3382, 'SJW', 6347, '', 0, '73G\r'),
	('NS', 16136, 'KWE', 3394, 'CSX', 3371, '', 0, '738\r'),
	('NS', 16136, 'KWL', 3372, 'XIY', 3379, '', 0, 'E90\r'),
	('NS', 16136, 'MIG', 6400, 'XIY', 3379, '', 0, 'E90\r'),
	('NS', 16136, 'NGB', 3387, 'SJW', 6347, '', 0, 'E90\r'),
	('NS', 16136, 'NGB', 3387, 'ZUH', 6355, '', 0, 'E90\r'),
	('NS', 16136, 'NKG', 3388, 'FOC', 3385, '', 0, 'E90\r'),
	('NS', 16136, 'NKG', 3388, 'JJN', 6386, '', 0, 'E90\r'),
	('NS', 16136, 'NKG', 3388, 'SJW', 6347, '', 0, '73G E90\r'),
	('NS', 16136, 'NKG', 3388, 'XMN', 3383, '', 0, '73G\r'),
	('NS', 16136, 'NNG', 3373, 'CKG', 3393, '', 0, 'E90\r'),
	('NS', 16136, 'NNG', 3373, 'HAK', 4120, '', 0, '738\r'),
	('NS', 16136, 'SHA', 3391, 'SJW', 6347, '', 0, 'E90\r'),
	('NS', 16136, 'SHP', 6429, 'SJW', 6347, '', 0, 'E90\r'),
	('NS', 16136, 'SHP', 6429, 'TAO', 3390, '', 0, 'E90\r'),
	('NS', 16136, 'SJW', 6347, 'CAN', 3370, '', 0, '73G\r'),
	('NS', 16136, 'SJW', 6347, 'CKG', 3393, '', 0, 'E90\r'),
	('NS', 16136, 'SJW', 6347, 'CTU', 3395, '', 0, '73G\r'),
	('NS', 16136, 'SJW', 6347, 'HGH', 3386, '', 0, 'E90 73G\r'),
	('NS', 16136, 'SJW', 6347, 'KMG', 3382, '', 0, '73G\r'),
	('NS', 16136, 'SJW', 6347, 'NGB', 3387, '', 0, 'E90\r'),
	('NS', 16136, 'SJW', 6347, 'NKG', 3388, '', 0, '73G E90\r'),
	('NS', 16136, 'SJW', 6347, 'SHA', 3391, '', 0, 'E90\r'),
	('NS', 16136, 'SJW', 6347, 'SHP', 6429, '', 0, 'E90\r'),
	('NS', 16136, 'SJW', 6347, 'SZX', 3374, '', 0, '73G\r'),
	('NS', 16136, 'SJW', 6347, 'WNZ', 6392, '', 0, '738\r'),
	('NS', 16136, 'SJW', 6347, 'XIY', 3379, '', 0, 'E90\r'),
	('NS', 16136, 'SYX', 4030, 'HGH', 3386, '', 0, 'E90\r'),
	('NS', 16136, 'SZX', 3374, 'SJW', 6347, '', 0, '73G\r'),
	('NS', 16136, 'TAO', 3390, 'SHP', 6429, '', 0, 'E90\r'),
	('NS', 16136, 'TSN', 3368, 'CGO', 3375, '', 0, '738\r'),
	('NS', 16136, 'WNZ', 6392, 'CGO', 3375, '', 0, '738\r'),
	('NS', 16136, 'WNZ', 6392, 'CKG', 3393, '', 0, '738\r'),
	('NS', 16136, 'WNZ', 6392, 'CSX', 3371, '', 0, '738\r'),
	('NS', 16136, 'WNZ', 6392, 'HAK', 4120, '', 0, '738\r'),
	('NS', 16136, 'WNZ', 6392, 'SJW', 6347, '', 0, '738\r'),
	('NS', 16136, 'WNZ', 6392, 'WUH', 3376, '', 0, '73G\r'),
	('NS', 16136, 'WNZ', 6392, 'XIY', 3379, '', 0, '73G\r'),
	('NS', 16136, 'WUH', 3376, 'WNZ', 6392, '', 0, '73G\r'),
	('NS', 16136, 'XIY', 3379, 'KWL', 3372, '', 0, 'E90\r'),
	('NS', 16136, 'XIY', 3379, 'MIG', 6400, '', 0, 'E90\r'),
	('NS', 16136, 'XIY', 3379, 'SJW', 6347, '', 0, 'E90\r'),
	('NS', 16136, 'XIY', 3379, 'WNZ', 6392, '', 0, '73G\r'),
	('NS', 16136, 'XMN', 3383, 'NKG', 3388, '', 0, '73G\r'),
	('NS', 16136, 'ZUH', 6355, 'NGB', 3387, '', 0, 'E90\r'),
	('NT', 1539, 'ACE', 1055, 'LPA', 1054, '', 0, 'CR9 AT7\r'),
	('NT', 1539, 'ACE', 1055, 'TFN', 1057, '', 0, 'AT7\r'),
	('NT', 1539, 'AGA', 1064, 'LPA', 1054, 'Y', 0, 'AT7\r'),
	('NT', 1539, 'BJL', 1050, 'LPA', 1054, 'Y', 0, 'CR9\r'),
	('NT', 1539, 'CMN', 1074, 'LPA', 1054, 'Y', 0, 'AT7\r'),
	('NT', 1539, 'DKR', 1084, 'LPA', 1054, '', 0, 'CR9\r'),
	('NT', 1539, 'DKR', 1084, 'TFN', 1057, '', 0, 'CR9\r'),
	('NT', 1539, 'EUN', 5672, 'LPA', 1054, 'Y', 0, 'AT7\r'),
	('NT', 1539, 'FNC', 4091, 'LPA', 1054, '', 0, 'DH4\r'),
	('NT', 1539, 'FNC', 4091, 'PDL', 1633, '', 0, 'DH4\r'),
	('NT', 1539, 'FUE', 1051, 'LPA', 1054, '', 0, 'AT7\r'),
	('NT', 1539, 'FUE', 1051, 'TFN', 1057, '', 0, 'AT7\r'),
	('NT', 1539, 'GMZ', 5659, 'TFN', 1057, 'Y', 0, 'AT7\r'),
	('NT', 1539, 'LIS', 1638, 'LPA', 1054, 'Y', 0, 'CR9\r'),
	('NT', 1539, 'LPA', 1054, 'ACE', 1055, '', 0, 'CR9 AT7\r'),
	('NT', 1539, 'LPA', 1054, 'AGA', 1064, 'Y', 0, 'AT7\r'),
	('NT', 1539, 'LPA', 1054, 'BJL', 1050, 'Y', 0, 'CR9\r'),
	('NT', 1539, 'LPA', 1054, 'CMN', 1074, 'Y', 0, 'AT7\r'),
	('NT', 1539, 'LPA', 1054, 'DKR', 1084, '', 0, 'CR9\r'),
	('NT', 1539, 'LPA', 1054, 'EUN', 5672, 'Y', 0, 'AT7\r'),
	('NT', 1539, 'LPA', 1054, 'FNC', 4091, '', 0, 'DH4\r'),
	('NT', 1539, 'LPA', 1054, 'FUE', 1051, '', 0, 'AT7\r'),
	('NT', 1539, 'LPA', 1054, 'LIS', 1638, 'Y', 0, 'CR9\r'),
	('NT', 1539, 'LPA', 1054, 'RAI', 5674, 'Y', 0, 'CR9\r'),
	('NT', 1539, 'LPA', 1054, 'RAK', 1075, 'Y', 0, 'CR9\r'),
	('NT', 1539, 'LPA', 1054, 'SPC', 1053, '', 0, 'AT7\r'),
	('NT', 1539, 'LPA', 1054, 'TFN', 1057, '', 0, 'AT7\r'),
	('NT', 1539, 'LPA', 1054, 'TFS', 1056, '', 0, 'AT7\r'),
	('NT', 1539, 'LPA', 1054, 'VDE', 1052, '', 0, 'AT7\r'),
	('NT', 1539, 'PDL', 1633, 'FNC', 4091, '', 0, 'DH4\r'),
	('NT', 1539, 'RAI', 5674, 'LPA', 1054, 'Y', 0, 'CR9\r'),
	('NT', 1539, 'RAK', 1075, 'LPA', 1054, 'Y', 0, 'CR9\r'),
	('NT', 1539, 'SPC', 1053, 'LPA', 1054, '', 0, 'AT7\r'),
	('NT', 1539, 'SPC', 1053, 'TFN', 1057, '', 0, 'AT7\r'),
	('NT', 1539, 'TFN', 1057, 'ACE', 1055, '', 0, 'AT7\r'),
	('NT', 1539, 'TFN', 1057, 'DKR', 1084, '', 0, 'CR9\r'),
	('NT', 1539, 'TFN', 1057, 'FUE', 1051, '', 0, 'AT7\r'),
	('NT', 1539, 'TFN', 1057, 'GMZ', 5659, 'Y', 0, 'AT7\r'),
	('NT', 1539, 'TFN', 1057, 'LPA', 1054, '', 0, 'AT7 CR9\r'),
	('NT', 1539, 'TFN', 1057, 'SPC', 1053, '', 0, 'AT7\r'),
	('NT', 1539, 'TFN', 1057, 'VDE', 1052, '', 0, 'AT7\r'),
	('NT', 1539, 'TFS', 1056, 'LPA', 1054, '', 0, 'AT7\r'),
	('NT', 1539, 'TFS', 1056, 'VDE', 1052, '', 0, 'AT7\r'),
	('NT', 1539, 'VDE', 1052, 'LPA', 1054, '', 0, 'AT7\r'),
	('NT', 1539, 'VDE', 1052, 'TFN', 1057, '', 0, 'AT7\r'),
	('NT', 1539, 'VDE', 1052, 'TFS', 1056, '', 0, 'AT7\r'),
	('NU', 2990, 'FUK', 2305, 'OKA', 2384, '', 0, '734\r'),
	('NU', 2990, 'HND', 2359, 'ISG', 2387, '', 0, '734\r'),
	('NU', 2990, 'HND', 2359, 'MMY', 2390, '', 0, '734\r'),
	('NU', 2990, 'ISG', 2387, 'HND', 2359, '', 0, '734\r'),
	('NU', 2990, 'ISG', 2387, 'KIX', 3992, '', 0, '734\r'),
	('NU', 2990, 'ISG', 2387, 'OKA', 2384, '', 0, '734\r'),
	('NU', 2990, 'KIX', 3992, 'ISG', 2387, '', 0, '734\r'),
	('NU', 2990, 'KIX', 3992, 'OKA', 2384, '', 0, '734\r'),
	('NU', 2990, 'KMQ', 2322, 'OKA', 2384, '', 0, '734\r'),
	('NU', 2990, 'MMY', 2390, 'HND', 2359, '', 0, '734\r'),
	('NU', 2990, 'MMY', 2390, 'OKA', 2384, '', 0, '734\r'),
	('NU', 2990, 'NGO', 3942, 'OKA', 2384, '', 0, '734\r'),
	('NU', 2990, 'OKA', 2384, 'FUK', 2305, '', 0, '734\r'),
	('NU', 2990, 'OKA', 2384, 'ISG', 2387, '', 0, '734\r'),
	('NU', 2990, 'OKA', 2384, 'KIX', 3992, '', 0, '734\r'),
	('NU', 2990, 'OKA', 2384, 'KMQ', 2322, '', 0, '734\r'),
	('NU', 2990, 'OKA', 2384, 'MMY', 2390, '', 0, '734\r'),
	('NU', 2990, 'OKA', 2384, 'NGO', 3942, '', 0, '734\r'),
	('NU', 2990, 'OKA', 2384, 'OKJ', 2327, '', 0, '734\r'),
	('NU', 2990, 'OKA', 2384, 'UEO', 2388, '', 0, '734\r'),
	('NU', 2990, 'OKJ', 2327, 'OKA', 2384, '', 0, '734\r'),
	('NU', 2990, 'UEO', 2388, 'OKA', 2384, '', 0, '734\r'),
	('NX', 316, 'BKK', 3885, 'MFM', 3121, '', 0, '319 321 320\r'),
	('NX', 316, 'CGO', 3375, 'MFM', 3121, '', 0, '320 319\r'),
	('NX', 316, 'CKG', 3393, 'MFM', 3121, '', 0, '319 320\r'),
	('NX', 316, 'CTU', 3395, 'MFM', 3121, '', 0, '321 320\r'),
	('NX', 316, 'DAD', 3196, 'MFM', 3121, '', 0, '319\r'),
	('NX', 316, 'FUK', 2305, 'MFM', 3121, '', 0, '321\r'),
	('NX', 316, 'HAN', 3199, 'MFM', 3121, '', 0, '319\r'),
	('NX', 316, 'HFE', 3389, 'MFM', 3121, '', 0, '320 321\r'),
	('NX', 316, 'HGH', 3386, 'MFM', 3121, '', 0, '321 320 319\r'),
	('NX', 316, 'ICN', 3930, 'MFM', 3121, '', 0, '321 319 320\r'),
	('NX', 316, 'KHH', 2264, 'MFM', 3121, '', 0, '320 319\r'),
	('NX', 316, 'KIX', 3992, 'MFM', 3121, '', 0, '319\r'),
	('NX', 316, 'MFM', 3121, 'BKK', 3885, '', 0, '321 320\r'),
	('NX', 316, 'MFM', 3121, 'CGO', 3375, '', 0, '320 319\r'),
	('NX', 316, 'MFM', 3121, 'CKG', 3393, '', 0, '319 320\r'),
	('NX', 316, 'MFM', 3121, 'CTU', 3395, '', 0, '321 320\r'),
	('NX', 316, 'MFM', 3121, 'DAD', 3196, '', 0, '319\r'),
	('NX', 316, 'MFM', 3121, 'FUK', 2305, '', 0, '321\r'),
	('NX', 316, 'MFM', 3121, 'HAN', 3199, '', 0, '319\r'),
	('NX', 316, 'MFM', 3121, 'HFE', 3389, '', 0, '320 321\r'),
	('NX', 316, 'MFM', 3121, 'HGH', 3386, '', 0, '321 320 319\r'),
	('NX', 316, 'MFM', 3121, 'ICN', 3930, '', 0, '321 319 320\r'),
	('NX', 316, 'MFM', 3121, 'KHH', 2264, '', 0, '319 320\r'),
	('NX', 316, 'MFM', 3121, 'KIX', 3992, '', 0, '319\r'),
	('NX', 316, 'MFM', 3121, 'MNL', 2397, 'Y', 0, '320\r'),
	('NX', 316, 'MFM', 3121, 'MWX', 4189, '', 0, '320\r'),
	('NX', 316, 'MFM', 3121, 'NGB', 3387, '', 0, '320 319\r'),
	('NX', 316, 'MFM', 3121, 'NKG', 3388, '', 0, '321\r'),
	('NX', 316, 'MFM', 3121, 'NNG', 3373, '', 0, '319 320 321\r'),
	('NX', 316, 'MFM', 3121, 'NRT', 2279, '', 0, '321 320 319\r'),
	('NX', 316, 'MFM', 3121, 'OKJ', 2327, '', 0, '321\r'),
	('NX', 316, 'MFM', 3121, 'PEK', 3364, '', 0, '320 321 319\r'),
	('NX', 316, 'MFM', 3121, 'PUS', 2372, '', 0, '320\r'),
	('NX', 316, 'MFM', 3121, 'PVG', 3406, '', 0, '321\r'),
	('NX', 316, 'MFM', 3121, 'SHA', 3391, '', 0, '321 320 319\r'),
	('NX', 316, 'MFM', 3121, 'SHE', 4144, '', 0, '319\r'),
	('NX', 316, 'MFM', 3121, 'TPE', 2276, '', 0, '319 320 321\r'),
	('NX', 316, 'MFM', 3121, 'TYN', 3369, '', 0, '320 319\r'),
	('NX', 316, 'MFM', 3121, 'WUH', 3376, 'Y', 0, '320\r'),
	('NX', 316, 'MFM', 3121, 'XMN', 3383, '', 0, '319 321\r'),
	('NX', 316, 'MNL', 2397, 'MFM', 3121, 'Y', 0, '320\r'),
	('NX', 316, 'MWX', 4189, 'MFM', 3121, '', 0, '320\r'),
	('NX', 316, 'NGB', 3387, 'MFM', 3121, '', 0, '320 319\r'),
	('NX', 316, 'NKG', 3388, 'MFM', 3121, '', 0, '321\r'),
	('NX', 316, 'NNG', 3373, 'MFM', 3121, '', 0, '319 320 321\r'),
	('NX', 316, 'NRT', 2279, 'MFM', 3121, '', 0, '321 320 319\r'),
	('NX', 316, 'OKJ', 2327, 'MFM', 3121, '', 0, '321\r'),
	('NX', 316, 'PEK', 3364, 'MFM', 3121, '', 0, '321 320 319\r'),
	('NX', 316, 'PUS', 2372, 'MFM', 3121, '', 0, '320\r'),
	('NX', 316, 'PVG', 3406, 'MFM', 3121, '', 0, '321\r'),
	('NX', 316, 'SHA', 3391, 'MFM', 3121, '', 0, '321 320 319\r'),
	('NX', 316, 'SHE', 4144, 'MFM', 3121, '', 0, '319\r'),
	('NX', 316, 'TPE', 2276, 'MFM', 3121, '', 0, '321 319 320\r'),
	('NX', 316, 'TYN', 3369, 'MFM', 3121, '', 0, '320 319\r'),
	('NX', 316, 'WUH', 3376, 'MFM', 3121, 'Y', 0, '320\r'),
	('NX', 316, 'XMN', 3383, 'MFM', 3121, '', 0, '319 321\r'),
	('NY', 896, 'AEY', 11, 'RKV', 18, '', 0, 'F50 DH8\r'),
	('NY', 896, 'EGS', 12, 'RKV', 18, '', 0, 'F50 DH8\r'),
	('NY', 896, 'GOH', 8, 'RKV', 18, '', 0, 'DH8\r'),
	('NY', 896, 'IFJ', 15, 'RKV', 18, '', 0, 'DH8\r'),
	('NY', 896, 'KUS', 4248, 'RKV', 18, '', 0, 'DH8\r'),
	('NY', 896, 'RKV', 18, 'AEY', 11, '', 0, 'F50 DH8\r'),
	('NY', 896, 'RKV', 18, 'EGS', 12, '', 0, 'F50 DH8\r'),
	('NY', 896, 'RKV', 18, 'GOH', 8, '', 0, 'DH8\r'),
	('NY', 896, 'RKV', 18, 'IFJ', 15, '', 0, 'DH8\r'),
	('NY', 896, 'RKV', 18, 'KUS', 4248, '', 0, 'DH8\r'),
	('NZ', 345, 'ADL', 3341, 'AKL', 2006, '', 0, '320\r'),
	('NZ', 345, 'AIT', 1958, 'RAR', 1959, 'Y', 0, 'SF3\r'),
	('NZ', 345, 'AKL', 2006, 'ADL', 3341, '', 0, '320\r'),
	('NZ', 345, 'AKL', 2006, 'APW', 1969, '', 0, '320 763\r'),
	('NZ', 345, 'AKL', 2006, 'BHE', 2037, 'Y', 0, 'DH3 BEH\r'),
	('NZ', 345, 'AKL', 2006, 'BNE', 3320, '', 0, '772 773 320 763\r'),
	('NZ', 345, 'AKL', 2006, 'CHC', 2009, '', 0, '320 733\r'),
	('NZ', 345, 'AKL', 2006, 'CNS', 3322, '', 0, '320\r'),
	('NZ', 345, 'AKL', 2006, 'DUD', 2011, '', 0, '320\r'),
	('NZ', 345, 'AKL', 2006, 'GIS', 2012, 'Y', 0, 'DH3 BEH\r'),
	('NZ', 345, 'AKL', 2006, 'HKG', 3077, '', 0, '772\r'),
	('NZ', 345, 'AKL', 2006, 'HLZ', 2015, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'AKL', 2006, 'KAT', 2018, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'AKL', 2006, 'KKE', 2017, 'Y', 0, 'BEH DH3\r'),
	('NZ', 345, 'AKL', 2006, 'LAX', 3484, '', 0, '772 773\r'),
	('NZ', 345, 'AKL', 2006, 'MEL', 3339, '', 0, '773 320\r'),
	('NZ', 345, 'AKL', 2006, 'NAN', 1960, '', 0, '320 763 772 773\r'),
	('NZ', 345, 'AKL', 2006, 'NOU', 2005, 'Y', 0, '320\r'),
	('NZ', 345, 'AKL', 2006, 'NPE', 4095, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'AKL', 2006, 'NPL', 2023, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'AKL', 2006, 'NRT', 2279, '', 0, '763 772\r'),
	('NZ', 345, 'AKL', 2006, 'NSN', 2024, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'AKL', 2006, 'OOL', 3321, '', 0, '320\r'),
	('NZ', 345, 'AKL', 2006, 'PER', 3351, '', 0, '772\r'),
	('NZ', 345, 'AKL', 2006, 'PMR', 2028, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'AKL', 2006, 'PPQ', 2029, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'AKL', 2006, 'PPT', 4075, '', 0, '763\r'),
	('NZ', 345, 'AKL', 2006, 'PVG', 3406, '', 0, '763 772\r'),
	('NZ', 345, 'AKL', 2006, 'RAR', 1959, '', 0, '320 772 763\r'),
	('NZ', 345, 'AKL', 2006, 'ROT', 2031, 'Y', 0, 'DH3 BEH\r'),
	('NZ', 345, 'AKL', 2006, 'SFO', 3469, '', 0, '772 744\r'),
	('NZ', 345, 'AKL', 2006, 'SYD', 3361, '', 0, '763 320 772\r'),
	('NZ', 345, 'AKL', 2006, 'TBU', 1963, '', 0, '320 763\r'),
	('NZ', 345, 'AKL', 2006, 'TRG', 2034, 'Y', 0, 'DH3 BEH AT7\r'),
	('NZ', 345, 'AKL', 2006, 'TUO', 2007, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'AKL', 2006, 'VLI', 1997, '', 0, '320\r'),
	('NZ', 345, 'AKL', 2006, 'WAG', 2047, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'AKL', 2006, 'WHK', 2041, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'AKL', 2006, 'WLG', 2042, '', 0, '733 320\r'),
	('NZ', 345, 'AKL', 2006, 'WRE', 2045, 'Y', 0, 'DH3 BEH\r'),
	('NZ', 345, 'AKL', 2006, 'ZQN', 2030, '', 0, '320\r'),
	('NZ', 345, 'ALH', 6235, 'PER', 3351, 'Y', 0, 'F50\r'),
	('NZ', 345, 'APW', 1969, 'AKL', 2006, '', 0, '320 763\r'),
	('NZ', 345, 'ATL', 3682, 'SFO', 3469, 'Y', 0, '738\r'),
	('NZ', 345, 'AUH', 2179, 'SIN', 3316, 'Y', 0, '332\r'),
	('NZ', 345, 'BHE', 2037, 'AKL', 2006, 'Y', 0, 'DH3 BEH\r'),
	('NZ', 345, 'BHE', 2037, 'CHC', 2009, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'BHE', 2037, 'WLG', 2042, 'Y', 0, 'DH3 BEH\r'),
	('NZ', 345, 'BNE', 3320, 'AKL', 2006, '', 0, '773 772 320 763\r'),
	('NZ', 345, 'BNE', 3320, 'CHC', 2009, '', 0, '320\r'),
	('NZ', 345, 'BNE', 3320, 'CNJ', 6255, 'Y', 0, 'E90\r'),
	('NZ', 345, 'BNE', 3320, 'DUD', 2011, 'Y', 0, '73H\r'),
	('NZ', 345, 'BNE', 3320, 'NLK', 3359, '', 0, '320\r'),
	('NZ', 345, 'BNE', 3320, 'SIN', 3316, 'Y', 0, '332\r'),
	('NZ', 345, 'BNE', 3320, 'WLG', 2042, 'Y', 0, '73H\r'),
	('NZ', 345, 'BNE', 3320, 'ZQN', 2030, 'Y', 0, '73H\r'),
	('NZ', 345, 'BQB', 9090, 'PER', 3351, 'Y', 0, 'F50\r'),
	('NZ', 345, 'CHC', 2009, 'AKL', 2006, '', 0, '320 733\r'),
	('NZ', 345, 'CHC', 2009, 'BHE', 2037, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'CHC', 2009, 'BNE', 3320, '', 0, '320\r'),
	('NZ', 345, 'CHC', 2009, 'DUD', 2011, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'CHC', 2009, 'HKK', 2014, 'Y', 0, 'BEH DH3\r'),
	('NZ', 345, 'CHC', 2009, 'HLZ', 2015, 'Y', 0, 'DH3 AT7\r'),
	('NZ', 345, 'CHC', 2009, 'IVC', 2025, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'CHC', 2009, 'MEL', 3339, '', 0, '320\r'),
	('NZ', 345, 'CHC', 2009, 'NPE', 4095, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'CHC', 2009, 'NPL', 2023, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'CHC', 2009, 'NSN', 2024, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'CHC', 2009, 'OOL', 3321, '', 0, '320\r'),
	('NZ', 345, 'CHC', 2009, 'PMR', 2028, 'Y', 0, 'DH3 AT7\r'),
	('NZ', 345, 'CHC', 2009, 'PPQ', 2029, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'CHC', 2009, 'ROT', 2031, 'Y', 0, 'AT7\r'),
	('NZ', 345, 'CHC', 2009, 'SYD', 3361, '', 0, '320\r'),
	('NZ', 345, 'CHC', 2009, 'TRG', 2034, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'CHC', 2009, 'WLG', 2042, '', 0, '320 733 DH3\r'),
	('NZ', 345, 'CHC', 2009, 'ZQN', 2030, '', 0, '320\r'),
	('NZ', 345, 'CNJ', 6255, 'BNE', 3320, 'Y', 0, 'E90\r'),
	('NZ', 345, 'CNS', 3322, 'AKL', 2006, '', 0, '320\r'),
	('NZ', 345, 'DUD', 2011, 'AKL', 2006, '', 0, '320\r'),
	('NZ', 345, 'DUD', 2011, 'CHC', 2009, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'DUD', 2011, 'WLG', 2042, '', 0, '320 733\r'),
	('NZ', 345, 'EPR', 6266, 'PER', 3351, 'Y', 0, 'F50\r'),
	('NZ', 345, 'FRA', 340, 'SFO', 3469, 'Y', 0, '744\r'),
	('NZ', 345, 'GDL', 1804, 'LAX', 3484, 'Y', 0, '319\r'),
	('NZ', 345, 'GDL', 1804, 'SFO', 3469, 'Y', 0, '319 738\r'),
	('NZ', 345, 'GET', 6268, 'PER', 3351, 'Y', 0, 'F50 100\r'),
	('NZ', 345, 'GIS', 2012, 'AKL', 2006, 'Y', 0, 'DH3 BEH\r'),
	('NZ', 345, 'GIS', 2012, 'WLG', 2042, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'HKG', 3077, 'AKL', 2006, '', 0, '772\r'),
	('NZ', 345, 'HKK', 2014, 'CHC', 2009, 'Y', 0, 'BEH DH3\r'),
	('NZ', 345, 'HLZ', 2015, 'AKL', 2006, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'HLZ', 2015, 'CHC', 2009, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'HLZ', 2015, 'PMR', 2028, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'HLZ', 2015, 'WLG', 2042, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'HNL', 3728, 'AKL', 2006, '', 0, '763\r'),
	('NZ', 345, 'IUE', 5884, 'AKL', 2006, '', 0, '320\r'),
	('NZ', 345, 'IVC', 2025, 'CHC', 2009, 'Y', 0, 'DH3 AT7\r'),
	('NZ', 345, 'IVC', 2025, 'WLG', 2042, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'KAT', 2018, 'AKL', 2006, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'KGI', 3346, 'PER', 3351, 'Y', 0, 'E90 100\r'),
	('NZ', 345, 'KKE', 2017, 'AKL', 2006, 'Y', 0, 'BEH DH3\r'),
	('NZ', 345, 'KNX', 3347, 'PER', 3351, 'Y', 0, '100\r'),
	('NZ', 345, 'LAX', 3484, 'AKL', 2006, '', 0, '773 772\r'),
	('NZ', 345, 'LAX', 3484, 'BJX', 1815, 'Y', 0, '319\r'),
	('NZ', 345, 'LAX', 3484, 'GDL', 1804, 'Y', 0, '319\r'),
	('NZ', 345, 'LAX', 3484, 'LHR', 507, '', 0, '773\r'),
	('NZ', 345, 'LAX', 3484, 'MEX', 1824, 'Y', 0, '320\r'),
	('NZ', 345, 'LAX', 3484, 'MSY', 3861, 'Y', 0, '320 319 738\r'),
	('NZ', 345, 'LAX', 3484, 'NAN', 1960, 'Y', 0, '332\r'),
	('NZ', 345, 'LAX', 3484, 'PPT', 4075, 'Y', 0, '343\r'),
	('NZ', 345, 'LAX', 3484, 'RAR', 1959, '', 0, '763\r'),
	('NZ', 345, 'LAX', 3484, 'SYD', 3361, 'Y', 0, '777\r'),
	('NZ', 345, 'LEA', 3348, 'PER', 3351, 'Y', 0, '100\r'),
	('NZ', 345, 'LHR', 507, 'LAX', 3484, '', 0, '773\r'),
	('NZ', 345, 'LHR', 507, 'SFO', 3469, 'Y', 0, '777\r'),
	('NZ', 345, 'MEL', 3339, 'AKL', 2006, '', 0, '320 773\r'),
	('NZ', 345, 'MEL', 3339, 'CHC', 2009, '', 0, '320\r'),
	('NZ', 345, 'MEL', 3339, 'PVG', 3406, 'Y', 0, '330\r'),
	('NZ', 345, 'MEL', 3339, 'WLG', 2042, '', 0, '320\r'),
	('NZ', 345, 'MEX', 1824, 'LAX', 3484, 'Y', 0, '320\r'),
	('NZ', 345, 'MEX', 1824, 'SFO', 3469, 'Y', 0, '320\r'),
	('NZ', 345, 'MSY', 3861, 'LAX', 3484, 'Y', 0, '738 739\r'),
	('NZ', 345, 'NAN', 1960, 'AKL', 2006, '', 0, '772 320 763 773\r'),
	('NZ', 345, 'NAN', 1960, 'LAX', 3484, 'Y', 0, '332\r'),
	('NZ', 345, 'NLK', 3359, 'AKL', 2006, '', 0, '320\r'),
	('NZ', 345, 'NLK', 3359, 'BNE', 3320, '', 0, '320\r'),
	('NZ', 345, 'NLK', 3359, 'SYD', 3361, '', 0, '320\r'),
	('NZ', 345, 'NOU', 2005, 'AKL', 2006, '', 0, '320\r'),
	('NZ', 345, 'NPE', 4095, 'AKL', 2006, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'NPE', 4095, 'CHC', 2009, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'NPE', 4095, 'WLG', 2042, 'Y', 0, 'DH3 AT7\r'),
	('NZ', 345, 'NPL', 2023, 'AKL', 2006, 'Y', 0, 'DH3 AT7\r'),
	('NZ', 345, 'NPL', 2023, 'CHC', 2009, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'NPL', 2023, 'WLG', 2042, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'NRT', 2279, 'AKL', 2006, '', 0, '763 772\r'),
	('NZ', 345, 'NSN', 2024, 'AKL', 2006, 'Y', 0, 'DH3 AT7\r'),
	('NZ', 345, 'NSN', 2024, 'CHC', 2009, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'NSN', 2024, 'PMR', 2028, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'NSN', 2024, 'WLG', 2042, 'Y', 0, 'DH3 BEH AT7\r'),
	('NZ', 345, 'OOL', 3321, 'AKL', 2006, '', 0, '320\r'),
	('NZ', 345, 'OOL', 3321, 'CHC', 2009, '', 0, '320\r'),
	('NZ', 345, 'PBO', 6314, 'PER', 3351, 'Y', 0, '100\r'),
	('NZ', 345, 'PEK', 3364, 'PVG', 3406, 'Y', 0, '330\r'),
	('NZ', 345, 'PER', 3351, 'AKL', 2006, '', 0, '772\r'),
	('NZ', 345, 'PER', 3351, 'ALH', 6235, 'Y', 0, 'F50\r'),
	('NZ', 345, 'PER', 3351, 'BQB', 9090, 'Y', 0, 'F50\r'),
	('NZ', 345, 'PER', 3351, 'EPR', 6266, 'Y', 0, 'F50\r'),
	('NZ', 345, 'PER', 3351, 'GET', 6268, '', 0, '100\r'),
	('NZ', 345, 'PER', 3351, 'KGI', 3346, 'Y', 0, 'E90 100\r'),
	('NZ', 345, 'PER', 3351, 'KNX', 3347, 'Y', 0, '100\r'),
	('NZ', 345, 'PER', 3351, 'LEA', 3348, 'Y', 0, '100\r'),
	('NZ', 345, 'PER', 3351, 'PBO', 6314, 'Y', 0, '100\r'),
	('NZ', 345, 'PER', 3351, 'RVT', 7577, 'Y', 0, 'F50\r'),
	('NZ', 345, 'PMR', 2028, 'AKL', 2006, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'PMR', 2028, 'CHC', 2009, 'Y', 0, 'DH3 AT7\r'),
	('NZ', 345, 'PMR', 2028, 'HLZ', 2015, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'PMR', 2028, 'NSN', 2024, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'PMR', 2028, 'WLG', 2042, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'PPQ', 2029, 'AKL', 2006, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'PPQ', 2029, 'CHC', 2009, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'PPT', 4075, 'AKL', 2006, '', 0, '343 763\r'),
	('NZ', 345, 'PPT', 4075, 'LAX', 3484, 'Y', 0, '343\r'),
	('NZ', 345, 'PQQ', 6320, 'SYD', 3361, '', 0, 'AT7\r'),
	('NZ', 345, 'PVG', 3406, 'AKL', 2006, '', 0, '772 763\r'),
	('NZ', 345, 'PVG', 3406, 'MEL', 3339, 'Y', 0, '330\r'),
	('NZ', 345, 'PVG', 3406, 'PEK', 3364, 'Y', 0, '330\r'),
	('NZ', 345, 'PVG', 3406, 'SYD', 3361, 'Y', 0, '330\r'),
	('NZ', 345, 'RAR', 1959, 'AIT', 1958, 'Y', 0, 'SF3 EMB\r'),
	('NZ', 345, 'RAR', 1959, 'AKL', 2006, '', 0, '763 320 772\r'),
	('NZ', 345, 'RAR', 1959, 'LAX', 3484, '', 0, '763\r'),
	('NZ', 345, 'RAR', 1959, 'SYD', 3361, '', 0, '763\r'),
	('NZ', 345, 'ROT', 2031, 'AKL', 2006, 'Y', 0, 'BEH DH3\r'),
	('NZ', 345, 'ROT', 2031, 'CHC', 2009, 'Y', 0, 'AT7\r'),
	('NZ', 345, 'ROT', 2031, 'WLG', 2042, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'RVT', 7577, 'PER', 3351, 'Y', 0, 'F50\r'),
	('NZ', 345, 'SFO', 3469, 'AKL', 2006, '', 0, '772 744\r'),
	('NZ', 345, 'SFO', 3469, 'ATL', 3682, 'Y', 0, '738\r'),
	('NZ', 345, 'SFO', 3469, 'FRA', 340, 'Y', 0, '744\r'),
	('NZ', 345, 'SFO', 3469, 'GDL', 1804, 'Y', 0, '319 738\r'),
	('NZ', 345, 'SFO', 3469, 'LHR', 507, 'Y', 0, '777\r'),
	('NZ', 345, 'SFO', 3469, 'MEX', 1824, 'Y', 0, '320\r'),
	('NZ', 345, 'SFO', 3469, 'SYD', 3361, 'Y', 0, '777\r'),
	('NZ', 345, 'SIN', 3316, 'AUH', 2179, 'Y', 0, '332\r'),
	('NZ', 345, 'SIN', 3316, 'BNE', 3320, 'Y', 0, '332\r'),
	('NZ', 345, 'SYD', 3361, 'AKL', 2006, '', 0, '763 320 772\r'),
	('NZ', 345, 'SYD', 3361, 'CHC', 2009, '', 0, '320\r'),
	('NZ', 345, 'SYD', 3361, 'LAX', 3484, 'Y', 0, '777\r'),
	('NZ', 345, 'SYD', 3361, 'NLK', 3359, '', 0, '320\r'),
	('NZ', 345, 'SYD', 3361, 'PQQ', 6320, '', 0, 'AT7\r'),
	('NZ', 345, 'SYD', 3361, 'PVG', 3406, 'Y', 0, '330\r'),
	('NZ', 345, 'SYD', 3361, 'RAR', 1959, '', 0, '763\r'),
	('NZ', 345, 'SYD', 3361, 'SFO', 3469, 'Y', 0, '777\r'),
	('NZ', 345, 'SYD', 3361, 'WLG', 2042, '', 0, '320\r'),
	('NZ', 345, 'TBU', 1963, 'AKL', 2006, '', 0, '320 763\r'),
	('NZ', 345, 'TIU', 2035, 'WLG', 2042, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'TRG', 2034, 'AKL', 2006, 'Y', 0, 'DH3 BEH AT7\r'),
	('NZ', 345, 'TRG', 2034, 'CHC', 2009, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'TRG', 2034, 'WLG', 2042, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'TUO', 2007, 'AKL', 2006, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'TUO', 2007, 'WLG', 2042, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'VLI', 1997, 'AKL', 2006, '', 0, '320\r'),
	('NZ', 345, 'WAG', 2047, 'AKL', 2006, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'WHK', 2041, 'AKL', 2006, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'WLG', 2042, 'AKL', 2006, '', 0, '733 320\r'),
	('NZ', 345, 'WLG', 2042, 'BHE', 2037, 'Y', 0, 'DH3 BEH\r'),
	('NZ', 345, 'WLG', 2042, 'BNE', 3320, 'Y', 0, '73H\r'),
	('NZ', 345, 'WLG', 2042, 'CHC', 2009, '', 0, '733 320\r'),
	('NZ', 345, 'WLG', 2042, 'DUD', 2011, '', 0, '320 733\r'),
	('NZ', 345, 'WLG', 2042, 'GIS', 2012, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'WLG', 2042, 'HLZ', 2015, 'Y', 0, 'AT7 DH3\r'),
	('NZ', 345, 'WLG', 2042, 'IVC', 2025, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'WLG', 2042, 'MEL', 3339, '', 0, '320\r'),
	('NZ', 345, 'WLG', 2042, 'NPE', 4095, 'Y', 0, 'DH3 AT7\r'),
	('NZ', 345, 'WLG', 2042, 'NPL', 2023, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'WLG', 2042, 'NSN', 2024, 'Y', 0, 'DH3 AT7 BEH\r'),
	('NZ', 345, 'WLG', 2042, 'PMR', 2028, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'WLG', 2042, 'ROT', 2031, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'WLG', 2042, 'SYD', 3361, '', 0, '320\r'),
	('NZ', 345, 'WLG', 2042, 'TIU', 2035, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'WLG', 2042, 'TRG', 2034, 'Y', 0, 'DH3\r'),
	('NZ', 345, 'WLG', 2042, 'TUO', 2007, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'WLG', 2042, 'WRE', 2045, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'WLG', 2042, 'WSZ', 2046, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'WLG', 2042, 'ZQN', 2030, 'Y', 0, 'AT7\r'),
	('NZ', 345, 'WRE', 2045, 'AKL', 2006, 'Y', 0, 'DH3 BEH\r'),
	('NZ', 345, 'WRE', 2045, 'WLG', 2042, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'WSZ', 2046, 'WLG', 2042, 'Y', 0, 'BEH\r'),
	('NZ', 345, 'YVR', 156, 'AKL', 2006, '', 0, '772\r'),
	('NZ', 345, 'ZQN', 2030, 'AKL', 2006, '', 0, '320\r'),
	('NZ', 345, 'ZQN', 2030, 'CHC', 2009, '', 0, '320\r'),
	('NZ', 345, 'ZQN', 2030, 'WLG', 2042, 'Y', 0, 'AT7\r'),
	('O6', 3764, 'AJU', 2522, 'BSB', 2531, '', 0, '318\r'),
	('O6', 3764, 'AJU', 2522, 'SSA', 2621, '', 0, '318\r'),
	('O6', 3764, 'BSB', 2531, 'AJU', 2522, '', 0, '318\r'),
	('O6', 3764, 'BSB', 2531, 'CGB', 2548, '', 0, '100\r'),
	('O6', 3764, 'BSB', 2531, 'CGH', 2618, '', 0, '318 319 100\r'),
	('O6', 3764, 'BSB', 2531, 'CGR', 2538, '', 0, '318\r'),
	('O6', 3764, 'BSB', 2531, 'CNF', 2537, '', 0, '100\r'),
	('O6', 3764, 'BSB', 2531, 'CWB', 2545, '', 0, '318\r'),
	('O6', 3764, 'BSB', 2531, 'FLN', 2555, '', 0, '318\r'),
	('O6', 3764, 'BSB', 2531, 'FOR', 2559, '', 0, '320\r'),
	('O6', 3764, 'BSB', 2531, 'GIG', 2560, '', 0, '318\r'),
	('O6', 3764, 'BSB', 2531, 'GRU', 2564, '', 0, '318 320\r'),
	('O6', 3764, 'BSB', 2531, 'IOS', 2569, '', 0, '100\r'),
	('O6', 3764, 'BSB', 2531, 'JDO', 6034, '', 0, '318\r'),
	('O6', 3764, 'BSB', 2531, 'JPA', 2575, '', 0, '319\r'),
	('O6', 3764, 'BSB', 2531, 'MCZ', 2590, '', 0, '318\r'),
	('O6', 3764, 'BSB', 2531, 'NAT', 2597, '', 0, '319\r'),
	('O6', 3764, 'BSB', 2531, 'PNZ', 2604, '', 0, '100\r'),
	('O6', 3764, 'BSB', 2531, 'REC', 2610, '', 0, '318\r'),
	('O6', 3764, 'BSB', 2531, 'SDU', 2612, '', 0, '318 319\r'),
	('O6', 3764, 'BSB', 2531, 'SSA', 2621, '', 0, '318\r'),
	('O6', 3764, 'CGB', 2548, 'BSB', 2531, '', 0, '100\r'),
	('O6', 3764, 'CGB', 2548, 'CGR', 2538, '', 0, '100\r'),
	('O6', 3764, 'CGB', 2548, 'GRU', 2564, '', 0, '318\r'),
	('O6', 3764, 'CGB', 2548, 'PVH', 2607, '', 0, '100\r'),
	('O6', 3764, 'CGH', 2618, 'BSB', 2531, '', 0, '318 319 100\r'),
	('O6', 3764, 'CGH', 2618, 'FLN', 2555, '', 0, '318 319\r'),
	('O6', 3764, 'CGH', 2618, 'SDU', 2612, '', 0, '319\r'),
	('O6', 3764, 'CGH', 2618, 'SSA', 2621, '', 0, '318\r'),
	('O6', 3764, 'CGR', 2538, 'BSB', 2531, '', 0, '318\r'),
	('O6', 3764, 'CGR', 2538, 'CGB', 2548, '', 0, '100\r'),
	('O6', 3764, 'CGR', 2538, 'CWB', 2545, '', 0, '100\r'),
	('O6', 3764, 'CNF', 2537, 'BSB', 2531, '', 0, '100\r'),
	('O6', 3764, 'CWB', 2545, 'BSB', 2531, '', 0, '318\r'),
	('O6', 3764, 'CWB', 2545, 'CGR', 2538, '', 0, '100\r'),
	('O6', 3764, 'FLN', 2555, 'BSB', 2531, '', 0, '318\r'),
	('O6', 3764, 'FLN', 2555, 'CGH', 2618, '', 0, '318 319\r'),
	('O6', 3764, 'FLN', 2555, 'GIG', 2560, '', 0, '318\r'),
	('O6', 3764, 'FLN', 2555, 'GRU', 2564, '', 0, '320 318\r'),
	('O6', 3764, 'FLN', 2555, 'POA', 2599, '', 0, '320\r'),
	('O6', 3764, 'FLN', 2555, 'XAP', 2539, '', 0, '318\r'),
	('O6', 3764, 'FOR', 2559, 'BSB', 2531, '', 0, '320\r'),
	('O6', 3764, 'FOR', 2559, 'GIG', 2560, '', 0, '318\r'),
	('O6', 3764, 'FOR', 2559, 'GRU', 2564, '', 0, '320 318\r'),
	('O6', 3764, 'FOR', 2559, 'JDO', 6034, '', 0, '318\r'),
	('O6', 3764, 'GIG', 2560, 'BSB', 2531, '', 0, '318\r'),
	('O6', 3764, 'GIG', 2560, 'FLN', 2555, '', 0, '318\r'),
	('O6', 3764, 'GIG', 2560, 'FOR', 2559, '', 0, '318\r'),
	('O6', 3764, 'GIG', 2560, 'GRU', 2564, '', 0, '318\r'),
	('O6', 3764, 'GIG', 2560, 'JPA', 2575, '', 0, '318\r'),
	('O6', 3764, 'GIG', 2560, 'POA', 2599, '', 0, '318\r'),
	('O6', 3764, 'GIG', 2560, 'REC', 2610, '', 0, '318\r'),
	('O6', 3764, 'GIG', 2560, 'SSA', 2621, '', 0, '320\r'),
	('O6', 3764, 'GRU', 2564, 'BSB', 2531, '', 0, '320 318\r'),
	('O6', 3764, 'GRU', 2564, 'CGB', 2548, '', 0, '318\r'),
	('O6', 3764, 'GRU', 2564, 'FLN', 2555, '', 0, '318 320\r'),
	('O6', 3764, 'GRU', 2564, 'FOR', 2559, '', 0, '320 318\r'),
	('O6', 3764, 'GRU', 2564, 'GIG', 2560, '', 0, '318\r'),
	('O6', 3764, 'GRU', 2564, 'JDO', 6034, '', 0, '318\r'),
	('O6', 3764, 'GRU', 2564, 'MCZ', 2590, '', 0, '318\r'),
	('O6', 3764, 'GRU', 2564, 'NAT', 2597, '', 0, '320\r'),
	('O6', 3764, 'GRU', 2564, 'PFB', 2602, '', 0, '100\r'),
	('O6', 3764, 'GRU', 2564, 'POA', 2599, '', 0, '100 318\r'),
	('O6', 3764, 'GRU', 2564, 'REC', 2610, '', 0, '320 318\r'),
	('O6', 3764, 'GRU', 2564, 'SSA', 2621, '', 0, '320 318\r'),
	('O6', 3764, 'IOS', 2569, 'BSB', 2531, '', 0, '100\r'),
	('O6', 3764, 'IOS', 2569, 'SSA', 2621, '', 0, '100\r'),
	('O6', 3764, 'JDO', 6034, 'BSB', 2531, '', 0, '318\r'),
	('O6', 3764, 'JDO', 6034, 'FOR', 2559, '', 0, '318\r'),
	('O6', 3764, 'JDO', 6034, 'GRU', 2564, '', 0, '318\r'),
	('O6', 3764, 'JPA', 2575, 'BSB', 2531, '', 0, '319\r'),
	('O6', 3764, 'JPA', 2575, 'GIG', 2560, '', 0, '318\r'),
	('O6', 3764, 'MCZ', 2590, 'BSB', 2531, '', 0, '318\r'),
	('O6', 3764, 'MCZ', 2590, 'GRU', 2564, '', 0, '318\r'),
	('O6', 3764, 'MCZ', 2590, 'SSA', 2621, '', 0, '320\r'),
	('O6', 3764, 'NAT', 2597, 'BSB', 2531, '', 0, '319\r'),
	('O6', 3764, 'NAT', 2597, 'GRU', 2564, '', 0, '320\r'),
	('O6', 3764, 'PFB', 2602, 'GRU', 2564, '', 0, '100\r'),
	('O6', 3764, 'PNZ', 2604, 'BSB', 2531, '', 0, '100\r'),
	('O6', 3764, 'PNZ', 2604, 'REC', 2610, '', 0, '320\r'),
	('O6', 3764, 'PNZ', 2604, 'SSA', 2621, '', 0, '320\r'),
	('O6', 3764, 'POA', 2599, 'FLN', 2555, '', 0, '320\r'),
	('O6', 3764, 'POA', 2599, 'GIG', 2560, '', 0, '318\r'),
	('O6', 3764, 'POA', 2599, 'GRU', 2564, '', 0, '100 318\r'),
	('O6', 3764, 'PVH', 2607, 'CGB', 2548, '', 0, '100\r'),
	('O6', 3764, 'REC', 2610, 'BSB', 2531, '', 0, '318\r'),
	('O6', 3764, 'REC', 2610, 'GIG', 2560, '', 0, '318\r'),
	('O6', 3764, 'REC', 2610, 'GRU', 2564, '', 0, '320\r'),
	('O6', 3764, 'REC', 2610, 'PNZ', 2604, '', 0, '320\r'),
	('O6', 3764, 'REC', 2610, 'SSA', 2621, '', 0, '320\r'),
	('O6', 3764, 'SDU', 2612, 'BSB', 2531, '', 0, '318 319\r'),
	('O6', 3764, 'SDU', 2612, 'CGH', 2618, '', 0, '319\r'),
	('O6', 3764, 'SDU', 2612, 'SSA', 2621, '', 0, '319\r'),
	('O6', 3764, 'SSA', 2621, 'AJU', 2522, '', 0, '318\r'),
	('O6', 3764, 'SSA', 2621, 'BSB', 2531, '', 0, '318 319\r'),
	('O6', 3764, 'SSA', 2621, 'CGH', 2618, '', 0, '318\r'),
	('O6', 3764, 'SSA', 2621, 'GIG', 2560, '', 0, '320\r'),
	('O6', 3764, 'SSA', 2621, 'GRU', 2564, '', 0, '320 318\r'),
	('O6', 3764, 'SSA', 2621, 'IOS', 2569, '', 0, '100\r'),
	('O6', 3764, 'SSA', 2621, 'MCZ', 2590, '', 0, '320\r'),
	('O6', 3764, 'SSA', 2621, 'PNZ', 2604, '', 0, '320\r'),
	('O6', 3764, 'SSA', 2621, 'REC', 2610, '', 0, '320\r'),
	('O6', 3764, 'SSA', 2621, 'SDU', 2612, '', 0, '319\r'),
	('O6', 3764, 'XAP', 2539, 'FLN', 2555, '', 0, '318\r'),
	('OA', 3776, 'AOK', 1459, 'ATH', 3941, '', 0, 'DH4\r'),
	('OA', 3776, 'AOK', 1459, 'KSJ', 1461, '', 0, 'DH8\r'),
	('OA', 3776, 'AOK', 1459, 'RHO', 1472, '', 0, 'DH8\r'),
	('OA', 3776, 'ATH', 3941, 'AOK', 1459, '', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'AXD', 1446, 'Y', 0, '320 DH4 321\r'),
	('OA', 3776, 'ATH', 3941, 'BCN', 1218, 'Y', 0, '320 321\r'),
	('OA', 3776, 'ATH', 3941, 'BEG', 1739, '', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'CDG', 1382, 'Y', 0, '321 320\r'),
	('OA', 3776, 'ATH', 3941, 'CFU', 1460, 'Y', 0, 'DH4 320\r'),
	('OA', 3776, 'ATH', 3941, 'CHQ', 1474, 'Y', 0, '320 DH4\r'),
	('OA', 3776, 'ATH', 3941, 'EFL', 1455, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'FCO', 1555, 'Y', 0, '320\r'),
	('OA', 3776, 'ATH', 3941, 'HER', 1452, 'Y', 0, '321 DH4 320\r'),
	('OA', 3776, 'ATH', 3941, 'IOA', 1451, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'IST', 1701, '', 0, '320\r'),
	('OA', 3776, 'ATH', 3941, 'JIK', 4191, '', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'JKH', 1450, 'Y', 0, 'DH4 319\r'),
	('OA', 3776, 'ATH', 3941, 'JKL', 4192, '', 0, 'DH8\r'),
	('OA', 3776, 'ATH', 3941, 'JMK', 1468, 'Y', 0, '320 DH4\r'),
	('OA', 3776, 'ATH', 3941, 'JNX', 4194, '', 0, 'DH8\r'),
	('OA', 3776, 'ATH', 3941, 'JSI', 1475, '', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'JSY', 5787, '', 0, 'DH8\r'),
	('OA', 3776, 'ATH', 3941, 'JTR', 1479, 'Y', 0, '321 320 DH4 319\r'),
	('OA', 3776, 'ATH', 3941, 'JTY', 4190, '', 0, 'DH8\r'),
	('OA', 3776, 'ATH', 3941, 'KGS', 1458, 'Y', 0, '320 DH4\r'),
	('OA', 3776, 'ATH', 3941, 'KIT', 1454, '', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'KVA', 1462, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'LHR', 507, 'Y', 0, '321\r'),
	('OA', 3776, 'ATH', 3941, 'LRS', 1464, '', 0, 'DH8\r'),
	('OA', 3776, 'ATH', 3941, 'LXS', 1465, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'LYS', 1335, 'Y', 0, '320\r'),
	('OA', 3776, 'ATH', 3941, 'MAD', 1229, 'Y', 0, '320\r'),
	('OA', 3776, 'ATH', 3941, 'MAN', 478, 'Y', 0, '320\r'),
	('OA', 3776, 'ATH', 3941, 'MJT', 1469, 'Y', 0, '320 DH4\r'),
	('OA', 3776, 'ATH', 3941, 'MLO', 4193, '', 0, 'DH8\r'),
	('OA', 3776, 'ATH', 3941, 'MRS', 1353, 'Y', 0, '320\r'),
	('OA', 3776, 'ATH', 3941, 'MXP', 1524, 'Y', 0, '320\r'),
	('OA', 3776, 'ATH', 3941, 'OTP', 1657, '', 0, '320 DH4\r'),
	('OA', 3776, 'ATH', 3941, 'PAS', 4195, '', 0, 'DH8\r'),
	('OA', 3776, 'ATH', 3941, 'RHO', 1472, 'Y', 0, '320 DH4\r'),
	('OA', 3776, 'ATH', 3941, 'SKG', 1486, 'Y', 0, '320 321 DH4\r'),
	('OA', 3776, 'ATH', 3941, 'SKU', 1482, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'SMI', 1476, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'SOF', 1194, '', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'TIA', 1190, '', 0, 'DH4\r'),
	('OA', 3776, 'ATH', 3941, 'ZTH', 1488, '', 0, 'DH4\r'),
	('OA', 3776, 'AXD', 1446, 'ATH', 3941, 'Y', 0, '320 DH4 321\r'),
	('OA', 3776, 'BCN', 1218, 'ATH', 3941, 'Y', 0, '320 321\r'),
	('OA', 3776, 'BEG', 1739, 'ATH', 3941, '', 0, 'DH4\r'),
	('OA', 3776, 'CDG', 1382, 'ATH', 3941, 'Y', 0, '321 320\r'),
	('OA', 3776, 'CFU', 1460, 'ATH', 3941, 'Y', 0, 'DH4 320\r'),
	('OA', 3776, 'CHQ', 1474, 'ATH', 3941, 'Y', 0, '320 DH4\r'),
	('OA', 3776, 'CHQ', 1474, 'SKG', 1486, 'Y', 0, '320\r'),
	('OA', 3776, 'EFL', 1455, 'ATH', 3941, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'FCO', 1555, 'ATH', 3941, 'Y', 0, '320\r'),
	('OA', 3776, 'HER', 1452, 'ATH', 3941, 'Y', 0, '321 DH4 320\r'),
	('OA', 3776, 'HER', 1452, 'SKG', 1486, '', 0, '320\r'),
	('OA', 3776, 'IOA', 1451, 'ATH', 3941, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'IST', 1701, 'ATH', 3941, '', 0, '320\r'),
	('OA', 3776, 'JIK', 4191, 'ATH', 3941, '', 0, 'DH4\r'),
	('OA', 3776, 'JKH', 1450, 'ATH', 3941, 'Y', 0, 'DH4 319\r'),
	('OA', 3776, 'JKL', 4192, 'ATH', 3941, '', 0, 'DH8\r'),
	('OA', 3776, 'JKL', 4192, 'KGS', 1458, '', 0, 'DH8\r'),
	('OA', 3776, 'JKL', 4192, 'LRS', 1464, '', 0, 'DH8\r'),
	('OA', 3776, 'JMK', 1468, 'ATH', 3941, 'Y', 0, '320 DH4\r'),
	('OA', 3776, 'JNX', 4194, 'ATH', 3941, '', 0, 'DH8\r'),
	('OA', 3776, 'JSH', 1480, 'KSJ', 1461, '', 0, 'DH8\r'),
	('OA', 3776, 'JSI', 1475, 'ATH', 3941, '', 0, 'DH4\r'),
	('OA', 3776, 'JSY', 5787, 'ATH', 3941, '', 0, 'DH8\r'),
	('OA', 3776, 'JTR', 1479, 'ATH', 3941, 'Y', 0, '321 320 DH4 319\r'),
	('OA', 3776, 'JTY', 4190, 'ATH', 3941, '', 0, 'DH8\r'),
	('OA', 3776, 'JTY', 4190, 'LRS', 1464, '', 0, 'DH8\r'),
	('OA', 3776, 'KGS', 1458, 'ATH', 3941, 'Y', 0, '320 DH4\r'),
	('OA', 3776, 'KGS', 1458, 'JKL', 4192, '', 0, 'DH8\r'),
	('OA', 3776, 'KGS', 1458, 'RHO', 1472, '', 0, 'DH8\r'),
	('OA', 3776, 'KIT', 1454, 'ATH', 3941, '', 0, 'DH4\r'),
	('OA', 3776, 'KSJ', 1461, 'AOK', 1459, '', 0, 'DH8\r'),
	('OA', 3776, 'KSJ', 1461, 'JSH', 1480, '', 0, 'DH8\r'),
	('OA', 3776, 'KVA', 1462, 'ATH', 3941, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'KZS', 4196, 'RHO', 1472, '', 0, 'DH8\r'),
	('OA', 3776, 'LHR', 507, 'ATH', 3941, 'Y', 0, '321\r'),
	('OA', 3776, 'LRS', 1464, 'ATH', 3941, '', 0, 'DH8\r'),
	('OA', 3776, 'LRS', 1464, 'JKL', 4192, '', 0, 'DH8\r'),
	('OA', 3776, 'LRS', 1464, 'JTY', 4190, '', 0, 'DH8\r'),
	('OA', 3776, 'LXS', 1465, 'ATH', 3941, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'LYS', 1335, 'ATH', 3941, 'Y', 0, '320\r'),
	('OA', 3776, 'MAD', 1229, 'ATH', 3941, 'Y', 0, '320\r'),
	('OA', 3776, 'MAN', 478, 'ATH', 3941, 'Y', 0, '320\r'),
	('OA', 3776, 'MJT', 1469, 'ATH', 3941, 'Y', 0, '320 DH4\r'),
	('OA', 3776, 'MJT', 1469, 'SKG', 1486, '', 0, '320\r'),
	('OA', 3776, 'MLO', 4193, 'ATH', 3941, '', 0, 'DH8\r'),
	('OA', 3776, 'MRS', 1353, 'ATH', 3941, 'Y', 0, '320\r'),
	('OA', 3776, 'MXP', 1524, 'ATH', 3941, 'Y', 0, '320\r'),
	('OA', 3776, 'OTP', 1657, 'ATH', 3941, '', 0, '320 DH4\r'),
	('OA', 3776, 'PAS', 4195, 'ATH', 3941, '', 0, 'DH8\r'),
	('OA', 3776, 'RHO', 1472, 'AOK', 1459, '', 0, 'DH8\r'),
	('OA', 3776, 'RHO', 1472, 'ATH', 3941, 'Y', 0, '320 DH4\r'),
	('OA', 3776, 'RHO', 1472, 'KGS', 1458, '', 0, 'DH8\r'),
	('OA', 3776, 'RHO', 1472, 'KZS', 4196, '', 0, 'DH8\r'),
	('OA', 3776, 'RHO', 1472, 'SKG', 1486, 'Y', 0, '320\r'),
	('OA', 3776, 'SKG', 1486, 'ATH', 3941, 'Y', 0, '320 321 DH4\r'),
	('OA', 3776, 'SKG', 1486, 'CHQ', 1474, 'Y', 0, '320\r'),
	('OA', 3776, 'SKG', 1486, 'HER', 1452, '', 0, '320\r'),
	('OA', 3776, 'SKG', 1486, 'MJT', 1469, '', 0, '320\r'),
	('OA', 3776, 'SKG', 1486, 'RHO', 1472, 'Y', 0, '320\r'),
	('OA', 3776, 'SKU', 1482, 'ATH', 3941, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'SMI', 1476, 'ATH', 3941, 'Y', 0, 'DH4\r'),
	('OA', 3776, 'SOF', 1194, 'ATH', 3941, '', 0, 'DH4\r'),
	('OA', 3776, 'TIA', 1190, 'ATH', 3941, '', 0, 'DH4\r'),
	('OA', 3776, 'ZTH', 1488, 'ATH', 3941, '', 0, 'DH4\r'),
	('OB', 462, 'CBB', 2759, 'CIJ', 2761, '', 0, '733\r'),
	('OB', 462, 'CBB', 2759, 'LPB', 2762, '', 0, '733\r'),
	('OB', 462, 'CBB', 2759, 'SRE', 2767, '', 0, '733\r'),
	('OB', 462, 'CBB', 2759, 'TJA', 2768, '', 0, '733\r'),
	('OB', 462, 'CBB', 2759, 'VVI', 2771, '', 0, '733 762\r'),
	('OB', 462, 'CIJ', 2761, 'CBB', 2759, '', 0, '733\r'),
	('OB', 462, 'EZE', 3988, 'VVI', 2771, '', 0, '733\r'),
	('OB', 462, 'GRU', 2564, 'CBB', 2759, '', 0, '733\r'),
	('OB', 462, 'GRU', 2564, 'VVI', 2771, '', 0, '733\r'),
	('OB', 462, 'LPB', 2762, 'CBB', 2759, '', 0, '733\r'),
	('OB', 462, 'LPB', 2762, 'CIJ', 2761, '', 0, '733\r'),
	('OB', 462, 'LPB', 2762, 'SRE', 2767, '', 0, '733\r'),
	('OB', 462, 'LPB', 2762, 'TJA', 2768, '', 0, '733\r'),
	('OB', 462, 'LPB', 2762, 'VVI', 2771, '', 0, '733\r'),
	('OB', 462, 'MAD', 1229, 'VVI', 2771, '', 0, '762\r'),
	('OB', 462, 'SRE', 2767, 'CBB', 2759, '', 0, '733\r'),
	('OB', 462, 'SRE', 2767, 'LPB', 2762, '', 0, '733\r'),
	('OB', 462, 'SRE', 2767, 'VVI', 2771, '', 0, '733\r'),
	('OB', 462, 'TJA', 2768, 'CBB', 2759, '', 0, '733\r'),
	('OB', 462, 'TJA', 2768, 'LPB', 2762, '', 0, '733\r'),
	('OB', 462, 'TJA', 2768, 'VVI', 2771, '', 0, '733\r'),
	('OB', 462, 'VVI', 2771, 'CBB', 2759, '', 0, '762 733\r'),
	('OB', 462, 'VVI', 2771, 'EZE', 3988, '', 0, '733\r'),
	('OB', 462, 'VVI', 2771, 'GRU', 2564, '', 0, '733\r'),
	('OB', 462, 'VVI', 2771, 'LPB', 2762, '', 0, '733\r'),
	('OB', 462, 'VVI', 2771, 'MAD', 1229, '', 0, '762\r'),
	('OB', 462, 'VVI', 2771, 'SRE', 2767, '', 0, '733\r'),
	('OB', 462, 'VVI', 2771, 'TJA', 2768, '', 0, '733\r'),
	('OC', 11794, 'FUJ', 2304, 'FUK', 2305, '', 0, 'DH8\r'),
	('OC', 11794, 'FUJ', 2304, 'NGS', 2313, '', 0, 'DH8\r'),
	('OC', 11794, 'FUK', 2305, 'FUJ', 2304, '', 0, 'DH8\r'),
	('OC', 11794, 'IKI', 2295, 'NGS', 2313, '', 0, 'DH8\r'),
	('OC', 11794, 'NGS', 2313, 'FUJ', 2304, '', 0, 'DH8\r'),
	('OC', 11794, 'NGS', 2313, 'IKI', 2295, '', 0, 'DH8\r'),
	('OC', 11794, 'NGS', 2313, 'TSJ', 2297, '', 0, 'DH8\r'),
	('OC', 11794, 'TSJ', 2297, 'NGS', 2313, '', 0, 'DH8\r'),
	('OD', 18732, 'AMD', 2994, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'AOR', 3296, 'SZB', 3408, '', 0, 'AT7\r'),
	('OD', 18732, 'BKI', 3269, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'BOM', 2997, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'CGK', 3275, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'CGP', 3069, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'COK', 3136, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'DAC', 3076, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'DEL', 3093, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'DMK', 3157, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'DPS', 3940, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'JHB', 3303, 'SZB', 3408, '', 0, 'AT7\r'),
	('OD', 18732, 'KBR', 3298, 'PEN', 3308, '', 0, 'AT7\r'),
	('OD', 18732, 'KBR', 3298, 'SZB', 3408, '', 0, 'AT7\r'),
	('OD', 18732, 'KCH', 3263, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'AMD', 2994, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'BKI', 3269, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'BOM', 2997, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'CGK', 3275, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'CGP', 3069, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'COK', 3136, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'DAC', 3076, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'DEL', 3093, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'DMK', 3157, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'DPS', 3940, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'KCH', 3263, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'LGK', 3305, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'PEN', 3308, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'SBW', 3267, '', 0, '739\r'),
	('OD', 18732, 'KUL', 3304, 'TRZ', 3152, '', 0, '739\r'),
	('OD', 18732, 'LGK', 3305, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'LGK', 3305, 'PEN', 3308, '', 0, 'AT7\r'),
	('OD', 18732, 'LGK', 3305, 'SZB', 3408, '', 0, 'AT7\r'),
	('OD', 18732, 'PEN', 3308, 'KBR', 3298, '', 0, 'AT7\r'),
	('OD', 18732, 'PEN', 3308, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'PEN', 3308, 'LGK', 3305, '', 0, 'AT7\r'),
	('OD', 18732, 'PEN', 3308, 'SZB', 3408, '', 0, 'AT7\r'),
	('OD', 18732, 'SBW', 3267, 'KUL', 3304, '', 0, '739\r'),
	('OD', 18732, 'SZB', 3408, 'AOR', 3296, '', 0, 'AT7\r'),
	('OD', 18732, 'SZB', 3408, 'JHB', 3303, '', 0, 'AT7\r'),
	('OD', 18732, 'SZB', 3408, 'KBR', 3298, '', 0, 'AT7\r'),
	('OD', 18732, 'SZB', 3408, 'LGK', 3305, '', 0, 'AT7\r'),
	('OD', 18732, 'SZB', 3408, 'PEN', 3308, '', 0, 'AT7\r'),
	('OD', 18732, 'SZB', 3408, 'TGG', 3307, '', 0, 'AT7\r'),
	('OD', 18732, 'TGG', 3307, 'SZB', 3408, '', 0, 'AT7\r'),
	('OD', 18732, 'TRZ', 3152, 'KUL', 3304, '', 0, '739\r'),
	('OJ', 3826, 'GEO', 4304, 'KIN', 1779, '', 0, '752\r'),
	('OJ', 3826, 'GEO', 4304, 'YYZ', 193, '', 0, '752\r'),
	('OJ', 3826, 'JFK', 3797, 'KIN', 1779, '', 0, '752\r'),
	('OJ', 3826, 'KIN', 1779, 'GEO', 4304, '', 0, '752\r'),
	('OJ', 3826, 'KIN', 1779, 'JFK', 3797, '', 0, '752\r'),
	('OJ', 3826, 'KIN', 1779, 'YYZ', 193, '', 0, '752\r'),
	('OJ', 3826, 'YYZ', 193, 'GEO', 4304, '', 0, '752\r'),
	('OJ', 3826, 'YYZ', 193, 'KIN', 1779, '', 0, '752\r'),
	('OK', 1946, 'AGP', 1230, 'PRG', 1587, '', 0, '738\r'),
	('OK', 1946, 'ALA', 2908, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'AMS', 580, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'ARN', 737, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'BCN', 1218, 'PMI', 3998, '', 0, '738 E90\r'),
	('OK', 1946, 'BCN', 1218, 'PRG', 1587, '', 0, '319 320 738\r'),
	('OK', 1946, 'BRU', 302, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'BTS', 1745, 'KSC', 1746, '', 0, 'AT4 AT7\r'),
	('OK', 1946, 'BTS', 1745, 'PRG', 1587, '', 0, 'AT4 AT7\r'),
	('OK', 1946, 'BUD', 1489, 'PRG', 1587, '', 0, 'AT7\r'),
	('OK', 1946, 'CDG', 1382, 'PRG', 1587, '', 0, '320 319\r'),
	('OK', 1946, 'CEK', 2968, 'PRG', 1587, '', 0, '320\r'),
	('OK', 1946, 'CLJ', 1652, 'PRG', 1587, '', 0, 'AT5\r'),
	('OK', 1946, 'CPH', 609, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'DUS', 345, 'PRG', 1587, '', 0, '319 AT7\r'),
	('OK', 1946, 'EVN', 3964, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'FCO', 1555, 'PRG', 1587, '', 0, '73G 319 738\r'),
	('OK', 1946, 'FRA', 340, 'PRG', 1587, '', 0, 'AT7 319\r'),
	('OK', 1946, 'GOJ', 4274, 'PRG', 1587, '', 0, '320\r'),
	('OK', 1946, 'GYD', 2922, 'PRG', 1587, 'Y', 0, '320\r'),
	('OK', 1946, 'HAM', 342, 'PRG', 1587, '', 0, '319 AT7 AT4\r'),
	('OK', 1946, 'HEL', 421, 'PRG', 1587, 'Y', 0, '319 320\r'),
	('OK', 1946, 'HER', 1452, 'PRG', 1587, '', 0, '738\r'),
	('OK', 1946, 'ICN', 3930, 'PRG', 1587, '', 0, '333\r'),
	('OK', 1946, 'KBP', 2939, 'PRG', 1587, '', 0, '32S 319\r'),
	('OK', 1946, 'KLV', 1579, 'LED', 2948, '', 0, '320\r'),
	('OK', 1946, 'KLV', 1579, 'SVO', 2985, '', 0, '320\r'),
	('OK', 1946, 'KSC', 1746, 'BTS', 1745, '', 0, 'AT4 AT7\r'),
	('OK', 1946, 'KSC', 1746, 'PRG', 1587, '', 0, 'AT4 AT7\r'),
	('OK', 1946, 'KUF', 4118, 'PRG', 1587, '', 0, '319 320\r'),
	('OK', 1946, 'LED', 2948, 'KLV', 1579, '', 0, '320\r'),
	('OK', 1946, 'LED', 2948, 'PRG', 1587, '', 0, '320 319\r'),
	('OK', 1946, 'LPA', 1054, 'MAD', 1229, '', 0, '738\r'),
	('OK', 1946, 'MAD', 1229, 'LPA', 1054, '', 0, '738\r'),
	('OK', 1946, 'MAD', 1229, 'PRG', 1587, '', 0, '319 321\r'),
	('OK', 1946, 'MAD', 1229, 'TFN', 1057, '', 0, '738\r'),
	('OK', 1946, 'MLA', 1606, 'PRG', 1587, 'Y', 0, '320\r'),
	('OK', 1946, 'MSQ', 2954, 'PRG', 1587, 'Y', 0, 'E75 E95 733\r'),
	('OK', 1946, 'MXP', 1524, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'NCE', 1354, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'OSR', 1582, 'PRG', 1587, '', 0, 'AT4 AT7\r'),
	('OK', 1946, 'OTP', 1657, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'PEE', 2973, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'PMI', 3998, 'BCN', 1218, '', 0, 'E90\r'),
	('OK', 1946, 'PMI', 3998, 'PRG', 1587, '', 0, '738\r'),
	('OK', 1946, 'PRG', 1587, 'AGP', 1230, '', 0, '738\r'),
	('OK', 1946, 'PRG', 1587, 'ALA', 2908, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'AMS', 580, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'ARN', 737, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'BCN', 1218, '', 0, '319 320 738\r'),
	('OK', 1946, 'PRG', 1587, 'BRU', 302, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'BTS', 1745, '', 0, 'AT4 AT7\r'),
	('OK', 1946, 'PRG', 1587, 'BUD', 1489, '', 0, 'AT7\r'),
	('OK', 1946, 'PRG', 1587, 'CDG', 1382, '', 0, '320 319\r'),
	('OK', 1946, 'PRG', 1587, 'CEK', 2968, '', 0, '320\r'),
	('OK', 1946, 'PRG', 1587, 'CLJ', 1652, '', 0, 'AT5\r'),
	('OK', 1946, 'PRG', 1587, 'CPH', 609, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'DUS', 345, '', 0, '319 AT7\r'),
	('OK', 1946, 'PRG', 1587, 'EVN', 3964, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'FCO', 1555, '', 0, '73G 319 738\r'),
	('OK', 1946, 'PRG', 1587, 'FRA', 340, '', 0, 'AT7 319\r'),
	('OK', 1946, 'PRG', 1587, 'GOJ', 4274, '', 0, '320\r'),
	('OK', 1946, 'PRG', 1587, 'GYD', 2922, 'Y', 0, '320\r'),
	('OK', 1946, 'PRG', 1587, 'HAM', 342, '', 0, '319 AT7 AT4\r'),
	('OK', 1946, 'PRG', 1587, 'HEL', 421, 'Y', 0, '319 320\r'),
	('OK', 1946, 'PRG', 1587, 'HER', 1452, '', 0, '738\r'),
	('OK', 1946, 'PRG', 1587, 'ICN', 3930, '', 0, '333\r'),
	('OK', 1946, 'PRG', 1587, 'KBP', 2939, '', 0, '319 32S\r'),
	('OK', 1946, 'PRG', 1587, 'KSC', 1746, '', 0, 'AT4 AT7\r'),
	('OK', 1946, 'PRG', 1587, 'KUF', 4118, '', 0, '319 320\r'),
	('OK', 1946, 'PRG', 1587, 'LED', 2948, '', 0, '320 319\r'),
	('OK', 1946, 'PRG', 1587, 'MAD', 1229, '', 0, '319 321\r'),
	('OK', 1946, 'PRG', 1587, 'MLA', 1606, 'Y', 0, '320\r'),
	('OK', 1946, 'PRG', 1587, 'MSQ', 2954, 'Y', 0, 'E75 E95 733\r'),
	('OK', 1946, 'PRG', 1587, 'MXP', 1524, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'NCE', 1354, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'OSR', 1582, '', 0, 'AT7 AT4\r'),
	('OK', 1946, 'PRG', 1587, 'OTP', 1657, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'PEE', 2973, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'PMI', 3998, '', 0, '738\r'),
	('OK', 1946, 'PRG', 1587, 'RHO', 1472, '', 0, '738\r'),
	('OK', 1946, 'PRG', 1587, 'RIX', 3953, '', 0, 'DH4\r'),
	('OK', 1946, 'PRG', 1587, 'ROV', 2964, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'SOF', 1194, 'Y', 0, '319 E90\r'),
	('OK', 1946, 'PRG', 1587, 'SVO', 2985, '', 0, '320 319\r'),
	('OK', 1946, 'PRG', 1587, 'SVX', 2975, '', 0, '320\r'),
	('OK', 1946, 'PRG', 1587, 'SXB', 1435, '', 0, 'AT4\r'),
	('OK', 1946, 'PRG', 1587, 'TAS', 2983, '', 0, '319\r'),
	('OK', 1946, 'PRG', 1587, 'TLV', 1590, '', 0, '320 738\r'),
	('OK', 1946, 'PRG', 1587, 'TXL', 351, '', 0, 'AT7 AT4\r'),
	('OK', 1946, 'PRG', 1587, 'UFA', 2992, '', 0, '319 320\r'),
	('OK', 1946, 'PRG', 1587, 'VLC', 1246, '', 0, '738\r'),
	('OK', 1946, 'PRG', 1587, 'WAW', 679, '', 0, 'AT7 AT4\r'),
	('OK', 1946, 'PRG', 1587, 'ZRH', 1678, '', 0, 'AT7 AT4\r'),
	('OK', 1946, 'RHO', 1472, 'PRG', 1587, '', 0, '738\r'),
	('OK', 1946, 'RIX', 3953, 'PRG', 1587, '', 0, 'DH4\r'),
	('OK', 1946, 'ROV', 2964, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'SOF', 1194, 'PRG', 1587, 'Y', 0, '319 E90\r'),
	('OK', 1946, 'SPU', 1206, 'PRG', 1587, '', 0, '738\r'),
	('OK', 1946, 'SVO', 2985, 'KLV', 1579, '', 0, '320\r'),
	('OK', 1946, 'SVO', 2985, 'PRG', 1587, '', 0, '319 320\r'),
	('OK', 1946, 'SVX', 2975, 'PRG', 1587, '', 0, '320\r'),
	('OK', 1946, 'SXB', 1435, 'PRG', 1587, '', 0, 'AT4\r'),
	('OK', 1946, 'TAS', 2983, 'PRG', 1587, '', 0, '319\r'),
	('OK', 1946, 'TFN', 1057, 'MAD', 1229, '', 0, '738\r'),
	('OK', 1946, 'TLV', 1590, 'PRG', 1587, '', 0, '738 320\r'),
	('OK', 1946, 'TXL', 351, 'PRG', 1587, '', 0, 'AT7 AT4\r'),
	('OK', 1946, 'UFA', 2992, 'PRG', 1587, '', 0, '320 319\r'),
	('OK', 1946, 'VLC', 1246, 'PRG', 1587, '', 0, '738\r'),
	('OK', 1946, 'WAW', 679, 'PRG', 1587, '', 0, 'AT7 AT4\r'),
	('OK', 1946, 'ZRH', 1678, 'PRG', 1587, '', 0, 'AT7 AT4\r'),
	('OM', 3354, 'HKG', 3077, 'ULN', 3380, '', 0, '737\r'),
	('OM', 3354, 'ICN', 3930, 'ULN', 3380, '', 0, '763\r'),
	('OM', 3354, 'NRT', 2279, 'ULN', 3380, '', 0, '737\r'),
	('OM', 3354, 'PEK', 3364, 'ULN', 3380, '', 0, '737\r'),
	('OM', 3354, 'SVO', 2985, 'TXL', 351, '', 0, '763 737\r'),
	('OM', 3354, 'SVO', 2985, 'ULN', 3380, '', 0, '763 737\r'),
	('OM', 3354, 'TXL', 351, 'SVO', 2985, '', 0, '763 737\r'),
	('OM', 3354, 'ULN', 3380, 'HKG', 3077, '', 0, '737\r'),
	('OM', 3354, 'ULN', 3380, 'ICN', 3930, '', 0, '763\r'),
	('OM', 3354, 'ULN', 3380, 'NRT', 2279, '', 0, '737\r'),
	('OM', 3354, 'ULN', 3380, 'PEK', 3364, '', 0, '737\r'),
	('OM', 3354, 'ULN', 3380, 'SVO', 2985, '', 0, '763 737\r'),
	('ON', 3618, 'BNE', 3320, 'INU', 4076, '', 0, '733\r'),
	('ON', 3618, 'INU', 4076, 'BNE', 3320, '', 0, '733\r'),
	('ON', 3618, 'INU', 4076, 'MAJ', 2249, '', 0, '733\r'),
	('ON', 3618, 'INU', 4076, 'TRW', 1965, '', 0, '733\r'),
	('ON', 3618, 'MAJ', 2249, 'INU', 4076, '', 0, '733\r'),
	('ON', 3618, 'MAJ', 2249, 'TRW', 1965, '', 0, '733\r'),
	('ON', 3618, 'TRW', 1965, 'INU', 4076, '', 0, '733\r'),
	('ON', 3618, 'TRW', 1965, 'MAJ', 2249, '', 0, '733\r'),
	('OR', 1299, 'AMS', 580, 'AUA', 2895, '', 0, '763\r'),
	('OR', 1299, 'AMS', 580, 'BON', 2896, '', 0, '763\r'),
	('OR', 1299, 'AMS', 580, 'CUR', 2897, '', 0, '763\r'),
	('OR', 1299, 'AMS', 580, 'HOG', 1910, '', 0, '763\r'),
	('OR', 1299, 'AMS', 580, 'POP', 1761, '', 0, '763\r'),
	('OR', 1299, 'AMS', 580, 'PUJ', 1760, '', 0, '763\r'),
	('OR', 1299, 'AMS', 580, 'SFB', 4167, '', 0, '763\r'),
	('OR', 1299, 'AMS', 580, 'VRA', 1923, '', 0, '763\r'),
	('OR', 1299, 'AUA', 2895, 'AMS', 580, '', 0, '763\r'),
	('OR', 1299, 'AUA', 2895, 'CUR', 2897, '', 0, '763\r'),
	('OR', 1299, 'BON', 2896, 'AMS', 580, '', 0, '763\r'),
	('OR', 1299, 'BON', 2896, 'CUR', 2897, '', 0, '763\r'),
	('OR', 1299, 'CUN', 1852, 'AMS', 580, '', 0, '763\r'),
	('OR', 1299, 'CUR', 2897, 'AMS', 580, '', 0, '763\r'),
	('OR', 1299, 'CUR', 2897, 'AUA', 2895, '', 0, '763\r'),
	('OR', 1299, 'CUR', 2897, 'BON', 2896, '', 0, '763\r'),
	('OR', 1299, 'HOG', 1910, 'CUN', 1852, '', 0, '763\r'),
	('OR', 1299, 'MBJ', 1780, 'AMS', 580, '', 0, '763\r'),
	('OR', 1299, 'MIA', 3576, 'AMS', 580, '', 0, '763\r'),
	('OR', 1299, 'POP', 1761, 'PUJ', 1760, '', 0, '763\r'),
	('OR', 1299, 'PUJ', 1760, 'AMS', 580, '', 0, '763\r'),
	('OR', 1299, 'PUJ', 1760, 'MBJ', 1780, '', 0, '763\r'),
	('OR', 1299, 'SFB', 4167, 'MIA', 3576, '', 0, '763\r'),
	('OR', 1299, 'VRA', 1923, 'CUN', 1852, '', 0, '763\r'),
	('OS', 491, 'AMM', 2170, 'VIE', 1613, 'Y', 0, '320 319\r'),
	('OS', 491, 'AMS', 580, 'VIE', 1613, 'Y', 0, '100 319 F70 320\r'),
	('OS', 491, 'ARN', 737, 'VIE', 1613, 'Y', 0, '320 100 319\r'),
	('OS', 491, 'ATH', 3941, 'VIE', 1613, 'Y', 0, '321 320\r'),
	('OS', 491, 'AYT', 1688, 'VIE', 1613, 'Y', 0, '320 319\r'),
	('OS', 491, 'BCN', 1218, 'VIE', 1613, 'Y', 0, '321 320\r'),
	('OS', 491, 'BEG', 1739, 'VIE', 1613, 'Y', 0, 'DH4 F70 319 100 320\r'),
	('OS', 491, 'BKK', 3885, 'VIE', 1613, '', 0, '772\r'),
	('OS', 491, 'BLQ', 1538, 'VIE', 1613, 'Y', 0, '100 F70 DH4\r'),
	('OS', 491, 'BRU', 302, 'VIE', 1613, 'Y', 0, '319 320 F70\r'),
	('OS', 491, 'BSL', 4053, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('OS', 491, 'BUD', 1489, 'VIE', 1613, 'Y', 0, 'DH4 100 F70\r'),
	('OS', 491, 'CAI', 1128, 'VIE', 1613, 'Y', 0, '319 738 E70\r'),
	('OS', 491, 'CDG', 1382, 'VIE', 1613, 'Y', 0, '320 321 318\r'),
	('OS', 491, 'CGN', 344, 'KLU', 4322, 'Y', 0, 'CRJ\r'),
	('OS', 491, 'CGN', 344, 'SZG', 1612, 'Y', 0, '319\r'),
	('OS', 491, 'CGN', 344, 'VIE', 1613, 'Y', 0, '319 100 F70 320\r'),
	('OS', 491, 'CHQ', 1474, 'VIE', 1613, 'Y', 0, '320\r'),
	('OS', 491, 'CLJ', 1652, 'VIE', 1613, 'Y', 0, 'AT5\r'),
	('OS', 491, 'CPH', 609, 'VIE', 1613, 'Y', 0, '319 320 100\r'),
	('OS', 491, 'CTA', 1509, 'VIE', 1613, 'Y', 0, '320 100\r'),
	('OS', 491, 'DBV', 1200, 'VIE', 1613, 'Y', 0, '321 319 320\r'),
	('OS', 491, 'DEL', 3093, 'VIE', 1613, 'Y', 0, '767 763\r'),
	('OS', 491, 'DLM', 1715, 'VIE', 1613, 'Y', 0, '100\r'),
	('OS', 491, 'DME', 4029, 'VIE', 1613, 'Y', 0, '320\r'),
	('OS', 491, 'DNK', 2941, 'VIE', 1613, 'Y', 0, 'F70 100\r'),
	('OS', 491, 'DUS', 345, 'GRZ', 1609, 'Y', 0, 'DH4\r'),
	('OS', 491, 'DUS', 345, 'LNZ', 1611, 'Y', 0, 'DH4\r'),
	('OS', 491, 'DUS', 345, 'VIE', 1613, 'Y', 0, '320 319 321 100 CR9\r'),
	('OS', 491, 'DXB', 2188, 'VIE', 1613, 'Y', 0, '763\r'),
	('OS', 491, 'EBL', 3989, 'VIE', 1613, 'Y', 0, '319\r'),
	('OS', 491, 'EVN', 3964, 'VIE', 1613, 'Y', 0, '320 321\r'),
	('OS', 491, 'FCO', 1555, 'VIE', 1613, 'Y', 0, '320 100 319\r'),
	('OS', 491, 'FLR', 1563, 'VIE', 1613, 'Y', 0, 'DH4 F70\r'),
	('OS', 491, 'FNC', 4091, 'VIE', 1613, 'Y', 0, '321\r'),
	('OS', 491, 'FRA', 340, 'GRZ', 1609, 'Y', 0, 'E90 733\r'),
	('OS', 491, 'FRA', 340, 'INN', 1610, 'Y', 0, 'DH4\r'),
	('OS', 491, 'FRA', 340, 'LNZ', 1611, 'Y', 0, 'CR7 E90\r'),
	('OS', 491, 'FRA', 340, 'SZG', 1612, 'Y', 0, '100\r'),
	('OS', 491, 'FRA', 340, 'VIE', 1613, 'Y', 0, '321 320 319\r'),
	('OS', 491, 'GRZ', 1609, 'DUS', 345, 'Y', 0, 'DH4\r'),
	('OS', 491, 'GRZ', 1609, 'FRA', 340, 'Y', 0, 'E90 733\r'),
	('OS', 491, 'GRZ', 1609, 'MUC', 346, 'Y', 0, 'CR9 CR7\r'),
	('OS', 491, 'GRZ', 1609, 'STR', 350, 'Y', 0, 'DH4\r'),
	('OS', 491, 'GRZ', 1609, 'VIE', 1613, 'Y', 0, '100 DH4 F70\r'),
	('OS', 491, 'GVA', 1665, 'VIE', 1613, 'Y', 0, 'F70 319 100\r'),
	('OS', 491, 'GYD', 2922, 'VIE', 1613, 'Y', 0, '319\r'),
	('OS', 491, 'HAJ', 352, 'VIE', 1613, 'Y', 0, '319\r'),
	('OS', 491, 'HAM', 342, 'KLU', 4322, 'Y', 0, '319 CRJ\r'),
	('OS', 491, 'HAM', 342, 'VIE', 1613, 'Y', 0, '319 320 321 CRJ\r'),
	('OS', 491, 'HER', 1452, 'VIE', 1613, 'Y', 0, '320\r'),
	('OS', 491, 'HRG', 1130, 'VIE', 1613, 'Y', 0, '319\r'),
	('OS', 491, 'HRK', 6105, 'VIE', 1613, 'Y', 0, 'F70\r'),
	('OS', 491, 'IAD', 3714, 'VIE', 1613, 'Y', 0, '763\r'),
	('OS', 491, 'IAS', 1655, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('OS', 491, 'IKA', 4330, 'VIE', 1613, 'Y', 0, '320 319\r'),
	('OS', 491, 'INN', 1610, 'FRA', 340, 'Y', 0, 'DH4\r'),
	('OS', 491, 'INN', 1610, 'VIE', 1613, 'Y', 0, 'F70 100 DH4 320\r'),
	('OS', 491, 'IST', 1701, 'VIE', 1613, 'Y', 0, '320 100 319\r'),
	('OS', 491, 'JFK', 3797, 'VIE', 1613, 'Y', 0, '772\r'),
	('OS', 491, 'JTR', 1479, 'VIE', 1613, 'Y', 0, 'F70\r'),
	('OS', 491, 'KBP', 2939, 'VIE', 1613, 'Y', 0, 'E90 F70 100 73G 735\r'),
	('OS', 491, 'KIV', 1735, 'VIE', 1613, 'Y', 0, '100 DH4\r'),
	('OS', 491, 'KLU', 4322, 'CGN', 344, 'Y', 0, 'CRJ\r'),
	('OS', 491, 'KLU', 4322, 'HAM', 342, 'Y', 0, '319 CRJ\r'),
	('OS', 491, 'KLU', 4322, 'TXL', 351, 'Y', 0, '319 CRJ\r'),
	('OS', 491, 'KLU', 4322, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('OS', 491, 'KRK', 669, 'VIE', 1613, 'Y', 0, 'F70 DH4\r'),
	('OS', 491, 'KRR', 2960, 'VIE', 1613, 'Y', 0, '100 F70 319\r'),
	('OS', 491, 'KSC', 1746, 'VIE', 1613, 'Y', 0, '100 DH4\r'),
	('OS', 491, 'LCA', 1197, 'VIE', 1613, 'Y', 0, '320 321\r'),
	('OS', 491, 'LED', 2948, 'VIE', 1613, 'Y', 0, '100 F70\r'),
	('OS', 491, 'LEJ', 348, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('OS', 491, 'LHR', 507, 'VIE', 1613, 'Y', 0, '321 320\r'),
	('OS', 491, 'LIS', 1638, 'VIE', 1613, 'Y', 0, '320 319\r'),
	('OS', 491, 'LJU', 1569, 'VIE', 1613, 'Y', 0, 'CR9 CR2\r'),
	('OS', 491, 'LNZ', 1611, 'DUS', 345, 'Y', 0, 'DH4\r'),
	('OS', 491, 'LNZ', 1611, 'FRA', 340, 'Y', 0, 'E90 CR7\r'),
	('OS', 491, 'LNZ', 1611, 'VIE', 1613, 'Y', 0, 'DH4 D38\r'),
	('OS', 491, 'LPA', 1054, 'VIE', 1613, 'Y', 0, '320\r'),
	('OS', 491, 'LUX', 629, 'VIE', 1613, '', 0, 'DH4\r'),
	('OS', 491, 'LWO', 2945, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('OS', 491, 'LYS', 1335, 'VIE', 1613, 'Y', 0, 'DH4 F70\r'),
	('OS', 491, 'MLA', 1606, 'VIE', 1613, 'Y', 0, '319 320\r'),
	('OS', 491, 'MSQ', 2954, 'VIE', 1613, 'Y', 0, 'F70 100 320 319 321\r'),
	('OS', 491, 'MUC', 346, 'GRZ', 1609, 'Y', 0, 'CR9 CR7\r'),
	('OS', 491, 'MUC', 346, 'VIE', 1613, 'Y', 0, 'E95 320 319 100 CR9 F70\r'),
	('OS', 491, 'MXP', 1524, 'VIE', 1613, 'Y', 0, '320 319 100\r'),
	('OS', 491, 'NAP', 1561, 'VIE', 1613, 'Y', 0, '321\r'),
	('OS', 491, 'NCE', 1354, 'VIE', 1613, 'Y', 0, '100 320 DH4 F70 321\r'),
	('OS', 491, 'NRT', 2279, 'VIE', 1613, '', 0, '772\r'),
	('OS', 491, 'ODS', 2947, 'VIE', 1613, 'Y', 0, 'E90\r'),
	('OS', 491, 'OLB', 1520, 'VIE', 1613, 'Y', 0, '320\r'),
	('OS', 491, 'ORD', 3830, 'VIE', 1613, 'Y', 0, '763\r'),
	('OS', 491, 'OSL', 644, 'VIE', 1613, 'Y', 0, '319 100 F70\r'),
	('OS', 491, 'OTP', 1657, 'VIE', 1613, 'Y', 0, '320 319 100 321\r'),
	('OS', 491, 'PEK', 3364, 'VIE', 1613, 'Y', 0, '763 767\r'),
	('OS', 491, 'PMI', 3998, 'VIE', 1613, 'Y', 0, '319\r'),
	('OS', 491, 'PMO', 1512, 'VIE', 1613, 'Y', 0, 'F70\r'),
	('OS', 491, 'PRG', 1587, 'VIE', 1613, 'Y', 0, '100 DH4 F70\r'),
	('OS', 491, 'PRN', 1742, 'VIE', 1613, 'Y', 0, '100 319\r'),
	('OS', 491, 'RHO', 1472, 'VIE', 1613, 'Y', 0, '320\r'),
	('OS', 491, 'RIX', 3953, 'VIE', 1613, 'Y', 0, '73C 735 DH4\r'),
	('OS', 491, 'ROV', 2964, 'VIE', 1613, 'Y', 0, 'F70 100\r'),
	('OS', 491, 'SBZ', 1658, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('OS', 491, 'SJJ', 1646, 'VIE', 1613, 'Y', 0, '100 320 319\r'),
	('OS', 491, 'SKG', 1486, 'VIE', 1613, 'Y', 0, '320 100\r'),
	('OS', 491, 'SKP', 1737, 'VIE', 1613, 'Y', 0, 'F70 320 100\r'),
	('OS', 491, 'SOF', 1194, 'VIE', 1613, 'Y', 0, '319 100 320 321 F70\r'),
	('OS', 491, 'SPU', 1206, 'VIE', 1613, 'Y', 0, 'DH4 320 319\r'),
	('OS', 491, 'STR', 350, 'GRZ', 1609, 'Y', 0, 'DH4\r'),
	('OS', 491, 'STR', 350, 'VIE', 1613, 'Y', 0, '319 100 F70 320 DH4 CRJ\r'),
	('OS', 491, 'SUF', 1508, 'VIE', 1613, 'Y', 0, '320\r'),
	('OS', 491, 'SZG', 1612, 'CGN', 344, 'Y', 0, '319\r'),
	('OS', 491, 'SZG', 1612, 'FRA', 340, 'Y', 0, '100\r'),
	('OS', 491, 'SZG', 1612, 'VIE', 1613, 'Y', 0, 'DH4 100\r'),
	('OS', 491, 'TBS', 3973, 'VIE', 1613, 'Y', 0, '735\r'),
	('OS', 491, 'TFS', 1056, 'VIE', 1613, 'Y', 0, '320\r'),
	('OS', 491, 'TGD', 1741, 'VIE', 1613, 'Y', 0, '100 DH4\r'),
	('OS', 491, 'TIA', 1190, 'VIE', 1613, 'Y', 0, '100 320\r'),
	('OS', 491, 'TLV', 1590, 'VIE', 1613, 'Y', 0, '321\r'),
	('OS', 491, 'TSE', 2910, 'VIE', 1613, 'Y', 0, '321 320\r'),
	('OS', 491, 'TXL', 351, 'KLU', 4322, 'Y', 0, '319 CRJ\r'),
	('OS', 491, 'TXL', 351, 'VIE', 1613, 'Y', 0, '320 319 321\r'),
	('OS', 491, 'VAR', 1196, 'VIE', 1613, 'Y', 0, '320 100 F70\r'),
	('OS', 491, 'VCE', 1551, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('OS', 491, 'VIE', 1613, 'AMM', 2170, 'Y', 0, '320 319\r'),
	('OS', 491, 'VIE', 1613, 'AMS', 580, 'Y', 0, '319 F70 100 320\r'),
	('OS', 491, 'VIE', 1613, 'ARN', 737, 'Y', 0, '100 319 320\r'),
	('OS', 491, 'VIE', 1613, 'ATH', 3941, 'Y', 0, '321 320\r'),
	('OS', 491, 'VIE', 1613, 'AYT', 1688, 'Y', 0, '320 319\r'),
	('OS', 491, 'VIE', 1613, 'BCN', 1218, 'Y', 0, '321 320\r'),
	('OS', 491, 'VIE', 1613, 'BEG', 1739, 'Y', 0, 'F70 319 DH4 100 320\r'),
	('OS', 491, 'VIE', 1613, 'BKK', 3885, '', 0, '772\r'),
	('OS', 491, 'VIE', 1613, 'BLQ', 1538, 'Y', 0, 'F70 DH4 100\r'),
	('OS', 491, 'VIE', 1613, 'BRU', 302, 'Y', 0, '320 319 F70\r'),
	('OS', 491, 'VIE', 1613, 'BSL', 4053, 'Y', 0, 'DH4\r'),
	('OS', 491, 'VIE', 1613, 'BUD', 1489, 'Y', 0, 'DH4 100 F70\r'),
	('OS', 491, 'VIE', 1613, 'CAI', 1128, 'Y', 0, '319 738 E70\r'),
	('OS', 491, 'VIE', 1613, 'CDG', 1382, 'Y', 0, '321 320 318\r'),
	('OS', 491, 'VIE', 1613, 'CGN', 344, 'Y', 0, '100 319 F70 320\r'),
	('OS', 491, 'VIE', 1613, 'CHQ', 1474, 'Y', 0, '320\r'),
	('OS', 491, 'VIE', 1613, 'CLJ', 1652, 'Y', 0, 'AT5\r'),
	('OS', 491, 'VIE', 1613, 'CPH', 609, 'Y', 0, '320 100 319\r'),
	('OS', 491, 'VIE', 1613, 'CTA', 1509, 'Y', 0, '320 100\r'),
	('OS', 491, 'VIE', 1613, 'DBV', 1200, 'Y', 0, '321 319 320\r'),
	('OS', 491, 'VIE', 1613, 'DEL', 3093, 'Y', 0, '767 763\r'),
	('OS', 491, 'VIE', 1613, 'DLM', 1715, 'Y', 0, '100\r'),
	('OS', 491, 'VIE', 1613, 'DME', 4029, 'Y', 0, '320\r'),
	('OS', 491, 'VIE', 1613, 'DNK', 2941, 'Y', 0, 'F70 100\r'),
	('OS', 491, 'VIE', 1613, 'DUS', 345, 'Y', 0, '320 319 321 100 CR9\r'),
	('OS', 491, 'VIE', 1613, 'DXB', 2188, 'Y', 0, '763\r'),
	('OS', 491, 'VIE', 1613, 'EBL', 3989, 'Y', 0, '319\r'),
	('OS', 491, 'VIE', 1613, 'EVN', 3964, 'Y', 0, '320 321\r'),
	('OS', 491, 'VIE', 1613, 'FCO', 1555, 'Y', 0, '320 100 319\r'),
	('OS', 491, 'VIE', 1613, 'FLR', 1563, 'Y', 0, 'DH4 F70\r'),
	('OS', 491, 'VIE', 1613, 'FNC', 4091, 'Y', 0, '321\r'),
	('OS', 491, 'VIE', 1613, 'FRA', 340, 'Y', 0, '321 320 319\r'),
	('OS', 491, 'VIE', 1613, 'GRZ', 1609, 'Y', 0, 'DH4 F70 100\r'),
	('OS', 491, 'VIE', 1613, 'GVA', 1665, 'Y', 0, '319 100 F70\r'),
	('OS', 491, 'VIE', 1613, 'GYD', 2922, 'Y', 0, '319\r'),
	('OS', 491, 'VIE', 1613, 'HAJ', 352, 'Y', 0, '319\r'),
	('OS', 491, 'VIE', 1613, 'HAM', 342, 'Y', 0, '320 319 321 CRJ\r'),
	('OS', 491, 'VIE', 1613, 'HER', 1452, 'Y', 0, '320\r'),
	('OS', 491, 'VIE', 1613, 'HRG', 1130, 'Y', 0, '319\r'),
	('OS', 491, 'VIE', 1613, 'HRK', 6105, 'Y', 0, 'F70\r'),
	('OS', 491, 'VIE', 1613, 'IAD', 3714, 'Y', 0, '763\r'),
	('OS', 491, 'VIE', 1613, 'IAS', 1655, 'Y', 0, 'DH4\r'),
	('OS', 491, 'VIE', 1613, 'IKA', 4330, 'Y', 0, '319 320\r'),
	('OS', 491, 'VIE', 1613, 'INN', 1610, 'Y', 0, '100 DH4 320 F70\r'),
	('OS', 491, 'VIE', 1613, 'IST', 1701, 'Y', 0, '320 100 319\r'),
	('OS', 491, 'VIE', 1613, 'JFK', 3797, 'Y', 0, '772\r'),
	('OS', 491, 'VIE', 1613, 'JTR', 1479, 'Y', 0, 'F70\r'),
	('OS', 491, 'VIE', 1613, 'KBP', 2939, 'Y', 0, 'F70 100 E90 73G 735\r'),
	('OS', 491, 'VIE', 1613, 'KIV', 1735, 'Y', 0, '100 DH4 F70\r'),
	('OS', 491, 'VIE', 1613, 'KLU', 4322, 'Y', 0, 'DH4\r'),
	('OS', 491, 'VIE', 1613, 'KRK', 669, 'Y', 0, 'F70 DH4\r'),
	('OS', 491, 'VIE', 1613, 'KRR', 2960, 'Y', 0, '100 F70 319\r'),
	('OS', 491, 'VIE', 1613, 'KSC', 1746, 'Y', 0, 'DH4 100 F70\r'),
	('OS', 491, 'VIE', 1613, 'LCA', 1197, 'Y', 0, '321 320\r'),
	('OS', 491, 'VIE', 1613, 'LED', 2948, 'Y', 0, '100 F70\r'),
	('OS', 491, 'VIE', 1613, 'LEJ', 348, 'Y', 0, 'DH4\r'),
	('OS', 491, 'VIE', 1613, 'LHR', 507, 'Y', 0, '320 321\r'),
	('OS', 491, 'VIE', 1613, 'LIS', 1638, 'Y', 0, '320 319\r'),
	('OS', 491, 'VIE', 1613, 'LJU', 1569, 'Y', 0, 'CR9 CR2\r'),
	('OS', 491, 'VIE', 1613, 'LNZ', 1611, 'Y', 0, 'D38 DH4\r'),
	('OS', 491, 'VIE', 1613, 'LPA', 1054, 'Y', 0, '320\r'),
	('OS', 491, 'VIE', 1613, 'LUX', 629, '', 0, 'DH4\r'),
	('OS', 491, 'VIE', 1613, 'LWO', 2945, 'Y', 0, 'DH4\r'),
	('OS', 491, 'VIE', 1613, 'LYS', 1335, 'Y', 0, 'DH4 F70\r'),
	('OS', 491, 'VIE', 1613, 'MLA', 1606, 'Y', 0, '319 320\r'),
	('OS', 491, 'VIE', 1613, 'MSQ', 2954, 'Y', 0, '100 F70 320 319 321\r'),
	('OS', 491, 'VIE', 1613, 'MUC', 346, 'Y', 0, '320 E95 319 100 CR9 F70\r'),
	('OS', 491, 'VIE', 1613, 'MXP', 1524, 'Y', 0, '319 320 100\r'),
	('OS', 491, 'VIE', 1613, 'NAP', 1561, 'Y', 0, '321\r'),
	('OS', 491, 'VIE', 1613, 'NCE', 1354, 'Y', 0, '320 DH4 F70 100 321\r'),
	('OS', 491, 'VIE', 1613, 'NRT', 2279, '', 0, '772\r'),
	('OS', 491, 'VIE', 1613, 'ODS', 2947, 'Y', 0, 'E90\r'),
	('OS', 491, 'VIE', 1613, 'OLB', 1520, 'Y', 0, '320\r'),
	('OS', 491, 'VIE', 1613, 'ORD', 3830, 'Y', 0, '763\r'),
	('OS', 491, 'VIE', 1613, 'OSL', 644, 'Y', 0, '100 F70\r'),
	('OS', 491, 'VIE', 1613, 'OTP', 1657, 'Y', 0, '320 319 100 321\r'),
	('OS', 491, 'VIE', 1613, 'PEK', 3364, 'Y', 0, '763 767\r'),
	('OS', 491, 'VIE', 1613, 'PMI', 3998, 'Y', 0, '319\r'),
	('OS', 491, 'VIE', 1613, 'PMO', 1512, 'Y', 0, 'F70\r'),
	('OS', 491, 'VIE', 1613, 'PRG', 1587, 'Y', 0, '100 DH4 F70\r'),
	('OS', 491, 'VIE', 1613, 'PRN', 1742, 'Y', 0, '319 100\r'),
	('OS', 491, 'VIE', 1613, 'RHO', 1472, 'Y', 0, '320\r'),
	('OS', 491, 'VIE', 1613, 'RIX', 3953, 'Y', 0, '73C 735 DH4\r'),
	('OS', 491, 'VIE', 1613, 'ROV', 2964, 'Y', 0, 'F70 100\r'),
	('OS', 491, 'VIE', 1613, 'SBZ', 1658, 'Y', 0, 'DH4\r'),
	('OS', 491, 'VIE', 1613, 'SJJ', 1646, 'Y', 0, '320 100 319\r'),
	('OS', 491, 'VIE', 1613, 'SKG', 1486, 'Y', 0, '320 100\r'),
	('OS', 491, 'VIE', 1613, 'SKP', 1737, 'Y', 0, '320 100 319\r'),
	('OS', 491, 'VIE', 1613, 'SOF', 1194, 'Y', 0, '100 320 321 319 F70\r'),
	('OS', 491, 'VIE', 1613, 'SPU', 1206, 'Y', 0, 'DH4 320 319\r'),
	('OS', 491, 'VIE', 1613, 'STR', 350, 'Y', 0, '100 319 F70 320 DH4 CRJ\r'),
	('OS', 491, 'VIE', 1613, 'SUF', 1508, 'Y', 0, '320\r'),
	('OS', 491, 'VIE', 1613, 'SZG', 1612, 'Y', 0, 'DH4 100\r'),
	('OS', 491, 'VIE', 1613, 'TBS', 3973, 'Y', 0, '735\r'),
	('OS', 491, 'VIE', 1613, 'TFS', 1056, 'Y', 0, '320\r'),
	('OS', 491, 'VIE', 1613, 'TGD', 1741, 'Y', 0, '100 DH4\r'),
	('OS', 491, 'VIE', 1613, 'TIA', 1190, 'Y', 0, '320 100\r'),
	('OS', 491, 'VIE', 1613, 'TLV', 1590, 'Y', 0, '321\r'),
	('OS', 491, 'VIE', 1613, 'TSE', 2910, 'Y', 0, '320\r'),
	('OS', 491, 'VIE', 1613, 'TXL', 351, 'Y', 0, '320 319 321\r'),
	('OS', 491, 'VIE', 1613, 'VAR', 1196, 'Y', 0, '320 100 F70\r'),
	('OS', 491, 'VIE', 1613, 'VCE', 1551, 'Y', 0, 'DH4\r'),
	('OS', 491, 'VIE', 1613, 'VKO', 2988, 'Y', 0, '735\r'),
	('OS', 491, 'VIE', 1613, 'VNO', 3959, 'Y', 0, '100 F70\r'),
	('OS', 491, 'VIE', 1613, 'WAW', 679, 'Y', 0, 'F70 E95 100 DH4 E75\r'),
	('OS', 491, 'VIE', 1613, 'YYZ', 193, 'Y', 0, '767\r'),
	('OS', 491, 'VIE', 1613, 'ZAG', 1208, 'Y', 0, 'DH4 F70 100\r'),
	('OS', 491, 'VIE', 1613, 'ZRH', 1678, 'Y', 0, '320 32A 319 321 AR1\r'),
	('OS', 491, 'VKO', 2988, 'VIE', 1613, 'Y', 0, '735\r'),
	('OS', 491, 'VNO', 3959, 'VIE', 1613, 'Y', 0, '100 F70\r'),
	('OS', 491, 'WAW', 679, 'VIE', 1613, 'Y', 0, 'E95 F70 100 DH4 E75\r'),
	('OS', 491, 'YYZ', 193, 'VIE', 1613, 'Y', 0, '767\r'),
	('OS', 491, 'ZAG', 1208, 'VIE', 1613, 'Y', 0, 'DH4 F70 100\r'),
	('OS', 491, 'ZRH', 1678, 'VIE', 1613, 'Y', 0, '32A 320 319 321 AR1\r'),
	('OU', 1925, 'AMS', 580, 'DBV', 1200, '', 0, '319\r'),
	('OU', 1925, 'AMS', 580, 'ZAG', 1208, '', 0, '319 320\r'),
	('OU', 1925, 'ATH', 3941, 'DBV', 1200, '', 0, 'DH4 319\r'),
	('OU', 1925, 'ATH', 3941, 'SPU', 1206, '', 0, '319\r'),
	('OU', 1925, 'BCN', 1218, 'ZAG', 1208, '', 0, '319\r'),
	('OU', 1925, 'BEG', 1739, 'SPU', 1206, '', 0, 'DH4\r'),
	('OU', 1925, 'BLQ', 1538, 'LIS', 1638, 'Y', 0, '319\r'),
	('OU', 1925, 'BLQ', 1538, 'ZAG', 1208, 'Y', 0, '319 320\r'),
	('OU', 1925, 'BRU', 302, 'ZAG', 1208, '', 0, 'DH4\r'),
	('OU', 1925, 'BWK', 4160, 'ZAG', 1208, '', 0, 'DH4\r'),
	('OU', 1925, 'CDG', 1382, 'DBV', 1200, '', 0, '319\r'),
	('OU', 1925, 'CDG', 1382, 'SPU', 1206, '', 0, '319 320\r'),
	('OU', 1925, 'CDG', 1382, 'ZAG', 1208, '', 0, '319 320\r'),
	('OU', 1925, 'CPH', 609, 'ZAG', 1208, '', 0, '319 DH4\r'),
	('OU', 1925, 'DBV', 1200, 'AMS', 580, '', 0, '319\r'),
	('OU', 1925, 'DBV', 1200, 'ATH', 3941, '', 0, 'DH4 319\r'),
	('OU', 1925, 'DBV', 1200, 'CDG', 1382, '', 0, '319\r'),
	('OU', 1925, 'DBV', 1200, 'DUS', 345, '', 0, '319\r'),
	('OU', 1925, 'DBV', 1200, 'FCO', 1555, '', 0, 'DH4\r'),
	('OU', 1925, 'DBV', 1200, 'FRA', 340, '', 0, '319 320\r'),
	('OU', 1925, 'DBV', 1200, 'MUC', 346, 'Y', 0, '319 E95 320\r'),
	('OU', 1925, 'DBV', 1200, 'OSI', 1202, '', 0, 'DH4\r'),
	('OU', 1925, 'DBV', 1200, 'RJK', 1205, '', 0, 'EM2\r'),
	('OU', 1925, 'DBV', 1200, 'TXL', 351, '', 0, '319\r'),
	('OU', 1925, 'DBV', 1200, 'VCE', 1551, '', 0, 'DH4\r'),
	('OU', 1925, 'DBV', 1200, 'VIE', 1613, 'Y', 0, '321 319 320\r'),
	('OU', 1925, 'DBV', 1200, 'ZAG', 1208, '', 0, '320 DH4 319\r'),
	('OU', 1925, 'DBV', 1200, 'ZRH', 1678, '', 0, 'DH4\r'),
	('OU', 1925, 'DUS', 345, 'DBV', 1200, '', 0, '319\r'),
	('OU', 1925, 'DUS', 345, 'SPU', 1206, '', 0, '319\r'),
	('OU', 1925, 'FCO', 1555, 'DBV', 1200, '', 0, 'DH4\r'),
	('OU', 1925, 'FCO', 1555, 'SPU', 1206, '', 0, 'DH4\r'),
	('OU', 1925, 'FRA', 340, 'DBV', 1200, '', 0, '319 320\r'),
	('OU', 1925, 'FRA', 340, 'PUY', 1203, '', 0, '319 320\r'),
	('OU', 1925, 'FRA', 340, 'SPU', 1206, '', 0, '320 319\r'),
	('OU', 1925, 'FRA', 340, 'ZAD', 1209, '', 0, '319\r'),
	('OU', 1925, 'FRA', 340, 'ZAG', 1208, '', 0, '320 319\r'),
	('OU', 1925, 'IST', 1701, 'ZAG', 1208, '', 0, '319\r'),
	('OU', 1925, 'LGW', 502, 'SPU', 1206, '', 0, '320\r'),
	('OU', 1925, 'LHR', 507, 'RJK', 1205, '', 0, '320\r'),
	('OU', 1925, 'LHR', 507, 'SPU', 1206, '', 0, '320\r'),
	('OU', 1925, 'LHR', 507, 'ZAG', 1208, '', 0, '319 320\r'),
	('OU', 1925, 'LIS', 1638, 'BLQ', 1538, 'Y', 0, '319\r'),
	('OU', 1925, 'LYS', 1335, 'SPU', 1206, '', 0, 'DH4\r'),
	('OU', 1925, 'MUC', 346, 'DBV', 1200, 'Y', 0, '319 E95 320\r'),
	('OU', 1925, 'MUC', 346, 'SPU', 1206, '', 0, 'DH4\r'),
	('OU', 1925, 'MUC', 346, 'ZAD', 1209, '', 0, 'DH4\r'),
	('OU', 1925, 'MUC', 346, 'ZAG', 1208, '', 0, 'DH4\r'),
	('OU', 1925, 'OSI', 1202, 'DBV', 1200, '', 0, 'DH4\r'),
	('OU', 1925, 'OSI', 1202, 'SPU', 1206, '', 0, 'DH4\r'),
	('OU', 1925, 'OSI', 1202, 'ZAG', 1208, '', 0, 'EM2\r'),
	('OU', 1925, 'PRN', 1742, 'ZAG', 1208, '', 0, 'DH4\r'),
	('OU', 1925, 'PUY', 1203, 'FRA', 340, '', 0, '319 320\r'),
	('OU', 1925, 'PUY', 1203, 'ZAD', 1209, '', 0, 'DH4\r'),
	('OU', 1925, 'PUY', 1203, 'ZAG', 1208, '', 0, 'DH4\r'),
	('OU', 1925, 'RJK', 1205, 'LHR', 507, '', 0, '320\r'),
	('OU', 1925, 'RJK', 1205, 'SPU', 1206, '', 0, 'EM2\r'),
	('OU', 1925, 'RJK', 1205, 'ZAG', 1208, '', 0, 'EM2\r'),
	('OU', 1925, 'SJJ', 1646, 'ZAG', 1208, '', 0, 'DH4\r'),
	('OU', 1925, 'SKP', 1737, 'ZAG', 1208, '', 0, '319 DH4\r'),
	('OU', 1925, 'SPU', 1206, 'ATH', 3941, '', 0, '319\r'),
	('OU', 1925, 'SPU', 1206, 'BEG', 1739, '', 0, 'DH4\r'),
	('OU', 1925, 'SPU', 1206, 'CDG', 1382, '', 0, '319 320\r'),
	('OU', 1925, 'SPU', 1206, 'DBV', 1200, '', 0, '319 EM2 320\r'),
	('OU', 1925, 'SPU', 1206, 'DUS', 345, '', 0, '319\r'),
	('OU', 1925, 'SPU', 1206, 'FCO', 1555, '', 0, 'DH4\r'),
	('OU', 1925, 'SPU', 1206, 'FRA', 340, '', 0, '320 319\r'),
	('OU', 1925, 'SPU', 1206, 'LGW', 502, '', 0, '320\r'),
	('OU', 1925, 'SPU', 1206, 'LHR', 507, '', 0, '320\r'),
	('OU', 1925, 'SPU', 1206, 'LYS', 1335, '', 0, 'DH4\r'),
	('OU', 1925, 'SPU', 1206, 'MUC', 346, '', 0, 'DH4\r'),
	('OU', 1925, 'SPU', 1206, 'OSI', 1202, '', 0, 'DH4\r'),
	('OU', 1925, 'SPU', 1206, 'TXL', 351, '', 0, '319\r'),
	('OU', 1925, 'SPU', 1206, 'VIE', 1613, '', 0, 'DH4\r'),
	('OU', 1925, 'SPU', 1206, 'ZAG', 1208, '', 0, '319 DH4 320\r'),
	('OU', 1925, 'SPU', 1206, 'ZRH', 1678, '', 0, 'DH4\r'),
	('OU', 1925, 'TXL', 351, 'DBV', 1200, '', 0, '319\r'),
	('OU', 1925, 'TXL', 351, 'SPU', 1206, '', 0, '319\r'),
	('OU', 1925, 'TXL', 351, 'ZAG', 1208, 'Y', 0, '320\r'),
	('OU', 1925, 'VCE', 1551, 'DBV', 1200, '', 0, 'DH4\r'),
	('OU', 1925, 'VIE', 1613, 'DBV', 1200, 'Y', 0, '321 319 320\r'),
	('OU', 1925, 'VIE', 1613, 'SPU', 1206, '', 0, 'DH4\r'),
	('OU', 1925, 'VIE', 1613, 'ZAG', 1208, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAD', 1209, 'FRA', 340, '', 0, '319\r'),
	('OU', 1925, 'ZAD', 1209, 'MUC', 346, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAD', 1209, 'PUY', 1203, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAD', 1209, 'ZAG', 1208, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAG', 1208, 'AMS', 580, '', 0, '319 320\r'),
	('OU', 1925, 'ZAG', 1208, 'BCN', 1218, '', 0, '319\r'),
	('OU', 1925, 'ZAG', 1208, 'BLQ', 1538, 'Y', 0, '319 320\r'),
	('OU', 1925, 'ZAG', 1208, 'BRU', 302, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAG', 1208, 'BWK', 4160, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAG', 1208, 'CDG', 1382, '', 0, '319 320\r'),
	('OU', 1925, 'ZAG', 1208, 'CPH', 609, '', 0, '319 DH4\r'),
	('OU', 1925, 'ZAG', 1208, 'DBV', 1200, '', 0, 'DH4 319 320\r'),
	('OU', 1925, 'ZAG', 1208, 'FRA', 340, '', 0, '320 319\r'),
	('OU', 1925, 'ZAG', 1208, 'IST', 1701, '', 0, '319\r'),
	('OU', 1925, 'ZAG', 1208, 'LHR', 507, '', 0, '319 320\r'),
	('OU', 1925, 'ZAG', 1208, 'MUC', 346, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAG', 1208, 'OSI', 1202, '', 0, 'EM2\r'),
	('OU', 1925, 'ZAG', 1208, 'PRN', 1742, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAG', 1208, 'RJK', 1205, '', 0, 'EM2\r'),
	('OU', 1925, 'ZAG', 1208, 'SJJ', 1646, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAG', 1208, 'SKP', 1737, '', 0, '319 DH4\r'),
	('OU', 1925, 'ZAG', 1208, 'SPU', 1206, '', 0, 'DH4 320 319\r'),
	('OU', 1925, 'ZAG', 1208, 'TXL', 351, 'Y', 0, '320\r'),
	('OU', 1925, 'ZAG', 1208, 'VIE', 1613, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAG', 1208, 'ZAD', 1209, '', 0, 'DH4\r'),
	('OU', 1925, 'ZAG', 1208, 'ZRH', 1678, '', 0, 'DH4\r'),
	('OU', 1925, 'ZRH', 1678, 'DBV', 1200, '', 0, 'DH4\r'),
	('OU', 1925, 'ZRH', 1678, 'SPU', 1206, '', 0, 'DH4\r'),
	('OU', 1925, 'ZRH', 1678, 'ZAG', 1208, '', 0, 'DH4\r'),
	('OV', 2218, 'AMS', 580, 'TLL', 415, '', 0, 'CR9\r'),
	('OV', 2218, 'AMS', 580, 'VXO', 711, '', 0, 'E70\r'),
	('OV', 2218, 'ARN', 737, 'TLL', 415, '', 0, 'E70 CR9\r'),
	('OV', 2218, 'BRU', 302, 'TLL', 415, '', 0, 'CR9\r'),
	('OV', 2218, 'CPH', 609, 'TLL', 415, '', 0, 'CR9 E70\r'),
	('OV', 2218, 'KBP', 2939, 'TLL', 415, '', 0, 'CR9\r'),
	('OV', 2218, 'LED', 2948, 'TLL', 415, '', 0, 'E70 CR9\r'),
	('OV', 2218, 'NCE', 1354, 'TLL', 415, '', 0, 'CR9\r'),
	('OV', 2218, 'OSL', 644, 'TLL', 415, '', 0, 'E70\r'),
	('OV', 2218, 'SPU', 1206, 'TLL', 415, '', 0, 'CR9\r'),
	('OV', 2218, 'SVO', 2985, 'TLL', 415, '', 0, 'CR9 E70\r'),
	('OV', 2218, 'TLL', 415, 'AMS', 580, '', 0, 'CR9\r'),
	('OV', 2218, 'TLL', 415, 'ARN', 737, '', 0, 'E70 CR9\r'),
	('OV', 2218, 'TLL', 415, 'BRU', 302, '', 0, 'CR9\r'),
	('OV', 2218, 'TLL', 415, 'CPH', 609, '', 0, 'CR9 E70\r'),
	('OV', 2218, 'TLL', 415, 'KBP', 2939, '', 0, 'CR9\r'),
	('OV', 2218, 'TLL', 415, 'LED', 2948, '', 0, 'E70 CR9\r'),
	('OV', 2218, 'TLL', 415, 'NCE', 1354, '', 0, 'CR9\r'),
	('OV', 2218, 'TLL', 415, 'OSL', 644, '', 0, 'E70\r'),
	('OV', 2218, 'TLL', 415, 'SPU', 1206, '', 0, 'CR9\r'),
	('OV', 2218, 'TLL', 415, 'SVO', 2985, '', 0, 'E70 CR9\r'),
	('OV', 2218, 'TLL', 415, 'TRD', 665, '', 0, 'CR9 E70\r'),
	('OV', 2218, 'TLL', 415, 'VNO', 3959, '', 0, 'CR9 E70\r'),
	('OV', 2218, 'TRD', 665, 'TLL', 415, '', 0, 'CR9 E70\r'),
	('OV', 2218, 'VNO', 3959, 'TLL', 415, '', 0, 'CR9 E70\r'),
	('OV', 2218, 'VXO', 711, 'AMS', 580, '', 0, 'E70\r'),
	('OX', 3811, 'BKK', 3885, 'HKG', 3077, '', 0, 'M82\r'),
	('OX', 3811, 'CAN', 3370, 'DMK', 3157, '', 0, 'M82\r'),
	('OX', 3811, 'DMK', 3157, 'CAN', 3370, '', 0, 'M82\r'),
	('OX', 3811, 'DMK', 3157, 'HKT', 3179, '', 0, 'M82\r'),
	('OX', 3811, 'HKG', 3077, 'BKK', 3885, '', 0, 'M82\r'),
	('OX', 3811, 'HKT', 3179, 'DMK', 3157, '', 0, 'M82\r'),
	('OY', 3781, 'AEP', 2442, 'PMY', 2492, '', 0, 'M82\r'),
	('OY', 3781, 'AEP', 2442, 'SLA', 2476, '', 0, 'M82\r'),
	('OY', 3781, 'PMY', 2492, 'AEP', 2442, '', 0, 'M82\r'),
	('OY', 3781, 'SLA', 2476, 'AEP', 2442, '', 0, 'M82\r'),
	('OZ', 28, 'ADD', 1107, 'NBO', 4059, '', 0, '763\r'),
	('OZ', 28, 'AKL', 2006, 'NRT', 2279, '', 0, '772\r'),
	('OZ', 28, 'ALA', 2908, 'ICN', 3930, '', 0, '333 763\r'),
	('OZ', 28, 'ATL', 3682, 'JFK', 3797, '', 0, '\r'),
	('OZ', 28, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('OZ', 28, 'AUH', 2179, 'ICN', 3930, 'Y', 0, '345\r'),
	('OZ', 28, 'BKI', 3269, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'BKK', 3885, 'CEI', 3932, 'Y', 0, '734\r'),
	('OZ', 28, 'BKK', 3885, 'ICN', 3930, '', 0, '333 772\r'),
	('OZ', 28, 'BKK', 3885, 'PUS', 2372, 'Y', 0, '330\r'),
	('OZ', 28, 'CAN', 3370, 'ICN', 3930, '', 0, '333 321\r'),
	('OZ', 28, 'CAN', 3370, 'PUS', 2372, '', 0, '320\r'),
	('OZ', 28, 'CDG', 1382, 'ICN', 3930, '', 0, '772\r'),
	('OZ', 28, 'CEB', 4206, 'ICN', 3930, '', 0, '321 763\r'),
	('OZ', 28, 'CEI', 3932, 'BKK', 3885, 'Y', 0, '734\r'),
	('OZ', 28, 'CGK', 3275, 'ICN', 3930, '', 0, '333\r'),
	('OZ', 28, 'CGQ', 4380, 'ICN', 3930, '', 0, '763 321\r'),
	('OZ', 28, 'CJJ', 6008, 'CJU', 2370, '', 0, '321 320\r'),
	('OZ', 28, 'CJJ', 6008, 'PEK', 3364, '', 0, '321\r'),
	('OZ', 28, 'CJU', 2370, 'CJJ', 6008, '', 0, '320 321\r'),
	('OZ', 28, 'CJU', 2370, 'FUK', 2305, '', 0, '320\r'),
	('OZ', 28, 'CJU', 2370, 'GMP', 2378, '', 0, '321 320 763 333\r'),
	('OZ', 28, 'CJU', 2370, 'HIN', 6007, '', 0, '320\r'),
	('OZ', 28, 'CJU', 2370, 'ICN', 3930, '', 0, '321 320\r'),
	('OZ', 28, 'CJU', 2370, 'KPO', 2380, '', 0, '320\r'),
	('OZ', 28, 'CJU', 2370, 'KWJ', 2361, '', 0, '321 320\r'),
	('OZ', 28, 'CJU', 2370, 'MWX', 4189, '', 0, '321\r'),
	('OZ', 28, 'CJU', 2370, 'PUS', 2372, '', 0, '321 320 734 735\r'),
	('OZ', 28, 'CJU', 2370, 'TAE', 2381, '', 0, '320 321\r'),
	('OZ', 28, 'CKG', 3393, 'ICN', 3930, '', 0, '320 763 321\r'),
	('OZ', 28, 'CPT', 797, 'JNB', 813, 'Y', 0, '772\r'),
	('OZ', 28, 'CRK', 4140, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'CSX', 3371, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'CTU', 3395, 'HFE', 3389, 'Y', 0, '319\r'),
	('OZ', 28, 'CTU', 3395, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'DAD', 3196, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'DEL', 3093, 'HKG', 3077, 'Y', 0, '77L\r'),
	('OZ', 28, 'DEL', 3093, 'ICN', 3930, '', 0, '333\r'),
	('OZ', 28, 'DLC', 3404, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'DOH', 2241, 'ICN', 3930, 'Y', 0, '333\r'),
	('OZ', 28, 'DPS', 3940, 'ICN', 3930, '', 0, '763\r'),
	('OZ', 28, 'FRA', 340, 'ICN', 3930, '', 0, '74E\r'),
	('OZ', 28, 'FSZ', 6476, 'ICN', 3930, '', 0, '321 320\r'),
	('OZ', 28, 'FUK', 2305, 'CJU', 2370, '', 0, '320\r'),
	('OZ', 28, 'FUK', 2305, 'ICN', 3930, '', 0, '333 321 77L 763\r'),
	('OZ', 28, 'FUK', 2305, 'PUS', 2372, '', 0, '734 320\r'),
	('OZ', 28, 'GMP', 2378, 'CJU', 2370, '', 0, '320 321 763 333\r'),
	('OZ', 28, 'GMP', 2378, 'HND', 2359, '', 0, '333\r'),
	('OZ', 28, 'GMP', 2378, 'KIX', 3992, '', 0, '321\r'),
	('OZ', 28, 'GMP', 2378, 'KPO', 2380, '', 0, '320\r'),
	('OZ', 28, 'GMP', 2378, 'KWJ', 2361, '', 0, '320\r'),
	('OZ', 28, 'GMP', 2378, 'PEK', 3364, '', 0, '333\r'),
	('OZ', 28, 'GMP', 2378, 'PUS', 2372, 'Y', 0, '735 734\r'),
	('OZ', 28, 'GMP', 2378, 'RSU', 2365, '', 0, '320 321\r'),
	('OZ', 28, 'GMP', 2378, 'SHA', 3391, '', 0, '333\r'),
	('OZ', 28, 'GMP', 2378, 'USN', 2374, '', 0, '320\r'),
	('OZ', 28, 'HAN', 3199, 'ICN', 3930, '', 0, '321 333\r'),
	('OZ', 28, 'HFE', 3389, 'ICN', 3930, 'Y', 0, '321\r'),
	('OZ', 28, 'HGH', 3386, 'ICN', 3930, '', 0, '333\r'),
	('OZ', 28, 'HGH', 3386, 'PUS', 2372, '', 0, '320\r'),
	('OZ', 28, 'HIJ', 2326, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'HIN', 6007, 'CJU', 2370, '', 0, '320\r'),
	('OZ', 28, 'HKG', 3077, 'DEL', 3093, 'Y', 0, '77L\r'),
	('OZ', 28, 'HKG', 3077, 'ICN', 3930, '', 0, '744 321 320 333 763\r'),
	('OZ', 28, 'HKT', 3179, 'ICN', 3930, '', 0, '763\r'),
	('OZ', 28, 'HND', 2359, 'GMP', 2378, '', 0, '333\r'),
	('OZ', 28, 'HND', 2359, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'HNL', 3728, 'ICN', 3930, '', 0, '333\r'),
	('OZ', 28, 'HRB', 3400, 'ICN', 3930, '', 0, '763\r'),
	('OZ', 28, 'ICN', 3930, 'ALA', 2908, '', 0, '333 763\r'),
	('OZ', 28, 'ICN', 3930, 'AUH', 2179, 'Y', 0, '345\r'),
	('OZ', 28, 'ICN', 3930, 'BKI', 3269, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'BKK', 3885, '', 0, '333 772\r'),
	('OZ', 28, 'ICN', 3930, 'CAN', 3370, '', 0, '333 321\r'),
	('OZ', 28, 'ICN', 3930, 'CDG', 1382, '', 0, '772\r'),
	('OZ', 28, 'ICN', 3930, 'CEB', 4206, '', 0, '321 763\r'),
	('OZ', 28, 'ICN', 3930, 'CGK', 3275, '', 0, '333\r'),
	('OZ', 28, 'ICN', 3930, 'CGQ', 4380, '', 0, '763 321\r'),
	('OZ', 28, 'ICN', 3930, 'CJU', 2370, '', 0, '763 321 320\r'),
	('OZ', 28, 'ICN', 3930, 'CKG', 3393, '', 0, '320 763 321\r'),
	('OZ', 28, 'ICN', 3930, 'CRK', 4140, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'CSX', 3371, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'CTU', 3395, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'DAD', 3196, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'DEL', 3093, '', 0, '333\r'),
	('OZ', 28, 'ICN', 3930, 'DLC', 3404, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'DOH', 2241, 'Y', 0, '333\r'),
	('OZ', 28, 'ICN', 3930, 'DPS', 3940, '', 0, '763\r'),
	('OZ', 28, 'ICN', 3930, 'FRA', 340, '', 0, '74E\r'),
	('OZ', 28, 'ICN', 3930, 'FSZ', 6476, '', 0, '321 320\r'),
	('OZ', 28, 'ICN', 3930, 'FUK', 2305, '', 0, '333 321 77L 763\r'),
	('OZ', 28, 'ICN', 3930, 'HAN', 3199, '', 0, '321 333\r'),
	('OZ', 28, 'ICN', 3930, 'HGH', 3386, '', 0, '333\r'),
	('OZ', 28, 'ICN', 3930, 'HIJ', 2326, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'HKG', 3077, '', 0, '320 333 321 744 763\r'),
	('OZ', 28, 'ICN', 3930, 'HKT', 3179, '', 0, '763\r'),
	('OZ', 28, 'ICN', 3930, 'HND', 2359, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'HNL', 3728, '', 0, '333\r'),
	('OZ', 28, 'ICN', 3930, 'HRB', 3400, '', 0, '763\r'),
	('OZ', 28, 'ICN', 3930, 'IST', 1701, '', 0, '333\r'),
	('OZ', 28, 'ICN', 3930, 'JFK', 3797, '', 0, '77W\r'),
	('OZ', 28, 'ICN', 3930, 'KHH', 2264, '', 0, 'M90\r'),
	('OZ', 28, 'ICN', 3930, 'KHN', 3384, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'KHV', 2927, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'KIX', 3992, '', 0, '77L 74E 772 763 321\r'),
	('OZ', 28, 'ICN', 3930, 'KMI', 2308, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'KMJ', 2312, '', 0, '321 320\r'),
	('OZ', 28, 'ICN', 3930, 'KWL', 3372, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'LAX', 3484, '', 0, '744 77L\r'),
	('OZ', 28, 'ICN', 3930, 'LHR', 507, '', 0, '77L\r'),
	('OZ', 28, 'ICN', 3930, 'LJG', 4033, '', 0, '320\r'),
	('OZ', 28, 'ICN', 3930, 'MFM', 3121, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'MNL', 2397, '', 0, '333 772\r'),
	('OZ', 28, 'ICN', 3930, 'MYJ', 2333, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'NGB', 3387, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'NGO', 3942, '', 0, '321 763\r'),
	('OZ', 28, 'ICN', 3930, 'NKG', 3388, '', 0, '763 321\r'),
	('OZ', 28, 'ICN', 3930, 'NRT', 2279, '', 0, '333 321 772 74E\r'),
	('OZ', 28, 'ICN', 3930, 'OKA', 2384, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'ORD', 3830, '', 0, '772\r'),
	('OZ', 28, 'ICN', 3930, 'PEK', 3364, '', 0, '321 333\r'),
	('OZ', 28, 'ICN', 3930, 'PNH', 3034, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'PVG', 3406, '', 0, '744 333 763\r'),
	('OZ', 28, 'ICN', 3930, 'REP', 3035, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'RGN', 3239, '', 0, '763\r'),
	('OZ', 28, 'ICN', 3930, 'ROR', 2256, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'SDJ', 2347, '', 0, '321 763\r'),
	('OZ', 28, 'ICN', 3930, 'SEA', 3577, '', 0, '333\r'),
	('OZ', 28, 'ICN', 3930, 'SFO', 3469, '', 0, '77L\r'),
	('OZ', 28, 'ICN', 3930, 'SGN', 3205, '', 0, '321 77W 772\r'),
	('OZ', 28, 'ICN', 3930, 'SIN', 3316, '', 0, '333\r'),
	('OZ', 28, 'ICN', 3930, 'SPN', 2244, '', 0, '763 333\r'),
	('OZ', 28, 'ICN', 3930, 'SYD', 3361, '', 0, '772\r'),
	('OZ', 28, 'ICN', 3930, 'SZX', 3374, '', 0, '763 333 738\r'),
	('OZ', 28, 'ICN', 3930, 'TAK', 2337, '', 0, '321 320\r'),
	('OZ', 28, 'ICN', 3930, 'TAO', 3390, '', 0, '320 321\r'),
	('OZ', 28, 'ICN', 3930, 'TAS', 2983, '', 0, '333\r'),
	('OZ', 28, 'ICN', 3930, 'TNA', 4108, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'TOY', 2324, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'TPE', 2276, '', 0, '333 772 321\r'),
	('OZ', 28, 'ICN', 3930, 'TSN', 3368, '', 0, '333 321\r'),
	('OZ', 28, 'ICN', 3930, 'TXN', 6387, '', 0, '320\r'),
	('OZ', 28, 'ICN', 3930, 'UBJ', 2296, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'UUS', 2933, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'VVO', 2934, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'XIY', 3379, '', 0, '321 763\r'),
	('OZ', 28, 'ICN', 3930, 'YGJ', 2330, '', 0, '321 320\r'),
	('OZ', 28, 'ICN', 3930, 'YNJ', 6414, '', 0, '321\r'),
	('OZ', 28, 'ICN', 3930, 'YNT', 3392, '', 0, '321 320\r'),
	('OZ', 28, 'ICN', 3930, 'YVR', 156, 'Y', 0, '763\r'),
	('OZ', 28, 'IST', 1701, 'ICN', 3930, '', 0, '333\r'),
	('OZ', 28, 'IST', 1701, 'MUC', 346, '', 0, '321\r'),
	('OZ', 28, 'IST', 1701, 'NBO', 4059, 'Y', 0, '738\r'),
	('OZ', 28, 'IST', 1701, 'VIE', 1613, '', 0, '321\r'),
	('OZ', 28, 'IST', 1701, 'ZRH', 1678, '', 0, '320\r'),
	('OZ', 28, 'JFK', 3797, 'ICN', 3930, '', 0, '77W\r'),
	('OZ', 28, 'JNB', 813, 'CPT', 797, 'Y', 0, '772\r'),
	('OZ', 28, 'JNB', 813, 'SIN', 3316, 'Y', 0, '772\r'),
	('OZ', 28, 'KHH', 2264, 'ICN', 3930, '', 0, 'M90\r'),
	('OZ', 28, 'KHN', 3384, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'KHV', 2927, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'KIX', 3992, 'GMP', 2378, '', 0, '321\r'),
	('OZ', 28, 'KIX', 3992, 'ICN', 3930, '', 0, '763 77L 74E 772 321\r'),
	('OZ', 28, 'KIX', 3992, 'PUS', 2372, 'Y', 0, '321\r'),
	('OZ', 28, 'KIX', 3992, 'SPN', 2244, '', 0, '763\r'),
	('OZ', 28, 'KMI', 2308, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'KMJ', 2312, 'ICN', 3930, '', 0, '321 320\r'),
	('OZ', 28, 'KPO', 2380, 'CJU', 2370, '', 0, '320\r'),
	('OZ', 28, 'KPO', 2380, 'GMP', 2378, '', 0, '320\r'),
	('OZ', 28, 'KWJ', 2361, 'CJU', 2370, '', 0, '320 321\r'),
	('OZ', 28, 'KWJ', 2361, 'GMP', 2378, '', 0, '320 321\r'),
	('OZ', 28, 'KWL', 3372, 'ICN', 3930, '', 0, '763 321\r'),
	('OZ', 28, 'KWL', 3372, 'PUS', 2372, '', 0, '320\r'),
	('OZ', 28, 'LAX', 3484, 'ICN', 3930, '', 0, '77L 744\r'),
	('OZ', 28, 'LAX', 3484, 'MSY', 3861, 'Y', 0, '320 319 738\r'),
	('OZ', 28, 'LHR', 507, 'ICN', 3930, '', 0, '77L\r'),
	('OZ', 28, 'LJG', 4033, 'ICN', 3930, '', 0, '320\r'),
	('OZ', 28, 'MFM', 3121, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'MNL', 2397, 'ICN', 3930, '', 0, '333 772\r'),
	('OZ', 28, 'MNL', 2397, 'PUS', 2372, '', 0, '320\r'),
	('OZ', 28, 'MSY', 3861, 'LAX', 3484, 'Y', 0, '738 739\r'),
	('OZ', 28, 'MUC', 346, 'IST', 1701, '', 0, '321\r'),
	('OZ', 28, 'MWX', 4189, 'CJU', 2370, '', 0, '321\r'),
	('OZ', 28, 'MWX', 4189, 'PEK', 3364, '', 0, '321\r'),
	('OZ', 28, 'MYJ', 2333, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'NBO', 4059, 'ADD', 1107, '', 0, '763\r'),
	('OZ', 28, 'NBO', 4059, 'IST', 1701, 'Y', 0, '738\r'),
	('OZ', 28, 'NGB', 3387, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'NGO', 3942, 'ICN', 3930, '', 0, '321 763\r'),
	('OZ', 28, 'NKG', 3388, 'ICN', 3930, '', 0, '763 321\r'),
	('OZ', 28, 'NRT', 2279, 'AKL', 2006, '', 0, '772\r'),
	('OZ', 28, 'NRT', 2279, 'ICN', 3930, '', 0, '321 333 772 74E\r'),
	('OZ', 28, 'NRT', 2279, 'PUS', 2372, 'Y', 0, '321\r'),
	('OZ', 28, 'OKA', 2384, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'OKA', 2384, 'PUS', 2372, '', 0, '320\r'),
	('OZ', 28, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'E70 CR7\r'),
	('OZ', 28, 'ORD', 3830, 'ICN', 3930, '', 0, '772\r'),
	('OZ', 28, 'PEK', 3364, 'CJJ', 6008, '', 0, '321\r'),
	('OZ', 28, 'PEK', 3364, 'GMP', 2378, '', 0, '333\r'),
	('OZ', 28, 'PEK', 3364, 'ICN', 3930, '', 0, '321 333\r'),
	('OZ', 28, 'PEK', 3364, 'MWX', 4189, '', 0, '321\r'),
	('OZ', 28, 'PEK', 3364, 'PUS', 2372, '', 0, '320\r'),
	('OZ', 28, 'PNH', 3034, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'PUS', 2372, 'BKK', 3885, 'Y', 0, '330\r'),
	('OZ', 28, 'PUS', 2372, 'CAN', 3370, '', 0, '320\r'),
	('OZ', 28, 'PUS', 2372, 'CJU', 2370, '', 0, '321 320 734 735\r'),
	('OZ', 28, 'PUS', 2372, 'FUK', 2305, '', 0, '734 320\r'),
	('OZ', 28, 'PUS', 2372, 'GMP', 2378, 'Y', 0, '734 735\r'),
	('OZ', 28, 'PUS', 2372, 'HGH', 3386, '', 0, '320\r'),
	('OZ', 28, 'PUS', 2372, 'KIX', 3992, 'Y', 0, '321\r'),
	('OZ', 28, 'PUS', 2372, 'KWL', 3372, '', 0, '320\r'),
	('OZ', 28, 'PUS', 2372, 'MNL', 2397, '', 0, '320\r'),
	('OZ', 28, 'PUS', 2372, 'NRT', 2279, 'Y', 0, '321\r'),
	('OZ', 28, 'PUS', 2372, 'OKA', 2384, '', 0, '320\r'),
	('OZ', 28, 'PUS', 2372, 'PEK', 3364, '', 0, '320\r'),
	('OZ', 28, 'PUS', 2372, 'PVG', 3406, '', 0, '320\r'),
	('OZ', 28, 'PUS', 2372, 'SHE', 4144, '', 0, '320\r'),
	('OZ', 28, 'PUS', 2372, 'SPN', 2244, '', 0, '320\r'),
	('OZ', 28, 'PUS', 2372, 'TAO', 3390, 'Y', 0, '734\r'),
	('OZ', 28, 'PUS', 2372, 'TXN', 6387, '', 0, '320\r'),
	('OZ', 28, 'PVG', 3406, 'ICN', 3930, '', 0, '333 744 763\r'),
	('OZ', 28, 'PVG', 3406, 'PUS', 2372, '', 0, '320\r'),
	('OZ', 28, 'REP', 3035, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'RGN', 3239, 'ICN', 3930, '', 0, '763\r'),
	('OZ', 28, 'ROR', 2256, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'RSU', 2365, 'GMP', 2378, '', 0, '320 321\r'),
	('OZ', 28, 'SDJ', 2347, 'ICN', 3930, '', 0, '321 763\r'),
	('OZ', 28, 'SEA', 3577, 'ICN', 3930, '', 0, '333\r'),
	('OZ', 28, 'SFO', 3469, 'ICN', 3930, '', 0, '77L\r'),
	('OZ', 28, 'SGN', 3205, 'ICN', 3930, '', 0, '321 77W 772\r'),
	('OZ', 28, 'SHA', 3391, 'GMP', 2378, '', 0, '333\r'),
	('OZ', 28, 'SHE', 4144, 'PUS', 2372, '', 0, '320\r'),
	('OZ', 28, 'SIN', 3316, 'ICN', 3930, '', 0, '333\r'),
	('OZ', 28, 'SIN', 3316, 'JNB', 813, 'Y', 0, '772\r'),
	('OZ', 28, 'SPN', 2244, 'ICN', 3930, '', 0, '333 763\r'),
	('OZ', 28, 'SPN', 2244, 'KIX', 3992, '', 0, '763\r'),
	('OZ', 28, 'SPN', 2244, 'PUS', 2372, '', 0, '320\r'),
	('OZ', 28, 'SYD', 3361, 'ICN', 3930, '', 0, '772\r'),
	('OZ', 28, 'SZX', 3374, 'ICN', 3930, '', 0, '763 333 738\r'),
	('OZ', 28, 'TAE', 2381, 'CJU', 2370, '', 0, '320 321\r'),
	('OZ', 28, 'TAK', 2337, 'ICN', 3930, '', 0, '321 320\r'),
	('OZ', 28, 'TAO', 3390, 'CTU', 3395, 'Y', 0, '738\r'),
	('OZ', 28, 'TAO', 3390, 'ICN', 3930, '', 0, '320 321\r'),
	('OZ', 28, 'TAO', 3390, 'PUS', 2372, 'Y', 0, '734\r'),
	('OZ', 28, 'TAS', 2983, 'ICN', 3930, '', 0, '333\r'),
	('OZ', 28, 'TNA', 4108, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'TOY', 2324, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'TPE', 2276, 'ICN', 3930, '', 0, '333 772 321\r'),
	('OZ', 28, 'TSN', 3368, 'ICN', 3930, '', 0, '333\r'),
	('OZ', 28, 'TXN', 6387, 'ICN', 3930, '', 0, '320\r'),
	('OZ', 28, 'TXN', 6387, 'PUS', 2372, '', 0, '320\r'),
	('OZ', 28, 'UBJ', 2296, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'USN', 2374, 'GMP', 2378, '', 0, '320\r'),
	('OZ', 28, 'UUS', 2933, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'VIE', 1613, 'IST', 1701, '', 0, '321\r'),
	('OZ', 28, 'VVO', 2934, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'XIY', 3379, 'ICN', 3930, '', 0, '321 763\r'),
	('OZ', 28, 'YGJ', 2330, 'ICN', 3930, '', 0, '321 320\r'),
	('OZ', 28, 'YNJ', 6414, 'ICN', 3930, '', 0, '321\r'),
	('OZ', 28, 'YNT', 3392, 'ICN', 3930, '', 0, '321 320\r'),
	('OZ', 28, 'YVR', 156, 'ICN', 3930, 'Y', 0, '763\r'),
	('OZ', 28, 'ZRH', 1678, 'IST', 1701, '', 0, '320\r'),
	('P0', 4066, 'CIP', 5612, 'LUN', 907, '', 0, 'CN2\r'),
	('P0', 4066, 'LLW', 1016, 'LUN', 907, '', 0, 'J41\r'),
	('P0', 4066, 'LUN', 907, 'CIP', 5612, '', 0, 'CN2\r'),
	('P0', 4066, 'LUN', 907, 'LLW', 1016, '', 0, 'J41\r'),
	('P0', 4066, 'LUN', 907, 'LVI', 906, '', 0, 'J41 732\r'),
	('P0', 4066, 'LUN', 907, 'MFU', 908, '', 0, 'J41\r'),
	('P0', 4066, 'LUN', 907, 'NLA', 910, '', 0, 'J41 J32 732\r'),
	('P0', 4066, 'LUN', 907, 'SLI', 5613, '', 0, 'J32 J41\r'),
	('P0', 4066, 'LVI', 906, 'LUN', 907, '', 0, 'J41 732\r'),
	('P0', 4066, 'MFU', 908, 'LUN', 907, '', 0, 'J41\r'),
	('P0', 4066, 'NLA', 910, 'LUN', 907, '', 0, 'J41 J32 732\r'),
	('P0', 4066, 'NLA', 910, 'SLI', 5613, '', 0, 'J32\r'),
	('P0', 4066, 'SLI', 5613, 'LUN', 907, '', 0, 'J32 J41\r'),
	('P0', 4066, 'SLI', 5613, 'NLA', 910, '', 0, 'J32\r'),
	('P4', 18169, 'GCM', 1926, 'LCE', 1771, '', 0, 'L4T\r'),
	('P4', 18169, 'GJA', 1773, 'LCE', 1771, '', 0, 'L4T\r'),
	('P4', 18169, 'GUA', 1767, 'SAP', 1772, '', 0, 'CRJ\r'),
	('P4', 18169, 'GUA', 1767, 'TGU', 1776, '', 0, 'CRJ\r'),
	('P4', 18169, 'LCE', 1771, 'GCM', 1926, '', 0, 'L4T\r'),
	('P4', 18169, 'LCE', 1771, 'GJA', 1773, '', 0, 'L4T\r'),
	('P4', 18169, 'LCE', 1771, 'PEU', 5832, '', 0, 'L4T\r'),
	('P4', 18169, 'LCE', 1771, 'RTB', 1774, '', 0, 'L4T\r'),
	('P4', 18169, 'LCE', 1771, 'SAP', 1772, '', 0, 'L4T\r'),
	('P4', 18169, 'LCE', 1771, 'TGU', 1776, '', 0, 'L4T\r'),
	('P4', 18169, 'LCE', 1771, 'UII', 4125, '', 0, 'L4T\r'),
	('P4', 18169, 'PEU', 5832, 'LCE', 1771, '', 0, 'L4T\r'),
	('P4', 18169, 'RTB', 1774, 'LCE', 1771, '', 0, 'L4T\r'),
	('P4', 18169, 'RTB', 1774, 'SAP', 1772, '', 0, 'L4T\r'),
	('P4', 18169, 'RTB', 1774, 'TGU', 1776, '', 0, 'L4T\r'),
	('P4', 18169, 'SAP', 1772, 'GUA', 1767, '', 0, 'CRJ\r'),
	('P4', 18169, 'SAP', 1772, 'LCE', 1771, '', 0, 'L4T\r'),
	('P4', 18169, 'SAP', 1772, 'RTB', 1774, '', 0, 'L4T\r'),
	('P4', 18169, 'TGU', 1776, 'GUA', 1767, '', 0, 'CRJ\r'),
	('P4', 18169, 'TGU', 1776, 'LCE', 1771, '', 0, 'L4T\r'),
	('P4', 18169, 'TGU', 1776, 'RTB', 1774, '', 0, 'L4T\r'),
	('P9', 11763, 'AQP', 2802, 'LIM', 2789, '', 0, '737\r'),
	('P9', 11763, 'AQP', 2802, 'TCQ', 2807, '', 0, '737\r'),
	('P9', 11763, 'CUZ', 2812, 'LIM', 2789, '', 0, '737\r'),
	('P9', 11763, 'IQT', 2801, 'LIM', 2789, '', 0, '737\r'),
	('P9', 11763, 'IQT', 2801, 'PCL', 2781, '', 0, '737\r'),
	('P9', 11763, 'LIM', 2789, 'AQP', 2802, '', 0, '737\r'),
	('P9', 11763, 'LIM', 2789, 'CUZ', 2812, '', 0, '737\r'),
	('P9', 11763, 'LIM', 2789, 'IQT', 2801, '', 0, '737\r'),
	('P9', 11763, 'LIM', 2789, 'PCL', 2781, '', 0, '737\r'),
	('P9', 11763, 'LIM', 2789, 'PIU', 2809, '', 0, '737\r'),
	('P9', 11763, 'LIM', 2789, 'TPP', 2806, '', 0, '737\r'),
	('P9', 11763, 'PCL', 2781, 'IQT', 2801, '', 0, '737\r'),
	('P9', 11763, 'PCL', 2781, 'LIM', 2789, '', 0, '737\r'),
	('P9', 11763, 'PIU', 2809, 'LIM', 2789, '', 0, '737\r'),
	('P9', 11763, 'TCQ', 2807, 'AQP', 2802, '', 0, '737\r'),
	('P9', 11763, 'TPP', 2806, 'LIM', 2789, '', 0, '737\r'),
	('PC', 3926, 'ADA', 1685, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'ADA', 1685, 'AYT', 1688, '', 0, '738\r'),
	('PC', 3926, 'ADA', 1685, 'ECN', 5780, '', 0, '738\r'),
	('PC', 3926, 'ADA', 1685, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'ADA', 1685, 'TZX', 1726, '', 0, '738\r'),
	('PC', 3926, 'ADA', 1685, 'VAN', 1728, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'ADA', 1685, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'AMS', 580, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'ASR', 1696, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'ATH', 3941, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'AYT', 1688, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'BRU', 302, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'BSL', 4053, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'DIY', 1722, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'DUS', 345, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'ECN', 5780, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'ESB', 1682, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'EZS', 1721, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'GNY', 9044, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'GZT', 1689, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'HTY', 7453, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'IST', 1701, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'MQM', 6753, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'ADB', 1706, 'STN', 548, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'STR', 350, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'TZX', 1726, '', 0, '738\r'),
	('PC', 3926, 'ADB', 1706, 'VAS', 1694, '', 0, '738\r'),
	('PC', 3926, 'AER', 2965, 'TZX', 1726, '', 0, '738\r'),
	('PC', 3926, 'ALA', 2908, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'AMS', 580, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'AMS', 580, 'ASR', 1696, '', 0, '738\r'),
	('PC', 3926, 'AMS', 580, 'AYT', 1688, '', 0, '738\r'),
	('PC', 3926, 'AMS', 580, 'KYA', 1691, '', 0, '738\r'),
	('PC', 3926, 'AMS', 580, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'ARN', 737, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'ASR', 1696, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'ASR', 1696, 'DUS', 345, '', 0, '738\r'),
	('PC', 3926, 'ASR', 1696, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'ATH', 3941, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'ATH', 3941, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'AYT', 1688, 'ADA', 1685, '', 0, '738\r'),
	('PC', 3926, 'AYT', 1688, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'AYT', 1688, 'AMS', 580, '', 0, '738\r'),
	('PC', 3926, 'AYT', 1688, 'BLL', 608, '', 0, '738\r'),
	('PC', 3926, 'AYT', 1688, 'BRU', 302, '', 0, '738\r'),
	('PC', 3926, 'AYT', 1688, 'CPH', 609, '', 0, '738\r'),
	('PC', 3926, 'AYT', 1688, 'ECN', 5780, '', 0, '738\r'),
	('PC', 3926, 'AYT', 1688, 'GVA', 1665, '', 0, '738\r'),
	('PC', 3926, 'AYT', 1688, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'AYT', 1688, 'TZX', 1726, '', 0, '738\r'),
	('PC', 3926, 'AYT', 1688, 'VIE', 1613, '', 0, '738\r'),
	('PC', 3926, 'BAL', 1729, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'BCN', 1218, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'BEG', 1739, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'BEY', 2177, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'BGY', 1525, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'BJV', 4315, 'BRU', 302, '', 0, '738\r'),
	('PC', 3926, 'BJV', 4315, 'ESB', 1682, '', 0, '738\r'),
	('PC', 3926, 'BJV', 4315, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'BLL', 608, 'AYT', 1688, '', 0, '738\r'),
	('PC', 3926, 'BLQ', 1538, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'BRU', 302, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'BRU', 302, 'AYT', 1688, '', 0, '738\r'),
	('PC', 3926, 'BRU', 302, 'BJV', 4315, '', 0, '738\r'),
	('PC', 3926, 'BSL', 4053, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'BSL', 4053, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'CGN', 344, 'ESB', 1682, '', 0, '738\r'),
	('PC', 3926, 'CGN', 344, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'CPH', 609, 'AYT', 1688, '', 0, '738\r'),
	('PC', 3926, 'CPH', 609, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'CRL', 304, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'DIY', 1722, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'DIY', 1722, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'DLM', 1715, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'DME', 4029, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'DNZ', 1699, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'DOH', 2241, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'DOK', 2940, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'DUS', 345, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'DUS', 345, 'ASR', 1696, '', 0, '738\r'),
	('PC', 3926, 'DUS', 345, 'ESB', 1682, '', 0, '738\r'),
	('PC', 3926, 'DUS', 345, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'DXB', 2188, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'EBL', 3989, 'ESB', 1682, '', 0, '738\r'),
	('PC', 3926, 'EBU', 1350, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'ECN', 5780, 'ADA', 1685, '', 0, '738\r'),
	('PC', 3926, 'ECN', 5780, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'ECN', 5780, 'AYT', 1688, '', 0, '738\r'),
	('PC', 3926, 'ECN', 5780, 'ESB', 1682, '', 0, '738\r'),
	('PC', 3926, 'ECN', 5780, 'GZT', 1689, '', 0, '738\r'),
	('PC', 3926, 'ECN', 5780, 'HTY', 7453, '', 0, '738\r'),
	('PC', 3926, 'ECN', 5780, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'EDO', 5802, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'ERC', 1723, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'ERZ', 1724, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'ESB', 1682, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'ESB', 1682, 'BJV', 4315, '', 0, '738\r'),
	('PC', 3926, 'ESB', 1682, 'CGN', 344, '', 0, '738\r'),
	('PC', 3926, 'ESB', 1682, 'DUS', 345, '', 0, '738\r'),
	('PC', 3926, 'ESB', 1682, 'EBL', 3989, '', 0, '738\r'),
	('PC', 3926, 'ESB', 1682, 'ECN', 5780, '', 0, '738\r'),
	('PC', 3926, 'ESB', 1682, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'ESB', 1682, 'STR', 350, '', 0, '738\r'),
	('PC', 3926, 'ESB', 1682, 'VIE', 1613, '', 0, '738\r'),
	('PC', 3926, 'EZS', 1721, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'EZS', 1721, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'FCO', 1555, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'FRA', 340, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'FRU', 2912, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'GNY', 9044, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'GNY', 9044, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'GVA', 1665, 'AYT', 1688, '', 0, '738\r'),
	('PC', 3926, 'GYD', 2922, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'GZP', 8266, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'GZT', 1689, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'GZT', 1689, 'ECN', 5780, '', 0, '738\r'),
	('PC', 3926, 'GZT', 1689, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'HRK', 6105, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'HTY', 7453, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'HTY', 7453, 'ECN', 5780, '', 0, '738\r'),
	('PC', 3926, 'HTY', 7453, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'IKA', 4330, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'IST', 1701, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'KCM', 5798, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'KRR', 2960, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'KWI', 2176, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'KYA', 1691, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'LWO', 2945, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'MAD', 1229, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'MLX', 1695, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'MQM', 6753, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'MQM', 6753, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'MRS', 1353, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'MSR', 6782, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'MUC', 346, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'MZH', 1693, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'NAV', 3987, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'NUE', 347, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'OMS', 2958, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'ORY', 1386, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'OTP', 1657, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'PRN', 1742, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'ADA', 1685, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'ADB', 1706, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'ALA', 2908, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'AMS', 580, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'ARN', 737, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'ASR', 1696, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'ATH', 3941, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'AYT', 1688, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'BAL', 1729, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'BCN', 1218, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'BEG', 1739, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'BEY', 2177, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'BGY', 1525, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'BJV', 4315, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'BLQ', 1538, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'BSL', 4053, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'CGN', 344, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'CPH', 609, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'CRL', 304, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'DIY', 1722, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'DLM', 1715, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'DME', 4029, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'DNZ', 1699, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'DOH', 2241, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'DOK', 2940, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'DUS', 345, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'DXB', 2188, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'EBU', 1350, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'ECN', 5780, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'EDO', 5802, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'ERC', 1723, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'ERZ', 1724, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'ESB', 1682, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'EZS', 1721, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'FCO', 1555, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'FRA', 340, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'FRU', 2912, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'GNY', 9044, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'GYD', 2922, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'GZP', 8266, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'GZT', 1689, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'HRK', 6105, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'HTY', 7453, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'IKA', 4330, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'KCM', 5798, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'KRR', 2960, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'KWI', 2176, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'KYA', 1691, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'LWO', 2945, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'MAD', 1229, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'MLX', 1695, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'MQM', 6753, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'MRS', 1353, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'MSR', 6782, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'MUC', 346, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'MZH', 1693, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'NAV', 3987, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'NUE', 347, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'OMS', 2958, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'ORY', 1386, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'OTP', 1657, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'PRN', 1742, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'SJJ', 1646, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'SKP', 1737, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'STN', 548, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'STR', 350, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'SXF', 337, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'TBS', 3973, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'TIA', 1190, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'TLV', 1590, '', 0, '738\r'),
	('PC', 3926, 'SAW', 4317, 'TZX', 1726, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'VAN', 1728, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'VAS', 1694, '', 0, '320 738\r'),
	('PC', 3926, 'SAW', 4317, 'VIE', 1613, '', 0, '738 320\r'),
	('PC', 3926, 'SAW', 4317, 'ZRH', 1678, '', 0, '738 320\r'),
	('PC', 3926, 'SJJ', 1646, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'SKP', 1737, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'STN', 548, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'STN', 548, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'STR', 350, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'STR', 350, 'ESB', 1682, '', 0, '738\r'),
	('PC', 3926, 'STR', 350, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'SXF', 337, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'TBS', 3973, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'TIA', 1190, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'TLV', 1590, 'SAW', 4317, '', 0, '738\r'),
	('PC', 3926, 'TZX', 1726, 'ADA', 1685, '', 0, '738\r'),
	('PC', 3926, 'TZX', 1726, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'TZX', 1726, 'AER', 2965, '', 0, '738\r'),
	('PC', 3926, 'TZX', 1726, 'AYT', 1688, '', 0, '738\r'),
	('PC', 3926, 'TZX', 1726, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'VAN', 1728, 'ADA', 1685, '', 0, '738\r'),
	('PC', 3926, 'VAN', 1728, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'VAS', 1694, 'ADB', 1706, '', 0, '738\r'),
	('PC', 3926, 'VAS', 1694, 'SAW', 4317, '', 0, '320 738\r'),
	('PC', 3926, 'VIE', 1613, 'AYT', 1688, '', 0, '738\r'),
	('PC', 3926, 'VIE', 1613, 'ESB', 1682, '', 0, '738\r'),
	('PC', 3926, 'VIE', 1613, 'SAW', 4317, '', 0, '738 320\r'),
	('PC', 3926, 'ZRH', 1678, 'SAW', 4317, '', 0, '738 320\r'),
	('PD', 4021, 'BOS', 3448, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'EWR', 3494, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'IAD', 3714, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'MDW', 3747, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'MYR', 3515, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'YAM', 21, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'YHZ', 73, 'YOW', 100, '', 0, 'DH4\r'),
	('PD', 4021, 'YHZ', 73, 'YUL', 146, '', 0, 'DH4\r'),
	('PD', 4021, 'YHZ', 73, 'YYT', 189, '', 0, 'DH4\r'),
	('PD', 4021, 'YOW', 100, 'YHZ', 73, '', 0, 'DH4\r'),
	('PD', 4021, 'YOW', 100, 'YQM', 117, '', 0, 'DH4\r'),
	('PD', 4021, 'YOW', 100, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'YQB', 111, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'YQG', 113, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'YQM', 117, 'YOW', 100, '', 0, 'DH4\r'),
	('PD', 4021, 'YQT', 121, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'YSB', 133, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'YTS', 143, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'BOS', 3448, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'EWR', 3494, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'IAD', 3714, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'MDW', 3747, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'MYR', 3515, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'YAM', 21, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'YOW', 100, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'YQB', 111, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'YQG', 113, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'YQT', 121, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'YSB', 133, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'YTS', 143, '', 0, 'DH4\r'),
	('PD', 4021, 'YTZ', 144, 'YUL', 146, '', 0, 'DH4\r'),
	('PD', 4021, 'YUL', 146, 'YHZ', 73, '', 0, 'DH4\r'),
	('PD', 4021, 'YUL', 146, 'YTZ', 144, '', 0, 'DH4\r'),
	('PD', 4021, 'YYT', 189, 'YHZ', 73, '', 0, 'DH4\r'),
	('PE', 106, 'ACH', 1679, 'VIE', 1613, '', 0, 'E70\r'),
	('PE', 106, 'VIE', 1613, 'ACH', 1679, '', 0, 'E70\r'),
	('PG', 1422, 'AUH', 2179, 'BKK', 3885, 'Y', 0, '77W\r'),
	('PG', 1422, 'AUH', 2179, 'MCT', 2194, 'Y', 0, '320\r'),
	('PG', 1422, 'BKK', 3885, 'AUH', 2179, 'Y', 0, '77W\r'),
	('PG', 1422, 'BKK', 3885, 'BOM', 2997, '', 0, '320\r'),
	('PG', 1422, 'BKK', 3885, 'CEI', 3932, '', 0, '320\r'),
	('PG', 1422, 'BKK', 3885, 'CNX', 3931, '', 0, '320 319\r'),
	('PG', 1422, 'BKK', 3885, 'DAC', 3076, '', 0, '319\r'),
	('PG', 1422, 'BKK', 3885, 'HKG', 3077, '', 0, '333 773 343 77W\r'),
	('PG', 1422, 'BKK', 3885, 'HKT', 3179, '', 0, '320\r'),
	('PG', 1422, 'BKK', 3885, 'HND', 2359, '', 0, '767 777\r'),
	('PG', 1422, 'BKK', 3885, 'KBV', 3174, '', 0, '320 319\r'),
	('PG', 1422, 'BKK', 3885, 'KIX', 3992, '', 0, '767\r'),
	('PG', 1422, 'BKK', 3885, 'KUL', 3304, 'Y', 0, '738\r'),
	('PG', 1422, 'BKK', 3885, 'LPQ', 3115, '', 0, 'AT7\r'),
	('PG', 1422, 'BKK', 3885, 'LPT', 3163, '', 0, 'AT7\r'),
	('PG', 1422, 'BKK', 3885, 'MDL', 3222, '', 0, '320\r'),
	('PG', 1422, 'BKK', 3885, 'MLE', 3156, '', 0, '319\r'),
	('PG', 1422, 'BKK', 3885, 'NRT', 2279, '', 0, '767\r'),
	('PG', 1422, 'BKK', 3885, 'NYT', 8130, '', 0, 'AT7\r'),
	('PG', 1422, 'BKK', 3885, 'PNH', 3034, '', 0, '319\r'),
	('PG', 1422, 'BKK', 3885, 'REP', 3035, '', 0, 'AT7 320\r'),
	('PG', 1422, 'BKK', 3885, 'RGN', 3239, '', 0, '320 AT7\r'),
	('PG', 1422, 'BKK', 3885, 'TDX', 4135, '', 0, 'AT7\r'),
	('PG', 1422, 'BKK', 3885, 'THS', 3939, '', 0, 'AT7\r'),
	('PG', 1422, 'BKK', 3885, 'USM', 3177, '', 0, '319 AT7\r'),
	('PG', 1422, 'BKK', 3885, 'UTH', 3183, '', 0, '319 320\r'),
	('PG', 1422, 'BKK', 3885, 'VTE', 3120, '', 0, '319\r'),
	('PG', 1422, 'BOM', 2997, 'BKK', 3885, '', 0, '320\r'),
	('PG', 1422, 'CEI', 3932, 'BKK', 3885, '', 0, '320\r'),
	('PG', 1422, 'CNX', 3931, 'BKK', 3885, '', 0, '320 319\r'),
	('PG', 1422, 'CNX', 3931, 'SIN', 3316, 'Y', 0, '320\r'),
	('PG', 1422, 'CNX', 3931, 'USM', 3177, '', 0, '319\r'),
	('PG', 1422, 'DAC', 3076, 'BKK', 3885, '', 0, '319\r'),
	('PG', 1422, 'HKG', 3077, 'BKK', 3885, '', 0, '772 333 343 77W 773\r'),
	('PG', 1422, 'HKG', 3077, 'USM', 3177, '', 0, '319\r'),
	('PG', 1422, 'HKT', 3179, 'BKK', 3885, '', 0, '320\r'),
	('PG', 1422, 'HKT', 3179, 'KUL', 3304, 'Y', 0, '738\r'),
	('PG', 1422, 'HKT', 3179, 'SIN', 3316, 'Y', 0, '320 738 319\r'),
	('PG', 1422, 'HKT', 3179, 'USM', 3177, '', 0, 'AT7\r'),
	('PG', 1422, 'HKT', 3179, 'UTP', 3161, '', 0, 'AT7\r'),
	('PG', 1422, 'HND', 2359, 'BKK', 3885, '', 0, '767 777\r'),
	('PG', 1422, 'KBV', 3174, 'BKK', 3885, '', 0, '320 319\r'),
	('PG', 1422, 'KBV', 3174, 'USM', 3177, '', 0, 'AT7\r'),
	('PG', 1422, 'KIX', 3992, 'BKK', 3885, '', 0, '767\r'),
	('PG', 1422, 'KUL', 3304, 'BKK', 3885, 'Y', 0, '738\r'),
	('PG', 1422, 'KUL', 3304, 'HKT', 3179, 'Y', 0, '738\r'),
	('PG', 1422, 'KUL', 3304, 'USM', 3177, '', 0, '319\r'),
	('PG', 1422, 'KWL', 3372, 'BKK', 3885, '', 0, '320\r'),
	('PG', 1422, 'LPQ', 3115, 'BKK', 3885, '', 0, 'AT7\r'),
	('PG', 1422, 'LPT', 3163, 'BKK', 3885, '', 0, 'AT7\r'),
	('PG', 1422, 'MCT', 2194, 'AUH', 2179, 'Y', 0, '320\r'),
	('PG', 1422, 'MDL', 3222, 'BKK', 3885, '', 0, '320\r'),
	('PG', 1422, 'MLE', 3156, 'BKK', 3885, '', 0, '319\r'),
	('PG', 1422, 'NRT', 2279, 'BKK', 3885, '', 0, '767\r'),
	('PG', 1422, 'NYT', 8130, 'BKK', 3885, '', 0, 'AT7\r'),
	('PG', 1422, 'PNH', 3034, 'BKK', 3885, '', 0, '319\r'),
	('PG', 1422, 'REP', 3035, 'BKK', 3885, '', 0, 'AT7 320\r'),
	('PG', 1422, 'RGN', 3239, 'BKK', 3885, '', 0, 'AT7 320\r'),
	('PG', 1422, 'SIN', 3316, 'CNX', 3931, 'Y', 0, '320\r'),
	('PG', 1422, 'SIN', 3316, 'HKT', 3179, 'Y', 0, '320 738 319\r'),
	('PG', 1422, 'SIN', 3316, 'USM', 3177, '', 0, '319\r'),
	('PG', 1422, 'TDX', 4135, 'BKK', 3885, '', 0, 'AT7\r'),
	('PG', 1422, 'THS', 3939, 'BKK', 3885, '', 0, 'AT7\r'),
	('PG', 1422, 'USM', 3177, 'BKK', 3885, '', 0, '319 AT7\r'),
	('PG', 1422, 'USM', 3177, 'CNX', 3931, '', 0, '319\r'),
	('PG', 1422, 'USM', 3177, 'HKG', 3077, '', 0, '319\r'),
	('PG', 1422, 'USM', 3177, 'HKT', 3179, '', 0, 'AT7\r'),
	('PG', 1422, 'USM', 3177, 'KBV', 3174, '', 0, 'AT7\r'),
	('PG', 1422, 'USM', 3177, 'KUL', 3304, '', 0, '319\r'),
	('PG', 1422, 'USM', 3177, 'SIN', 3316, '', 0, '319\r'),
	('PG', 1422, 'USM', 3177, 'UTP', 3161, '', 0, 'AT7\r'),
	('PG', 1422, 'UTH', 3183, 'BKK', 3885, '', 0, '319 320\r'),
	('PG', 1422, 'UTP', 3161, 'HKT', 3179, '', 0, 'AT7\r'),
	('PG', 1422, 'UTP', 3161, 'USM', 3177, '', 0, 'AT7\r'),
	('PG', 1422, 'VTE', 3120, 'BKK', 3885, '', 0, '319\r'),
	('PI', 3969, 'CKH', 6093, 'YKS', 2923, '', 0, 'AN4\r'),
	('PI', 3969, 'CYX', 6094, 'YKS', 2923, '', 0, 'AN4\r'),
	('PI', 3969, 'IKS', 6095, 'YKS', 2923, '', 0, 'AN4\r'),
	('PI', 3969, 'ULK', 9026, 'YKS', 2923, '', 0, 'AN4\r'),
	('PI', 3969, 'YKS', 2923, 'CKH', 6093, '', 0, 'AN4\r'),
	('PI', 3969, 'YKS', 2923, 'CYX', 6094, '', 0, 'AN4\r'),
	('PI', 3969, 'YKS', 2923, 'IKS', 6095, '', 0, 'AN4\r'),
	('PI', 3969, 'YKS', 2923, 'ULK', 9026, '', 0, 'AN4\r'),
	('PJ', 477, 'FSP', 1441, 'YHZ', 73, '', 0, 'ATR\r'),
	('PJ', 477, 'FSP', 1441, 'YUL', 146, '', 0, 'ATR\r'),
	('PJ', 477, 'FSP', 1441, 'YYT', 189, '', 0, 'ATR\r'),
	('PJ', 477, 'YHZ', 73, 'FSP', 1441, '', 0, 'ATR\r'),
	('PJ', 477, 'YUL', 146, 'FSP', 1441, '', 0, 'ATR\r'),
	('PJ', 477, 'YYT', 189, 'FSP', 1441, '', 0, 'ATR\r'),
	('PK', 3871, 'AUH', 2179, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'AUH', 2179, 'KHI', 2206, '', 0, '310 73H\r'),
	('PK', 3871, 'AUH', 2179, 'LHE', 2207, '', 0, '310 73H\r'),
	('PK', 3871, 'AUH', 2179, 'PEW', 2219, '', 0, '310\r'),
	('PK', 3871, 'AUH', 2179, 'RYK', 2222, '', 0, '737\r'),
	('PK', 3871, 'BAH', 2057, 'LHE', 2207, '', 0, '73H 737\r'),
	('PK', 3871, 'BCN', 1218, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'BCN', 1218, 'LHE', 2207, '', 0, '310\r'),
	('PK', 3871, 'BHV', 5939, 'ISB', 2223, '', 0, 'ATR\r'),
	('PK', 3871, 'BHV', 5939, 'KHI', 2206, '', 0, 'ATR 737\r'),
	('PK', 3871, 'BHV', 5939, 'LHE', 2207, '', 0, 'ATR\r'),
	('PK', 3871, 'BHX', 469, 'ISB', 2223, '', 0, '777\r'),
	('PK', 3871, 'BOM', 2997, 'KHI', 2206, '', 0, '737 320\r'),
	('PK', 3871, 'CDG', 1382, 'ISB', 2223, '', 0, '777\r'),
	('PK', 3871, 'CDG', 1382, 'LHE', 2207, '', 0, '777\r'),
	('PK', 3871, 'CDG', 1382, 'MXP', 1524, '', 0, '777\r'),
	('PK', 3871, 'CJL', 5940, 'ISB', 2223, '', 0, 'ATR\r'),
	('PK', 3871, 'CJL', 5940, 'PEW', 2219, '', 0, 'ATR\r'),
	('PK', 3871, 'CPH', 609, 'LHE', 2207, '', 0, '777\r'),
	('PK', 3871, 'CPH', 609, 'OSL', 644, '', 0, '777\r'),
	('PK', 3871, 'DAC', 3076, 'KHI', 2206, '', 0, '777 320 73H\r'),
	('PK', 3871, 'DBA', 5941, 'KHI', 2206, '', 0, 'ATR\r'),
	('PK', 3871, 'DEA', 5942, 'KHI', 2206, '', 0, '737 ATR\r'),
	('PK', 3871, 'DEA', 5942, 'SHJ', 2191, '', 0, '737\r'),
	('PK', 3871, 'DEL', 3093, 'KHI', 2206, '', 0, '73H\r'),
	('PK', 3871, 'DEL', 3093, 'LHE', 2207, '', 0, '73H\r'),
	('PK', 3871, 'DMM', 2064, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'DMM', 2064, 'KHI', 2206, '', 0, '310 737\r'),
	('PK', 3871, 'DMM', 2064, 'LHE', 2207, '', 0, '310\r'),
	('PK', 3871, 'DMM', 2064, 'SKT', 6776, '', 0, '310\r'),
	('PK', 3871, 'DOH', 2241, 'BAH', 2057, '', 0, '73H\r'),
	('PK', 3871, 'DOH', 2241, 'PEW', 2219, '', 0, '310\r'),
	('PK', 3871, 'DSK', 5943, 'PEW', 2219, '', 0, 'ATR\r'),
	('PK', 3871, 'DSK', 5943, 'PZH', 2233, '', 0, 'ATR\r'),
	('PK', 3871, 'DXB', 2188, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'DXB', 2188, 'KHI', 2206, '', 0, '73H 737\r'),
	('PK', 3871, 'DXB', 2188, 'LHE', 2207, '', 0, '73H\r'),
	('PK', 3871, 'GIL', 2204, 'ISB', 2223, '', 0, 'ATR\r'),
	('PK', 3871, 'GWD', 2203, 'KHI', 2206, '', 0, 'ATR\r'),
	('PK', 3871, 'GWD', 2203, 'MCT', 2194, '', 0, 'ATR\r'),
	('PK', 3871, 'GWD', 2203, 'TUK', 5951, '', 0, 'ATR\r'),
	('PK', 3871, 'ISB', 2223, 'AUH', 2179, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'BCN', 1218, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'BHV', 5939, '', 0, 'ATR\r'),
	('PK', 3871, 'ISB', 2223, 'BHX', 469, '', 0, '777\r'),
	('PK', 3871, 'ISB', 2223, 'CDG', 1382, '', 0, '777\r'),
	('PK', 3871, 'ISB', 2223, 'CJL', 5940, '', 0, 'ATR\r'),
	('PK', 3871, 'ISB', 2223, 'CPH', 609, '', 0, '777\r'),
	('PK', 3871, 'ISB', 2223, 'DMM', 2064, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'DXB', 2188, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'GIL', 2204, '', 0, 'ATR\r'),
	('PK', 3871, 'ISB', 2223, 'JED', 2072, '', 0, '777\r'),
	('PK', 3871, 'ISB', 2223, 'KBL', 2050, '', 0, 'ATR\r'),
	('PK', 3871, 'ISB', 2223, 'KDU', 5949, '', 0, 'ATR\r'),
	('PK', 3871, 'ISB', 2223, 'KHI', 2206, '', 0, '777 320 310 73H\r'),
	('PK', 3871, 'ISB', 2223, 'LBA', 517, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'LHE', 2207, '', 0, 'ATR 310 737\r'),
	('PK', 3871, 'ISB', 2223, 'LHR', 507, '', 0, '777\r'),
	('PK', 3871, 'ISB', 2223, 'MAN', 478, '', 0, '777\r'),
	('PK', 3871, 'ISB', 2223, 'MCT', 2194, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'MED', 2074, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'MUX', 2214, '', 0, 'ATR\r'),
	('PK', 3871, 'ISB', 2223, 'MXP', 1524, '', 0, '777\r'),
	('PK', 3871, 'ISB', 2223, 'PEK', 3364, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'PEW', 2219, '', 0, '310 ATR\r'),
	('PK', 3871, 'ISB', 2223, 'RUH', 2082, '', 0, '777 310\r'),
	('PK', 3871, 'ISB', 2223, 'SHJ', 2191, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'SKT', 6776, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'SKZ', 2227, '', 0, 'ATR\r'),
	('PK', 3871, 'ISB', 2223, 'UET', 2221, '', 0, '310\r'),
	('PK', 3871, 'ISB', 2223, 'YYZ', 193, '', 0, '777\r'),
	('PK', 3871, 'JED', 2072, 'ISB', 2223, '', 0, '777\r'),
	('PK', 3871, 'JED', 2072, 'KHI', 2206, '', 0, '777 310\r'),
	('PK', 3871, 'JED', 2072, 'LHE', 2207, '', 0, '777 310\r'),
	('PK', 3871, 'JED', 2072, 'MUX', 2214, '', 0, '310\r'),
	('PK', 3871, 'JED', 2072, 'PEW', 2219, '', 0, '777\r'),
	('PK', 3871, 'JED', 2072, 'SKT', 6776, '', 0, '777\r'),
	('PK', 3871, 'JFK', 3797, 'LHE', 2207, '', 0, '777\r'),
	('PK', 3871, 'KBL', 2050, 'ISB', 2223, '', 0, 'ATR\r'),
	('PK', 3871, 'KBL', 2050, 'PEW', 2219, '', 0, 'ATR\r'),
	('PK', 3871, 'KDU', 5949, 'ISB', 2223, '', 0, 'ATR\r'),
	('PK', 3871, 'KHI', 2206, 'AUH', 2179, '', 0, '73H 310\r'),
	('PK', 3871, 'KHI', 2206, 'BHV', 5939, '', 0, 'ATR 737\r'),
	('PK', 3871, 'KHI', 2206, 'BOM', 2997, '', 0, '737 320\r'),
	('PK', 3871, 'KHI', 2206, 'DAC', 3076, '', 0, '777 320 73H\r'),
	('PK', 3871, 'KHI', 2206, 'DEA', 5942, '', 0, '737 ATR\r'),
	('PK', 3871, 'KHI', 2206, 'DEL', 3093, '', 0, '73H\r'),
	('PK', 3871, 'KHI', 2206, 'DMM', 2064, '', 0, '310 737\r'),
	('PK', 3871, 'KHI', 2206, 'DXB', 2188, '', 0, '73H 737\r'),
	('PK', 3871, 'KHI', 2206, 'GWD', 2203, '', 0, 'ATR\r'),
	('PK', 3871, 'KHI', 2206, 'ISB', 2223, '', 0, '310 320 ATR 777 73H\r'),
	('PK', 3871, 'KHI', 2206, 'JED', 2072, '', 0, '777 310\r'),
	('PK', 3871, 'KHI', 2206, 'KTM', 3125, '', 0, '310\r'),
	('PK', 3871, 'KHI', 2206, 'KUL', 3304, '', 0, '310\r'),
	('PK', 3871, 'KHI', 2206, 'LHE', 2207, '', 0, '320 777 73H 310 737\r'),
	('PK', 3871, 'KHI', 2206, 'LHR', 507, '', 0, '777\r'),
	('PK', 3871, 'KHI', 2206, 'LYP', 2202, '', 0, '320 73H 737\r'),
	('PK', 3871, 'KHI', 2206, 'MCT', 2194, '', 0, '320\r'),
	('PK', 3871, 'KHI', 2206, 'MED', 2074, '', 0, '310\r'),
	('PK', 3871, 'KHI', 2206, 'MJD', 2212, '', 0, 'ATR\r'),
	('PK', 3871, 'KHI', 2206, 'MUX', 2214, '', 0, 'ATR 73H 320 737 310\r'),
	('PK', 3871, 'KHI', 2206, 'PEW', 2219, '', 0, '737 320\r'),
	('PK', 3871, 'KHI', 2206, 'PJG', 2217, '', 0, 'ATR\r'),
	('PK', 3871, 'KHI', 2206, 'RUH', 2082, '', 0, '777\r'),
	('PK', 3871, 'KHI', 2206, 'RYK', 2222, '', 0, 'ATR 737\r'),
	('PK', 3871, 'KHI', 2206, 'SHJ', 2191, '', 0, '73H 310 737 320\r'),
	('PK', 3871, 'KHI', 2206, 'SKZ', 2227, '', 0, 'ATR 737\r'),
	('PK', 3871, 'KHI', 2206, 'TUK', 5951, '', 0, 'ATR\r'),
	('PK', 3871, 'KHI', 2206, 'UET', 2221, '', 0, '310 ATR\r'),
	('PK', 3871, 'KHI', 2206, 'YYZ', 193, '', 0, '777\r'),
	('PK', 3871, 'KTM', 3125, 'KHI', 2206, '', 0, '310\r'),
	('PK', 3871, 'KUL', 3304, 'KHI', 2206, '', 0, '310\r'),
	('PK', 3871, 'KUL', 3304, 'LHE', 2207, '', 0, '310\r'),
	('PK', 3871, 'KUL', 3304, 'PEW', 2219, '', 0, '310\r'),
	('PK', 3871, 'KWI', 2176, 'LHE', 2207, '', 0, '73H\r'),
	('PK', 3871, 'KWI', 2176, 'PEW', 2219, '', 0, '73H\r'),
	('PK', 3871, 'KWI', 2176, 'SKT', 6776, '', 0, '310\r'),
	('PK', 3871, 'LBA', 517, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'LHE', 2207, 'AUH', 2179, '', 0, '310 73H\r'),
	('PK', 3871, 'LHE', 2207, 'BAH', 2057, '', 0, '737\r'),
	('PK', 3871, 'LHE', 2207, 'BCN', 1218, '', 0, '310\r'),
	('PK', 3871, 'LHE', 2207, 'BHV', 5939, '', 0, 'ATR\r'),
	('PK', 3871, 'LHE', 2207, 'DEA', 5942, '', 0, '737\r'),
	('PK', 3871, 'LHE', 2207, 'DEL', 3093, '', 0, '73H\r'),
	('PK', 3871, 'LHE', 2207, 'DMM', 2064, '', 0, '310\r'),
	('PK', 3871, 'LHE', 2207, 'DOH', 2241, '', 0, '73H\r'),
	('PK', 3871, 'LHE', 2207, 'DXB', 2188, '', 0, '73H\r'),
	('PK', 3871, 'LHE', 2207, 'ISB', 2223, '', 0, 'ATR 310 737\r'),
	('PK', 3871, 'LHE', 2207, 'JED', 2072, '', 0, '310 777\r'),
	('PK', 3871, 'LHE', 2207, 'KHI', 2206, '', 0, '320 310 73H 777 737\r'),
	('PK', 3871, 'LHE', 2207, 'KUL', 3304, '', 0, '310\r'),
	('PK', 3871, 'LHE', 2207, 'KWI', 2176, '', 0, '73H 310\r'),
	('PK', 3871, 'LHE', 2207, 'LHR', 507, '', 0, '777\r'),
	('PK', 3871, 'LHE', 2207, 'MAN', 478, '', 0, '777\r'),
	('PK', 3871, 'LHE', 2207, 'MCT', 2194, '', 0, '737\r'),
	('PK', 3871, 'LHE', 2207, 'MED', 2074, '', 0, '777\r'),
	('PK', 3871, 'LHE', 2207, 'MUX', 2214, '', 0, '737 ATR 320\r'),
	('PK', 3871, 'LHE', 2207, 'MXP', 1524, '', 0, '777\r'),
	('PK', 3871, 'LHE', 2207, 'OSL', 644, '', 0, '777\r'),
	('PK', 3871, 'LHE', 2207, 'PEW', 2219, '', 0, '73H\r'),
	('PK', 3871, 'LHE', 2207, 'RUH', 2082, '', 0, '310\r'),
	('PK', 3871, 'LHE', 2207, 'RYK', 2222, '', 0, 'ATR\r'),
	('PK', 3871, 'LHE', 2207, 'SHJ', 2191, '', 0, '73H 310\r'),
	('PK', 3871, 'LHE', 2207, 'SKZ', 2227, '', 0, 'ATR 737\r'),
	('PK', 3871, 'LHE', 2207, 'UET', 2221, '', 0, '737\r'),
	('PK', 3871, 'LHE', 2207, 'YYZ', 193, '', 0, '777\r'),
	('PK', 3871, 'LHR', 507, 'ISB', 2223, '', 0, '777\r'),
	('PK', 3871, 'LHR', 507, 'KHI', 2206, '', 0, '777\r'),
	('PK', 3871, 'LHR', 507, 'LHE', 2207, '', 0, '777\r'),
	('PK', 3871, 'LYP', 2202, 'KHI', 2206, '', 0, '320 73H 737\r'),
	('PK', 3871, 'MAN', 478, 'ISB', 2223, '', 0, '777\r'),
	('PK', 3871, 'MAN', 478, 'JFK', 3797, '', 0, '777\r'),
	('PK', 3871, 'MAN', 478, 'LHE', 2207, '', 0, '777\r'),
	('PK', 3871, 'MCT', 2194, 'GWD', 2203, '', 0, 'ATR\r'),
	('PK', 3871, 'MCT', 2194, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'MCT', 2194, 'KHI', 2206, '', 0, '320\r'),
	('PK', 3871, 'MCT', 2194, 'LHE', 2207, '', 0, '737\r'),
	('PK', 3871, 'MCT', 2194, 'PEW', 2219, '', 0, '310\r'),
	('PK', 3871, 'MCT', 2194, 'SKT', 6776, '', 0, '310\r'),
	('PK', 3871, 'MCT', 2194, 'TUK', 5951, '', 0, 'ATR\r'),
	('PK', 3871, 'MED', 2074, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'MED', 2074, 'KHI', 2206, '', 0, '310\r'),
	('PK', 3871, 'MED', 2074, 'LHE', 2207, '', 0, '777\r'),
	('PK', 3871, 'MED', 2074, 'MUX', 2214, '', 0, '310\r'),
	('PK', 3871, 'MHD', 4331, 'UET', 2221, '', 0, '737\r'),
	('PK', 3871, 'MJD', 2212, 'KHI', 2206, '', 0, 'ATR\r'),
	('PK', 3871, 'MJD', 2212, 'SKZ', 2227, '', 0, 'ATR\r'),
	('PK', 3871, 'MUX', 2214, 'ISB', 2223, '', 0, 'ATR\r'),
	('PK', 3871, 'MUX', 2214, 'JED', 2072, '', 0, '310\r'),
	('PK', 3871, 'MUX', 2214, 'KHI', 2206, '', 0, '737 ATR 320 73H 310\r'),
	('PK', 3871, 'MUX', 2214, 'LHE', 2207, '', 0, 'ATR 73H 737\r'),
	('PK', 3871, 'MUX', 2214, 'MED', 2074, '', 0, '310\r'),
	('PK', 3871, 'MUX', 2214, 'SHJ', 2191, '', 0, '737 73H\r'),
	('PK', 3871, 'MUX', 2214, 'UET', 2221, '', 0, 'ATR\r'),
	('PK', 3871, 'MXP', 1524, 'CDG', 1382, '', 0, '777\r'),
	('PK', 3871, 'MXP', 1524, 'ISB', 2223, '', 0, '777\r'),
	('PK', 3871, 'NRT', 2279, 'PEK', 3364, '', 0, '310\r'),
	('PK', 3871, 'OSL', 644, 'CPH', 609, '', 0, '777\r'),
	('PK', 3871, 'OSL', 644, 'ISB', 2223, '', 0, '777\r'),
	('PK', 3871, 'PEK', 3364, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'PEK', 3364, 'NRT', 2279, '', 0, '310\r'),
	('PK', 3871, 'PEW', 2219, 'AUH', 2179, '', 0, '310 73H\r'),
	('PK', 3871, 'PEW', 2219, 'CJL', 5940, '', 0, 'ATR\r'),
	('PK', 3871, 'PEW', 2219, 'DOH', 2241, '', 0, '310\r'),
	('PK', 3871, 'PEW', 2219, 'DSK', 5943, '', 0, 'ATR\r'),
	('PK', 3871, 'PEW', 2219, 'ISB', 2223, '', 0, '310 ATR\r'),
	('PK', 3871, 'PEW', 2219, 'JED', 2072, '', 0, '777\r'),
	('PK', 3871, 'PEW', 2219, 'KBL', 2050, '', 0, 'ATR\r'),
	('PK', 3871, 'PEW', 2219, 'KHI', 2206, '', 0, '310 737\r'),
	('PK', 3871, 'PEW', 2219, 'KUL', 3304, '', 0, '310\r'),
	('PK', 3871, 'PEW', 2219, 'KWI', 2176, '', 0, '73H\r'),
	('PK', 3871, 'PEW', 2219, 'LHE', 2207, '', 0, '310 73H\r'),
	('PK', 3871, 'PEW', 2219, 'MCT', 2194, '', 0, '310\r'),
	('PK', 3871, 'PEW', 2219, 'RUH', 2082, '', 0, '310\r'),
	('PK', 3871, 'PEW', 2219, 'SHJ', 2191, '', 0, '310 737 320\r'),
	('PK', 3871, 'PJG', 2217, 'KHI', 2206, '', 0, 'ATR\r'),
	('PK', 3871, 'PZH', 2233, 'DSK', 5943, '', 0, 'ATR\r'),
	('PK', 3871, 'PZH', 2233, 'UET', 2221, '', 0, 'ATR\r'),
	('PK', 3871, 'RUH', 2082, 'ISB', 2223, '', 0, '777\r'),
	('PK', 3871, 'RUH', 2082, 'KHI', 2206, '', 0, '777 310\r'),
	('PK', 3871, 'RUH', 2082, 'LHE', 2207, '', 0, '310\r'),
	('PK', 3871, 'RUH', 2082, 'PEW', 2219, '', 0, '310\r'),
	('PK', 3871, 'RUH', 2082, 'SKT', 6776, '', 0, '310\r'),
	('PK', 3871, 'RYK', 2222, 'AUH', 2179, '', 0, '737\r'),
	('PK', 3871, 'RYK', 2222, 'KHI', 2206, '', 0, 'ATR 737\r'),
	('PK', 3871, 'RYK', 2222, 'LHE', 2207, '', 0, 'ATR 737\r'),
	('PK', 3871, 'SHJ', 2191, 'DEA', 5942, '', 0, '737\r'),
	('PK', 3871, 'SHJ', 2191, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'SHJ', 2191, 'KHI', 2206, '', 0, '320 73H 310 737\r'),
	('PK', 3871, 'SHJ', 2191, 'LHE', 2207, '', 0, '73H 310\r'),
	('PK', 3871, 'SHJ', 2191, 'MUX', 2214, '', 0, '737 73H\r'),
	('PK', 3871, 'SHJ', 2191, 'PEW', 2219, '', 0, '310 737 320\r'),
	('PK', 3871, 'SHJ', 2191, 'TUK', 5951, '', 0, 'ATR\r'),
	('PK', 3871, 'SHJ', 2191, 'UET', 2221, '', 0, '737\r'),
	('PK', 3871, 'SKT', 6776, 'DMM', 2064, '', 0, '310\r'),
	('PK', 3871, 'SKT', 6776, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'SKT', 6776, 'JED', 2072, '', 0, '777\r'),
	('PK', 3871, 'SKT', 6776, 'KWI', 2176, '', 0, '310\r'),
	('PK', 3871, 'SKT', 6776, 'MCT', 2194, '', 0, '310\r'),
	('PK', 3871, 'SKT', 6776, 'RUH', 2082, '', 0, '310\r'),
	('PK', 3871, 'SKZ', 2227, 'BHV', 5939, '', 0, 'ATR\r'),
	('PK', 3871, 'SKZ', 2227, 'ISB', 2223, '', 0, 'ATR\r'),
	('PK', 3871, 'SKZ', 2227, 'KHI', 2206, '', 0, 'ATR 737\r'),
	('PK', 3871, 'SKZ', 2227, 'LHE', 2207, '', 0, 'ATR 737\r'),
	('PK', 3871, 'SKZ', 2227, 'MJD', 2212, '', 0, 'ATR\r'),
	('PK', 3871, 'TUK', 5951, 'DBA', 5941, '', 0, 'ATR\r'),
	('PK', 3871, 'TUK', 5951, 'GWD', 2203, '', 0, 'ATR\r'),
	('PK', 3871, 'TUK', 5951, 'KHI', 2206, '', 0, 'ATR\r'),
	('PK', 3871, 'TUK', 5951, 'MCT', 2194, '', 0, 'ATR\r'),
	('PK', 3871, 'TUK', 5951, 'SHJ', 2191, '', 0, 'ATR\r'),
	('PK', 3871, 'TUK', 5951, 'UET', 2221, '', 0, 'ATR\r'),
	('PK', 3871, 'UET', 2221, 'ISB', 2223, '', 0, '310\r'),
	('PK', 3871, 'UET', 2221, 'KHI', 2206, '', 0, 'ATR 310\r'),
	('PK', 3871, 'UET', 2221, 'LHE', 2207, '', 0, '737\r'),
	('PK', 3871, 'UET', 2221, 'MHD', 4331, '', 0, '737\r'),
	('PK', 3871, 'UET', 2221, 'MUX', 2214, '', 0, 'ATR\r'),
	('PK', 3871, 'UET', 2221, 'PZH', 2233, '', 0, 'ATR\r'),
	('PK', 3871, 'UET', 2221, 'SHJ', 2191, '', 0, '737\r'),
	('PK', 3871, 'UET', 2221, 'TUK', 5951, '', 0, 'ATR\r'),
	('PK', 3871, 'YYZ', 193, 'ISB', 2223, '', 0, '777\r'),
	('PK', 3871, 'YYZ', 193, 'KHI', 2206, '', 0, '777\r'),
	('PK', 3871, 'YYZ', 193, 'LHE', 2207, '', 0, '777\r'),
	('PL', 179, 'ATC', 5857, 'NAS', 1953, '', 0, 'ATP\r'),
	('PL', 179, 'ELH', 1943, 'NAS', 1953, '', 0, 'ATP\r'),
	('PL', 179, 'GHB', 1944, 'NAS', 1953, '', 0, 'ATP\r'),
	('PL', 179, 'LGI', 1950, 'NAS', 1953, '', 0, 'ATP\r'),
	('PL', 179, 'NAS', 1953, 'ATC', 5857, '', 0, 'ATP\r'),
	('PL', 179, 'NAS', 1953, 'ELH', 1943, '', 0, 'ATP\r'),
	('PL', 179, 'NAS', 1953, 'GHB', 1944, '', 0, 'ATP\r'),
	('PL', 179, 'NAS', 1953, 'LGI', 1950, '', 0, 'ATP\r'),
	('PL', 179, 'NAS', 1953, 'RSD', 1946, '', 0, 'ATP\r'),
	('PL', 179, 'NAS', 1953, 'SML', 1951, '', 0, 'ATP\r'),
	('PL', 179, 'NAS', 1953, 'ZSA', 1956, '', 0, 'ATP\r'),
	('PL', 179, 'RSD', 1946, 'NAS', 1953, '', 0, 'ATP\r'),
	('PL', 179, 'SML', 1951, 'NAS', 1953, '', 0, 'ATP\r'),
	('PL', 179, 'ZSA', 1956, 'NAS', 1953, '', 0, 'ATP\r'),
	('PM', 5016, 'ACE', 1055, 'LPA', 1054, '', 0, 'AT4\r'),
	('PM', 5016, 'EUN', 5672, 'LPA', 1054, '', 0, 'AT4\r'),
	('PM', 5016, 'FUE', 1051, 'LPA', 1054, '', 0, 'SWM AT4\r'),
	('PM', 5016, 'LPA', 1054, 'ACE', 1055, '', 0, 'AT4\r'),
	('PM', 5016, 'LPA', 1054, 'EUN', 5672, '', 0, 'AT4\r'),
	('PM', 5016, 'LPA', 1054, 'FUE', 1051, '', 0, 'SWM AT4\r'),
	('PM', 5016, 'LPA', 1054, 'NDB', 1097, '', 0, 'SWM AT4\r'),
	('PM', 5016, 'LPA', 1054, 'TFN', 1057, '', 0, 'AT4\r'),
	('PM', 5016, 'LPA', 1054, 'VIL', 5670, '', 0, 'AT4\r'),
	('PM', 5016, 'NDB', 1097, 'LPA', 1054, '', 0, 'SWM AT4\r'),
	('PM', 5016, 'SPC', 1053, 'TFN', 1057, '', 0, 'AT4\r'),
	('PM', 5016, 'TFN', 1057, 'LPA', 1054, '', 0, 'AT4\r'),
	('PM', 5016, 'TFN', 1057, 'SPC', 1053, '', 0, 'AT4\r'),
	('PM', 5016, 'VIL', 5670, 'LPA', 1054, '', 0, 'AT4\r'),
	('PN', 12978, 'CAN', 3370, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'DLC', 3404, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'FOC', 3385, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'HRB', 3400, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'JJN', 6386, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'KWE', 3394, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'KWL', 3372, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'SYX', 4030, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'TAO', 3390, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'URC', 3399, '', 0, '320\r'),
	('PN', 12978, 'CGO', 3375, 'ZUH', 6355, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'CAN', 3370, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'CSX', 3371, '', 0, '320 319\r'),
	('PN', 12978, 'CKG', 3393, 'FOC', 3385, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'HAK', 4120, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'HET', 6345, '', 0, '319 320\r'),
	('PN', 12978, 'CKG', 3393, 'HFE', 3389, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'JZH', 4301, '', 0, '320 319\r'),
	('PN', 12978, 'CKG', 3393, 'KHN', 3384, '', 0, '320 319\r'),
	('PN', 12978, 'CKG', 3393, 'KMG', 3382, '', 0, '319\r'),
	('PN', 12978, 'CKG', 3393, 'KRL', 6407, '', 0, '319\r'),
	('PN', 12978, 'CKG', 3393, 'KWL', 3372, '', 0, '320 319\r'),
	('PN', 12978, 'CKG', 3393, 'LHW', 6431, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'LJG', 4033, '', 0, '319 320\r'),
	('PN', 12978, 'CKG', 3393, 'LXA', 4097, '', 0, '319 320\r'),
	('PN', 12978, 'CKG', 3393, 'NGB', 3387, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'NKG', 3388, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'SYX', 4030, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'SZX', 3374, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'TAO', 3390, '', 0, '320 319\r'),
	('PN', 12978, 'CKG', 3393, 'TNA', 4108, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'TSN', 3368, '', 0, '319\r'),
	('PN', 12978, 'CKG', 3393, 'TYN', 3369, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'URC', 3399, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'WUH', 3376, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'XIY', 3379, '', 0, '320\r'),
	('PN', 12978, 'CKG', 3393, 'XMN', 3383, '', 0, '319 320\r'),
	('PN', 12978, 'CKG', 3393, 'ZUH', 6355, '', 0, '320\r'),
	('PN', 12978, 'CSX', 3371, 'CKG', 3393, '', 0, '320 319\r'),
	('PN', 12978, 'CSX', 3371, 'NGB', 3387, '', 0, '320\r'),
	('PN', 12978, 'CSX', 3371, 'XMN', 3383, '', 0, '319\r'),
	('PN', 12978, 'DLC', 3404, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'FOC', 3385, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'FOC', 3385, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'FOC', 3385, 'WUH', 3376, '', 0, '320\r'),
	('PN', 12978, 'HAK', 4120, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'HET', 6345, 'CKG', 3393, '', 0, '320 319\r'),
	('PN', 12978, 'HET', 6345, 'HRB', 3400, '', 0, '320 319\r'),
	('PN', 12978, 'HFE', 3389, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'HFE', 3389, 'SHE', 4144, '', 0, '320\r'),
	('PN', 12978, 'HRB', 3400, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'HRB', 3400, 'HET', 6345, '', 0, '320 319\r'),
	('PN', 12978, 'JHG', 4055, 'KMG', 3382, '', 0, '319\r'),
	('PN', 12978, 'JJN', 6386, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'JZH', 4301, 'CKG', 3393, '', 0, '320 319\r'),
	('PN', 12978, 'KHN', 3384, 'CKG', 3393, '', 0, '320 319\r'),
	('PN', 12978, 'KMG', 3382, 'CKG', 3393, '', 0, '319\r'),
	('PN', 12978, 'KMG', 3382, 'JHG', 4055, '', 0, '319\r'),
	('PN', 12978, 'KRL', 6407, 'CKG', 3393, '', 0, '319\r'),
	('PN', 12978, 'KWE', 3394, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'KWL', 3372, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'KWL', 3372, 'CKG', 3393, '', 0, '320 319\r'),
	('PN', 12978, 'LHW', 6431, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'LHW', 6431, 'URC', 3399, '', 0, '320\r'),
	('PN', 12978, 'LJG', 4033, 'CKG', 3393, '', 0, '319 320\r'),
	('PN', 12978, 'LXA', 4097, 'CKG', 3393, '', 0, '319 320\r'),
	('PN', 12978, 'NGB', 3387, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'NGB', 3387, 'CSX', 3371, '', 0, '320\r'),
	('PN', 12978, 'NKG', 3388, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'SHE', 4144, 'HFE', 3389, '', 0, '320\r'),
	('PN', 12978, 'SYX', 4030, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'SYX', 4030, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'SZX', 3374, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'TAO', 3390, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'TAO', 3390, 'CKG', 3393, '', 0, '320 319\r'),
	('PN', 12978, 'TNA', 4108, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'TSN', 3368, 'CKG', 3393, '', 0, '319\r'),
	('PN', 12978, 'TYN', 3369, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'URC', 3399, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'URC', 3399, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'URC', 3399, 'LHW', 6431, '', 0, '320\r'),
	('PN', 12978, 'WUH', 3376, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'WUH', 3376, 'FOC', 3385, '', 0, '320\r'),
	('PN', 12978, 'XIY', 3379, 'CKG', 3393, '', 0, '320\r'),
	('PN', 12978, 'XMN', 3383, 'CKG', 3393, '', 0, '319 320\r'),
	('PN', 12978, 'XMN', 3383, 'CSX', 3371, '', 0, '319\r'),
	('PN', 12978, 'ZUH', 6355, 'CGO', 3375, '', 0, '320\r'),
	('PN', 12978, 'ZUH', 6355, 'CKG', 3393, '', 0, '320\r'),
	('PQ', 14061, 'CEB', 4206, 'MNL', 2397, '', 0, '320\r'),
	('PQ', 14061, 'DVO', 4090, 'MNL', 2397, '', 0, '320\r'),
	('PQ', 14061, 'KLO', 2430, 'MNL', 2397, '', 0, '320\r'),
	('PQ', 14061, 'MNL', 2397, 'CEB', 4206, '', 0, '320\r'),
	('PQ', 14061, 'MNL', 2397, 'DVO', 4090, '', 0, '320\r'),
	('PQ', 14061, 'MNL', 2397, 'KLO', 2430, '', 0, '320\r'),
	('PR', 3952, 'AUH', 2179, 'MNL', 2397, '', 0, '330\r'),
	('PR', 3952, 'BAH', 2057, 'MNL', 2397, 'Y', 0, '330\r'),
	('PR', 3952, 'BCD', 2423, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'BKK', 3885, 'MNL', 2397, '', 0, '320 330\r'),
	('PR', 3952, 'BNE', 3320, 'DRW', 3999, '', 0, '320\r'),
	('PR', 3952, 'BSO', 6019, 'MNL', 2397, '', 0, 'DH4\r'),
	('PR', 3952, 'BXU', 4200, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'CAN', 3370, 'MNL', 2397, 'Y', 0, '320\r'),
	('PR', 3952, 'CBO', 2399, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'CEB', 4206, 'HKG', 3077, 'Y', 0, '330 340\r'),
	('PR', 3952, 'CEB', 4206, 'ICN', 3930, '', 0, '321\r'),
	('PR', 3952, 'CEB', 4206, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'CEB', 4206, 'NRT', 2279, '', 0, '321 330\r'),
	('PR', 3952, 'CGK', 3275, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'CGY', 2400, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'CRM', 6024, 'MNL', 2397, '', 0, 'DH4\r'),
	('PR', 3952, 'CYP', 6023, 'MNL', 2397, '', 0, 'DH4\r'),
	('PR', 3952, 'DGT', 2425, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'DMM', 2064, 'MNL', 2397, '', 0, '330\r'),
	('PR', 3952, 'DOH', 2241, 'MNL', 2397, '', 0, '330\r'),
	('PR', 3952, 'DPL', 4201, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'DPS', 3940, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'DRW', 3999, 'BNE', 3320, '', 0, '320\r'),
	('PR', 3952, 'DRW', 3999, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'DVO', 4090, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'DWC', 8076, 'MNL', 2397, '', 0, '330\r'),
	('PR', 3952, 'DXB', 2188, 'MNL', 2397, 'Y', 0, '77W\r'),
	('PR', 3952, 'FUK', 2305, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'GES', 6011, 'MNL', 2397, '', 0, '330\r'),
	('PR', 3952, 'GUM', 2246, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'HKG', 3077, 'CEB', 4206, 'Y', 0, '330 340\r'),
	('PR', 3952, 'HKG', 3077, 'MNL', 2397, '', 0, '321 330\r'),
	('PR', 3952, 'HND', 2359, 'MNL', 2397, '', 0, '321 330\r'),
	('PR', 3952, 'HNL', 3728, 'MNL', 2397, '', 0, '343\r'),
	('PR', 3952, 'ICN', 3930, 'CEB', 4206, '', 0, '321\r'),
	('PR', 3952, 'ICN', 3930, 'KLO', 2430, '', 0, '320\r'),
	('PR', 3952, 'ICN', 3930, 'MNL', 2397, '', 0, '320 330\r'),
	('PR', 3952, 'ILO', 2429, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'JOL', 6013, 'ZAM', 2404, '', 0, 'DH4\r'),
	('PR', 3952, 'KIX', 3992, 'MNL', 2397, '', 0, '330 343\r'),
	('PR', 3952, 'KLO', 2430, 'ICN', 3930, '', 0, '320\r'),
	('PR', 3952, 'KLO', 2430, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'KLO', 2430, 'PUS', 2372, '', 0, '320\r'),
	('PR', 3952, 'KLO', 2430, 'TPE', 2276, '', 0, '320\r'),
	('PR', 3952, 'LAO', 4202, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'LAX', 3484, 'MNL', 2397, '', 0, '343 744\r'),
	('PR', 3952, 'LGP', 4203, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'LHR', 507, 'MNL', 2397, '', 0, '773\r'),
	('PR', 3952, 'MBT', 6025, 'MNL', 2397, '', 0, 'DH3\r'),
	('PR', 3952, 'MEL', 3339, 'MNL', 2397, '', 0, '343\r'),
	('PR', 3952, 'MFM', 3121, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'AUH', 2179, '', 0, '330\r'),
	('PR', 3952, 'MNL', 2397, 'BAH', 2057, 'Y', 0, '330\r'),
	('PR', 3952, 'MNL', 2397, 'BCD', 2423, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'BKK', 3885, '', 0, '330 320\r'),
	('PR', 3952, 'MNL', 2397, 'BSO', 6019, '', 0, 'DH4\r'),
	('PR', 3952, 'MNL', 2397, 'BXU', 4200, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'CAN', 3370, 'Y', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'CBO', 2399, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'CEB', 4206, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'CGK', 3275, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'CGY', 2400, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'CRM', 6024, '', 0, 'DH4\r'),
	('PR', 3952, 'MNL', 2397, 'CYP', 6023, '', 0, 'DH4\r'),
	('PR', 3952, 'MNL', 2397, 'DGT', 2425, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'DMM', 2064, '', 0, '330\r'),
	('PR', 3952, 'MNL', 2397, 'DOH', 2241, '', 0, '330\r'),
	('PR', 3952, 'MNL', 2397, 'DPL', 4201, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'DPS', 3940, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'DRW', 3999, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'DVO', 4090, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'DWC', 8076, '', 0, '330\r'),
	('PR', 3952, 'MNL', 2397, 'DXB', 2188, 'Y', 0, '77W\r'),
	('PR', 3952, 'MNL', 2397, 'FUK', 2305, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'GES', 6011, '', 0, '330\r'),
	('PR', 3952, 'MNL', 2397, 'GUM', 2246, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'HKG', 3077, '', 0, '330 321\r'),
	('PR', 3952, 'MNL', 2397, 'HND', 2359, '', 0, '330 321\r'),
	('PR', 3952, 'MNL', 2397, 'HNL', 3728, '', 0, '343\r'),
	('PR', 3952, 'MNL', 2397, 'ICN', 3930, '', 0, '320 330\r'),
	('PR', 3952, 'MNL', 2397, 'ILO', 2429, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'KIX', 3992, '', 0, '343 330\r'),
	('PR', 3952, 'MNL', 2397, 'KLO', 2430, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'LAO', 4202, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'LAX', 3484, '', 0, '343 744\r'),
	('PR', 3952, 'MNL', 2397, 'LGP', 4203, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'LHR', 507, '', 0, '773\r'),
	('PR', 3952, 'MNL', 2397, 'MBT', 6025, '', 0, 'DH3\r'),
	('PR', 3952, 'MNL', 2397, 'MEL', 3339, '', 0, '343\r'),
	('PR', 3952, 'MNL', 2397, 'MFM', 3121, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'MPH', 4002, '', 0, 'DH3\r'),
	('PR', 3952, 'MNL', 2397, 'NGO', 3942, '', 0, '343\r'),
	('PR', 3952, 'MNL', 2397, 'NRT', 2279, '', 0, '321 330 773\r'),
	('PR', 3952, 'MNL', 2397, 'OZC', 4204, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'PEK', 3364, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'PPS', 2433, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'PUS', 2372, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'PVG', 3406, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'RUH', 2082, '', 0, '330\r'),
	('PR', 3952, 'MNL', 2397, 'RXS', 6026, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'SFO', 3469, '', 0, '744\r'),
	('PR', 3952, 'MNL', 2397, 'SGN', 3205, '', 0, '321\r'),
	('PR', 3952, 'MNL', 2397, 'SIN', 3316, '', 0, '320 319\r'),
	('PR', 3952, 'MNL', 2397, 'SUG', 6016, '', 0, 'DH4\r'),
	('PR', 3952, 'MNL', 2397, 'SYD', 3361, '', 0, '343\r'),
	('PR', 3952, 'MNL', 2397, 'TAC', 2422, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'TAG', 3994, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'TPE', 2276, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'TUG', 6021, '', 0, 'DH4\r'),
	('PR', 3952, 'MNL', 2397, 'USU', 4199, '', 0, 'DH4\r'),
	('PR', 3952, 'MNL', 2397, 'WNP', 6018, '', 0, 'DH4\r'),
	('PR', 3952, 'MNL', 2397, 'XMN', 3383, '', 0, '320\r'),
	('PR', 3952, 'MNL', 2397, 'YVR', 156, '', 0, '773\r'),
	('PR', 3952, 'MNL', 2397, 'ZAM', 2404, '', 0, '320 DH4\r'),
	('PR', 3952, 'MPH', 4002, 'MNL', 2397, '', 0, 'DH3\r'),
	('PR', 3952, 'NGO', 3942, 'MNL', 2397, '', 0, '343\r'),
	('PR', 3952, 'NRT', 2279, 'CEB', 4206, '', 0, '321 330\r'),
	('PR', 3952, 'NRT', 2279, 'MNL', 2397, '', 0, '330 321 773\r'),
	('PR', 3952, 'OZC', 4204, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'PEK', 3364, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'PPS', 2433, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'PUS', 2372, 'KLO', 2430, '', 0, '320\r'),
	('PR', 3952, 'PUS', 2372, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'PVG', 3406, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'RUH', 2082, 'MNL', 2397, '', 0, '330\r'),
	('PR', 3952, 'RXS', 6026, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'SFO', 3469, 'MNL', 2397, '', 0, '744\r'),
	('PR', 3952, 'SGN', 3205, 'MNL', 2397, '', 0, '321\r'),
	('PR', 3952, 'SIN', 3316, 'MNL', 2397, '', 0, '319 320\r'),
	('PR', 3952, 'SUG', 6016, 'MNL', 2397, '', 0, 'DH4\r'),
	('PR', 3952, 'SYD', 3361, 'MNL', 2397, '', 0, '343\r'),
	('PR', 3952, 'TAC', 2422, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'TAG', 3994, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'TPE', 2276, 'KLO', 2430, '', 0, '320\r'),
	('PR', 3952, 'TPE', 2276, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'TUG', 6021, 'MNL', 2397, '', 0, 'DH4\r'),
	('PR', 3952, 'USU', 4199, 'MNL', 2397, '', 0, 'DH4\r'),
	('PR', 3952, 'WNP', 6018, 'MNL', 2397, '', 0, 'DH4\r'),
	('PR', 3952, 'XMN', 3383, 'MNL', 2397, '', 0, '320\r'),
	('PR', 3952, 'YVR', 156, 'MNL', 2397, '', 0, '773\r'),
	('PR', 3952, 'YVR', 156, 'YYZ', 193, '', 0, '773\r'),
	('PR', 3952, 'YYZ', 193, 'YVR', 156, '', 0, '773\r'),
	('PR', 3952, 'ZAM', 2404, 'JOL', 6013, '', 0, 'DH4\r'),
	('PR', 3952, 'ZAM', 2404, 'MNL', 2397, '', 0, '320 DH4\r'),
	('PS', 5282, 'ALA', 2908, 'KBP', 2939, '', 0, '73J\r'),
	('PS', 5282, 'AMS', 580, 'KBP', 2939, '', 0, '73R\r'),
	('PS', 5282, 'ATH', 3941, 'KBP', 2939, '', 0, '734 73N\r'),
	('PS', 5282, 'BCN', 1218, 'KBP', 2939, '', 0, '73J\r'),
	('PS', 5282, 'BKK', 3885, 'KBP', 2939, '', 0, '763\r'),
	('PS', 5282, 'BRU', 302, 'KBP', 2939, '', 0, 'E90\r'),
	('PS', 5282, 'CDG', 1382, 'KBP', 2939, '', 0, '73H\r'),
	('PS', 5282, 'DME', 4029, 'KBP', 2939, '', 0, '734 738 E90\r'),
	('PS', 5282, 'DME', 4029, 'ODS', 2947, 'Y', 0, '319\r'),
	('PS', 5282, 'DNK', 2941, 'IST', 1701, '', 0, '320\r'),
	('PS', 5282, 'DNK', 2941, 'KBP', 2939, '', 0, '73N ER4 735\r'),
	('PS', 5282, 'DNK', 2941, 'TLV', 1590, '', 0, '734 73G\r'),
	('PS', 5282, 'DOK', 2940, 'IST', 1701, '', 0, '738\r'),
	('PS', 5282, 'DOK', 2940, 'KBP', 2939, '', 0, '734 736\r'),
	('PS', 5282, 'DOK', 2940, 'LCA', 1197, '', 0, '737\r'),
	('PS', 5282, 'DOK', 2940, 'TLV', 1590, '', 0, '734\r'),
	('PS', 5282, 'DXB', 2188, 'KBP', 2939, '', 0, '738 73J 73N\r'),
	('PS', 5282, 'EVN', 3964, 'KBP', 2939, '', 0, '735 734 73G\r'),
	('PS', 5282, 'FCO', 1555, 'KBP', 2939, '', 0, '73R 73N 734\r'),
	('PS', 5282, 'FRA', 340, 'KBP', 2939, '', 0, '738\r'),
	('PS', 5282, 'GVA', 1665, 'KBP', 2939, '', 0, 'E90\r'),
	('PS', 5282, 'GYD', 2922, 'KBP', 2939, '', 0, '737\r'),
	('PS', 5282, 'HEL', 421, 'KBP', 2939, '', 0, '735 E90\r'),
	('PS', 5282, 'HER', 1452, 'KBP', 2939, '', 0, '737\r'),
	('PS', 5282, 'HRK', 6105, 'KBP', 2939, '', 0, '735\r'),
	('PS', 5282, 'HRK', 6105, 'LCA', 1197, '', 0, '737\r'),
	('PS', 5282, 'HRK', 6105, 'VIE', 1613, 'Y', 0, 'F70\r'),
	('PS', 5282, 'IFO', 6106, 'KBP', 2939, '', 0, 'ER4\r'),
	('PS', 5282, 'IST', 1701, 'DNK', 2941, '', 0, '320\r'),
	('PS', 5282, 'IST', 1701, 'DOK', 2940, '', 0, '738\r'),
	('PS', 5282, 'IST', 1701, 'KBP', 2939, '', 0, '73R 738 735\r'),
	('PS', 5282, 'IST', 1701, 'ODS', 2947, '', 0, '320 734 738\r'),
	('PS', 5282, 'JFK', 3797, 'KBP', 2939, '', 0, '767\r'),
	('PS', 5282, 'KBP', 2939, 'ALA', 2908, '', 0, '73J\r'),
	('PS', 5282, 'KBP', 2939, 'AMS', 580, '', 0, '73R\r'),
	('PS', 5282, 'KBP', 2939, 'ATH', 3941, '', 0, '73N 734\r'),
	('PS', 5282, 'KBP', 2939, 'BCN', 1218, '', 0, '73J\r'),
	('PS', 5282, 'KBP', 2939, 'BKK', 3885, '', 0, '763\r'),
	('PS', 5282, 'KBP', 2939, 'BRU', 302, '', 0, 'E90\r'),
	('PS', 5282, 'KBP', 2939, 'CDG', 1382, '', 0, '73H\r'),
	('PS', 5282, 'KBP', 2939, 'DME', 4029, '', 0, '738 734 E90\r'),
	('PS', 5282, 'KBP', 2939, 'DNK', 2941, '', 0, 'ER4 73N 735\r'),
	('PS', 5282, 'KBP', 2939, 'DOK', 2940, '', 0, '734 736\r'),
	('PS', 5282, 'KBP', 2939, 'DXB', 2188, '', 0, '73J 738 73N\r'),
	('PS', 5282, 'KBP', 2939, 'EVN', 3964, '', 0, '734 73G 735\r'),
	('PS', 5282, 'KBP', 2939, 'FCO', 1555, '', 0, '73R 73N 734\r'),
	('PS', 5282, 'KBP', 2939, 'FRA', 340, '', 0, '738\r'),
	('PS', 5282, 'KBP', 2939, 'GVA', 1665, '', 0, 'E90\r'),
	('PS', 5282, 'KBP', 2939, 'GYD', 2922, '', 0, '737\r'),
	('PS', 5282, 'KBP', 2939, 'HEL', 421, '', 0, '735 E90\r'),
	('PS', 5282, 'KBP', 2939, 'HER', 1452, '', 0, '737\r'),
	('PS', 5282, 'KBP', 2939, 'HRK', 6105, '', 0, '735\r'),
	('PS', 5282, 'KBP', 2939, 'IFO', 6106, '', 0, 'ER4\r'),
	('PS', 5282, 'KBP', 2939, 'IST', 1701, '', 0, '735 738 73R\r'),
	('PS', 5282, 'KBP', 2939, 'JFK', 3797, '', 0, '767\r'),
	('PS', 5282, 'KBP', 2939, 'KGD', 2952, '', 0, '73G 735\r'),
	('PS', 5282, 'KBP', 2939, 'LCA', 1197, '', 0, '73J\r'),
	('PS', 5282, 'KBP', 2939, 'LED', 2948, '', 0, '734 735 73N\r'),
	('PS', 5282, 'KBP', 2939, 'LGW', 502, '', 0, '73H E90 735 73N\r'),
	('PS', 5282, 'KBP', 2939, 'LIS', 1638, '', 0, '738\r'),
	('PS', 5282, 'KBP', 2939, 'LWO', 2945, '', 0, '735 736 E90\r'),
	('PS', 5282, 'KBP', 2939, 'MAD', 1229, '', 0, '738 73G\r'),
	('PS', 5282, 'KBP', 2939, 'MSQ', 2954, '', 0, '737\r'),
	('PS', 5282, 'KBP', 2939, 'MUC', 346, '', 0, '734\r'),
	('PS', 5282, 'KBP', 2939, 'MXP', 1524, '', 0, '73N 73R\r'),
	('PS', 5282, 'KBP', 2939, 'NCE', 1354, '', 0, '73N\r'),
	('PS', 5282, 'KBP', 2939, 'ODS', 2947, '', 0, '735 738\r'),
	('PS', 5282, 'KBP', 2939, 'OVB', 4078, '', 0, '738\r'),
	('PS', 5282, 'KBP', 2939, 'PRG', 1587, '', 0, '736\r'),
	('PS', 5282, 'KBP', 2939, 'RHO', 1472, '', 0, '737\r'),
	('PS', 5282, 'KBP', 2939, 'RIX', 3953, 'Y', 0, 'DH4\r'),
	('PS', 5282, 'KBP', 2939, 'ROV', 2964, '', 0, '73J\r'),
	('PS', 5282, 'KBP', 2939, 'SAW', 4317, '', 0, '738\r'),
	('PS', 5282, 'KBP', 2939, 'SVX', 2975, '', 0, '73N\r'),
	('PS', 5282, 'KBP', 2939, 'TBS', 3973, '', 0, '735 73R 73G 734\r'),
	('PS', 5282, 'KBP', 2939, 'TFS', 1056, '', 0, '737\r'),
	('PS', 5282, 'KBP', 2939, 'TLV', 1590, '', 0, '738 73H\r'),
	('PS', 5282, 'KBP', 2939, 'TSE', 2910, '', 0, '73J\r'),
	('PS', 5282, 'KBP', 2939, 'TXL', 351, '', 0, '735\r'),
	('PS', 5282, 'KBP', 2939, 'VIE', 1613, '', 0, 'E90 73G 735\r'),
	('PS', 5282, 'KBP', 2939, 'VNO', 3959, '', 0, '73G 735 E90\r'),
	('PS', 5282, 'KBP', 2939, 'WAW', 679, '', 0, '73G\r'),
	('PS', 5282, 'KBP', 2939, 'ZRH', 1678, '', 0, '73N 320 735\r'),
	('PS', 5282, 'KGD', 2952, 'KBP', 2939, '', 0, '73G 735\r'),
	('PS', 5282, 'LCA', 1197, 'DOK', 2940, '', 0, '737\r'),
	('PS', 5282, 'LCA', 1197, 'KBP', 2939, '', 0, '73J\r'),
	('PS', 5282, 'LCA', 1197, 'LWO', 2945, '', 0, '737\r'),
	('PS', 5282, 'LCA', 1197, 'ODS', 2947, '', 0, '737\r'),
	('PS', 5282, 'LED', 2948, 'KBP', 2939, '', 0, 'E90 734 735 73N\r'),
	('PS', 5282, 'LGW', 502, 'KBP', 2939, '', 0, '73N 73H E90 735\r'),
	('PS', 5282, 'LIS', 1638, 'KBP', 2939, '', 0, '738\r'),
	('PS', 5282, 'LWO', 2945, 'KBP', 2939, '', 0, 'E90 735 736\r'),
	('PS', 5282, 'LWO', 2945, 'LCA', 1197, '', 0, '737\r'),
	('PS', 5282, 'LWO', 2945, 'VIE', 1613, 'Y', 0, 'F70\r'),
	('PS', 5282, 'MAD', 1229, 'KBP', 2939, '', 0, '738 73G\r'),
	('PS', 5282, 'MSQ', 2954, 'KBP', 2939, '', 0, '737\r'),
	('PS', 5282, 'MUC', 346, 'KBP', 2939, '', 0, '734\r'),
	('PS', 5282, 'MXP', 1524, 'KBP', 2939, '', 0, '73N 73R\r'),
	('PS', 5282, 'NCE', 1354, 'KBP', 2939, '', 0, '73N\r'),
	('PS', 5282, 'ODS', 2947, 'DME', 4029, 'Y', 0, '319\r'),
	('PS', 5282, 'ODS', 2947, 'IST', 1701, '', 0, '320 734 738\r'),
	('PS', 5282, 'ODS', 2947, 'KBP', 2939, '', 0, '738 735\r'),
	('PS', 5282, 'ODS', 2947, 'LCA', 1197, '', 0, '737\r'),
	('PS', 5282, 'ODS', 2947, 'TLV', 1590, '', 0, '738\r'),
	('PS', 5282, 'ODS', 2947, 'VIE', 1613, '', 0, 'E90\r'),
	('PS', 5282, 'OVB', 4078, 'KBP', 2939, '', 0, '738\r'),
	('PS', 5282, 'PRG', 1587, 'KBP', 2939, '', 0, '736\r'),
	('PS', 5282, 'RHO', 1472, 'KBP', 2939, '', 0, '737\r'),
	('PS', 5282, 'RIX', 3953, 'KBP', 2939, 'Y', 0, 'DH4\r'),
	('PS', 5282, 'ROV', 2964, 'KBP', 2939, '', 0, '73J\r'),
	('PS', 5282, 'SAW', 4317, 'KBP', 2939, '', 0, '738\r'),
	('PS', 5282, 'SVX', 2975, 'KBP', 2939, '', 0, '73G 73N\r'),
	('PS', 5282, 'TBS', 3973, 'KBP', 2939, '', 0, '73R 735 73G 734\r'),
	('PS', 5282, 'TFS', 1056, 'KBP', 2939, '', 0, '737\r'),
	('PS', 5282, 'TLV', 1590, 'DNK', 2941, '', 0, '734 73G\r'),
	('PS', 5282, 'TLV', 1590, 'DOK', 2940, '', 0, '734\r'),
	('PS', 5282, 'TLV', 1590, 'KBP', 2939, '', 0, '73H 738\r'),
	('PS', 5282, 'TLV', 1590, 'ODS', 2947, '', 0, '738\r'),
	('PS', 5282, 'TSE', 2910, 'KBP', 2939, '', 0, '73J\r'),
	('PS', 5282, 'TXL', 351, 'KBP', 2939, '', 0, '735\r'),
	('PS', 5282, 'VIE', 1613, 'HRK', 6105, 'Y', 0, 'F70\r'),
	('PS', 5282, 'VIE', 1613, 'KBP', 2939, '', 0, 'E90 73G 735\r'),
	('PS', 5282, 'VIE', 1613, 'LWO', 2945, 'Y', 0, 'DH4\r'),
	('PS', 5282, 'VIE', 1613, 'ODS', 2947, '', 0, 'E90\r'),
	('PS', 5282, 'VNO', 3959, 'KBP', 2939, '', 0, '735 73G E90\r'),
	('PS', 5282, 'WAW', 679, 'KBP', 2939, '', 0, '73G\r'),
	('PS', 5282, 'ZRH', 1678, 'KBP', 2939, '', 0, '320 73N 735\r'),
	('PV', 3834, 'ANU', 2874, 'SBH', 6460, '', 0, 'BNT\r'),
	('PV', 3834, 'SBH', 6460, 'ANU', 2874, '', 0, 'BNT\r'),
	('PV', 3834, 'SBH', 6460, 'SFG', 2879, '', 0, 'BNT\r'),
	('PV', 3834, 'SBH', 6460, 'SXM', 2899, '', 0, 'CNC BNT\r'),
	('PV', 3834, 'SFG', 2879, 'SBH', 6460, '', 0, 'BNT\r'),
	('PV', 3834, 'SXM', 2899, 'SBH', 6460, '', 0, 'CNC BNT\r'),
	('PW', 4031, 'ARK', 1176, 'ZNZ', 1186, '', 0, 'AT4 AT7\r'),
	('PW', 4031, 'BKZ', 5703, 'MWZ', 1183, '', 0, 'AT5\r'),
	('PW', 4031, 'DAR', 1177, 'ARK', 1176, '', 0, 'AT4 AT7\r'),
	('PW', 4031, 'DAR', 1177, 'EBB', 1187, '', 0, 'CRJ\r'),
	('PW', 4031, 'DAR', 1177, 'HAH', 912, '', 0, 'AT7\r'),
	('PW', 4031, 'DAR', 1177, 'JRO', 1180, '', 0, 'AT7 AT4\r'),
	('PW', 4031, 'DAR', 1177, 'MWZ', 1183, '', 0, 'AT7 AT5\r'),
	('PW', 4031, 'DAR', 1177, 'MYW', 1182, '', 0, 'AT4 AT7\r'),
	('PW', 4031, 'DAR', 1177, 'NBO', 4059, '', 0, 'E90\r'),
	('PW', 4031, 'DAR', 1177, 'ZNZ', 1186, '', 0, 'AT7 AT4\r'),
	('PW', 4031, 'EBB', 1187, 'DAR', 1177, '', 0, 'CRJ\r'),
	('PW', 4031, 'EBB', 1187, 'JRO', 1180, '', 0, 'CRJ AT4\r'),
	('PW', 4031, 'HAH', 912, 'DAR', 1177, '', 0, 'AT7\r'),
	('PW', 4031, 'JRO', 1180, 'DAR', 1177, '', 0, 'AT7 AT4\r'),
	('PW', 4031, 'JRO', 1180, 'EBB', 1187, '', 0, 'CRJ AT4\r'),
	('PW', 4031, 'JRO', 1180, 'MWZ', 1183, '', 0, 'AT7\r'),
	('PW', 4031, 'JRO', 1180, 'NBO', 4059, '', 0, 'AT7 E70\r'),
	('PW', 4031, 'JRO', 1180, 'ZNZ', 1186, '', 0, 'AT7 AT4\r'),
	('PW', 4031, 'MWZ', 1183, 'BKZ', 5703, '', 0, 'AT5\r'),
	('PW', 4031, 'MWZ', 1183, 'DAR', 1177, '', 0, 'AT7 AT5\r'),
	('PW', 4031, 'MWZ', 1183, 'JRO', 1180, '', 0, 'AT7\r'),
	('PW', 4031, 'MWZ', 1183, 'NBO', 4059, '', 0, 'AT5\r'),
	('PW', 4031, 'MYW', 1182, 'DAR', 1177, '', 0, 'AT4 AT7\r'),
	('PW', 4031, 'NBO', 4059, 'DAR', 1177, '', 0, 'E90\r'),
	('PW', 4031, 'NBO', 4059, 'JRO', 1180, '', 0, 'AT7 E70\r'),
	('PW', 4031, 'NBO', 4059, 'MWZ', 1183, '', 0, 'AT5\r'),
	('PW', 4031, 'NBO', 4059, 'ZNZ', 1186, '', 0, 'AT7\r'),
	('PW', 4031, 'ZNZ', 1186, 'DAR', 1177, '', 0, 'AT7 AT4\r'),
	('PW', 4031, 'ZNZ', 1186, 'NBO', 4059, '', 0, 'AT7\r'),
	('PX', 328, 'BNE', 3320, 'POM', 5, '', 0, '763 738\r'),
	('PX', 328, 'BUA', 5419, 'LNV', 5979, '', 0, 'DH8\r'),
	('PX', 328, 'BUA', 5419, 'POM', 5, '', 0, '100\r'),
	('PX', 328, 'BUA', 5419, 'RAB', 5435, '', 0, '100 DH8\r'),
	('PX', 328, 'CEB', 4206, 'POM', 5, '', 0, '738\r'),
	('PX', 328, 'CMU', 5420, 'POM', 5, '', 0, 'DH8\r'),
	('PX', 328, 'CNS', 3322, 'POM', 5, '', 0, 'DH4\r'),
	('PX', 328, 'CNS', 3322, 'RAB', 5435, '', 0, 'DH4\r'),
	('PX', 328, 'DAU', 5421, 'POM', 5, '', 0, 'DH4 DH3\r'),
	('PX', 328, 'DPS', 3940, 'POM', 5, '', 0, '738\r'),
	('PX', 328, 'GKA', 1, 'POM', 5, '', 0, 'DH4 DH8 DH3\r'),
	('PX', 328, 'GUR', 5422, 'MIS', 5432, '', 0, 'DH8\r'),
	('PX', 328, 'GUR', 5422, 'POM', 5, '', 0, 'DH3 DH4 DH8\r'),
	('PX', 328, 'HGU', 3, 'POM', 5, '', 0, '100\r'),
	('PX', 328, 'HGU', 3, 'WWK', 6, '', 0, '100\r'),
	('PX', 328, 'HIR', 4074, 'NAN', 1960, '', 0, '737\r'),
	('PX', 328, 'HIR', 4074, 'POM', 5, '', 0, '737 DH4\r'),
	('PX', 328, 'HKG', 3077, 'POM', 5, '', 0, '763\r'),
	('PX', 328, 'HKN', 5424, 'LAE', 4, '', 0, 'DH4\r'),
	('PX', 328, 'HKN', 5424, 'POM', 5, '', 0, 'DH4\r'),
	('PX', 328, 'HKN', 5424, 'RAB', 5435, '', 0, 'DH4\r'),
	('PX', 328, 'KVG', 5428, 'MAS', 5430, '', 0, '100\r'),
	('PX', 328, 'KVG', 5428, 'POM', 5, '', 0, '100 DH4\r'),
	('PX', 328, 'KVG', 5428, 'RAB', 5435, '', 0, '100\r'),
	('PX', 328, 'LAE', 4, 'HKN', 5424, '', 0, 'DH4\r'),
	('PX', 328, 'LAE', 4, 'POM', 5, '', 0, '100 DH4\r'),
	('PX', 328, 'LNV', 5979, 'POM', 5, '', 0, 'DH3 DH8\r'),
	('PX', 328, 'LNV', 5979, 'RAB', 5435, '', 0, 'DH3\r'),
	('PX', 328, 'MAG', 2, 'MAS', 5430, '', 0, '100\r'),
	('PX', 328, 'MAG', 2, 'POM', 5, '', 0, 'DH4 100\r'),
	('PX', 328, 'MAG', 2, 'VAI', 5436, '', 0, 'DH4\r'),
	('PX', 328, 'MAG', 2, 'WWK', 6, '', 0, '100 DH4\r'),
	('PX', 328, 'MAS', 5430, 'KVG', 5428, '', 0, '100\r'),
	('PX', 328, 'MAS', 5430, 'MAG', 2, '', 0, '100\r'),
	('PX', 328, 'MAS', 5430, 'POM', 5, '', 0, '100 737\r'),
	('PX', 328, 'MAS', 5430, 'RAB', 5435, '', 0, '100\r'),
	('PX', 328, 'MDU', 5429, 'POM', 5, '', 0, 'DH8\r'),
	('PX', 328, 'MIS', 5432, 'BUA', 5419, '', 0, 'DH8\r'),
	('PX', 328, 'MNL', 2397, 'POM', 5, '', 0, '738\r'),
	('PX', 328, 'MXH', 5431, 'HGU', 3, '', 0, 'DH3\r'),
	('PX', 328, 'NAN', 1960, 'HIR', 4074, '', 0, '737\r'),
	('PX', 328, 'NAN', 1960, 'POM', 5, '', 0, '737\r'),
	('PX', 328, 'NRT', 2279, 'POM', 5, '', 0, '738\r'),
	('PX', 328, 'PNP', 5423, 'POM', 5, '', 0, 'DH3 DH4 DH8\r'),
	('PX', 328, 'POM', 5, 'BNE', 3320, '', 0, '763 738\r'),
	('PX', 328, 'POM', 5, 'BUA', 5419, '', 0, '100\r'),
	('PX', 328, 'POM', 5, 'CEB', 4206, '', 0, '738\r'),
	('PX', 328, 'POM', 5, 'CMU', 5420, '', 0, 'DH8\r'),
	('PX', 328, 'POM', 5, 'CNS', 3322, '', 0, 'DH4\r'),
	('PX', 328, 'POM', 5, 'DAU', 5421, '', 0, 'DH4 DH3\r'),
	('PX', 328, 'POM', 5, 'DPS', 3940, '', 0, '738\r'),
	('PX', 328, 'POM', 5, 'GKA', 1, '', 0, 'DH4 DH8 DH3\r'),
	('PX', 328, 'POM', 5, 'GUR', 5422, '', 0, 'DH3 DH4 DH8\r'),
	('PX', 328, 'POM', 5, 'HGU', 3, '', 0, '100\r'),
	('PX', 328, 'POM', 5, 'HIR', 4074, '', 0, 'DH4 737\r'),
	('PX', 328, 'POM', 5, 'HKG', 3077, '', 0, '763\r'),
	('PX', 328, 'POM', 5, 'HKN', 5424, '', 0, 'DH4\r'),
	('PX', 328, 'POM', 5, 'KVG', 5428, '', 0, 'DH4 100\r'),
	('PX', 328, 'POM', 5, 'LAE', 4, '', 0, '100 DH4\r'),
	('PX', 328, 'POM', 5, 'LNV', 5979, '', 0, 'DH8 DH3\r'),
	('PX', 328, 'POM', 5, 'MAG', 2, '', 0, '100 DH4\r'),
	('PX', 328, 'POM', 5, 'MAS', 5430, '', 0, '100 737\r'),
	('PX', 328, 'POM', 5, 'MDU', 5429, '', 0, 'DH8\r'),
	('PX', 328, 'POM', 5, 'MNL', 2397, '', 0, '738\r'),
	('PX', 328, 'POM', 5, 'NAN', 1960, '', 0, '737\r'),
	('PX', 328, 'POM', 5, 'NRT', 2279, '', 0, '738\r'),
	('PX', 328, 'POM', 5, 'PNP', 5423, '', 0, 'DH3 DH4 DH8\r'),
	('PX', 328, 'POM', 5, 'RAB', 5435, '', 0, '100 DH4\r'),
	('PX', 328, 'POM', 5, 'SIN', 3316, '', 0, '763 738\r'),
	('PX', 328, 'POM', 5, 'SYD', 3361, '', 0, '738\r'),
	('PX', 328, 'POM', 5, 'TBG', 5434, '', 0, 'DH3\r'),
	('PX', 328, 'POM', 5, 'TIZ', 5433, '', 0, 'DH8 DH3\r'),
	('PX', 328, 'POM', 5, 'UNG', 5425, '', 0, 'DH8 DH3\r'),
	('PX', 328, 'POM', 5, 'VAI', 5436, '', 0, 'DH4\r'),
	('PX', 328, 'POM', 5, 'WBM', 5437, '', 0, 'DH8\r'),
	('PX', 328, 'POM', 5, 'WWK', 6, '', 0, '100 DH4\r'),
	('PX', 328, 'RAB', 5435, 'BUA', 5419, '', 0, '100\r'),
	('PX', 328, 'RAB', 5435, 'CNS', 3322, '', 0, 'DH4\r'),
	('PX', 328, 'RAB', 5435, 'HKN', 5424, '', 0, 'DH4\r'),
	('PX', 328, 'RAB', 5435, 'KVG', 5428, '', 0, '100\r'),
	('PX', 328, 'RAB', 5435, 'LNV', 5979, '', 0, 'DH3 DH8\r'),
	('PX', 328, 'RAB', 5435, 'MAS', 5430, '', 0, '100\r'),
	('PX', 328, 'RAB', 5435, 'POM', 5, '', 0, '100 DH4\r'),
	('PX', 328, 'SIN', 3316, 'POM', 5, '', 0, '763 738\r'),
	('PX', 328, 'SYD', 3361, 'POM', 5, '', 0, '738\r'),
	('PX', 328, 'TBG', 5434, 'POM', 5, '', 0, 'DH3\r'),
	('PX', 328, 'TIZ', 5433, 'POM', 5, '', 0, 'DH8 DH3\r'),
	('PX', 328, 'UNG', 5425, 'POM', 5, '', 0, 'DH8 DH3\r'),
	('PX', 328, 'VAI', 5436, 'MAG', 2, '', 0, 'DH4\r'),
	('PX', 328, 'VAI', 5436, 'POM', 5, '', 0, 'DH4\r'),
	('PX', 328, 'VAI', 5436, 'WWK', 6, '', 0, 'DH4\r'),
	('PX', 328, 'WBM', 5437, 'POM', 5, '', 0, 'DH8\r'),
	('PX', 328, 'WWK', 6, 'HGU', 3, '', 0, '100\r'),
	('PX', 328, 'WWK', 6, 'MAG', 2, '', 0, '100 DH4\r'),
	('PX', 328, 'WWK', 6, 'POM', 5, '', 0, '100 DH4\r'),
	('PX', 328, 'WWK', 6, 'VAI', 5436, '', 0, 'DH4\r'),
	('PY', 4752, 'AMS', 580, 'PBM', 2773, '', 0, '343\r'),
	('PY', 4752, 'AUA', 2895, 'MIA', 3576, '', 0, '733\r'),
	('PY', 4752, 'AUA', 2895, 'PBM', 2773, '', 0, '733\r'),
	('PY', 4752, 'BEL', 2526, 'CAY', 2774, '', 0, '733\r'),
	('PY', 4752, 'BEL', 2526, 'PBM', 2773, '', 0, '733\r'),
	('PY', 4752, 'CAY', 2774, 'BEL', 2526, '', 0, '733\r'),
	('PY', 4752, 'CAY', 2774, 'PBM', 2773, '', 0, '733\r'),
	('PY', 4752, 'CUR', 2897, 'POS', 2902, '', 0, '733\r'),
	('PY', 4752, 'GEO', 4304, 'MIA', 3576, '', 0, '733\r'),
	('PY', 4752, 'GEO', 4304, 'PBM', 2773, '', 0, '733\r'),
	('PY', 4752, 'MIA', 3576, 'AUA', 2895, '', 0, '733\r'),
	('PY', 4752, 'MIA', 3576, 'GEO', 4304, '', 0, '733\r'),
	('PY', 4752, 'PBM', 2773, 'AMS', 580, '', 0, '343\r'),
	('PY', 4752, 'PBM', 2773, 'AUA', 2895, '', 0, '733\r'),
	('PY', 4752, 'PBM', 2773, 'BEL', 2526, '', 0, '733\r'),
	('PY', 4752, 'PBM', 2773, 'CAY', 2774, '', 0, '733\r'),
	('PY', 4752, 'PBM', 2773, 'GEO', 4304, '', 0, '733\r'),
	('PY', 4752, 'PBM', 2773, 'POS', 2902, '', 0, '733\r'),
	('PY', 4752, 'POS', 2902, 'CUR', 2897, '', 0, '733\r'),
	('PY', 4752, 'POS', 2902, 'PBM', 2773, '', 0, '733\r'),
	('PZ', 5156, 'AGT', 4305, 'ASU', 2699, '', 0, '320\r'),
	('PZ', 5156, 'AGT', 4305, 'GRU', 2564, '', 0, '320\r'),
	('PZ', 5156, 'ASU', 2699, 'AGT', 4305, '', 0, '320\r'),
	('PZ', 5156, 'ASU', 2699, 'EZE', 3988, '', 0, '320\r'),
	('PZ', 5156, 'ASU', 2699, 'GRU', 2564, '', 0, '320\r'),
	('PZ', 5156, 'ASU', 2699, 'SCL', 2650, '', 0, '320\r'),
	('PZ', 5156, 'ASU', 2699, 'VVI', 2771, '', 0, '320\r'),
	('PZ', 5156, 'EZE', 3988, 'ASU', 2699, '', 0, '320\r'),
	('PZ', 5156, 'EZE', 3988, 'GIG', 2560, '', 0, '320\r'),
	('PZ', 5156, 'EZE', 3988, 'GRU', 2564, '', 0, '320\r'),
	('PZ', 5156, 'GIG', 2560, 'EZE', 3988, '', 0, '320\r'),
	('PZ', 5156, 'GRU', 2564, 'AGT', 4305, '', 0, '320\r'),
	('PZ', 5156, 'GRU', 2564, 'ASU', 2699, '', 0, '320\r'),
	('PZ', 5156, 'GRU', 2564, 'EZE', 3988, '', 0, '320\r'),
	('PZ', 5156, 'GRU', 2564, 'MVD', 2816, '', 0, '320\r'),
	('PZ', 5156, 'MVD', 2816, 'GRU', 2564, '', 0, '320\r'),
	('PZ', 5156, 'SCL', 2650, 'ASU', 2699, '', 0, '320\r'),
	('PZ', 5156, 'VVI', 2771, 'ASU', 2699, '', 0, '320\r'),
	('Q2', 13108, 'CMB', 3024, 'GAN', 6183, '', 0, '320\r'),
	('Q2', 13108, 'CMB', 3024, 'MLE', 3156, '', 0, '320\r'),
	('Q2', 13108, 'DAC', 3076, 'MAA', 3144, '', 0, '320\r'),
	('Q2', 13108, 'GAN', 6183, 'CMB', 3024, '', 0, '320\r'),
	('Q2', 13108, 'GAN', 6183, 'KDM', 4235, '', 0, 'DH3\r'),
	('Q2', 13108, 'GAN', 6183, 'MLE', 3156, '', 0, 'DH3 320\r'),
	('Q2', 13108, 'GKK', 8892, 'KDO', 6185, '', 0, 'DH2 DH3\r'),
	('Q2', 13108, 'GKK', 8892, 'MLE', 3156, '', 0, 'DH2\r'),
	('Q2', 13108, 'HAQ', 6184, 'TRV', 3153, '', 0, 'DH8\r'),
	('Q2', 13108, 'KDM', 4235, 'GAN', 6183, '', 0, 'DH3\r'),
	('Q2', 13108, 'KDM', 4235, 'MLE', 3156, '', 0, 'DH3 DH2\r'),
	('Q2', 13108, 'KDO', 6185, 'GKK', 8892, '', 0, 'DH2\r'),
	('Q2', 13108, 'KDO', 6185, 'MLE', 3156, '', 0, 'DH2 DH3\r'),
	('Q2', 13108, 'MAA', 3144, 'DAC', 3076, '', 0, '320\r'),
	('Q2', 13108, 'MAA', 3144, 'MLE', 3156, '', 0, '320\r'),
	('Q2', 13108, 'MLE', 3156, 'CMB', 3024, '', 0, '320\r'),
	('Q2', 13108, 'MLE', 3156, 'GAN', 6183, '', 0, 'DH3 320\r'),
	('Q2', 13108, 'MLE', 3156, 'GKK', 8892, '', 0, 'DH2\r'),
	('Q2', 13108, 'MLE', 3156, 'KDM', 4235, '', 0, 'DH2 DH3\r'),
	('Q2', 13108, 'MLE', 3156, 'KDO', 6185, '', 0, 'DH2\r'),
	('Q2', 13108, 'MLE', 3156, 'MAA', 3144, '', 0, '320\r'),
	('Q2', 13108, 'MLE', 3156, 'TRV', 3153, '', 0, 'DH8 320\r'),
	('Q2', 13108, 'TRV', 3153, 'HAQ', 6184, '', 0, 'DH8\r'),
	('Q2', 13108, 'TRV', 3153, 'MLE', 3156, '', 0, 'DH8 320\r'),
	('Q3', 18700, 'AXA', 2900, 'SXM', 2899, '', 0, 'BNI\r'),
	('Q3', 18700, 'SXM', 2899, 'AXA', 2900, '', 0, 'BNI\r'),
	('Q5', 10, 'FAI', 3832, 'HKB', 7242, '', 0, 'CNA\r'),
	('Q5', 10, 'HKB', 7242, 'FAI', 3832, '', 0, 'CNA\r'),
	('Q6', 753, 'ABM', 3318, 'CNS', 3322, '', 0, 'DH1\r'),
	('Q6', 753, 'AUU', 6237, 'CNS', 3322, '', 0, 'DH1\r'),
	('Q6', 753, 'AUU', 6237, 'CUQ', 6260, '', 0, 'DH1\r'),
	('Q6', 753, 'BEU', 6243, 'BQL', 6248, '', 0, 'DH1\r'),
	('Q6', 753, 'BEU', 6243, 'BVI', 6240, '', 0, 'DH1\r'),
	('Q6', 753, 'BNE', 3320, 'RMA', 6324, '', 0, 'DH3\r'),
	('Q6', 753, 'BNE', 3320, 'TWB', 7128, '', 0, 'DH1\r'),
	('Q6', 753, 'BQL', 6248, 'BEU', 6243, '', 0, 'DH1\r'),
	('Q6', 753, 'BQL', 6248, 'ISA', 3324, '', 0, 'DH1\r'),
	('Q6', 753, 'BUC', 6245, 'DMD', 6262, '', 0, 'DH1\r'),
	('Q6', 753, 'BUC', 6245, 'ONG', 6304, '', 0, 'DH1\r'),
	('Q6', 753, 'BVI', 6240, 'BEU', 6243, '', 0, 'DH1\r'),
	('Q6', 753, 'BVI', 6240, 'WNR', 6333, '', 0, 'DH1\r'),
	('Q6', 753, 'CMA', 6258, 'SGO', 6325, '', 0, 'DH1\r'),
	('Q6', 753, 'CMA', 6258, 'XTG', 6329, '', 0, 'DH1\r'),
	('Q6', 753, 'CNS', 3322, 'ABM', 3318, '', 0, 'DH1\r'),
	('Q6', 753, 'CNS', 3322, 'AUU', 6237, '', 0, 'DH1\r'),
	('Q6', 753, 'CNS', 3322, 'CUQ', 6260, '', 0, 'DH1\r'),
	('Q6', 753, 'CNS', 3322, 'EDR', 6319, '', 0, 'DH1\r'),
	('Q6', 753, 'CNS', 3322, 'IRG', 6286, '', 0, 'DH1\r'),
	('Q6', 753, 'CNS', 3322, 'ISA', 3324, '', 0, 'DH1\r'),
	('Q6', 753, 'CNS', 3322, 'KWM', 6281, '', 0, 'DH1\r'),
	('Q6', 753, 'CNS', 3322, 'NTN', 6309, '', 0, 'DH1\r'),
	('Q6', 753, 'CNS', 3322, 'WEI', 3331, '', 0, 'DH1\r'),
	('Q6', 753, 'CTL', 3323, 'TWB', 7128, '', 0, 'DH1\r'),
	('Q6', 753, 'CTL', 3323, 'ULP', 6322, '', 0, 'DH1\r'),
	('Q6', 753, 'CUQ', 6260, 'IRG', 6286, '', 0, 'DH1\r'),
	('Q6', 753, 'DMD', 6262, 'BUC', 6245, '', 0, 'DH1\r'),
	('Q6', 753, 'DMD', 6262, 'ISA', 3324, '', 0, 'DH1\r'),
	('Q6', 753, 'DMD', 6262, 'ONG', 6304, '', 0, 'DH1\r'),
	('Q6', 753, 'EDR', 6319, 'CNS', 3322, '', 0, 'DH1\r'),
	('Q6', 753, 'EDR', 6319, 'KWM', 6281, '', 0, 'DH1\r'),
	('Q6', 753, 'IRG', 6286, 'AUU', 6237, '', 0, 'DH1\r'),
	('Q6', 753, 'IRG', 6286, 'CNS', 3322, '', 0, 'DH1\r'),
	('Q6', 753, 'ISA', 3324, 'BQL', 6248, '', 0, 'DH1\r'),
	('Q6', 753, 'ISA', 3324, 'CNS', 3322, '', 0, 'DH1\r'),
	('Q6', 753, 'ISA', 3324, 'DMD', 6262, '', 0, 'DH1\r'),
	('Q6', 753, 'KWM', 6281, 'CNS', 3322, '', 0, 'DH1\r'),
	('Q6', 753, 'KWM', 6281, 'EDR', 6319, '', 0, 'DH1\r'),
	('Q6', 753, 'NTN', 6309, 'CNS', 3322, '', 0, 'DH1\r'),
	('Q6', 753, 'NTN', 6309, 'ONG', 6304, '', 0, 'DH1\r'),
	('Q6', 753, 'ONG', 6304, 'BUC', 6245, '', 0, 'DH1\r'),
	('Q6', 753, 'ONG', 6304, 'DMD', 6262, '', 0, 'DH1\r'),
	('Q6', 753, 'ONG', 6304, 'NTN', 6309, '', 0, 'DH1\r'),
	('Q6', 753, 'RMA', 6324, 'BNE', 3320, '', 0, 'DH3\r'),
	('Q6', 753, 'SGO', 6325, 'CMA', 6258, '', 0, 'DH1\r'),
	('Q6', 753, 'SGO', 6325, 'TWB', 7128, '', 0, 'DH1\r'),
	('Q6', 753, 'SYD', 3361, 'TWB', 7128, '', 0, 'DH3\r'),
	('Q6', 753, 'TWB', 7128, 'BNE', 3320, '', 0, 'DH1\r'),
	('Q6', 753, 'TWB', 7128, 'CTL', 3323, '', 0, 'DH1\r'),
	('Q6', 753, 'TWB', 7128, 'SGO', 6325, '', 0, 'DH1\r'),
	('Q6', 753, 'TWB', 7128, 'SYD', 3361, '', 0, 'DH3\r'),
	('Q6', 753, 'ULP', 6322, 'CTL', 3323, '', 0, 'DH1\r'),
	('Q6', 753, 'ULP', 6322, 'WNR', 6333, '', 0, 'DH1\r'),
	('Q6', 753, 'WEI', 3331, 'CNS', 3322, '', 0, 'DH1\r'),
	('Q6', 753, 'WNR', 6333, 'BVI', 6240, '', 0, 'DH1\r'),
	('Q6', 753, 'WNR', 6333, 'ULP', 6322, '', 0, 'DH1\r'),
	('Q6', 753, 'XTG', 6329, 'CMA', 6258, '', 0, 'DH1\r'),
	('Q8', 3857, 'BZV', 883, 'COO', 245, '', 0, '732\r'),
	('Q8', 3857, 'BZV', 883, 'LBV', 970, '', 0, '732\r'),
	('Q8', 3857, 'BZV', 883, 'PNR', 886, '', 0, '732 733\r'),
	('Q8', 3857, 'COO', 245, 'BZV', 883, '', 0, '732\r'),
	('Q8', 3857, 'COO', 245, 'LBV', 970, '', 0, '732 733\r'),
	('Q8', 3857, 'COO', 245, 'PNR', 886, '', 0, '732\r'),
	('Q8', 3857, 'DLA', 897, 'PNR', 886, '', 0, '732 733\r'),
	('Q8', 3857, 'LBV', 970, 'BZV', 883, '', 0, '732\r'),
	('Q8', 3857, 'LBV', 970, 'COO', 245, '', 0, '732 733\r'),
	('Q8', 3857, 'LBV', 970, 'PNR', 886, '', 0, '733\r'),
	('Q8', 3857, 'PNR', 886, 'BZV', 883, '', 0, '732 733\r'),
	('Q8', 3857, 'PNR', 886, 'COO', 245, '', 0, '732\r'),
	('Q8', 3857, 'PNR', 886, 'DLA', 897, '', 0, '732\r'),
	('Q8', 3857, 'PNR', 886, 'LBV', 970, '', 0, '733\r'),
	('Q9', 11838, 'YBC', 27, 'YQB', 111, '', 0, 'BEH\r'),
	('Q9', 11838, 'YBC', 27, 'YYY', 192, '', 0, 'BEH\r'),
	('Q9', 11838, 'YGV', 7255, 'YPN', 106, '', 0, 'PAG\r'),
	('Q9', 11838, 'YGV', 7255, 'YZV', 202, '', 0, 'BE1\r'),
	('Q9', 11838, 'YNA', 94, 'YZV', 202, '', 0, 'BEH\r'),
	('Q9', 11838, 'YPN', 106, 'YGV', 7255, '', 0, 'PAG\r'),
	('Q9', 11838, 'YPN', 106, 'YZV', 202, '', 0, 'PAG\r'),
	('Q9', 11838, 'YQB', 111, 'YBC', 27, '', 0, 'BEH\r'),
	('Q9', 11838, 'YQB', 111, 'YZV', 202, '', 0, 'BEH\r'),
	('Q9', 11838, 'YWK', 161, 'YYY', 192, '', 0, 'BEH\r'),
	('Q9', 11838, 'YWK', 161, 'YZV', 202, '', 0, 'BEH\r'),
	('Q9', 11838, 'YYY', 192, 'YBC', 27, '', 0, 'BEH\r'),
	('Q9', 11838, 'YYY', 192, 'YWK', 161, '', 0, 'BEH\r'),
	('Q9', 11838, 'YYY', 192, 'YZV', 202, '', 0, 'BEH\r'),
	('Q9', 11838, 'YZV', 202, 'YGV', 7255, '', 0, 'BE1\r'),
	('Q9', 11838, 'YZV', 202, 'YNA', 94, '', 0, 'BEH\r'),
	('Q9', 11838, 'YZV', 202, 'YPN', 106, '', 0, 'PAG\r'),
	('Q9', 11838, 'YZV', 202, 'YQB', 111, '', 0, 'BEH\r'),
	('Q9', 11838, 'YZV', 202, 'YWK', 161, '', 0, 'BEH\r'),
	('Q9', 11838, 'YZV', 202, 'YYY', 192, '', 0, 'BEH\r'),
	('QB', 2541, 'BND', 2134, 'KIH', 2109, '', 0, 'F50\r'),
	('QB', 2541, 'DXB', 2188, 'GSM', 5712, '', 0, 'F50\r'),
	('QB', 2541, 'GSM', 5712, 'DXB', 2188, '', 0, 'F50\r'),
	('QB', 2541, 'GSM', 5712, 'KIH', 2109, '', 0, 'F50\r'),
	('QB', 2541, 'GSM', 5712, 'SYZ', 2157, '', 0, 'F50\r'),
	('QB', 2541, 'KIH', 2109, 'BND', 2134, '', 0, 'F50\r'),
	('QB', 2541, 'KIH', 2109, 'GSM', 5712, '', 0, 'F50\r'),
	('QB', 2541, 'KIH', 2109, 'SYZ', 2157, '', 0, 'F50\r'),
	('QB', 2541, 'SYZ', 2157, 'GSM', 5712, '', 0, 'F50\r'),
	('QB', 2541, 'SYZ', 2157, 'KIH', 2109, '', 0, 'F50\r'),
	('QC', 16415, 'ABJ', 253, 'LOS', 273, '', 0, '737\r'),
	('QC', 16415, 'BZV', 883, 'FIH', 1020, '', 0, '737\r'),
	('QC', 16415, 'CDG', 1382, 'NSI', 4161, '', 0, '767\r'),
	('QC', 16415, 'COO', 245, 'DLA', 897, '', 0, '737\r'),
	('QC', 16415, 'DLA', 897, 'BZV', 883, '', 0, '737\r'),
	('QC', 16415, 'DLA', 897, 'COO', 245, '', 0, '737\r'),
	('QC', 16415, 'DLA', 897, 'GOU', 901, '', 0, '737\r'),
	('QC', 16415, 'DLA', 897, 'LBV', 970, '', 0, '737\r'),
	('QC', 16415, 'DLA', 897, 'LOS', 273, '', 0, '737\r'),
	('QC', 16415, 'DLA', 897, 'MVR', 898, '', 0, '737\r'),
	('QC', 16415, 'DLA', 897, 'NDJ', 999, '', 0, '737\r'),
	('QC', 16415, 'DLA', 897, 'NSI', 4161, '', 0, '737 767\r'),
	('QC', 16415, 'FIH', 1020, 'DLA', 897, '', 0, '737\r'),
	('QC', 16415, 'GOU', 901, 'NDJ', 999, '', 0, '737\r'),
	('QC', 16415, 'GOU', 901, 'NSI', 4161, '', 0, '737\r'),
	('QC', 16415, 'LBV', 970, 'DLA', 897, '', 0, '737\r'),
	('QC', 16415, 'LOS', 273, 'ABJ', 253, '', 0, '737\r'),
	('QC', 16415, 'LOS', 273, 'DLA', 897, '', 0, '737\r'),
	('QC', 16415, 'MVR', 898, 'NSI', 4161, '', 0, '737\r'),
	('QC', 16415, 'NDJ', 999, 'NGE', 900, '', 0, '737\r'),
	('QC', 16415, 'NDJ', 999, 'NSI', 4161, '', 0, '737\r'),
	('QC', 16415, 'NGE', 900, 'NSI', 4161, '', 0, '737\r'),
	('QC', 16415, 'NSI', 4161, 'CDG', 1382, '', 0, '767\r'),
	('QC', 16415, 'NSI', 4161, 'DLA', 897, '', 0, '767 737\r'),
	('QC', 16415, 'NSI', 4161, 'GOU', 901, '', 0, '737\r'),
	('QF', 4089, 'ABX', 3333, 'SYD', 3361, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'ADL', 3341, 'ASP', 3319, '', 0, '73H\r'),
	('QF', 4089, 'ADL', 3341, 'BNE', 3320, '', 0, '73H\r'),
	('QF', 4089, 'ADL', 3341, 'CBR', 3355, '', 0, '73H\r'),
	('QF', 4089, 'ADL', 3341, 'DRW', 3999, '', 0, '73H\r'),
	('QF', 4089, 'ADL', 3341, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'ADL', 3341, 'KGI', 3346, 'Y', 0, '717\r'),
	('QF', 4089, 'ADL', 3341, 'MEL', 3339, '', 0, '73H\r'),
	('QF', 4089, 'ADL', 3341, 'OLP', 6311, 'Y', 0, 'F50\r'),
	('QF', 4089, 'ADL', 3341, 'PER', 3351, '', 0, '73H\r'),
	('QF', 4089, 'ADL', 3341, 'PLO', 6318, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'ADL', 3341, 'SYD', 3361, '', 0, '73H 717\r'),
	('QF', 4089, 'AKL', 2006, 'BNE', 3320, 'Y', 0, '73H 388\r'),
	('QF', 4089, 'AKL', 2006, 'MEL', 3339, '', 0, '73H\r'),
	('QF', 4089, 'AKL', 2006, 'NAN', 1960, 'Y', 0, '73W 73H 332\r'),
	('QF', 4089, 'AKL', 2006, 'PPT', 4075, '', 0, '343\r'),
	('QF', 4089, 'AKL', 2006, 'SCL', 2650, 'Y', 0, '343\r'),
	('QF', 4089, 'AKL', 2006, 'SYD', 3361, '', 0, '73H\r'),
	('QF', 4089, 'AMM', 2170, 'DXB', 2188, 'Y', 0, '773 77W\r'),
	('QF', 4089, 'ARM', 4062, 'SYD', 3361, 'Y', 0, 'DH3 DH8\r'),
	('QF', 4089, 'ARN', 737, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'ASP', 3319, 'ADL', 3341, '', 0, '73H\r'),
	('QF', 4089, 'ASP', 3319, 'AYQ', 4010, 'Y', 0, '717\r'),
	('QF', 4089, 'ASP', 3319, 'BNE', 3320, 'Y', 0, '717\r'),
	('QF', 4089, 'ASP', 3319, 'CNS', 3322, 'Y', 0, '717\r'),
	('QF', 4089, 'ASP', 3319, 'DRW', 3999, 'Y', 0, '717\r'),
	('QF', 4089, 'ASP', 3319, 'MEL', 3339, '', 0, '73H\r'),
	('QF', 4089, 'ASP', 3319, 'PER', 3351, 'Y', 0, '717\r'),
	('QF', 4089, 'ASP', 3319, 'SYD', 3361, '', 0, '73H\r'),
	('QF', 4089, 'ATL', 3682, 'DFW', 3670, 'Y', 0, 'M80 319 M83\r'),
	('QF', 4089, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'E75 CR7\r'),
	('QF', 4089, 'AYQ', 4010, 'ASP', 3319, 'Y', 0, '717\r'),
	('QF', 4089, 'AYQ', 4010, 'CNS', 3322, 'Y', 0, '717\r'),
	('QF', 4089, 'BAH', 2057, 'DXB', 2188, 'Y', 0, '332 772 773\r'),
	('QF', 4089, 'BCI', 6238, 'LRE', 6289, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'BDB', 4218, 'BNE', 3320, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'BHX', 469, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'BKK', 3885, 'CEI', 3932, 'Y', 0, '320\r'),
	('QF', 4089, 'BKK', 3885, 'DXB', 2188, 'Y', 0, '77W 388\r'),
	('QF', 4089, 'BKK', 3885, 'KBV', 3174, 'Y', 0, '320 319\r'),
	('QF', 4089, 'BKK', 3885, 'SYD', 3361, '', 0, '333\r'),
	('QF', 4089, 'BKQ', 4217, 'LRE', 6289, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'BME', 4319, 'BNE', 3320, '', 0, '73H\r'),
	('QF', 4089, 'BME', 4319, 'DRW', 3999, 'Y', 0, 'E70\r'),
	('QF', 4089, 'BME', 4319, 'KNX', 3347, 'Y', 0, 'E70\r'),
	('QF', 4089, 'BME', 4319, 'KTA', 3345, 'Y', 0, 'E70\r'),
	('QF', 4089, 'BME', 4319, 'MEL', 3339, '', 0, '73H\r'),
	('QF', 4089, 'BME', 4319, 'PER', 3351, '', 0, '73H\r'),
	('QF', 4089, 'BME', 4319, 'SYD', 3361, '', 0, '73H\r'),
	('QF', 4089, 'BNE', 3320, 'ADL', 3341, '', 0, '73H\r'),
	('QF', 4089, 'BNE', 3320, 'AKL', 2006, 'Y', 0, '388 73H\r'),
	('QF', 4089, 'BNE', 3320, 'ASP', 3319, 'Y', 0, '717\r'),
	('QF', 4089, 'BNE', 3320, 'BCI', 6238, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'BNE', 3320, 'BDB', 4218, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'BNE', 3320, 'BKQ', 4217, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'BNE', 3320, 'BME', 4319, '', 0, '73H\r'),
	('QF', 4089, 'BNE', 3320, 'CBR', 3355, '', 0, '717 73H\r'),
	('QF', 4089, 'BNE', 3320, 'CNS', 3322, '', 0, '73H\r'),
	('QF', 4089, 'BNE', 3320, 'CTL', 3323, 'Y', 0, 'DH3 DH8\r'),
	('QF', 4089, 'BNE', 3320, 'DRW', 3999, '', 0, '763 73H\r'),
	('QF', 4089, 'BNE', 3320, 'DXB', 2188, 'Y', 0, '388\r'),
	('QF', 4089, 'BNE', 3320, 'EMD', 3990, '', 0, 'DH4 DH3\r'),
	('QF', 4089, 'BNE', 3320, 'GLT', 6269, 'Y', 0, 'DH4 717 DH3\r'),
	('QF', 4089, 'BNE', 3320, 'HKG', 3077, '', 0, '333\r'),
	('QF', 4089, 'BNE', 3320, 'HVB', 4052, 'Y', 0, 'DH3 DH4 DH8\r'),
	('QF', 4089, 'BNE', 3320, 'ISA', 3324, '', 0, '73H\r'),
	('QF', 4089, 'BNE', 3320, 'KTA', 3345, '', 0, '73H\r'),
	('QF', 4089, 'BNE', 3320, 'LAX', 3484, '', 0, '744\r'),
	('QF', 4089, 'BNE', 3320, 'LDH', 6285, 'Y', 0, 'DH8\r'),
	('QF', 4089, 'BNE', 3320, 'LRE', 6289, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'BNE', 3320, 'MEL', 3339, '', 0, '73H 763\r'),
	('QF', 4089, 'BNE', 3320, 'MKY', 3326, '', 0, '100 DH4\r'),
	('QF', 4089, 'BNE', 3320, 'MOV', 6301, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'BNE', 3320, 'NAN', 1960, 'Y', 0, '73H 73W\r'),
	('QF', 4089, 'BNE', 3320, 'NOU', 2005, '', 0, '73H\r'),
	('QF', 4089, 'BNE', 3320, 'NTL', 4320, 'Y', 0, 'DH3 DH8\r'),
	('QF', 4089, 'BNE', 3320, 'PER', 3351, '', 0, '332 333 763 73H\r'),
	('QF', 4089, 'BNE', 3320, 'PHE', 3349, '', 0, '73H\r'),
	('QF', 4089, 'BNE', 3320, 'POM', 5, 'Y', 0, '763 738\r'),
	('QF', 4089, 'BNE', 3320, 'PQQ', 6320, '', 0, 'DH4\r'),
	('QF', 4089, 'BNE', 3320, 'RMA', 6324, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'BNE', 3320, 'ROK', 3329, '', 0, 'DH4 DH3 DH8\r'),
	('QF', 4089, 'BNE', 3320, 'SIN', 3316, '', 0, '744\r'),
	('QF', 4089, 'BNE', 3320, 'SON', 5908, 'Y', 0, '73H\r'),
	('QF', 4089, 'BNE', 3320, 'SYD', 3361, '', 0, '333 73H 744 763\r'),
	('QF', 4089, 'BNE', 3320, 'TSV', 3330, '', 0, '73H\r'),
	('QF', 4089, 'BNE', 3320, 'VLI', 1997, 'Y', 0, '73H\r'),
	('QF', 4089, 'CBR', 3355, 'ADL', 3341, '', 0, '73H\r'),
	('QF', 4089, 'CBR', 3355, 'BNE', 3320, '', 0, '73H 717\r'),
	('QF', 4089, 'CBR', 3355, 'MEL', 3339, '', 0, '73H 717\r'),
	('QF', 4089, 'CBR', 3355, 'PER', 3351, '', 0, '73H\r'),
	('QF', 4089, 'CBR', 3355, 'SYD', 3361, '', 0, '717 73H\r'),
	('QF', 4089, 'CEI', 3932, 'BKK', 3885, 'Y', 0, '320\r'),
	('QF', 4089, 'CFS', 3356, 'SYD', 3361, 'Y', 0, 'DH4 DH8 DH3\r'),
	('QF', 4089, 'CGK', 3275, 'SIN', 3316, '', 0, '320\r'),
	('QF', 4089, 'CGK', 3275, 'SYD', 3361, '', 0, '333\r'),
	('QF', 4089, 'CHC', 2009, 'SYD', 3361, 'Y', 0, '73H 77W\r'),
	('QF', 4089, 'CNJ', 6255, 'ISA', 3324, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'CNJ', 6255, 'TSV', 3330, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'CNS', 3322, 'ASP', 3319, 'Y', 0, '717\r'),
	('QF', 4089, 'CNS', 3322, 'AYQ', 4010, 'Y', 0, '717\r'),
	('QF', 4089, 'CNS', 3322, 'BNE', 3320, '', 0, '73H\r'),
	('QF', 4089, 'CNS', 3322, 'DRW', 3999, 'Y', 0, '717\r'),
	('QF', 4089, 'CNS', 3322, 'GOV', 6316, 'Y', 0, '717\r'),
	('QF', 4089, 'CNS', 3322, 'HID', 6272, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'CNS', 3322, 'HTI', 6242, 'Y', 0, 'DH3\r'),
	('QF', 4089, 'CNS', 3322, 'KIX', 3992, 'Y', 0, '332\r'),
	('QF', 4089, 'CNS', 3322, 'MEL', 3339, '', 0, '73H\r'),
	('QF', 4089, 'CNS', 3322, 'NRT', 2279, 'Y', 0, '332\r'),
	('QF', 4089, 'CNS', 3322, 'POM', 5, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'CNS', 3322, 'SYD', 3361, '', 0, '763 73H\r'),
	('QF', 4089, 'CNS', 3322, 'TSV', 3330, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'CNS', 3322, 'WEI', 3331, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'CNX', 3931, 'BKK', 3885, 'Y', 0, '319\r'),
	('QF', 4089, 'CPH', 609, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'CTL', 3323, 'BNE', 3320, 'Y', 0, 'DH3 DH8\r'),
	('QF', 4089, 'CTL', 3323, 'RMA', 6324, 'Y', 0, 'DH3\r'),
	('QF', 4089, 'CXI', 2252, 'HNL', 3728, 'Y', 0, '73W\r'),
	('QF', 4089, 'CXI', 2252, 'NAN', 1960, 'Y', 0, '73W\r'),
	('QF', 4089, 'DBO', 3358, 'SYD', 3361, 'Y', 0, 'DH3 DH4 DH8\r'),
	('QF', 4089, 'DFW', 3670, 'ATL', 3682, 'Y', 0, 'M83 M80 319\r'),
	('QF', 4089, 'DFW', 3670, 'BNE', 3320, '', 0, '744\r'),
	('QF', 4089, 'DFW', 3670, 'MSY', 3861, 'Y', 0, 'M83 M80\r'),
	('QF', 4089, 'DIL', 3310, 'DRW', 3999, 'Y', 0, 'E70\r'),
	('QF', 4089, 'DMM', 2064, 'DXB', 2188, 'Y', 0, '332 773 772\r'),
	('QF', 4089, 'DPO', 6264, 'MEL', 3339, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'DPS', 3940, 'PER', 3351, 'Y', 0, '320\r'),
	('QF', 4089, 'DPS', 3940, 'SIN', 3316, '', 0, '320\r'),
	('QF', 4089, 'DRW', 3999, 'ADL', 3341, '', 0, '73H\r'),
	('QF', 4089, 'DRW', 3999, 'ASP', 3319, 'Y', 0, '717\r'),
	('QF', 4089, 'DRW', 3999, 'BME', 4319, 'Y', 0, 'E70\r'),
	('QF', 4089, 'DRW', 3999, 'BNE', 3320, '', 0, '763 73H\r'),
	('QF', 4089, 'DRW', 3999, 'CNS', 3322, 'Y', 0, '717\r'),
	('QF', 4089, 'DRW', 3999, 'DIL', 3310, 'Y', 0, 'E70\r'),
	('QF', 4089, 'DRW', 3999, 'GOV', 6316, 'Y', 0, '717\r'),
	('QF', 4089, 'DRW', 3999, 'ISA', 3324, 'Y', 0, 'E70\r'),
	('QF', 4089, 'DRW', 3999, 'KNX', 3347, 'Y', 0, 'E70\r'),
	('QF', 4089, 'DRW', 3999, 'MEL', 3339, '', 0, '73H\r'),
	('QF', 4089, 'DRW', 3999, 'PER', 3351, '', 0, '73H\r'),
	('QF', 4089, 'DRW', 3999, 'SYD', 3361, '', 0, '73H\r'),
	('QF', 4089, 'DRW', 3999, 'TSV', 3330, 'Y', 0, 'E70\r'),
	('QF', 4089, 'DUB', 599, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'DUS', 345, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'ADL', 3341, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'AMM', 2170, 'Y', 0, '773 77W\r'),
	('QF', 4089, 'DXB', 2188, 'ARN', 737, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'BAH', 2057, 'Y', 0, '332 772 773\r'),
	('QF', 4089, 'DXB', 2188, 'BHX', 469, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'BKK', 3885, 'Y', 0, '388 77W\r'),
	('QF', 4089, 'DXB', 2188, 'BNE', 3320, 'Y', 0, '388\r'),
	('QF', 4089, 'DXB', 2188, 'CPH', 609, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'DMM', 2064, 'Y', 0, '332 773 772\r'),
	('QF', 4089, 'DXB', 2188, 'DUB', 599, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'DUS', 345, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'FRA', 340, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'GLA', 534, 'Y', 0, '77W 77L\r'),
	('QF', 4089, 'DXB', 2188, 'GVA', 1665, 'Y', 0, '77L 77W\r'),
	('QF', 4089, 'DXB', 2188, 'HAM', 342, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'IST', 1701, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'JED', 2072, 'Y', 0, '388\r'),
	('QF', 4089, 'DXB', 2188, 'KUL', 3304, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'LGW', 502, 'Y', 0, '77W 388\r'),
	('QF', 4089, 'DXB', 2188, 'LHR', 507, '', 0, '388\r'),
	('QF', 4089, 'DXB', 2188, 'MAN', 478, 'Y', 0, '77W 388\r'),
	('QF', 4089, 'DXB', 2188, 'MCT', 2194, 'Y', 0, '332 77W 772\r'),
	('QF', 4089, 'DXB', 2188, 'MEL', 3339, '', 0, '388\r'),
	('QF', 4089, 'DXB', 2188, 'MUC', 346, 'Y', 0, '388\r'),
	('QF', 4089, 'DXB', 2188, 'NBO', 4059, 'Y', 0, '77W 77L\r'),
	('QF', 4089, 'DXB', 2188, 'NCL', 521, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'PER', 3351, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'PRG', 1587, 'Y', 0, '77W\r'),
	('QF', 4089, 'DXB', 2188, 'RUH', 2082, 'Y', 0, '773 772\r'),
	('QF', 4089, 'DXB', 2188, 'SIN', 3316, 'Y', 0, '77W 388\r'),
	('QF', 4089, 'DXB', 2188, 'SYD', 3361, '', 0, '388\r'),
	('QF', 4089, 'DXB', 2188, 'WAW', 679, 'Y', 0, '332\r'),
	('QF', 4089, 'DXB', 2188, 'ZRH', 1678, 'Y', 0, '388 77W\r'),
	('QF', 4089, 'EMD', 3990, 'BNE', 3320, '', 0, 'DH4 DH3\r'),
	('QF', 4089, 'FRA', 340, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'GET', 6268, 'PER', 3351, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'GLA', 534, 'DXB', 2188, 'Y', 0, '77W 77L\r'),
	('QF', 4089, 'GLT', 6269, 'BNE', 3320, 'Y', 0, 'DH4 717 DH3\r'),
	('QF', 4089, 'GLT', 6269, 'ROK', 3329, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'GLT', 6269, 'SYD', 3361, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'GOV', 6316, 'CNS', 3322, 'Y', 0, '717\r'),
	('QF', 4089, 'GOV', 6316, 'DRW', 3999, 'Y', 0, '717\r'),
	('QF', 4089, 'GVA', 1665, 'DXB', 2188, 'Y', 0, '77L 77W\r'),
	('QF', 4089, 'HAM', 342, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'HBA', 3336, 'MEL', 3339, '', 0, '73H\r'),
	('QF', 4089, 'HBA', 3336, 'SYD', 3361, '', 0, '717\r'),
	('QF', 4089, 'HID', 6272, 'CNS', 3322, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'HKG', 3077, 'BNE', 3320, '', 0, '333\r'),
	('QF', 4089, 'HKG', 3077, 'MEL', 3339, '', 0, '333\r'),
	('QF', 4089, 'HKG', 3077, 'SYD', 3361, '', 0, '388 744\r'),
	('QF', 4089, 'HKT', 3179, 'BKK', 3885, 'Y', 0, '320\r'),
	('QF', 4089, 'HND', 2359, 'SIN', 3316, 'Y', 0, '772\r'),
	('QF', 4089, 'HNL', 3728, 'CXI', 2252, 'Y', 0, '73W\r'),
	('QF', 4089, 'HNL', 3728, 'MEL', 3339, 'Y', 0, '332\r'),
	('QF', 4089, 'HNL', 3728, 'NAN', 1960, 'Y', 0, '73H\r'),
	('QF', 4089, 'HNL', 3728, 'SYD', 3361, '', 0, '763\r'),
	('QF', 4089, 'HTI', 6242, 'CNS', 3322, 'Y', 0, 'DH3\r'),
	('QF', 4089, 'HVB', 4052, 'BNE', 3320, 'Y', 0, 'DH3 DH4 DH8\r'),
	('QF', 4089, 'ICN', 3930, 'SYD', 3361, 'Y', 0, '772\r'),
	('QF', 4089, 'ISA', 3324, 'BNE', 3320, '', 0, '73H\r'),
	('QF', 4089, 'ISA', 3324, 'CNJ', 6255, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'ISA', 3324, 'DRW', 3999, 'Y', 0, 'E70\r'),
	('QF', 4089, 'ISA', 3324, 'OOL', 3321, 'Y', 0, 'E70\r'),
	('QF', 4089, 'ISA', 3324, 'TSV', 3330, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'IST', 1701, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'JED', 2072, 'DXB', 2188, 'Y', 0, '388\r'),
	('QF', 4089, 'JFK', 3797, 'LAX', 3484, '', 0, '744\r'),
	('QF', 4089, 'JNB', 813, 'PER', 3351, 'Y', 0, '343 346\r'),
	('QF', 4089, 'JNB', 813, 'SYD', 3361, '', 0, '744\r'),
	('QF', 4089, 'KBV', 3174, 'BKK', 3885, 'Y', 0, '320 319\r'),
	('QF', 4089, 'KGI', 3346, 'ADL', 3341, 'Y', 0, '717\r'),
	('QF', 4089, 'KGI', 3346, 'PER', 3351, '', 0, '73H DH4\r'),
	('QF', 4089, 'KIX', 3992, 'CNS', 3322, 'Y', 0, '332\r'),
	('QF', 4089, 'KIX', 3992, 'OOL', 3321, 'Y', 0, '332\r'),
	('QF', 4089, 'KNX', 3347, 'BME', 4319, 'Y', 0, 'E70\r'),
	('QF', 4089, 'KNX', 3347, 'DRW', 3999, 'Y', 0, 'E70\r'),
	('QF', 4089, 'KNX', 3347, 'PER', 3351, 'Y', 0, 'E70\r'),
	('QF', 4089, 'KTA', 3345, 'BNE', 3320, '', 0, '73H\r'),
	('QF', 4089, 'KTA', 3345, 'MEL', 3339, '', 0, '73H\r'),
	('QF', 4089, 'KTA', 3345, 'PER', 3351, '', 0, '73H\r'),
	('QF', 4089, 'KTA', 3345, 'PHE', 3349, 'Y', 0, 'E70\r'),
	('QF', 4089, 'KTA', 3345, 'SYD', 3361, '', 0, '73H\r'),
	('QF', 4089, 'KUL', 3304, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'KUL', 3304, 'MEL', 3339, 'Y', 0, '77W\r'),
	('QF', 4089, 'LAX', 3484, 'BNE', 3320, '', 0, '744\r'),
	('QF', 4089, 'LAX', 3484, 'JFK', 3797, '', 0, '744\r'),
	('QF', 4089, 'LAX', 3484, 'MEL', 3339, '', 0, '388\r'),
	('QF', 4089, 'LAX', 3484, 'NAN', 1960, 'Y', 0, '332\r'),
	('QF', 4089, 'LAX', 3484, 'PPT', 4075, '', 0, '343\r'),
	('QF', 4089, 'LAX', 3484, 'SYD', 3361, '', 0, '388 744\r'),
	('QF', 4089, 'LDH', 6285, 'BNE', 3320, 'Y', 0, 'DH8\r'),
	('QF', 4089, 'LDH', 6285, 'PQQ', 6320, 'Y', 0, 'DH8\r'),
	('QF', 4089, 'LDH', 6285, 'SYD', 3361, 'Y', 0, 'DH8\r'),
	('QF', 4089, 'LEA', 3348, 'PER', 3351, 'Y', 0, '717 DH4\r'),
	('QF', 4089, 'LGW', 502, 'DXB', 2188, 'Y', 0, '77W 388\r'),
	('QF', 4089, 'LHR', 507, 'DXB', 2188, '', 0, '388\r'),
	('QF', 4089, 'LRE', 6289, 'BNE', 3320, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'LST', 3337, 'MEL', 3339, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'MAN', 478, 'DXB', 2188, 'Y', 0, '77W 388\r'),
	('QF', 4089, 'MCT', 2194, 'DXB', 2188, 'Y', 0, '332 77W 772\r'),
	('QF', 4089, 'MEL', 3339, 'ADL', 3341, '', 0, '73H\r'),
	('QF', 4089, 'MEL', 3339, 'AKL', 2006, '', 0, '73H\r'),
	('QF', 4089, 'MEL', 3339, 'ASP', 3319, '', 0, '73H\r'),
	('QF', 4089, 'MEL', 3339, 'BME', 4319, '', 0, '73H\r'),
	('QF', 4089, 'MEL', 3339, 'BNE', 3320, '', 0, '73H 763\r'),
	('QF', 4089, 'MEL', 3339, 'CBR', 3355, '', 0, '73H 717\r'),
	('QF', 4089, 'MEL', 3339, 'CNS', 3322, '', 0, '73H\r'),
	('QF', 4089, 'MEL', 3339, 'DPO', 6264, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'MEL', 3339, 'DPS', 3940, 'Y', 0, '788\r'),
	('QF', 4089, 'MEL', 3339, 'DRW', 3999, '', 0, '73H\r'),
	('QF', 4089, 'MEL', 3339, 'DXB', 2188, '', 0, '388\r'),
	('QF', 4089, 'MEL', 3339, 'HBA', 3336, '', 0, '73H\r'),
	('QF', 4089, 'MEL', 3339, 'HKG', 3077, '', 0, '333\r'),
	('QF', 4089, 'MEL', 3339, 'HNL', 3728, 'Y', 0, '332\r'),
	('QF', 4089, 'MEL', 3339, 'KTA', 3345, '', 0, '73H\r'),
	('QF', 4089, 'MEL', 3339, 'KUL', 3304, 'Y', 0, '77W\r'),
	('QF', 4089, 'MEL', 3339, 'LAX', 3484, '', 0, '388\r'),
	('QF', 4089, 'MEL', 3339, 'LST', 3337, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'MEL', 3339, 'MQL', 6298, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'MEL', 3339, 'NAN', 1960, 'Y', 0, '73H\r'),
	('QF', 4089, 'MEL', 3339, 'PER', 3351, '', 0, '332 333 73H\r'),
	('QF', 4089, 'MEL', 3339, 'PHE', 3349, '', 0, '73H\r'),
	('QF', 4089, 'MEL', 3339, 'PVG', 3406, '', 0, '332\r'),
	('QF', 4089, 'MEL', 3339, 'SGN', 3205, 'Y', 0, '330\r'),
	('QF', 4089, 'MEL', 3339, 'SIN', 3316, '', 0, '333\r'),
	('QF', 4089, 'MEL', 3339, 'SYD', 3361, '', 0, '73H 763 332\r'),
	('QF', 4089, 'MEL', 3339, 'WLG', 2042, '', 0, '73H\r'),
	('QF', 4089, 'MKY', 3326, 'BNE', 3320, '', 0, '100 DH4\r'),
	('QF', 4089, 'MKY', 3326, 'ROK', 3329, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'MKY', 3326, 'TSV', 3330, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'MNL', 2397, 'SYD', 3361, '', 0, '333\r'),
	('QF', 4089, 'MOV', 6301, 'BNE', 3320, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'MOV', 6301, 'TSV', 3330, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'MQL', 6298, 'MEL', 3339, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'MRZ', 6300, 'SYD', 3361, 'Y', 0, 'DH3 DH8\r'),
	('QF', 4089, 'MSY', 3861, 'DFW', 3670, 'Y', 0, 'M80 M83\r'),
	('QF', 4089, 'MSY', 3861, 'ORD', 3830, 'Y', 0, 'E75\r'),
	('QF', 4089, 'MUC', 346, 'DXB', 2188, 'Y', 0, '388\r'),
	('QF', 4089, 'NAN', 1960, 'AKL', 2006, 'Y', 0, '73H 332 73W\r'),
	('QF', 4089, 'NAN', 1960, 'BNE', 3320, 'Y', 0, '73H 73W\r'),
	('QF', 4089, 'NAN', 1960, 'CHC', 2009, 'Y', 0, '73H\r'),
	('QF', 4089, 'NAN', 1960, 'CXI', 2252, 'Y', 0, '73W\r'),
	('QF', 4089, 'NAN', 1960, 'HNL', 3728, 'Y', 0, '73H\r'),
	('QF', 4089, 'NAN', 1960, 'LAX', 3484, 'Y', 0, '332\r'),
	('QF', 4089, 'NAN', 1960, 'MEL', 3339, 'Y', 0, '73H\r'),
	('QF', 4089, 'NAN', 1960, 'SYD', 3361, '', 0, '73H\r'),
	('QF', 4089, 'NBO', 4059, 'DXB', 2188, 'Y', 0, '77W 77L\r'),
	('QF', 4089, 'NCL', 521, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'NKG', 3388, 'PEK', 3364, '', 0, '332\r'),
	('QF', 4089, 'NKG', 3388, 'SYD', 3361, '', 0, '332\r'),
	('QF', 4089, 'NOU', 2005, 'BNE', 3320, '', 0, '73H\r'),
	('QF', 4089, 'NOU', 2005, 'SYD', 3361, '', 0, '73H 763\r'),
	('QF', 4089, 'NRT', 2279, 'CNS', 3322, 'Y', 0, '332\r'),
	('QF', 4089, 'NRT', 2279, 'OOL', 3321, 'Y', 0, '332\r'),
	('QF', 4089, 'NRT', 2279, 'SYD', 3361, '', 0, '744\r'),
	('QF', 4089, 'NTL', 4320, 'BNE', 3320, 'Y', 0, 'DH3 DH8\r'),
	('QF', 4089, 'OLP', 6311, 'ADL', 3341, 'Y', 0, 'F50\r'),
	('QF', 4089, 'OOL', 3321, 'ISA', 3324, 'Y', 0, 'E70\r'),
	('QF', 4089, 'OOL', 3321, 'KIX', 3992, 'Y', 0, '332\r'),
	('QF', 4089, 'OOL', 3321, 'NRT', 2279, 'Y', 0, '332\r'),
	('QF', 4089, 'OOL', 3321, 'SYD', 3361, '', 0, '73H\r'),
	('QF', 4089, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'E75 CR7\r'),
	('QF', 4089, 'ORD', 3830, 'MSY', 3861, 'Y', 0, 'E75\r'),
	('QF', 4089, 'PBO', 6314, 'PER', 3351, '', 0, 'DH4\r'),
	('QF', 4089, 'PEK', 3364, 'NKG', 3388, '', 0, '332\r'),
	('QF', 4089, 'PER', 3351, 'ADL', 3341, '', 0, '73H\r'),
	('QF', 4089, 'PER', 3351, 'ASP', 3319, 'Y', 0, '717\r'),
	('QF', 4089, 'PER', 3351, 'BME', 4319, '', 0, '73H\r'),
	('QF', 4089, 'PER', 3351, 'BNE', 3320, '', 0, '763 332 333 73H\r'),
	('QF', 4089, 'PER', 3351, 'CBR', 3355, '', 0, '73H\r'),
	('QF', 4089, 'PER', 3351, 'DPS', 3940, 'Y', 0, '320\r'),
	('QF', 4089, 'PER', 3351, 'DRW', 3999, '', 0, '73H\r'),
	('QF', 4089, 'PER', 3351, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'PER', 3351, 'GET', 6268, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'PER', 3351, 'JNB', 813, 'Y', 0, '346 343\r'),
	('QF', 4089, 'PER', 3351, 'KGI', 3346, '', 0, '73H DH4\r'),
	('QF', 4089, 'PER', 3351, 'KNX', 3347, 'Y', 0, 'E70\r'),
	('QF', 4089, 'PER', 3351, 'KTA', 3345, '', 0, '73H\r'),
	('QF', 4089, 'PER', 3351, 'LEA', 3348, 'Y', 0, '717 DH4\r'),
	('QF', 4089, 'PER', 3351, 'MEL', 3339, '', 0, '332 333 73H\r'),
	('QF', 4089, 'PER', 3351, 'PBO', 6314, '', 0, 'DH4\r'),
	('QF', 4089, 'PER', 3351, 'PHE', 3349, '', 0, '73H\r'),
	('QF', 4089, 'PER', 3351, 'SIN', 3316, '', 0, '332\r'),
	('QF', 4089, 'PER', 3351, 'SYD', 3361, '', 0, '332 333 73H 763\r'),
	('QF', 4089, 'PER', 3351, 'ZNE', 6310, '', 0, '73H\r'),
	('QF', 4089, 'PHE', 3349, 'BME', 4319, 'Y', 0, 'E70\r'),
	('QF', 4089, 'PHE', 3349, 'BNE', 3320, '', 0, '73H\r'),
	('QF', 4089, 'PHE', 3349, 'MEL', 3339, '', 0, '73H\r'),
	('QF', 4089, 'PHE', 3349, 'PER', 3351, '', 0, '73H\r'),
	('QF', 4089, 'PLO', 6318, 'ADL', 3341, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'POM', 5, 'BNE', 3320, 'Y', 0, '763 738\r'),
	('QF', 4089, 'POM', 5, 'CNS', 3322, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'POM', 5, 'SYD', 3361, 'Y', 0, '738\r'),
	('QF', 4089, 'PPT', 4075, 'AKL', 2006, '', 0, '343\r'),
	('QF', 4089, 'PPT', 4075, 'LAX', 3484, '', 0, '343\r'),
	('QF', 4089, 'PQQ', 6320, 'BNE', 3320, '', 0, 'DH4\r'),
	('QF', 4089, 'PQQ', 6320, 'LDH', 6285, 'Y', 0, 'DH8\r'),
	('QF', 4089, 'PQQ', 6320, 'SYD', 3361, 'Y', 0, 'DH3 DH4 DH8\r'),
	('QF', 4089, 'PRG', 1587, 'DXB', 2188, 'Y', 0, '77W\r'),
	('QF', 4089, 'PVG', 3406, 'MEL', 3339, '', 0, '332\r'),
	('QF', 4089, 'PVG', 3406, 'SYD', 3361, '', 0, '333\r'),
	('QF', 4089, 'RMA', 6324, 'BNE', 3320, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'RMA', 6324, 'CTL', 3323, 'Y', 0, 'DH3\r'),
	('QF', 4089, 'ROK', 3329, 'BNE', 3320, '', 0, 'DH4 DH3 DH8\r'),
	('QF', 4089, 'ROK', 3329, 'GLT', 6269, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'ROK', 3329, 'MKY', 3326, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'RUH', 2082, 'DXB', 2188, 'Y', 0, '773 772\r'),
	('QF', 4089, 'SCL', 2650, 'AKL', 2006, 'Y', 0, '343\r'),
	('QF', 4089, 'SCL', 2650, 'SYD', 3361, '', 0, '744\r'),
	('QF', 4089, 'SGN', 3205, 'MEL', 3339, 'Y', 0, '330\r'),
	('QF', 4089, 'SGN', 3205, 'SYD', 3361, 'Y', 0, '330\r'),
	('QF', 4089, 'SIN', 3316, 'BNE', 3320, '', 0, '744\r'),
	('QF', 4089, 'SIN', 3316, 'CGK', 3275, '', 0, '320\r'),
	('QF', 4089, 'SIN', 3316, 'DPS', 3940, '', 0, '320\r'),
	('QF', 4089, 'SIN', 3316, 'DXB', 2188, 'Y', 0, '77W 388\r'),
	('QF', 4089, 'SIN', 3316, 'HND', 2359, 'Y', 0, '763\r'),
	('QF', 4089, 'SIN', 3316, 'MEL', 3339, '', 0, '333\r'),
	('QF', 4089, 'SIN', 3316, 'PER', 3351, '', 0, '332\r'),
	('QF', 4089, 'SIN', 3316, 'SYD', 3361, '', 0, '333 744\r'),
	('QF', 4089, 'SIN', 3316, 'USM', 3177, 'Y', 0, '319\r'),
	('QF', 4089, 'SON', 5908, 'BNE', 3320, 'Y', 0, '73H\r'),
	('QF', 4089, 'SUB', 3928, 'SIN', 3316, '', 0, '320\r'),
	('QF', 4089, 'SYD', 3361, 'ABX', 3333, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'SYD', 3361, 'ADL', 3341, '', 0, '73H 717\r'),
	('QF', 4089, 'SYD', 3361, 'AKL', 2006, '', 0, '73H\r'),
	('QF', 4089, 'SYD', 3361, 'ARM', 4062, 'Y', 0, 'DH3 DH8\r'),
	('QF', 4089, 'SYD', 3361, 'ASP', 3319, '', 0, '73H\r'),
	('QF', 4089, 'SYD', 3361, 'BKK', 3885, '', 0, '333\r'),
	('QF', 4089, 'SYD', 3361, 'BME', 4319, '', 0, '73H\r'),
	('QF', 4089, 'SYD', 3361, 'BNE', 3320, '', 0, '73H 763 333\r'),
	('QF', 4089, 'SYD', 3361, 'CBR', 3355, '', 0, '73H 717\r'),
	('QF', 4089, 'SYD', 3361, 'CFS', 3356, 'Y', 0, 'DH8 DH4 DH3\r'),
	('QF', 4089, 'SYD', 3361, 'CGK', 3275, '', 0, '333\r'),
	('QF', 4089, 'SYD', 3361, 'CHC', 2009, 'Y', 0, '77W 73H\r'),
	('QF', 4089, 'SYD', 3361, 'CNS', 3322, '', 0, '763 73H\r'),
	('QF', 4089, 'SYD', 3361, 'DBO', 3358, 'Y', 0, 'DH4 DH8 DH3\r'),
	('QF', 4089, 'SYD', 3361, 'DFW', 3670, '', 0, '744\r'),
	('QF', 4089, 'SYD', 3361, 'DRW', 3999, '', 0, '73H\r'),
	('QF', 4089, 'SYD', 3361, 'DXB', 2188, '', 0, '388\r'),
	('QF', 4089, 'SYD', 3361, 'GLT', 6269, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'SYD', 3361, 'HBA', 3336, '', 0, '717\r'),
	('QF', 4089, 'SYD', 3361, 'HKG', 3077, '', 0, '388 744\r'),
	('QF', 4089, 'SYD', 3361, 'HNL', 3728, '', 0, '763\r'),
	('QF', 4089, 'SYD', 3361, 'ICN', 3930, 'Y', 0, '772\r'),
	('QF', 4089, 'SYD', 3361, 'JNB', 813, '', 0, '744\r'),
	('QF', 4089, 'SYD', 3361, 'KTA', 3345, '', 0, '73H\r'),
	('QF', 4089, 'SYD', 3361, 'LAX', 3484, '', 0, '744 388\r'),
	('QF', 4089, 'SYD', 3361, 'LDH', 6285, 'Y', 0, 'DH8\r'),
	('QF', 4089, 'SYD', 3361, 'MEL', 3339, '', 0, '763 73H 332\r'),
	('QF', 4089, 'SYD', 3361, 'MNL', 2397, '', 0, '333\r'),
	('QF', 4089, 'SYD', 3361, 'MRZ', 6300, 'Y', 0, 'DH3 DH8\r'),
	('QF', 4089, 'SYD', 3361, 'NAN', 1960, '', 0, '73H\r'),
	('QF', 4089, 'SYD', 3361, 'NKG', 3388, '', 0, '332\r'),
	('QF', 4089, 'SYD', 3361, 'NOU', 2005, '', 0, '73H 763\r'),
	('QF', 4089, 'SYD', 3361, 'NRT', 2279, '', 0, '744\r'),
	('QF', 4089, 'SYD', 3361, 'OOL', 3321, '', 0, '73H\r'),
	('QF', 4089, 'SYD', 3361, 'PER', 3351, '', 0, '332 333 763 73H\r'),
	('QF', 4089, 'SYD', 3361, 'POM', 5, 'Y', 0, '738\r'),
	('QF', 4089, 'SYD', 3361, 'PQQ', 6320, 'Y', 0, 'DH3 DH4 DH8\r'),
	('QF', 4089, 'SYD', 3361, 'PVG', 3406, '', 0, '333\r'),
	('QF', 4089, 'SYD', 3361, 'SCL', 2650, '', 0, '744\r'),
	('QF', 4089, 'SYD', 3361, 'SGN', 3205, 'Y', 0, '330\r'),
	('QF', 4089, 'SYD', 3361, 'SIN', 3316, '', 0, '333 744\r'),
	('QF', 4089, 'SYD', 3361, 'TMW', 3362, 'Y', 0, 'DH8 DH3 DH4\r'),
	('QF', 4089, 'SYD', 3361, 'VLI', 1997, 'Y', 0, '73H\r'),
	('QF', 4089, 'SYD', 3361, 'WGA', 3363, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'SYD', 3361, 'WLG', 2042, '', 0, '73H\r'),
	('QF', 4089, 'SYD', 3361, 'ZQN', 2030, '', 0, '73H\r'),
	('QF', 4089, 'TMW', 3362, 'SYD', 3361, 'Y', 0, 'DH4 DH8 DH3\r'),
	('QF', 4089, 'TSV', 3330, 'BNE', 3320, '', 0, '73H\r'),
	('QF', 4089, 'TSV', 3330, 'CNJ', 6255, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'TSV', 3330, 'CNS', 3322, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'TSV', 3330, 'DRW', 3999, 'Y', 0, 'E70\r'),
	('QF', 4089, 'TSV', 3330, 'ISA', 3324, 'Y', 0, 'DH4\r'),
	('QF', 4089, 'TSV', 3330, 'MKY', 3326, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'TSV', 3330, 'MOV', 6301, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'USM', 3177, 'SIN', 3316, 'Y', 0, '319\r'),
	('QF', 4089, 'VLI', 1997, 'BNE', 3320, 'Y', 0, '73H\r'),
	('QF', 4089, 'VLI', 1997, 'SYD', 3361, 'Y', 0, '73H\r'),
	('QF', 4089, 'WAW', 679, 'DXB', 2188, 'Y', 0, '332\r'),
	('QF', 4089, 'WEI', 3331, 'CNS', 3322, 'Y', 0, 'DH3 DH4\r'),
	('QF', 4089, 'WGA', 3363, 'SYD', 3361, 'Y', 0, 'DH4 DH3\r'),
	('QF', 4089, 'WLG', 2042, 'MEL', 3339, '', 0, '73H\r'),
	('QF', 4089, 'WLG', 2042, 'SYD', 3361, '', 0, '73H\r'),
	('QF', 4089, 'ZNE', 6310, 'PER', 3351, '', 0, '73H\r'),
	('QF', 4089, 'ZQN', 2030, 'SYD', 3361, '', 0, '73H\r'),
	('QF', 4089, 'ZRH', 1678, 'DXB', 2188, 'Y', 0, '388 77W\r'),
	('QG', 19305, 'BDJ', 3908, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'BDJ', 3908, 'SUB', 3928, '', 0, '320\r'),
	('QG', 19305, 'BDO', 3896, 'DPS', 3940, '', 0, '320\r'),
	('QG', 19305, 'BKS', 3288, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'BPN', 3919, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'BPN', 3919, 'DPS', 3940, '', 0, '320\r'),
	('QG', 19305, 'BPN', 3919, 'JOG', 3898, '', 0, '320\r'),
	('QG', 19305, 'BPN', 3919, 'SUB', 3928, '', 0, '320\r'),
	('QG', 19305, 'BPN', 3919, 'UPG', 3240, '', 0, '320\r'),
	('QG', 19305, 'BTH', 3903, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'BTH', 3903, 'PDG', 3278, '', 0, '320\r'),
	('QG', 19305, 'BTH', 3903, 'PKU', 3273, '', 0, '320\r'),
	('QG', 19305, 'BTH', 3903, 'PLM', 3289, '', 0, '320\r'),
	('QG', 19305, 'BTH', 3903, 'SUB', 3928, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'BDJ', 3908, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'BKS', 3288, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'BPN', 3919, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'BTH', 3903, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'DJB', 3287, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'DPS', 3940, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'PDG', 3278, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'PGK', 3905, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'PKU', 3273, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'PLM', 3289, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'SUB', 3928, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'TJQ', 3904, '', 0, '320\r'),
	('QG', 19305, 'CGK', 3275, 'UPG', 3240, '', 0, '320\r'),
	('QG', 19305, 'DJB', 3287, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'DPS', 3940, 'BDO', 3896, '', 0, '320\r'),
	('QG', 19305, 'DPS', 3940, 'BPN', 3919, '', 0, '320\r'),
	('QG', 19305, 'DPS', 3940, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'DPS', 3940, 'SUB', 3928, '', 0, '320\r'),
	('QG', 19305, 'JHB', 3303, 'SUB', 3928, '', 0, '320\r'),
	('QG', 19305, 'JOG', 3898, 'BPN', 3919, '', 0, '320\r'),
	('QG', 19305, 'KOE', 3916, 'SUB', 3928, '', 0, '320\r'),
	('QG', 19305, 'KUL', 3304, 'SUB', 3928, '', 0, '320\r'),
	('QG', 19305, 'LOP', 8401, 'SUB', 3928, '', 0, '320\r'),
	('QG', 19305, 'MDC', 3250, 'SUB', 3928, '', 0, '320\r'),
	('QG', 19305, 'PDG', 3278, 'BTH', 3903, '', 0, '320\r'),
	('QG', 19305, 'PDG', 3278, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'PGK', 3905, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'PKU', 3273, 'BTH', 3903, '', 0, '320\r'),
	('QG', 19305, 'PKU', 3273, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'PLM', 3289, 'BTH', 3903, '', 0, '320\r'),
	('QG', 19305, 'PLM', 3289, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'SUB', 3928, 'BDJ', 3908, '', 0, '320\r'),
	('QG', 19305, 'SUB', 3928, 'BPN', 3919, '', 0, '320\r'),
	('QG', 19305, 'SUB', 3928, 'BTH', 3903, '', 0, '320\r'),
	('QG', 19305, 'SUB', 3928, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'SUB', 3928, 'DPS', 3940, '', 0, '320\r'),
	('QG', 19305, 'SUB', 3928, 'JHB', 3303, '', 0, '320\r'),
	('QG', 19305, 'SUB', 3928, 'KOE', 3916, '', 0, '320\r'),
	('QG', 19305, 'SUB', 3928, 'KUL', 3304, '', 0, '320\r'),
	('QG', 19305, 'SUB', 3928, 'LOP', 8401, '', 0, '320\r'),
	('QG', 19305, 'SUB', 3928, 'MDC', 3250, '', 0, '320\r'),
	('QG', 19305, 'TJQ', 3904, 'CGK', 3275, '', 0, '320\r'),
	('QG', 19305, 'UPG', 3240, 'BPN', 3919, '', 0, '320\r'),
	('QG', 19305, 'UPG', 3240, 'CGK', 3275, '', 0, '320\r'),
	('QH', 882, 'CEK', 2968, 'FRU', 2912, '', 0, '735\r'),
	('QH', 882, 'CEK', 2968, 'OSS', 2913, '', 0, '320\r'),
	('QH', 882, 'DME', 4029, 'FRU', 2912, '', 0, '733\r'),
	('QH', 882, 'DME', 4029, 'OSS', 2913, '', 0, '733 734\r'),
	('QH', 882, 'FRU', 2912, 'CEK', 2968, '', 0, '735\r'),
	('QH', 882, 'FRU', 2912, 'DME', 4029, '', 0, '733\r'),
	('QH', 882, 'FRU', 2912, 'IST', 1701, '', 0, '73H\r'),
	('QH', 882, 'FRU', 2912, 'KJA', 4374, '', 0, '735\r'),
	('QH', 882, 'FRU', 2912, 'KRR', 2960, '', 0, '735\r'),
	('QH', 882, 'FRU', 2912, 'OSS', 2913, '', 0, '735\r'),
	('QH', 882, 'FRU', 2912, 'OVB', 4078, '', 0, '735\r'),
	('QH', 882, 'FRU', 2912, 'SVX', 2975, '', 0, '735\r'),
	('QH', 882, 'FRU', 2912, 'TAS', 2983, '', 0, '735\r'),
	('QH', 882, 'FRU', 2912, 'URC', 3399, '', 0, '735\r'),
	('QH', 882, 'IST', 1701, 'FRU', 2912, '', 0, '73H\r'),
	('QH', 882, 'IST', 1701, 'OSS', 2913, '', 0, '319\r'),
	('QH', 882, 'KJA', 4374, 'FRU', 2912, '', 0, '735\r'),
	('QH', 882, 'KJA', 4374, 'OSS', 2913, '', 0, '735\r'),
	('QH', 882, 'KRR', 2960, 'FRU', 2912, '', 0, '735\r'),
	('QH', 882, 'OSS', 2913, 'CEK', 2968, '', 0, '320\r'),
	('QH', 882, 'OSS', 2913, 'DME', 4029, '', 0, '733 734\r'),
	('QH', 882, 'OSS', 2913, 'FRU', 2912, '', 0, '735\r'),
	('QH', 882, 'OSS', 2913, 'IST', 1701, '', 0, '319\r'),
	('QH', 882, 'OSS', 2913, 'KJA', 4374, '', 0, '735\r'),
	('QH', 882, 'OSS', 2913, 'OVB', 4078, '', 0, '734\r'),
	('QH', 882, 'OSS', 2913, 'SGC', 2974, '', 0, '735\r'),
	('QH', 882, 'OSS', 2913, 'URC', 3399, '', 0, '735\r'),
	('QH', 882, 'OVB', 4078, 'FRU', 2912, '', 0, '735\r'),
	('QH', 882, 'OVB', 4078, 'OSS', 2913, '', 0, '734\r'),
	('QH', 882, 'SGC', 2974, 'OSS', 2913, '', 0, '735\r'),
	('QH', 882, 'SVX', 2975, 'FRU', 2912, '', 0, '735\r'),
	('QH', 882, 'TAS', 2983, 'FRU', 2912, '', 0, '735\r'),
	('QH', 882, 'URC', 3399, 'FRU', 2912, '', 0, '735\r'),
	('QH', 882, 'URC', 3399, 'OSS', 2913, '', 0, '735\r'),
	('QL', 1206, 'AUA', 2895, 'CCS', 2851, '', 0, 'D93\r'),
	('QL', 1206, 'BLA', 2821, 'CCS', 2851, '', 0, 'D93\r'),
	('QL', 1206, 'CCS', 2851, 'AUA', 2895, '', 0, 'D93\r'),
	('QL', 1206, 'CCS', 2851, 'BLA', 2821, '', 0, 'D93\r'),
	('QL', 1206, 'CCS', 2851, 'MAR', 2848, '', 0, 'D93\r'),
	('QL', 1206, 'CCS', 2851, 'PMV', 2850, '', 0, 'D93\r'),
	('QL', 1206, 'CCS', 2851, 'STD', 2861, '', 0, 'D93\r'),
	('QL', 1206, 'CCS', 2851, 'VIG', 6072, '', 0, 'D93\r'),
	('QL', 1206, 'MAR', 2848, 'CCS', 2851, '', 0, 'D93\r'),
	('QL', 1206, 'PMV', 2850, 'CCS', 2851, '', 0, 'D93\r'),
	('QL', 1206, 'PMV', 2850, 'VLN', 2868, '', 0, 'D93\r'),
	('QL', 1206, 'STD', 2861, 'CCS', 2851, '', 0, 'D93\r'),
	('QL', 1206, 'VIG', 6072, 'CCS', 2851, '', 0, 'D93\r'),
	('QL', 1206, 'VLN', 2868, 'PMV', 2850, '', 0, 'D93\r'),
	('QN', 426, 'AER', 2965, 'EVN', 3964, '', 0, '735\r'),
	('QN', 426, 'ATH', 3941, 'EVN', 3964, '', 0, '735\r'),
	('QN', 426, 'CDG', 1382, 'EVN', 3964, '', 0, '320\r'),
	('QN', 426, 'EVN', 3964, 'AER', 2965, '', 0, '735\r'),
	('QN', 426, 'EVN', 3964, 'ATH', 3941, '', 0, '735\r'),
	('QN', 426, 'EVN', 3964, 'CDG', 1382, '', 0, '320\r'),
	('QN', 426, 'EVN', 3964, 'GOJ', 4274, '', 0, '735\r'),
	('QN', 426, 'EVN', 3964, 'KUF', 4118, '', 0, '735\r'),
	('QN', 426, 'EVN', 3964, 'LED', 2948, '', 0, '735\r'),
	('QN', 426, 'EVN', 3964, 'SVX', 2975, '', 0, '735\r'),
	('QN', 426, 'EVN', 3964, 'VKO', 2988, '', 0, '320\r'),
	('QN', 426, 'GOJ', 4274, 'EVN', 3964, '', 0, '735\r'),
	('QN', 426, 'KUF', 4118, 'EVN', 3964, '', 0, '735\r'),
	('QN', 426, 'LED', 2948, 'EVN', 3964, '', 0, '735\r'),
	('QN', 426, 'SVX', 2975, 'EVN', 3964, '', 0, '735\r'),
	('QN', 426, 'VKO', 2988, 'EVN', 3964, '', 0, '320\r'),
	('QR', 4091, 'ADD', 1107, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'ALG', 210, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'AMD', 2994, 'DOH', 2241, '', 0, '321\r'),
	('QR', 4091, 'AMM', 2170, 'DOH', 2241, '', 0, '77W 333 332 77L\r'),
	('QR', 4091, 'ARN', 737, 'DOH', 2241, '', 0, '788\r'),
	('QR', 4091, 'ATH', 3941, 'DOH', 2241, '', 0, '333 321 332\r'),
	('QR', 4091, 'ATL', 3682, 'IAH', 3550, '', 0, '\r'),
	('QR', 4091, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('QR', 4091, 'ATQ', 3081, 'DOH', 2241, '', 0, '321\r'),
	('QR', 4091, 'AUH', 2179, 'DOH', 2241, '', 0, '320 319 321\r'),
	('QR', 4091, 'BAH', 2057, 'DOH', 2241, '', 0, '320 321 319 333\r'),
	('QR', 4091, 'BCN', 1218, 'DOH', 2241, '', 0, '332\r'),
	('QR', 4091, 'BCN', 1218, 'JFK', 3797, 'Y', 0, '763\r'),
	('QR', 4091, 'BEG', 1739, 'ESB', 1682, '', 0, '320\r'),
	('QR', 4091, 'BEY', 2177, 'DOH', 2241, '', 0, '320 321\r'),
	('QR', 4091, 'BGW', 4130, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'BKK', 3885, 'CNX', 3931, 'Y', 0, '320 319\r'),
	('QR', 4091, 'BKK', 3885, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'BKK', 3885, 'HAN', 3199, '', 0, '77W\r'),
	('QR', 4091, 'BKK', 3885, 'HKT', 3179, 'Y', 0, '320\r'),
	('QR', 4091, 'BKK', 3885, 'KBV', 3174, 'Y', 0, '320 319\r'),
	('QR', 4091, 'BKK', 3885, 'MDL', 3222, 'Y', 0, '320\r'),
	('QR', 4091, 'BLR', 3131, 'DOH', 2241, '', 0, '788\r'),
	('QR', 4091, 'BOM', 2997, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'BRU', 302, 'DOH', 2241, '', 0, '788\r'),
	('QR', 4091, 'BSR', 2234, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'BUD', 1489, 'DOH', 2241, '', 0, '321 320\r'),
	('QR', 4091, 'BUD', 1489, 'ZAG', 1208, '', 0, '321 320\r'),
	('QR', 4091, 'CAI', 1128, 'DOH', 2241, '', 0, '77L 77W 333 320\r'),
	('QR', 4091, 'CAN', 3370, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'CCJ', 3137, 'DOH', 2241, '', 0, '320 321\r'),
	('QR', 4091, 'CCU', 3043, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'CDG', 1382, 'DOH', 2241, '', 0, '346 77W\r'),
	('QR', 4091, 'CDG', 1382, 'JFK', 3797, 'Y', 0, '763\r'),
	('QR', 4091, 'CGK', 3275, 'DOH', 2241, '', 0, '77W 332 333\r'),
	('QR', 4091, 'CKG', 3393, 'DOH', 2241, '', 0, '332\r'),
	('QR', 4091, 'CMB', 3024, 'DOH', 2241, '', 0, '77W 321 320\r'),
	('QR', 4091, 'CMN', 1074, 'DOH', 2241, '', 0, '333 332\r'),
	('QR', 4091, 'CNX', 3931, 'BKK', 3885, 'Y', 0, '320 319\r'),
	('QR', 4091, 'COK', 3136, 'DOH', 2241, '', 0, '346 333\r'),
	('QR', 4091, 'CPH', 609, 'DOH', 2241, '', 0, '788\r'),
	('QR', 4091, 'CPT', 797, 'DOH', 2241, '', 0, '788\r'),
	('QR', 4091, 'CPT', 797, 'JNB', 813, '', 0, '788\r'),
	('QR', 4091, 'CRK', 4140, 'DOH', 2241, '', 0, '333\r'),
	('QR', 4091, 'CTU', 3395, 'DOH', 2241, '', 0, '332\r'),
	('QR', 4091, 'DAC', 3076, 'DOH', 2241, '', 0, '333 320 332\r'),
	('QR', 4091, 'DAR', 1177, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'DAR', 1177, 'JRO', 1180, '', 0, '320\r'),
	('QR', 4091, 'DEL', 3093, 'DOH', 2241, '', 0, '788\r'),
	('QR', 4091, 'DME', 4029, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'DMM', 2064, 'DOH', 2241, '', 0, '788 321 77W 333 320 332 319\r'),
	('QR', 4091, 'DOH', 2241, 'ADD', 1107, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'ALG', 210, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'AMD', 2994, '', 0, '321\r'),
	('QR', 4091, 'DOH', 2241, 'AMM', 2170, '', 0, '77W 333 332 77L\r'),
	('QR', 4091, 'DOH', 2241, 'ARN', 737, '', 0, '788\r'),
	('QR', 4091, 'DOH', 2241, 'ATH', 3941, '', 0, '333 321 332\r'),
	('QR', 4091, 'DOH', 2241, 'ATQ', 3081, '', 0, '321\r'),
	('QR', 4091, 'DOH', 2241, 'AUH', 2179, '', 0, '320 319 321\r'),
	('QR', 4091, 'DOH', 2241, 'BAH', 2057, '', 0, '320 321 319 333\r'),
	('QR', 4091, 'DOH', 2241, 'BCN', 1218, '', 0, '332\r'),
	('QR', 4091, 'DOH', 2241, 'BEY', 2177, '', 0, '320 321\r'),
	('QR', 4091, 'DOH', 2241, 'BGW', 4130, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'BKK', 3885, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'BLR', 3131, '', 0, '788\r'),
	('QR', 4091, 'DOH', 2241, 'BOM', 2997, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'BRU', 302, '', 0, '788\r'),
	('QR', 4091, 'DOH', 2241, 'BSR', 2234, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'BUD', 1489, '', 0, '321 320\r'),
	('QR', 4091, 'DOH', 2241, 'CAI', 1128, '', 0, '77L 77W 333 320\r'),
	('QR', 4091, 'DOH', 2241, 'CAN', 3370, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'CCJ', 3137, '', 0, '320 321\r'),
	('QR', 4091, 'DOH', 2241, 'CCU', 3043, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'CDG', 1382, '', 0, '346 77W\r'),
	('QR', 4091, 'DOH', 2241, 'CGK', 3275, '', 0, '332 77W 333\r'),
	('QR', 4091, 'DOH', 2241, 'CKG', 3393, '', 0, '332\r'),
	('QR', 4091, 'DOH', 2241, 'CMB', 3024, '', 0, '321 320 77W\r'),
	('QR', 4091, 'DOH', 2241, 'CMN', 1074, '', 0, '333 332\r'),
	('QR', 4091, 'DOH', 2241, 'COK', 3136, '', 0, '333 346\r'),
	('QR', 4091, 'DOH', 2241, 'CPH', 609, '', 0, '788\r'),
	('QR', 4091, 'DOH', 2241, 'CRK', 4140, '', 0, '333 332\r'),
	('QR', 4091, 'DOH', 2241, 'CTU', 3395, '', 0, '332\r'),
	('QR', 4091, 'DOH', 2241, 'DAC', 3076, '', 0, '333 320 332\r'),
	('QR', 4091, 'DOH', 2241, 'DAR', 1177, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'DEL', 3093, '', 0, '788\r'),
	('QR', 4091, 'DOH', 2241, 'DME', 4029, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'DMM', 2064, '', 0, '788 321 77W 333 320 332 319\r'),
	('QR', 4091, 'DOH', 2241, 'DWC', 8076, '', 0, '320 321 319\r'),
	('QR', 4091, 'DOH', 2241, 'DXB', 2188, '', 0, '788 321 320 77W 77L 332 333\r'),
	('QR', 4091, 'DOH', 2241, 'EBB', 1187, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'EBL', 3989, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'ELQ', 2067, '', 0, '320 319\r'),
	('QR', 4091, 'DOH', 2241, 'ESB', 1682, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'FCO', 1555, '', 0, '333 320\r'),
	('QR', 4091, 'DOH', 2241, 'FRA', 340, '', 0, '77L 788 77W\r'),
	('QR', 4091, 'DOH', 2241, 'GOI', 3007, '', 0, '321\r'),
	('QR', 4091, 'DOH', 2241, 'GRU', 2564, '', 0, '77L\r'),
	('QR', 4091, 'DOH', 2241, 'GVA', 1665, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'GYD', 2922, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'HBE', 3410, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'HGH', 3386, '', 0, '332 333\r'),
	('QR', 4091, 'DOH', 2241, 'HKG', 3077, '', 0, '333 332\r'),
	('QR', 4091, 'DOH', 2241, 'HYD', 3141, '', 0, '321\r'),
	('QR', 4091, 'DOH', 2241, 'IAD', 3714, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'IAH', 3550, '', 0, '77L\r'),
	('QR', 4091, 'DOH', 2241, 'ICN', 3930, '', 0, '333\r'),
	('QR', 4091, 'DOH', 2241, 'IKA', 4330, '', 0, '320 321\r'),
	('QR', 4091, 'DOH', 2241, 'ISB', 2223, '', 0, '333 77L 332\r'),
	('QR', 4091, 'DOH', 2241, 'IST', 1701, '', 0, '333 332\r'),
	('QR', 4091, 'DOH', 2241, 'ISU', 5952, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'JED', 2072, '', 0, '788 333 77W 332\r'),
	('QR', 4091, 'DOH', 2241, 'JFK', 3797, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'JNB', 813, '', 0, '788\r'),
	('QR', 4091, 'DOH', 2241, 'KHI', 2206, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'KIX', 3992, '', 0, '332\r'),
	('QR', 4091, 'DOH', 2241, 'KRT', 1175, '', 0, '320 321\r'),
	('QR', 4091, 'DOH', 2241, 'KTM', 3125, '', 0, '320 333\r'),
	('QR', 4091, 'DOH', 2241, 'KUL', 3304, '', 0, '332 77W 333 77L\r'),
	('QR', 4091, 'DOH', 2241, 'KWI', 2176, '', 0, '320 321 77L 332\r'),
	('QR', 4091, 'DOH', 2241, 'LCA', 1197, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'LHE', 2207, '', 0, '333 77W 332\r'),
	('QR', 4091, 'DOH', 2241, 'LHR', 507, '', 0, '333 788 77W 346 332 77L\r'),
	('QR', 4091, 'DOH', 2241, 'LOS', 273, '', 0, '333 332\r'),
	('QR', 4091, 'DOH', 2241, 'LXR', 1132, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'MAA', 3144, '', 0, '333\r'),
	('QR', 4091, 'DOH', 2241, 'MAD', 1229, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'MAN', 478, '', 0, '332 333\r'),
	('QR', 4091, 'DOH', 2241, 'MCT', 2194, '', 0, '320 E75 321 73J 332 788 73G 77L\r'),
	('QR', 4091, 'DOH', 2241, 'MED', 2074, '', 0, '320 321\r'),
	('QR', 4091, 'DOH', 2241, 'MEL', 3339, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'MHD', 4331, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'MLE', 3156, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'MNL', 2397, '', 0, '77W 333\r'),
	('QR', 4091, 'DOH', 2241, 'MUC', 346, '', 0, '788\r'),
	('QR', 4091, 'DOH', 2241, 'MXP', 1524, '', 0, '332 320 333\r'),
	('QR', 4091, 'DOH', 2241, 'NBO', 4059, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'NJF', 7490, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'NRT', 2279, '', 0, '77L\r'),
	('QR', 4091, 'DOH', 2241, 'ORD', 3830, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'OSL', 644, '', 0, '788\r'),
	('QR', 4091, 'DOH', 2241, 'OTP', 1657, '', 0, '320 321\r'),
	('QR', 4091, 'DOH', 2241, 'PEK', 3364, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'PER', 3351, '', 0, '77L\r'),
	('QR', 4091, 'DOH', 2241, 'PEW', 2219, '', 0, '332 333\r'),
	('QR', 4091, 'DOH', 2241, 'PHL', 3752, '', 0, '77L\r'),
	('QR', 4091, 'DOH', 2241, 'PVG', 3406, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'RGN', 3239, '', 0, '319\r'),
	('QR', 4091, 'DOH', 2241, 'RUH', 2082, '', 0, '788 333 321 320\r'),
	('QR', 4091, 'DOH', 2241, 'SAH', 3980, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'SGN', 3205, '', 0, '332\r'),
	('QR', 4091, 'DOH', 2241, 'SHJ', 2191, '', 0, '320 319 321\r'),
	('QR', 4091, 'DOH', 2241, 'SIN', 3316, '', 0, '788 77W\r'),
	('QR', 4091, 'DOH', 2241, 'SLL', 2195, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'SYZ', 2157, '', 0, '320 321\r'),
	('QR', 4091, 'DOH', 2241, 'TIF', 2090, '', 0, '321 320\r'),
	('QR', 4091, 'DOH', 2241, 'TRV', 3153, '', 0, '321\r'),
	('QR', 4091, 'DOH', 2241, 'TUN', 287, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'TXL', 351, '', 0, '332 333\r'),
	('QR', 4091, 'DOH', 2241, 'VCE', 1551, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'VIE', 1613, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'WAW', 679, '', 0, '320\r'),
	('QR', 4091, 'DOH', 2241, 'YUL', 146, '', 0, '77W\r'),
	('QR', 4091, 'DOH', 2241, 'ZRH', 1678, '', 0, '788\r'),
	('QR', 4091, 'DPS', 3940, 'SIN', 3316, '', 0, '77W\r'),
	('QR', 4091, 'DWC', 8076, 'DOH', 2241, '', 0, '320 321 319\r'),
	('QR', 4091, 'DXB', 2188, 'DOH', 2241, '', 0, '320 788 321 77W 77L 332 333\r'),
	('QR', 4091, 'EBB', 1187, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'EBB', 1187, 'KGL', 1165, '', 0, '320\r'),
	('QR', 4091, 'EBL', 3989, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'ELQ', 2067, 'DOH', 2241, '', 0, '320 319\r'),
	('QR', 4091, 'ESB', 1682, 'BEG', 1739, '', 0, '320\r'),
	('QR', 4091, 'ESB', 1682, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'EZE', 3988, 'GRU', 2564, '', 0, '77L\r'),
	('QR', 4091, 'FCO', 1555, 'DOH', 2241, '', 0, '333 320\r'),
	('QR', 4091, 'FRA', 340, 'DOH', 2241, '', 0, '77L 788 77W\r'),
	('QR', 4091, 'GOI', 3007, 'DOH', 2241, '', 0, '321\r'),
	('QR', 4091, 'GRU', 2564, 'DOH', 2241, '', 0, '77L\r'),
	('QR', 4091, 'GRU', 2564, 'EZE', 3988, '', 0, '77L\r'),
	('QR', 4091, 'GVA', 1665, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'GYD', 2922, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'GYD', 2922, 'TBS', 3973, '', 0, '320\r'),
	('QR', 4091, 'HAN', 3199, 'BKK', 3885, '', 0, '77W\r'),
	('QR', 4091, 'HBE', 3410, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'HGH', 3386, 'DOH', 2241, '', 0, '332 333\r'),
	('QR', 4091, 'HKG', 3077, 'DOH', 2241, '', 0, '332 333\r'),
	('QR', 4091, 'HKT', 3179, 'BKK', 3885, 'Y', 0, '320\r'),
	('QR', 4091, 'HKT', 3179, 'KUL', 3304, '', 0, '332\r'),
	('QR', 4091, 'HYD', 3141, 'DOH', 2241, '', 0, '321\r'),
	('QR', 4091, 'IAD', 3714, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'IAH', 3550, 'DOH', 2241, '', 0, '77L\r'),
	('QR', 4091, 'ICN', 3930, 'DOH', 2241, '', 0, '333\r'),
	('QR', 4091, 'IKA', 4330, 'DOH', 2241, '', 0, '320 321\r'),
	('QR', 4091, 'ISB', 2223, 'DOH', 2241, '', 0, '332 333 77L\r'),
	('QR', 4091, 'IST', 1701, 'DOH', 2241, '', 0, '333 332\r'),
	('QR', 4091, 'ISU', 5952, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'JED', 2072, 'DOH', 2241, '', 0, '788 333 77W 332\r'),
	('QR', 4091, 'JFK', 3797, 'BCN', 1218, 'Y', 0, '763\r'),
	('QR', 4091, 'JFK', 3797, 'CDG', 1382, 'Y', 0, '757\r'),
	('QR', 4091, 'JFK', 3797, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'JFK', 3797, 'LAS', 3877, 'Y', 0, '738\r'),
	('QR', 4091, 'JFK', 3797, 'MSY', 3861, 'Y', 0, 'E90\r'),
	('QR', 4091, 'JFK', 3797, 'MXP', 1524, 'Y', 0, '763\r'),
	('QR', 4091, 'JFK', 3797, 'ORD', 3830, 'Y', 0, '738\r'),
	('QR', 4091, 'JFK', 3797, 'SAN', 3731, 'Y', 0, '738\r'),
	('QR', 4091, 'JNB', 813, 'CPT', 797, '', 0, '788\r'),
	('QR', 4091, 'JNB', 813, 'DOH', 2241, '', 0, '788\r'),
	('QR', 4091, 'JNB', 813, 'MPM', 979, '', 0, '788\r'),
	('QR', 4091, 'JRO', 1180, 'DAR', 1177, '', 0, '320\r'),
	('QR', 4091, 'KBV', 3174, 'BKK', 3885, 'Y', 0, '320 319\r'),
	('QR', 4091, 'KGL', 1165, 'EBB', 1187, '', 0, '320\r'),
	('QR', 4091, 'KHI', 2206, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'KIX', 3992, 'DOH', 2241, '', 0, '332\r'),
	('QR', 4091, 'KRT', 1175, 'DOH', 2241, '', 0, '320 321\r'),
	('QR', 4091, 'KTM', 3125, 'DOH', 2241, '', 0, '320 333\r'),
	('QR', 4091, 'KUL', 3304, 'DOH', 2241, '', 0, '332 77W 333\r'),
	('QR', 4091, 'KUL', 3304, 'HKT', 3179, '', 0, '332\r'),
	('QR', 4091, 'KWI', 2176, 'DOH', 2241, '', 0, '320 321 77L 332\r'),
	('QR', 4091, 'LAS', 3877, 'JFK', 3797, 'Y', 0, '757\r'),
	('QR', 4091, 'LCA', 1197, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'LHE', 2207, 'DOH', 2241, '', 0, '332 333 77W\r'),
	('QR', 4091, 'LHR', 507, 'DOH', 2241, '', 0, '332 333 77W 788 346 77L\r'),
	('QR', 4091, 'LOS', 273, 'DOH', 2241, '', 0, '333 332\r'),
	('QR', 4091, 'LXR', 1132, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'MAA', 3144, 'DOH', 2241, '', 0, '333\r'),
	('QR', 4091, 'MAD', 1229, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'MAN', 478, 'DOH', 2241, '', 0, '332 333\r'),
	('QR', 4091, 'MCT', 2194, 'DOH', 2241, '', 0, 'E75 320 321 73J 332 788 73G 77L\r'),
	('QR', 4091, 'MDL', 3222, 'BKK', 3885, 'Y', 0, '320\r'),
	('QR', 4091, 'MED', 2074, 'DOH', 2241, '', 0, '320 321\r'),
	('QR', 4091, 'MEL', 3339, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'MEX', 1824, 'ATL', 3682, '', 0, '77X\r'),
	('QR', 4091, 'MHD', 4331, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'MLE', 3156, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'MNL', 2397, 'DOH', 2241, '', 0, '333 77W\r'),
	('QR', 4091, 'MPM', 979, 'JNB', 813, '', 0, '788\r'),
	('QR', 4091, 'MSY', 3861, 'JFK', 3797, 'Y', 0, '320\r'),
	('QR', 4091, 'MUC', 346, 'DOH', 2241, '', 0, '788\r'),
	('QR', 4091, 'MXP', 1524, 'DOH', 2241, '', 0, '332 320 333\r'),
	('QR', 4091, 'MXP', 1524, 'JFK', 3797, 'Y', 0, '763\r'),
	('QR', 4091, 'NBO', 4059, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'NJF', 7490, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'NRT', 2279, 'DOH', 2241, '', 0, '77L\r'),
	('QR', 4091, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('QR', 4091, 'ORD', 3830, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'ORD', 3830, 'JFK', 3797, 'Y', 0, '738\r'),
	('QR', 4091, 'ORD', 3830, 'MSY', 3861, 'Y', 0, 'E75\r'),
	('QR', 4091, 'OSL', 644, 'DOH', 2241, '', 0, '788\r'),
	('QR', 4091, 'OTP', 1657, 'DOH', 2241, '', 0, '320 321\r'),
	('QR', 4091, 'OTP', 1657, 'SOF', 1194, '', 0, '320 321\r'),
	('QR', 4091, 'PEK', 3364, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'PER', 3351, 'DOH', 2241, '', 0, '77L\r'),
	('QR', 4091, 'PEW', 2219, 'DOH', 2241, '', 0, '332 333\r'),
	('QR', 4091, 'PHL', 3752, 'DOH', 2241, '', 0, '77L\r'),
	('QR', 4091, 'PNH', 3034, 'SGN', 3205, '', 0, '332\r'),
	('QR', 4091, 'PVG', 3406, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'RGN', 3239, 'DOH', 2241, '', 0, '319\r'),
	('QR', 4091, 'RUH', 2082, 'DOH', 2241, '', 0, '788 333 321 320\r'),
	('QR', 4091, 'SAH', 3980, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'SAN', 3731, 'JFK', 3797, 'Y', 0, '738\r'),
	('QR', 4091, 'SGN', 3205, 'DOH', 2241, '', 0, '332\r'),
	('QR', 4091, 'SGN', 3205, 'PNH', 3034, '', 0, '332\r'),
	('QR', 4091, 'SHJ', 2191, 'DOH', 2241, '', 0, '320 319 321\r'),
	('QR', 4091, 'SIN', 3316, 'DOH', 2241, '', 0, '77W 788\r'),
	('QR', 4091, 'SIN', 3316, 'DPS', 3940, '', 0, '77W\r'),
	('QR', 4091, 'SLL', 2195, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'SOF', 1194, 'OTP', 1657, '', 0, '320 321\r'),
	('QR', 4091, 'SYZ', 2157, 'DOH', 2241, '', 0, '320 321\r'),
	('QR', 4091, 'TBS', 3973, 'GYD', 2922, '', 0, '320\r'),
	('QR', 4091, 'TIF', 2090, 'DOH', 2241, '', 0, '321 320\r'),
	('QR', 4091, 'TRV', 3153, 'DOH', 2241, '', 0, '321\r'),
	('QR', 4091, 'TUN', 287, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'TXL', 351, 'DOH', 2241, '', 0, '332 333\r'),
	('QR', 4091, 'VCE', 1551, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'VIE', 1613, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'WAW', 679, 'DOH', 2241, '', 0, '320\r'),
	('QR', 4091, 'YUL', 146, 'DOH', 2241, '', 0, '77W\r'),
	('QR', 4091, 'ZAG', 1208, 'BUD', 1489, '', 0, '321 320\r'),
	('QR', 4091, 'ZRH', 1678, 'DOH', 2241, '', 0, '788\r'),
	('QS', 5097, 'AMS', 580, 'PRG', 1587, '', 0, '319\r'),
	('QS', 5097, 'ARN', 737, 'PRG', 1587, '', 0, '319\r'),
	('QS', 5097, 'AYT', 1688, 'PRG', 1587, '', 0, '738\r'),
	('QS', 5097, 'BCN', 1218, 'PRG', 1587, '', 0, '319 738\r'),
	('QS', 5097, 'BRU', 302, 'PRG', 1587, '', 0, '319\r'),
	('QS', 5097, 'BTS', 1745, 'PRG', 1587, '', 0, 'AT4 AT7\r'),
	('QS', 5097, 'BUD', 1489, 'PRG', 1587, '', 0, 'AT7\r'),
	('QS', 5097, 'CDG', 1382, 'OSR', 1582, '', 0, '738\r'),
	('QS', 5097, 'CDG', 1382, 'PRG', 1587, '', 0, '319 73G 738\r'),
	('QS', 5097, 'CPH', 609, 'PRG', 1587, '', 0, '319\r'),
	('QS', 5097, 'DUS', 345, 'PRG', 1587, '', 0, '319 AT7\r'),
	('QS', 5097, 'FCO', 1555, 'PRG', 1587, '', 0, '738 320 319\r'),
	('QS', 5097, 'FNC', 4091, 'PRG', 1587, '', 0, '738\r'),
	('QS', 5097, 'FRA', 340, 'PRG', 1587, '', 0, 'AT7 319\r'),
	('QS', 5097, 'HAM', 342, 'PRG', 1587, '', 0, '319 AT7\r'),
	('QS', 5097, 'KBP', 2939, 'PRG', 1587, '', 0, '319\r'),
	('QS', 5097, 'KSC', 1746, 'PRG', 1587, '', 0, 'AT4 AT7\r'),
	('QS', 5097, 'LPA', 1054, 'PRG', 1587, '', 0, '738\r'),
	('QS', 5097, 'MAD', 1229, 'PRG', 1587, '', 0, '320\r'),
	('QS', 5097, 'MXP', 1524, 'PRG', 1587, '', 0, '319\r'),
	('QS', 5097, 'NCE', 1354, 'PRG', 1587, '', 0, '319\r'),
	('QS', 5097, 'OSR', 1582, 'CDG', 1382, '', 0, '738\r'),
	('QS', 5097, 'OSR', 1582, 'PRG', 1587, '', 0, 'AT4\r'),
	('QS', 5097, 'OTP', 1657, 'PRG', 1587, '', 0, '319\r'),
	('QS', 5097, 'PMI', 3998, 'PRG', 1587, '', 0, '738\r'),
	('QS', 5097, 'PRG', 1587, 'AMS', 580, '', 0, '319\r'),
	('QS', 5097, 'PRG', 1587, 'ARN', 737, '', 0, '319\r'),
	('QS', 5097, 'PRG', 1587, 'AYT', 1688, '', 0, '738\r'),
	('QS', 5097, 'PRG', 1587, 'BCN', 1218, '', 0, '319 738\r'),
	('QS', 5097, 'PRG', 1587, 'BRU', 302, '', 0, '319\r'),
	('QS', 5097, 'PRG', 1587, 'BTS', 1745, '', 0, 'AT4 AT7\r'),
	('QS', 5097, 'PRG', 1587, 'BUD', 1489, '', 0, 'AT7\r'),
	('QS', 5097, 'PRG', 1587, 'CDG', 1382, '', 0, '319 73G 738\r'),
	('QS', 5097, 'PRG', 1587, 'CPH', 609, '', 0, '319\r'),
	('QS', 5097, 'PRG', 1587, 'DUS', 345, '', 0, '319 AT7\r'),
	('QS', 5097, 'PRG', 1587, 'FCO', 1555, '', 0, '738 320 319\r'),
	('QS', 5097, 'PRG', 1587, 'FNC', 4091, '', 0, '738\r'),
	('QS', 5097, 'PRG', 1587, 'FRA', 340, '', 0, 'AT7 319\r'),
	('QS', 5097, 'PRG', 1587, 'HAM', 342, '', 0, '319 AT7\r'),
	('QS', 5097, 'PRG', 1587, 'HER', 1452, '', 0, '738\r'),
	('QS', 5097, 'PRG', 1587, 'KBP', 2939, '', 0, '319\r'),
	('QS', 5097, 'PRG', 1587, 'KSC', 1746, '', 0, 'AT4\r'),
	('QS', 5097, 'PRG', 1587, 'LPA', 1054, '', 0, '738\r'),
	('QS', 5097, 'PRG', 1587, 'MAD', 1229, '', 0, '320\r'),
	('QS', 5097, 'PRG', 1587, 'MXP', 1524, '', 0, '319\r'),
	('QS', 5097, 'PRG', 1587, 'NCE', 1354, '', 0, '319\r'),
	('QS', 5097, 'PRG', 1587, 'OSR', 1582, '', 0, 'AT4\r'),
	('QS', 5097, 'PRG', 1587, 'OTP', 1657, '', 0, '319\r'),
	('QS', 5097, 'PRG', 1587, 'PMI', 3998, '', 0, '738\r'),
	('QS', 5097, 'PRG', 1587, 'RHO', 1472, '', 0, '738\r'),
	('QS', 5097, 'PRG', 1587, 'SPU', 1206, '', 0, '738\r'),
	('QS', 5097, 'PRG', 1587, 'SXB', 1435, '', 0, 'AT4\r'),
	('QS', 5097, 'PRG', 1587, 'TFS', 1056, '', 0, '738\r'),
	('QS', 5097, 'PRG', 1587, 'TLV', 1590, '', 0, '320 738\r'),
	('QS', 5097, 'PRG', 1587, 'TXL', 351, '', 0, 'AT4\r'),
	('QS', 5097, 'PRG', 1587, 'VLC', 1246, '', 0, '738\r'),
	('QS', 5097, 'PRG', 1587, 'WAW', 679, '', 0, 'AT7 AT4\r'),
	('QS', 5097, 'PRG', 1587, 'ZRH', 1678, '', 0, 'AT7\r'),
	('QS', 5097, 'RHO', 1472, 'PRG', 1587, '', 0, '738\r'),
	('QS', 5097, 'SPU', 1206, 'PRG', 1587, '', 0, '738\r'),
	('QS', 5097, 'SXB', 1435, 'PRG', 1587, '', 0, 'AT4\r'),
	('QS', 5097, 'TFS', 1056, 'PRG', 1587, '', 0, '738\r'),
	('QS', 5097, 'TLV', 1590, 'PRG', 1587, '', 0, '738 320\r'),
	('QS', 5097, 'TXL', 351, 'PRG', 1587, '', 0, 'AT4\r'),
	('QS', 5097, 'VLC', 1246, 'PRG', 1587, '', 0, '738\r'),
	('QS', 5097, 'WAW', 679, 'PRG', 1587, '', 0, 'AT7 AT4\r'),
	('QS', 5097, 'ZRH', 1678, 'PRG', 1587, '', 0, 'AT7\r'),
	('QU', 2104, 'IEV', 2944, 'VKO', 2988, '', 0, '735\r'),
	('QU', 2104, 'LWO', 2945, 'VKO', 2988, '', 0, '735\r'),
	('QU', 2104, 'VKO', 2988, 'IEV', 2944, '', 0, '735\r'),
	('QU', 2104, 'VKO', 2988, 'LWO', 2945, '', 0, '735\r'),
	('QV', 3233, 'BKK', 3885, 'LPQ', 3115, '', 0, 'AT7\r'),
	('QV', 3233, 'BKK', 3885, 'VTE', 3120, '', 0, '320 AT7\r'),
	('QV', 3233, 'BKK', 3885, 'ZVK', 3118, '', 0, 'AT7\r'),
	('QV', 3233, 'CAN', 3370, 'VTE', 3120, '', 0, '320\r'),
	('QV', 3233, 'CNX', 3931, 'LPQ', 3115, '', 0, 'AT7\r'),
	('QV', 3233, 'HAN', 3199, 'LPQ', 3115, '', 0, 'AT7\r'),
	('QV', 3233, 'HAN', 3199, 'VTE', 3120, '', 0, '320\r'),
	('QV', 3233, 'ICN', 3930, 'VTE', 3120, '', 0, '320\r'),
	('QV', 3233, 'JHG', 4055, 'LPQ', 3115, '', 0, 'AT7\r'),
	('QV', 3233, 'KMG', 3382, 'VTE', 3120, '', 0, '320\r'),
	('QV', 3233, 'LPQ', 3115, 'BKK', 3885, '', 0, 'AT7\r'),
	('QV', 3233, 'LPQ', 3115, 'CNX', 3931, '', 0, 'AT7\r'),
	('QV', 3233, 'LPQ', 3115, 'HAN', 3199, '', 0, 'AT7\r'),
	('QV', 3233, 'LPQ', 3115, 'JHG', 4055, '', 0, 'AT7\r'),
	('QV', 3233, 'LPQ', 3115, 'PKZ', 3116, '', 0, 'AT7\r'),
	('QV', 3233, 'LPQ', 3115, 'REP', 3035, 'Y', 0, 'AT7\r'),
	('QV', 3233, 'LPQ', 3115, 'VTE', 3120, '', 0, 'AT7 320\r'),
	('QV', 3233, 'LXG', 4142, 'VTE', 3120, '', 0, 'AT7\r'),
	('QV', 3233, 'ODY', 4143, 'VTE', 3120, '', 0, 'AT7\r'),
	('QV', 3233, 'PKZ', 3116, 'LPQ', 3115, '', 0, 'AT7\r'),
	('QV', 3233, 'PKZ', 3116, 'REP', 3035, '', 0, 'AT7\r'),
	('QV', 3233, 'PKZ', 3116, 'SGN', 3205, '', 0, 'AT7\r'),
	('QV', 3233, 'PKZ', 3116, 'VTE', 3120, '', 0, 'AT7 320\r'),
	('QV', 3233, 'PKZ', 3116, 'ZVK', 3118, '', 0, 'AT7\r'),
	('QV', 3233, 'PNH', 3034, 'VTE', 3120, 'Y', 0, '321\r'),
	('QV', 3233, 'REP', 3035, 'LPQ', 3115, 'Y', 0, 'AT7\r'),
	('QV', 3233, 'REP', 3035, 'PKZ', 3116, '', 0, 'AT7\r'),
	('QV', 3233, 'SGN', 3205, 'PKZ', 3116, '', 0, 'AT7\r'),
	('QV', 3233, 'SIN', 3316, 'VTE', 3120, '', 0, '320\r'),
	('QV', 3233, 'VTE', 3120, 'BKK', 3885, '', 0, '320 AT7\r'),
	('QV', 3233, 'VTE', 3120, 'CAN', 3370, '', 0, '320\r'),
	('QV', 3233, 'VTE', 3120, 'HAN', 3199, '', 0, '320\r'),
	('QV', 3233, 'VTE', 3120, 'ICN', 3930, '', 0, '320\r'),
	('QV', 3233, 'VTE', 3120, 'KMG', 3382, '', 0, '320\r'),
	('QV', 3233, 'VTE', 3120, 'LPQ', 3115, '', 0, 'AT7 320\r'),
	('QV', 3233, 'VTE', 3120, 'LXG', 4142, '', 0, 'AT7\r'),
	('QV', 3233, 'VTE', 3120, 'ODY', 4143, '', 0, 'AT7\r'),
	('QV', 3233, 'VTE', 3120, 'PKZ', 3116, '', 0, 'AT7 320\r'),
	('QV', 3233, 'VTE', 3120, 'PNH', 3034, 'Y', 0, '321\r'),
	('QV', 3233, 'VTE', 3120, 'SIN', 3316, '', 0, '320\r'),
	('QV', 3233, 'VTE', 3120, 'XKH', 4081, '', 0, 'AT7\r'),
	('QV', 3233, 'VTE', 3120, 'ZVK', 3118, '', 0, 'AT7\r'),
	('QV', 3233, 'XKH', 4081, 'VTE', 3120, '', 0, 'AT7\r'),
	('QV', 3233, 'ZVK', 3118, 'BKK', 3885, '', 0, 'AT7\r'),
	('QV', 3233, 'ZVK', 3118, 'PKZ', 3116, '', 0, 'AT7\r'),
	('QV', 3233, 'ZVK', 3118, 'VTE', 3120, '', 0, 'AT7\r'),
	('QZ', 2857, 'BDO', 3896, 'DPS', 3940, '', 0, '320\r'),
	('QZ', 2857, 'BDO', 3896, 'JHB', 3303, '', 0, '320\r'),
	('QZ', 2857, 'BDO', 3896, 'KUL', 3304, '', 0, '320\r'),
	('QZ', 2857, 'BDO', 3896, 'PKU', 3273, '', 0, '320\r'),
	('QZ', 2857, 'BDO', 3896, 'SIN', 3316, '', 0, '320\r'),
	('QZ', 2857, 'BDO', 3896, 'SUB', 3928, '', 0, '320\r'),
	('QZ', 2857, 'BKI', 3269, 'DPS', 3940, '', 0, '320\r'),
	('QZ', 2857, 'CGK', 3275, 'DMK', 3157, '', 0, '320\r'),
	('QZ', 2857, 'CGK', 3275, 'DPS', 3940, '', 0, '320\r'),
	('QZ', 2857, 'CGK', 3275, 'HKT', 3179, '', 0, '320\r'),
	('QZ', 2857, 'CGK', 3275, 'JHB', 3303, '', 0, '320\r'),
	('QZ', 2857, 'CGK', 3275, 'JOG', 3898, '', 0, '320\r'),
	('QZ', 2857, 'CGK', 3275, 'KUL', 3304, '', 0, '320\r'),
	('QZ', 2857, 'CGK', 3275, 'PEN', 3308, '', 0, '320\r'),
	('QZ', 2857, 'CGK', 3275, 'SIN', 3316, '', 0, '320\r'),
	('QZ', 2857, 'CGK', 3275, 'SUB', 3928, '', 0, '320\r'),
	('QZ', 2857, 'DMK', 3157, 'CGK', 3275, '', 0, '320\r'),
	('QZ', 2857, 'DMK', 3157, 'SUB', 3928, '', 0, '320\r'),
	('QZ', 2857, 'DPS', 3940, 'BDO', 3896, '', 0, '320\r'),
	('QZ', 2857, 'DPS', 3940, 'BKI', 3269, '', 0, '320\r'),
	('QZ', 2857, 'DPS', 3940, 'CGK', 3275, '', 0, '320\r'),
	('QZ', 2857, 'DPS', 3940, 'DRW', 3999, '', 0, '320\r'),
	('QZ', 2857, 'DPS', 3940, 'JOG', 3898, '', 0, '320\r'),
	('QZ', 2857, 'DPS', 3940, 'KUL', 3304, '', 0, '320\r'),
	('QZ', 2857, 'DPS', 3940, 'PER', 3351, '', 0, '320\r'),
	('QZ', 2857, 'DPS', 3940, 'SIN', 3316, '', 0, '320\r'),
	('QZ', 2857, 'DPS', 3940, 'SUB', 3928, '', 0, '320\r'),
	('QZ', 2857, 'DPS', 3940, 'UPG', 3240, '', 0, '320\r'),
	('QZ', 2857, 'DRW', 3999, 'DPS', 3940, '', 0, '320\r'),
	('QZ', 2857, 'HKT', 3179, 'CGK', 3275, '', 0, '320\r'),
	('QZ', 2857, 'JHB', 3303, 'BDO', 3896, '', 0, '320\r'),
	('QZ', 2857, 'JHB', 3303, 'CGK', 3275, '', 0, '320\r'),
	('QZ', 2857, 'JHB', 3303, 'SUB', 3928, '', 0, '320\r'),
	('QZ', 2857, 'JOG', 3898, 'CGK', 3275, '', 0, '320\r'),
	('QZ', 2857, 'JOG', 3898, 'DPS', 3940, '', 0, '320\r'),
	('QZ', 2857, 'JOG', 3898, 'SIN', 3316, '', 0, '320\r'),
	('QZ', 2857, 'KUL', 3304, 'BDO', 3896, '', 0, '320\r'),
	('QZ', 2857, 'KUL', 3304, 'CGK', 3275, '', 0, '320\r'),
	('QZ', 2857, 'KUL', 3304, 'DPS', 3940, '', 0, '320\r'),
	('QZ', 2857, 'KUL', 3304, 'SUB', 3928, '', 0, '320\r'),
	('QZ', 2857, 'PEN', 3308, 'CGK', 3275, '', 0, '320\r'),
	('QZ', 2857, 'PEN', 3308, 'SUB', 3928, '', 0, '320\r'),
	('QZ', 2857, 'PER', 3351, 'DPS', 3940, '', 0, '320\r'),
	('QZ', 2857, 'PKU', 3273, 'BDO', 3896, '', 0, '320\r'),
	('QZ', 2857, 'SIN', 3316, 'BDO', 3896, '', 0, '320\r'),
	('QZ', 2857, 'SIN', 3316, 'CGK', 3275, '', 0, '320\r'),
	('QZ', 2857, 'SIN', 3316, 'DPS', 3940, '', 0, '320\r'),
	('QZ', 2857, 'SIN', 3316, 'JOG', 3898, '', 0, '320\r'),
	('QZ', 2857, 'SIN', 3316, 'SRG', 3901, '', 0, '320\r'),
	('QZ', 2857, 'SIN', 3316, 'SUB', 3928, '', 0, '320\r'),
	('QZ', 2857, 'SRG', 3901, 'SIN', 3316, '', 0, '320\r'),
	('QZ', 2857, 'SUB', 3928, 'BDO', 3896, '', 0, '320\r'),
	('QZ', 2857, 'SUB', 3928, 'CGK', 3275, '', 0, '320\r'),
	('QZ', 2857, 'SUB', 3928, 'DMK', 3157, '', 0, '320\r'),
	('QZ', 2857, 'SUB', 3928, 'DPS', 3940, '', 0, '320\r'),
	('QZ', 2857, 'SUB', 3928, 'JHB', 3303, '', 0, '320\r'),
	('QZ', 2857, 'SUB', 3928, 'KUL', 3304, '', 0, '320\r'),
	('QZ', 2857, 'SUB', 3928, 'PEN', 3308, '', 0, '320\r'),
	('QZ', 2857, 'SUB', 3928, 'SIN', 3316, '', 0, '320\r'),
	('QZ', 2857, 'SUB', 3928, 'UPG', 3240, '', 0, '320\r'),
	('QZ', 2857, 'UPG', 3240, 'DPS', 3940, '', 0, '320\r'),
	('QZ', 2857, 'UPG', 3240, 'SUB', 3928, '', 0, '320\r'),
	('R2', 3805, 'DME', 4029, 'OSW', 6164, '', 0, '738\r'),
	('R2', 3805, 'DME', 4029, 'REN', 2991, '', 0, '738\r'),
	('R2', 3805, 'LBD', 6147, 'REN', 2991, '', 0, '738\r'),
	('R2', 3805, 'LED', 2948, 'REN', 2991, '', 0, '738\r'),
	('R2', 3805, 'OSW', 6164, 'DME', 4029, '', 0, '738\r'),
	('R2', 3805, 'REN', 2991, 'DME', 4029, '', 0, '738\r'),
	('R2', 3805, 'REN', 2991, 'DYU', 2979, '', 0, '738\r'),
	('R2', 3805, 'REN', 2991, 'LBD', 6147, '', 0, '738\r'),
	('R2', 3805, 'REN', 2991, 'LED', 2948, '', 0, '738\r'),
	('R3', 1287, 'AER', 2965, 'KRR', 2960, '', 0, 'DH4\r'),
	('R3', 1287, 'BQS', 2926, 'KHV', 2927, '', 0, 'DH4\r'),
	('R3', 1287, 'BQS', 2926, 'YKS', 2923, '', 0, 'DH4\r'),
	('R3', 1287, 'BTK', 2936, 'VKO', 2988, '', 0, '73W\r'),
	('R3', 1287, 'CKH', 6093, 'YKS', 2923, '', 0, 'A40\r'),
	('R3', 1287, 'CYX', 6094, 'YKS', 2923, '', 0, 'A40\r'),
	('R3', 1287, 'DYR', 6098, 'KHV', 2927, '', 0, '73W\r'),
	('R3', 1287, 'DYU', 2979, 'IKT', 2937, '', 0, '73W\r'),
	('R3', 1287, 'DYU', 2979, 'KRR', 2960, '', 0, '73W\r'),
	('R3', 1287, 'EGO', 6156, 'KRR', 2960, '', 0, 'DH4\r'),
	('R3', 1287, 'FEG', 6149, 'KRR', 2960, '', 0, '73H\r'),
	('R3', 1287, 'GDX', 2930, 'KHV', 2927, '', 0, 'SU9\r'),
	('R3', 1287, 'HRB', 3400, 'YKS', 2923, '', 0, 'SU9\r'),
	('R3', 1287, 'IKS', 6095, 'YKS', 2923, '', 0, 'DH4 A40\r'),
	('R3', 1287, 'IKT', 2937, 'DYU', 2979, '', 0, '73W\r'),
	('R3', 1287, 'IKT', 2937, 'TAS', 2983, '', 0, '73H\r'),
	('R3', 1287, 'IKT', 2937, 'YKS', 2923, '', 0, '73W 73H\r'),
	('R3', 1287, 'KHV', 2927, 'BQS', 2926, '', 0, 'DH4\r'),
	('R3', 1287, 'KHV', 2927, 'DYR', 6098, '', 0, '73W\r'),
	('R3', 1287, 'KHV', 2927, 'GDX', 2930, '', 0, 'SU9\r'),
	('R3', 1287, 'KHV', 2927, 'OHH', 7479, '', 0, 'DH4\r'),
	('R3', 1287, 'KHV', 2927, 'YKS', 2923, '', 0, 'SU9 DH4 73W\r'),
	('R3', 1287, 'KJA', 4374, 'YKS', 2923, '', 0, 'DH4\r'),
	('R3', 1287, 'KRR', 2960, 'AER', 2965, '', 0, 'DH4\r'),
	('R3', 1287, 'KRR', 2960, 'DYU', 2979, '', 0, '73W\r'),
	('R3', 1287, 'KRR', 2960, 'EGO', 6156, '', 0, 'DH4\r'),
	('R3', 1287, 'KRR', 2960, 'FEG', 6149, '', 0, '73H\r'),
	('R3', 1287, 'KRR', 2960, 'IST', 1701, '', 0, '73W\r'),
	('R3', 1287, 'KRR', 2960, 'LCA', 1197, '', 0, '73W\r'),
	('R3', 1287, 'KRR', 2960, 'MCX', 2961, '', 0, 'DH4\r'),
	('R3', 1287, 'KRR', 2960, 'NUX', 4364, '', 0, '73W\r'),
	('R3', 1287, 'KRR', 2960, 'PRG', 1587, '', 0, '73W 73H\r'),
	('R3', 1287, 'KRR', 2960, 'RMI', 1546, '', 0, '73H\r'),
	('R3', 1287, 'KRR', 2960, 'TAS', 2983, '', 0, '73W\r'),
	('R3', 1287, 'KRR', 2960, 'TLV', 1590, '', 0, '73W\r'),
	('R3', 1287, 'KRR', 2960, 'VKO', 2988, '', 0, '73W\r'),
	('R3', 1287, 'LCA', 1197, 'KRR', 2960, '', 0, '73W\r'),
	('R3', 1287, 'LED', 2948, 'YKS', 2923, '', 0, '73H\r'),
	('R3', 1287, 'MCX', 2961, 'KRR', 2960, '', 0, 'DH4\r'),
	('R3', 1287, 'MJZ', 2925, 'YKS', 2923, '', 0, 'A40\r'),
	('R3', 1287, 'MRV', 2962, 'TLV', 1590, '', 0, '73W\r'),
	('R3', 1287, 'NUX', 4364, 'KRR', 2960, '', 0, '73W\r'),
	('R3', 1287, 'OHH', 7479, 'KHV', 2927, '', 0, 'DH4\r'),
	('R3', 1287, 'PEK', 3364, 'YKS', 2923, '', 0, '73W\r'),
	('R3', 1287, 'PRG', 1587, 'KRR', 2960, '', 0, '73W 73H\r'),
	('R3', 1287, 'PWE', 2931, 'VKO', 2988, '', 0, '752\r'),
	('R3', 1287, 'PYJ', 6092, 'YKS', 2923, '', 0, 'A40\r'),
	('R3', 1287, 'RMI', 1546, 'KRR', 2960, '', 0, '73H\r'),
	('R3', 1287, 'TAS', 2983, 'IKT', 2937, '', 0, '73H\r'),
	('R3', 1287, 'TAS', 2983, 'KRR', 2960, '', 0, '73W\r'),
	('R3', 1287, 'TLV', 1590, 'KRR', 2960, '', 0, '73W\r'),
	('R3', 1287, 'TLV', 1590, 'MRV', 2962, '', 0, '73W\r'),
	('R3', 1287, 'ULK', 9026, 'YKS', 2923, '', 0, 'A40\r'),
	('R3', 1287, 'UUD', 2938, 'YKS', 2923, '', 0, 'DH4\r'),
	('R3', 1287, 'VKO', 2988, 'BTK', 2936, '', 0, '73W\r'),
	('R3', 1287, 'VKO', 2988, 'KRR', 2960, '', 0, '73W\r'),
	('R3', 1287, 'VKO', 2988, 'PWE', 2931, '', 0, '752\r'),
	('R3', 1287, 'VKO', 2988, 'YKS', 2923, '', 0, '73H\r'),
	('R3', 1287, 'VVO', 2934, 'YKS', 2923, '', 0, 'SU9\r'),
	('R3', 1287, 'YKS', 2923, 'BQS', 2926, '', 0, 'DH4\r'),
	('R3', 1287, 'YKS', 2923, 'CKH', 6093, '', 0, 'A40\r'),
	('R3', 1287, 'YKS', 2923, 'CYX', 6094, '', 0, 'A40\r'),
	('R3', 1287, 'YKS', 2923, 'HRB', 3400, '', 0, 'SU9\r'),
	('R3', 1287, 'YKS', 2923, 'IKS', 6095, '', 0, 'DH4 A40\r'),
	('R3', 1287, 'YKS', 2923, 'IKT', 2937, '', 0, '73W 73H\r'),
	('R3', 1287, 'YKS', 2923, 'KHV', 2927, '', 0, 'SU9 DH4 73W\r'),
	('R3', 1287, 'YKS', 2923, 'KJA', 4374, '', 0, 'DH4\r'),
	('R3', 1287, 'YKS', 2923, 'LED', 2948, '', 0, '73H\r'),
	('R3', 1287, 'YKS', 2923, 'MJZ', 2925, '', 0, 'A40\r'),
	('R3', 1287, 'YKS', 2923, 'PEK', 3364, '', 0, '73W\r'),
	('R3', 1287, 'YKS', 2923, 'PYJ', 6092, '', 0, 'A40\r'),
	('R3', 1287, 'YKS', 2923, 'ULK', 9026, '', 0, 'A40\r'),
	('R3', 1287, 'YKS', 2923, 'UUD', 2938, '', 0, 'DH4\r'),
	('R3', 1287, 'YKS', 2923, 'VKO', 2988, '', 0, '73H\r'),
	('R3', 1287, 'YKS', 2923, 'VVO', 2934, '', 0, 'SU9\r'),
	('R7', 622, 'AUA', 2895, 'CCS', 2851, '', 0, 'M80\r'),
	('R7', 622, 'BLA', 2821, 'CCS', 2851, '', 0, 'M80 DC9\r'),
	('R7', 622, 'BLA', 2821, 'PZO', 2856, '', 0, 'M80\r'),
	('R7', 622, 'BLA', 2821, 'VLN', 2868, '', 0, 'M80\r'),
	('R7', 622, 'BRM', 2824, 'CCS', 2851, '', 0, 'DC9 M80\r'),
	('R7', 622, 'CCS', 2851, 'AUA', 2895, '', 0, 'M80\r'),
	('R7', 622, 'CCS', 2851, 'BLA', 2821, '', 0, 'M80 DC9\r'),
	('R7', 622, 'CCS', 2851, 'BRM', 2824, '', 0, 'DC9\r'),
	('R7', 622, 'CCS', 2851, 'LSP', 2844, '', 0, 'DC9\r'),
	('R7', 622, 'CCS', 2851, 'MAR', 2848, '', 0, 'DC9 M80\r'),
	('R7', 622, 'CCS', 2851, 'MUN', 2852, '', 0, 'DC9\r'),
	('R7', 622, 'CCS', 2851, 'PMV', 2850, '', 0, 'M80 DC9\r'),
	('R7', 622, 'CCS', 2851, 'PZO', 2856, '', 0, 'DC9 M80\r'),
	('R7', 622, 'CCS', 2851, 'STD', 2861, '', 0, 'M80 DC9\r'),
	('R7', 622, 'LSP', 2844, 'CCS', 2851, '', 0, 'DC9\r'),
	('R7', 622, 'MAR', 2848, 'CCS', 2851, '', 0, 'M80 DC9\r'),
	('R7', 622, 'MAR', 2848, 'VLN', 2868, '', 0, 'M80\r'),
	('R7', 622, 'MUN', 2852, 'CCS', 2851, '', 0, 'DC9\r'),
	('R7', 622, 'PMV', 2850, 'CCS', 2851, '', 0, 'M80 DC9\r'),
	('R7', 622, 'PMV', 2850, 'PZO', 2856, '', 0, 'M80\r'),
	('R7', 622, 'PZO', 2856, 'BLA', 2821, '', 0, 'M80\r'),
	('R7', 622, 'PZO', 2856, 'CCS', 2851, '', 0, 'M80 DC9\r'),
	('R7', 622, 'PZO', 2856, 'PMV', 2850, '', 0, 'M80\r'),
	('R7', 622, 'STD', 2861, 'CCS', 2851, '', 0, 'M80 DC9\r'),
	('R7', 622, 'VLN', 2868, 'BLA', 2821, '', 0, 'M80\r'),
	('R7', 622, 'VLN', 2868, 'MAR', 2848, '', 0, 'M80\r'),
	('RA', 3637, 'BKK', 3885, 'KTM', 3125, '', 0, '757\r'),
	('RA', 3637, 'DOH', 2241, 'KTM', 3125, '', 0, '757\r'),
	('RA', 3637, 'HKG', 3077, 'KTM', 3125, '', 0, '757\r'),
	('RA', 3637, 'KTM', 3125, 'BKK', 3885, '', 0, '757\r'),
	('RA', 3637, 'KTM', 3125, 'DOH', 2241, '', 0, '757\r'),
	('RA', 3637, 'KTM', 3125, 'HKG', 3077, '', 0, '757\r'),
	('RA', 3637, 'KTM', 3125, 'KUL', 3304, '', 0, '757\r'),
	('RA', 3637, 'KUL', 3304, 'KTM', 3125, '', 0, '757\r'),
	('RC', 881, 'BGO', 636, 'FAE', 625, '', 0, '319\r'),
	('RC', 881, 'BLL', 608, 'FAE', 625, '', 0, '319\r'),
	('RC', 881, 'CPH', 609, 'FAE', 625, '', 0, '319\r'),
	('RC', 881, 'FAE', 625, 'BGO', 636, '', 0, '319\r'),
	('RC', 881, 'FAE', 625, 'BLL', 608, '', 0, '319\r'),
	('RC', 881, 'FAE', 625, 'CPH', 609, '', 0, '319\r'),
	('RC', 881, 'FAE', 625, 'SVG', 666, '', 0, '319\r'),
	('RC', 881, 'SVG', 666, 'BGO', 636, '', 0, '319\r'),
	('RC', 881, 'SVG', 666, 'FAE', 625, '', 0, '319\r'),
	('RG', 5368, 'AZI', 2180, 'DXB', 2188, '', 0, 'ERJ\r'),
	('RG', 5368, 'AZI', 2180, 'FJR', 2189, '', 0, 'ERJ\r'),
	('RG', 5368, 'AZI', 2180, 'XSB', 8961, '', 0, 'ERJ\r'),
	('RG', 5368, 'AZI', 2180, 'ZDY', 8962, '', 0, 'ERJ\r'),
	('RG', 5368, 'DXB', 2188, 'AZI', 2180, '', 0, 'ERJ\r'),
	('RG', 5368, 'DXB', 2188, 'XSB', 8961, '', 0, 'ERJ\r'),
	('RG', 5368, 'FJR', 2189, 'AZI', 2180, '', 0, 'ERJ\r'),
	('RG', 5368, 'XSB', 8961, 'AZI', 2180, '', 0, 'ERJ\r'),
	('RG', 5368, 'XSB', 8961, 'DXB', 2188, '', 0, 'ERJ\r'),
	('RG', 5368, 'ZDY', 8962, 'AZI', 2180, '', 0, 'ERJ\r'),
	('RI', 3391, 'BKK', 3885, 'CGK', 3275, '', 0, '320\r'),
	('RI', 3391, 'CGK', 3275, 'BKK', 3885, '', 0, '320\r'),
	('RI', 3391, 'CGK', 3275, 'DPS', 3940, '', 0, '320\r'),
	('RI', 3391, 'CGK', 3275, 'PKU', 3273, '', 0, '320\r'),
	('RI', 3391, 'CGK', 3275, 'SIN', 3316, '', 0, '320\r'),
	('RI', 3391, 'DPS', 3940, 'CGK', 3275, '', 0, '320\r'),
	('RI', 3391, 'DPS', 3940, 'HKG', 3077, '', 0, '320\r'),
	('RI', 3391, 'DPS', 3940, 'SIN', 3316, '', 0, '320\r'),
	('RI', 3391, 'HKG', 3077, 'DPS', 3940, '', 0, '320\r'),
	('RI', 3391, 'JOG', 3898, 'PKU', 3273, '', 0, '320\r'),
	('RI', 3391, 'JOG', 3898, 'PLM', 3289, '', 0, '320\r'),
	('RI', 3391, 'PKU', 3273, 'CGK', 3275, '', 0, '320\r'),
	('RI', 3391, 'PKU', 3273, 'JOG', 3898, '', 0, '320\r'),
	('RI', 3391, 'PLM', 3289, 'JOG', 3898, '', 0, '320\r'),
	('RI', 3391, 'SIN', 3316, 'CGK', 3275, '', 0, '320\r'),
	('RI', 3391, 'SIN', 3316, 'DPS', 3940, '', 0, '320\r'),
	('RJ', 4259, 'ADE', 3977, 'AMM', 2170, '', 0, '320 E95 E75\r'),
	('RJ', 4259, 'ALG', 210, 'AMM', 2170, '', 0, '320\r'),
	('RJ', 4259, 'AMM', 2170, 'ADE', 3977, '', 0, '320 E95 E75\r'),
	('RJ', 4259, 'AMM', 2170, 'ALG', 210, '', 0, '320 319\r'),
	('RJ', 4259, 'AMM', 2170, 'AMS', 580, '', 0, '321 319\r'),
	('RJ', 4259, 'AMM', 2170, 'AQJ', 2172, '', 0, '320 E95 E75 319\r'),
	('RJ', 4259, 'AMM', 2170, 'ATH', 3941, '', 0, 'E75 E95\r'),
	('RJ', 4259, 'AMM', 2170, 'AUH', 2179, '', 0, '319 320\r'),
	('RJ', 4259, 'AMM', 2170, 'BAH', 2057, 'Y', 0, '320 321\r'),
	('RJ', 4259, 'AMM', 2170, 'BCN', 1218, '', 0, '320\r'),
	('RJ', 4259, 'AMM', 2170, 'BEN', 1154, '', 0, 'E95 319 E75\r'),
	('RJ', 4259, 'AMM', 2170, 'BEY', 2177, '', 0, 'E75 E95 320 319\r'),
	('RJ', 4259, 'AMM', 2170, 'BGW', 4130, '', 0, '320 E75 E95\r'),
	('RJ', 4259, 'AMM', 2170, 'BKK', 3885, '', 0, '330\r'),
	('RJ', 4259, 'AMM', 2170, 'BOM', 2997, '', 0, '319\r'),
	('RJ', 4259, 'AMM', 2170, 'BSR', 2234, '', 0, 'E95 E75\r'),
	('RJ', 4259, 'AMM', 2170, 'CAI', 1128, '', 0, 'E95 E75 319\r'),
	('RJ', 4259, 'AMM', 2170, 'CDG', 1382, '', 0, '319 320 321\r'),
	('RJ', 4259, 'AMM', 2170, 'DEL', 3093, '', 0, '319\r'),
	('RJ', 4259, 'AMM', 2170, 'DME', 4029, '', 0, '320 321\r'),
	('RJ', 4259, 'AMM', 2170, 'DMM', 2064, '', 0, 'E95 320\r'),
	('RJ', 4259, 'AMM', 2170, 'DOH', 2241, '', 0, '319 E95 320\r'),
	('RJ', 4259, 'AMM', 2170, 'DXB', 2188, '', 0, '320 321 330\r'),
	('RJ', 4259, 'AMM', 2170, 'EBL', 3989, '', 0, '319 E95 E75\r'),
	('RJ', 4259, 'AMM', 2170, 'FCO', 1555, '', 0, '320 321 319\r'),
	('RJ', 4259, 'AMM', 2170, 'FRA', 340, '', 0, '319\r'),
	('RJ', 4259, 'AMM', 2170, 'GVA', 1665, '', 0, '320 319\r'),
	('RJ', 4259, 'AMM', 2170, 'IST', 1701, '', 0, '320 E75 319 E95\r'),
	('RJ', 4259, 'AMM', 2170, 'ISU', 5952, '', 0, 'E75\r'),
	('RJ', 4259, 'AMM', 2170, 'JED', 2072, '', 0, '321 E95 320 E75 319\r'),
	('RJ', 4259, 'AMM', 2170, 'JFK', 3797, '', 0, '340 330\r'),
	('RJ', 4259, 'AMM', 2170, 'KBP', 2939, '', 0, 'E95\r'),
	('RJ', 4259, 'AMM', 2170, 'KRT', 1175, '', 0, '320\r'),
	('RJ', 4259, 'AMM', 2170, 'KWI', 2176, '', 0, 'E95 320\r'),
	('RJ', 4259, 'AMM', 2170, 'LCA', 1197, '', 0, 'E95 E75 319\r'),
	('RJ', 4259, 'AMM', 2170, 'LHR', 507, '', 0, '330 321\r'),
	('RJ', 4259, 'AMM', 2170, 'LOS', 273, '', 0, '320\r'),
	('RJ', 4259, 'AMM', 2170, 'MAD', 1229, '', 0, '319 320\r'),
	('RJ', 4259, 'AMM', 2170, 'MCT', 2194, '', 0, '73G 73J\r'),
	('RJ', 4259, 'AMM', 2170, 'MED', 2074, '', 0, '320 340 321\r'),
	('RJ', 4259, 'AMM', 2170, 'MRA', 5804, '', 0, 'E95 E75\r'),
	('RJ', 4259, 'AMM', 2170, 'MUC', 346, '', 0, '319\r'),
	('RJ', 4259, 'AMM', 2170, 'ORD', 3830, '', 0, '340\r'),
	('RJ', 4259, 'AMM', 2170, 'OTP', 1657, '', 0, '318\r'),
	('RJ', 4259, 'AMM', 2170, 'RUH', 2082, '', 0, 'E75 320 E95 340\r'),
	('RJ', 4259, 'AMM', 2170, 'SAH', 3980, '', 0, '320 340\r'),
	('RJ', 4259, 'AMM', 2170, 'SSH', 4057, '', 0, '320\r'),
	('RJ', 4259, 'AMM', 2170, 'TIP', 1157, '', 0, 'E95 321 320 330\r'),
	('RJ', 4259, 'AMM', 2170, 'TLV', 1590, '', 0, 'E75 E95 320 319\r'),
	('RJ', 4259, 'AMM', 2170, 'TUN', 287, '', 0, '319 E75 E95\r'),
	('RJ', 4259, 'AMM', 2170, 'TXL', 351, '', 0, '320 319\r'),
	('RJ', 4259, 'AMM', 2170, 'VIE', 1613, '', 0, '320 319\r'),
	('RJ', 4259, 'AMM', 2170, 'YUL', 146, '', 0, '330\r'),
	('RJ', 4259, 'AMM', 2170, 'ZRH', 1678, '', 0, '319\r'),
	('RJ', 4259, 'AMS', 580, 'AMM', 2170, '', 0, '321 319\r'),
	('RJ', 4259, 'AQJ', 2172, 'AMM', 2170, '', 0, '320 E95 E75 319\r'),
	('RJ', 4259, 'ATH', 3941, 'AMM', 2170, '', 0, 'E75 E95\r'),
	('RJ', 4259, 'AUH', 2179, 'AMM', 2170, '', 0, '319 320\r'),
	('RJ', 4259, 'BAH', 2057, 'AMM', 2170, 'Y', 0, '320 321\r'),
	('RJ', 4259, 'BCN', 1218, 'AMM', 2170, '', 0, '320\r'),
	('RJ', 4259, 'BEN', 1154, 'AMM', 2170, '', 0, 'E95 319 E75\r'),
	('RJ', 4259, 'BEY', 2177, 'AMM', 2170, '', 0, 'E75 E95 320 319\r'),
	('RJ', 4259, 'BGW', 4130, 'AMM', 2170, '', 0, '320 E75 E95\r'),
	('RJ', 4259, 'BKK', 3885, 'AMM', 2170, '', 0, '330\r'),
	('RJ', 4259, 'BKK', 3885, 'HKG', 3077, '', 0, '330\r'),
	('RJ', 4259, 'BKK', 3885, 'KUL', 3304, '', 0, '330\r'),
	('RJ', 4259, 'BOM', 2997, 'AMM', 2170, '', 0, '319\r'),
	('RJ', 4259, 'BSR', 2234, 'AMM', 2170, '', 0, 'E95 E75\r'),
	('RJ', 4259, 'CAI', 1128, 'AMM', 2170, '', 0, 'E95 E75 319\r'),
	('RJ', 4259, 'CDG', 1382, 'AMM', 2170, '', 0, '319 320 321\r'),
	('RJ', 4259, 'CPH', 609, 'VIE', 1613, 'Y', 0, 'E90\r'),
	('RJ', 4259, 'DEL', 3093, 'AMM', 2170, '', 0, '319\r'),
	('RJ', 4259, 'DME', 4029, 'AMM', 2170, '', 0, '320 321\r'),
	('RJ', 4259, 'DMM', 2064, 'AMM', 2170, '', 0, 'E95 320\r'),
	('RJ', 4259, 'DOH', 2241, 'AMM', 2170, '', 0, '319 E95 320\r'),
	('RJ', 4259, 'DTW', 3645, 'YUL', 146, '', 0, '330\r'),
	('RJ', 4259, 'DXB', 2188, 'AMM', 2170, '', 0, '321 320 330\r'),
	('RJ', 4259, 'EBL', 3989, 'AMM', 2170, '', 0, '319 E95 E75\r'),
	('RJ', 4259, 'FCO', 1555, 'AMM', 2170, '', 0, '320 321 319\r'),
	('RJ', 4259, 'FRA', 340, 'AMM', 2170, '', 0, '319\r'),
	('RJ', 4259, 'GVA', 1665, 'AMM', 2170, '', 0, '319\r'),
	('RJ', 4259, 'GVA', 1665, 'ZRH', 1678, '', 0, '320\r'),
	('RJ', 4259, 'HKG', 3077, 'BKK', 3885, '', 0, '330\r'),
	('RJ', 4259, 'IST', 1701, 'AMM', 2170, '', 0, '320 E75 319 E95\r'),
	('RJ', 4259, 'ISU', 5952, 'AMM', 2170, '', 0, 'E75\r'),
	('RJ', 4259, 'JED', 2072, 'AMM', 2170, '', 0, '321 E95 320 E75 319\r'),
	('RJ', 4259, 'JFK', 3797, 'AMM', 2170, '', 0, '340 330\r'),
	('RJ', 4259, 'KBP', 2939, 'AMM', 2170, '', 0, 'E95\r'),
	('RJ', 4259, 'KRT', 1175, 'AMM', 2170, '', 0, '320\r'),
	('RJ', 4259, 'KUL', 3304, 'BKK', 3885, '', 0, '330\r'),
	('RJ', 4259, 'KWI', 2176, 'AMM', 2170, '', 0, '320 E95\r'),
	('RJ', 4259, 'LCA', 1197, 'AMM', 2170, '', 0, 'E95 E75 319\r'),
	('RJ', 4259, 'LHR', 507, 'AMM', 2170, '', 0, '330 321\r'),
	('RJ', 4259, 'LOS', 273, 'AMM', 2170, '', 0, '320\r'),
	('RJ', 4259, 'MAD', 1229, 'AMM', 2170, '', 0, '319 320\r'),
	('RJ', 4259, 'MCT', 2194, 'AMM', 2170, '', 0, '73G 73J\r'),
	('RJ', 4259, 'MED', 2074, 'AMM', 2170, '', 0, '320 340 321\r'),
	('RJ', 4259, 'MRA', 5804, 'AMM', 2170, '', 0, 'E95 E75\r'),
	('RJ', 4259, 'MUC', 346, 'AMM', 2170, '', 0, '319\r'),
	('RJ', 4259, 'MUC', 346, 'VIE', 1613, 'Y', 0, 'E90\r'),
	('RJ', 4259, 'MXP', 1524, 'VIE', 1613, '', 0, 'E90\r'),
	('RJ', 4259, 'ORD', 3830, 'AMM', 2170, '', 0, '340\r'),
	('RJ', 4259, 'OTP', 1657, 'AMM', 2170, '', 0, '318\r'),
	('RJ', 4259, 'RUH', 2082, 'AMM', 2170, '', 0, 'E75 320 E95 340\r'),
	('RJ', 4259, 'SAH', 3980, 'AMM', 2170, '', 0, '320 340\r'),
	('RJ', 4259, 'SSH', 4057, 'AMM', 2170, '', 0, '320\r'),
	('RJ', 4259, 'TIP', 1157, 'AMM', 2170, '', 0, 'E95 321 320 330\r'),
	('RJ', 4259, 'TLV', 1590, 'AMM', 2170, '', 0, 'E75 E95 320 319\r'),
	('RJ', 4259, 'TUN', 287, 'AMM', 2170, '', 0, '319 E75 E95\r'),
	('RJ', 4259, 'TXL', 351, 'AMM', 2170, '', 0, '320 319\r'),
	('RJ', 4259, 'VIE', 1613, 'AMM', 2170, '', 0, '320 319\r'),
	('RJ', 4259, 'VIE', 1613, 'CPH', 609, 'Y', 0, 'E90\r'),
	('RJ', 4259, 'VIE', 1613, 'MUC', 346, 'Y', 0, 'E90\r'),
	('RJ', 4259, 'VIE', 1613, 'MXP', 1524, '', 0, 'E90\r'),
	('RJ', 4259, 'VIE', 1613, 'ZRH', 1678, '', 0, '320\r'),
	('RJ', 4259, 'YUL', 146, 'AMM', 2170, '', 0, '330\r'),
	('RJ', 4259, 'YUL', 146, 'DTW', 3645, '', 0, '330\r'),
	('RJ', 4259, 'ZRH', 1678, 'AMM', 2170, '', 0, '320 319\r'),
	('RJ', 4259, 'ZRH', 1678, 'GVA', 1665, '', 0, '319\r'),
	('RJ', 4259, 'ZRH', 1678, 'VIE', 1613, '', 0, '321 E90\r'),
	('RL', 11857, 'AMM', 2170, 'CAI', 1128, '', 0, '737\r'),
	('RL', 11857, 'AMM', 2170, 'EBL', 3989, '', 0, '320\r'),
	('RL', 11857, 'AMM', 2170, 'JED', 2072, '', 0, '320\r'),
	('RL', 11857, 'CAI', 1128, 'AMM', 2170, '', 0, '737\r'),
	('RL', 11857, 'EBL', 3989, 'AMM', 2170, '', 0, '320\r'),
	('RL', 11857, 'JED', 2072, 'AMM', 2170, '', 0, '320\r'),
	('RL', 11857, 'NJF', 7490, 'AMM', 2170, '', 0, '320\r'),
	('RO', 5179, 'AMM', 2170, 'OTP', 1657, '', 0, '318\r'),
	('RO', 5179, 'AMS', 580, 'OTP', 1657, '', 0, '733\r'),
	('RO', 5179, 'ATH', 3941, 'OTP', 1657, '', 0, '73W\r'),
	('RO', 5179, 'BAY', 1649, 'OTP', 1657, '', 0, 'AT5\r'),
	('RO', 5179, 'BCN', 1218, 'OTP', 1657, '', 0, '73W\r'),
	('RO', 5179, 'BEG', 1739, 'OTP', 1657, '', 0, 'AT5 AT7\r'),
	('RO', 5179, 'BEY', 2177, 'OTP', 1657, '', 0, '733\r'),
	('RO', 5179, 'BLQ', 1538, 'IAS', 1655, '', 0, '733\r'),
	('RO', 5179, 'BRU', 302, 'OTP', 1657, '', 0, '318 733\r'),
	('RO', 5179, 'BUD', 1489, 'OTP', 1657, '', 0, 'AT5 AT7\r'),
	('RO', 5179, 'CDG', 1382, 'OTP', 1657, '', 0, '73W 318\r'),
	('RO', 5179, 'CLJ', 1652, 'OTP', 1657, '', 0, '318 AT7 AT5\r'),
	('RO', 5179, 'CLJ', 1652, 'PRG', 1587, '', 0, 'AT5\r'),
	('RO', 5179, 'CLJ', 1652, 'VIE', 1613, '', 0, 'AT5\r'),
	('RO', 5179, 'DUB', 599, 'OTP', 1657, '', 0, '73W\r'),
	('RO', 5179, 'DXB', 2188, 'OTP', 1657, '', 0, '73W\r'),
	('RO', 5179, 'FCO', 1555, 'IAS', 1655, '', 0, '733\r'),
	('RO', 5179, 'FCO', 1555, 'OTP', 1657, '', 0, '733\r'),
	('RO', 5179, 'FRA', 340, 'OTP', 1657, '', 0, '318\r'),
	('RO', 5179, 'GVA', 1665, 'OTP', 1657, '', 0, '733 318\r'),
	('RO', 5179, 'IAS', 1655, 'BLQ', 1538, '', 0, '733\r'),
	('RO', 5179, 'IAS', 1655, 'FCO', 1555, '', 0, '733\r'),
	('RO', 5179, 'IAS', 1655, 'LTN', 492, '', 0, '733\r'),
	('RO', 5179, 'IAS', 1655, 'OTP', 1657, '', 0, 'AT7 AT5\r'),
	('RO', 5179, 'IAS', 1655, 'TLV', 1590, '', 0, '733\r'),
	('RO', 5179, 'IAS', 1655, 'TRN', 1526, '', 0, '733\r'),
	('RO', 5179, 'IAS', 1655, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('RO', 5179, 'IST', 1701, 'OTP', 1657, '', 0, '318\r'),
	('RO', 5179, 'KIV', 1735, 'OTP', 1657, '', 0, 'AT5 AT7\r'),
	('RO', 5179, 'LCA', 1197, 'OTP', 1657, '', 0, '318\r'),
	('RO', 5179, 'LHR', 507, 'OTP', 1657, '', 0, '318\r'),
	('RO', 5179, 'LIN', 1529, 'OTP', 1657, 'Y', 0, '32S\r'),
	('RO', 5179, 'LTN', 492, 'IAS', 1655, '', 0, '733\r'),
	('RO', 5179, 'MAD', 1229, 'OTP', 1657, '', 0, '73H\r'),
	('RO', 5179, 'MUC', 346, 'OTP', 1657, '', 0, '733\r'),
	('RO', 5179, 'MUC', 346, 'SBZ', 1658, '', 0, '73W\r'),
	('RO', 5179, 'NCE', 1354, 'OTP', 1657, '', 0, '733\r'),
	('RO', 5179, 'OMR', 1656, 'OTP', 1657, '', 0, 'AT5\r'),
	('RO', 5179, 'OTP', 1657, 'AMM', 2170, '', 0, '318\r'),
	('RO', 5179, 'OTP', 1657, 'AMS', 580, '', 0, '733\r'),
	('RO', 5179, 'OTP', 1657, 'ATH', 3941, '', 0, '733\r'),
	('RO', 5179, 'OTP', 1657, 'BAY', 1649, '', 0, 'AT5\r'),
	('RO', 5179, 'OTP', 1657, 'BCN', 1218, '', 0, '73W\r'),
	('RO', 5179, 'OTP', 1657, 'BEG', 1739, '', 0, 'AT5 AT7\r'),
	('RO', 5179, 'OTP', 1657, 'BEY', 2177, '', 0, '733\r'),
	('RO', 5179, 'OTP', 1657, 'BRU', 302, '', 0, '318 733\r'),
	('RO', 5179, 'OTP', 1657, 'BUD', 1489, '', 0, 'AT5 AT7\r'),
	('RO', 5179, 'OTP', 1657, 'CDG', 1382, '', 0, '73W 318\r'),
	('RO', 5179, 'OTP', 1657, 'CLJ', 1652, '', 0, 'AT5 AT7 318\r'),
	('RO', 5179, 'OTP', 1657, 'DUB', 599, '', 0, '73W\r'),
	('RO', 5179, 'OTP', 1657, 'DXB', 2188, '', 0, '73W\r'),
	('RO', 5179, 'OTP', 1657, 'FCO', 1555, '', 0, '73W 32S\r'),
	('RO', 5179, 'OTP', 1657, 'FRA', 340, '', 0, '318 733\r'),
	('RO', 5179, 'OTP', 1657, 'GVA', 1665, '', 0, '733 318\r'),
	('RO', 5179, 'OTP', 1657, 'IAS', 1655, '', 0, 'AT5 AT7\r'),
	('RO', 5179, 'OTP', 1657, 'IST', 1701, '', 0, '318\r'),
	('RO', 5179, 'OTP', 1657, 'KIV', 1735, '', 0, 'AT7\r'),
	('RO', 5179, 'OTP', 1657, 'LCA', 1197, '', 0, '318\r'),
	('RO', 5179, 'OTP', 1657, 'LHR', 507, '', 0, '318\r'),
	('RO', 5179, 'OTP', 1657, 'LIN', 1529, 'Y', 0, '32S\r'),
	('RO', 5179, 'OTP', 1657, 'MAD', 1229, '', 0, '73H\r'),
	('RO', 5179, 'OTP', 1657, 'MUC', 346, '', 0, '73W 733\r'),
	('RO', 5179, 'OTP', 1657, 'NCE', 1354, '', 0, '733\r'),
	('RO', 5179, 'OTP', 1657, 'OMR', 1656, '', 0, 'AT5\r'),
	('RO', 5179, 'OTP', 1657, 'PRG', 1587, '', 0, '73W\r'),
	('RO', 5179, 'OTP', 1657, 'SKG', 1486, '', 0, 'AT5\r'),
	('RO', 5179, 'OTP', 1657, 'SOF', 1194, '', 0, 'AT5\r'),
	('RO', 5179, 'OTP', 1657, 'SUJ', 1659, '', 0, 'AT5\r'),
	('RO', 5179, 'OTP', 1657, 'SVO', 2985, '', 0, '733 73G\r'),
	('RO', 5179, 'OTP', 1657, 'TLV', 1590, '', 0, '310 733\r'),
	('RO', 5179, 'OTP', 1657, 'TSR', 1663, '', 0, '733 AT5 318 AT7\r'),
	('RO', 5179, 'OTP', 1657, 'VIE', 1613, '', 0, '318 73W 733\r'),
	('RO', 5179, 'OTP', 1657, 'WAW', 679, '', 0, 'E70\r'),
	('RO', 5179, 'PRG', 1587, 'CLJ', 1652, '', 0, 'AT5\r'),
	('RO', 5179, 'PRG', 1587, 'OTP', 1657, '', 0, '73W\r'),
	('RO', 5179, 'SBZ', 1658, 'MUC', 346, '', 0, '73W\r'),
	('RO', 5179, 'SBZ', 1658, 'OTP', 1657, '', 0, '73W\r'),
	('RO', 5179, 'SBZ', 1658, 'VIE', 1613, 'Y', 0, 'DH4\r'),
	('RO', 5179, 'SKG', 1486, 'OTP', 1657, '', 0, 'AT5\r'),
	('RO', 5179, 'SOF', 1194, 'OTP', 1657, '', 0, 'AT5\r'),
	('RO', 5179, 'SUJ', 1659, 'OTP', 1657, '', 0, 'AT5\r'),
	('RO', 5179, 'SVO', 2985, 'OTP', 1657, '', 0, '733\r'),
	('RO', 5179, 'TGM', 1662, 'OTP', 1657, '', 0, 'AT5\r'),
	('RO', 5179, 'TLV', 1590, 'IAS', 1655, '', 0, '733\r'),
	('RO', 5179, 'TLV', 1590, 'OTP', 1657, '', 0, '310 733\r'),
	('RO', 5179, 'TRN', 1526, 'IAS', 1655, '', 0, '733\r'),
	('RO', 5179, 'TSR', 1663, 'OTP', 1657, '', 0, '318 733 AT7 AT5\r'),
	('RO', 5179, 'VIE', 1613, 'CLJ', 1652, '', 0, 'AT5\r'),
	('RO', 5179, 'VIE', 1613, 'IAS', 1655, 'Y', 0, 'DH4\r'),
	('RO', 5179, 'VIE', 1613, 'OTP', 1657, '', 0, '318 73W 733\r'),
	('RO', 5179, 'VIE', 1613, 'SBZ', 1658, 'Y', 0, 'DH4\r'),
	('RO', 5179, 'WAW', 679, 'OTP', 1657, '', 0, 'E70\r'),
	('RQ', 3097, 'DEL', 3093, 'KBL', 2050, '', 0, 'M82 320\r'),
	('RQ', 3097, 'DXB', 2188, 'KBL', 2050, '', 0, '320\r'),
	('RQ', 3097, 'KBL', 2050, 'DEL', 3093, '', 0, 'M82 320\r'),
	('RQ', 3097, 'KBL', 2050, 'DXB', 2188, '', 0, '320 M87\r'),
	('RQ', 3097, 'KBL', 2050, 'DYU', 2979, '', 0, 'M87\r'),
	('RX', 19676, 'BKK', 3885, 'CGP', 3069, '', 0, '737\r'),
	('RX', 19676, 'BKK', 3885, 'DAC', 3076, '', 0, '737\r'),
	('RX', 19676, 'CCU', 3043, 'CGP', 3069, '', 0, 'DH8\r'),
	('RX', 19676, 'CCU', 3043, 'DAC', 3076, '', 0, 'DH8\r'),
	('RX', 19676, 'CGP', 3069, 'BKK', 3885, '', 0, '737\r'),
	('RX', 19676, 'CGP', 3069, 'CCU', 3043, '', 0, 'DH8\r'),
	('RX', 19676, 'CGP', 3069, 'DAC', 3076, '', 0, '737 DH8\r'),
	('RX', 19676, 'CXB', 3068, 'DAC', 3076, '', 0, 'DH8\r'),
	('RX', 19676, 'DAC', 3076, 'BKK', 3885, '', 0, '737\r'),
	('RX', 19676, 'DAC', 3076, 'CCU', 3043, '', 0, 'DH8\r'),
	('RX', 19676, 'DAC', 3076, 'CGP', 3069, '', 0, '737 DH8\r'),
	('RX', 19676, 'DAC', 3076, 'CXB', 3068, '', 0, 'DH8\r'),
	('RX', 19676, 'DAC', 3076, 'JSR', 3071, '', 0, 'DH8\r'),
	('RX', 19676, 'DAC', 3076, 'KUL', 3304, '', 0, '737\r'),
	('RX', 19676, 'DAC', 3076, 'SIN', 3316, '', 0, '737\r'),
	('RX', 19676, 'DAC', 3076, 'ZYL', 3074, '', 0, 'DH8\r'),
	('RX', 19676, 'JSR', 3071, 'DAC', 3076, '', 0, 'DH8\r'),
	('RX', 19676, 'KUL', 3304, 'DAC', 3076, '', 0, '737\r'),
	('RX', 19676, 'SIN', 3316, 'DAC', 3076, '', 0, '737\r'),
	('RX', 19676, 'ZYL', 3074, 'DAC', 3076, '', 0, 'DH8\r'),
	('RZ', 2226, 'DRK', 6945, 'SJO', 1885, '', 0, 'CNA\r'),
	('RZ', 2226, 'GLF', 1879, 'SJO', 1885, '', 0, 'CNA\r'),
	('RZ', 2226, 'LIR', 1881, 'SJO', 1885, '', 0, 'CNA\r'),
	('RZ', 2226, 'PJM', 5847, 'SJO', 1885, '', 0, 'CNA\r'),
	('RZ', 2226, 'PMZ', 1887, 'SJO', 1885, '', 0, 'CNA\r'),
	('RZ', 2226, 'SJO', 1885, 'DRK', 6945, '', 0, 'CNA\r'),
	('RZ', 2226, 'SJO', 1885, 'FON', 6731, '', 0, 'CNA\r'),
	('RZ', 2226, 'SJO', 1885, 'GLF', 1879, '', 0, 'CNA\r'),
	('RZ', 2226, 'SJO', 1885, 'LIR', 1881, '', 0, 'CNA\r'),
	('RZ', 2226, 'SJO', 1885, 'PJM', 5847, '', 0, 'CNA\r'),
	('RZ', 2226, 'SJO', 1885, 'PMZ', 1887, '', 0, 'CNA\r'),
	('RZ', 2226, 'SJO', 1885, 'TMU', 6732, '', 0, 'CNA\r'),
	('RZ', 2226, 'SJO', 1885, 'TNO', 5844, '', 0, 'CNA\r'),
	('RZ', 2226, 'SJO', 1885, 'XQP', 1889, '', 0, 'CNA\r'),
	('RZ', 2226, 'TMU', 6732, 'SJO', 1885, '', 0, 'CNA\r'),
	('RZ', 2226, 'TNO', 5844, 'SJO', 1885, '', 0, 'CNA\r'),
	('RZ', 2226, 'XQP', 1889, 'SJO', 1885, '', 0, 'CNA\r'),
	('S2', 241, 'AJL', 3039, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('S2', 241, 'AJL', 3039, 'GAU', 6173, 'Y', 0, 'AT7\r'),
	('S2', 241, 'AMD', 2994, 'BOM', 2997, 'Y', 0, '738 73H\r'),
	('S2', 241, 'AMD', 2994, 'DEL', 3093, 'Y', 0, '738 73W\r'),
	('S2', 241, 'ATQ', 3081, 'DEL', 3093, 'Y', 0, 'AT7 73H 738\r'),
	('S2', 241, 'BDQ', 3001, 'BOM', 2997, 'Y', 0, '73W 738 73H\r'),
	('S2', 241, 'BHJ', 2999, 'BOM', 2997, 'Y', 0, 'AT7 73H\r'),
	('S2', 241, 'BHO', 3002, 'BOM', 2997, 'Y', 0, '73G 738\r'),
	('S2', 241, 'BHO', 3002, 'DEL', 3093, 'Y', 0, 'AT7\r'),
	('S2', 241, 'BHU', 3003, 'BOM', 2997, 'Y', 0, '73G\r'),
	('S2', 241, 'BLR', 3131, 'BOM', 2997, 'Y', 0, '738 73W 73G 73H 739\r'),
	('S2', 241, 'BLR', 3131, 'CCU', 3043, 'Y', 0, '738\r'),
	('S2', 241, 'BLR', 3131, 'CJB', 3135, 'Y', 0, 'AT7\r'),
	('S2', 241, 'BLR', 3131, 'COK', 3136, 'Y', 0, 'AT7\r'),
	('S2', 241, 'BLR', 3131, 'DEL', 3093, 'Y', 0, '73H 739 738\r'),
	('S2', 241, 'BLR', 3131, 'GOI', 3007, 'Y', 0, 'AT7\r'),
	('S2', 241, 'BLR', 3131, 'HYD', 3141, 'Y', 0, 'AT7\r'),
	('S2', 241, 'BLR', 3131, 'IDR', 3008, 'Y', 0, '738\r'),
	('S2', 241, 'BLR', 3131, 'IXE', 3143, 'Y', 0, 'AT7 738\r'),
	('S2', 241, 'BLR', 3131, 'MAA', 3144, 'Y', 0, '739 AT7 738\r'),
	('S2', 241, 'BLR', 3131, 'PNQ', 3017, 'Y', 0, '738\r'),
	('S2', 241, 'BLR', 3131, 'TRV', 3153, 'Y', 0, '73H\r'),
	('S2', 241, 'BLR', 3131, 'VTZ', 3066, 'Y', 0, '73G\r'),
	('S2', 241, 'BOM', 2997, 'AMD', 2994, 'Y', 0, '738 73H\r'),
	('S2', 241, 'BOM', 2997, 'BDQ', 3001, '', 0, '73H 738\r'),
	('S2', 241, 'BOM', 2997, 'BHJ', 2999, 'Y', 0, 'AT7 73H\r'),
	('S2', 241, 'BOM', 2997, 'BHO', 3002, 'Y', 0, '73G\r'),
	('S2', 241, 'BOM', 2997, 'BHU', 3003, 'Y', 0, '73G\r'),
	('S2', 241, 'BOM', 2997, 'BLR', 3131, 'Y', 0, '738 73W 73G 73H 739\r'),
	('S2', 241, 'BOM', 2997, 'CCJ', 3137, 'Y', 0, '738\r'),
	('S2', 241, 'BOM', 2997, 'CCU', 3043, 'Y', 0, '738 73H\r'),
	('S2', 241, 'BOM', 2997, 'CJB', 3135, 'Y', 0, '738\r'),
	('S2', 241, 'BOM', 2997, 'COK', 3136, 'Y', 0, '73H\r'),
	('S2', 241, 'BOM', 2997, 'DEL', 3093, 'Y', 0, '73H 739 738\r'),
	('S2', 241, 'BOM', 2997, 'DIU', 5711, 'Y', 0, 'AT7\r'),
	('S2', 241, 'BOM', 2997, 'GOI', 3007, 'Y', 0, '73H 73G 738\r'),
	('S2', 241, 'BOM', 2997, 'HYD', 3141, 'Y', 0, '738 73G 73H\r'),
	('S2', 241, 'BOM', 2997, 'IDR', 3008, 'Y', 0, '73H 73G\r'),
	('S2', 241, 'BOM', 2997, 'IXC', 3089, 'Y', 0, '738\r'),
	('S2', 241, 'BOM', 2997, 'IXE', 3143, 'Y', 0, '73H\r'),
	('S2', 241, 'BOM', 2997, 'IXU', 2996, 'Y', 0, '738 AT7\r'),
	('S2', 241, 'BOM', 2997, 'JAI', 3098, 'Y', 0, '73G 73W\r'),
	('S2', 241, 'BOM', 2997, 'JDH', 3097, 'Y', 0, '73H\r'),
	('S2', 241, 'BOM', 2997, 'LKO', 3105, 'Y', 0, '73H\r'),
	('S2', 241, 'BOM', 2997, 'MAA', 3144, 'Y', 0, '738 73H\r'),
	('S2', 241, 'BOM', 2997, 'NAG', 3015, 'Y', 0, '73G\r'),
	('S2', 241, 'BOM', 2997, 'PNQ', 3017, 'Y', 0, '738\r'),
	('S2', 241, 'BOM', 2997, 'RAJ', 3019, 'Y', 0, '73G\r'),
	('S2', 241, 'BOM', 2997, 'RPR', 3020, 'Y', 0, '738\r'),
	('S2', 241, 'BOM', 2997, 'TRV', 3153, 'Y', 0, '73H\r'),
	('S2', 241, 'BOM', 2997, 'UDR', 3023, 'Y', 0, '73H 73G\r'),
	('S2', 241, 'BOM', 2997, 'VTZ', 3066, 'Y', 0, '738\r'),
	('S2', 241, 'CCJ', 3137, 'BOM', 2997, 'Y', 0, '738\r'),
	('S2', 241, 'CCU', 3043, 'AJL', 3039, 'Y', 0, 'AT7\r'),
	('S2', 241, 'CCU', 3043, 'BLR', 3131, 'Y', 0, '738\r'),
	('S2', 241, 'CCU', 3043, 'BOM', 2997, 'Y', 0, '738 73H\r'),
	('S2', 241, 'CCU', 3043, 'DEL', 3093, 'Y', 0, '738\r'),
	('S2', 241, 'CCU', 3043, 'GAU', 6173, 'Y', 0, 'AT7 738\r'),
	('S2', 241, 'CCU', 3043, 'IXA', 3038, 'Y', 0, 'AT7\r'),
	('S2', 241, 'CCU', 3043, 'IXB', 3040, 'Y', 0, '738\r'),
	('S2', 241, 'CCU', 3043, 'IXR', 3063, 'Y', 0, 'AT7\r'),
	('S2', 241, 'CCU', 3043, 'IXS', 3055, 'Y', 0, 'AT7\r'),
	('S2', 241, 'CCU', 3043, 'IXZ', 3146, 'Y', 0, '738\r'),
	('S2', 241, 'CCU', 3043, 'PAT', 3061, 'Y', 0, 'AT7\r'),
	('S2', 241, 'CCU', 3043, 'VNS', 3084, 'Y', 0, 'AT7\r'),
	('S2', 241, 'CCU', 3043, 'VTZ', 3066, 'Y', 0, '73G\r'),
	('S2', 241, 'CJB', 3135, 'BLR', 3131, 'Y', 0, 'AT7\r'),
	('S2', 241, 'CJB', 3135, 'BOM', 2997, 'Y', 0, '738\r'),
	('S2', 241, 'CJB', 3135, 'MAA', 3144, 'Y', 0, 'AT7\r'),
	('S2', 241, 'COK', 3136, 'BLR', 3131, 'Y', 0, 'AT7\r'),
	('S2', 241, 'COK', 3136, 'BOM', 2997, 'Y', 0, '73H\r'),
	('S2', 241, 'COK', 3136, 'MAA', 3144, 'Y', 0, 'AT7 73H\r'),
	('S2', 241, 'DED', 3092, 'DEL', 3093, 'Y', 0, '73H 738 AT7\r'),
	('S2', 241, 'DEL', 3093, 'AMD', 2994, 'Y', 0, '73W 738\r'),
	('S2', 241, 'DEL', 3093, 'ATQ', 3081, 'Y', 0, 'AT7 73H 738\r'),
	('S2', 241, 'DEL', 3093, 'BHO', 3002, 'Y', 0, 'AT7\r'),
	('S2', 241, 'DEL', 3093, 'BLR', 3131, 'Y', 0, '738 73H 739\r'),
	('S2', 241, 'DEL', 3093, 'BOM', 2997, 'Y', 0, '739 738 73H\r'),
	('S2', 241, 'DEL', 3093, 'CCU', 3043, 'Y', 0, '738\r'),
	('S2', 241, 'DEL', 3093, 'DED', 3092, 'Y', 0, '73H 738 AT7\r'),
	('S2', 241, 'DEL', 3093, 'GAU', 6173, 'Y', 0, '738\r'),
	('S2', 241, 'DEL', 3093, 'GOP', 6741, 'Y', 0, 'AT7\r'),
	('S2', 241, 'DEL', 3093, 'HYD', 3141, 'Y', 0, '73W 738\r'),
	('S2', 241, 'DEL', 3093, 'IDR', 3008, 'Y', 0, '73H AT7\r'),
	('S2', 241, 'DEL', 3093, 'IXB', 3040, 'Y', 0, '73W\r'),
	('S2', 241, 'DEL', 3093, 'IXC', 3089, 'Y', 0, '738 AT7\r'),
	('S2', 241, 'DEL', 3093, 'IXJ', 3100, 'Y', 0, '73H 738\r'),
	('S2', 241, 'DEL', 3093, 'IXL', 3104, 'Y', 0, '73W\r'),
	('S2', 241, 'DEL', 3093, 'IXR', 3063, 'Y', 0, '73H\r'),
	('S2', 241, 'DEL', 3093, 'JAI', 3098, 'Y', 0, '738 AT7 73H\r'),
	('S2', 241, 'DEL', 3093, 'JDH', 3097, 'Y', 0, 'AT7\r'),
	('S2', 241, 'DEL', 3093, 'LKO', 3105, 'Y', 0, 'AT7 73W 739 738\r'),
	('S2', 241, 'DEL', 3093, 'MAA', 3144, 'Y', 0, '73H 738\r'),
	('S2', 241, 'DEL', 3093, 'PAT', 3061, 'Y', 0, '73H\r'),
	('S2', 241, 'DEL', 3093, 'PNQ', 3017, 'Y', 0, '738 73H 73W\r'),
	('S2', 241, 'DEL', 3093, 'RPR', 3020, 'Y', 0, '73W\r'),
	('S2', 241, 'DEL', 3093, 'SXR', 3112, 'Y', 0, '738 73H\r'),
	('S2', 241, 'DEL', 3093, 'UDR', 3023, 'Y', 0, 'AT7\r'),
	('S2', 241, 'DEL', 3093, 'VNS', 3084, 'Y', 0, '738\r'),
	('S2', 241, 'DIB', 6443, 'GAU', 6173, 'Y', 0, '738\r'),
	('S2', 241, 'DIU', 5711, 'PBD', 3018, 'Y', 0, 'AT7\r'),
	('S2', 241, 'GAU', 6173, 'AJL', 3039, 'Y', 0, 'AT7\r'),
	('S2', 241, 'GAU', 6173, 'CCU', 3043, 'Y', 0, 'AT7 738\r'),
	('S2', 241, 'GAU', 6173, 'DEL', 3093, 'Y', 0, '738\r'),
	('S2', 241, 'GAU', 6173, 'DIB', 6443, 'Y', 0, '738\r'),
	('S2', 241, 'GAU', 6173, 'IMF', 3050, 'Y', 0, '738\r'),
	('S2', 241, 'GAU', 6173, 'IXS', 3055, 'Y', 0, 'AT7\r'),
	('S2', 241, 'GOI', 3007, 'BLR', 3131, 'Y', 0, 'AT7\r'),
	('S2', 241, 'GOI', 3007, 'BOM', 2997, 'Y', 0, '73H 73G 738\r'),
	('S2', 241, 'GOI', 3007, 'MAA', 3144, 'Y', 0, '738\r'),
	('S2', 241, 'GOP', 6741, 'DEL', 3093, 'Y', 0, 'AT7\r'),
	('S2', 241, 'HYD', 3141, 'BLR', 3131, 'Y', 0, 'AT7\r'),
	('S2', 241, 'HYD', 3141, 'BOM', 2997, 'Y', 0, '738 73G 73H\r'),
	('S2', 241, 'HYD', 3141, 'DEL', 3093, 'Y', 0, '738 73W\r'),
	('S2', 241, 'HYD', 3141, 'MAA', 3144, 'Y', 0, '738 AT7\r'),
	('S2', 241, 'HYD', 3141, 'PNQ', 3017, 'Y', 0, 'AT7\r'),
	('S2', 241, 'HYD', 3141, 'RJA', 3148, 'Y', 0, 'AT7\r'),
	('S2', 241, 'IDR', 3008, 'BLR', 3131, 'Y', 0, '738\r'),
	('S2', 241, 'IDR', 3008, 'BOM', 2997, 'Y', 0, '73H 73G\r'),
	('S2', 241, 'IDR', 3008, 'DEL', 3093, 'Y', 0, '73H AT7\r'),
	('S2', 241, 'IDR', 3008, 'PNQ', 3017, 'Y', 0, 'AT7\r'),
	('S2', 241, 'IMF', 3050, 'GAU', 6173, 'Y', 0, '738\r'),
	('S2', 241, 'IXA', 3038, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('S2', 241, 'IXB', 3040, 'CCU', 3043, 'Y', 0, '738\r'),
	('S2', 241, 'IXB', 3040, 'DEL', 3093, 'Y', 0, '73W\r'),
	('S2', 241, 'IXC', 3089, 'BOM', 2997, 'Y', 0, '738\r'),
	('S2', 241, 'IXC', 3089, 'DEL', 3093, 'Y', 0, '738 AT7\r'),
	('S2', 241, 'IXE', 3143, 'BLR', 3131, 'Y', 0, 'AT7 738\r'),
	('S2', 241, 'IXE', 3143, 'BOM', 2997, 'Y', 0, '73H\r'),
	('S2', 241, 'IXJ', 3100, 'DEL', 3093, 'Y', 0, '73H 738\r'),
	('S2', 241, 'IXL', 3104, 'DEL', 3093, 'Y', 0, '73W\r'),
	('S2', 241, 'IXM', 3142, 'MAA', 3144, 'Y', 0, 'AT7\r'),
	('S2', 241, 'IXR', 3063, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('S2', 241, 'IXR', 3063, 'DEL', 3093, 'Y', 0, '73H\r'),
	('S2', 241, 'IXS', 3055, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('S2', 241, 'IXS', 3055, 'GAU', 6173, 'Y', 0, 'AT7\r'),
	('S2', 241, 'IXU', 2996, 'BOM', 2997, 'Y', 0, '738 AT7\r'),
	('S2', 241, 'IXZ', 3146, 'CCU', 3043, 'Y', 0, '738\r'),
	('S2', 241, 'IXZ', 3146, 'MAA', 3144, 'Y', 0, '73H\r'),
	('S2', 241, 'JAI', 3098, 'BOM', 2997, 'Y', 0, '73G 73W\r'),
	('S2', 241, 'JAI', 3098, 'DEL', 3093, 'Y', 0, '738 AT7 73H\r'),
	('S2', 241, 'JDH', 3097, 'BOM', 2997, 'Y', 0, '73H\r'),
	('S2', 241, 'JDH', 3097, 'DEL', 3093, 'Y', 0, 'AT7\r'),
	('S2', 241, 'LKO', 3105, 'BOM', 2997, 'Y', 0, '73H\r'),
	('S2', 241, 'LKO', 3105, 'DEL', 3093, 'Y', 0, 'AT7 73W 739 738\r'),
	('S2', 241, 'MAA', 3144, 'BLR', 3131, 'Y', 0, 'AT7 739 738 73H\r'),
	('S2', 241, 'MAA', 3144, 'BOM', 2997, 'Y', 0, '738 73H\r'),
	('S2', 241, 'MAA', 3144, 'CJB', 3135, 'Y', 0, 'AT7\r'),
	('S2', 241, 'MAA', 3144, 'COK', 3136, 'Y', 0, 'AT7 73H\r'),
	('S2', 241, 'MAA', 3144, 'DEL', 3093, 'Y', 0, '738\r'),
	('S2', 241, 'MAA', 3144, 'GOI', 3007, 'Y', 0, '738\r'),
	('S2', 241, 'MAA', 3144, 'HYD', 3141, 'Y', 0, '738\r'),
	('S2', 241, 'MAA', 3144, 'IXM', 3142, 'Y', 0, 'AT7\r'),
	('S2', 241, 'MAA', 3144, 'IXZ', 3146, 'Y', 0, '73H\r'),
	('S2', 241, 'MAA', 3144, 'TRZ', 3152, 'Y', 0, 'AT7\r'),
	('S2', 241, 'NAG', 3015, 'BOM', 2997, 'Y', 0, '73G\r'),
	('S2', 241, 'PAT', 3061, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('S2', 241, 'PAT', 3061, 'DEL', 3093, 'Y', 0, '73H\r'),
	('S2', 241, 'PBD', 3018, 'BOM', 2997, 'Y', 0, 'AT7\r'),
	('S2', 241, 'PNQ', 3017, 'BLR', 3131, 'Y', 0, '738\r'),
	('S2', 241, 'PNQ', 3017, 'BOM', 2997, 'Y', 0, '738\r'),
	('S2', 241, 'PNQ', 3017, 'DEL', 3093, 'Y', 0, '738 73H 73W\r'),
	('S2', 241, 'PNQ', 3017, 'HYD', 3141, 'Y', 0, 'AT7\r'),
	('S2', 241, 'PNQ', 3017, 'IDR', 3008, 'Y', 0, 'AT7\r'),
	('S2', 241, 'RAJ', 3019, 'BOM', 2997, 'Y', 0, '73G\r'),
	('S2', 241, 'RJA', 3148, 'HYD', 3141, 'Y', 0, 'AT7\r'),
	('S2', 241, 'RPR', 3020, 'BHO', 3002, 'Y', 0, '738\r'),
	('S2', 241, 'RPR', 3020, 'BOM', 2997, 'Y', 0, '738\r'),
	('S2', 241, 'RPR', 3020, 'DEL', 3093, 'Y', 0, '73W\r'),
	('S2', 241, 'SXR', 3112, 'DEL', 3093, 'Y', 0, '738 73H\r'),
	('S2', 241, 'TRV', 3153, 'BLR', 3131, 'Y', 0, '73H\r'),
	('S2', 241, 'TRV', 3153, 'BOM', 2997, 'Y', 0, '73H\r'),
	('S2', 241, 'TRZ', 3152, 'MAA', 3144, 'Y', 0, 'AT7\r'),
	('S2', 241, 'UDR', 3023, 'BOM', 2997, 'Y', 0, '73H 73G\r'),
	('S2', 241, 'UDR', 3023, 'DEL', 3093, 'Y', 0, 'AT7\r'),
	('S2', 241, 'VNS', 3084, 'CCU', 3043, 'Y', 0, 'AT7\r'),
	('S2', 241, 'VNS', 3084, 'DEL', 3093, 'Y', 0, '738\r'),
	('S2', 241, 'VTZ', 3066, 'BLR', 3131, 'Y', 0, '73G\r'),
	('S2', 241, 'VTZ', 3066, 'BOM', 2997, 'Y', 0, '738\r'),
	('S2', 241, 'VTZ', 3066, 'CCU', 3043, 'Y', 0, '73G\r'),
	('S3', 4735, 'CCS', 2851, 'MIA', 3576, '', 0, '767 757\r'),
	('S3', 4735, 'CCS', 2851, 'PTY', 1871, '', 0, '757\r'),
	('S3', 4735, 'CCS', 2851, 'TFN', 1057, '', 0, '767\r'),
	('S3', 4735, 'MIA', 3576, 'CCS', 2851, '', 0, '767 757\r'),
	('S3', 4735, 'PTY', 1871, 'CCS', 2851, '', 0, '757\r'),
	('S3', 4735, 'TFN', 1057, 'CCS', 2851, '', 0, '767\r'),
	('S4', 4304, 'AGP', 1230, 'LIS', 1638, 'Y', 0, 'BEH\r'),
	('S4', 4304, 'AMS', 580, 'LIS', 1638, 'Y', 0, '319\r'),
	('S4', 4304, 'AMS', 580, 'PDL', 1633, '', 0, '320\r'),
	('S4', 4304, 'ARN', 737, 'LIS', 1638, 'Y', 0, '320\r'),
	('S4', 4304, 'BCN', 1218, 'LIS', 1638, 'Y', 0, 'ER4 319 100 320\r'),
	('S4', 4304, 'BCN', 1218, 'OPO', 1636, 'Y', 0, 'ER4\r'),
	('S4', 4304, 'BIO', 1216, 'LIS', 1638, 'Y', 0, 'ER4 100\r'),
	('S4', 4304, 'BOS', 3448, 'LIS', 1638, '', 0, '313\r'),
	('S4', 4304, 'BOS', 3448, 'PDL', 1633, '', 0, '313\r'),
	('S4', 4304, 'CPH', 609, 'LIS', 1638, 'Y', 0, '320\r'),
	('S4', 4304, 'FAO', 1626, 'LIS', 1638, 'Y', 0, '319 320 ER4\r'),
	('S4', 4304, 'FNC', 4091, 'LIS', 1638, 'Y', 0, '321 319 100 320\r'),
	('S4', 4304, 'FNC', 4091, 'LPA', 1054, 'Y', 0, 'DH4\r'),
	('S4', 4304, 'FNC', 4091, 'OPO', 1636, 'Y', 0, '319 320 100\r'),
	('S4', 4304, 'FNC', 4091, 'PDL', 1633, 'Y', 0, 'DH4\r'),
	('S4', 4304, 'FRA', 340, 'LIS', 1638, 'Y', 0, '319\r'),
	('S4', 4304, 'FRA', 340, 'PDL', 1633, '', 0, '320\r'),
	('S4', 4304, 'HOR', 1628, 'LIS', 1638, '', 0, '320\r'),
	('S4', 4304, 'LGW', 502, 'LIS', 1638, 'Y', 0, '319\r'),
	('S4', 4304, 'LGW', 502, 'PDL', 1633, '', 0, '320\r'),
	('S4', 4304, 'LHR', 507, 'LIS', 1638, 'Y', 0, '319\r'),
	('S4', 4304, 'LIS', 1638, 'AGP', 1230, 'Y', 0, 'BEH\r'),
	('S4', 4304, 'LIS', 1638, 'AMS', 580, 'Y', 0, '319\r'),
	('S4', 4304, 'LIS', 1638, 'ARN', 737, 'Y', 0, '320\r'),
	('S4', 4304, 'LIS', 1638, 'BCN', 1218, 'Y', 0, 'ER4 319 100\r'),
	('S4', 4304, 'LIS', 1638, 'BIO', 1216, 'Y', 0, 'ER4 100\r'),
	('S4', 4304, 'LIS', 1638, 'BOS', 3448, '', 0, '313\r'),
	('S4', 4304, 'LIS', 1638, 'CPH', 609, 'Y', 0, '320\r'),
	('S4', 4304, 'LIS', 1638, 'FAO', 1626, 'Y', 0, '319 320 ER4\r'),
	('S4', 4304, 'LIS', 1638, 'FNC', 4091, 'Y', 0, '319 320 100 321\r'),
	('S4', 4304, 'LIS', 1638, 'FRA', 340, 'Y', 0, '319 321\r'),
	('S4', 4304, 'LIS', 1638, 'HOR', 1628, '', 0, '320\r'),
	('S4', 4304, 'LIS', 1638, 'LGW', 502, 'Y', 0, '319\r'),
	('S4', 4304, 'LIS', 1638, 'LHR', 507, 'Y', 0, '319 321\r'),
	('S4', 4304, 'LIS', 1638, 'LPA', 1054, '', 0, 'CR9\r'),
	('S4', 4304, 'LIS', 1638, 'MAD', 1229, 'Y', 0, '319 ER4 100\r'),
	('S4', 4304, 'LIS', 1638, 'OPO', 1636, 'Y', 0, '100 320 ER4 319\r'),
	('S4', 4304, 'LIS', 1638, 'PDL', 1633, '', 0, '320 313\r'),
	('S4', 4304, 'LIS', 1638, 'PIX', 1634, 'Y', 0, '320\r'),
	('S4', 4304, 'LIS', 1638, 'PXO', 1637, 'Y', 0, '100 319\r'),
	('S4', 4304, 'LIS', 1638, 'SMA', 1617, '', 0, '320\r'),
	('S4', 4304, 'LIS', 1638, 'SVQ', 1253, 'Y', 0, 'BEH\r'),
	('S4', 4304, 'LIS', 1638, 'TER', 1629, '', 0, '320\r'),
	('S4', 4304, 'LIS', 1638, 'VLC', 1246, 'Y', 0, 'ER4 100\r'),
	('S4', 4304, 'LIS', 1638, 'YYZ', 193, '', 0, '313\r'),
	('S4', 4304, 'LIS', 1638, 'ZRH', 1678, 'Y', 0, '319 321\r'),
	('S4', 4304, 'LPA', 1054, 'FNC', 4091, 'Y', 0, 'DH4\r'),
	('S4', 4304, 'LPA', 1054, 'LIS', 1638, '', 0, 'CR9\r'),
	('S4', 4304, 'MAD', 1229, 'LIS', 1638, 'Y', 0, '319 ER4 100\r'),
	('S4', 4304, 'MAD', 1229, 'OPO', 1636, 'Y', 0, 'ER4\r'),
	('S4', 4304, 'MUC', 346, 'OPO', 1636, '', 0, '320\r'),
	('S4', 4304, 'OPO', 1636, 'BCN', 1218, 'Y', 0, 'ER4\r'),
	('S4', 4304, 'OPO', 1636, 'FNC', 4091, 'Y', 0, '319 100 320\r'),
	('S4', 4304, 'OPO', 1636, 'LIS', 1638, 'Y', 0, '320 ER4 100 319\r'),
	('S4', 4304, 'OPO', 1636, 'MAD', 1229, 'Y', 0, 'ER4\r'),
	('S4', 4304, 'OPO', 1636, 'MUC', 346, '', 0, '320\r'),
	('S4', 4304, 'OPO', 1636, 'PDL', 1633, '', 0, '320\r'),
	('S4', 4304, 'OPO', 1636, 'TER', 1629, '', 0, '320\r'),
	('S4', 4304, 'OPO', 1636, 'YYZ', 193, '', 0, '313\r'),
	('S4', 4304, 'ORY', 1386, 'PDL', 1633, '', 0, '320\r'),
	('S4', 4304, 'PDL', 1633, 'AMS', 580, '', 0, '320\r'),
	('S4', 4304, 'PDL', 1633, 'ARN', 737, '', 0, '320\r'),
	('S4', 4304, 'PDL', 1633, 'BOS', 3448, '', 0, '313\r'),
	('S4', 4304, 'PDL', 1633, 'FNC', 4091, 'Y', 0, 'DH4\r'),
	('S4', 4304, 'PDL', 1633, 'FRA', 340, '', 0, '320\r'),
	('S4', 4304, 'PDL', 1633, 'LGW', 502, '', 0, '320\r'),
	('S4', 4304, 'PDL', 1633, 'LIS', 1638, '', 0, '313 320\r'),
	('S4', 4304, 'PDL', 1633, 'OPO', 1636, '', 0, '320\r'),
	('S4', 4304, 'PDL', 1633, 'ORY', 1386, '', 0, '320\r'),
	('S4', 4304, 'PDL', 1633, 'YYZ', 193, '', 0, '313\r'),
	('S4', 4304, 'PIX', 1634, 'TER', 1629, 'Y', 0, '320\r'),
	('S4', 4304, 'PXO', 1637, 'LIS', 1638, 'Y', 0, '100 319\r'),
	('S4', 4304, 'SMA', 1617, 'PDL', 1633, '', 0, '320\r'),
	('S4', 4304, 'SVQ', 1253, 'LIS', 1638, 'Y', 0, 'BEH\r'),
	('S4', 4304, 'TER', 1629, 'LIS', 1638, '', 0, '320\r'),
	('S4', 4304, 'TER', 1629, 'OPO', 1636, '', 0, '320\r'),
	('S4', 4304, 'VLC', 1246, 'LIS', 1638, 'Y', 0, 'ER4 100\r'),
	('S4', 4304, 'YYZ', 193, 'LIS', 1638, '', 0, '313\r'),
	('S4', 4304, 'YYZ', 193, 'OPO', 1636, '', 0, '313\r'),
	('S4', 4304, 'YYZ', 193, 'PDL', 1633, '', 0, '313\r'),
	('S4', 4304, 'ZRH', 1678, 'LIS', 1638, 'Y', 0, '319 321\r'),
	('S5', 4822, 'BEL', 2526, 'MAB', 2584, '', 0, 'CNC\r'),
	('S5', 4822, 'BSB', 2531, 'GYN', 2562, '', 0, 'CNC\r'),
	('S5', 4822, 'CDJ', 2518, 'CMP', 7369, '', 0, 'CNC\r'),
	('S5', 4822, 'CKS', 7532, 'MAB', 2584, '', 0, 'CNC\r'),
	('S5', 4822, 'GRP', 7368, 'MQH', 7375, '', 0, 'CNC\r'),
	('S5', 4822, 'MAB', 2584, 'IMP', 2572, '', 0, 'CNC\r'),
	('S5', 4822, 'MAB', 2584, 'OIA', 8239, '', 0, 'CNC\r'),
	('S5', 4822, 'MAB', 2584, 'RDC', 8240, '', 0, 'CNC\r'),
	('S5', 4822, 'MQH', 7375, 'BSB', 2531, '', 0, 'CNC\r'),
	('S5', 4822, 'OIA', 8239, 'CKS', 7532, '', 0, 'CNC\r'),
	('S5', 4822, 'RDC', 8240, 'CDJ', 2518, '', 0, 'CNC\r'),
	('S5', 4822, 'STZ', 7374, 'SXO', 8243, '', 0, 'CNC\r'),
	('S5', 4822, 'SXO', 8243, 'GRP', 7368, '', 0, 'CNC\r'),
	('S5', 4822, 'SXX', 8241, 'OIA', 8239, '', 0, 'CNC\r'),
	('S6', 10776, 'CAP', 1895, 'PAP', 1897, '', 0, 'J32\r'),
	('S6', 10776, 'CAP', 1895, 'PLS', 1754, '', 0, 'J32\r'),
	('S6', 10776, 'JBQ', 5811, 'PAP', 1897, '', 0, 'J32\r'),
	('S6', 10776, 'PAP', 1897, 'CAP', 1895, '', 0, 'J32\r'),
	('S6', 10776, 'PAP', 1897, 'JBQ', 5811, '', 0, 'J32\r'),
	('S6', 10776, 'PLS', 1754, 'CAP', 1895, '', 0, 'J32\r'),
	('S7', 4329, 'AAQ', 4353, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'ABA', 2955, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'AER', 2965, 'DME', 4029, '', 0, '319 320 738\r'),
	('S7', 4329, 'ALA', 2908, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'ALC', 1212, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'AMM', 2170, 'DME', 4029, 'Y', 0, '320\r'),
	('S7', 4329, 'ASB', 2976, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'ASF', 2966, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'ATH', 3941, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'AUH', 2179, 'DME', 4029, 'Y', 0, '330\r'),
	('S7', 4329, 'BAX', 2956, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'BKK', 3885, 'IKT', 2937, '', 0, '320\r'),
	('S7', 4329, 'BKK', 3885, 'OVB', 4078, '', 0, '763\r'),
	('S7', 4329, 'BOJ', 1191, 'DME', 4029, '', 0, '763 320\r'),
	('S7', 4329, 'BTK', 2936, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'BUS', 3971, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'CEK', 2968, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'CEK', 2968, 'DYU', 2979, '', 0, '319\r'),
	('S7', 4329, 'CEK', 2968, 'EVN', 3964, '', 0, '319\r'),
	('S7', 4329, 'CEK', 2968, 'LBD', 6147, '', 0, '319\r'),
	('S7', 4329, 'CIT', 2914, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'AAQ', 4353, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'ABA', 2955, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'AER', 2965, '', 0, '320 738 319\r'),
	('S7', 4329, 'DME', 4029, 'ALC', 1212, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'AMM', 2170, 'Y', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'ASB', 2976, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'ASF', 2966, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'ATH', 3941, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'AUH', 2179, 'Y', 0, '330\r'),
	('S7', 4329, 'DME', 4029, 'BAX', 2956, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'BOJ', 1191, '', 0, '763 320\r'),
	('S7', 4329, 'DME', 4029, 'BTK', 2936, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'BUS', 3971, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'CEK', 2968, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'DUS', 345, 'Y', 0, '738\r'),
	('S7', 4329, 'DME', 4029, 'EVN', 3964, '', 0, '321 320\r'),
	('S7', 4329, 'DME', 4029, 'FRA', 340, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'GOA', 1528, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'GOJ', 4274, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'GYD', 2922, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'HEL', 421, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'HER', 1452, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'HKG', 3077, '', 0, '330\r'),
	('S7', 4329, 'DME', 4029, 'HTA', 2935, 'Y', 0, '738\r'),
	('S7', 4329, 'DME', 4029, 'IKT', 2937, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'KBP', 2939, '', 0, '319 735\r'),
	('S7', 4329, 'DME', 4029, 'KEJ', 2957, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'KGD', 2952, '', 0, '734\r'),
	('S7', 4329, 'DME', 4029, 'KIV', 1735, '', 0, '321\r'),
	('S7', 4329, 'DME', 4029, 'KJA', 4374, '', 0, '738\r'),
	('S7', 4329, 'DME', 4029, 'KRR', 2960, '', 0, '734 319 320 738\r'),
	('S7', 4329, 'DME', 4029, 'KUF', 4118, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'KZN', 2990, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'LBD', 6147, '', 0, '321\r'),
	('S7', 4329, 'DME', 4029, 'LCA', 1197, '', 0, '738 734\r'),
	('S7', 4329, 'DME', 4029, 'LED', 2948, '', 0, '319 734 738\r'),
	('S7', 4329, 'DME', 4029, 'LIS', 1638, 'Y', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'MAD', 1229, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'MRV', 2962, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'MSQ', 2954, '', 0, '735\r'),
	('S7', 4329, 'DME', 4029, 'MUC', 346, '', 0, '320 321 763\r'),
	('S7', 4329, 'DME', 4029, 'NJC', 2972, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'NOZ', 6119, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'NRT', 2279, 'Y', 0, '787\r'),
	('S7', 4329, 'DME', 4029, 'NSK', 4352, 'Y', 0, '738\r'),
	('S7', 4329, 'DME', 4029, 'NUX', 4364, '', 0, '738 319\r'),
	('S7', 4329, 'DME', 4029, 'NYM', 6143, '', 0, '737\r'),
	('S7', 4329, 'DME', 4029, 'ODS', 2947, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'OGZ', 6124, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'OMS', 2958, '', 0, '319 320\r'),
	('S7', 4329, 'DME', 4029, 'OSS', 2913, 'Y', 0, '738\r'),
	('S7', 4329, 'DME', 4029, 'OVB', 4078, '', 0, '738 320\r'),
	('S7', 4329, 'DME', 4029, 'PEE', 2973, '', 0, '319 320\r'),
	('S7', 4329, 'DME', 4029, 'PFO', 1198, '', 0, '738 734\r'),
	('S7', 4329, 'DME', 4029, 'PUY', 1203, 'Y', 0, '320 738\r'),
	('S7', 4329, 'DME', 4029, 'PWQ', 2917, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'RGK', 8740, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'RHO', 1472, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'ROV', 2964, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'SGC', 2974, '', 0, '735\r'),
	('S7', 4329, 'DME', 4029, 'SIP', 2942, '', 0, '738\r'),
	('S7', 4329, 'DME', 4029, 'SKG', 1486, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'STW', 2963, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'SVX', 2975, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'TBS', 3973, '', 0, '320\r'),
	('S7', 4329, 'DME', 4029, 'TIV', 1743, 'Y', 0, '738\r'),
	('S7', 4329, 'DME', 4029, 'TJM', 4111, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'TJU', 7563, '', 0, '321\r'),
	('S7', 4329, 'DME', 4029, 'TOF', 4297, '', 0, '738 734\r'),
	('S7', 4329, 'DME', 4029, 'UFA', 2992, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'UGC', 6152, '', 0, '763\r'),
	('S7', 4329, 'DME', 4029, 'UKK', 6086, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'UUD', 2938, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'VAR', 1196, '', 0, '320 763\r'),
	('S7', 4329, 'DME', 4029, 'VIE', 1613, '', 0, '320 E90\r'),
	('S7', 4329, 'DME', 4029, 'VLC', 1246, '', 0, '319\r'),
	('S7', 4329, 'DME', 4029, 'VOG', 2967, '', 0, '319 738\r'),
	('S7', 4329, 'DME', 4029, 'VRN', 1550, '', 0, '320 738\r'),
	('S7', 4329, 'DME', 4029, 'YKS', 2923, 'Y', 0, '738\r'),
	('S7', 4329, 'DUS', 345, 'DME', 4029, 'Y', 0, '738\r'),
	('S7', 4329, 'DXB', 2188, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'DYU', 2979, 'CEK', 2968, '', 0, '319\r'),
	('S7', 4329, 'DYU', 2979, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'EVN', 3964, 'CEK', 2968, '', 0, '319\r'),
	('S7', 4329, 'EVN', 3964, 'DME', 4029, '', 0, '321 320\r'),
	('S7', 4329, 'EVN', 3964, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'FEG', 6149, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'FRA', 340, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'FRA', 340, 'OVB', 4078, '', 0, '738\r'),
	('S7', 4329, 'FRU', 2912, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'GDX', 2930, 'IKT', 2937, '', 0, '320\r'),
	('S7', 4329, 'GOA', 1528, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'GOJ', 4274, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'GYD', 2922, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'GYD', 2922, 'LED', 2948, 'Y', 0, '757\r'),
	('S7', 4329, 'GYD', 2922, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'HEL', 421, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'HEL', 421, 'LED', 2948, '', 0, 'ATR\r'),
	('S7', 4329, 'HEL', 421, 'SVX', 2975, '', 0, '319\r'),
	('S7', 4329, 'HER', 1452, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'HKG', 3077, 'DME', 4029, '', 0, '330\r'),
	('S7', 4329, 'HKG', 3077, 'KHV', 2927, '', 0, '320\r'),
	('S7', 4329, 'HKG', 3077, 'OVB', 4078, 'Y', 0, '738\r'),
	('S7', 4329, 'HKG', 3077, 'VVO', 2934, '', 0, '320\r'),
	('S7', 4329, 'HTA', 2935, 'DME', 4029, 'Y', 0, '738\r'),
	('S7', 4329, 'HTA', 2935, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'ICN', 3930, 'VVO', 2934, 'Y', 0, '320\r'),
	('S7', 4329, 'IKT', 2937, 'BKK', 3885, '', 0, '320\r'),
	('S7', 4329, 'IKT', 2937, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'IKT', 2937, 'GDX', 2930, '', 0, '320\r'),
	('S7', 4329, 'IKT', 2937, 'OVB', 4078, '', 0, '320 738\r'),
	('S7', 4329, 'IKT', 2937, 'PEK', 3364, '', 0, '320\r'),
	('S7', 4329, 'IKT', 2937, 'VVO', 2934, '', 0, '320\r'),
	('S7', 4329, 'IKT', 2937, 'YKS', 2923, '', 0, '738\r'),
	('S7', 4329, 'KBP', 2939, 'DME', 4029, '', 0, '735 319\r'),
	('S7', 4329, 'KBP', 2939, 'KGD', 2952, '', 0, '735\r'),
	('S7', 4329, 'KBP', 2939, 'LED', 2948, '', 0, '735\r'),
	('S7', 4329, 'KBP', 2939, 'OVB', 4078, '', 0, '735\r'),
	('S7', 4329, 'KBP', 2939, 'ROV', 2964, '', 0, '735\r'),
	('S7', 4329, 'KBP', 2939, 'SVX', 2975, '', 0, '735\r'),
	('S7', 4329, 'KEJ', 2957, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'KGD', 2952, 'DME', 4029, '', 0, '734\r'),
	('S7', 4329, 'KGD', 2952, 'KBP', 2939, '', 0, '735\r'),
	('S7', 4329, 'KGD', 2952, 'TXL', 351, 'Y', 0, 'DH4\r'),
	('S7', 4329, 'KHV', 2927, 'HKG', 3077, '', 0, '320\r'),
	('S7', 4329, 'KHV', 2927, 'NRT', 2279, '', 0, '320\r'),
	('S7', 4329, 'KHV', 2927, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'KHV', 2927, 'PEK', 3364, '', 0, '320\r'),
	('S7', 4329, 'KHV', 2927, 'PKC', 2932, '', 0, '320\r'),
	('S7', 4329, 'KHV', 2927, 'UUS', 2933, '', 0, '320\r'),
	('S7', 4329, 'KIV', 1735, 'DME', 4029, '', 0, '321\r'),
	('S7', 4329, 'KJA', 4374, 'DME', 4029, '', 0, '738\r'),
	('S7', 4329, 'KJA', 4374, 'PEK', 3364, '', 0, '320\r'),
	('S7', 4329, 'KRR', 2960, 'DME', 4029, '', 0, '734 319 320 738\r'),
	('S7', 4329, 'KUF', 4118, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'KZN', 2990, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'LBD', 6147, 'CEK', 2968, '', 0, '319\r'),
	('S7', 4329, 'LBD', 6147, 'DME', 4029, '', 0, '321\r'),
	('S7', 4329, 'LBD', 6147, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'LCA', 1197, 'DME', 4029, '', 0, '738 734\r'),
	('S7', 4329, 'LED', 2948, 'DME', 4029, '', 0, '319 734 738\r'),
	('S7', 4329, 'LED', 2948, 'GYD', 2922, 'Y', 0, '757\r'),
	('S7', 4329, 'LED', 2948, 'HEL', 421, '', 0, 'ATR\r'),
	('S7', 4329, 'LED', 2948, 'KBP', 2939, '', 0, '735\r'),
	('S7', 4329, 'LED', 2948, 'MSQ', 2954, 'Y', 0, 'CRJ 735\r'),
	('S7', 4329, 'LED', 2948, 'OVB', 4078, '', 0, '738 320\r'),
	('S7', 4329, 'LED', 2948, 'PEK', 3364, '', 0, '333\r'),
	('S7', 4329, 'LED', 2948, 'SKG', 1486, '', 0, '320\r'),
	('S7', 4329, 'LIS', 1638, 'DME', 4029, 'Y', 0, '320\r'),
	('S7', 4329, 'MAD', 1229, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'MRV', 2962, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'MSQ', 2954, 'DME', 4029, '', 0, '735\r'),
	('S7', 4329, 'MSQ', 2954, 'LED', 2948, 'Y', 0, 'CRJ 735\r'),
	('S7', 4329, 'MUC', 346, 'DME', 4029, '', 0, '320 321 763\r'),
	('S7', 4329, 'MUC', 346, 'OVB', 4078, 'Y', 0, '738\r'),
	('S7', 4329, 'NJC', 2972, 'DME', 4029, 'Y', 0, '319\r'),
	('S7', 4329, 'NOZ', 6119, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'NRT', 2279, 'DME', 4029, 'Y', 0, '787\r'),
	('S7', 4329, 'NRT', 2279, 'KHV', 2927, '', 0, '320\r'),
	('S7', 4329, 'NRT', 2279, 'VVO', 2934, '', 0, '320\r'),
	('S7', 4329, 'NSK', 4352, 'DME', 4029, 'Y', 0, '738\r'),
	('S7', 4329, 'NSK', 4352, 'OVB', 4078, '', 0, '738\r'),
	('S7', 4329, 'NUX', 4364, 'DME', 4029, '', 0, '738 319\r'),
	('S7', 4329, 'NYM', 6143, 'DME', 4029, '', 0, '737\r'),
	('S7', 4329, 'ODS', 2947, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'OGZ', 6124, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'OMS', 2958, 'DME', 4029, '', 0, '320 319\r'),
	('S7', 4329, 'OSS', 2913, 'DME', 4029, 'Y', 0, '738\r'),
	('S7', 4329, 'OSS', 2913, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'ALA', 2908, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'BKK', 3885, '', 0, '763\r'),
	('S7', 4329, 'OVB', 4078, 'CIT', 2914, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'DME', 4029, '', 0, '738 320\r'),
	('S7', 4329, 'OVB', 4078, 'DXB', 2188, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'DYU', 2979, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'EVN', 3964, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'FEG', 6149, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'FRA', 340, '', 0, '738\r'),
	('S7', 4329, 'OVB', 4078, 'FRU', 2912, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'GYD', 2922, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'HKG', 3077, 'Y', 0, '738\r'),
	('S7', 4329, 'OVB', 4078, 'HTA', 2935, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'IKT', 2937, '', 0, '320 738\r'),
	('S7', 4329, 'OVB', 4078, 'KHV', 2927, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'LBD', 6147, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'LED', 2948, '', 0, '738 320\r'),
	('S7', 4329, 'OVB', 4078, 'MUC', 346, 'Y', 0, '738\r'),
	('S7', 4329, 'OVB', 4078, 'NSK', 4352, '', 0, '738\r'),
	('S7', 4329, 'OVB', 4078, 'OSS', 2913, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'PEK', 3364, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'PRG', 1587, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'TAS', 2983, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'URC', 3399, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'UUD', 2938, 'Y', 0, '738\r'),
	('S7', 4329, 'OVB', 4078, 'VVO', 2934, '', 0, '320\r'),
	('S7', 4329, 'OVB', 4078, 'YKS', 2923, 'Y', 0, '738\r'),
	('S7', 4329, 'PEE', 2973, 'DME', 4029, '', 0, '319 320\r'),
	('S7', 4329, 'PEK', 3364, 'IKT', 2937, '', 0, '320\r'),
	('S7', 4329, 'PEK', 3364, 'KHV', 2927, '', 0, '320\r'),
	('S7', 4329, 'PEK', 3364, 'KJA', 4374, '', 0, '320\r'),
	('S7', 4329, 'PEK', 3364, 'LED', 2948, '', 0, '333\r'),
	('S7', 4329, 'PEK', 3364, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'PEK', 3364, 'SVO', 2985, '', 0, '333\r'),
	('S7', 4329, 'PEK', 3364, 'SVX', 2975, '', 0, '320\r'),
	('S7', 4329, 'PEK', 3364, 'UUD', 2938, '', 0, '738\r'),
	('S7', 4329, 'PEK', 3364, 'VVO', 2934, '', 0, '320\r'),
	('S7', 4329, 'PEK', 3364, 'YKS', 2923, '', 0, '738\r'),
	('S7', 4329, 'PFO', 1198, 'DME', 4029, '', 0, '738 734\r'),
	('S7', 4329, 'PKC', 2932, 'KHV', 2927, '', 0, '320\r'),
	('S7', 4329, 'PKC', 2932, 'VVO', 2934, '', 0, '320\r'),
	('S7', 4329, 'PRG', 1587, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'PUY', 1203, 'DME', 4029, 'Y', 0, '320 738\r'),
	('S7', 4329, 'PWQ', 2917, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'RGK', 8740, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'RHO', 1472, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'ROV', 2964, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'ROV', 2964, 'KBP', 2939, '', 0, '735\r'),
	('S7', 4329, 'SGC', 2974, 'DME', 4029, '', 0, '735\r'),
	('S7', 4329, 'SIP', 2942, 'DME', 4029, '', 0, '738\r'),
	('S7', 4329, 'SKG', 1486, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'SKG', 1486, 'LED', 2948, '', 0, '320\r'),
	('S7', 4329, 'STW', 2963, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'SVO', 2985, 'PEK', 3364, '', 0, '333\r'),
	('S7', 4329, 'SVX', 2975, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'SVX', 2975, 'HEL', 421, '', 0, '319\r'),
	('S7', 4329, 'SVX', 2975, 'KBP', 2939, '', 0, '735\r'),
	('S7', 4329, 'SVX', 2975, 'PEK', 3364, '', 0, '320\r'),
	('S7', 4329, 'TAS', 2983, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'TBS', 3973, 'DME', 4029, '', 0, '320\r'),
	('S7', 4329, 'TIV', 1743, 'DME', 4029, 'Y', 0, '738\r'),
	('S7', 4329, 'TJM', 4111, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'TJU', 7563, 'DME', 4029, '', 0, '321\r'),
	('S7', 4329, 'TOF', 4297, 'DME', 4029, '', 0, '738 734\r'),
	('S7', 4329, 'TXL', 351, 'KGD', 2952, 'Y', 0, 'DH4\r'),
	('S7', 4329, 'UFA', 2992, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'UGC', 6152, 'DME', 4029, '', 0, '763\r'),
	('S7', 4329, 'UKK', 6086, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'URC', 3399, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'UUD', 2938, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'UUD', 2938, 'OVB', 4078, '', 0, '738\r'),
	('S7', 4329, 'UUD', 2938, 'PEK', 3364, '', 0, '738\r'),
	('S7', 4329, 'UUS', 2933, 'KHV', 2927, '', 0, '320\r'),
	('S7', 4329, 'UUS', 2933, 'VVO', 2934, '', 0, '320\r'),
	('S7', 4329, 'VAR', 1196, 'DME', 4029, '', 0, '320 763\r'),
	('S7', 4329, 'VIE', 1613, 'DME', 4029, '', 0, '320 E90\r'),
	('S7', 4329, 'VLC', 1246, 'DME', 4029, '', 0, '319\r'),
	('S7', 4329, 'VOG', 2967, 'DME', 4029, '', 0, '319 738\r'),
	('S7', 4329, 'VRN', 1550, 'DME', 4029, 'Y', 0, '320 738\r'),
	('S7', 4329, 'VVO', 2934, 'HKG', 3077, '', 0, '320\r'),
	('S7', 4329, 'VVO', 2934, 'ICN', 3930, 'Y', 0, '320\r'),
	('S7', 4329, 'VVO', 2934, 'IKT', 2937, '', 0, '320\r'),
	('S7', 4329, 'VVO', 2934, 'NRT', 2279, '', 0, '320\r'),
	('S7', 4329, 'VVO', 2934, 'OVB', 4078, '', 0, '320\r'),
	('S7', 4329, 'VVO', 2934, 'PEK', 3364, '', 0, '320\r'),
	('S7', 4329, 'VVO', 2934, 'PKC', 2932, '', 0, '320\r'),
	('S7', 4329, 'VVO', 2934, 'UUS', 2933, '', 0, '320\r'),
	('S7', 4329, 'YKS', 2923, 'DME', 4029, 'Y', 0, '738\r'),
	('S7', 4329, 'YKS', 2923, 'IKT', 2937, '', 0, '738\r'),
	('S7', 4329, 'YKS', 2923, 'OVB', 4078, 'Y', 0, '738\r'),
	('S7', 4329, 'YKS', 2923, 'PEK', 3364, '', 0, '738\r'),
	('S9', 17099, 'ABJ', 253, 'ACC', 248, '', 0, '143\r'),
	('S9', 17099, 'ACC', 248, 'ABJ', 253, '', 0, '143\r'),
	('S9', 17099, 'ACC', 248, 'KMS', 5556, '', 0, '143\r'),
	('S9', 17099, 'ACC', 248, 'TKD', 252, '', 0, '143\r'),
	('S9', 17099, 'ACC', 248, 'TML', 249, '', 0, '143\r'),
	('S9', 17099, 'KMS', 5556, 'ACC', 248, '', 0, '143\r'),
	('S9', 17099, 'TKD', 252, 'ACC', 248, '', 0, '143\r'),
	('S9', 17099, 'TML', 249, 'ACC', 248, '', 0, '143\r'),
	('SA', 4305, 'ABJ', 253, 'ACC', 248, '', 0, '332\r'),
	('SA', 4305, 'ACC', 248, 'ABJ', 253, '', 0, '332\r'),
	('SA', 4305, 'ACC', 248, 'JNB', 813, '', 0, '332\r'),
	('SA', 4305, 'ADD', 1107, 'BKO', 1044, 'Y', 0, '763\r'),
	('SA', 4305, 'ADD', 1107, 'JNB', 813, 'Y', 0, '77L\r'),
	('SA', 4305, 'APL', 984, 'JNB', 813, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'AUH', 2179, 'JNB', 813, '', 0, '332\r'),
	('SA', 4305, 'BBK', 879, 'JNB', 813, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'BEW', 974, 'JNB', 813, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'BFN', 794, 'CPT', 797, '', 0, '733 738\r'),
	('SA', 4305, 'BFN', 794, 'DUR', 799, 'Y', 0, 'ER3 J41\r'),
	('SA', 4305, 'BFN', 794, 'JNB', 813, 'Y', 0, 'DH4 AR8 ER3 CR7\r'),
	('SA', 4305, 'BKK', 3885, 'JNB', 813, 'Y', 0, '777\r'),
	('SA', 4305, 'BKO', 1044, 'ADD', 1107, 'Y', 0, '757\r'),
	('SA', 4305, 'BKO', 1044, 'DKR', 1084, 'Y', 0, '757\r'),
	('SA', 4305, 'BLZ', 1013, 'JNB', 813, '', 0, '738\r'),
	('SA', 4305, 'BOM', 2997, 'JNB', 813, '', 0, '332\r'),
	('SA', 4305, 'BUQ', 1001, 'JNB', 813, 'Y', 0, 'AR8\r'),
	('SA', 4305, 'BZV', 883, 'JNB', 813, '', 0, '320 319\r'),
	('SA', 4305, 'CAI', 1128, 'JNB', 813, 'Y', 0, '330\r'),
	('SA', 4305, 'COO', 245, 'PNR', 886, '', 0, '320\r'),
	('SA', 4305, 'CPT', 797, 'BFN', 794, '', 0, '733 738\r'),
	('SA', 4305, 'CPT', 797, 'DUR', 799, '', 0, '738\r'),
	('SA', 4305, 'CPT', 797, 'DXB', 2188, 'Y', 0, '77W\r'),
	('SA', 4305, 'CPT', 797, 'ELS', 800, 'Y', 0, 'DH4 CR2\r'),
	('SA', 4305, 'CPT', 797, 'GRJ', 804, 'Y', 0, 'CR2 ER3 AR8\r'),
	('SA', 4305, 'CPT', 797, 'HDS', 811, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'CPT', 797, 'HLA', 820, '', 0, '738\r'),
	('SA', 4305, 'CPT', 797, 'JNB', 813, '', 0, '738 320 343 319 733 346 332 342\r'),
	('SA', 4305, 'CPT', 797, 'KIM', 815, 'Y', 0, 'CR2 ER3\r'),
	('SA', 4305, 'CPT', 797, 'MPM', 979, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'CPT', 797, 'MQP', 5604, 'Y', 0, 'AR8\r'),
	('SA', 4305, 'CPT', 797, 'PLZ', 838, '', 0, '733\r'),
	('SA', 4305, 'CPT', 797, 'UTN', 865, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'CPT', 797, 'WDH', 4105, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'CPT', 797, 'WVB', 6778, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'DAR', 1177, 'JNB', 813, '', 0, '319 320\r'),
	('SA', 4305, 'DKR', 1084, 'BKO', 1044, 'Y', 0, '763\r'),
	('SA', 4305, 'DKR', 1084, 'IAD', 3714, '', 0, '343\r'),
	('SA', 4305, 'DKR', 1084, 'JNB', 813, '', 0, '343\r'),
	('SA', 4305, 'DLA', 897, 'LBV', 970, '', 0, '320 319\r'),
	('SA', 4305, 'DUR', 799, 'BFN', 794, 'Y', 0, 'ER3 J41\r'),
	('SA', 4305, 'DUR', 799, 'CPT', 797, '', 0, '738\r'),
	('SA', 4305, 'DUR', 799, 'DXB', 2188, 'Y', 0, '77W\r'),
	('SA', 4305, 'DUR', 799, 'ELS', 800, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'DUR', 799, 'GRJ', 804, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'DUR', 799, 'HRE', 1005, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'DUR', 799, 'JNB', 813, '', 0, '738 319 320 733\r'),
	('SA', 4305, 'DUR', 799, 'LUN', 907, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'DUR', 799, 'MPM', 979, 'Y', 0, 'J41\r'),
	('SA', 4305, 'DUR', 799, 'MQP', 5604, 'Y', 0, 'ER3 J41\r'),
	('SA', 4305, 'DUR', 799, 'PLZ', 838, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'DXB', 2188, 'CPT', 797, 'Y', 0, '77W\r'),
	('SA', 4305, 'DXB', 2188, 'DUR', 799, 'Y', 0, '77W\r'),
	('SA', 4305, 'DXB', 2188, 'JNB', 813, 'Y', 0, '77W\r'),
	('SA', 4305, 'EBB', 1187, 'JNB', 813, '', 0, '319\r'),
	('SA', 4305, 'ELS', 800, 'CPT', 797, 'Y', 0, 'DH4 CR2\r'),
	('SA', 4305, 'ELS', 800, 'DUR', 799, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'ELS', 800, 'JNB', 813, '', 0, '320 319\r'),
	('SA', 4305, 'ELS', 800, 'PLZ', 838, 'Y', 0, 'J41\r'),
	('SA', 4305, 'FBM', 1038, 'JNB', 813, 'Y', 0, 'CR7\r'),
	('SA', 4305, 'FIH', 1020, 'JNB', 813, '', 0, '738 319 320\r'),
	('SA', 4305, 'FRA', 340, 'JNB', 813, '', 0, '346\r'),
	('SA', 4305, 'GBE', 881, 'JNB', 813, 'Y', 0, 'DH4 AR8 CR2 ER3 CR7\r'),
	('SA', 4305, 'GRJ', 804, 'CPT', 797, 'Y', 0, 'CR2 ER3 AR8\r'),
	('SA', 4305, 'GRJ', 804, 'DUR', 799, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'GRJ', 804, 'JNB', 813, '', 0, '738 733\r'),
	('SA', 4305, 'GRU', 2564, 'JNB', 813, '', 0, '346 332 343\r'),
	('SA', 4305, 'HDS', 811, 'CPT', 797, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'HDS', 811, 'JNB', 813, 'Y', 0, 'DH4\r'),
	('SA', 4305, 'HKG', 3077, 'JNB', 813, '', 0, '343 346\r'),
	('SA', 4305, 'HLA', 820, 'CPT', 797, '', 0, '738\r'),
	('SA', 4305, 'HRE', 1005, 'DUR', 799, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'HRE', 1005, 'JNB', 813, '', 0, '738 319 320\r'),
	('SA', 4305, 'IAD', 3714, 'DKR', 1084, '', 0, '343\r'),
	('SA', 4305, 'JFK', 3797, 'JNB', 813, '', 0, '346\r'),
	('SA', 4305, 'JNB', 813, 'ACC', 248, '', 0, '332\r'),
	('SA', 4305, 'JNB', 813, 'ADD', 1107, 'Y', 0, '77L\r'),
	('SA', 4305, 'JNB', 813, 'APL', 984, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'JNB', 813, 'AUH', 2179, '', 0, '332\r'),
	('SA', 4305, 'JNB', 813, 'BBK', 879, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'JNB', 813, 'BEW', 974, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'JNB', 813, 'BFN', 794, 'Y', 0, 'DH4 AR8 ER3 CR7\r'),
	('SA', 4305, 'JNB', 813, 'BKK', 3885, 'Y', 0, '777\r'),
	('SA', 4305, 'JNB', 813, 'BLZ', 1013, '', 0, '738\r'),
	('SA', 4305, 'JNB', 813, 'BOM', 2997, '', 0, '332\r'),
	('SA', 4305, 'JNB', 813, 'BUQ', 1001, 'Y', 0, 'AR8\r'),
	('SA', 4305, 'JNB', 813, 'BZV', 883, '', 0, '320 319\r'),
	('SA', 4305, 'JNB', 813, 'CAI', 1128, 'Y', 0, '330\r'),
	('SA', 4305, 'JNB', 813, 'CPT', 797, '', 0, '738 343 320 319 733 346 332 342\r'),
	('SA', 4305, 'JNB', 813, 'DAR', 1177, '', 0, '320 319\r'),
	('SA', 4305, 'JNB', 813, 'DKR', 1084, '', 0, '343\r'),
	('SA', 4305, 'JNB', 813, 'DUR', 799, '', 0, '320 738 319 733\r'),
	('SA', 4305, 'JNB', 813, 'DXB', 2188, 'Y', 0, '77W\r'),
	('SA', 4305, 'JNB', 813, 'EBB', 1187, '', 0, '319\r'),
	('SA', 4305, 'JNB', 813, 'ELS', 800, '', 0, '319 320\r'),
	('SA', 4305, 'JNB', 813, 'FBM', 1038, 'Y', 0, 'CR7\r'),
	('SA', 4305, 'JNB', 813, 'FIH', 1020, '', 0, '738 319\r'),
	('SA', 4305, 'JNB', 813, 'FRA', 340, '', 0, '346\r'),
	('SA', 4305, 'JNB', 813, 'GBE', 881, 'Y', 0, 'DH4 AR8 CR2 ER3 CR7\r'),
	('SA', 4305, 'JNB', 813, 'GRJ', 804, '', 0, '738 733\r'),
	('SA', 4305, 'JNB', 813, 'GRU', 2564, '', 0, '332 343 346\r'),
	('SA', 4305, 'JNB', 813, 'HDS', 811, 'Y', 0, 'DH4\r'),
	('SA', 4305, 'JNB', 813, 'HKG', 3077, '', 0, '346 343\r'),
	('SA', 4305, 'JNB', 813, 'HRE', 1005, '', 0, '738 319 320\r'),
	('SA', 4305, 'JNB', 813, 'JFK', 3797, '', 0, '346\r'),
	('SA', 4305, 'JNB', 813, 'KGL', 1165, '', 0, '73W\r'),
	('SA', 4305, 'JNB', 813, 'KIM', 815, 'Y', 0, 'DH4 AR8 ER3 CR7\r'),
	('SA', 4305, 'JNB', 813, 'LAD', 951, '', 0, '343 346 332\r'),
	('SA', 4305, 'JNB', 813, 'LBV', 970, '', 0, '320 319\r'),
	('SA', 4305, 'JNB', 813, 'LHR', 507, '', 0, '332 343\r'),
	('SA', 4305, 'JNB', 813, 'LLW', 1016, '', 0, '738 332 343\r'),
	('SA', 4305, 'JNB', 813, 'LOS', 273, '', 0, '343 346\r'),
	('SA', 4305, 'JNB', 813, 'LUN', 907, '', 0, '738 319 320\r'),
	('SA', 4305, 'JNB', 813, 'LVI', 906, '', 0, '319 320\r'),
	('SA', 4305, 'JNB', 813, 'MPM', 979, '', 0, '319 ER4 DH4\r'),
	('SA', 4305, 'JNB', 813, 'MQP', 5604, 'Y', 0, 'CR2 ER3 AR8 CR7 DH4\r'),
	('SA', 4305, 'JNB', 813, 'MRU', 893, '', 0, '332 342 320 738\r'),
	('SA', 4305, 'JNB', 813, 'MSU', 1018, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'JNB', 813, 'MTS', 887, 'Y', 0, 'ER3\r');
INSERT INTO `route` (`Airline`, `Airline_ID`, `Source_airport`, `Source_airport_ID`, `Destination_airport`, `Destination_airport_ID`, `Codeshare`, `Stops`, `Equipment`) VALUES
	('SA', 4305, 'JNB', 813, 'MUB', 880, 'Y', 0, 'AR8\r'),
	('SA', 4305, 'JNB', 813, 'MUC', 346, '', 0, '346 343 332\r'),
	('SA', 4305, 'JNB', 813, 'NBO', 4059, '', 0, '320 319\r'),
	('SA', 4305, 'JNB', 813, 'NLA', 910, '', 0, '319\r'),
	('SA', 4305, 'JNB', 813, 'PER', 3351, '', 0, '343 346\r'),
	('SA', 4305, 'JNB', 813, 'PHW', 840, 'Y', 0, 'J41\r'),
	('SA', 4305, 'JNB', 813, 'PLZ', 838, '', 0, '319 733 320 738\r'),
	('SA', 4305, 'JNB', 813, 'PNR', 886, '', 0, '320 319\r'),
	('SA', 4305, 'JNB', 813, 'POL', 985, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'JNB', 813, 'PTG', 841, 'Y', 0, 'ER3 J41\r'),
	('SA', 4305, 'JNB', 813, 'PZB', 843, 'Y', 0, 'AR8 DH4 ER3 J41\r'),
	('SA', 4305, 'JNB', 813, 'RCB', 849, 'Y', 0, 'DH4 J41\r'),
	('SA', 4305, 'JNB', 813, 'SEZ', 994, '', 0, '332\r'),
	('SA', 4305, 'JNB', 813, 'SIN', 3316, 'Y', 0, '772\r'),
	('SA', 4305, 'JNB', 813, 'SYD', 3361, 'Y', 0, '744\r'),
	('SA', 4305, 'JNB', 813, 'TET', 988, 'Y', 0, 'AR8\r'),
	('SA', 4305, 'JNB', 813, 'TNR', 918, 'Y', 0, 'AR8\r'),
	('SA', 4305, 'JNB', 813, 'UTN', 865, 'Y', 0, 'ER3 AR8\r'),
	('SA', 4305, 'JNB', 813, 'UTT', 866, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'JNB', 813, 'VFA', 1004, '', 0, '319\r'),
	('SA', 4305, 'JNB', 813, 'VNX', 990, 'Y', 0, 'ER3 J41\r'),
	('SA', 4305, 'JNB', 813, 'WDH', 4105, '', 0, '320 342 319 738 332\r'),
	('SA', 4305, 'JNB', 813, 'WVB', 6778, 'Y', 0, 'CR7\r'),
	('SA', 4305, 'JNB', 813, 'ZRH', 1678, 'Y', 0, '343 333\r'),
	('SA', 4305, 'KGL', 1165, 'JNB', 813, '', 0, '73W\r'),
	('SA', 4305, 'KIM', 815, 'CPT', 797, 'Y', 0, 'CR2 ER3\r'),
	('SA', 4305, 'KIM', 815, 'JNB', 813, 'Y', 0, 'DH4 AR8 ER3 CR7\r'),
	('SA', 4305, 'KWI', 2176, 'ADD', 1107, 'Y', 0, '738\r'),
	('SA', 4305, 'LAD', 951, 'JNB', 813, '', 0, '343 346 332\r'),
	('SA', 4305, 'LBV', 970, 'DLA', 897, '', 0, '320 319\r'),
	('SA', 4305, 'LBV', 970, 'JNB', 813, '', 0, '320 319\r'),
	('SA', 4305, 'LHR', 507, 'JNB', 813, '', 0, '332 343\r'),
	('SA', 4305, 'LLW', 1016, 'JNB', 813, '', 0, '738 332 343\r'),
	('SA', 4305, 'LOS', 273, 'JNB', 813, '', 0, '343 346\r'),
	('SA', 4305, 'LUN', 907, 'DUR', 799, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'LUN', 907, 'JNB', 813, '', 0, '320 738 319\r'),
	('SA', 4305, 'LVI', 906, 'JNB', 813, '', 0, '319 320\r'),
	('SA', 4305, 'LVI', 906, 'MQP', 5604, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'MAN', 478, 'MUC', 346, 'Y', 0, '319\r'),
	('SA', 4305, 'MPM', 979, 'CPT', 797, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'MPM', 979, 'DUR', 799, 'Y', 0, 'J41\r'),
	('SA', 4305, 'MPM', 979, 'JNB', 813, '', 0, '319 ER4 DH4\r'),
	('SA', 4305, 'MQP', 5604, 'CPT', 797, 'Y', 0, 'AR8\r'),
	('SA', 4305, 'MQP', 5604, 'DUR', 799, 'Y', 0, 'ER3 J41\r'),
	('SA', 4305, 'MQP', 5604, 'JNB', 813, 'Y', 0, 'CR2 ER3 AR8 CR7 DH4\r'),
	('SA', 4305, 'MQP', 5604, 'LVI', 906, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'MRU', 893, 'JNB', 813, '', 0, '332 342 320 738\r'),
	('SA', 4305, 'MSU', 1018, 'JNB', 813, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'MTS', 887, 'JNB', 813, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'MUB', 880, 'JNB', 813, 'Y', 0, 'AR8\r'),
	('SA', 4305, 'MUC', 346, 'JNB', 813, '', 0, '346 343 332\r'),
	('SA', 4305, 'MUC', 346, 'MAN', 478, 'Y', 0, '319\r'),
	('SA', 4305, 'NBO', 4059, 'JNB', 813, '', 0, '319 320\r'),
	('SA', 4305, 'NLA', 910, 'JNB', 813, '', 0, '319\r'),
	('SA', 4305, 'PEK', 3364, 'JNB', 813, '', 0, '343\r'),
	('SA', 4305, 'PER', 3351, 'JNB', 813, '', 0, '346 343\r'),
	('SA', 4305, 'PHW', 840, 'JNB', 813, 'Y', 0, 'J41\r'),
	('SA', 4305, 'PLZ', 838, 'CPT', 797, '', 0, '733\r'),
	('SA', 4305, 'PLZ', 838, 'DUR', 799, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'PLZ', 838, 'ELS', 800, 'Y', 0, 'J41\r'),
	('SA', 4305, 'PLZ', 838, 'JNB', 813, '', 0, '319 320 733 738\r'),
	('SA', 4305, 'PNR', 886, 'COO', 245, '', 0, '320 319\r'),
	('SA', 4305, 'PNR', 886, 'JNB', 813, '', 0, '320\r'),
	('SA', 4305, 'POL', 985, 'JNB', 813, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'PTG', 841, 'JNB', 813, 'Y', 0, 'ER3 J41\r'),
	('SA', 4305, 'PZB', 843, 'JNB', 813, 'Y', 0, 'AR8 DH4 ER3 J41\r'),
	('SA', 4305, 'RCB', 849, 'JNB', 813, 'Y', 0, 'DH4 J41\r'),
	('SA', 4305, 'SEZ', 994, 'JNB', 813, '', 0, '332\r'),
	('SA', 4305, 'SIN', 3316, 'JNB', 813, 'Y', 0, '772\r'),
	('SA', 4305, 'SYD', 3361, 'JNB', 813, 'Y', 0, '744\r'),
	('SA', 4305, 'TET', 988, 'JNB', 813, 'Y', 0, 'AR8\r'),
	('SA', 4305, 'TNR', 918, 'JNB', 813, 'Y', 0, 'AR8\r'),
	('SA', 4305, 'UTN', 865, 'CPT', 797, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'UTN', 865, 'JNB', 813, 'Y', 0, 'ER3 AR8\r'),
	('SA', 4305, 'UTT', 866, 'JNB', 813, 'Y', 0, 'ER3\r'),
	('SA', 4305, 'VFA', 1004, 'JNB', 813, '', 0, '319\r'),
	('SA', 4305, 'VNX', 990, 'JNB', 813, 'Y', 0, 'ER3 J41\r'),
	('SA', 4305, 'WDH', 4105, 'CPT', 797, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'WDH', 4105, 'JNB', 813, '', 0, '319 320 342 738 332\r'),
	('SA', 4305, 'WVB', 6778, 'CPT', 797, 'Y', 0, 'CR2\r'),
	('SA', 4305, 'WVB', 6778, 'JNB', 813, 'Y', 0, 'CR7\r'),
	('SA', 4305, 'ZRH', 1678, 'JNB', 813, 'Y', 0, '343 333\r'),
	('SB', 139, 'AKL', 2006, 'NOU', 2005, '', 0, '320\r'),
	('SB', 139, 'BNE', 3320, 'NOU', 2005, '', 0, '320\r'),
	('SB', 139, 'FUT', 5885, 'WLS', 1968, '', 0, 'DHT\r'),
	('SB', 139, 'KIX', 3992, 'NOU', 2005, '', 0, '332\r'),
	('SB', 139, 'NAN', 1960, 'NOU', 2005, '', 0, '320\r'),
	('SB', 139, 'NAN', 1960, 'WLS', 1968, '', 0, '320\r'),
	('SB', 139, 'NOU', 2005, 'AKL', 2006, '', 0, '332 320\r'),
	('SB', 139, 'NOU', 2005, 'BNE', 3320, '', 0, '320\r'),
	('SB', 139, 'NOU', 2005, 'KIX', 3992, '', 0, '332\r'),
	('SB', 139, 'NOU', 2005, 'NAN', 1960, '', 0, '320\r'),
	('SB', 139, 'NOU', 2005, 'NRT', 2279, '', 0, '332\r'),
	('SB', 139, 'NOU', 2005, 'PPT', 4075, '', 0, '332\r'),
	('SB', 139, 'NOU', 2005, 'SYD', 3361, '', 0, '320 332\r'),
	('SB', 139, 'NOU', 2005, 'VLI', 1997, '', 0, '320\r'),
	('SB', 139, 'NOU', 2005, 'WLS', 1968, '', 0, '320\r'),
	('SB', 139, 'NRT', 2279, 'NOU', 2005, '', 0, '332\r'),
	('SB', 139, 'PPT', 4075, 'NOU', 2005, '', 0, '332\r'),
	('SB', 139, 'SYD', 3361, 'NOU', 2005, '', 0, '320 332\r'),
	('SB', 139, 'VLI', 1997, 'NOU', 2005, '', 0, '320\r'),
	('SB', 139, 'WLS', 1968, 'FUT', 5885, '', 0, 'DHT\r'),
	('SB', 139, 'WLS', 1968, 'NAN', 1960, '', 0, '320\r'),
	('SB', 139, 'WLS', 1968, 'NOU', 2005, '', 0, '320\r'),
	('SC', 4599, 'BAV', 6346, 'TSN', 3368, '', 0, 'CR7\r'),
	('SC', 4599, 'BAV', 6346, 'TYN', 3369, '', 0, 'CR7\r'),
	('SC', 4599, 'BKK', 3885, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'BKK', 3885, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'CAN', 3370, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'CAN', 3370, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'CAN', 3370, 'WUS', 6391, '', 0, '738\r'),
	('SC', 4599, 'CAN', 3370, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'CGO', 3375, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'CGO', 3375, 'KWE', 3394, '', 0, '738\r'),
	('SC', 4599, 'CGO', 3375, 'KWL', 3372, '', 0, '738\r'),
	('SC', 4599, 'CGO', 3375, 'LHW', 6431, '', 0, '738\r'),
	('SC', 4599, 'CGO', 3375, 'MIG', 6400, '', 0, 'CR2\r'),
	('SC', 4599, 'CGO', 3375, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'CGO', 3375, 'TNA', 4108, '', 0, 'CR2 738\r'),
	('SC', 4599, 'CGO', 3375, 'TSN', 3368, '', 0, '738\r'),
	('SC', 4599, 'CGO', 3375, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'CGQ', 4380, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'CGQ', 4380, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'CGQ', 4380, 'YNT', 3392, '', 0, 'CR2\r'),
	('SC', 4599, 'CKG', 3393, 'CGO', 3375, '', 0, '738\r'),
	('SC', 4599, 'CKG', 3393, 'CNX', 3931, '', 0, '738\r'),
	('SC', 4599, 'CKG', 3393, 'KMG', 3382, '', 0, '738\r'),
	('SC', 4599, 'CKG', 3393, 'KWE', 3394, '', 0, '738\r'),
	('SC', 4599, 'CKG', 3393, 'KWL', 3372, '', 0, '738\r'),
	('SC', 4599, 'CKG', 3393, 'PEK', 3364, '', 0, '738\r'),
	('SC', 4599, 'CKG', 3393, 'SJW', 6347, '', 0, '738\r'),
	('SC', 4599, 'CKG', 3393, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'CKG', 3393, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'CKG', 3393, 'WUH', 3376, '', 0, '738\r'),
	('SC', 4599, 'CKG', 3393, 'WUS', 6391, '', 0, '738\r'),
	('SC', 4599, 'CNX', 3931, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'CSX', 3371, 'HFE', 3389, '', 0, '738\r'),
	('SC', 4599, 'CSX', 3371, 'TNA', 4108, '', 0, '733 738\r'),
	('SC', 4599, 'CSX', 3371, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'CTU', 3395, 'JDZ', 6380, '', 0, '738\r'),
	('SC', 4599, 'CTU', 3395, 'KWL', 3372, '', 0, '738\r'),
	('SC', 4599, 'CTU', 3395, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'CTU', 3395, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'DLC', 3404, 'HFE', 3389, '', 0, '738\r'),
	('SC', 4599, 'DLC', 3404, 'TAO', 3390, '', 0, '738 CR2\r'),
	('SC', 4599, 'DLC', 3404, 'TNA', 4108, '', 0, 'CR2\r'),
	('SC', 4599, 'DSN', 6434, 'TYN', 3369, '', 0, 'CR2\r'),
	('SC', 4599, 'FOC', 3385, 'HAK', 4120, '', 0, 'CR2\r'),
	('SC', 4599, 'FOC', 3385, 'HFE', 3389, '', 0, '738\r'),
	('SC', 4599, 'FOC', 3385, 'KWL', 3372, '', 0, '738\r'),
	('SC', 4599, 'FOC', 3385, 'NKG', 3388, '', 0, '738\r'),
	('SC', 4599, 'FOC', 3385, 'TNA', 4108, '', 0, 'CR2\r'),
	('SC', 4599, 'HAK', 4120, 'FOC', 3385, '', 0, 'CR2\r'),
	('SC', 4599, 'HET', 6345, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'HET', 6345, 'TSN', 3368, '', 0, '738\r'),
	('SC', 4599, 'HFE', 3389, 'CSX', 3371, '', 0, '738\r'),
	('SC', 4599, 'HFE', 3389, 'DLC', 3404, '', 0, '738\r'),
	('SC', 4599, 'HFE', 3389, 'FOC', 3385, '', 0, '738\r'),
	('SC', 4599, 'HFE', 3389, 'KWE', 3394, '', 0, '738\r'),
	('SC', 4599, 'HFE', 3389, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'HFE', 3389, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'HFE', 3389, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'HGH', 3386, 'KWL', 3372, '', 0, '738\r'),
	('SC', 4599, 'HGH', 3386, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'HGH', 3386, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'HGH', 3386, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'HGH', 3386, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'HRB', 3400, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'HRB', 3400, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'HRB', 3400, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'HUN', 2278, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'ICN', 3930, 'TAO', 3390, '', 0, '738 321\r'),
	('SC', 4599, 'ICN', 3930, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'ICN', 3930, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'INC', 4085, 'PEK', 3364, '', 0, '738\r'),
	('SC', 4599, 'INC', 4085, 'SJW', 6347, '', 0, '738\r'),
	('SC', 4599, 'INC', 4085, 'TNA', 4108, '', 0, 'CR2 738\r'),
	('SC', 4599, 'INC', 4085, 'URC', 3399, '', 0, '738\r'),
	('SC', 4599, 'INC', 4085, 'WUH', 3376, '', 0, '738\r'),
	('SC', 4599, 'INC', 4085, 'XNN', 6366, '', 0, 'CR2\r'),
	('SC', 4599, 'JDZ', 6380, 'CTU', 3395, '', 0, '738\r'),
	('SC', 4599, 'JDZ', 6380, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'JIU', 6381, 'PEK', 3364, '', 0, '737\r'),
	('SC', 4599, 'JIU', 6381, 'XMN', 3383, '', 0, '737\r'),
	('SC', 4599, 'JNZ', 6412, 'TAO', 3390, '', 0, 'CR7\r'),
	('SC', 4599, 'JUZ', 6382, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'KHG', 3397, 'URC', 3399, '', 0, '738\r'),
	('SC', 4599, 'KHN', 3384, 'KWE', 3394, '', 0, '733\r'),
	('SC', 4599, 'KHN', 3384, 'TAO', 3390, '', 0, '737\r'),
	('SC', 4599, 'KHN', 3384, 'TNA', 4108, '', 0, '733\r'),
	('SC', 4599, 'KHN', 3384, 'ZUH', 6355, '', 0, '737\r'),
	('SC', 4599, 'KIX', 3992, 'TAO', 3390, 'Y', 0, '763\r'),
	('SC', 4599, 'KIX', 3992, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'KMG', 3382, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'KMG', 3382, 'KWE', 3394, '', 0, '738\r'),
	('SC', 4599, 'KMG', 3382, 'NKG', 3388, '', 0, '738\r'),
	('SC', 4599, 'KMG', 3382, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'KMG', 3382, 'WUH', 3376, '', 0, '738\r'),
	('SC', 4599, 'KMG', 3382, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'KWE', 3394, 'CGO', 3375, '', 0, '738\r'),
	('SC', 4599, 'KWE', 3394, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'KWE', 3394, 'HFE', 3389, '', 0, '738\r'),
	('SC', 4599, 'KWE', 3394, 'KHN', 3384, '', 0, '733\r'),
	('SC', 4599, 'KWE', 3394, 'KMG', 3382, '', 0, '738\r'),
	('SC', 4599, 'KWE', 3394, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'KWE', 3394, 'WUH', 3376, '', 0, '738\r'),
	('SC', 4599, 'KWE', 3394, 'XIY', 3379, '', 0, '738\r'),
	('SC', 4599, 'KWE', 3394, 'XMN', 3383, '', 0, '737 738\r'),
	('SC', 4599, 'KWE', 3394, 'ZUH', 6355, '', 0, '738\r'),
	('SC', 4599, 'KWL', 3372, 'CGO', 3375, '', 0, '738\r'),
	('SC', 4599, 'KWL', 3372, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'KWL', 3372, 'CTU', 3395, '', 0, '738\r'),
	('SC', 4599, 'KWL', 3372, 'FOC', 3385, '', 0, '738\r'),
	('SC', 4599, 'KWL', 3372, 'HGH', 3386, '', 0, '738\r'),
	('SC', 4599, 'KWL', 3372, 'NGB', 3387, '', 0, '738\r'),
	('SC', 4599, 'KWL', 3372, 'NKG', 3388, '', 0, '738\r'),
	('SC', 4599, 'KWL', 3372, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'LHW', 6431, 'CGO', 3375, '', 0, '738\r'),
	('SC', 4599, 'LHW', 6431, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'LHW', 6431, 'TYN', 3369, '', 0, '738\r'),
	('SC', 4599, 'LHW', 6431, 'URC', 3399, '', 0, '738\r'),
	('SC', 4599, 'LHW', 6431, 'XIY', 3379, '', 0, '738\r'),
	('SC', 4599, 'LHW', 6431, 'YCU', 6430, '', 0, '738\r'),
	('SC', 4599, 'MIG', 6400, 'CGO', 3375, '', 0, 'CR2\r'),
	('SC', 4599, 'NGB', 3387, 'KWL', 3372, '', 0, '738\r'),
	('SC', 4599, 'NGB', 3387, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'NKG', 3388, 'FOC', 3385, '', 0, '738\r'),
	('SC', 4599, 'NKG', 3388, 'KMG', 3382, '', 0, '738\r'),
	('SC', 4599, 'NKG', 3388, 'KWL', 3372, '', 0, '738\r'),
	('SC', 4599, 'NKG', 3388, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'NKG', 3388, 'TYN', 3369, '', 0, '738\r'),
	('SC', 4599, 'NKG', 3388, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'NKG', 3388, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'NNG', 3373, 'WUH', 3376, '', 0, '738\r'),
	('SC', 4599, 'NNG', 3373, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'NNG', 3373, 'ZUH', 6355, '', 0, '738\r'),
	('SC', 4599, 'NRT', 2279, 'TAO', 3390, 'Y', 0, '763\r'),
	('SC', 4599, 'PEK', 3364, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'PEK', 3364, 'INC', 4085, '', 0, '738\r'),
	('SC', 4599, 'PEK', 3364, 'JIU', 6381, '', 0, '737\r'),
	('SC', 4599, 'PEK', 3364, 'TAO', 3390, '', 0, '738 737\r'),
	('SC', 4599, 'PEK', 3364, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'PEK', 3364, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'PVG', 3406, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'PVG', 3406, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'RMQ', 2268, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'RMQ', 2268, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'SHA', 3391, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'SHA', 3391, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'SHA', 3391, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'SHE', 4144, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'SHE', 4144, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'SJW', 6347, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'SJW', 6347, 'INC', 4085, '', 0, '738\r'),
	('SC', 4599, 'SJW', 6347, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'SJW', 6347, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'SYX', 4030, 'XMN', 3383, '', 0, 'CR2\r'),
	('SC', 4599, 'SZX', 3374, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'SZX', 3374, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'SZX', 3374, 'WNZ', 6392, '', 0, '738\r'),
	('SC', 4599, 'SZX', 3374, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'BKK', 3885, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'CAN', 3370, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'CGO', 3375, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'CGQ', 4380, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'CTU', 3395, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'DLC', 3404, '', 0, '738 CR2\r'),
	('SC', 4599, 'TAO', 3390, 'HFE', 3389, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'HGH', 3386, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'HRB', 3400, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'ICN', 3930, '', 0, '738 321\r'),
	('SC', 4599, 'TAO', 3390, 'JNZ', 6412, '', 0, 'CR7\r'),
	('SC', 4599, 'TAO', 3390, 'KHN', 3384, '', 0, '737\r'),
	('SC', 4599, 'TAO', 3390, 'KIX', 3992, 'Y', 0, '763\r'),
	('SC', 4599, 'TAO', 3390, 'NGB', 3387, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'NKG', 3388, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'NRT', 2279, 'Y', 0, '763\r'),
	('SC', 4599, 'TAO', 3390, 'PEK', 3364, '', 0, '738 737\r'),
	('SC', 4599, 'TAO', 3390, 'PVG', 3406, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'RMQ', 2268, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'SHA', 3391, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'SHE', 4144, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'SJW', 6347, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'SZX', 3374, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'TPE', 2276, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'TSN', 3368, '', 0, '738 CR7\r'),
	('SC', 4599, 'TAO', 3390, 'TYN', 3369, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'WNZ', 6392, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'WUH', 3376, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'WUS', 6391, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'XIY', 3379, '', 0, '737 738\r'),
	('SC', 4599, 'TAO', 3390, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'YCU', 6430, '', 0, '738\r'),
	('SC', 4599, 'TAO', 3390, 'YNJ', 6414, '', 0, '737\r'),
	('SC', 4599, 'TNA', 4108, 'BKK', 3885, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'CAN', 3370, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'CGO', 3375, '', 0, 'CR2 738\r'),
	('SC', 4599, 'TNA', 4108, 'CGQ', 4380, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'CSX', 3371, '', 0, '733 738\r'),
	('SC', 4599, 'TNA', 4108, 'CTU', 3395, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'DLC', 3404, '', 0, 'CR2\r'),
	('SC', 4599, 'TNA', 4108, 'FOC', 3385, '', 0, 'CR2\r'),
	('SC', 4599, 'TNA', 4108, 'HET', 6345, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'HGH', 3386, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'HRB', 3400, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'HUN', 2278, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'ICN', 3930, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'INC', 4085, '', 0, 'CR2 738\r'),
	('SC', 4599, 'TNA', 4108, 'KHN', 3384, '', 0, '733\r'),
	('SC', 4599, 'TNA', 4108, 'KIX', 3992, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'KMG', 3382, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'KWE', 3394, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'LHW', 6431, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'PEK', 3364, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'RMQ', 2268, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'SHA', 3391, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'SHE', 4144, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'SZX', 3374, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'TPE', 2276, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'TYN', 3369, '', 0, 'CR7 CR2\r'),
	('SC', 4599, 'TNA', 4108, 'URC', 3399, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'WNZ', 6392, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'WUH', 3376, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'WUS', 6391, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'XIY', 3379, '', 0, '738\r'),
	('SC', 4599, 'TNA', 4108, 'XMN', 3383, '', 0, 'CR2 738\r'),
	('SC', 4599, 'TNA', 4108, 'YNT', 3392, '', 0, 'CR2 738\r'),
	('SC', 4599, 'TPE', 2276, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'TPE', 2276, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'TPE', 2276, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'TSN', 3368, 'BAV', 6346, '', 0, 'CR7\r'),
	('SC', 4599, 'TSN', 3368, 'CGO', 3375, '', 0, '738\r'),
	('SC', 4599, 'TSN', 3368, 'HET', 6345, '', 0, '738\r'),
	('SC', 4599, 'TSN', 3368, 'TAO', 3390, '', 0, '738 CR7\r'),
	('SC', 4599, 'TYN', 3369, 'BAV', 6346, '', 0, 'CR7\r'),
	('SC', 4599, 'TYN', 3369, 'DSN', 6434, '', 0, 'CR2\r'),
	('SC', 4599, 'TYN', 3369, 'LHW', 6431, '', 0, '738\r'),
	('SC', 4599, 'TYN', 3369, 'NKG', 3388, '', 0, '738\r'),
	('SC', 4599, 'TYN', 3369, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'TYN', 3369, 'TNA', 4108, '', 0, 'CR7 CR2\r'),
	('SC', 4599, 'TYN', 3369, 'URC', 3399, '', 0, '738\r'),
	('SC', 4599, 'URC', 3399, 'INC', 4085, '', 0, '738\r'),
	('SC', 4599, 'URC', 3399, 'KHG', 3397, '', 0, '738\r'),
	('SC', 4599, 'URC', 3399, 'LHW', 6431, '', 0, '738\r'),
	('SC', 4599, 'URC', 3399, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'URC', 3399, 'TYN', 3369, '', 0, '738\r'),
	('SC', 4599, 'WNZ', 6392, 'SZX', 3374, '', 0, '738\r'),
	('SC', 4599, 'WNZ', 6392, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'WNZ', 6392, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'WNZ', 6392, 'ZUH', 6355, '', 0, '738\r'),
	('SC', 4599, 'WUH', 3376, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'WUH', 3376, 'INC', 4085, '', 0, '738\r'),
	('SC', 4599, 'WUH', 3376, 'KMG', 3382, '', 0, '738\r'),
	('SC', 4599, 'WUH', 3376, 'KWE', 3394, '', 0, '738\r'),
	('SC', 4599, 'WUH', 3376, 'NNG', 3373, '', 0, '738\r'),
	('SC', 4599, 'WUH', 3376, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'WUH', 3376, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'WUH', 3376, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'WUH', 3376, 'YNT', 3392, '', 0, '738\r'),
	('SC', 4599, 'WUS', 6391, 'CAN', 3370, '', 0, '738\r'),
	('SC', 4599, 'WUS', 6391, 'CKG', 3393, '', 0, '738\r'),
	('SC', 4599, 'WUS', 6391, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'WUS', 6391, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'WUS', 6391, 'XIY', 3379, '', 0, '738\r'),
	('SC', 4599, 'WUS', 6391, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'XIY', 3379, 'KWE', 3394, '', 0, '738\r'),
	('SC', 4599, 'XIY', 3379, 'LHW', 6431, '', 0, '738\r'),
	('SC', 4599, 'XIY', 3379, 'TAO', 3390, '', 0, '737 738\r'),
	('SC', 4599, 'XIY', 3379, 'TNA', 4108, '', 0, '738\r'),
	('SC', 4599, 'XIY', 3379, 'WUS', 6391, '', 0, '738\r'),
	('SC', 4599, 'XIY', 3379, 'XMN', 3383, '', 0, '738\r'),
	('SC', 4599, 'XIY', 3379, 'XNN', 6366, '', 0, '737\r'),
	('SC', 4599, 'XMN', 3383, 'CGO', 3375, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'CSX', 3371, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'HFE', 3389, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'HGH', 3386, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'JDZ', 6380, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'JIU', 6381, '', 0, '737\r'),
	('SC', 4599, 'XMN', 3383, 'JUZ', 6382, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'KMG', 3382, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'KWE', 3394, '', 0, '737 738\r'),
	('SC', 4599, 'XMN', 3383, 'KWL', 3372, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'NKG', 3388, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'NNG', 3373, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'SYX', 4030, '', 0, 'CR2\r'),
	('SC', 4599, 'XMN', 3383, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'TNA', 4108, '', 0, '738 CR2\r'),
	('SC', 4599, 'XMN', 3383, 'WUH', 3376, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'WUS', 6391, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'XIY', 3379, '', 0, '738\r'),
	('SC', 4599, 'XMN', 3383, 'ZUH', 6355, '', 0, '738\r'),
	('SC', 4599, 'XNN', 6366, 'INC', 4085, '', 0, 'CR2\r'),
	('SC', 4599, 'XNN', 6366, 'XIY', 3379, '', 0, '737\r'),
	('SC', 4599, 'YCU', 6430, 'LHW', 6431, '', 0, '738\r'),
	('SC', 4599, 'YCU', 6430, 'TAO', 3390, '', 0, '738\r'),
	('SC', 4599, 'YNJ', 6414, 'TAO', 3390, '', 0, '737\r'),
	('SC', 4599, 'YNT', 3392, 'CAN', 3370, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'CGQ', 4380, '', 0, 'CR2\r'),
	('SC', 4599, 'YNT', 3392, 'HFE', 3389, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'HGH', 3386, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'HRB', 3400, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'ICN', 3930, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'NKG', 3388, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'PEK', 3364, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'PVG', 3406, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'SHA', 3391, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'SJW', 6347, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'SZX', 3374, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'TNA', 4108, '', 0, '738 CR2\r'),
	('SC', 4599, 'YNT', 3392, 'TPE', 2276, '', 0, '738\r'),
	('SC', 4599, 'YNT', 3392, 'WUH', 3376, '', 0, '738\r'),
	('SC', 4599, 'ZUH', 6355, 'KHN', 3384, '', 0, '737\r'),
	('SC', 4599, 'ZUH', 6355, 'KWE', 3394, '', 0, '738\r'),
	('SC', 4599, 'ZUH', 6355, 'NNG', 3373, '', 0, '738\r'),
	('SC', 4599, 'ZUH', 6355, 'WNZ', 6392, '', 0, '738\r'),
	('SC', 4599, 'ZUH', 6355, 'XMN', 3383, '', 0, '738\r'),
	('SD', 4521, 'ADD', 1107, 'KRT', 1175, '', 0, '320\r'),
	('SD', 4521, 'AUH', 2179, 'KRT', 1175, '', 0, 'AB6\r'),
	('SD', 4521, 'CAI', 1128, 'KRT', 1175, '', 0, '320 AB6\r'),
	('SD', 4521, 'CAI', 1128, 'PZU', 5702, '', 0, '320\r'),
	('SD', 4521, 'DOH', 2241, 'KRT', 1175, '', 0, '320\r'),
	('SD', 4521, 'DXB', 2188, 'KRT', 1175, '', 0, 'AB6\r'),
	('SD', 4521, 'EGN', 6768, 'KRT', 1175, '', 0, 'YK2\r'),
	('SD', 4521, 'ELF', 1169, 'KRT', 1175, '', 0, 'YK2\r'),
	('SD', 4521, 'JED', 2072, 'KRT', 1175, '', 0, 'AB6 320\r'),
	('SD', 4521, 'JED', 2072, 'PZU', 5702, '', 0, '320\r'),
	('SD', 4521, 'JUB', 1173, 'KRT', 1175, '', 0, '320\r'),
	('SD', 4521, 'KAN', 270, 'KRT', 1175, '', 0, 'AB6\r'),
	('SD', 4521, 'KRT', 1175, 'ADD', 1107, '', 0, '320\r'),
	('SD', 4521, 'KRT', 1175, 'AMM', 2170, '', 0, '320\r'),
	('SD', 4521, 'KRT', 1175, 'AUH', 2179, '', 0, 'AB6\r'),
	('SD', 4521, 'KRT', 1175, 'CAI', 1128, '', 0, '320 AB6\r'),
	('SD', 4521, 'KRT', 1175, 'DOH', 2241, '', 0, '320 AB6\r'),
	('SD', 4521, 'KRT', 1175, 'DXB', 2188, '', 0, 'AB6\r'),
	('SD', 4521, 'KRT', 1175, 'EGN', 6768, '', 0, 'YK2\r'),
	('SD', 4521, 'KRT', 1175, 'ELF', 1169, '', 0, 'YK2\r'),
	('SD', 4521, 'KRT', 1175, 'JED', 2072, '', 0, 'AB6 320\r'),
	('SD', 4521, 'KRT', 1175, 'JUB', 1173, '', 0, '320\r'),
	('SD', 4521, 'KRT', 1175, 'NDJ', 999, '', 0, 'AB6\r'),
	('SD', 4521, 'KRT', 1175, 'PZU', 5702, '', 0, 'YK2 320\r'),
	('SD', 4521, 'KRT', 1175, 'RUH', 2082, '', 0, 'AB6\r'),
	('SD', 4521, 'KRT', 1175, 'SHJ', 2191, '', 0, 'AB6\r'),
	('SD', 4521, 'KRT', 1175, 'UYL', 5701, '', 0, '320\r'),
	('SD', 4521, 'NDJ', 999, 'KAN', 270, '', 0, 'AB6\r'),
	('SD', 4521, 'PZU', 5702, 'CAI', 1128, '', 0, '320\r'),
	('SD', 4521, 'PZU', 5702, 'JED', 2072, '', 0, '320\r'),
	('SD', 4521, 'PZU', 5702, 'KRT', 1175, '', 0, 'YK2 320\r'),
	('SD', 4521, 'RUH', 2082, 'KRT', 1175, '', 0, 'AB6\r'),
	('SD', 4521, 'SHJ', 2191, 'AUH', 2179, '', 0, 'AB6\r'),
	('SD', 4521, 'UYL', 5701, 'KRT', 1175, '', 0, '320\r'),
	('SE', 5479, 'BVC', 1103, 'SID', 1102, '', 0, '738\r'),
	('SE', 5479, 'CDG', 1382, 'BVC', 1103, '', 0, '738\r'),
	('SE', 5479, 'CDG', 1382, 'CUN', 1852, '', 0, '332\r'),
	('SE', 5479, 'CDG', 1382, 'FDF', 2878, '', 0, '333\r'),
	('SE', 5479, 'CDG', 1382, 'JFK', 3797, '', 0, '763 332\r'),
	('SE', 5479, 'CDG', 1382, 'LPA', 1054, '', 0, '738\r'),
	('SE', 5479, 'CDG', 1382, 'MRS', 1353, '', 0, '332 333\r'),
	('SE', 5479, 'CDG', 1382, 'PMO', 1512, '', 0, '733\r'),
	('SE', 5479, 'CDG', 1382, 'POP', 1761, '', 0, '332\r'),
	('SE', 5479, 'CDG', 1382, 'PTP', 2881, '', 0, '333\r'),
	('SE', 5479, 'CDG', 1382, 'PUJ', 1760, '', 0, '332 333\r'),
	('SE', 5479, 'CDG', 1382, 'SID', 1102, '', 0, '738\r'),
	('SE', 5479, 'CUN', 1852, 'CDG', 1382, '', 0, '332\r'),
	('SE', 5479, 'DZA', 915, 'RUN', 916, '', 0, '332\r'),
	('SE', 5479, 'FDF', 2878, 'CDG', 1382, '', 0, '333\r'),
	('SE', 5479, 'JFK', 3797, 'CDG', 1382, '', 0, '763 332\r'),
	('SE', 5479, 'LPA', 1054, 'CDG', 1382, '', 0, '738\r'),
	('SE', 5479, 'LYS', 1335, 'CDG', 1382, '', 0, '332\r'),
	('SE', 5479, 'MRS', 1353, 'CDG', 1382, '', 0, '332 333\r'),
	('SE', 5479, 'MRS', 1353, 'DZA', 915, '', 0, '332\r'),
	('SE', 5479, 'MRS', 1353, 'RUN', 916, '', 0, '333\r'),
	('SE', 5479, 'NTE', 1418, 'CDG', 1382, '', 0, '332\r'),
	('SE', 5479, 'PMO', 1512, 'CDG', 1382, '', 0, '733\r'),
	('SE', 5479, 'POP', 1761, 'CDG', 1382, '', 0, '332\r'),
	('SE', 5479, 'PTP', 2881, 'FDF', 2878, '', 0, '333\r'),
	('SE', 5479, 'PUJ', 1760, 'CDG', 1382, '', 0, '333\r'),
	('SE', 5479, 'PUJ', 1760, 'LYS', 1335, '', 0, '332\r'),
	('SE', 5479, 'PUJ', 1760, 'NTE', 1418, '', 0, '332\r'),
	('SE', 5479, 'PUJ', 1760, 'TLS', 1273, '', 0, '332\r'),
	('SE', 5479, 'RUN', 916, 'MRS', 1353, '', 0, '332 333\r'),
	('SE', 5479, 'SID', 1102, 'CDG', 1382, '', 0, '738\r'),
	('SE', 5479, 'TLS', 1273, 'CDG', 1382, '', 0, '332\r'),
	('SG', 4375, 'AMD', 2994, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'AMD', 2994, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'AMD', 2994, 'DXB', 2188, '', 0, '737\r'),
	('SG', 4375, 'AMD', 2994, 'HYD', 3141, '', 0, '737\r'),
	('SG', 4375, 'AMD', 2994, 'MAA', 3144, '', 0, '737\r'),
	('SG', 4375, 'AMD', 2994, 'MCT', 2194, '', 0, '737\r'),
	('SG', 4375, 'AMD', 2994, 'PNQ', 3017, '', 0, '737\r'),
	('SG', 4375, 'ATQ', 3081, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'ATQ', 3081, 'DEL', 3093, '', 0, 'DH8\r'),
	('SG', 4375, 'ATQ', 3081, 'SXR', 3112, '', 0, '737\r'),
	('SG', 4375, 'BLR', 3131, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'BLR', 3131, 'CCJ', 3137, '', 0, 'DH8\r'),
	('SG', 4375, 'BLR', 3131, 'CCU', 3043, '', 0, '737\r'),
	('SG', 4375, 'BLR', 3131, 'COK', 3136, '', 0, '737\r'),
	('SG', 4375, 'BLR', 3131, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'BLR', 3131, 'GOI', 3007, '', 0, '737\r'),
	('SG', 4375, 'BLR', 3131, 'HBX', 6168, '', 0, 'DH8\r'),
	('SG', 4375, 'BLR', 3131, 'HYD', 3141, '', 0, '737 DH8\r'),
	('SG', 4375, 'BLR', 3131, 'IXE', 3143, '', 0, 'DH8\r'),
	('SG', 4375, 'BLR', 3131, 'IXG', 3000, '', 0, 'DH8\r'),
	('SG', 4375, 'BLR', 3131, 'MAA', 3144, '', 0, 'DH8\r'),
	('SG', 4375, 'BLR', 3131, 'MYQ', 7774, '', 0, 'DH8\r'),
	('SG', 4375, 'BLR', 3131, 'PNQ', 3017, '', 0, '737\r'),
	('SG', 4375, 'BLR', 3131, 'VGA', 3134, '', 0, 'DH8\r'),
	('SG', 4375, 'BLR', 3131, 'VTZ', 3066, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'AMD', 2994, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'ATQ', 3081, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'BLR', 3131, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'CCU', 3043, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'CJB', 3135, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'COK', 3136, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'GOI', 3007, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'HBX', 6168, '', 0, 'DH8\r'),
	('SG', 4375, 'BOM', 2997, 'HYD', 3141, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'IXE', 3143, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'JLR', 3009, '', 0, 'DH8\r'),
	('SG', 4375, 'BOM', 2997, 'MAA', 3144, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'STV', 3022, '', 0, '737\r'),
	('SG', 4375, 'BOM', 2997, 'TRV', 3153, '', 0, '737\r'),
	('SG', 4375, 'CCJ', 3137, 'BLR', 3131, '', 0, 'DH8\r'),
	('SG', 4375, 'CCJ', 3137, 'MAA', 3144, '', 0, 'DH8\r'),
	('SG', 4375, 'CCU', 3043, 'BLR', 3131, '', 0, '737\r'),
	('SG', 4375, 'CCU', 3043, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'CCU', 3043, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'CCU', 3043, 'GAU', 6173, '', 0, '737\r'),
	('SG', 4375, 'CCU', 3043, 'HYD', 3141, '', 0, '737\r'),
	('SG', 4375, 'CCU', 3043, 'IXA', 3038, '', 0, '737\r'),
	('SG', 4375, 'CCU', 3043, 'IXB', 3040, '', 0, '737\r'),
	('SG', 4375, 'CCU', 3043, 'IXZ', 3146, '', 0, '737\r'),
	('SG', 4375, 'CCU', 3043, 'MAA', 3144, '', 0, '737\r'),
	('SG', 4375, 'CJB', 3135, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'CJB', 3135, 'HYD', 3141, '', 0, 'DH8\r'),
	('SG', 4375, 'CJB', 3135, 'MAA', 3144, '', 0, 'DH8 737\r'),
	('SG', 4375, 'CMB', 3024, 'IXM', 3142, '', 0, 'DH8\r'),
	('SG', 4375, 'CMB', 3024, 'MAA', 3144, '', 0, 'DH8\r'),
	('SG', 4375, 'COK', 3136, 'BLR', 3131, '', 0, '737\r'),
	('SG', 4375, 'COK', 3136, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'COK', 3136, 'DXB', 2188, '', 0, '737\r'),
	('SG', 4375, 'COK', 3136, 'HYD', 3141, '', 0, '737 DH8\r'),
	('SG', 4375, 'COK', 3136, 'MAA', 3144, '', 0, '737 DH8\r'),
	('SG', 4375, 'COK', 3136, 'MLE', 3156, '', 0, 'DH8\r'),
	('SG', 4375, 'COK', 3136, 'PNQ', 3017, '', 0, '737\r'),
	('SG', 4375, 'DED', 3092, 'DEL', 3093, '', 0, 'DH8\r'),
	('SG', 4375, 'DEL', 3093, 'AMD', 2994, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'ATQ', 3081, '', 0, 'DH8\r'),
	('SG', 4375, 'DEL', 3093, 'BLR', 3131, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'CCU', 3043, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'DED', 3092, '', 0, 'DH8\r'),
	('SG', 4375, 'DEL', 3093, 'DHM', 6760, '', 0, 'DH8\r'),
	('SG', 4375, 'DEL', 3093, 'DXB', 2188, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'GAU', 6173, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'GOI', 3007, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'HYD', 3141, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'IDR', 3008, '', 0, 'DH8\r'),
	('SG', 4375, 'DEL', 3093, 'IXB', 3040, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'IXC', 3089, '', 0, 'DH8 737\r'),
	('SG', 4375, 'DEL', 3093, 'IXJ', 3100, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'IXU', 2996, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'JAI', 3098, '', 0, 'DH8\r'),
	('SG', 4375, 'DEL', 3093, 'JLR', 3009, '', 0, 'DH8\r'),
	('SG', 4375, 'DEL', 3093, 'KBL', 2050, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'KTM', 3125, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'LKO', 3105, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'MAA', 3144, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'PNQ', 3017, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'STV', 3022, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'SXR', 3112, '', 0, '737\r'),
	('SG', 4375, 'DEL', 3093, 'UDR', 3023, '', 0, 'DH8\r'),
	('SG', 4375, 'DEL', 3093, 'VNS', 3084, '', 0, '737\r'),
	('SG', 4375, 'DHM', 6760, 'DEL', 3093, '', 0, 'DH8\r'),
	('SG', 4375, 'DXB', 2188, 'AMD', 2994, '', 0, '737\r'),
	('SG', 4375, 'DXB', 2188, 'COK', 3136, '', 0, '737\r'),
	('SG', 4375, 'DXB', 2188, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'GAU', 6173, 'CCU', 3043, '', 0, '737\r'),
	('SG', 4375, 'GAU', 6173, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'GAU', 6173, 'IXA', 3038, '', 0, '737\r'),
	('SG', 4375, 'GAU', 6173, 'IXB', 3040, '', 0, '737\r'),
	('SG', 4375, 'GOI', 3007, 'BLR', 3131, '', 0, '737\r'),
	('SG', 4375, 'GOI', 3007, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'GOI', 3007, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'GOI', 3007, 'HYD', 3141, '', 0, 'DH8 737\r'),
	('SG', 4375, 'GOI', 3007, 'MAA', 3144, '', 0, 'DH8\r'),
	('SG', 4375, 'GOI', 3007, 'PNQ', 3017, '', 0, 'DH8\r'),
	('SG', 4375, 'HBX', 6168, 'BLR', 3131, '', 0, 'DH8\r'),
	('SG', 4375, 'HBX', 6168, 'BOM', 2997, '', 0, 'DH8\r'),
	('SG', 4375, 'HYD', 3141, 'AMD', 2994, '', 0, '737\r'),
	('SG', 4375, 'HYD', 3141, 'BLR', 3131, '', 0, 'DH8 737\r'),
	('SG', 4375, 'HYD', 3141, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'HYD', 3141, 'CCU', 3043, '', 0, '737\r'),
	('SG', 4375, 'HYD', 3141, 'CJB', 3135, '', 0, 'DH8\r'),
	('SG', 4375, 'HYD', 3141, 'COK', 3136, '', 0, '737 DH8\r'),
	('SG', 4375, 'HYD', 3141, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'HYD', 3141, 'GOI', 3007, '', 0, 'DH8 737\r'),
	('SG', 4375, 'HYD', 3141, 'IDR', 3008, '', 0, 'DH8\r'),
	('SG', 4375, 'HYD', 3141, 'IXM', 3142, '', 0, 'DH8\r'),
	('SG', 4375, 'HYD', 3141, 'MAA', 3144, '', 0, 'DH8 737\r'),
	('SG', 4375, 'HYD', 3141, 'PNQ', 3017, '', 0, 'DH8\r'),
	('SG', 4375, 'HYD', 3141, 'RJA', 3148, '', 0, 'DH8\r'),
	('SG', 4375, 'HYD', 3141, 'TIR', 3151, '', 0, 'DH8\r'),
	('SG', 4375, 'HYD', 3141, 'VGA', 3134, '', 0, 'DH8\r'),
	('SG', 4375, 'HYD', 3141, 'VTZ', 3066, '', 0, '737\r'),
	('SG', 4375, 'IDR', 3008, 'DEL', 3093, '', 0, 'DH8\r'),
	('SG', 4375, 'IDR', 3008, 'HYD', 3141, '', 0, 'DH8\r'),
	('SG', 4375, 'IXA', 3038, 'CCU', 3043, '', 0, '737\r'),
	('SG', 4375, 'IXA', 3038, 'GAU', 6173, '', 0, '737\r'),
	('SG', 4375, 'IXB', 3040, 'CCU', 3043, '', 0, '737\r'),
	('SG', 4375, 'IXB', 3040, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'IXB', 3040, 'GAU', 6173, '', 0, '737\r'),
	('SG', 4375, 'IXC', 3089, 'DEL', 3093, '', 0, '737 DH8\r'),
	('SG', 4375, 'IXC', 3089, 'SXR', 3112, '', 0, '737\r'),
	('SG', 4375, 'IXE', 3143, 'BLR', 3131, '', 0, 'DH8\r'),
	('SG', 4375, 'IXE', 3143, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'IXG', 3000, 'BLR', 3131, '', 0, 'DH8\r'),
	('SG', 4375, 'IXJ', 3100, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'IXJ', 3100, 'SXR', 3112, '', 0, '737\r'),
	('SG', 4375, 'IXM', 3142, 'CMB', 3024, '', 0, 'DH8\r'),
	('SG', 4375, 'IXM', 3142, 'HYD', 3141, '', 0, 'DH8\r'),
	('SG', 4375, 'IXM', 3142, 'MAA', 3144, '', 0, '737\r'),
	('SG', 4375, 'IXU', 2996, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'IXZ', 3146, 'CCU', 3043, '', 0, '737\r'),
	('SG', 4375, 'IXZ', 3146, 'MAA', 3144, '', 0, '737\r'),
	('SG', 4375, 'JAI', 3098, 'DEL', 3093, '', 0, 'DH8\r'),
	('SG', 4375, 'JLR', 3009, 'BOM', 2997, '', 0, 'DH8\r'),
	('SG', 4375, 'JLR', 3009, 'DEL', 3093, '', 0, 'DH8\r'),
	('SG', 4375, 'KBL', 2050, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'KTM', 3125, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'LKO', 3105, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'MAA', 3144, 'AMD', 2994, '', 0, '737\r'),
	('SG', 4375, 'MAA', 3144, 'BLR', 3131, '', 0, 'DH8\r'),
	('SG', 4375, 'MAA', 3144, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'MAA', 3144, 'CCJ', 3137, '', 0, 'DH8\r'),
	('SG', 4375, 'MAA', 3144, 'CCU', 3043, '', 0, '737\r'),
	('SG', 4375, 'MAA', 3144, 'CJB', 3135, '', 0, 'DH8 737\r'),
	('SG', 4375, 'MAA', 3144, 'CMB', 3024, '', 0, 'DH8\r'),
	('SG', 4375, 'MAA', 3144, 'COK', 3136, '', 0, 'DH8 737\r'),
	('SG', 4375, 'MAA', 3144, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'MAA', 3144, 'GOI', 3007, '', 0, 'DH8\r'),
	('SG', 4375, 'MAA', 3144, 'HYD', 3141, '', 0, '737 DH8\r'),
	('SG', 4375, 'MAA', 3144, 'IXM', 3142, '', 0, '737\r'),
	('SG', 4375, 'MAA', 3144, 'IXZ', 3146, '', 0, '737\r'),
	('SG', 4375, 'MAA', 3144, 'PNQ', 3017, '', 0, '737\r'),
	('SG', 4375, 'MAA', 3144, 'TRV', 3153, '', 0, 'DH8\r'),
	('SG', 4375, 'MAA', 3144, 'VTZ', 3066, '', 0, 'DH8\r'),
	('SG', 4375, 'MCT', 2194, 'AMD', 2994, '', 0, '737\r'),
	('SG', 4375, 'MLE', 3156, 'COK', 3136, '', 0, 'DH8\r'),
	('SG', 4375, 'MYQ', 7774, 'BLR', 3131, '', 0, 'DH8\r'),
	('SG', 4375, 'PNQ', 3017, 'AMD', 2994, '', 0, '737\r'),
	('SG', 4375, 'PNQ', 3017, 'BLR', 3131, '', 0, '737\r'),
	('SG', 4375, 'PNQ', 3017, 'COK', 3136, '', 0, '737\r'),
	('SG', 4375, 'PNQ', 3017, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'PNQ', 3017, 'GOI', 3007, '', 0, 'DH8\r'),
	('SG', 4375, 'PNQ', 3017, 'HYD', 3141, '', 0, 'DH8\r'),
	('SG', 4375, 'PNQ', 3017, 'MAA', 3144, '', 0, '737\r'),
	('SG', 4375, 'PNQ', 3017, 'SHJ', 2191, '', 0, '737\r'),
	('SG', 4375, 'RJA', 3148, 'HYD', 3141, '', 0, 'DH8\r'),
	('SG', 4375, 'SHJ', 2191, 'PNQ', 3017, '', 0, '737\r'),
	('SG', 4375, 'STV', 3022, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'STV', 3022, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'SXR', 3112, 'ATQ', 3081, '', 0, '737\r'),
	('SG', 4375, 'SXR', 3112, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'SXR', 3112, 'IXC', 3089, '', 0, '737\r'),
	('SG', 4375, 'SXR', 3112, 'IXJ', 3100, '', 0, '737\r'),
	('SG', 4375, 'TIR', 3151, 'HYD', 3141, '', 0, 'DH8\r'),
	('SG', 4375, 'TRV', 3153, 'BOM', 2997, '', 0, '737\r'),
	('SG', 4375, 'TRV', 3153, 'MAA', 3144, '', 0, 'DH8\r'),
	('SG', 4375, 'UDR', 3023, 'DEL', 3093, '', 0, 'DH8\r'),
	('SG', 4375, 'VGA', 3134, 'BLR', 3131, '', 0, 'DH8\r'),
	('SG', 4375, 'VGA', 3134, 'HYD', 3141, '', 0, 'DH8\r'),
	('SG', 4375, 'VNS', 3084, 'DEL', 3093, '', 0, '737\r'),
	('SG', 4375, 'VTZ', 3066, 'BLR', 3131, '', 0, '737\r'),
	('SG', 4375, 'VTZ', 3066, 'HYD', 3141, '', 0, '737\r'),
	('SG', 4375, 'VTZ', 3066, 'MAA', 3144, '', 0, 'DH8\r'),
	('SH', 10675, 'ADL', 3341, 'PUG', 6312, '', 0, 'SWM\r'),
	('SH', 10675, 'BWT', 6338, 'KNS', 6278, '', 0, 'SWM\r'),
	('SH', 10675, 'BWT', 6338, 'LST', 3337, '', 0, 'SWM\r'),
	('SH', 10675, 'FLS', 6267, 'LST', 3337, '', 0, 'SWM\r'),
	('SH', 10675, 'KNS', 6278, 'BWT', 6338, '', 0, 'SWM\r'),
	('SH', 10675, 'LST', 3337, 'BWT', 6338, '', 0, 'SWM\r'),
	('SH', 10675, 'LST', 3337, 'FLS', 6267, '', 0, 'SWM\r'),
	('SH', 10675, 'MEB', 3334, 'FLS', 6267, '', 0, 'SWM\r'),
	('SH', 10675, 'PTJ', 6321, 'MEB', 3334, '', 0, 'SWM\r'),
	('SH', 10675, 'PUG', 6312, 'ADL', 3341, '', 0, 'SWM\r'),
	('SI', 4438, 'AMS', 580, 'GCI', 498, '', 0, 'AT4 ATR\r'),
	('SI', 4438, 'AMS', 580, 'JER', 499, '', 0, 'AT4\r'),
	('SI', 4438, 'BRS', 490, 'JER', 499, '', 0, 'AT4 ATR\r'),
	('SI', 4438, 'CDG', 1382, 'JER', 499, '', 0, 'AT4\r'),
	('SI', 4438, 'GCI', 498, 'AMS', 580, '', 0, 'AT4\r'),
	('SI', 4438, 'GCI', 498, 'JER', 499, '', 0, 'AT4 ATR\r'),
	('SI', 4438, 'GCI', 498, 'SOU', 495, '', 0, 'AT7\r'),
	('SI', 4438, 'GVA', 1665, 'JER', 499, '', 0, 'AT5 AT4\r'),
	('SI', 4438, 'JER', 499, 'AMS', 580, '', 0, 'AT4\r'),
	('SI', 4438, 'JER', 499, 'BRS', 490, '', 0, 'AT4\r'),
	('SI', 4438, 'JER', 499, 'CDG', 1382, '', 0, 'AT4\r'),
	('SI', 4438, 'JER', 499, 'GCI', 498, '', 0, 'AT4 ATR\r'),
	('SI', 4438, 'JER', 499, 'GVA', 1665, '', 0, 'AT5\r'),
	('SI', 4438, 'JER', 499, 'LCY', 503, '', 0, 'AT5\r'),
	('SI', 4438, 'JER', 499, 'SOU', 495, '', 0, 'J32\r'),
	('SI', 4438, 'JER', 499, 'ZRH', 1678, '', 0, 'AT5\r'),
	('SI', 4438, 'LCY', 503, 'JER', 499, '', 0, 'AT5 AT4\r'),
	('SI', 4438, 'SOU', 495, 'GCI', 498, '', 0, 'AT7\r'),
	('SI', 4438, 'SOU', 495, 'JER', 499, '', 0, 'J32\r'),
	('SI', 4438, 'ZRH', 1678, 'JER', 499, '', 0, 'AT5 AT4\r'),
	('SJ', 4454, 'AMQ', 3256, 'UPG', 3240, '', 0, '738\r'),
	('SJ', 4454, 'BDJ', 3908, 'BPN', 3919, '', 0, '735\r'),
	('SJ', 4454, 'BDJ', 3908, 'CGK', 3275, '', 0, '735\r'),
	('SJ', 4454, 'BEJ', 6209, 'BPN', 3919, '', 0, '733 735\r'),
	('SJ', 4454, 'BIK', 3241, 'DJJ', 3244, '', 0, '738\r'),
	('SJ', 4454, 'BIK', 3241, 'UPG', 3240, '', 0, '738\r'),
	('SJ', 4454, 'BKS', 3288, 'CGK', 3275, '', 0, '735\r'),
	('SJ', 4454, 'BPN', 3919, 'BDJ', 3908, '', 0, '735\r'),
	('SJ', 4454, 'BPN', 3919, 'BEJ', 6209, '', 0, '735 733\r'),
	('SJ', 4454, 'BPN', 3919, 'CGK', 3275, '', 0, '738 733\r'),
	('SJ', 4454, 'BPN', 3919, 'JOG', 3898, '', 0, '733\r'),
	('SJ', 4454, 'BPN', 3919, 'PLW', 3249, '', 0, '735\r'),
	('SJ', 4454, 'BPN', 3919, 'SUB', 3928, '', 0, '733 735\r'),
	('SJ', 4454, 'BPN', 3919, 'TRK', 3920, '', 0, '738 733\r'),
	('SJ', 4454, 'BPN', 3919, 'UPG', 3240, '', 0, '735\r'),
	('SJ', 4454, 'BTH', 3903, 'CGK', 3275, '', 0, '733\r'),
	('SJ', 4454, 'BTH', 3903, 'DJB', 3287, '', 0, '735\r'),
	('SJ', 4454, 'CGK', 3275, 'BDJ', 3908, '', 0, '735\r'),
	('SJ', 4454, 'CGK', 3275, 'BKS', 3288, '', 0, '735\r'),
	('SJ', 4454, 'CGK', 3275, 'BPN', 3919, '', 0, '738 733\r'),
	('SJ', 4454, 'CGK', 3275, 'BTH', 3903, '', 0, '733\r'),
	('SJ', 4454, 'CGK', 3275, 'DJB', 3287, '', 0, '735\r'),
	('SJ', 4454, 'CGK', 3275, 'DPS', 3940, '', 0, '735 738\r'),
	('SJ', 4454, 'CGK', 3275, 'JOG', 3898, '', 0, '733 735\r'),
	('SJ', 4454, 'CGK', 3275, 'MLG', 3894, '', 0, '733\r'),
	('SJ', 4454, 'CGK', 3275, 'PDG', 3278, '', 0, '733 735\r'),
	('SJ', 4454, 'CGK', 3275, 'PGK', 3905, '', 0, '733 735\r'),
	('SJ', 4454, 'CGK', 3275, 'PKU', 3273, '', 0, '735\r'),
	('SJ', 4454, 'CGK', 3275, 'PLM', 3289, '', 0, '735 733\r'),
	('SJ', 4454, 'CGK', 3275, 'PNK', 3284, '', 0, '734 733\r'),
	('SJ', 4454, 'CGK', 3275, 'SOC', 3929, '', 0, '733 735\r'),
	('SJ', 4454, 'CGK', 3275, 'SRG', 3901, '', 0, '735\r'),
	('SJ', 4454, 'CGK', 3275, 'SUB', 3928, '', 0, '735 734 733\r'),
	('SJ', 4454, 'CGK', 3275, 'TJQ', 3904, '', 0, '733 735\r'),
	('SJ', 4454, 'CGK', 3275, 'TKG', 6223, '', 0, '735 734\r'),
	('SJ', 4454, 'CGK', 3275, 'TNJ', 3906, '', 0, '733\r'),
	('SJ', 4454, 'CGK', 3275, 'TTE', 3253, '', 0, '735\r'),
	('SJ', 4454, 'CGK', 3275, 'UPG', 3240, '', 0, '735 738 733\r'),
	('SJ', 4454, 'DIL', 3310, 'DPS', 3940, '', 0, '735\r'),
	('SJ', 4454, 'DJB', 3287, 'BTH', 3903, '', 0, '735\r'),
	('SJ', 4454, 'DJB', 3287, 'CGK', 3275, '', 0, '735\r'),
	('SJ', 4454, 'DJJ', 3244, 'BIK', 3241, '', 0, '738\r'),
	('SJ', 4454, 'DJJ', 3244, 'MKQ', 3246, '', 0, '738\r'),
	('SJ', 4454, 'DJJ', 3244, 'MKW', 3260, '', 0, '733\r'),
	('SJ', 4454, 'DJJ', 3244, 'TIM', 3243, '', 0, '738\r'),
	('SJ', 4454, 'DJJ', 3244, 'UPG', 3240, '', 0, '738\r'),
	('SJ', 4454, 'DPS', 3940, 'CGK', 3275, '', 0, '735 738\r'),
	('SJ', 4454, 'DPS', 3940, 'DIL', 3310, '', 0, '735\r'),
	('SJ', 4454, 'GTO', 3247, 'UPG', 3240, '', 0, '733\r'),
	('SJ', 4454, 'JOG', 3898, 'BPN', 3919, '', 0, '733\r'),
	('SJ', 4454, 'JOG', 3898, 'CGK', 3275, '', 0, '733 735\r'),
	('SJ', 4454, 'JOG', 3898, 'SUB', 3928, '', 0, '735\r'),
	('SJ', 4454, 'KDI', 3890, 'UPG', 3240, '', 0, '735\r'),
	('SJ', 4454, 'KOE', 3916, 'SUB', 3928, '', 0, '734\r'),
	('SJ', 4454, 'LUW', 3254, 'UPG', 3240, '', 0, '735\r'),
	('SJ', 4454, 'MDC', 3250, 'SUB', 3928, '', 0, '735\r'),
	('SJ', 4454, 'MDC', 3250, 'TTE', 3253, '', 0, '735\r'),
	('SJ', 4454, 'MKQ', 3246, 'DJJ', 3244, '', 0, '738\r'),
	('SJ', 4454, 'MKW', 3260, 'DJJ', 3244, '', 0, '733\r'),
	('SJ', 4454, 'MKW', 3260, 'SOQ', 3261, '', 0, '735\r'),
	('SJ', 4454, 'MKW', 3260, 'UPG', 3240, '', 0, '733\r'),
	('SJ', 4454, 'MLG', 3894, 'CGK', 3275, '', 0, '733\r'),
	('SJ', 4454, 'PDG', 3278, 'CGK', 3275, '', 0, '733 735\r'),
	('SJ', 4454, 'PGK', 3905, 'CGK', 3275, '', 0, '735 733\r'),
	('SJ', 4454, 'PGK', 3905, 'PLM', 3289, '', 0, '735\r'),
	('SJ', 4454, 'PKU', 3273, 'CGK', 3275, '', 0, '735\r'),
	('SJ', 4454, 'PLM', 3289, 'CGK', 3275, '', 0, '735 733\r'),
	('SJ', 4454, 'PLM', 3289, 'PGK', 3905, '', 0, '735\r'),
	('SJ', 4454, 'PLW', 3249, 'BPN', 3919, '', 0, '735\r'),
	('SJ', 4454, 'PLW', 3249, 'UPG', 3240, '', 0, '735\r'),
	('SJ', 4454, 'PNK', 3284, 'CGK', 3275, '', 0, '733 734\r'),
	('SJ', 4454, 'SOC', 3929, 'CGK', 3275, '', 0, '733 735\r'),
	('SJ', 4454, 'SOQ', 3261, 'MKW', 3260, '', 0, '735\r'),
	('SJ', 4454, 'SOQ', 3261, 'UPG', 3240, '', 0, '735\r'),
	('SJ', 4454, 'SRG', 3901, 'CGK', 3275, '', 0, '735\r'),
	('SJ', 4454, 'SRG', 3901, 'SUB', 3928, '', 0, '735\r'),
	('SJ', 4454, 'SUB', 3928, 'BPN', 3919, '', 0, '735 733\r'),
	('SJ', 4454, 'SUB', 3928, 'CGK', 3275, '', 0, '734 735 733\r'),
	('SJ', 4454, 'SUB', 3928, 'JOG', 3898, '', 0, '735\r'),
	('SJ', 4454, 'SUB', 3928, 'KOE', 3916, '', 0, '734\r'),
	('SJ', 4454, 'SUB', 3928, 'MDC', 3250, '', 0, '735\r'),
	('SJ', 4454, 'SUB', 3928, 'SRG', 3901, '', 0, '735\r'),
	('SJ', 4454, 'SUB', 3928, 'UPG', 3240, '', 0, '735 733\r'),
	('SJ', 4454, 'TIM', 3243, 'DJJ', 3244, '', 0, '738\r'),
	('SJ', 4454, 'TIM', 3243, 'UPG', 3240, '', 0, '738\r'),
	('SJ', 4454, 'TJQ', 3904, 'CGK', 3275, '', 0, '733 735\r'),
	('SJ', 4454, 'TKG', 6223, 'CGK', 3275, '', 0, '735 734\r'),
	('SJ', 4454, 'TNJ', 3906, 'CGK', 3275, '', 0, '733\r'),
	('SJ', 4454, 'TRK', 3920, 'BPN', 3919, '', 0, '733 738\r'),
	('SJ', 4454, 'TTE', 3253, 'CGK', 3275, '', 0, '735\r'),
	('SJ', 4454, 'TTE', 3253, 'MDC', 3250, '', 0, '735\r'),
	('SJ', 4454, 'TTE', 3253, 'UPG', 3240, '', 0, '735\r'),
	('SJ', 4454, 'UPG', 3240, 'AMQ', 3256, '', 0, '738\r'),
	('SJ', 4454, 'UPG', 3240, 'BIK', 3241, '', 0, '738\r'),
	('SJ', 4454, 'UPG', 3240, 'BPN', 3919, '', 0, '735\r'),
	('SJ', 4454, 'UPG', 3240, 'CGK', 3275, '', 0, '733 738 735\r'),
	('SJ', 4454, 'UPG', 3240, 'DJJ', 3244, '', 0, '738\r'),
	('SJ', 4454, 'UPG', 3240, 'GTO', 3247, '', 0, '733\r'),
	('SJ', 4454, 'UPG', 3240, 'KDI', 3890, '', 0, '735\r'),
	('SJ', 4454, 'UPG', 3240, 'LUW', 3254, '', 0, '735\r'),
	('SJ', 4454, 'UPG', 3240, 'MKW', 3260, '', 0, '733\r'),
	('SJ', 4454, 'UPG', 3240, 'PLW', 3249, '', 0, '735\r'),
	('SJ', 4454, 'UPG', 3240, 'SOQ', 3261, '', 0, '735\r'),
	('SJ', 4454, 'UPG', 3240, 'SUB', 3928, '', 0, '735 733\r'),
	('SJ', 4454, 'UPG', 3240, 'TIM', 3243, '', 0, '738\r'),
	('SJ', 4454, 'UPG', 3240, 'TTE', 3253, '', 0, '735\r'),
	('SK', 4319, 'AAL', 628, 'ARN', 737, '', 0, 'S20\r'),
	('SK', 4319, 'AAL', 628, 'BLL', 608, '', 0, '319\r'),
	('SK', 4319, 'AAL', 628, 'CPH', 609, '', 0, '320 319 CR2 CR9 321\r'),
	('SK', 4319, 'AAL', 628, 'OSL', 644, '', 0, '73H 73G\r'),
	('SK', 4319, 'AAR', 607, 'CPH', 609, '', 0, 'AT7 320 CR2\r'),
	('SK', 4319, 'ABZ', 532, 'BGO', 636, 'Y', 0, 'DH4 DH3\r'),
	('SK', 4319, 'ABZ', 532, 'CPH', 609, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'ABZ', 532, 'OSL', 644, '', 0, '736 73W 73H\r'),
	('SK', 4319, 'ABZ', 532, 'SVG', 666, '', 0, '736 73G\r'),
	('SK', 4319, 'ADD', 1107, 'HRE', 1005, 'Y', 0, '788\r'),
	('SK', 4319, 'ADD', 1107, 'JED', 2072, 'Y', 0, '333\r'),
	('SK', 4319, 'AES', 630, 'BGO', 636, '', 0, '736\r'),
	('SK', 4319, 'AES', 630, 'CPH', 609, '', 0, 'CR2 CR9\r'),
	('SK', 4319, 'AES', 630, 'OSL', 644, '', 0, '738 73G 736 73W 73H\r'),
	('SK', 4319, 'AES', 630, 'TRD', 665, '', 0, '736\r'),
	('SK', 4319, 'AGH', 5597, 'ARN', 737, '', 0, '736 S20 73W 717 73H AT7\r'),
	('SK', 4319, 'AGP', 1230, 'ARN', 737, '', 0, '73H\r'),
	('SK', 4319, 'AGP', 1230, 'CPH', 609, '', 0, '321\r'),
	('SK', 4319, 'AGP', 1230, 'GOT', 687, '', 0, '73H\r'),
	('SK', 4319, 'AGP', 1230, 'OSL', 644, '', 0, '738\r'),
	('SK', 4319, 'AJR', 730, 'LYC', 719, 'Y', 0, 'ATP\r'),
	('SK', 4319, 'ALC', 1212, 'ARN', 737, '', 0, '73H\r'),
	('SK', 4319, 'ALC', 1212, 'BGO', 636, '', 0, '738\r'),
	('SK', 4319, 'ALC', 1212, 'KRS', 638, '', 0, '73H\r'),
	('SK', 4319, 'ALC', 1212, 'OSL', 644, '', 0, '73H 738 73G\r'),
	('SK', 4319, 'ALC', 1212, 'SVG', 666, '', 0, '73H\r'),
	('SK', 4319, 'ALC', 1212, 'TRD', 665, '', 0, '738\r'),
	('SK', 4319, 'ALF', 632, 'OSL', 644, '', 0, '73G 73W 736\r'),
	('SK', 4319, 'ALF', 632, 'TOS', 663, '', 0, '73G 73W\r'),
	('SK', 4319, 'AMS', 580, 'ARN', 737, '', 0, '717 73W 736\r'),
	('SK', 4319, 'AMS', 580, 'CPH', 609, '', 0, '320 319 321 CR9\r'),
	('SK', 4319, 'AMS', 580, 'OSL', 644, '', 0, '736 738 73G 73H\r'),
	('SK', 4319, 'ARN', 737, 'AAL', 628, '', 0, 'S20\r'),
	('SK', 4319, 'ARN', 737, 'ADD', 1107, 'Y', 0, '752\r'),
	('SK', 4319, 'ARN', 737, 'AGH', 5597, '', 0, '736 S20 73W 717 73H AT7\r'),
	('SK', 4319, 'ARN', 737, 'AGP', 1230, '', 0, '73H\r'),
	('SK', 4319, 'ARN', 737, 'ALC', 1212, '', 0, '73H\r'),
	('SK', 4319, 'ARN', 737, 'AMS', 580, '', 0, '717 73W 736\r'),
	('SK', 4319, 'ARN', 737, 'ATH', 3941, '', 0, '73H\r'),
	('SK', 4319, 'ARN', 737, 'BCN', 1218, '', 0, '73H\r'),
	('SK', 4319, 'ARN', 737, 'BGO', 636, '', 0, '736 73W\r'),
	('SK', 4319, 'ARN', 737, 'BHX', 469, '', 0, '717\r'),
	('SK', 4319, 'ARN', 737, 'BKK', 3885, '', 0, '773\r'),
	('SK', 4319, 'ARN', 737, 'BLL', 608, '', 0, 'S20\r'),
	('SK', 4319, 'ARN', 737, 'BLQ', 1538, '', 0, '73W\r'),
	('SK', 4319, 'ARN', 737, 'BRU', 302, '', 0, '736 73W 717\r'),
	('SK', 4319, 'ARN', 737, 'CDG', 1382, '', 0, '73H 73G 736 73W 717\r'),
	('SK', 4319, 'ARN', 737, 'CPH', 609, '', 0, '73W 320 73H 321 319 73G 736 717\r'),
	('SK', 4319, 'ARN', 737, 'DBV', 1200, '', 0, '73H 73W\r'),
	('SK', 4319, 'ARN', 737, 'DUB', 599, '', 0, '73H 736 717 73W\r'),
	('SK', 4319, 'ARN', 737, 'DUS', 345, '', 0, '736 717 73W 73H\r'),
	('SK', 4319, 'ARN', 737, 'EDI', 535, '', 0, '717 73G 73H\r'),
	('SK', 4319, 'ARN', 737, 'EWR', 3494, '', 0, '333\r'),
	('SK', 4319, 'ARN', 737, 'FCO', 1555, '', 0, '73H\r'),
	('SK', 4319, 'ARN', 737, 'FRA', 340, '', 0, '73W 73H 717 736 73G\r'),
	('SK', 4319, 'ARN', 737, 'GEV', 715, '', 1, 'ATP\r'),
	('SK', 4319, 'ARN', 737, 'GOT', 687, '', 0, '73W 73G 73H 736 717\r'),
	('SK', 4319, 'ARN', 737, 'GVA', 1665, '', 0, '736 73H 717\r'),
	('SK', 4319, 'ARN', 737, 'HAM', 342, '', 0, '73G 73H 73W 736 717\r'),
	('SK', 4319, 'ARN', 737, 'HEL', 421, 'Y', 0, '717 73W AT7\r'),
	('SK', 4319, 'ARN', 737, 'IST', 1701, '', 0, '738 321\r'),
	('SK', 4319, 'ARN', 737, 'KLR', 707, '', 0, '736 AT7 73W\r'),
	('SK', 4319, 'ARN', 737, 'KLX', 1456, '', 0, '319\r'),
	('SK', 4319, 'ARN', 737, 'KRF', 718, 'Y', 0, 'ATP\r'),
	('SK', 4319, 'ARN', 737, 'KRN', 724, '', 0, '73H 73W 736 73G\r'),
	('SK', 4319, 'ARN', 737, 'LED', 2948, '', 0, '736 73H 73W 73G\r'),
	('SK', 4319, 'ARN', 737, 'LHR', 507, '', 0, '73W 73H 736 73G 717\r'),
	('SK', 4319, 'ARN', 737, 'LIN', 1529, '', 0, '73W 73H 717 736\r'),
	('SK', 4319, 'ARN', 737, 'LLA', 734, '', 0, '73H 736 73W 73G 717\r'),
	('SK', 4319, 'ARN', 737, 'LYC', 719, 'Y', 0, 'ATP\r'),
	('SK', 4319, 'ARN', 737, 'MAD', 1229, '', 0, '73H 73W\r'),
	('SK', 4319, 'ARN', 737, 'MAN', 478, '', 0, '736 717 73H 73W\r'),
	('SK', 4319, 'ARN', 737, 'MLA', 1606, '', 0, '73H\r'),
	('SK', 4319, 'ARN', 737, 'MMX', 708, '', 0, '717 73W 736 73H 73G AT7\r'),
	('SK', 4319, 'ARN', 737, 'MUC', 346, 'Y', 0, '320 CR9 321 319\r'),
	('SK', 4319, 'ARN', 737, 'NCE', 1354, '', 0, '73H 73W\r'),
	('SK', 4319, 'ARN', 737, 'ORD', 3830, '', 0, '333\r'),
	('SK', 4319, 'ARN', 737, 'OSD', 5593, '', 0, '736 73W 73H 73G\r'),
	('SK', 4319, 'ARN', 737, 'OSL', 644, '', 0, '736 73H 73W 738 73G 717\r'),
	('SK', 4319, 'ARN', 737, 'OUL', 446, 'Y', 0, 'S20\r'),
	('SK', 4319, 'ARN', 737, 'PEK', 3364, 'Y', 0, '333\r'),
	('SK', 4319, 'ARN', 737, 'PMI', 3998, '', 0, '73H\r'),
	('SK', 4319, 'ARN', 737, 'PRG', 1587, '', 0, '73H 717\r'),
	('SK', 4319, 'ARN', 737, 'PUY', 1203, '', 0, '717\r'),
	('SK', 4319, 'ARN', 737, 'RIX', 3953, 'Y', 0, '733 DH4 735 73C\r'),
	('SK', 4319, 'ARN', 737, 'RNB', 685, '', 0, '736 S20 717 73W AT7 73H\r'),
	('SK', 4319, 'ARN', 737, 'SDL', 721, '', 0, '736 AT7 73W S20 73H 717\r'),
	('SK', 4319, 'ARN', 737, 'SFT', 726, '', 0, '73H 736 73W 73G 717\r'),
	('SK', 4319, 'ARN', 737, 'SKG', 1486, '', 0, '736\r'),
	('SK', 4319, 'ARN', 737, 'SPU', 1206, '', 0, '73H\r'),
	('SK', 4319, 'ARN', 737, 'SVG', 666, 'Y', 0, 'S20 736\r'),
	('SK', 4319, 'ARN', 737, 'SVO', 2985, '', 0, '73H 736 73W\r'),
	('SK', 4319, 'ARN', 737, 'TKU', 460, '', 0, 'AT7 S20\r'),
	('SK', 4319, 'ARN', 737, 'TLL', 415, 'Y', 0, 'E70 CR9\r'),
	('SK', 4319, 'ARN', 737, 'TMP', 458, 'Y', 0, 'S20\r'),
	('SK', 4319, 'ARN', 737, 'TOS', 663, '', 0, '717\r'),
	('SK', 4319, 'ARN', 737, 'TRD', 665, '', 0, '717 73W\r'),
	('SK', 4319, 'ARN', 737, 'TXL', 351, '', 0, '73H 717 73W 736\r'),
	('SK', 4319, 'ARN', 737, 'UME', 728, '', 0, '73W 73H 736 73G\r'),
	('SK', 4319, 'ARN', 737, 'VAA', 462, 'Y', 0, 'S20 AT7\r'),
	('SK', 4319, 'ARN', 737, 'VBY', 746, '', 0, 'AT7\r'),
	('SK', 4319, 'ARN', 737, 'VHM', 729, 'Y', 0, 'SF3\r'),
	('SK', 4319, 'ARN', 737, 'VNO', 3959, '', 0, 'S20\r'),
	('SK', 4319, 'ARN', 737, 'ZRH', 1678, '', 0, '717 73G 736 73W 73H\r'),
	('SK', 4319, 'ATH', 3941, 'ARN', 737, '', 0, '73H\r'),
	('SK', 4319, 'ATH', 3941, 'CPH', 609, '', 0, '321\r'),
	('SK', 4319, 'ATH', 3941, 'OSL', 644, '', 0, '73W 73G\r'),
	('SK', 4319, 'BCN', 1218, 'ARN', 737, '', 0, '73H\r'),
	('SK', 4319, 'BCN', 1218, 'CPH', 609, '', 0, '321\r'),
	('SK', 4319, 'BCN', 1218, 'OSL', 644, '', 0, '738 73G\r'),
	('SK', 4319, 'BEG', 1739, 'FRA', 340, '', 0, '320 32A 319 321\r'),
	('SK', 4319, 'BEG', 1739, 'MUC', 346, '', 0, 'E95\r'),
	('SK', 4319, 'BGO', 636, 'ABZ', 532, 'Y', 0, 'DH4 DH3\r'),
	('SK', 4319, 'BGO', 636, 'AES', 630, '', 0, '736\r'),
	('SK', 4319, 'BGO', 636, 'ALC', 1212, '', 0, '738\r'),
	('SK', 4319, 'BGO', 636, 'ARN', 737, '', 0, '736 73W\r'),
	('SK', 4319, 'BGO', 636, 'CPH', 609, '', 0, '320 319 CR9 321 717 73G 73W 738 736\r'),
	('SK', 4319, 'BGO', 636, 'FRA', 340, 'Y', 0, '735 E90\r'),
	('SK', 4319, 'BGO', 636, 'MAN', 478, '', 0, '736\r'),
	('SK', 4319, 'BGO', 636, 'OSL', 644, '', 0, '73G 73W 73H 736 738\r'),
	('SK', 4319, 'BGO', 636, 'SVG', 666, '', 0, '736\r'),
	('SK', 4319, 'BGO', 636, 'TRD', 665, '', 0, '736 73W\r'),
	('SK', 4319, 'BHX', 469, 'ARN', 737, '', 0, '717\r'),
	('SK', 4319, 'BHX', 469, 'CPH', 609, '', 0, 'CR9 319 320\r'),
	('SK', 4319, 'BIQ', 1280, 'CPH', 609, '', 0, 'CR9\r'),
	('SK', 4319, 'BKK', 3885, 'ARN', 737, '', 0, '773\r'),
	('SK', 4319, 'BKK', 3885, 'CPH', 609, '', 0, '773\r'),
	('SK', 4319, 'BKK', 3885, 'OSL', 644, '', 0, '773\r'),
	('SK', 4319, 'BKK', 3885, 'SIN', 3316, 'Y', 0, '333\r'),
	('SK', 4319, 'BLL', 608, 'ARN', 737, '', 0, 'S20\r'),
	('SK', 4319, 'BLL', 608, 'CPH', 609, 'Y', 0, 'AT7\r'),
	('SK', 4319, 'BLL', 608, 'FRA', 340, 'Y', 0, '733 735\r'),
	('SK', 4319, 'BLL', 608, 'IST', 1701, '', 0, '319 738\r'),
	('SK', 4319, 'BLL', 608, 'OSL', 644, '', 0, 'AT7\r'),
	('SK', 4319, 'BLQ', 1538, 'ARN', 737, '', 0, '73W\r'),
	('SK', 4319, 'BLQ', 1538, 'CPH', 609, '', 0, 'CR9 319\r'),
	('SK', 4319, 'BOO', 635, 'OSL', 644, '', 0, '738 73G 736 73H 73W\r'),
	('SK', 4319, 'BOO', 635, 'TOS', 663, '', 0, '736 73W\r'),
	('SK', 4319, 'BOO', 635, 'TRD', 665, '', 0, '736\r'),
	('SK', 4319, 'BRE', 353, 'CPH', 609, '', 0, 'AT7 CR2\r'),
	('SK', 4319, 'BRU', 302, 'ARN', 737, '', 0, '736 73W 717\r'),
	('SK', 4319, 'BRU', 302, 'CPH', 609, '', 0, '319 320 CR9 321\r'),
	('SK', 4319, 'BRU', 302, 'OSL', 644, '', 0, '738 73W 73G 73H 736\r'),
	('SK', 4319, 'BSL', 4053, 'FRA', 340, '', 0, 'CR7\r'),
	('SK', 4319, 'BSL', 4053, 'MUC', 346, '', 0, 'CR7 CR9\r'),
	('SK', 4319, 'BUD', 1489, 'CPH', 609, '', 0, '320\r'),
	('SK', 4319, 'BUD', 1489, 'FRA', 340, 'Y', 0, '320 321\r'),
	('SK', 4319, 'CAI', 1128, 'CPH', 609, 'Y', 0, '738\r'),
	('SK', 4319, 'CDG', 1382, 'ARN', 737, '', 0, '73H 73G 736 73W 717\r'),
	('SK', 4319, 'CDG', 1382, 'CPH', 609, '', 0, '320 321 319\r'),
	('SK', 4319, 'CDG', 1382, 'OSL', 644, '', 0, '738 73W 736 73H 73G\r'),
	('SK', 4319, 'CHQ', 1474, 'OSL', 644, '', 0, '738\r'),
	('SK', 4319, 'CPH', 609, 'AAL', 628, '', 0, '320 CR2 319 CR9 321\r'),
	('SK', 4319, 'CPH', 609, 'AAR', 607, '', 0, 'AT7 320 CR2\r'),
	('SK', 4319, 'CPH', 609, 'ABZ', 532, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'CPH', 609, 'AES', 630, '', 0, 'CR2 CR9\r'),
	('SK', 4319, 'CPH', 609, 'AGP', 1230, '', 0, '321\r'),
	('SK', 4319, 'CPH', 609, 'AMS', 580, '', 0, '320 319 321 CR9\r'),
	('SK', 4319, 'CPH', 609, 'ARN', 737, '', 0, '320 319 73W 73H 321 73G 736 717\r'),
	('SK', 4319, 'CPH', 609, 'ATH', 3941, '', 0, '321\r'),
	('SK', 4319, 'CPH', 609, 'BCN', 1218, '', 0, '321\r'),
	('SK', 4319, 'CPH', 609, 'BGO', 636, '', 0, '319 320 CR9 321 717 73G 73W 738 736\r'),
	('SK', 4319, 'CPH', 609, 'BHX', 469, '', 0, 'CR9 319 320\r'),
	('SK', 4319, 'CPH', 609, 'BIQ', 1280, '', 0, 'CR9\r'),
	('SK', 4319, 'CPH', 609, 'BKK', 3885, '', 0, '773\r'),
	('SK', 4319, 'CPH', 609, 'BLL', 608, 'Y', 0, 'AT7\r'),
	('SK', 4319, 'CPH', 609, 'BLQ', 1538, '', 0, 'CR9 319\r'),
	('SK', 4319, 'CPH', 609, 'BRE', 353, '', 0, 'AT7 CR2\r'),
	('SK', 4319, 'CPH', 609, 'BRU', 302, '', 0, '320 CR9 321 319\r'),
	('SK', 4319, 'CPH', 609, 'BUD', 1489, '', 0, '320\r'),
	('SK', 4319, 'CPH', 609, 'CAI', 1128, 'Y', 0, '738\r'),
	('SK', 4319, 'CPH', 609, 'CDG', 1382, '', 0, '321 320 319\r'),
	('SK', 4319, 'CPH', 609, 'DUB', 599, '', 0, '320 321\r'),
	('SK', 4319, 'CPH', 609, 'DUS', 345, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'CPH', 609, 'EWR', 3494, '', 0, '333 343\r'),
	('SK', 4319, 'CPH', 609, 'FCO', 1555, '', 0, '321\r'),
	('SK', 4319, 'CPH', 609, 'FRA', 340, '', 0, '320 32A 319 321 CR9\r'),
	('SK', 4319, 'CPH', 609, 'GDN', 668, '', 0, 'CR9 319 CR2\r'),
	('SK', 4319, 'CPH', 609, 'GOT', 687, '', 0, '319 320 321 CR9\r'),
	('SK', 4319, 'CPH', 609, 'GVA', 1665, '', 0, '319 CR9 717\r'),
	('SK', 4319, 'CPH', 609, 'GZP', 8266, '', 0, '320\r'),
	('SK', 4319, 'CPH', 609, 'HAJ', 352, '', 0, 'CR2 AT7\r'),
	('SK', 4319, 'CPH', 609, 'HAM', 342, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'CPH', 609, 'HAU', 645, 'Y', 0, 'DH4\r'),
	('SK', 4319, 'CPH', 609, 'HEL', 421, '', 0, 'CR2\r'),
	('SK', 4319, 'CPH', 609, 'IAD', 3714, '', 0, '343\r'),
	('SK', 4319, 'CPH', 609, 'IST', 1701, '', 0, '738 321\r'),
	('SK', 4319, 'CPH', 609, 'KRS', 638, 'Y', 0, 'DH4\r'),
	('SK', 4319, 'CPH', 609, 'LBA', 517, '', 0, 'CR9\r'),
	('SK', 4319, 'CPH', 609, 'LED', 2948, '', 0, '321 320\r'),
	('SK', 4319, 'CPH', 609, 'LHR', 507, '', 0, '321 320 CR9\r'),
	('SK', 4319, 'CPH', 609, 'LIN', 1529, '', 0, 'CR9\r'),
	('SK', 4319, 'CPH', 609, 'LJU', 1569, 'Y', 0, 'CR9\r'),
	('SK', 4319, 'CPH', 609, 'LPI', 742, '', 0, 'AT7\r'),
	('SK', 4319, 'CPH', 609, 'LUX', 629, '', 0, 'CR9\r'),
	('SK', 4319, 'CPH', 609, 'MAD', 1229, '', 0, '320 321\r'),
	('SK', 4319, 'CPH', 609, 'MAN', 478, '', 0, '320 321 319 717 CR9\r'),
	('SK', 4319, 'CPH', 609, 'MUC', 346, '', 0, 'CR9 320 321 319\r'),
	('SK', 4319, 'CPH', 609, 'MXP', 1524, '', 0, '321 320\r'),
	('SK', 4319, 'CPH', 609, 'NCE', 1354, '', 0, '321 320\r'),
	('SK', 4319, 'CPH', 609, 'NCL', 521, 'Y', 0, 'CR2\r'),
	('SK', 4319, 'CPH', 609, 'NRT', 2279, '', 0, '343\r'),
	('SK', 4319, 'CPH', 609, 'ORD', 3830, '', 0, '343\r'),
	('SK', 4319, 'CPH', 609, 'OSL', 644, '', 0, '320 321 73H 73G 738 319 73W 736\r'),
	('SK', 4319, 'CPH', 609, 'OTP', 1657, '', 0, '320 CR9\r'),
	('SK', 4319, 'CPH', 609, 'PEK', 3364, '', 0, '343\r'),
	('SK', 4319, 'CPH', 609, 'PLQ', 3958, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'CPH', 609, 'PMI', 3998, '', 0, '320 321\r'),
	('SK', 4319, 'CPH', 609, 'POZ', 674, '', 0, 'CR2\r'),
	('SK', 4319, 'CPH', 609, 'PRG', 1587, '', 0, '320 CR9\r'),
	('SK', 4319, 'CPH', 609, 'PRN', 1742, '', 0, '320 CR9\r'),
	('SK', 4319, 'CPH', 609, 'PVG', 3406, '', 0, '343\r'),
	('SK', 4319, 'CPH', 609, 'RIX', 3953, 'Y', 0, 'DH4 73C 733\r'),
	('SK', 4319, 'CPH', 609, 'SFO', 3469, '', 0, '343\r'),
	('SK', 4319, 'CPH', 609, 'SIN', 3316, 'Y', 0, '772\r'),
	('SK', 4319, 'CPH', 609, 'SKG', 1486, '', 0, '320\r'),
	('SK', 4319, 'CPH', 609, 'SPU', 1206, '', 0, '320\r'),
	('SK', 4319, 'CPH', 609, 'STR', 350, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'CPH', 609, 'SVG', 666, '', 0, 'CR9 319 321 320 736 738 73G\r'),
	('SK', 4319, 'CPH', 609, 'SVO', 2985, '', 0, '320 CR9\r'),
	('SK', 4319, 'CPH', 609, 'TKU', 460, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'CPH', 609, 'TLL', 415, 'Y', 0, 'CR9 E70\r'),
	('SK', 4319, 'CPH', 609, 'TLV', 1590, '', 0, '321 320\r'),
	('SK', 4319, 'CPH', 609, 'TRD', 665, '', 0, 'CR9\r'),
	('SK', 4319, 'CPH', 609, 'TRF', 664, 'Y', 0, 'DH4\r'),
	('SK', 4319, 'CPH', 609, 'TXL', 351, '', 0, '320 CR2 321 319 CR9\r'),
	('SK', 4319, 'CPH', 609, 'VCE', 1551, '', 0, '320 319\r'),
	('SK', 4319, 'CPH', 609, 'VNO', 3959, '', 0, 'CR9\r'),
	('SK', 4319, 'CPH', 609, 'WAW', 679, '', 0, 'CR9 319\r'),
	('SK', 4319, 'CPH', 609, 'WRO', 680, '', 0, 'CR2\r'),
	('SK', 4319, 'CPH', 609, 'YYZ', 193, 'Y', 0, '763\r'),
	('SK', 4319, 'CPH', 609, 'ZAG', 1208, 'Y', 0, '319 DH4\r'),
	('SK', 4319, 'CPH', 609, 'ZRH', 1678, '', 0, '321 320 319 CR9\r'),
	('SK', 4319, 'DBV', 1200, 'ARN', 737, '', 0, '73H 73W\r'),
	('SK', 4319, 'DUB', 599, 'ARN', 737, '', 0, '73H 736 717 73W\r'),
	('SK', 4319, 'DUB', 599, 'CPH', 609, '', 0, '320 321\r'),
	('SK', 4319, 'DUB', 599, 'OSL', 644, '', 0, '73G 738 73W\r'),
	('SK', 4319, 'DUS', 345, 'ARN', 737, '', 0, '736 717 73W 73H\r'),
	('SK', 4319, 'DUS', 345, 'CPH', 609, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'DUS', 345, 'OSL', 644, '', 0, '73G 73W 738 736\r'),
	('SK', 4319, 'EDI', 535, 'ARN', 737, '', 0, '717 73G 73H\r'),
	('SK', 4319, 'EDI', 535, 'OSL', 644, '', 0, '73W\r'),
	('SK', 4319, 'EDI', 535, 'SVG', 666, '', 0, '738 73W\r'),
	('SK', 4319, 'EVE', 641, 'OSL', 644, '', 0, '73W 73G 738 736 73H\r'),
	('SK', 4319, 'EWR', 3494, 'ARN', 737, '', 0, '333\r'),
	('SK', 4319, 'EWR', 3494, 'CPH', 609, '', 0, '333 343\r'),
	('SK', 4319, 'EWR', 3494, 'OSL', 644, '', 0, '333\r'),
	('SK', 4319, 'FCO', 1555, 'ARN', 737, '', 0, '73H\r'),
	('SK', 4319, 'FCO', 1555, 'CPH', 609, '', 0, '321\r'),
	('SK', 4319, 'FCO', 1555, 'OSL', 644, '', 0, '738 73W\r'),
	('SK', 4319, 'FRA', 340, 'ARN', 737, '', 0, '73W 73H 717 736 73G\r'),
	('SK', 4319, 'FRA', 340, 'BEG', 1739, '', 0, '320 32A 319 321\r'),
	('SK', 4319, 'FRA', 340, 'BGO', 636, 'Y', 0, '735 E90\r'),
	('SK', 4319, 'FRA', 340, 'BLL', 608, 'Y', 0, '735 733\r'),
	('SK', 4319, 'FRA', 340, 'BSL', 4053, '', 0, 'CR7\r'),
	('SK', 4319, 'FRA', 340, 'CPH', 609, '', 0, '320 32A 319 321 CR9\r'),
	('SK', 4319, 'FRA', 340, 'GOT', 687, 'Y', 0, '319 32A 733 321\r'),
	('SK', 4319, 'FRA', 340, 'HEL', 421, 'Y', 0, '321 32A 320\r'),
	('SK', 4319, 'FRA', 340, 'JED', 2072, 'Y', 0, '333\r'),
	('SK', 4319, 'FRA', 340, 'OSL', 644, '', 0, '738 73W 73H 73G 736\r'),
	('SK', 4319, 'FRA', 340, 'SVG', 666, 'Y', 0, '735 319 733\r'),
	('SK', 4319, 'GDN', 668, 'CPH', 609, '', 0, '319 CR9 CR2\r'),
	('SK', 4319, 'GDN', 668, 'OSL', 644, '', 0, '738 73G 73W\r'),
	('SK', 4319, 'GEV', 715, 'ARN', 737, '', 0, 'ATP\r'),
	('SK', 4319, 'GEV', 715, 'KRF', 718, 'Y', 0, 'ATP\r'),
	('SK', 4319, 'GOT', 687, 'AGP', 1230, '', 0, '73H\r'),
	('SK', 4319, 'GOT', 687, 'ARN', 737, '', 0, '73W 73H 73G 736 717\r'),
	('SK', 4319, 'GOT', 687, 'CPH', 609, '', 0, '321 319 320 CR9\r'),
	('SK', 4319, 'GOT', 687, 'FRA', 340, 'Y', 0, '32A 319 733 321\r'),
	('SK', 4319, 'GOT', 687, 'IST', 1701, '', 0, '739\r'),
	('SK', 4319, 'GOT', 687, 'LHR', 507, '', 0, '73H 73W 736\r'),
	('SK', 4319, 'GOT', 687, 'MUC', 346, 'Y', 0, 'E95 CR9\r'),
	('SK', 4319, 'GOT', 687, 'OSL', 644, 'Y', 0, 'DH3\r'),
	('SK', 4319, 'GOT', 687, 'PMI', 3998, '', 0, '320\r'),
	('SK', 4319, 'GOT', 687, 'SPU', 1206, '', 0, '73H\r'),
	('SK', 4319, 'GVA', 1665, 'ARN', 737, '', 0, '736 73H 717\r'),
	('SK', 4319, 'GVA', 1665, 'CPH', 609, '', 0, '319 CR9 717\r'),
	('SK', 4319, 'GZP', 8266, 'CPH', 609, '', 0, '320\r'),
	('SK', 4319, 'GZP', 8266, 'OSL', 644, '', 0, '73W\r'),
	('SK', 4319, 'HAD', 709, 'VXO', 711, 'Y', 0, 'SF3\r'),
	('SK', 4319, 'HAJ', 352, 'CPH', 609, '', 0, 'CR2 AT7\r'),
	('SK', 4319, 'HAM', 342, 'ARN', 737, '', 0, '73G 73H 73W 736 717\r'),
	('SK', 4319, 'HAM', 342, 'CPH', 609, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'HAU', 645, 'CPH', 609, 'Y', 0, 'DH4\r'),
	('SK', 4319, 'HAU', 645, 'OSL', 644, '', 0, '736 73G 73H 738 73W\r'),
	('SK', 4319, 'HEL', 421, 'ARN', 737, 'Y', 0, '717 73W AT7\r'),
	('SK', 4319, 'HEL', 421, 'CPH', 609, '', 0, 'CR2\r'),
	('SK', 4319, 'HEL', 421, 'FRA', 340, 'Y', 0, '321 32A 320\r'),
	('SK', 4319, 'HEL', 421, 'IST', 1701, '', 0, '321\r'),
	('SK', 4319, 'HEL', 421, 'MUC', 346, 'Y', 0, '320 319\r'),
	('SK', 4319, 'HEL', 421, 'OSL', 644, 'Y', 0, '717\r'),
	('SK', 4319, 'HMV', 5599, 'VHM', 729, 'Y', 0, 'SF3\r'),
	('SK', 4319, 'HRE', 1005, 'LUN', 907, 'Y', 0, '788\r'),
	('SK', 4319, 'IAD', 3714, 'CPH', 609, '', 0, '343\r'),
	('SK', 4319, 'IST', 1701, 'AAL', 628, '', 0, '319 738\r'),
	('SK', 4319, 'IST', 1701, 'ARN', 737, '', 0, '321 738\r'),
	('SK', 4319, 'IST', 1701, 'CPH', 609, '', 0, '321 738\r'),
	('SK', 4319, 'IST', 1701, 'GOT', 687, '', 0, '739\r'),
	('SK', 4319, 'IST', 1701, 'HEL', 421, '', 0, '321\r'),
	('SK', 4319, 'IST', 1701, 'OSL', 644, '', 0, '321 738\r'),
	('SK', 4319, 'JED', 2072, 'ADD', 1107, 'Y', 0, '333\r'),
	('SK', 4319, 'JED', 2072, 'FRA', 340, 'Y', 0, '333\r'),
	('SK', 4319, 'KEF', 16, 'OSL', 644, '', 0, '738 73W\r'),
	('SK', 4319, 'KKN', 649, 'OSL', 644, '', 0, '73W 73G 736\r'),
	('SK', 4319, 'KLR', 707, 'ARN', 737, '', 0, '736 AT7 73W\r'),
	('SK', 4319, 'KLX', 1456, 'ARN', 737, '', 0, '319\r'),
	('SK', 4319, 'KRF', 718, 'ARN', 737, 'Y', 0, 'ATP\r'),
	('SK', 4319, 'KRF', 718, 'GEV', 715, 'Y', 0, 'ATP\r'),
	('SK', 4319, 'KRN', 724, 'ARN', 737, '', 0, '736 73H 73W 73G\r'),
	('SK', 4319, 'KRS', 638, 'ALC', 1212, '', 0, '73H\r'),
	('SK', 4319, 'KRS', 638, 'CPH', 609, 'Y', 0, 'DH4\r'),
	('SK', 4319, 'KRS', 638, 'OSL', 644, '', 0, '736 738 73G 73W 73H\r'),
	('SK', 4319, 'KSU', 647, 'OSL', 644, '', 0, '736 738 73W 73H 73G\r'),
	('SK', 4319, 'LBA', 517, 'CPH', 609, '', 0, 'CR9\r'),
	('SK', 4319, 'LED', 2948, 'ARN', 737, '', 0, '736 73H 73W 73G\r'),
	('SK', 4319, 'LED', 2948, 'CPH', 609, '', 0, '321 320\r'),
	('SK', 4319, 'LHR', 507, 'ARN', 737, '', 0, '73W 73H 736 73G 717\r'),
	('SK', 4319, 'LHR', 507, 'CPH', 609, '', 0, '320 321 CR9\r'),
	('SK', 4319, 'LHR', 507, 'GOT', 687, '', 0, '73H 73W 736\r'),
	('SK', 4319, 'LHR', 507, 'OSL', 644, '', 0, '738 73G 73H 736 73W\r'),
	('SK', 4319, 'LHR', 507, 'SVG', 666, '', 0, '73W 73G 736 738 73H\r'),
	('SK', 4319, 'LIN', 1529, 'ARN', 737, '', 0, '73W 73H 717 736\r'),
	('SK', 4319, 'LIN', 1529, 'CPH', 609, '', 0, 'CR9\r'),
	('SK', 4319, 'LJU', 1569, 'CPH', 609, 'Y', 0, 'CR9\r'),
	('SK', 4319, 'LLA', 734, 'ARN', 737, '', 0, '73H 736 73W 73G 717\r'),
	('SK', 4319, 'LPA', 1054, 'OSL', 644, '', 0, '738\r'),
	('SK', 4319, 'LPI', 742, 'CPH', 609, '', 0, 'AT7\r'),
	('SK', 4319, 'LUX', 629, 'CPH', 609, '', 0, 'CR9\r'),
	('SK', 4319, 'LYC', 719, 'AJR', 730, 'Y', 0, 'ATP\r'),
	('SK', 4319, 'LYC', 719, 'ARN', 737, 'Y', 0, 'ATP\r'),
	('SK', 4319, 'LYR', 658, 'OSL', 644, '', 0, '73H 738 73W\r'),
	('SK', 4319, 'LYR', 658, 'TOS', 663, '', 0, '73H 738\r'),
	('SK', 4319, 'MAD', 1229, 'ARN', 737, '', 0, '73H 73W\r'),
	('SK', 4319, 'MAD', 1229, 'CPH', 609, '', 0, '320 321\r'),
	('SK', 4319, 'MAN', 478, 'ARN', 737, '', 0, '736 717 73H 73W\r'),
	('SK', 4319, 'MAN', 478, 'BGO', 636, '', 0, '736\r'),
	('SK', 4319, 'MAN', 478, 'CPH', 609, '', 0, '320 321 319 717 CR9\r'),
	('SK', 4319, 'MAN', 478, 'OSL', 644, '', 0, '738 736\r'),
	('SK', 4319, 'MBA', 1145, 'ADD', 1107, 'Y', 0, '738\r'),
	('SK', 4319, 'MLA', 1606, 'ARN', 737, '', 0, '73H\r'),
	('SK', 4319, 'MMX', 708, 'ARN', 737, '', 0, '73H 736 717 73W 73G AT7\r'),
	('SK', 4319, 'MOL', 651, 'OSL', 644, '', 0, '73G 73H 736 73W\r'),
	('SK', 4319, 'MUC', 346, 'ARN', 737, 'Y', 0, 'CR9 320 321 319\r'),
	('SK', 4319, 'MUC', 346, 'BEG', 1739, '', 0, 'E95\r'),
	('SK', 4319, 'MUC', 346, 'BSL', 4053, '', 0, 'CR9 CR7\r'),
	('SK', 4319, 'MUC', 346, 'CPH', 609, '', 0, 'CR9 320 321 319\r'),
	('SK', 4319, 'MUC', 346, 'GOT', 687, 'Y', 0, 'E95 CR9\r'),
	('SK', 4319, 'MUC', 346, 'HEL', 421, 'Y', 0, '319 320\r'),
	('SK', 4319, 'MUC', 346, 'MAD', 1229, '', 0, '321\r'),
	('SK', 4319, 'MUC', 346, 'OSL', 644, '', 0, '73H 73G 73W\r'),
	('SK', 4319, 'MXP', 1524, 'CPH', 609, '', 0, '321 320\r'),
	('SK', 4319, 'MXP', 1524, 'OSL', 644, '', 0, '738 73G 73H\r'),
	('SK', 4319, 'NCE', 1354, 'ARN', 737, '', 0, '73H 73W\r'),
	('SK', 4319, 'NCE', 1354, 'CPH', 609, '', 0, '321 320\r'),
	('SK', 4319, 'NCE', 1354, 'OSL', 644, '', 0, '738 73H 73G\r'),
	('SK', 4319, 'NCL', 521, 'CPH', 609, 'Y', 0, 'CR2\r'),
	('SK', 4319, 'NCL', 521, 'SVG', 666, 'Y', 0, 'DH4\r'),
	('SK', 4319, 'NRT', 2279, 'CPH', 609, '', 0, '343\r'),
	('SK', 4319, 'ORD', 3830, 'ARN', 737, '', 0, '333\r'),
	('SK', 4319, 'ORD', 3830, 'CPH', 609, '', 0, '343\r'),
	('SK', 4319, 'OSD', 5593, 'ARN', 737, '', 0, '73G 736 73W 73H\r'),
	('SK', 4319, 'OSL', 644, 'AAL', 628, '', 0, '73H 73G\r'),
	('SK', 4319, 'OSL', 644, 'ABZ', 532, '', 0, '736 73W 73H\r'),
	('SK', 4319, 'OSL', 644, 'AES', 630, '', 0, '736 73W 73G 73H 738\r'),
	('SK', 4319, 'OSL', 644, 'AGP', 1230, '', 0, '738\r'),
	('SK', 4319, 'OSL', 644, 'ALC', 1212, '', 0, '73H 738 73G\r'),
	('SK', 4319, 'OSL', 644, 'ALF', 632, '', 0, '73G 73W 736\r'),
	('SK', 4319, 'OSL', 644, 'AMS', 580, '', 0, '736 738 73G 73H\r'),
	('SK', 4319, 'OSL', 644, 'ARN', 737, '', 0, '73W 738 736 73H 73G 717\r'),
	('SK', 4319, 'OSL', 644, 'ATH', 3941, '', 0, '73W 73G\r'),
	('SK', 4319, 'OSL', 644, 'BCN', 1218, '', 0, '738 73G\r'),
	('SK', 4319, 'OSL', 644, 'BGO', 636, '', 0, '73H 736 73W 73G 738\r'),
	('SK', 4319, 'OSL', 644, 'BKK', 3885, '', 0, '773\r'),
	('SK', 4319, 'OSL', 644, 'BLL', 608, '', 0, 'AT7\r'),
	('SK', 4319, 'OSL', 644, 'BOO', 635, '', 0, '73G 738 736 73H 73W\r'),
	('SK', 4319, 'OSL', 644, 'BRU', 302, '', 0, '738 73W 73G 73H 736\r'),
	('SK', 4319, 'OSL', 644, 'CDG', 1382, '', 0, '738 73W 736 73H 73G\r'),
	('SK', 4319, 'OSL', 644, 'CHQ', 1474, '', 0, '738\r'),
	('SK', 4319, 'OSL', 644, 'CPH', 609, '', 0, '73H 73G 321 320 738 319 73W 736\r'),
	('SK', 4319, 'OSL', 644, 'DUB', 599, '', 0, '73G 738 73W\r'),
	('SK', 4319, 'OSL', 644, 'DUS', 345, '', 0, '73G 73W 738 736\r'),
	('SK', 4319, 'OSL', 644, 'EDI', 535, '', 0, '73W\r'),
	('SK', 4319, 'OSL', 644, 'EVE', 641, '', 0, '73G 738 73W 736 73H\r'),
	('SK', 4319, 'OSL', 644, 'EWR', 3494, '', 0, '333\r'),
	('SK', 4319, 'OSL', 644, 'FCO', 1555, '', 0, '738 73W\r'),
	('SK', 4319, 'OSL', 644, 'FRA', 340, '', 0, '738 73W 73H 73G 736\r'),
	('SK', 4319, 'OSL', 644, 'GDN', 668, '', 0, '738 73G 73W\r'),
	('SK', 4319, 'OSL', 644, 'GOT', 687, 'Y', 0, 'DH3\r'),
	('SK', 4319, 'OSL', 644, 'GZP', 8266, '', 0, '73W\r'),
	('SK', 4319, 'OSL', 644, 'HAU', 645, '', 0, '73G 736 73H 738 73W\r'),
	('SK', 4319, 'OSL', 644, 'HEL', 421, 'Y', 0, '717\r'),
	('SK', 4319, 'OSL', 644, 'IST', 1701, '', 0, '321 738\r'),
	('SK', 4319, 'OSL', 644, 'KEF', 16, '', 0, '738 73W\r'),
	('SK', 4319, 'OSL', 644, 'KKN', 649, '', 0, '73W 73G 736\r'),
	('SK', 4319, 'OSL', 644, 'KRS', 638, '', 0, '738 73W 73G 736 73H\r'),
	('SK', 4319, 'OSL', 644, 'KSU', 647, '', 0, '738 73W 736 73H 73G\r'),
	('SK', 4319, 'OSL', 644, 'LHR', 507, '', 0, '73G 738 73H 736 73W\r'),
	('SK', 4319, 'OSL', 644, 'LPA', 1054, '', 0, '738\r'),
	('SK', 4319, 'OSL', 644, 'LYR', 658, '', 0, '738 73W\r'),
	('SK', 4319, 'OSL', 644, 'MAN', 478, '', 0, '738 736\r'),
	('SK', 4319, 'OSL', 644, 'MOL', 651, '', 0, '73H 736 73G 73W\r'),
	('SK', 4319, 'OSL', 644, 'MUC', 346, '', 0, '73H 73G 73W\r'),
	('SK', 4319, 'OSL', 644, 'MXP', 1524, '', 0, '738 73G 73H\r'),
	('SK', 4319, 'OSL', 644, 'NCE', 1354, '', 0, '738 73H 73G\r'),
	('SK', 4319, 'OSL', 644, 'PMI', 3998, '', 0, '738\r'),
	('SK', 4319, 'OSL', 644, 'PRG', 1587, '', 0, '73H 738\r'),
	('SK', 4319, 'OSL', 644, 'RIX', 3953, 'Y', 0, 'DH4 73C 735\r'),
	('SK', 4319, 'OSL', 644, 'SVG', 666, '', 0, '736 73W 73G 738 73H\r'),
	('SK', 4319, 'OSL', 644, 'SVO', 2985, 'Y', 0, '320\r'),
	('SK', 4319, 'OSL', 644, 'TLL', 415, 'Y', 0, 'E70\r'),
	('SK', 4319, 'OSL', 644, 'TOS', 663, '', 0, '73G 73H 736 73W 738\r'),
	('SK', 4319, 'OSL', 644, 'TRD', 665, '', 0, '738 736 73H 73G 73W\r'),
	('SK', 4319, 'OSL', 644, 'TXL', 351, '', 0, '738 73W 73G\r'),
	('SK', 4319, 'OSL', 644, 'ZRH', 1678, '', 0, '73G 738 736\r'),
	('SK', 4319, 'OTP', 1657, 'CPH', 609, '', 0, '320 CR9\r'),
	('SK', 4319, 'OUL', 446, 'ARN', 737, 'Y', 0, 'S20\r'),
	('SK', 4319, 'PEK', 3364, 'ARN', 737, 'Y', 0, '333\r'),
	('SK', 4319, 'PEK', 3364, 'CPH', 609, '', 0, '343\r'),
	('SK', 4319, 'PLQ', 3958, 'CPH', 609, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'PMI', 3998, 'ARN', 737, '', 0, '73H\r'),
	('SK', 4319, 'PMI', 3998, 'CPH', 609, '', 0, '320 321\r'),
	('SK', 4319, 'PMI', 3998, 'GOT', 687, '', 0, '320\r'),
	('SK', 4319, 'PMI', 3998, 'OSL', 644, '', 0, '738\r'),
	('SK', 4319, 'POZ', 674, 'CPH', 609, '', 0, 'CR2\r'),
	('SK', 4319, 'PRG', 1587, 'ARN', 737, '', 0, '73H 717\r'),
	('SK', 4319, 'PRG', 1587, 'CPH', 609, '', 0, '320 CR9\r'),
	('SK', 4319, 'PRG', 1587, 'OSL', 644, '', 0, '73H 738\r'),
	('SK', 4319, 'PRN', 1742, 'CPH', 609, '', 0, '320 CR9\r'),
	('SK', 4319, 'PUY', 1203, 'ARN', 737, '', 0, '717\r'),
	('SK', 4319, 'PVG', 3406, 'CPH', 609, '', 0, '343\r'),
	('SK', 4319, 'RIX', 3953, 'ARN', 737, 'Y', 0, 'DH4 735 73C 733\r'),
	('SK', 4319, 'RIX', 3953, 'CPH', 609, 'Y', 0, 'DH4 73C 733\r'),
	('SK', 4319, 'RIX', 3953, 'OSL', 644, 'Y', 0, 'DH4 73C 735\r'),
	('SK', 4319, 'RNB', 685, 'ARN', 737, '', 0, '73H S20 736 717 73W AT7\r'),
	('SK', 4319, 'SDL', 721, 'ARN', 737, '', 0, '73W 736 AT7 S20 73H 717\r'),
	('SK', 4319, 'SFO', 3469, 'CPH', 609, '', 0, '343\r'),
	('SK', 4319, 'SFT', 726, 'ARN', 737, '', 0, '736 73H 73W 73G 717\r'),
	('SK', 4319, 'SIN', 3316, 'CPH', 609, 'Y', 0, '772\r'),
	('SK', 4319, 'SKG', 1486, 'ARN', 737, '', 0, '736\r'),
	('SK', 4319, 'SKG', 1486, 'CPH', 609, '', 0, '320\r'),
	('SK', 4319, 'SPU', 1206, 'ARN', 737, '', 0, '73H\r'),
	('SK', 4319, 'SPU', 1206, 'CPH', 609, '', 0, '320\r'),
	('SK', 4319, 'SPU', 1206, 'GOT', 687, '', 0, '73H\r'),
	('SK', 4319, 'STR', 350, 'CPH', 609, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'SVG', 666, 'ABZ', 532, '', 0, '736 73G\r'),
	('SK', 4319, 'SVG', 666, 'ALC', 1212, '', 0, '73H\r'),
	('SK', 4319, 'SVG', 666, 'ARN', 737, 'Y', 0, 'S20 736\r'),
	('SK', 4319, 'SVG', 666, 'BGO', 636, '', 0, '736 73W\r'),
	('SK', 4319, 'SVG', 666, 'CPH', 609, '', 0, '321 320 CR9 319 736 738 73G\r'),
	('SK', 4319, 'SVG', 666, 'EDI', 535, '', 0, '738 73W\r'),
	('SK', 4319, 'SVG', 666, 'FRA', 340, 'Y', 0, '733 735 319\r'),
	('SK', 4319, 'SVG', 666, 'LHR', 507, '', 0, '73W 73G 736 738 73H\r'),
	('SK', 4319, 'SVG', 666, 'NCL', 521, 'Y', 0, 'DH4\r'),
	('SK', 4319, 'SVG', 666, 'OSL', 644, '', 0, '738 736 73W 73G 73H\r'),
	('SK', 4319, 'SVG', 666, 'TOS', 663, '', 0, '736 73H\r'),
	('SK', 4319, 'SVG', 666, 'TRD', 665, '', 0, '73W 736 738\r'),
	('SK', 4319, 'SVO', 2985, 'ARN', 737, '', 0, '73H 736 73W\r'),
	('SK', 4319, 'SVO', 2985, 'CPH', 609, '', 0, '320 CR9\r'),
	('SK', 4319, 'SVO', 2985, 'OSL', 644, 'Y', 0, '320\r'),
	('SK', 4319, 'TKU', 460, 'ARN', 737, 'Y', 0, 'AT7 S20\r'),
	('SK', 4319, 'TKU', 460, 'CPH', 609, '', 0, 'CR9 CR2\r'),
	('SK', 4319, 'TLL', 415, 'ARN', 737, 'Y', 0, 'E70 CR9\r'),
	('SK', 4319, 'TLL', 415, 'CPH', 609, 'Y', 0, 'CR9 E70\r'),
	('SK', 4319, 'TLL', 415, 'OSL', 644, 'Y', 0, 'E70\r'),
	('SK', 4319, 'TLL', 415, 'TRD', 665, 'Y', 0, 'CR9 E70\r'),
	('SK', 4319, 'TLV', 1590, 'CPH', 609, '', 0, '321 320\r'),
	('SK', 4319, 'TMP', 458, 'ARN', 737, 'Y', 0, 'S20\r'),
	('SK', 4319, 'TOS', 663, 'ALF', 632, '', 0, '73G 73W 736\r'),
	('SK', 4319, 'TOS', 663, 'ARN', 737, '', 0, '717\r'),
	('SK', 4319, 'TOS', 663, 'BOO', 635, '', 0, '736\r'),
	('SK', 4319, 'TOS', 663, 'LYR', 658, '', 0, '73H 738 73W\r'),
	('SK', 4319, 'TOS', 663, 'OSL', 644, '', 0, '73H 738 73G 736 73W\r'),
	('SK', 4319, 'TOS', 663, 'SVG', 666, '', 0, '73H 736 738\r'),
	('SK', 4319, 'TRD', 665, 'AES', 630, '', 0, '736\r'),
	('SK', 4319, 'TRD', 665, 'ALC', 1212, '', 0, '738\r'),
	('SK', 4319, 'TRD', 665, 'ARN', 737, '', 0, '717 73W\r'),
	('SK', 4319, 'TRD', 665, 'BGO', 636, '', 0, '736\r'),
	('SK', 4319, 'TRD', 665, 'BOO', 635, '', 0, '736 73W\r'),
	('SK', 4319, 'TRD', 665, 'CPH', 609, '', 0, 'CR9\r'),
	('SK', 4319, 'TRD', 665, 'OSL', 644, '', 0, '73W 738 736 73G 73H\r'),
	('SK', 4319, 'TRD', 665, 'SVG', 666, '', 0, '736\r'),
	('SK', 4319, 'TRD', 665, 'TLL', 415, 'Y', 0, 'CR9 E70\r'),
	('SK', 4319, 'TRD', 665, 'TRF', 664, 'Y', 0, 'DH4\r'),
	('SK', 4319, 'TRF', 664, 'CPH', 609, 'Y', 0, 'DH4\r'),
	('SK', 4319, 'TRF', 664, 'SVG', 666, 'Y', 0, 'DH4\r'),
	('SK', 4319, 'TXL', 351, 'ARN', 737, '', 0, '73H 717 73W 736\r'),
	('SK', 4319, 'TXL', 351, 'CPH', 609, '', 0, '320 CR2 321 319 CR9\r'),
	('SK', 4319, 'TXL', 351, 'OSL', 644, '', 0, '738 73W 73G\r'),
	('SK', 4319, 'UME', 728, 'ARN', 737, '', 0, '73W 73H 736 73G\r'),
	('SK', 4319, 'VAA', 462, 'ARN', 737, 'Y', 0, 'AT7 S20\r'),
	('SK', 4319, 'VBY', 746, 'ARN', 737, '', 0, 'AT7\r'),
	('SK', 4319, 'VCE', 1551, 'CPH', 609, '', 0, '320 319\r'),
	('SK', 4319, 'VHM', 729, 'ARN', 737, 'Y', 0, 'SF3\r'),
	('SK', 4319, 'VHM', 729, 'HMV', 5599, 'Y', 0, 'SF3\r'),
	('SK', 4319, 'VNO', 3959, 'ARN', 737, '', 0, 'S20\r'),
	('SK', 4319, 'VNO', 3959, 'CPH', 609, '', 0, 'CR9\r'),
	('SK', 4319, 'VXO', 711, 'ARN', 737, 'Y', 0, 'SF3\r'),
	('SK', 4319, 'WAW', 679, 'CPH', 609, '', 0, 'CR9 319\r'),
	('SK', 4319, 'WRO', 680, 'CPH', 609, '', 0, 'CR2\r'),
	('SK', 4319, 'YYZ', 193, 'CPH', 609, 'Y', 0, '763\r'),
	('SK', 4319, 'ZAG', 1208, 'CPH', 609, 'Y', 0, '319 DH4\r'),
	('SK', 4319, 'ZRH', 1678, 'ARN', 737, '', 0, '717 73G 736 73W 73H\r'),
	('SK', 4319, 'ZRH', 1678, 'CPH', 609, '', 0, '321 320 319 CR9\r'),
	('SK', 4319, 'ZRH', 1678, 'OSL', 644, '', 0, '73G 738 736\r'),
	('SN', 1531, 'ABJ', 253, 'BRU', 302, '', 0, '332 333\r'),
	('SN', 1531, 'ABJ', 253, 'LFW', 298, '', 0, '333\r'),
	('SN', 1531, 'ABJ', 253, 'OUA', 246, '', 0, '333\r'),
	('SN', 1531, 'AGA', 1064, 'BRU', 302, '', 0, '319\r'),
	('SN', 1531, 'AGP', 1230, 'BRU', 302, '', 0, '320 319\r'),
	('SN', 1531, 'ALC', 1212, 'BRU', 302, '', 0, '319\r'),
	('SN', 1531, 'ATH', 3941, 'BRU', 302, '', 0, '319\r'),
	('SN', 1531, 'AUH', 2179, 'BRU', 302, 'Y', 0, '332\r'),
	('SN', 1531, 'BCN', 1218, 'BRU', 302, '', 0, '320 319\r'),
	('SN', 1531, 'BHX', 469, 'BRU', 302, '', 0, 'DH4 AR1\r'),
	('SN', 1531, 'BIA', 1321, 'BRU', 302, '', 0, '319\r'),
	('SN', 1531, 'BIO', 1216, 'BRU', 302, '', 0, '319\r'),
	('SN', 1531, 'BJL', 1050, 'DKR', 1084, '', 0, '333\r'),
	('SN', 1531, 'BJM', 1120, 'NBO', 4059, '', 0, '332\r'),
	('SN', 1531, 'BKK', 3885, 'BRU', 302, 'Y', 0, '773\r'),
	('SN', 1531, 'BLQ', 1538, 'BRU', 302, '', 0, 'AR1 319\r'),
	('SN', 1531, 'BMA', 738, 'BRU', 302, '', 0, 'AR1\r'),
	('SN', 1531, 'BOM', 2997, 'BRU', 302, 'Y', 0, '332 333\r'),
	('SN', 1531, 'BRS', 490, 'BRU', 302, 'Y', 0, 'ER4\r'),
	('SN', 1531, 'BRU', 302, 'ABJ', 253, '', 0, '333 332\r'),
	('SN', 1531, 'BRU', 302, 'AGA', 1064, '', 0, '319\r'),
	('SN', 1531, 'BRU', 302, 'AGP', 1230, '', 0, '320 319\r'),
	('SN', 1531, 'BRU', 302, 'ALC', 1212, '', 0, '319\r'),
	('SN', 1531, 'BRU', 302, 'ATH', 3941, '', 0, '319\r'),
	('SN', 1531, 'BRU', 302, 'AUH', 2179, 'Y', 0, '332\r'),
	('SN', 1531, 'BRU', 302, 'BCN', 1218, '', 0, '320 319\r'),
	('SN', 1531, 'BRU', 302, 'BHX', 469, '', 0, 'AR1 DH4\r'),
	('SN', 1531, 'BRU', 302, 'BIA', 1321, '', 0, '319\r'),
	('SN', 1531, 'BRU', 302, 'BIO', 1216, '', 0, '319\r'),
	('SN', 1531, 'BRU', 302, 'BJM', 1120, '', 0, '332\r'),
	('SN', 1531, 'BRU', 302, 'BKK', 3885, 'Y', 0, '773\r'),
	('SN', 1531, 'BRU', 302, 'BLQ', 1538, '', 0, 'AR1 319\r'),
	('SN', 1531, 'BRU', 302, 'BMA', 738, '', 0, 'AR1\r'),
	('SN', 1531, 'BRU', 302, 'BOM', 2997, 'Y', 0, '333 332\r'),
	('SN', 1531, 'BRU', 302, 'BRS', 490, 'Y', 0, 'ER4\r'),
	('SN', 1531, 'BRU', 302, 'BSL', 4053, '', 0, '319 AR1\r'),
	('SN', 1531, 'BRU', 302, 'BUD', 1489, '', 0, 'AR1\r'),
	('SN', 1531, 'BRU', 302, 'CAI', 1128, 'Y', 0, '320\r'),
	('SN', 1531, 'BRU', 302, 'CDG', 1382, '', 0, '320 319\r'),
	('SN', 1531, 'BRU', 302, 'CMN', 1074, 'Y', 0, '738 73G\r'),
	('SN', 1531, 'BRU', 302, 'COO', 245, '', 0, '332 333\r'),
	('SN', 1531, 'BRU', 302, 'CPH', 609, '', 0, '319 AR1\r'),
	('SN', 1531, 'BRU', 302, 'CTA', 1509, '', 0, '319\r'),
	('SN', 1531, 'BRU', 302, 'DEL', 3093, 'Y', 0, '333\r'),
	('SN', 1531, 'BRU', 302, 'DKR', 1084, '', 0, '333\r'),
	('SN', 1531, 'BRU', 302, 'DLA', 897, '', 0, '332 333\r'),
	('SN', 1531, 'BRU', 302, 'DME', 4029, '', 0, '320 319\r'),
	('SN', 1531, 'BRU', 302, 'EDI', 535, '', 0, '319 AR1\r'),
	('SN', 1531, 'BRU', 302, 'EWR', 3494, 'Y', 0, '764 777\r'),
	('SN', 1531, 'BRU', 302, 'FAO', 1626, '', 0, '320 319\r'),
	('SN', 1531, 'BRU', 302, 'FCO', 1555, '', 0, '320 319\r'),
	('SN', 1531, 'BRU', 302, 'FIH', 1020, '', 0, '332 333\r'),
	('SN', 1531, 'BRU', 302, 'FLR', 1563, '', 0, 'AR1\r'),
	('SN', 1531, 'BRU', 302, 'FNA', 1059, '', 0, '333\r'),
	('SN', 1531, 'BRU', 302, 'FRA', 340, 'Y', 0, '321 735 E90 733 CR7 319 320 32A\r'),
	('SN', 1531, 'BRU', 302, 'GOT', 687, '', 0, 'AR1 319 DH4\r'),
	('SN', 1531, 'BRU', 302, 'GVA', 1665, '', 0, '320 319 AR1\r'),
	('SN', 1531, 'BRU', 302, 'HAJ', 352, 'Y', 0, 'DH4\r'),
	('SN', 1531, 'BRU', 302, 'HAM', 342, '', 0, 'AR1 DH4 319\r'),
	('SN', 1531, 'BRU', 302, 'HER', 1452, 'Y', 0, '320\r'),
	('SN', 1531, 'BRU', 302, 'IAD', 3714, '', 0, '332\r'),
	('SN', 1531, 'BRU', 302, 'JFK', 3797, '', 0, '333\r'),
	('SN', 1531, 'BRU', 302, 'KBP', 2939, 'Y', 0, 'E90\r'),
	('SN', 1531, 'BRU', 302, 'KGL', 1165, '', 0, '332\r'),
	('SN', 1531, 'BRU', 302, 'LAD', 951, '', 0, '333\r'),
	('SN', 1531, 'BRU', 302, 'LHR', 507, '', 0, '319 AR1\r'),
	('SN', 1531, 'BRU', 302, 'LIN', 1529, '', 0, 'AR1 319\r'),
	('SN', 1531, 'BRU', 302, 'LIS', 1638, '', 0, '320 319\r'),
	('SN', 1531, 'BRU', 302, 'LJU', 1569, 'Y', 0, '319 CR9\r'),
	('SN', 1531, 'BRU', 302, 'LYS', 1335, '', 0, 'AR1 319 320\r'),
	('SN', 1531, 'BRU', 302, 'MAD', 1229, '', 0, '319 AR1\r'),
	('SN', 1531, 'BRU', 302, 'MAN', 478, '', 0, '319 AR1 DH4\r'),
	('SN', 1531, 'BRU', 302, 'MLA', 1606, 'Y', 0, '320 319\r'),
	('SN', 1531, 'BRU', 302, 'MRS', 1353, '', 0, 'AR1\r'),
	('SN', 1531, 'BRU', 302, 'MUC', 346, 'Y', 0, 'E95 319 CR9 320\r'),
	('SN', 1531, 'BRU', 302, 'MXP', 1524, '', 0, '319 AR1\r'),
	('SN', 1531, 'BRU', 302, 'NAP', 1561, '', 0, '320 319\r'),
	('SN', 1531, 'BRU', 302, 'NCE', 1354, '', 0, '319 320\r'),
	('SN', 1531, 'BRU', 302, 'NCL', 521, '', 0, 'ER4\r'),
	('SN', 1531, 'BRU', 302, 'NSI', 4161, '', 0, '332\r'),
	('SN', 1531, 'BRU', 302, 'OPO', 1636, '', 0, '319\r'),
	('SN', 1531, 'BRU', 302, 'ORD', 3830, 'Y', 0, '777\r'),
	('SN', 1531, 'BRU', 302, 'OSL', 644, '', 0, 'AR1 319\r'),
	('SN', 1531, 'BRU', 302, 'OTP', 1657, 'Y', 0, '73W 733 73H 318\r'),
	('SN', 1531, 'BRU', 302, 'OUA', 246, '', 0, '333 332\r'),
	('SN', 1531, 'BRU', 302, 'PEK', 3364, 'Y', 0, '330\r'),
	('SN', 1531, 'BRU', 302, 'PMO', 1512, '', 0, '320 319\r'),
	('SN', 1531, 'BRU', 302, 'PRG', 1587, '', 0, '319 DH4\r'),
	('SN', 1531, 'BRU', 302, 'RAK', 1075, '', 0, '319\r'),
	('SN', 1531, 'BRU', 302, 'RIX', 3953, 'Y', 0, '735 DH4\r'),
	('SN', 1531, 'BRU', 302, 'SVQ', 1253, '', 0, '319\r'),
	('SN', 1531, 'BRU', 302, 'SXB', 1435, '', 0, 'DH4\r'),
	('SN', 1531, 'BRU', 302, 'TLL', 415, 'Y', 0, 'CR9\r'),
	('SN', 1531, 'BRU', 302, 'TLS', 1273, '', 0, 'AR1\r'),
	('SN', 1531, 'BRU', 302, 'TLV', 1590, '', 0, '319 320\r'),
	('SN', 1531, 'BRU', 302, 'TRN', 1526, '', 0, 'DH4\r'),
	('SN', 1531, 'BRU', 302, 'TXL', 351, '', 0, '319 AR1 320\r'),
	('SN', 1531, 'BRU', 302, 'VCE', 1551, '', 0, '319 AR1\r'),
	('SN', 1531, 'BRU', 302, 'VIE', 1613, '', 0, '319 F70 320\r'),
	('SN', 1531, 'BRU', 302, 'VNO', 3959, '', 0, 'AR1 319\r'),
	('SN', 1531, 'BRU', 302, 'YUL', 146, 'Y', 0, '333\r'),
	('SN', 1531, 'BRU', 302, 'ZAG', 1208, 'Y', 0, 'DH4\r'),
	('SN', 1531, 'BRU', 302, 'ZRH', 1678, 'Y', 0, 'AR1 320\r'),
	('SN', 1531, 'BSL', 4053, 'BRU', 302, '', 0, '319 AR1\r'),
	('SN', 1531, 'BUD', 1489, 'BRU', 302, '', 0, 'AR1\r'),
	('SN', 1531, 'CAI', 1128, 'BRU', 302, 'Y', 0, '320\r'),
	('SN', 1531, 'CDG', 1382, 'BRU', 302, '', 0, '320 319\r'),
	('SN', 1531, 'CKY', 4162, 'DKR', 1084, '', 0, '333\r'),
	('SN', 1531, 'CMN', 1074, 'BRU', 302, 'Y', 0, '738 73G\r'),
	('SN', 1531, 'COO', 245, 'ABJ', 253, '', 0, '332\r'),
	('SN', 1531, 'CPH', 609, 'BRU', 302, '', 0, '319 AR1\r'),
	('SN', 1531, 'CTA', 1509, 'BRU', 302, '', 0, '319\r'),
	('SN', 1531, 'DEL', 3093, 'BRU', 302, 'Y', 0, '333\r'),
	('SN', 1531, 'DKR', 1084, 'BJL', 1050, '', 0, '333\r'),
	('SN', 1531, 'DKR', 1084, 'BRU', 302, '', 0, '333\r'),
	('SN', 1531, 'DKR', 1084, 'CKY', 4162, '', 0, '333\r'),
	('SN', 1531, 'DLA', 897, 'BRU', 302, '', 0, '332 333\r'),
	('SN', 1531, 'DLA', 897, 'FIH', 1020, '', 0, '333\r'),
	('SN', 1531, 'DLA', 897, 'NSI', 4161, '', 0, '332\r'),
	('SN', 1531, 'DME', 4029, 'BRU', 302, '', 0, '320 319\r'),
	('SN', 1531, 'EBB', 1187, 'BRU', 302, '', 0, '332\r'),
	('SN', 1531, 'EDI', 535, 'BRU', 302, '', 0, '319 AR1\r'),
	('SN', 1531, 'EWR', 3494, 'BRU', 302, 'Y', 0, '764 777\r'),
	('SN', 1531, 'FAO', 1626, 'BRU', 302, '', 0, '320 319\r'),
	('SN', 1531, 'FCO', 1555, 'BRU', 302, '', 0, '319 320\r'),
	('SN', 1531, 'FIH', 1020, 'BRU', 302, '', 0, '332 333\r'),
	('SN', 1531, 'FIH', 1020, 'DLA', 897, '', 0, '333\r'),
	('SN', 1531, 'FLR', 1563, 'BRU', 302, '', 0, 'AR1\r'),
	('SN', 1531, 'FNA', 1059, 'ROB', 1063, '', 0, '333\r'),
	('SN', 1531, 'FRA', 340, 'BRU', 302, 'Y', 0, 'E90 735 733 CR7 319 321 320 32A\r'),
	('SN', 1531, 'FRA', 340, 'LIN', 1529, 'Y', 0, '320 319\r'),
	('SN', 1531, 'FRA', 340, 'LOS', 273, 'Y', 0, '333\r'),
	('SN', 1531, 'GOT', 687, 'BRU', 302, '', 0, 'AR1 319 DH4\r'),
	('SN', 1531, 'GVA', 1665, 'BRU', 302, '', 0, '319 320 AR1\r'),
	('SN', 1531, 'HAJ', 352, 'BRU', 302, 'Y', 0, 'DH4\r'),
	('SN', 1531, 'HAM', 342, 'BRU', 302, '', 0, '319 AR1 DH4\r'),
	('SN', 1531, 'HER', 1452, 'BRU', 302, 'Y', 0, '320\r'),
	('SN', 1531, 'IAD', 3714, 'BRU', 302, '', 0, '332\r'),
	('SN', 1531, 'JFK', 3797, 'BRU', 302, '', 0, '333\r'),
	('SN', 1531, 'KBP', 2939, 'BRU', 302, 'Y', 0, 'E90\r'),
	('SN', 1531, 'KGL', 1165, 'EBB', 1187, '', 0, '332\r'),
	('SN', 1531, 'KGL', 1165, 'NBO', 4059, '', 0, '332\r'),
	('SN', 1531, 'LAD', 951, 'FIH', 1020, '', 0, '333\r'),
	('SN', 1531, 'LFW', 298, 'BRU', 302, '', 0, '333 332\r'),
	('SN', 1531, 'LHR', 507, 'BRU', 302, '', 0, '319 AR1\r'),
	('SN', 1531, 'LIN', 1529, 'BRU', 302, '', 0, 'AR1 319\r'),
	('SN', 1531, 'LIN', 1529, 'FRA', 340, 'Y', 0, '320 319\r'),
	('SN', 1531, 'LIS', 1638, 'BRU', 302, '', 0, '320 319\r'),
	('SN', 1531, 'LJU', 1569, 'BRU', 302, 'Y', 0, '319 CR9\r'),
	('SN', 1531, 'LOS', 273, 'FRA', 340, 'Y', 0, '333\r'),
	('SN', 1531, 'LOS', 273, 'PHC', 275, 'Y', 0, '333\r'),
	('SN', 1531, 'LYS', 1335, 'BRU', 302, '', 0, 'AR1 319 320\r'),
	('SN', 1531, 'MAD', 1229, 'BRU', 302, '', 0, '320 319 AR1\r'),
	('SN', 1531, 'MAN', 478, 'BRU', 302, '', 0, '319 AR1 DH4\r'),
	('SN', 1531, 'MLA', 1606, 'BRU', 302, 'Y', 0, '320 319\r'),
	('SN', 1531, 'MRS', 1353, 'BRU', 302, '', 0, 'AR1\r'),
	('SN', 1531, 'MUC', 346, 'BRU', 302, 'Y', 0, 'E95 319 CR9 320\r'),
	('SN', 1531, 'MXP', 1524, 'BRU', 302, '', 0, '319 AR1\r'),
	('SN', 1531, 'NAP', 1561, 'BRU', 302, '', 0, '320 319\r'),
	('SN', 1531, 'NBO', 4059, 'BRU', 302, '', 0, '332\r'),
	('SN', 1531, 'NCE', 1354, 'BRU', 302, '', 0, '319 320\r'),
	('SN', 1531, 'NCL', 521, 'BRU', 302, '', 0, 'ER4\r'),
	('SN', 1531, 'NSI', 4161, 'BRU', 302, '', 0, '332\r'),
	('SN', 1531, 'NSI', 4161, 'DLA', 897, '', 0, '332\r'),
	('SN', 1531, 'OPO', 1636, 'BRU', 302, '', 0, '319\r'),
	('SN', 1531, 'ORD', 3830, 'BRU', 302, 'Y', 0, '777\r'),
	('SN', 1531, 'OSL', 644, 'BRU', 302, '', 0, 'AR1 319\r'),
	('SN', 1531, 'OTP', 1657, 'BRU', 302, 'Y', 0, '73W 733 73H 318\r'),
	('SN', 1531, 'OUA', 246, 'ABJ', 253, '', 0, '333\r'),
	('SN', 1531, 'OUA', 246, 'BRU', 302, '', 0, '333 332\r'),
	('SN', 1531, 'PEK', 3364, 'BRU', 302, 'Y', 0, '330\r'),
	('SN', 1531, 'PHC', 275, 'LOS', 273, 'Y', 0, '333\r'),
	('SN', 1531, 'PMO', 1512, 'BRU', 302, '', 0, '320 319\r'),
	('SN', 1531, 'PRG', 1587, 'BRU', 302, '', 0, '319 DH4\r'),
	('SN', 1531, 'RAK', 1075, 'BRU', 302, '', 0, '319\r'),
	('SN', 1531, 'RIX', 3953, 'BRU', 302, 'Y', 0, '735 DH4\r'),
	('SN', 1531, 'ROB', 1063, 'BRU', 302, '', 0, '333\r'),
	('SN', 1531, 'SVQ', 1253, 'BRU', 302, '', 0, '319\r'),
	('SN', 1531, 'SXB', 1435, 'BRU', 302, '', 0, 'DH4\r'),
	('SN', 1531, 'TLL', 415, 'BRU', 302, 'Y', 0, 'CR9\r'),
	('SN', 1531, 'TLS', 1273, 'BRU', 302, '', 0, 'AR1\r'),
	('SN', 1531, 'TLV', 1590, 'BRU', 302, '', 0, '320 319\r'),
	('SN', 1531, 'TRN', 1526, 'BRU', 302, '', 0, 'DH4\r'),
	('SN', 1531, 'TXL', 351, 'BRU', 302, '', 0, '319 AR1 320\r'),
	('SN', 1531, 'VCE', 1551, 'BRU', 302, '', 0, '319 AR1\r'),
	('SN', 1531, 'VIE', 1613, 'BRU', 302, '', 0, '319 F70 320\r'),
	('SN', 1531, 'VNO', 3959, 'BRU', 302, '', 0, 'AR1 319\r'),
	('SN', 1531, 'YUL', 146, 'BRU', 302, 'Y', 0, '333\r'),
	('SN', 1531, 'ZAG', 1208, 'BRU', 302, 'Y', 0, 'DH4\r'),
	('SN', 1531, 'ZRH', 1678, 'BRU', 302, 'Y', 0, '320 AR1\r'),
	('SP', 4429, 'CVU', 5793, 'FLW', 1625, '', 0, 'DH2\r'),
	('SP', 4429, 'CVU', 5793, 'HOR', 1628, '', 0, 'DH2\r'),
	('SP', 4429, 'FLW', 1625, 'CVU', 5793, '', 0, 'DH2\r'),
	('SP', 4429, 'FLW', 1625, 'HOR', 1628, '', 0, 'DH4\r'),
	('SP', 4429, 'FLW', 1625, 'PDL', 1633, '', 0, 'DH4\r'),
	('SP', 4429, 'FLW', 1625, 'TER', 1629, '', 0, 'DH4\r'),
	('SP', 4429, 'GRW', 1627, 'TER', 1629, '', 0, 'DH4 DH2\r'),
	('SP', 4429, 'HOR', 1628, 'CVU', 5793, '', 0, 'DH2\r'),
	('SP', 4429, 'HOR', 1628, 'FLW', 1625, '', 0, 'DH4\r'),
	('SP', 4429, 'HOR', 1628, 'PDL', 1633, '', 0, 'DH2 DH4\r'),
	('SP', 4429, 'HOR', 1628, 'TER', 1629, '', 0, 'DH4 DH2\r'),
	('SP', 4429, 'PDL', 1633, 'FLW', 1625, '', 0, 'DH4\r'),
	('SP', 4429, 'PDL', 1633, 'HOR', 1628, '', 0, 'DH2 DH4\r'),
	('SP', 4429, 'PDL', 1633, 'PIX', 1634, '', 0, 'DH4\r'),
	('SP', 4429, 'PDL', 1633, 'SJZ', 1639, '', 0, 'DH4 DH2\r'),
	('SP', 4429, 'PDL', 1633, 'SMA', 1617, '', 0, 'DH4\r'),
	('SP', 4429, 'PDL', 1633, 'TER', 1629, '', 0, 'DH4 DH2\r'),
	('SP', 4429, 'PIX', 1634, 'PDL', 1633, '', 0, 'DH4\r'),
	('SP', 4429, 'PIX', 1634, 'TER', 1629, '', 0, 'DH4\r'),
	('SP', 4429, 'SJZ', 1639, 'PDL', 1633, '', 0, 'DH4 DH2\r'),
	('SP', 4429, 'SJZ', 1639, 'TER', 1629, '', 0, 'DH4 DH2\r'),
	('SP', 4429, 'SMA', 1617, 'PDL', 1633, '', 0, 'DH4\r'),
	('SP', 4429, 'TER', 1629, 'FLW', 1625, '', 0, 'DH4\r'),
	('SP', 4429, 'TER', 1629, 'GRW', 1627, '', 0, 'DH4 DH2\r'),
	('SP', 4429, 'TER', 1629, 'HOR', 1628, '', 0, 'DH4 DH2\r'),
	('SP', 4429, 'TER', 1629, 'PDL', 1633, '', 0, 'DH4 DH2\r'),
	('SP', 4429, 'TER', 1629, 'PIX', 1634, '', 0, 'DH4\r'),
	('SP', 4429, 'TER', 1629, 'SJZ', 1639, '', 0, 'DH4 DH2\r'),
	('SQ', 4435, 'ADD', 1107, 'BKK', 3885, '', 0, '763\r'),
	('SQ', 4435, 'ADL', 3341, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'AKL', 2006, 'SIN', 3316, '', 0, '77W 772\r'),
	('SQ', 4435, 'AMD', 2994, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'AMS', 580, 'SIN', 3316, '', 0, '772 77W\r'),
	('SQ', 4435, 'BCN', 1218, 'GRU', 2564, '', 0, '77W\r'),
	('SQ', 4435, 'BCN', 1218, 'MXP', 1524, '', 0, '77W\r'),
	('SQ', 4435, 'BCN', 1218, 'SIN', 3316, '', 0, '77W\r'),
	('SQ', 4435, 'BDO', 3896, 'SIN', 3316, 'Y', 0, '319\r'),
	('SQ', 4435, 'BKI', 3269, 'SIN', 3316, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'BKK', 3885, 'ADD', 1107, '', 0, '763\r'),
	('SQ', 4435, 'BKK', 3885, 'SIN', 3316, '', 0, '772 333 763\r'),
	('SQ', 4435, 'BLR', 3131, 'SIN', 3316, '', 0, '772\r'),
	('SQ', 4435, 'BNE', 3320, 'CHC', 2009, 'Y', 0, '320\r'),
	('SQ', 4435, 'BNE', 3320, 'CNJ', 6255, '', 0, 'E90\r'),
	('SQ', 4435, 'BNE', 3320, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'BOM', 2997, 'SIN', 3316, '', 0, '77W 772\r'),
	('SQ', 4435, 'BPN', 3919, 'SIN', 3316, 'Y', 0, '319 320\r'),
	('SQ', 4435, 'BWN', 3272, 'SIN', 3316, '', 0, '773 320\r'),
	('SQ', 4435, 'CAI', 1128, 'DXB', 2188, '', 0, '333\r'),
	('SQ', 4435, 'CAN', 3370, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'CCU', 3043, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'CDG', 1382, 'SIN', 3316, '', 0, '388\r'),
	('SQ', 4435, 'CEB', 4206, 'DVO', 4090, 'Y', 0, '320\r'),
	('SQ', 4435, 'CEB', 4206, 'SIN', 3316, 'Y', 0, '320 738\r'),
	('SQ', 4435, 'CGK', 3275, 'SIN', 3316, '', 0, '772 773\r'),
	('SQ', 4435, 'CHC', 2009, 'SIN', 3316, '', 0, '772\r'),
	('SQ', 4435, 'CJB', 3135, 'SIN', 3316, 'Y', 0, '320\r'),
	('SQ', 4435, 'CKG', 3393, 'SIN', 3316, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'CMB', 3024, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'CNJ', 6255, 'BNE', 3320, '', 0, 'E90\r'),
	('SQ', 4435, 'CNX', 3931, 'SIN', 3316, 'Y', 0, '320\r'),
	('SQ', 4435, 'COK', 3136, 'SIN', 3316, 'Y', 0, '320 738 319\r'),
	('SQ', 4435, 'CPH', 609, 'SIN', 3316, '', 0, '772\r'),
	('SQ', 4435, 'CPT', 797, 'JNB', 813, '', 0, '772\r'),
	('SQ', 4435, 'CSX', 3371, 'SIN', 3316, 'Y', 0, '320\r'),
	('SQ', 4435, 'CTU', 3395, 'SIN', 3316, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'DAC', 3076, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'DAD', 3196, 'REP', 3035, 'Y', 0, '738\r'),
	('SQ', 4435, 'DAD', 3196, 'SIN', 3316, 'Y', 0, '738 320\r'),
	('SQ', 4435, 'DEL', 3093, 'SIN', 3316, '', 0, '772 773\r'),
	('SQ', 4435, 'DME', 4029, 'IAH', 3550, '', 0, '77W\r'),
	('SQ', 4435, 'DME', 4029, 'SIN', 3316, '', 0, '77W\r'),
	('SQ', 4435, 'DPS', 3940, 'SIN', 3316, '', 0, '772 738\r'),
	('SQ', 4435, 'DRW', 3999, 'SIN', 3316, 'Y', 0, '320\r'),
	('SQ', 4435, 'DVO', 4090, 'CEB', 4206, 'Y', 0, '320\r'),
	('SQ', 4435, 'DVO', 4090, 'SIN', 3316, 'Y', 0, '320 738\r'),
	('SQ', 4435, 'DXB', 2188, 'CAI', 1128, '', 0, '333\r'),
	('SQ', 4435, 'DXB', 2188, 'SIN', 3316, '', 0, '77W 333\r'),
	('SQ', 4435, 'FCO', 1555, 'SIN', 3316, '', 0, '772\r'),
	('SQ', 4435, 'FRA', 340, 'JFK', 3797, '', 0, '388\r'),
	('SQ', 4435, 'FRA', 340, 'LYS', 1335, 'Y', 0, '32A 733 735\r'),
	('SQ', 4435, 'FRA', 340, 'SIN', 3316, '', 0, '388 77W\r'),
	('SQ', 4435, 'FUK', 2305, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'GRU', 2564, 'BCN', 1218, '', 0, '77W\r'),
	('SQ', 4435, 'HAN', 3199, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'HKG', 3077, 'SFO', 3469, '', 0, '77W\r'),
	('SQ', 4435, 'HKG', 3077, 'SIN', 3316, '', 0, '77W 772 388\r'),
	('SQ', 4435, 'HKT', 3179, 'SIN', 3316, 'Y', 0, '320 738 319\r'),
	('SQ', 4435, 'HND', 2359, 'SIN', 3316, '', 0, '333 773\r'),
	('SQ', 4435, 'HYD', 3141, 'SIN', 3316, 'Y', 0, '320 738\r'),
	('SQ', 4435, 'IAH', 3550, 'DME', 4029, '', 0, '77W\r'),
	('SQ', 4435, 'ICN', 3930, 'SFO', 3469, '', 0, '77W\r'),
	('SQ', 4435, 'ICN', 3930, 'SIN', 3316, '', 0, '333 77W\r'),
	('SQ', 4435, 'IST', 1701, 'SIN', 3316, '', 0, '772\r'),
	('SQ', 4435, 'JED', 2072, 'RUH', 2082, '', 0, '333\r'),
	('SQ', 4435, 'JFK', 3797, 'FRA', 340, '', 0, '388\r'),
	('SQ', 4435, 'JNB', 813, 'CPT', 797, '', 0, '772\r'),
	('SQ', 4435, 'JNB', 813, 'SIN', 3316, '', 0, '772\r'),
	('SQ', 4435, 'JOG', 3898, 'SIN', 3316, 'Y', 0, '320\r'),
	('SQ', 4435, 'KCH', 3263, 'SIN', 3316, 'Y', 0, '738 319\r'),
	('SQ', 4435, 'KIX', 3992, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'KMG', 3382, 'SIN', 3316, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'KTM', 3125, 'SIN', 3316, 'Y', 0, '320\r'),
	('SQ', 4435, 'KUL', 3304, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'LAX', 3484, 'NRT', 2279, '', 0, '388\r'),
	('SQ', 4435, 'LAX', 3484, 'ORD', 3830, 'Y', 0, '320\r'),
	('SQ', 4435, 'LGK', 3305, 'SIN', 3316, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'LHR', 507, 'SIN', 3316, '', 0, '388 77W\r'),
	('SQ', 4435, 'LOP', 8401, 'SIN', 3316, 'Y', 0, '319 320\r'),
	('SQ', 4435, 'MAA', 3144, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'MAN', 478, 'MUC', 346, '', 0, '77W\r'),
	('SQ', 4435, 'MDC', 3250, 'SIN', 3316, 'Y', 0, '320\r'),
	('SQ', 4435, 'MEL', 3339, 'CHC', 2009, 'Y', 0, '320\r'),
	('SQ', 4435, 'MEL', 3339, 'SIN', 3316, '', 0, '77W 773 388 333\r'),
	('SQ', 4435, 'MLE', 3156, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'MNL', 2397, 'SIN', 3316, '', 0, '772 333\r'),
	('SQ', 4435, 'MUC', 346, 'MAN', 478, '', 0, '77W\r'),
	('SQ', 4435, 'MUC', 346, 'SIN', 3316, '', 0, '77W\r'),
	('SQ', 4435, 'MXP', 1524, 'BCN', 1218, '', 0, '77W\r'),
	('SQ', 4435, 'MXP', 1524, 'SIN', 3316, '', 0, '77W\r'),
	('SQ', 4435, 'NGO', 3942, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'NRT', 2279, 'LAX', 3484, '', 0, '388\r'),
	('SQ', 4435, 'NRT', 2279, 'SIN', 3316, '', 0, '77W 388\r'),
	('SQ', 4435, 'PEK', 3364, 'SIN', 3316, '', 0, '773 333 772 77W\r'),
	('SQ', 4435, 'PEN', 3308, 'SIN', 3316, 'Y', 0, '320 738 319\r'),
	('SQ', 4435, 'PER', 3351, 'SIN', 3316, '', 0, '333 772\r'),
	('SQ', 4435, 'PKU', 3273, 'SIN', 3316, 'Y', 0, '319\r'),
	('SQ', 4435, 'PLM', 3289, 'SIN', 3316, 'Y', 0, '319\r'),
	('SQ', 4435, 'PNH', 3034, 'SIN', 3316, 'Y', 0, '320\r'),
	('SQ', 4435, 'PVG', 3406, 'SIN', 3316, '', 0, '388 772 77W\r'),
	('SQ', 4435, 'REP', 3035, 'DAD', 3196, 'Y', 0, '738\r'),
	('SQ', 4435, 'REP', 3035, 'PNH', 3034, 'Y', 0, '320\r'),
	('SQ', 4435, 'REP', 3035, 'SIN', 3316, 'Y', 0, '738 320\r'),
	('SQ', 4435, 'RGN', 3239, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'RUH', 2082, 'JED', 2072, '', 0, '333\r'),
	('SQ', 4435, 'RUH', 2082, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'SFO', 3469, 'HKG', 3077, '', 0, '77W\r'),
	('SQ', 4435, 'SFO', 3469, 'ICN', 3930, '', 0, '77W\r'),
	('SQ', 4435, 'SGN', 3205, 'SIN', 3316, '', 0, '772 333\r'),
	('SQ', 4435, 'SIN', 3316, 'ADL', 3341, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'AKL', 2006, '', 0, '772 77W\r'),
	('SQ', 4435, 'SIN', 3316, 'AMD', 2994, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'AMS', 580, '', 0, '77W 772\r'),
	('SQ', 4435, 'SIN', 3316, 'BCN', 1218, '', 0, '77W\r'),
	('SQ', 4435, 'SIN', 3316, 'BDO', 3896, 'Y', 0, '319\r'),
	('SQ', 4435, 'SIN', 3316, 'BKI', 3269, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'SIN', 3316, 'BKK', 3885, '', 0, '772 333 763\r'),
	('SQ', 4435, 'SIN', 3316, 'BLR', 3131, '', 0, '772\r'),
	('SQ', 4435, 'SIN', 3316, 'BNE', 3320, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'BOM', 2997, '', 0, '772 77W\r'),
	('SQ', 4435, 'SIN', 3316, 'BPN', 3919, 'Y', 0, '319 320\r'),
	('SQ', 4435, 'SIN', 3316, 'BWN', 3272, '', 0, '773 320\r'),
	('SQ', 4435, 'SIN', 3316, 'CAN', 3370, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'CCU', 3043, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'CDG', 1382, '', 0, '388\r'),
	('SQ', 4435, 'SIN', 3316, 'CEB', 4206, 'Y', 0, '320 738\r'),
	('SQ', 4435, 'SIN', 3316, 'CGK', 3275, '', 0, '773 772\r'),
	('SQ', 4435, 'SIN', 3316, 'CHC', 2009, '', 0, '772\r'),
	('SQ', 4435, 'SIN', 3316, 'CJB', 3135, 'Y', 0, '320\r'),
	('SQ', 4435, 'SIN', 3316, 'CKG', 3393, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'SIN', 3316, 'CMB', 3024, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'CNX', 3931, 'Y', 0, '320\r'),
	('SQ', 4435, 'SIN', 3316, 'COK', 3136, 'Y', 0, '320 738 319\r'),
	('SQ', 4435, 'SIN', 3316, 'CPH', 609, '', 0, '772\r'),
	('SQ', 4435, 'SIN', 3316, 'CSX', 3371, 'Y', 0, '320\r'),
	('SQ', 4435, 'SIN', 3316, 'CTU', 3395, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'SIN', 3316, 'DAC', 3076, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'DAD', 3196, 'Y', 0, '738 319 320\r'),
	('SQ', 4435, 'SIN', 3316, 'DEL', 3093, '', 0, '772 773\r'),
	('SQ', 4435, 'SIN', 3316, 'DME', 4029, '', 0, '77W\r'),
	('SQ', 4435, 'SIN', 3316, 'DPS', 3940, '', 0, '772 738\r'),
	('SQ', 4435, 'SIN', 3316, 'DRW', 3999, 'Y', 0, '320\r'),
	('SQ', 4435, 'SIN', 3316, 'DVO', 4090, 'Y', 0, '320 738\r'),
	('SQ', 4435, 'SIN', 3316, 'DXB', 2188, '', 0, '77W 333\r'),
	('SQ', 4435, 'SIN', 3316, 'FCO', 1555, '', 0, '772\r'),
	('SQ', 4435, 'SIN', 3316, 'FRA', 340, '', 0, '77W 388\r'),
	('SQ', 4435, 'SIN', 3316, 'FUK', 2305, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'HAN', 3199, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'HKG', 3077, '', 0, '772 388 77W\r'),
	('SQ', 4435, 'SIN', 3316, 'HKT', 3179, 'Y', 0, '320 738 319\r'),
	('SQ', 4435, 'SIN', 3316, 'HND', 2359, '', 0, '333 773\r'),
	('SQ', 4435, 'SIN', 3316, 'HYD', 3141, 'Y', 0, '738 320\r'),
	('SQ', 4435, 'SIN', 3316, 'ICN', 3930, '', 0, '333 77W\r'),
	('SQ', 4435, 'SIN', 3316, 'IST', 1701, '', 0, '772\r'),
	('SQ', 4435, 'SIN', 3316, 'JNB', 813, '', 0, '772\r'),
	('SQ', 4435, 'SIN', 3316, 'JOG', 3898, 'Y', 0, '320\r'),
	('SQ', 4435, 'SIN', 3316, 'KCH', 3263, 'Y', 0, '738 319\r'),
	('SQ', 4435, 'SIN', 3316, 'KIX', 3992, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'KMG', 3382, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'SIN', 3316, 'KTM', 3125, 'Y', 0, '320\r'),
	('SQ', 4435, 'SIN', 3316, 'KUL', 3304, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'LGK', 3305, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'SIN', 3316, 'LHR', 507, '', 0, '77W 388\r'),
	('SQ', 4435, 'SIN', 3316, 'LOP', 8401, 'Y', 0, '319 320\r'),
	('SQ', 4435, 'SIN', 3316, 'MAA', 3144, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'MDC', 3250, 'Y', 0, '320\r'),
	('SQ', 4435, 'SIN', 3316, 'MEL', 3339, '', 0, '333 77W 388 773\r'),
	('SQ', 4435, 'SIN', 3316, 'MLE', 3156, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'MNL', 2397, '', 0, '772 333\r'),
	('SQ', 4435, 'SIN', 3316, 'MUC', 346, '', 0, '77W\r'),
	('SQ', 4435, 'SIN', 3316, 'MXP', 1524, '', 0, '77W\r'),
	('SQ', 4435, 'SIN', 3316, 'NGO', 3942, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'NRT', 2279, '', 0, '388 77W\r'),
	('SQ', 4435, 'SIN', 3316, 'PEK', 3364, '', 0, '772 77W 773 333\r'),
	('SQ', 4435, 'SIN', 3316, 'PEN', 3308, 'Y', 0, '320 738 319\r'),
	('SQ', 4435, 'SIN', 3316, 'PER', 3351, '', 0, '333 772\r'),
	('SQ', 4435, 'SIN', 3316, 'PKU', 3273, 'Y', 0, '319\r'),
	('SQ', 4435, 'SIN', 3316, 'PLM', 3289, 'Y', 0, '319\r'),
	('SQ', 4435, 'SIN', 3316, 'PNH', 3034, 'Y', 0, '320\r'),
	('SQ', 4435, 'SIN', 3316, 'PVG', 3406, '', 0, '772 77W 388\r'),
	('SQ', 4435, 'SIN', 3316, 'REP', 3035, 'Y', 0, '738 320\r'),
	('SQ', 4435, 'SIN', 3316, 'RGN', 3239, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'RUH', 2082, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'SGN', 3205, '', 0, '772 333\r'),
	('SQ', 4435, 'SIN', 3316, 'SOC', 3929, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'SIN', 3316, 'SRG', 3901, 'Y', 0, '319\r'),
	('SQ', 4435, 'SIN', 3316, 'SUB', 3928, '', 0, '333\r'),
	('SQ', 4435, 'SIN', 3316, 'SYD', 3361, '', 0, '388 772 773\r'),
	('SQ', 4435, 'SIN', 3316, 'SZX', 3374, '', 0, '738\r'),
	('SQ', 4435, 'SIN', 3316, 'TPE', 2276, '', 0, '333 77W\r'),
	('SQ', 4435, 'SIN', 3316, 'TRV', 3153, 'Y', 0, '319 320\r'),
	('SQ', 4435, 'SIN', 3316, 'UPG', 3240, 'Y', 0, '319 320\r'),
	('SQ', 4435, 'SIN', 3316, 'USM', 3177, 'Y', 0, '319\r'),
	('SQ', 4435, 'SIN', 3316, 'VTZ', 3066, 'Y', 0, '319\r'),
	('SQ', 4435, 'SIN', 3316, 'WUH', 3376, 'Y', 0, '319 320\r'),
	('SQ', 4435, 'SIN', 3316, 'XMN', 3383, 'Y', 0, '320\r'),
	('SQ', 4435, 'SIN', 3316, 'ZRH', 1678, '', 0, '388\r'),
	('SQ', 4435, 'SJC', 3748, 'LAX', 3484, 'Y', 0, '320\r'),
	('SQ', 4435, 'SOC', 3929, 'SIN', 3316, 'Y', 0, '320 319\r'),
	('SQ', 4435, 'SRG', 3901, 'SIN', 3316, 'Y', 0, '319\r'),
	('SQ', 4435, 'SUB', 3928, 'SIN', 3316, '', 0, '333\r'),
	('SQ', 4435, 'SYD', 3361, 'SIN', 3316, '', 0, '773 388 772\r'),
	('SQ', 4435, 'SZX', 3374, 'SIN', 3316, '', 0, '738\r'),
	('SQ', 4435, 'TPE', 2276, 'SIN', 3316, '', 0, '77W 333\r'),
	('SQ', 4435, 'TRV', 3153, 'SIN', 3316, 'Y', 0, '319 320\r'),
	('SQ', 4435, 'UPG', 3240, 'SIN', 3316, 'Y', 0, '319 320\r'),
	('SQ', 4435, 'USM', 3177, 'SIN', 3316, 'Y', 0, '319\r'),
	('SQ', 4435, 'VTZ', 3066, 'SIN', 3316, 'Y', 0, '319\r'),
	('SQ', 4435, 'WUH', 3376, 'SIN', 3316, 'Y', 0, '319 320\r'),
	('SQ', 4435, 'XMN', 3383, 'SIN', 3316, 'Y', 0, '320\r'),
	('SQ', 4435, 'ZRH', 1678, 'SIN', 3316, '', 0, '388\r'),
	('SS', 1908, 'ABJ', 253, 'ORY', 1386, '', 0, '333\r'),
	('SS', 1908, 'CAY', 2774, 'ORY', 1386, 'Y', 0, '333\r'),
	('SS', 1908, 'DKR', 1084, 'ORY', 1386, '', 0, '333 330\r'),
	('SS', 1908, 'DZA', 915, 'TNR', 918, '', 0, '330\r'),
	('SS', 1908, 'FDF', 2878, 'ORY', 1386, '', 0, '744 333\r'),
	('SS', 1908, 'FDF', 2878, 'PTP', 2881, 'Y', 0, 'ATR\r'),
	('SS', 1908, 'FDF', 2878, 'SLU', 2893, 'Y', 0, 'ATR\r'),
	('SS', 1908, 'MRU', 893, 'ORY', 1386, '', 0, '744\r'),
	('SS', 1908, 'MRU', 893, 'RUN', 916, '', 0, '744\r'),
	('SS', 1908, 'ORY', 1386, 'ABJ', 253, '', 0, '333\r'),
	('SS', 1908, 'ORY', 1386, 'CAY', 2774, 'Y', 0, '333\r'),
	('SS', 1908, 'ORY', 1386, 'DKR', 1084, '', 0, '333 330\r'),
	('SS', 1908, 'ORY', 1386, 'DZA', 915, '', 0, '330 333\r'),
	('SS', 1908, 'ORY', 1386, 'FDF', 2878, '', 0, '744 333\r'),
	('SS', 1908, 'ORY', 1386, 'PTP', 2881, '', 0, '333 744\r'),
	('SS', 1908, 'ORY', 1386, 'RUN', 916, '', 0, '744\r'),
	('SS', 1908, 'ORY', 1386, 'SXM', 2899, 'Y', 0, '332\r'),
	('SS', 1908, 'ORY', 1386, 'YUL', 146, '', 0, '333\r'),
	('SS', 1908, 'PTP', 2881, 'FDF', 2878, '', 0, 'ATR\r'),
	('SS', 1908, 'PTP', 2881, 'ORY', 1386, '', 0, '333 744\r'),
	('SS', 1908, 'PTP', 2881, 'SBH', 6460, 'Y', 0, 'ATR\r'),
	('SS', 1908, 'PTP', 2881, 'SFG', 2879, 'Y', 0, 'ATR\r'),
	('SS', 1908, 'RUN', 916, 'MRU', 893, '', 0, '744\r'),
	('SS', 1908, 'RUN', 916, 'ORY', 1386, '', 0, '744\r'),
	('SS', 1908, 'SBH', 6460, 'PTP', 2881, 'Y', 0, 'ATR\r'),
	('SS', 1908, 'SFG', 2879, 'PTP', 2881, 'Y', 0, 'ATR\r'),
	('SS', 1908, 'SLU', 2893, 'FDF', 2878, 'Y', 0, 'ATR\r'),
	('SS', 1908, 'SXM', 2899, 'ORY', 1386, 'Y', 0, '332\r'),
	('SS', 1908, 'TNR', 918, 'ORY', 1386, '', 0, '330\r'),
	('SS', 1908, 'YUL', 146, 'ORY', 1386, '', 0, '333\r'),
	('ST', 2547, 'ACE', 1055, 'BRE', 353, '', 0, '319\r'),
	('ST', 2547, 'AGB', 374, 'MRS', 1353, '', 0, 'FRJ\r'),
	('ST', 2547, 'ARN', 737, 'EBL', 3989, '', 0, '73G\r'),
	('ST', 2547, 'ARN', 737, 'ISU', 5952, '', 0, '73G\r'),
	('ST', 2547, 'AYT', 1688, 'BRE', 353, '', 0, '319 321\r'),
	('ST', 2547, 'AYT', 1688, 'DRS', 338, '', 0, '321\r'),
	('ST', 2547, 'AYT', 1688, 'ERF', 339, '', 0, '73G\r'),
	('ST', 2547, 'AYT', 1688, 'FDH', 382, '', 0, '73G\r'),
	('ST', 2547, 'AYT', 1688, 'FRA', 340, '', 0, '321\r'),
	('ST', 2547, 'AYT', 1688, 'KSF', 400, '', 0, '319\r'),
	('ST', 2547, 'AYT', 1688, 'LEJ', 348, '', 0, '321\r'),
	('ST', 2547, 'AYT', 1688, 'RLG', 772, '', 0, '73G\r'),
	('ST', 2547, 'AYT', 1688, 'SXF', 337, '', 0, '73G\r'),
	('ST', 2547, 'AYT', 1688, 'TXL', 351, '', 0, '321\r'),
	('ST', 2547, 'BEY', 2177, 'SXF', 337, '', 0, '73G\r'),
	('ST', 2547, 'BRE', 353, 'ACE', 1055, '', 0, '319\r'),
	('ST', 2547, 'BRE', 353, 'AYT', 1688, '', 0, '319 321\r'),
	('ST', 2547, 'BRE', 353, 'FNC', 4091, '', 0, '319\r'),
	('ST', 2547, 'BRE', 353, 'FUE', 1051, '', 0, '321\r'),
	('ST', 2547, 'BRE', 353, 'IBZ', 1225, '', 0, '319\r'),
	('ST', 2547, 'BRE', 353, 'LEJ', 348, '', 0, '319\r'),
	('ST', 2547, 'BRE', 353, 'LPA', 1054, '', 0, '319\r'),
	('ST', 2547, 'BRE', 353, 'NBE', 7447, '', 0, '319\r'),
	('ST', 2547, 'BRE', 353, 'PMI', 3998, '', 0, '321\r'),
	('ST', 2547, 'BRE', 353, 'TFS', 1056, '', 0, '319\r'),
	('ST', 2547, 'BRE', 353, 'VIE', 1613, '', 0, '319\r'),
	('ST', 2547, 'BRS', 490, 'CEG', 519, '', 0, 'ER4\r'),
	('ST', 2547, 'BRS', 490, 'TLS', 1273, '', 0, 'ER4\r'),
	('ST', 2547, 'CEG', 519, 'BRS', 490, '', 0, 'ER4\r'),
	('ST', 2547, 'CEG', 519, 'TLS', 1273, '', 0, 'ER4\r'),
	('ST', 2547, 'DME', 4029, 'FKB', 4166, '', 0, '73G\r'),
	('ST', 2547, 'DME', 4029, 'LEJ', 348, '', 0, '319\r'),
	('ST', 2547, 'DRS', 338, 'AYT', 1688, '', 0, '321\r'),
	('ST', 2547, 'DTM', 373, 'ONQ', 7821, '', 0, '73G\r'),
	('ST', 2547, 'DUS', 345, 'EBL', 3989, '', 0, '73G\r'),
	('ST', 2547, 'DUS', 345, 'HER', 1452, '', 0, '73G\r'),
	('ST', 2547, 'DUS', 345, 'ISU', 5952, '', 0, '73G\r'),
	('ST', 2547, 'DUS', 345, 'ONQ', 7821, '', 0, '73G\r'),
	('ST', 2547, 'DUS', 345, 'RHO', 1472, '', 0, '321\r'),
	('ST', 2547, 'EBL', 3989, 'ARN', 737, '', 0, '73G\r'),
	('ST', 2547, 'EBL', 3989, 'DUS', 345, '', 0, '73G\r'),
	('ST', 2547, 'EBL', 3989, 'MUC', 346, '', 0, '73G\r'),
	('ST', 2547, 'ERF', 339, 'AYT', 1688, '', 0, '73G\r'),
	('ST', 2547, 'ERF', 339, 'FUE', 1051, '', 0, '73G\r'),
	('ST', 2547, 'ERF', 339, 'LGW', 502, '', 0, '319\r'),
	('ST', 2547, 'ERF', 339, 'LPA', 1054, '', 0, '73G\r'),
	('ST', 2547, 'ERF', 339, 'PMI', 3998, '', 0, '73G\r'),
	('ST', 2547, 'ERF', 339, 'TFS', 1056, '', 0, '73G\r'),
	('ST', 2547, 'FDH', 382, 'AYT', 1688, '', 0, '73G\r'),
	('ST', 2547, 'FDH', 382, 'PMI', 3998, '', 0, '73G\r'),
	('ST', 2547, 'FKB', 4166, 'DME', 4029, '', 0, '73G\r'),
	('ST', 2547, 'FNC', 4091, 'BRE', 353, '', 0, '319\r'),
	('ST', 2547, 'FRA', 340, 'AYT', 1688, '', 0, '321\r'),
	('ST', 2547, 'FUE', 1051, 'BRE', 353, '', 0, '321\r'),
	('ST', 2547, 'FUE', 1051, 'ERF', 339, '', 0, '73G\r'),
	('ST', 2547, 'HER', 1452, 'DUS', 345, '', 0, '73G\r'),
	('ST', 2547, 'IBZ', 1225, 'BRE', 353, '', 0, '319\r'),
	('ST', 2547, 'ISU', 5952, 'ARN', 737, '', 0, '73G\r'),
	('ST', 2547, 'ISU', 5952, 'DUS', 345, '', 0, '73G\r'),
	('ST', 2547, 'ISU', 5952, 'MUC', 346, '', 0, '73G\r'),
	('ST', 2547, 'KSF', 400, 'AYT', 1688, '', 0, '319\r'),
	('ST', 2547, 'KSF', 400, 'PMI', 3998, '', 0, '321\r'),
	('ST', 2547, 'LEJ', 348, 'AYT', 1688, '', 0, '321\r'),
	('ST', 2547, 'LEJ', 348, 'BRE', 353, '', 0, '319\r'),
	('ST', 2547, 'LEJ', 348, 'DME', 4029, '', 0, '319\r'),
	('ST', 2547, 'LGW', 502, 'ERF', 339, '', 0, '319\r'),
	('ST', 2547, 'LGW', 502, 'PRN', 1742, '', 0, '73G\r'),
	('ST', 2547, 'LPA', 1054, 'BRE', 353, '', 0, '319\r'),
	('ST', 2547, 'LPA', 1054, 'ERF', 339, '', 0, '73G\r'),
	('ST', 2547, 'MRS', 1353, 'AGB', 374, '', 0, 'FRJ\r'),
	('ST', 2547, 'MUC', 346, 'EBL', 3989, '', 0, '73G\r'),
	('ST', 2547, 'MUC', 346, 'ISU', 5952, '', 0, '73G\r'),
	('ST', 2547, 'NBE', 7447, 'BRE', 353, '', 0, '319\r'),
	('ST', 2547, 'ONQ', 7821, 'DTM', 373, '', 0, '73G\r'),
	('ST', 2547, 'ONQ', 7821, 'DUS', 345, '', 0, '73G\r'),
	('ST', 2547, 'PMI', 3998, 'BRE', 353, '', 0, '321\r'),
	('ST', 2547, 'PMI', 3998, 'ERF', 339, '', 0, '73G\r'),
	('ST', 2547, 'PMI', 3998, 'FDH', 382, '', 0, '73G\r'),
	('ST', 2547, 'PMI', 3998, 'KSF', 400, '', 0, '321\r'),
	('ST', 2547, 'PMI', 3998, 'RLG', 772, '', 0, '73G\r'),
	('ST', 2547, 'PRN', 1742, 'LGW', 502, '', 0, '73G\r'),
	('ST', 2547, 'RHO', 1472, 'DUS', 345, '', 0, '321\r'),
	('ST', 2547, 'RLG', 772, 'AYT', 1688, '', 0, '73G\r'),
	('ST', 2547, 'RLG', 772, 'PMI', 3998, '', 0, '73G\r'),
	('ST', 2547, 'SKP', 1737, 'SXF', 337, '', 0, '73G\r'),
	('ST', 2547, 'SXF', 337, 'AYT', 1688, '', 0, '73G\r'),
	('ST', 2547, 'SXF', 337, 'BEY', 2177, '', 0, '73G\r'),
	('ST', 2547, 'SXF', 337, 'SKP', 1737, '', 0, '73G\r'),
	('ST', 2547, 'TFS', 1056, 'BRE', 353, '', 0, '319\r'),
	('ST', 2547, 'TFS', 1056, 'ERF', 339, '', 0, '73G\r'),
	('ST', 2547, 'TLS', 1273, 'BRS', 490, '', 0, 'ER4\r'),
	('ST', 2547, 'TLS', 1273, 'CEG', 519, '', 0, 'ER4\r'),
	('ST', 2547, 'TLS', 1273, 'XFW', 362, '', 0, '319\r'),
	('ST', 2547, 'TXL', 351, 'AYT', 1688, '', 0, '321\r'),
	('ST', 2547, 'VIE', 1613, 'BRE', 353, '', 0, '319\r'),
	('ST', 2547, 'XFW', 362, 'TLS', 1273, '', 0, '319\r'),
	('SU', 130, 'AAQ', 4353, 'LED', 2948, '', 0, '320 319\r'),
	('SU', 130, 'AAQ', 4353, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'ABA', 2955, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'AER', 2965, 'EVN', 3964, '', 0, '319\r'),
	('SU', 130, 'AER', 2965, 'IST', 1701, '', 0, '319\r'),
	('SU', 130, 'AER', 2965, 'KRR', 2960, '', 0, '319\r'),
	('SU', 130, 'AER', 2965, 'LED', 2948, '', 0, '319 320\r'),
	('SU', 130, 'AER', 2965, 'OMS', 2958, '', 0, '319\r'),
	('SU', 130, 'AER', 2965, 'SVO', 2985, '', 0, '321 738 320\r'),
	('SU', 130, 'AER', 2965, 'SVX', 2975, '', 0, '319\r'),
	('SU', 130, 'AER', 2965, 'TAS', 2983, '', 0, '319\r'),
	('SU', 130, 'AGP', 1230, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'ALA', 2908, 'LED', 2948, '', 0, '320 319\r'),
	('SU', 130, 'ALG', 210, 'CDG', 1382, 'Y', 0, '319\r'),
	('SU', 130, 'AMS', 580, 'LED', 2948, 'Y', 0, '737\r'),
	('SU', 130, 'AMS', 580, 'SVO', 2985, '', 0, '321 320\r'),
	('SU', 130, 'ARH', 4362, 'LED', 2948, '', 0, 'A81 319\r'),
	('SU', 130, 'ARH', 4362, 'SVO', 2985, 'Y', 0, '735\r'),
	('SU', 130, 'ARN', 737, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'ARN', 737, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'ASF', 2966, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'ATH', 3941, 'SVO', 2985, '', 0, '320 321\r'),
	('SU', 130, 'ATL', 3682, 'JFK', 3797, 'Y', 0, '319 752 738 M88 73H\r'),
	('SU', 130, 'AYT', 1688, 'LED', 2948, '', 0, '763\r'),
	('SU', 130, 'AYT', 1688, 'ROV', 2964, '', 0, '319\r'),
	('SU', 130, 'AYT', 1688, 'SVO', 2985, '', 0, '321 320\r'),
	('SU', 130, 'BAX', 2956, 'SVO', 2985, '', 0, '321 320\r'),
	('SU', 130, 'BCN', 1218, 'LED', 2948, '', 0, '763 320\r'),
	('SU', 130, 'BCN', 1218, 'SVO', 2985, '', 0, '321\r'),
	('SU', 130, 'BEG', 1739, 'SVO', 2985, '', 0, '320 321 733 738 319\r'),
	('SU', 130, 'BEY', 2177, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'BHK', 2980, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'BKK', 3885, 'SVO', 2985, '', 0, '333\r'),
	('SU', 130, 'BLQ', 1538, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'BOJ', 1191, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'BRU', 302, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'BUD', 1489, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'CAI', 1128, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'CAN', 3370, 'SVO', 2985, '', 0, '333 332\r'),
	('SU', 130, 'CAN', 3370, 'URC', 3399, 'Y', 0, '737\r'),
	('SU', 130, 'CDG', 1382, 'ALG', 210, 'Y', 0, '319\r'),
	('SU', 130, 'CDG', 1382, 'CMN', 1074, 'Y', 0, '320 319\r'),
	('SU', 130, 'CDG', 1382, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'CDG', 1382, 'LYS', 1335, 'Y', 0, '320 319\r'),
	('SU', 130, 'CDG', 1382, 'SVO', 2985, '', 0, '320 321\r'),
	('SU', 130, 'CDG', 1382, 'TLS', 1273, 'Y', 0, '319 320\r'),
	('SU', 130, 'CEK', 2968, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'CEK', 2968, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'CMN', 1074, 'CDG', 1382, 'Y', 0, '320 319\r'),
	('SU', 130, 'CMN', 1074, 'SVO', 2985, '', 0, '738\r'),
	('SU', 130, 'CPH', 609, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'DEL', 3093, 'SVO', 2985, '', 0, '332 333\r'),
	('SU', 130, 'DME', 4029, 'LED', 2948, '', 0, '319 320\r'),
	('SU', 130, 'DME', 4029, 'NCE', 1354, '', 0, '320\r'),
	('SU', 130, 'DNK', 2941, 'SVO', 2985, '', 0, 'SU9\r'),
	('SU', 130, 'DOK', 2940, 'SVO', 2985, '', 0, '320 SU9 319\r'),
	('SU', 130, 'DRS', 338, 'SVO', 2985, '', 0, 'SU9\r'),
	('SU', 130, 'DUS', 345, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'DUS', 345, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'DXB', 2188, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'DYU', 2979, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'EVN', 3964, 'AER', 2965, '', 0, '319\r'),
	('SU', 130, 'EVN', 3964, 'KRR', 2960, '', 0, '319\r'),
	('SU', 130, 'EVN', 3964, 'LED', 2948, '', 0, '319 320\r'),
	('SU', 130, 'EVN', 3964, 'MRV', 2962, '', 0, '319\r'),
	('SU', 130, 'EVN', 3964, 'ROV', 2964, '', 0, '319\r'),
	('SU', 130, 'EVN', 3964, 'SVO', 2985, '', 0, '321 738 320\r'),
	('SU', 130, 'FCO', 1555, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'FCO', 1555, 'SVO', 2985, '', 0, '321 320\r'),
	('SU', 130, 'FRA', 340, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'FRA', 340, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'FRU', 2912, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'FRU', 2912, 'SVO', 2985, '', 0, '321 319\r'),
	('SU', 130, 'GDX', 2930, 'KHV', 2927, '', 0, '319\r'),
	('SU', 130, 'GDZ', 7041, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'GOJ', 4274, 'SVO', 2985, '', 0, '320 SU9\r'),
	('SU', 130, 'GVA', 1665, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'GYD', 2922, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'GYD', 2922, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'HAJ', 352, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'HAM', 342, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'HAM', 342, 'SVO', 2985, '', 0, '738 321\r'),
	('SU', 130, 'HAN', 3199, 'SVO', 2985, '', 0, '333\r'),
	('SU', 130, 'HAV', 1909, 'SVO', 2985, '', 0, '332\r'),
	('SU', 130, 'HEL', 421, 'SVO', 2985, '', 0, '319\r'),
	('SU', 130, 'HER', 1452, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'HER', 1452, 'SVO', 2985, '', 0, '321\r'),
	('SU', 130, 'HKG', 3077, 'SVO', 2985, '', 0, '77W\r'),
	('SU', 130, 'HRB', 3400, 'KHV', 2927, '', 0, '319\r'),
	('SU', 130, 'HRB', 3400, 'UUS', 2933, '', 0, '737\r'),
	('SU', 130, 'HRK', 6105, 'SVO', 2985, '', 0, 'SU9 319\r'),
	('SU', 130, 'HTA', 2935, 'SVO', 2985, '', 0, '738\r'),
	('SU', 130, 'IAD', 3714, 'SVO', 2985, '', 0, '763\r'),
	('SU', 130, 'ICN', 3930, 'KHV', 2927, '', 0, '319\r'),
	('SU', 130, 'ICN', 3930, 'SVO', 2985, '', 0, '333\r'),
	('SU', 130, 'ICN', 3930, 'UUS', 2933, '', 0, '737\r'),
	('SU', 130, 'ICN', 3930, 'VVO', 2934, '', 0, '319 737\r'),
	('SU', 130, 'IKA', 4330, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'IKT', 2937, 'KHV', 2927, '', 0, '319\r'),
	('SU', 130, 'IKT', 2937, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'IST', 1701, 'AER', 2965, '', 0, '319\r'),
	('SU', 130, 'IST', 1701, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'IST', 1701, 'ROV', 2964, '', 0, '319\r'),
	('SU', 130, 'IST', 1701, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'JFK', 3797, 'ATL', 3682, 'Y', 0, '752 319 738 757 M88\r'),
	('SU', 130, 'JFK', 3797, 'SVO', 2985, '', 0, '333 77W\r'),
	('SU', 130, 'KBP', 2939, 'LED', 2948, '', 0, 'A81\r'),
	('SU', 130, 'KBP', 2939, 'SVO', 2985, '', 0, '321 320\r'),
	('SU', 130, 'KEJ', 2957, 'SVO', 2985, '', 0, '321\r'),
	('SU', 130, 'KGD', 2952, 'LED', 2948, '', 0, '319 320\r'),
	('SU', 130, 'KGD', 2952, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'KGF', 4375, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'KGF', 4375, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'KHV', 2927, 'GDX', 2930, '', 0, '319\r'),
	('SU', 130, 'KHV', 2927, 'HRB', 3400, '', 0, '319\r'),
	('SU', 130, 'KHV', 2927, 'ICN', 3930, '', 0, '319\r'),
	('SU', 130, 'KHV', 2927, 'IKT', 2937, '', 0, '319\r'),
	('SU', 130, 'KHV', 2927, 'KJA', 4374, '', 0, '319\r'),
	('SU', 130, 'KHV', 2927, 'OVB', 4078, '', 0, '319\r'),
	('SU', 130, 'KHV', 2927, 'PEK', 3364, '', 0, '737 319\r'),
	('SU', 130, 'KHV', 2927, 'PKC', 2932, '', 0, '737 319\r'),
	('SU', 130, 'KHV', 2927, 'SVO', 2985, '', 0, '332 333\r'),
	('SU', 130, 'KHV', 2927, 'UUS', 2933, '', 0, '319 737\r'),
	('SU', 130, 'KHV', 2927, 'VVO', 2934, '', 0, '319 737\r'),
	('SU', 130, 'KJA', 4374, 'KHV', 2927, '', 0, '319\r'),
	('SU', 130, 'KJA', 4374, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'KJA', 4374, 'SVO', 2985, '', 0, '321 77W\r'),
	('SU', 130, 'KLV', 1579, 'LED', 2948, 'Y', 0, '320\r'),
	('SU', 130, 'KLV', 1579, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'KRK', 669, 'SVO', 2985, '', 0, 'SU9\r'),
	('SU', 130, 'KRR', 2960, 'AER', 2965, '', 0, '319\r'),
	('SU', 130, 'KRR', 2960, 'EVN', 3964, '', 0, '319\r'),
	('SU', 130, 'KRR', 2960, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'KRR', 2960, 'SVO', 2985, '', 0, '319 320 738\r'),
	('SU', 130, 'KRR', 2960, 'SVX', 2975, '', 0, '319\r'),
	('SU', 130, 'KSQ', 6153, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'KUF', 4118, 'LED', 2948, '', 0, '319 A81\r'),
	('SU', 130, 'KUF', 4118, 'SVO', 2985, '', 0, '321 319 320\r'),
	('SU', 130, 'KZN', 2990, 'LED', 2948, '', 0, 'A81\r'),
	('SU', 130, 'KZN', 2990, 'SVO', 2985, '', 0, '319 320 SU9 321\r'),
	('SU', 130, 'LAX', 3484, 'SVO', 2985, '', 0, '332\r'),
	('SU', 130, 'LBD', 6147, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'LBD', 6147, 'ROV', 2964, '', 0, '319\r'),
	('SU', 130, 'LCA', 1197, 'LED', 2948, '', 0, '763\r'),
	('SU', 130, 'LCA', 1197, 'SVO', 2985, '', 0, '321 320\r'),
	('SU', 130, 'LED', 2948, 'AAQ', 4353, '', 0, '320 319\r'),
	('SU', 130, 'LED', 2948, 'AER', 2965, '', 0, '320 319\r'),
	('SU', 130, 'LED', 2948, 'ALA', 2908, '', 0, '320 319\r'),
	('SU', 130, 'LED', 2948, 'AMS', 580, 'Y', 0, '737\r'),
	('SU', 130, 'LED', 2948, 'ARH', 4362, '', 0, 'A81 319\r'),
	('SU', 130, 'LED', 2948, 'ARN', 737, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'AYT', 1688, '', 0, '763\r'),
	('SU', 130, 'LED', 2948, 'BCN', 1218, '', 0, '763 320\r'),
	('SU', 130, 'LED', 2948, 'BHK', 2980, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'BOJ', 1191, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'CDG', 1382, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'CEK', 2968, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'DME', 4029, '', 0, '320 319\r'),
	('SU', 130, 'LED', 2948, 'DUS', 345, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'DYU', 2979, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'EVN', 3964, '', 0, '319 320\r'),
	('SU', 130, 'LED', 2948, 'FCO', 1555, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'FRA', 340, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'FRU', 2912, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'GYD', 2922, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'HAM', 342, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'HER', 1452, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'IST', 1701, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'KBP', 2939, '', 0, 'A81\r'),
	('SU', 130, 'LED', 2948, 'KGD', 2952, '', 0, '319 320\r'),
	('SU', 130, 'LED', 2948, 'KGF', 4375, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'KJA', 4374, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'KLV', 1579, 'Y', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'KRR', 2960, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'KSQ', 6153, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'KUF', 4118, '', 0, '319 A81\r'),
	('SU', 130, 'LED', 2948, 'KZN', 2990, '', 0, 'A81\r'),
	('SU', 130, 'LED', 2948, 'LBD', 6147, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'LCA', 1197, '', 0, '763\r'),
	('SU', 130, 'LED', 2948, 'MMK', 2949, '', 0, '319 A81\r'),
	('SU', 130, 'LED', 2948, 'MRV', 2962, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'MUC', 346, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'MXP', 1524, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'NCE', 1354, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'NMA', 6150, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'NVI', 6485, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'OMS', 2958, '', 0, 'A81\r'),
	('SU', 130, 'LED', 2948, 'OSS', 2913, '', 0, '320\r'),
	('SU', 130, 'LED', 2948, 'OVB', 4078, '', 0, '320 763\r'),
	('SU', 130, 'LED', 2948, 'PEE', 2973, '', 0, '319 A81\r'),
	('SU', 130, 'LED', 2948, 'PRG', 1587, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'RHO', 1472, '', 0, '763\r'),
	('SU', 130, 'LED', 2948, 'ROV', 2964, '', 0, 'A81 319\r'),
	('SU', 130, 'LED', 2948, 'SCW', 2989, '', 0, 'A81\r'),
	('SU', 130, 'LED', 2948, 'SIP', 2942, '', 0, '320 319\r'),
	('SU', 130, 'LED', 2948, 'SKD', 2981, '', 0, '763 320\r'),
	('SU', 130, 'LED', 2948, 'SVO', 2985, '', 0, '321 320 738\r'),
	('SU', 130, 'LED', 2948, 'SVX', 2975, '', 0, '320 319\r'),
	('SU', 130, 'LED', 2948, 'SXF', 337, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'TAS', 2983, '', 0, '763 320\r'),
	('SU', 130, 'LED', 2948, 'TFS', 1056, '', 0, '763\r'),
	('SU', 130, 'LED', 2948, 'TJM', 4111, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'TLV', 1590, '', 0, '763 320\r'),
	('SU', 130, 'LED', 2948, 'TSE', 2910, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'UFA', 2992, '', 0, '319 A81\r'),
	('SU', 130, 'LED', 2948, 'UGC', 6152, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'VIE', 1613, '', 0, '319\r'),
	('SU', 130, 'LED', 2948, 'VKO', 2988, '', 0, '319\r'),
	('SU', 130, 'LHR', 507, 'SVO', 2985, '', 0, '320 333 321\r'),
	('SU', 130, 'LJU', 1569, 'SVO', 2985, '', 0, 'CR2\r'),
	('SU', 130, 'MAD', 1229, 'SVO', 2985, '', 0, '321 320\r'),
	('SU', 130, 'MIA', 3576, 'SVO', 2985, '', 0, '332\r'),
	('SU', 130, 'MLA', 1606, 'SVO', 2985, '', 0, '319\r'),
	('SU', 130, 'MLE', 3156, 'SVO', 2985, '', 0, '333\r'),
	('SU', 130, 'MMK', 2949, 'LED', 2948, '', 0, '319 A81\r'),
	('SU', 130, 'MMK', 2949, 'SVO', 2985, 'Y', 0, '735\r'),
	('SU', 130, 'MQF', 2969, 'SVO', 2985, '', 0, 'SU9\r'),
	('SU', 130, 'MRS', 1353, 'CDG', 1382, 'Y', 0, '319 321\r'),
	('SU', 130, 'MRV', 2962, 'EVN', 3964, '', 0, '319\r'),
	('SU', 130, 'MRV', 2962, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'MRV', 2962, 'SVO', 2985, '', 0, '319 321 320\r'),
	('SU', 130, 'MRV', 2962, 'SVX', 2975, '', 0, '319\r'),
	('SU', 130, 'MRV', 2962, 'TAS', 2983, '', 0, '319\r'),
	('SU', 130, 'MSQ', 2954, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'MUC', 346, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'MUC', 346, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'MXP', 1524, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'MXP', 1524, 'SVO', 2985, '', 0, '320 321\r'),
	('SU', 130, 'NBC', 6969, 'SVO', 2985, '', 0, '320 SU9 319\r'),
	('SU', 130, 'NCE', 1354, 'DME', 4029, '', 0, '320\r'),
	('SU', 130, 'NCE', 1354, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'NCE', 1354, 'SVO', 2985, '', 0, '321 320\r'),
	('SU', 130, 'NJC', 2972, 'SVO', 2985, '', 0, '321 319 320\r'),
	('SU', 130, 'NMA', 6150, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'NOZ', 6119, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'NRT', 2279, 'SVO', 2985, '', 0, '333\r'),
	('SU', 130, 'NUX', 4364, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'NVI', 6485, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'ODS', 2947, 'SVO', 2985, '', 0, '319 320 SU9\r'),
	('SU', 130, 'OMS', 2958, 'AER', 2965, '', 0, '319\r'),
	('SU', 130, 'OMS', 2958, 'LED', 2948, '', 0, 'A81\r'),
	('SU', 130, 'OMS', 2958, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'OSL', 644, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'OSS', 2913, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'OTP', 1657, 'SVO', 2985, '', 0, '737 SU9\r'),
	('SU', 130, 'OVB', 4078, 'KHV', 2927, '', 0, '319\r'),
	('SU', 130, 'OVB', 4078, 'LED', 2948, '', 0, '320\r'),
	('SU', 130, 'OVB', 4078, 'SVO', 2985, '', 0, '321 738\r'),
	('SU', 130, 'OVB', 4078, 'VVO', 2934, '', 0, '319\r'),
	('SU', 130, 'PEE', 2973, 'LED', 2948, '', 0, '319 A81\r'),
	('SU', 130, 'PEE', 2973, 'SVO', 2985, '', 0, 'SU9 320\r'),
	('SU', 130, 'PEK', 3364, 'KHV', 2927, '', 0, '737\r'),
	('SU', 130, 'PEK', 3364, 'SVO', 2985, '', 0, '333 77W\r'),
	('SU', 130, 'PKC', 2932, 'KHV', 2927, '', 0, '737 319\r'),
	('SU', 130, 'PKC', 2932, 'SVO', 2985, '', 0, '77W\r'),
	('SU', 130, 'PKC', 2932, 'VVO', 2934, '', 0, '319\r'),
	('SU', 130, 'PRG', 1587, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'PRG', 1587, 'SVO', 2985, '', 0, '320 321\r'),
	('SU', 130, 'PUJ', 1760, 'SVO', 2985, '', 0, '332\r'),
	('SU', 130, 'PUS', 2372, 'VVO', 2934, '', 0, '319\r'),
	('SU', 130, 'PVG', 3406, 'SVO', 2985, '', 0, '333 77W 767\r'),
	('SU', 130, 'REN', 2991, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'RHO', 1472, 'LED', 2948, '', 0, '763\r'),
	('SU', 130, 'RIX', 3953, 'SVO', 2985, '', 0, '320 321\r'),
	('SU', 130, 'ROV', 2964, 'AYT', 1688, '', 0, '319\r'),
	('SU', 130, 'ROV', 2964, 'EVN', 3964, '', 0, '319\r'),
	('SU', 130, 'ROV', 2964, 'IST', 1701, '', 0, '319\r'),
	('SU', 130, 'ROV', 2964, 'LBD', 6147, '', 0, '319\r'),
	('SU', 130, 'ROV', 2964, 'LED', 2948, '', 0, 'A81 319\r'),
	('SU', 130, 'ROV', 2964, 'SIP', 2942, '', 0, '319\r'),
	('SU', 130, 'ROV', 2964, 'SVO', 2985, '', 0, '319 734\r'),
	('SU', 130, 'ROV', 2964, 'SVX', 2975, '', 0, '319\r'),
	('SU', 130, 'ROV', 2964, 'TAS', 2983, '', 0, '319\r'),
	('SU', 130, 'ROV', 2964, 'TLV', 1590, '', 0, '319\r'),
	('SU', 130, 'SCW', 2989, 'LED', 2948, '', 0, 'A81\r'),
	('SU', 130, 'SCW', 2989, 'SVO', 2985, 'Y', 0, '735\r'),
	('SU', 130, 'SGC', 2974, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'SGN', 3205, 'SVO', 2985, '', 0, '333\r'),
	('SU', 130, 'SIP', 2942, 'LED', 2948, '', 0, '320 319\r'),
	('SU', 130, 'SIP', 2942, 'ROV', 2964, '', 0, '319\r'),
	('SU', 130, 'SIP', 2942, 'SVO', 2985, '', 0, '320 321\r'),
	('SU', 130, 'SKD', 2981, 'LED', 2948, '', 0, '763 320\r'),
	('SU', 130, 'SKG', 1486, 'SVO', 2985, '', 0, '321\r'),
	('SU', 130, 'SOF', 1194, 'SVO', 2985, '', 0, '319\r'),
	('SU', 130, 'STR', 350, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'STW', 2963, 'SVO', 2985, '', 0, '319\r'),
	('SU', 130, 'SVO', 2985, 'AAQ', 4353, '', 0, '320 319\r'),
	('SU', 130, 'SVO', 2985, 'ABA', 2955, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'AER', 2965, '', 0, '321 738 320\r'),
	('SU', 130, 'SVO', 2985, 'AGP', 1230, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'AMS', 580, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'ARH', 4362, 'Y', 0, '735\r'),
	('SU', 130, 'SVO', 2985, 'ARN', 737, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'ASF', 2966, '', 0, '319 320\r'),
	('SU', 130, 'SVO', 2985, 'ATH', 3941, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'AYT', 1688, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'BAX', 2956, '', 0, '320 321\r'),
	('SU', 130, 'SVO', 2985, 'BCN', 1218, '', 0, '321\r'),
	('SU', 130, 'SVO', 2985, 'BEG', 1739, '', 0, '319 321 320 733 738\r'),
	('SU', 130, 'SVO', 2985, 'BEY', 2177, '', 0, '319 320\r'),
	('SU', 130, 'SVO', 2985, 'BKK', 3885, '', 0, '333\r'),
	('SU', 130, 'SVO', 2985, 'BLQ', 1538, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'BRU', 302, '', 0, '320 319\r'),
	('SU', 130, 'SVO', 2985, 'BUD', 1489, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'CAI', 1128, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'CAN', 3370, '', 0, '333 332\r'),
	('SU', 130, 'SVO', 2985, 'CDG', 1382, '', 0, '320 321\r'),
	('SU', 130, 'SVO', 2985, 'CEK', 2968, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'CMN', 1074, '', 0, '738\r'),
	('SU', 130, 'SVO', 2985, 'CPH', 609, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'DEL', 3093, '', 0, '332 333\r'),
	('SU', 130, 'SVO', 2985, 'DNK', 2941, '', 0, 'SU9\r'),
	('SU', 130, 'SVO', 2985, 'DOK', 2940, '', 0, 'SU9 320 319\r'),
	('SU', 130, 'SVO', 2985, 'DRS', 338, '', 0, 'SU9\r'),
	('SU', 130, 'SVO', 2985, 'DUS', 345, '', 0, '320 319\r'),
	('SU', 130, 'SVO', 2985, 'DXB', 2188, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'EVN', 3964, '', 0, '321 738 320\r'),
	('SU', 130, 'SVO', 2985, 'FCO', 1555, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'FRA', 340, '', 0, '320 319\r'),
	('SU', 130, 'SVO', 2985, 'FRU', 2912, '', 0, '319 321\r'),
	('SU', 130, 'SVO', 2985, 'GDZ', 7041, '', 0, '320 319\r'),
	('SU', 130, 'SVO', 2985, 'GOJ', 4274, '', 0, 'SU9 320\r'),
	('SU', 130, 'SVO', 2985, 'GVA', 1665, '', 0, '320 319\r'),
	('SU', 130, 'SVO', 2985, 'GYD', 2922, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'HAJ', 352, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'HAM', 342, '', 0, '738 321\r'),
	('SU', 130, 'SVO', 2985, 'HAN', 3199, '', 0, '333\r'),
	('SU', 130, 'SVO', 2985, 'HAV', 1909, '', 0, '332\r'),
	('SU', 130, 'SVO', 2985, 'HEL', 421, '', 0, '319\r'),
	('SU', 130, 'SVO', 2985, 'HER', 1452, '', 0, '321\r'),
	('SU', 130, 'SVO', 2985, 'HKG', 3077, '', 0, '77W\r'),
	('SU', 130, 'SVO', 2985, 'HRK', 6105, '', 0, 'SU9 319\r'),
	('SU', 130, 'SVO', 2985, 'HTA', 2935, '', 0, '738\r'),
	('SU', 130, 'SVO', 2985, 'IAD', 3714, '', 0, '763\r'),
	('SU', 130, 'SVO', 2985, 'ICN', 3930, '', 0, '333\r'),
	('SU', 130, 'SVO', 2985, 'IKA', 4330, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'IKT', 2937, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'IST', 1701, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'JFK', 3797, '', 0, '333 77W\r'),
	('SU', 130, 'SVO', 2985, 'KBP', 2939, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'KEJ', 2957, '', 0, '321\r'),
	('SU', 130, 'SVO', 2985, 'KGD', 2952, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'KGF', 4375, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'KHV', 2927, '', 0, '333 332\r'),
	('SU', 130, 'SVO', 2985, 'KJA', 4374, '', 0, '321 77W\r'),
	('SU', 130, 'SVO', 2985, 'KLV', 1579, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'KRK', 669, '', 0, 'SU9\r'),
	('SU', 130, 'SVO', 2985, 'KRR', 2960, '', 0, '319 320 738\r'),
	('SU', 130, 'SVO', 2985, 'KUF', 4118, '', 0, '319 320 321\r'),
	('SU', 130, 'SVO', 2985, 'KZN', 2990, '', 0, '320 319 SU9 321\r'),
	('SU', 130, 'SVO', 2985, 'LAX', 3484, '', 0, '332\r'),
	('SU', 130, 'SVO', 2985, 'LCA', 1197, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'LED', 2948, '', 0, '321 320 738\r'),
	('SU', 130, 'SVO', 2985, 'LHR', 507, '', 0, '320 333 321\r'),
	('SU', 130, 'SVO', 2985, 'LJU', 1569, '', 0, 'CR2\r'),
	('SU', 130, 'SVO', 2985, 'MAD', 1229, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'MIA', 3576, '', 0, '332\r'),
	('SU', 130, 'SVO', 2985, 'MLA', 1606, '', 0, '319\r'),
	('SU', 130, 'SVO', 2985, 'MLE', 3156, '', 0, '333\r'),
	('SU', 130, 'SVO', 2985, 'MMK', 2949, 'Y', 0, '735\r'),
	('SU', 130, 'SVO', 2985, 'MQF', 2969, '', 0, 'SU9\r'),
	('SU', 130, 'SVO', 2985, 'MRV', 2962, '', 0, '321 319 320\r'),
	('SU', 130, 'SVO', 2985, 'MSQ', 2954, '', 0, '320 319\r'),
	('SU', 130, 'SVO', 2985, 'MUC', 346, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'MXP', 1524, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'NBC', 6969, '', 0, '320 SU9 319\r'),
	('SU', 130, 'SVO', 2985, 'NCE', 1354, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'NJC', 2972, '', 0, '321 319 320\r'),
	('SU', 130, 'SVO', 2985, 'NOZ', 6119, '', 0, '319 320\r'),
	('SU', 130, 'SVO', 2985, 'NRT', 2279, '', 0, '333\r'),
	('SU', 130, 'SVO', 2985, 'NUX', 4364, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'ODS', 2947, '', 0, '320 SU9 319\r'),
	('SU', 130, 'SVO', 2985, 'OMS', 2958, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'OSL', 644, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'OTP', 1657, '', 0, 'SU9 737\r'),
	('SU', 130, 'SVO', 2985, 'OVB', 4078, '', 0, '321 738\r'),
	('SU', 130, 'SVO', 2985, 'PEE', 2973, '', 0, 'SU9 320\r'),
	('SU', 130, 'SVO', 2985, 'PEK', 3364, '', 0, '333 77W\r'),
	('SU', 130, 'SVO', 2985, 'PKC', 2932, '', 0, '77W\r'),
	('SU', 130, 'SVO', 2985, 'PRG', 1587, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'PUJ', 1760, '', 0, '332\r'),
	('SU', 130, 'SVO', 2985, 'PVG', 3406, '', 0, '333 767 77W\r'),
	('SU', 130, 'SVO', 2985, 'REN', 2991, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'RIX', 3953, '', 0, '320 321\r'),
	('SU', 130, 'SVO', 2985, 'ROV', 2964, '', 0, '319 734\r'),
	('SU', 130, 'SVO', 2985, 'SCW', 2989, 'Y', 0, '735\r'),
	('SU', 130, 'SVO', 2985, 'SGC', 2974, '', 0, '320 319\r'),
	('SU', 130, 'SVO', 2985, 'SGN', 3205, '', 0, '333\r'),
	('SU', 130, 'SVO', 2985, 'SIP', 2942, '', 0, '320 321\r'),
	('SU', 130, 'SVO', 2985, 'SKG', 1486, '', 0, '321\r'),
	('SU', 130, 'SVO', 2985, 'SOF', 1194, '', 0, '319\r'),
	('SU', 130, 'SVO', 2985, 'STR', 350, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'STW', 2963, '', 0, '319\r'),
	('SU', 130, 'SVO', 2985, 'SVX', 2975, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'SXF', 337, '', 0, '320 321 319 738\r'),
	('SU', 130, 'SVO', 2985, 'TAS', 2983, '', 0, '321\r'),
	('SU', 130, 'SVO', 2985, 'TFS', 1056, '', 0, '333\r'),
	('SU', 130, 'SVO', 2985, 'TJM', 4111, '', 0, '320 SU9\r'),
	('SU', 130, 'SVO', 2985, 'TLL', 415, '', 0, '320 319\r'),
	('SU', 130, 'SVO', 2985, 'TLV', 1590, '', 0, '333 332\r'),
	('SU', 130, 'SVO', 2985, 'TOF', 4297, '', 0, '738\r'),
	('SU', 130, 'SVO', 2985, 'TXL', 351, 'Y', 0, '737\r'),
	('SU', 130, 'SVO', 2985, 'UFA', 2992, '', 0, '320 319\r'),
	('SU', 130, 'SVO', 2985, 'ULN', 3380, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'URC', 3399, 'Y', 0, '737\r'),
	('SU', 130, 'SVO', 2985, 'UUD', 2938, '', 0, '319\r'),
	('SU', 130, 'SVO', 2985, 'UUS', 2933, '', 0, '332 333\r'),
	('SU', 130, 'SVO', 2985, 'VCE', 1551, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'VIE', 1613, '', 0, '321 320\r'),
	('SU', 130, 'SVO', 2985, 'VNO', 3959, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'VOG', 2967, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'VVO', 2934, '', 0, '77W 333\r'),
	('SU', 130, 'SVO', 2985, 'WAW', 679, '', 0, '320\r'),
	('SU', 130, 'SVO', 2985, 'YKS', 2923, '', 0, '738\r'),
	('SU', 130, 'SVO', 2985, 'YYZ', 193, '', 0, '763\r'),
	('SU', 130, 'SVO', 2985, 'ZAG', 1208, '', 0, '319\r'),
	('SU', 130, 'SVO', 2985, 'ZRH', 1678, '', 0, '320\r'),
	('SU', 130, 'SVX', 2975, 'AER', 2965, '', 0, '319\r'),
	('SU', 130, 'SVX', 2975, 'KRR', 2960, '', 0, '319\r'),
	('SU', 130, 'SVX', 2975, 'LED', 2948, '', 0, '320 319\r'),
	('SU', 130, 'SVX', 2975, 'MRV', 2962, '', 0, '319\r'),
	('SU', 130, 'SVX', 2975, 'ROV', 2964, '', 0, '319\r'),
	('SU', 130, 'SVX', 2975, 'SVO', 2985, '', 0, '321 320\r'),
	('SU', 130, 'SXF', 337, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'SXF', 337, 'SVO', 2985, '', 0, '320 321 319 738\r'),
	('SU', 130, 'TAS', 2983, 'AER', 2965, '', 0, '319\r'),
	('SU', 130, 'TAS', 2983, 'LED', 2948, '', 0, '763 320\r'),
	('SU', 130, 'TAS', 2983, 'MRV', 2962, '', 0, '319\r'),
	('SU', 130, 'TAS', 2983, 'ROV', 2964, '', 0, '319\r'),
	('SU', 130, 'TAS', 2983, 'SVO', 2985, '', 0, '321\r'),
	('SU', 130, 'TFS', 1056, 'LED', 2948, '', 0, '763\r'),
	('SU', 130, 'TFS', 1056, 'SVO', 2985, '', 0, '333\r'),
	('SU', 130, 'TJM', 4111, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'TJM', 4111, 'SVO', 2985, '', 0, '320 SU9\r'),
	('SU', 130, 'TLL', 415, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'TLV', 1590, 'LED', 2948, '', 0, '763 320\r'),
	('SU', 130, 'TLV', 1590, 'ROV', 2964, '', 0, '319\r'),
	('SU', 130, 'TLV', 1590, 'SVO', 2985, '', 0, '333 332\r'),
	('SU', 130, 'TOF', 4297, 'SVO', 2985, '', 0, '738\r'),
	('SU', 130, 'TSE', 2910, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'TXL', 351, 'SVO', 2985, 'Y', 0, '737\r'),
	('SU', 130, 'UFA', 2992, 'LED', 2948, '', 0, '319 A81\r'),
	('SU', 130, 'UFA', 2992, 'SVO', 2985, '', 0, '320 319\r'),
	('SU', 130, 'UGC', 6152, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'ULN', 3380, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'URC', 3399, 'CAN', 3370, 'Y', 0, '737\r'),
	('SU', 130, 'URC', 3399, 'SVO', 2985, 'Y', 0, '737\r'),
	('SU', 130, 'UUD', 2938, 'SVO', 2985, '', 0, '319\r'),
	('SU', 130, 'UUS', 2933, 'HRB', 3400, '', 0, '737\r'),
	('SU', 130, 'UUS', 2933, 'ICN', 3930, '', 0, '737\r'),
	('SU', 130, 'UUS', 2933, 'KHV', 2927, '', 0, '737 319\r'),
	('SU', 130, 'UUS', 2933, 'SVO', 2985, '', 0, '333 332\r'),
	('SU', 130, 'UUS', 2933, 'VVO', 2934, '', 0, '319 737\r'),
	('SU', 130, 'VCE', 1551, 'SVO', 2985, '', 0, '321 320\r'),
	('SU', 130, 'VIE', 1613, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'VIE', 1613, 'SVO', 2985, '', 0, '320 321\r'),
	('SU', 130, 'VKO', 2988, 'LED', 2948, '', 0, '319\r'),
	('SU', 130, 'VNO', 3959, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'VOG', 2967, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'VVO', 2934, 'ICN', 3930, '', 0, '319 737\r'),
	('SU', 130, 'VVO', 2934, 'KHV', 2927, '', 0, '319 737\r'),
	('SU', 130, 'VVO', 2934, 'OVB', 4078, '', 0, '319\r'),
	('SU', 130, 'VVO', 2934, 'PKC', 2932, '', 0, '319\r'),
	('SU', 130, 'VVO', 2934, 'PUS', 2372, '', 0, '319\r'),
	('SU', 130, 'VVO', 2934, 'SVO', 2985, '', 0, '77W 333\r'),
	('SU', 130, 'VVO', 2934, 'UUS', 2933, '', 0, '319 737\r'),
	('SU', 130, 'VVO', 2934, 'YKS', 2923, '', 0, '319\r'),
	('SU', 130, 'WAW', 679, 'SVO', 2985, '', 0, '320\r'),
	('SU', 130, 'YKS', 2923, 'SVO', 2985, '', 0, '738\r'),
	('SU', 130, 'YKS', 2923, 'VVO', 2934, '', 0, '319\r'),
	('SU', 130, 'YYZ', 193, 'SVO', 2985, '', 0, '763\r'),
	('SU', 130, 'ZAG', 1208, 'SVO', 2985, '', 0, '319\r'),
	('SU', 130, 'ZRH', 1678, 'SVO', 2985, '', 0, '320\r'),
	('SV', 4533, 'ABT', 2061, 'DMM', 2064, '', 0, '320\r'),
	('SV', 4533, 'ABT', 2061, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'ABT', 2061, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'ADD', 1107, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'ADD', 1107, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'ADE', 3977, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'AHB', 2059, 'CAI', 1128, '', 0, '320\r'),
	('SV', 4533, 'AHB', 2059, 'DMM', 2064, '', 0, '320\r'),
	('SV', 4533, 'AHB', 2059, 'JED', 2072, '', 0, '320 321\r'),
	('SV', 4533, 'AHB', 2059, 'MED', 2074, '', 0, 'E70\r'),
	('SV', 4533, 'AHB', 2059, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'AHB', 2059, 'TIF', 2090, '', 0, '320\r'),
	('SV', 4533, 'AHB', 2059, 'TUU', 2089, '', 0, '320\r'),
	('SV', 4533, 'AJF', 5925, 'JED', 2072, '', 0, 'E70\r'),
	('SV', 4533, 'AJF', 5925, 'RUH', 2082, '', 0, '320 E70\r'),
	('SV', 4533, 'ALG', 210, 'MED', 2074, '', 0, 'AB6\r'),
	('SV', 4533, 'AMM', 2170, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'AMM', 2170, 'MED', 2074, '', 0, '320\r'),
	('SV', 4533, 'AMM', 2170, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'AQI', 2076, 'JED', 2072, '', 0, 'E70\r'),
	('SV', 4533, 'AQI', 2076, 'RUH', 2082, '', 0, 'E70\r'),
	('SV', 4533, 'AUH', 2179, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'AUH', 2179, 'MED', 2074, '', 0, '320 321\r'),
	('SV', 4533, 'AUH', 2179, 'RUH', 2082, '', 0, '320 321\r'),
	('SV', 4533, 'AWZ', 2104, 'MED', 2074, '', 0, 'AB6\r'),
	('SV', 4533, 'AZD', 2164, 'MED', 2074, '', 0, 'AB6\r'),
	('SV', 4533, 'BAH', 2057, 'DMM', 2064, 'Y', 0, '320\r'),
	('SV', 4533, 'BAH', 2057, 'JED', 2072, '', 0, 'E70\r'),
	('SV', 4533, 'BAH', 2057, 'MED', 2074, 'Y', 0, '320\r'),
	('SV', 4533, 'BAH', 2057, 'RUH', 2082, '', 0, 'E70 320\r'),
	('SV', 4533, 'BEY', 2177, 'JED', 2072, '', 0, '320 333\r'),
	('SV', 4533, 'BEY', 2177, 'MED', 2074, '', 0, '320\r'),
	('SV', 4533, 'BEY', 2177, 'RUH', 2082, '', 0, '320 321 333\r'),
	('SV', 4533, 'BHH', 2062, 'DMM', 2064, '', 0, 'E70\r'),
	('SV', 4533, 'BHH', 2062, 'JED', 2072, '', 0, '320 E70 321\r'),
	('SV', 4533, 'BHH', 2062, 'RUH', 2082, '', 0, '320 321\r'),
	('SV', 4533, 'BLR', 3131, 'DMM', 2064, '', 0, '333\r'),
	('SV', 4533, 'BLR', 3131, 'JED', 2072, '', 0, '333\r'),
	('SV', 4533, 'BLR', 3131, 'RUH', 2082, '', 0, '333\r'),
	('SV', 4533, 'BOM', 2997, 'DMM', 2064, '', 0, '320\r'),
	('SV', 4533, 'BOM', 2997, 'JED', 2072, '', 0, '772\r'),
	('SV', 4533, 'BOM', 2997, 'RUH', 2082, '', 0, '772\r'),
	('SV', 4533, 'CAI', 1128, 'AHB', 2059, '', 0, '321\r'),
	('SV', 4533, 'CAI', 1128, 'DMM', 2064, '', 0, '320 321\r'),
	('SV', 4533, 'CAI', 1128, 'JED', 2072, '', 0, '333 772 744\r'),
	('SV', 4533, 'CAI', 1128, 'MED', 2074, '', 0, '320 74E 772\r'),
	('SV', 4533, 'CAI', 1128, 'RUH', 2082, '', 0, '320 772 333\r'),
	('SV', 4533, 'CAN', 3370, 'JED', 2072, '', 0, '777\r'),
	('SV', 4533, 'CAN', 3370, 'RUH', 2082, '', 0, '777\r'),
	('SV', 4533, 'CCJ', 3137, 'DMM', 2064, '', 0, '772\r'),
	('SV', 4533, 'CCJ', 3137, 'JED', 2072, '', 0, '772\r'),
	('SV', 4533, 'CCJ', 3137, 'RUH', 2082, '', 0, '772\r'),
	('SV', 4533, 'CDG', 1382, 'JED', 2072, '', 0, '333\r'),
	('SV', 4533, 'CDG', 1382, 'RUH', 2082, '', 0, '777\r'),
	('SV', 4533, 'CGK', 3275, 'JED', 2072, '', 0, '773\r'),
	('SV', 4533, 'CGK', 3275, 'MED', 2074, '', 0, '74E 772 773\r'),
	('SV', 4533, 'CGK', 3275, 'RUH', 2082, '', 0, '773\r'),
	('SV', 4533, 'CMB', 3024, 'DMM', 2064, 'Y', 0, '343\r'),
	('SV', 4533, 'CMB', 3024, 'JED', 2072, '', 0, '772\r'),
	('SV', 4533, 'CMB', 3024, 'RUH', 2082, '', 0, '772\r'),
	('SV', 4533, 'CMN', 1074, 'JED', 2072, '', 0, '773\r'),
	('SV', 4533, 'CMN', 1074, 'RUH', 2082, '', 0, '777\r'),
	('SV', 4533, 'COK', 3136, 'DMM', 2064, '', 0, '333\r'),
	('SV', 4533, 'COK', 3136, 'RUH', 2082, '', 0, '333\r'),
	('SV', 4533, 'DAC', 3076, 'DMM', 2064, '', 0, '772\r'),
	('SV', 4533, 'DAC', 3076, 'JED', 2072, '', 0, '772\r'),
	('SV', 4533, 'DAC', 3076, 'RUH', 2082, '', 0, '772\r'),
	('SV', 4533, 'DEL', 3093, 'DMM', 2064, '', 0, '320\r'),
	('SV', 4533, 'DEL', 3093, 'JED', 2072, '', 0, '772\r'),
	('SV', 4533, 'DEL', 3093, 'RUH', 2082, '', 0, '772\r'),
	('SV', 4533, 'DMM', 2064, 'ABT', 2061, '', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'AHB', 2059, '', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'BAH', 2057, 'Y', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'BHH', 2062, '', 0, 'E70\r'),
	('SV', 4533, 'DMM', 2064, 'BLR', 3131, '', 0, '333\r'),
	('SV', 4533, 'DMM', 2064, 'BOM', 2997, '', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'CAI', 1128, '', 0, '321\r'),
	('SV', 4533, 'DMM', 2064, 'CCJ', 3137, '', 0, '772\r'),
	('SV', 4533, 'DMM', 2064, 'CMB', 3024, 'Y', 0, '343\r'),
	('SV', 4533, 'DMM', 2064, 'COK', 3136, '', 0, '333\r'),
	('SV', 4533, 'DMM', 2064, 'DAC', 3076, '', 0, '772\r'),
	('SV', 4533, 'DMM', 2064, 'DEL', 3093, '', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'DXB', 2188, '', 0, '320 321\r'),
	('SV', 4533, 'DMM', 2064, 'EAM', 2075, '', 0, 'E70\r'),
	('SV', 4533, 'DMM', 2064, 'ELQ', 2067, '', 0, '320 321\r'),
	('SV', 4533, 'DMM', 2064, 'GIZ', 2066, '', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'HAS', 2069, '', 0, 'E70\r'),
	('SV', 4533, 'DMM', 2064, 'HYD', 3141, '', 0, '772\r'),
	('SV', 4533, 'DMM', 2064, 'ISB', 2223, '', 0, '74E\r'),
	('SV', 4533, 'DMM', 2064, 'IST', 1701, '', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'JED', 2072, '', 0, '320 772 321 333 E70 777 74E 744\r'),
	('SV', 4533, 'DMM', 2064, 'KHI', 2206, '', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'KWI', 2176, 'Y', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'MAA', 3144, '', 0, '333\r'),
	('SV', 4533, 'DMM', 2064, 'MED', 2074, '', 0, 'E70 321\r'),
	('SV', 4533, 'DMM', 2064, 'MHD', 4331, '', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'MNL', 2397, '', 0, '744\r'),
	('SV', 4533, 'DMM', 2064, 'RUH', 2082, '', 0, 'E70 320 321\r'),
	('SV', 4533, 'DMM', 2064, 'TIF', 2090, '', 0, '320\r'),
	('SV', 4533, 'DMM', 2064, 'TUU', 2089, '', 0, 'E70\r'),
	('SV', 4533, 'DOH', 2241, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'DOH', 2241, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'DWD', 5924, 'JED', 2072, '', 0, 'E70\r'),
	('SV', 4533, 'DWD', 5924, 'RUH', 2082, '', 0, 'E70\r'),
	('SV', 4533, 'DXB', 2188, 'DMM', 2064, '', 0, '320 321\r'),
	('SV', 4533, 'DXB', 2188, 'JED', 2072, '', 0, '321 333 773 777 320\r'),
	('SV', 4533, 'DXB', 2188, 'MED', 2074, '', 0, '320\r'),
	('SV', 4533, 'DXB', 2188, 'RUH', 2082, '', 0, '321 333 777 320 773\r'),
	('SV', 4533, 'EAM', 2075, 'DMM', 2064, '', 0, 'E70\r'),
	('SV', 4533, 'EAM', 2075, 'JED', 2072, '', 0, 'E70 320 321\r'),
	('SV', 4533, 'EAM', 2075, 'RUH', 2082, '', 0, '320 321\r'),
	('SV', 4533, 'EJH', 2095, 'JED', 2072, '', 0, 'E70\r'),
	('SV', 4533, 'ELQ', 2067, 'DMM', 2064, '', 0, '320 321\r'),
	('SV', 4533, 'ELQ', 2067, 'JED', 2072, '', 0, '320 321\r'),
	('SV', 4533, 'ELQ', 2067, 'MED', 2074, '', 0, 'E70\r'),
	('SV', 4533, 'ELQ', 2067, 'RUH', 2082, '', 0, 'E70 320 321\r'),
	('SV', 4533, 'FCO', 1555, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'FCO', 1555, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'FRA', 340, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'FRA', 340, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'GBT', 6747, 'MED', 2074, '', 0, '320\r'),
	('SV', 4533, 'GIZ', 2066, 'DMM', 2064, '', 0, '320\r'),
	('SV', 4533, 'GIZ', 2066, 'JED', 2072, '', 0, '321\r'),
	('SV', 4533, 'GIZ', 2066, 'RUH', 2082, '', 0, '321\r'),
	('SV', 4533, 'GVA', 1665, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'GVA', 1665, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'HAS', 2069, 'DMM', 2064, '', 0, 'E70\r'),
	('SV', 4533, 'HAS', 2069, 'JED', 2072, '', 0, '320 321 E70\r'),
	('SV', 4533, 'HAS', 2069, 'RUH', 2082, '', 0, '321 320\r'),
	('SV', 4533, 'HBE', 3410, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'HBE', 3410, 'MED', 2074, '', 0, 'AB6 320\r'),
	('SV', 4533, 'HBE', 3410, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'HOF', 2060, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'HOF', 2060, 'RUH', 2082, '', 0, 'E70\r'),
	('SV', 4533, 'HYD', 3141, 'DMM', 2064, '', 0, '772\r'),
	('SV', 4533, 'HYD', 3141, 'JED', 2072, '', 0, '772\r'),
	('SV', 4533, 'HYD', 3141, 'RUH', 2082, '', 0, '772\r'),
	('SV', 4533, 'IAD', 3714, 'JED', 2072, '', 0, '777\r'),
	('SV', 4533, 'IAD', 3714, 'RUH', 2082, '', 0, '777\r'),
	('SV', 4533, 'IFN', 4150, 'MED', 2074, '', 0, '74E AB6\r'),
	('SV', 4533, 'ISB', 2223, 'DMM', 2064, '', 0, '74E\r'),
	('SV', 4533, 'ISB', 2223, 'JED', 2072, '', 0, '74E\r'),
	('SV', 4533, 'ISB', 2223, 'RUH', 2082, '', 0, '74E\r'),
	('SV', 4533, 'IST', 1701, 'DMM', 2064, '', 0, '320\r'),
	('SV', 4533, 'IST', 1701, 'JED', 2072, '', 0, '333\r'),
	('SV', 4533, 'IST', 1701, 'MED', 2074, '', 0, '320\r'),
	('SV', 4533, 'IST', 1701, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'ABT', 2061, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'ADD', 1107, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'ADE', 3977, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'AHB', 2059, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'AJF', 5925, '', 0, 'E70\r'),
	('SV', 4533, 'JED', 2072, 'ALG', 210, '', 0, 'AB6\r'),
	('SV', 4533, 'JED', 2072, 'AMM', 2170, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'AQI', 2076, '', 0, 'E70\r'),
	('SV', 4533, 'JED', 2072, 'AUH', 2179, '', 0, '320 321\r'),
	('SV', 4533, 'JED', 2072, 'AWZ', 2104, '', 0, 'AB6\r'),
	('SV', 4533, 'JED', 2072, 'AZD', 2164, '', 0, 'AB6\r'),
	('SV', 4533, 'JED', 2072, 'BAH', 2057, '', 0, 'E70\r'),
	('SV', 4533, 'JED', 2072, 'BEY', 2177, '', 0, '320 333\r'),
	('SV', 4533, 'JED', 2072, 'BHH', 2062, '', 0, '320 E70 321\r'),
	('SV', 4533, 'JED', 2072, 'BLR', 3131, '', 0, '333\r'),
	('SV', 4533, 'JED', 2072, 'BOM', 2997, '', 0, '772\r'),
	('SV', 4533, 'JED', 2072, 'CAI', 1128, '', 0, '333 772 744\r'),
	('SV', 4533, 'JED', 2072, 'CAN', 3370, '', 0, '777\r'),
	('SV', 4533, 'JED', 2072, 'CCJ', 3137, '', 0, '772\r'),
	('SV', 4533, 'JED', 2072, 'CDG', 1382, '', 0, '333\r'),
	('SV', 4533, 'JED', 2072, 'CGK', 3275, '', 0, '74E 772 773\r'),
	('SV', 4533, 'JED', 2072, 'CMB', 3024, '', 0, '772\r'),
	('SV', 4533, 'JED', 2072, 'CMN', 1074, '', 0, '773\r'),
	('SV', 4533, 'JED', 2072, 'DAC', 3076, '', 0, '772\r'),
	('SV', 4533, 'JED', 2072, 'DEL', 3093, '', 0, '772\r'),
	('SV', 4533, 'JED', 2072, 'DMM', 2064, '', 0, 'E70 321 320 333 772 777 74E 744\r'),
	('SV', 4533, 'JED', 2072, 'DOH', 2241, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'DWD', 5924, '', 0, 'E70\r'),
	('SV', 4533, 'JED', 2072, 'DXB', 2188, '', 0, '321 333 773 777 320\r'),
	('SV', 4533, 'JED', 2072, 'EAM', 2075, '', 0, '320 E70 321\r'),
	('SV', 4533, 'JED', 2072, 'EJH', 2095, '', 0, 'E70\r'),
	('SV', 4533, 'JED', 2072, 'ELQ', 2067, '', 0, '320 321\r'),
	('SV', 4533, 'JED', 2072, 'FCO', 1555, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'FRA', 340, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'GBT', 6747, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'GIZ', 2066, '', 0, '321\r'),
	('SV', 4533, 'JED', 2072, 'GVA', 1665, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'HAS', 2069, '', 0, '320 321 E70\r'),
	('SV', 4533, 'JED', 2072, 'HBE', 3410, '', 0, '320 AB6\r'),
	('SV', 4533, 'JED', 2072, 'HOF', 2060, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'IAD', 3714, '', 0, '777\r'),
	('SV', 4533, 'JED', 2072, 'IFN', 4150, '', 0, 'AB6\r'),
	('SV', 4533, 'JED', 2072, 'ISB', 2223, '', 0, '74E\r'),
	('SV', 4533, 'JED', 2072, 'IST', 1701, '', 0, '333 74E\r'),
	('SV', 4533, 'JED', 2072, 'JFK', 3797, '', 0, '777\r'),
	('SV', 4533, 'JED', 2072, 'JNB', 813, '', 0, '772\r'),
	('SV', 4533, 'JED', 2072, 'KAN', 270, '', 0, '74E\r'),
	('SV', 4533, 'JED', 2072, 'KHI', 2206, '', 0, '772\r'),
	('SV', 4533, 'JED', 2072, 'KRT', 1175, '', 0, '772\r'),
	('SV', 4533, 'JED', 2072, 'KUL', 3304, '', 0, '773 74E\r'),
	('SV', 4533, 'JED', 2072, 'KWI', 2176, '', 0, '320 333\r'),
	('SV', 4533, 'JED', 2072, 'LAX', 3484, '', 0, '777\r'),
	('SV', 4533, 'JED', 2072, 'LHE', 2207, '', 0, '74E\r'),
	('SV', 4533, 'JED', 2072, 'LHR', 507, '', 0, '777 773\r'),
	('SV', 4533, 'JED', 2072, 'LKO', 3105, '', 0, '333\r'),
	('SV', 4533, 'JED', 2072, 'MAA', 3144, '', 0, '333\r'),
	('SV', 4533, 'JED', 2072, 'MAD', 1229, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'MAN', 478, '', 0, '777\r'),
	('SV', 4533, 'JED', 2072, 'MCT', 2194, '', 0, '320 E70\r'),
	('SV', 4533, 'JED', 2072, 'MED', 2074, '', 0, 'E70 321 320\r'),
	('SV', 4533, 'JED', 2072, 'MHD', 4331, '', 0, 'AB6 74E\r'),
	('SV', 4533, 'JED', 2072, 'MNL', 2397, '', 0, '744\r'),
	('SV', 4533, 'JED', 2072, 'MXP', 1524, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'NBO', 4059, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'OMH', 5936, '', 0, 'AB6\r'),
	('SV', 4533, 'JED', 2072, 'ORN', 231, '', 0, 'AB6\r'),
	('SV', 4533, 'JED', 2072, 'RAE', 2084, '', 0, 'E70\r'),
	('SV', 4533, 'JED', 2072, 'RAS', 2123, '', 0, 'AB6\r'),
	('SV', 4533, 'JED', 2072, 'RUH', 2082, '', 0, '333 777 773 321 320 772 744 74E\r'),
	('SV', 4533, 'JED', 2072, 'SAH', 3980, '', 0, '320\r'),
	('SV', 4533, 'JED', 2072, 'SHW', 2086, '', 0, 'E70 320\r'),
	('SV', 4533, 'JED', 2072, 'SIN', 3316, '', 0, '777 772\r'),
	('SV', 4533, 'JED', 2072, 'SSH', 4057, '', 0, 'E70\r'),
	('SV', 4533, 'JED', 2072, 'SYZ', 2157, '', 0, 'AB6\r'),
	('SV', 4533, 'JED', 2072, 'TBZ', 2162, '', 0, 'AB6\r'),
	('SV', 4533, 'JED', 2072, 'THR', 2131, '', 0, '74E AB6\r'),
	('SV', 4533, 'JED', 2072, 'TUN', 287, '', 0, '333\r'),
	('SV', 4533, 'JED', 2072, 'TUU', 2089, '', 0, '321\r'),
	('SV', 4533, 'JED', 2072, 'URY', 2068, '', 0, '321 320 E70\r'),
	('SV', 4533, 'JED', 2072, 'YNB', 2096, '', 0, 'E70 320 321\r'),
	('SV', 4533, 'JED', 2072, 'YYZ', 193, '', 0, '777\r'),
	('SV', 4533, 'JFK', 3797, 'JED', 2072, '', 0, '777\r'),
	('SV', 4533, 'JFK', 3797, 'RUH', 2082, '', 0, '777\r'),
	('SV', 4533, 'JNB', 813, 'JED', 2072, '', 0, '772\r'),
	('SV', 4533, 'KAN', 270, 'JED', 2072, '', 0, '74E\r'),
	('SV', 4533, 'KHI', 2206, 'DMM', 2064, '', 0, '320\r'),
	('SV', 4533, 'KHI', 2206, 'JED', 2072, '', 0, '772\r'),
	('SV', 4533, 'KHI', 2206, 'RUH', 2082, '', 0, '772\r'),
	('SV', 4533, 'KRT', 1175, 'JED', 2072, '', 0, '772\r'),
	('SV', 4533, 'KRT', 1175, 'RUH', 2082, '', 0, '772\r'),
	('SV', 4533, 'KUL', 3304, 'JED', 2072, '', 0, '773\r'),
	('SV', 4533, 'KUL', 3304, 'MED', 2074, '', 0, '74E\r'),
	('SV', 4533, 'KUL', 3304, 'RUH', 2082, '', 0, '773\r'),
	('SV', 4533, 'KWI', 2176, 'DMM', 2064, 'Y', 0, '320\r'),
	('SV', 4533, 'KWI', 2176, 'JED', 2072, '', 0, '320 333\r'),
	('SV', 4533, 'KWI', 2176, 'MED', 2074, '', 0, '320\r'),
	('SV', 4533, 'KWI', 2176, 'RUH', 2082, '', 0, '321 E70\r'),
	('SV', 4533, 'LAX', 3484, 'JED', 2072, '', 0, '777\r'),
	('SV', 4533, 'LHE', 2207, 'JED', 2072, '', 0, '74E\r'),
	('SV', 4533, 'LHE', 2207, 'RUH', 2082, '', 0, '74E\r'),
	('SV', 4533, 'LHR', 507, 'JED', 2072, '', 0, '777 773\r'),
	('SV', 4533, 'LHR', 507, 'RUH', 2082, '', 0, '777\r'),
	('SV', 4533, 'LKO', 3105, 'JED', 2072, '', 0, '333\r'),
	('SV', 4533, 'LKO', 3105, 'RUH', 2082, '', 0, '333\r'),
	('SV', 4533, 'MAA', 3144, 'DMM', 2064, '', 0, '333\r'),
	('SV', 4533, 'MAA', 3144, 'JED', 2072, '', 0, '333\r'),
	('SV', 4533, 'MAA', 3144, 'RUH', 2082, '', 0, '333\r'),
	('SV', 4533, 'MAD', 1229, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'MAN', 478, 'JED', 2072, '', 0, '777\r'),
	('SV', 4533, 'MCT', 2194, 'MED', 2074, '', 0, '320\r'),
	('SV', 4533, 'MCT', 2194, 'RUH', 2082, '', 0, 'E70\r'),
	('SV', 4533, 'MED', 2074, 'AHB', 2059, '', 0, 'E70\r'),
	('SV', 4533, 'MED', 2074, 'BAH', 2057, 'Y', 0, '320\r'),
	('SV', 4533, 'MED', 2074, 'CAI', 1128, '', 0, '320 74E 772\r'),
	('SV', 4533, 'MED', 2074, 'DMM', 2064, '', 0, 'E70 321 320 772\r'),
	('SV', 4533, 'MED', 2074, 'DXB', 2188, '', 0, '320\r'),
	('SV', 4533, 'MED', 2074, 'ELQ', 2067, '', 0, 'E70\r'),
	('SV', 4533, 'MED', 2074, 'ESB', 1682, '', 0, '74E\r'),
	('SV', 4533, 'MED', 2074, 'IST', 1701, '', 0, '320\r'),
	('SV', 4533, 'MED', 2074, 'JED', 2072, '', 0, 'E70 321 320\r'),
	('SV', 4533, 'MED', 2074, 'RUH', 2082, '', 0, 'E70 321 320 772 773 74E\r'),
	('SV', 4533, 'MED', 2074, 'TUU', 2089, '', 0, 'E70\r'),
	('SV', 4533, 'MED', 2074, 'ULH', 8381, '', 0, 'E70\r'),
	('SV', 4533, 'MHD', 4331, 'DMM', 2064, '', 0, '320\r'),
	('SV', 4533, 'MHD', 4331, 'MED', 2074, '', 0, 'AB6 74E\r'),
	('SV', 4533, 'MNL', 2397, 'DMM', 2064, '', 0, '744\r'),
	('SV', 4533, 'MNL', 2397, 'JED', 2072, '', 0, '744\r'),
	('SV', 4533, 'MNL', 2397, 'RUH', 2082, '', 0, '744\r'),
	('SV', 4533, 'MXP', 1524, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'MXP', 1524, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'NBO', 4059, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'OMH', 5936, 'MED', 2074, '', 0, 'AB6\r'),
	('SV', 4533, 'ORN', 231, 'MED', 2074, '', 0, 'AB6\r'),
	('SV', 4533, 'PEW', 2219, 'RUH', 2082, '', 0, '772\r'),
	('SV', 4533, 'RAE', 2084, 'JED', 2072, '', 0, 'E70\r'),
	('SV', 4533, 'RAE', 2084, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'RAH', 2081, 'RUH', 2082, '', 0, 'E70\r'),
	('SV', 4533, 'RAS', 2123, 'MED', 2074, '', 0, 'AB6\r'),
	('SV', 4533, 'RUH', 2082, 'ABT', 2061, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'ADD', 1107, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'AHB', 2059, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'AJF', 5925, '', 0, '320 E70\r'),
	('SV', 4533, 'RUH', 2082, 'AMM', 2170, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'AQI', 2076, '', 0, 'E70\r'),
	('SV', 4533, 'RUH', 2082, 'AUH', 2179, '', 0, '320 321\r'),
	('SV', 4533, 'RUH', 2082, 'BAH', 2057, '', 0, 'E70 320\r'),
	('SV', 4533, 'RUH', 2082, 'BEY', 2177, '', 0, '320 321 333\r'),
	('SV', 4533, 'RUH', 2082, 'BHH', 2062, '', 0, '320 321\r'),
	('SV', 4533, 'RUH', 2082, 'BLR', 3131, '', 0, '333\r'),
	('SV', 4533, 'RUH', 2082, 'BOM', 2997, '', 0, '772\r'),
	('SV', 4533, 'RUH', 2082, 'CAI', 1128, '', 0, '320 772 333\r'),
	('SV', 4533, 'RUH', 2082, 'CAN', 3370, '', 0, '777\r'),
	('SV', 4533, 'RUH', 2082, 'CCJ', 3137, '', 0, '772\r'),
	('SV', 4533, 'RUH', 2082, 'CDG', 1382, '', 0, '777\r'),
	('SV', 4533, 'RUH', 2082, 'CGK', 3275, '', 0, '773\r'),
	('SV', 4533, 'RUH', 2082, 'CMB', 3024, '', 0, '772\r'),
	('SV', 4533, 'RUH', 2082, 'CMN', 1074, '', 0, '777\r'),
	('SV', 4533, 'RUH', 2082, 'COK', 3136, '', 0, '333\r'),
	('SV', 4533, 'RUH', 2082, 'DAC', 3076, '', 0, '772\r'),
	('SV', 4533, 'RUH', 2082, 'DEL', 3093, '', 0, '772\r'),
	('SV', 4533, 'RUH', 2082, 'DMM', 2064, '', 0, '320 E70 321\r'),
	('SV', 4533, 'RUH', 2082, 'DOH', 2241, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'DWD', 5924, '', 0, 'E70\r'),
	('SV', 4533, 'RUH', 2082, 'DXB', 2188, '', 0, '321 333 777 320 773\r'),
	('SV', 4533, 'RUH', 2082, 'EAM', 2075, '', 0, '320 321\r'),
	('SV', 4533, 'RUH', 2082, 'ELQ', 2067, '', 0, 'E70 320 321\r'),
	('SV', 4533, 'RUH', 2082, 'FCO', 1555, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'FRA', 340, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'GIZ', 2066, '', 0, '321\r'),
	('SV', 4533, 'RUH', 2082, 'GVA', 1665, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'HAS', 2069, '', 0, '321 320\r'),
	('SV', 4533, 'RUH', 2082, 'HBE', 3410, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'HOF', 2060, '', 0, 'E70\r'),
	('SV', 4533, 'RUH', 2082, 'HYD', 3141, '', 0, '772\r'),
	('SV', 4533, 'RUH', 2082, 'IAD', 3714, '', 0, '777\r'),
	('SV', 4533, 'RUH', 2082, 'ISB', 2223, '', 0, '74E\r'),
	('SV', 4533, 'RUH', 2082, 'IST', 1701, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'JED', 2072, '', 0, '321 320 333 772 773 777 744 E70 74E\r'),
	('SV', 4533, 'RUH', 2082, 'JFK', 3797, '', 0, '777\r'),
	('SV', 4533, 'RUH', 2082, 'KHI', 2206, '', 0, '772\r'),
	('SV', 4533, 'RUH', 2082, 'KRT', 1175, '', 0, '772\r'),
	('SV', 4533, 'RUH', 2082, 'KUL', 3304, '', 0, '773\r'),
	('SV', 4533, 'RUH', 2082, 'KWI', 2176, '', 0, '321 E70\r'),
	('SV', 4533, 'RUH', 2082, 'LHE', 2207, '', 0, '74E\r'),
	('SV', 4533, 'RUH', 2082, 'LHR', 507, '', 0, '777\r'),
	('SV', 4533, 'RUH', 2082, 'LKO', 3105, '', 0, '333\r'),
	('SV', 4533, 'RUH', 2082, 'MAA', 3144, '', 0, '333\r'),
	('SV', 4533, 'RUH', 2082, 'MCT', 2194, '', 0, 'E70\r'),
	('SV', 4533, 'RUH', 2082, 'MED', 2074, '', 0, 'E70 321 320 772 74E 773\r'),
	('SV', 4533, 'RUH', 2082, 'MNL', 2397, '', 0, '744\r'),
	('SV', 4533, 'RUH', 2082, 'MXP', 1524, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'PEW', 2219, '', 0, '772\r'),
	('SV', 4533, 'RUH', 2082, 'RAE', 2084, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'RAH', 2081, '', 0, 'E70\r'),
	('SV', 4533, 'RUH', 2082, 'SAH', 3980, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'SHW', 2086, '', 0, 'E70 320\r'),
	('SV', 4533, 'RUH', 2082, 'SIN', 3316, '', 0, '777\r'),
	('SV', 4533, 'RUH', 2082, 'SSH', 4057, '', 0, 'E70\r'),
	('SV', 4533, 'RUH', 2082, 'TIF', 2090, '', 0, '320\r'),
	('SV', 4533, 'RUH', 2082, 'TUI', 2093, '', 0, 'E70\r'),
	('SV', 4533, 'RUH', 2082, 'TUU', 2089, '', 0, '321 320\r'),
	('SV', 4533, 'RUH', 2082, 'ULH', 8381, '', 0, 'E70\r'),
	('SV', 4533, 'RUH', 2082, 'URY', 2068, '', 0, '320 E70\r'),
	('SV', 4533, 'RUH', 2082, 'YNB', 2096, '', 0, 'E70 320 321\r'),
	('SV', 4533, 'SAH', 3980, 'JED', 2072, '', 0, '320\r'),
	('SV', 4533, 'SAH', 3980, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'SHW', 2086, 'JED', 2072, '', 0, 'E70 320\r'),
	('SV', 4533, 'SHW', 2086, 'RUH', 2082, '', 0, 'E70 320\r'),
	('SV', 4533, 'SIN', 3316, 'JED', 2072, '', 0, '777 772\r'),
	('SV', 4533, 'SIN', 3316, 'RUH', 2082, '', 0, '777\r'),
	('SV', 4533, 'SSH', 4057, 'JED', 2072, '', 0, 'E70\r'),
	('SV', 4533, 'SSH', 4057, 'RUH', 2082, '', 0, 'E70\r'),
	('SV', 4533, 'SYZ', 2157, 'MED', 2074, '', 0, 'AB6\r'),
	('SV', 4533, 'TBZ', 2162, 'MED', 2074, '', 0, 'AB6\r'),
	('SV', 4533, 'THR', 2131, 'MED', 2074, '', 0, '74E AB6\r'),
	('SV', 4533, 'TIF', 2090, 'AHB', 2059, '', 0, '320\r'),
	('SV', 4533, 'TIF', 2090, 'DMM', 2064, '', 0, '320\r'),
	('SV', 4533, 'TIF', 2090, 'RUH', 2082, '', 0, '320\r'),
	('SV', 4533, 'TUI', 2093, 'RUH', 2082, '', 0, 'E70\r'),
	('SV', 4533, 'TUN', 287, 'JED', 2072, '', 0, '333\r'),
	('SV', 4533, 'TUU', 2089, 'AHB', 2059, '', 0, '320\r'),
	('SV', 4533, 'TUU', 2089, 'DMM', 2064, '', 0, 'E70\r'),
	('SV', 4533, 'TUU', 2089, 'JED', 2072, '', 0, '321\r'),
	('SV', 4533, 'TUU', 2089, 'MED', 2074, '', 0, 'E70\r'),
	('SV', 4533, 'TUU', 2089, 'RUH', 2082, '', 0, '321 320\r'),
	('SV', 4533, 'ULH', 8381, 'MED', 2074, '', 0, 'E70\r'),
	('SV', 4533, 'ULH', 8381, 'RUH', 2082, '', 0, 'E70\r'),
	('SV', 4533, 'URY', 2068, 'JED', 2072, '', 0, '321 320 E70\r'),
	('SV', 4533, 'URY', 2068, 'RUH', 2082, '', 0, '320 E70\r'),
	('SV', 4533, 'YNB', 2096, 'JED', 2072, '', 0, 'E70 320 321\r'),
	('SV', 4533, 'YNB', 2096, 'RUH', 2082, '', 0, 'E70 320 321\r'),
	('SV', 4533, 'YYZ', 193, 'JED', 2072, '', 0, '777\r'),
	('SW', 153, 'ACC', 248, 'WDH', 4105, '', 0, '319\r'),
	('SW', 153, 'CPT', 797, 'WDH', 4105, '', 0, '319\r'),
	('SW', 153, 'ERS', 5645, 'MPA', 6779, '', 0, 'ER3\r'),
	('SW', 153, 'ERS', 5645, 'NDU', 7634, '', 0, 'ER3\r'),
	('SW', 153, 'ERS', 5645, 'OND', 5642, '', 0, 'ER3\r'),
	('SW', 153, 'FRA', 340, 'WDH', 4105, '', 0, '332\r'),
	('SW', 153, 'HRE', 1005, 'LUN', 907, '', 0, 'ER3\r'),
	('SW', 153, 'HRE', 1005, 'WDH', 4105, '', 0, 'ER3\r'),
	('SW', 153, 'JNB', 813, 'WDH', 4105, '', 0, '319 ER3\r'),
	('SW', 153, 'LAD', 951, 'WDH', 4105, '', 0, '319\r'),
	('SW', 153, 'LUD', 5641, 'OMD', 5643, '', 0, 'ER3\r'),
	('SW', 153, 'LUN', 907, 'HRE', 1005, '', 0, 'ER3\r'),
	('SW', 153, 'LUN', 907, 'WDH', 4105, '', 0, 'ER3\r'),
	('SW', 153, 'MPA', 6779, 'ERS', 5645, '', 0, 'ER3\r'),
	('SW', 153, 'MPA', 6779, 'NDU', 7634, '', 0, 'ER3\r'),
	('SW', 153, 'MUB', 880, 'VFA', 1004, '', 0, 'ER3\r'),
	('SW', 153, 'MUB', 880, 'WDH', 4105, '', 0, 'ER3\r'),
	('SW', 153, 'NDU', 7634, 'ERS', 5645, '', 0, 'ER3\r'),
	('SW', 153, 'NDU', 7634, 'MPA', 6779, '', 0, 'ER3\r'),
	('SW', 153, 'OMD', 5643, 'WDH', 4105, '', 0, 'ER3\r'),
	('SW', 153, 'OND', 5642, 'ERS', 5645, '', 0, 'ER3\r'),
	('SW', 153, 'VFA', 1004, 'MUB', 880, '', 0, 'ER3\r'),
	('SW', 153, 'VFA', 1004, 'WDH', 4105, '', 0, 'ER3\r'),
	('SW', 153, 'WDH', 4105, 'ACC', 248, '', 0, '319\r'),
	('SW', 153, 'WDH', 4105, 'CPT', 797, '', 0, '319\r'),
	('SW', 153, 'WDH', 4105, 'FRA', 340, '', 0, '332\r'),
	('SW', 153, 'WDH', 4105, 'HRE', 1005, '', 0, 'ER3\r'),
	('SW', 153, 'WDH', 4105, 'JNB', 813, '', 0, '319 ER3\r'),
	('SW', 153, 'WDH', 4105, 'LAD', 951, '', 0, '319\r'),
	('SW', 153, 'WDH', 4105, 'LUD', 5641, '', 0, 'ER3\r'),
	('SW', 153, 'WDH', 4105, 'LUN', 907, '', 0, 'ER3\r'),
	('SW', 153, 'WDH', 4105, 'MUB', 880, '', 0, 'ER3\r'),
	('SW', 153, 'WDH', 4105, 'VFA', 1004, '', 0, 'ER3\r'),
	('SW', 153, 'WDH', 4105, 'WVB', 6778, '', 0, 'ER3\r'),
	('SW', 153, 'WVB', 6778, 'WDH', 4105, '', 0, 'ER3\r'),
	('SX', 18543, 'AMS', 580, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'BCN', 1218, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'AMS', 580, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'BCN', 1218, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'CGN', 344, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'EBA', 1558, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'HAM', 342, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'IBZ', 1225, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'LCY', 503, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'MUC', 346, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'OLB', 1520, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'PMI', 3998, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'TXL', 351, '', 0, 'D38\r'),
	('SX', 18543, 'BRN', 1676, 'VIE', 1613, '', 0, 'D38\r'),
	('SX', 18543, 'CGN', 344, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'EBA', 1558, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'HAM', 342, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'IBZ', 1225, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'LCY', 503, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'MUC', 346, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'OLB', 1520, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'PMI', 3998, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'TXL', 351, 'BRN', 1676, '', 0, 'D38\r'),
	('SX', 18543, 'VIE', 1613, 'BRN', 1676, '', 0, 'D38\r'),
	('SY', 4356, 'BOS', 3448, 'MSP', 3858, '', 0, '738 73G\r'),
	('SY', 4356, 'CUN', 1852, 'DFW', 3670, '', 0, '738\r'),
	('SY', 4356, 'CUN', 1852, 'MSP', 3858, '', 0, '738\r'),
	('SY', 4356, 'DCA', 3520, 'LAN', 3544, '', 0, '73G\r'),
	('SY', 4356, 'DCA', 3520, 'MSP', 3858, '', 0, '73G\r'),
	('SY', 4356, 'DFW', 3670, 'CUN', 1852, '', 0, '738\r'),
	('SY', 4356, 'DFW', 3670, 'MSP', 3858, '', 0, '738\r'),
	('SY', 4356, 'JFK', 3797, 'MSP', 3858, '', 0, '73G 738\r'),
	('SY', 4356, 'LAN', 3544, 'DCA', 3520, '', 0, '73G\r'),
	('SY', 4356, 'LAN', 3544, 'MSP', 3858, '', 0, '73G\r'),
	('SY', 4356, 'LAS', 3877, 'MSP', 3858, '', 0, '738\r'),
	('SY', 4356, 'LAX', 3484, 'MSP', 3858, '', 0, '73G 738\r'),
	('SY', 4356, 'MCO', 3878, 'MSP', 3858, '', 0, '738 73G\r'),
	('SY', 4356, 'MDW', 3747, 'MSP', 3858, '', 0, '73G 738\r'),
	('SY', 4356, 'MSP', 3858, 'BOS', 3448, '', 0, '738 73G\r'),
	('SY', 4356, 'MSP', 3858, 'CUN', 1852, '', 0, '738\r'),
	('SY', 4356, 'MSP', 3858, 'DCA', 3520, '', 0, '73G\r'),
	('SY', 4356, 'MSP', 3858, 'DFW', 3670, '', 0, '738\r'),
	('SY', 4356, 'MSP', 3858, 'JFK', 3797, '', 0, '73G 738\r'),
	('SY', 4356, 'MSP', 3858, 'LAN', 3544, '', 0, '73G\r'),
	('SY', 4356, 'MSP', 3858, 'LAS', 3877, '', 0, '738\r'),
	('SY', 4356, 'MSP', 3858, 'LAX', 3484, '', 0, '73G 738\r'),
	('SY', 4356, 'MSP', 3858, 'MCO', 3878, '', 0, '738 73G\r'),
	('SY', 4356, 'MSP', 3858, 'MDW', 3747, '', 0, '73G 738\r'),
	('SY', 4356, 'MSP', 3858, 'PHX', 3462, '', 0, '73G\r'),
	('SY', 4356, 'MSP', 3858, 'PSP', 3839, '', 0, '73G\r'),
	('SY', 4356, 'MSP', 3858, 'PUJ', 1760, '', 0, '738\r'),
	('SY', 4356, 'MSP', 3858, 'RSW', 3793, '', 0, '738 73G\r'),
	('SY', 4356, 'MSP', 3858, 'SAN', 3731, '', 0, '73G\r'),
	('SY', 4356, 'MSP', 3858, 'SEA', 3577, '', 0, '73G 738\r'),
	('SY', 4356, 'MSP', 3858, 'SFO', 3469, '', 0, '73G 738\r'),
	('SY', 4356, 'PHX', 3462, 'MSP', 3858, '', 0, '73G\r'),
	('SY', 4356, 'PSP', 3839, 'MSP', 3858, '', 0, '73G\r'),
	('SY', 4356, 'PUJ', 1760, 'MSP', 3858, '', 0, '738\r'),
	('SY', 4356, 'RSW', 3793, 'MSP', 3858, '', 0, '738 73G\r'),
	('SY', 4356, 'SAN', 3731, 'MSP', 3858, '', 0, '73G\r'),
	('SY', 4356, 'SEA', 3577, 'MSP', 3858, '', 0, '73G 738\r'),
	('SY', 4356, 'SFO', 3469, 'MSP', 3858, '', 0, '73G 738\r'),
	('SZ', 10122, 'AER', 2965, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'ALA', 2908, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'DME', 4029, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'DXB', 2188, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'ALA', 2908, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'DME', 4029, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'DXB', 2188, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'FRA', 340, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'IKT', 2937, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'IST', 1701, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'KJA', 4374, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'KRR', 2960, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'KZN', 2990, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'LED', 2948, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'REN', 2991, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'SVX', 2975, '', 0, '737\r'),
	('SZ', 10122, 'DYU', 2979, 'URC', 3399, '', 0, '737\r'),
	('SZ', 10122, 'FRA', 340, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'HMA', 6138, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'IKT', 2937, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'IST', 1701, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'KJA', 4374, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'KJA', 4374, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'KRR', 2960, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'KRR', 2960, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'KZN', 2990, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'KZN', 2990, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'AER', 2965, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'HMA', 6138, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'KJA', 4374, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'KRR', 2960, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'KZN', 2990, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'LED', 2948, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'NJC', 2972, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'OVB', 4078, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'REN', 2991, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'SVX', 2975, '', 0, '737\r'),
	('SZ', 10122, 'LBD', 6147, 'TJM', 4111, '', 0, '737\r'),
	('SZ', 10122, 'LED', 2948, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'LED', 2948, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'NJC', 2972, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'OVB', 4078, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'REN', 2991, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'REN', 2991, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'SVX', 2975, 'DYU', 2979, '', 0, '737\r'),
	('SZ', 10122, 'SVX', 2975, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'TJM', 4111, 'LBD', 6147, '', 0, '737\r'),
	('SZ', 10122, 'URC', 3399, 'DYU', 2979, '', 0, '737\r'),
	('T3', 2117, 'ABZ', 532, 'EMA', 523, '', 0, 'J41\r'),
	('T3', 2117, 'ABZ', 532, 'HUY', 515, '', 0, 'J41 S20\r'),
	('T3', 2117, 'ABZ', 532, 'LBA', 517, '', 0, 'J41\r'),
	('T3', 2117, 'ABZ', 532, 'MME', 522, '', 0, 'J41 S20\r'),
	('T3', 2117, 'ABZ', 532, 'NCL', 521, '', 0, 'ER4 J41 S20\r'),
	('T3', 2117, 'ABZ', 532, 'NWI', 547, '', 0, 'S20\r'),
	('T3', 2117, 'ABZ', 532, 'SVG', 666, '', 0, 'ER3 J41\r'),
	('T3', 2117, 'ABZ', 532, 'SYY', 541, '', 0, 'J41\r'),
	('T3', 2117, 'ABZ', 532, 'WIC', 531, '', 0, 'J41\r'),
	('T3', 2117, 'BHX', 469, 'NCL', 521, '', 0, 'J32\r'),
	('T3', 2117, 'CWL', 488, 'NCL', 521, '', 0, 'J41 S20\r'),
	('T3', 2117, 'DIJ', 1425, 'TLS', 1273, 'Y', 0, 'J41\r'),
	('T3', 2117, 'EMA', 523, 'ABZ', 532, '', 0, 'J41\r'),
	('T3', 2117, 'HUY', 515, 'ABZ', 532, '', 0, 'J41 S20\r'),
	('T3', 2117, 'HUY', 515, 'NWI', 547, '', 0, 'S20\r'),
	('T3', 2117, 'LBA', 517, 'ABZ', 532, '', 0, 'J41\r'),
	('T3', 2117, 'LBA', 517, 'SOU', 495, '', 0, 'J41\r'),
	('T3', 2117, 'LRT', 1409, 'LYS', 1335, '', 0, 'J41\r'),
	('T3', 2117, 'LYS', 1335, 'LRT', 1409, '', 0, 'J41\r'),
	('T3', 2117, 'MME', 522, 'ABZ', 532, '', 0, 'J41 S20\r'),
	('T3', 2117, 'NCL', 521, 'ABZ', 532, '', 0, 'ER4 J41 S20\r'),
	('T3', 2117, 'NCL', 521, 'BHX', 469, '', 0, 'J32\r'),
	('T3', 2117, 'NCL', 521, 'CWL', 488, '', 0, 'J41 S20\r'),
	('T3', 2117, 'NCL', 521, 'SVG', 666, '', 0, 'ER4\r'),
	('T3', 2117, 'NWI', 547, 'ABZ', 532, '', 0, 'S20\r'),
	('T3', 2117, 'NWI', 547, 'HUY', 515, '', 0, 'S20\r'),
	('T3', 2117, 'SOU', 495, 'LBA', 517, '', 0, 'J41\r'),
	('T3', 2117, 'SVG', 666, 'ABZ', 532, '', 0, 'ER3 J41\r'),
	('T3', 2117, 'SVG', 666, 'NCL', 521, '', 0, 'ER4\r'),
	('T3', 2117, 'SYY', 541, 'ABZ', 532, '', 0, 'J41\r'),
	('T3', 2117, 'TLS', 1273, 'DIJ', 1425, 'Y', 0, 'J41\r'),
	('T3', 2117, 'WIC', 531, 'ABZ', 532, '', 0, 'J41\r'),
	('T5', 5083, 'ASB', 2976, 'ATQ', 3081, '', 0, '752\r'),
	('T5', 5083, 'ASB', 2976, 'BHX', 469, '', 0, '752\r'),
	('T5', 5083, 'ASB', 2976, 'DEL', 3093, '', 0, '733\r'),
	('T5', 5083, 'ASB', 2976, 'DME', 4029, '', 0, '738 752\r'),
	('T5', 5083, 'ASB', 2976, 'DXB', 2188, '', 0, '733\r'),
	('T5', 5083, 'ASB', 2976, 'FRA', 340, '', 0, '738\r'),
	('T5', 5083, 'ASB', 2976, 'IST', 1701, '', 0, '738 752\r'),
	('T5', 5083, 'ASB', 2976, 'LHR', 507, '', 0, '752\r'),
	('T5', 5083, 'ATQ', 3081, 'ASB', 2976, '', 0, '752\r'),
	('T5', 5083, 'BHX', 469, 'ASB', 2976, '', 0, '752\r'),
	('T5', 5083, 'DEL', 3093, 'ASB', 2976, '', 0, '733\r'),
	('T5', 5083, 'DME', 4029, 'ASB', 2976, '', 0, '752 738\r'),
	('T5', 5083, 'DXB', 2188, 'ASB', 2976, '', 0, '733\r'),
	('T5', 5083, 'FRA', 340, 'ASB', 2976, '', 0, '738\r'),
	('T5', 5083, 'IST', 1701, 'ASB', 2976, '', 0, '738 752\r'),
	('T5', 5083, 'LHR', 507, 'ASB', 2976, '', 0, '752\r'),
	('T7', 4965, 'EGC', 1265, 'PGX', 1279, '', 0, 'BEH\r'),
	('T7', 4965, 'ETZ', 1320, 'MRS', 1353, '', 0, 'BEH\r'),
	('T7', 4965, 'ETZ', 1320, 'TLS', 1273, '', 0, 'BEH\r'),
	('T7', 4965, 'GVA', 1665, 'MRS', 1353, '', 0, 'BEH\r'),
	('T7', 4965, 'LEH', 1371, 'LYS', 1335, '', 0, 'BEH\r'),
	('T7', 4965, 'LIG', 1270, 'NCE', 1354, '', 0, 'BEH\r'),
	('T7', 4965, 'LIG', 1270, 'ORY', 1386, '', 0, 'BEH\r'),
	('T7', 4965, 'LYS', 1335, 'LEH', 1371, '', 0, 'BEH\r'),
	('T7', 4965, 'MLH', 1423, 'MRS', 1353, '', 0, 'BEH\r'),
	('T7', 4965, 'MRS', 1353, 'ETZ', 1320, '', 0, 'BEH\r'),
	('T7', 4965, 'MRS', 1353, 'GVA', 1665, '', 0, 'BEH\r'),
	('T7', 4965, 'MRS', 1353, 'MLH', 1423, '', 0, 'BEH\r'),
	('T7', 4965, 'MRS', 1353, 'MXP', 1524, '', 0, 'BEH\r'),
	('T7', 4965, 'MRS', 1353, 'PUF', 1274, '', 0, 'BEH\r'),
	('T7', 4965, 'MXP', 1524, 'MRS', 1353, '', 0, 'BEH\r'),
	('T7', 4965, 'MXP', 1524, 'TLS', 1273, '', 0, 'BEH\r'),
	('T7', 4965, 'NCE', 1354, 'LIG', 1270, '', 0, 'BEH\r'),
	('T7', 4965, 'ORY', 1386, 'LIG', 1270, '', 0, 'BEH\r'),
	('T7', 4965, 'ORY', 1386, 'PGX', 1279, '', 0, 'BEH\r'),
	('T7', 4965, 'PGX', 1279, 'EGC', 1265, '', 0, 'BEH\r'),
	('T7', 4965, 'PGX', 1279, 'ORY', 1386, '', 0, 'BEH\r'),
	('T7', 4965, 'PUF', 1274, 'MRS', 1353, '', 0, 'BEH\r'),
	('T7', 4965, 'TLS', 1273, 'ETZ', 1320, '', 0, 'BEH\r'),
	('T7', 4965, 'TLS', 1273, 'MXP', 1524, '', 0, 'BEH\r'),
	('TA', 2622, 'GIG', 2560, 'LIM', 2789, 'Y', 0, '320\r'),
	('TA', 2622, 'GRU', 2564, 'LIM', 2789, 'Y', 0, '321\r'),
	('TA', 2622, 'HAV', 1909, 'LIM', 2789, 'Y', 0, '319 320\r'),
	('TA', 2622, 'HAV', 1909, 'SAL', 1892, '', 0, '319 320\r'),
	('TA', 2622, 'LIM', 2789, 'GIG', 2560, 'Y', 0, '320\r'),
	('TA', 2622, 'LIM', 2789, 'GRU', 2564, 'Y', 0, '321\r'),
	('TA', 2622, 'LIM', 2789, 'HAV', 1909, 'Y', 0, '319\r'),
	('TA', 2622, 'LIM', 2789, 'POA', 2599, 'Y', 0, '319 320\r'),
	('TA', 2622, 'MGA', 1863, 'MIA', 3576, '', 0, 'E90 320 319\r'),
	('TA', 2622, 'MGA', 1863, 'SAL', 1892, '', 0, 'E90 320 319\r'),
	('TA', 2622, 'MIA', 3576, 'MGA', 1863, '', 0, 'E90 320 319\r'),
	('TA', 2622, 'POA', 2599, 'LIM', 2789, 'Y', 0, '319 320\r'),
	('TA', 2622, 'SAL', 1892, 'HAV', 1909, '', 0, '319 320\r'),
	('TA', 2622, 'SAL', 1892, 'MGA', 1863, '', 0, 'E90 320 319\r'),
	('TCX', 4897, 'ACE', 1055, 'BFS', 465, '', 0, '321\r'),
	('TCX', 4897, 'ACE', 1055, 'BHX', 469, '', 0, '752\r'),
	('TCX', 4897, 'ACE', 1055, 'BRS', 490, '', 0, '320\r'),
	('TCX', 4897, 'ACE', 1055, 'EMA', 523, '', 0, '321\r'),
	('TCX', 4897, 'ACE', 1055, 'GLA', 534, '', 0, '752\r'),
	('TCX', 4897, 'ACE', 1055, 'LGW', 502, '', 0, '752 753\r'),
	('TCX', 4897, 'ACE', 1055, 'MAN', 478, '', 0, '753 321\r'),
	('TCX', 4897, 'ACE', 1055, 'NCL', 521, '', 0, '752\r'),
	('TCX', 4897, 'AYT', 1688, 'BHX', 469, '', 0, '752\r'),
	('TCX', 4897, 'AYT', 1688, 'GLA', 534, '', 0, '752\r'),
	('TCX', 4897, 'AYT', 1688, 'LGW', 502, '', 0, '753 752 332\r'),
	('TCX', 4897, 'AYT', 1688, 'MAN', 478, '', 0, '321\r'),
	('TCX', 4897, 'BFS', 465, 'DLM', 1715, '', 0, '321\r'),
	('TCX', 4897, 'BFS', 465, 'LCA', 1197, '', 0, '321\r'),
	('TCX', 4897, 'BFS', 465, 'NBE', 7447, '', 0, '321\r'),
	('TCX', 4897, 'BFS', 465, 'PMI', 3998, '', 0, '321\r'),
	('TCX', 4897, 'BFS', 465, 'TFS', 1056, '', 0, '321\r'),
	('TCX', 4897, 'BHX', 469, 'ACE', 1055, '', 0, '752\r'),
	('TCX', 4897, 'BHX', 469, 'AYT', 1688, '', 0, '752\r'),
	('TCX', 4897, 'BHX', 469, 'DLM', 1715, '', 0, '752\r'),
	('TCX', 4897, 'BHX', 469, 'FUE', 1051, '', 0, '752\r'),
	('TCX', 4897, 'BHX', 469, 'LCA', 1197, '', 0, '752\r'),
	('TCX', 4897, 'BHX', 469, 'NBE', 7447, '', 0, '752\r'),
	('TCX', 4897, 'BHX', 469, 'PMI', 3998, '', 0, '752\r'),
	('TCX', 4897, 'BHX', 469, 'TFS', 1056, '', 0, '752 321\r'),
	('TCX', 4897, 'BJV', 4315, 'MAN', 478, '', 0, '321\r'),
	('TCX', 4897, 'BRS', 490, 'ACE', 1055, '', 0, '320\r'),
	('TCX', 4897, 'BRS', 490, 'AYT', 1688, '', 0, '320\r'),
	('TCX', 4897, 'BRS', 490, 'DLM', 1715, '', 0, '320\r'),
	('TCX', 4897, 'BRS', 490, 'LPA', 1054, '', 0, '320\r'),
	('TCX', 4897, 'BRS', 490, 'NBE', 7447, '', 0, '320\r'),
	('TCX', 4897, 'BRS', 490, 'PMI', 3998, '', 0, '320\r'),
	('TCX', 4897, 'BRS', 490, 'TFS', 1056, '', 0, '320\r'),
	('TCX', 4897, 'CUN', 1852, 'LGW', 502, '', 0, '332\r'),
	('TCX', 4897, 'CUN', 1852, 'MAN', 478, '', 0, '332\r'),
	('TCX', 4897, 'DLM', 1715, 'BFS', 465, '', 0, '321\r'),
	('TCX', 4897, 'DLM', 1715, 'BHX', 469, '', 0, '752\r'),
	('TCX', 4897, 'DLM', 1715, 'BRS', 490, '', 0, '320\r'),
	('TCX', 4897, 'DLM', 1715, 'GLA', 534, '', 0, '752\r'),
	('TCX', 4897, 'DLM', 1715, 'LGW', 502, '', 0, '752 321 753\r'),
	('TCX', 4897, 'DLM', 1715, 'MAN', 478, '', 0, '332 321 763\r'),
	('TCX', 4897, 'DLM', 1715, 'NCL', 521, '', 0, '752\r'),
	('TCX', 4897, 'EMA', 523, 'ACE', 1055, '', 0, '321\r'),
	('TCX', 4897, 'EMA', 523, 'DLM', 1715, '', 0, '321\r'),
	('TCX', 4897, 'EMA', 523, 'FUE', 1051, '', 0, '321\r'),
	('TCX', 4897, 'EMA', 523, 'NBE', 7447, '', 0, '321\r'),
	('TCX', 4897, 'EMA', 523, 'TFS', 1056, '', 0, '321\r'),
	('TCX', 4897, 'FUE', 1051, 'BHX', 469, '', 0, '752\r'),
	('TCX', 4897, 'FUE', 1051, 'EMA', 523, '', 0, '321\r'),
	('TCX', 4897, 'FUE', 1051, 'GLA', 534, '', 0, '752\r'),
	('TCX', 4897, 'FUE', 1051, 'LGW', 502, '', 0, '753 752\r'),
	('TCX', 4897, 'GLA', 534, 'ACE', 1055, '', 0, '752\r'),
	('TCX', 4897, 'GLA', 534, 'AYT', 1688, '', 0, '752\r'),
	('TCX', 4897, 'GLA', 534, 'DLM', 1715, '', 0, '752\r'),
	('TCX', 4897, 'GLA', 534, 'FUE', 1051, '', 0, '752\r'),
	('TCX', 4897, 'GLA', 534, 'LPA', 1054, '', 0, '752\r'),
	('TCX', 4897, 'GLA', 534, 'NBE', 7447, '', 0, '752\r'),
	('TCX', 4897, 'GLA', 534, 'TFS', 1056, '', 0, '752\r'),
	('TCX', 4897, 'HOG', 1910, 'MAN', 478, '', 0, '332\r'),
	('TCX', 4897, 'HRG', 1130, 'LGW', 502, '', 0, '752 753\r'),
	('TCX', 4897, 'HRG', 1130, 'MAN', 478, '', 0, '763\r'),
	('TCX', 4897, 'LAS', 3877, 'MAN', 478, '', 0, '332\r'),
	('TCX', 4897, 'LCA', 1197, 'LGW', 502, '', 0, '752\r'),
	('TCX', 4897, 'LCA', 1197, 'MAN', 478, '', 0, '321\r'),
	('TCX', 4897, 'LGW', 502, 'ACE', 1055, '', 0, '752 753\r'),
	('TCX', 4897, 'LGW', 502, 'AYT', 1688, '', 0, '753 752 332\r'),
	('TCX', 4897, 'LGW', 502, 'DLM', 1715, '', 0, '752 321 753\r'),
	('TCX', 4897, 'LGW', 502, 'FUE', 1051, '', 0, '753 752\r'),
	('TCX', 4897, 'LGW', 502, 'HRG', 1130, '', 0, '752 753\r'),
	('TCX', 4897, 'LGW', 502, 'LCA', 1197, '', 0, '752\r'),
	('TCX', 4897, 'LGW', 502, 'LPA', 1054, '', 0, '321\r'),
	('TCX', 4897, 'LGW', 502, 'NBE', 7447, '', 0, '752 321\r'),
	('TCX', 4897, 'LGW', 502, 'PMI', 3998, '', 0, '321\r'),
	('TCX', 4897, 'LGW', 502, 'SSH', 4057, '', 0, '753\r'),
	('TCX', 4897, 'LGW', 502, 'TFS', 1056, '', 0, '752\r'),
	('TCX', 4897, 'LPA', 1054, 'BRS', 490, '', 0, '320\r'),
	('TCX', 4897, 'LPA', 1054, 'EMA', 523, '', 0, '321\r'),
	('TCX', 4897, 'LPA', 1054, 'GLA', 534, '', 0, '752\r'),
	('TCX', 4897, 'LPA', 1054, 'LGW', 502, '', 0, '321\r'),
	('TCX', 4897, 'LPA', 1054, 'MAN', 478, '', 0, '321\r'),
	('TCX', 4897, 'MAN', 478, 'ACE', 1055, '', 0, '753\r'),
	('TCX', 4897, 'MAN', 478, 'AYT', 1688, '', 0, '321\r'),
	('TCX', 4897, 'MAN', 478, 'BJV', 4315, '', 0, '321\r'),
	('TCX', 4897, 'MAN', 478, 'CCC', 5852, '', 0, '332\r'),
	('TCX', 4897, 'MAN', 478, 'CUN', 1852, '', 0, '332\r'),
	('TCX', 4897, 'MAN', 478, 'DLM', 1715, '', 0, '332 321 752 763\r'),
	('TCX', 4897, 'MAN', 478, 'HRG', 1130, '', 0, '763\r'),
	('TCX', 4897, 'MAN', 478, 'LAS', 3877, '', 0, '332\r'),
	('TCX', 4897, 'MAN', 478, 'LCA', 1197, '', 0, '321\r'),
	('TCX', 4897, 'MAN', 478, 'LPA', 1054, '', 0, '321\r'),
	('TCX', 4897, 'MAN', 478, 'MLA', 1606, '', 0, '321\r'),
	('TCX', 4897, 'MAN', 478, 'NBE', 7447, '', 0, '321 753\r'),
	('TCX', 4897, 'MAN', 478, 'PFO', 1198, '', 0, '321\r'),
	('TCX', 4897, 'MAN', 478, 'PMI', 3998, '', 0, '321\r'),
	('TCX', 4897, 'MAN', 478, 'SSH', 4057, '', 0, '763\r'),
	('TCX', 4897, 'MAN', 478, 'TFS', 1056, '', 0, '753 321\r'),
	('TCX', 4897, 'MLA', 1606, 'MAN', 478, '', 0, '321\r'),
	('TCX', 4897, 'NBE', 7447, 'BRS', 490, '', 0, '320\r'),
	('TCX', 4897, 'NBE', 7447, 'EMA', 523, '', 0, '321\r'),
	('TCX', 4897, 'NBE', 7447, 'GLA', 534, '', 0, '752\r'),
	('TCX', 4897, 'NBE', 7447, 'LGW', 502, '', 0, '752\r'),
	('TCX', 4897, 'NBE', 7447, 'MAN', 478, '', 0, '321 753\r'),
	('TCX', 4897, 'NBE', 7447, 'NCL', 521, '', 0, '752 321\r'),
	('TCX', 4897, 'NCL', 521, 'ACE', 1055, '', 0, '752\r'),
	('TCX', 4897, 'NCL', 521, 'DLM', 1715, '', 0, '752\r'),
	('TCX', 4897, 'NCL', 521, 'FUE', 1051, '', 0, '752\r'),
	('TCX', 4897, 'NCL', 521, 'NBE', 7447, '', 0, '752 321\r'),
	('TCX', 4897, 'NCL', 521, 'SSH', 4057, '', 0, '752\r'),
	('TCX', 4897, 'NCL', 521, 'TFS', 1056, '', 0, '752\r'),
	('TCX', 4897, 'PMI', 3998, 'BHX', 469, '', 0, '752\r'),
	('TCX', 4897, 'PMI', 3998, 'LGW', 502, '', 0, '321\r'),
	('TCX', 4897, 'PMI', 3998, 'MAN', 478, '', 0, '321\r'),
	('TCX', 4897, 'SSH', 4057, 'BHX', 469, '', 0, '752\r'),
	('TCX', 4897, 'SSH', 4057, 'LGW', 502, '', 0, '753\r'),
	('TCX', 4897, 'SSH', 4057, 'MAN', 478, '', 0, '763\r'),
	('TCX', 4897, 'SSH', 4057, 'NCL', 521, '', 0, '752\r'),
	('TCX', 4897, 'TFS', 1056, 'BFS', 465, '', 0, '321\r'),
	('TCX', 4897, 'TFS', 1056, 'BHX', 469, '', 0, '752\r'),
	('TCX', 4897, 'TFS', 1056, 'BRS', 490, '', 0, '320\r'),
	('TCX', 4897, 'TFS', 1056, 'EMA', 523, '', 0, '321\r'),
	('TCX', 4897, 'TFS', 1056, 'GLA', 534, '', 0, '752\r'),
	('TCX', 4897, 'TFS', 1056, 'LGW', 502, '', 0, '752\r'),
	('TCX', 4897, 'TFS', 1056, 'MAN', 478, '', 0, '753 321\r'),
	('TCX', 4897, 'TFS', 1056, 'NCL', 521, '', 0, '752\r'),
	('TCX', 4897, 'VDA', 1602, 'CDG', 1382, '', 0, '321\r'),
	('TD', 1048, 'EVN', 3964, 'PRG', 1587, '', 0, '319\r'),
	('TD', 1048, 'EVN', 3964, 'VIE', 1613, 'Y', 0, '321\r'),
	('TD', 1048, 'PRG', 1587, 'EVN', 3964, '', 0, '319\r'),
	('TD', 1048, 'VIE', 1613, 'EVN', 3964, 'Y', 0, '321\r'),
	('TE', 2418, 'CAW', 2543, 'MEA', 6037, '', 0, 'L4T\r'),
	('TE', 2418, 'CAW', 2543, 'SDU', 2612, '', 0, 'L4T\r'),
	('TE', 2418, 'CAW', 2543, 'VIX', 2638, '', 0, 'L4T\r'),
	('TE', 2418, 'CFB', 7364, 'SDU', 2612, '', 0, 'L4T\r'),
	('TE', 2418, 'MEA', 6037, 'CAW', 2543, '', 0, 'L4T\r'),
	('TE', 2418, 'MEA', 6037, 'SDU', 2612, '', 0, 'L4T\r'),
	('TE', 2418, 'SDU', 2612, 'CFB', 7364, '', 0, 'L4T\r'),
	('TE', 2418, 'SDU', 2612, 'MEA', 6037, '', 0, 'L4T\r'),
	('TE', 2418, 'SDU', 2612, 'SJK', 2615, '', 0, 'L4T\r'),
	('TE', 2418, 'SJK', 2615, 'SDU', 2612, '', 0, 'L4T\r'),
	('TE', 2418, 'VIX', 2638, 'CAW', 2543, '', 0, 'L4T\r'),
	('TF', 3386, 'AGH', 5597, 'BMA', 738, 'Y', 0, 'AT7\r'),
	('TF', 3386, 'BMA', 738, 'AGH', 5597, 'Y', 0, 'AT7\r'),
	('TF', 3386, 'BMA', 738, 'BRU', 302, 'Y', 0, 'AR1\r'),
	('TF', 3386, 'BMA', 738, 'GOT', 687, '', 0, 'AR1 AR8\r'),
	('TF', 3386, 'BMA', 738, 'HAD', 709, 'Y', 0, 'AT7\r'),
	('TF', 3386, 'BMA', 738, 'HEL', 421, 'Y', 0, 'ATR AT7\r'),
	('TF', 3386, 'BMA', 738, 'KLR', 707, 'Y', 0, 'S20\r'),
	('TF', 3386, 'BMA', 738, 'MMX', 708, '', 0, 'AR1 AR8\r'),
	('TF', 3386, 'BMA', 738, 'OSD', 5593, '', 0, 'S20\r'),
	('TF', 3386, 'BMA', 738, 'RNB', 685, 'Y', 0, 'S20\r'),
	('TF', 3386, 'BMA', 738, 'SDL', 721, 'Y', 0, 'S20\r'),
	('TF', 3386, 'BMA', 738, 'UME', 728, '', 0, 'AR1 AR8\r'),
	('TF', 3386, 'BMA', 738, 'VBY', 746, 'Y', 0, 'AT7 AR1\r'),
	('TF', 3386, 'BMA', 738, 'VXO', 711, 'Y', 0, 'S20\r'),
	('TF', 3386, 'BRU', 302, 'BMA', 738, 'Y', 0, 'AR1\r'),
	('TF', 3386, 'BRU', 302, 'CPH', 609, 'Y', 0, 'AR1\r'),
	('TF', 3386, 'BRU', 302, 'GOT', 687, 'Y', 0, 'AR1\r'),
	('TF', 3386, 'CPH', 609, 'BRU', 302, 'Y', 0, 'AR1\r'),
	('TF', 3386, 'GOT', 687, 'BMA', 738, '', 0, 'AR8 AR1\r'),
	('TF', 3386, 'GOT', 687, 'BRU', 302, 'Y', 0, 'AR1\r'),
	('TF', 3386, 'GSE', 691, 'VBY', 746, 'Y', 0, 'AT7\r'),
	('TF', 3386, 'HAD', 709, 'BMA', 738, 'Y', 0, 'AT7\r'),
	('TF', 3386, 'HEL', 421, 'BMA', 738, 'Y', 0, 'ATR AT7\r'),
	('TF', 3386, 'KLR', 707, 'BMA', 738, 'Y', 0, 'S20\r'),
	('TF', 3386, 'MMX', 708, 'BMA', 738, '', 0, 'AR8 AR1\r'),
	('TF', 3386, 'MMX', 708, 'VBY', 746, 'Y', 0, 'AT7\r'),
	('TF', 3386, 'OSD', 5593, 'BMA', 738, '', 0, 'S20\r'),
	('TF', 3386, 'RNB', 685, 'BMA', 738, 'Y', 0, 'S20\r'),
	('TF', 3386, 'SDL', 721, 'BMA', 738, 'Y', 0, 'S20\r'),
	('TF', 3386, 'TXL', 351, 'UME', 728, '', 0, 'AR1\r'),
	('TF', 3386, 'UME', 728, 'BMA', 738, '', 0, 'AR1 AR8\r'),
	('TF', 3386, 'UME', 728, 'TXL', 351, '', 0, 'AR1\r'),
	('TF', 3386, 'VBY', 746, 'BMA', 738, 'Y', 0, 'AT7 AR1\r'),
	('TF', 3386, 'VBY', 746, 'GSE', 691, 'Y', 0, 'AT7\r'),
	('TF', 3386, 'VBY', 746, 'MMX', 708, 'Y', 0, 'AT7\r'),
	('TF', 3386, 'VXO', 711, 'BMA', 738, 'Y', 0, 'S20\r'),
	('TG', 4940, 'AKL', 2006, 'BKK', 3885, '', 0, '777\r'),
	('TG', 4940, 'ARN', 737, 'BKK', 3885, '', 0, '773\r'),
	('TG', 4940, 'ARN', 737, 'LHR', 507, 'Y', 0, '73W 736\r'),
	('TG', 4940, 'ARN', 737, 'MAN', 478, 'Y', 0, '736\r'),
	('TG', 4940, 'ARN', 737, 'TKU', 460, 'Y', 0, 'AT7\r'),
	('TG', 4940, 'ARN', 737, 'TMP', 458, 'Y', 0, 'S20\r'),
	('TG', 4940, 'ARN', 737, 'VAA', 462, 'Y', 0, 'S20\r'),
	('TG', 4940, 'BAH', 2057, 'BKK', 3885, 'Y', 0, '332 330\r'),
	('TG', 4940, 'BGO', 636, 'OSL', 644, 'Y', 0, '73W\r'),
	('TG', 4940, 'BKK', 3885, 'AKL', 2006, '', 0, '777\r'),
	('TG', 4940, 'BKK', 3885, 'ARN', 737, '', 0, '773\r'),
	('TG', 4940, 'BKK', 3885, 'BAH', 2057, 'Y', 0, '332 330\r'),
	('TG', 4940, 'BKK', 3885, 'BLR', 3131, '', 0, '330\r'),
	('TG', 4940, 'BKK', 3885, 'BNE', 3320, '', 0, '773\r'),
	('TG', 4940, 'BKK', 3885, 'BOM', 2997, '', 0, '777\r'),
	('TG', 4940, 'BKK', 3885, 'BRU', 302, '', 0, '773\r'),
	('TG', 4940, 'BKK', 3885, 'BWN', 3272, 'Y', 0, '319 320\r'),
	('TG', 4940, 'BKK', 3885, 'CAI', 1128, '', 0, '773\r'),
	('TG', 4940, 'BKK', 3885, 'CAN', 3370, '', 0, '330\r'),
	('TG', 4940, 'BKK', 3885, 'CCU', 3043, '', 0, '333\r'),
	('TG', 4940, 'BKK', 3885, 'CDG', 1382, '', 0, '380\r'),
	('TG', 4940, 'BKK', 3885, 'CEI', 3932, '', 0, '734\r'),
	('TG', 4940, 'BKK', 3885, 'CGK', 3275, '', 0, '330\r'),
	('TG', 4940, 'BKK', 3885, 'CKG', 3393, '', 0, '320\r'),
	('TG', 4940, 'BKK', 3885, 'CMB', 3024, '', 0, '320\r'),
	('TG', 4940, 'BKK', 3885, 'CNX', 3931, '', 0, '320 747 AB6 734 333 773 777\r'),
	('TG', 4940, 'BKK', 3885, 'CPH', 609, '', 0, '773\r'),
	('TG', 4940, 'BKK', 3885, 'CTS', 2287, '', 0, '773\r'),
	('TG', 4940, 'BKK', 3885, 'CTU', 3395, '', 0, '333\r'),
	('TG', 4940, 'BKK', 3885, 'DAC', 3076, '', 0, '777\r'),
	('TG', 4940, 'BKK', 3885, 'DEL', 3093, '', 0, '744 320\r'),
	('TG', 4940, 'BKK', 3885, 'DME', 4029, '', 0, '777\r'),
	('TG', 4940, 'BKK', 3885, 'DPS', 3940, '', 0, '777\r'),
	('TG', 4940, 'BKK', 3885, 'DXB', 2188, '', 0, '330\r'),
	('TG', 4940, 'BKK', 3885, 'FCO', 1555, '', 0, '744\r'),
	('TG', 4940, 'BKK', 3885, 'FRA', 340, '', 0, '380 346\r'),
	('TG', 4940, 'BKK', 3885, 'FUK', 2305, '', 0, '330\r'),
	('TG', 4940, 'BKK', 3885, 'HAN', 3199, '', 0, '333 330\r'),
	('TG', 4940, 'BKK', 3885, 'HDY', 3181, '', 0, '32S 320\r'),
	('TG', 4940, 'BKK', 3885, 'HKG', 3077, '', 0, '744 777 330 747\r'),
	('TG', 4940, 'BKK', 3885, 'HKT', 3179, '', 0, '744 333 AB6 773 747 320 330\r'),
	('TG', 4940, 'BKK', 3885, 'HND', 2359, '', 0, '744\r'),
	('TG', 4940, 'BKK', 3885, 'HYD', 3141, '', 0, '320\r'),
	('TG', 4940, 'BKK', 3885, 'ICN', 3930, '', 0, '773 777\r'),
	('TG', 4940, 'BKK', 3885, 'ISB', 2223, '', 0, '333\r'),
	('TG', 4940, 'BKK', 3885, 'IST', 1701, 'Y', 0, '77W 330\r'),
	('TG', 4940, 'BKK', 3885, 'JNB', 813, '', 0, '777\r'),
	('TG', 4940, 'BKK', 3885, 'KBV', 3174, '', 0, '333 32S\r'),
	('TG', 4940, 'BKK', 3885, 'KHI', 2206, '', 0, '333\r'),
	('TG', 4940, 'BKK', 3885, 'KIX', 3992, '', 0, '773 380\r'),
	('TG', 4940, 'BKK', 3885, 'KKC', 3938, '', 0, '32S AB6\r'),
	('TG', 4940, 'BKK', 3885, 'KMG', 3382, '', 0, '333\r'),
	('TG', 4940, 'BKK', 3885, 'KTM', 3125, '', 0, '777\r'),
	('TG', 4940, 'BKK', 3885, 'KUL', 3304, '', 0, '330 333\r'),
	('TG', 4940, 'BKK', 3885, 'LHE', 2207, '', 0, '333\r'),
	('TG', 4940, 'BKK', 3885, 'LHR', 507, '', 0, '747 346\r'),
	('TG', 4940, 'BKK', 3885, 'MAA', 3144, '', 0, '333\r'),
	('TG', 4940, 'BKK', 3885, 'MAD', 1229, '', 0, '777\r'),
	('TG', 4940, 'BKK', 3885, 'MEL', 3339, '', 0, '773 777\r'),
	('TG', 4940, 'BKK', 3885, 'MFM', 3121, '', 0, '320\r'),
	('TG', 4940, 'BKK', 3885, 'MNL', 2397, '', 0, '777\r'),
	('TG', 4940, 'BKK', 3885, 'MUC', 346, '', 0, '747\r'),
	('TG', 4940, 'BKK', 3885, 'MXP', 1524, '', 0, '744\r'),
	('TG', 4940, 'BKK', 3885, 'NGO', 3942, '', 0, '773 777\r'),
	('TG', 4940, 'BKK', 3885, 'NRT', 2279, '', 0, '380 330\r'),
	('TG', 4940, 'BKK', 3885, 'OSL', 644, '', 0, '773\r'),
	('TG', 4940, 'BKK', 3885, 'PEK', 3364, '', 0, '773 330\r'),
	('TG', 4940, 'BKK', 3885, 'PEN', 3308, '', 0, '734\r'),
	('TG', 4940, 'BKK', 3885, 'PER', 3351, '', 0, '330\r'),
	('TG', 4940, 'BKK', 3885, 'PNH', 3034, '', 0, '320\r'),
	('TG', 4940, 'BKK', 3885, 'PUS', 2372, '', 0, '330\r'),
	('TG', 4940, 'BKK', 3885, 'PVG', 3406, '', 0, '330 773\r'),
	('TG', 4940, 'BKK', 3885, 'RGN', 3239, '', 0, '330 AB6 333\r'),
	('TG', 4940, 'BKK', 3885, 'SGN', 3205, '', 0, '777\r'),
	('TG', 4940, 'BKK', 3885, 'SIN', 3316, '', 0, '773 777\r'),
	('TG', 4940, 'BKK', 3885, 'SYD', 3361, '', 0, '747\r'),
	('TG', 4940, 'BKK', 3885, 'TLV', 1590, '', 0, '767 763 744\r'),
	('TG', 4940, 'BKK', 3885, 'TNR', 918, 'Y', 0, '343\r'),
	('TG', 4940, 'BKK', 3885, 'TPE', 2276, '', 0, '330\r'),
	('TG', 4940, 'BKK', 3885, 'UBP', 3937, '', 0, '32S\r'),
	('TG', 4940, 'BKK', 3885, 'URT', 4000, '', 0, '32S\r'),
	('TG', 4940, 'BKK', 3885, 'USM', 3177, '', 0, '734\r'),
	('TG', 4940, 'BKK', 3885, 'UTH', 3183, '', 0, '32S\r'),
	('TG', 4940, 'BKK', 3885, 'VIE', 1613, 'Y', 0, '772\r'),
	('TG', 4940, 'BKK', 3885, 'VTE', 3120, '', 0, '734\r'),
	('TG', 4940, 'BKK', 3885, 'XMN', 3383, '', 0, '333\r'),
	('TG', 4940, 'BKK', 3885, 'ZRH', 1678, '', 0, '346\r'),
	('TG', 4940, 'BLR', 3131, 'BKK', 3885, '', 0, '330\r'),
	('TG', 4940, 'BNE', 3320, 'BKK', 3885, '', 0, '773\r'),
	('TG', 4940, 'BOM', 2997, 'BKK', 3885, '', 0, '777\r'),
	('TG', 4940, 'BRU', 302, 'BKK', 3885, '', 0, '773\r'),
	('TG', 4940, 'BRU', 302, 'LIS', 1638, '', 0, '320 321\r'),
	('TG', 4940, 'BWN', 3272, 'BKK', 3885, 'Y', 0, '319 320\r'),
	('TG', 4940, 'CAI', 1128, 'BKK', 3885, '', 0, '773\r'),
	('TG', 4940, 'CAN', 3370, 'BKK', 3885, '', 0, '330\r'),
	('TG', 4940, 'CCU', 3043, 'BKK', 3885, '', 0, '333\r'),
	('TG', 4940, 'CDG', 1382, 'BKK', 3885, '', 0, '380\r'),
	('TG', 4940, 'CEI', 3932, 'BKK', 3885, '', 0, '734\r'),
	('TG', 4940, 'CGK', 3275, 'BKK', 3885, '', 0, '330\r'),
	('TG', 4940, 'CKG', 3393, 'BKK', 3885, '', 0, '320\r'),
	('TG', 4940, 'CMB', 3024, 'BKK', 3885, '', 0, '320\r'),
	('TG', 4940, 'CNX', 3931, 'BKK', 3885, '', 0, 'AB6 747 734 320 333 773 777\r'),
	('TG', 4940, 'CNX', 3931, 'HKT', 3179, '', 0, '320\r'),
	('TG', 4940, 'CPH', 609, 'BKK', 3885, '', 0, '773\r'),
	('TG', 4940, 'CPH', 609, 'MAN', 478, 'Y', 0, '320 717 CR9\r'),
	('TG', 4940, 'CPH', 609, 'TRD', 665, 'Y', 0, 'CR9\r'),
	('TG', 4940, 'CTS', 2287, 'BKK', 3885, '', 0, '773\r'),
	('TG', 4940, 'CTU', 3395, 'BKK', 3885, '', 0, '333\r'),
	('TG', 4940, 'DAC', 3076, 'BKK', 3885, '', 0, '777\r'),
	('TG', 4940, 'DEL', 3093, 'BKK', 3885, '', 0, '320 744\r'),
	('TG', 4940, 'DME', 4029, 'BKK', 3885, '', 0, '777\r'),
	('TG', 4940, 'DPS', 3940, 'BKK', 3885, '', 0, '777\r'),
	('TG', 4940, 'DXB', 2188, 'BKK', 3885, '', 0, '330\r'),
	('TG', 4940, 'FCO', 1555, 'BKK', 3885, '', 0, '744\r'),
	('TG', 4940, 'FRA', 340, 'BKK', 3885, '', 0, '380 346\r'),
	('TG', 4940, 'FUK', 2305, 'BKK', 3885, '', 0, '330\r'),
	('TG', 4940, 'HAN', 3199, 'BKK', 3885, '', 0, '333 330\r'),
	('TG', 4940, 'HDY', 3181, 'BKK', 3885, '', 0, '32S 320\r'),
	('TG', 4940, 'HKG', 3077, 'AKL', 2006, 'Y', 0, '772\r'),
	('TG', 4940, 'HKG', 3077, 'BKK', 3885, '', 0, '330 744 777 747\r'),
	('TG', 4940, 'HKG', 3077, 'HKT', 3179, '', 0, '330\r'),
	('TG', 4940, 'HKG', 3077, 'ICN', 3930, '', 0, '777\r'),
	('TG', 4940, 'HKT', 3179, 'BKK', 3885, '', 0, '333 744 330 AB6 773 747 320\r'),
	('TG', 4940, 'HKT', 3179, 'CNX', 3931, '', 0, '320\r'),
	('TG', 4940, 'HKT', 3179, 'HKG', 3077, '', 0, '330\r'),
	('TG', 4940, 'HKT', 3179, 'ICN', 3930, '', 0, '330\r'),
	('TG', 4940, 'HKT', 3179, 'KUL', 3304, 'Y', 0, '738\r'),
	('TG', 4940, 'HND', 2359, 'BKK', 3885, '', 0, '744\r'),
	('TG', 4940, 'HYD', 3141, 'BKK', 3885, '', 0, '320\r'),
	('TG', 4940, 'ICN', 3930, 'BKK', 3885, '', 0, '777 773\r'),
	('TG', 4940, 'ICN', 3930, 'HKG', 3077, '', 0, '777\r'),
	('TG', 4940, 'ICN', 3930, 'HKT', 3179, '', 0, '330\r'),
	('TG', 4940, 'ICN', 3930, 'LAX', 3484, '', 0, '777\r'),
	('TG', 4940, 'ICN', 3930, 'TPE', 2276, '', 0, '330\r'),
	('TG', 4940, 'ISB', 2223, 'BKK', 3885, '', 0, '333\r'),
	('TG', 4940, 'IST', 1701, 'BKK', 3885, 'Y', 0, '77W 330\r'),
	('TG', 4940, 'JNB', 813, 'BKK', 3885, '', 0, '777\r'),
	('TG', 4940, 'KBV', 3174, 'BKK', 3885, '', 0, '333 32S\r'),
	('TG', 4940, 'KHI', 2206, 'BKK', 3885, '', 0, '333\r'),
	('TG', 4940, 'KHI', 2206, 'MCT', 2194, '', 0, '333\r'),
	('TG', 4940, 'KIX', 3992, 'BKK', 3885, '', 0, '773 380\r'),
	('TG', 4940, 'KKC', 3938, 'BKK', 3885, '', 0, '32S AB6\r'),
	('TG', 4940, 'KMG', 3382, 'BKK', 3885, '', 0, '333\r'),
	('TG', 4940, 'KTM', 3125, 'BKK', 3885, '', 0, '777\r'),
	('TG', 4940, 'KUL', 3304, 'BKK', 3885, '', 0, '333 330\r'),
	('TG', 4940, 'KUL', 3304, 'HKT', 3179, 'Y', 0, '738\r'),
	('TG', 4940, 'LAX', 3484, 'ICN', 3930, '', 0, '777\r'),
	('TG', 4940, 'LHE', 2207, 'BKK', 3885, '', 0, '333\r'),
	('TG', 4940, 'LHR', 507, 'ARN', 737, 'Y', 0, '73W 736 73H\r'),
	('TG', 4940, 'LHR', 507, 'BKK', 3885, '', 0, '747 346\r'),
	('TG', 4940, 'LIS', 1638, 'BRU', 302, '', 0, '320 321\r'),
	('TG', 4940, 'MAA', 3144, 'BKK', 3885, '', 0, '333\r'),
	('TG', 4940, 'MAD', 1229, 'BKK', 3885, '', 0, '777\r'),
	('TG', 4940, 'MAD', 1229, 'OPO', 1636, '', 0, 'ER4\r'),
	('TG', 4940, 'MAN', 478, 'ARN', 737, 'Y', 0, '736 73H 717\r'),
	('TG', 4940, 'MAN', 478, 'CPH', 609, 'Y', 0, '320 CR9\r'),
	('TG', 4940, 'MCT', 2194, 'KHI', 2206, '', 0, '333\r'),
	('TG', 4940, 'MEL', 3339, 'BKK', 3885, '', 0, '773 777\r'),
	('TG', 4940, 'MFM', 3121, 'BKK', 3885, '', 0, '320\r'),
	('TG', 4940, 'MNL', 2397, 'BKK', 3885, '', 0, '777\r'),
	('TG', 4940, 'MUC', 346, 'BKK', 3885, '', 0, '747\r'),
	('TG', 4940, 'MXP', 1524, 'BKK', 3885, '', 0, '744\r'),
	('TG', 4940, 'NGO', 3942, 'BKK', 3885, '', 0, '773 777\r'),
	('TG', 4940, 'NRT', 2279, 'BKK', 3885, '', 0, '330 380\r'),
	('TG', 4940, 'OPO', 1636, 'MAD', 1229, '', 0, 'ER4\r'),
	('TG', 4940, 'OSL', 644, 'BKK', 3885, '', 0, '773\r'),
	('TG', 4940, 'PEK', 3364, 'BKK', 3885, '', 0, '330 773\r'),
	('TG', 4940, 'PEN', 3308, 'BKK', 3885, '', 0, '734\r'),
	('TG', 4940, 'PER', 3351, 'BKK', 3885, '', 0, '330\r'),
	('TG', 4940, 'PNH', 3034, 'BKK', 3885, '', 0, '320\r'),
	('TG', 4940, 'PUS', 2372, 'BKK', 3885, '', 0, '330\r'),
	('TG', 4940, 'PVG', 3406, 'BKK', 3885, '', 0, '330 773\r'),
	('TG', 4940, 'RGN', 3239, 'BKK', 3885, '', 0, '330 AB6 333\r'),
	('TG', 4940, 'SGN', 3205, 'BKK', 3885, '', 0, '777\r'),
	('TG', 4940, 'SIN', 3316, 'BKK', 3885, '', 0, '777 773\r'),
	('TG', 4940, 'SVG', 666, 'OSL', 644, 'Y', 0, '736 738 73G\r'),
	('TG', 4940, 'SYD', 3361, 'BKK', 3885, '', 0, '747\r'),
	('TG', 4940, 'TKU', 460, 'ARN', 737, 'Y', 0, 'AT7\r'),
	('TG', 4940, 'TLV', 1590, 'BKK', 3885, '', 0, '763 744\r'),
	('TG', 4940, 'TMP', 458, 'ARN', 737, 'Y', 0, 'S20\r'),
	('TG', 4940, 'TNR', 918, 'BKK', 3885, 'Y', 0, '343\r'),
	('TG', 4940, 'TPE', 2276, 'BKK', 3885, '', 0, '330\r'),
	('TG', 4940, 'TPE', 2276, 'ICN', 3930, '', 0, '330\r'),
	('TG', 4940, 'TRD', 665, 'CPH', 609, 'Y', 0, 'CR9\r'),
	('TG', 4940, 'UBP', 3937, 'BKK', 3885, '', 0, '32S\r'),
	('TG', 4940, 'URT', 4000, 'BKK', 3885, '', 0, '32S\r'),
	('TG', 4940, 'USM', 3177, 'BKK', 3885, '', 0, '734\r'),
	('TG', 4940, 'UTH', 3183, 'BKK', 3885, '', 0, '32S\r'),
	('TG', 4940, 'VAA', 462, 'ARN', 737, 'Y', 0, 'S20\r'),
	('TG', 4940, 'VIE', 1613, 'BKK', 3885, 'Y', 0, '772\r'),
	('TG', 4940, 'VTE', 3120, 'BKK', 3885, '', 0, '734\r'),
	('TG', 4940, 'XMN', 3383, 'BKK', 3885, '', 0, '333\r'),
	('TG', 4940, 'ZRH', 1678, 'BKK', 3885, '', 0, '346\r'),
	('TJ', 18529, 'ACK', 3517, 'HPN', 3589, '', 0, 'PL2\r'),
	('TJ', 18529, 'ACK', 3517, 'TEB', 3624, '', 0, 'PL2\r'),
	('TJ', 18529, 'ANU', 2874, 'SBH', 6460, '', 0, 'CNC PL2\r'),
	('TJ', 18529, 'AXA', 2900, 'SJU', 2890, '', 0, 'PL2\r'),
	('TJ', 18529, 'HPN', 3589, 'ACK', 3517, '', 0, 'PL2\r'),
	('TJ', 18529, 'NEV', 6079, 'SJU', 2890, '', 0, 'PL2\r'),
	('TJ', 18529, 'SBH', 6460, 'ANU', 2874, '', 0, 'CNC PL2\r'),
	('TJ', 18529, 'SBH', 6460, 'SJU', 2890, '', 0, 'PL2 CNC\r'),
	('TJ', 18529, 'SBH', 6460, 'STT', 2883, '', 0, 'CNC PL2\r'),
	('TJ', 18529, 'SJU', 2890, 'AXA', 2900, '', 0, 'PL2\r'),
	('TJ', 18529, 'SJU', 2890, 'NEV', 6079, '', 0, 'PL2\r'),
	('TJ', 18529, 'SJU', 2890, 'SBH', 6460, '', 0, 'PL2\r'),
	('TJ', 18529, 'STT', 2883, 'SBH', 6460, '', 0, 'CNC PL2\r'),
	('TJ', 18529, 'TEB', 3624, 'ACK', 3517, '', 0, 'PL2\r'),
	('TK', 4951, 'AAL', 628, 'BLL', 608, '', 0, '319\r'),
	('TK', 4951, 'AAL', 628, 'IST', 1701, '', 0, '319 738\r'),
	('TK', 4951, 'ABJ', 253, 'IST', 1701, '', 0, '739\r'),
	('TK', 4951, 'ACC', 248, 'ABJ', 253, '', 0, '739\r'),
	('TK', 4951, 'ACC', 248, 'IST', 1701, '', 0, '739\r'),
	('TK', 4951, 'ADA', 1685, 'ESB', 1682, 'Y', 0, '73W 738\r'),
	('TK', 4951, 'ADA', 1685, 'IST', 1701, '', 0, '319 738 320 321 73W 739\r'),
	('TK', 4951, 'ADA', 1685, 'SAW', 4317, 'Y', 0, '738\r'),
	('TK', 4951, 'ADB', 1706, 'ESB', 1682, 'Y', 0, '738 73G\r'),
	('TK', 4951, 'ADB', 1706, 'HAM', 342, '', 0, '320\r'),
	('TK', 4951, 'ADB', 1706, 'IST', 1701, '', 0, '320 738 330 319 739 321 343 73W 77W\r'),
	('TK', 4951, 'ADB', 1706, 'SAW', 4317, '', 0, '738 320\r'),
	('TK', 4951, 'ADD', 1107, 'DLA', 897, 'Y', 0, '763\r'),
	('TK', 4951, 'ADD', 1107, 'HRE', 1005, 'Y', 0, '788\r'),
	('TK', 4951, 'ADD', 1107, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'ADD', 1107, 'JUB', 1173, 'Y', 0, '73W DH8\r'),
	('TK', 4951, 'ADD', 1107, 'SSG', 891, 'Y', 0, '763\r'),
	('TK', 4951, 'ADE', 3977, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'ADF', 5800, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'ADF', 5800, 'IST', 1701, '', 0, '738 320\r'),
	('TK', 4951, 'AER', 2965, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'AGP', 1230, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'AJI', 5799, 'ESB', 1682, 'Y', 0, '73W\r'),
	('TK', 4951, 'AJI', 5799, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'AKL', 2006, 'BKK', 3885, 'Y', 0, '777\r'),
	('TK', 4951, 'ALA', 2908, 'IST', 1701, '', 0, '738 320\r'),
	('TK', 4951, 'ALG', 210, 'IST', 1701, '', 0, '738 321\r'),
	('TK', 4951, 'AMM', 2170, 'IST', 1701, '', 0, '321 320\r'),
	('TK', 4951, 'AMS', 580, 'IST', 1701, '', 0, '343 321 320 330\r'),
	('TK', 4951, 'AMS', 580, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'AOE', 6780, 'BRU', 302, '', 0, '738\r'),
	('TK', 4951, 'AQJ', 2172, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'ARN', 737, 'IST', 1701, '', 0, '738 321\r'),
	('TK', 4951, 'ASB', 2976, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'ASF', 2966, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'ASR', 1696, 'IST', 1701, '', 0, '321 738 320 739 319 73W\r'),
	('TK', 4951, 'ASR', 1696, 'SAW', 4317, 'Y', 0, '73W\r'),
	('TK', 4951, 'ATH', 3941, 'IST', 1701, '', 0, '321 738 320\r'),
	('TK', 4951, 'ATL', 3682, 'YYZ', 193, 'Y', 0, 'CRA\r'),
	('TK', 4951, 'AUH', 2179, 'IST', 1701, '', 0, '321 738\r'),
	('TK', 4951, 'AYT', 1688, 'BGW', 4130, '', 0, '738\r'),
	('TK', 4951, 'AYT', 1688, 'EBL', 3989, '', 0, '738\r'),
	('TK', 4951, 'AYT', 1688, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'AYT', 1688, 'HAM', 342, '', 0, '320\r'),
	('TK', 4951, 'AYT', 1688, 'IST', 1701, '', 0, '738 321 319 320 739\r'),
	('TK', 4951, 'AYT', 1688, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'AYT', 1688, 'VKO', 2988, '', 0, '321\r'),
	('TK', 4951, 'BAH', 2057, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'BAH', 2057, 'MCT', 2194, '', 0, '321\r'),
	('TK', 4951, 'BAL', 1729, 'ESB', 1682, 'Y', 0, '73W\r'),
	('TK', 4951, 'BAL', 1729, 'IST', 1701, '', 0, '320 319\r'),
	('TK', 4951, 'BCN', 1218, 'IST', 1701, '', 0, '320 332 321 738 330\r'),
	('TK', 4951, 'BEG', 1739, 'IST', 1701, '', 0, '738 319 321\r'),
	('TK', 4951, 'BEN', 1154, 'IST', 1701, '', 0, '738 739\r'),
	('TK', 4951, 'BEY', 2177, 'IST', 1701, '', 0, '321 739 738\r'),
	('TK', 4951, 'BGG', 9272, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'BGG', 9272, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'BGW', 4130, 'AYT', 1688, '', 0, '738\r'),
	('TK', 4951, 'BGW', 4130, 'ESB', 1682, '', 0, '738\r'),
	('TK', 4951, 'BGW', 4130, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'BHX', 469, 'IST', 1701, '', 0, '739 738\r'),
	('TK', 4951, 'BIO', 1216, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'BIO', 1216, 'SCQ', 1243, '', 0, '320\r'),
	('TK', 4951, 'BJV', 4315, 'ESB', 1682, 'Y', 0, '73G\r'),
	('TK', 4951, 'BJV', 4315, 'IST', 1701, '', 0, '738 321 320\r'),
	('TK', 4951, 'BJV', 4315, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'BKK', 3885, 'AKL', 2006, 'Y', 0, '777\r'),
	('TK', 4951, 'BKK', 3885, 'BNE', 3320, 'Y', 0, '773\r'),
	('TK', 4951, 'BKK', 3885, 'HKG', 3077, 'Y', 0, '747\r'),
	('TK', 4951, 'BKK', 3885, 'IST', 1701, '', 0, '77W 330\r'),
	('TK', 4951, 'BKK', 3885, 'KUL', 3304, 'Y', 0, '330\r'),
	('TK', 4951, 'BKK', 3885, 'MEL', 3339, 'Y', 0, '777\r'),
	('TK', 4951, 'BKK', 3885, 'PER', 3351, 'Y', 0, '330\r'),
	('TK', 4951, 'BKK', 3885, 'SGN', 3205, '', 0, '77W\r'),
	('TK', 4951, 'BKK', 3885, 'SYD', 3361, 'Y', 0, '747\r'),
	('TK', 4951, 'BLL', 608, 'AAL', 628, '', 0, '319 738\r'),
	('TK', 4951, 'BLL', 608, 'IST', 1701, '', 0, '319 738\r'),
	('TK', 4951, 'BLQ', 1538, 'IST', 1701, '', 0, '320 321\r'),
	('TK', 4951, 'BNE', 3320, 'BKK', 3885, 'Y', 0, '773\r'),
	('TK', 4951, 'BOM', 2997, 'IST', 1701, '', 0, '77W\r'),
	('TK', 4951, 'BRE', 353, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'BRU', 302, 'AOE', 6780, '', 0, '738\r'),
	('TK', 4951, 'BRU', 302, 'IST', 1701, '', 0, '738 321 343 320 330\r'),
	('TK', 4951, 'BRU', 302, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'BSL', 4053, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'BSR', 2234, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'BUD', 1489, 'IST', 1701, '', 0, '321 738 320 319 739\r'),
	('TK', 4951, 'BUS', 3971, 'IST', 1701, '', 0, '738 73W 319\r'),
	('TK', 4951, 'CAI', 1128, 'IST', 1701, '', 0, '320 738 321 739 319\r'),
	('TK', 4951, 'CAI', 1128, 'JUB', 1173, 'Y', 0, '320\r'),
	('TK', 4951, 'CAN', 3370, 'IST', 1701, '', 0, '330 343\r'),
	('TK', 4951, 'CDG', 1382, 'IST', 1701, '', 0, '320 330 321 332 77W 738\r'),
	('TK', 4951, 'CDG', 1382, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'CGK', 3275, 'SIN', 3316, '', 0, '330\r'),
	('TK', 4951, 'CGN', 344, 'IST', 1701, '', 0, '320 321\r'),
	('TK', 4951, 'CKZ', 6781, 'ESB', 1682, 'Y', 0, '73G\r'),
	('TK', 4951, 'CMB', 3024, 'MLE', 3156, '', 0, '330\r'),
	('TK', 4951, 'CMN', 1074, 'IST', 1701, '', 0, '330 332 343\r'),
	('TK', 4951, 'CND', 1651, 'IST', 1701, '', 0, '738 319\r'),
	('TK', 4951, 'CPH', 609, 'IST', 1701, '', 0, '738 321\r'),
	('TK', 4951, 'CPT', 797, 'JNB', 813, '', 0, '330\r'),
	('TK', 4951, 'DAC', 3076, 'IST', 1701, '', 0, '332\r'),
	('TK', 4951, 'DAR', 1177, 'IST', 1701, '', 0, '739\r'),
	('TK', 4951, 'DEL', 3093, 'IST', 1701, '', 0, '330\r'),
	('TK', 4951, 'DIY', 1722, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'DIY', 1722, 'IST', 1701, '', 0, '319 738 321 320 73W\r'),
	('TK', 4951, 'DIY', 1722, 'SAW', 4317, 'Y', 0, '738\r'),
	('TK', 4951, 'DKR', 1084, 'IST', 1701, '', 0, '739\r'),
	('TK', 4951, 'DLA', 897, 'ADD', 1107, 'Y', 0, '763\r'),
	('TK', 4951, 'DLA', 897, 'IST', 1701, '', 0, '739\r'),
	('TK', 4951, 'DLA', 897, 'LBV', 970, '', 0, '739\r'),
	('TK', 4951, 'DLA', 897, 'SSG', 891, 'Y', 0, '763\r'),
	('TK', 4951, 'DLM', 1715, 'IST', 1701, '', 0, '320 321 738\r'),
	('TK', 4951, 'DMM', 2064, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'DNK', 2941, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'DNZ', 1699, 'IST', 1701, '', 0, '738 73W 320 319\r'),
	('TK', 4951, 'DOH', 2241, 'IST', 1701, '', 0, '321 738\r'),
	('TK', 4951, 'DOK', 2940, 'IST', 1701, '', 0, '319 73W 738\r'),
	('TK', 4951, 'DUB', 599, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'DUS', 345, 'IST', 1701, '', 0, '738 330 321 332 343\r'),
	('TK', 4951, 'DUS', 345, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'DXB', 2188, 'IST', 1701, '', 0, '332 343 77W 321\r'),
	('TK', 4951, 'DYU', 2979, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'EBB', 1187, 'IST', 1701, '', 0, '739\r'),
	('TK', 4951, 'EBL', 3989, 'AYT', 1688, '', 0, '738\r'),
	('TK', 4951, 'EBL', 3989, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'ECN', 5780, 'ESB', 1682, '', 0, '738\r'),
	('TK', 4951, 'ECN', 5780, 'IST', 1701, '', 0, '738 321 320\r'),
	('TK', 4951, 'ECN', 5780, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'EDI', 535, 'IST', 1701, '', 0, '738 739\r'),
	('TK', 4951, 'ELQ', 2067, 'IST', 1701, '', 0, '319 73W\r'),
	('TK', 4951, 'ERC', 1723, 'ESB', 1682, 'Y', 0, '73W\r'),
	('TK', 4951, 'ERC', 1723, 'IST', 1701, '', 0, '320 738\r'),
	('TK', 4951, 'ERZ', 1724, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'ERZ', 1724, 'IST', 1701, '', 0, '321 738 320\r'),
	('TK', 4951, 'ERZ', 1724, 'SAW', 4317, 'Y', 0, '73W 738\r'),
	('TK', 4951, 'ESB', 1682, 'ADA', 1685, 'Y', 0, '738 73W\r'),
	('TK', 4951, 'ESB', 1682, 'ADB', 1706, 'Y', 0, '738 73G\r'),
	('TK', 4951, 'ESB', 1682, 'ADF', 5800, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'AJI', 5799, 'Y', 0, '73W\r'),
	('TK', 4951, 'ESB', 1682, 'AYT', 1688, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'BAL', 1729, 'Y', 0, '73W\r'),
	('TK', 4951, 'ESB', 1682, 'BGG', 9272, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'BGW', 4130, '', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'BJV', 4315, 'Y', 0, '73G\r'),
	('TK', 4951, 'ESB', 1682, 'CKZ', 6781, 'Y', 0, '73G\r'),
	('TK', 4951, 'ESB', 1682, 'DIY', 1722, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'ECN', 5780, '', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'ERC', 1723, 'Y', 0, '73W\r'),
	('TK', 4951, 'ESB', 1682, 'ERZ', 1724, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'EZS', 1721, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'FRA', 340, '', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'GNY', 9044, 'Y', 0, '73W 738\r'),
	('TK', 4951, 'ESB', 1682, 'GZP', 8266, 'Y', 0, '73G\r'),
	('TK', 4951, 'ESB', 1682, 'GZT', 1689, 'Y', 0, '73W 738 73G\r'),
	('TK', 4951, 'ESB', 1682, 'HTY', 7453, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'IGD', 9043, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'IST', 1701, '', 0, '738 320 739 330 321 319 343\r'),
	('TK', 4951, 'ESB', 1682, 'KCM', 5798, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'KSY', 5796, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'MLX', 1695, 'Y', 0, '73W\r'),
	('TK', 4951, 'ESB', 1682, 'MQM', 6753, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'MSR', 6782, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'TEQ', 6784, 'Y', 0, '73W\r'),
	('TK', 4951, 'ESB', 1682, 'TZX', 1726, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'VAN', 1728, 'Y', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'VIE', 1613, '', 0, '738\r'),
	('TK', 4951, 'ESB', 1682, 'VKO', 2988, '', 0, '738\r'),
	('TK', 4951, 'EZE', 3988, 'GRU', 2564, '', 0, '343\r'),
	('TK', 4951, 'EZS', 1721, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'EZS', 1721, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'EZS', 1721, 'SAW', 4317, 'Y', 0, '73W\r'),
	('TK', 4951, 'FCO', 1555, 'IST', 1701, '', 0, '320 321 319\r'),
	('TK', 4951, 'FDH', 382, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'FIH', 1020, 'IST', 1701, '', 0, '739\r'),
	('TK', 4951, 'FRA', 340, 'ESB', 1682, '', 0, '738\r'),
	('TK', 4951, 'FRA', 340, 'IST', 1701, '', 0, '320 330 321 343 332\r'),
	('TK', 4951, 'FRA', 340, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'FRU', 2912, 'IST', 1701, '', 0, '738 33X\r'),
	('TK', 4951, 'FRU', 2912, 'ULN', 3380, '', 0, '738\r'),
	('TK', 4951, 'FUK', 2305, 'ICN', 3930, 'Y', 0, '321 763\r'),
	('TK', 4951, 'GNY', 9044, 'ESB', 1682, 'Y', 0, '73W 738\r'),
	('TK', 4951, 'GNY', 9044, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'GOA', 1528, 'IST', 1701, '', 0, '738 739 330\r'),
	('TK', 4951, 'GOT', 687, 'IST', 1701, '', 0, '739 738\r'),
	('TK', 4951, 'GRU', 2564, 'EZE', 3988, '', 0, '343\r'),
	('TK', 4951, 'GRU', 2564, 'IST', 1701, '', 0, '343\r'),
	('TK', 4951, 'GVA', 1665, 'IST', 1701, '', 0, '320 738 321\r'),
	('TK', 4951, 'GYD', 2922, 'IST', 1701, '', 0, '321 738 320\r'),
	('TK', 4951, 'GZP', 8266, 'ESB', 1682, 'Y', 0, '73G\r'),
	('TK', 4951, 'GZT', 1689, 'ESB', 1682, 'Y', 0, '73G 73W 738\r'),
	('TK', 4951, 'GZT', 1689, 'IST', 1701, '', 0, '320 738 319 321 73W\r'),
	('TK', 4951, 'GZT', 1689, 'SAW', 4317, 'Y', 0, '73G\r'),
	('TK', 4951, 'HAJ', 352, 'IST', 1701, '', 0, '321 739 738\r'),
	('TK', 4951, 'HAM', 342, 'ADB', 1706, '', 0, '320\r'),
	('TK', 4951, 'HAM', 342, 'AYT', 1688, '', 0, '320\r'),
	('TK', 4951, 'HAM', 342, 'IST', 1701, '', 0, '320 321 738\r'),
	('TK', 4951, 'HBE', 3410, 'IST', 1701, '', 0, '73W 319\r'),
	('TK', 4951, 'HEL', 421, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'HIJ', 2326, 'ICN', 3930, '', 0, '321\r'),
	('TK', 4951, 'HKG', 3077, 'BKK', 3885, 'Y', 0, '330\r'),
	('TK', 4951, 'HKG', 3077, 'IST', 1701, '', 0, '77W\r'),
	('TK', 4951, 'HRE', 1005, 'LUN', 907, 'Y', 0, '788\r'),
	('TK', 4951, 'HRG', 1130, 'IST', 1701, '', 0, '738 320\r'),
	('TK', 4951, 'HTY', 7453, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'HTY', 7453, 'IST', 1701, '', 0, '73W 738 320 321\r'),
	('TK', 4951, 'HTY', 7453, 'SAW', 4317, 'Y', 0, '73W\r'),
	('TK', 4951, 'IAD', 3714, 'IST', 1701, '', 0, '330\r'),
	('TK', 4951, 'IAH', 3550, 'IST', 1701, '', 0, '77W\r'),
	('TK', 4951, 'IAH', 3550, 'MSY', 3861, 'Y', 0, '320\r'),
	('TK', 4951, 'ICN', 3930, 'FUK', 2305, 'Y', 0, '333 77L\r'),
	('TK', 4951, 'ICN', 3930, 'HIJ', 2326, '', 0, '321\r'),
	('TK', 4951, 'ICN', 3930, 'IST', 1701, '', 0, '343 330\r'),
	('TK', 4951, 'ICN', 3930, 'NGO', 3942, 'Y', 0, '321 763\r'),
	('TK', 4951, 'ICN', 3930, 'SYD', 3361, 'Y', 0, '772\r'),
	('TK', 4951, 'ICN', 3930, 'VVO', 2934, '', 0, '321\r'),
	('TK', 4951, 'IFN', 4150, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'IGD', 9043, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'IGD', 9043, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'IKA', 4330, 'IST', 1701, '', 0, '332 321 738 739\r'),
	('TK', 4951, 'IKA', 4330, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'ISB', 2223, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'ISE', 5801, 'IST', 1701, '', 0, '738 73W 319\r'),
	('TK', 4951, 'IST', 1701, 'AAL', 628, '', 0, '319 738\r'),
	('TK', 4951, 'IST', 1701, 'ACC', 248, '', 0, '739\r'),
	('TK', 4951, 'IST', 1701, 'ADA', 1685, '', 0, '319 320 738 321 73W 739\r'),
	('TK', 4951, 'IST', 1701, 'ADB', 1706, '', 0, '320 738 330 319 739 321 343 73W 77W\r'),
	('TK', 4951, 'IST', 1701, 'ADD', 1107, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'ADF', 5800, '', 0, '738 320\r'),
	('TK', 4951, 'IST', 1701, 'AER', 2965, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'AGP', 1230, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'AJI', 5799, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'ALA', 2908, '', 0, '738 320\r'),
	('TK', 4951, 'IST', 1701, 'ALG', 210, '', 0, '321 738\r'),
	('TK', 4951, 'IST', 1701, 'AMM', 2170, '', 0, '321 320\r'),
	('TK', 4951, 'IST', 1701, 'AMS', 580, '', 0, '343 321 320 330\r'),
	('TK', 4951, 'IST', 1701, 'AQJ', 2172, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'ARN', 737, '', 0, '321 738\r'),
	('TK', 4951, 'IST', 1701, 'ASB', 2976, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'ASR', 1696, '', 0, '321 738 320 739 319 73W\r'),
	('TK', 4951, 'IST', 1701, 'ATH', 3941, '', 0, '321 738 320\r'),
	('TK', 4951, 'IST', 1701, 'AUH', 2179, '', 0, '738 321\r'),
	('TK', 4951, 'IST', 1701, 'AYT', 1688, '', 0, '738 319 321 320 739\r'),
	('TK', 4951, 'IST', 1701, 'BAH', 2057, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'BAL', 1729, '', 0, '320 319\r'),
	('TK', 4951, 'IST', 1701, 'BCN', 1218, '', 0, '332 321 738 320 330\r'),
	('TK', 4951, 'IST', 1701, 'BEG', 1739, '', 0, '738 319 321\r'),
	('TK', 4951, 'IST', 1701, 'BEN', 1154, '', 0, '738 739\r'),
	('TK', 4951, 'IST', 1701, 'BEY', 2177, '', 0, '321 739 738\r'),
	('TK', 4951, 'IST', 1701, 'BGG', 9272, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'BGW', 4130, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'BHX', 469, '', 0, '739 738\r'),
	('TK', 4951, 'IST', 1701, 'BIO', 1216, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'BJV', 4315, '', 0, '738 321 320\r'),
	('TK', 4951, 'IST', 1701, 'BKK', 3885, '', 0, '77W 330\r'),
	('TK', 4951, 'IST', 1701, 'BLL', 608, '', 0, '319 738\r'),
	('TK', 4951, 'IST', 1701, 'BLQ', 1538, '', 0, '320 321\r'),
	('TK', 4951, 'IST', 1701, 'BOM', 2997, '', 0, '77W\r'),
	('TK', 4951, 'IST', 1701, 'BRE', 353, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'BRU', 302, '', 0, '738 321 343 320 330\r'),
	('TK', 4951, 'IST', 1701, 'BSL', 4053, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'BSR', 2234, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'BUD', 1489, '', 0, '321 738 320 319 739\r'),
	('TK', 4951, 'IST', 1701, 'BUS', 3971, '', 0, '738 73W 319\r'),
	('TK', 4951, 'IST', 1701, 'CAI', 1128, '', 0, '320 738 321 739 319\r'),
	('TK', 4951, 'IST', 1701, 'CAN', 3370, '', 0, '330 343\r'),
	('TK', 4951, 'IST', 1701, 'CDG', 1382, '', 0, '330 321 320 332 77W 738\r'),
	('TK', 4951, 'IST', 1701, 'CGN', 344, '', 0, '320 321\r'),
	('TK', 4951, 'IST', 1701, 'CMN', 1074, '', 0, '330 332 343\r'),
	('TK', 4951, 'IST', 1701, 'CND', 1651, '', 0, '738 319\r'),
	('TK', 4951, 'IST', 1701, 'CPH', 609, '', 0, '321 738\r'),
	('TK', 4951, 'IST', 1701, 'DAC', 3076, '', 0, '332\r'),
	('TK', 4951, 'IST', 1701, 'DAR', 1177, '', 0, '739\r'),
	('TK', 4951, 'IST', 1701, 'DEL', 3093, '', 0, '330\r'),
	('TK', 4951, 'IST', 1701, 'DIY', 1722, '', 0, '319 738 321 320 73W\r'),
	('TK', 4951, 'IST', 1701, 'DLA', 897, '', 0, '739\r'),
	('TK', 4951, 'IST', 1701, 'DLM', 1715, '', 0, '320 321 738\r'),
	('TK', 4951, 'IST', 1701, 'DMM', 2064, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'DNK', 2941, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'DNZ', 1699, '', 0, '738 73W 320 319\r'),
	('TK', 4951, 'IST', 1701, 'DOH', 2241, '', 0, '738 321\r'),
	('TK', 4951, 'IST', 1701, 'DOK', 2940, '', 0, '319 73W 738\r'),
	('TK', 4951, 'IST', 1701, 'DUB', 599, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'DUS', 345, '', 0, '330 321 332 738 343\r'),
	('TK', 4951, 'IST', 1701, 'DXB', 2188, '', 0, '77W 321 343 332 330\r'),
	('TK', 4951, 'IST', 1701, 'DYU', 2979, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'EBL', 3989, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'ECN', 5780, '', 0, '321 738 320\r'),
	('TK', 4951, 'IST', 1701, 'EDI', 535, '', 0, '738 739\r'),
	('TK', 4951, 'IST', 1701, 'ELQ', 2067, '', 0, '319 73W\r'),
	('TK', 4951, 'IST', 1701, 'ERC', 1723, '', 0, '320 738\r'),
	('TK', 4951, 'IST', 1701, 'ERZ', 1724, '', 0, '321 738 320\r'),
	('TK', 4951, 'IST', 1701, 'ESB', 1682, '', 0, '738 320 330 739 321 319 343\r'),
	('TK', 4951, 'IST', 1701, 'EZS', 1721, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'FCO', 1555, '', 0, '321 320 319\r'),
	('TK', 4951, 'IST', 1701, 'FDH', 382, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'FIH', 1020, '', 0, '739\r'),
	('TK', 4951, 'IST', 1701, 'FRA', 340, '', 0, '320 330 321 343 332\r'),
	('TK', 4951, 'IST', 1701, 'FRU', 2912, '', 0, '738 33X\r'),
	('TK', 4951, 'IST', 1701, 'GNY', 9044, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'GOA', 1528, '', 0, '738 739 330\r'),
	('TK', 4951, 'IST', 1701, 'GOT', 687, '', 0, '739 738\r'),
	('TK', 4951, 'IST', 1701, 'GRU', 2564, '', 0, '343\r'),
	('TK', 4951, 'IST', 1701, 'GVA', 1665, '', 0, '738 321 320\r'),
	('TK', 4951, 'IST', 1701, 'GYD', 2922, '', 0, '321 738 320\r'),
	('TK', 4951, 'IST', 1701, 'GZT', 1689, '', 0, '320 738 319 321 73W\r'),
	('TK', 4951, 'IST', 1701, 'HAJ', 352, '', 0, '321 739 738\r'),
	('TK', 4951, 'IST', 1701, 'HAM', 342, '', 0, '321 320 738\r'),
	('TK', 4951, 'IST', 1701, 'HBE', 3410, '', 0, '73W 319\r'),
	('TK', 4951, 'IST', 1701, 'HEL', 421, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'HKG', 3077, '', 0, '77W\r'),
	('TK', 4951, 'IST', 1701, 'HRG', 1130, '', 0, '738 320\r'),
	('TK', 4951, 'IST', 1701, 'HTY', 7453, '', 0, '73W 738 320 321\r'),
	('TK', 4951, 'IST', 1701, 'IAD', 3714, '', 0, '330\r'),
	('TK', 4951, 'IST', 1701, 'IAH', 3550, '', 0, '77W\r'),
	('TK', 4951, 'IST', 1701, 'ICN', 3930, '', 0, '343 330\r'),
	('TK', 4951, 'IST', 1701, 'IFN', 4150, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'IGD', 9043, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'IKA', 4330, '', 0, '321 738 332 739 343\r'),
	('TK', 4951, 'IST', 1701, 'ISB', 2223, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'ISE', 5801, '', 0, '738 73W 319\r'),
	('TK', 4951, 'IST', 1701, 'ISU', 5952, '', 0, '321 738 739\r'),
	('TK', 4951, 'IST', 1701, 'JED', 2072, '', 0, '321 330 332\r'),
	('TK', 4951, 'IST', 1701, 'JFK', 3797, '', 0, '330 77W\r'),
	('TK', 4951, 'IST', 1701, 'JIB', 4119, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'JNB', 813, '', 0, '330\r'),
	('TK', 4951, 'IST', 1701, 'JRO', 1180, '', 0, '739\r'),
	('TK', 4951, 'IST', 1701, 'KAN', 270, '', 0, '738 739\r'),
	('TK', 4951, 'IST', 1701, 'KBL', 2050, '', 0, '332\r'),
	('TK', 4951, 'IST', 1701, 'KBP', 2939, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'KCM', 5798, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'KFS', 9273, '', 0, '319 738\r'),
	('TK', 4951, 'IST', 1701, 'KGL', 1165, '', 0, '739\r'),
	('TK', 4951, 'IST', 1701, 'KHI', 2206, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'KIV', 1735, '', 0, '319 73W\r'),
	('TK', 4951, 'IST', 1701, 'KIX', 3992, '', 0, '330\r'),
	('TK', 4951, 'IST', 1701, 'KRT', 1175, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'KSH', 2114, '', 0, '319 320\r'),
	('TK', 4951, 'IST', 1701, 'KSY', 5796, '', 0, '319 738\r'),
	('TK', 4951, 'IST', 1701, 'KTM', 3125, '', 0, '332 330\r'),
	('TK', 4951, 'IST', 1701, 'KUL', 3304, '', 0, '330\r'),
	('TK', 4951, 'IST', 1701, 'KVD', 6089, '', 0, '738 319\r'),
	('TK', 4951, 'IST', 1701, 'KWI', 2176, '', 0, '332 321 343\r'),
	('TK', 4951, 'IST', 1701, 'KYA', 1691, '', 0, '319 320 738\r'),
	('TK', 4951, 'IST', 1701, 'KZN', 2990, '', 0, '738 319\r'),
	('TK', 4951, 'IST', 1701, 'KZR', 9045, '', 0, '319 738\r'),
	('TK', 4951, 'IST', 1701, 'LAX', 3484, '', 0, '77W\r'),
	('TK', 4951, 'IST', 1701, 'LED', 2948, '', 0, '321 738\r'),
	('TK', 4951, 'IST', 1701, 'LEJ', 348, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'LGW', 502, '', 0, '739 321 738\r'),
	('TK', 4951, 'IST', 1701, 'LHE', 2207, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'LHR', 507, '', 0, '77W 321\r'),
	('TK', 4951, 'IST', 1701, 'LIS', 1638, '', 0, '321 738\r'),
	('TK', 4951, 'IST', 1701, 'LJU', 1569, '', 0, 'CR9 319\r'),
	('TK', 4951, 'IST', 1701, 'LOS', 273, '', 0, '739\r'),
	('TK', 4951, 'IST', 1701, 'LUX', 629, '', 0, '73W 739 738\r'),
	('TK', 4951, 'IST', 1701, 'LWO', 2945, '', 0, '738 739\r'),
	('TK', 4951, 'IST', 1701, 'LYS', 1335, '', 0, '738 321 330\r'),
	('TK', 4951, 'IST', 1701, 'MAD', 1229, '', 0, '332 738 739 321\r'),
	('TK', 4951, 'IST', 1701, 'MAN', 478, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'MCT', 2194, '', 0, '739 738\r'),
	('TK', 4951, 'IST', 1701, 'MED', 2074, '', 0, '321 343 330 332\r'),
	('TK', 4951, 'IST', 1701, 'MHD', 4331, '', 0, '319 73W\r'),
	('TK', 4951, 'IST', 1701, 'MLA', 1606, '', 0, '319 738\r'),
	('TK', 4951, 'IST', 1701, 'MLE', 3156, '', 0, '330\r'),
	('TK', 4951, 'IST', 1701, 'MLX', 1695, '', 0, '738 320 319\r'),
	('TK', 4951, 'IST', 1701, 'MQM', 6753, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'MRA', 5804, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'MRS', 1353, '', 0, '738 321 319\r'),
	('TK', 4951, 'IST', 1701, 'MSQ', 2954, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'MSR', 6782, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'MUC', 346, '', 0, '321 320 738\r'),
	('TK', 4951, 'IST', 1701, 'MXP', 1524, '', 0, '321 739 320\r'),
	('TK', 4951, 'IST', 1701, 'MZH', 1693, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'MZR', 2053, '', 0, '320 738\r'),
	('TK', 4951, 'IST', 1701, 'NAJ', 6090, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'NAP', 1561, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'NAV', 3987, '', 0, '738 320 319\r'),
	('TK', 4951, 'IST', 1701, 'NBO', 4059, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'NCE', 1354, '', 0, '320 738 321\r'),
	('TK', 4951, 'IST', 1701, 'NIM', 280, '', 0, '739 738\r'),
	('TK', 4951, 'IST', 1701, 'NJF', 7490, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'NRT', 2279, '', 0, '330 77W\r'),
	('TK', 4951, 'IST', 1701, 'NSI', 4161, '', 0, '739\r'),
	('TK', 4951, 'IST', 1701, 'NUE', 347, '', 0, '320 738\r'),
	('TK', 4951, 'IST', 1701, 'ODS', 2947, '', 0, '738 739\r'),
	('TK', 4951, 'IST', 1701, 'ORD', 3830, '', 0, '330\r'),
	('TK', 4951, 'IST', 1701, 'ORN', 231, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'OSL', 644, '', 0, '321 738\r'),
	('TK', 4951, 'IST', 1701, 'OSS', 2913, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'OTP', 1657, '', 0, '738 319 320 321\r'),
	('TK', 4951, 'IST', 1701, 'OVB', 4078, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'PEK', 3364, '', 0, '77W\r'),
	('TK', 4951, 'IST', 1701, 'PRG', 1587, '', 0, '738 321 320\r'),
	('TK', 4951, 'IST', 1701, 'PRN', 1742, '', 0, '320 73W 319 738\r'),
	('TK', 4951, 'IST', 1701, 'PVG', 3406, '', 0, '77W\r'),
	('TK', 4951, 'IST', 1701, 'RIX', 3953, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'ROV', 2964, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'RTM', 591, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'RUH', 2082, '', 0, '321 332\r'),
	('TK', 4951, 'IST', 1701, 'SAH', 3980, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'SIN', 3316, '', 0, '330\r'),
	('TK', 4951, 'IST', 1701, 'SJJ', 1646, '', 0, '320 738 321\r'),
	('TK', 4951, 'IST', 1701, 'SKG', 1486, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'SKP', 1737, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'SOF', 1194, '', 0, '738 320\r'),
	('TK', 4951, 'IST', 1701, 'SSH', 4057, '', 0, '738 319\r'),
	('TK', 4951, 'IST', 1701, 'STR', 350, '', 0, '320 321\r'),
	('TK', 4951, 'IST', 1701, 'SVX', 2975, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'SYZ', 2157, '', 0, '320 319\r'),
	('TK', 4951, 'IST', 1701, 'SZG', 1612, '', 0, '320\r'),
	('TK', 4951, 'IST', 1701, 'TAS', 2983, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'TBS', 3973, '', 0, '319 73W 738 320\r'),
	('TK', 4951, 'IST', 1701, 'TBZ', 2162, '', 0, '738 319\r'),
	('TK', 4951, 'IST', 1701, 'TGD', 1741, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'TIA', 1190, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'TIF', 2090, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'TIP', 1157, '', 0, '320 738\r'),
	('TK', 4951, 'IST', 1701, 'TLL', 415, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'TLS', 1273, '', 0, '320 321\r'),
	('TK', 4951, 'IST', 1701, 'TLV', 1590, '', 0, '321 738 320 330 332 739 319\r'),
	('TK', 4951, 'IST', 1701, 'TRN', 1526, '', 0, '73W 738 319 320\r'),
	('TK', 4951, 'IST', 1701, 'TSE', 2910, '', 0, '738 320\r'),
	('TK', 4951, 'IST', 1701, 'TUN', 287, '', 0, '739 321 738\r'),
	('TK', 4951, 'IST', 1701, 'TXL', 351, '', 0, '738 320 321\r'),
	('TK', 4951, 'IST', 1701, 'TZX', 1726, '', 0, '320 321 319 738 73W\r'),
	('TK', 4951, 'IST', 1701, 'UFA', 2992, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'VAN', 1728, '', 0, '320 319 73W\r'),
	('TK', 4951, 'IST', 1701, 'VAS', 1694, '', 0, '320 319\r'),
	('TK', 4951, 'IST', 1701, 'VCE', 1551, '', 0, '321 739 738 320 319\r'),
	('TK', 4951, 'IST', 1701, 'VIE', 1613, '', 0, '321 738 330 320\r'),
	('TK', 4951, 'IST', 1701, 'VKO', 2988, '', 0, '321 738\r'),
	('TK', 4951, 'IST', 1701, 'VLC', 1246, '', 0, '738\r'),
	('TK', 4951, 'IST', 1701, 'VNO', 3959, '', 0, '319\r'),
	('TK', 4951, 'IST', 1701, 'WAW', 679, '', 0, '321\r'),
	('TK', 4951, 'IST', 1701, 'YNB', 2096, '', 0, '320 321\r'),
	('TK', 4951, 'IST', 1701, 'YYZ', 193, '', 0, '763 77W\r'),
	('TK', 4951, 'IST', 1701, 'ZAG', 1208, '', 0, '739 319 320 738\r'),
	('TK', 4951, 'IST', 1701, 'ZRH', 1678, '', 0, '321 320 738\r'),
	('TK', 4951, 'ISU', 5952, 'IST', 1701, '', 0, '321 738 739\r'),
	('TK', 4951, 'JED', 2072, 'IST', 1701, '', 0, '321 330 332\r'),
	('TK', 4951, 'JFK', 3797, 'IST', 1701, '', 0, '330 77W\r'),
	('TK', 4951, 'JIB', 4119, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'JIB', 4119, 'MGQ', 5687, '', 0, '320\r'),
	('TK', 4951, 'JNB', 813, 'CPT', 797, '', 0, '330\r'),
	('TK', 4951, 'JNB', 813, 'IST', 1701, '', 0, '330\r'),
	('TK', 4951, 'JRO', 1180, 'MBA', 1145, '', 0, '739\r'),
	('TK', 4951, 'JUB', 1173, 'ADD', 1107, 'Y', 0, '73W DH8\r'),
	('TK', 4951, 'JUB', 1173, 'CAI', 1128, 'Y', 0, '320\r'),
	('TK', 4951, 'KAN', 270, 'NDJ', 999, '', 0, '738\r'),
	('TK', 4951, 'KBL', 2050, 'IST', 1701, '', 0, '332\r'),
	('TK', 4951, 'KBP', 2939, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'KBP', 2939, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'KCM', 5798, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'KCM', 5798, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'KFS', 9273, 'IST', 1701, '', 0, '319 738\r'),
	('TK', 4951, 'KGL', 1165, 'EBB', 1187, '', 0, '739\r'),
	('TK', 4951, 'KHI', 2206, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'KIV', 1735, 'IST', 1701, '', 0, '319 73W\r'),
	('TK', 4951, 'KIX', 3992, 'IST', 1701, '', 0, '330\r'),
	('TK', 4951, 'KRT', 1175, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'KSH', 2114, 'IST', 1701, '', 0, '320 319\r'),
	('TK', 4951, 'KSY', 5796, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'KSY', 5796, 'IST', 1701, '', 0, '319 738\r'),
	('TK', 4951, 'KSY', 5796, 'SAW', 4317, 'Y', 0, '738\r'),
	('TK', 4951, 'KTM', 3125, 'IST', 1701, '', 0, '330 332\r'),
	('TK', 4951, 'KUL', 3304, 'BKK', 3885, 'Y', 0, '330\r'),
	('TK', 4951, 'KUL', 3304, 'IST', 1701, '', 0, '330\r'),
	('TK', 4951, 'KVD', 6089, 'IST', 1701, '', 0, '319 738\r'),
	('TK', 4951, 'KWI', 2176, 'IST', 1701, '', 0, '321 332 343\r'),
	('TK', 4951, 'KWI', 2176, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'KYA', 1691, 'IST', 1701, '', 0, '319 320 738\r'),
	('TK', 4951, 'KYA', 1691, 'SAW', 4317, 'Y', 0, '73W\r'),
	('TK', 4951, 'KZN', 2990, 'IST', 1701, '', 0, '319 738\r'),
	('TK', 4951, 'KZR', 9045, 'IST', 1701, '', 0, '319 738\r'),
	('TK', 4951, 'LAX', 3484, 'IST', 1701, '', 0, '77W\r'),
	('TK', 4951, 'LBV', 970, 'IST', 1701, '', 0, '739\r'),
	('TK', 4951, 'LED', 2948, 'IST', 1701, '', 0, '321 738\r'),
	('TK', 4951, 'LEJ', 348, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'LGW', 502, 'IST', 1701, '', 0, '739 321 738\r'),
	('TK', 4951, 'LGW', 502, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'LHE', 2207, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'LHR', 507, 'IST', 1701, '', 0, '321 77W\r'),
	('TK', 4951, 'LIS', 1638, 'IST', 1701, '', 0, '321 738\r'),
	('TK', 4951, 'LJU', 1569, 'IST', 1701, '', 0, '319 CR9\r'),
	('TK', 4951, 'LOS', 273, 'IST', 1701, '', 0, '739\r'),
	('TK', 4951, 'LUX', 629, 'IST', 1701, '', 0, '73W 739 738\r'),
	('TK', 4951, 'LWO', 2945, 'IST', 1701, '', 0, '738 739\r'),
	('TK', 4951, 'LYS', 1335, 'IST', 1701, '', 0, '738 321 330\r'),
	('TK', 4951, 'MAD', 1229, 'IST', 1701, '', 0, '332 738 739 321\r'),
	('TK', 4951, 'MAN', 478, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'MBA', 1145, 'IST', 1701, '', 0, '739\r'),
	('TK', 4951, 'MCT', 2194, 'BAH', 2057, '', 0, '321\r'),
	('TK', 4951, 'MCT', 2194, 'IST', 1701, '', 0, '739 738\r'),
	('TK', 4951, 'MED', 2074, 'IST', 1701, '', 0, '321 343 330 332\r'),
	('TK', 4951, 'MEL', 3339, 'BKK', 3885, 'Y', 0, '773 777\r'),
	('TK', 4951, 'MGQ', 5687, 'JIB', 4119, '', 0, '320\r'),
	('TK', 4951, 'MHD', 4331, 'IST', 1701, '', 0, '319 73W\r'),
	('TK', 4951, 'MLA', 1606, 'IST', 1701, '', 0, '319 738\r'),
	('TK', 4951, 'MLA', 1606, 'SAW', 4317, 'Y', 0, '320\r'),
	('TK', 4951, 'MLE', 3156, 'CMB', 3024, '', 0, '330\r'),
	('TK', 4951, 'MLE', 3156, 'IST', 1701, '', 0, '330\r'),
	('TK', 4951, 'MLX', 1695, 'ESB', 1682, 'Y', 0, '73W\r'),
	('TK', 4951, 'MLX', 1695, 'IST', 1701, '', 0, '738 320 319\r'),
	('TK', 4951, 'MQM', 6753, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'MQM', 6753, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'MQM', 6753, 'SAW', 4317, 'Y', 0, '738\r'),
	('TK', 4951, 'MRA', 5804, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'MRS', 1353, 'IST', 1701, '', 0, '738 321 319\r'),
	('TK', 4951, 'MSQ', 2954, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'MSR', 6782, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'MSR', 6782, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'MSY', 3861, 'IAH', 3550, 'Y', 0, '73G 738\r'),
	('TK', 4951, 'MUC', 346, 'IST', 1701, '', 0, '320 321 738\r'),
	('TK', 4951, 'MUC', 346, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'MXP', 1524, 'IST', 1701, '', 0, '320 321 739\r'),
	('TK', 4951, 'MXP', 1524, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'MZH', 1693, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'MZR', 2053, 'IST', 1701, '', 0, '320 738\r'),
	('TK', 4951, 'NAJ', 6090, 'KVD', 6089, '', 0, '319\r'),
	('TK', 4951, 'NAP', 1561, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'NAV', 3987, 'IST', 1701, '', 0, '738 320 319\r'),
	('TK', 4951, 'NBO', 4059, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'NCE', 1354, 'IST', 1701, '', 0, '320 738 321\r'),
	('TK', 4951, 'NDJ', 999, 'IST', 1701, '', 0, '738 739\r'),
	('TK', 4951, 'NGO', 3942, 'ICN', 3930, 'Y', 0, '321\r'),
	('TK', 4951, 'NIM', 280, 'OUA', 246, '', 0, '739\r'),
	('TK', 4951, 'NJF', 7490, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'NKC', 1094, 'DKR', 1084, '', 0, '739\r'),
	('TK', 4951, 'NRT', 2279, 'IST', 1701, '', 0, '77W 330\r'),
	('TK', 4951, 'NSI', 4161, 'DLA', 897, '', 0, '739\r'),
	('TK', 4951, 'NUE', 347, 'IST', 1701, '', 0, '320 738\r'),
	('TK', 4951, 'ODS', 2947, 'IST', 1701, '', 0, '738 739\r'),
	('TK', 4951, 'ORD', 3830, 'IST', 1701, '', 0, '330\r'),
	('TK', 4951, 'ORN', 231, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'OSL', 644, 'IST', 1701, '', 0, '321 738\r'),
	('TK', 4951, 'OSS', 2913, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'OTP', 1657, 'IST', 1701, '', 0, '320 738 319 321\r'),
	('TK', 4951, 'OUA', 246, 'IST', 1701, '', 0, '739 738\r'),
	('TK', 4951, 'OVB', 4078, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'PEK', 3364, 'IST', 1701, '', 0, '77W\r'),
	('TK', 4951, 'PER', 3351, 'BKK', 3885, 'Y', 0, '330\r'),
	('TK', 4951, 'PRG', 1587, 'IST', 1701, '', 0, '738 321 320\r'),
	('TK', 4951, 'PRN', 1742, 'IST', 1701, '', 0, '320 73W 319 738\r'),
	('TK', 4951, 'PVG', 3406, 'IST', 1701, '', 0, '77W\r'),
	('TK', 4951, 'RIX', 3953, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'ROV', 2964, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'RTM', 591, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'RUH', 2082, 'IST', 1701, '', 0, '330 321 332\r'),
	('TK', 4951, 'SAH', 3980, 'ADE', 3977, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'ADA', 1685, 'Y', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'ADB', 1706, '', 0, '738 320\r'),
	('TK', 4951, 'SAW', 4317, 'AMS', 580, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'ASF', 2966, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'ASR', 1696, 'Y', 0, '73W\r'),
	('TK', 4951, 'SAW', 4317, 'AYT', 1688, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'BJV', 4315, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'BRU', 302, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'CDG', 1382, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'DIY', 1722, 'Y', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'DUS', 345, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'ECN', 5780, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'ERZ', 1724, 'Y', 0, '73W 738\r'),
	('TK', 4951, 'SAW', 4317, 'ESB', 1682, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'EZS', 1721, 'Y', 0, '73W\r'),
	('TK', 4951, 'SAW', 4317, 'FRA', 340, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'GZT', 1689, 'Y', 0, '73G\r'),
	('TK', 4951, 'SAW', 4317, 'HTY', 7453, 'Y', 0, '73W\r'),
	('TK', 4951, 'SAW', 4317, 'IKA', 4330, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'KBP', 2939, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'KSY', 5796, 'Y', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'KWI', 2176, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'KYA', 1691, 'Y', 0, '73W\r'),
	('TK', 4951, 'SAW', 4317, 'LGW', 502, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'MLA', 1606, 'Y', 0, '320\r'),
	('TK', 4951, 'SAW', 4317, 'MQM', 6753, 'Y', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'MUC', 346, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'MXP', 1524, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'SJJ', 1646, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'STW', 2963, '', 0, '320\r'),
	('TK', 4951, 'SAW', 4317, 'TBS', 3973, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'TLV', 1590, '', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'TZX', 1726, 'Y', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'VAN', 1728, 'Y', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'VAS', 1694, 'Y', 0, '738\r'),
	('TK', 4951, 'SAW', 4317, 'VIE', 1613, '', 0, '738\r'),
	('TK', 4951, 'SCQ', 1243, 'BIO', 1216, '', 0, '320\r'),
	('TK', 4951, 'SGN', 3205, 'BKK', 3885, '', 0, '77W\r'),
	('TK', 4951, 'SIN', 3316, 'CGK', 3275, '', 0, '330\r'),
	('TK', 4951, 'SIN', 3316, 'IST', 1701, '', 0, '330\r'),
	('TK', 4951, 'SJJ', 1646, 'IST', 1701, '', 0, '320 738 321\r'),
	('TK', 4951, 'SJJ', 1646, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'SKG', 1486, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'SKP', 1737, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'SOF', 1194, 'IST', 1701, '', 0, '738 320\r'),
	('TK', 4951, 'SSG', 891, 'ADD', 1107, 'Y', 0, '763\r'),
	('TK', 4951, 'SSG', 891, 'DLA', 897, 'Y', 0, '763\r'),
	('TK', 4951, 'SSH', 4057, 'IST', 1701, '', 0, '738 319\r'),
	('TK', 4951, 'STR', 350, 'IST', 1701, '', 0, '320 321\r'),
	('TK', 4951, 'STW', 2963, 'SAW', 4317, '', 0, '320\r'),
	('TK', 4951, 'SVX', 2975, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'SYD', 3361, 'BKK', 3885, 'Y', 0, '747\r'),
	('TK', 4951, 'SYD', 3361, 'ICN', 3930, 'Y', 0, '772\r'),
	('TK', 4951, 'SYZ', 2157, 'IST', 1701, '', 0, '320 319\r'),
	('TK', 4951, 'SZG', 1612, 'IST', 1701, '', 0, '320\r'),
	('TK', 4951, 'TAS', 2983, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'TBS', 3973, 'IST', 1701, '', 0, '319 73W 738 320\r'),
	('TK', 4951, 'TBS', 3973, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'TBZ', 2162, 'IST', 1701, '', 0, '738 319\r'),
	('TK', 4951, 'TEQ', 6784, 'ESB', 1682, 'Y', 0, '73W\r'),
	('TK', 4951, 'TGD', 1741, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'TIA', 1190, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'TIF', 2090, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'TIP', 1157, 'IST', 1701, '', 0, '320 738\r'),
	('TK', 4951, 'TIP', 1157, 'TUN', 287, '', 0, '33X\r'),
	('TK', 4951, 'TLL', 415, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'TLL', 415, 'VNO', 3959, '', 0, '319\r'),
	('TK', 4951, 'TLS', 1273, 'IST', 1701, '', 0, '320 321\r'),
	('TK', 4951, 'TLV', 1590, 'IST', 1701, '', 0, '738 321 320 330 332 739 319\r'),
	('TK', 4951, 'TLV', 1590, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'TRN', 1526, 'IST', 1701, '', 0, '73W 738 319 320\r'),
	('TK', 4951, 'TSE', 2910, 'IST', 1701, '', 0, '320 738\r'),
	('TK', 4951, 'TUN', 287, 'IST', 1701, '', 0, '739 321 738\r'),
	('TK', 4951, 'TXL', 351, 'IST', 1701, '', 0, '320 738 321\r'),
	('TK', 4951, 'TZX', 1726, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'TZX', 1726, 'IST', 1701, '', 0, '73W 320 321 319 738\r'),
	('TK', 4951, 'TZX', 1726, 'SAW', 4317, 'Y', 0, '738\r'),
	('TK', 4951, 'UFA', 2992, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'ULN', 3380, 'FRU', 2912, '', 0, '738\r'),
	('TK', 4951, 'VAN', 1728, 'ESB', 1682, 'Y', 0, '738\r'),
	('TK', 4951, 'VAN', 1728, 'IST', 1701, '', 0, '320 319 73W\r'),
	('TK', 4951, 'VAN', 1728, 'SAW', 4317, 'Y', 0, '738\r'),
	('TK', 4951, 'VAS', 1694, 'IST', 1701, '', 0, '320 319\r'),
	('TK', 4951, 'VAS', 1694, 'SAW', 4317, 'Y', 0, '738\r'),
	('TK', 4951, 'VCE', 1551, 'IST', 1701, '', 0, '321 739 738 320 319\r'),
	('TK', 4951, 'VIE', 1613, 'ESB', 1682, '', 0, '738\r'),
	('TK', 4951, 'VIE', 1613, 'IST', 1701, '', 0, '738 321 330 320\r'),
	('TK', 4951, 'VIE', 1613, 'SAW', 4317, '', 0, '738\r'),
	('TK', 4951, 'VKO', 2988, 'AYT', 1688, '', 0, '321\r'),
	('TK', 4951, 'VKO', 2988, 'ESB', 1682, '', 0, '738\r'),
	('TK', 4951, 'VKO', 2988, 'IST', 1701, '', 0, '738 321\r'),
	('TK', 4951, 'VLC', 1246, 'IST', 1701, '', 0, '738\r'),
	('TK', 4951, 'VNO', 3959, 'IST', 1701, '', 0, '319\r'),
	('TK', 4951, 'VNO', 3959, 'TLL', 415, '', 0, '319\r'),
	('TK', 4951, 'VVO', 2934, 'ICN', 3930, '', 0, '321\r'),
	('TK', 4951, 'WAW', 679, 'IST', 1701, '', 0, '321\r'),
	('TK', 4951, 'YNB', 2096, 'IST', 1701, '', 0, '320 321\r'),
	('TK', 4951, 'YYZ', 193, 'ATL', 3682, 'Y', 0, 'CRA\r'),
	('TK', 4951, 'YYZ', 193, 'IST', 1701, '', 0, '77W 763\r'),
	('TK', 4951, 'ZAG', 1208, 'IST', 1701, '', 0, '739 319 320 738\r'),
	('TK', 4951, 'ZRH', 1678, 'IST', 1701, '', 0, '320 321 738\r'),
	('TL', 338, 'BME', 4319, 'DRW', 3999, '', 0, 'E70\r'),
	('TL', 338, 'BME', 4319, 'KNX', 3347, '', 0, 'E70\r'),
	('TL', 338, 'BME', 4319, 'KTA', 3345, '', 0, 'E70\r'),
	('TL', 338, 'DIL', 3310, 'DRW', 3999, '', 0, 'E70\r'),
	('TL', 338, 'DRW', 3999, 'BME', 4319, '', 0, 'E70\r'),
	('TL', 338, 'DRW', 3999, 'DIL', 3310, '', 0, 'E70\r'),
	('TL', 338, 'DRW', 3999, 'GOV', 6316, '', 0, 'EM2\r'),
	('TL', 338, 'DRW', 3999, 'GTE', 6270, '', 0, 'EM2\r'),
	('TL', 338, 'DRW', 3999, 'ISA', 3324, '', 0, 'E70\r'),
	('TL', 338, 'DRW', 3999, 'KNX', 3347, '', 0, 'E70\r'),
	('TL', 338, 'DRW', 3999, 'MCV', 6297, '', 0, 'E70\r'),
	('TL', 338, 'DRW', 3999, 'MNG', 6296, '', 0, 'EM2\r'),
	('TL', 338, 'DRW', 3999, 'TSV', 3330, '', 0, 'E70\r'),
	('TL', 338, 'ELC', 6265, 'MNG', 6296, '', 0, 'EM2\r'),
	('TL', 338, 'GOV', 6316, 'DRW', 3999, '', 0, 'EM2\r'),
	('TL', 338, 'GOV', 6316, 'GTE', 6270, '', 0, 'EM2\r'),
	('TL', 338, 'GTE', 6270, 'DRW', 3999, '', 0, 'EM2\r'),
	('TL', 338, 'GTE', 6270, 'GOV', 6316, '', 0, 'EM2\r'),
	('TL', 338, 'ISA', 3324, 'DRW', 3999, '', 0, 'E70\r'),
	('TL', 338, 'ISA', 3324, 'OOL', 3321, '', 0, 'E70\r'),
	('TL', 338, 'KNX', 3347, 'BME', 4319, '', 0, 'E70\r'),
	('TL', 338, 'KNX', 3347, 'DRW', 3999, '', 0, 'E70\r'),
	('TL', 338, 'KNX', 3347, 'PER', 3351, '', 0, 'E70\r'),
	('TL', 338, 'KTA', 3345, 'PHE', 3349, '', 0, 'E70\r'),
	('TL', 338, 'MCV', 6297, 'DRW', 3999, '', 0, 'E70\r'),
	('TL', 338, 'MGT', 6295, 'MNG', 6296, '', 0, 'EM2\r'),
	('TL', 338, 'MNG', 6296, 'DRW', 3999, '', 0, 'EM2\r'),
	('TL', 338, 'MNG', 6296, 'ELC', 6265, '', 0, 'EM2\r'),
	('TL', 338, 'MNG', 6296, 'MGT', 6295, '', 0, 'EM2\r'),
	('TL', 338, 'OOL', 3321, 'ISA', 3324, '', 0, 'E70\r'),
	('TL', 338, 'PER', 3351, 'KNX', 3347, '', 0, 'E70\r'),
	('TL', 338, 'PHE', 3349, 'BME', 4319, '', 0, 'E70\r'),
	('TL', 338, 'TSV', 3330, 'DRW', 3999, '', 0, 'E70\r'),
	('TM', 9541, 'APL', 984, 'BEW', 974, '', 0, 'EM2 ER4\r'),
	('TM', 9541, 'APL', 984, 'JNB', 813, '', 0, 'ER4\r'),
	('TM', 9541, 'APL', 984, 'MPM', 979, '', 0, '735 E90 ER4\r'),
	('TM', 9541, 'APL', 984, 'POL', 985, '', 0, 'ER4 E90\r'),
	('TM', 9541, 'APL', 984, 'TET', 988, '', 0, 'EM2 ER4\r'),
	('TM', 9541, 'APL', 984, 'VXC', 977, '', 0, '735 E90 EM2\r'),
	('TM', 9541, 'BEW', 974, 'APL', 984, '', 0, 'EM2 ER4\r'),
	('TM', 9541, 'BEW', 974, 'JNB', 813, '', 0, 'DH4\r'),
	('TM', 9541, 'BEW', 974, 'MPM', 979, '', 0, 'E90 DH4 ER4 735\r'),
	('TM', 9541, 'BEW', 974, 'POL', 985, '', 0, 'EM2\r'),
	('TM', 9541, 'BEW', 974, 'TET', 988, '', 0, 'EM2 ER4\r'),
	('TM', 9541, 'BEW', 974, 'UEL', 986, '', 0, 'EM2\r'),
	('TM', 9541, 'DAR', 1177, 'POL', 985, '', 0, 'E90\r'),
	('TM', 9541, 'INH', 976, 'JNB', 813, '', 0, 'DH4\r'),
	('TM', 9541, 'INH', 976, 'MPM', 979, '', 0, 'DH4 EM2\r'),
	('TM', 9541, 'INH', 976, 'VNX', 990, '', 0, 'DH4 EM2\r'),
	('TM', 9541, 'JNB', 813, 'APL', 984, '', 0, 'ER4\r'),
	('TM', 9541, 'JNB', 813, 'BEW', 974, '', 0, 'DH4\r'),
	('TM', 9541, 'JNB', 813, 'INH', 976, '', 0, 'DH4\r'),
	('TM', 9541, 'JNB', 813, 'MPM', 979, '', 0, 'E90 ER4 735\r'),
	('TM', 9541, 'JNB', 813, 'TET', 988, '', 0, 'ER4 DH4\r'),
	('TM', 9541, 'JNB', 813, 'VNX', 990, '', 0, 'DH4\r'),
	('TM', 9541, 'LAD', 951, 'MPM', 979, '', 0, 'E90\r'),
	('TM', 9541, 'MPM', 979, 'APL', 984, '', 0, '735 E90 ER4\r'),
	('TM', 9541, 'MPM', 979, 'BEW', 974, '', 0, 'E90 DH4 ER4 735\r'),
	('TM', 9541, 'MPM', 979, 'INH', 976, '', 0, 'EM2\r'),
	('TM', 9541, 'MPM', 979, 'JNB', 813, '', 0, 'E90 ER4 735\r'),
	('TM', 9541, 'MPM', 979, 'LAD', 951, '', 0, 'E90\r'),
	('TM', 9541, 'MPM', 979, 'POL', 985, '', 0, 'E90 735\r'),
	('TM', 9541, 'MPM', 979, 'TET', 988, '', 0, 'EM2 E90 DH4 ER4\r'),
	('TM', 9541, 'MPM', 979, 'UEL', 986, '', 0, '735 E90 DH4\r'),
	('TM', 9541, 'MPM', 979, 'VNX', 990, '', 0, 'DH4 EM2\r'),
	('TM', 9541, 'MPM', 979, 'VPY', 5637, '', 0, 'DH4 EM2\r'),
	('TM', 9541, 'NBO', 4059, 'POL', 985, '', 0, 'E90 ER4\r'),
	('TM', 9541, 'POL', 985, 'APL', 984, '', 0, 'ER4 E90\r'),
	('TM', 9541, 'POL', 985, 'BEW', 974, '', 0, 'EM2\r'),
	('TM', 9541, 'POL', 985, 'DAR', 1177, '', 0, 'E90\r'),
	('TM', 9541, 'POL', 985, 'MPM', 979, '', 0, 'E90 735\r'),
	('TM', 9541, 'POL', 985, 'NBO', 4059, '', 0, 'E90 ER4\r'),
	('TM', 9541, 'TET', 988, 'APL', 984, '', 0, 'EM2 ER4\r'),
	('TM', 9541, 'TET', 988, 'BEW', 974, '', 0, 'EM2 ER4\r'),
	('TM', 9541, 'TET', 988, 'JNB', 813, '', 0, 'ER4 DH4\r'),
	('TM', 9541, 'TET', 988, 'MPM', 979, '', 0, 'E90 EM2 DH4 ER4\r'),
	('TM', 9541, 'TET', 988, 'UEL', 986, '', 0, 'EM2\r'),
	('TM', 9541, 'TET', 988, 'VXC', 977, '', 0, 'EM2\r'),
	('TM', 9541, 'UEL', 986, 'BEW', 974, '', 0, 'EM2\r'),
	('TM', 9541, 'UEL', 986, 'MPM', 979, '', 0, '735 E90 DH4\r'),
	('TM', 9541, 'UEL', 986, 'TET', 988, '', 0, 'EM2\r'),
	('TM', 9541, 'VNX', 990, 'INH', 976, '', 0, 'DH4 EM2\r'),
	('TM', 9541, 'VNX', 990, 'JNB', 813, '', 0, 'DH4\r'),
	('TM', 9541, 'VNX', 990, 'MPM', 979, '', 0, 'EM2\r'),
	('TM', 9541, 'VPY', 5637, 'MPM', 979, '', 0, 'DH4 EM2\r'),
	('TM', 9541, 'VXC', 977, 'APL', 984, '', 0, '735 E90 EM2\r'),
	('TM', 9541, 'VXC', 977, 'TET', 988, '', 0, 'EM2\r'),
	('TN', 225, 'AKL', 2006, 'BNE', 3320, 'Y', 0, '73H\r'),
	('TN', 225, 'AKL', 2006, 'MEL', 3339, 'Y', 0, '73H\r'),
	('TN', 225, 'AKL', 2006, 'PPT', 4075, '', 0, '343 763\r'),
	('TN', 225, 'AKL', 2006, 'SYD', 3361, 'Y', 0, '73H\r'),
	('TN', 225, 'BNE', 3320, 'AKL', 2006, 'Y', 0, '73H\r'),
	('TN', 225, 'CDG', 1382, 'LAX', 3484, '', 0, '343\r'),
	('TN', 225, 'ICN', 3930, 'NRT', 2279, '', 0, '333\r'),
	('TN', 225, 'LAX', 3484, 'CDG', 1382, '', 0, '343\r'),
	('TN', 225, 'LAX', 3484, 'PPT', 4075, '', 0, '343\r'),
	('TN', 225, 'MEL', 3339, 'AKL', 2006, 'Y', 0, '73H\r'),
	('TN', 225, 'MOF', 3913, 'KOE', 3916, '', 0, 'F50\r'),
	('TN', 225, 'NRT', 2279, 'ICN', 3930, '', 0, '333\r'),
	('TN', 225, 'NRT', 2279, 'PPT', 4075, '', 0, '343\r'),
	('TN', 225, 'PPT', 4075, 'AKL', 2006, '', 0, '343 763\r'),
	('TN', 225, 'PPT', 4075, 'LAX', 3484, '', 0, '343\r'),
	('TN', 225, 'PPT', 4075, 'NRT', 2279, '', 0, '343\r'),
	('TN', 225, 'SYD', 3361, 'AKL', 2006, 'Y', 0, '73H\r'),
	('TO', 8745, 'ACE', 1055, 'BHX', 469, '', 0, '73H 75W\r'),
	('TO', 8745, 'ACE', 1055, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'ACE', 1055, 'GLA', 534, '', 0, '75W\r'),
	('TO', 8745, 'ACE', 1055, 'LGW', 502, '', 0, '73H 75W\r'),
	('TO', 8745, 'ACE', 1055, 'LTN', 492, '', 0, '75W 73H\r'),
	('TO', 8745, 'ACE', 1055, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'ACE', 1055, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'ACE', 1055, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'ADB', 1706, 'BHX', 469, '', 0, '75W\r'),
	('TO', 8745, 'ADB', 1706, 'LGW', 502, '', 0, '75W\r'),
	('TO', 8745, 'ADB', 1706, 'MAN', 478, '', 0, '75W\r'),
	('TO', 8745, 'AGA', 1064, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'AGA', 1064, 'LIL', 1399, '', 0, '73H\r'),
	('TO', 8745, 'AGA', 1064, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'AGA', 1064, 'ORY', 1386, '', 0, '73H 320\r'),
	('TO', 8745, 'AGP', 1230, 'CWL', 488, '', 0, '73H\r'),
	('TO', 8745, 'AGP', 1230, 'GLA', 534, '', 0, '75W\r'),
	('TO', 8745, 'AGP', 1230, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'AGP', 1230, 'LTN', 492, '', 0, '73H\r'),
	('TO', 8745, 'AGP', 1230, 'MAN', 478, '', 0, '75W 73H\r'),
	('TO', 8745, 'AGP', 1230, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'AGP', 1230, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'ALC', 1212, 'BHX', 469, '', 0, '73H\r'),
	('TO', 8745, 'ALC', 1212, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'ALC', 1212, 'CWL', 488, '', 0, '73H\r'),
	('TO', 8745, 'ALC', 1212, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'ALC', 1212, 'GLA', 534, '', 0, '75W\r'),
	('TO', 8745, 'ALC', 1212, 'LGW', 502, '', 0, '75W\r'),
	('TO', 8745, 'ALC', 1212, 'MAN', 478, '', 0, '73H 75W 76W\r'),
	('TO', 8745, 'ALC', 1212, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'ATH', 3941, 'LYS', 1335, '', 0, '73H\r'),
	('TO', 8745, 'ATH', 3941, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'ATH', 3941, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'AYT', 1688, 'BHX', 469, '', 0, '75W\r'),
	('TO', 8745, 'AYT', 1688, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'AYT', 1688, 'LGW', 502, '', 0, '73H 75W\r'),
	('TO', 8745, 'AYT', 1688, 'LTN', 492, '', 0, '73H\r'),
	('TO', 8745, 'AYT', 1688, 'MAN', 478, '', 0, '76W 73H\r'),
	('TO', 8745, 'AYT', 1688, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'BHX', 469, 'ACE', 1055, '', 0, '73H 75W\r'),
	('TO', 8745, 'BHX', 469, 'ADB', 1706, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'ALC', 1212, '', 0, '73H\r'),
	('TO', 8745, 'BHX', 469, 'AYT', 1688, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'BJV', 4315, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'BVC', 1103, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'DBV', 1200, '', 0, '73H\r'),
	('TO', 8745, 'BHX', 469, 'DLM', 1715, '', 0, '75W 73H\r'),
	('TO', 8745, 'BHX', 469, 'FAO', 1626, '', 0, '73H 75W\r'),
	('TO', 8745, 'BHX', 469, 'FNC', 4091, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'FUE', 1051, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'LCA', 1197, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'LPA', 1054, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'NBE', 7447, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'PFO', 1198, '', 0, '73H\r'),
	('TO', 8745, 'BHX', 469, 'PMI', 3998, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'RAK', 1075, '', 0, '75W\r'),
	('TO', 8745, 'BHX', 469, 'SSH', 4057, '', 0, '73H\r'),
	('TO', 8745, 'BHX', 469, 'TFS', 1056, '', 0, '73H 75W\r'),
	('TO', 8745, 'BJV', 4315, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'BJV', 4315, 'MAN', 478, '', 0, '76W\r'),
	('TO', 8745, 'BJV', 4315, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'BOH', 494, 'PMI', 3998, '', 0, '73H\r'),
	('TO', 8745, 'BOH', 494, 'TFS', 1056, '', 0, '73H\r'),
	('TO', 8745, 'BRS', 490, 'ALC', 1212, '', 0, '75W\r'),
	('TO', 8745, 'BRS', 490, 'CFU', 1460, '', 0, '75W\r'),
	('TO', 8745, 'BRS', 490, 'DLM', 1715, '', 0, '75W\r'),
	('TO', 8745, 'BRS', 490, 'FUE', 1051, '', 0, '75W\r'),
	('TO', 8745, 'BRS', 490, 'LPA', 1054, '', 0, '75W\r'),
	('TO', 8745, 'BRS', 490, 'MAH', 1231, '', 0, '75W\r'),
	('TO', 8745, 'BRS', 490, 'NBE', 7447, '', 0, '75W\r'),
	('TO', 8745, 'BRS', 490, 'PFO', 1198, '', 0, '75W\r'),
	('TO', 8745, 'BRS', 490, 'PMI', 3998, '', 0, '75W\r'),
	('TO', 8745, 'BRS', 490, 'REU', 1236, '', 0, '75W\r'),
	('TO', 8745, 'BRS', 490, 'TFS', 1056, '', 0, '75W\r'),
	('TO', 8745, 'BUD', 1489, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'BVC', 1103, 'BHX', 469, '', 0, '75W\r'),
	('TO', 8745, 'BVC', 1103, 'LGW', 502, '', 0, '75W\r'),
	('TO', 8745, 'BVC', 1103, 'MAN', 478, '', 0, '75W\r'),
	('TO', 8745, 'CFU', 1460, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'CFU', 1460, 'LGW', 502, '', 0, '75W\r'),
	('TO', 8745, 'CFU', 1460, 'MAN', 478, '', 0, '73H 76W\r'),
	('TO', 8745, 'CTA', 1509, 'LGW', 502, '', 0, '75W\r'),
	('TO', 8745, 'CTA', 1509, 'MAN', 478, '', 0, '75W\r'),
	('TO', 8745, 'CTA', 1509, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'CUN', 1852, 'LGW', 502, '', 0, '788\r'),
	('TO', 8745, 'CUN', 1852, 'MAN', 478, '', 0, '788 76W\r'),
	('TO', 8745, 'CWL', 488, 'AGP', 1230, '', 0, '73H\r'),
	('TO', 8745, 'CWL', 488, 'ALC', 1212, '', 0, '73H\r'),
	('TO', 8745, 'CWL', 488, 'DLM', 1715, '', 0, '73H\r'),
	('TO', 8745, 'CWL', 488, 'HER', 1452, '', 0, '73H\r'),
	('TO', 8745, 'CWL', 488, 'LCA', 1197, '', 0, '73H\r'),
	('TO', 8745, 'CWL', 488, 'PMI', 3998, '', 0, '73H\r'),
	('TO', 8745, 'CWL', 488, 'RHO', 1472, '', 0, '73H\r'),
	('TO', 8745, 'CWL', 488, 'TFS', 1056, '', 0, '73H\r'),
	('TO', 8745, 'DBV', 1200, 'BHX', 469, '', 0, '73H\r'),
	('TO', 8745, 'DBV', 1200, 'LGW', 502, '', 0, '75W\r'),
	('TO', 8745, 'DBV', 1200, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'DBV', 1200, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'DJE', 293, 'LIL', 1399, '', 0, '73H\r'),
	('TO', 8745, 'DJE', 293, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'DJE', 293, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'DLM', 1715, 'BHX', 469, '', 0, '75W 73H\r'),
	('TO', 8745, 'DLM', 1715, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'DLM', 1715, 'CWL', 488, '', 0, '73H\r'),
	('TO', 8745, 'DLM', 1715, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'DLM', 1715, 'GLA', 534, '', 0, '75W\r'),
	('TO', 8745, 'DLM', 1715, 'LBA', 517, '', 0, '73H\r'),
	('TO', 8745, 'DLM', 1715, 'LGW', 502, '', 0, '75W 73H\r'),
	('TO', 8745, 'DLM', 1715, 'LTN', 492, '', 0, '75W 73H\r'),
	('TO', 8745, 'DLM', 1715, 'MAN', 478, '', 0, '76W 73H 75W\r'),
	('TO', 8745, 'DLM', 1715, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'DLM', 1715, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'DSA', 5562, 'PMI', 3998, '', 0, '73H\r'),
	('TO', 8745, 'EDI', 535, 'PMI', 3998, '', 0, '73H\r'),
	('TO', 8745, 'EDI', 535, 'TFS', 1056, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'ACE', 1055, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'ALC', 1212, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'DLM', 1715, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'FAO', 1626, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'IBZ', 1225, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'LCA', 1197, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'LPA', 1054, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'MAH', 1231, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'NBE', 7447, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'PFO', 1198, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'PMI', 3998, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'RHO', 1472, '', 0, '73H\r'),
	('TO', 8745, 'EMA', 523, 'TFS', 1056, '', 0, '73H\r'),
	('TO', 8745, 'ESU', 5671, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'EXT', 552, 'FAO', 1626, '', 0, '73H\r'),
	('TO', 8745, 'EXT', 552, 'PMI', 3998, '', 0, '73H\r'),
	('TO', 8745, 'FAO', 1626, 'BHX', 469, '', 0, '73H 75W\r'),
	('TO', 8745, 'FAO', 1626, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'FAO', 1626, 'GLA', 534, '', 0, '75W\r'),
	('TO', 8745, 'FAO', 1626, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'FAO', 1626, 'LTN', 492, '', 0, '75W 73H\r'),
	('TO', 8745, 'FAO', 1626, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'FAO', 1626, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'FAO', 1626, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'FAO', 1626, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'FCO', 1555, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'FCO', 1555, 'VCE', 1551, '', 0, '73H\r'),
	('TO', 8745, 'FNC', 4091, 'BHX', 469, '', 0, '75W\r'),
	('TO', 8745, 'FNC', 4091, 'LGW', 502, '', 0, '75W\r'),
	('TO', 8745, 'FNC', 4091, 'MAN', 478, '', 0, '75W\r'),
	('TO', 8745, 'FNC', 4091, 'OPO', 1636, '', 0, '73H\r'),
	('TO', 8745, 'FUE', 1051, 'BHX', 469, '', 0, '75W\r'),
	('TO', 8745, 'FUE', 1051, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'FUE', 1051, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'FUE', 1051, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'FUE', 1051, 'LTN', 492, '', 0, '73H\r'),
	('TO', 8745, 'FUE', 1051, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'FUE', 1051, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'GLA', 534, 'ACE', 1055, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'AGP', 1230, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'ALC', 1212, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'BJV', 4315, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'CUN', 1852, '', 0, '788\r'),
	('TO', 8745, 'GLA', 534, 'DLM', 1715, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'FAO', 1626, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'IBZ', 1225, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'LCA', 1197, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'LPA', 1054, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'PMI', 3998, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'RHO', 1472, '', 0, '75W\r'),
	('TO', 8745, 'GLA', 534, 'TFS', 1056, '', 0, '75W\r'),
	('TO', 8745, 'HER', 1452, 'BHX', 469, '', 0, '75W\r'),
	('TO', 8745, 'HER', 1452, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'HER', 1452, 'LYS', 1335, '', 0, '73H\r'),
	('TO', 8745, 'HER', 1452, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'HER', 1452, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'HER', 1452, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'HRG', 1130, 'LGW', 502, '', 0, '73H 75W\r'),
	('TO', 8745, 'HRG', 1130, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'IBZ', 1225, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'IBZ', 1225, 'LBA', 517, '', 0, '73H\r'),
	('TO', 8745, 'IBZ', 1225, 'LTN', 492, '', 0, '73H\r'),
	('TO', 8745, 'IBZ', 1225, 'MAN', 478, '', 0, '75W 76W 73H\r'),
	('TO', 8745, 'IBZ', 1225, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'IBZ', 1225, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'IBZ', 1225, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'JMK', 1468, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'KGS', 1458, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'LBA', 517, 'DLM', 1715, '', 0, '73H\r'),
	('TO', 8745, 'LBA', 517, 'IBZ', 1225, '', 0, '73H\r'),
	('TO', 8745, 'LBA', 517, 'PMI', 3998, '', 0, '73H\r'),
	('TO', 8745, 'LBA', 517, 'TFS', 1056, '', 0, '73H\r'),
	('TO', 8745, 'LCA', 1197, 'CWL', 488, '', 0, '73H\r'),
	('TO', 8745, 'LCA', 1197, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'LCA', 1197, 'GLA', 534, '', 0, '75W\r'),
	('TO', 8745, 'LCA', 1197, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'LCA', 1197, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'LEI', 1213, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'ACE', 1055, '', 0, '73H 75W\r'),
	('TO', 8745, 'LGW', 502, 'ADB', 1706, '', 0, '75W\r'),
	('TO', 8745, 'LGW', 502, 'AGA', 1064, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'AGP', 1230, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'ALC', 1212, '', 0, '75W\r'),
	('TO', 8745, 'LGW', 502, 'AYT', 1688, '', 0, '73H 75W\r'),
	('TO', 8745, 'LGW', 502, 'BJV', 4315, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'BVC', 1103, '', 0, '75W\r'),
	('TO', 8745, 'LGW', 502, 'CFU', 1460, '', 0, '73H 75W\r'),
	('TO', 8745, 'LGW', 502, 'CHQ', 1474, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'CTA', 1509, '', 0, '75W\r'),
	('TO', 8745, 'LGW', 502, 'CUN', 1852, '', 0, '788\r'),
	('TO', 8745, 'LGW', 502, 'DBV', 1200, '', 0, '75W\r'),
	('TO', 8745, 'LGW', 502, 'DLM', 1715, '', 0, '75W 73H\r'),
	('TO', 8745, 'LGW', 502, 'FAO', 1626, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'FNC', 4091, '', 0, '75W\r'),
	('TO', 8745, 'LGW', 502, 'FUE', 1051, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'HER', 1452, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'HRG', 1130, '', 0, '73H 75W\r'),
	('TO', 8745, 'LGW', 502, 'IBZ', 1225, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'JMK', 1468, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'JTR', 1479, '', 0, '75W\r'),
	('TO', 8745, 'LGW', 502, 'KGS', 1458, '', 0, '75W 73H\r'),
	('TO', 8745, 'LGW', 502, 'LCA', 1197, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'LPA', 1054, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'MAH', 1231, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'MLA', 1606, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'MRU', 893, '', 0, '788\r'),
	('TO', 8745, 'LGW', 502, 'NAP', 1561, '', 0, '75W 73H\r'),
	('TO', 8745, 'LGW', 502, 'NBE', 7447, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'PFO', 1198, '', 0, '75W 73H\r'),
	('TO', 8745, 'LGW', 502, 'PMI', 3998, '', 0, '73H 75W\r'),
	('TO', 8745, 'LGW', 502, 'PUJ', 1760, '', 0, '788\r'),
	('TO', 8745, 'LGW', 502, 'PVK', 1470, '', 0, '73H 75W\r'),
	('TO', 8745, 'LGW', 502, 'RAK', 1075, '', 0, '73H 75W\r'),
	('TO', 8745, 'LGW', 502, 'RHO', 1472, '', 0, '75W\r'),
	('TO', 8745, 'LGW', 502, 'SID', 1102, '', 0, '75W\r'),
	('TO', 8745, 'LGW', 502, 'SKG', 1486, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'SSH', 4057, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'TFS', 1056, '', 0, '75W 73H\r'),
	('TO', 8745, 'LGW', 502, 'VCE', 1551, '', 0, '73H\r'),
	('TO', 8745, 'LGW', 502, 'VRN', 1550, '', 0, '75W 73H\r'),
	('TO', 8745, 'LGW', 502, 'ZTH', 1488, '', 0, '73H\r'),
	('TO', 8745, 'LIL', 1399, 'AGA', 1064, '', 0, '73H\r'),
	('TO', 8745, 'LIL', 1399, 'DJE', 293, '', 0, '73H\r'),
	('TO', 8745, 'LIL', 1399, 'OUD', 1070, '', 0, '73H\r'),
	('TO', 8745, 'LIL', 1399, 'RAK', 1075, '', 0, '73H\r'),
	('TO', 8745, 'LIL', 1399, 'VCE', 1551, '', 0, '73H\r'),
	('TO', 8745, 'LIS', 1638, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'LIS', 1638, 'ORY', 1386, '', 0, '73H 320\r'),
	('TO', 8745, 'LPA', 1054, 'BHX', 469, '', 0, '75W\r'),
	('TO', 8745, 'LPA', 1054, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'LPA', 1054, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'LPA', 1054, 'GLA', 534, '', 0, '75W\r'),
	('TO', 8745, 'LPA', 1054, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'LPA', 1054, 'LTN', 492, '', 0, '73H\r'),
	('TO', 8745, 'LPA', 1054, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'LPA', 1054, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'LTN', 492, 'ACE', 1055, '', 0, '75W 73H\r'),
	('TO', 8745, 'LTN', 492, 'AGP', 1230, '', 0, '73H\r'),
	('TO', 8745, 'LTN', 492, 'AYT', 1688, '', 0, '73H\r'),
	('TO', 8745, 'LTN', 492, 'DLM', 1715, '', 0, '75W 73H\r'),
	('TO', 8745, 'LTN', 492, 'FAO', 1626, '', 0, '75W 73H\r'),
	('TO', 8745, 'LTN', 492, 'FUE', 1051, '', 0, '73H\r'),
	('TO', 8745, 'LTN', 492, 'IBZ', 1225, '', 0, '73H\r'),
	('TO', 8745, 'LTN', 492, 'LCA', 1197, '', 0, '73H\r'),
	('TO', 8745, 'LTN', 492, 'LPA', 1054, '', 0, '73H\r'),
	('TO', 8745, 'LTN', 492, 'PFO', 1198, '', 0, '75W\r'),
	('TO', 8745, 'LTN', 492, 'PMI', 3998, '', 0, '75W 73H\r'),
	('TO', 8745, 'LTN', 492, 'REU', 1236, '', 0, '73H\r'),
	('TO', 8745, 'LTN', 492, 'SSH', 4057, '', 0, '73H\r'),
	('TO', 8745, 'LTN', 492, 'TFS', 1056, '', 0, '75W 73H\r'),
	('TO', 8745, 'LYS', 1335, 'ATH', 3941, '', 0, '73H\r'),
	('TO', 8745, 'LYS', 1335, 'HER', 1452, '', 0, '73H\r'),
	('TO', 8745, 'LYS', 1335, 'MIR', 286, '', 0, '73H\r'),
	('TO', 8745, 'LYS', 1335, 'OPO', 1636, '', 0, '73H\r'),
	('TO', 8745, 'LYS', 1335, 'OUD', 1070, '', 0, '73H\r'),
	('TO', 8745, 'LYS', 1335, 'RAK', 1075, '', 0, '73H\r'),
	('TO', 8745, 'LYS', 1335, 'SVQ', 1253, '', 0, '73H\r'),
	('TO', 8745, 'LYS', 1335, 'TUN', 287, '', 0, '73H\r'),
	('TO', 8745, 'MAH', 1231, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'MAH', 1231, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'MAH', 1231, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'ACE', 1055, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'ADB', 1706, '', 0, '75W\r'),
	('TO', 8745, 'MAN', 478, 'AGA', 1064, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'AGP', 1230, '', 0, '75W 73H\r'),
	('TO', 8745, 'MAN', 478, 'ALC', 1212, '', 0, '73H 75W 76W\r'),
	('TO', 8745, 'MAN', 478, 'AYT', 1688, '', 0, '76W 73H\r'),
	('TO', 8745, 'MAN', 478, 'BJV', 4315, '', 0, '73H 76W\r'),
	('TO', 8745, 'MAN', 478, 'BVC', 1103, '', 0, '75W\r'),
	('TO', 8745, 'MAN', 478, 'CFU', 1460, '', 0, '73H 76W\r'),
	('TO', 8745, 'MAN', 478, 'CTA', 1509, '', 0, '75W\r'),
	('TO', 8745, 'MAN', 478, 'CUN', 1852, '', 0, '788 76W\r'),
	('TO', 8745, 'MAN', 478, 'DBV', 1200, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'DLM', 1715, '', 0, '76W 73H 75W\r'),
	('TO', 8745, 'MAN', 478, 'FAO', 1626, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'FNC', 4091, '', 0, '75W\r'),
	('TO', 8745, 'MAN', 478, 'FUE', 1051, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'HER', 1452, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'HRG', 1130, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'IBZ', 1225, '', 0, '73H 75W 76W\r'),
	('TO', 8745, 'MAN', 478, 'JTR', 1479, '', 0, '75W\r'),
	('TO', 8745, 'MAN', 478, 'KGS', 1458, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'LCA', 1197, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'LEI', 1213, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'LPA', 1054, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'MAH', 1231, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'NAP', 1561, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'NBE', 7447, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'PFO', 1198, '', 0, '73H 76W\r'),
	('TO', 8745, 'MAN', 478, 'PMI', 3998, '', 0, '73H 75W\r'),
	('TO', 8745, 'MAN', 478, 'PUJ', 1760, '', 0, '788\r'),
	('TO', 8745, 'MAN', 478, 'PUY', 1203, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'PVK', 1470, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'RAK', 1075, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'REU', 1236, '', 0, '73H 75W\r'),
	('TO', 8745, 'MAN', 478, 'RHO', 1472, '', 0, '76W\r'),
	('TO', 8745, 'MAN', 478, 'SID', 1102, '', 0, '75W\r'),
	('TO', 8745, 'MAN', 478, 'SSH', 4057, '', 0, '75W\r'),
	('TO', 8745, 'MAN', 478, 'TFS', 1056, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'VCE', 1551, '', 0, '73H\r'),
	('TO', 8745, 'MAN', 478, 'VRN', 1550, '', 0, '75W\r'),
	('TO', 8745, 'MAN', 478, 'ZTH', 1488, '', 0, '73H\r'),
	('TO', 8745, 'MIR', 286, 'LYS', 1335, '', 0, '73H\r'),
	('TO', 8745, 'MIR', 286, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'MIR', 286, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'MLA', 1606, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'MLA', 1606, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'MLA', 1606, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'MRU', 893, 'LGW', 502, '', 0, '788\r'),
	('TO', 8745, 'NAP', 1561, 'LGW', 502, '', 0, '75W 73H\r'),
	('TO', 8745, 'NAP', 1561, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'NAP', 1561, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'NBE', 7447, 'BHX', 469, '', 0, '75W\r'),
	('TO', 8745, 'NBE', 7447, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'NBE', 7447, 'CWL', 488, '', 0, '73H\r'),
	('TO', 8745, 'NBE', 7447, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'NBE', 7447, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'NBE', 7447, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'NBE', 7447, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'ACE', 1055, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'AGP', 1230, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'ALC', 1212, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'DLM', 1715, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'FAO', 1626, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'HER', 1452, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'IBZ', 1225, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'NBE', 7447, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'PFO', 1198, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'PMI', 3998, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'RHO', 1472, '', 0, '73H\r'),
	('TO', 8745, 'NCL', 521, 'TFS', 1056, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'ATH', 3941, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'DJE', 293, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'FCO', 1555, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'HER', 1452, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'LIS', 1638, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'MIR', 286, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'MLA', 1606, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'OPO', 1636, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'RAK', 1075, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'SVQ', 1253, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'TXL', 351, '', 0, '73H\r'),
	('TO', 8745, 'NTE', 1418, 'VCE', 1551, '', 0, '73H\r'),
	('TO', 8745, 'OPO', 1636, 'FNC', 4091, '', 0, '73H\r'),
	('TO', 8745, 'OPO', 1636, 'LYS', 1335, '', 0, '73H\r'),
	('TO', 8745, 'OPO', 1636, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'OPO', 1636, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'AGA', 1064, '', 0, '73H 320\r'),
	('TO', 8745, 'ORY', 1386, 'AGP', 1230, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'ATH', 3941, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'AYT', 1688, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'BJV', 4315, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'BUD', 1489, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'CTA', 1509, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'DBV', 1200, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'DJE', 293, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'ESU', 5671, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'FAO', 1626, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'HER', 1452, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'IBZ', 1225, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'LIS', 1638, '', 0, '73H 320\r'),
	('TO', 8745, 'ORY', 1386, 'MIR', 286, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'MLA', 1606, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'NAP', 1561, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'OPO', 1636, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'OUD', 1070, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'PMO', 1512, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'PRG', 1587, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'PSA', 1562, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'RAK', 1075, '', 0, '73H 320\r'),
	('TO', 8745, 'ORY', 1386, 'SAW', 4317, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'SVQ', 1253, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'TLV', 1590, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'TUN', 287, '', 0, '73H\r'),
	('TO', 8745, 'ORY', 1386, 'VCE', 1551, '', 0, '73H\r'),
	('TO', 8745, 'OUD', 1070, 'LIL', 1399, '', 0, '73H\r'),
	('TO', 8745, 'OUD', 1070, 'LYS', 1335, '', 0, '73H\r'),
	('TO', 8745, 'OUD', 1070, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'PFO', 1198, 'BHX', 469, '', 0, '73H\r'),
	('TO', 8745, 'PFO', 1198, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'PFO', 1198, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'PFO', 1198, 'LGW', 502, '', 0, '75W 73H\r'),
	('TO', 8745, 'PFO', 1198, 'LTN', 492, '', 0, '75W\r'),
	('TO', 8745, 'PFO', 1198, 'MAN', 478, '', 0, '73H 76W\r'),
	('TO', 8745, 'PFO', 1198, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'PFO', 1198, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'PMI', 3998, 'BHX', 469, '', 0, '75W\r'),
	('TO', 8745, 'PMI', 3998, 'BOH', 494, '', 0, '73H\r'),
	('TO', 8745, 'PMI', 3998, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'PMI', 3998, 'CWL', 488, '', 0, '73H\r'),
	('TO', 8745, 'PMI', 3998, 'DSA', 5562, '', 0, '73H\r'),
	('TO', 8745, 'PMI', 3998, 'EDI', 535, '', 0, '73H\r'),
	('TO', 8745, 'PMI', 3998, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'PMI', 3998, 'EXT', 552, '', 0, '73H\r'),
	('TO', 8745, 'PMI', 3998, 'GLA', 534, '', 0, '73H 75W\r'),
	('TO', 8745, 'PMI', 3998, 'LBA', 517, '', 0, '73H\r'),
	('TO', 8745, 'PMI', 3998, 'LGW', 502, '', 0, '73H 75W\r'),
	('TO', 8745, 'PMI', 3998, 'LTN', 492, '', 0, '75W 73H\r'),
	('TO', 8745, 'PMI', 3998, 'MAN', 478, '', 0, '73H 75W\r'),
	('TO', 8745, 'PMI', 3998, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'PMI', 3998, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'PMO', 1512, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'PRG', 1587, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'PSA', 1562, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'PUJ', 1760, 'LGW', 502, '', 0, '788\r'),
	('TO', 8745, 'PUY', 1203, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'PVK', 1470, 'LGW', 502, '', 0, '73H 75W\r'),
	('TO', 8745, 'PVK', 1470, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'RAK', 1075, 'BHX', 469, '', 0, '75W\r'),
	('TO', 8745, 'RAK', 1075, 'LGW', 502, '', 0, '73H 75W\r'),
	('TO', 8745, 'RAK', 1075, 'LIL', 1399, '', 0, '73H\r'),
	('TO', 8745, 'RAK', 1075, 'LYS', 1335, '', 0, '73H\r'),
	('TO', 8745, 'RAK', 1075, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'RAK', 1075, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'RAK', 1075, 'ORY', 1386, '', 0, '73H 320\r'),
	('TO', 8745, 'RAK', 1075, 'SXB', 1435, '', 0, '73H\r'),
	('TO', 8745, 'REU', 1236, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'REU', 1236, 'MAN', 478, '', 0, '75W\r'),
	('TO', 8745, 'RHO', 1472, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'RHO', 1472, 'LGW', 502, '', 0, '73H 75W\r'),
	('TO', 8745, 'RHO', 1472, 'MAN', 478, '', 0, '76W\r'),
	('TO', 8745, 'RHO', 1472, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'RHO', 1472, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'SAW', 4317, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'SID', 1102, 'LGW', 502, '', 0, '75W\r'),
	('TO', 8745, 'SID', 1102, 'MAN', 478, '', 0, '75W\r'),
	('TO', 8745, 'SSH', 4057, 'BHX', 469, '', 0, '73H\r'),
	('TO', 8745, 'SSH', 4057, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'SSH', 4057, 'LTN', 492, '', 0, '73H\r'),
	('TO', 8745, 'SSH', 4057, 'MAN', 478, '', 0, '75W\r'),
	('TO', 8745, 'SSH', 4057, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'ACE', 1055, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'DLM', 1715, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'FAO', 1626, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'FUE', 1051, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'IBZ', 1225, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'KGS', 1458, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'LPA', 1054, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'MAH', 1231, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'PFO', 1198, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'PMI', 3998, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'RHO', 1472, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'SSH', 4057, '', 0, '73H\r'),
	('TO', 8745, 'STN', 548, 'TFS', 1056, '', 0, '73H\r'),
	('TO', 8745, 'SVQ', 1253, 'LYS', 1335, '', 0, '73H\r'),
	('TO', 8745, 'SVQ', 1253, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'SVQ', 1253, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'SXB', 1435, 'RAK', 1075, '', 0, '73H\r'),
	('TO', 8745, 'TFS', 1056, 'BHX', 469, '', 0, '73H 75W\r'),
	('TO', 8745, 'TFS', 1056, 'BOH', 494, '', 0, '73H\r'),
	('TO', 8745, 'TFS', 1056, 'BRS', 490, '', 0, '75W\r'),
	('TO', 8745, 'TFS', 1056, 'CWL', 488, '', 0, '73H\r'),
	('TO', 8745, 'TFS', 1056, 'EDI', 535, '', 0, '73H\r'),
	('TO', 8745, 'TFS', 1056, 'EMA', 523, '', 0, '73H\r'),
	('TO', 8745, 'TFS', 1056, 'GLA', 534, '', 0, '75W\r'),
	('TO', 8745, 'TFS', 1056, 'LBA', 517, '', 0, '73H\r'),
	('TO', 8745, 'TFS', 1056, 'LGW', 502, '', 0, '75W 73H\r'),
	('TO', 8745, 'TFS', 1056, 'LTN', 492, '', 0, '75W 73H\r'),
	('TO', 8745, 'TFS', 1056, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'TFS', 1056, 'NCL', 521, '', 0, '73H\r'),
	('TO', 8745, 'TFS', 1056, 'STN', 548, '', 0, '73H\r'),
	('TO', 8745, 'TLV', 1590, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'TUN', 287, 'LYS', 1335, '', 0, '73H\r'),
	('TO', 8745, 'TUN', 287, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'TXL', 351, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'VCE', 1551, 'LGW', 502, '', 0, '73H\r'),
	('TO', 8745, 'VCE', 1551, 'LIL', 1399, '', 0, '73H\r'),
	('TO', 8745, 'VCE', 1551, 'MAN', 478, '', 0, '73H\r'),
	('TO', 8745, 'VCE', 1551, 'NTE', 1418, '', 0, '73H\r'),
	('TO', 8745, 'VCE', 1551, 'ORY', 1386, '', 0, '73H\r'),
	('TO', 8745, 'VRN', 1550, 'LGW', 502, '', 0, '75W 73H\r'),
	('TO', 8745, 'VRN', 1550, 'MAN', 478, '', 0, '75W\r'),
	('TO', 8745, 'ZTH', 1488, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'ACE', 1055, 'BHX', 469, '', 0, '75W\r'),
	('TOM', 5013, 'ACE', 1055, 'EMA', 523, '', 0, '73H\r'),
	('TOM', 5013, 'ACE', 1055, 'GLA', 534, '', 0, '75W\r'),
	('TOM', 5013, 'ACE', 1055, 'LGW', 502, '', 0, '75W\r'),
	('TOM', 5013, 'ACE', 1055, 'MAN', 478, '', 0, '73H 75W\r'),
	('TOM', 5013, 'ACE', 1055, 'NCL', 521, '', 0, '73H\r'),
	('TOM', 5013, 'ACE', 1055, 'STN', 548, '', 0, '73H\r'),
	('TOM', 5013, 'AGA', 1064, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'AGA', 1064, 'MAN', 478, '', 0, '73H\r'),
	('TOM', 5013, 'AYT', 1688, 'BHX', 469, '', 0, '73H\r'),
	('TOM', 5013, 'AYT', 1688, 'BRS', 490, '', 0, '75W\r'),
	('TOM', 5013, 'AYT', 1688, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'AYT', 1688, 'MAN', 478, '', 0, '75W\r'),
	('TOM', 5013, 'BHX', 469, 'ACE', 1055, '', 0, '75W\r'),
	('TOM', 5013, 'BHX', 469, 'AYT', 1688, '', 0, '73H\r'),
	('TOM', 5013, 'BHX', 469, 'BVC', 1103, '', 0, '75W\r'),
	('TOM', 5013, 'BHX', 469, 'DLM', 1715, '', 0, '73H\r'),
	('TOM', 5013, 'BHX', 469, 'FUE', 1051, '', 0, '75W\r'),
	('TOM', 5013, 'BHX', 469, 'NBE', 7447, '', 0, '75W\r'),
	('TOM', 5013, 'BHX', 469, 'PMI', 3998, '', 0, '75W 73H\r'),
	('TOM', 5013, 'BHX', 469, 'SSH', 4057, '', 0, '75W\r'),
	('TOM', 5013, 'BHX', 469, 'TFS', 1056, '', 0, '75W\r'),
	('TOM', 5013, 'BRS', 490, 'PMI', 3998, '', 0, '75W\r'),
	('TOM', 5013, 'BRS', 490, 'TFS', 1056, '', 0, '75W\r'),
	('TOM', 5013, 'BVC', 1103, 'BHX', 469, '', 0, '75W\r'),
	('TOM', 5013, 'BVC', 1103, 'MAN', 478, '', 0, '75W\r'),
	('TOM', 5013, 'CUN', 1852, 'LGW', 502, '', 0, '788\r'),
	('TOM', 5013, 'CUN', 1852, 'MAN', 478, '', 0, '76W 788\r'),
	('TOM', 5013, 'CWL', 488, 'TFS', 1056, '', 0, '73H\r'),
	('TOM', 5013, 'DLM', 1715, 'BHX', 469, '', 0, '73H\r'),
	('TOM', 5013, 'DLM', 1715, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'DLM', 1715, 'MAN', 478, '', 0, '73H\r'),
	('TOM', 5013, 'DSA', 5562, 'PMI', 3998, '', 0, '73H\r'),
	('TOM', 5013, 'EMA', 523, 'ACE', 1055, '', 0, '73H\r'),
	('TOM', 5013, 'EMA', 523, 'NBE', 7447, '', 0, '73H\r'),
	('TOM', 5013, 'EMA', 523, 'PFO', 1198, '', 0, '73H\r'),
	('TOM', 5013, 'EMA', 523, 'PMI', 3998, '', 0, '73H\r'),
	('TOM', 5013, 'EMA', 523, 'TFS', 1056, '', 0, '73H\r'),
	('TOM', 5013, 'EXT', 552, 'PMI', 3998, '', 0, '73H\r'),
	('TOM', 5013, 'FNC', 4091, 'GLA', 534, '', 0, '75W\r'),
	('TOM', 5013, 'FUE', 1051, 'BHX', 469, '', 0, '75W\r'),
	('TOM', 5013, 'FUE', 1051, 'EMA', 523, '', 0, '73H\r'),
	('TOM', 5013, 'FUE', 1051, 'LGW', 502, '', 0, '75W\r'),
	('TOM', 5013, 'GLA', 534, 'ACE', 1055, '', 0, '75W\r'),
	('TOM', 5013, 'GLA', 534, 'FNC', 4091, '', 0, '75W\r'),
	('TOM', 5013, 'GLA', 534, 'PMI', 3998, '', 0, '75W\r'),
	('TOM', 5013, 'GLA', 534, 'TFS', 1056, '', 0, '75W\r'),
	('TOM', 5013, 'HER', 1452, 'BHX', 469, '', 0, '75W\r'),
	('TOM', 5013, 'HRG', 1130, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'HRG', 1130, 'MAN', 478, '', 0, '75W\r'),
	('TOM', 5013, 'LCA', 1197, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'LCA', 1197, 'MAN', 478, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'ACE', 1055, '', 0, '75W\r'),
	('TOM', 5013, 'LGW', 502, 'AGA', 1064, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'AYT', 1688, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'CUN', 1852, '', 0, '788\r'),
	('TOM', 5013, 'LGW', 502, 'DLM', 1715, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'FUE', 1051, '', 0, '75W\r'),
	('TOM', 5013, 'LGW', 502, 'HRG', 1130, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'LCA', 1197, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'LPA', 1054, '', 0, '75W\r'),
	('TOM', 5013, 'LGW', 502, 'MRU', 893, '', 0, '788\r'),
	('TOM', 5013, 'LGW', 502, 'NBE', 7447, '', 0, '75W 73H\r'),
	('TOM', 5013, 'LGW', 502, 'PFO', 1198, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'PMI', 3998, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'PVK', 1470, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'RAK', 1075, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'RHO', 1472, '', 0, '73H\r'),
	('TOM', 5013, 'LGW', 502, 'SID', 1102, '', 0, '75W\r'),
	('TOM', 5013, 'LGW', 502, 'SSH', 4057, '', 0, '75W 73H\r'),
	('TOM', 5013, 'LGW', 502, 'TFS', 1056, '', 0, '73H 75W\r'),
	('TOM', 5013, 'LPA', 1054, 'LGW', 502, '', 0, '75W\r'),
	('TOM', 5013, 'LPA', 1054, 'MAN', 478, '', 0, '75W\r'),
	('TOM', 5013, 'MAN', 478, 'ACE', 1055, '', 0, '73H 75W\r'),
	('TOM', 5013, 'MAN', 478, 'AGA', 1064, '', 0, '73H\r'),
	('TOM', 5013, 'MAN', 478, 'BVC', 1103, '', 0, '75W\r'),
	('TOM', 5013, 'MAN', 478, 'CUN', 1852, '', 0, '76W\r'),
	('TOM', 5013, 'MAN', 478, 'DLM', 1715, '', 0, '73H\r'),
	('TOM', 5013, 'MAN', 478, 'HRG', 1130, '', 0, '75W\r'),
	('TOM', 5013, 'MAN', 478, 'LCA', 1197, '', 0, '73H\r'),
	('TOM', 5013, 'MAN', 478, 'LPA', 1054, '', 0, '75W\r'),
	('TOM', 5013, 'MAN', 478, 'MLA', 1606, '', 0, '73H\r'),
	('TOM', 5013, 'MAN', 478, 'NAP', 1561, '', 0, '73H\r'),
	('TOM', 5013, 'MAN', 478, 'NBE', 7447, '', 0, '73H\r'),
	('TOM', 5013, 'MAN', 478, 'PFO', 1198, '', 0, '75W\r'),
	('TOM', 5013, 'MAN', 478, 'PMI', 3998, '', 0, '73H\r'),
	('TOM', 5013, 'MAN', 478, 'PUJ', 1760, '', 0, '76W\r'),
	('TOM', 5013, 'MAN', 478, 'RAK', 1075, '', 0, '73H\r'),
	('TOM', 5013, 'MAN', 478, 'RHO', 1472, '', 0, '75W\r'),
	('TOM', 5013, 'MAN', 478, 'SID', 1102, '', 0, '75W\r'),
	('TOM', 5013, 'MAN', 478, 'SSH', 4057, '', 0, '73H\r'),
	('TOM', 5013, 'MAN', 478, 'TFS', 1056, '', 0, '75W 73H\r'),
	('TOM', 5013, 'MLA', 1606, 'MAN', 478, '', 0, '73H\r'),
	('TOM', 5013, 'NAP', 1561, 'MAN', 478, '', 0, '73H\r'),
	('TOM', 5013, 'NBE', 7447, 'BRS', 490, '', 0, '75W\r'),
	('TOM', 5013, 'NBE', 7447, 'EMA', 523, '', 0, '73H\r'),
	('TOM', 5013, 'NBE', 7447, 'GLA', 534, '', 0, '75W\r'),
	('TOM', 5013, 'NBE', 7447, 'LGW', 502, '', 0, '75W 73H\r'),
	('TOM', 5013, 'NBE', 7447, 'MAN', 478, '', 0, '73H\r'),
	('TOM', 5013, 'NBE', 7447, 'NCL', 521, '', 0, '73H\r'),
	('TOM', 5013, 'NCL', 521, 'ACE', 1055, '', 0, '73H\r'),
	('TOM', 5013, 'NCL', 521, 'DLM', 1715, '', 0, '73H\r'),
	('TOM', 5013, 'NCL', 521, 'NBE', 7447, '', 0, '73H\r'),
	('TOM', 5013, 'NCL', 521, 'PMI', 3998, '', 0, '73H\r'),
	('TOM', 5013, 'NCL', 521, 'TFS', 1056, '', 0, '73H\r'),
	('TOM', 5013, 'PFO', 1198, 'EMA', 523, '', 0, '73H\r'),
	('TOM', 5013, 'PFO', 1198, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'PFO', 1198, 'MAN', 478, '', 0, '73H\r'),
	('TOM', 5013, 'PMI', 3998, 'BHX', 469, '', 0, '75W 73H\r'),
	('TOM', 5013, 'PMI', 3998, 'BRS', 490, '', 0, '75W\r'),
	('TOM', 5013, 'PMI', 3998, 'DSA', 5562, '', 0, '73H\r'),
	('TOM', 5013, 'PMI', 3998, 'EMA', 523, '', 0, '73H\r'),
	('TOM', 5013, 'PMI', 3998, 'EXT', 552, '', 0, '73H\r'),
	('TOM', 5013, 'PMI', 3998, 'GLA', 534, '', 0, '75W\r'),
	('TOM', 5013, 'PMI', 3998, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'PMI', 3998, 'MAN', 478, '', 0, '73H\r'),
	('TOM', 5013, 'PMI', 3998, 'NCL', 521, '', 0, '73H\r'),
	('TOM', 5013, 'PVK', 1470, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'RAK', 1075, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'RAK', 1075, 'MAN', 478, '', 0, '73H\r'),
	('TOM', 5013, 'RHO', 1472, 'LGW', 502, '', 0, '73H\r'),
	('TOM', 5013, 'RHO', 1472, 'MAN', 478, '', 0, '75W\r'),
	('TOM', 5013, 'SID', 1102, 'LGW', 502, '', 0, '75W\r'),
	('TOM', 5013, 'SID', 1102, 'MAN', 478, '', 0, '75W\r'),
	('TOM', 5013, 'SSH', 4057, 'BHX', 469, '', 0, '75W\r'),
	('TOM', 5013, 'SSH', 4057, 'LGW', 502, '', 0, '75W 73H\r'),
	('TOM', 5013, 'SSH', 4057, 'MAN', 478, '', 0, '73H\r'),
	('TOM', 5013, 'STN', 548, 'ACE', 1055, '', 0, '73H\r'),
	('TOM', 5013, 'STN', 548, 'PMI', 3998, '', 0, '73H\r'),
	('TOM', 5013, 'STN', 548, 'TFS', 1056, '', 0, '73H\r'),
	('TOM', 5013, 'TFS', 1056, 'BHX', 469, '', 0, '75W\r'),
	('TOM', 5013, 'TFS', 1056, 'BRS', 490, '', 0, '75W\r'),
	('TOM', 5013, 'TFS', 1056, 'CWL', 488, '', 0, '73H\r'),
	('TOM', 5013, 'TFS', 1056, 'EMA', 523, '', 0, '73H\r'),
	('TOM', 5013, 'TFS', 1056, 'GLA', 534, '', 0, '75W\r'),
	('TOM', 5013, 'TFS', 1056, 'LGW', 502, '', 0, '73H 75W\r'),
	('TOM', 5013, 'TFS', 1056, 'MAN', 478, '', 0, '75W 73H\r'),
	('TOM', 5013, 'TFS', 1056, 'NCL', 521, '', 0, '73H\r'),
	('TOM', 5013, 'TFS', 1056, 'STN', 548, '', 0, '73H\r'),
	('TP', 4869, 'ACC', 248, 'LIS', 1638, '', 0, '320\r'),
	('TP', 4869, 'AGP', 1230, 'LIS', 1638, 'Y', 0, 'BEH\r'),
	('TP', 4869, 'ALG', 210, 'LIS', 1638, 'Y', 0, '100 ER4\r'),
	('TP', 4869, 'AMS', 580, 'AUH', 2179, '', 0, '332\r'),
	('TP', 4869, 'AMS', 580, 'LIS', 1638, '', 0, '319 320\r'),
	('TP', 4869, 'AMS', 580, 'OPO', 1636, 'Y', 0, '100 ER4\r'),
	('TP', 4869, 'ARN', 737, 'LIS', 1638, '', 0, '320\r'),
	('TP', 4869, 'AUH', 2179, 'AMS', 580, '', 0, '332\r'),
	('TP', 4869, 'AUH', 2179, 'CMN', 1074, 'Y', 0, '333\r'),
	('TP', 4869, 'AUH', 2179, 'LHR', 507, 'Y', 0, '346\r'),
	('TP', 4869, 'BCN', 1218, 'LIS', 1638, '', 0, 'ER4 320 319 100\r'),
	('TP', 4869, 'BCN', 1218, 'OPO', 1636, 'Y', 0, 'ER4\r'),
	('TP', 4869, 'BIO', 1216, 'LIS', 1638, 'Y', 0, 'ER4 100\r'),
	('TP', 4869, 'BKO', 1044, 'LIS', 1638, '', 0, '319 320\r'),
	('TP', 4869, 'BLQ', 1538, 'LIS', 1638, '', 0, '319 320\r'),
	('TP', 4869, 'BLQ', 1538, 'ZAG', 1208, '', 0, '319 320\r'),
	('TP', 4869, 'BOD', 1264, 'LIS', 1638, 'Y', 0, '100 ER4\r'),
	('TP', 4869, 'BOS', 3448, 'LIS', 1638, 'Y', 0, '313\r'),
	('TP', 4869, 'BOS', 3448, 'PDL', 1633, 'Y', 0, '313\r'),
	('TP', 4869, 'BRU', 302, 'FAO', 1626, 'Y', 0, '320 319\r'),
	('TP', 4869, 'BRU', 302, 'LIS', 1638, '', 0, '319 321 320 100\r'),
	('TP', 4869, 'BRU', 302, 'OPO', 1636, 'Y', 0, '319 100 ER4\r'),
	('TP', 4869, 'BSB', 2531, 'LIS', 1638, '', 0, '332\r'),
	('TP', 4869, 'BUD', 1489, 'LIS', 1638, '', 0, '320 321 319\r'),
	('TP', 4869, 'BVC', 1103, 'LIS', 1638, '', 0, '320\r'),
	('TP', 4869, 'CCS', 2851, 'FNC', 4091, '', 0, '332\r'),
	('TP', 4869, 'CCS', 2851, 'LIS', 1638, '', 0, '332\r'),
	('TP', 4869, 'CCS', 2851, 'OPO', 1636, '', 0, '332\r'),
	('TP', 4869, 'CMN', 1074, 'AUH', 2179, 'Y', 0, '333\r'),
	('TP', 4869, 'CMN', 1074, 'LIS', 1638, '', 0, '100 319\r'),
	('TP', 4869, 'CNF', 2537, 'LIS', 1638, '', 0, '332 343\r'),
	('TP', 4869, 'CPH', 609, 'LIS', 1638, '', 0, '320 321\r'),
	('TP', 4869, 'DKR', 1084, 'LIS', 1638, '', 0, '321\r'),
	('TP', 4869, 'DME', 4029, 'LIS', 1638, '', 0, '320\r'),
	('TP', 4869, 'DUS', 345, 'LIS', 1638, '', 0, '319 320\r'),
	('TP', 4869, 'DXB', 2188, 'LIS', 1638, 'Y', 0, '77W\r'),
	('TP', 4869, 'EWR', 3494, 'LIS', 1638, '', 0, '343 332\r'),
	('TP', 4869, 'EWR', 3494, 'OPO', 1636, '', 0, '332\r'),
	('TP', 4869, 'FAO', 1626, 'BRU', 302, 'Y', 0, '320 319\r'),
	('TP', 4869, 'FAO', 1626, 'FRA', 340, 'Y', 0, '32A 321 320\r'),
	('TP', 4869, 'FAO', 1626, 'LIS', 1638, '', 0, '319 320 ER4\r'),
	('TP', 4869, 'FAO', 1626, 'MUC', 346, 'Y', 0, '321\r'),
	('TP', 4869, 'FCO', 1555, 'LIS', 1638, '', 0, '320 321 319\r'),
	('TP', 4869, 'FCO', 1555, 'OPO', 1636, '', 0, '100\r'),
	('TP', 4869, 'FNC', 4091, 'CCS', 2851, '', 0, '332\r'),
	('TP', 4869, 'FNC', 4091, 'LGW', 502, '', 0, '319\r'),
	('TP', 4869, 'FNC', 4091, 'LIS', 1638, '', 0, '321 319 320 100 332\r'),
	('TP', 4869, 'FNC', 4091, 'OPO', 1636, '', 0, '319 320 100\r'),
	('TP', 4869, 'FNC', 4091, 'PDL', 1633, 'Y', 0, 'DH4\r'),
	('TP', 4869, 'FNC', 4091, 'VIE', 1613, 'Y', 0, '321\r'),
	('TP', 4869, 'FOR', 2559, 'LIS', 1638, '', 0, '332\r'),
	('TP', 4869, 'FRA', 340, 'FAO', 1626, 'Y', 0, '32A 321 320\r'),
	('TP', 4869, 'FRA', 340, 'LIS', 1638, '', 0, '320 319 321\r'),
	('TP', 4869, 'FRA', 340, 'OPO', 1636, 'Y', 0, '321\r'),
	('TP', 4869, 'GIG', 2560, 'LIS', 1638, '', 0, '332 343\r'),
	('TP', 4869, 'GIG', 2560, 'OPO', 1636, '', 0, '332\r'),
	('TP', 4869, 'GRU', 2564, 'LIS', 1638, '', 0, '343 332\r'),
	('TP', 4869, 'GRU', 2564, 'OPO', 1636, '', 0, '332\r'),
	('TP', 4869, 'GVA', 1665, 'LIS', 1638, '', 0, '320 319 321\r'),
	('TP', 4869, 'GVA', 1665, 'OPO', 1636, '', 0, '320 319\r'),
	('TP', 4869, 'HAM', 342, 'LIS', 1638, '', 0, '320 319 321\r'),
	('TP', 4869, 'HEL', 421, 'LIS', 1638, '', 0, '320\r'),
	('TP', 4869, 'HOR', 1628, 'LIS', 1638, '', 0, '319 320\r'),
	('TP', 4869, 'IST', 1701, 'LIS', 1638, '', 0, '321\r'),
	('TP', 4869, 'KBP', 2939, 'LIS', 1638, 'Y', 0, '738\r'),
	('TP', 4869, 'LAD', 951, 'LIS', 1638, '', 0, '343\r'),
	('TP', 4869, 'LCG', 1220, 'LIS', 1638, 'Y', 0, 'BEH\r'),
	('TP', 4869, 'LGW', 502, 'FNC', 4091, '', 0, '319 320\r'),
	('TP', 4869, 'LGW', 502, 'LIS', 1638, '', 0, '319 320\r'),
	('TP', 4869, 'LGW', 502, 'OPO', 1636, '', 0, '320 319\r'),
	('TP', 4869, 'LHR', 507, 'LIS', 1638, '', 0, '319 320 321\r'),
	('TP', 4869, 'LIS', 1638, 'ACC', 248, '', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'AGP', 1230, 'Y', 0, 'BEH\r'),
	('TP', 4869, 'LIS', 1638, 'ALG', 210, 'Y', 0, '100 ER4\r'),
	('TP', 4869, 'LIS', 1638, 'AMS', 580, '', 0, '320 319\r'),
	('TP', 4869, 'LIS', 1638, 'ARN', 737, '', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'BCN', 1218, '', 0, '320 ER4 319 100\r'),
	('TP', 4869, 'LIS', 1638, 'BIO', 1216, 'Y', 0, 'ER4 100\r'),
	('TP', 4869, 'LIS', 1638, 'BKO', 1044, '', 0, '319 320\r'),
	('TP', 4869, 'LIS', 1638, 'BLQ', 1538, '', 0, '319 320\r'),
	('TP', 4869, 'LIS', 1638, 'BOD', 1264, 'Y', 0, '100 ER4\r'),
	('TP', 4869, 'LIS', 1638, 'BOS', 3448, 'Y', 0, '313\r'),
	('TP', 4869, 'LIS', 1638, 'BRU', 302, '', 0, '321 320 319 100\r'),
	('TP', 4869, 'LIS', 1638, 'BSB', 2531, '', 0, '332\r'),
	('TP', 4869, 'LIS', 1638, 'BUD', 1489, '', 0, '320 321 319\r'),
	('TP', 4869, 'LIS', 1638, 'BVC', 1103, '', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'CCS', 2851, '', 0, '332\r'),
	('TP', 4869, 'LIS', 1638, 'CMN', 1074, 'Y', 0, '100 319 ER4 BEH\r'),
	('TP', 4869, 'LIS', 1638, 'CNF', 2537, '', 0, '332 343\r'),
	('TP', 4869, 'LIS', 1638, 'CPH', 609, '', 0, '321 320\r'),
	('TP', 4869, 'LIS', 1638, 'DKR', 1084, '', 0, '321\r'),
	('TP', 4869, 'LIS', 1638, 'DME', 4029, '', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'DUS', 345, '', 0, '319 320\r'),
	('TP', 4869, 'LIS', 1638, 'DXB', 2188, 'Y', 0, '77W\r'),
	('TP', 4869, 'LIS', 1638, 'EWR', 3494, '', 0, '343 332\r'),
	('TP', 4869, 'LIS', 1638, 'FAO', 1626, '', 0, '319 320 ER4\r'),
	('TP', 4869, 'LIS', 1638, 'FCO', 1555, '', 0, '321 319 320\r'),
	('TP', 4869, 'LIS', 1638, 'FNC', 4091, '', 0, '319 320 100 321 332\r'),
	('TP', 4869, 'LIS', 1638, 'FOR', 2559, '', 0, '332\r'),
	('TP', 4869, 'LIS', 1638, 'FRA', 340, '', 0, '319 321 320\r'),
	('TP', 4869, 'LIS', 1638, 'GIG', 2560, '', 0, '332 343\r'),
	('TP', 4869, 'LIS', 1638, 'GRU', 2564, '', 0, '343 332\r'),
	('TP', 4869, 'LIS', 1638, 'GVA', 1665, '', 0, '319 320 321\r'),
	('TP', 4869, 'LIS', 1638, 'HAM', 342, '', 0, '319 320 321\r'),
	('TP', 4869, 'LIS', 1638, 'HEL', 421, '', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'HOR', 1628, '', 0, '319 320\r'),
	('TP', 4869, 'LIS', 1638, 'IST', 1701, '', 0, '321\r'),
	('TP', 4869, 'LIS', 1638, 'KBP', 2939, 'Y', 0, '738\r'),
	('TP', 4869, 'LIS', 1638, 'LAD', 951, '', 0, '343\r'),
	('TP', 4869, 'LIS', 1638, 'LCG', 1220, 'Y', 0, 'BEH\r'),
	('TP', 4869, 'LIS', 1638, 'LGW', 502, '', 0, '319 320\r'),
	('TP', 4869, 'LIS', 1638, 'LHR', 507, '', 0, '319 320 321\r'),
	('TP', 4869, 'LIS', 1638, 'LUX', 629, '', 0, '319 320 100\r'),
	('TP', 4869, 'LIS', 1638, 'LYS', 1335, 'Y', 0, '100 ER4\r'),
	('TP', 4869, 'LIS', 1638, 'MAD', 1229, '', 0, 'ER4 319 320 100\r'),
	('TP', 4869, 'LIS', 1638, 'MAN', 478, '', 0, '319 320\r'),
	('TP', 4869, 'LIS', 1638, 'MIA', 3576, '', 0, '332 343\r'),
	('TP', 4869, 'LIS', 1638, 'MPM', 979, '', 0, '332 343\r'),
	('TP', 4869, 'LIS', 1638, 'MRS', 1353, 'Y', 0, 'ER4 100\r'),
	('TP', 4869, 'LIS', 1638, 'MUC', 346, '', 0, '320 319\r'),
	('TP', 4869, 'LIS', 1638, 'MXP', 1524, '', 0, '320 319 100\r'),
	('TP', 4869, 'LIS', 1638, 'NAT', 2597, '', 0, '332\r'),
	('TP', 4869, 'LIS', 1638, 'NCE', 1354, 'Y', 0, 'ER4 100\r'),
	('TP', 4869, 'LIS', 1638, 'OPO', 1636, '', 0, '100 320 ER4 319\r'),
	('TP', 4869, 'LIS', 1638, 'ORY', 1386, '', 0, '321 319 320 100\r'),
	('TP', 4869, 'LIS', 1638, 'OSL', 644, '', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'OTP', 1657, '', 0, '319\r'),
	('TP', 4869, 'LIS', 1638, 'PDL', 1633, '', 0, '320 319\r'),
	('TP', 4869, 'LIS', 1638, 'PHL', 3752, 'Y', 0, '752\r'),
	('TP', 4869, 'LIS', 1638, 'PIX', 1634, '', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'POA', 2599, '', 0, '332\r'),
	('TP', 4869, 'LIS', 1638, 'PRG', 1587, '', 0, '319 320\r'),
	('TP', 4869, 'LIS', 1638, 'PXO', 1637, '', 0, '100 319\r'),
	('TP', 4869, 'LIS', 1638, 'RAI', 5674, '', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'RAK', 1075, '', 0, '319 100\r'),
	('TP', 4869, 'LIS', 1638, 'REC', 2610, '', 0, '332\r'),
	('TP', 4869, 'LIS', 1638, 'SID', 1102, '', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'SMA', 1617, 'Y', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'SSA', 2621, '', 0, '332\r'),
	('TP', 4869, 'LIS', 1638, 'SVQ', 1253, 'Y', 0, 'BEH\r'),
	('TP', 4869, 'LIS', 1638, 'SXF', 337, '', 0, '319 320\r'),
	('TP', 4869, 'LIS', 1638, 'TER', 1629, '', 0, '332 320 321 319\r'),
	('TP', 4869, 'LIS', 1638, 'TLS', 1273, 'Y', 0, '100 ER4\r'),
	('TP', 4869, 'LIS', 1638, 'TMS', 973, 'Y', 0, '313\r'),
	('TP', 4869, 'LIS', 1638, 'TNG', 1080, 'Y', 0, 'BEH\r'),
	('TP', 4869, 'LIS', 1638, 'VCE', 1551, '', 0, '319\r'),
	('TP', 4869, 'LIS', 1638, 'VCP', 2578, '', 0, '332\r'),
	('TP', 4869, 'LIS', 1638, 'VIE', 1613, '', 0, '320 319\r'),
	('TP', 4869, 'LIS', 1638, 'VLC', 1246, 'Y', 0, 'ER4 100\r'),
	('TP', 4869, 'LIS', 1638, 'VXE', 1106, '', 0, '320\r'),
	('TP', 4869, 'LIS', 1638, 'WAW', 679, '', 0, '320 319\r'),
	('TP', 4869, 'LIS', 1638, 'YYZ', 193, 'Y', 0, '313\r'),
	('TP', 4869, 'LIS', 1638, 'ZRH', 1678, '', 0, '320 321 319\r'),
	('TP', 4869, 'LUX', 629, 'LIS', 1638, '', 0, '319 320 100\r'),
	('TP', 4869, 'LUX', 629, 'OPO', 1636, 'Y', 0, '100\r'),
	('TP', 4869, 'LYS', 1335, 'LIS', 1638, 'Y', 0, '100 ER4\r'),
	('TP', 4869, 'MAD', 1229, 'LIS', 1638, '', 0, '100 ER4 319 320\r'),
	('TP', 4869, 'MAD', 1229, 'OPO', 1636, 'Y', 0, 'ER4\r'),
	('TP', 4869, 'MAN', 478, 'LIS', 1638, '', 0, '319 320\r'),
	('TP', 4869, 'MIA', 3576, 'LIS', 1638, '', 0, '332 343\r'),
	('TP', 4869, 'MPM', 979, 'LIS', 1638, '', 0, '332 343\r'),
	('TP', 4869, 'MRS', 1353, 'LIS', 1638, 'Y', 0, 'ER4 100\r'),
	('TP', 4869, 'MUC', 346, 'FAO', 1626, 'Y', 0, '321\r'),
	('TP', 4869, 'MUC', 346, 'LIS', 1638, '', 0, '319 320\r'),
	('TP', 4869, 'MXP', 1524, 'LIS', 1638, '', 0, '319 320 100\r'),
	('TP', 4869, 'MXP', 1524, 'OPO', 1636, 'Y', 0, 'ER4 100\r'),
	('TP', 4869, 'NAT', 2597, 'LIS', 1638, '', 0, '332\r'),
	('TP', 4869, 'NCE', 1354, 'LIS', 1638, 'Y', 0, 'ER4 100\r'),
	('TP', 4869, 'OPO', 1636, 'AMS', 580, '', 0, '100 ER4\r'),
	('TP', 4869, 'OPO', 1636, 'BCN', 1218, 'Y', 0, 'ER4\r'),
	('TP', 4869, 'OPO', 1636, 'BRU', 302, 'Y', 0, '100 319 ER4\r'),
	('TP', 4869, 'OPO', 1636, 'CCS', 2851, '', 0, '332\r'),
	('TP', 4869, 'OPO', 1636, 'EWR', 3494, '', 0, '332\r'),
	('TP', 4869, 'OPO', 1636, 'FCO', 1555, '', 0, '100\r'),
	('TP', 4869, 'OPO', 1636, 'FNC', 4091, '', 0, '319 100 320\r'),
	('TP', 4869, 'OPO', 1636, 'FRA', 340, 'Y', 0, '321\r'),
	('TP', 4869, 'OPO', 1636, 'GIG', 2560, '', 0, '332\r'),
	('TP', 4869, 'OPO', 1636, 'GRU', 2564, '', 0, '332\r'),
	('TP', 4869, 'OPO', 1636, 'GVA', 1665, '', 0, '320 319\r'),
	('TP', 4869, 'OPO', 1636, 'LGW', 502, '', 0, '320 319\r'),
	('TP', 4869, 'OPO', 1636, 'LIS', 1638, '', 0, '319 ER4 320 100\r'),
	('TP', 4869, 'OPO', 1636, 'LUX', 629, 'Y', 0, '100\r'),
	('TP', 4869, 'OPO', 1636, 'MAD', 1229, 'Y', 0, 'ER4\r'),
	('TP', 4869, 'OPO', 1636, 'MXP', 1524, 'Y', 0, 'ER4 100\r'),
	('TP', 4869, 'OPO', 1636, 'ORY', 1386, '', 0, '320 319\r'),
	('TP', 4869, 'OPO', 1636, 'PDL', 1633, 'Y', 0, '320\r'),
	('TP', 4869, 'OPO', 1636, 'TER', 1629, 'Y', 0, '320\r'),
	('TP', 4869, 'OPO', 1636, 'YYZ', 193, 'Y', 0, '313\r'),
	('TP', 4869, 'OPO', 1636, 'ZRH', 1678, '', 0, '320 319\r'),
	('TP', 4869, 'ORY', 1386, 'LIS', 1638, '', 0, '319 321 320 100\r'),
	('TP', 4869, 'ORY', 1386, 'OPO', 1636, '', 0, '320 319\r'),
	('TP', 4869, 'OSL', 644, 'LIS', 1638, '', 0, '320\r'),
	('TP', 4869, 'OTP', 1657, 'LIS', 1638, '', 0, '319\r'),
	('TP', 4869, 'PDL', 1633, 'BOS', 3448, 'Y', 0, '313\r'),
	('TP', 4869, 'PDL', 1633, 'FNC', 4091, 'Y', 0, 'DH4\r'),
	('TP', 4869, 'PDL', 1633, 'LIS', 1638, '', 0, '320 319\r'),
	('TP', 4869, 'PDL', 1633, 'OPO', 1636, 'Y', 0, '320\r'),
	('TP', 4869, 'PDL', 1633, 'YYZ', 193, 'Y', 0, '313\r'),
	('TP', 4869, 'PHL', 3752, 'LIS', 1638, 'Y', 0, '752\r'),
	('TP', 4869, 'PIX', 1634, 'TER', 1629, '', 0, '320\r'),
	('TP', 4869, 'POA', 2599, 'LIS', 1638, '', 0, '332\r'),
	('TP', 4869, 'PRG', 1587, 'LIS', 1638, '', 0, '319 320\r'),
	('TP', 4869, 'PXO', 1637, 'LIS', 1638, '', 0, '100 319\r'),
	('TP', 4869, 'RAI', 5674, 'LIS', 1638, '', 0, '320\r'),
	('TP', 4869, 'RAK', 1075, 'LIS', 1638, '', 0, '319 100\r'),
	('TP', 4869, 'REC', 2610, 'LIS', 1638, '', 0, '332\r'),
	('TP', 4869, 'SID', 1102, 'LIS', 1638, '', 0, '320\r'),
	('TP', 4869, 'SMA', 1617, 'PDL', 1633, 'Y', 0, '320\r'),
	('TP', 4869, 'SSA', 2621, 'LIS', 1638, '', 0, '332\r'),
	('TP', 4869, 'SVQ', 1253, 'LIS', 1638, 'Y', 0, 'BEH\r'),
	('TP', 4869, 'SXF', 337, 'LIS', 1638, '', 0, '319 320\r'),
	('TP', 4869, 'TER', 1629, 'LIS', 1638, '', 0, '332 320 321 319\r'),
	('TP', 4869, 'TER', 1629, 'OPO', 1636, 'Y', 0, '320\r'),
	('TP', 4869, 'TLS', 1273, 'LIS', 1638, 'Y', 0, '100 ER4\r'),
	('TP', 4869, 'TMS', 973, 'LIS', 1638, '', 0, '313\r'),
	('TP', 4869, 'TNG', 1080, 'LIS', 1638, '', 0, 'BEH\r'),
	('TP', 4869, 'VCE', 1551, 'LIS', 1638, '', 0, '319\r'),
	('TP', 4869, 'VCP', 2578, 'LIS', 1638, '', 0, '332\r'),
	('TP', 4869, 'VIE', 1613, 'FNC', 4091, 'Y', 0, '321\r'),
	('TP', 4869, 'VIE', 1613, 'LIS', 1638, '', 0, '320 319\r'),
	('TP', 4869, 'VLC', 1246, 'LIS', 1638, 'Y', 0, 'ER4 100\r'),
	('TP', 4869, 'VXE', 1106, 'LIS', 1638, '', 0, '320\r'),
	('TP', 4869, 'WAW', 679, 'LIS', 1638, '', 0, '320 319\r'),
	('TP', 4869, 'YYZ', 193, 'LIS', 1638, 'Y', 0, '313\r'),
	('TP', 4869, 'YYZ', 193, 'OPO', 1636, 'Y', 0, '313\r'),
	('TP', 4869, 'YYZ', 193, 'PDL', 1633, 'Y', 0, '313\r'),
	('TP', 4869, 'ZAG', 1208, 'BLQ', 1538, '', 0, '319 320\r'),
	('TP', 4869, 'ZRH', 1678, 'LIS', 1638, '', 0, '320 321 319\r'),
	('TP', 4869, 'ZRH', 1678, 'OPO', 1636, '', 0, '320 319\r'),
	('TR', 4936, 'BDO', 3896, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'BKK', 3885, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'BLR', 3131, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'CAN', 3370, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'CEB', 4206, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'CGK', 3275, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'CNX', 3931, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'COK', 3136, 'SIN', 3316, '', 0, '319\r'),
	('TR', 4936, 'CRK', 4140, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'DAC', 3076, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'DPS', 3940, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'HAK', 4120, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'HAN', 3199, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'HDY', 3181, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'HKG', 3077, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'HKT', 3179, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'HYD', 3141, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'JOG', 3898, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'KBV', 3174, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'KLO', 2430, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'KUL', 3304, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'LGK', 3305, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'LJG', 4033, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'MAA', 3144, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'MFM', 3121, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'MLE', 3156, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'MNL', 2397, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'NGB', 3387, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'PEN', 3308, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'PER', 3351, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'PNH', 3034, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'RGN', 3239, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'SGN', 3205, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'BDO', 3896, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'BKK', 3885, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'BLR', 3131, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'CAN', 3370, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'CEB', 4206, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'CGK', 3275, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'CNX', 3931, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'COK', 3136, '', 0, '319\r'),
	('TR', 4936, 'SIN', 3316, 'CRK', 4140, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'DAC', 3076, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'DPS', 3940, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'HAK', 4120, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'HAN', 3199, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'HDY', 3181, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'HKG', 3077, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'HKT', 3179, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'HYD', 3141, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'JOG', 3898, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'KBV', 3174, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'KLO', 2430, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'KUL', 3304, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'LGK', 3305, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'LJG', 4033, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'MAA', 3144, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'MFM', 3121, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'MLE', 3156, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'MNL', 2397, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'NGB', 3387, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'PEN', 3308, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'PER', 3351, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'PNH', 3034, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'RGN', 3239, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'SGN', 3205, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'SUB', 3928, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'SZX', 3374, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'TPE', 2276, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'TRV', 3153, '', 0, '320\r'),
	('TR', 4936, 'SIN', 3316, 'TRZ', 3152, '', 0, '320\r'),
	('TR', 4936, 'SUB', 3928, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'SZX', 3374, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'TPE', 2276, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'TRV', 3153, 'SIN', 3316, '', 0, '320\r'),
	('TR', 4936, 'TRZ', 3152, 'SIN', 3316, '', 0, '320\r'),
	('TS', 1317, 'AGP', 1230, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'AMS', 580, 'YYC', 178, '', 0, '330\r'),
	('TS', 1317, 'AMS', 580, 'YYZ', 193, '', 0, '310\r'),
	('TS', 1317, 'ATH', 3941, 'YUL', 146, '', 0, '330\r'),
	('TS', 1317, 'ATH', 3941, 'YYZ', 193, '', 0, '330\r'),
	('TS', 1317, 'AZS', 5810, 'YUL', 146, 'Y', 0, '738\r'),
	('TS', 1317, 'BCN', 1218, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'BCN', 1218, 'YYZ', 193, '', 0, '310\r'),
	('TS', 1317, 'BOD', 1264, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'BRU', 302, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'CCC', 5852, 'YHZ', 73, '', 0, '310\r'),
	('TS', 1317, 'CCC', 5852, 'YUL', 146, 'Y', 0, '310\r'),
	('TS', 1317, 'CDG', 1382, 'YQB', 111, '', 0, '310\r'),
	('TS', 1317, 'CDG', 1382, 'YUL', 146, '', 0, '330 310\r'),
	('TS', 1317, 'CDG', 1382, 'YYZ', 193, '', 0, '330\r'),
	('TS', 1317, 'CUN', 1852, 'YHZ', 73, '', 0, '310\r'),
	('TS', 1317, 'CUN', 1852, 'YQB', 111, '', 0, '310\r'),
	('TS', 1317, 'CUN', 1852, 'YUL', 146, '', 0, '310 330\r'),
	('TS', 1317, 'CUN', 1852, 'YVR', 156, '', 0, '330\r'),
	('TS', 1317, 'CUN', 1852, 'YYC', 178, '', 0, '330\r'),
	('TS', 1317, 'CUN', 1852, 'YYZ', 193, '', 0, '330 310\r'),
	('TS', 1317, 'DUB', 599, 'YYZ', 193, '', 0, '310\r'),
	('TS', 1317, 'FCO', 1555, 'YUL', 146, '', 0, '330 310\r'),
	('TS', 1317, 'FCO', 1555, 'YYZ', 193, '', 0, '330\r'),
	('TS', 1317, 'FLL', 3533, 'YUL', 146, 'Y', 0, '310\r'),
	('TS', 1317, 'FLL', 3533, 'YYZ', 193, 'Y', 0, '738\r'),
	('TS', 1317, 'FRA', 340, 'YYC', 178, '', 0, '330\r'),
	('TS', 1317, 'GLA', 534, 'YYC', 178, '', 0, '330\r'),
	('TS', 1317, 'GLA', 534, 'YYZ', 193, '', 0, '310\r'),
	('TS', 1317, 'HOG', 1910, 'YUL', 146, '', 0, '330\r'),
	('TS', 1317, 'HOG', 1910, 'YYZ', 193, 'Y', 0, '738\r'),
	('TS', 1317, 'LGW', 502, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'LGW', 502, 'YVR', 156, '', 0, '330\r'),
	('TS', 1317, 'LGW', 502, 'YYC', 178, '', 0, '330\r'),
	('TS', 1317, 'LGW', 502, 'YYZ', 193, '', 0, '330\r'),
	('TS', 1317, 'LIS', 1638, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'LIS', 1638, 'YYZ', 193, '', 0, '310\r'),
	('TS', 1317, 'LRM', 1759, 'YHZ', 73, '', 0, '310\r'),
	('TS', 1317, 'LYS', 1335, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'MAN', 478, 'YVR', 156, '', 0, '330\r'),
	('TS', 1317, 'MAN', 478, 'YYC', 178, '', 0, '330\r'),
	('TS', 1317, 'MAN', 478, 'YYZ', 193, '', 0, '330 310\r'),
	('TS', 1317, 'MBJ', 1780, 'YHZ', 73, '', 0, '310\r'),
	('TS', 1317, 'MBJ', 1780, 'YUL', 146, 'Y', 0, '738\r'),
	('TS', 1317, 'MBJ', 1780, 'YYZ', 193, 'Y', 0, '738 310\r'),
	('TS', 1317, 'MCO', 3878, 'YHZ', 73, '', 0, '310\r'),
	('TS', 1317, 'MCO', 3878, 'YQM', 117, 'Y', 0, '738\r'),
	('TS', 1317, 'MCO', 3878, 'YUL', 146, '', 0, '330\r'),
	('TS', 1317, 'MCO', 3878, 'YYT', 189, 'Y', 0, '738\r'),
	('TS', 1317, 'MCO', 3878, 'YYZ', 193, 'Y', 0, '738 310\r'),
	('TS', 1317, 'MRS', 1353, 'YUL', 146, '', 0, '310 330\r'),
	('TS', 1317, 'NCE', 1354, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'OPO', 1636, 'LIS', 1638, '', 0, '310\r'),
	('TS', 1317, 'POP', 1761, 'AZS', 5810, 'Y', 0, '738\r'),
	('TS', 1317, 'POP', 1761, 'LRM', 1759, '', 0, '310\r'),
	('TS', 1317, 'PUJ', 1760, 'YHZ', 73, '', 0, '310\r'),
	('TS', 1317, 'PUJ', 1760, 'YQB', 111, '', 0, '310\r'),
	('TS', 1317, 'PUJ', 1760, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'PUJ', 1760, 'YYZ', 193, '', 0, '330 738\r'),
	('TS', 1317, 'PVR', 1836, 'YUL', 146, 'Y', 0, '738\r'),
	('TS', 1317, 'PVR', 1836, 'YVR', 156, '', 0, '330\r'),
	('TS', 1317, 'SNU', 1918, 'CCC', 5852, '', 0, '310\r'),
	('TS', 1317, 'SNU', 1918, 'YUL', 146, 'Y', 0, '310 737\r'),
	('TS', 1317, 'SNU', 1918, 'YYZ', 193, 'Y', 0, '737\r'),
	('TS', 1317, 'TLS', 1273, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'VCE', 1551, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'VCE', 1551, 'YYZ', 193, '', 0, '310\r'),
	('TS', 1317, 'VRA', 1923, 'SNU', 1918, 'Y', 0, '310\r'),
	('TS', 1317, 'VRA', 1923, 'YHZ', 73, '', 0, '310\r'),
	('TS', 1317, 'VRA', 1923, 'YUL', 146, '', 0, '738 310\r'),
	('TS', 1317, 'VRA', 1923, 'YYZ', 193, 'Y', 0, '738\r'),
	('TS', 1317, 'YHZ', 73, 'MCO', 3878, 'Y', 0, '738\r'),
	('TS', 1317, 'YQB', 111, 'CDG', 1382, '', 0, '310 330\r'),
	('TS', 1317, 'YQB', 111, 'PUJ', 1760, '', 0, '310\r'),
	('TS', 1317, 'YQB', 111, 'YUL', 146, '', 0, '310\r'),
	('TS', 1317, 'YQM', 117, 'MCO', 3878, 'Y', 0, '738\r'),
	('TS', 1317, 'YUL', 146, 'AGP', 1230, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'ATH', 3941, '', 0, '330\r'),
	('TS', 1317, 'YUL', 146, 'BCN', 1218, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'BOD', 1264, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'BRU', 302, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'CCC', 5852, 'Y', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'CDG', 1382, '', 0, '330 310\r'),
	('TS', 1317, 'YUL', 146, 'CUN', 1852, '', 0, '310 330\r'),
	('TS', 1317, 'YUL', 146, 'FCO', 1555, '', 0, '330 310\r'),
	('TS', 1317, 'YUL', 146, 'FLL', 3533, 'Y', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'HOG', 1910, '', 0, '330\r'),
	('TS', 1317, 'YUL', 146, 'LGW', 502, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'LIS', 1638, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'LYS', 1335, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'MBJ', 1780, 'Y', 0, '738\r'),
	('TS', 1317, 'YUL', 146, 'MCO', 3878, '', 0, '330\r'),
	('TS', 1317, 'YUL', 146, 'MRS', 1353, '', 0, '310 330\r'),
	('TS', 1317, 'YUL', 146, 'NCE', 1354, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'POP', 1761, 'Y', 0, '738\r'),
	('TS', 1317, 'YUL', 146, 'PUJ', 1760, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'PVR', 1836, 'Y', 0, '738\r'),
	('TS', 1317, 'YUL', 146, 'SNU', 1918, 'Y', 0, '738\r'),
	('TS', 1317, 'YUL', 146, 'TLS', 1273, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'VCE', 1551, '', 0, '330\r'),
	('TS', 1317, 'YUL', 146, 'VRA', 1923, '', 0, '738 310\r'),
	('TS', 1317, 'YUL', 146, 'YQB', 111, '', 0, '310\r'),
	('TS', 1317, 'YUL', 146, 'YYZ', 193, '', 0, '310\r'),
	('TS', 1317, 'YVR', 156, 'CUN', 1852, '', 0, '330\r'),
	('TS', 1317, 'YVR', 156, 'LGW', 502, '', 0, '330\r'),
	('TS', 1317, 'YVR', 156, 'MAN', 478, '', 0, '330\r'),
	('TS', 1317, 'YVR', 156, 'PVR', 1836, '', 0, '330\r'),
	('TS', 1317, 'YVR', 156, 'YYC', 178, '', 0, '330\r'),
	('TS', 1317, 'YYC', 178, 'AMS', 580, '', 0, '330\r'),
	('TS', 1317, 'YYC', 178, 'FRA', 340, '', 0, '330\r'),
	('TS', 1317, 'YYC', 178, 'GLA', 534, '', 0, '330\r'),
	('TS', 1317, 'YYC', 178, 'LGW', 502, '', 0, '330\r'),
	('TS', 1317, 'YYC', 178, 'MAN', 478, '', 0, '330\r'),
	('TS', 1317, 'YYC', 178, 'YEG', 49, '', 0, '330\r'),
	('TS', 1317, 'YYC', 178, 'YVR', 156, '', 0, '330\r'),
	('TS', 1317, 'YYT', 189, 'MCO', 3878, 'Y', 0, '737\r'),
	('TS', 1317, 'YYZ', 193, 'AMS', 580, '', 0, '310\r'),
	('TS', 1317, 'YYZ', 193, 'ATH', 3941, '', 0, '330\r'),
	('TS', 1317, 'YYZ', 193, 'BCN', 1218, '', 0, '310\r'),
	('TS', 1317, 'YYZ', 193, 'CDG', 1382, '', 0, '330\r'),
	('TS', 1317, 'YYZ', 193, 'CUN', 1852, '', 0, '330 310\r'),
	('TS', 1317, 'YYZ', 193, 'DUB', 599, '', 0, '310\r'),
	('TS', 1317, 'YYZ', 193, 'FCO', 1555, '', 0, '330\r'),
	('TS', 1317, 'YYZ', 193, 'FLL', 3533, 'Y', 0, '738\r'),
	('TS', 1317, 'YYZ', 193, 'GLA', 534, '', 0, '310\r'),
	('TS', 1317, 'YYZ', 193, 'HOG', 1910, 'Y', 0, '738\r'),
	('TS', 1317, 'YYZ', 193, 'LGW', 502, '', 0, '330\r'),
	('TS', 1317, 'YYZ', 193, 'LIS', 1638, '', 0, '310\r'),
	('TS', 1317, 'YYZ', 193, 'MAN', 478, '', 0, '310 330\r'),
	('TS', 1317, 'YYZ', 193, 'MBJ', 1780, 'Y', 0, '738 310\r'),
	('TS', 1317, 'YYZ', 193, 'MCO', 3878, 'Y', 0, '738 310\r'),
	('TS', 1317, 'YYZ', 193, 'OPO', 1636, '', 0, '310\r'),
	('TS', 1317, 'YYZ', 193, 'PUJ', 1760, '', 0, '330 738\r'),
	('TS', 1317, 'YYZ', 193, 'SNU', 1918, 'Y', 0, '738\r'),
	('TS', 1317, 'YYZ', 193, 'VCE', 1551, '', 0, '310\r'),
	('TS', 1317, 'YYZ', 193, 'VRA', 1923, 'Y', 0, '738\r'),
	('TS', 1317, 'YYZ', 193, 'YQB', 111, '', 0, '330\r'),
	('TS', 1317, 'YYZ', 193, 'YUL', 146, '', 0, '310\r'),
	('TT', 4937, 'ADL', 3341, 'BNE', 3320, '', 0, '320\r'),
	('TT', 4937, 'ADL', 3341, 'MEL', 3339, '', 0, '320\r'),
	('TT', 4937, 'ADL', 3341, 'SYD', 3361, '', 0, '320\r'),
	('TT', 4937, 'ASP', 3319, 'MEL', 3339, '', 0, '320\r'),
	('TT', 4937, 'ASP', 3319, 'SYD', 3361, '', 0, '320\r'),
	('TT', 4937, 'BNE', 3320, 'ADL', 3341, '', 0, '320\r'),
	('TT', 4937, 'BNE', 3320, 'CNS', 3322, '', 0, '320\r'),
	('TT', 4937, 'BNE', 3320, 'DRW', 3999, '', 0, '320\r'),
	('TT', 4937, 'BNE', 3320, 'MEL', 3339, '', 0, '320\r'),
	('TT', 4937, 'BNE', 3320, 'SYD', 3361, '', 0, '320\r'),
	('TT', 4937, 'CFS', 3356, 'SYD', 3361, '', 0, '320\r'),
	('TT', 4937, 'CNS', 3322, 'BNE', 3320, '', 0, '320\r'),
	('TT', 4937, 'CNS', 3322, 'MEL', 3339, '', 0, '320\r'),
	('TT', 4937, 'CNS', 3322, 'SYD', 3361, '', 0, '320\r'),
	('TT', 4937, 'DRW', 3999, 'BNE', 3320, '', 0, '320\r'),
	('TT', 4937, 'HBA', 3336, 'MEL', 3339, '', 0, '320\r'),
	('TT', 4937, 'MCY', 3325, 'MEL', 3339, '', 0, '320\r'),
	('TT', 4937, 'MEL', 3339, 'ADL', 3341, '', 0, '320\r'),
	('TT', 4937, 'MEL', 3339, 'ASP', 3319, '', 0, '320\r'),
	('TT', 4937, 'MEL', 3339, 'BNE', 3320, '', 0, '320\r'),
	('TT', 4937, 'MEL', 3339, 'CNS', 3322, '', 0, '320\r'),
	('TT', 4937, 'MEL', 3339, 'HBA', 3336, '', 0, '320\r'),
	('TT', 4937, 'MEL', 3339, 'MCY', 3325, '', 0, '320\r'),
	('TT', 4937, 'MEL', 3339, 'MKY', 3326, '', 0, '320\r'),
	('TT', 4937, 'MEL', 3339, 'OOL', 3321, '', 0, '320\r'),
	('TT', 4937, 'MEL', 3339, 'PER', 3351, '', 0, '320\r'),
	('TT', 4937, 'MEL', 3339, 'SYD', 3361, '', 0, '320\r'),
	('TT', 4937, 'MKY', 3326, 'MEL', 3339, '', 0, '320\r'),
	('TT', 4937, 'OOL', 3321, 'MEL', 3339, '', 0, '320\r'),
	('TT', 4937, 'OOL', 3321, 'SYD', 3361, '', 0, '320\r'),
	('TT', 4937, 'PER', 3351, 'MEL', 3339, '', 0, '320\r'),
	('TT', 4937, 'PER', 3351, 'SYD', 3361, '', 0, '320\r'),
	('TT', 4937, 'PPP', 3328, 'SYD', 3361, '', 0, '320\r'),
	('TT', 4937, 'SYD', 3361, 'ADL', 3341, '', 0, '320\r'),
	('TT', 4937, 'SYD', 3361, 'ASP', 3319, '', 0, '320\r'),
	('TT', 4937, 'SYD', 3361, 'BNE', 3320, '', 0, '320\r'),
	('TT', 4937, 'SYD', 3361, 'CFS', 3356, '', 0, '320\r'),
	('TT', 4937, 'SYD', 3361, 'CNS', 3322, '', 0, '320\r'),
	('TT', 4937, 'SYD', 3361, 'MEL', 3339, '', 0, '320\r'),
	('TT', 4937, 'SYD', 3361, 'OOL', 3321, '', 0, '320\r'),
	('TT', 4937, 'SYD', 3361, 'PER', 3351, '', 0, '320\r'),
	('TT', 4937, 'SYD', 3361, 'PPP', 3328, '', 0, '320\r'),
	('TU', 4870, 'ABJ', 253, 'TUN', 287, '', 0, '320\r'),
	('TU', 4870, 'ALG', 210, 'TUN', 287, '', 0, '320 32A\r'),
	('TU', 4870, 'AMS', 580, 'TUN', 287, '', 0, '319 736\r'),
	('TU', 4870, 'BCN', 1218, 'TUN', 287, '', 0, '32A 320 319\r'),
	('TU', 4870, 'BEG', 1739, 'TUN', 287, '', 0, '736 32A\r'),
	('TU', 4870, 'BEN', 1154, 'TUN', 287, '', 0, '320 32A\r'),
	('TU', 4870, 'BEY', 2177, 'TUN', 287, '', 0, '320\r'),
	('TU', 4870, 'BKO', 1044, 'TUN', 287, '', 0, '320\r'),
	('TU', 4870, 'BLQ', 1538, 'TUN', 287, '', 0, '320 319\r'),
	('TU', 4870, 'BOD', 1264, 'TUN', 287, '', 0, '736\r'),
	('TU', 4870, 'BRU', 302, 'DJE', 293, '', 0, '32A\r'),
	('TU', 4870, 'BRU', 302, 'MIR', 286, '', 0, '32A\r'),
	('TU', 4870, 'BRU', 302, 'TUN', 287, '', 0, '32A 320\r'),
	('TU', 4870, 'BSL', 4053, 'DJE', 293, '', 0, '32A\r'),
	('TU', 4870, 'CAI', 1128, 'TUN', 287, '', 0, '32A\r'),
	('TU', 4870, 'CMN', 1074, 'TUN', 287, '', 0, '32A 320 319\r'),
	('TU', 4870, 'DJE', 293, 'BRU', 302, '', 0, '32A\r'),
	('TU', 4870, 'DJE', 293, 'BSL', 4053, '', 0, '32A\r'),
	('TU', 4870, 'DJE', 293, 'DUS', 345, '', 0, '736\r'),
	('TU', 4870, 'DJE', 293, 'FRA', 340, '', 0, '736\r'),
	('TU', 4870, 'DJE', 293, 'GVA', 1665, '', 0, '319 32A\r'),
	('TU', 4870, 'DJE', 293, 'HAM', 342, '', 0, '319\r'),
	('TU', 4870, 'DJE', 293, 'LYS', 1335, '', 0, '736 319\r'),
	('TU', 4870, 'DJE', 293, 'MRS', 1353, '', 0, '736\r'),
	('TU', 4870, 'DJE', 293, 'MUC', 346, '', 0, '736\r'),
	('TU', 4870, 'DJE', 293, 'NCE', 1354, '', 0, '736\r'),
	('TU', 4870, 'DJE', 293, 'NTE', 1418, '', 0, '32A\r'),
	('TU', 4870, 'DJE', 293, 'ORY', 1386, '', 0, '319 736\r'),
	('TU', 4870, 'DJE', 293, 'SXB', 1435, '', 0, '736 319\r'),
	('TU', 4870, 'DJE', 293, 'SXF', 337, '', 0, '319\r'),
	('TU', 4870, 'DJE', 293, 'ZRH', 1678, '', 0, '736 32A\r'),
	('TU', 4870, 'DKR', 1084, 'TUN', 287, '', 0, '320 32A\r'),
	('TU', 4870, 'DME', 4029, 'TUN', 287, '', 0, '32A\r'),
	('TU', 4870, 'DUS', 345, 'DJE', 293, '', 0, '736\r'),
	('TU', 4870, 'DUS', 345, 'NBE', 7447, '', 0, '736\r'),
	('TU', 4870, 'DUS', 345, 'TUN', 287, '', 0, '736 32A\r'),
	('TU', 4870, 'DXB', 2188, 'TUN', 287, '', 0, '319\r'),
	('TU', 4870, 'FCO', 1555, 'TUN', 287, '', 0, '32A 320 319\r'),
	('TU', 4870, 'FRA', 340, 'DJE', 293, '', 0, '736\r'),
	('TU', 4870, 'FRA', 340, 'NBE', 7447, '', 0, '32A\r'),
	('TU', 4870, 'FRA', 340, 'TUN', 287, '', 0, '32A 320\r'),
	('TU', 4870, 'GVA', 1665, 'DJE', 293, '', 0, '319 32A\r'),
	('TU', 4870, 'GVA', 1665, 'MIR', 286, '', 0, '32A\r'),
	('TU', 4870, 'GVA', 1665, 'TUN', 287, '', 0, '32A\r'),
	('TU', 4870, 'HAM', 342, 'DJE', 293, '', 0, '319\r'),
	('TU', 4870, 'HAM', 342, 'NBE', 7447, '', 0, '32A\r'),
	('TU', 4870, 'IST', 1701, 'TUN', 287, '', 0, '32A 736 320\r'),
	('TU', 4870, 'JED', 2072, 'TUN', 287, '', 0, '32A 320\r'),
	('TU', 4870, 'KWI', 2176, 'TUN', 287, '', 0, '319\r'),
	('TU', 4870, 'LAQ', 5699, 'TUN', 287, '', 0, '32A\r'),
	('TU', 4870, 'LHR', 507, 'TUN', 287, '', 0, '32A\r'),
	('TU', 4870, 'LIS', 1638, 'TUN', 287, '', 0, '32A\r'),
	('TU', 4870, 'LYS', 1335, 'DJE', 293, '', 0, '736 319\r'),
	('TU', 4870, 'LYS', 1335, 'MIR', 286, '', 0, '736 32A\r'),
	('TU', 4870, 'LYS', 1335, 'TUN', 287, '', 0, '32A 320\r'),
	('TU', 4870, 'MAD', 1229, 'DJE', 293, '', 0, '32A\r'),
	('TU', 4870, 'MAD', 1229, 'TUN', 287, '', 0, '32A 320\r'),
	('TU', 4870, 'MED', 2074, 'TUN', 287, '', 0, '320 32A\r'),
	('TU', 4870, 'MIR', 286, 'BRU', 302, '', 0, '32A\r'),
	('TU', 4870, 'MIR', 286, 'GVA', 1665, '', 0, '32A\r'),
	('TU', 4870, 'MIR', 286, 'LYS', 1335, '', 0, '736 32A\r'),
	('TU', 4870, 'MIR', 286, 'MRS', 1353, '', 0, '32A 736\r'),
	('TU', 4870, 'MIR', 286, 'NCE', 1354, '', 0, '32A 736\r'),
	('TU', 4870, 'MIR', 286, 'ORY', 1386, '', 0, '736 32A\r'),
	('TU', 4870, 'MRA', 5804, 'TUN', 287, '', 0, '32A 320 319\r'),
	('TU', 4870, 'MRS', 1353, 'DJE', 293, '', 0, '736\r'),
	('TU', 4870, 'MRS', 1353, 'MIR', 286, '', 0, '32A 736\r'),
	('TU', 4870, 'MRS', 1353, 'TUN', 287, '', 0, '320 319 32A 736\r'),
	('TU', 4870, 'MUC', 346, 'DJE', 293, '', 0, '736\r'),
	('TU', 4870, 'MUC', 346, 'NBE', 7447, '', 0, '736\r'),
	('TU', 4870, 'MUC', 346, 'TUN', 287, '', 0, '736\r'),
	('TU', 4870, 'MXP', 1524, 'TUN', 287, '', 0, '319 32A 320\r'),
	('TU', 4870, 'NBE', 7447, 'DUS', 345, '', 0, '736\r'),
	('TU', 4870, 'NBE', 7447, 'FRA', 340, '', 0, '32A\r'),
	('TU', 4870, 'NBE', 7447, 'HAM', 342, '', 0, '32A\r'),
	('TU', 4870, 'NBE', 7447, 'MUC', 346, '', 0, '736\r'),
	('TU', 4870, 'NBE', 7447, 'SXF', 337, '', 0, '319\r'),
	('TU', 4870, 'NBE', 7447, 'ZRH', 1678, '', 0, '319\r'),
	('TU', 4870, 'NCE', 1354, 'DJE', 293, '', 0, '736\r'),
	('TU', 4870, 'NCE', 1354, 'MIR', 286, '', 0, '32A 736\r'),
	('TU', 4870, 'NCE', 1354, 'TUN', 287, '', 0, '32A 320\r'),
	('TU', 4870, 'NKC', 1094, 'TUN', 287, '', 0, '32A 320\r'),
	('TU', 4870, 'NTE', 1418, 'DJE', 293, '', 0, '32A\r'),
	('TU', 4870, 'NTE', 1418, 'TUN', 287, '', 0, '736\r'),
	('TU', 4870, 'ORN', 231, 'TUN', 287, '', 0, '736\r'),
	('TU', 4870, 'ORY', 1386, 'DJE', 293, '', 0, '319 736\r'),
	('TU', 4870, 'ORY', 1386, 'MIR', 286, '', 0, '736 32A\r'),
	('TU', 4870, 'ORY', 1386, 'TOE', 296, '', 0, '736\r'),
	('TU', 4870, 'ORY', 1386, 'TUN', 287, '', 0, '32A 320\r'),
	('TU', 4870, 'OUA', 246, 'TUN', 287, '', 0, '32A\r'),
	('TU', 4870, 'PMO', 1512, 'TUN', 287, '', 0, 'AT7\r'),
	('TU', 4870, 'SXB', 1435, 'DJE', 293, '', 0, '736 319\r'),
	('TU', 4870, 'SXB', 1435, 'TUN', 287, '', 0, '736\r'),
	('TU', 4870, 'SXF', 337, 'DJE', 293, '', 0, '319\r'),
	('TU', 4870, 'SXF', 337, 'NBE', 7447, '', 0, '319\r'),
	('TU', 4870, 'TIP', 1157, 'TUN', 287, '', 0, '32A 320\r'),
	('TU', 4870, 'TLS', 1273, 'TUN', 287, '', 0, '736\r'),
	('TU', 4870, 'TOB', 5697, 'TUN', 287, '', 0, '32A 320\r'),
	('TU', 4870, 'TOE', 296, 'ORY', 1386, '', 0, '736\r'),
	('TU', 4870, 'TUN', 287, 'ABJ', 253, '', 0, '320\r'),
	('TU', 4870, 'TUN', 287, 'ALG', 210, '', 0, '320 32A\r'),
	('TU', 4870, 'TUN', 287, 'AMS', 580, '', 0, '319 736\r'),
	('TU', 4870, 'TUN', 287, 'BCN', 1218, '', 0, '32A 320 319\r'),
	('TU', 4870, 'TUN', 287, 'BEG', 1739, '', 0, '736 32A\r'),
	('TU', 4870, 'TUN', 287, 'BEN', 1154, '', 0, '320 32A\r'),
	('TU', 4870, 'TUN', 287, 'BEY', 2177, '', 0, '320\r'),
	('TU', 4870, 'TUN', 287, 'BKO', 1044, '', 0, '32A\r'),
	('TU', 4870, 'TUN', 287, 'BLQ', 1538, '', 0, '320 319\r'),
	('TU', 4870, 'TUN', 287, 'BOD', 1264, '', 0, '736\r'),
	('TU', 4870, 'TUN', 287, 'BRU', 302, '', 0, '32A 320\r'),
	('TU', 4870, 'TUN', 287, 'CAI', 1128, '', 0, '32A\r'),
	('TU', 4870, 'TUN', 287, 'CMN', 1074, '', 0, '32A 320 319\r'),
	('TU', 4870, 'TUN', 287, 'DKR', 1084, '', 0, '320 32A\r'),
	('TU', 4870, 'TUN', 287, 'DME', 4029, '', 0, '32A\r'),
	('TU', 4870, 'TUN', 287, 'DUS', 345, '', 0, '736 32A\r'),
	('TU', 4870, 'TUN', 287, 'DXB', 2188, '', 0, '319\r'),
	('TU', 4870, 'TUN', 287, 'FCO', 1555, '', 0, '32A 320 319\r'),
	('TU', 4870, 'TUN', 287, 'FRA', 340, '', 0, '32A 320\r'),
	('TU', 4870, 'TUN', 287, 'GVA', 1665, '', 0, '32A\r'),
	('TU', 4870, 'TUN', 287, 'IST', 1701, '', 0, '32A 736 320\r'),
	('TU', 4870, 'TUN', 287, 'JED', 2072, '', 0, '320 32A\r'),
	('TU', 4870, 'TUN', 287, 'KWI', 2176, '', 0, '319\r'),
	('TU', 4870, 'TUN', 287, 'LAQ', 5699, '', 0, '32A\r'),
	('TU', 4870, 'TUN', 287, 'LHR', 507, '', 0, '32A\r'),
	('TU', 4870, 'TUN', 287, 'LIS', 1638, '', 0, '32A\r'),
	('TU', 4870, 'TUN', 287, 'LYS', 1335, '', 0, '32A 320\r'),
	('TU', 4870, 'TUN', 287, 'MAD', 1229, '', 0, '32A 320\r'),
	('TU', 4870, 'TUN', 287, 'MED', 2074, '', 0, '320 32A\r'),
	('TU', 4870, 'TUN', 287, 'MRA', 5804, '', 0, '32A 320 319\r'),
	('TU', 4870, 'TUN', 287, 'MRS', 1353, '', 0, '320 319 32A 736\r'),
	('TU', 4870, 'TUN', 287, 'MUC', 346, '', 0, '736\r'),
	('TU', 4870, 'TUN', 287, 'MXP', 1524, '', 0, '319 32A 320\r'),
	('TU', 4870, 'TUN', 287, 'NCE', 1354, '', 0, '32A 320\r'),
	('TU', 4870, 'TUN', 287, 'NKC', 1094, '', 0, '32A 320\r'),
	('TU', 4870, 'TUN', 287, 'NTE', 1418, '', 0, '736\r'),
	('TU', 4870, 'TUN', 287, 'ORN', 231, '', 0, '736\r'),
	('TU', 4870, 'TUN', 287, 'ORY', 1386, '', 0, '320 32A\r'),
	('TU', 4870, 'TUN', 287, 'OUA', 246, '', 0, '320\r'),
	('TU', 4870, 'TUN', 287, 'PMO', 1512, '', 0, 'AT7\r'),
	('TU', 4870, 'TUN', 287, 'SXB', 1435, '', 0, '736\r'),
	('TU', 4870, 'TUN', 287, 'TIP', 1157, '', 0, '32A 320\r'),
	('TU', 4870, 'TUN', 287, 'TLS', 1273, '', 0, '736\r'),
	('TU', 4870, 'TUN', 287, 'TOB', 5697, '', 0, '32A 320\r'),
	('TU', 4870, 'TUN', 287, 'VCE', 1551, '', 0, '319 32A\r'),
	('TU', 4870, 'TUN', 287, 'VIE', 1613, '', 0, '32A\r'),
	('TU', 4870, 'TUN', 287, 'ZRH', 1678, '', 0, '736 320\r'),
	('TU', 4870, 'VCE', 1551, 'TUN', 287, '', 0, '319 32A\r'),
	('TU', 4870, 'VIE', 1613, 'TUN', 287, '', 0, '32A\r'),
	('TU', 4870, 'ZRH', 1678, 'DJE', 293, '', 0, '736 32A\r'),
	('TU', 4870, 'ZRH', 1678, 'NBE', 7447, '', 0, '319\r'),
	('TU', 4870, 'ZRH', 1678, 'TUN', 287, '', 0, '736 320\r'),
	('TV', 5333, 'BPX', 6396, 'LXA', 4097, '', 0, '319\r'),
	('TV', 5333, 'CKG', 3393, 'LXA', 4097, '', 0, '319\r'),
	('TV', 5333, 'CKG', 3393, 'SHA', 3391, '', 0, '319\r'),
	('TV', 5333, 'CTU', 3395, 'HGH', 3386, '', 0, '319\r'),
	('TV', 5333, 'CTU', 3395, 'KWE', 3394, '', 0, '319\r'),
	('TV', 5333, 'CTU', 3395, 'LXA', 4097, '', 0, '319\r'),
	('TV', 5333, 'CTU', 3395, 'LZY', 6402, '', 0, '319\r'),
	('TV', 5333, 'CTU', 3395, 'SHA', 3391, '', 0, '319\r'),
	('TV', 5333, 'CTU', 3395, 'SZX', 3374, '', 0, '319\r'),
	('TV', 5333, 'CTU', 3395, 'XMN', 3383, '', 0, '319\r'),
	('TV', 5333, 'CTU', 3395, 'XNN', 6366, '', 0, '319\r'),
	('TV', 5333, 'HGH', 3386, 'CTU', 3395, '', 0, '319\r'),
	('TV', 5333, 'INC', 4085, 'LXA', 4097, '', 0, '319\r'),
	('TV', 5333, 'INC', 4085, 'PEK', 3364, '', 0, '319\r'),
	('TV', 5333, 'KWE', 3394, 'CTU', 3395, '', 0, '319\r'),
	('TV', 5333, 'LHW', 6431, 'LXA', 4097, '', 0, '319\r'),
	('TV', 5333, 'LHW', 6431, 'TYN', 3369, '', 0, '319\r'),
	('TV', 5333, 'LXA', 4097, 'BPX', 6396, '', 0, '319\r'),
	('TV', 5333, 'LXA', 4097, 'CKG', 3393, '', 0, '319\r'),
	('TV', 5333, 'LXA', 4097, 'CTU', 3395, '', 0, '319\r'),
	('TV', 5333, 'LXA', 4097, 'INC', 4085, '', 0, '319\r'),
	('TV', 5333, 'LXA', 4097, 'LHW', 6431, '', 0, '319\r'),
	('TV', 5333, 'LXA', 4097, 'LZY', 6402, '', 0, '319\r'),
	('TV', 5333, 'LXA', 4097, 'MIG', 6400, '', 0, '319\r'),
	('TV', 5333, 'LXA', 4097, 'NGQ', 7932, '', 0, '319\r'),
	('TV', 5333, 'LXA', 4097, 'XNN', 6366, '', 0, '319\r'),
	('TV', 5333, 'LZY', 6402, 'CTU', 3395, '', 0, '319\r'),
	('TV', 5333, 'LZY', 6402, 'LXA', 4097, '', 0, '319\r'),
	('TV', 5333, 'MIG', 6400, 'LXA', 4097, '', 0, '319\r'),
	('TV', 5333, 'NGQ', 7932, 'LXA', 4097, '', 0, '319\r'),
	('TV', 5333, 'NKG', 3388, 'XNN', 6366, '', 0, '319\r'),
	('TV', 5333, 'PEK', 3364, 'INC', 4085, '', 0, '319\r'),
	('TV', 5333, 'SHA', 3391, 'CKG', 3393, '', 0, '319\r'),
	('TV', 5333, 'SHA', 3391, 'CTU', 3395, '', 0, '319\r'),
	('TV', 5333, 'SZX', 3374, 'CTU', 3395, '', 0, '319\r'),
	('TV', 5333, 'TYN', 3369, 'LHW', 6431, '', 0, '319\r'),
	('TV', 5333, 'XMN', 3383, 'CTU', 3395, '', 0, '319\r'),
	('TV', 5333, 'XNN', 6366, 'CTU', 3395, '', 0, '319\r'),
	('TV', 5333, 'XNN', 6366, 'LXA', 4097, '', 0, '319\r'),
	('TV', 5333, 'XNN', 6366, 'NKG', 3388, '', 0, '319\r'),
	('TV', 5333, 'XNN', 6366, 'YUS', 7894, '', 0, '319\r'),
	('TV', 5333, 'YUS', 7894, 'XNN', 6366, '', 0, '319\r'),
	('TW', 16624, 'BKK', 3885, 'ICN', 3930, '', 0, '737\r'),
	('TW', 16624, 'CJU', 2370, 'GMP', 2378, '', 0, '737\r'),
	('TW', 16624, 'CJU', 2370, 'TAE', 2381, '', 0, '737\r'),
	('TW', 16624, 'CTS', 2287, 'ICN', 3930, '', 0, '737\r'),
	('TW', 16624, 'FUK', 2305, 'ICN', 3930, '', 0, '737\r'),
	('TW', 16624, 'GMP', 2378, 'CJU', 2370, '', 0, '737\r'),
	('TW', 16624, 'GMP', 2378, 'TSA', 2275, '', 0, '737\r'),
	('TW', 16624, 'HSG', 5996, 'ICN', 3930, '', 0, '737\r'),
	('TW', 16624, 'ICN', 3930, 'BKK', 3885, '', 0, '737\r'),
	('TW', 16624, 'ICN', 3930, 'CTS', 2287, '', 0, '737\r'),
	('TW', 16624, 'ICN', 3930, 'FUK', 2305, '', 0, '737\r'),
	('TW', 16624, 'ICN', 3930, 'HSG', 5996, '', 0, '737\r'),
	('TW', 16624, 'ICN', 3930, 'TNA', 4108, '', 0, '737\r'),
	('TW', 16624, 'TAE', 2381, 'CJU', 2370, '', 0, '737\r'),
	('TW', 16624, 'TNA', 4108, 'ICN', 3930, '', 0, '737\r'),
	('TW', 16624, 'TSA', 2275, 'GMP', 2378, '', 0, '737\r'),
	('TX', 567, 'CAY', 2774, 'ORY', 1386, '', 0, '333\r'),
	('TX', 567, 'DZA', 915, 'TNR', 918, 'Y', 0, '332\r'),
	('TX', 567, 'FDF', 2878, 'ORY', 1386, '', 0, '333 332\r'),
	('TX', 567, 'FDF', 2878, 'PTP', 2881, '', 0, 'AT7\r'),
	('TX', 567, 'FDF', 2878, 'SLU', 2893, '', 0, 'AT7\r'),
	('TX', 567, 'ORY', 1386, 'CAY', 2774, '', 0, '333\r'),
	('TX', 567, 'ORY', 1386, 'DZA', 915, 'Y', 0, '332 333\r'),
	('TX', 567, 'ORY', 1386, 'FDF', 2878, '', 0, '333 332\r'),
	('TX', 567, 'ORY', 1386, 'PAP', 1897, '', 0, '333\r'),
	('TX', 567, 'ORY', 1386, 'PTP', 2881, '', 0, '333 332\r'),
	('TX', 567, 'ORY', 1386, 'RUN', 916, 'Y', 0, '747\r'),
	('TX', 567, 'ORY', 1386, 'SXM', 2899, '', 0, '332\r'),
	('TX', 567, 'PAP', 1897, 'PTP', 2881, '', 0, 'AT7\r'),
	('TX', 567, 'PAP', 1897, 'SDQ', 1762, '', 0, '333\r'),
	('TX', 567, 'PTP', 2881, 'FDF', 2878, '', 0, 'AT7\r'),
	('TX', 567, 'PTP', 2881, 'ORY', 1386, '', 0, '333 332\r'),
	('TX', 567, 'PTP', 2881, 'PAP', 1897, '', 0, 'AT7\r'),
	('TX', 567, 'PTP', 2881, 'SDQ', 1762, '', 0, 'AT7\r'),
	('TX', 567, 'PTP', 2881, 'SFG', 2879, '', 0, 'AT7\r'),
	('TX', 567, 'RUN', 916, 'ORY', 1386, 'Y', 0, '747\r'),
	('TX', 567, 'SBH', 6460, 'SXM', 2899, '', 0, 'CNA\r'),
	('TX', 567, 'SDQ', 1762, 'ORY', 1386, '', 0, '333\r'),
	('TX', 567, 'SDQ', 1762, 'PTP', 2881, '', 0, 'AT7\r'),
	('TX', 567, 'SFG', 2879, 'PTP', 2881, '', 0, 'AT7\r'),
	('TX', 567, 'SLU', 2893, 'FDF', 2878, '', 0, 'AT7\r'),
	('TX', 567, 'SXM', 2899, 'ORY', 1386, '', 0, '332\r'),
	('TX', 567, 'SXM', 2899, 'SBH', 6460, '', 0, 'CNA\r'),
	('TX', 567, 'TNR', 918, 'ORY', 1386, 'Y', 0, '330\r'),
	('TY', 2825, 'BMY', 5920, 'GEA', 2001, '', 0, 'DHT\r'),
	('TY', 2825, 'BMY', 5920, 'KOC', 1999, '', 0, 'DHT\r'),
	('TY', 2825, 'GEA', 2001, 'ILP', 5921, '', 0, 'ATR\r'),
	('TY', 2825, 'GEA', 2001, 'KNQ', 1998, '', 0, 'ATR DHT\r'),
	('TY', 2825, 'GEA', 2001, 'KOC', 1999, '', 0, 'DHT\r'),
	('TY', 2825, 'GEA', 2001, 'LIF', 2000, '', 0, 'ATR\r'),
	('TY', 2825, 'GEA', 2001, 'MEE', 2002, '', 0, 'ATR\r'),
	('TY', 2825, 'GEA', 2001, 'TGJ', 5919, '', 0, 'DHT\r'),
	('TY', 2825, 'GEA', 2001, 'TOU', 2003, '', 0, 'DHT\r'),
	('TY', 2825, 'GEA', 2001, 'UVE', 2004, '', 0, 'ATR DHT\r'),
	('TY', 2825, 'ILP', 5921, 'GEA', 2001, '', 0, 'ATR\r'),
	('TY', 2825, 'KNQ', 1998, 'GEA', 2001, '', 0, 'ATR DHT\r'),
	('TY', 2825, 'KOC', 1999, 'BMY', 5920, '', 0, 'DHT\r'),
	('TY', 2825, 'KOC', 1999, 'GEA', 2001, '', 0, 'DHT\r'),
	('TY', 2825, 'LIF', 2000, 'GEA', 2001, '', 0, 'ATR\r'),
	('TY', 2825, 'LIF', 2000, 'TGJ', 5919, '', 0, 'DHT\r'),
	('TY', 2825, 'LIF', 2000, 'UVE', 2004, '', 0, 'DHT\r'),
	('TY', 2825, 'MEE', 2002, 'GEA', 2001, '', 0, 'ATR\r'),
	('TY', 2825, 'TGJ', 5919, 'GEA', 2001, '', 0, 'DHT\r'),
	('TY', 2825, 'TGJ', 5919, 'LIF', 2000, '', 0, 'DHT\r'),
	('TY', 2825, 'TOU', 2003, 'GEA', 2001, '', 0, 'DHT\r'),
	('TY', 2825, 'UVE', 2004, 'GEA', 2001, '', 0, 'ATR DHT\r'),
	('TY', 2825, 'UVE', 2004, 'LIF', 2000, '', 0, 'DHT\r'),
	('TZ', 17891, 'BKK', 3885, 'SIN', 3316, '', 0, '772\r'),
	('TZ', 17891, 'HKG', 3077, 'SIN', 3316, '', 0, '772\r'),
	('TZ', 17891, 'ICN', 3930, 'TPE', 2276, '', 0, '772\r'),
	('TZ', 17891, 'NKG', 3388, 'SIN', 3316, '', 0, '772\r'),
	('TZ', 17891, 'NRT', 2279, 'TPE', 2276, '', 0, '772\r'),
	('TZ', 17891, 'OOL', 3321, 'SIN', 3316, '', 0, '772\r'),
	('TZ', 17891, 'PER', 3351, 'SIN', 3316, '', 0, '772\r'),
	('TZ', 17891, 'SHE', 4144, 'TAO', 3390, '', 0, '772\r'),
	('TZ', 17891, 'SIN', 3316, 'BKK', 3885, '', 0, '772\r'),
	('TZ', 17891, 'SIN', 3316, 'HKG', 3077, '', 0, '772\r'),
	('TZ', 17891, 'SIN', 3316, 'NKG', 3388, '', 0, '772\r'),
	('TZ', 17891, 'SIN', 3316, 'OOL', 3321, '', 0, '772\r'),
	('TZ', 17891, 'SIN', 3316, 'PER', 3351, '', 0, '772\r'),
	('TZ', 17891, 'SIN', 3316, 'SYD', 3361, '', 0, '772\r'),
	('TZ', 17891, 'SIN', 3316, 'TAO', 3390, '', 0, '772\r'),
	('TZ', 17891, 'SIN', 3316, 'TPE', 2276, '', 0, '772\r'),
	('TZ', 17891, 'SIN', 3316, 'TSN', 3368, '', 0, '772\r'),
	('TZ', 17891, 'SYD', 3361, 'SIN', 3316, '', 0, '772\r'),
	('TZ', 17891, 'TAO', 3390, 'SHE', 4144, '', 0, '772\r'),
	('TZ', 17891, 'TAO', 3390, 'SIN', 3316, '', 0, '772\r'),
	('TZ', 17891, 'TPE', 2276, 'ICN', 3930, '', 0, '772\r'),
	('TZ', 17891, 'TPE', 2276, 'NRT', 2279, '', 0, '772\r'),
	('TZ', 17891, 'TPE', 2276, 'SIN', 3316, '', 0, '772\r'),
	('TZ', 17891, 'TSN', 3368, 'SIN', 3316, '', 0, '772\r'),
	('U2', 2297, 'ABZ', 532, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'ABZ', 532, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'ACE', 1055, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'ACE', 1055, 'LPL', 491, '', 0, '320\r'),
	('U2', 2297, 'ADB', 1706, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'AGA', 1064, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'AGA', 1064, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'AGA', 1064, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'AGA', 1064, 'SXF', 337, '', 0, '320\r'),
	('U2', 2297, 'AGP', 1230, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'AGP', 1230, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'AGP', 1230, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'AGP', 1230, 'CDG', 1382, '', 0, '319 320\r'),
	('U2', 2297, 'AGP', 1230, 'GLA', 534, '', 0, '320 319\r'),
	('U2', 2297, 'AGP', 1230, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'AGP', 1230, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'AGP', 1230, 'LPL', 491, '', 0, '319\r'),
	('U2', 2297, 'AGP', 1230, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'AGP', 1230, 'MAN', 478, '', 0, '319 320\r'),
	('U2', 2297, 'AGP', 1230, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'AGP', 1230, 'NCL', 521, '', 0, '319 320\r'),
	('U2', 2297, 'AGP', 1230, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'AGP', 1230, 'STN', 548, '', 0, '319\r'),
	('U2', 2297, 'AGP', 1230, 'SXF', 337, '', 0, '320 319\r'),
	('U2', 2297, 'AHO', 1517, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'AJA', 1324, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'AJA', 1324, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'AJA', 1324, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'AJA', 1324, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'AJA', 1324, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'ALC', 1212, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'ALC', 1212, 'BRS', 490, '', 0, '319 320\r'),
	('U2', 2297, 'ALC', 1212, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'ALC', 1212, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'ALC', 1212, 'GLA', 534, '', 0, '319 320\r'),
	('U2', 2297, 'ALC', 1212, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'ALC', 1212, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'ALC', 1212, 'LPL', 491, '', 0, '320 319\r'),
	('U2', 2297, 'ALC', 1212, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'ALC', 1212, 'MAN', 478, '', 0, '319 320\r'),
	('U2', 2297, 'ALC', 1212, 'NCL', 521, '', 0, '320 319\r'),
	('U2', 2297, 'ALC', 1212, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'AMS', 580, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'AMS', 580, 'BOD', 1264, '', 0, '319\r'),
	('U2', 2297, 'AMS', 580, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'AMS', 580, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'AMS', 580, 'EDI', 535, '', 0, '320 319\r'),
	('U2', 2297, 'AMS', 580, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'AMS', 580, 'GLA', 534, '', 0, '319\r'),
	('U2', 2297, 'AMS', 580, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'AMS', 580, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'AMS', 580, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'AMS', 580, 'LPL', 491, '', 0, '319 320\r'),
	('U2', 2297, 'AMS', 580, 'LTN', 492, '', 0, '320 319\r'),
	('U2', 2297, 'AMS', 580, 'MAN', 478, '', 0, '320 319\r'),
	('U2', 2297, 'AMS', 580, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'AMS', 580, 'NCL', 521, '', 0, '319\r'),
	('U2', 2297, 'AMS', 580, 'PRG', 1587, '', 0, '319\r'),
	('U2', 2297, 'AMS', 580, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'AMS', 580, 'STN', 548, '', 0, '320 319\r'),
	('U2', 2297, 'AMS', 580, 'SXF', 337, '', 0, '319 320\r'),
	('U2', 2297, 'ARN', 737, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'ATH', 3941, 'EDI', 535, '', 0, '319 320\r'),
	('U2', 2297, 'ATH', 3941, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'ATH', 3941, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'ATH', 3941, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'ATH', 3941, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'ATH', 3941, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'ATH', 3941, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'ATH', 3941, 'ORY', 1386, '', 0, '320\r'),
	('U2', 2297, 'ATH', 3941, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'AYT', 1688, 'BSL', 4053, '', 0, '320\r'),
	('U2', 2297, 'AYT', 1688, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'AYT', 1688, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'BCN', 1218, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'BCN', 1218, 'BRS', 490, '', 0, '319\r'),
	('U2', 2297, 'BCN', 1218, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'BCN', 1218, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'BCN', 1218, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'BCN', 1218, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'BCN', 1218, 'LPL', 491, '', 0, '319\r'),
	('U2', 2297, 'BCN', 1218, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'BCN', 1218, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'BCN', 1218, 'MXP', 1524, '', 0, '320 319\r'),
	('U2', 2297, 'BCN', 1218, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'BCN', 1218, 'NCL', 521, '', 0, '319 320\r'),
	('U2', 2297, 'BCN', 1218, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'BCN', 1218, 'SXF', 337, '', 0, '319 320\r'),
	('U2', 2297, 'BDS', 1506, 'BSL', 4053, '', 0, '320\r'),
	('U2', 2297, 'BDS', 1506, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'BDS', 1506, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'BEG', 1739, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'BEG', 1739, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'BEG', 1739, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'BES', 1403, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'AGP', 1230, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'ALC', 1212, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'AMS', 580, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'BCN', 1218, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'BHX', 469, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'BRS', 490, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'EDI', 535, '', 0, '319 320\r'),
	('U2', 2297, 'BFS', 465, 'FAO', 1626, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'GLA', 534, '', 0, '319 320\r'),
	('U2', 2297, 'BFS', 465, 'KRK', 669, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'LPL', 491, '', 0, '320 319\r'),
	('U2', 2297, 'BFS', 465, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'BFS', 465, 'MAN', 478, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'MLA', 1606, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'NCE', 1354, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'NCL', 521, '', 0, '319 320\r'),
	('U2', 2297, 'BFS', 465, 'PMI', 3998, '', 0, '319\r'),
	('U2', 2297, 'BFS', 465, 'STN', 548, '', 0, '319 320\r'),
	('U2', 2297, 'BGO', 636, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'BHX', 469, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'BIA', 1321, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'BIA', 1321, 'GVA', 1665, '', 0, '320 319\r'),
	('U2', 2297, 'BIA', 1321, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'BIA', 1321, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'BIA', 1321, 'TLS', 1273, '', 0, '319\r'),
	('U2', 2297, 'BIO', 1216, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'BIO', 1216, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'BIO', 1216, 'MAN', 478, '', 0, '319\r'),
	('U2', 2297, 'BIO', 1216, 'STN', 548, '', 0, '320 319\r'),
	('U2', 2297, 'BIQ', 1280, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'BJV', 4315, 'BRS', 490, '', 0, '320\r'),
	('U2', 2297, 'BJV', 4315, 'EDI', 535, '', 0, '320\r'),
	('U2', 2297, 'BJV', 4315, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'BJV', 4315, 'LPL', 491, '', 0, '319\r'),
	('U2', 2297, 'BJV', 4315, 'STN', 548, '', 0, '319\r'),
	('U2', 2297, 'BLQ', 1538, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'BLQ', 1538, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'BOD', 1264, 'AMS', 580, '', 0, '319\r'),
	('U2', 2297, 'BOD', 1264, 'BRS', 490, '', 0, '319 320\r'),
	('U2', 2297, 'BOD', 1264, 'BRU', 302, '', 0, '320\r'),
	('U2', 2297, 'BOD', 1264, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'BOD', 1264, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'BOD', 1264, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'BOD', 1264, 'LIL', 1399, '', 0, '319\r'),
	('U2', 2297, 'BOD', 1264, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'BOD', 1264, 'LTN', 492, '', 0, '319\r'),
	('U2', 2297, 'BOD', 1264, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'BOD', 1264, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'BOD', 1264, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'BOD', 1264, 'RAK', 1075, '', 0, '319 320\r'),
	('U2', 2297, 'BRI', 1501, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'BRI', 1501, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'BRI', 1501, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'BRS', 490, 'AGP', 1230, '', 0, '320 319\r'),
	('U2', 2297, 'BRS', 490, 'ALC', 1212, '', 0, '319 320\r'),
	('U2', 2297, 'BRS', 490, 'AMS', 580, '', 0, '320 319\r'),
	('U2', 2297, 'BRS', 490, 'BCN', 1218, '', 0, '319\r'),
	('U2', 2297, 'BRS', 490, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'BRS', 490, 'BJV', 4315, '', 0, '320\r'),
	('U2', 2297, 'BRS', 490, 'BOD', 1264, '', 0, '319 320\r'),
	('U2', 2297, 'BRS', 490, 'CDG', 1382, '', 0, '319 320\r'),
	('U2', 2297, 'BRS', 490, 'CFU', 1460, '', 0, '320\r'),
	('U2', 2297, 'BRS', 490, 'CPH', 609, '', 0, '319\r'),
	('U2', 2297, 'BRS', 490, 'DLM', 1715, '', 0, '320\r'),
	('U2', 2297, 'BRS', 490, 'EDI', 535, '', 0, '320 319\r'),
	('U2', 2297, 'BRS', 490, 'FAO', 1626, '', 0, '319 320\r'),
	('U2', 2297, 'BRS', 490, 'FCO', 1555, '', 0, '320\r'),
	('U2', 2297, 'BRS', 490, 'FNC', 4091, '', 0, '320\r'),
	('U2', 2297, 'BRS', 490, 'FUE', 1051, '', 0, '319 320\r'),
	('U2', 2297, 'BRS', 490, 'GLA', 534, '', 0, '319\r'),
	('U2', 2297, 'BRS', 490, 'GVA', 1665, '', 0, '320 319\r'),
	('U2', 2297, 'BRS', 490, 'HER', 1452, '', 0, '320\r'),
	('U2', 2297, 'BRS', 490, 'INV', 533, '', 0, '319\r'),
	('U2', 2297, 'BRS', 490, 'KEF', 16, '', 0, '320 319\r'),
	('U2', 2297, 'BRS', 490, 'KRK', 669, '', 0, '319\r'),
	('U2', 2297, 'BRS', 490, 'LIS', 1638, '', 0, '320\r'),
	('U2', 2297, 'BRS', 490, 'MAD', 1229, '', 0, '320 319\r'),
	('U2', 2297, 'BRS', 490, 'MJV', 1227, '', 0, '319 320\r'),
	('U2', 2297, 'BRS', 490, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'BRS', 490, 'NCL', 521, '', 0, '319 320\r'),
	('U2', 2297, 'BRS', 490, 'PFO', 1198, '', 0, '320\r'),
	('U2', 2297, 'BRS', 490, 'PMI', 3998, '', 0, '320 319\r'),
	('U2', 2297, 'BRS', 490, 'PRG', 1587, '', 0, '319\r'),
	('U2', 2297, 'BRS', 490, 'PSA', 1562, '', 0, '320 319\r'),
	('U2', 2297, 'BRS', 490, 'RAK', 1075, '', 0, '320 319\r'),
	('U2', 2297, 'BRS', 490, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'BRS', 490, 'TFS', 1056, '', 0, '320 319\r'),
	('U2', 2297, 'BRS', 490, 'TLS', 1273, '', 0, '320 319\r'),
	('U2', 2297, 'BRU', 302, 'BOD', 1264, '', 0, '320\r'),
	('U2', 2297, 'BRU', 302, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'BRU', 302, 'GVA', 1665, '', 0, '320 319\r'),
	('U2', 2297, 'BRU', 302, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'BRU', 302, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'BRU', 302, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'BRU', 302, 'NAP', 1561, '', 0, '319\r'),
	('U2', 2297, 'BRU', 302, 'NCE', 1354, '', 0, '320 319\r'),
	('U2', 2297, 'BRU', 302, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'BRU', 302, 'TLS', 1273, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'AGP', 1230, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'AJA', 1324, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'ALC', 1212, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'AMS', 580, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'AYT', 1688, '', 0, '320\r'),
	('U2', 2297, 'BSL', 4053, 'BCN', 1218, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'BDS', 1506, '', 0, '320\r'),
	('U2', 2297, 'BSL', 4053, 'BOD', 1264, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'BRU', 302, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'BUD', 1489, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'CAG', 1519, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'CPH', 609, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'CTA', 1509, '', 0, '320\r'),
	('U2', 2297, 'BSL', 4053, 'DRS', 338, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'EDI', 535, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'FAO', 1626, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'FUE', 1051, '', 0, '320\r'),
	('U2', 2297, 'BSL', 4053, 'HAM', 342, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'KEF', 16, '', 0, '320\r'),
	('U2', 2297, 'BSL', 4053, 'KRK', 669, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'LCA', 1197, '', 0, '320\r'),
	('U2', 2297, 'BSL', 4053, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'LPA', 1054, '', 0, '320\r'),
	('U2', 2297, 'BSL', 4053, 'MAD', 1229, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'MAN', 478, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'MPL', 1359, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'NAP', 1561, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'NTE', 1418, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'OLB', 1520, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'OPO', 1636, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'PMI', 3998, '', 0, '319 320\r'),
	('U2', 2297, 'BSL', 4053, 'PRN', 1742, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'RAK', 1075, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'SCQ', 1243, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'SKG', 1486, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'SPU', 1206, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'SVQ', 1253, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'SXF', 337, '', 0, '320 319\r'),
	('U2', 2297, 'BSL', 4053, 'TFS', 1056, '', 0, '320\r'),
	('U2', 2297, 'BSL', 4053, 'TLS', 1273, '', 0, '319\r'),
	('U2', 2297, 'BSL', 4053, 'TLV', 1590, '', 0, '320\r'),
	('U2', 2297, 'BSL', 4053, 'VCE', 1551, '', 0, '319 320\r'),
	('U2', 2297, 'BUD', 1489, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'BUD', 1489, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'BUD', 1489, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'BUD', 1489, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'BUD', 1489, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'BUD', 1489, 'SXF', 337, '', 0, '319 320\r'),
	('U2', 2297, 'CAG', 1519, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'CAG', 1519, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'CAG', 1519, 'MXP', 1524, '', 0, '320 319\r'),
	('U2', 2297, 'CAG', 1519, 'STN', 548, '', 0, '319\r'),
	('U2', 2297, 'CAG', 1519, 'SXF', 337, '', 0, '320\r'),
	('U2', 2297, 'CDG', 1382, 'AGA', 1064, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'AGP', 1230, '', 0, '319 320\r'),
	('U2', 2297, 'CDG', 1382, 'AJA', 1324, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'BCN', 1218, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'BIA', 1321, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'BIQ', 1280, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'BLQ', 1538, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'BRI', 1501, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'BRS', 490, '', 0, '319 320\r'),
	('U2', 2297, 'CDG', 1382, 'BUD', 1489, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'CMN', 1074, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'CPH', 609, '', 0, '319 320\r'),
	('U2', 2297, 'CDG', 1382, 'CTA', 1509, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'GLA', 534, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'KRK', 669, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'LPL', 491, '', 0, '319 320\r'),
	('U2', 2297, 'CDG', 1382, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'CDG', 1382, 'MAD', 1229, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'CDG', 1382, 'NAP', 1561, '', 0, '319 320\r'),
	('U2', 2297, 'CDG', 1382, 'NCE', 1354, '', 0, '320 319\r'),
	('U2', 2297, 'CDG', 1382, 'OPO', 1636, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'PRG', 1587, '', 0, '319\r'),
	('U2', 2297, 'CDG', 1382, 'RAK', 1075, '', 0, '320 319\r'),
	('U2', 2297, 'CDG', 1382, 'TFS', 1056, '', 0, '320\r'),
	('U2', 2297, 'CDG', 1382, 'TLS', 1273, '', 0, '319 320\r'),
	('U2', 2297, 'CDG', 1382, 'VCE', 1551, '', 0, '320 319\r'),
	('U2', 2297, 'CFU', 1460, 'BRS', 490, '', 0, '320\r'),
	('U2', 2297, 'CFU', 1460, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'CFU', 1460, 'LTN', 492, '', 0, '320\r'),
	('U2', 2297, 'CFU', 1460, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'CGN', 344, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'CHQ', 1474, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'CMN', 1074, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'CMN', 1074, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'CMN', 1074, 'MXP', 1524, '', 0, '320 319\r'),
	('U2', 2297, 'CPH', 609, 'BRS', 490, '', 0, '319\r'),
	('U2', 2297, 'CPH', 609, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'CPH', 609, 'CDG', 1382, '', 0, '319 320\r'),
	('U2', 2297, 'CPH', 609, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'CPH', 609, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'CPH', 609, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'CPH', 609, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'CPH', 609, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'CPH', 609, 'MAN', 478, '', 0, '319 320\r'),
	('U2', 2297, 'CPH', 609, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'CPH', 609, 'STN', 548, '', 0, '319 320\r'),
	('U2', 2297, 'CPH', 609, 'SXF', 337, '', 0, '320 319\r'),
	('U2', 2297, 'CTA', 1509, 'BSL', 4053, '', 0, '320\r'),
	('U2', 2297, 'CTA', 1509, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'CTA', 1509, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'CTA', 1509, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'CTA', 1509, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'CTA', 1509, 'LTN', 492, '', 0, '320 319\r'),
	('U2', 2297, 'CTA', 1509, 'MAN', 478, '', 0, '319\r'),
	('U2', 2297, 'CTA', 1509, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'CTA', 1509, 'NAP', 1561, '', 0, '319\r'),
	('U2', 2297, 'DBV', 1200, 'EDI', 535, '', 0, '320\r'),
	('U2', 2297, 'DBV', 1200, 'GVA', 1665, '', 0, '320\r'),
	('U2', 2297, 'DBV', 1200, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'DBV', 1200, 'STN', 548, '', 0, '319\r'),
	('U2', 2297, 'DLM', 1715, 'BRS', 490, '', 0, '320\r'),
	('U2', 2297, 'DLM', 1715, 'EDI', 535, '', 0, '320 319\r'),
	('U2', 2297, 'DLM', 1715, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'DLM', 1715, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'DLM', 1715, 'STN', 548, '', 0, '319 320\r'),
	('U2', 2297, 'DME', 4029, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'DME', 4029, 'MAN', 478, '', 0, '319 320\r'),
	('U2', 2297, 'DRS', 338, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'DTM', 373, 'LTN', 492, '', 0, '319\r'),
	('U2', 2297, 'DUS', 345, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'ALC', 1212, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'AMS', 580, '', 0, '320 319\r'),
	('U2', 2297, 'EDI', 535, 'ATH', 3941, '', 0, '319 320\r'),
	('U2', 2297, 'EDI', 535, 'BFS', 465, '', 0, '319 320\r'),
	('U2', 2297, 'EDI', 535, 'BJV', 4315, '', 0, '320\r'),
	('U2', 2297, 'EDI', 535, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'EDI', 535, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'EDI', 535, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'CPH', 609, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'DBV', 1200, '', 0, '320\r'),
	('U2', 2297, 'EDI', 535, 'DLM', 1715, '', 0, '320 319\r'),
	('U2', 2297, 'EDI', 535, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'EDI', 535, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'HER', 1452, '', 0, '320\r'),
	('U2', 2297, 'EDI', 535, 'KEF', 16, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'KRK', 669, '', 0, '319 320\r'),
	('U2', 2297, 'EDI', 535, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'EDI', 535, 'LIS', 1638, '', 0, '319 320\r'),
	('U2', 2297, 'EDI', 535, 'LTN', 492, '', 0, '320 319\r'),
	('U2', 2297, 'EDI', 535, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'MAD', 1229, '', 0, '319 320\r'),
	('U2', 2297, 'EDI', 535, 'MUC', 346, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'NAP', 1561, '', 0, '320 319\r'),
	('U2', 2297, 'EDI', 535, 'NCE', 1354, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'PFO', 1198, '', 0, '320\r'),
	('U2', 2297, 'EDI', 535, 'PMI', 3998, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'PRG', 1587, '', 0, '319 320\r'),
	('U2', 2297, 'EDI', 535, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'STN', 548, '', 0, '320 319\r'),
	('U2', 2297, 'EDI', 535, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'EDI', 535, 'TFS', 1056, '', 0, '320\r'),
	('U2', 2297, 'EFL', 1455, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'FAO', 1626, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'FAO', 1626, 'BRS', 490, '', 0, '319 320\r'),
	('U2', 2297, 'FAO', 1626, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'FAO', 1626, 'GLA', 534, '', 0, '319\r'),
	('U2', 2297, 'FAO', 1626, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'FAO', 1626, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'FAO', 1626, 'LPL', 491, '', 0, '320 319\r'),
	('U2', 2297, 'FAO', 1626, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'FAO', 1626, 'NCL', 521, '', 0, '319 320\r'),
	('U2', 2297, 'FAO', 1626, 'ORY', 1386, '', 0, '320\r'),
	('U2', 2297, 'FAO', 1626, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'AMS', 580, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'ATH', 3941, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'BEG', 1739, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'BRS', 490, '', 0, '320\r'),
	('U2', 2297, 'FCO', 1555, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'CPH', 609, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'FCO', 1555, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'FCO', 1555, 'LIN', 1529, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'MXP', 1524, '', 0, '320 319\r'),
	('U2', 2297, 'FCO', 1555, 'NCE', 1354, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'NTE', 1418, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'ORY', 1386, '', 0, '319 320\r'),
	('U2', 2297, 'FCO', 1555, 'PMO', 1512, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'PRG', 1587, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'SKG', 1486, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'TLS', 1273, '', 0, '319\r'),
	('U2', 2297, 'FCO', 1555, 'TLV', 1590, '', 0, '319\r'),
	('U2', 2297, 'FNC', 4091, 'BRS', 490, '', 0, '320\r'),
	('U2', 2297, 'FNC', 4091, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'FNC', 4091, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'FUE', 1051, 'BRS', 490, '', 0, '319 320\r'),
	('U2', 2297, 'FUE', 1051, 'BSL', 4053, '', 0, '320\r'),
	('U2', 2297, 'FUE', 1051, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'FUE', 1051, 'LPL', 491, '', 0, '319\r'),
	('U2', 2297, 'GIB', 1738, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'GLA', 534, 'AGP', 1230, '', 0, '320 319\r'),
	('U2', 2297, 'GLA', 534, 'ALC', 1212, '', 0, '319 320\r'),
	('U2', 2297, 'GLA', 534, 'AMS', 580, '', 0, '319\r'),
	('U2', 2297, 'GLA', 534, 'BFS', 465, '', 0, '319 320\r'),
	('U2', 2297, 'GLA', 534, 'BRS', 490, '', 0, '319\r'),
	('U2', 2297, 'GLA', 534, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'GLA', 534, 'FAO', 1626, '', 0, '319\r'),
	('U2', 2297, 'GLA', 534, 'JER', 499, '', 0, '319\r'),
	('U2', 2297, 'GLA', 534, 'KGS', 1458, '', 0, '320\r'),
	('U2', 2297, 'GLA', 534, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'GLA', 534, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'GLA', 534, 'PMI', 3998, '', 0, '319\r'),
	('U2', 2297, 'GLA', 534, 'STN', 548, '', 0, '319 320\r'),
	('U2', 2297, 'GLA', 534, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'AGP', 1230, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'AJA', 1324, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'ALC', 1212, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'AMS', 580, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'ARN', 737, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'ATH', 3941, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'BCN', 1218, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'BDS', 1506, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'BEG', 1739, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'BIA', 1321, '', 0, '320 319\r'),
	('U2', 2297, 'GVA', 1665, 'BIO', 1216, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'BOD', 1264, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'GVA', 1665, 'BRU', 302, '', 0, '320 319\r'),
	('U2', 2297, 'GVA', 1665, 'BUD', 1489, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'CAG', 1519, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'CPH', 609, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'CTA', 1509, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'DBV', 1200, '', 0, '320\r'),
	('U2', 2297, 'GVA', 1665, 'EDI', 535, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'FAO', 1626, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'FCO', 1555, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'HER', 1452, '', 0, '320 319\r'),
	('U2', 2297, 'GVA', 1665, 'HRG', 1130, '', 0, '320\r'),
	('U2', 2297, 'GVA', 1665, 'IBZ', 1225, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'JMK', 1468, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'GVA', 1665, 'LIL', 1399, '', 0, '320 319\r'),
	('U2', 2297, 'GVA', 1665, 'LIS', 1638, '', 0, '320 319\r'),
	('U2', 2297, 'GVA', 1665, 'LPL', 491, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'MAD', 1229, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'MAN', 478, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'NAP', 1561, '', 0, '320 319\r'),
	('U2', 2297, 'GVA', 1665, 'NCE', 1354, '', 0, '320 319\r'),
	('U2', 2297, 'GVA', 1665, 'NTE', 1418, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'OLB', 1520, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'OPO', 1636, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'ORY', 1386, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'PMI', 3998, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'PRN', 1742, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'RAK', 1075, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'SCQ', 1243, '', 0, '319 320\r'),
	('U2', 2297, 'GVA', 1665, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'SPU', 1206, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'SVQ', 1253, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'SXF', 337, '', 0, '320 319\r'),
	('U2', 2297, 'GVA', 1665, 'TFS', 1056, '', 0, '320\r'),
	('U2', 2297, 'GVA', 1665, 'TLS', 1273, '', 0, '319\r'),
	('U2', 2297, 'GVA', 1665, 'TLV', 1590, '', 0, '320\r'),
	('U2', 2297, 'GVA', 1665, 'VCE', 1551, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'ATH', 3941, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'HAM', 342, 'CPH', 609, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'CTA', 1509, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'HAM', 342, 'MAN', 478, '', 0, '320 319\r'),
	('U2', 2297, 'HAM', 342, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'NAP', 1561, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'NCE', 1354, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'PMI', 3998, '', 0, '319\r'),
	('U2', 2297, 'HAM', 342, 'VCE', 1551, '', 0, '319\r'),
	('U2', 2297, 'HER', 1452, 'BRS', 490, '', 0, '320\r'),
	('U2', 2297, 'HER', 1452, 'EDI', 535, '', 0, '320\r'),
	('U2', 2297, 'HER', 1452, 'GVA', 1665, '', 0, '320 319\r'),
	('U2', 2297, 'HER', 1452, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'HER', 1452, 'LTN', 492, '', 0, '320\r'),
	('U2', 2297, 'HER', 1452, 'MAN', 478, '', 0, '319 320\r'),
	('U2', 2297, 'HER', 1452, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'HER', 1452, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'HRG', 1130, 'GVA', 1665, '', 0, '320\r'),
	('U2', 2297, 'HRG', 1130, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'IBZ', 1225, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'IBZ', 1225, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'IBZ', 1225, 'LTN', 492, '', 0, '320 319\r'),
	('U2', 2297, 'IBZ', 1225, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'IBZ', 1225, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'IBZ', 1225, 'STN', 548, '', 0, '320 319\r'),
	('U2', 2297, 'INN', 1610, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'INV', 533, 'BRS', 490, '', 0, '319\r'),
	('U2', 2297, 'INV', 533, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'INV', 533, 'LTN', 492, '', 0, '319\r'),
	('U2', 2297, 'IOM', 520, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'IOM', 520, 'LPL', 491, '', 0, '319\r'),
	('U2', 2297, 'JER', 499, 'GLA', 534, '', 0, '319\r'),
	('U2', 2297, 'JER', 499, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'JER', 499, 'LPL', 491, '', 0, '319\r'),
	('U2', 2297, 'JER', 499, 'NCL', 521, '', 0, '319\r'),
	('U2', 2297, 'JER', 499, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'JMK', 1468, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'JMK', 1468, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'JMK', 1468, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'JMK', 1468, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'JTR', 1479, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'JTR', 1479, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'KEF', 16, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'KEF', 16, 'BSL', 4053, '', 0, '320\r'),
	('U2', 2297, 'KEF', 16, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'KEF', 16, 'LTN', 492, '', 0, '319\r'),
	('U2', 2297, 'KEF', 16, 'MAN', 478, '', 0, '320 319\r'),
	('U2', 2297, 'KGS', 1458, 'GLA', 534, '', 0, '320\r'),
	('U2', 2297, 'KGS', 1458, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'KLX', 1456, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'KRK', 669, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'KRK', 669, 'BRS', 490, '', 0, '319\r'),
	('U2', 2297, 'KRK', 669, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'KRK', 669, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'KRK', 669, 'EDI', 535, '', 0, '319 320\r'),
	('U2', 2297, 'KRK', 669, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'KRK', 669, 'LPL', 491, '', 0, '319\r'),
	('U2', 2297, 'KRK', 669, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'LCA', 1197, 'BSL', 4053, '', 0, '320\r'),
	('U2', 2297, 'LCA', 1197, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'LCA', 1197, 'LPL', 491, '', 0, '320\r'),
	('U2', 2297, 'LCA', 1197, 'MXP', 1524, '', 0, '320\r'),
	('U2', 2297, 'LEI', 1213, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'ABZ', 532, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'ACE', 1055, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'ADB', 1706, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'AGA', 1064, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'AGP', 1230, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'AJA', 1324, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'ALC', 1212, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'AMS', 580, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'ATH', 3941, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'AYT', 1688, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'BCN', 1218, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'BGO', 636, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'BIA', 1321, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'BJV', 4315, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'BLQ', 1538, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'BOD', 1264, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'BRI', 1501, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'BRU', 302, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'BUD', 1489, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'CFU', 1460, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'CGN', 344, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'CHQ', 1474, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'CPH', 609, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'CTA', 1509, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'DBV', 1200, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'DLM', 1715, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'DME', 4029, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'DUS', 345, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'EDI', 535, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'EFL', 1455, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'FAO', 1626, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'FCO', 1555, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'FNC', 4091, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'FUE', 1051, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'GIB', 1738, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'GLA', 534, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'GVA', 1665, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'HER', 1452, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'HRG', 1130, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'IBZ', 1225, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'INN', 1610, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'INV', 533, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'IOM', 520, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'JER', 499, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'JMK', 1468, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'JTR', 1479, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'KGS', 1458, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'KLX', 1456, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'KRK', 669, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'LCA', 1197, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'LEI', 1213, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'LIN', 1529, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'LIS', 1638, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'LPA', 1054, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'LUX', 629, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'MAD', 1229, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'MAH', 1231, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'MJV', 1227, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'MLA', 1606, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'MPL', 1359, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'MRS', 1353, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'MUC', 346, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'NAP', 1561, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'NCE', 1354, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'NCL', 521, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'NTE', 1418, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'OLB', 1520, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'OPO', 1636, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'OTP', 1657, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'PFO', 1198, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'PMI', 3998, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'PMO', 1512, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'PRG', 1587, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'PSA', 1562, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'RAK', 1075, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'RHO', 1472, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'SCQ', 1243, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'SKG', 1486, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'SOF', 1194, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'SPU', 1206, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'SSH', 4057, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'SVQ', 1253, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'SXB', 1435, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'SXF', 337, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'TFS', 1056, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'TLL', 415, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'TLS', 1273, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'TLV', 1590, '', 0, '320\r'),
	('U2', 2297, 'LGW', 502, 'VCE', 1551, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'VIE', 1613, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'VLC', 1246, '', 0, '320 319\r'),
	('U2', 2297, 'LGW', 502, 'VRN', 1550, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'ZAG', 1208, '', 0, '319\r'),
	('U2', 2297, 'LGW', 502, 'ZRH', 1678, '', 0, '319 320\r'),
	('U2', 2297, 'LGW', 502, 'ZTH', 1488, '', 0, '320\r'),
	('U2', 2297, 'LIL', 1399, 'BOD', 1264, '', 0, '319\r'),
	('U2', 2297, 'LIL', 1399, 'GVA', 1665, '', 0, '320 319\r'),
	('U2', 2297, 'LIL', 1399, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'LIL', 1399, 'TLS', 1273, '', 0, '319\r'),
	('U2', 2297, 'LIN', 1529, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'LIN', 1529, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'LIN', 1529, 'ORY', 1386, '', 0, '320\r'),
	('U2', 2297, 'LIS', 1638, 'AMS', 580, '', 0, '319\r'),
	('U2', 2297, 'LIS', 1638, 'BIO', 1216, '', 0, '319\r'),
	('U2', 2297, 'LIS', 1638, 'BOD', 1264, '', 0, '319\r'),
	('U2', 2297, 'LIS', 1638, 'BRS', 490, '', 0, '320\r'),
	('U2', 2297, 'LIS', 1638, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'LIS', 1638, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'LIS', 1638, 'EDI', 535, '', 0, '319 320\r'),
	('U2', 2297, 'LIS', 1638, 'FNC', 4091, '', 0, '319\r'),
	('U2', 2297, 'LIS', 1638, 'GVA', 1665, '', 0, '320 319\r'),
	('U2', 2297, 'LIS', 1638, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'LIS', 1638, 'LPL', 491, '', 0, '319 320\r'),
	('U2', 2297, 'LIS', 1638, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'LIS', 1638, 'LUX', 629, '', 0, '319\r'),
	('U2', 2297, 'LIS', 1638, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'LIS', 1638, 'MAD', 1229, '', 0, '319\r'),
	('U2', 2297, 'LIS', 1638, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'LIS', 1638, 'NCE', 1354, '', 0, '319\r'),
	('U2', 2297, 'LIS', 1638, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'LJU', 1569, 'STN', 548, '', 0, '319\r'),
	('U2', 2297, 'LPA', 1054, 'BSL', 4053, '', 0, '320\r'),
	('U2', 2297, 'LPA', 1054, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'LPL', 491, 'ACE', 1055, '', 0, '320\r'),
	('U2', 2297, 'LPL', 491, 'AGP', 1230, '', 0, '319\r'),
	('U2', 2297, 'LPL', 491, 'ALC', 1212, '', 0, '320 319\r'),
	('U2', 2297, 'LPL', 491, 'AMS', 580, '', 0, '319 320\r'),
	('U2', 2297, 'LPL', 491, 'BCN', 1218, '', 0, '319\r'),
	('U2', 2297, 'LPL', 491, 'BFS', 465, '', 0, '320 319\r'),
	('U2', 2297, 'LPL', 491, 'BJV', 4315, '', 0, '319\r'),
	('U2', 2297, 'LPL', 491, 'CDG', 1382, '', 0, '319 320\r'),
	('U2', 2297, 'LPL', 491, 'FAO', 1626, '', 0, '320 319\r'),
	('U2', 2297, 'LPL', 491, 'FUE', 1051, '', 0, '319\r'),
	('U2', 2297, 'LPL', 491, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'LPL', 491, 'IOM', 520, '', 0, '319\r'),
	('U2', 2297, 'LPL', 491, 'JER', 499, '', 0, '319\r'),
	('U2', 2297, 'LPL', 491, 'KRK', 669, '', 0, '319\r'),
	('U2', 2297, 'LPL', 491, 'LCA', 1197, '', 0, '320\r'),
	('U2', 2297, 'LPL', 491, 'LIS', 1638, '', 0, '319 320\r'),
	('U2', 2297, 'LPL', 491, 'MAD', 1229, '', 0, '320 319\r'),
	('U2', 2297, 'LPL', 491, 'NAP', 1561, '', 0, '319 320\r'),
	('U2', 2297, 'LPL', 491, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'LPL', 491, 'PMI', 3998, '', 0, '320 319\r'),
	('U2', 2297, 'LPL', 491, 'RHO', 1472, '', 0, '320\r'),
	('U2', 2297, 'LPL', 491, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'LTN', 492, 'ABZ', 532, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'AGP', 1230, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'ALC', 1212, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'AMS', 580, '', 0, '320 319\r'),
	('U2', 2297, 'LTN', 492, 'BCN', 1218, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'BFS', 465, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'BOD', 1264, '', 0, '319\r'),
	('U2', 2297, 'LTN', 492, 'BUD', 1489, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'CDG', 1382, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'CFU', 1460, '', 0, '320\r'),
	('U2', 2297, 'LTN', 492, 'CTA', 1509, '', 0, '320 319\r'),
	('U2', 2297, 'LTN', 492, 'DTM', 373, '', 0, '319\r'),
	('U2', 2297, 'LTN', 492, 'EDI', 535, '', 0, '320 319\r'),
	('U2', 2297, 'LTN', 492, 'FAO', 1626, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'GLA', 534, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'HAM', 342, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'HER', 1452, '', 0, '320\r'),
	('U2', 2297, 'LTN', 492, 'IBZ', 1225, '', 0, '320 319\r'),
	('U2', 2297, 'LTN', 492, 'INV', 533, '', 0, '319\r'),
	('U2', 2297, 'LTN', 492, 'KEF', 16, '', 0, '319\r'),
	('U2', 2297, 'LTN', 492, 'LIS', 1638, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'MAD', 1229, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'MPL', 1359, '', 0, '319\r'),
	('U2', 2297, 'LTN', 492, 'MXP', 1524, '', 0, '320 319\r'),
	('U2', 2297, 'LTN', 492, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'LTN', 492, 'PFO', 1198, '', 0, '320\r'),
	('U2', 2297, 'LTN', 492, 'PMI', 3998, '', 0, '320 319\r'),
	('U2', 2297, 'LTN', 492, 'PSA', 1562, '', 0, '320 319\r'),
	('U2', 2297, 'LTN', 492, 'SSH', 4057, '', 0, '320\r'),
	('U2', 2297, 'LTN', 492, 'SXF', 337, '', 0, '320 319\r'),
	('U2', 2297, 'LTN', 492, 'TLV', 1590, '', 0, '320\r'),
	('U2', 2297, 'LTN', 492, 'VCE', 1551, '', 0, '319\r'),
	('U2', 2297, 'LTN', 492, 'ZRH', 1678, '', 0, '319 320\r'),
	('U2', 2297, 'LUX', 629, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'LUX', 629, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'LUX', 629, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'AGA', 1064, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'AJA', 1324, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'BCN', 1218, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'BES', 1403, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'BIA', 1321, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'BOD', 1264, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'BRU', 302, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'CMN', 1074, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'MAD', 1229, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'NCE', 1354, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'NTE', 1418, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'OPO', 1636, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'RAK', 1075, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'STN', 548, '', 0, '319 320\r'),
	('U2', 2297, 'LYS', 1335, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'TLS', 1273, '', 0, '319\r'),
	('U2', 2297, 'LYS', 1335, 'VCE', 1551, '', 0, '319\r'),
	('U2', 2297, 'MAD', 1229, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'MAD', 1229, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'MAD', 1229, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'MAD', 1229, 'EDI', 535, '', 0, '319 320\r'),
	('U2', 2297, 'MAD', 1229, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'MAD', 1229, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'MAD', 1229, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'MAD', 1229, 'LPL', 491, '', 0, '320 319\r'),
	('U2', 2297, 'MAD', 1229, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'MAD', 1229, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'MAD', 1229, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'MAD', 1229, 'SXF', 337, '', 0, '320 319\r'),
	('U2', 2297, 'MAH', 1231, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'MAN', 478, 'AGP', 1230, '', 0, '319 320\r'),
	('U2', 2297, 'MAN', 478, 'ALC', 1212, '', 0, '319 320\r'),
	('U2', 2297, 'MAN', 478, 'AMS', 580, '', 0, '320 319\r'),
	('U2', 2297, 'MAN', 478, 'ATH', 3941, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'AYT', 1688, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'MAN', 478, 'BIO', 1216, '', 0, '319\r'),
	('U2', 2297, 'MAN', 478, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'MAN', 478, 'CFU', 1460, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'CPH', 609, '', 0, '319 320\r'),
	('U2', 2297, 'MAN', 478, 'CTA', 1509, '', 0, '319\r'),
	('U2', 2297, 'MAN', 478, 'DLM', 1715, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'DME', 4029, '', 0, '319 320\r'),
	('U2', 2297, 'MAN', 478, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'MAN', 478, 'HAM', 342, '', 0, '320 319\r'),
	('U2', 2297, 'MAN', 478, 'HER', 1452, '', 0, '319 320\r'),
	('U2', 2297, 'MAN', 478, 'JMK', 1468, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'JTR', 1479, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'KEF', 16, '', 0, '320 319\r'),
	('U2', 2297, 'MAN', 478, 'MLA', 1606, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'MUC', 346, '', 0, '319 320\r'),
	('U2', 2297, 'MAN', 478, 'PFO', 1198, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'PMI', 3998, '', 0, '319 320\r'),
	('U2', 2297, 'MAN', 478, 'PRG', 1587, '', 0, '319\r'),
	('U2', 2297, 'MAN', 478, 'RAK', 1075, '', 0, '320 319\r'),
	('U2', 2297, 'MAN', 478, 'SKG', 1486, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'SOF', 1194, '', 0, '319\r'),
	('U2', 2297, 'MAN', 478, 'SSH', 4057, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'SXF', 337, '', 0, '320 319\r'),
	('U2', 2297, 'MAN', 478, 'TFS', 1056, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'TLV', 1590, '', 0, '320\r'),
	('U2', 2297, 'MAN', 478, 'VCE', 1551, '', 0, '319\r'),
	('U2', 2297, 'MJV', 1227, 'BRS', 490, '', 0, '319 320\r'),
	('U2', 2297, 'MJV', 1227, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'MLA', 1606, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'MLA', 1606, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'MLA', 1606, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'MLA', 1606, 'NCL', 521, '', 0, '320 319\r'),
	('U2', 2297, 'MPL', 1359, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'MPL', 1359, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'MPL', 1359, 'LTN', 492, '', 0, '319\r'),
	('U2', 2297, 'MRS', 1353, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'MUC', 346, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'MUC', 346, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'MUC', 346, 'MAN', 478, '', 0, '319 320\r'),
	('U2', 2297, 'MUC', 346, 'STN', 548, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'AGP', 1230, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'AHO', 1517, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'AMS', 580, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'ATH', 3941, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'BCN', 1218, '', 0, '320 319\r'),
	('U2', 2297, 'MXP', 1524, 'BDS', 1506, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'BEG', 1739, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'BOD', 1264, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'BRI', 1501, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'BRU', 302, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'CAG', 1519, '', 0, '320 319\r'),
	('U2', 2297, 'MXP', 1524, 'CDG', 1382, '', 0, '320 319\r'),
	('U2', 2297, 'MXP', 1524, 'CMN', 1074, '', 0, '320 319\r'),
	('U2', 2297, 'MXP', 1524, 'CPH', 609, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'CTA', 1509, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'FCO', 1555, '', 0, '320 319\r'),
	('U2', 2297, 'MXP', 1524, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'HER', 1452, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'IBZ', 1225, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'JMK', 1468, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'LCA', 1197, '', 0, '320\r'),
	('U2', 2297, 'MXP', 1524, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'LIS', 1638, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'LTN', 492, '', 0, '320 319\r'),
	('U2', 2297, 'MXP', 1524, 'LUX', 629, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'MAD', 1229, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'NAP', 1561, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'OLB', 1520, '', 0, '320 319\r'),
	('U2', 2297, 'MXP', 1524, 'PMI', 3998, '', 0, '319\r'),
	('U2', 2297, 'MXP', 1524, 'PMO', 1512, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'PRG', 1587, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'RAK', 1075, '', 0, '320 319\r'),
	('U2', 2297, 'MXP', 1524, 'SSH', 4057, '', 0, '320\r'),
	('U2', 2297, 'MXP', 1524, 'SUF', 1508, '', 0, '319 320\r'),
	('U2', 2297, 'MXP', 1524, 'SXF', 337, '', 0, '320 319\r'),
	('U2', 2297, 'MXP', 1524, 'TLV', 1590, '', 0, '320\r'),
	('U2', 2297, 'NAP', 1561, 'BRU', 302, '', 0, '319\r'),
	('U2', 2297, 'NAP', 1561, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'NAP', 1561, 'CDG', 1382, '', 0, '319 320\r'),
	('U2', 2297, 'NAP', 1561, 'CTA', 1509, '', 0, '319\r'),
	('U2', 2297, 'NAP', 1561, 'EDI', 535, '', 0, '320 319\r'),
	('U2', 2297, 'NAP', 1561, 'GVA', 1665, '', 0, '320 319\r'),
	('U2', 2297, 'NAP', 1561, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'NAP', 1561, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'NAP', 1561, 'LPL', 491, '', 0, '319 320\r'),
	('U2', 2297, 'NAP', 1561, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'NAP', 1561, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'NAP', 1561, 'ORY', 1386, '', 0, '320\r'),
	('U2', 2297, 'NAP', 1561, 'STN', 548, '', 0, '319 320\r'),
	('U2', 2297, 'NAP', 1561, 'SXF', 337, '', 0, '319 320\r'),
	('U2', 2297, 'NAP', 1561, 'VCE', 1551, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'BCN', 1218, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'NCE', 1354, 'BOD', 1264, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'BRS', 490, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'BRU', 302, '', 0, '320 319\r'),
	('U2', 2297, 'NCE', 1354, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'CDG', 1382, '', 0, '320 319\r'),
	('U2', 2297, 'NCE', 1354, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'NCE', 1354, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'NCE', 1354, 'GVA', 1665, '', 0, '320 319\r'),
	('U2', 2297, 'NCE', 1354, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'NCE', 1354, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'NCE', 1354, 'LIL', 1399, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'NCE', 1354, 'LPL', 491, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'NCE', 1354, 'NAP', 1561, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'NCL', 521, '', 0, '319\r'),
	('U2', 2297, 'NCE', 1354, 'NTE', 1418, '', 0, '320 319\r'),
	('U2', 2297, 'NCE', 1354, 'OLB', 1520, '', 0, '319\r'),
	('U2', 2297, 'NCE', 1354, 'ORY', 1386, '', 0, '320 319\r'),
	('U2', 2297, 'NCE', 1354, 'RAK', 1075, '', 0, '320 319\r'),
	('U2', 2297, 'NCE', 1354, 'STN', 548, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'NCE', 1354, 'TLS', 1273, '', 0, '319 320\r'),
	('U2', 2297, 'NCE', 1354, 'VCE', 1551, '', 0, '319 320\r'),
	('U2', 2297, 'NCL', 521, 'AGP', 1230, '', 0, '319\r'),
	('U2', 2297, 'NCL', 521, 'ALC', 1212, '', 0, '320 319\r'),
	('U2', 2297, 'NCL', 521, 'AMS', 580, '', 0, '319\r'),
	('U2', 2297, 'NCL', 521, 'BCN', 1218, '', 0, '319 320\r'),
	('U2', 2297, 'NCL', 521, 'BFS', 465, '', 0, '319 320\r'),
	('U2', 2297, 'NCL', 521, 'BRS', 490, '', 0, '319 320\r'),
	('U2', 2297, 'NCL', 521, 'FAO', 1626, '', 0, '319 320\r'),
	('U2', 2297, 'NCL', 521, 'JER', 499, '', 0, '319\r'),
	('U2', 2297, 'NCL', 521, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'NCL', 521, 'MLA', 1606, '', 0, '320 319\r'),
	('U2', 2297, 'NCL', 521, 'NCE', 1354, '', 0, '319\r'),
	('U2', 2297, 'NCL', 521, 'PMI', 3998, '', 0, '320 319\r'),
	('U2', 2297, 'NTE', 1418, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'NTE', 1418, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'NTE', 1418, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'NTE', 1418, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'NTE', 1418, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'NTE', 1418, 'NCE', 1354, '', 0, '320 319\r'),
	('U2', 2297, 'NTE', 1418, 'TLS', 1273, '', 0, '319\r'),
	('U2', 2297, 'OLB', 1520, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'OLB', 1520, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'OLB', 1520, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'OLB', 1520, 'MXP', 1524, '', 0, '320 319\r'),
	('U2', 2297, 'OLB', 1520, 'NCE', 1354, '', 0, '319\r'),
	('U2', 2297, 'OLB', 1520, 'SXF', 337, '', 0, '320 319\r'),
	('U2', 2297, 'OPO', 1636, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'OPO', 1636, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'OPO', 1636, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'OPO', 1636, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'OPO', 1636, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'ORY', 1386, 'ATH', 3941, '', 0, '320\r'),
	('U2', 2297, 'ORY', 1386, 'FAO', 1626, '', 0, '320\r'),
	('U2', 2297, 'ORY', 1386, 'FCO', 1555, '', 0, '320 319\r'),
	('U2', 2297, 'ORY', 1386, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'ORY', 1386, 'LIN', 1529, '', 0, '320\r'),
	('U2', 2297, 'ORY', 1386, 'NAP', 1561, '', 0, '320\r'),
	('U2', 2297, 'ORY', 1386, 'NCE', 1354, '', 0, '320 319\r'),
	('U2', 2297, 'ORY', 1386, 'PMO', 1512, '', 0, '320\r'),
	('U2', 2297, 'ORY', 1386, 'PSA', 1562, '', 0, '320\r'),
	('U2', 2297, 'ORY', 1386, 'SXF', 337, '', 0, '320\r'),
	('U2', 2297, 'ORY', 1386, 'TLS', 1273, '', 0, '320 319\r'),
	('U2', 2297, 'ORY', 1386, 'VCE', 1551, '', 0, '320\r'),
	('U2', 2297, 'OTP', 1657, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'OVD', 1214, 'STN', 548, '', 0, '319\r'),
	('U2', 2297, 'PFO', 1198, 'BRS', 490, '', 0, '320\r'),
	('U2', 2297, 'PFO', 1198, 'EDI', 535, '', 0, '320\r'),
	('U2', 2297, 'PFO', 1198, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'PFO', 1198, 'LTN', 492, '', 0, '320\r'),
	('U2', 2297, 'PFO', 1198, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'PMI', 3998, 'BFS', 465, '', 0, '319\r'),
	('U2', 2297, 'PMI', 3998, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'PMI', 3998, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'PMI', 3998, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'PMI', 3998, 'GLA', 534, '', 0, '319\r'),
	('U2', 2297, 'PMI', 3998, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'PMI', 3998, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'PMI', 3998, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'PMI', 3998, 'LPL', 491, '', 0, '320 319\r'),
	('U2', 2297, 'PMI', 3998, 'LTN', 492, '', 0, '320 319\r'),
	('U2', 2297, 'PMI', 3998, 'MAN', 478, '', 0, '319 320\r'),
	('U2', 2297, 'PMI', 3998, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'PMI', 3998, 'NCL', 521, '', 0, '320 319\r'),
	('U2', 2297, 'PMI', 3998, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'PMI', 3998, 'STN', 548, '', 0, '319\r'),
	('U2', 2297, 'PMI', 3998, 'SXF', 337, '', 0, '319 320\r'),
	('U2', 2297, 'PMO', 1512, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'PMO', 1512, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'PMO', 1512, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'PMO', 1512, 'ORY', 1386, '', 0, '320\r'),
	('U2', 2297, 'PRG', 1587, 'AMS', 580, '', 0, '319\r'),
	('U2', 2297, 'PRG', 1587, 'BRS', 490, '', 0, '319\r'),
	('U2', 2297, 'PRG', 1587, 'CDG', 1382, '', 0, '319\r'),
	('U2', 2297, 'PRG', 1587, 'EDI', 535, '', 0, '319 320\r'),
	('U2', 2297, 'PRG', 1587, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'PRG', 1587, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'PRG', 1587, 'MAN', 478, '', 0, '319\r'),
	('U2', 2297, 'PRG', 1587, 'MXP', 1524, '', 0, '319\r'),
	('U2', 2297, 'PRG', 1587, 'STN', 548, '', 0, '319\r'),
	('U2', 2297, 'PRN', 1742, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'PRN', 1742, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'PSA', 1562, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'PSA', 1562, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'PSA', 1562, 'LTN', 492, '', 0, '320 319\r'),
	('U2', 2297, 'PSA', 1562, 'ORY', 1386, '', 0, '320\r'),
	('U2', 2297, 'PSA', 1562, 'SXF', 337, '', 0, '319 320\r'),
	('U2', 2297, 'RAK', 1075, 'BOD', 1264, '', 0, '320 319\r'),
	('U2', 2297, 'RAK', 1075, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'RAK', 1075, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'RAK', 1075, 'CDG', 1382, '', 0, '320 319\r'),
	('U2', 2297, 'RAK', 1075, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'RAK', 1075, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'RAK', 1075, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'RAK', 1075, 'MAN', 478, '', 0, '320 319\r'),
	('U2', 2297, 'RAK', 1075, 'MXP', 1524, '', 0, '320 319\r'),
	('U2', 2297, 'RAK', 1075, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'RAK', 1075, 'STN', 548, '', 0, '319\r'),
	('U2', 2297, 'RAK', 1075, 'SXF', 337, '', 0, '320\r'),
	('U2', 2297, 'RAK', 1075, 'TLS', 1273, '', 0, '319\r'),
	('U2', 2297, 'RHO', 1472, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'RHO', 1472, 'LPL', 491, '', 0, '320\r'),
	('U2', 2297, 'SCQ', 1243, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'SCQ', 1243, 'GVA', 1665, '', 0, '319 320\r'),
	('U2', 2297, 'SCQ', 1243, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'AGP', 1230, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'ALC', 1212, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'AMS', 580, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'BCN', 1218, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'FAO', 1626, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'IBZ', 1225, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'JER', 499, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'KRK', 669, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'PMI', 3998, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'SEN', 508, 'VCE', 1551, '', 0, '319\r'),
	('U2', 2297, 'SKG', 1486, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'SKG', 1486, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'SKG', 1486, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'SKG', 1486, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'SKG', 1486, 'SXF', 337, '', 0, '319 320\r'),
	('U2', 2297, 'SOF', 1194, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'SOF', 1194, 'MAN', 478, '', 0, '319\r'),
	('U2', 2297, 'SOF', 1194, 'STN', 548, '', 0, '319 320\r'),
	('U2', 2297, 'SOF', 1194, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'SPU', 1206, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'SPU', 1206, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'SPU', 1206, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'SSH', 4057, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'SSH', 4057, 'LTN', 492, '', 0, '320\r'),
	('U2', 2297, 'SSH', 4057, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'SSH', 4057, 'MXP', 1524, '', 0, '320\r'),
	('U2', 2297, 'SSH', 4057, 'STN', 548, '', 0, '320\r'),
	('U2', 2297, 'STN', 548, 'AGP', 1230, '', 0, '319\r'),
	('U2', 2297, 'STN', 548, 'AMS', 580, '', 0, '320 319\r'),
	('U2', 2297, 'STN', 548, 'BFS', 465, '', 0, '319 320\r'),
	('U2', 2297, 'STN', 548, 'BIO', 1216, '', 0, '320 319\r'),
	('U2', 2297, 'STN', 548, 'BJV', 4315, '', 0, '319\r'),
	('U2', 2297, 'STN', 548, 'CAG', 1519, '', 0, '319\r'),
	('U2', 2297, 'STN', 548, 'CPH', 609, '', 0, '319 320\r'),
	('U2', 2297, 'STN', 548, 'DBV', 1200, '', 0, '319\r'),
	('U2', 2297, 'STN', 548, 'DLM', 1715, '', 0, '319 320\r'),
	('U2', 2297, 'STN', 548, 'EDI', 535, '', 0, '320 319\r'),
	('U2', 2297, 'STN', 548, 'GLA', 534, '', 0, '319 320\r'),
	('U2', 2297, 'STN', 548, 'IBZ', 1225, '', 0, '320 319\r'),
	('U2', 2297, 'STN', 548, 'LJU', 1569, '', 0, '319\r'),
	('U2', 2297, 'STN', 548, 'LYS', 1335, '', 0, '319 320\r'),
	('U2', 2297, 'STN', 548, 'MUC', 346, '', 0, '319\r'),
	('U2', 2297, 'STN', 548, 'NAP', 1561, '', 0, '319 320\r'),
	('U2', 2297, 'STN', 548, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'STN', 548, 'OVD', 1214, '', 0, '319\r'),
	('U2', 2297, 'STN', 548, 'PMI', 3998, '', 0, '319\r'),
	('U2', 2297, 'STN', 548, 'PRG', 1587, '', 0, '319\r'),
	('U2', 2297, 'STN', 548, 'RAK', 1075, '', 0, '319\r'),
	('U2', 2297, 'STN', 548, 'SOF', 1194, '', 0, '319 320\r'),
	('U2', 2297, 'STN', 548, 'SSH', 4057, '', 0, '320\r'),
	('U2', 2297, 'SUF', 1508, 'MXP', 1524, '', 0, '319 320\r'),
	('U2', 2297, 'SVQ', 1253, 'BSL', 4053, '', 0, '320 319\r'),
	('U2', 2297, 'SVQ', 1253, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'SVQ', 1253, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'SXB', 1435, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'AGA', 1064, '', 0, '320\r'),
	('U2', 2297, 'SXF', 337, 'AGP', 1230, '', 0, '320 319\r'),
	('U2', 2297, 'SXF', 337, 'AMS', 580, '', 0, '319 320\r'),
	('U2', 2297, 'SXF', 337, 'ATH', 3941, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'BCN', 1218, '', 0, '320 319\r'),
	('U2', 2297, 'SXF', 337, 'BRS', 490, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'BRU', 302, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'SXF', 337, 'BUD', 1489, '', 0, '319 320\r'),
	('U2', 2297, 'SXF', 337, 'CAG', 1519, '', 0, '320\r'),
	('U2', 2297, 'SXF', 337, 'CPH', 609, '', 0, '320 319\r'),
	('U2', 2297, 'SXF', 337, 'EDI', 535, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'GLA', 534, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'GVA', 1665, '', 0, '320 319\r'),
	('U2', 2297, 'SXF', 337, 'HER', 1452, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'SXF', 337, 'LIS', 1638, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'LPL', 491, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'LTN', 492, '', 0, '320 319\r'),
	('U2', 2297, 'SXF', 337, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'MAD', 1229, '', 0, '320 319\r'),
	('U2', 2297, 'SXF', 337, 'MAN', 478, '', 0, '320 319\r'),
	('U2', 2297, 'SXF', 337, 'MXP', 1524, '', 0, '320 319\r'),
	('U2', 2297, 'SXF', 337, 'NAP', 1561, '', 0, '319 320\r'),
	('U2', 2297, 'SXF', 337, 'NCE', 1354, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'OLB', 1520, '', 0, '320 319\r'),
	('U2', 2297, 'SXF', 337, 'ORY', 1386, '', 0, '320\r'),
	('U2', 2297, 'SXF', 337, 'PMI', 3998, '', 0, '319 320\r'),
	('U2', 2297, 'SXF', 337, 'PSA', 1562, '', 0, '319 320\r'),
	('U2', 2297, 'SXF', 337, 'RAK', 1075, '', 0, '320\r'),
	('U2', 2297, 'SXF', 337, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'SKG', 1486, '', 0, '319 320\r'),
	('U2', 2297, 'SXF', 337, 'SOF', 1194, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'SZG', 1612, '', 0, '319\r'),
	('U2', 2297, 'SXF', 337, 'TFS', 1056, '', 0, '320\r'),
	('U2', 2297, 'SXF', 337, 'TLV', 1590, '', 0, '320\r'),
	('U2', 2297, 'SXF', 337, 'VCE', 1551, '', 0, '319 320\r'),
	('U2', 2297, 'SZG', 1612, 'SXF', 337, '', 0, '319\r'),
	('U2', 2297, 'TFS', 1056, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'TFS', 1056, 'BSL', 4053, '', 0, '320\r'),
	('U2', 2297, 'TFS', 1056, 'CDG', 1382, '', 0, '320\r'),
	('U2', 2297, 'TFS', 1056, 'EDI', 535, '', 0, '320\r'),
	('U2', 2297, 'TFS', 1056, 'GVA', 1665, '', 0, '320\r'),
	('U2', 2297, 'TFS', 1056, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'TFS', 1056, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'TFS', 1056, 'SXF', 337, '', 0, '320\r'),
	('U2', 2297, 'TLL', 415, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'TLS', 1273, 'BIA', 1321, '', 0, '319\r'),
	('U2', 2297, 'TLS', 1273, 'BRS', 490, '', 0, '320 319\r'),
	('U2', 2297, 'TLS', 1273, 'BRU', 302, '', 0, '319\r'),
	('U2', 2297, 'TLS', 1273, 'BSL', 4053, '', 0, '319\r'),
	('U2', 2297, 'TLS', 1273, 'CDG', 1382, '', 0, '319 320\r'),
	('U2', 2297, 'TLS', 1273, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'TLS', 1273, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'TLS', 1273, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'TLS', 1273, 'LIL', 1399, '', 0, '319\r'),
	('U2', 2297, 'TLS', 1273, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'TLS', 1273, 'NCE', 1354, '', 0, '319\r'),
	('U2', 2297, 'TLS', 1273, 'NTE', 1418, '', 0, '319\r'),
	('U2', 2297, 'TLS', 1273, 'ORY', 1386, '', 0, '320 319\r'),
	('U2', 2297, 'TLS', 1273, 'RAK', 1075, '', 0, '319 320\r'),
	('U2', 2297, 'TLV', 1590, 'BSL', 4053, '', 0, '320\r'),
	('U2', 2297, 'TLV', 1590, 'FCO', 1555, '', 0, '319\r'),
	('U2', 2297, 'TLV', 1590, 'GVA', 1665, '', 0, '320\r'),
	('U2', 2297, 'TLV', 1590, 'LGW', 502, '', 0, '320\r'),
	('U2', 2297, 'TLV', 1590, 'LTN', 492, '', 0, '320\r'),
	('U2', 2297, 'TLV', 1590, 'MAN', 478, '', 0, '320\r'),
	('U2', 2297, 'TLV', 1590, 'MXP', 1524, '', 0, '320\r'),
	('U2', 2297, 'TLV', 1590, 'SXF', 337, '', 0, '320\r'),
	('U2', 2297, 'VCE', 1551, 'BSL', 4053, '', 0, '319 320\r'),
	('U2', 2297, 'VCE', 1551, 'CDG', 1382, '', 0, '320 319\r'),
	('U2', 2297, 'VCE', 1551, 'GVA', 1665, '', 0, '319\r'),
	('U2', 2297, 'VCE', 1551, 'HAM', 342, '', 0, '319\r'),
	('U2', 2297, 'VCE', 1551, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'VCE', 1551, 'LTN', 492, '', 0, '319\r'),
	('U2', 2297, 'VCE', 1551, 'LYS', 1335, '', 0, '319\r'),
	('U2', 2297, 'VCE', 1551, 'MAN', 478, '', 0, '319\r'),
	('U2', 2297, 'VCE', 1551, 'NAP', 1561, '', 0, '319 320\r'),
	('U2', 2297, 'VCE', 1551, 'NCE', 1354, '', 0, '319 320\r'),
	('U2', 2297, 'VCE', 1551, 'ORY', 1386, '', 0, '320\r'),
	('U2', 2297, 'VCE', 1551, 'SEN', 508, '', 0, '319\r'),
	('U2', 2297, 'VCE', 1551, 'SXF', 337, '', 0, '319 320\r'),
	('U2', 2297, 'VIE', 1613, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'VLC', 1246, 'LGW', 502, '', 0, '320 319\r'),
	('U2', 2297, 'VRN', 1550, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'ZAG', 1208, 'LGW', 502, '', 0, '319\r'),
	('U2', 2297, 'ZRH', 1678, 'LGW', 502, '', 0, '319 320\r'),
	('U2', 2297, 'ZRH', 1678, 'LTN', 492, '', 0, '319 320\r'),
	('U2', 2297, 'ZTH', 1488, 'LGW', 502, '', 0, '320\r'),
	('U6', 5234, 'AER', 2965, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'AER', 2965, 'LBD', 6147, '', 0, '320\r'),
	('U6', 5234, 'AER', 2965, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'ATH', 3941, 'KRR', 2960, '', 0, '320\r'),
	('U6', 5234, 'BUD', 1489, 'KRR', 2960, '', 0, '320\r'),
	('U6', 5234, 'BUD', 1489, 'ROV', 2964, '', 0, '320\r'),
	('U6', 5234, 'CDG', 1382, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'CEK', 2968, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'CEK', 2968, 'DWC', 8076, '', 0, '321\r'),
	('U6', 5234, 'CEK', 2968, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'CEK', 2968, 'LBD', 6147, '', 0, '320\r'),
	('U6', 5234, 'CEK', 2968, 'NMA', 6150, '', 0, '320\r'),
	('U6', 5234, 'CEK', 2968, 'OSS', 2913, '', 0, '320\r'),
	('U6', 5234, 'CEK', 2968, 'PRG', 1587, '', 0, '320\r'),
	('U6', 5234, 'CEK', 2968, 'TAS', 2983, '', 0, '320\r'),
	('U6', 5234, 'CGN', 344, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'AER', 2965, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'CEK', 2968, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'CGN', 344, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'FRU', 2912, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'GBB', 8775, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'GOJ', 4274, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'HTA', 2935, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'IKT', 2937, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'KGD', 2952, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'KRR', 2960, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'KUF', 4118, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'KVD', 6089, '', 0, '321\r'),
	('U6', 5234, 'DME', 4029, 'KZN', 2990, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'LED', 2948, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'LLK', 8774, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'LWN', 3965, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'MRV', 2962, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'NCU', 6151, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'NJC', 2972, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'NVI', 6485, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'OSS', 2913, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'OVB', 4078, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'RMI', 1546, '', 0, '321\r'),
	('U6', 5234, 'DME', 4029, 'ROV', 2964, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'SIP', 2942, '', 0, '320 319\r'),
	('U6', 5234, 'DME', 4029, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'TIV', 1743, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'TJU', 7563, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'UFA', 2992, '', 0, '320\r'),
	('U6', 5234, 'DME', 4029, 'UUD', 2938, '', 0, '319\r'),
	('U6', 5234, 'DWC', 8076, 'CEK', 2968, '', 0, '321\r'),
	('U6', 5234, 'DWC', 8076, 'GOJ', 4274, '', 0, '321\r'),
	('U6', 5234, 'DWC', 8076, 'KUF', 4118, '', 0, '321\r'),
	('U6', 5234, 'DWC', 8076, 'MRV', 2962, '', 0, '321\r'),
	('U6', 5234, 'DWC', 8076, 'PEE', 2973, '', 0, '321\r'),
	('U6', 5234, 'DWC', 8076, 'SVX', 2975, '', 0, '321 320\r'),
	('U6', 5234, 'DXB', 2188, 'KRR', 2960, '', 0, '320\r'),
	('U6', 5234, 'DXB', 2188, 'KUF', 4118, '', 0, '320\r'),
	('U6', 5234, 'DXB', 2188, 'MRV', 2962, '', 0, '320\r'),
	('U6', 5234, 'DXB', 2188, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'CEK', 2968, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'GOJ', 4274, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'KJA', 4374, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'KUF', 4118, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'KZN', 2990, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'LED', 2948, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'MRV', 2962, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'NBC', 6969, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'ROV', 2964, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'UFA', 2992, '', 0, '320\r'),
	('U6', 5234, 'DYU', 2979, 'VOG', 2967, '', 0, '320\r'),
	('U6', 5234, 'EVN', 3964, 'GOJ', 4274, '', 0, '320\r'),
	('U6', 5234, 'EVN', 3964, 'KUF', 4118, '', 0, '320\r'),
	('U6', 5234, 'EVN', 3964, 'LED', 2948, '', 0, '320\r'),
	('U6', 5234, 'EVN', 3964, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'FCO', 1555, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'FRU', 2912, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'FRU', 2912, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'GBB', 8775, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'GOJ', 4274, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'GOJ', 4274, 'DWC', 8076, '', 0, '321\r'),
	('U6', 5234, 'GOJ', 4274, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'GOJ', 4274, 'EVN', 3964, '', 0, '320\r'),
	('U6', 5234, 'GOJ', 4274, 'LBD', 6147, '', 0, '320\r'),
	('U6', 5234, 'GOJ', 4274, 'NMA', 6150, '', 0, '320\r'),
	('U6', 5234, 'GOJ', 4274, 'PRG', 1587, '', 0, '320\r'),
	('U6', 5234, 'GOJ', 4274, 'TAS', 2983, '', 0, '320\r'),
	('U6', 5234, 'GYD', 2922, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'HRB', 3400, 'OVB', 4078, '', 0, '320\r'),
	('U6', 5234, 'HRB', 3400, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'HTA', 2935, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'IKT', 2937, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'IKT', 2937, 'HRB', 3400, '', 0, '320\r'),
	('U6', 5234, 'KGD', 2952, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'KGD', 2952, 'TAS', 2983, '', 0, '320\r'),
	('U6', 5234, 'KHV', 2927, 'OVB', 4078, '', 0, '320\r'),
	('U6', 5234, 'KJA', 4374, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'KJA', 4374, 'LBD', 6147, '', 0, '320\r'),
	('U6', 5234, 'KJA', 4374, 'NMA', 6150, '', 0, '320\r'),
	('U6', 5234, 'KJA', 4374, 'SKD', 2981, '', 0, '320\r'),
	('U6', 5234, 'KJA', 4374, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'KJA', 4374, 'TAS', 2983, '', 0, '320\r'),
	('U6', 5234, 'KLV', 1579, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'KRR', 2960, 'BUD', 1489, '', 0, '320\r'),
	('U6', 5234, 'KRR', 2960, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'KRR', 2960, 'DXB', 2188, '', 0, '320\r'),
	('U6', 5234, 'KRR', 2960, 'LBD', 6147, '', 0, '320\r'),
	('U6', 5234, 'KRR', 2960, 'MUC', 346, '', 0, '320\r'),
	('U6', 5234, 'KRR', 2960, 'NMA', 6150, '', 0, '320\r'),
	('U6', 5234, 'KRR', 2960, 'PFO', 1198, '', 0, '320\r'),
	('U6', 5234, 'KRR', 2960, 'SKG', 1486, '', 0, '320\r'),
	('U6', 5234, 'KRR', 2960, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'KRR', 2960, 'TAS', 2983, '', 0, '320\r'),
	('U6', 5234, 'KUF', 4118, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'KUF', 4118, 'DWC', 8076, '', 0, '321\r'),
	('U6', 5234, 'KUF', 4118, 'DXB', 2188, '', 0, '320\r'),
	('U6', 5234, 'KUF', 4118, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'KUF', 4118, 'EVN', 3964, '', 0, '320\r'),
	('U6', 5234, 'KUF', 4118, 'LBD', 6147, '', 0, '320\r'),
	('U6', 5234, 'KUF', 4118, 'OSS', 2913, '', 0, '320\r'),
	('U6', 5234, 'KUF', 4118, 'TAS', 2983, '', 0, '320\r'),
	('U6', 5234, 'KVD', 6089, 'DME', 4029, '', 0, '321\r'),
	('U6', 5234, 'KZN', 2990, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'KZN', 2990, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'KZN', 2990, 'LBD', 6147, '', 0, '320\r'),
	('U6', 5234, 'LBD', 6147, 'AER', 2965, '', 0, '320\r'),
	('U6', 5234, 'LBD', 6147, 'CEK', 2968, '', 0, '320\r'),
	('U6', 5234, 'LBD', 6147, 'GOJ', 4274, '', 0, '320\r'),
	('U6', 5234, 'LBD', 6147, 'KJA', 4374, '', 0, '320\r'),
	('U6', 5234, 'LBD', 6147, 'KRR', 2960, '', 0, '320\r'),
	('U6', 5234, 'LBD', 6147, 'KUF', 4118, '', 0, '320\r'),
	('U6', 5234, 'LBD', 6147, 'KZN', 2990, '', 0, '320\r'),
	('U6', 5234, 'LBD', 6147, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'LBD', 6147, 'UFA', 2992, '', 0, '320\r'),
	('U6', 5234, 'LCA', 1197, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'LED', 2948, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'LED', 2948, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'LED', 2948, 'EVN', 3964, '', 0, '320\r'),
	('U6', 5234, 'LED', 2948, 'LLK', 8774, '', 0, '320\r'),
	('U6', 5234, 'LED', 2948, 'ROV', 2964, '', 0, '320\r'),
	('U6', 5234, 'LED', 2948, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'LED', 2948, 'TIV', 1743, '', 0, '320\r'),
	('U6', 5234, 'LED', 2948, 'TJU', 7563, '', 0, '320\r'),
	('U6', 5234, 'LLK', 8774, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'LLK', 8774, 'LED', 2948, '', 0, '320\r'),
	('U6', 5234, 'LWN', 3965, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'MRV', 2962, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'MRV', 2962, 'DWC', 8076, '', 0, '321\r'),
	('U6', 5234, 'MRV', 2962, 'DXB', 2188, '', 0, '320\r'),
	('U6', 5234, 'MRV', 2962, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'MRV', 2962, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'MUC', 346, 'KRR', 2960, '', 0, '320\r'),
	('U6', 5234, 'MUC', 346, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'NBC', 6969, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'NCU', 6151, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'NJC', 2972, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'NMA', 6150, 'CEK', 2968, '', 0, '320\r'),
	('U6', 5234, 'NMA', 6150, 'GOJ', 4274, '', 0, '320\r'),
	('U6', 5234, 'NMA', 6150, 'KJA', 4374, '', 0, '320\r'),
	('U6', 5234, 'NMA', 6150, 'KRR', 2960, '', 0, '320\r'),
	('U6', 5234, 'NMA', 6150, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'NSK', 4352, 'OVB', 4078, '', 0, '320\r'),
	('U6', 5234, 'NSK', 4352, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'NVI', 6485, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'OSS', 2913, 'CEK', 2968, '', 0, '320\r'),
	('U6', 5234, 'OSS', 2913, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'OSS', 2913, 'KUF', 4118, '', 0, '320\r'),
	('U6', 5234, 'OSS', 2913, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'OVB', 4078, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'OVB', 4078, 'HRB', 3400, '', 0, '320\r'),
	('U6', 5234, 'OVB', 4078, 'KHV', 2927, '', 0, '320\r'),
	('U6', 5234, 'OVB', 4078, 'NSK', 4352, '', 0, '320\r'),
	('U6', 5234, 'OVB', 4078, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'OVB', 4078, 'YKS', 2923, '', 0, '320\r'),
	('U6', 5234, 'PEE', 2973, 'DWC', 8076, '', 0, '321\r'),
	('U6', 5234, 'PEK', 3364, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'PFO', 1198, 'KRR', 2960, '', 0, '320\r'),
	('U6', 5234, 'PRG', 1587, 'CEK', 2968, '', 0, '320\r'),
	('U6', 5234, 'PRG', 1587, 'GOJ', 4274, '', 0, '320\r'),
	('U6', 5234, 'PRG', 1587, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'RMI', 1546, 'DME', 4029, '', 0, '321\r'),
	('U6', 5234, 'ROV', 2964, 'BUD', 1489, '', 0, '320\r'),
	('U6', 5234, 'ROV', 2964, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'ROV', 2964, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'ROV', 2964, 'LED', 2948, '', 0, '320\r'),
	('U6', 5234, 'SIP', 2942, 'DME', 4029, '', 0, '320 319\r'),
	('U6', 5234, 'SKD', 2981, 'KJA', 4374, '', 0, '320\r'),
	('U6', 5234, 'SKD', 2981, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'SKG', 1486, 'ATH', 3941, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'AER', 2965, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'CDG', 1382, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'DWC', 8076, '', 0, '320 321\r'),
	('U6', 5234, 'SVX', 2975, 'DXB', 2188, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'EVN', 3964, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'FCO', 1555, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'FRU', 2912, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'GYD', 2922, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'HRB', 3400, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'KJA', 4374, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'KLV', 1579, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'KRR', 2960, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'LBD', 6147, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'LCA', 1197, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'LED', 2948, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'MRV', 2962, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'MUC', 346, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'NMA', 6150, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'NSK', 4352, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'OSS', 2913, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'OVB', 4078, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'PEK', 3364, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'PRG', 1587, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'TAS', 2983, '', 0, '320\r'),
	('U6', 5234, 'SVX', 2975, 'TLV', 1590, '', 0, '320\r'),
	('U6', 5234, 'TAS', 2983, 'CEK', 2968, '', 0, '320\r'),
	('U6', 5234, 'TAS', 2983, 'GOJ', 4274, '', 0, '320\r'),
	('U6', 5234, 'TAS', 2983, 'KGD', 2952, '', 0, '320\r'),
	('U6', 5234, 'TAS', 2983, 'KJA', 4374, '', 0, '320\r'),
	('U6', 5234, 'TAS', 2983, 'KRR', 2960, '', 0, '320\r'),
	('U6', 5234, 'TAS', 2983, 'KUF', 4118, '', 0, '320\r'),
	('U6', 5234, 'TAS', 2983, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'TIV', 1743, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'TIV', 1743, 'LED', 2948, '', 0, '320\r'),
	('U6', 5234, 'TJU', 7563, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'TJU', 7563, 'LED', 2948, '', 0, '320\r'),
	('U6', 5234, 'TJU', 7563, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'TLV', 1590, 'SVX', 2975, '', 0, '320\r'),
	('U6', 5234, 'UFA', 2992, 'DME', 4029, '', 0, '320\r'),
	('U6', 5234, 'UFA', 2992, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'UFA', 2992, 'LBD', 6147, '', 0, '320\r'),
	('U6', 5234, 'UUD', 2938, 'DME', 4029, '', 0, '319\r'),
	('U6', 5234, 'VOG', 2967, 'DYU', 2979, '', 0, '320\r'),
	('U6', 5234, 'YKS', 2923, 'OVB', 4078, '', 0, '320\r'),
	('U7', 3721, 'BJM', 1120, 'EBB', 1187, '', 0, 'CRJ\r'),
	('U7', 3721, 'BJM', 1120, 'KGL', 1165, '', 0, 'CRJ\r'),
	('U7', 3721, 'DAR', 1177, 'EBB', 1187, '', 0, 'CRJ\r'),
	('U7', 3721, 'EBB', 1187, 'BJM', 1120, '', 0, 'CRJ\r'),
	('U7', 3721, 'EBB', 1187, 'DAR', 1177, '', 0, 'CRJ\r'),
	('U7', 3721, 'EBB', 1187, 'JRO', 1180, '', 0, 'CRJ\r'),
	('U7', 3721, 'EBB', 1187, 'JUB', 1173, '', 0, 'CRJ\r'),
	('U7', 3721, 'EBB', 1187, 'KGL', 1165, '', 0, 'CRJ\r'),
	('U7', 3721, 'EBB', 1187, 'MGQ', 5687, '', 0, 'CRJ\r'),
	('U7', 3721, 'EBB', 1187, 'NBO', 4059, '', 0, 'CRJ\r'),
	('U7', 3721, 'JRO', 1180, 'EBB', 1187, '', 0, 'CRJ\r'),
	('U7', 3721, 'JUB', 1173, 'EBB', 1187, '', 0, 'CRJ\r'),
	('U7', 3721, 'KGL', 1165, 'BJM', 1120, '', 0, 'CRJ\r'),
	('U7', 3721, 'KGL', 1165, 'EBB', 1187, '', 0, 'CRJ\r'),
	('U7', 3721, 'MGQ', 5687, 'EBB', 1187, '', 0, 'CRJ\r'),
	('U7', 3721, 'NBO', 4059, 'EBB', 1187, '', 0, 'CRJ\r'),
	('UA', 5209, 'ABE', 4355, 'ORD', 3830, 'Y', 0, 'ER4 ERJ\r'),
	('UA', 5209, 'ABJ', 253, 'BRU', 302, 'Y', 0, '332\r'),
	('UA', 5209, 'ABJ', 253, 'LFW', 298, 'Y', 0, '333\r'),
	('UA', 5209, 'ABJ', 253, 'OUA', 246, 'Y', 0, '333\r'),
	('UA', 5209, 'ABQ', 4019, 'DEN', 3751, 'Y', 0, 'CR7 DH4 CRJ E70\r'),
	('UA', 5209, 'ABQ', 4019, 'IAH', 3550, '', 0, '320 738\r'),
	('UA', 5209, 'ABQ', 4019, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ABQ', 4019, 'ORD', 3830, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'ABQ', 4019, 'SFO', 3469, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ACA', 1783, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ACV', 4384, 'CEC', 5727, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'ACV', 4384, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'ACV', 4384, 'SMF', 3817, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'ACY', 3524, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ACY', 3524, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ADD', 1107, 'JED', 2072, 'Y', 0, '333\r'),
	('UA', 5209, 'AEX', 3852, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'AGU', 1785, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'AIA', 7067, 'CDR', 7066, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'AKL', 2006, 'LAX', 3484, 'Y', 0, '772 773\r'),
	('UA', 5209, 'AKL', 2006, 'SFO', 3469, 'Y', 0, '772 744\r'),
	('UA', 5209, 'ALA', 2908, 'TSE', 2910, 'Y', 0, '333\r'),
	('UA', 5209, 'ALB', 3864, 'CLE', 3486, 'Y', 0, 'DH3\r'),
	('UA', 5209, 'ALB', 3864, 'EWR', 3494, 'Y', 0, 'DH4 ERJ DH2\r'),
	('UA', 5209, 'ALB', 3864, 'IAD', 3714, 'Y', 0, 'DH4 DH2 CR7 CRJ ERJ\r'),
	('UA', 5209, 'ALB', 3864, 'ORD', 3830, '', 0, '319 73G 738 739\r'),
	('UA', 5209, 'ALS', 7073, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'ALS', 7073, 'FMN', 3743, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'AMA', 3840, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'AMA', 3840, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'AMS', 580, 'EWR', 3494, '', 0, '752 763\r'),
	('UA', 5209, 'AMS', 580, 'IAD', 3714, '', 0, '763\r'),
	('UA', 5209, 'AMS', 580, 'IAH', 3550, '', 0, '777\r'),
	('UA', 5209, 'AMS', 580, 'ORD', 3830, '', 0, '763\r'),
	('UA', 5209, 'ANC', 3774, 'DEN', 3751, '', 0, '738\r'),
	('UA', 5209, 'ANC', 3774, 'ORD', 3830, '', 0, '738\r'),
	('UA', 5209, 'ANC', 3774, 'SEA', 3577, '', 0, '739 738\r'),
	('UA', 5209, 'ANU', 2874, 'EWR', 3494, '', 0, '738 739\r'),
	('UA', 5209, 'AOO', 3694, 'IAD', 3714, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'AOO', 3694, 'JST', 4169, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'ARN', 737, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'ASB', 2976, 'GYD', 2922, 'Y', 0, '333\r'),
	('UA', 5209, 'ASE', 7001, 'DEN', 3751, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'ASE', 7001, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'ATL', 3682, 'CLE', 3486, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ATL', 3682, 'DEN', 3751, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'ATL', 3682, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ATL', 3682, 'FRA', 340, 'Y', 0, '343\r'),
	('UA', 5209, 'ATL', 3682, 'IAD', 3714, 'Y', 0, 'ERJ CRJ E70\r'),
	('UA', 5209, 'ATL', 3682, 'IAH', 3550, 'Y', 0, 'ERJ CR7 CRJ E70\r'),
	('UA', 5209, 'ATL', 3682, 'LGA', 3697, '', 0, '738\r'),
	('UA', 5209, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'CR7 ERJ E70\r'),
	('UA', 5209, 'ATL', 3682, 'SFO', 3469, '', 0, '738\r'),
	('UA', 5209, 'ATL', 3682, 'YYZ', 193, 'Y', 0, 'CRA CRJ\r'),
	('UA', 5209, 'ATW', 4047, 'ORD', 3830, 'Y', 0, 'ERJ CRJ CR7\r'),
	('UA', 5209, 'AUA', 2895, 'EWR', 3494, '', 0, '753 739\r'),
	('UA', 5209, 'AUA', 2895, 'IAD', 3714, '', 0, '739\r'),
	('UA', 5209, 'AUH', 2179, 'FRA', 340, 'Y', 0, '333\r'),
	('UA', 5209, 'AUH', 2179, 'MCT', 2194, 'Y', 0, '333\r'),
	('UA', 5209, 'AUS', 3673, 'CLE', 3486, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'AUS', 3673, 'CUN', 1852, '', 0, '739\r'),
	('UA', 5209, 'AUS', 3673, 'DEN', 3751, '', 0, '320 738 739\r'),
	('UA', 5209, 'AUS', 3673, 'EWR', 3494, '', 0, '738 73G\r'),
	('UA', 5209, 'AUS', 3673, 'IAD', 3714, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'AUS', 3673, 'IAH', 3550, '', 0, '320 319 73G 738 739\r'),
	('UA', 5209, 'AUS', 3673, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'AUS', 3673, 'ORD', 3830, '', 0, '739 320 752\r'),
	('UA', 5209, 'AUS', 3673, 'SFO', 3469, '', 0, '738 319 320 739\r'),
	('UA', 5209, 'AVL', 4007, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'AVP', 4286, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'BAH', 2057, 'DOH', 2241, 'Y', 0, '333\r'),
	('UA', 5209, 'BAH', 2057, 'KWI', 2176, '', 0, '777\r'),
	('UA', 5209, 'BAQ', 2710, 'MIA', 3576, 'Y', 0, '318 320\r'),
	('UA', 5209, 'BCN', 1218, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'BDA', 4069, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'BDL', 3825, 'IAD', 3714, '', 0, '738 319 320\r'),
	('UA', 5209, 'BDL', 3825, 'ORD', 3830, '', 0, '738 73G 319\r'),
	('UA', 5209, 'BDL', 3825, 'YUL', 146, 'Y', 0, 'BEH\r'),
	('UA', 5209, 'BDL', 3825, 'YYZ', 193, 'Y', 0, 'BEH\r'),
	('UA', 5209, 'BFD', 5722, 'CLE', 3486, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'BFD', 5722, 'JHW', 7059, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'BFL', 3558, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'BFL', 3558, 'IAH', 3550, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'BFL', 3558, 'LAX', 3484, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'BFL', 3558, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'BFS', 465, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'BGM', 4129, 'IAD', 3714, 'Y', 0, 'DH2\r'),
	('UA', 5209, 'BHM', 3811, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'BHM', 3811, 'IAH', 3550, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'BHM', 3811, 'ORD', 3830, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'BHX', 469, 'BRU', 302, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'BHX', 469, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'BIL', 4021, 'DEN', 3751, '', 0, '320 739 738 319\r'),
	('UA', 5209, 'BIM', 1937, 'FLL', 3533, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'BIS', 4083, 'DEN', 3751, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'BJL', 1050, 'DKR', 1084, 'Y', 0, '333\r'),
	('UA', 5209, 'BJM', 1120, 'NBO', 4059, 'Y', 0, '332\r'),
	('UA', 5209, 'BJX', 1815, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'BJX', 1815, 'LAX', 3484, '', 0, '319\r'),
	('UA', 5209, 'BKK', 3885, 'NRT', 2279, 'Y', 0, '777\r'),
	('UA', 5209, 'BKW', 5724, 'IAD', 3714, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'BKW', 5724, 'SHD', 7062, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'BNA', 3690, 'CLE', 3486, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'BNA', 3690, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'BNA', 3690, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'BNA', 3690, 'IAD', 3714, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'BNA', 3690, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'BNA', 3690, 'ORD', 3830, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'BOG', 2709, 'EWR', 3494, '', 0, '73G\r'),
	('UA', 5209, 'BOG', 2709, 'IAD', 3714, 'Y', 0, '319\r'),
	('UA', 5209, 'BOG', 2709, 'IAH', 3550, '', 0, '752 73G\r'),
	('UA', 5209, 'BOG', 2709, 'JFK', 3797, 'Y', 0, '330\r'),
	('UA', 5209, 'BOG', 2709, 'MIA', 3576, 'Y', 0, '330\r'),
	('UA', 5209, 'BOI', 3495, 'DEN', 3751, '', 0, '320 319 738 739\r'),
	('UA', 5209, 'BOI', 3495, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'BOI', 3495, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'BOI', 3495, 'SFO', 3469, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'BOM', 2997, 'EWR', 3494, '', 0, '777\r'),
	('UA', 5209, 'BON', 2896, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'BON', 2896, 'IAH', 3550, '', 0, '738\r'),
	('UA', 5209, 'BOS', 3448, 'CLE', 3486, '', 0, '738\r'),
	('UA', 5209, 'BOS', 3448, 'DEN', 3751, '', 0, '739 320 738\r'),
	('UA', 5209, 'BOS', 3448, 'DUB', 599, 'Y', 0, '332 330\r'),
	('UA', 5209, 'BOS', 3448, 'EWR', 3494, '', 0, '73G 738 319 320 739 753 752\r'),
	('UA', 5209, 'BOS', 3448, 'FRA', 340, 'Y', 0, '744 346\r'),
	('UA', 5209, 'BOS', 3448, 'IAD', 3714, '', 0, '320 319 739 738 752 73G\r'),
	('UA', 5209, 'BOS', 3448, 'IAH', 3550, '', 0, '739 738 320 73G 319\r'),
	('UA', 5209, 'BOS', 3448, 'LAX', 3484, '', 0, '752\r'),
	('UA', 5209, 'BOS', 3448, 'MUC', 346, 'Y', 0, '333\r'),
	('UA', 5209, 'BOS', 3448, 'ORD', 3830, '', 0, '739 752 738 73G 319 320 753\r'),
	('UA', 5209, 'BOS', 3448, 'PTY', 1871, '', 0, '73G\r'),
	('UA', 5209, 'BOS', 3448, 'SFO', 3469, '', 0, '752 753 739 738 73G\r'),
	('UA', 5209, 'BOS', 3448, 'YHZ', 73, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'BOS', 3448, 'YOW', 100, 'Y', 0, 'DH1\r'),
	('UA', 5209, 'BOS', 3448, 'YUL', 146, 'Y', 0, 'CRJ DH3\r'),
	('UA', 5209, 'BOS', 3448, 'YYZ', 193, 'Y', 0, 'E90 E75\r'),
	('UA', 5209, 'BOS', 3448, 'ZRH', 1678, 'Y', 0, '333\r'),
	('UA', 5209, 'BQN', 2885, 'EWR', 3494, '', 0, '738 739\r'),
	('UA', 5209, 'BRO', 3738, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'BRU', 302, 'ABJ', 253, 'Y', 0, '333\r'),
	('UA', 5209, 'BRU', 302, 'BHX', 469, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'BRU', 302, 'BJM', 1120, 'Y', 0, '332\r'),
	('UA', 5209, 'BRU', 302, 'COO', 245, 'Y', 0, '332\r'),
	('UA', 5209, 'BRU', 302, 'DKR', 1084, 'Y', 0, '333\r'),
	('UA', 5209, 'BRU', 302, 'DLA', 897, 'Y', 0, '332 333\r'),
	('UA', 5209, 'BRU', 302, 'EWR', 3494, '', 0, '764 777\r'),
	('UA', 5209, 'BRU', 302, 'FNA', 1059, 'Y', 0, '333\r'),
	('UA', 5209, 'BRU', 302, 'GOT', 687, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'BRU', 302, 'HAJ', 352, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'BRU', 302, 'IAD', 3714, '', 0, '777 332\r'),
	('UA', 5209, 'BRU', 302, 'JFK', 3797, 'Y', 0, '333\r'),
	('UA', 5209, 'BRU', 302, 'KGL', 1165, 'Y', 0, '332\r'),
	('UA', 5209, 'BRU', 302, 'LAD', 951, 'Y', 0, '333\r'),
	('UA', 5209, 'BRU', 302, 'MAN', 478, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'BRU', 302, 'NSI', 4161, 'Y', 0, '332\r'),
	('UA', 5209, 'BRU', 302, 'ORD', 3830, '', 0, '777\r'),
	('UA', 5209, 'BRU', 302, 'OUA', 246, 'Y', 0, '333\r'),
	('UA', 5209, 'BRU', 302, 'PRG', 1587, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'BRU', 302, 'SXB', 1435, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'BTR', 3846, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'BTV', 3711, 'EWR', 3494, '', 0, 'DH4\r'),
	('UA', 5209, 'BTV', 3711, 'IAD', 3714, 'Y', 0, 'DH4 CRJ ER4 CR7\r'),
	('UA', 5209, 'BTV', 3711, 'ORD', 3830, 'Y', 0, 'CR7 ERJ CRJ\r'),
	('UA', 5209, 'BUF', 3820, 'CLE', 3486, '', 0, 'DH3\r'),
	('UA', 5209, 'BUF', 3820, 'EWR', 3494, 'Y', 0, 'DH3 DH4 ERJ DH2\r'),
	('UA', 5209, 'BUF', 3820, 'IAD', 3714, 'Y', 0, 'DH4 CR7 DH2 ERJ CRJ\r'),
	('UA', 5209, 'BUF', 3820, 'ORD', 3830, '', 0, '739 738 320\r'),
	('UA', 5209, 'BUR', 3644, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'BUR', 3644, 'SFO', 3469, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'BWI', 3849, 'CLE', 3486, 'Y', 0, 'ERJ DH3\r'),
	('UA', 5209, 'BWI', 3849, 'DEN', 3751, '', 0, '739 320 738\r'),
	('UA', 5209, 'BWI', 3849, 'EWR', 3494, 'Y', 0, 'DH3 ERJ DH2\r'),
	('UA', 5209, 'BWI', 3849, 'IAH', 3550, '', 0, '320 73G 739 319 738\r'),
	('UA', 5209, 'BWI', 3849, 'LAX', 3484, '', 0, '319 738\r'),
	('UA', 5209, 'BWI', 3849, 'ORD', 3830, '', 0, '73G 738 320 739 319\r'),
	('UA', 5209, 'BWI', 3849, 'SFO', 3469, '', 0, '738 739 319\r'),
	('UA', 5209, 'BZE', 1957, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'BZE', 1957, 'IAH', 3550, '', 0, '73G 738\r'),
	('UA', 5209, 'BZN', 4020, 'DEN', 3751, '', 0, '73G\r'),
	('UA', 5209, 'BZN', 4020, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'CAE', 3561, 'IAD', 3714, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'CAE', 3561, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CAE', 3561, 'ORD', 3830, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'CAI', 1128, 'JFK', 3797, 'Y', 0, '773\r'),
	('UA', 5209, 'CAK', 4112, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CCS', 2851, 'IAH', 3550, '', 0, '739\r'),
	('UA', 5209, 'CDG', 1382, 'EWR', 3494, '', 0, '764 752 763\r'),
	('UA', 5209, 'CDG', 1382, 'IAD', 3714, '', 0, '763\r'),
	('UA', 5209, 'CDG', 1382, 'ORD', 3830, '', 0, '763\r'),
	('UA', 5209, 'CDG', 1382, 'SFO', 3469, '', 0, '763\r'),
	('UA', 5209, 'CDR', 7066, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'CEC', 5727, 'ACV', 4384, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'CEC', 5727, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'CHO', 4015, 'IAD', 3714, 'Y', 0, 'DH2\r'),
	('UA', 5209, 'CHS', 3806, 'CLE', 3486, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CHS', 3806, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CHS', 3806, 'IAD', 3714, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'CHS', 3806, 'IAH', 3550, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'CHS', 3806, 'ORD', 3830, 'Y', 0, 'ERJ CRJ CR7\r'),
	('UA', 5209, 'CIC', 3710, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'CID', 4043, 'DEN', 3751, 'Y', 0, 'CR7 CRJ ERJ\r'),
	('UA', 5209, 'CID', 4043, 'ORD', 3830, 'Y', 0, 'CR7 ER4 CRJ ERJ E70\r'),
	('UA', 5209, 'CKB', 5730, 'IAD', 3714, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'CKB', 5730, 'MGW', 4284, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'CKY', 4162, 'DKR', 1084, 'Y', 0, '333\r'),
	('UA', 5209, 'CLD', 4088, 'LAX', 3484, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'CLE', 3486, 'ALB', 3864, 'Y', 0, 'DH3\r'),
	('UA', 5209, 'CLE', 3486, 'ATL', 3682, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'AUS', 3673, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'CLE', 3486, 'BFD', 5722, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'CLE', 3486, 'BNA', 3690, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'BOS', 3448, '', 0, '73G 319\r'),
	('UA', 5209, 'CLE', 3486, 'BUF', 3820, 'Y', 0, 'DH3 DH2\r'),
	('UA', 5209, 'CLE', 3486, 'BWI', 3849, '', 0, 'DH3\r'),
	('UA', 5209, 'CLE', 3486, 'CHS', 3806, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'CLT', 3876, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'CMH', 3759, 'Y', 0, 'DH2 ERJ E70\r'),
	('UA', 5209, 'CLE', 3486, 'CUN', 1852, '', 0, '738 739\r'),
	('UA', 5209, 'CLE', 3486, 'DAY', 3627, 'Y', 0, 'DH2 ER4 DH3 ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'DCA', 3520, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'CLE', 3486, 'DEN', 3751, '', 0, '73G 319 320 739\r'),
	('UA', 5209, 'CLE', 3486, 'DFW', 3670, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'CLE', 3486, 'DUJ', 5734, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'CLE', 3486, 'ERI', 4276, '', 0, 'DH3\r'),
	('UA', 5209, 'CLE', 3486, 'EWR', 3494, '', 0, '738 320 73G 319\r'),
	('UA', 5209, 'CLE', 3486, 'FKL', 4058, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'CLE', 3486, 'FLL', 3533, '', 0, '320 73G 738\r'),
	('UA', 5209, 'CLE', 3486, 'FNT', 4089, '', 0, 'DH3\r'),
	('UA', 5209, 'CLE', 3486, 'GRR', 3685, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'CLE', 3486, 'GSP', 4034, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'IAD', 3714, '', 0, 'DH4\r'),
	('UA', 5209, 'CLE', 3486, 'IAH', 3550, '', 0, '319 73G 320 738\r'),
	('UA', 5209, 'CLE', 3486, 'IND', 3585, 'Y', 0, 'DH3 ERJ E70\r'),
	('UA', 5209, 'CLE', 3486, 'JHW', 7059, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'CLE', 3486, 'LAS', 3877, '', 0, '739 320 738\r'),
	('UA', 5209, 'CLE', 3486, 'LAX', 3484, '', 0, '738 739 320 319\r'),
	('UA', 5209, 'CLE', 3486, 'LGA', 3697, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'CLE', 3486, 'MCI', 3458, 'Y', 0, 'DH4 ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'MCO', 3878, '', 0, '738 320 73G 739\r'),
	('UA', 5209, 'CLE', 3486, 'MKE', 3717, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'CLE', 3486, 'MSP', 3858, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'MSY', 3861, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'ORD', 3830, '', 0, '73G 319 738 320\r'),
	('UA', 5209, 'CLE', 3486, 'PBI', 3722, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'PHX', 3462, '', 0, '738 320\r'),
	('UA', 5209, 'CLE', 3486, 'PKB', 4114, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'CLE', 3486, 'RIC', 3608, 'Y', 0, 'ERJ ER4\r'),
	('UA', 5209, 'CLE', 3486, 'ROC', 3622, 'Y', 0, 'DH2 DH3\r'),
	('UA', 5209, 'CLE', 3486, 'RSW', 3793, '', 0, '319 738 320\r'),
	('UA', 5209, 'CLE', 3486, 'SDF', 4014, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'SFO', 3469, '', 0, '739 738 319\r'),
	('UA', 5209, 'CLE', 3486, 'STL', 3678, 'Y', 0, 'ER4 ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'SYR', 3745, 'Y', 0, 'DH3 DH2 ERJ\r'),
	('UA', 5209, 'CLE', 3486, 'TPA', 3646, '', 0, '73G 320\r'),
	('UA', 5209, 'CLE', 3486, 'YYZ', 193, 'Y', 0, 'DH2 DH3\r'),
	('UA', 5209, 'CLL', 3715, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLO', 2715, 'BOG', 2709, 'Y', 0, '320 318\r'),
	('UA', 5209, 'CLO', 2715, 'MIA', 3576, 'Y', 0, '319 318 320\r'),
	('UA', 5209, 'CLT', 3876, 'CLE', 3486, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CLT', 3876, 'EWR', 3494, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'CLT', 3876, 'IAD', 3714, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'CLT', 3876, 'IAH', 3550, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'CLT', 3876, 'ORD', 3830, '', 0, '320 319\r'),
	('UA', 5209, 'CME', 1789, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CMH', 3759, 'CLE', 3486, 'Y', 0, 'DH2 ERJ\r'),
	('UA', 5209, 'CMH', 3759, 'DEN', 3751, 'Y', 0, 'E70 CR7\r'),
	('UA', 5209, 'CMH', 3759, 'EWR', 3494, 'Y', 0, 'DH4 ERJ E70\r'),
	('UA', 5209, 'CMH', 3759, 'IAD', 3714, 'Y', 0, 'E70 DH4 ERJ CR7 CRJ\r'),
	('UA', 5209, 'CMH', 3759, 'IAH', 3550, 'Y', 0, 'E70 ERJ CR7\r'),
	('UA', 5209, 'CMH', 3759, 'ORD', 3830, '', 0, '738 319 739\r'),
	('UA', 5209, 'CMH', 3759, 'YYZ', 193, 'Y', 0, 'DH1\r'),
	('UA', 5209, 'CMX', 5732, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'CNS', 3322, 'GUM', 2246, '', 0, '738\r'),
	('UA', 5209, 'COD', 4344, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'COO', 245, 'ABJ', 253, 'Y', 0, '332\r'),
	('UA', 5209, 'COS', 3819, 'DEN', 3751, 'Y', 0, 'CR7 CRJ DH4 ERJ\r'),
	('UA', 5209, 'COS', 3819, 'IAD', 3714, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'COS', 3819, 'IAH', 3550, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'COS', 3819, 'LAX', 3484, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'COS', 3819, 'ORD', 3830, 'Y', 0, 'CR7 ERJ CRJ\r'),
	('UA', 5209, 'COS', 3819, 'SFO', 3469, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'CPH', 609, 'OSL', 644, 'Y', 0, '738\r'),
	('UA', 5209, 'CPR', 3872, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'CRP', 3744, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CTG', 2714, 'MIA', 3576, 'Y', 0, '318 320\r'),
	('UA', 5209, 'CTS', 2287, 'GUM', 2246, '', 0, '738\r'),
	('UA', 5209, 'CUN', 1852, 'AUS', 3673, '', 0, '739\r'),
	('UA', 5209, 'CUN', 1852, 'CLE', 3486, '', 0, '738 739\r'),
	('UA', 5209, 'CUN', 1852, 'DEN', 3751, '', 0, '739\r'),
	('UA', 5209, 'CUN', 1852, 'EWR', 3494, '', 0, '739 738 752\r'),
	('UA', 5209, 'CUN', 1852, 'IAD', 3714, '', 0, '739 738\r'),
	('UA', 5209, 'CUN', 1852, 'IAH', 3550, '', 0, '739 738\r'),
	('UA', 5209, 'CUN', 1852, 'LAX', 3484, '', 0, '739 738\r'),
	('UA', 5209, 'CUN', 1852, 'ORD', 3830, '', 0, '739 738\r'),
	('UA', 5209, 'CUN', 1852, 'SFO', 3469, '', 0, '739\r'),
	('UA', 5209, 'CUU', 1797, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CVG', 3488, 'DEN', 3751, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'CVG', 3488, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CVG', 3488, 'IAD', 3714, 'Y', 0, 'CRJ CR7 ER4 ERJ\r'),
	('UA', 5209, 'CVG', 3488, 'IAH', 3550, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'CVG', 3488, 'ORD', 3830, 'Y', 0, 'CR7 ER4 ERJ CRJ\r'),
	('UA', 5209, 'CWA', 4045, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'CYS', 3804, 'DEN', 3751, 'Y', 0, 'BEH BE1\r'),
	('UA', 5209, 'CYS', 3804, 'WRL', 5777, 'Y', 0, 'BEH BE1\r'),
	('UA', 5209, 'CZM', 1800, 'IAH', 3550, '', 0, '738 739\r'),
	('UA', 5209, 'DAL', 3502, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DAR', 1177, 'NBO', 4059, 'Y', 0, '333\r'),
	('UA', 5209, 'DAY', 3627, 'CLE', 3486, 'Y', 0, 'DH2 ER4 DH3 CRJ ERJ\r'),
	('UA', 5209, 'DAY', 3627, 'DEN', 3751, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'DAY', 3627, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DAY', 3627, 'IAD', 3714, 'Y', 0, 'ER4 CR7 CRJ ERJ\r'),
	('UA', 5209, 'DAY', 3627, 'ORD', 3830, 'Y', 0, 'ER4 CR7 ERJ CRJ\r'),
	('UA', 5209, 'DCA', 3520, 'CLE', 3486, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'DCA', 3520, 'DEN', 3751, '', 0, '738 752 320\r'),
	('UA', 5209, 'DCA', 3520, 'EWR', 3494, 'Y', 0, 'DH4 ERJ E70\r'),
	('UA', 5209, 'DCA', 3520, 'IAH', 3550, '', 0, '738 319 73G 320 752\r'),
	('UA', 5209, 'DCA', 3520, 'ORD', 3830, '', 0, '738 320 73G 319\r'),
	('UA', 5209, 'DCA', 3520, 'SFO', 3469, '', 0, '738 73G\r'),
	('UA', 5209, 'DDC', 5733, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'DDC', 5733, 'LBL', 4341, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'DEL', 3093, 'EWR', 3494, '', 0, '777\r'),
	('UA', 5209, 'DEN', 3751, 'ABQ', 4019, 'Y', 0, 'DH4 E70 CRJ ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'AIA', 7067, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'DEN', 3751, 'ALS', 7073, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'DEN', 3751, 'AMA', 3840, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'ANC', 3774, '', 0, '738\r'),
	('UA', 5209, 'DEN', 3751, 'ASE', 7001, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'DEN', 3751, 'ATL', 3682, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'DEN', 3751, 'AUS', 3673, '', 0, '738 739 752\r'),
	('UA', 5209, 'DEN', 3751, 'BFL', 3558, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'BHM', 3811, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'BIL', 4021, '', 0, '320 739 738 319\r'),
	('UA', 5209, 'DEN', 3751, 'BIS', 4083, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'BNA', 3690, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'BOI', 3495, '', 0, '319 320 738 739\r'),
	('UA', 5209, 'DEN', 3751, 'BOS', 3448, '', 0, '739 752 738 320\r'),
	('UA', 5209, 'DEN', 3751, 'BUR', 3644, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'BWI', 3849, '', 0, '320 739 738\r'),
	('UA', 5209, 'DEN', 3751, 'BZN', 4020, '', 0, '73G\r'),
	('UA', 5209, 'DEN', 3751, 'CID', 4043, 'Y', 0, 'CR7 CRJ ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'CLE', 3486, '', 0, '320 738 319\r'),
	('UA', 5209, 'DEN', 3751, 'CMH', 3759, 'Y', 0, 'ERJ CR7 E70\r'),
	('UA', 5209, 'DEN', 3751, 'COD', 4344, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'COS', 3819, 'Y', 0, 'ERJ DH4 CRJ CR7\r'),
	('UA', 5209, 'DEN', 3751, 'CPR', 3872, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'CUN', 1852, '', 0, '739 738\r'),
	('UA', 5209, 'DEN', 3751, 'CVG', 3488, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'DEN', 3751, 'CYS', 3804, 'Y', 0, 'BEH BE1\r'),
	('UA', 5209, 'DEN', 3751, 'DAY', 3627, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'DCA', 3520, '', 0, '738 752 320\r'),
	('UA', 5209, 'DEN', 3751, 'DFW', 3670, '', 0, '319 739 73G\r'),
	('UA', 5209, 'DEN', 3751, 'DIK', 7064, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'DRO', 3713, 'Y', 0, 'ERJ DH4 CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'DSM', 3729, '', 0, '738 73G 319\r'),
	('UA', 5209, 'DEN', 3751, 'DTW', 3645, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'DEN', 3751, 'EGE', 4250, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'DEN', 3751, 'ELP', 3559, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'EUG', 4099, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'DEN', 3751, 'EWR', 3494, '', 0, '738 752 319 739 320\r'),
	('UA', 5209, 'DEN', 3751, 'FAR', 4292, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'FAT', 3687, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'FCA', 4127, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'FLL', 3533, '', 0, '752 738 320\r'),
	('UA', 5209, 'DEN', 3751, 'FMN', 3743, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'DEN', 3751, 'FRA', 340, 'Y', 0, '744\r'),
	('UA', 5209, 'DEN', 3751, 'FSD', 4009, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'DEN', 3751, 'GCC', 4296, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'DEN', 3751, 'GEG', 3467, '', 0, '738 739\r'),
	('UA', 5209, 'DEN', 3751, 'GJT', 4063, '', 0, 'DH4\r'),
	('UA', 5209, 'DEN', 3751, 'GRR', 3685, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'DEN', 3751, 'GTF', 3880, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'GUC', 7051, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'HDN', 4339, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'DEN', 3751, 'HLN', 3504, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'HNL', 3728, '', 0, '752\r'),
	('UA', 5209, 'DEN', 3751, 'HSV', 4113, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'IAD', 3714, '', 0, '320 752 319 739 738\r'),
	('UA', 5209, 'DEN', 3751, 'IAH', 3550, '', 0, '739 738 752 788 320 753 319 73G\r'),
	('UA', 5209, 'DEN', 3751, 'ICT', 3457, '', 0, '319 DH4 738\r'),
	('UA', 5209, 'DEN', 3751, 'IDA', 4100, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'IND', 3585, 'Y', 0, 'ERJ E70 CR7\r'),
	('UA', 5209, 'DEN', 3751, 'ISN', 3659, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'JAC', 4027, '', 0, '319\r'),
	('UA', 5209, 'DEN', 3751, 'KOA', 3514, '', 0, '752\r'),
	('UA', 5209, 'DEN', 3751, 'LAR', 5746, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'DEN', 3751, 'LAS', 3877, '', 0, '738 320 739 752\r'),
	('UA', 5209, 'DEN', 3751, 'LAX', 3484, '', 0, '739 320 319 738 753 752\r'),
	('UA', 5209, 'DEN', 3751, 'LBB', 3829, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'LGA', 3697, '', 0, '752 738 320\r'),
	('UA', 5209, 'DEN', 3751, 'LIH', 3602, '', 0, '752\r'),
	('UA', 5209, 'DEN', 3751, 'LIT', 3660, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'LNK', 3543, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'MAF', 3652, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'MCI', 3458, '', 0, 'DH4\r'),
	('UA', 5209, 'DEN', 3751, 'MCO', 3878, '', 0, '320 738 739 752\r'),
	('UA', 5209, 'DEN', 3751, 'MEM', 3473, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'MEX', 1824, '', 0, '319\r'),
	('UA', 5209, 'DEN', 3751, 'MFR', 4101, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'MIA', 3576, '', 0, '319\r'),
	('UA', 5209, 'DEN', 3751, 'MKE', 3717, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'MLI', 4072, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'DEN', 3751, 'MOT', 3498, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'MRY', 3948, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'MSN', 3459, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'DEN', 3751, 'MSO', 4216, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'MSP', 3858, '', 0, '320\r'),
	('UA', 5209, 'DEN', 3751, 'MSY', 3861, '', 0, '738  739\r'),
	('UA', 5209, 'DEN', 3751, 'MTJ', 6880, 'Y', 0, 'DH4 CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'NRT', 2279, '', 0, '788\r'),
	('UA', 5209, 'DEN', 3751, 'OGG', 3456, '', 0, '752\r'),
	('UA', 5209, 'DEN', 3751, 'OKC', 3863, 'Y', 0, 'DH4 ERJ CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'OMA', 3454, '', 0, '738 73G\r'),
	('UA', 5209, 'DEN', 3751, 'ONT', 3734, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'ORD', 3830, '', 0, '739 752 738 319 320 73G\r'),
	('UA', 5209, 'DEN', 3751, 'PDX', 3720, '', 0, '752 319 738 739 320\r'),
	('UA', 5209, 'DEN', 3751, 'PHL', 3752, '', 0, '320 738 739 319\r'),
	('UA', 5209, 'DEN', 3751, 'PHX', 3462, '', 0, '739 738 320\r'),
	('UA', 5209, 'DEN', 3751, 'PIA', 4046, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'PIR', 5761, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'DEN', 3751, 'PIT', 3570, '', 0, '320 738 73G\r'),
	('UA', 5209, 'DEN', 3751, 'PSC', 6133, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'PSP', 3839, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'DEN', 3751, 'PUB', 3527, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'DEN', 3751, 'PVR', 1836, '', 0, '738\r'),
	('UA', 5209, 'DEN', 3751, 'RAP', 4087, 'Y', 0, 'DH4 ERJ CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'RDM', 4103, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'RKS', 5766, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'DEN', 3751, 'RNO', 3807, '', 0, '320\r'),
	('UA', 5209, 'DEN', 3751, 'RSW', 3793, '', 0, '738\r'),
	('UA', 5209, 'DEN', 3751, 'SAF', 3784, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'SAN', 3731, '', 0, '320 738 752 739 319\r'),
	('UA', 5209, 'DEN', 3751, 'SAT', 3621, '', 0, '319\r'),
	('UA', 5209, 'DEN', 3751, 'SBA', 3949, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'SDF', 4014, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'SEA', 3577, '', 0, '320 738 739\r'),
	('UA', 5209, 'DEN', 3751, 'SFO', 3469, '', 0, '752 738 320 739 73G 319 753\r'),
	('UA', 5209, 'DEN', 3751, 'SGF', 4348, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'SGU', 4064, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'SHV', 3609, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'SJC', 3748, '', 0, '319 752 738 73G\r'),
	('UA', 5209, 'DEN', 3751, 'SJD', 1840, '', 0, '739 738 320\r'),
	('UA', 5209, 'DEN', 3751, 'SLC', 3536, 'Y', 0, 'CR7 ERJ DH4 CRJ E70\r'),
	('UA', 5209, 'DEN', 3751, 'SMF', 3817, '', 0, '320 739\r'),
	('UA', 5209, 'DEN', 3751, 'SNA', 3867, '', 0, '73G 320 738 752\r'),
	('UA', 5209, 'DEN', 3751, 'STL', 3678, 'Y', 0, 'CR7 E70 ERJ CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'TPA', 3646, '', 0, '739 73G 738\r'),
	('UA', 5209, 'DEN', 3751, 'TUL', 3855, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'DEN', 3751, 'TUS', 3636, 'Y', 0, 'CR7 CRJ ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'TYS', 3676, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'XNA', 4356, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'YEG', 49, '', 0, '319\r'),
	('UA', 5209, 'DEN', 3751, 'YMM', 90, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'DEN', 3751, 'YQR', 120, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DEN', 3751, 'YUL', 146, 'Y', 0, 'E90\r'),
	('UA', 5209, 'DEN', 3751, 'YVR', 156, '', 0, '319 320 738\r'),
	('UA', 5209, 'DEN', 3751, 'YWG', 160, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'YXE', 166, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DEN', 3751, 'YYC', 178, '', 0, '738 320 739\r'),
	('UA', 5209, 'DEN', 3751, 'YYZ', 193, 'Y', 0, 'CR7 E90\r'),
	('UA', 5209, 'DFW', 3670, 'CLE', 3486, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DFW', 3670, 'DEN', 3751, '', 0, '319 738 320 739\r'),
	('UA', 5209, 'DFW', 3670, 'EWR', 3494, '', 0, '73G 319 738\r'),
	('UA', 5209, 'DFW', 3670, 'FRA', 340, 'Y', 0, '333\r'),
	('UA', 5209, 'DFW', 3670, 'IAD', 3714, '', 0, '320 73G 738\r'),
	('UA', 5209, 'DFW', 3670, 'IAH', 3550, '', 0, '319 738 73G\r'),
	('UA', 5209, 'DFW', 3670, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'DFW', 3670, 'ORD', 3830, '', 0, '319\r'),
	('UA', 5209, 'DFW', 3670, 'SAL', 1892, 'Y', 0, 'E90\r'),
	('UA', 5209, 'DFW', 3670, 'SFO', 3469, '', 0, '319 739\r'),
	('UA', 5209, 'DFW', 3670, 'YYZ', 193, 'Y', 0, 'E75\r'),
	('UA', 5209, 'DGO', 1801, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DGO', 1801, 'LAX', 3484, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DIK', 7064, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DKR', 1084, 'BJL', 1050, 'Y', 0, '333\r'),
	('UA', 5209, 'DKR', 1084, 'BRU', 302, 'Y', 0, '333\r'),
	('UA', 5209, 'DKR', 1084, 'CKY', 4162, 'Y', 0, '333\r'),
	('UA', 5209, 'DKR', 1084, 'IAD', 3714, 'Y', 0, '343\r'),
	('UA', 5209, 'DKR', 1084, 'JNB', 813, 'Y', 0, '343\r'),
	('UA', 5209, 'DLA', 897, 'BRU', 302, 'Y', 0, '332 333\r'),
	('UA', 5209, 'DLA', 897, 'FIH', 1020, 'Y', 0, '333\r'),
	('UA', 5209, 'DLA', 897, 'NSI', 4161, 'Y', 0, '332\r'),
	('UA', 5209, 'DLH', 3598, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'DME', 4029, 'VIE', 1613, 'Y', 0, '320\r'),
	('UA', 5209, 'DOH', 2241, 'BAH', 2057, 'Y', 0, '333\r'),
	('UA', 5209, 'DOH', 2241, 'DXB', 2188, '', 0, '777\r'),
	('UA', 5209, 'DOH', 2241, 'FRA', 340, 'Y', 0, '333\r'),
	('UA', 5209, 'DRO', 3713, 'DEN', 3751, 'Y', 0, 'ERJ DH4 CRJ\r'),
	('UA', 5209, 'DSM', 3729, 'DEN', 3751, '', 0, '319 738 73G\r'),
	('UA', 5209, 'DSM', 3729, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DSM', 3729, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'DSM', 3729, 'ORD', 3830, '', 0, '319 738 73G\r'),
	('UA', 5209, 'DTW', 3645, 'DEN', 3751, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'DTW', 3645, 'EWR', 3494, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'DTW', 3645, 'FRA', 340, 'Y', 0, '343\r'),
	('UA', 5209, 'DTW', 3645, 'IAD', 3714, 'Y', 0, 'CRJ CR7 ERJ ER4 E70\r'),
	('UA', 5209, 'DTW', 3645, 'IAH', 3550, '', 0, '320 319 73G\r'),
	('UA', 5209, 'DTW', 3645, 'ORD', 3830, '', 0, '320\r'),
	('UA', 5209, 'DTW', 3645, 'YYZ', 193, 'Y', 0, 'CRJ BEH\r'),
	('UA', 5209, 'DUB', 599, 'BOS', 3448, 'Y', 0, '332 330\r'),
	('UA', 5209, 'DUB', 599, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'DUB', 599, 'IAD', 3714, '', 0, '752\r'),
	('UA', 5209, 'DUB', 599, 'JFK', 3797, 'Y', 0, '330\r'),
	('UA', 5209, 'DUB', 599, 'ORD', 3830, 'Y', 0, '330 332\r'),
	('UA', 5209, 'DUJ', 5734, 'CLE', 3486, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'DUJ', 5734, 'FKL', 4058, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'DUS', 345, 'EWR', 3494, 'Y', 0, '343\r'),
	('UA', 5209, 'DUS', 345, 'ORD', 3830, 'Y', 0, '343\r'),
	('UA', 5209, 'DXB', 2188, 'DOH', 2241, '', 0, '777\r'),
	('UA', 5209, 'DXB', 2188, 'IAD', 3714, '', 0, '777\r'),
	('UA', 5209, 'EAU', 5735, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'EBB', 1187, 'BRU', 302, 'Y', 0, '332\r'),
	('UA', 5209, 'EDI', 535, 'BRU', 302, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'EDI', 535, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'EGE', 4250, 'DEN', 3751, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'ELH', 1943, 'FLL', 3533, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'ELH', 1943, 'PBI', 3722, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'ELM', 3946, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ELP', 3559, 'DEN', 3751, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'ELP', 3559, 'IAH', 3550, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'ERI', 4276, 'CLE', 3486, '', 0, 'DH3\r'),
	('UA', 5209, 'EUG', 4099, 'DEN', 3751, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'EUG', 4099, 'PDX', 3720, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'EUG', 4099, 'SFO', 3469, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'EVN', 3964, 'VIE', 1613, 'Y', 0, '320 321\r'),
	('UA', 5209, 'EWR', 3494, 'ALB', 3864, 'Y', 0, 'ERJ DH4 DH2\r'),
	('UA', 5209, 'EWR', 3494, 'AMS', 580, '', 0, '752 763\r'),
	('UA', 5209, 'EWR', 3494, 'ANU', 2874, '', 0, '738 739\r'),
	('UA', 5209, 'EWR', 3494, 'ARN', 737, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'ATL', 3682, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'AUA', 2895, '', 0, '753 739\r'),
	('UA', 5209, 'EWR', 3494, 'AUS', 3673, '', 0, '738 319 739\r'),
	('UA', 5209, 'EWR', 3494, 'BCN', 1218, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'BDA', 4069, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'BFS', 465, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'BHX', 469, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'BNA', 3690, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'BOG', 2709, '', 0, '73G\r'),
	('UA', 5209, 'EWR', 3494, 'BOM', 2997, '', 0, '777\r'),
	('UA', 5209, 'EWR', 3494, 'BON', 2896, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'BOS', 3448, '', 0, '738 73G 320 319 739\r'),
	('UA', 5209, 'EWR', 3494, 'BQN', 2885, '', 0, '738 739\r'),
	('UA', 5209, 'EWR', 3494, 'BRU', 302, '', 0, '764 777\r'),
	('UA', 5209, 'EWR', 3494, 'BTV', 3711, '', 0, 'DH4\r'),
	('UA', 5209, 'EWR', 3494, 'BUF', 3820, 'Y', 0, 'DH4 ERJ DH3 DH2\r'),
	('UA', 5209, 'EWR', 3494, 'BWI', 3849, 'Y', 0, 'ERJ DH3 DH2\r'),
	('UA', 5209, 'EWR', 3494, 'BZE', 1957, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'CDG', 1382, '', 0, '764 752 763\r'),
	('UA', 5209, 'EWR', 3494, 'CHS', 3806, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'CLE', 3486, '', 0, '738 319 73G 320 739\r'),
	('UA', 5209, 'EWR', 3494, 'CLT', 3876, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'EWR', 3494, 'CMH', 3759, 'Y', 0, 'ERJ DH4 E70\r'),
	('UA', 5209, 'EWR', 3494, 'CUN', 1852, '', 0, '739 738 752\r'),
	('UA', 5209, 'EWR', 3494, 'CVG', 3488, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'DAY', 3627, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'DCA', 3520, '', 0, 'DH4\r'),
	('UA', 5209, 'EWR', 3494, 'DEL', 3093, '', 0, '777\r'),
	('UA', 5209, 'EWR', 3494, 'DEN', 3751, '', 0, '320 752 739 738 319\r'),
	('UA', 5209, 'EWR', 3494, 'DFW', 3670, '', 0, '319 73G 738\r'),
	('UA', 5209, 'EWR', 3494, 'DSM', 3729, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'DTW', 3645, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'EWR', 3494, 'DUB', 599, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'DUS', 345, 'Y', 0, '343\r'),
	('UA', 5209, 'EWR', 3494, 'EDI', 535, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'FCO', 1555, '', 0, '764\r'),
	('UA', 5209, 'EWR', 3494, 'FLL', 3533, '', 0, '738 320 73G 319 739\r'),
	('UA', 5209, 'EWR', 3494, 'FRA', 340, '', 0, '777\r'),
	('UA', 5209, 'EWR', 3494, 'GCM', 1926, '', 0, '739\r'),
	('UA', 5209, 'EWR', 3494, 'GLA', 534, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'GRR', 3685, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'GRU', 2564, '', 0, '764\r'),
	('UA', 5209, 'EWR', 3494, 'GSO', 4008, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'GSP', 4034, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'GUA', 1767, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'GVA', 1665, '', 0, '763\r'),
	('UA', 5209, 'EWR', 3494, 'HAM', 342, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'HKG', 3077, '', 0, '777\r'),
	('UA', 5209, 'EWR', 3494, 'HNL', 3728, '', 0, '764\r'),
	('UA', 5209, 'EWR', 3494, 'IAD', 3714, '', 0, 'DH4\r'),
	('UA', 5209, 'EWR', 3494, 'IAH', 3550, '', 0, '739 738 320 752 73G 753 319\r'),
	('UA', 5209, 'EWR', 3494, 'IND', 3585, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'EWR', 3494, 'ITH', 3947, 'Y', 0, 'DH2 DH3\r'),
	('UA', 5209, 'EWR', 3494, 'JAX', 3712, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'LAS', 3877, '', 0, '739 753 320 738 752\r'),
	('UA', 5209, 'EWR', 3494, 'LAX', 3484, '', 0, '739 738 319 752 753\r'),
	('UA', 5209, 'EWR', 3494, 'LHR', 507, '', 0, '763 752 777\r'),
	('UA', 5209, 'EWR', 3494, 'LIM', 2789, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'LIR', 1881, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'LIS', 1638, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'MAD', 1229, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'MAN', 478, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'MBJ', 1780, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'MCI', 3458, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'EWR', 3494, 'MCO', 3878, '', 0, '738 320 752 739 73G\r'),
	('UA', 5209, 'EWR', 3494, 'MEM', 3473, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'MEX', 1824, '', 0, '73G 738\r'),
	('UA', 5209, 'EWR', 3494, 'MHT', 4011, 'Y', 0, 'ERJ DH3 DH2\r'),
	('UA', 5209, 'EWR', 3494, 'MIA', 3576, '', 0, '739 738 320 73G\r'),
	('UA', 5209, 'EWR', 3494, 'MKE', 3717, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'MSN', 3459, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'MSP', 3858, 'Y', 0, 'E70 ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'MSY', 3861, '', 0, '319 320 738\r'),
	('UA', 5209, 'EWR', 3494, 'MUC', 346, '', 0, '764\r'),
	('UA', 5209, 'EWR', 3494, 'MXP', 1524, '', 0, '764\r'),
	('UA', 5209, 'EWR', 3494, 'MYR', 3515, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'EWR', 3494, 'NAS', 1953, '', 0, '320 738\r'),
	('UA', 5209, 'EWR', 3494, 'NRT', 2279, '', 0, '777\r'),
	('UA', 5209, 'EWR', 3494, 'OKC', 3863, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'EWR', 3494, 'OMA', 3454, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'ORD', 3830, '', 0, '73G 320 738 752 319 739 763\r'),
	('UA', 5209, 'EWR', 3494, 'ORF', 3611, 'Y', 0, 'DH3 DH4 DH2\r'),
	('UA', 5209, 'EWR', 3494, 'OSL', 644, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'PBI', 3722, '', 0, '738 319 739 320 752\r'),
	('UA', 5209, 'EWR', 3494, 'PDX', 3720, '', 0, '739 320\r'),
	('UA', 5209, 'EWR', 3494, 'PEK', 3364, '', 0, '777\r'),
	('UA', 5209, 'EWR', 3494, 'PHX', 3462, '', 0, '739 320 319\r'),
	('UA', 5209, 'EWR', 3494, 'PIT', 3570, 'Y', 0, 'ERJ DH4 E70\r'),
	('UA', 5209, 'EWR', 3494, 'PLS', 1754, '', 0, '739 738\r'),
	('UA', 5209, 'EWR', 3494, 'POP', 1761, '', 0, '739\r'),
	('UA', 5209, 'EWR', 3494, 'POS', 2902, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'PTY', 1871, '', 0, '739\r'),
	('UA', 5209, 'EWR', 3494, 'PUJ', 1760, '', 0, '753 739\r'),
	('UA', 5209, 'EWR', 3494, 'PVD', 3641, 'Y', 0, 'DH3 DH2 ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'PVG', 3406, '', 0, '777\r'),
	('UA', 5209, 'EWR', 3494, 'PVR', 1836, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'PWM', 3862, '', 0, 'DH4\r'),
	('UA', 5209, 'EWR', 3494, 'RDU', 3626, 'Y', 0, 'ERJ DH4 E70\r'),
	('UA', 5209, 'EWR', 3494, 'RIC', 3608, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'ROC', 3622, 'Y', 0, 'ERJ DH2\r'),
	('UA', 5209, 'EWR', 3494, 'RSW', 3793, '', 0, '320 738 739\r'),
	('UA', 5209, 'EWR', 3494, 'SAL', 1892, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'SAN', 3731, '', 0, '739 738\r'),
	('UA', 5209, 'EWR', 3494, 'SAP', 1772, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'SAT', 3621, '', 0, '739 73G\r'),
	('UA', 5209, 'EWR', 3494, 'SAV', 3613, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'SDF', 4014, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'SDQ', 1762, '', 0, '739\r'),
	('UA', 5209, 'EWR', 3494, 'SEA', 3577, '', 0, '739 320 319 738\r'),
	('UA', 5209, 'EWR', 3494, 'SFO', 3469, '', 0, '739 319 738 752 73G\r'),
	('UA', 5209, 'EWR', 3494, 'SJD', 1840, '', 0, '738 739\r'),
	('UA', 5209, 'EWR', 3494, 'SJO', 1885, '', 0, '738\r'),
	('UA', 5209, 'EWR', 3494, 'SJU', 2890, '', 0, '753 738\r'),
	('UA', 5209, 'EWR', 3494, 'SNA', 3867, '', 0, '319 738 73G\r'),
	('UA', 5209, 'EWR', 3494, 'SNN', 603, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'STL', 3678, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'EWR', 3494, 'STR', 350, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'STT', 2883, '', 0, '73G\r'),
	('UA', 5209, 'EWR', 3494, 'SXM', 2899, '', 0, '73G\r'),
	('UA', 5209, 'EWR', 3494, 'SYR', 3745, 'Y', 0, 'DH2 DH3\r'),
	('UA', 5209, 'EWR', 3494, 'TLV', 1590, '', 0, '777\r'),
	('UA', 5209, 'EWR', 3494, 'TPA', 3646, '', 0, '739 73G 738 320 752\r'),
	('UA', 5209, 'EWR', 3494, 'TUL', 3855, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'TXL', 351, '', 0, '752\r'),
	('UA', 5209, 'EWR', 3494, 'TYS', 3676, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'UVF', 2894, '', 0, '739\r'),
	('UA', 5209, 'EWR', 3494, 'XNA', 4356, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'YEG', 49, '', 0, '319\r'),
	('UA', 5209, 'EWR', 3494, 'YHZ', 73, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'YOW', 100, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'YQB', 111, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'YQM', 117, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'EWR', 3494, 'YUL', 146, 'Y', 0, 'ERJ CRJ E70\r'),
	('UA', 5209, 'EWR', 3494, 'YVR', 156, 'Y', 0, '319\r'),
	('UA', 5209, 'EWR', 3494, 'YYT', 189, '', 0, '319\r'),
	('UA', 5209, 'EWR', 3494, 'YYZ', 193, 'Y', 0, 'E75 ERJ DH4 CRA\r'),
	('UA', 5209, 'EWR', 3494, 'ZRH', 1678, '', 0, '764\r'),
	('UA', 5209, 'EYW', 3875, 'FLL', 3533, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'EYW', 3875, 'RSW', 3793, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'EYW', 3875, 'TPA', 3646, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'EZE', 3988, 'IAH', 3550, '', 0, '763\r'),
	('UA', 5209, 'FAR', 4292, 'DEN', 3751, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'FAR', 4292, 'ORD', 3830, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'FAT', 3687, 'DEN', 3751, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'FAT', 3687, 'LAS', 3877, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'FAT', 3687, 'LAX', 3484, 'Y', 0, 'CR7 EM2\r'),
	('UA', 5209, 'FAT', 3687, 'SFO', 3469, 'Y', 0, 'EM2 CRJ\r'),
	('UA', 5209, 'FAY', 5738, 'IAD', 3714, 'Y', 0, 'DH2\r'),
	('UA', 5209, 'FCA', 4127, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'FCO', 1555, 'EWR', 3494, '', 0, '764\r'),
	('UA', 5209, 'FCO', 1555, 'IAD', 3714, '', 0, '763\r'),
	('UA', 5209, 'FIH', 1020, 'BRU', 302, 'Y', 0, '333\r'),
	('UA', 5209, 'FIH', 1020, 'DLA', 897, 'Y', 0, '333\r'),
	('UA', 5209, 'FKL', 4058, 'CLE', 3486, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'FKL', 4058, 'DUJ', 5734, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'FLL', 3533, 'BIM', 1937, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FLL', 3533, 'CLE', 3486, '', 0, '320 73G\r'),
	('UA', 5209, 'FLL', 3533, 'DEN', 3751, '', 0, '320 738\r'),
	('UA', 5209, 'FLL', 3533, 'ELH', 1943, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FLL', 3533, 'EWR', 3494, '', 0, '739 320 738 73G 319\r'),
	('UA', 5209, 'FLL', 3533, 'EYW', 3875, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FLL', 3533, 'FPO', 1948, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FLL', 3533, 'GGT', 1941, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FLL', 3533, 'GHB', 1944, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FLL', 3533, 'IAD', 3714, '', 0, '752\r'),
	('UA', 5209, 'FLL', 3533, 'IAH', 3550, '', 0, '73G 738 739 319 320\r'),
	('UA', 5209, 'FLL', 3533, 'MCO', 3878, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FLL', 3533, 'MHH', 1930, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FLL', 3533, 'ORD', 3830, '', 0, '752 739\r'),
	('UA', 5209, 'FLL', 3533, 'SFO', 3469, '', 0, '738 752\r'),
	('UA', 5209, 'FLL', 3533, 'TCB', 1934, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FLL', 3533, 'TPA', 3646, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FMN', 3743, 'ALS', 7073, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'FMN', 3743, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'FMN', 3743, 'SOW', 7078, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'FNA', 1059, 'ROB', 1063, 'Y', 0, '333\r'),
	('UA', 5209, 'FNT', 4089, 'CLE', 3486, '', 0, 'DH3\r'),
	('UA', 5209, 'FOE', 3843, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'FPO', 1948, 'FLL', 3533, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'FRA', 340, 'ATL', 3682, 'Y', 0, '343\r'),
	('UA', 5209, 'FRA', 340, 'AUH', 2179, 'Y', 0, '333\r'),
	('UA', 5209, 'FRA', 340, 'BOS', 3448, 'Y', 0, '744 346\r'),
	('UA', 5209, 'FRA', 340, 'DEN', 3751, 'Y', 0, '744\r'),
	('UA', 5209, 'FRA', 340, 'DFW', 3670, 'Y', 0, '333\r'),
	('UA', 5209, 'FRA', 340, 'DOH', 2241, 'Y', 0, '333\r'),
	('UA', 5209, 'FRA', 340, 'DTW', 3645, 'Y', 0, '343\r'),
	('UA', 5209, 'FRA', 340, 'EWR', 3494, '', 0, '777\r'),
	('UA', 5209, 'FRA', 340, 'GYD', 2922, 'Y', 0, '333\r'),
	('UA', 5209, 'FRA', 340, 'IAD', 3714, '', 0, '777\r'),
	('UA', 5209, 'FRA', 340, 'IAH', 3550, '', 0, '763\r'),
	('UA', 5209, 'FRA', 340, 'JED', 2072, 'Y', 0, '333\r'),
	('UA', 5209, 'FRA', 340, 'JFK', 3797, 'Y', 0, '388 744\r'),
	('UA', 5209, 'FRA', 340, 'LAX', 3484, 'Y', 0, '74H\r'),
	('UA', 5209, 'FRA', 340, 'LOS', 273, 'Y', 0, '333\r'),
	('UA', 5209, 'FRA', 340, 'MCO', 3878, 'Y', 0, '744\r'),
	('UA', 5209, 'FRA', 340, 'MIA', 3576, 'Y', 0, '388\r'),
	('UA', 5209, 'FRA', 340, 'ORD', 3830, '', 0, '777 744\r'),
	('UA', 5209, 'FRA', 340, 'SEA', 3577, 'Y', 0, '333 343\r'),
	('UA', 5209, 'FRA', 340, 'SFO', 3469, '', 0, '744\r'),
	('UA', 5209, 'FRA', 340, 'TSE', 2910, 'Y', 0, '333\r'),
	('UA', 5209, 'FSD', 4009, 'DEN', 3751, 'Y', 0, 'ERJ CRJ CR7\r'),
	('UA', 5209, 'FSD', 4009, 'ORD', 3830, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'FUK', 2305, 'GUM', 2246, '', 0, '738 73G\r'),
	('UA', 5209, 'FWA', 4041, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'GCC', 4296, 'DEN', 3751, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'GCM', 1926, 'EWR', 3494, '', 0, '739\r'),
	('UA', 5209, 'GCM', 1926, 'IAD', 3714, '', 0, '738\r'),
	('UA', 5209, 'GCM', 1926, 'IAH', 3550, '', 0, '739 738\r'),
	('UA', 5209, 'GDL', 1804, 'IAH', 3550, '', 0, '319 73G\r'),
	('UA', 5209, 'GDL', 1804, 'LAX', 3484, '', 0, '319\r'),
	('UA', 5209, 'GDL', 1804, 'SFO', 3469, '', 0, '319 738\r'),
	('UA', 5209, 'GEG', 3467, 'DEN', 3751, '', 0, '739 738\r'),
	('UA', 5209, 'GGT', 1941, 'FLL', 3533, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'GGT', 1941, 'GHB', 1944, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'GHB', 1944, 'FLL', 3533, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'GIG', 2560, 'GRU', 2564, '', 0, '777\r'),
	('UA', 5209, 'GIG', 2560, 'IAH', 3550, '', 0, '777\r'),
	('UA', 5209, 'GJT', 4063, 'DEN', 3751, '', 0, 'DH4\r'),
	('UA', 5209, 'GJT', 4063, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'GLA', 534, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'GNV', 3472, 'MCO', 3878, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'GNV', 3472, 'TPA', 3646, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'GOT', 687, 'ARN', 737, 'Y', 0, '73H\r'),
	('UA', 5209, 'GPT', 4038, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'GRB', 3653, 'ORD', 3830, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'GRK', 3775, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'GRR', 3685, 'CLE', 3486, 'Y', 0, 'ERJ CRJ ER4\r'),
	('UA', 5209, 'GRR', 3685, 'DEN', 3751, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'GRR', 3685, 'EWR', 3494, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'GRR', 3685, 'IAD', 3714, 'Y', 0, 'ERJ ER4\r'),
	('UA', 5209, 'GRR', 3685, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'GRR', 3685, 'ORD', 3830, '', 0, '319 320\r'),
	('UA', 5209, 'GRU', 2564, 'EWR', 3494, '', 0, '764\r'),
	('UA', 5209, 'GRU', 2564, 'GIG', 2560, '', 0, '777\r'),
	('UA', 5209, 'GRU', 2564, 'IAD', 3714, '', 0, '777\r'),
	('UA', 5209, 'GRU', 2564, 'IAH', 3550, '', 0, '763\r'),
	('UA', 5209, 'GRU', 2564, 'ORD', 3830, '', 0, '777\r'),
	('UA', 5209, 'GSO', 4008, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'GSO', 4008, 'IAD', 3714, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'GSO', 4008, 'ORD', 3830, 'Y', 0, 'CRJ ERJ CR7 ER4\r'),
	('UA', 5209, 'GSP', 4034, 'CLE', 3486, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'GSP', 4034, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'GSP', 4034, 'IAD', 3714, 'Y', 0, 'CRJ ER4 ERJ\r'),
	('UA', 5209, 'GSP', 4034, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'GSP', 4034, 'ORD', 3830, 'Y', 0, 'ERJ ER4 CRJ\r'),
	('UA', 5209, 'GTF', 3880, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'GUA', 1767, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'GUA', 1767, 'IAD', 3714, '', 0, '738\r'),
	('UA', 5209, 'GUA', 1767, 'IAH', 3550, '', 0, '738\r'),
	('UA', 5209, 'GUA', 1767, 'MIA', 3576, 'Y', 0, 'E90\r'),
	('UA', 5209, 'GUC', 7051, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'GUM', 2246, 'CNS', 3322, '', 0, '738\r'),
	('UA', 5209, 'GUM', 2246, 'CTS', 2287, '', 0, '738\r'),
	('UA', 5209, 'GUM', 2246, 'FUK', 2305, '', 0, '738 73G\r'),
	('UA', 5209, 'GUM', 2246, 'HKG', 3077, '', 0, '738 73G\r'),
	('UA', 5209, 'GUM', 2246, 'HNL', 3728, '', 0, '777\r'),
	('UA', 5209, 'GUM', 2246, 'KIX', 3992, '', 0, '73G 738\r'),
	('UA', 5209, 'GUM', 2246, 'MNL', 2397, '', 0, '738\r'),
	('UA', 5209, 'GUM', 2246, 'NGO', 3942, '', 0, '73G 738\r'),
	('UA', 5209, 'GUM', 2246, 'NRT', 2279, '', 0, '777 738\r'),
	('UA', 5209, 'GUM', 2246, 'OKJ', 2327, '', 0, '73G\r'),
	('UA', 5209, 'GUM', 2246, 'ROP', 2243, 'Y', 0, 'ATR\r'),
	('UA', 5209, 'GUM', 2246, 'ROR', 2256, '', 0, '73G 738\r'),
	('UA', 5209, 'GUM', 2246, 'SDJ', 2347, '', 0, '73G\r'),
	('UA', 5209, 'GUM', 2246, 'SPN', 2244, 'Y', 0, 'ATR\r'),
	('UA', 5209, 'GUM', 2246, 'TKK', 2254, '', 0, '738 73G\r'),
	('UA', 5209, 'GUM', 2246, 'YAP', 2258, '', 0, '73G 738\r'),
	('UA', 5209, 'GVA', 1665, 'EWR', 3494, '', 0, '763\r'),
	('UA', 5209, 'GVA', 1665, 'IAD', 3714, '', 0, '763\r'),
	('UA', 5209, 'GVA', 1665, 'JFK', 3797, 'Y', 0, '333\r'),
	('UA', 5209, 'GVA', 1665, 'YUL', 146, 'Y', 0, '333\r'),
	('UA', 5209, 'GYD', 2922, 'ASB', 2976, 'Y', 0, '333\r'),
	('UA', 5209, 'GYD', 2922, 'FRA', 340, 'Y', 0, '333\r'),
	('UA', 5209, 'HAJ', 352, 'BRU', 302, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'HAM', 342, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'HDN', 4339, 'DEN', 3751, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'HKG', 3077, 'EWR', 3494, '', 0, '777\r'),
	('UA', 5209, 'HKG', 3077, 'GUM', 2246, '', 0, '738 73G\r'),
	('UA', 5209, 'HKG', 3077, 'ORD', 3830, '', 0, '777\r'),
	('UA', 5209, 'HKG', 3077, 'SFO', 3469, '', 0, '744\r'),
	('UA', 5209, 'HKG', 3077, 'SGN', 3205, '', 0, '738 73G\r'),
	('UA', 5209, 'HKG', 3077, 'SIN', 3316, '', 0, '777\r'),
	('UA', 5209, 'HLN', 3504, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'HND', 2359, 'HNL', 3728, 'Y', 0, '763\r'),
	('UA', 5209, 'HND', 2359, 'LAX', 3484, 'Y', 0, '777\r'),
	('UA', 5209, 'HNL', 3728, 'AKL', 2006, 'Y', 0, '763\r'),
	('UA', 5209, 'HNL', 3728, 'DEN', 3751, '', 0, '752\r'),
	('UA', 5209, 'HNL', 3728, 'EWR', 3494, '', 0, '764\r'),
	('UA', 5209, 'HNL', 3728, 'GUM', 2246, '', 0, '777\r'),
	('UA', 5209, 'HNL', 3728, 'HND', 2359, 'Y', 0, '763\r'),
	('UA', 5209, 'HNL', 3728, 'IAD', 3714, '', 0, '764\r'),
	('UA', 5209, 'HNL', 3728, 'IAH', 3550, '', 0, '764\r'),
	('UA', 5209, 'HNL', 3728, 'LAX', 3484, '', 0, '738 753 777 739\r'),
	('UA', 5209, 'HNL', 3728, 'LIH', 3602, 'Y', 0, 'AT7\r'),
	('UA', 5209, 'HNL', 3728, 'MAJ', 2249, '', 0, '738\r'),
	('UA', 5209, 'HNL', 3728, 'NRT', 2279, '', 0, '744\r'),
	('UA', 5209, 'HNL', 3728, 'OGG', 3456, 'Y', 0, 'AT7\r'),
	('UA', 5209, 'HNL', 3728, 'ORD', 3830, '', 0, '777\r'),
	('UA', 5209, 'HNL', 3728, 'PEK', 3364, 'Y', 0, '330\r'),
	('UA', 5209, 'HNL', 3728, 'SFO', 3469, '', 0, '764 777 738 753 739\r'),
	('UA', 5209, 'HOB', 3749, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'HON', 3491, 'PIR', 5761, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'HPN', 3589, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'HRL', 3560, 'IAH', 3550, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'HSV', 4113, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'HSV', 4113, 'IAD', 3714, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'HSV', 4113, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'HSV', 4113, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'HUX', 1786, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'ALB', 3864, 'Y', 0, 'DH4 DH2 CR7 CRJ ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'AMS', 580, '', 0, '763\r'),
	('UA', 5209, 'IAD', 3714, 'AOO', 3694, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'IAD', 3714, 'ATL', 3682, 'Y', 0, 'CR7 CRJ ERJ E70\r'),
	('UA', 5209, 'IAD', 3714, 'AUA', 2895, '', 0, '739\r'),
	('UA', 5209, 'IAD', 3714, 'AUS', 3673, '', 0, '319\r'),
	('UA', 5209, 'IAD', 3714, 'BDL', 3825, '', 0, '738 319 320\r'),
	('UA', 5209, 'IAD', 3714, 'BGM', 4129, 'Y', 0, 'DH2\r'),
	('UA', 5209, 'IAD', 3714, 'BKW', 5724, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'IAD', 3714, 'BNA', 3690, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'IAD', 3714, 'BOG', 2709, 'Y', 0, '319\r'),
	('UA', 5209, 'IAD', 3714, 'BOS', 3448, '', 0, '320 752 73G 739 738\r'),
	('UA', 5209, 'IAD', 3714, 'BRU', 302, '', 0, '777 332\r'),
	('UA', 5209, 'IAD', 3714, 'BTV', 3711, 'Y', 0, 'CRJ DH4 CR7 ERJ ER4\r'),
	('UA', 5209, 'IAD', 3714, 'BUF', 3820, 'Y', 0, 'DH4 ERJ DH2 E70 CRJ CR7 ER4\r'),
	('UA', 5209, 'IAD', 3714, 'CAE', 3561, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'IAD', 3714, 'CDG', 1382, '', 0, '763\r'),
	('UA', 5209, 'IAD', 3714, 'CHO', 4015, 'Y', 0, 'DH2\r'),
	('UA', 5209, 'IAD', 3714, 'CHS', 3806, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'IAD', 3714, 'CLE', 3486, '', 0, 'DH4\r'),
	('UA', 5209, 'IAD', 3714, 'CLT', 3876, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'CMH', 3759, 'Y', 0, 'DH4 ERJ CR7 ER4 E70\r'),
	('UA', 5209, 'IAD', 3714, 'COS', 3819, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'IAD', 3714, 'CRW', 4285, 'Y', 0, 'DH2 ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'CUN', 1852, '', 0, '739 738\r'),
	('UA', 5209, 'IAD', 3714, 'CVG', 3488, 'Y', 0, 'CRJ CR7 ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'DAY', 3627, 'Y', 0, 'ER4 CR7 CRJ ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'DEN', 3751, '', 0, '739 752 319 738 320 753\r'),
	('UA', 5209, 'IAD', 3714, 'DFW', 3670, '', 0, '320 73G 738\r'),
	('UA', 5209, 'IAD', 3714, 'DKR', 1084, 'Y', 0, '343\r'),
	('UA', 5209, 'IAD', 3714, 'DTW', 3645, 'Y', 0, 'CRJ CR7 ERJ ER4 E70\r'),
	('UA', 5209, 'IAD', 3714, 'DUB', 599, '', 0, '752\r'),
	('UA', 5209, 'IAD', 3714, 'DXB', 2188, '', 0, '777\r'),
	('UA', 5209, 'IAD', 3714, 'EWR', 3494, 'Y', 0, 'DH4 DH2 ERJ E70\r'),
	('UA', 5209, 'IAD', 3714, 'FAY', 5738, 'Y', 0, 'DH2\r'),
	('UA', 5209, 'IAD', 3714, 'FCO', 1555, '', 0, '763\r'),
	('UA', 5209, 'IAD', 3714, 'FLL', 3533, '', 0, '752\r'),
	('UA', 5209, 'IAD', 3714, 'FRA', 340, '', 0, '777\r'),
	('UA', 5209, 'IAD', 3714, 'GCM', 1926, '', 0, '738\r'),
	('UA', 5209, 'IAD', 3714, 'GRR', 3685, 'Y', 0, 'ER4 ERJ CR7\r'),
	('UA', 5209, 'IAD', 3714, 'GRU', 2564, '', 0, '777\r'),
	('UA', 5209, 'IAD', 3714, 'GSO', 4008, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'GSP', 4034, 'Y', 0, 'CRJ ER4 ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'GUA', 1767, '', 0, '738\r'),
	('UA', 5209, 'IAD', 3714, 'GVA', 1665, '', 0, '763\r'),
	('UA', 5209, 'IAD', 3714, 'HNL', 3728, '', 0, '764\r'),
	('UA', 5209, 'IAD', 3714, 'HSV', 4113, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'IAD', 3714, 'IAH', 3550, '', 0, '320 738 763 739 73G\r'),
	('UA', 5209, 'IAD', 3714, 'IND', 3585, 'Y', 0, 'CR7 ERJ E70\r'),
	('UA', 5209, 'IAD', 3714, 'JAX', 3712, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'IAD', 3714, 'JFK', 3797, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'IAD', 3714, 'JST', 4169, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'IAD', 3714, 'KWI', 2176, '', 0, '777\r'),
	('UA', 5209, 'IAD', 3714, 'LAS', 3877, '', 0, '320 752\r'),
	('UA', 5209, 'IAD', 3714, 'LAX', 3484, '', 0, '753 320 319 752 739 738\r'),
	('UA', 5209, 'IAD', 3714, 'LGA', 3697, 'Y', 0, 'CRJ ERJ E70 CR7\r'),
	('UA', 5209, 'IAD', 3714, 'LHR', 507, '', 0, '752 777\r'),
	('UA', 5209, 'IAD', 3714, 'LWB', 6958, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'IAD', 3714, 'MAN', 478, '', 0, '752\r'),
	('UA', 5209, 'IAD', 3714, 'MBJ', 1780, '', 0, '738\r'),
	('UA', 5209, 'IAD', 3714, 'MCI', 3458, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'MCO', 3878, '', 0, '320 738 739 752\r'),
	('UA', 5209, 'IAD', 3714, 'MDT', 3542, 'Y', 0, 'ER4\r'),
	('UA', 5209, 'IAD', 3714, 'MEX', 1824, '', 0, '320 73G\r'),
	('UA', 5209, 'IAD', 3714, 'MGW', 4284, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'IAD', 3714, 'MIA', 3576, '', 0, '319\r'),
	('UA', 5209, 'IAD', 3714, 'MSP', 3858, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'IAD', 3714, 'MSY', 3861, '', 0, '738 739\r'),
	('UA', 5209, 'IAD', 3714, 'MUC', 346, '', 0, '764\r'),
	('UA', 5209, 'IAD', 3714, 'NRT', 2279, '', 0, '777\r'),
	('UA', 5209, 'IAD', 3714, 'OKC', 3863, 'Y', 0, 'E70 ERJ CR7\r'),
	('UA', 5209, 'IAD', 3714, 'OMA', 3454, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'IAD', 3714, 'ORD', 3830, '', 0, '319 320 752 753 739 738\r'),
	('UA', 5209, 'IAD', 3714, 'ORF', 3611, 'Y', 0, 'CRJ ERJ ER4 CR7 DH4\r'),
	('UA', 5209, 'IAD', 3714, 'PDX', 3720, '', 0, '752 739 738 73G\r'),
	('UA', 5209, 'IAD', 3714, 'PEK', 3364, '', 0, '777\r'),
	('UA', 5209, 'IAD', 3714, 'PHL', 3752, 'Y', 0, 'ER4\r'),
	('UA', 5209, 'IAD', 3714, 'PHX', 3462, '', 0, '320\r'),
	('UA', 5209, 'IAD', 3714, 'PIT', 3570, 'Y', 0, 'E70 ERJ DH4 CR7\r'),
	('UA', 5209, 'IAD', 3714, 'PTY', 1871, '', 0, '73G\r'),
	('UA', 5209, 'IAD', 3714, 'PUJ', 1760, '', 0, '739\r'),
	('UA', 5209, 'IAD', 3714, 'PVD', 3641, 'Y', 0, 'DH4 CR7 DH2 CRJ\r'),
	('UA', 5209, 'IAD', 3714, 'PWM', 3862, 'Y', 0, 'CRJ ER4\r'),
	('UA', 5209, 'IAD', 3714, 'RDU', 3626, '', 0, '320 738\r'),
	('UA', 5209, 'IAD', 3714, 'RIC', 3608, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'IAD', 3714, 'ROA', 4016, 'Y', 0, 'ER4 DH2\r'),
	('UA', 5209, 'IAD', 3714, 'ROC', 3622, 'Y', 0, 'DH2 ERJ CRJ\r'),
	('UA', 5209, 'IAD', 3714, 'SAN', 3731, '', 0, '739 738 320 752 319\r'),
	('UA', 5209, 'IAD', 3714, 'SAT', 3621, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'IAD', 3714, 'SAV', 3613, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'IAD', 3714, 'SCE', 4318, 'Y', 0, 'DH2\r'),
	('UA', 5209, 'IAD', 3714, 'SDF', 4014, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'SEA', 3577, '', 0, '739 752 320\r'),
	('UA', 5209, 'IAD', 3714, 'SFO', 3469, '', 0, '752 320 753 738 739 319\r'),
	('UA', 5209, 'IAD', 3714, 'SHD', 7062, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'IAD', 3714, 'SJO', 1885, '', 0, '738\r'),
	('UA', 5209, 'IAD', 3714, 'SJU', 2890, '', 0, '739 738\r'),
	('UA', 5209, 'IAD', 3714, 'SMF', 3817, '', 0, '320\r'),
	('UA', 5209, 'IAD', 3714, 'STL', 3678, 'Y', 0, 'ER4 CR7\r'),
	('UA', 5209, 'IAD', 3714, 'STT', 2883, '', 0, '73G\r'),
	('UA', 5209, 'IAD', 3714, 'SXM', 2899, '', 0, '73G\r'),
	('UA', 5209, 'IAD', 3714, 'SYR', 3745, 'Y', 0, 'CRJ DH4 ERJ ER4 DH2\r'),
	('UA', 5209, 'IAD', 3714, 'TPA', 3646, '', 0, '320 738 739\r'),
	('UA', 5209, 'IAD', 3714, 'TUL', 3855, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'IAD', 3714, 'TYS', 3676, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAD', 3714, 'VIE', 1613, 'Y', 0, '763\r'),
	('UA', 5209, 'IAD', 3714, 'YOW', 100, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'IAD', 3714, 'YUL', 146, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'IAD', 3714, 'YYZ', 193, 'Y', 0, 'ERJ CRJ CR7 DH4\r'),
	('UA', 5209, 'IAD', 3714, 'ZRH', 1678, '', 0, '763 764\r'),
	('UA', 5209, 'IAH', 3550, 'ABQ', 4019, '', 0, '320 738 73G\r'),
	('UA', 5209, 'IAH', 3550, 'ACA', 1783, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'ACY', 3524, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'AEX', 3852, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'AGU', 1785, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'AMA', 3840, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'AMS', 580, '', 0, '777\r'),
	('UA', 5209, 'IAH', 3550, 'ATL', 3682, 'Y', 0, 'CRJ ERJ E70\r'),
	('UA', 5209, 'IAH', 3550, 'AUS', 3673, '', 0, '319 73G 738 739 320\r'),
	('UA', 5209, 'IAH', 3550, 'BFL', 3558, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'IAH', 3550, 'BHM', 3811, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'BJX', 1815, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'BNA', 3690, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'BOG', 2709, '', 0, '752 73G\r'),
	('UA', 5209, 'IAH', 3550, 'BON', 2896, '', 0, '738\r'),
	('UA', 5209, 'IAH', 3550, 'BOS', 3448, '', 0, '739 738 320 752 73G 319\r'),
	('UA', 5209, 'IAH', 3550, 'BRO', 3738, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'BTR', 3846, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'BWI', 3849, '', 0, '73G 739 320 738 319\r'),
	('UA', 5209, 'IAH', 3550, 'BZE', 1957, '', 0, '73G 738\r'),
	('UA', 5209, 'IAH', 3550, 'CAE', 3561, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'CCS', 2851, '', 0, '739\r'),
	('UA', 5209, 'IAH', 3550, 'CHS', 3806, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'CLE', 3486, '', 0, '320 738 73G\r'),
	('UA', 5209, 'IAH', 3550, 'CLL', 3715, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'CLT', 3876, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'IAH', 3550, 'CME', 1789, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'CMH', 3759, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'IAH', 3550, 'COS', 3819, 'Y', 0, 'CRJ CR7 ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'CRP', 3744, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'CRW', 4285, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'CUN', 1852, '', 0, '739 738\r'),
	('UA', 5209, 'IAH', 3550, 'CUU', 1797, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'CVG', 3488, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'IAH', 3550, 'CZM', 1800, '', 0, '738 739\r'),
	('UA', 5209, 'IAH', 3550, 'DAL', 3502, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'DCA', 3520, '', 0, '73G 319 738 320\r'),
	('UA', 5209, 'IAH', 3550, 'DEN', 3751, '', 0, '320 752 788 738 739 753 319\r'),
	('UA', 5209, 'IAH', 3550, 'DFW', 3670, 'Y', 0, 'ERJ E70 CRJ CR7\r'),
	('UA', 5209, 'IAH', 3550, 'DGO', 1801, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'DSM', 3729, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'IAH', 3550, 'DTW', 3645, '', 0, '319 320 73G\r'),
	('UA', 5209, 'IAH', 3550, 'ELP', 3559, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'IAH', 3550, 'EWR', 3494, '', 0, '739 73G 738 320 752 319\r'),
	('UA', 5209, 'IAH', 3550, 'EZE', 3988, '', 0, '763\r'),
	('UA', 5209, 'IAH', 3550, 'FLL', 3533, '', 0, '739 320 73G 738 752\r'),
	('UA', 5209, 'IAH', 3550, 'FRA', 340, '', 0, '763\r'),
	('UA', 5209, 'IAH', 3550, 'GCM', 1926, '', 0, '739 738\r'),
	('UA', 5209, 'IAH', 3550, 'GDL', 1804, '', 0, '319 73G\r'),
	('UA', 5209, 'IAH', 3550, 'GIG', 2560, '', 0, '777\r'),
	('UA', 5209, 'IAH', 3550, 'GJT', 4063, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'GPT', 4038, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'GRK', 3775, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'GRR', 3685, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'IAH', 3550, 'GRU', 2564, '', 0, '763\r'),
	('UA', 5209, 'IAH', 3550, 'GSP', 4034, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'GUA', 1767, '', 0, '738\r'),
	('UA', 5209, 'IAH', 3550, 'HNL', 3728, '', 0, '764\r'),
	('UA', 5209, 'IAH', 3550, 'HOB', 3749, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'HRL', 3560, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'IAH', 3550, 'HSV', 4113, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'HUX', 1786, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'IAD', 3714, '', 0, '738 763 739 320 319\r'),
	('UA', 5209, 'IAH', 3550, 'ICT', 3457, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'IND', 3585, '', 0, '319\r'),
	('UA', 5209, 'IAH', 3550, 'JAN', 3580, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'JAX', 3712, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'LAS', 3877, '', 0, '320 739 73G 738 319 752\r'),
	('UA', 5209, 'IAH', 3550, 'LAX', 3484, '', 0, '752 739 738 753 320 319\r'),
	('UA', 5209, 'IAH', 3550, 'LBB', 3829, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'LCH', 3513, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'LEX', 4017, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'LFT', 3493, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'LGA', 3697, '', 0, '320 738 73G 319\r'),
	('UA', 5209, 'IAH', 3550, 'LHR', 507, '', 0, '763 788\r'),
	('UA', 5209, 'IAH', 3550, 'LIM', 2789, '', 0, '763\r'),
	('UA', 5209, 'IAH', 3550, 'LIR', 1881, '', 0, '739 738\r'),
	('UA', 5209, 'IAH', 3550, 'LIT', 3660, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'IAH', 3550, 'LOS', 273, '', 0, '788\r'),
	('UA', 5209, 'IAH', 3550, 'LRD', 3691, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'MAF', 3652, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'MBJ', 1780, '', 0, '739 738\r'),
	('UA', 5209, 'IAH', 3550, 'MCI', 3458, 'Y', 0, 'ERJ E70 CRJ CR7\r'),
	('UA', 5209, 'IAH', 3550, 'MCO', 3878, '', 0, '739 738 320 73G 753\r'),
	('UA', 5209, 'IAH', 3550, 'MEM', 3473, 'Y', 0, 'ERJ ER4 CRJ\r'),
	('UA', 5209, 'IAH', 3550, 'MEX', 1824, '', 0, '320 319 73G\r'),
	('UA', 5209, 'IAH', 3550, 'MFE', 3826, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'IAH', 3550, 'MGA', 1863, '', 0, '738 739\r'),
	('UA', 5209, 'IAH', 3550, 'MIA', 3576, '', 0, '319 738 73G 320 739\r'),
	('UA', 5209, 'IAH', 3550, 'MID', 1819, '', 0, '73G\r'),
	('UA', 5209, 'IAH', 3550, 'MKE', 3717, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'IAH', 3550, 'MLM', 1821, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'MLU', 3732, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'MOB', 3782, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'MSP', 3858, 'Y', 0, 'ERJ E70 CR7\r'),
	('UA', 5209, 'IAH', 3550, 'MSY', 3861, '', 0, '320 73G 738 319\r'),
	('UA', 5209, 'IAH', 3550, 'MTY', 1825, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'MUC', 346, '', 0, '764\r'),
	('UA', 5209, 'IAH', 3550, 'NAS', 1953, '', 0, '320 738 739\r'),
	('UA', 5209, 'IAH', 3550, 'NRT', 2279, '', 0, '777\r'),
	('UA', 5209, 'IAH', 3550, 'OAX', 1829, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'OKC', 3863, '', 0, '319 320 739\r'),
	('UA', 5209, 'IAH', 3550, 'OMA', 3454, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'IAH', 3550, 'ONT', 3734, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'IAH', 3550, 'ORD', 3830, '', 0, '752 739 73G 319 738 320 753\r'),
	('UA', 5209, 'IAH', 3550, 'ORF', 3611, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'PBC', 1831, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'PBI', 3722, '', 0, '320\r'),
	('UA', 5209, 'IAH', 3550, 'PDX', 3720, '', 0, '320 319 739 738\r'),
	('UA', 5209, 'IAH', 3550, 'PEK', 3364, 'Y', 0, '773\r'),
	('UA', 5209, 'IAH', 3550, 'PHL', 3752, '', 0, '73G 319 739 738 320\r'),
	('UA', 5209, 'IAH', 3550, 'PHX', 3462, '', 0, '320 738 739 319 73G\r'),
	('UA', 5209, 'IAH', 3550, 'PIT', 3570, '', 0, '319 320 738 73G\r'),
	('UA', 5209, 'IAH', 3550, 'PNS', 3564, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'POS', 2902, '', 0, '738\r'),
	('UA', 5209, 'IAH', 3550, 'PSP', 3839, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'IAH', 3550, 'PTY', 1871, '', 0, '739\r'),
	('UA', 5209, 'IAH', 3550, 'PVR', 1836, '', 0, '738\r'),
	('UA', 5209, 'IAH', 3550, 'QRO', 1838, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'IAH', 3550, 'RDU', 3626, '', 0, '73G\r'),
	('UA', 5209, 'IAH', 3550, 'RIC', 3608, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'RSW', 3793, '', 0, '738\r'),
	('UA', 5209, 'IAH', 3550, 'RTB', 1774, '', 0, '739 738 73G\r'),
	('UA', 5209, 'IAH', 3550, 'SAL', 1892, '', 0, '738\r'),
	('UA', 5209, 'IAH', 3550, 'SAN', 3731, '', 0, '320 738 739 319\r'),
	('UA', 5209, 'IAH', 3550, 'SAP', 1772, '', 0, '738\r'),
	('UA', 5209, 'IAH', 3550, 'SAT', 3621, '', 0, '738 319 73G 739 320\r'),
	('UA', 5209, 'IAH', 3550, 'SAV', 3613, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'SDF', 4014, 'Y', 0, 'E70 ERJ CRJ\r'),
	('UA', 5209, 'IAH', 3550, 'SEA', 3577, '', 0, '319 320 739 738\r'),
	('UA', 5209, 'IAH', 3550, 'SFO', 3469, '', 0, '319 739 738 320 788 73G 752\r'),
	('UA', 5209, 'IAH', 3550, 'SHV', 3609, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'SJC', 3748, '', 0, '319 320 739 738\r'),
	('UA', 5209, 'IAH', 3550, 'SJD', 1840, '', 0, '320 739\r'),
	('UA', 5209, 'IAH', 3550, 'SJO', 1885, '', 0, '738\r'),
	('UA', 5209, 'IAH', 3550, 'SJU', 2890, '', 0, '739 738\r'),
	('UA', 5209, 'IAH', 3550, 'SLC', 3536, 'Y', 0, 'ERJ CR7 E70\r'),
	('UA', 5209, 'IAH', 3550, 'SLP', 1842, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'SLW', 1810, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'SMF', 3817, '', 0, '739 320 738\r'),
	('UA', 5209, 'IAH', 3550, 'SNA', 3867, '', 0, '738 320 319 73G\r'),
	('UA', 5209, 'IAH', 3550, 'STL', 3678, 'Y', 0, 'ER4 ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'TAM', 1848, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'TGU', 1776, '', 0, '73G\r'),
	('UA', 5209, 'IAH', 3550, 'TPA', 3646, '', 0, '739 738 320\r'),
	('UA', 5209, 'IAH', 3550, 'TRC', 1845, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'TUL', 3855, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'IAH', 3550, 'TUS', 3636, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'IAH', 3550, 'TYR', 3848, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'TYS', 3676, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'UIO', 2688, '', 0, '73G 738\r'),
	('UA', 5209, 'IAH', 3550, 'VER', 1854, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'VPS', 3873, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'VSA', 1853, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'IAH', 3550, 'XNA', 4356, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'YEG', 49, '', 0, '738 320 73G 319\r'),
	('UA', 5209, 'IAH', 3550, 'YUL', 146, 'Y', 0, 'E70\r'),
	('UA', 5209, 'IAH', 3550, 'YVR', 156, '', 0, '320 319 739\r'),
	('UA', 5209, 'IAH', 3550, 'YYC', 178, '', 0, '738 320 739\r'),
	('UA', 5209, 'IAH', 3550, 'YYZ', 193, 'Y', 0, 'CRA ERJ CR7\r'),
	('UA', 5209, 'IAH', 3550, 'ZIH', 1856, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'IAH', 3550, 'ZLO', 1858, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ICN', 3930, 'JFK', 3797, 'Y', 0, '77W\r'),
	('UA', 5209, 'ICN', 3930, 'LAX', 3484, 'Y', 0, '744 77L\r'),
	('UA', 5209, 'ICN', 3930, 'NRT', 2279, '', 0, '738\r'),
	('UA', 5209, 'ICN', 3930, 'REP', 3035, 'Y', 0, '321\r'),
	('UA', 5209, 'ICN', 3930, 'SEA', 3577, 'Y', 0, '333\r'),
	('UA', 5209, 'ICN', 3930, 'SFO', 3469, '', 0, '744\r'),
	('UA', 5209, 'ICT', 3457, 'DEN', 3751, '', 0, '319 DH4 738\r'),
	('UA', 5209, 'ICT', 3457, 'IAH', 3550, 'Y', 0, 'ERJ CRJ CR7\r'),
	('UA', 5209, 'ICT', 3457, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'ICT', 3457, 'ORD', 3830, 'Y', 0, 'ER4 ERJ CR7 CRJ\r'),
	('UA', 5209, 'IDA', 4100, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'IGM', 6132, 'PGA', 4124, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'IND', 3585, 'CLE', 3486, 'Y', 0, 'E70 DH3 ERJ\r'),
	('UA', 5209, 'IND', 3585, 'DEN', 3751, 'Y', 0, 'E70 ERJ\r'),
	('UA', 5209, 'IND', 3585, 'EWR', 3494, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'IND', 3585, 'IAD', 3714, 'Y', 0, 'E70 ERJ CR7\r'),
	('UA', 5209, 'IND', 3585, 'IAH', 3550, '', 0, '319\r'),
	('UA', 5209, 'IND', 3585, 'ORD', 3830, 'Y', 0, 'ERJ E70 CR7 CRJ\r'),
	('UA', 5209, 'IND', 3585, 'SFO', 3469, '', 0, '319\r'),
	('UA', 5209, 'ISN', 3659, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ITH', 3947, 'EWR', 3494, 'Y', 0, 'DH2 DH3\r'),
	('UA', 5209, 'ITO', 3415, 'LAX', 3484, '', 0, '738\r'),
	('UA', 5209, 'JAC', 4027, 'DEN', 3751, '', 0, '319\r'),
	('UA', 5209, 'JAN', 3580, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'JAN', 3580, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'JAX', 3712, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'JAX', 3712, 'IAD', 3714, 'Y', 0, 'ERJ CR7 E70\r'),
	('UA', 5209, 'JAX', 3712, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'JAX', 3712, 'MHH', 1930, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'JAX', 3712, 'ORD', 3830, '', 0, '73G 320\r'),
	('UA', 5209, 'JAX', 3712, 'TPA', 3646, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'JED', 2072, 'ADD', 1107, 'Y', 0, '333\r'),
	('UA', 5209, 'JED', 2072, 'FRA', 340, 'Y', 0, '333\r'),
	('UA', 5209, 'JFK', 3797, 'BOG', 2709, 'Y', 0, '330\r'),
	('UA', 5209, 'JFK', 3797, 'BRU', 302, 'Y', 0, '333\r'),
	('UA', 5209, 'JFK', 3797, 'CAI', 1128, 'Y', 0, '773\r'),
	('UA', 5209, 'JFK', 3797, 'DUB', 599, 'Y', 0, '330\r'),
	('UA', 5209, 'JFK', 3797, 'FRA', 340, 'Y', 0, '388 744\r'),
	('UA', 5209, 'JFK', 3797, 'GVA', 1665, 'Y', 0, '333\r'),
	('UA', 5209, 'JFK', 3797, 'IAD', 3714, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'JFK', 3797, 'ICN', 3930, 'Y', 0, '77W\r'),
	('UA', 5209, 'JFK', 3797, 'JNB', 813, 'Y', 0, '346\r'),
	('UA', 5209, 'JFK', 3797, 'LAX', 3484, '', 0, '757\r'),
	('UA', 5209, 'JFK', 3797, 'MUC', 346, 'Y', 0, '333\r'),
	('UA', 5209, 'JFK', 3797, 'NRT', 2279, 'Y', 0, '77W\r'),
	('UA', 5209, 'JFK', 3797, 'PEK', 3364, 'Y', 0, '773\r'),
	('UA', 5209, 'JFK', 3797, 'PTY', 1871, 'Y', 0, '738\r'),
	('UA', 5209, 'JFK', 3797, 'SAL', 1892, 'Y', 0, '320\r'),
	('UA', 5209, 'JFK', 3797, 'SFO', 3469, '', 0, '757\r'),
	('UA', 5209, 'JFK', 3797, 'VIE', 1613, 'Y', 0, '772\r'),
	('UA', 5209, 'JFK', 3797, 'ZRH', 1678, 'Y', 0, '333\r'),
	('UA', 5209, 'JHW', 7059, 'BFD', 5722, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'JHW', 7059, 'CLE', 3486, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'JNB', 813, 'DKR', 1084, 'Y', 0, '343\r'),
	('UA', 5209, 'JNB', 813, 'JFK', 3797, 'Y', 0, '346\r'),
	('UA', 5209, 'JST', 4169, 'AOO', 3694, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'JST', 4169, 'IAD', 3714, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'KGL', 1165, 'EBB', 1187, 'Y', 0, '332\r'),
	('UA', 5209, 'KGL', 1165, 'NBO', 4059, 'Y', 0, '332\r'),
	('UA', 5209, 'KIX', 3992, 'GUM', 2246, '', 0, '73G 738\r'),
	('UA', 5209, 'KIX', 3992, 'SFO', 3469, '', 0, '777 788\r'),
	('UA', 5209, 'KOA', 3514, 'DEN', 3751, '', 0, '752\r'),
	('UA', 5209, 'KOA', 3514, 'LAX', 3484, '', 0, '753\r'),
	('UA', 5209, 'KOA', 3514, 'SFO', 3469, '', 0, '753 739 738\r'),
	('UA', 5209, 'KSA', 2257, 'KWA', 2251, '', 0, '738\r'),
	('UA', 5209, 'KSA', 2257, 'PNI', 2255, '', 0, '738\r'),
	('UA', 5209, 'KWA', 2251, 'KSA', 2257, '', 0, '738\r'),
	('UA', 5209, 'KWA', 2251, 'MAJ', 2249, '', 0, '738\r'),
	('UA', 5209, 'KWA', 2251, 'PNI', 2255, '', 0, '738\r'),
	('UA', 5209, 'KWI', 2176, 'BAH', 2057, '', 0, '777\r'),
	('UA', 5209, 'KWI', 2176, 'IAD', 3714, '', 0, '777\r'),
	('UA', 5209, 'LAD', 951, 'FIH', 1020, 'Y', 0, '333\r'),
	('UA', 5209, 'LAN', 3544, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'LAR', 5746, 'DEN', 3751, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LAS', 3877, 'CLE', 3486, '', 0, '739 738\r'),
	('UA', 5209, 'LAS', 3877, 'DEN', 3751, '', 0, '320 752 319 738 739\r'),
	('UA', 5209, 'LAS', 3877, 'EWR', 3494, '', 0, '738 739 753 752 320\r'),
	('UA', 5209, 'LAS', 3877, 'FAT', 3687, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LAS', 3877, 'IAD', 3714, '', 0, '320 752 739\r'),
	('UA', 5209, 'LAS', 3877, 'IAH', 3550, '', 0, '738 319 739 320 73G\r'),
	('UA', 5209, 'LAS', 3877, 'LAX', 3484, '', 0, '752 738 319 320 739\r'),
	('UA', 5209, 'LAS', 3877, 'ORD', 3830, '', 0, '73G 738 739 320 752 319\r'),
	('UA', 5209, 'LAS', 3877, 'PSP', 3839, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LAS', 3877, 'PTY', 1871, 'Y', 0, '738\r'),
	('UA', 5209, 'LAS', 3877, 'SFO', 3469, '', 0, '739 738 320 752 319 753\r'),
	('UA', 5209, 'LAX', 3484, 'ABQ', 4019, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'AKL', 2006, 'Y', 0, '773 772\r'),
	('UA', 5209, 'LAX', 3484, 'ASE', 7001, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'AUS', 3673, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'BFL', 3558, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LAX', 3484, 'BJX', 1815, '', 0, '319\r'),
	('UA', 5209, 'LAX', 3484, 'BOI', 3495, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'LAX', 3484, 'BOS', 3448, '', 0, '752 753 320 739\r'),
	('UA', 5209, 'LAX', 3484, 'BWI', 3849, '', 0, '738 319 320 739\r'),
	('UA', 5209, 'LAX', 3484, 'CLD', 4088, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LAX', 3484, 'CLE', 3486, '', 0, '738 320 319 739\r'),
	('UA', 5209, 'LAX', 3484, 'COS', 3819, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'LAX', 3484, 'CUN', 1852, '', 0, '739 738\r'),
	('UA', 5209, 'LAX', 3484, 'DEN', 3751, '', 0, '752 739 738 320 753 319\r'),
	('UA', 5209, 'LAX', 3484, 'DFW', 3670, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'DGO', 1801, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'LAX', 3484, 'EWR', 3494, '', 0, '738 319 752 739 320 753\r'),
	('UA', 5209, 'LAX', 3484, 'FAT', 3687, 'Y', 0, 'EM2 CR7\r'),
	('UA', 5209, 'LAX', 3484, 'FRA', 340, 'Y', 0, '74H\r'),
	('UA', 5209, 'LAX', 3484, 'GDL', 1804, '', 0, '319\r'),
	('UA', 5209, 'LAX', 3484, 'HND', 2359, 'Y', 0, '777\r'),
	('UA', 5209, 'LAX', 3484, 'HNL', 3728, '', 0, '777 738 753 739\r'),
	('UA', 5209, 'LAX', 3484, 'IAD', 3714, '', 0, '753 320 752 739 738\r'),
	('UA', 5209, 'LAX', 3484, 'IAH', 3550, '', 0, '739 320 738 319 752 753\r'),
	('UA', 5209, 'LAX', 3484, 'ICN', 3930, 'Y', 0, '77L 744\r'),
	('UA', 5209, 'LAX', 3484, 'ICT', 3457, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'IGM', 6132, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'LAX', 3484, 'ITO', 3415, '', 0, '738\r'),
	('UA', 5209, 'LAX', 3484, 'JFK', 3797, '', 0, '757\r'),
	('UA', 5209, 'LAX', 3484, 'KOA', 3514, '', 0, '753\r'),
	('UA', 5209, 'LAX', 3484, 'LAS', 3877, '', 0, '739 319 738 320 752\r'),
	('UA', 5209, 'LAX', 3484, 'LHR', 507, '', 0, '777\r'),
	('UA', 5209, 'LAX', 3484, 'LIH', 3602, '', 0, '752\r'),
	('UA', 5209, 'LAX', 3484, 'MCO', 3878, '', 0, '739\r'),
	('UA', 5209, 'LAX', 3484, 'MEX', 1824, '', 0, '320\r'),
	('UA', 5209, 'LAX', 3484, 'MRY', 3948, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'LAX', 3484, 'MSP', 3858, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'MSY', 3861, '', 0, '320 319 738\r'),
	('UA', 5209, 'LAX', 3484, 'MUC', 346, 'Y', 0, '346\r'),
	('UA', 5209, 'LAX', 3484, 'NRT', 2279, '', 0, '788\r'),
	('UA', 5209, 'LAX', 3484, 'OGG', 3456, '', 0, '753 738\r'),
	('UA', 5209, 'LAX', 3484, 'OKC', 3863, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'ORD', 3830, '', 0, '739 738 752 320 319 753\r'),
	('UA', 5209, 'LAX', 3484, 'PDX', 3720, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'LAX', 3484, 'PEK', 3364, 'Y', 0, '773\r'),
	('UA', 5209, 'LAX', 3484, 'PHX', 3462, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'LAX', 3484, 'PIT', 3570, '', 0, '319 738\r'),
	('UA', 5209, 'LAX', 3484, 'PSP', 3839, 'Y', 0, 'EM2 CR7 CRJ\r'),
	('UA', 5209, 'LAX', 3484, 'PTY', 1871, 'Y', 0, '738\r'),
	('UA', 5209, 'LAX', 3484, 'PVG', 3406, '', 0, '788\r'),
	('UA', 5209, 'LAX', 3484, 'PVR', 1836, '', 0, '738\r'),
	('UA', 5209, 'LAX', 3484, 'RNO', 3807, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'SAL', 1892, 'Y', 0, '320 321\r'),
	('UA', 5209, 'LAX', 3484, 'SAN', 3731, 'Y', 0, 'EM2 CR7\r'),
	('UA', 5209, 'LAX', 3484, 'SAT', 3621, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'SBA', 3949, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LAX', 3484, 'SBP', 5768, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LAX', 3484, 'SEA', 3577, '', 0, '319 738 320 752\r'),
	('UA', 5209, 'LAX', 3484, 'SFO', 3469, '', 0, '739 752 753 319 320 738\r'),
	('UA', 5209, 'LAX', 3484, 'SJC', 3748, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'SJD', 1840, '', 0, '739 320\r'),
	('UA', 5209, 'LAX', 3484, 'SLC', 3536, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'LAX', 3484, 'SMF', 3817, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'LAX', 3484, 'SMX', 5772, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LAX', 3484, 'SYD', 3361, '', 0, '777\r'),
	('UA', 5209, 'LAX', 3484, 'TUS', 3636, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'LAX', 3484, 'YLW', 87, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'YUL', 146, 'Y', 0, '319\r'),
	('UA', 5209, 'LAX', 3484, 'YUM', 3596, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LAX', 3484, 'YVR', 156, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'LAX', 3484, 'YYZ', 193, 'Y', 0, '320 321\r'),
	('UA', 5209, 'LAX', 3484, 'ZRH', 1678, 'Y', 0, '343\r'),
	('UA', 5209, 'LBB', 3829, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'LBB', 3829, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'LBL', 4341, 'DDC', 5733, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'LBL', 4341, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'LCH', 3513, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'LED', 2948, 'VIE', 1613, 'Y', 0, '100 F70\r'),
	('UA', 5209, 'LEX', 4017, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'LEX', 4017, 'ORD', 3830, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'LFT', 3493, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'LFW', 298, 'BRU', 302, 'Y', 0, '333\r'),
	('UA', 5209, 'LGA', 3697, 'CLE', 3486, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'LGA', 3697, 'DEN', 3751, '', 0, '752 320 738\r'),
	('UA', 5209, 'LGA', 3697, 'IAD', 3714, 'Y', 0, 'CRJ ERJ E70 CR7\r'),
	('UA', 5209, 'LGA', 3697, 'IAH', 3550, '', 0, '738 320 73G 319\r'),
	('UA', 5209, 'LGA', 3697, 'ORD', 3830, '', 0, '319 320 738 73G 752\r'),
	('UA', 5209, 'LGA', 3697, 'YOW', 100, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'LGA', 3697, 'YUL', 146, 'Y', 0, 'E75\r'),
	('UA', 5209, 'LGA', 3697, 'YYZ', 193, 'Y', 0, 'E90 CRA E75\r'),
	('UA', 5209, 'LHR', 507, 'EWR', 3494, '', 0, '763 777 752\r'),
	('UA', 5209, 'LHR', 507, 'IAD', 3714, '', 0, '752 777\r'),
	('UA', 5209, 'LHR', 507, 'IAH', 3550, '', 0, '763 788\r'),
	('UA', 5209, 'LHR', 507, 'LAX', 3484, '', 0, '777\r'),
	('UA', 5209, 'LHR', 507, 'ORD', 3830, '', 0, '763\r'),
	('UA', 5209, 'LHR', 507, 'SFO', 3469, '', 0, '777\r'),
	('UA', 5209, 'LIH', 3602, 'DEN', 3751, '', 0, '752\r'),
	('UA', 5209, 'LIH', 3602, 'HNL', 3728, 'Y', 0, 'AT7\r'),
	('UA', 5209, 'LIH', 3602, 'LAX', 3484, '', 0, '752\r'),
	('UA', 5209, 'LIH', 3602, 'SFO', 3469, '', 0, '752\r'),
	('UA', 5209, 'LIM', 2789, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'LIM', 2789, 'IAH', 3550, '', 0, '763\r'),
	('UA', 5209, 'LIM', 2789, 'MIA', 3576, 'Y', 0, '330\r'),
	('UA', 5209, 'LIR', 1881, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'LIR', 1881, 'IAH', 3550, '', 0, '739 738\r'),
	('UA', 5209, 'LIS', 1638, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'LIS', 1638, 'MIA', 3576, 'Y', 0, '332 343\r'),
	('UA', 5209, 'LIS', 1638, 'TMS', 973, 'Y', 0, '313\r'),
	('UA', 5209, 'LIT', 3660, 'DEN', 3751, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'LIT', 3660, 'IAH', 3550, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'LIT', 3660, 'ORD', 3830, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'LMT', 5750, 'PDX', 3720, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LMT', 5750, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'LNK', 3543, 'DEN', 3751, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'LNK', 3543, 'ORD', 3830, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'LOS', 273, 'FRA', 340, 'Y', 0, '333\r'),
	('UA', 5209, 'LOS', 273, 'IAH', 3550, '', 0, '788\r'),
	('UA', 5209, 'LOS', 273, 'PHC', 275, 'Y', 0, '333\r'),
	('UA', 5209, 'LRD', 3691, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'LWB', 6958, 'IAD', 3714, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MAD', 1229, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'MAF', 3652, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'MAF', 3652, 'IAH', 3550, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'MAJ', 2249, 'HNL', 3728, '', 0, '738\r'),
	('UA', 5209, 'MAJ', 2249, 'KWA', 2251, '', 0, '738\r'),
	('UA', 5209, 'MAN', 478, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'MBJ', 1780, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'MBJ', 1780, 'IAD', 3714, '', 0, '738\r'),
	('UA', 5209, 'MBJ', 1780, 'IAH', 3550, '', 0, '739 738\r'),
	('UA', 5209, 'MBS', 4128, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'MCI', 3458, 'CLE', 3486, 'Y', 0, 'ERJ DH4\r'),
	('UA', 5209, 'MCI', 3458, 'DEN', 3751, '', 0, 'DH4 73G 738\r'),
	('UA', 5209, 'MCI', 3458, 'EWR', 3494, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'MCI', 3458, 'IAD', 3714, 'Y', 0, 'ERJ CR7 E70\r'),
	('UA', 5209, 'MCI', 3458, 'IAH', 3550, 'Y', 0, 'ERJ CRJ E70\r'),
	('UA', 5209, 'MCI', 3458, 'ORD', 3830, 'Y', 0, 'ERJ CR7 E70 CRJ\r'),
	('UA', 5209, 'MCI', 3458, 'SFO', 3469, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'MCO', 3878, 'CLE', 3486, '', 0, '73G 320 738\r'),
	('UA', 5209, 'MCO', 3878, 'DEN', 3751, '', 0, '752 738 739\r'),
	('UA', 5209, 'MCO', 3878, 'EWR', 3494, '', 0, '752 738 739 320\r'),
	('UA', 5209, 'MCO', 3878, 'FLL', 3533, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MCO', 3878, 'FRA', 340, 'Y', 0, '744\r'),
	('UA', 5209, 'MCO', 3878, 'GNV', 3472, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MCO', 3878, 'IAD', 3714, '', 0, '752 320 738\r'),
	('UA', 5209, 'MCO', 3878, 'IAH', 3550, '', 0, '738 739 320 752\r'),
	('UA', 5209, 'MCO', 3878, 'LAX', 3484, '', 0, '752\r'),
	('UA', 5209, 'MCO', 3878, 'MHH', 1930, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MCO', 3878, 'ORD', 3830, '', 0, '73G 738 320 752 739\r'),
	('UA', 5209, 'MCO', 3878, 'PNS', 3564, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MCO', 3878, 'PTY', 1871, '', 0, '73G 738\r'),
	('UA', 5209, 'MCO', 3878, 'RSW', 3793, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MCO', 3878, 'SFO', 3469, '', 0, '753 752 738 739\r'),
	('UA', 5209, 'MCO', 3878, 'TLH', 3698, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MCT', 2194, 'AUH', 2179, 'Y', 0, '333\r'),
	('UA', 5209, 'MDE', 2745, 'MIA', 3576, 'Y', 0, '319 320\r'),
	('UA', 5209, 'MDT', 3542, 'IAD', 3714, 'Y', 0, 'ER4\r'),
	('UA', 5209, 'MDT', 3542, 'ORD', 3830, '', 0, '320 319\r'),
	('UA', 5209, 'MEL', 3339, 'SYD', 3361, '', 0, '777\r'),
	('UA', 5209, 'MEM', 3473, 'DEN', 3751, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'MEM', 3473, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MEM', 3473, 'IAH', 3550, 'Y', 0, 'ERJ ER4 CRJ\r'),
	('UA', 5209, 'MEM', 3473, 'ORD', 3830, 'Y', 0, 'ER4 ERJ CRJ\r'),
	('UA', 5209, 'MEX', 1824, 'DEN', 3751, '', 0, '319\r'),
	('UA', 5209, 'MEX', 1824, 'EWR', 3494, '', 0, '738 73G\r'),
	('UA', 5209, 'MEX', 1824, 'IAD', 3714, '', 0, '320\r'),
	('UA', 5209, 'MEX', 1824, 'IAH', 3550, '', 0, '319 73G 320 738\r'),
	('UA', 5209, 'MEX', 1824, 'LAX', 3484, '', 0, '320\r'),
	('UA', 5209, 'MEX', 1824, 'ORD', 3830, '', 0, '320\r'),
	('UA', 5209, 'MEX', 1824, 'SFO', 3469, '', 0, '320\r'),
	('UA', 5209, 'MFE', 3826, 'IAH', 3550, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'MFR', 4101, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'MFR', 4101, 'SFO', 3469, 'Y', 0, 'CRJ EM2\r'),
	('UA', 5209, 'MGA', 1863, 'IAH', 3550, '', 0, '739 738\r'),
	('UA', 5209, 'MGW', 4284, 'CKB', 5730, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MGW', 4284, 'IAD', 3714, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MHH', 1930, 'FLL', 3533, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MHH', 1930, 'JAX', 3712, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MHH', 1930, 'MCO', 3878, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MHH', 1930, 'PBI', 3722, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'MHT', 4011, 'EWR', 3494, 'Y', 0, 'ERJ DH3 DH2\r'),
	('UA', 5209, 'MHT', 4011, 'ORD', 3830, 'Y', 0, 'ERJ CR7\r'),
	('UA', 5209, 'MIA', 3576, 'BAQ', 2710, 'Y', 0, '318 320\r'),
	('UA', 5209, 'MIA', 3576, 'BOG', 2709, 'Y', 0, '330\r'),
	('UA', 5209, 'MIA', 3576, 'CLO', 2715, 'Y', 0, '319 318 320\r'),
	('UA', 5209, 'MIA', 3576, 'CTG', 2714, 'Y', 0, '318 320\r'),
	('UA', 5209, 'MIA', 3576, 'DEN', 3751, '', 0, '319\r'),
	('UA', 5209, 'MIA', 3576, 'EWR', 3494, '', 0, '739 738 320 73G\r'),
	('UA', 5209, 'MIA', 3576, 'FRA', 340, 'Y', 0, '388\r'),
	('UA', 5209, 'MIA', 3576, 'GUA', 1767, 'Y', 0, 'E90\r'),
	('UA', 5209, 'MIA', 3576, 'IAD', 3714, '', 0, '319\r'),
	('UA', 5209, 'MIA', 3576, 'IAH', 3550, '', 0, '739 319 738 73G\r'),
	('UA', 5209, 'MIA', 3576, 'LIM', 2789, 'Y', 0, '330\r'),
	('UA', 5209, 'MIA', 3576, 'LIS', 1638, 'Y', 0, '332 343\r'),
	('UA', 5209, 'MIA', 3576, 'MDE', 2745, 'Y', 0, '319 320\r'),
	('UA', 5209, 'MIA', 3576, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'MIA', 3576, 'PTY', 1871, '', 0, '738\r'),
	('UA', 5209, 'MIA', 3576, 'SAL', 1892, 'Y', 0, '320 E90\r'),
	('UA', 5209, 'MIA', 3576, 'SAP', 1772, 'Y', 0, '320 E90 319\r'),
	('UA', 5209, 'MIA', 3576, 'ZRH', 1678, 'Y', 0, '333\r'),
	('UA', 5209, 'MID', 1819, 'IAH', 3550, '', 0, '738 73G\r'),
	('UA', 5209, 'MKE', 3717, 'CLE', 3486, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'MKE', 3717, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'MKE', 3717, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MKE', 3717, 'IAH', 3550, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'MKE', 3717, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'MKG', 5754, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'MLI', 4072, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MLI', 4072, 'ORD', 3830, 'Y', 0, 'ER4 CRJ ERJ CR7\r'),
	('UA', 5209, 'MLM', 1821, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MLU', 3732, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MNL', 2397, 'GUM', 2246, '', 0, '738\r'),
	('UA', 5209, 'MNL', 2397, 'ROR', 2256, 'Y', 0, '738\r'),
	('UA', 5209, 'MOB', 3782, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MOB', 3782, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MOD', 3816, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'MOT', 3498, 'DEN', 3751, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'MRY', 3948, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'MRY', 3948, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'MRY', 3948, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'MSN', 3459, 'DEN', 3751, 'Y', 0, 'CR7 CRJ ERJ\r'),
	('UA', 5209, 'MSN', 3459, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MSN', 3459, 'ORD', 3830, 'Y', 0, 'ERJ CR7 CRJ\r'),
	('UA', 5209, 'MSO', 4216, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'MSP', 3858, 'CLE', 3486, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MSP', 3858, 'DEN', 3751, '', 0, '320\r'),
	('UA', 5209, 'MSP', 3858, 'EWR', 3494, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'MSP', 3858, 'IAD', 3714, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'MSP', 3858, 'IAH', 3550, 'Y', 0, 'CR7 ERJ E70\r'),
	('UA', 5209, 'MSP', 3858, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'MSP', 3858, 'ORD', 3830, '', 0, '73G 738 319\r'),
	('UA', 5209, 'MSP', 3858, 'SFO', 3469, '', 0, '320 739 319\r'),
	('UA', 5209, 'MSP', 3858, 'YYZ', 193, 'Y', 0, 'CRA CRJ\r'),
	('UA', 5209, 'MSY', 3861, 'CLE', 3486, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MSY', 3861, 'DEN', 3751, '', 0, '320 738\r'),
	('UA', 5209, 'MSY', 3861, 'EWR', 3494, '', 0, '738 320 319\r'),
	('UA', 5209, 'MSY', 3861, 'IAD', 3714, '', 0, '320 319\r'),
	('UA', 5209, 'MSY', 3861, 'IAH', 3550, '', 0, '319 738 73G 320\r'),
	('UA', 5209, 'MSY', 3861, 'LAX', 3484, '', 0, '738 739\r'),
	('UA', 5209, 'MSY', 3861, 'ORD', 3830, '', 0, '320 319\r'),
	('UA', 5209, 'MSY', 3861, 'SFO', 3469, '', 0, '320 319 738\r'),
	('UA', 5209, 'MSY', 3861, 'YYZ', 193, 'Y', 0, 'CRA\r'),
	('UA', 5209, 'MTJ', 6880, 'DEN', 3751, '', 0, 'DH4\r'),
	('UA', 5209, 'MTY', 1825, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'MTY', 1825, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'MUC', 346, 'BOS', 3448, 'Y', 0, '333\r'),
	('UA', 5209, 'MUC', 346, 'EWR', 3494, '', 0, '764\r'),
	('UA', 5209, 'MUC', 346, 'IAD', 3714, '', 0, '764\r'),
	('UA', 5209, 'MUC', 346, 'IAH', 3550, '', 0, '764\r'),
	('UA', 5209, 'MUC', 346, 'JFK', 3797, 'Y', 0, '333\r'),
	('UA', 5209, 'MUC', 346, 'LAX', 3484, 'Y', 0, '346\r'),
	('UA', 5209, 'MUC', 346, 'ORD', 3830, '', 0, '763 777\r'),
	('UA', 5209, 'MUC', 346, 'SFO', 3469, 'Y', 0, '346\r'),
	('UA', 5209, 'MXP', 1524, 'EWR', 3494, '', 0, '764\r'),
	('UA', 5209, 'MYR', 3515, 'EWR', 3494, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'MYR', 3515, 'ORD', 3830, 'Y', 0, 'E70\r'),
	('UA', 5209, 'NAS', 1953, 'EWR', 3494, '', 0, '320 738\r'),
	('UA', 5209, 'NAS', 1953, 'IAH', 3550, '', 0, '320 738 739\r'),
	('UA', 5209, 'NAS', 1953, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'NBO', 4059, 'BRU', 302, 'Y', 0, '332\r'),
	('UA', 5209, 'NBO', 4059, 'DAR', 1177, 'Y', 0, '333\r'),
	('UA', 5209, 'NBO', 4059, 'ZRH', 1678, 'Y', 0, '333\r'),
	('UA', 5209, 'NGO', 3942, 'GUM', 2246, '', 0, '73G 738\r'),
	('UA', 5209, 'NRT', 2279, 'BKK', 3885, 'Y', 0, '777\r'),
	('UA', 5209, 'NRT', 2279, 'DEN', 3751, '', 0, '788\r'),
	('UA', 5209, 'NRT', 2279, 'EWR', 3494, '', 0, '777\r'),
	('UA', 5209, 'NRT', 2279, 'GUM', 2246, '', 0, '777 738\r'),
	('UA', 5209, 'NRT', 2279, 'HNL', 3728, '', 0, '744\r'),
	('UA', 5209, 'NRT', 2279, 'IAD', 3714, '', 0, '777\r'),
	('UA', 5209, 'NRT', 2279, 'IAH', 3550, '', 0, '777\r'),
	('UA', 5209, 'NRT', 2279, 'ICN', 3930, '', 0, '738\r'),
	('UA', 5209, 'NRT', 2279, 'JFK', 3797, 'Y', 0, '77W\r'),
	('UA', 5209, 'NRT', 2279, 'LAX', 3484, '', 0, '788\r'),
	('UA', 5209, 'NRT', 2279, 'ORD', 3830, '', 0, '744\r'),
	('UA', 5209, 'NRT', 2279, 'SEA', 3577, 'Y', 0, '788\r'),
	('UA', 5209, 'NRT', 2279, 'SFO', 3469, '', 0, '744\r'),
	('UA', 5209, 'NRT', 2279, 'SIN', 3316, '', 0, '777\r'),
	('UA', 5209, 'NRT', 2279, 'SJC', 3748, 'Y', 0, '788\r'),
	('UA', 5209, 'NSI', 4161, 'BRU', 302, 'Y', 0, '332\r'),
	('UA', 5209, 'NSI', 4161, 'DLA', 897, 'Y', 0, '332\r'),
	('UA', 5209, 'OAX', 1829, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'OGG', 3456, 'DEN', 3751, '', 0, '752\r'),
	('UA', 5209, 'OGG', 3456, 'HNL', 3728, 'Y', 0, 'AT7\r'),
	('UA', 5209, 'OGG', 3456, 'LAX', 3484, '', 0, '753 738\r'),
	('UA', 5209, 'OGG', 3456, 'ORD', 3830, '', 0, '777\r'),
	('UA', 5209, 'OGG', 3456, 'SFO', 3469, '', 0, '753 738\r'),
	('UA', 5209, 'OKC', 3863, 'DEN', 3751, 'Y', 0, 'DH4 ERJ CRJ\r'),
	('UA', 5209, 'OKC', 3863, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'OKC', 3863, 'IAD', 3714, 'Y', 0, 'E70 CR7\r'),
	('UA', 5209, 'OKC', 3863, 'IAH', 3550, '', 0, '738 319 320 739\r'),
	('UA', 5209, 'OKC', 3863, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'OKC', 3863, 'ORD', 3830, 'Y', 0, 'E70 ERJ ER4 CR7\r'),
	('UA', 5209, 'OKC', 3863, 'SFO', 3469, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'OKJ', 2327, 'GUM', 2246, '', 0, '73G\r'),
	('UA', 5209, 'OMA', 3454, 'DEN', 3751, '', 0, '738 73G 319\r'),
	('UA', 5209, 'OMA', 3454, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'OMA', 3454, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'OMA', 3454, 'ORD', 3830, '', 0, '738 319 73G\r'),
	('UA', 5209, 'ONT', 3734, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ONT', 3734, 'IAH', 3550, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'ONT', 3734, 'SFO', 3469, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'ABE', 4355, 'Y', 0, 'ERJ ER4\r'),
	('UA', 5209, 'ORD', 3830, 'ABQ', 4019, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'ORD', 3830, 'ACY', 3524, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'ALB', 3864, '', 0, '319 73G 738 739\r'),
	('UA', 5209, 'ORD', 3830, 'AMS', 580, '', 0, '763\r'),
	('UA', 5209, 'ORD', 3830, 'ANC', 3774, '', 0, '738\r'),
	('UA', 5209, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'ORD', 3830, 'ATW', 4047, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'ORD', 3830, 'AUS', 3673, '', 0, '319 320\r'),
	('UA', 5209, 'ORD', 3830, 'AVL', 4007, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'AVP', 4286, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'BDL', 3825, '', 0, '73G 738 319\r'),
	('UA', 5209, 'ORD', 3830, 'BHM', 3811, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'BNA', 3690, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'BOI', 3495, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'ORD', 3830, 'BOS', 3448, '', 0, '320 752 739 738 73G 319\r'),
	('UA', 5209, 'ORD', 3830, 'BRU', 302, '', 0, '777\r'),
	('UA', 5209, 'ORD', 3830, 'BTV', 3711, 'Y', 0, 'ERJ CR7 CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'BUF', 3820, '', 0, '738 739 320\r'),
	('UA', 5209, 'ORD', 3830, 'BWI', 3849, '', 0, '319 320 739 738\r'),
	('UA', 5209, 'ORD', 3830, 'BZN', 4020, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'ORD', 3830, 'CAE', 3561, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'CAK', 4112, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'CDG', 1382, '', 0, '763\r'),
	('UA', 5209, 'ORD', 3830, 'CHS', 3806, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'ORD', 3830, 'CID', 4043, 'Y', 0, 'ER4 CRJ CR7 ERJ E70\r'),
	('UA', 5209, 'ORD', 3830, 'CLE', 3486, '', 0, '73G 738\r'),
	('UA', 5209, 'ORD', 3830, 'CLT', 3876, '', 0, '320 319\r'),
	('UA', 5209, 'ORD', 3830, 'CMH', 3759, '', 0, '738 319 739\r'),
	('UA', 5209, 'ORD', 3830, 'CMX', 5732, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'COS', 3819, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'ORD', 3830, 'CRW', 4285, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'CUN', 1852, '', 0, '739 738\r'),
	('UA', 5209, 'ORD', 3830, 'CVG', 3488, 'Y', 0, 'CR7 ERJ ER4 CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'CWA', 4045, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'DAY', 3627, 'Y', 0, 'ER4 ERJ CR7 CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'DCA', 3520, '', 0, '320 319 738 73G 752\r'),
	('UA', 5209, 'ORD', 3830, 'DEN', 3751, '', 0, '752 738 320 739 73G 753 319\r'),
	('UA', 5209, 'ORD', 3830, 'DFW', 3670, '', 0, '73G 738 320\r'),
	('UA', 5209, 'ORD', 3830, 'DLH', 3598, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'DSM', 3729, '', 0, '319 73G\r'),
	('UA', 5209, 'ORD', 3830, 'DTW', 3645, '', 0, '320\r'),
	('UA', 5209, 'ORD', 3830, 'DUB', 599, 'Y', 0, '330 332\r'),
	('UA', 5209, 'ORD', 3830, 'DUS', 345, 'Y', 0, '343\r'),
	('UA', 5209, 'ORD', 3830, 'EAU', 5735, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'ELM', 3946, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'EWR', 3494, '', 0, '319 320 73G 763 752 739 738\r'),
	('UA', 5209, 'ORD', 3830, 'FAR', 4292, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'FLL', 3533, '', 0, '738 752 320 739\r'),
	('UA', 5209, 'ORD', 3830, 'FOE', 3843, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'FRA', 340, '', 0, '777 744\r'),
	('UA', 5209, 'ORD', 3830, 'FSD', 4009, 'Y', 0, 'ERJ CRJ CR7\r'),
	('UA', 5209, 'ORD', 3830, 'FWA', 4041, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'GRB', 3653, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'GRR', 3685, '', 0, '319 320\r'),
	('UA', 5209, 'ORD', 3830, 'GRU', 2564, '', 0, '777\r'),
	('UA', 5209, 'ORD', 3830, 'GSO', 4008, 'Y', 0, 'ERJ CR7 CRJ ER4\r'),
	('UA', 5209, 'ORD', 3830, 'GSP', 4034, 'Y', 0, 'ER4 ERJ CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'HKG', 3077, '', 0, '777\r'),
	('UA', 5209, 'ORD', 3830, 'HNL', 3728, '', 0, '777\r'),
	('UA', 5209, 'ORD', 3830, 'HPN', 3589, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'HSV', 4113, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'IAD', 3714, '', 0, '777 320 752 739 73G 753 319\r'),
	('UA', 5209, 'ORD', 3830, 'IAH', 3550, '', 0, '739 738 752 320 73G 319\r'),
	('UA', 5209, 'ORD', 3830, 'ICT', 3457, 'Y', 0, 'ER4 ERJ CR7 CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'IND', 3585, 'Y', 0, 'ERJ CRJ CR7 E70\r'),
	('UA', 5209, 'ORD', 3830, 'JAN', 3580, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'JAX', 3712, '', 0, '73G 320\r'),
	('UA', 5209, 'ORD', 3830, 'LAN', 3544, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'LAS', 3877, '', 0, '738 752 320 319 73G 739 753\r'),
	('UA', 5209, 'ORD', 3830, 'LAX', 3484, '', 0, '738 753 320 739 752 319\r'),
	('UA', 5209, 'ORD', 3830, 'LEX', 4017, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'LGA', 3697, '', 0, '738 320 319 752 73G\r'),
	('UA', 5209, 'ORD', 3830, 'LHR', 507, '', 0, '763\r'),
	('UA', 5209, 'ORD', 3830, 'LIT', 3660, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'LNK', 3543, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'MBS', 4128, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'MCI', 3458, '', 0, '73G 738\r'),
	('UA', 5209, 'ORD', 3830, 'MCO', 3878, '', 0, '739 752 73G 320 738\r'),
	('UA', 5209, 'ORD', 3830, 'MDT', 3542, '', 0, '319 320\r'),
	('UA', 5209, 'ORD', 3830, 'MEM', 3473, 'Y', 0, 'ER4 CRJ ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'MEX', 1824, '', 0, '320 319\r'),
	('UA', 5209, 'ORD', 3830, 'MHT', 4011, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'MIA', 3576, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'ORD', 3830, 'MKE', 3717, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'MKG', 5754, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'MLI', 4072, 'Y', 0, 'ER4 CRJ ERJ CR7\r'),
	('UA', 5209, 'ORD', 3830, 'MOB', 3782, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'MSN', 3459, 'Y', 0, 'CRJ CR7 ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'MSP', 3858, '', 0, '73G 738 319 320\r'),
	('UA', 5209, 'ORD', 3830, 'MSY', 3861, '', 0, '320 319\r'),
	('UA', 5209, 'ORD', 3830, 'MTY', 1825, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'ORD', 3830, 'MUC', 346, '', 0, '763 777\r'),
	('UA', 5209, 'ORD', 3830, 'MYR', 3515, 'Y', 0, 'E70\r'),
	('UA', 5209, 'ORD', 3830, 'NAS', 1953, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'ORD', 3830, 'NRT', 2279, '', 0, '744\r'),
	('UA', 5209, 'ORD', 3830, 'OGG', 3456, '', 0, '777\r'),
	('UA', 5209, 'ORD', 3830, 'OKC', 3863, 'Y', 0, 'E70 ER4 ERJ CR7\r'),
	('UA', 5209, 'ORD', 3830, 'OMA', 3454, '', 0, '319 73G 738\r'),
	('UA', 5209, 'ORD', 3830, 'ORF', 3611, 'Y', 0, 'CRJ ER4 ERJ CR7\r'),
	('UA', 5209, 'ORD', 3830, 'PAH', 4117, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'PDX', 3720, '', 0, '739 738 320 752 319\r'),
	('UA', 5209, 'ORD', 3830, 'PEK', 3364, '', 0, '777\r'),
	('UA', 5209, 'ORD', 3830, 'PHL', 3752, '', 0, '320 738 739 752 73G\r'),
	('UA', 5209, 'ORD', 3830, 'PHX', 3462, '', 0, '752 320 739 738\r'),
	('UA', 5209, 'ORD', 3830, 'PIA', 4046, 'Y', 0, 'ERJ ER4 CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'PIT', 3570, '', 0, '738 319 320 739\r'),
	('UA', 5209, 'ORD', 3830, 'PNS', 3564, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'PTY', 1871, 'Y', 0, '738\r'),
	('UA', 5209, 'ORD', 3830, 'PUJ', 1760, '', 0, '739 738\r'),
	('UA', 5209, 'ORD', 3830, 'PVD', 3641, '', 0, '320\r'),
	('UA', 5209, 'ORD', 3830, 'PVG', 3406, '', 0, '744\r'),
	('UA', 5209, 'ORD', 3830, 'PVR', 1836, '', 0, '739 320\r'),
	('UA', 5209, 'ORD', 3830, 'PWM', 3862, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'RAP', 4087, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'RDU', 3626, '', 0, '73G 738\r'),
	('UA', 5209, 'ORD', 3830, 'RIC', 3608, '', 0, '319\r'),
	('UA', 5209, 'ORD', 3830, 'ROA', 4016, 'Y', 0, 'ERJ ER4\r'),
	('UA', 5209, 'ORD', 3830, 'ROC', 3622, '', 0, '738 320 319\r'),
	('UA', 5209, 'ORD', 3830, 'RSW', 3793, '', 0, '738 320\r'),
	('UA', 5209, 'ORD', 3830, 'SAN', 3731, '', 0, '73G 320 738 739 319\r'),
	('UA', 5209, 'ORD', 3830, 'SAT', 3621, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'ORD', 3830, 'SAV', 3613, 'Y', 0, 'CR7 ERJ CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'SBN', 4359, 'Y', 0, 'CR7 ERJ CRJ E70\r'),
	('UA', 5209, 'ORD', 3830, 'SCE', 4318, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'SDF', 4014, 'Y', 0, 'ERJ CRJ E70\r'),
	('UA', 5209, 'ORD', 3830, 'SEA', 3577, '', 0, '320 752 738 739\r'),
	('UA', 5209, 'ORD', 3830, 'SFO', 3469, '', 0, '752 739 320 738 753 319 777\r'),
	('UA', 5209, 'ORD', 3830, 'SGF', 4348, 'Y', 0, 'ER4 CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'SJD', 1840, '', 0, '320\r'),
	('UA', 5209, 'ORD', 3830, 'SJO', 1885, '', 0, '738\r'),
	('UA', 5209, 'ORD', 3830, 'SJU', 2890, '', 0, '738 739\r'),
	('UA', 5209, 'ORD', 3830, 'SLC', 3536, 'Y', 0, 'CR7 E70\r'),
	('UA', 5209, 'ORD', 3830, 'SMF', 3817, '', 0, '319 739 320\r'),
	('UA', 5209, 'ORD', 3830, 'SNA', 3867, '', 0, '73G 752 319\r'),
	('UA', 5209, 'ORD', 3830, 'SPI', 4336, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'SRQ', 4067, '', 0, '738 319 320\r'),
	('UA', 5209, 'ORD', 3830, 'STC', 4271, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'STL', 3678, 'Y', 0, 'CR7 ERJ ER4\r'),
	('UA', 5209, 'ORD', 3830, 'STT', 2883, '', 0, '73G\r'),
	('UA', 5209, 'ORD', 3830, 'SXM', 2899, '', 0, '73G\r'),
	('UA', 5209, 'ORD', 3830, 'SYR', 3745, 'Y', 0, 'ER4 ERJ CR7 CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'TPA', 3646, '', 0, '739 73G 320 738\r'),
	('UA', 5209, 'ORD', 3830, 'TUL', 3855, 'Y', 0, 'ERJ CRJ CR7\r'),
	('UA', 5209, 'ORD', 3830, 'TVC', 4023, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'TYS', 3676, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'VIE', 1613, 'Y', 0, '763\r'),
	('UA', 5209, 'ORD', 3830, 'XNA', 4356, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'YEG', 49, 'Y', 0, 'E70 CR7\r'),
	('UA', 5209, 'ORD', 3830, 'YHZ', 73, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'YOW', 100, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'ORD', 3830, 'YQB', 111, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'YQR', 120, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'YUL', 146, 'Y', 0, 'CR7 E75 ERJ E70 CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'YVR', 156, '', 0, '319 320 739 73G 738\r'),
	('UA', 5209, 'ORD', 3830, 'YWG', 160, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'YXE', 166, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORD', 3830, 'YXU', 174, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'ORD', 3830, 'YYC', 178, '', 0, '73G\r'),
	('UA', 5209, 'ORD', 3830, 'YYZ', 193, '', 0, '320 73G 319\r'),
	('UA', 5209, 'ORD', 3830, 'ZRH', 1678, 'Y', 0, '333\r'),
	('UA', 5209, 'ORF', 3611, 'EWR', 3494, 'Y', 0, 'DH3 DH4 DH2\r'),
	('UA', 5209, 'ORF', 3611, 'IAD', 3714, 'Y', 0, 'ER4 CRJ ERJ DH4 CR7\r'),
	('UA', 5209, 'ORF', 3611, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ORF', 3611, 'ORD', 3830, 'Y', 0, 'CR7 ERJ CRJ ER4\r'),
	('UA', 5209, 'OSL', 644, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'OTH', 5757, 'SFO', 3469, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'OUA', 246, 'ABJ', 253, 'Y', 0, '333\r'),
	('UA', 5209, 'OUA', 246, 'BRU', 302, 'Y', 0, '333\r'),
	('UA', 5209, 'PAH', 4117, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'PBC', 1831, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'PBI', 3722, 'CLE', 3486, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'PBI', 3722, 'ELH', 1943, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'PBI', 3722, 'EWR', 3494, '', 0, '73G 739 738 319 320 752\r'),
	('UA', 5209, 'PBI', 3722, 'IAH', 3550, '', 0, '320\r'),
	('UA', 5209, 'PBI', 3722, 'MHH', 1930, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'PBI', 3722, 'TPA', 3646, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'PDX', 3720, 'DEN', 3751, '', 0, '739 738 752 320 73G\r'),
	('UA', 5209, 'PDX', 3720, 'EUG', 4099, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'PDX', 3720, 'EWR', 3494, '', 0, '739 319 738\r'),
	('UA', 5209, 'PDX', 3720, 'IAD', 3714, '', 0, '752 320\r'),
	('UA', 5209, 'PDX', 3720, 'IAH', 3550, '', 0, '319 739 320 738\r'),
	('UA', 5209, 'PDX', 3720, 'LAX', 3484, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'PDX', 3720, 'LMT', 5750, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'PDX', 3720, 'ORD', 3830, '', 0, '320 319 752 738 739\r'),
	('UA', 5209, 'PDX', 3720, 'RDM', 4103, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'PDX', 3720, 'SEA', 3577, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'PDX', 3720, 'SFO', 3469, '', 0, '319 739 320\r'),
	('UA', 5209, 'PDX', 3720, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('UA', 5209, 'PDX', 3720, 'YYC', 178, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'PEK', 3364, 'EWR', 3494, '', 0, '777\r'),
	('UA', 5209, 'PEK', 3364, 'HNL', 3728, 'Y', 0, '330\r'),
	('UA', 5209, 'PEK', 3364, 'IAD', 3714, '', 0, '777\r'),
	('UA', 5209, 'PEK', 3364, 'IAH', 3550, 'Y', 0, '773\r'),
	('UA', 5209, 'PEK', 3364, 'JFK', 3797, 'Y', 0, '773\r'),
	('UA', 5209, 'PEK', 3364, 'LAX', 3484, 'Y', 0, '773\r'),
	('UA', 5209, 'PEK', 3364, 'ORD', 3830, '', 0, '777\r'),
	('UA', 5209, 'PEK', 3364, 'SFO', 3469, '', 0, '744\r'),
	('UA', 5209, 'PGA', 4124, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'PHC', 275, 'LOS', 273, 'Y', 0, '333\r'),
	('UA', 5209, 'PHL', 3752, 'DEN', 3751, '', 0, '738 319 739 752 320\r'),
	('UA', 5209, 'PHL', 3752, 'IAD', 3714, 'Y', 0, 'ER4\r'),
	('UA', 5209, 'PHL', 3752, 'IAH', 3550, '', 0, '320 73G 738 739 319\r'),
	('UA', 5209, 'PHL', 3752, 'ORD', 3830, '', 0, '320 738 739 752 73G 319\r'),
	('UA', 5209, 'PHL', 3752, 'SFO', 3469, '', 0, '739 738 319 752\r'),
	('UA', 5209, 'PHL', 3752, 'YYZ', 193, 'Y', 0, 'E75\r'),
	('UA', 5209, 'PHX', 3462, 'CLE', 3486, '', 0, '320 738 319\r'),
	('UA', 5209, 'PHX', 3462, 'DEN', 3751, '', 0, '738 752 739 320\r'),
	('UA', 5209, 'PHX', 3462, 'EWR', 3494, '', 0, '319 739 320 738\r'),
	('UA', 5209, 'PHX', 3462, 'IAD', 3714, '', 0, '320 738\r'),
	('UA', 5209, 'PHX', 3462, 'IAH', 3550, '', 0, '738 320 739 319 73G\r'),
	('UA', 5209, 'PHX', 3462, 'LAX', 3484, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'PHX', 3462, 'ORD', 3830, '', 0, '319 739 738 320 752\r'),
	('UA', 5209, 'PHX', 3462, 'SFO', 3469, '', 0, '320\r'),
	('UA', 5209, 'PHX', 3462, 'SOW', 7078, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'PIA', 4046, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'PIA', 4046, 'ORD', 3830, 'Y', 0, 'ER4 ERJ CRJ\r'),
	('UA', 5209, 'PIR', 5761, 'DEN', 3751, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'PIR', 5761, 'HON', 3491, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'PIT', 3570, 'DEN', 3751, '', 0, '738 320 739\r'),
	('UA', 5209, 'PIT', 3570, 'EWR', 3494, '', 0, 'DH4\r'),
	('UA', 5209, 'PIT', 3570, 'IAD', 3714, 'Y', 0, 'DH4 ERJ CR7\r'),
	('UA', 5209, 'PIT', 3570, 'IAH', 3550, '', 0, '319 320 738 73G\r'),
	('UA', 5209, 'PIT', 3570, 'LAX', 3484, '', 0, '319 738 320\r'),
	('UA', 5209, 'PIT', 3570, 'ORD', 3830, '', 0, '738 320 319 73G\r'),
	('UA', 5209, 'PIT', 3570, 'SFO', 3469, '', 0, '320 319 738\r'),
	('UA', 5209, 'PIT', 3570, 'YYZ', 193, 'Y', 0, 'DH1\r'),
	('UA', 5209, 'PKB', 4114, 'CLE', 3486, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'PLS', 1754, 'EWR', 3494, '', 0, '739 738\r'),
	('UA', 5209, 'PNI', 2255, 'KSA', 2257, '', 0, '738\r'),
	('UA', 5209, 'PNI', 2255, 'KWA', 2251, '', 0, '738\r'),
	('UA', 5209, 'PNI', 2255, 'TKK', 2254, '', 0, '73G 738\r'),
	('UA', 5209, 'PNS', 3564, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'PNS', 3564, 'MCO', 3878, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'PNS', 3564, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'PNS', 3564, 'TPA', 3646, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'POP', 1761, 'EWR', 3494, '', 0, '739\r'),
	('UA', 5209, 'POS', 2902, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'POS', 2902, 'IAH', 3550, '', 0, '738\r'),
	('UA', 5209, 'PRG', 1587, 'BRU', 302, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'PSC', 6133, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'PSC', 6133, 'SFO', 3469, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'PSP', 3839, 'DEN', 3751, '', 0, '319\r'),
	('UA', 5209, 'PSP', 3839, 'IAH', 3550, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'PSP', 3839, 'LAS', 3877, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'PSP', 3839, 'LAX', 3484, 'Y', 0, 'EM2 CR7\r'),
	('UA', 5209, 'PSP', 3839, 'SFO', 3469, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'PTY', 1871, 'BOS', 3448, '', 0, '73G\r'),
	('UA', 5209, 'PTY', 1871, 'EWR', 3494, '', 0, '739\r'),
	('UA', 5209, 'PTY', 1871, 'IAD', 3714, '', 0, '73G\r'),
	('UA', 5209, 'PTY', 1871, 'IAH', 3550, '', 0, '739\r'),
	('UA', 5209, 'PTY', 1871, 'JFK', 3797, 'Y', 0, '738\r'),
	('UA', 5209, 'PTY', 1871, 'LAS', 3877, 'Y', 0, '738\r'),
	('UA', 5209, 'PTY', 1871, 'LAX', 3484, 'Y', 0, '738\r'),
	('UA', 5209, 'PTY', 1871, 'MCO', 3878, '', 0, '73G 738\r'),
	('UA', 5209, 'PTY', 1871, 'MIA', 3576, '', 0, '738\r'),
	('UA', 5209, 'PTY', 1871, 'ORD', 3830, 'Y', 0, '738\r'),
	('UA', 5209, 'PUB', 3527, 'DEN', 3751, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'PUJ', 1760, 'EWR', 3494, '', 0, '753 739\r'),
	('UA', 5209, 'PUJ', 1760, 'IAD', 3714, '', 0, '739\r'),
	('UA', 5209, 'PUJ', 1760, 'ORD', 3830, '', 0, '739 738\r'),
	('UA', 5209, 'PVD', 3641, 'EWR', 3494, 'Y', 0, 'DH3 DH2 ERJ\r'),
	('UA', 5209, 'PVD', 3641, 'IAD', 3714, 'Y', 0, 'DH4 CR7 DH2 CRJ\r'),
	('UA', 5209, 'PVD', 3641, 'ORD', 3830, '', 0, '320\r'),
	('UA', 5209, 'PVG', 3406, 'EWR', 3494, '', 0, '777\r'),
	('UA', 5209, 'PVG', 3406, 'LAX', 3484, '', 0, '788\r'),
	('UA', 5209, 'PVG', 3406, 'ORD', 3830, '', 0, '744\r'),
	('UA', 5209, 'PVG', 3406, 'SFO', 3469, '', 0, '744\r'),
	('UA', 5209, 'PVR', 1836, 'DEN', 3751, '', 0, '738\r'),
	('UA', 5209, 'PVR', 1836, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'PVR', 1836, 'IAH', 3550, '', 0, '738\r'),
	('UA', 5209, 'PVR', 1836, 'LAX', 3484, '', 0, '738\r'),
	('UA', 5209, 'PVR', 1836, 'ORD', 3830, '', 0, '739 320\r'),
	('UA', 5209, 'PVR', 1836, 'SFO', 3469, '', 0, '320\r'),
	('UA', 5209, 'QRO', 1838, 'IAH', 3550, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'RAP', 4087, 'DEN', 3751, 'Y', 0, 'ERJ DH4 CRJ\r'),
	('UA', 5209, 'RAP', 4087, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'RDD', 4098, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'RDM', 4103, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'RDM', 4103, 'PDX', 3720, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'RDM', 4103, 'SFO', 3469, 'Y', 0, 'CRJ EM2\r'),
	('UA', 5209, 'RDU', 3626, 'EWR', 3494, '', 0, 'DH4\r'),
	('UA', 5209, 'RDU', 3626, 'IAD', 3714, '', 0, '320 73G 738\r'),
	('UA', 5209, 'RDU', 3626, 'IAH', 3550, '', 0, '73G\r'),
	('UA', 5209, 'RDU', 3626, 'ORD', 3830, '', 0, '738\r'),
	('UA', 5209, 'RDU', 3626, 'SFO', 3469, '', 0, '738 739\r'),
	('UA', 5209, 'REP', 3035, 'ICN', 3930, 'Y', 0, '321\r'),
	('UA', 5209, 'RIC', 3608, 'CLE', 3486, 'Y', 0, 'ERJ ER4\r'),
	('UA', 5209, 'RIC', 3608, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'RIC', 3608, 'IAD', 3714, 'Y', 0, 'ERJ ER4 CR7\r'),
	('UA', 5209, 'RIC', 3608, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'RIC', 3608, 'ORD', 3830, '', 0, '319\r'),
	('UA', 5209, 'RKS', 5766, 'DEN', 3751, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'RNO', 3807, 'DEN', 3751, '', 0, '320\r'),
	('UA', 5209, 'RNO', 3807, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'RNO', 3807, 'SFO', 3469, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'ROA', 4016, 'IAD', 3714, 'Y', 0, 'ER4 DH2\r'),
	('UA', 5209, 'ROA', 4016, 'ORD', 3830, 'Y', 0, 'ER4 ERJ\r'),
	('UA', 5209, 'ROB', 1063, 'BRU', 302, 'Y', 0, '333\r'),
	('UA', 5209, 'ROC', 3622, 'CLE', 3486, 'Y', 0, 'DH2 DH3\r'),
	('UA', 5209, 'ROC', 3622, 'EWR', 3494, 'Y', 0, 'DH2 ERJ DH3\r'),
	('UA', 5209, 'ROC', 3622, 'IAD', 3714, 'Y', 0, 'ER4 DH2 CR7 CRJ\r'),
	('UA', 5209, 'ROC', 3622, 'ORD', 3830, '', 0, '320 738 319\r'),
	('UA', 5209, 'ROP', 2243, 'GUM', 2246, 'Y', 0, 'ATR\r'),
	('UA', 5209, 'ROP', 2243, 'SPN', 2244, 'Y', 0, 'ATR\r'),
	('UA', 5209, 'ROR', 2256, 'GUM', 2246, '', 0, '738 73G\r'),
	('UA', 5209, 'ROR', 2256, 'MNL', 2397, 'Y', 0, '738\r'),
	('UA', 5209, 'ROR', 2256, 'YAP', 2258, '', 0, '738\r'),
	('UA', 5209, 'RSW', 3793, 'CLE', 3486, '', 0, '319 738 320\r'),
	('UA', 5209, 'RSW', 3793, 'DEN', 3751, '', 0, '738\r'),
	('UA', 5209, 'RSW', 3793, 'EWR', 3494, '', 0, '320 738 739\r'),
	('UA', 5209, 'RSW', 3793, 'EYW', 3875, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'RSW', 3793, 'IAH', 3550, '', 0, '738\r'),
	('UA', 5209, 'RSW', 3793, 'MCO', 3878, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'RSW', 3793, 'ORD', 3830, '', 0, '320\r'),
	('UA', 5209, 'RTB', 1774, 'IAH', 3550, '', 0, '739 738 73G\r'),
	('UA', 5209, 'SAF', 3784, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SAL', 1892, 'DFW', 3670, 'Y', 0, 'E90\r'),
	('UA', 5209, 'SAL', 1892, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'SAL', 1892, 'IAH', 3550, '', 0, '738\r'),
	('UA', 5209, 'SAL', 1892, 'JFK', 3797, 'Y', 0, '320\r'),
	('UA', 5209, 'SAL', 1892, 'LAX', 3484, 'Y', 0, '320 321\r'),
	('UA', 5209, 'SAL', 1892, 'MIA', 3576, 'Y', 0, '320 E90\r'),
	('UA', 5209, 'SAL', 1892, 'SFO', 3469, 'Y', 0, '319 320\r'),
	('UA', 5209, 'SAN', 3731, 'DEN', 3751, '', 0, '738 320 739 752\r'),
	('UA', 5209, 'SAN', 3731, 'EWR', 3494, '', 0, '738 739\r'),
	('UA', 5209, 'SAN', 3731, 'IAD', 3714, '', 0, '739 752 320 738\r'),
	('UA', 5209, 'SAN', 3731, 'IAH', 3550, '', 0, '320 73G 738 739\r'),
	('UA', 5209, 'SAN', 3731, 'LAX', 3484, 'Y', 0, 'CR7 EM2\r'),
	('UA', 5209, 'SAN', 3731, 'ORD', 3830, '', 0, '739 320 738\r'),
	('UA', 5209, 'SAN', 3731, 'SFO', 3469, '', 0, '739 738 320 319\r'),
	('UA', 5209, 'SAP', 1772, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'SAP', 1772, 'IAH', 3550, '', 0, '738\r'),
	('UA', 5209, 'SAP', 1772, 'MIA', 3576, 'Y', 0, '320 E90 319\r'),
	('UA', 5209, 'SAT', 3621, 'DEN', 3751, '', 0, '738 73G\r'),
	('UA', 5209, 'SAT', 3621, 'EWR', 3494, '', 0, '319 739 73G\r'),
	('UA', 5209, 'SAT', 3621, 'IAD', 3714, 'Y', 0, 'E70 CR7\r'),
	('UA', 5209, 'SAT', 3621, 'IAH', 3550, '', 0, '319 739 738 73G 320\r'),
	('UA', 5209, 'SAT', 3621, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'SAT', 3621, 'ORD', 3830, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'SAT', 3621, 'SFO', 3469, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'SAV', 3613, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SAV', 3613, 'IAD', 3714, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'SAV', 3613, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SAV', 3613, 'ORD', 3830, 'Y', 0, 'ERJ CR7 CRJ\r'),
	('UA', 5209, 'SBA', 3949, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'SBA', 3949, 'LAX', 3484, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SBA', 3949, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SBN', 4359, 'ORD', 3830, 'Y', 0, 'CR7 ERJ CRJ E70\r'),
	('UA', 5209, 'SBP', 5768, 'LAX', 3484, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SBP', 5768, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SCE', 4318, 'IAD', 3714, 'Y', 0, 'DH2\r'),
	('UA', 5209, 'SCE', 4318, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SDF', 4014, 'CLE', 3486, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'SDF', 4014, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SDF', 4014, 'EWR', 3494, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'SDF', 4014, 'IAD', 3714, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SDF', 4014, 'IAH', 3550, 'Y', 0, 'ERJ E70 CRJ\r'),
	('UA', 5209, 'SDF', 4014, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SDJ', 2347, 'GUM', 2246, '', 0, '73G\r'),
	('UA', 5209, 'SDQ', 1762, 'EWR', 3494, '', 0, '739\r'),
	('UA', 5209, 'SEA', 3577, 'ANC', 3774, '', 0, '739 738\r'),
	('UA', 5209, 'SEA', 3577, 'DEN', 3751, '', 0, '738 320 739 752 753 319\r'),
	('UA', 5209, 'SEA', 3577, 'EWR', 3494, '', 0, '739 319 738 320\r'),
	('UA', 5209, 'SEA', 3577, 'FRA', 340, 'Y', 0, '333 343\r'),
	('UA', 5209, 'SEA', 3577, 'IAD', 3714, '', 0, '752 320 739 738\r'),
	('UA', 5209, 'SEA', 3577, 'IAH', 3550, '', 0, '739 320 738 319 752\r'),
	('UA', 5209, 'SEA', 3577, 'ICN', 3930, 'Y', 0, '333\r'),
	('UA', 5209, 'SEA', 3577, 'LAX', 3484, '', 0, '739 320\r'),
	('UA', 5209, 'SEA', 3577, 'NRT', 2279, 'Y', 0, '788\r'),
	('UA', 5209, 'SEA', 3577, 'ORD', 3830, '', 0, '738 320 739 752 319\r'),
	('UA', 5209, 'SEA', 3577, 'PDX', 3720, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SEA', 3577, 'SFO', 3469, '', 0, '319 739 320 738 752\r'),
	('UA', 5209, 'SEA', 3577, 'YVR', 156, 'Y', 0, 'DH3\r'),
	('UA', 5209, 'SFO', 3469, 'ABQ', 4019, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'SFO', 3469, 'ACV', 4384, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'AKL', 2006, 'Y', 0, '772 744\r'),
	('UA', 5209, 'SFO', 3469, 'ATL', 3682, '', 0, '738\r'),
	('UA', 5209, 'SFO', 3469, 'AUS', 3673, '', 0, '738 320 319\r'),
	('UA', 5209, 'SFO', 3469, 'BFL', 3558, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'BOI', 3495, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'SFO', 3469, 'BOS', 3448, '', 0, '752 753 738 739 319 320\r'),
	('UA', 5209, 'SFO', 3469, 'BUR', 3644, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'SFO', 3469, 'BWI', 3849, '', 0, '739 320 738\r'),
	('UA', 5209, 'SFO', 3469, 'CDG', 1382, '', 0, '763\r'),
	('UA', 5209, 'SFO', 3469, 'CEC', 5727, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'CIC', 3710, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'CLE', 3486, '', 0, '739 738 320\r'),
	('UA', 5209, 'SFO', 3469, 'COS', 3819, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'SFO', 3469, 'CUN', 1852, '', 0, '739\r'),
	('UA', 5209, 'SFO', 3469, 'DCA', 3520, '', 0, '738 73G\r'),
	('UA', 5209, 'SFO', 3469, 'DEN', 3751, '', 0, '752 739 738 320 319\r'),
	('UA', 5209, 'SFO', 3469, 'DFW', 3670, '', 0, '319 738 739\r'),
	('UA', 5209, 'SFO', 3469, 'EUG', 4099, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'SFO', 3469, 'EWR', 3494, '', 0, '320 739 752 319 738 73G\r'),
	('UA', 5209, 'SFO', 3469, 'FAT', 3687, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'FLL', 3533, '', 0, '738 319 739\r'),
	('UA', 5209, 'SFO', 3469, 'FRA', 340, '', 0, '744\r'),
	('UA', 5209, 'SFO', 3469, 'GDL', 1804, '', 0, '319 738\r'),
	('UA', 5209, 'SFO', 3469, 'HKG', 3077, '', 0, '744\r'),
	('UA', 5209, 'SFO', 3469, 'HNL', 3728, '', 0, '777 764 738 753 739\r'),
	('UA', 5209, 'SFO', 3469, 'IAD', 3714, '', 0, '753 752 738 739 320 319\r'),
	('UA', 5209, 'SFO', 3469, 'IAH', 3550, '', 0, '319 739 753 738 320 752 788 73G\r'),
	('UA', 5209, 'SFO', 3469, 'ICN', 3930, '', 0, '744\r'),
	('UA', 5209, 'SFO', 3469, 'IND', 3585, '', 0, '319\r'),
	('UA', 5209, 'SFO', 3469, 'JFK', 3797, '', 0, '757\r'),
	('UA', 5209, 'SFO', 3469, 'KIX', 3992, '', 0, '777 788\r'),
	('UA', 5209, 'SFO', 3469, 'KOA', 3514, '', 0, '753 739 738\r'),
	('UA', 5209, 'SFO', 3469, 'LAS', 3877, '', 0, '752 738 739 320 319\r'),
	('UA', 5209, 'SFO', 3469, 'LAX', 3484, '', 0, '319 320 752 738 753 739\r'),
	('UA', 5209, 'SFO', 3469, 'LHR', 507, '', 0, '777\r'),
	('UA', 5209, 'SFO', 3469, 'LIH', 3602, '', 0, '752\r'),
	('UA', 5209, 'SFO', 3469, 'LMT', 5750, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'MCI', 3458, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'SFO', 3469, 'MCO', 3878, '', 0, '752 738 739 753\r'),
	('UA', 5209, 'SFO', 3469, 'MEX', 1824, '', 0, '320\r'),
	('UA', 5209, 'SFO', 3469, 'MFR', 4101, 'Y', 0, 'EM2 CRJ\r'),
	('UA', 5209, 'SFO', 3469, 'MOD', 3816, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'MRY', 3948, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'MSP', 3858, '', 0, '320 739 319\r'),
	('UA', 5209, 'SFO', 3469, 'MSY', 3861, '', 0, '320 738\r'),
	('UA', 5209, 'SFO', 3469, 'MUC', 346, 'Y', 0, '346\r'),
	('UA', 5209, 'SFO', 3469, 'NRT', 2279, '', 0, '744\r'),
	('UA', 5209, 'SFO', 3469, 'OGG', 3456, '', 0, '753 738\r'),
	('UA', 5209, 'SFO', 3469, 'OKC', 3863, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'SFO', 3469, 'ONT', 3734, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'SFO', 3469, 'ORD', 3830, '', 0, '738 739 752 320 753 319 777 73G\r'),
	('UA', 5209, 'SFO', 3469, 'OTH', 5757, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'SFO', 3469, 'PDX', 3720, '', 0, '319 739 320 752 738\r'),
	('UA', 5209, 'SFO', 3469, 'PEK', 3364, '', 0, '744\r'),
	('UA', 5209, 'SFO', 3469, 'PHL', 3752, '', 0, '319 738 739 752\r'),
	('UA', 5209, 'SFO', 3469, 'PHX', 3462, '', 0, '319 738 320\r'),
	('UA', 5209, 'SFO', 3469, 'PIT', 3570, '', 0, '319 738\r'),
	('UA', 5209, 'SFO', 3469, 'PSC', 6133, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'SFO', 3469, 'PSP', 3839, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'SFO', 3469, 'PVG', 3406, '', 0, '744\r'),
	('UA', 5209, 'SFO', 3469, 'PVR', 1836, '', 0, '320\r'),
	('UA', 5209, 'SFO', 3469, 'RDD', 4098, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'RDM', 4103, 'Y', 0, 'EM2 CRJ\r'),
	('UA', 5209, 'SFO', 3469, 'RDU', 3626, '', 0, '738 739\r'),
	('UA', 5209, 'SFO', 3469, 'RNO', 3807, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'SFO', 3469, 'SAL', 1892, 'Y', 0, '319 320\r'),
	('UA', 5209, 'SFO', 3469, 'SAN', 3731, '', 0, '738 320 319 739 73G\r'),
	('UA', 5209, 'SFO', 3469, 'SAT', 3621, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'SFO', 3469, 'SBA', 3949, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'SBP', 5768, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'SEA', 3577, '', 0, '319 738 739 320 752 753\r'),
	('UA', 5209, 'SFO', 3469, 'SJD', 1840, '', 0, '320 739 738\r'),
	('UA', 5209, 'SFO', 3469, 'SLC', 3536, '', 0, '738 320 319\r'),
	('UA', 5209, 'SFO', 3469, 'SMF', 3817, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SFO', 3469, 'SNA', 3867, '', 0, '320 319 738 73G\r'),
	('UA', 5209, 'SFO', 3469, 'STL', 3678, '', 0, '320 319\r'),
	('UA', 5209, 'SFO', 3469, 'SYD', 3361, '', 0, '777\r'),
	('UA', 5209, 'SFO', 3469, 'TPE', 2276, '', 0, '777\r'),
	('UA', 5209, 'SFO', 3469, 'TUS', 3636, 'Y', 0, 'CRJ CR7\r'),
	('UA', 5209, 'SFO', 3469, 'YEG', 49, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'SFO', 3469, 'YUL', 146, 'Y', 0, '319\r'),
	('UA', 5209, 'SFO', 3469, 'YVR', 156, '', 0, '319 320 739\r'),
	('UA', 5209, 'SFO', 3469, 'YYC', 178, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'SFO', 3469, 'YYJ', 184, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'SFO', 3469, 'YYZ', 193, 'Y', 0, '320\r'),
	('UA', 5209, 'SFO', 3469, 'ZRH', 1678, 'Y', 0, '343\r'),
	('UA', 5209, 'SGF', 4348, 'DEN', 3751, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'SGF', 4348, 'ORD', 3830, 'Y', 0, 'ER4 CRJ\r'),
	('UA', 5209, 'SGN', 3205, 'HKG', 3077, '', 0, '738 73G\r'),
	('UA', 5209, 'SGU', 4064, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'SHD', 7062, 'IAD', 3714, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'SHV', 3609, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SHV', 3609, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SIN', 3316, 'HKG', 3077, '', 0, '777\r'),
	('UA', 5209, 'SIN', 3316, 'NRT', 2279, '', 0, '777\r'),
	('UA', 5209, 'SJC', 3748, 'DEN', 3751, '', 0, '752 319 738 73G\r'),
	('UA', 5209, 'SJC', 3748, 'IAH', 3550, '', 0, '320 319 739 738\r'),
	('UA', 5209, 'SJC', 3748, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'SJC', 3748, 'NRT', 2279, 'Y', 0, '788\r'),
	('UA', 5209, 'SJD', 1840, 'DEN', 3751, '', 0, '739 738 320\r'),
	('UA', 5209, 'SJD', 1840, 'EWR', 3494, '', 0, '738 739\r'),
	('UA', 5209, 'SJD', 1840, 'IAH', 3550, '', 0, '320 739\r'),
	('UA', 5209, 'SJD', 1840, 'LAX', 3484, '', 0, '739 320\r'),
	('UA', 5209, 'SJD', 1840, 'ORD', 3830, '', 0, '320\r'),
	('UA', 5209, 'SJD', 1840, 'SFO', 3469, '', 0, '320 739 738\r'),
	('UA', 5209, 'SJO', 1885, 'EWR', 3494, '', 0, '738\r'),
	('UA', 5209, 'SJO', 1885, 'IAD', 3714, '', 0, '738\r'),
	('UA', 5209, 'SJO', 1885, 'IAH', 3550, '', 0, '738\r'),
	('UA', 5209, 'SJO', 1885, 'ORD', 3830, '', 0, '738\r'),
	('UA', 5209, 'SJU', 2890, 'EIS', 2903, 'Y', 0, 'CNA\r'),
	('UA', 5209, 'SJU', 2890, 'EWR', 3494, '', 0, '739 753\r'),
	('UA', 5209, 'SJU', 2890, 'IAD', 3714, '', 0, '739 738\r'),
	('UA', 5209, 'SJU', 2890, 'IAH', 3550, '', 0, '738\r'),
	('UA', 5209, 'SJU', 2890, 'ORD', 3830, '', 0, '738 739\r'),
	('UA', 5209, 'SLC', 3536, 'DEN', 3751, 'Y', 0, 'CR7 CRJ ERJ DH4 E70\r'),
	('UA', 5209, 'SLC', 3536, 'IAH', 3550, 'Y', 0, 'ERJ CR7 E70\r'),
	('UA', 5209, 'SLC', 3536, 'LAX', 3484, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'SLC', 3536, 'ORD', 3830, 'Y', 0, 'E70 CR7\r'),
	('UA', 5209, 'SLC', 3536, 'SFO', 3469, '', 0, '738 320 319\r'),
	('UA', 5209, 'SLP', 1842, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SLW', 1810, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'SMF', 3817, 'ACV', 4384, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SMF', 3817, 'DEN', 3751, '', 0, '320 739\r'),
	('UA', 5209, 'SMF', 3817, 'IAD', 3714, '', 0, '320\r'),
	('UA', 5209, 'SMF', 3817, 'IAH', 3550, '', 0, '320 739 738\r'),
	('UA', 5209, 'SMF', 3817, 'LAX', 3484, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'SMF', 3817, 'ORD', 3830, '', 0, '739 319 320\r'),
	('UA', 5209, 'SMF', 3817, 'SFO', 3469, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SMX', 5772, 'LAX', 3484, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'SNA', 3867, 'DEN', 3751, '', 0, '320 738 73G\r'),
	('UA', 5209, 'SNA', 3867, 'EWR', 3494, '', 0, '73G\r'),
	('UA', 5209, 'SNA', 3867, 'IAH', 3550, '', 0, '320 738 73G 752\r'),
	('UA', 5209, 'SNA', 3867, 'ORD', 3830, '', 0, '73G\r'),
	('UA', 5209, 'SNA', 3867, 'SFO', 3469, '', 0, '738 319 320\r'),
	('UA', 5209, 'SNN', 603, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'SOW', 7078, 'FMN', 3743, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'SOW', 7078, 'PHX', 3462, 'Y', 0, 'BE1\r'),
	('UA', 5209, 'SPN', 2244, 'GUM', 2246, 'Y', 0, 'ATR\r'),
	('UA', 5209, 'SPN', 2244, 'ROP', 2243, 'Y', 0, 'ATR\r'),
	('UA', 5209, 'SRQ', 4067, 'ORD', 3830, '', 0, '738 319 320\r'),
	('UA', 5209, 'STC', 4271, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'STL', 3678, 'CLE', 3486, 'Y', 0, 'ER4 ERJ\r'),
	('UA', 5209, 'STL', 3678, 'DEN', 3751, 'Y', 0, 'CR7 ERJ CRJ\r'),
	('UA', 5209, 'STL', 3678, 'EWR', 3494, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'STL', 3678, 'IAD', 3714, 'Y', 0, 'ER4 ERJ CR7 E70\r'),
	('UA', 5209, 'STL', 3678, 'IAH', 3550, 'Y', 0, 'ER4 ERJ\r'),
	('UA', 5209, 'STL', 3678, 'ORD', 3830, 'Y', 0, 'ER4 CR7\r'),
	('UA', 5209, 'STL', 3678, 'SFO', 3469, '', 0, '320 319\r'),
	('UA', 5209, 'STL', 3678, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'STR', 350, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'STT', 2883, 'EWR', 3494, '', 0, '73G\r'),
	('UA', 5209, 'STT', 2883, 'IAD', 3714, '', 0, '73G\r'),
	('UA', 5209, 'STT', 2883, 'ORD', 3830, '', 0, '73G\r'),
	('UA', 5209, 'STT', 2883, 'SJU', 2890, 'Y', 0, 'CNA\r'),
	('UA', 5209, 'SXM', 2899, 'EWR', 3494, '', 0, '73G\r'),
	('UA', 5209, 'SXM', 2899, 'IAD', 3714, '', 0, '73G\r'),
	('UA', 5209, 'SXM', 2899, 'ORD', 3830, '', 0, '73G\r'),
	('UA', 5209, 'SYD', 3361, 'LAX', 3484, '', 0, '777\r'),
	('UA', 5209, 'SYD', 3361, 'MEL', 3339, '', 0, '777\r'),
	('UA', 5209, 'SYD', 3361, 'SFO', 3469, '', 0, '777\r'),
	('UA', 5209, 'SYR', 3745, 'CLE', 3486, '', 0, 'DH3\r'),
	('UA', 5209, 'SYR', 3745, 'EWR', 3494, 'Y', 0, 'DH2 DH3 ERJ\r'),
	('UA', 5209, 'SYR', 3745, 'IAD', 3714, 'Y', 0, 'ERJ CRJ DH4 ER4 CR7 DH2\r'),
	('UA', 5209, 'SYR', 3745, 'ORD', 3830, 'Y', 0, 'ER4 CRJ ERJ CR7\r'),
	('UA', 5209, 'TAM', 1848, 'IAH', 3550, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'TCB', 1934, 'FLL', 3533, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'TGU', 1776, 'IAH', 3550, '', 0, '73G\r'),
	('UA', 5209, 'TKK', 2254, 'GUM', 2246, '', 0, '73G 738\r'),
	('UA', 5209, 'TKK', 2254, 'PNI', 2255, '', 0, '738 73G\r'),
	('UA', 5209, 'TLH', 3698, 'MCO', 3878, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'TLH', 3698, 'TPA', 3646, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'TLV', 1590, 'EWR', 3494, '', 0, '777\r'),
	('UA', 5209, 'TPA', 3646, 'CLE', 3486, '', 0, '73G\r'),
	('UA', 5209, 'TPA', 3646, 'DEN', 3751, '', 0, '739 738 320\r'),
	('UA', 5209, 'TPA', 3646, 'EWR', 3494, '', 0, '738 739 73G 752 320\r'),
	('UA', 5209, 'TPA', 3646, 'EYW', 3875, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'TPA', 3646, 'FLL', 3533, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'TPA', 3646, 'GNV', 3472, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'TPA', 3646, 'IAD', 3714, '', 0, '738 320\r'),
	('UA', 5209, 'TPA', 3646, 'IAH', 3550, '', 0, '73G 320 739 738\r'),
	('UA', 5209, 'TPA', 3646, 'JAX', 3712, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'TPA', 3646, 'ORD', 3830, '', 0, '739 320 73G\r'),
	('UA', 5209, 'TPA', 3646, 'PBI', 3722, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'TPA', 3646, 'PNS', 3564, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'TPA', 3646, 'TLH', 3698, 'Y', 0, 'SF3\r'),
	('UA', 5209, 'TPE', 2276, 'SFO', 3469, '', 0, '777\r'),
	('UA', 5209, 'TRC', 1845, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'TRN', 1526, 'BRU', 302, 'Y', 0, 'DH4\r'),
	('UA', 5209, 'TSE', 2910, 'ALA', 2908, 'Y', 0, '333\r'),
	('UA', 5209, 'TSE', 2910, 'FRA', 340, 'Y', 0, '333\r'),
	('UA', 5209, 'TUL', 3855, 'DEN', 3751, 'Y', 0, 'CRJ ERJ CR7\r'),
	('UA', 5209, 'TUL', 3855, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'TUL', 3855, 'IAD', 3714, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'TUL', 3855, 'IAH', 3550, 'Y', 0, 'ERJ CRJ CR7\r'),
	('UA', 5209, 'TUL', 3855, 'ORD', 3830, 'Y', 0, 'ERJ CRJ CR7\r'),
	('UA', 5209, 'TUS', 3636, 'DEN', 3751, 'Y', 0, 'ERJ CRJ CR7\r'),
	('UA', 5209, 'TUS', 3636, 'IAH', 3550, 'Y', 0, 'CR7 ERJ\r'),
	('UA', 5209, 'TUS', 3636, 'LAX', 3484, 'Y', 0, 'CR7 CRJ\r'),
	('UA', 5209, 'TUS', 3636, 'SFO', 3469, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'TVC', 4023, 'ORD', 3830, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'TXL', 351, 'EWR', 3494, '', 0, '752\r'),
	('UA', 5209, 'TYR', 3848, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'TYS', 3676, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'TYS', 3676, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'TYS', 3676, 'IAD', 3714, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'TYS', 3676, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'TYS', 3676, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'UIO', 2688, 'IAH', 3550, '', 0, '73G 738\r'),
	('UA', 5209, 'UVF', 2894, 'EWR', 3494, '', 0, '739\r'),
	('UA', 5209, 'VER', 1854, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'VIE', 1613, 'DME', 4029, 'Y', 0, '320\r'),
	('UA', 5209, 'VIE', 1613, 'EVN', 3964, 'Y', 0, '320 321\r'),
	('UA', 5209, 'VIE', 1613, 'IAD', 3714, 'Y', 0, '763\r'),
	('UA', 5209, 'VIE', 1613, 'JFK', 3797, 'Y', 0, '772\r'),
	('UA', 5209, 'VIE', 1613, 'LED', 2948, 'Y', 0, '100 F70\r'),
	('UA', 5209, 'VIE', 1613, 'ORD', 3830, 'Y', 0, '763\r'),
	('UA', 5209, 'VPS', 3873, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'VSA', 1853, 'IAH', 3550, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'WRL', 5777, 'CYS', 3804, 'Y', 0, 'BEH BE1\r'),
	('UA', 5209, 'XNA', 4356, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'XNA', 4356, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'XNA', 4356, 'IAH', 3550, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'XNA', 4356, 'ORD', 3830, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'YAP', 2258, 'GUM', 2246, '', 0, '73G 738\r'),
	('UA', 5209, 'YAP', 2258, 'ROR', 2256, '', 0, '738\r'),
	('UA', 5209, 'YEG', 49, 'DEN', 3751, '', 0, '319\r'),
	('UA', 5209, 'YEG', 49, 'EWR', 3494, '', 0, '319\r'),
	('UA', 5209, 'YEG', 49, 'IAH', 3550, '', 0, '738 320 73G 319\r'),
	('UA', 5209, 'YEG', 49, 'ORD', 3830, 'Y', 0, 'E70 CR7\r'),
	('UA', 5209, 'YEG', 49, 'SFO', 3469, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'YHZ', 73, 'BOS', 3448, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'YHZ', 73, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'YHZ', 73, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'YLW', 87, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'YMM', 90, 'DEN', 3751, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'YOW', 100, 'BOS', 3448, 'Y', 0, 'DH1\r'),
	('UA', 5209, 'YOW', 100, 'EWR', 3494, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'YOW', 100, 'IAD', 3714, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'YOW', 100, 'LGA', 3697, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'YOW', 100, 'ORD', 3830, 'Y', 0, 'ERJ E70\r'),
	('UA', 5209, 'YQB', 111, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'YQB', 111, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'YQM', 117, 'EWR', 3494, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'YQR', 120, 'DEN', 3751, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'YQR', 120, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'YUL', 146, 'BDL', 3825, 'Y', 0, 'BEH\r'),
	('UA', 5209, 'YUL', 146, 'BOS', 3448, 'Y', 0, 'CRJ DH3\r'),
	('UA', 5209, 'YUL', 146, 'DEN', 3751, 'Y', 0, 'E90\r'),
	('UA', 5209, 'YUL', 146, 'EWR', 3494, 'Y', 0, 'ERJ CRJ E70\r'),
	('UA', 5209, 'YUL', 146, 'GVA', 1665, 'Y', 0, '333\r'),
	('UA', 5209, 'YUL', 146, 'IAD', 3714, 'Y', 0, 'CR7 ERJ CRJ E70\r'),
	('UA', 5209, 'YUL', 146, 'IAH', 3550, 'Y', 0, 'E70\r'),
	('UA', 5209, 'YUL', 146, 'LAX', 3484, 'Y', 0, '319\r'),
	('UA', 5209, 'YUL', 146, 'LGA', 3697, 'Y', 0, 'E75\r'),
	('UA', 5209, 'YUL', 146, 'ORD', 3830, 'Y', 0, 'ERJ CR7 E75 E70 CRJ\r'),
	('UA', 5209, 'YUL', 146, 'SFO', 3469, 'Y', 0, '319\r'),
	('UA', 5209, 'YUL', 146, 'YYZ', 193, 'Y', 0, '333\r'),
	('UA', 5209, 'YUM', 3596, 'LAX', 3484, 'Y', 0, 'EM2\r'),
	('UA', 5209, 'YVR', 156, 'DEN', 3751, '', 0, '320 319 73G 739\r'),
	('UA', 5209, 'YVR', 156, 'EWR', 3494, 'Y', 0, '319\r'),
	('UA', 5209, 'YVR', 156, 'IAH', 3550, '', 0, '319 320 73G 739\r'),
	('UA', 5209, 'YVR', 156, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'YVR', 156, 'ORD', 3830, '', 0, '320 319 738 73G\r'),
	('UA', 5209, 'YVR', 156, 'PDX', 3720, 'Y', 0, 'DH3\r'),
	('UA', 5209, 'YVR', 156, 'SEA', 3577, 'Y', 0, 'DH3\r'),
	('UA', 5209, 'YVR', 156, 'SFO', 3469, '', 0, '320 319 739 738\r'),
	('UA', 5209, 'YWG', 160, 'DEN', 3751, 'Y', 0, 'ERJ CRJ\r'),
	('UA', 5209, 'YWG', 160, 'ORD', 3830, 'Y', 0, 'CRJ ERJ\r'),
	('UA', 5209, 'YXE', 166, 'DEN', 3751, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'YXE', 166, 'ORD', 3830, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'YXU', 174, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'YYC', 178, 'DEN', 3751, '', 0, '738 73G\r'),
	('UA', 5209, 'YYC', 178, 'IAH', 3550, '', 0, '738 320 739\r'),
	('UA', 5209, 'YYC', 178, 'ORD', 3830, '', 0, '73G 738 320\r'),
	('UA', 5209, 'YYC', 178, 'PDX', 3720, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'YYC', 178, 'SFO', 3469, 'Y', 0, 'CR7\r'),
	('UA', 5209, 'YYJ', 184, 'SFO', 3469, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'YYT', 189, 'EWR', 3494, '', 0, '319\r'),
	('UA', 5209, 'YYZ', 193, 'ATL', 3682, 'Y', 0, 'CRA CRJ\r'),
	('UA', 5209, 'YYZ', 193, 'BDL', 3825, 'Y', 0, 'BEH\r'),
	('UA', 5209, 'YYZ', 193, 'BOS', 3448, 'Y', 0, 'E90 E75\r'),
	('UA', 5209, 'YYZ', 193, 'CLE', 3486, 'Y', 0, 'DH2 DH3\r'),
	('UA', 5209, 'YYZ', 193, 'CMH', 3759, 'Y', 0, 'DH1\r'),
	('UA', 5209, 'YYZ', 193, 'DEN', 3751, 'Y', 0, 'E90 CR7\r'),
	('UA', 5209, 'YYZ', 193, 'DFW', 3670, 'Y', 0, 'E75\r'),
	('UA', 5209, 'YYZ', 193, 'DTW', 3645, 'Y', 0, 'BEH CRJ\r'),
	('UA', 5209, 'YYZ', 193, 'EWR', 3494, 'Y', 0, 'E75 ERJ DH4 CRA E90\r'),
	('UA', 5209, 'YYZ', 193, 'IAD', 3714, 'Y', 0, 'CRJ ERJ CR7 DH4\r'),
	('UA', 5209, 'YYZ', 193, 'IAH', 3550, 'Y', 0, 'CR7 CRA ERJ\r'),
	('UA', 5209, 'YYZ', 193, 'LAX', 3484, 'Y', 0, '321 320\r'),
	('UA', 5209, 'YYZ', 193, 'LGA', 3697, 'Y', 0, 'E90 CRA E75\r'),
	('UA', 5209, 'YYZ', 193, 'MSP', 3858, 'Y', 0, 'CRA CRJ\r'),
	('UA', 5209, 'YYZ', 193, 'MSY', 3861, 'Y', 0, 'CRA\r'),
	('UA', 5209, 'YYZ', 193, 'ORD', 3830, '', 0, '320 73G 319\r'),
	('UA', 5209, 'YYZ', 193, 'PHL', 3752, 'Y', 0, 'E75\r'),
	('UA', 5209, 'YYZ', 193, 'PIT', 3570, 'Y', 0, 'DH1\r'),
	('UA', 5209, 'YYZ', 193, 'SFO', 3469, 'Y', 0, '320\r'),
	('UA', 5209, 'YYZ', 193, 'STL', 3678, 'Y', 0, 'CRJ\r'),
	('UA', 5209, 'YYZ', 193, 'YUL', 146, 'Y', 0, '333\r'),
	('UA', 5209, 'ZIH', 1856, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ZLO', 1858, 'IAH', 3550, 'Y', 0, 'ERJ\r'),
	('UA', 5209, 'ZRH', 1678, 'BOS', 3448, 'Y', 0, '333\r'),
	('UA', 5209, 'ZRH', 1678, 'EWR', 3494, '', 0, '764\r'),
	('UA', 5209, 'ZRH', 1678, 'IAD', 3714, '', 0, '763 764\r'),
	('UA', 5209, 'ZRH', 1678, 'JFK', 3797, 'Y', 0, '333\r'),
	('UA', 5209, 'ZRH', 1678, 'LAX', 3484, 'Y', 0, '343\r'),
	('UA', 5209, 'ZRH', 1678, 'MIA', 3576, 'Y', 0, '333\r'),
	('UA', 5209, 'ZRH', 1678, 'NBO', 4059, 'Y', 0, '333\r'),
	('UA', 5209, 'ZRH', 1678, 'ORD', 3830, 'Y', 0, '333\r'),
	('UA', 5209, 'ZRH', 1678, 'SFO', 3469, 'Y', 0, '343\r'),
	('UD', 2757, 'LPY', 1313, 'ORY', 1386, '', 0, 'BEH\r'),
	('UD', 2757, 'ORY', 1386, 'LPY', 1313, '', 0, 'BEH\r'),
	('UE', 3589, 'ADE', 3977, 'ASM', 3967, '', 0, '320\r'),
	('UE', 3589, 'ADE', 3977, 'DXB', 2188, '', 0, '320\r'),
	('UE', 3589, 'ASM', 3967, 'ADE', 3977, '', 0, '320\r'),
	('UE', 3589, 'ASM', 3967, 'JED', 2072, '', 0, '320\r'),
	('UE', 3589, 'ASM', 3967, 'JUB', 1173, '', 0, '320\r'),
	('UE', 3589, 'ASM', 3967, 'KRT', 1175, '', 0, '733\r'),
	('UE', 3589, 'ASM', 3967, 'NBO', 4059, '', 0, '320\r'),
	('UE', 3589, 'DXB', 2188, 'ADE', 3977, '', 0, '320\r'),
	('UE', 3589, 'EBB', 1187, 'ASM', 3967, '', 0, '320\r'),
	('UE', 3589, 'JED', 2072, 'ASM', 3967, '', 0, '320\r'),
	('UE', 3589, 'JUB', 1173, 'EBB', 1187, '', 0, '320\r'),
	('UE', 3589, 'JUB', 1173, 'KRT', 1175, '', 0, '733\r'),
	('UE', 3589, 'KRT', 1175, 'ASM', 3967, '', 0, '733\r'),
	('UE', 3589, 'KRT', 1175, 'JUB', 1173, '', 0, '733\r'),
	('UE', 3589, 'MSW', 3968, 'ASM', 3967, '', 0, '733\r'),
	('UE', 3589, 'NBO', 4059, 'ASM', 3967, '', 0, '320\r'),
	('UG', 5085, 'BEN', 1154, 'SFA', 295, '', 0, 'CR9\r'),
	('UG', 5085, 'DJE', 293, 'TUN', 287, '', 0, 'AT7\r'),
	('UG', 5085, 'GAE', 291, 'TOE', 296, '', 0, 'AT7\r'),
	('UG', 5085, 'GAE', 291, 'TUN', 287, '', 0, 'ATR\r'),
	('UG', 5085, 'GAF', 290, 'GAE', 291, '', 0, 'ATR\r'),
	('UG', 5085, 'GAF', 290, 'TOE', 296, '', 0, 'AT7\r'),
	('UG', 5085, 'MIR', 286, 'TIP', 1157, '', 0, 'CR9\r'),
	('UG', 5085, 'MIR', 286, 'TUN', 287, '', 0, 'CR9\r'),
	('UG', 5085, 'MLA', 1606, 'TUN', 287, '', 0, 'AT7\r'),
	('UG', 5085, 'NAP', 1561, 'TUN', 287, '', 0, 'AT7\r'),
	('UG', 5085, 'SFA', 295, 'BEN', 1154, '', 0, 'CR9\r'),
	('UG', 5085, 'SFA', 295, 'TIP', 1157, '', 0, 'CR9\r'),
	('UG', 5085, 'SFA', 295, 'TUN', 287, '', 0, 'CR9\r'),
	('UG', 5085, 'TIP', 1157, 'MIR', 286, '', 0, 'CR9\r'),
	('UG', 5085, 'TIP', 1157, 'SFA', 295, '', 0, 'CR9\r'),
	('UG', 5085, 'TOE', 296, 'TUN', 287, '', 0, 'AT7\r'),
	('UG', 5085, 'TUN', 287, 'DJE', 293, '', 0, 'AT7\r'),
	('UG', 5085, 'TUN', 287, 'GAE', 291, '', 0, 'AT7\r'),
	('UG', 5085, 'TUN', 287, 'GAF', 290, '', 0, 'AT7 ATR\r'),
	('UG', 5085, 'TUN', 287, 'MIR', 286, '', 0, 'CR9\r'),
	('UG', 5085, 'TUN', 287, 'MLA', 1606, '', 0, 'AT7\r'),
	('UG', 5085, 'TUN', 287, 'NAP', 1561, '', 0, 'AT7\r'),
	('UG', 5085, 'TUN', 287, 'SFA', 295, '', 0, 'CR9\r'),
	('UG', 5085, 'TUN', 287, 'TOE', 296, '', 0, 'AT7\r'),
	('UJ', 11811, 'AHB', 2059, 'CAI', 1128, '', 0, '320\r'),
	('UJ', 11811, 'CAI', 1128, 'AHB', 2059, '', 0, '320\r'),
	('UJ', 11811, 'CAI', 1128, 'ELQ', 2067, '', 0, '320\r'),
	('UJ', 11811, 'CAI', 1128, 'TIF', 2090, '', 0, '320\r'),
	('UJ', 11811, 'CAI', 1128, 'TUU', 2089, '', 0, '320\r'),
	('UJ', 11811, 'CAI', 1128, 'YNB', 2096, '', 0, '320\r'),
	('UJ', 11811, 'DOK', 2940, 'IST', 1701, '', 0, '320\r'),
	('UJ', 11811, 'DOK', 2940, 'KBP', 2939, '', 0, '320\r'),
	('UJ', 11811, 'ELQ', 2067, 'CAI', 1128, '', 0, '320\r'),
	('UJ', 11811, 'GYD', 2922, 'KBP', 2939, '', 0, '320\r'),
	('UJ', 11811, 'HBE', 3410, 'JED', 2072, '', 0, '321\r'),
	('UJ', 11811, 'IST', 1701, 'DOK', 2940, '', 0, '320\r'),
	('UJ', 11811, 'IST', 1701, 'KBP', 2939, '', 0, '320\r'),
	('UJ', 11811, 'IST', 1701, 'ODS', 2947, '', 0, '320\r'),
	('UJ', 11811, 'JED', 2072, 'HBE', 3410, '', 0, '321\r'),
	('UJ', 11811, 'KBP', 2939, 'AYT', 1688, '', 0, '320\r'),
	('UJ', 11811, 'KBP', 2939, 'DOK', 2940, '', 0, '320\r'),
	('UJ', 11811, 'KBP', 2939, 'GYD', 2922, '', 0, '320\r'),
	('UJ', 11811, 'KBP', 2939, 'IST', 1701, '', 0, '320\r'),
	('UJ', 11811, 'KBP', 2939, 'LED', 2948, '', 0, '320\r'),
	('UJ', 11811, 'KBP', 2939, 'ODS', 2947, '', 0, '320\r'),
	('UJ', 11811, 'KBP', 2939, 'SIP', 2942, '', 0, '320\r'),
	('UJ', 11811, 'KBP', 2939, 'SVO', 2985, '', 0, '320\r'),
	('UJ', 11811, 'LED', 2948, 'KBP', 2939, '', 0, '320\r'),
	('UJ', 11811, 'ODS', 2947, 'KBP', 2939, '', 0, '320\r'),
	('UJ', 11811, 'ODS', 2947, 'SVO', 2985, '', 0, '320\r'),
	('UJ', 11811, 'SIP', 2942, 'KBP', 2939, '', 0, '320\r'),
	('UJ', 11811, 'SVO', 2985, 'KBP', 2939, '', 0, '320\r'),
	('UJ', 11811, 'SVO', 2985, 'ODS', 2947, '', 0, '320\r'),
	('UJ', 11811, 'TIF', 2090, 'CAI', 1128, '', 0, '320\r'),
	('UJ', 11811, 'TUU', 2089, 'CAI', 1128, '', 0, '320\r'),
	('UJ', 11811, 'YNB', 2096, 'CAI', 1128, '', 0, '320\r'),
	('UL', 4349, 'AMM', 2170, 'AUH', 2179, '', 0, '320\r'),
	('UL', 4349, 'AUH', 2179, 'AMM', 2170, '', 0, '320\r'),
	('UL', 4349, 'AUH', 2179, 'CMB', 3024, '', 0, '320\r'),
	('UL', 4349, 'BAH', 2057, 'CMB', 3024, 'Y', 0, '321\r'),
	('UL', 4349, 'BKK', 3885, 'CAN', 3370, '', 0, '332\r'),
	('UL', 4349, 'BKK', 3885, 'CMB', 3024, '', 0, '321 332\r'),
	('UL', 4349, 'BKK', 3885, 'HKG', 3077, '', 0, '332\r'),
	('UL', 4349, 'BLR', 3131, 'CMB', 3024, '', 0, '320\r'),
	('UL', 4349, 'BOM', 2997, 'CMB', 3024, '', 0, '320\r'),
	('UL', 4349, 'CAN', 3370, 'BKK', 3885, '', 0, '332\r'),
	('UL', 4349, 'CDG', 1382, 'CMB', 3024, '', 0, '332\r'),
	('UL', 4349, 'CGK', 3275, 'CMB', 3024, 'Y', 0, '321\r'),
	('UL', 4349, 'CMB', 3024, 'AUH', 2179, '', 0, '320\r'),
	('UL', 4349, 'CMB', 3024, 'BAH', 2057, 'Y', 0, '321\r'),
	('UL', 4349, 'CMB', 3024, 'BKK', 3885, '', 0, '321 332\r'),
	('UL', 4349, 'CMB', 3024, 'BLR', 3131, '', 0, '320\r'),
	('UL', 4349, 'CMB', 3024, 'BOM', 2997, '', 0, '320\r'),
	('UL', 4349, 'CMB', 3024, 'CDG', 1382, '', 0, '332\r'),
	('UL', 4349, 'CMB', 3024, 'CGK', 3275, 'Y', 0, '321 320\r'),
	('UL', 4349, 'CMB', 3024, 'COK', 3136, '', 0, '320 321\r'),
	('UL', 4349, 'CMB', 3024, 'DAC', 3076, 'Y', 0, '321\r'),
	('UL', 4349, 'CMB', 3024, 'DEL', 3093, '', 0, '320\r'),
	('UL', 4349, 'CMB', 3024, 'DME', 4029, '', 0, '332\r'),
	('UL', 4349, 'CMB', 3024, 'DMM', 2064, '', 0, '343\r'),
	('UL', 4349, 'CMB', 3024, 'DOH', 2241, '', 0, '332 343\r'),
	('UL', 4349, 'CMB', 3024, 'DXB', 2188, '', 0, '332 320 321\r'),
	('UL', 4349, 'CMB', 3024, 'FCO', 1555, '', 0, '332 343\r'),
	('UL', 4349, 'CMB', 3024, 'FRA', 340, '', 0, '332\r'),
	('UL', 4349, 'CMB', 3024, 'GIU', 9229, '', 0, 'CNC\r'),
	('UL', 4349, 'CMB', 3024, 'HRI', 8949, '', 0, '332 320 343\r'),
	('UL', 4349, 'CMB', 3024, 'IXM', 3142, 'Y', 0, '320\r'),
	('UL', 4349, 'CMB', 3024, 'JED', 2072, '', 0, '343\r'),
	('UL', 4349, 'CMB', 3024, 'KCT', 6169, '', 0, 'CNC\r'),
	('UL', 4349, 'CMB', 3024, 'KHI', 2206, '', 0, '320\r'),
	('UL', 4349, 'CMB', 3024, 'KUL', 3304, '', 0, '320 321\r'),
	('UL', 4349, 'CMB', 3024, 'KWI', 2176, '', 0, '343 332\r'),
	('UL', 4349, 'CMB', 3024, 'LHR', 507, '', 0, '332\r'),
	('UL', 4349, 'CMB', 3024, 'MAA', 3144, '', 0, '332 320 343\r'),
	('UL', 4349, 'CMB', 3024, 'MCT', 2194, '', 0, '321 320\r'),
	('UL', 4349, 'CMB', 3024, 'MLE', 3156, '', 0, '320 332 343\r'),
	('UL', 4349, 'CMB', 3024, 'NRT', 2279, '', 0, '332 343\r'),
	('UL', 4349, 'CMB', 3024, 'PEK', 3364, '', 0, '332\r'),
	('UL', 4349, 'CMB', 3024, 'PVG', 3406, '', 0, '332\r'),
	('UL', 4349, 'CMB', 3024, 'RUH', 2082, '', 0, '343 332\r'),
	('UL', 4349, 'CMB', 3024, 'SEZ', 994, 'Y', 0, '320\r'),
	('UL', 4349, 'CMB', 3024, 'SHJ', 2191, '', 0, '320\r'),
	('UL', 4349, 'CMB', 3024, 'SIN', 3316, '', 0, '320 321\r'),
	('UL', 4349, 'CMB', 3024, 'TRV', 3153, '', 0, '320\r'),
	('UL', 4349, 'CMB', 3024, 'TRZ', 3152, '', 0, '320\r'),
	('UL', 4349, 'COK', 3136, 'CMB', 3024, '', 0, '320 321\r'),
	('UL', 4349, 'DAC', 3076, 'CMB', 3024, 'Y', 0, '321\r'),
	('UL', 4349, 'DEL', 3093, 'CMB', 3024, '', 0, '320\r'),
	('UL', 4349, 'DIW', 7562, 'KCT', 6169, '', 0, 'CNC\r'),
	('UL', 4349, 'DME', 4029, 'CMB', 3024, '', 0, '332\r'),
	('UL', 4349, 'DMM', 2064, 'CMB', 3024, '', 0, '343\r'),
	('UL', 4349, 'DOH', 2241, 'CMB', 3024, '', 0, '332 343\r'),
	('UL', 4349, 'DXB', 2188, 'CMB', 3024, '', 0, '332 320 321\r'),
	('UL', 4349, 'FCO', 1555, 'CMB', 3024, '', 0, '332 343\r'),
	('UL', 4349, 'FRA', 340, 'CMB', 3024, '', 0, '332\r'),
	('UL', 4349, 'GIU', 9229, 'CMB', 3024, '', 0, 'CNC\r'),
	('UL', 4349, 'GIU', 9229, 'TRR', 3030, '', 0, 'CNC\r'),
	('UL', 4349, 'HKG', 3077, 'BKK', 3885, '', 0, '332\r'),
	('UL', 4349, 'HRI', 8949, 'CMB', 3024, '', 0, '320 343\r'),
	('UL', 4349, 'HRI', 8949, 'JED', 2072, '', 0, '343\r'),
	('UL', 4349, 'HRI', 8949, 'PEK', 3364, '', 0, '332\r'),
	('UL', 4349, 'HRI', 8949, 'PVG', 3406, '', 0, '332 343\r'),
	('UL', 4349, 'IXM', 3142, 'CMB', 3024, 'Y', 0, '320\r'),
	('UL', 4349, 'JED', 2072, 'CMB', 3024, '', 0, '343\r'),
	('UL', 4349, 'KCT', 6169, 'CMB', 3024, '', 0, 'CNC\r'),
	('UL', 4349, 'KCT', 6169, 'DIW', 7562, '', 0, 'CNC\r'),
	('UL', 4349, 'KHI', 2206, 'CMB', 3024, '', 0, '320\r'),
	('UL', 4349, 'KUL', 3304, 'CMB', 3024, '', 0, '320 321\r'),
	('UL', 4349, 'KWI', 2176, 'CMB', 3024, '', 0, '343 332\r'),
	('UL', 4349, 'LHR', 507, 'CMB', 3024, '', 0, '332\r'),
	('UL', 4349, 'MAA', 3144, 'CMB', 3024, '', 0, '332 320 343\r'),
	('UL', 4349, 'MAA', 3144, 'HRI', 8949, '', 0, '320 343\r'),
	('UL', 4349, 'MCT', 2194, 'CMB', 3024, '', 0, '321 320\r'),
	('UL', 4349, 'MCT', 2194, 'ZRH', 1678, '', 0, '332\r'),
	('UL', 4349, 'MLE', 3156, 'CMB', 3024, '', 0, '320 332 343\r'),
	('UL', 4349, 'MLE', 3156, 'HRI', 8949, '', 0, '320\r'),
	('UL', 4349, 'NRT', 2279, 'CMB', 3024, '', 0, '343 332\r'),
	('UL', 4349, 'PEK', 3364, 'CMB', 3024, '', 0, '332\r'),
	('UL', 4349, 'PVG', 3406, 'CMB', 3024, '', 0, '332 343\r'),
	('UL', 4349, 'RUH', 2082, 'CMB', 3024, '', 0, '343 332\r'),
	('UL', 4349, 'SEZ', 994, 'CMB', 3024, 'Y', 0, '320\r'),
	('UL', 4349, 'SHJ', 2191, 'CMB', 3024, '', 0, '320\r'),
	('UL', 4349, 'SIN', 3316, 'CMB', 3024, '', 0, '320 321\r'),
	('UL', 4349, 'TRR', 3030, 'GIU', 9229, '', 0, 'CNC\r'),
	('UL', 4349, 'TRV', 3153, 'CMB', 3024, '', 0, '320\r'),
	('UL', 4349, 'TRZ', 3152, 'CMB', 3024, '', 0, '320\r'),
	('UL', 4349, 'ZRH', 1678, 'MCT', 2194, '', 0, '332\r'),
	('UM', 608, 'BUQ', 1001, 'HRE', 1005, '', 0, '732\r'),
	('UM', 608, 'BUQ', 1001, 'JNB', 813, '', 0, '762\r'),
	('UM', 608, 'BUQ', 1001, 'VFA', 1004, '', 0, '732\r'),
	('UM', 608, 'HRE', 1005, 'BUQ', 1001, '', 0, '732\r'),
	('UM', 608, 'HRE', 1005, 'JNB', 813, '', 0, '762\r'),
	('UM', 608, 'HRE', 1005, 'VFA', 1004, '', 0, '732\r'),
	('UM', 608, 'JNB', 813, 'BUQ', 1001, '', 0, '762\r'),
	('UM', 608, 'JNB', 813, 'HRE', 1005, '', 0, '762\r'),
	('UM', 608, 'JNB', 813, 'VFA', 1004, '', 0, '732\r'),
	('UM', 608, 'VFA', 1004, 'BUQ', 1001, '', 0, '732\r'),
	('UM', 608, 'VFA', 1004, 'HRE', 1005, '', 0, '732\r'),
	('UM', 608, 'VFA', 1004, 'JNB', 813, '', 0, '732\r'),
	('UN', 5067, 'ABZ', 532, 'LHR', 507, '', 0, '333\r'),
	('UN', 5067, 'AER', 2965, 'DME', 4029, '', 0, '734 735\r'),
	('UN', 5067, 'AER', 2965, 'VKO', 2988, '', 0, '73G\r'),
	('UN', 5067, 'AGP', 1230, 'VKO', 2988, '', 0, '738\r'),
	('UN', 5067, 'ALA', 2908, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'ALA', 2908, 'VKO', 2988, '', 0, '73H\r'),
	('UN', 5067, 'ALC', 1212, 'DME', 4029, '', 0, '734\r'),
	('UN', 5067, 'AYT', 1688, 'VKO', 2988, '', 0, '74E\r'),
	('UN', 5067, 'BCN', 1218, 'DME', 4029, '', 0, '763 734 772 744\r'),
	('UN', 5067, 'BHK', 2980, 'DME', 4029, '', 0, 'T20\r'),
	('UN', 5067, 'BKK', 3885, 'DME', 4029, '', 0, '772 744\r'),
	('UN', 5067, 'BKK', 3885, 'KJA', 4374, '', 0, '763\r'),
	('UN', 5067, 'BKK', 3885, 'SVX', 2975, '', 0, '763\r'),
	('UN', 5067, 'BKK', 3885, 'TPE', 2276, '', 0, '333\r'),
	('UN', 5067, 'BOS', 3448, 'LHR', 507, 'Y', 0, '333\r'),
	('UN', 5067, 'BQS', 2926, 'DME', 4029, '', 0, '762\r'),
	('UN', 5067, 'CIT', 2914, 'VKO', 2988, '', 0, '738 73G\r'),
	('UN', 5067, 'CUN', 1852, 'VKO', 2988, '', 0, '74E\r'),
	('UN', 5067, 'DLM', 1715, 'DME', 4029, '', 0, '734\r'),
	('UN', 5067, 'DLM', 1715, 'VKO', 2988, '', 0, '74E\r'),
	('UN', 5067, 'DME', 4029, 'AER', 2965, '', 0, '734 735\r'),
	('UN', 5067, 'DME', 4029, 'ALA', 2908, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'ALC', 1212, '', 0, '734\r'),
	('UN', 5067, 'DME', 4029, 'BCN', 1218, '', 0, '763 734 772 744\r'),
	('UN', 5067, 'DME', 4029, 'BHK', 2980, '', 0, 'T20\r'),
	('UN', 5067, 'DME', 4029, 'BKK', 3885, '', 0, '772 744\r'),
	('UN', 5067, 'DME', 4029, 'BQS', 2926, '', 0, '762\r'),
	('UN', 5067, 'DME', 4029, 'DLM', 1715, '', 0, '734\r'),
	('UN', 5067, 'DME', 4029, 'DNK', 2941, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'DOK', 2940, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'DWC', 8076, '', 0, '773\r'),
	('UN', 5067, 'DME', 4029, 'DYR', 6098, '', 0, '772\r'),
	('UN', 5067, 'DME', 4029, 'FCO', 1555, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'GDX', 2930, '', 0, '763\r'),
	('UN', 5067, 'DME', 4029, 'GOI', 3007, '', 0, '773\r'),
	('UN', 5067, 'DME', 4029, 'HER', 1452, '', 0, '734 772\r'),
	('UN', 5067, 'DME', 4029, 'HKG', 3077, '', 0, '763\r'),
	('UN', 5067, 'DME', 4029, 'HKT', 3179, '', 0, '744\r'),
	('UN', 5067, 'DME', 4029, 'HMA', 6138, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'HRG', 1130, '', 0, 'T20 744\r'),
	('UN', 5067, 'DME', 4029, 'IAH', 3550, 'Y', 0, '77W\r'),
	('UN', 5067, 'DME', 4029, 'IEV', 2944, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'KEJ', 2957, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'KGD', 2952, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'KGF', 4375, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'KHV', 2927, '', 0, '773\r'),
	('UN', 5067, 'DME', 4029, 'KOV', 6083, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'KRR', 2960, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'KUF', 4118, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'KZN', 2990, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'LED', 2948, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'LGW', 502, '', 0, '320\r'),
	('UN', 5067, 'DME', 4029, 'MRV', 2962, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'MSQ', 2954, 'Y', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'MXP', 1524, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'NBE', 7447, '', 0, '744\r'),
	('UN', 5067, 'DME', 4029, 'NUX', 4364, '', 0, '734 735\r'),
	('UN', 5067, 'DME', 4029, 'OMS', 2958, '', 0, '735 734\r'),
	('UN', 5067, 'DME', 4029, 'OVB', 4078, '', 0, '735 734 763\r'),
	('UN', 5067, 'DME', 4029, 'PED', 1584, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'PEE', 2973, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'PFO', 1198, '', 0, '763 744\r'),
	('UN', 5067, 'DME', 4029, 'PKC', 2932, '', 0, '773\r'),
	('UN', 5067, 'DME', 4029, 'PUJ', 1760, '', 0, '772\r'),
	('UN', 5067, 'DME', 4029, 'RHO', 1472, '', 0, '734 763\r'),
	('UN', 5067, 'DME', 4029, 'RIX', 3953, '', 0, 'DH4\r'),
	('UN', 5067, 'DME', 4029, 'RMI', 1546, '', 0, '763\r'),
	('UN', 5067, 'DME', 4029, 'ROV', 2964, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'SGN', 3205, '', 0, '763\r'),
	('UN', 5067, 'DME', 4029, 'SIN', 3316, 'Y', 0, '77W\r'),
	('UN', 5067, 'DME', 4029, 'SIP', 2942, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'SSH', 4057, '', 0, '772\r'),
	('UN', 5067, 'DME', 4029, 'STW', 2963, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'SVX', 2975, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'SYX', 4030, '', 0, '773\r'),
	('UN', 5067, 'DME', 4029, 'TFS', 1056, '', 0, '772 763\r'),
	('UN', 5067, 'DME', 4029, 'TLV', 1590, '', 0, '735 734\r'),
	('UN', 5067, 'DME', 4029, 'TOF', 4297, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'TSE', 2910, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'TXL', 351, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'UFA', 2992, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'UUS', 2933, '', 0, '772\r'),
	('UN', 5067, 'DME', 4029, 'VIE', 1613, 'Y', 0, '32S\r'),
	('UN', 5067, 'DME', 4029, 'VNO', 3959, '', 0, '735\r'),
	('UN', 5067, 'DME', 4029, 'VRA', 1923, '', 0, '763\r'),
	('UN', 5067, 'DME', 4029, 'VVO', 2934, '', 0, '773\r'),
	('UN', 5067, 'DME', 4029, 'YKS', 2923, '', 0, 'T20 763\r'),
	('UN', 5067, 'DNK', 2941, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'DOK', 2940, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'DWC', 8076, 'DME', 4029, '', 0, '773\r'),
	('UN', 5067, 'DWC', 8076, 'KUF', 4118, '', 0, '738\r'),
	('UN', 5067, 'DWC', 8076, 'LED', 2948, '', 0, '738\r'),
	('UN', 5067, 'DWC', 8076, 'OMS', 2958, '', 0, '738\r'),
	('UN', 5067, 'DWC', 8076, 'OVB', 4078, '', 0, '738\r'),
	('UN', 5067, 'DWC', 8076, 'SVX', 2975, '', 0, '738\r'),
	('UN', 5067, 'DWC', 8076, 'TJM', 4111, '', 0, '738\r'),
	('UN', 5067, 'DWC', 8076, 'VKO', 2988, '', 0, '777 763\r'),
	('UN', 5067, 'DYR', 6098, 'DME', 4029, '', 0, '772\r'),
	('UN', 5067, 'EDI', 535, 'LHR', 507, '', 0, '333\r'),
	('UN', 5067, 'EVN', 3964, 'VKO', 2988, '', 0, '73H\r'),
	('UN', 5067, 'FCO', 1555, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'FCO', 1555, 'LED', 2948, '', 0, '735\r'),
	('UN', 5067, 'FCO', 1555, 'VKO', 2988, '', 0, '738 763\r'),
	('UN', 5067, 'FRA', 340, 'VKO', 2988, '', 0, '738 73G\r'),
	('UN', 5067, 'GDX', 2930, 'DME', 4029, '', 0, '763\r'),
	('UN', 5067, 'GOI', 3007, 'DME', 4029, '', 0, '773\r'),
	('UN', 5067, 'GUW', 4357, 'VKO', 2988, '', 0, '73G\r'),
	('UN', 5067, 'HER', 1452, 'DME', 4029, '', 0, '734 772\r'),
	('UN', 5067, 'HER', 1452, 'VKO', 2988, '', 0, '738 777\r'),
	('UN', 5067, 'HKG', 3077, 'DME', 4029, '', 0, '763\r'),
	('UN', 5067, 'HKT', 3179, 'DME', 4029, '', 0, '744\r'),
	('UN', 5067, 'HKT', 3179, 'LED', 2948, '', 0, '763\r'),
	('UN', 5067, 'HKT', 3179, 'OVB', 4078, '', 0, '763\r'),
	('UN', 5067, 'HKT', 3179, 'SVX', 2975, '', 0, '763\r'),
	('UN', 5067, 'HKT', 3179, 'VKO', 2988, '', 0, '74E\r'),
	('UN', 5067, 'HMA', 6138, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'HRG', 1130, 'DME', 4029, '', 0, 'T20 744\r'),
	('UN', 5067, 'HRG', 1130, 'OVB', 4078, '', 0, '763\r'),
	('UN', 5067, 'HRG', 1130, 'SVO', 2985, '', 0, '744\r'),
	('UN', 5067, 'HRG', 1130, 'SVX', 2975, '', 0, '738\r'),
	('UN', 5067, 'HRG', 1130, 'VKO', 2988, '', 0, '738\r'),
	('UN', 5067, 'IAH', 3550, 'DME', 4029, 'Y', 0, '77W\r'),
	('UN', 5067, 'IEV', 2944, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'IEV', 2944, 'VKO', 2988, '', 0, '73G\r'),
	('UN', 5067, 'IKT', 2937, 'VKO', 2988, '', 0, '738\r'),
	('UN', 5067, 'IST', 1701, 'VKO', 2988, '', 0, '738 73G\r'),
	('UN', 5067, 'JFK', 3797, 'VKO', 2988, '', 0, '777\r'),
	('UN', 5067, 'JNB', 813, 'LHR', 507, '', 0, '346\r'),
	('UN', 5067, 'KEJ', 2957, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'KGD', 2952, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'KGF', 4375, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'KHV', 2927, 'DME', 4029, '', 0, '773\r'),
	('UN', 5067, 'KJA', 4374, 'VKO', 2988, '', 0, '738\r'),
	('UN', 5067, 'KOV', 6083, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'KRR', 2960, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'KRR', 2960, 'VKO', 2988, '', 0, '73G\r'),
	('UN', 5067, 'KSN', 6088, 'VKO', 2988, '', 0, '73G\r'),
	('UN', 5067, 'KUF', 4118, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'KUF', 4118, 'DWC', 8076, '', 0, '738\r'),
	('UN', 5067, 'KUF', 4118, 'VKO', 2988, '', 0, '738\r'),
	('UN', 5067, 'KZN', 2990, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'LAX', 3484, 'LHR', 507, 'Y', 0, '346\r'),
	('UN', 5067, 'LAX', 3484, 'VKO', 2988, '', 0, '777\r'),
	('UN', 5067, 'LCA', 1197, 'LED', 2948, '', 0, '733 744 763\r'),
	('UN', 5067, 'LED', 2948, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'LED', 2948, 'FCO', 1555, '', 0, '735\r'),
	('UN', 5067, 'LED', 2948, 'LCA', 1197, '', 0, '733 744 763\r'),
	('UN', 5067, 'LED', 2948, 'MSQ', 2954, 'Y', 0, '735\r'),
	('UN', 5067, 'LED', 2948, 'MXP', 1524, '', 0, '735\r'),
	('UN', 5067, 'LED', 2948, 'NBE', 7447, '', 0, '763\r'),
	('UN', 5067, 'LED', 2948, 'PED', 1584, '', 0, '733\r'),
	('UN', 5067, 'LED', 2948, 'PUJ', 1760, '', 0, '763\r'),
	('UN', 5067, 'LED', 2948, 'RHO', 1472, '', 0, '733 744\r'),
	('UN', 5067, 'LED', 2948, 'VKO', 2988, '', 0, '73G 738\r'),
	('UN', 5067, 'LGW', 502, 'DME', 4029, '', 0, '320\r'),
	('UN', 5067, 'LGW', 502, 'MCO', 3878, 'Y', 0, '744\r'),
	('UN', 5067, 'LHR', 507, 'ABZ', 532, '', 0, '333\r'),
	('UN', 5067, 'LHR', 507, 'BOS', 3448, 'Y', 0, '333\r'),
	('UN', 5067, 'LHR', 507, 'EDI', 535, '', 0, '333\r'),
	('UN', 5067, 'LHR', 507, 'JNB', 813, '', 0, '346\r'),
	('UN', 5067, 'LHR', 507, 'LAX', 3484, 'Y', 0, '346\r'),
	('UN', 5067, 'LHR', 507, 'MAN', 478, '', 0, '333\r'),
	('UN', 5067, 'LHR', 507, 'SFO', 3469, 'Y', 0, '744\r'),
	('UN', 5067, 'LHR', 507, 'VKO', 2988, '', 0, '73H 73G 763 738\r'),
	('UN', 5067, 'MAD', 1229, 'VKO', 2988, '', 0, '738 73G\r'),
	('UN', 5067, 'MAN', 478, 'LHR', 507, '', 0, '333\r'),
	('UN', 5067, 'MCO', 3878, 'LGW', 502, 'Y', 0, '744\r'),
	('UN', 5067, 'MIA', 3576, 'VKO', 2988, '', 0, '777\r'),
	('UN', 5067, 'MLE', 3156, 'VKO', 2988, '', 0, '74E 767\r'),
	('UN', 5067, 'MRU', 893, 'VKO', 2988, '', 0, '767\r'),
	('UN', 5067, 'MRV', 2962, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'MRV', 2962, 'VKO', 2988, '', 0, '73G\r'),
	('UN', 5067, 'MSQ', 2954, 'DME', 4029, 'Y', 0, '735\r'),
	('UN', 5067, 'MSQ', 2954, 'LED', 2948, 'Y', 0, '735\r'),
	('UN', 5067, 'MXP', 1524, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'MXP', 1524, 'LED', 2948, '', 0, '735\r'),
	('UN', 5067, 'MXP', 1524, 'VKO', 2988, '', 0, '73G 738\r'),
	('UN', 5067, 'NBE', 7447, 'DME', 4029, '', 0, '744\r'),
	('UN', 5067, 'NBE', 7447, 'LED', 2948, '', 0, '763\r'),
	('UN', 5067, 'NBE', 7447, 'SVO', 2985, '', 0, '744\r'),
	('UN', 5067, 'NSK', 4352, 'VKO', 2988, '', 0, '738\r'),
	('UN', 5067, 'NUX', 4364, 'DME', 4029, '', 0, '734 735\r'),
	('UN', 5067, 'NUX', 4364, 'VKO', 2988, '', 0, '738 73G\r'),
	('UN', 5067, 'ODS', 2947, 'VKO', 2988, '', 0, '73G\r'),
	('UN', 5067, 'OMS', 2958, 'DME', 4029, '', 0, '734 735\r'),
	('UN', 5067, 'OMS', 2958, 'DWC', 8076, '', 0, '738\r'),
	('UN', 5067, 'ORY', 1386, 'VKO', 2988, '', 0, '73H\r'),
	('UN', 5067, 'OVB', 4078, 'DME', 4029, '', 0, '735 734\r'),
	('UN', 5067, 'OVB', 4078, 'HKT', 3179, '', 0, '763\r'),
	('UN', 5067, 'OVB', 4078, 'HRG', 1130, '', 0, '763\r'),
	('UN', 5067, 'OVB', 4078, 'VKO', 2988, '', 0, '738 73G\r'),
	('UN', 5067, 'PED', 1584, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'PED', 1584, 'LED', 2948, '', 0, '733\r'),
	('UN', 5067, 'PEE', 2973, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'PEK', 3364, 'VKO', 2988, '', 0, '763\r'),
	('UN', 5067, 'PFO', 1198, 'DME', 4029, '', 0, '763 744\r'),
	('UN', 5067, 'PFO', 1198, 'VKO', 2988, '', 0, '763 74E\r'),
	('UN', 5067, 'PKC', 2932, 'DME', 4029, '', 0, '773\r'),
	('UN', 5067, 'PUJ', 1760, 'DME', 4029, '', 0, '772\r'),
	('UN', 5067, 'PUJ', 1760, 'LED', 2948, '', 0, '763\r'),
	('UN', 5067, 'PUJ', 1760, 'SVO', 2985, '', 0, '744\r'),
	('UN', 5067, 'RHO', 1472, 'DME', 4029, '', 0, '734 763\r'),
	('UN', 5067, 'RHO', 1472, 'LED', 2948, '', 0, '733 744\r'),
	('UN', 5067, 'RHO', 1472, 'SVO', 2985, '', 0, '744\r'),
	('UN', 5067, 'RIX', 3953, 'DME', 4029, '', 0, 'DH4\r'),
	('UN', 5067, 'RIX', 3953, 'VKO', 2988, '', 0, '73G\r'),
	('UN', 5067, 'RMI', 1546, 'DME', 4029, '', 0, '763\r'),
	('UN', 5067, 'ROV', 2964, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'SCO', 4367, 'VKO', 2988, '', 0, '73G\r'),
	('UN', 5067, 'SEZ', 994, 'VKO', 2988, '', 0, '767\r'),
	('UN', 5067, 'SFO', 3469, 'LHR', 507, 'Y', 0, '744\r'),
	('UN', 5067, 'SGN', 3205, 'DME', 4029, '', 0, '763\r'),
	('UN', 5067, 'SIN', 3316, 'DME', 4029, 'Y', 0, '77W\r'),
	('UN', 5067, 'SIP', 2942, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'SSH', 4057, 'DME', 4029, '', 0, '772\r'),
	('UN', 5067, 'SSH', 4057, 'SVO', 2985, '', 0, '744\r'),
	('UN', 5067, 'SSH', 4057, 'SVX', 2975, '', 0, '738\r'),
	('UN', 5067, 'SSH', 4057, 'VKO', 2988, '', 0, '738\r'),
	('UN', 5067, 'STW', 2963, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'SVO', 2985, 'HRG', 1130, '', 0, '744\r'),
	('UN', 5067, 'SVO', 2985, 'NBE', 7447, '', 0, '744\r'),
	('UN', 5067, 'SVO', 2985, 'PUJ', 1760, '', 0, '744\r'),
	('UN', 5067, 'SVO', 2985, 'RHO', 1472, '', 0, '744\r'),
	('UN', 5067, 'SVO', 2985, 'SSH', 4057, '', 0, '744\r'),
	('UN', 5067, 'SVX', 2975, 'BKK', 3885, '', 0, '763\r'),
	('UN', 5067, 'SVX', 2975, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'SVX', 2975, 'HKT', 3179, '', 0, '763\r'),
	('UN', 5067, 'SVX', 2975, 'HRG', 1130, '', 0, '738\r'),
	('UN', 5067, 'SVX', 2975, 'SSH', 4057, '', 0, '738\r'),
	('UN', 5067, 'SVX', 2975, 'VKO', 2988, '', 0, '73G 738\r'),
	('UN', 5067, 'SYX', 4030, 'DME', 4029, '', 0, '773\r'),
	('UN', 5067, 'TAS', 2983, 'VKO', 2988, '', 0, '772\r'),
	('UN', 5067, 'TFS', 1056, 'DME', 4029, '', 0, '772 763\r'),
	('UN', 5067, 'TLV', 1590, 'DME', 4029, '', 0, '735 734\r'),
	('UN', 5067, 'TLV', 1590, 'VKO', 2988, '', 0, '738 73H 73G\r'),
	('UN', 5067, 'TOF', 4297, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'TPE', 2276, 'BKK', 3885, '', 0, '333\r'),
	('UN', 5067, 'TSE', 2910, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'TSE', 2910, 'VKO', 2988, '', 0, '73H\r'),
	('UN', 5067, 'TXL', 351, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'UFA', 2992, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'UUS', 2933, 'DME', 4029, '', 0, '772\r'),
	('UN', 5067, 'VCE', 1551, 'VKO', 2988, '', 0, '738\r'),
	('UN', 5067, 'VIE', 1613, 'DME', 4029, 'Y', 0, '32S\r'),
	('UN', 5067, 'VIE', 1613, 'VKO', 2988, '', 0, '738 73G\r'),
	('UN', 5067, 'VKO', 2988, 'AER', 2965, '', 0, '73G\r'),
	('UN', 5067, 'VKO', 2988, 'AGP', 1230, '', 0, '738\r'),
	('UN', 5067, 'VKO', 2988, 'ALA', 2908, '', 0, '73H\r'),
	('UN', 5067, 'VKO', 2988, 'AYT', 1688, '', 0, '74E\r'),
	('UN', 5067, 'VKO', 2988, 'CIT', 2914, '', 0, '738 73G\r'),
	('UN', 5067, 'VKO', 2988, 'CUN', 1852, '', 0, '74E\r'),
	('UN', 5067, 'VKO', 2988, 'DLM', 1715, '', 0, '74E\r'),
	('UN', 5067, 'VKO', 2988, 'DWC', 8076, '', 0, '777 763\r'),
	('UN', 5067, 'VKO', 2988, 'EVN', 3964, '', 0, '73H\r'),
	('UN', 5067, 'VKO', 2988, 'FCO', 1555, '', 0, '738 763\r'),
	('UN', 5067, 'VKO', 2988, 'FRA', 340, '', 0, '738 73G\r'),
	('UN', 5067, 'VKO', 2988, 'GUW', 4357, '', 0, '73G\r'),
	('UN', 5067, 'VKO', 2988, 'HER', 1452, '', 0, '738 777\r'),
	('UN', 5067, 'VKO', 2988, 'HKT', 3179, '', 0, '74E\r'),
	('UN', 5067, 'VKO', 2988, 'HRG', 1130, '', 0, '738\r'),
	('UN', 5067, 'VKO', 2988, 'IEV', 2944, '', 0, '73G\r'),
	('UN', 5067, 'VKO', 2988, 'IKT', 2937, '', 0, '738\r'),
	('UN', 5067, 'VKO', 2988, 'IST', 1701, '', 0, '73G 738\r'),
	('UN', 5067, 'VKO', 2988, 'JFK', 3797, '', 0, '777\r'),
	('UN', 5067, 'VKO', 2988, 'KJA', 4374, '', 0, '738\r'),
	('UN', 5067, 'VKO', 2988, 'KRR', 2960, '', 0, '73G\r'),
	('UN', 5067, 'VKO', 2988, 'KSN', 6088, '', 0, '73G\r'),
	('UN', 5067, 'VKO', 2988, 'KUF', 4118, '', 0, '738\r'),
	('UN', 5067, 'VKO', 2988, 'LAX', 3484, '', 0, '777\r'),
	('UN', 5067, 'VKO', 2988, 'LED', 2948, '', 0, '73G 738\r'),
	('UN', 5067, 'VKO', 2988, 'LHR', 507, '', 0, '73H 73G 763 738\r'),
	('UN', 5067, 'VKO', 2988, 'MAD', 1229, '', 0, '738 73G\r'),
	('UN', 5067, 'VKO', 2988, 'MIA', 3576, '', 0, '777\r'),
	('UN', 5067, 'VKO', 2988, 'MLE', 3156, '', 0, '74E 767\r'),
	('UN', 5067, 'VKO', 2988, 'MRU', 893, '', 0, '767\r'),
	('UN', 5067, 'VKO', 2988, 'MRV', 2962, '', 0, '73G\r'),
	('UN', 5067, 'VKO', 2988, 'MXP', 1524, '', 0, '73G 738\r'),
	('UN', 5067, 'VKO', 2988, 'NSK', 4352, '', 0, '738\r'),
	('UN', 5067, 'VKO', 2988, 'NUX', 4364, '', 0, '738 73G\r'),
	('UN', 5067, 'VKO', 2988, 'ODS', 2947, '', 0, '73G\r'),
	('UN', 5067, 'VKO', 2988, 'ORY', 1386, '', 0, '73H\r'),
	('UN', 5067, 'VKO', 2988, 'OVB', 4078, '', 0, '738 73G\r'),
	('UN', 5067, 'VKO', 2988, 'PEK', 3364, '', 0, '763\r'),
	('UN', 5067, 'VKO', 2988, 'PFO', 1198, '', 0, '763 74E\r'),
	('UN', 5067, 'VKO', 2988, 'RIX', 3953, '', 0, '73G\r'),
	('UN', 5067, 'VKO', 2988, 'SCO', 4367, '', 0, '73G\r'),
	('UN', 5067, 'VKO', 2988, 'SEZ', 994, '', 0, '767\r'),
	('UN', 5067, 'VKO', 2988, 'SSH', 4057, '', 0, '738\r'),
	('UN', 5067, 'VKO', 2988, 'SVX', 2975, '', 0, '73G\r'),
	('UN', 5067, 'VKO', 2988, 'TAS', 2983, '', 0, '772\r'),
	('UN', 5067, 'VKO', 2988, 'TLV', 1590, '', 0, '73H 73G 738\r'),
	('UN', 5067, 'VKO', 2988, 'TSE', 2910, '', 0, '73H\r'),
	('UN', 5067, 'VKO', 2988, 'VCE', 1551, '', 0, '738\r'),
	('UN', 5067, 'VKO', 2988, 'VIE', 1613, '', 0, '738 73G\r'),
	('UN', 5067, 'VKO', 2988, 'YYZ', 193, '', 0, '777\r'),
	('UN', 5067, 'VNO', 3959, 'DME', 4029, '', 0, '735\r'),
	('UN', 5067, 'VRA', 1923, 'DME', 4029, '', 0, '763\r'),
	('UN', 5067, 'VVO', 2934, 'DME', 4029, '', 0, '773\r'),
	('UN', 5067, 'YKS', 2923, 'DME', 4029, '', 0, '763 T20\r'),
	('UN', 5067, 'YYZ', 193, 'VKO', 2988, '', 0, '777\r'),
	('UO', 2774, 'BKI', 3269, 'HKG', 3077, '', 0, '320\r'),
	('UO', 2774, 'CNX', 3931, 'HKG', 3077, '', 0, '320\r'),
	('UO', 2774, 'FUK', 2305, 'HKG', 3077, '', 0, '320\r'),
	('UO', 2774, 'HKG', 3077, 'BKI', 3269, '', 0, '320\r'),
	('UO', 2774, 'HKG', 3077, 'CNX', 3931, '', 0, '320\r'),
	('UO', 2774, 'HKG', 3077, 'FUK', 2305, '', 0, '320\r'),
	('UO', 2774, 'HKG', 3077, 'HKT', 3179, '', 0, '320\r'),
	('UO', 2774, 'HKG', 3077, 'HND', 2359, '', 0, '320\r'),
	('UO', 2774, 'HKG', 3077, 'ICN', 3930, '', 0, '320\r'),
	('UO', 2774, 'HKG', 3077, 'KIX', 3992, '', 0, '320\r'),
	('UO', 2774, 'HKG', 3077, 'KMG', 3382, '', 0, '320\r'),
	('UO', 2774, 'HKG', 3077, 'PEN', 3308, '', 0, '320\r'),
	('UO', 2774, 'HKG', 3077, 'RMQ', 2268, '', 0, '320\r'),
	('UO', 2774, 'HKT', 3179, 'HKG', 3077, '', 0, '320\r'),
	('UO', 2774, 'HND', 2359, 'HKG', 3077, '', 0, '320\r'),
	('UO', 2774, 'ICN', 3930, 'HKG', 3077, '', 0, '320\r'),
	('UO', 2774, 'KIX', 3992, 'HKG', 3077, '', 0, '320\r'),
	('UO', 2774, 'KMG', 3382, 'HKG', 3077, '', 0, '320\r'),
	('UO', 2774, 'PEN', 3308, 'HKG', 3077, '', 0, '320\r'),
	('UO', 2774, 'RMQ', 2268, 'HKG', 3077, '', 0, '320\r'),
	('UP', 1403, 'AXP', 1932, 'CRI', 5859, '', 0, 'DH8\r'),
	('UP', 1403, 'AXP', 1932, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'BHM', 3811, 'FPO', 1948, '', 0, '734\r'),
	('UP', 1403, 'BWI', 3849, 'FPO', 1948, '', 0, '734\r'),
	('UP', 1403, 'CMH', 3759, 'FPO', 1948, '', 0, '734\r'),
	('UP', 1403, 'CRI', 5859, 'AXP', 1932, '', 0, 'DH8\r'),
	('UP', 1403, 'CRI', 5859, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'ELH', 1943, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'EWR', 3494, 'FPO', 1948, '', 0, '734\r'),
	('UP', 1403, 'FLL', 3533, 'FPO', 1948, '', 0, 'DH8\r'),
	('UP', 1403, 'FLL', 3533, 'NAS', 1953, '', 0, '737 DH8\r'),
	('UP', 1403, 'FPO', 1948, 'BHM', 3811, '', 0, '734\r'),
	('UP', 1403, 'FPO', 1948, 'BWI', 3849, '', 0, '734\r'),
	('UP', 1403, 'FPO', 1948, 'CMH', 3759, '', 0, '734\r'),
	('UP', 1403, 'FPO', 1948, 'EWR', 3494, '', 0, '734\r'),
	('UP', 1403, 'FPO', 1948, 'FLL', 3533, '', 0, 'DH8\r'),
	('UP', 1403, 'FPO', 1948, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'FPO', 1948, 'RIC', 3608, '', 0, '734\r'),
	('UP', 1403, 'GGT', 1941, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'GHB', 1944, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'HAV', 1909, 'NAS', 1953, '', 0, '737\r'),
	('UP', 1403, 'IGA', 1949, 'MYG', 1952, '', 0, 'DH8\r'),
	('UP', 1403, 'IGA', 1949, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'LGI', 1950, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'MCO', 3878, 'NAS', 1953, '', 0, '737 DH8\r'),
	('UP', 1403, 'MHH', 1930, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'MHH', 1930, 'PBI', 3722, '', 0, 'DH8\r'),
	('UP', 1403, 'MIA', 3576, 'NAS', 1953, '', 0, '737\r'),
	('UP', 1403, 'MIA', 3576, 'SKB', 2891, '', 0, '737\r'),
	('UP', 1403, 'MYG', 1952, 'IGA', 1949, '', 0, 'DH8\r'),
	('UP', 1403, 'MYG', 1952, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'AXP', 1932, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'CRI', 5859, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'ELH', 1943, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'FLL', 3533, '', 0, '737 DH8\r'),
	('UP', 1403, 'NAS', 1953, 'FPO', 1948, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'GGT', 1941, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'GHB', 1944, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'HAV', 1909, '', 0, '737\r'),
	('UP', 1403, 'NAS', 1953, 'IGA', 1949, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'LGI', 1950, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'MCO', 3878, '', 0, '737 DH8\r'),
	('UP', 1403, 'NAS', 1953, 'MHH', 1930, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'MIA', 3576, '', 0, '737\r'),
	('UP', 1403, 'NAS', 1953, 'MYG', 1952, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'PBI', 3722, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'PLS', 1754, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'RSD', 1946, '', 0, 'DH8\r'),
	('UP', 1403, 'NAS', 1953, 'SML', 1951, '', 0, 'BE9\r'),
	('UP', 1403, 'NAS', 1953, 'ZSA', 1956, '', 0, 'DH8\r'),
	('UP', 1403, 'PBI', 3722, 'MHH', 1930, '', 0, 'DH8\r'),
	('UP', 1403, 'PBI', 3722, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'PLS', 1754, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'RIC', 3608, 'FPO', 1948, '', 0, '734\r'),
	('UP', 1403, 'RSD', 1946, 'NAS', 1953, '', 0, 'DH8\r'),
	('UP', 1403, 'SKB', 2891, 'NAS', 1953, '', 0, '737\r'),
	('UP', 1403, 'SML', 1951, 'NAS', 1953, '', 0, 'BE9\r'),
	('UP', 1403, 'ZSA', 1956, 'NAS', 1953, '', 0, 'DH8\r'),
	('UR', 15814, 'ARH', 4362, 'NNM', 4371, '', 0, 'AN4\r'),
	('UR', 15814, 'EYK', 8428, 'NYA', 6139, '', 0, 'AT7\r'),
	('UR', 15814, 'EYK', 8428, 'OVS', 6140, '', 0, 'AT7\r'),
	('UR', 15814, 'EYK', 8428, 'SVX', 2975, '', 0, 'AT7\r'),
	('UR', 15814, 'GOJ', 4274, 'KUF', 4118, '', 0, 'AT7\r'),
	('UR', 15814, 'GOJ', 4274, 'SVX', 2975, '', 0, 'AT7\r'),
	('UR', 15814, 'GOJ', 4274, 'VKO', 2988, '', 0, 'AT7\r'),
	('UR', 15814, 'HMA', 6138, 'NJC', 2972, '', 0, 'AT7\r'),
	('UR', 15814, 'HMA', 6138, 'OMS', 2958, '', 0, 'AT7\r'),
	('UR', 15814, 'HMA', 6138, 'OVB', 4078, '', 0, 'AT7\r'),
	('UR', 15814, 'HMA', 6138, 'SVX', 2975, '', 0, 'AT7\r'),
	('UR', 15814, 'HMA', 6138, 'TJM', 4111, '', 0, 'AT7\r'),
	('UR', 15814, 'HMA', 6138, 'URJ', 4377, '', 0, 'AT7\r'),
	('UR', 15814, 'KUF', 4118, 'GOJ', 4274, '', 0, 'AT7\r'),
	('UR', 15814, 'KUF', 4118, 'SVX', 2975, '', 0, 'AT7\r'),
	('UR', 15814, 'KVX', 6142, 'NNM', 4371, '', 0, 'AN4\r'),
	('UR', 15814, 'KVX', 6142, 'VKO', 2988, '', 0, 'AT7\r'),
	('UR', 15814, 'KZN', 2990, 'UFA', 2992, '', 0, 'AT7\r'),
	('UR', 15814, 'NJC', 2972, 'HMA', 6138, '', 0, 'AT7\r'),
	('UR', 15814, 'NJC', 2972, 'OVB', 4078, '', 0, 'AT7\r'),
	('UR', 15814, 'NJC', 2972, 'SVX', 2975, '', 0, 'AT7\r'),
	('UR', 15814, 'NJC', 2972, 'TJM', 4111, '', 0, 'AT7\r'),
	('UR', 15814, 'NNM', 4371, 'ARH', 4362, '', 0, 'AN4\r'),
	('UR', 15814, 'NNM', 4371, 'KVX', 6142, '', 0, 'AN4\r'),
	('UR', 15814, 'NNM', 4371, 'SCW', 2989, '', 0, 'AN4\r'),
	('UR', 15814, 'NUX', 4364, 'OVB', 4078, '', 0, 'AT7\r'),
	('UR', 15814, 'NYA', 6139, 'EYK', 8428, '', 0, 'AT7\r'),
	('UR', 15814, 'NYA', 6139, 'TJM', 4111, '', 0, 'AT7\r'),
	('UR', 15814, 'OMS', 2958, 'HMA', 6138, '', 0, 'AT7\r'),
	('UR', 15814, 'OVB', 4078, 'HMA', 6138, '', 0, 'AT7\r'),
	('UR', 15814, 'OVB', 4078, 'NJC', 2972, '', 0, 'AT7\r'),
	('UR', 15814, 'OVB', 4078, 'NUX', 4364, '', 0, 'AT7\r'),
	('UR', 15814, 'OVB', 4078, 'SGC', 2974, '', 0, 'AT7\r'),
	('UR', 15814, 'OVS', 6140, 'EYK', 8428, '', 0, 'AT7\r'),
	('UR', 15814, 'OVS', 6140, 'TJM', 4111, '', 0, 'AT7\r'),
	('UR', 15814, 'SCW', 2989, 'NNM', 4371, '', 0, 'AN4\r'),
	('UR', 15814, 'SCW', 2989, 'UCT', 4368, '', 0, 'AN4\r'),
	('UR', 15814, 'SCW', 2989, 'VKT', 6159, '', 0, 'AN4\r'),
	('UR', 15814, 'SGC', 2974, 'OVB', 4078, '', 0, 'AT7\r'),
	('UR', 15814, 'SGC', 2974, 'SVX', 2975, '', 0, 'AT7\r'),
	('UR', 15814, 'SGC', 2974, 'TJM', 4111, '', 0, 'AT7\r'),
	('UR', 15814, 'SGC', 2974, 'UFA', 2992, '', 0, 'AT7\r'),
	('UR', 15814, 'SVX', 2975, 'EYK', 8428, '', 0, 'AT7\r'),
	('UR', 15814, 'SVX', 2975, 'GOJ', 4274, '', 0, 'AT7\r'),
	('UR', 15814, 'SVX', 2975, 'HMA', 6138, '', 0, 'AT7\r'),
	('UR', 15814, 'SVX', 2975, 'KUF', 4118, '', 0, 'AT7\r'),
	('UR', 15814, 'SVX', 2975, 'NJC', 2972, '', 0, 'AT7\r'),
	('UR', 15814, 'SVX', 2975, 'SGC', 2974, '', 0, 'AT7\r'),
	('UR', 15814, 'TBW', 6466, 'VKO', 2988, '', 0, 'AT7\r'),
	('UR', 15814, 'TJM', 4111, 'HMA', 6138, '', 0, 'AT7\r'),
	('UR', 15814, 'TJM', 4111, 'NJC', 2972, '', 0, 'AT7\r'),
	('UR', 15814, 'TJM', 4111, 'NYA', 6139, '', 0, 'AT7\r'),
	('UR', 15814, 'TJM', 4111, 'OVS', 6140, '', 0, 'AT7\r'),
	('UR', 15814, 'TJM', 4111, 'SGC', 2974, '', 0, 'AT7\r'),
	('UR', 15814, 'TJM', 4111, 'UFA', 2992, '', 0, 'AT7\r'),
	('UR', 15814, 'TJM', 4111, 'URJ', 4377, '', 0, 'AT7\r'),
	('UR', 15814, 'UCT', 4368, 'SCW', 2989, '', 0, 'AN4\r'),
	('UR', 15814, 'UCT', 4368, 'USK', 4369, '', 0, 'AN4\r'),
	('UR', 15814, 'UFA', 2992, 'KZN', 2990, '', 0, 'AT7\r'),
	('UR', 15814, 'UFA', 2992, 'SGC', 2974, '', 0, 'AT7\r'),
	('UR', 15814, 'UFA', 2992, 'TJM', 4111, '', 0, 'AT7\r'),
	('UR', 15814, 'URJ', 4377, 'HMA', 6138, '', 0, 'AT7\r'),
	('UR', 15814, 'URJ', 4377, 'TJM', 4111, '', 0, 'AT7\r'),
	('UR', 15814, 'URS', 6157, 'VKO', 2988, '', 0, 'AT7\r'),
	('UR', 15814, 'USK', 4369, 'UCT', 4368, '', 0, 'AN4\r'),
	('UR', 15814, 'VKO', 2988, 'GOJ', 4274, '', 0, 'AT7\r'),
	('UR', 15814, 'VKO', 2988, 'KVX', 6142, '', 0, 'AT7\r'),
	('UR', 15814, 'VKO', 2988, 'TBW', 6466, '', 0, 'AT7\r'),
	('UR', 15814, 'VKO', 2988, 'URS', 6157, '', 0, 'AT7\r'),
	('UR', 15814, 'VKO', 2988, 'VNO', 3959, '', 0, 'AT7\r'),
	('UR', 15814, 'VKO', 2988, 'VOZ', 2987, '', 0, 'AT7\r'),
	('UR', 15814, 'VKT', 6159, 'SCW', 2989, '', 0, 'AN4\r'),
	('UR', 15814, 'VNO', 3959, 'VKO', 2988, '', 0, 'AT7\r'),
	('UR', 15814, 'VOZ', 2987, 'VKO', 2988, '', 0, 'AT7\r'),
	('US', 5265, 'ABE', 4355, 'CLT', 3876, 'Y', 0, 'CR9 CR7 CRJ\r'),
	('US', 5265, 'ABE', 4355, 'PHL', 3752, 'Y', 0, 'CRJ DH8\r'),
	('US', 5265, 'ABI', 3718, 'DFW', 3670, '', 0, 'ERD ER4\r'),
	('US', 5265, 'ABQ', 4019, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('US', 5265, 'ABQ', 4019, 'LAX', 3484, 'Y', 0, 'CR7 CRJ\r'),
	('US', 5265, 'ABQ', 4019, 'ORD', 3830, '', 0, 'E75\r'),
	('US', 5265, 'ABQ', 4019, 'PHX', 3462, 'Y', 0, 'CRJ CR9\r'),
	('US', 5265, 'ACT', 3700, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'ADL', 3341, 'AKL', 2006, 'Y', 0, '320\r'),
	('US', 5265, 'AEX', 3852, 'DFW', 3670, 'Y', 0, 'ER4 CRJ ERD\r'),
	('US', 5265, 'AGS', 3658, 'CLT', 3876, 'Y', 0, 'DH3 CRJ\r'),
	('US', 5265, 'AGS', 3658, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'AGU', 1785, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('US', 5265, 'ALB', 3864, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'ALB', 3864, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'ALB', 3864, 'PHL', 3752, 'Y', 0, 'CRJ E75 DH8 E70\r'),
	('US', 5265, 'ALO', 5718, 'ORD', 3830, '', 0, 'ERD\r'),
	('US', 5265, 'AMA', 3840, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'AMM', 2170, 'JFK', 3797, '', 0, '340 330\r'),
	('US', 5265, 'AMM', 2170, 'ORD', 3830, '', 0, '340\r'),
	('US', 5265, 'AMM', 2170, 'YUL', 146, '', 0, '330\r'),
	('US', 5265, 'AMS', 580, 'LIS', 1638, 'Y', 0, '320 319\r'),
	('US', 5265, 'AMS', 580, 'PHL', 3752, '', 0, '752\r'),
	('US', 5265, 'ANC', 3774, 'PHX', 3462, '', 0, '319 320\r'),
	('US', 5265, 'ANU', 2874, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'ANU', 2874, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'ANU', 2874, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'APW', 1969, 'AKL', 2006, 'Y', 0, '320 763\r'),
	('US', 5265, 'ART', 3838, 'ORD', 3830, '', 0, 'ERD\r'),
	('US', 5265, 'ART', 3838, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'ASU', 2699, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'ATH', 3941, 'PHL', 3752, '', 0, '332\r'),
	('US', 5265, 'ATL', 3682, 'CLT', 3876, '', 0, '319 320 321\r'),
	('US', 5265, 'ATL', 3682, 'DFW', 3670, 'Y', 0, 'M80 319 M83\r'),
	('US', 5265, 'ATL', 3682, 'MIA', 3576, 'Y', 0, '738 ERD ER4\r'),
	('US', 5265, 'ATL', 3682, 'ORD', 3830, 'Y', 0, 'CR7 E75\r'),
	('US', 5265, 'ATL', 3682, 'PHL', 3752, '', 0, 'E90 319\r'),
	('US', 5265, 'ATL', 3682, 'PHX', 3462, '', 0, '320 321\r'),
	('US', 5265, 'AUA', 2895, 'CLT', 3876, '', 0, '752 319 320\r'),
	('US', 5265, 'AUA', 2895, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'AUA', 2895, 'PHL', 3752, '', 0, '320\r'),
	('US', 5265, 'AUS', 3673, 'CLT', 3876, 'Y', 0, 'CR9\r'),
	('US', 5265, 'AUS', 3673, 'DFW', 3670, '', 0, 'M80 738 M83\r'),
	('US', 5265, 'AUS', 3673, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'AUS', 3673, 'LAX', 3484, '', 0, '738 M83\r'),
	('US', 5265, 'AUS', 3673, 'ORD', 3830, '', 0, 'M83 M80\r'),
	('US', 5265, 'AUS', 3673, 'PHL', 3752, '', 0, '319 E90\r'),
	('US', 5265, 'AUS', 3673, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'AVL', 4007, 'CLT', 3876, '', 0, 'CR7\r'),
	('US', 5265, 'AVP', 4286, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'AVP', 4286, 'PHL', 3752, 'Y', 0, 'CRJ DH8\r'),
	('US', 5265, 'AZO', 4039, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'BAQ', 2710, 'MIA', 3576, '', 0, '318 320\r'),
	('US', 5265, 'BCN', 1218, 'JFK', 3797, '', 0, '763\r'),
	('US', 5265, 'BCN', 1218, 'MIA', 3576, '', 0, '763\r'),
	('US', 5265, 'BCN', 1218, 'PHL', 3752, '', 0, '332\r'),
	('US', 5265, 'BDA', 4069, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'BDA', 4069, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'BDA', 4069, 'PHL', 3752, '', 0, '319\r'),
	('US', 5265, 'BDL', 3825, 'CLT', 3876, '', 0, '320 321 319\r'),
	('US', 5265, 'BDL', 3825, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'BDL', 3825, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'BDL', 3825, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'BDL', 3825, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'BDL', 3825, 'ORD', 3830, '', 0, 'ER4 E75\r'),
	('US', 5265, 'BDL', 3825, 'PHL', 3752, '', 0, '319 E90\r'),
	('US', 5265, 'BDL', 3825, 'PIT', 3570, 'Y', 0, 'ERJ\r'),
	('US', 5265, 'BFL', 3558, 'PHX', 3462, 'Y', 0, 'CRJ CR9\r'),
	('US', 5265, 'BGI', 2875, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'BGM', 4129, 'PHL', 3752, 'Y', 0, 'DH8\r'),
	('US', 5265, 'BGR', 3463, 'DCA', 3520, 'Y', 0, 'CRJ E70\r'),
	('US', 5265, 'BGR', 3463, 'PHL', 3752, 'Y', 0, 'E75 CRJ\r'),
	('US', 5265, 'BHM', 3811, 'CLT', 3876, '', 0, 'CRJ CR7\r'),
	('US', 5265, 'BHM', 3811, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'BHM', 3811, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'BHM', 3811, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'BHM', 3811, 'PHL', 3752, '', 0, 'CRJ\r'),
	('US', 5265, 'BIO', 1216, 'LIS', 1638, 'Y', 0, 'ER4 100\r'),
	('US', 5265, 'BJX', 1815, 'DFW', 3670, '', 0, '319\r'),
	('US', 5265, 'BMI', 4037, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('US', 5265, 'BMI', 4037, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'BNA', 3690, 'CLT', 3876, '', 0, '319 CR7\r'),
	('US', 5265, 'BNA', 3690, 'DCA', 3520, '', 0, 'ERD CRJ\r'),
	('US', 5265, 'BNA', 3690, 'DFW', 3670, '', 0, 'M80 738 M83\r'),
	('US', 5265, 'BNA', 3690, 'JFK', 3797, 'Y', 0, 'ER4\r'),
	('US', 5265, 'BNA', 3690, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'BNA', 3690, 'LGA', 3697, '', 0, 'CR7\r'),
	('US', 5265, 'BNA', 3690, 'MIA', 3576, '', 0, '738 ER4\r'),
	('US', 5265, 'BNA', 3690, 'ORD', 3830, '', 0, 'ER4 CR7\r'),
	('US', 5265, 'BNA', 3690, 'PHL', 3752, '', 0, 'CRJ\r'),
	('US', 5265, 'BNE', 3320, 'AKL', 2006, 'Y', 0, '773 772\r'),
	('US', 5265, 'BOG', 2709, 'DFW', 3670, '', 0, '319\r'),
	('US', 5265, 'BOG', 2709, 'FLL', 3533, '', 0, '320\r'),
	('US', 5265, 'BOG', 2709, 'JFK', 3797, '', 0, '330\r'),
	('US', 5265, 'BOG', 2709, 'MCO', 3878, '', 0, '319\r'),
	('US', 5265, 'BOG', 2709, 'MIA', 3576, '', 0, '757 330 763\r'),
	('US', 5265, 'BOI', 3495, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'BOS', 3448, 'BUF', 3820, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'BOS', 3448, 'CLT', 3876, '', 0, '319 321 320 E90\r'),
	('US', 5265, 'BOS', 3448, 'CUN', 1852, '', 0, '319\r'),
	('US', 5265, 'BOS', 3448, 'DCA', 3520, '', 0, '319 E90\r'),
	('US', 5265, 'BOS', 3448, 'DFW', 3670, '', 0, '738 757\r'),
	('US', 5265, 'BOS', 3448, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'BOS', 3448, 'LAX', 3484, '', 0, '738 757\r'),
	('US', 5265, 'BOS', 3448, 'LGA', 3697, '', 0, 'E90 319\r'),
	('US', 5265, 'BOS', 3448, 'MDT', 3542, 'Y', 0, 'DH8\r'),
	('US', 5265, 'BOS', 3448, 'MIA', 3576, '', 0, '757 738\r'),
	('US', 5265, 'BOS', 3448, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'BOS', 3448, 'PHL', 3752, '', 0, 'E90 319 321 320\r'),
	('US', 5265, 'BOS', 3448, 'PHX', 3462, '', 0, '320 319 321\r'),
	('US', 5265, 'BOS', 3448, 'PIT', 3570, 'Y', 0, 'E70 CRJ\r'),
	('US', 5265, 'BOS', 3448, 'RIC', 3608, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'BOS', 3448, 'ROC', 3622, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'BOS', 3448, 'SYR', 3745, 'Y', 0, 'DH8\r'),
	('US', 5265, 'BPT', 3612, 'DFW', 3670, '', 0, 'ERD\r'),
	('US', 5265, 'BRO', 3738, 'DFW', 3670, 'Y', 0, 'CRJ ER4\r'),
	('US', 5265, 'BRU', 302, 'ATH', 3941, 'Y', 0, '321 320\r'),
	('US', 5265, 'BRU', 302, 'LIS', 1638, 'Y', 0, '319 320\r'),
	('US', 5265, 'BRU', 302, 'PHL', 3752, '', 0, '762\r'),
	('US', 5265, 'BSB', 2531, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'BTR', 3846, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'BTR', 3846, 'DFW', 3670, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'BTV', 3711, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'BTV', 3711, 'PHL', 3752, '', 0, 'E90\r'),
	('US', 5265, 'BUF', 3820, 'BOS', 3448, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'BUF', 3820, 'CLT', 3876, '', 0, '320 319 734\r'),
	('US', 5265, 'BUF', 3820, 'DCA', 3520, 'Y', 0, 'E70 CRJ E75\r'),
	('US', 5265, 'BUF', 3820, 'ORD', 3830, '', 0, 'CR7\r'),
	('US', 5265, 'BUF', 3820, 'PHL', 3752, 'Y', 0, 'CRJ E75 DH8 E70\r'),
	('US', 5265, 'BUR', 3644, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'BWI', 3849, 'CLT', 3876, '', 0, 'E90 321 752 319 734 320\r'),
	('US', 5265, 'BWI', 3849, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('US', 5265, 'BWI', 3849, 'JFK', 3797, 'Y', 0, 'ER4\r'),
	('US', 5265, 'BWI', 3849, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'BWI', 3849, 'ORD', 3830, 'Y', 0, 'E75 ER4 CR7\r'),
	('US', 5265, 'BWI', 3849, 'PHL', 3752, '', 0, '319 E90\r'),
	('US', 5265, 'BWI', 3849, 'PHX', 3462, '', 0, '319 320\r'),
	('US', 5265, 'BZE', 1957, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'BZE', 1957, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'BZE', 1957, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'CAE', 3561, 'CLT', 3876, 'Y', 0, 'CRJ DH3\r'),
	('US', 5265, 'CAE', 3561, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'CAE', 3561, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'CAE', 3561, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'CAK', 4112, 'CLT', 3876, '', 0, 'CRJ CR7\r'),
	('US', 5265, 'CAK', 4112, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'CAK', 4112, 'PHL', 3752, '', 0, 'CRJ\r'),
	('US', 5265, 'CDG', 1382, 'ATH', 3941, 'Y', 0, '321\r'),
	('US', 5265, 'CDG', 1382, 'CLT', 3876, '', 0, '333\r'),
	('US', 5265, 'CDG', 1382, 'DFW', 3670, '', 0, '763 777\r'),
	('US', 5265, 'CDG', 1382, 'JFK', 3797, '', 0, '763 757\r'),
	('US', 5265, 'CDG', 1382, 'MIA', 3576, '', 0, '763\r'),
	('US', 5265, 'CDG', 1382, 'ORD', 3830, '', 0, '763\r'),
	('US', 5265, 'CDG', 1382, 'PHL', 3752, '', 0, '332\r'),
	('US', 5265, 'CHA', 3578, 'CLT', 3876, 'Y', 0, 'CRJ DH3\r'),
	('US', 5265, 'CHA', 3578, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'CHA', 3578, 'DFW', 3670, '', 0, 'ERD\r'),
	('US', 5265, 'CHA', 3578, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'CHO', 4015, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'CHO', 4015, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('US', 5265, 'CHO', 4015, 'ORD', 3830, '', 0, 'CRJ\r'),
	('US', 5265, 'CHO', 4015, 'PHL', 3752, 'Y', 0, 'DH8\r'),
	('US', 5265, 'CHS', 3806, 'CLT', 3876, '', 0, '319 CR7 CRJ\r'),
	('US', 5265, 'CHS', 3806, 'DCA', 3520, 'Y', 0, 'E70 CRJ E75\r'),
	('US', 5265, 'CHS', 3806, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'CHS', 3806, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'CHS', 3806, 'PHL', 3752, 'Y', 0, 'E75 CRJ\r'),
	('US', 5265, 'CID', 4043, 'DFW', 3670, 'Y', 0, 'ER4 CRJ\r'),
	('US', 5265, 'CID', 4043, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('US', 5265, 'CLE', 3486, 'CLT', 3876, '', 0, '319 CR7\r'),
	('US', 5265, 'CLE', 3486, 'DFW', 3670, '', 0, '319\r'),
	('US', 5265, 'CLE', 3486, 'JFK', 3797, 'Y', 0, 'ER4\r'),
	('US', 5265, 'CLE', 3486, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'CLE', 3486, 'ORD', 3830, '', 0, 'ER4 CR7 ERD\r'),
	('US', 5265, 'CLE', 3486, 'PHL', 3752, 'Y', 0, 'E75 CRJ E70 CR9\r'),
	('US', 5265, 'CLL', 3715, 'DFW', 3670, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'CLO', 2715, 'MIA', 3576, '', 0, '738 319 318 320\r'),
	('US', 5265, 'CLT', 3876, 'ABE', 4355, 'Y', 0, 'CR7 CRJ CR9\r'),
	('US', 5265, 'CLT', 3876, 'AGS', 3658, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'ALB', 3864, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'ANU', 2874, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'ATL', 3682, '', 0, '320 321 319\r'),
	('US', 5265, 'CLT', 3876, 'AUA', 2895, '', 0, '752 319 320\r'),
	('US', 5265, 'CLT', 3876, 'AUS', 3673, 'Y', 0, 'CR9\r'),
	('US', 5265, 'CLT', 3876, 'AVL', 4007, 'Y', 0, 'DH3 CR9 CR7 CRJ DH8\r'),
	('US', 5265, 'CLT', 3876, 'AVP', 4286, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'BDL', 3825, '', 0, '319 321 320\r'),
	('US', 5265, 'CLT', 3876, 'BHM', 3811, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'BNA', 3690, '', 0, 'CR7 319\r'),
	('US', 5265, 'CLT', 3876, 'BOS', 3448, '', 0, '321 319 320\r'),
	('US', 5265, 'CLT', 3876, 'BTR', 3846, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'BUF', 3820, '', 0, '319 320 734\r'),
	('US', 5265, 'CLT', 3876, 'BWI', 3849, '', 0, '319 734 321 752 320 E90\r'),
	('US', 5265, 'CLT', 3876, 'BZE', 1957, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'CAE', 3561, 'Y', 0, 'DH3 CRJ\r'),
	('US', 5265, 'CLT', 3876, 'CAK', 4112, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'CDG', 1382, '', 0, '333\r'),
	('US', 5265, 'CLT', 3876, 'CHA', 3578, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'CHO', 4015, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'CHS', 3806, '', 0, 'CR7 319 CRJ\r'),
	('US', 5265, 'CLT', 3876, 'CLE', 3486, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'CMH', 3759, 'Y', 0, 'CR9 E75 CR7 CRJ E70\r'),
	('US', 5265, 'CLT', 3876, 'CRW', 4285, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'CUN', 1852, '', 0, '321 320 734\r'),
	('US', 5265, 'CLT', 3876, 'CVG', 3488, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'CZM', 1800, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'DAB', 3950, '', 0, 'CR7\r'),
	('US', 5265, 'CLT', 3876, 'DAY', 3627, '', 0, 'CRJ CR7\r'),
	('US', 5265, 'CLT', 3876, 'DCA', 3520, '', 0, '319 320 E90\r'),
	('US', 5265, 'CLT', 3876, 'DEN', 3751, '', 0, '321 320\r'),
	('US', 5265, 'CLT', 3876, 'DFW', 3670, '', 0, 'M80 321 319 M83 320 734 752\r'),
	('US', 5265, 'CLT', 3876, 'DSM', 3729, 'Y', 0, 'CR9\r'),
	('US', 5265, 'CLT', 3876, 'DTW', 3645, '', 0, '319 321 320\r'),
	('US', 5265, 'CLT', 3876, 'DUB', 599, '', 0, '752\r'),
	('US', 5265, 'CLT', 3876, 'EWN', 3730, 'Y', 0, 'DH3 CRJ DH8 CR7\r'),
	('US', 5265, 'CLT', 3876, 'EWR', 3494, '', 0, '321 320 734 319\r'),
	('US', 5265, 'CLT', 3876, 'FAY', 5738, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'FCO', 1555, '', 0, '333\r'),
	('US', 5265, 'CLT', 3876, 'FLL', 3533, '', 0, '320 734 321 319\r'),
	('US', 5265, 'CLT', 3876, 'FLO', 3879, 'Y', 0, 'DH8 CRJ DH3\r'),
	('US', 5265, 'CLT', 3876, 'FPO', 1948, 'Y', 0, 'CR7\r'),
	('US', 5265, 'CLT', 3876, 'FRA', 340, '', 0, '333 332\r'),
	('US', 5265, 'CLT', 3876, 'GCM', 1926, '', 0, '320 321 319\r'),
	('US', 5265, 'CLT', 3876, 'GIG', 2560, '', 0, '762\r'),
	('US', 5265, 'CLT', 3876, 'GNV', 3472, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'GPT', 4038, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'CLT', 3876, 'GRU', 2564, '', 0, '332\r'),
	('US', 5265, 'CLT', 3876, 'GSO', 4008, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'GSP', 4034, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'HHH', 7002, 'Y', 0, 'DH8\r'),
	('US', 5265, 'CLT', 3876, 'HPN', 3589, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'HSV', 4113, '', 0, 'CRJ CR7\r'),
	('US', 5265, 'CLT', 3876, 'HTS', 5742, 'Y', 0, 'DH3 DH8\r'),
	('US', 5265, 'CLT', 3876, 'IAD', 3714, 'Y', 0, 'CR7 CR9\r'),
	('US', 5265, 'CLT', 3876, 'IAH', 3550, '', 0, '734 319 321 320\r'),
	('US', 5265, 'CLT', 3876, 'ILM', 3845, '', 0, '319 CRJ CR7\r'),
	('US', 5265, 'CLT', 3876, 'IND', 3585, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'JAN', 3580, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'JAX', 3712, '', 0, '319 734\r'),
	('US', 5265, 'CLT', 3876, 'JFK', 3797, '', 0, '321 319\r'),
	('US', 5265, 'CLT', 3876, 'LAS', 3877, '', 0, '321\r'),
	('US', 5265, 'CLT', 3876, 'LAX', 3484, '', 0, '321\r'),
	('US', 5265, 'CLT', 3876, 'LEX', 4017, '', 0, 'CR7\r'),
	('US', 5265, 'CLT', 3876, 'LGA', 3697, '', 0, '321 320 319\r'),
	('US', 5265, 'CLT', 3876, 'LHR', 507, '', 0, '333\r'),
	('US', 5265, 'CLT', 3876, 'LIR', 1881, '', 0, '320\r'),
	('US', 5265, 'CLT', 3876, 'LIT', 3660, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'LYH', 5753, '', 0, 'CR7\r'),
	('US', 5265, 'CLT', 3876, 'MBJ', 1780, '', 0, '319 321 320\r'),
	('US', 5265, 'CLT', 3876, 'MCI', 3458, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'MCO', 3878, '', 0, '321 762 752 319\r'),
	('US', 5265, 'CLT', 3876, 'MDT', 3542, '', 0, '319 CR7\r'),
	('US', 5265, 'CLT', 3876, 'MEM', 3473, '', 0, 'CR7 319\r'),
	('US', 5265, 'CLT', 3876, 'MEX', 1824, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'MGM', 4115, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'MHT', 4011, 'Y', 0, 'CR9\r'),
	('US', 5265, 'CLT', 3876, 'MIA', 3576, '', 0, '320 321 319 734\r'),
	('US', 5265, 'CLT', 3876, 'MKE', 3717, '', 0, 'CR7\r'),
	('US', 5265, 'CLT', 3876, 'MLB', 3671, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'MOB', 3782, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'MSP', 3858, '', 0, '319 321 320\r'),
	('US', 5265, 'CLT', 3876, 'MSY', 3861, '', 0, '319 320 \r'),
	('US', 5265, 'CLT', 3876, 'MYR', 3515, '', 0, 'CR7\r'),
	('US', 5265, 'CLT', 3876, 'NAS', 1953, '', 0, '319 734\r'),
	('US', 5265, 'CLT', 3876, 'OAJ', 4386, '', 0, 'CRJ CR7\r'),
	('US', 5265, 'CLT', 3876, 'OMA', 3454, 'Y', 0, 'CR9\r'),
	('US', 5265, 'CLT', 3876, 'ORD', 3830, '', 0, '321 320 E90\r'),
	('US', 5265, 'CLT', 3876, 'ORF', 3611, '', 0, '319 CR7\r'),
	('US', 5265, 'CLT', 3876, 'PBI', 3722, '', 0, '320 319 734\r'),
	('US', 5265, 'CLT', 3876, 'PDX', 3720, '', 0, '320\r'),
	('US', 5265, 'CLT', 3876, 'PGV', 6959, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'PHF', 3633, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'PHL', 3752, '', 0, '762 E90 319 320 332 752 321 734\r'),
	('US', 5265, 'CLT', 3876, 'PHX', 3462, '', 0, '752 321\r'),
	('US', 5265, 'CLT', 3876, 'PIT', 3570, '', 0, '319 734 320 321\r'),
	('US', 5265, 'CLT', 3876, 'PLS', 1754, '', 0, '321\r'),
	('US', 5265, 'CLT', 3876, 'PNS', 3564, 'Y', 0, 'CR9\r'),
	('US', 5265, 'CLT', 3876, 'PUJ', 1760, '', 0, '319 752 321 320\r'),
	('US', 5265, 'CLT', 3876, 'PVD', 3641, '', 0, '321 320 319\r'),
	('US', 5265, 'CLT', 3876, 'PWM', 3862, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'RDU', 3626, '', 0, '320 734 319 321 E90\r'),
	('US', 5265, 'CLT', 3876, 'RIC', 3608, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'ROA', 4016, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'ROC', 3622, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'RSW', 3793, '', 0, '320 321 319 734\r'),
	('US', 5265, 'CLT', 3876, 'SAN', 3731, '', 0, '320 321\r'),
	('US', 5265, 'CLT', 3876, 'SAT', 3621, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'SAV', 3613, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'CLT', 3876, 'SBY', 3642, 'Y', 0, 'DH3\r'),
	('US', 5265, 'CLT', 3876, 'SDF', 4014, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'CLT', 3876, 'SEA', 3577, '', 0, '320 321 319\r'),
	('US', 5265, 'CLT', 3876, 'SFO', 3469, '', 0, '321\r'),
	('US', 5265, 'CLT', 3876, 'SJD', 1840, '', 0, '320\r'),
	('US', 5265, 'CLT', 3876, 'SJO', 1885, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'SJU', 2890, '', 0, '321\r'),
	('US', 5265, 'CLT', 3876, 'SLC', 3536, '', 0, '320\r'),
	('US', 5265, 'CLT', 3876, 'SMF', 3817, '', 0, '321\r'),
	('US', 5265, 'CLT', 3876, 'SRQ', 4067, 'Y', 0, 'CR9 E75\r'),
	('US', 5265, 'CLT', 3876, 'STL', 3678, '', 0, '319\r'),
	('US', 5265, 'CLT', 3876, 'STT', 2883, '', 0, '752 762\r'),
	('US', 5265, 'CLT', 3876, 'SXM', 2899, '', 0, '752 319\r'),
	('US', 5265, 'CLT', 3876, 'SYR', 3745, '', 0, '319 320\r'),
	('US', 5265, 'CLT', 3876, 'TLH', 3698, '', 0, 'CRJ CR7\r'),
	('US', 5265, 'CLT', 3876, 'TPA', 3646, '', 0, '320 321 319 734\r'),
	('US', 5265, 'CLT', 3876, 'TRI', 4116, '', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'TYS', 3676, '', 0, 'CRJ CR7\r'),
	('US', 5265, 'CLT', 3876, 'UVF', 2894, '', 0, '320 319\r'),
	('US', 5265, 'CLT', 3876, 'VPS', 3873, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'CLT', 3876, 'XNA', 4356, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'CLT', 3876, 'YOW', 100, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'CLT', 3876, 'YYZ', 193, 'Y', 0, 'E75 CRJ\r'),
	('US', 5265, 'CMH', 3759, 'CLT', 3876, 'Y', 0, 'E75 CR9 CR7 E70 CRJ\r'),
	('US', 5265, 'CMH', 3759, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'CMH', 3759, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('US', 5265, 'CMH', 3759, 'JFK', 3797, '', 0, 'CR7\r'),
	('US', 5265, 'CMH', 3759, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'CMH', 3759, 'LGA', 3697, '', 0, 'CR7 ERD\r'),
	('US', 5265, 'CMH', 3759, 'MIA', 3576, 'Y', 0, 'ER4\r'),
	('US', 5265, 'CMH', 3759, 'ORD', 3830, '', 0, 'ER4\r'),
	('US', 5265, 'CMH', 3759, 'PHL', 3752, 'Y', 0, 'E70 CRJ E75\r'),
	('US', 5265, 'CMH', 3759, 'PHX', 3462, '', 0, '319 320\r'),
	('US', 5265, 'CMI', 4049, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('US', 5265, 'CMI', 4049, 'ORD', 3830, '', 0, 'ERD ER4\r'),
	('US', 5265, 'CNF', 2537, 'MIA', 3576, '', 0, '763\r'),
	('US', 5265, 'CNS', 3322, 'AKL', 2006, 'Y', 0, '320\r'),
	('US', 5265, 'COS', 3819, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'COU', 3719, 'DFW', 3670, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'COU', 3719, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'CRP', 3744, 'DFW', 3670, '', 0, '319 ERD ER4\r'),
	('US', 5265, 'CTG', 2714, 'MIA', 3576, '', 0, '318 320\r'),
	('US', 5265, 'CUN', 1852, 'BOS', 3448, '', 0, '319\r'),
	('US', 5265, 'CUN', 1852, 'CLT', 3876, '', 0, '321 320 734\r'),
	('US', 5265, 'CUN', 1852, 'DFW', 3670, '', 0, '738 757\r'),
	('US', 5265, 'CUN', 1852, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'CUN', 1852, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'CUN', 1852, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'CUN', 1852, 'PHL', 3752, '', 0, '752 332 321 319\r'),
	('US', 5265, 'CUN', 1852, 'PHX', 3462, '', 0, '752 320 321\r'),
	('US', 5265, 'CUR', 2897, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'CUU', 1797, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'CVG', 3488, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'CVG', 3488, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'CVG', 3488, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'CVG', 3488, 'JFK', 3797, '', 0, 'ER4\r'),
	('US', 5265, 'CVG', 3488, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'CVG', 3488, 'ORD', 3830, '', 0, 'ER4\r'),
	('US', 5265, 'CVG', 3488, 'PHL', 3752, 'Y', 0, 'E70 CRJ E75\r'),
	('US', 5265, 'CWA', 4045, 'ORD', 3830, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'CWB', 2545, 'POA', 2599, '', 0, '763\r'),
	('US', 5265, 'CZM', 1800, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'CZM', 1800, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'CZM', 1800, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'DAB', 3950, 'CLT', 3876, '', 0, 'CRJ CR7\r'),
	('US', 5265, 'DAY', 3627, 'CLT', 3876, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'DAY', 3627, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'DAY', 3627, 'DFW', 3670, '', 0, 'M83 319 M80\r'),
	('US', 5265, 'DAY', 3627, 'LGA', 3697, '', 0, 'ERD\r'),
	('US', 5265, 'DAY', 3627, 'ORD', 3830, '', 0, 'ER4\r'),
	('US', 5265, 'DAY', 3627, 'PHL', 3752, '', 0, 'CRJ\r'),
	('US', 5265, 'DBQ', 4388, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'DCA', 3520, 'AGS', 3658, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'ALB', 3864, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'BDL', 3825, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'BGR', 3463, 'Y', 0, 'CRJ E70\r'),
	('US', 5265, 'DCA', 3520, 'BHM', 3811, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'BNA', 3690, '', 0, 'ERD CRJ\r'),
	('US', 5265, 'DCA', 3520, 'BOS', 3448, '', 0, '319 E90\r'),
	('US', 5265, 'DCA', 3520, 'BTV', 3711, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'BUF', 3820, 'Y', 0, 'CRJ E75 E70\r'),
	('US', 5265, 'DCA', 3520, 'CAE', 3561, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'CAK', 4112, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'CHA', 3578, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'CHS', 3806, 'Y', 0, 'E70 CRJ E75\r'),
	('US', 5265, 'DCA', 3520, 'CLT', 3876, '', 0, '319 CRJ 320\r'),
	('US', 5265, 'DCA', 3520, 'CMH', 3759, 'Y', 0, 'CRJ E75 E70\r'),
	('US', 5265, 'DCA', 3520, 'CRW', 4285, 'Y', 0, 'DH8\r'),
	('US', 5265, 'DCA', 3520, 'CVG', 3488, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'DAY', 3627, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'DFW', 3670, '', 0, '738 M80\r'),
	('US', 5265, 'DCA', 3520, 'DSM', 3729, 'Y', 0, 'E70 CRJ\r'),
	('US', 5265, 'DCA', 3520, 'DTW', 3645, 'Y', 0, 'CRJ E70 E75\r'),
	('US', 5265, 'DCA', 3520, 'FAY', 5738, 'Y', 0, 'DH8\r'),
	('US', 5265, 'DCA', 3520, 'FLL', 3533, '', 0, '319\r'),
	('US', 5265, 'DCA', 3520, 'GSO', 4008, 'Y', 0, 'CRJ E70 E75\r'),
	('US', 5265, 'DCA', 3520, 'GSP', 4034, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'HHH', 7002, 'Y', 0, 'DH8\r'),
	('US', 5265, 'DCA', 3520, 'HPN', 3589, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'HSV', 4113, 'Y', 0, 'CRJ E70\r'),
	('US', 5265, 'DCA', 3520, 'ILM', 3845, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'IND', 3585, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'ISP', 3857, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'JAN', 3580, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'JAX', 3712, 'Y', 0, 'CRJ E75 E70\r'),
	('US', 5265, 'DCA', 3520, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'DCA', 3520, 'LAS', 3877, '', 0, '319\r'),
	('US', 5265, 'DCA', 3520, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'DCA', 3520, 'LGA', 3697, '', 0, '319 E90\r'),
	('US', 5265, 'DCA', 3520, 'LIT', 3660, 'Y', 0, 'E70\r'),
	('US', 5265, 'DCA', 3520, 'MCI', 3458, 'Y', 0, 'E70 E75\r'),
	('US', 5265, 'DCA', 3520, 'MCO', 3878, '', 0, '320 319\r'),
	('US', 5265, 'DCA', 3520, 'MEM', 3473, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'MHT', 4011, 'Y', 0, 'CRJ E75 E70\r'),
	('US', 5265, 'DCA', 3520, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'DCA', 3520, 'MSP', 3858, 'Y', 0, 'E70 E75\r'),
	('US', 5265, 'DCA', 3520, 'MSY', 3861, 'Y', 0, 'E70 E75\r'),
	('US', 5265, 'DCA', 3520, 'MYR', 3515, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'NAS', 1953, '', 0, '319\r'),
	('US', 5265, 'DCA', 3520, 'OAJ', 4386, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'OMA', 3454, 'Y', 0, 'E70\r'),
	('US', 5265, 'DCA', 3520, 'ORD', 3830, '', 0, '738 M83\r'),
	('US', 5265, 'DCA', 3520, 'ORF', 3611, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'PBI', 3722, 'Y', 0, 'E75 E70\r'),
	('US', 5265, 'DCA', 3520, 'PHL', 3752, '', 0, '319 320 CRJ\r'),
	('US', 5265, 'DCA', 3520, 'PHX', 3462, '', 0, '320 752\r'),
	('US', 5265, 'DCA', 3520, 'PIT', 3570, 'Y', 0, 'CRJ E75\r'),
	('US', 5265, 'DCA', 3520, 'PNS', 3564, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'PVD', 3641, 'Y', 0, 'CRJ E75 E70\r'),
	('US', 5265, 'DCA', 3520, 'PWM', 3862, 'Y', 0, 'E75 CRJ E70\r'),
	('US', 5265, 'DCA', 3520, 'RDU', 3626, '', 0, 'ERD CRJ\r'),
	('US', 5265, 'DCA', 3520, 'ROC', 3622, 'Y', 0, 'E70 CRJ\r'),
	('US', 5265, 'DCA', 3520, 'RSW', 3793, 'Y', 0, 'E75 E70\r'),
	('US', 5265, 'DCA', 3520, 'SAN', 3731, '', 0, '319\r'),
	('US', 5265, 'DCA', 3520, 'SAV', 3613, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'SDF', 4014, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'SRQ', 4067, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'STL', 3678, 'Y', 0, 'CR7\r'),
	('US', 5265, 'DCA', 3520, 'SYR', 3745, 'Y', 0, 'E70 CRJ E75\r'),
	('US', 5265, 'DCA', 3520, 'TLH', 3698, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'TPA', 3646, '', 0, '319\r'),
	('US', 5265, 'DCA', 3520, 'TYS', 3676, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'VPS', 3873, '', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'YHZ', 73, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DCA', 3520, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DEN', 3751, 'CLT', 3876, '', 0, '321 320\r'),
	('US', 5265, 'DEN', 3751, 'DFW', 3670, '', 0, '738 M83 M80\r'),
	('US', 5265, 'DEN', 3751, 'LAX', 3484, '', 0, 'CR7\r'),
	('US', 5265, 'DEN', 3751, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'DEN', 3751, 'ORD', 3830, '', 0, 'CR7\r'),
	('US', 5265, 'DEN', 3751, 'PHL', 3752, '', 0, '320 321\r'),
	('US', 5265, 'DEN', 3751, 'PHX', 3462, '', 0, '320 321\r'),
	('US', 5265, 'DFW', 3670, 'ABI', 3718, '', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'ABQ', 4019, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'ACT', 3700, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'AEX', 3852, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'AGU', 1785, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'AMA', 3840, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'ATL', 3682, 'Y', 0, 'M83 M80 319\r'),
	('US', 5265, 'DFW', 3670, 'AUS', 3673, '', 0, 'M80 M83 738\r'),
	('US', 5265, 'DFW', 3670, 'BDL', 3825, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'BHM', 3811, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'BJX', 1815, '', 0, '319\r'),
	('US', 5265, 'DFW', 3670, 'BMI', 4037, 'Y', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'BNA', 3690, '', 0, '738 M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'BOG', 2709, '', 0, '319\r'),
	('US', 5265, 'DFW', 3670, 'BOS', 3448, '', 0, '738 757\r'),
	('US', 5265, 'DFW', 3670, 'BPT', 3612, '', 0, 'ERD\r'),
	('US', 5265, 'DFW', 3670, 'BRO', 3738, 'Y', 0, 'CRJ ER4\r'),
	('US', 5265, 'DFW', 3670, 'BTR', 3846, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'BWI', 3849, '', 0, 'M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'BZE', 1957, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'CAE', 3561, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'CDG', 1382, '', 0, '763 777\r'),
	('US', 5265, 'DFW', 3670, 'CHA', 3578, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'CHS', 3806, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'CID', 4043, 'Y', 0, 'ER4 CRJ\r'),
	('US', 5265, 'DFW', 3670, 'CLE', 3486, '', 0, '319\r'),
	('US', 5265, 'DFW', 3670, 'CLL', 3715, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'CLT', 3876, '', 0, '321 319 M80 M83 320 734 752\r'),
	('US', 5265, 'DFW', 3670, 'CMH', 3759, '', 0, 'M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'CMI', 4049, 'Y', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'COS', 3819, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'COU', 3719, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'CRP', 3744, '', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'CRW', 4285, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'DFW', 3670, 'CUN', 1852, '', 0, '738 757\r'),
	('US', 5265, 'DFW', 3670, 'CUU', 1797, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'CVG', 3488, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'CZM', 1800, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'DAY', 3627, '', 0, '319 M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'DCA', 3520, '', 0, '738 M80\r'),
	('US', 5265, 'DFW', 3670, 'DEN', 3751, '', 0, '738 M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'DRO', 3713, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'DSM', 3729, '', 0, 'ER4 M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'DTW', 3645, '', 0, '738 M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'ELP', 3559, '', 0, 'M80 319\r'),
	('US', 5265, 'DFW', 3670, 'EVV', 4018, 'Y', 0, 'ERD\r'),
	('US', 5265, 'DFW', 3670, 'EWR', 3494, '', 0, 'M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'FAR', 4292, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'FAT', 3687, '', 0, 'M80\r'),
	('US', 5265, 'DFW', 3670, 'FLL', 3533, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'FRA', 340, '', 0, '777\r'),
	('US', 5265, 'DFW', 3670, 'FSD', 4009, 'Y', 0, 'ER4 CRJ\r'),
	('US', 5265, 'DFW', 3670, 'FSM', 3437, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'FWA', 4041, 'Y', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'GCK', 3497, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'GDL', 1804, '', 0, 'ER4 M80\r'),
	('US', 5265, 'DFW', 3670, 'GGG', 3465, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'GIG', 2560, '', 0, '763\r'),
	('US', 5265, 'DFW', 3670, 'GJT', 4063, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'GPT', 4038, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'GRI', 5740, '', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'GRK', 3775, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'GRR', 3685, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'GRU', 2564, '', 0, '77W\r'),
	('US', 5265, 'DFW', 3670, 'GSO', 4008, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'GSP', 4034, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'GUA', 1767, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'HNL', 3728, '', 0, '763\r'),
	('US', 5265, 'DFW', 3670, 'HOU', 3566, '', 0, 'M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'HSV', 4113, '', 0, '319\r'),
	('US', 5265, 'DFW', 3670, 'IAD', 3714, '', 0, '738 M80\r'),
	('US', 5265, 'DFW', 3670, 'IAH', 3550, '', 0, 'M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'ICN', 3930, '', 0, '777\r'),
	('US', 5265, 'DFW', 3670, 'ICT', 3457, '', 0, '319\r'),
	('US', 5265, 'DFW', 3670, 'IND', 3585, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'JAN', 3580, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'JAX', 3712, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'JLN', 4354, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'LAS', 3877, '', 0, '738 M80 M83 757\r'),
	('US', 5265, 'DFW', 3670, 'LAW', 4256, '', 0, 'ERD\r'),
	('US', 5265, 'DFW', 3670, 'LAX', 3484, 'Y', 0, '738 763 757 M83\r'),
	('US', 5265, 'DFW', 3670, 'LBB', 3829, '', 0, 'ER4 M80\r'),
	('US', 5265, 'DFW', 3670, 'LCH', 3513, '', 0, 'ERD\r'),
	('US', 5265, 'DFW', 3670, 'LEX', 4017, '', 0, 'ERD\r'),
	('US', 5265, 'DFW', 3670, 'LFT', 3493, '', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'LGA', 3697, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'LHR', 507, '', 0, '77W 777\r'),
	('US', 5265, 'DFW', 3670, 'LIM', 2789, '', 0, '763\r'),
	('US', 5265, 'DFW', 3670, 'LIR', 1881, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'LIT', 3660, '', 0, 'ER4 M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'LRD', 3691, 'Y', 0, 'ERD CRJ ER4\r'),
	('US', 5265, 'DFW', 3670, 'MAD', 1229, '', 0, '777\r'),
	('US', 5265, 'DFW', 3670, 'MAF', 3652, '', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'MBJ', 1780, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'MCI', 3458, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'MCO', 3878, '', 0, '738 M80 M83 757\r'),
	('US', 5265, 'DFW', 3670, 'MEM', 3473, '', 0, '319\r'),
	('US', 5265, 'DFW', 3670, 'MEX', 1824, '', 0, 'M80\r'),
	('US', 5265, 'DFW', 3670, 'MFE', 3826, '', 0, '319 M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'MGM', 4115, '', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'MHK', 4050, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'MIA', 3576, '', 0, '738 763 757\r'),
	('US', 5265, 'DFW', 3670, 'MKE', 3717, '', 0, 'M80 ER4 M83\r'),
	('US', 5265, 'DFW', 3670, 'MLI', 4072, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'MLM', 1821, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'MLU', 3732, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'MOB', 3782, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'MSN', 3459, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'MSP', 3858, '', 0, 'M80 M83 738\r'),
	('US', 5265, 'DFW', 3670, 'MSY', 3861, 'Y', 0, 'M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'MTY', 1825, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'MZT', 1826, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'NAS', 1953, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'NRT', 2279, '', 0, '777\r'),
	('US', 5265, 'DFW', 3670, 'OGG', 3456, '', 0, '763\r'),
	('US', 5265, 'DFW', 3670, 'OKC', 3863, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'OMA', 3454, '', 0, 'M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'ONT', 3734, '', 0, 'M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'ORD', 3830, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'ORF', 3611, '', 0, 'M80\r'),
	('US', 5265, 'DFW', 3670, 'PBC', 1831, '', 0, 'ERD\r'),
	('US', 5265, 'DFW', 3670, 'PBI', 3722, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'PDX', 3720, '', 0, 'M83\r'),
	('US', 5265, 'DFW', 3670, 'PHL', 3752, '', 0, '738 320 319 M83 M80 E90 752\r'),
	('US', 5265, 'DFW', 3670, 'PHX', 3462, '', 0, '321 738 M80 319 320 M83\r'),
	('US', 5265, 'DFW', 3670, 'PIA', 4046, 'Y', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'PIT', 3570, '', 0, 'M80\r'),
	('US', 5265, 'DFW', 3670, 'PLS', 1754, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'PNS', 3564, '', 0, 'ER4 M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'PSP', 3839, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'PTY', 1871, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'PVR', 1836, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'QRO', 1838, 'Y', 0, 'ERD\r'),
	('US', 5265, 'DFW', 3670, 'RAP', 4087, 'Y', 0, 'ER4 CRJ\r'),
	('US', 5265, 'DFW', 3670, 'RDU', 3626, '', 0, 'M80 M83 738\r'),
	('US', 5265, 'DFW', 3670, 'RIC', 3608, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'RNO', 3807, '', 0, 'M83 738\r'),
	('US', 5265, 'DFW', 3670, 'ROW', 3736, '', 0, 'ERD\r'),
	('US', 5265, 'DFW', 3670, 'RSW', 3793, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'RTB', 1774, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'SAF', 3784, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'SAL', 1892, '', 0, 'E90\r'),
	('US', 5265, 'DFW', 3670, 'SAN', 3731, '', 0, '738 M80 M83 757\r'),
	('US', 5265, 'DFW', 3670, 'SAT', 3621, '', 0, 'M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'SAV', 3613, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'SCL', 2650, '', 0, '763\r'),
	('US', 5265, 'DFW', 3670, 'SDF', 4014, '', 0, 'ERD M80 M83 319\r'),
	('US', 5265, 'DFW', 3670, 'SEA', 3577, '', 0, '738 757\r'),
	('US', 5265, 'DFW', 3670, 'SFO', 3469, '', 0, '738 757 763\r'),
	('US', 5265, 'DFW', 3670, 'SGF', 4348, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'SHV', 3609, 'Y', 0, 'CRJ ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'SJC', 3748, '', 0, 'M83\r'),
	('US', 5265, 'DFW', 3670, 'SJD', 1840, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'SJO', 1885, '', 0, '757\r'),
	('US', 5265, 'DFW', 3670, 'SJT', 3708, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'SJU', 2890, '', 0, '757\r'),
	('US', 5265, 'DFW', 3670, 'SLC', 3536, '', 0, 'M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'SLP', 1842, '', 0, 'ERD\r'),
	('US', 5265, 'DFW', 3670, 'SMF', 3817, '', 0, 'M83\r'),
	('US', 5265, 'DFW', 3670, 'SNA', 3867, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'SPI', 4336, '', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'SPS', 3680, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'STL', 3678, '', 0, 'M80 M83 738\r'),
	('US', 5265, 'DFW', 3670, 'TLH', 3698, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'TPA', 3646, '', 0, '738 M83 M80\r'),
	('US', 5265, 'DFW', 3670, 'TRC', 1845, '', 0, 'ER4\r'),
	('US', 5265, 'DFW', 3670, 'TUL', 3855, '', 0, 'M83 M80 757 738\r'),
	('US', 5265, 'DFW', 3670, 'TUS', 3636, '', 0, 'M80 M83\r'),
	('US', 5265, 'DFW', 3670, 'TXK', 3770, '', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'TYR', 3848, '', 0, 'ER4 ERD CRJ\r'),
	('US', 5265, 'DFW', 3670, 'TYS', 3676, '', 0, 'ERD ER4\r'),
	('US', 5265, 'DFW', 3670, 'VPS', 3873, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'DFW', 3670, 'XNA', 4356, '', 0, 'M80 ER4\r'),
	('US', 5265, 'DFW', 3670, 'YEG', 49, '', 0, '319\r'),
	('US', 5265, 'DFW', 3670, 'YUL', 146, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'YVR', 156, '', 0, '738\r'),
	('US', 5265, 'DFW', 3670, 'YYC', 178, '', 0, 'M80 738\r'),
	('US', 5265, 'DFW', 3670, 'YYZ', 193, '', 0, '319\r'),
	('US', 5265, 'DFW', 3670, 'ZCL', 1855, 'Y', 0, 'ERD\r'),
	('US', 5265, 'DKR', 1084, 'IAD', 3714, '', 0, '343\r'),
	('US', 5265, 'DKR', 1084, 'JNB', 813, '', 0, '343\r'),
	('US', 5265, 'DOH', 2241, 'BCN', 1218, '', 0, '332\r'),
	('US', 5265, 'DOH', 2241, 'FRA', 340, '', 0, '788 77W\r'),
	('US', 5265, 'DOH', 2241, 'IAH', 3550, '', 0, '77L\r'),
	('US', 5265, 'DOH', 2241, 'LHR', 507, '', 0, '333 332\r'),
	('US', 5265, 'DOH', 2241, 'MAD', 1229, '', 0, '77W 772\r'),
	('US', 5265, 'DOH', 2241, 'MAN', 478, '', 0, '333 332\r'),
	('US', 5265, 'DOH', 2241, 'MUC', 346, '', 0, '788\r'),
	('US', 5265, 'DRO', 3713, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'DRO', 3713, 'PHX', 3462, 'Y', 0, 'CRJ CR9\r'),
	('US', 5265, 'DSM', 3729, 'CLT', 3876, 'Y', 0, 'CR9\r'),
	('US', 5265, 'DSM', 3729, 'DCA', 3520, 'Y', 0, 'E70 CRJ\r'),
	('US', 5265, 'DSM', 3729, 'DFW', 3670, '', 0, 'M80 ER4 M83\r'),
	('US', 5265, 'DSM', 3729, 'ORD', 3830, '', 0, 'ERD ER4\r'),
	('US', 5265, 'DSM', 3729, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'DTW', 3645, 'CLT', 3876, '', 0, '319 321\r'),
	('US', 5265, 'DTW', 3645, 'DCA', 3520, 'Y', 0, 'E70 CRJ E75\r'),
	('US', 5265, 'DTW', 3645, 'DFW', 3670, '', 0, 'M83 738 M80\r'),
	('US', 5265, 'DTW', 3645, 'LGA', 3697, '', 0, 'CR7\r'),
	('US', 5265, 'DTW', 3645, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'DTW', 3645, 'ORD', 3830, '', 0, 'ERD ER4 E75\r'),
	('US', 5265, 'DTW', 3645, 'PHL', 3752, '', 0, '320 E90 319\r'),
	('US', 5265, 'DTW', 3645, 'PHX', 3462, '', 0, '319 321\r'),
	('US', 5265, 'DTW', 3645, 'YUL', 146, '', 0, '330\r'),
	('US', 5265, 'DUB', 599, 'CLT', 3876, '', 0, '752\r'),
	('US', 5265, 'DUB', 599, 'JFK', 3797, '', 0, '757\r'),
	('US', 5265, 'DUB', 599, 'ORD', 3830, '', 0, '763\r'),
	('US', 5265, 'DUB', 599, 'PHL', 3752, '', 0, '332\r'),
	('US', 5265, 'DUS', 345, 'ORD', 3830, '', 0, '763\r'),
	('US', 5265, 'ELH', 1943, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'ELM', 3946, 'PHL', 3752, 'Y', 0, 'DH8\r'),
	('US', 5265, 'ELP', 3559, 'DFW', 3670, '', 0, 'M80 319\r'),
	('US', 5265, 'ELP', 3559, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'ELP', 3559, 'ORD', 3830, 'Y', 0, 'E75\r'),
	('US', 5265, 'ELP', 3559, 'PHX', 3462, 'Y', 0, 'CRJ CR9\r'),
	('US', 5265, 'ERI', 4276, 'PHL', 3752, 'Y', 0, 'DH8\r'),
	('US', 5265, 'EUG', 4099, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'EVV', 4018, 'DFW', 3670, 'Y', 0, 'ERD\r'),
	('US', 5265, 'EVV', 4018, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'EWN', 3730, 'CLT', 3876, 'Y', 0, 'DH3 CRJ DH8 CR7\r'),
	('US', 5265, 'EWR', 3494, 'CLT', 3876, '', 0, '321 320 734 319\r'),
	('US', 5265, 'EWR', 3494, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('US', 5265, 'EWR', 3494, 'LIS', 1638, 'Y', 0, '343 332\r'),
	('US', 5265, 'EWR', 3494, 'MIA', 3576, '', 0, '757 738\r'),
	('US', 5265, 'EWR', 3494, 'OPO', 1636, 'Y', 0, '332\r'),
	('US', 5265, 'EWR', 3494, 'ORD', 3830, '', 0, 'CR7 E75\r'),
	('US', 5265, 'EWR', 3494, 'PHL', 3752, 'Y', 0, 'CRJ DH8\r'),
	('US', 5265, 'EWR', 3494, 'PHX', 3462, '', 0, '320\r'),
	('US', 5265, 'EYW', 3875, 'MIA', 3576, '', 0, 'ERD\r'),
	('US', 5265, 'FAO', 1626, 'LIS', 1638, 'Y', 0, '319\r'),
	('US', 5265, 'FAR', 4292, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'FAR', 4292, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('US', 5265, 'FAT', 3687, 'DFW', 3670, '', 0, 'M80\r'),
	('US', 5265, 'FAT', 3687, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'FAT', 3687, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'FAY', 5738, 'CLT', 3876, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'FAY', 5738, 'DCA', 3520, 'Y', 0, 'DH8\r'),
	('US', 5265, 'FCO', 1555, 'ATH', 3941, 'Y', 0, '320\r'),
	('US', 5265, 'FCO', 1555, 'CLT', 3876, '', 0, '333\r'),
	('US', 5265, 'FCO', 1555, 'JFK', 3797, '', 0, '763\r'),
	('US', 5265, 'FCO', 1555, 'LIS', 1638, 'Y', 0, '320 319\r'),
	('US', 5265, 'FCO', 1555, 'ORD', 3830, '', 0, '763\r'),
	('US', 5265, 'FCO', 1555, 'PHL', 3752, '', 0, '333\r'),
	('US', 5265, 'FDF', 2878, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'FLG', 4261, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'FLL', 3533, 'BOG', 2709, '', 0, '320\r'),
	('US', 5265, 'FLL', 3533, 'CLT', 3876, '', 0, '319 321 320 734\r'),
	('US', 5265, 'FLL', 3533, 'DCA', 3520, '', 0, '319\r'),
	('US', 5265, 'FLL', 3533, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'FLL', 3533, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'FLL', 3533, 'PAP', 1897, '', 0, '738\r'),
	('US', 5265, 'FLL', 3533, 'PHL', 3752, '', 0, '320 319 734\r'),
	('US', 5265, 'FLL', 3533, 'PHX', 3462, '', 0, '320 319\r'),
	('US', 5265, 'FLO', 3879, 'CLT', 3876, 'Y', 0, 'CRJ DH8 DH3\r'),
	('US', 5265, 'FNC', 4091, 'LIS', 1638, 'Y', 0, '319 320\r'),
	('US', 5265, 'FNT', 4089, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'FPO', 1948, 'CLT', 3876, 'Y', 0, 'CR7\r'),
	('US', 5265, 'FPO', 1948, 'MIA', 3576, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'FRA', 340, 'CLT', 3876, '', 0, '333 332\r'),
	('US', 5265, 'FRA', 340, 'DFW', 3670, '', 0, '777\r'),
	('US', 5265, 'FRA', 340, 'DOH', 2241, '', 0, '77L 788 77W\r'),
	('US', 5265, 'FRA', 340, 'IST', 1701, 'Y', 0, '320 330 321 343 332\r'),
	('US', 5265, 'FRA', 340, 'JFK', 3797, '', 0, '388\r'),
	('US', 5265, 'FRA', 340, 'JNB', 813, '', 0, '346\r'),
	('US', 5265, 'FRA', 340, 'LIS', 1638, 'Y', 0, '319 320\r'),
	('US', 5265, 'FRA', 340, 'PHL', 3752, '', 0, '332 762\r'),
	('US', 5265, 'FRA', 340, 'SIN', 3316, '', 0, '388\r'),
	('US', 5265, 'FRA', 340, 'SKG', 1486, 'Y', 0, '321\r'),
	('US', 5265, 'FSD', 4009, 'DFW', 3670, 'Y', 0, 'ER4 CRJ\r'),
	('US', 5265, 'FSD', 4009, 'ORD', 3830, '', 0, 'ERD\r'),
	('US', 5265, 'FSM', 3437, 'DFW', 3670, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'FWA', 4041, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('US', 5265, 'FWA', 4041, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'GCK', 3497, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'GCM', 1926, 'CLT', 3876, '', 0, '320 321 319\r'),
	('US', 5265, 'GCM', 1926, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'GCM', 1926, 'PHL', 3752, '', 0, '319\r'),
	('US', 5265, 'GDL', 1804, 'DFW', 3670, '', 0, 'M80 ER4\r'),
	('US', 5265, 'GDL', 1804, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'GEG', 3467, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'GGG', 3465, 'DFW', 3670, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'GGT', 1941, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'GIG', 2560, 'CLT', 3876, '', 0, '762\r'),
	('US', 5265, 'GIG', 2560, 'DFW', 3670, '', 0, '763\r'),
	('US', 5265, 'GIG', 2560, 'JFK', 3797, '', 0, '763\r'),
	('US', 5265, 'GIG', 2560, 'MIA', 3576, '', 0, '763\r'),
	('US', 5265, 'GJT', 4063, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('US', 5265, 'GJT', 4063, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'GLA', 534, 'PHL', 3752, '', 0, '752\r'),
	('US', 5265, 'GND', 2882, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'GNV', 3472, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'GNV', 3472, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'GPT', 4038, 'CLT', 3876, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'GPT', 4038, 'DFW', 3670, '', 0, 'ERD ER4\r'),
	('US', 5265, 'GRB', 3653, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('US', 5265, 'GRI', 5740, 'DFW', 3670, '', 0, 'ERD ER4\r'),
	('US', 5265, 'GRK', 3775, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'GRR', 3685, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'GRR', 3685, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'GRU', 2564, 'CLT', 3876, '', 0, '332\r'),
	('US', 5265, 'GRU', 2564, 'DFW', 3670, '', 0, '77W\r'),
	('US', 5265, 'GRU', 2564, 'JFK', 3797, '', 0, '77W 777\r'),
	('US', 5265, 'GRU', 2564, 'LAX', 3484, '', 0, '777\r'),
	('US', 5265, 'GRU', 2564, 'MIA', 3576, '', 0, '777\r'),
	('US', 5265, 'GSO', 4008, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'GSO', 4008, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'GSO', 4008, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'GSO', 4008, 'LGA', 3697, '', 0, 'ERD\r'),
	('US', 5265, 'GSO', 4008, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'GSO', 4008, 'PHL', 3752, 'Y', 0, 'E75 CRJ E70\r'),
	('US', 5265, 'GSP', 4034, 'CLT', 3876, '', 0, 'CRJ CR7\r'),
	('US', 5265, 'GSP', 4034, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'GSP', 4034, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'GSP', 4034, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'GUA', 1767, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'GUA', 1767, 'LAX', 3484, '', 0, '320\r'),
	('US', 5265, 'GUA', 1767, 'MIA', 3576, '', 0, '738 E90\r'),
	('US', 5265, 'GVA', 1665, 'LIS', 1638, 'Y', 0, '320 319\r'),
	('US', 5265, 'HHH', 7002, 'CLT', 3876, 'Y', 0, 'DH8\r'),
	('US', 5265, 'HHH', 7002, 'DCA', 3520, 'Y', 0, 'DH8\r'),
	('US', 5265, 'HKG', 3077, 'SFO', 3469, '', 0, '77W\r'),
	('US', 5265, 'HKG', 3077, 'SIN', 3316, '', 0, '77W\r'),
	('US', 5265, 'HMO', 1807, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'HNL', 3728, 'AKL', 2006, 'Y', 0, '763\r'),
	('US', 5265, 'HNL', 3728, 'DFW', 3670, '', 0, '763\r'),
	('US', 5265, 'HNL', 3728, 'ITO', 3415, 'Y', 0, '717\r'),
	('US', 5265, 'HNL', 3728, 'KOA', 3514, 'Y', 0, '717\r'),
	('US', 5265, 'HNL', 3728, 'LAX', 3484, '', 0, '757\r'),
	('US', 5265, 'HNL', 3728, 'LIH', 3602, 'Y', 0, '717\r'),
	('US', 5265, 'HNL', 3728, 'OGG', 3456, 'Y', 0, '717\r'),
	('US', 5265, 'HNL', 3728, 'PHX', 3462, '', 0, '752\r'),
	('US', 5265, 'HOU', 3566, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('US', 5265, 'HPN', 3589, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'HPN', 3589, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'HPN', 3589, 'ORD', 3830, 'Y', 0, 'ERD\r'),
	('US', 5265, 'HPN', 3589, 'PHL', 3752, 'Y', 0, 'DH8 CRJ\r'),
	('US', 5265, 'HSV', 4113, 'CLT', 3876, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'HSV', 4113, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'HSV', 4113, 'DFW', 3670, '', 0, '319\r'),
	('US', 5265, 'HSV', 4113, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('US', 5265, 'HTS', 5742, 'CLT', 3876, 'Y', 0, 'DH8 DH3\r'),
	('US', 5265, 'HVN', 4006, 'PHL', 3752, 'Y', 0, 'DH8\r'),
	('US', 5265, 'IAD', 3714, 'CLT', 3876, '', 0, 'CR7\r'),
	('US', 5265, 'IAD', 3714, 'DFW', 3670, '', 0, '738 M80\r'),
	('US', 5265, 'IAD', 3714, 'DKR', 1084, '', 0, '343\r'),
	('US', 5265, 'IAD', 3714, 'IST', 1701, 'Y', 0, '330\r'),
	('US', 5265, 'IAD', 3714, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'IAD', 3714, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'IAD', 3714, 'SAL', 1892, '', 0, '319 321 320\r'),
	('US', 5265, 'IAH', 3550, 'CLT', 3876, '', 0, '321 734 319 320\r'),
	('US', 5265, 'IAH', 3550, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'IAH', 3550, 'DOH', 2241, '', 0, '77L\r'),
	('US', 5265, 'IAH', 3550, 'IST', 1701, '', 0, '77W\r'),
	('US', 5265, 'IAH', 3550, 'LAX', 3484, '', 0, 'CR7\r'),
	('US', 5265, 'IAH', 3550, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'IAH', 3550, 'ORD', 3830, '', 0, 'CR7\r'),
	('US', 5265, 'IAH', 3550, 'PHL', 3752, '', 0, 'E90\r'),
	('US', 5265, 'IAH', 3550, 'PHX', 3462, '', 0, '319 320\r'),
	('US', 5265, 'IAH', 3550, 'SAL', 1892, '', 0, 'E90\r'),
	('US', 5265, 'ICN', 3930, 'DFW', 3670, '', 0, '777\r'),
	('US', 5265, 'ICN', 3930, 'SFO', 3469, '', 0, '77W\r'),
	('US', 5265, 'ICN', 3930, 'SIN', 3316, '', 0, '77W\r'),
	('US', 5265, 'ICT', 3457, 'DFW', 3670, '', 0, '319\r'),
	('US', 5265, 'ICT', 3457, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'ILM', 3845, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'ILM', 3845, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'ILM', 3845, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('US', 5265, 'ILM', 3845, 'PHL', 3752, 'Y', 0, 'CRJ E75\r'),
	('US', 5265, 'IND', 3585, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'IND', 3585, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'IND', 3585, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'IND', 3585, 'JFK', 3797, '', 0, 'ER4\r'),
	('US', 5265, 'IND', 3585, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'IND', 3585, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'IND', 3585, 'ORD', 3830, 'Y', 0, 'E75 ER4 ERD CR7\r'),
	('US', 5265, 'IND', 3585, 'PHL', 3752, '', 0, 'E90\r'),
	('US', 5265, 'IND', 3585, 'PHX', 3462, '', 0, '320 319\r'),
	('US', 5265, 'IPT', 3584, 'PHL', 3752, 'Y', 0, 'DH8\r'),
	('US', 5265, 'ISP', 3857, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'ISP', 3857, 'PHL', 3752, 'Y', 0, 'CRJ DH8\r'),
	('US', 5265, 'IST', 1701, 'FRA', 340, 'Y', 0, '330 321 320 343 332\r'),
	('US', 5265, 'IST', 1701, 'IAD', 3714, 'Y', 0, '330\r'),
	('US', 5265, 'IST', 1701, 'IAH', 3550, '', 0, '77W\r'),
	('US', 5265, 'IST', 1701, 'JFK', 3797, 'Y', 0, '330 77W\r'),
	('US', 5265, 'IST', 1701, 'LAX', 3484, 'Y', 0, '77W\r'),
	('US', 5265, 'IST', 1701, 'MUC', 346, 'Y', 0, '321 320 738\r'),
	('US', 5265, 'IST', 1701, 'ORD', 3830, 'Y', 0, '330\r'),
	('US', 5265, 'IST', 1701, 'ZRH', 1678, 'Y', 0, '738 321\r'),
	('US', 5265, 'ITH', 3947, 'PHL', 3752, 'Y', 0, 'DH8 CRJ\r'),
	('US', 5265, 'ITO', 3415, 'HNL', 3728, '', 0, '717\r'),
	('US', 5265, 'JAN', 3580, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'JAN', 3580, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'JAN', 3580, 'DFW', 3670, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'JAX', 3712, 'CLT', 3876, '', 0, '319 734\r'),
	('US', 5265, 'JAX', 3712, 'DCA', 3520, 'Y', 0, 'E75 CRJ E70\r'),
	('US', 5265, 'JAX', 3712, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('US', 5265, 'JAX', 3712, 'MIA', 3576, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'JAX', 3712, 'ORD', 3830, '', 0, 'ER4 CR7\r'),
	('US', 5265, 'JAX', 3712, 'PHL', 3752, '', 0, 'E90\r'),
	('US', 5265, 'JFK', 3797, 'AMM', 2170, '', 0, '340 330\r'),
	('US', 5265, 'JFK', 3797, 'ANU', 2874, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'AUS', 3673, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'BCN', 1218, '', 0, '763\r'),
	('US', 5265, 'JFK', 3797, 'BDA', 4069, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'BNA', 3690, 'Y', 0, 'ER4\r'),
	('US', 5265, 'JFK', 3797, 'BOG', 2709, '', 0, '319\r'),
	('US', 5265, 'JFK', 3797, 'BOS', 3448, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'BWI', 3849, 'Y', 0, 'ER4\r'),
	('US', 5265, 'JFK', 3797, 'CDG', 1382, '', 0, '763 757\r'),
	('US', 5265, 'JFK', 3797, 'CLE', 3486, 'Y', 0, 'ER4\r'),
	('US', 5265, 'JFK', 3797, 'CLT', 3876, '', 0, '321 319\r'),
	('US', 5265, 'JFK', 3797, 'CMH', 3759, '', 0, 'CR7\r'),
	('US', 5265, 'JFK', 3797, 'CUN', 1852, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'CVG', 3488, 'Y', 0, 'ER4\r'),
	('US', 5265, 'JFK', 3797, 'DCA', 3520, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'DFW', 3670, '', 0, '738 757\r'),
	('US', 5265, 'JFK', 3797, 'DUB', 599, '', 0, '757\r'),
	('US', 5265, 'JFK', 3797, 'FCO', 1555, '', 0, '763\r'),
	('US', 5265, 'JFK', 3797, 'FRA', 340, '', 0, '388\r'),
	('US', 5265, 'JFK', 3797, 'GIG', 2560, '', 0, '763\r'),
	('US', 5265, 'JFK', 3797, 'GRU', 2564, '', 0, '77W 777\r'),
	('US', 5265, 'JFK', 3797, 'IND', 3585, '', 0, 'ER4\r'),
	('US', 5265, 'JFK', 3797, 'IST', 1701, 'Y', 0, '330 77W\r'),
	('US', 5265, 'JFK', 3797, 'JNB', 813, '', 0, '346\r'),
	('US', 5265, 'JFK', 3797, 'LAS', 3877, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'LAX', 3484, '', 0, '32B 762\r'),
	('US', 5265, 'JFK', 3797, 'LHR', 507, '', 0, '77W\r'),
	('US', 5265, 'JFK', 3797, 'MAD', 1229, '', 0, '757\r'),
	('US', 5265, 'JFK', 3797, 'MAN', 478, '', 0, '757\r'),
	('US', 5265, 'JFK', 3797, 'MCO', 3878, 'Y', 0, '763 757\r'),
	('US', 5265, 'JFK', 3797, 'MDE', 2745, '', 0, '319\r'),
	('US', 5265, 'JFK', 3797, 'MIA', 3576, '', 0, '757 738\r'),
	('US', 5265, 'JFK', 3797, 'MXP', 1524, '', 0, '763\r'),
	('US', 5265, 'JFK', 3797, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'ORF', 3611, '', 0, 'ER4\r'),
	('US', 5265, 'JFK', 3797, 'PEK', 3364, 'Y', 0, '773\r'),
	('US', 5265, 'JFK', 3797, 'PHX', 3462, '', 0, '321\r'),
	('US', 5265, 'JFK', 3797, 'PIT', 3570, '', 0, 'ER4\r'),
	('US', 5265, 'JFK', 3797, 'RDU', 3626, '', 0, 'ERD CR7\r'),
	('US', 5265, 'JFK', 3797, 'SAL', 1892, '', 0, '320\r'),
	('US', 5265, 'JFK', 3797, 'SAN', 3731, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'SEA', 3577, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'SFO', 3469, '', 0, '32B 763\r'),
	('US', 5265, 'JFK', 3797, 'SJO', 1885, '', 0, '738\r'),
	('US', 5265, 'JFK', 3797, 'SJU', 2890, '', 0, '757\r'),
	('US', 5265, 'JFK', 3797, 'STT', 2883, '', 0, '757\r'),
	('US', 5265, 'JFK', 3797, 'SXM', 2899, '', 0, '757\r'),
	('US', 5265, 'JFK', 3797, 'TPA', 3646, 'Y', 0, 'CR7\r'),
	('US', 5265, 'JFK', 3797, 'YUL', 146, '', 0, 'ERD\r'),
	('US', 5265, 'JFK', 3797, 'YYZ', 193, '', 0, 'CR7\r'),
	('US', 5265, 'JFK', 3797, 'ZRH', 1678, '', 0, '763\r'),
	('US', 5265, 'JLN', 4354, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'JNB', 813, 'DKR', 1084, '', 0, '343\r'),
	('US', 5265, 'JNB', 813, 'FRA', 340, '', 0, '346\r'),
	('US', 5265, 'JNB', 813, 'JFK', 3797, '', 0, '346\r'),
	('US', 5265, 'JNB', 813, 'LHR', 507, '', 0, '332 343\r'),
	('US', 5265, 'JNB', 813, 'MUC', 346, '', 0, '346 343 332\r'),
	('US', 5265, 'JTR', 1479, 'ATH', 3941, 'Y', 0, '321\r'),
	('US', 5265, 'KIN', 1779, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'KOA', 3514, 'HNL', 3728, 'Y', 0, '717\r'),
	('US', 5265, 'KOA', 3514, 'LAX', 3484, '', 0, '757\r'),
	('US', 5265, 'KOA', 3514, 'PHX', 3462, '', 0, '752\r'),
	('US', 5265, 'LAS', 3877, 'CLT', 3876, '', 0, '321\r'),
	('US', 5265, 'LAS', 3877, 'DCA', 3520, '', 0, '320 319\r'),
	('US', 5265, 'LAS', 3877, 'DFW', 3670, '', 0, 'M80 738 M83 757\r'),
	('US', 5265, 'LAS', 3877, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'LAS', 3877, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'LAS', 3877, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'LAS', 3877, 'ORD', 3830, '', 0, 'M83 738\r'),
	('US', 5265, 'LAS', 3877, 'PHL', 3752, '', 0, '320 321\r'),
	('US', 5265, 'LAS', 3877, 'PHX', 3462, '', 0, '320 321 319\r'),
	('US', 5265, 'LAW', 4256, 'DFW', 3670, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'LAX', 3484, 'ABQ', 4019, 'Y', 0, 'CRJ CR7\r'),
	('US', 5265, 'LAX', 3484, 'AKL', 2006, 'Y', 0, '773 772\r'),
	('US', 5265, 'LAX', 3484, 'AUS', 3673, '', 0, 'M83 738\r'),
	('US', 5265, 'LAX', 3484, 'BDL', 3825, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'BNA', 3690, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'BOS', 3448, '', 0, '757 738\r'),
	('US', 5265, 'LAX', 3484, 'CLT', 3876, '', 0, '321\r'),
	('US', 5265, 'LAX', 3484, 'CMH', 3759, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'DCA', 3520, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'DEN', 3751, '', 0, 'CR7\r'),
	('US', 5265, 'LAX', 3484, 'DFW', 3670, 'Y', 0, '738 763 757 M83\r'),
	('US', 5265, 'LAX', 3484, 'ELP', 3559, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'LAX', 3484, 'EUG', 4099, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'LAX', 3484, 'FAT', 3687, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'LAX', 3484, 'GRU', 2564, '', 0, '777\r'),
	('US', 5265, 'LAX', 3484, 'GUA', 1767, '', 0, '320\r'),
	('US', 5265, 'LAX', 3484, 'HNL', 3728, '', 0, '757\r'),
	('US', 5265, 'LAX', 3484, 'IAD', 3714, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'IAH', 3550, '', 0, 'CR7\r'),
	('US', 5265, 'LAX', 3484, 'IND', 3585, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'IST', 1701, 'Y', 0, '77W\r'),
	('US', 5265, 'LAX', 3484, 'JFK', 3797, '', 0, '32B 762\r'),
	('US', 5265, 'LAX', 3484, 'KOA', 3514, '', 0, '757\r'),
	('US', 5265, 'LAX', 3484, 'LAS', 3877, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'LHR', 507, '', 0, '77W\r'),
	('US', 5265, 'LAX', 3484, 'LIH', 3602, '', 0, '757\r'),
	('US', 5265, 'LAX', 3484, 'MCO', 3878, '', 0, '757 738\r'),
	('US', 5265, 'LAX', 3484, 'MIA', 3576, '', 0, '757 777 763 738\r'),
	('US', 5265, 'LAX', 3484, 'MRY', 3948, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'LAX', 3484, 'NRT', 2279, '', 0, '777 388\r'),
	('US', 5265, 'LAX', 3484, 'OGG', 3456, '', 0, '757\r'),
	('US', 5265, 'LAX', 3484, 'OKC', 3863, 'Y', 0, 'CR7\r'),
	('US', 5265, 'LAX', 3484, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'PBI', 3722, 'Y', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'PEK', 3364, 'Y', 0, '773\r'),
	('US', 5265, 'LAX', 3484, 'PHL', 3752, '', 0, '321 320\r'),
	('US', 5265, 'LAX', 3484, 'PHX', 3462, '', 0, '321 319 320\r'),
	('US', 5265, 'LAX', 3484, 'PIT', 3570, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'PVG', 3406, '', 0, '777\r'),
	('US', 5265, 'LAX', 3484, 'RAR', 1959, 'Y', 0, '763\r'),
	('US', 5265, 'LAX', 3484, 'RDM', 4103, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'LAX', 3484, 'RDU', 3626, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'RNO', 3807, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'LAX', 3484, 'SAF', 3784, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'LAX', 3484, 'SAL', 1892, '', 0, '320 321\r'),
	('US', 5265, 'LAX', 3484, 'SAN', 3731, 'Y', 0, 'CRJ CR7\r'),
	('US', 5265, 'LAX', 3484, 'SFO', 3469, '', 0, '738\r'),
	('US', 5265, 'LAX', 3484, 'SJC', 3748, '', 0, 'CR7\r'),
	('US', 5265, 'LAX', 3484, 'SJD', 1840, '', 0, 'M83 738\r'),
	('US', 5265, 'LAX', 3484, 'SLC', 3536, '', 0, 'CR7\r'),
	('US', 5265, 'LAX', 3484, 'SMF', 3817, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'LAX', 3484, 'STL', 3678, '', 0, 'M83\r'),
	('US', 5265, 'LAX', 3484, 'TPE', 2276, '', 0, '77W\r'),
	('US', 5265, 'LAX', 3484, 'TUS', 3636, '', 0, 'CRJ\r'),
	('US', 5265, 'LAX', 3484, 'XNA', 4356, 'Y', 0, 'CR7\r'),
	('US', 5265, 'LAX', 3484, 'YYZ', 193, '', 0, '738\r'),
	('US', 5265, 'LBB', 3829, 'DFW', 3670, '', 0, 'M80 ER4\r'),
	('US', 5265, 'LCA', 1197, 'ATH', 3941, 'Y', 0, '320\r'),
	('US', 5265, 'LCH', 3513, 'DFW', 3670, '', 0, 'ERD\r'),
	('US', 5265, 'LEX', 4017, 'CLT', 3876, '', 0, 'CR7\r'),
	('US', 5265, 'LEX', 4017, 'DFW', 3670, '', 0, 'ERD\r'),
	('US', 5265, 'LEX', 4017, 'ORD', 3830, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'LFT', 3493, 'DFW', 3670, '', 0, 'ERD ER4\r'),
	('US', 5265, 'LGA', 3697, 'BNA', 3690, '', 0, 'CR7\r'),
	('US', 5265, 'LGA', 3697, 'BOS', 3448, '', 0, '319 E90\r'),
	('US', 5265, 'LGA', 3697, 'CHO', 4015, 'Y', 0, 'ERD\r'),
	('US', 5265, 'LGA', 3697, 'CLT', 3876, '', 0, '321 319 320\r'),
	('US', 5265, 'LGA', 3697, 'CMH', 3759, '', 0, 'CR7 ERD\r'),
	('US', 5265, 'LGA', 3697, 'DAY', 3627, '', 0, 'ERD\r'),
	('US', 5265, 'LGA', 3697, 'DCA', 3520, '', 0, '319 E90\r'),
	('US', 5265, 'LGA', 3697, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'LGA', 3697, 'DTW', 3645, '', 0, 'CR7\r'),
	('US', 5265, 'LGA', 3697, 'GSO', 4008, '', 0, 'ERD\r'),
	('US', 5265, 'LGA', 3697, 'ILM', 3845, 'Y', 0, 'ERD\r'),
	('US', 5265, 'LGA', 3697, 'LIT', 3660, '', 0, 'CR7\r'),
	('US', 5265, 'LGA', 3697, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'LGA', 3697, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'LGA', 3697, 'ORF', 3611, '', 0, 'ERD\r'),
	('US', 5265, 'LGA', 3697, 'PBI', 3722, '', 0, '738\r'),
	('US', 5265, 'LGA', 3697, 'PHL', 3752, '', 0, 'E90 319\r'),
	('US', 5265, 'LGA', 3697, 'PIT', 3570, 'Y', 0, 'CRJ E75\r'),
	('US', 5265, 'LGA', 3697, 'RDU', 3626, '', 0, 'ERD CR7\r'),
	('US', 5265, 'LGA', 3697, 'RIC', 3608, 'Y', 0, 'ERD\r'),
	('US', 5265, 'LGA', 3697, 'ROA', 4016, 'Y', 0, 'ERD\r'),
	('US', 5265, 'LGA', 3697, 'SDF', 4014, '', 0, 'ERD\r'),
	('US', 5265, 'LGA', 3697, 'STL', 3678, 'Y', 0, 'CR7\r'),
	('US', 5265, 'LGA', 3697, 'TYS', 3676, '', 0, 'ERD\r'),
	('US', 5265, 'LGA', 3697, 'XNA', 4356, '', 0, 'CR7\r'),
	('US', 5265, 'LGA', 3697, 'YUL', 146, '', 0, 'ERD\r'),
	('US', 5265, 'LGA', 3697, 'YYZ', 193, '', 0, 'CR7\r'),
	('US', 5265, 'LGB', 3582, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'LHR', 507, 'ATH', 3941, 'Y', 0, '321\r'),
	('US', 5265, 'LHR', 507, 'CLT', 3876, '', 0, '333\r'),
	('US', 5265, 'LHR', 507, 'DFW', 3670, '', 0, '77W 777\r'),
	('US', 5265, 'LHR', 507, 'DOH', 2241, '', 0, '333 77W 788 332 77L\r'),
	('US', 5265, 'LHR', 507, 'JFK', 3797, '', 0, '77W\r'),
	('US', 5265, 'LHR', 507, 'JNB', 813, '', 0, '332 343\r'),
	('US', 5265, 'LHR', 507, 'LAX', 3484, '', 0, '77W\r'),
	('US', 5265, 'LHR', 507, 'LIS', 1638, 'Y', 0, '319 320\r'),
	('US', 5265, 'LHR', 507, 'MIA', 3576, '', 0, '77W 777\r'),
	('US', 5265, 'LHR', 507, 'ORD', 3830, '', 0, '763 777\r'),
	('US', 5265, 'LHR', 507, 'PHL', 3752, '', 0, '333\r'),
	('US', 5265, 'LHR', 507, 'RDU', 3626, '', 0, '763\r'),
	('US', 5265, 'LIH', 3602, 'HNL', 3728, 'Y', 0, '717\r'),
	('US', 5265, 'LIH', 3602, 'LAX', 3484, '', 0, '757\r'),
	('US', 5265, 'LIH', 3602, 'PHX', 3462, '', 0, '752\r'),
	('US', 5265, 'LIM', 2789, 'DFW', 3670, '', 0, '763\r'),
	('US', 5265, 'LIM', 2789, 'MIA', 3576, '', 0, '757 763\r'),
	('US', 5265, 'LIR', 1881, 'CLT', 3876, '', 0, '320\r'),
	('US', 5265, 'LIR', 1881, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'LIR', 1881, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'LIS', 1638, 'AMS', 580, 'Y', 0, '320 319\r'),
	('US', 5265, 'LIS', 1638, 'BRU', 302, 'Y', 0, '321 320 100 319\r'),
	('US', 5265, 'LIS', 1638, 'EWR', 3494, 'Y', 0, '343 332\r'),
	('US', 5265, 'LIS', 1638, 'FAO', 1626, 'Y', 0, '319 320\r'),
	('US', 5265, 'LIS', 1638, 'FNC', 4091, 'Y', 0, '319\r'),
	('US', 5265, 'LIS', 1638, 'MAD', 1229, 'Y', 0, 'ER4 100 319\r'),
	('US', 5265, 'LIS', 1638, 'OPO', 1636, 'Y', 0, 'ER4 100 319\r'),
	('US', 5265, 'LIS', 1638, 'PHL', 3752, '', 0, '752\r'),
	('US', 5265, 'LIT', 3660, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'LIT', 3660, 'DCA', 3520, 'Y', 0, 'E70\r'),
	('US', 5265, 'LIT', 3660, 'DFW', 3670, '', 0, 'M80 ER4 M83\r'),
	('US', 5265, 'LIT', 3660, 'LGA', 3697, '', 0, 'CR7\r'),
	('US', 5265, 'LIT', 3660, 'ORD', 3830, '', 0, 'ER4\r'),
	('US', 5265, 'LPB', 2762, 'VVI', 2771, '', 0, '757\r'),
	('US', 5265, 'LRD', 3691, 'DFW', 3670, '', 0, 'ERD ER4\r'),
	('US', 5265, 'LRM', 1759, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'LSE', 4044, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'LYH', 5753, 'CLT', 3876, 'Y', 0, 'DH3 CRJ CR7\r'),
	('US', 5265, 'MAD', 1229, 'DFW', 3670, '', 0, '777\r'),
	('US', 5265, 'MAD', 1229, 'DOH', 2241, '', 0, '77W 772\r'),
	('US', 5265, 'MAD', 1229, 'JFK', 3797, '', 0, '757\r'),
	('US', 5265, 'MAD', 1229, 'LIS', 1638, 'Y', 0, 'ER4 319 320 100\r'),
	('US', 5265, 'MAD', 1229, 'MIA', 3576, '', 0, '763\r'),
	('US', 5265, 'MAD', 1229, 'OPO', 1636, 'Y', 0, 'ER4\r'),
	('US', 5265, 'MAD', 1229, 'PHL', 3752, '', 0, '333\r'),
	('US', 5265, 'MAF', 3652, 'DFW', 3670, '', 0, 'ERD ER4\r'),
	('US', 5265, 'MAN', 478, 'DOH', 2241, '', 0, '332 333\r'),
	('US', 5265, 'MAN', 478, 'JFK', 3797, '', 0, '757\r'),
	('US', 5265, 'MAN', 478, 'ORD', 3830, '', 0, '763\r'),
	('US', 5265, 'MAN', 478, 'PHL', 3752, '', 0, '332\r'),
	('US', 5265, 'MAO', 2551, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'MBJ', 1780, 'CLT', 3876, '', 0, '319 321 320\r'),
	('US', 5265, 'MBJ', 1780, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'MBJ', 1780, 'MIA', 3576, '', 0, '738 757\r'),
	('US', 5265, 'MBJ', 1780, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'MBJ', 1780, 'PHL', 3752, '', 0, '320 319 321\r'),
	('US', 5265, 'MCI', 3458, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'MCI', 3458, 'DCA', 3520, 'Y', 0, 'E75 E70\r'),
	('US', 5265, 'MCI', 3458, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('US', 5265, 'MCI', 3458, 'ORD', 3830, '', 0, 'CR7 ER4\r'),
	('US', 5265, 'MCI', 3458, 'PHL', 3752, 'Y', 0, 'E75 E70 CRJ\r'),
	('US', 5265, 'MCI', 3458, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'MCO', 3878, 'BOG', 2709, '', 0, '319\r'),
	('US', 5265, 'MCO', 3878, 'CLT', 3876, '', 0, '321 752 762 319\r'),
	('US', 5265, 'MCO', 3878, 'DCA', 3520, '', 0, '319 320\r'),
	('US', 5265, 'MCO', 3878, 'DFW', 3670, '', 0, '738 M83 M80 757\r'),
	('US', 5265, 'MCO', 3878, 'JFK', 3797, 'Y', 0, '763 757\r'),
	('US', 5265, 'MCO', 3878, 'LAX', 3484, '', 0, '757 738\r'),
	('US', 5265, 'MCO', 3878, 'MIA', 3576, '', 0, '757 738\r'),
	('US', 5265, 'MCO', 3878, 'ORD', 3830, '', 0, '738 M83 M80\r'),
	('US', 5265, 'MCO', 3878, 'PHL', 3752, '', 0, '321 762 752 320 332\r'),
	('US', 5265, 'MCO', 3878, 'PHX', 3462, '', 0, '321 320\r'),
	('US', 5265, 'MDE', 2745, 'JFK', 3797, '', 0, '319\r'),
	('US', 5265, 'MDE', 2745, 'MIA', 3576, '', 0, '738 319 320\r'),
	('US', 5265, 'MDT', 3542, 'BOS', 3448, 'Y', 0, 'DH8\r'),
	('US', 5265, 'MDT', 3542, 'CLT', 3876, '', 0, '319 CR7\r'),
	('US', 5265, 'MDT', 3542, 'ORD', 3830, 'Y', 0, 'CR7 ERD\r'),
	('US', 5265, 'MDT', 3542, 'PHL', 3752, 'Y', 0, 'DH8\r'),
	('US', 5265, 'MEL', 3339, 'AKL', 2006, 'Y', 0, '773\r'),
	('US', 5265, 'MEM', 3473, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'MEM', 3473, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'MEM', 3473, 'DFW', 3670, '', 0, '319\r'),
	('US', 5265, 'MEM', 3473, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'MEM', 3473, 'ORD', 3830, '', 0, 'CR7\r'),
	('US', 5265, 'MEX', 1824, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'MEX', 1824, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'MEX', 1824, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'MEX', 1824, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'MEX', 1824, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'MFE', 3826, 'DFW', 3670, '', 0, 'M83 M80 319\r'),
	('US', 5265, 'MGA', 1863, 'MIA', 3576, '', 0, '738 E90 320 319\r'),
	('US', 5265, 'MGM', 4115, 'CLT', 3876, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'MGM', 4115, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'MHH', 1930, 'MIA', 3576, '', 0, 'ERD\r'),
	('US', 5265, 'MHK', 4050, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'MHK', 4050, 'ORD', 3830, '', 0, 'ERD ER4\r'),
	('US', 5265, 'MHT', 4011, 'CLT', 3876, 'Y', 0, 'CR9\r'),
	('US', 5265, 'MHT', 4011, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'MHT', 4011, 'PHL', 3752, '', 0, 'CRJ\r'),
	('US', 5265, 'MIA', 3576, 'ANU', 2874, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'ASU', 2699, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'ATL', 3682, 'Y', 0, 'ERD 738 ER4\r'),
	('US', 5265, 'MIA', 3576, 'AUA', 2895, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'BAQ', 2710, '', 0, '318 320\r'),
	('US', 5265, 'MIA', 3576, 'BCN', 1218, '', 0, '763\r'),
	('US', 5265, 'MIA', 3576, 'BDA', 4069, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'BDL', 3825, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'BGI', 2875, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'BHM', 3811, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'BNA', 3690, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'BOG', 2709, '', 0, '763 757 330\r'),
	('US', 5265, 'MIA', 3576, 'BOS', 3448, '', 0, '757 738\r'),
	('US', 5265, 'MIA', 3576, 'BSB', 2531, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'BWI', 3849, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'BZE', 1957, 'Y', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'CDG', 1382, '', 0, '763\r'),
	('US', 5265, 'MIA', 3576, 'CHS', 3806, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'CLE', 3486, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'CLO', 2715, '', 0, '738 319 318 320\r'),
	('US', 5265, 'MIA', 3576, 'CLT', 3876, '', 0, '319 321 320 734\r'),
	('US', 5265, 'MIA', 3576, 'CMH', 3759, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'CNF', 2537, '', 0, '763\r'),
	('US', 5265, 'MIA', 3576, 'CTG', 2714, '', 0, '318 320\r'),
	('US', 5265, 'MIA', 3576, 'CUN', 1852, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'CUR', 2897, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'CVG', 3488, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'CWB', 2545, '', 0, '763\r'),
	('US', 5265, 'MIA', 3576, 'CZM', 1800, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'DCA', 3520, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'DEN', 3751, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'DFW', 3670, '', 0, '738 757\r'),
	('US', 5265, 'MIA', 3576, 'DTW', 3645, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'ELH', 1943, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'EWR', 3494, '', 0, '738 757\r'),
	('US', 5265, 'MIA', 3576, 'EYW', 3875, '', 0, 'ERD\r'),
	('US', 5265, 'MIA', 3576, 'FDF', 2878, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'FPO', 1948, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'MIA', 3576, 'GCM', 1926, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'GGT', 1941, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'GIG', 2560, '', 0, '763\r'),
	('US', 5265, 'MIA', 3576, 'GND', 2882, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'GNV', 3472, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'GRU', 2564, '', 0, '777\r'),
	('US', 5265, 'MIA', 3576, 'GSO', 4008, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'GUA', 1767, '', 0, '738 E90\r'),
	('US', 5265, 'MIA', 3576, 'IAD', 3714, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'IAH', 3550, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'IND', 3585, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'JAX', 3712, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'MIA', 3576, 'JFK', 3797, '', 0, '763 757 738\r'),
	('US', 5265, 'MIA', 3576, 'KIN', 1779, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'LAS', 3877, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'LAX', 3484, '', 0, '777 763 757\r'),
	('US', 5265, 'MIA', 3576, 'LGA', 3697, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'LHR', 507, '', 0, '77W 777\r'),
	('US', 5265, 'MIA', 3576, 'LIM', 2789, '', 0, '763 757\r'),
	('US', 5265, 'MIA', 3576, 'LIR', 1881, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'LPB', 2762, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'LRM', 1759, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'MAD', 1229, '', 0, '763\r'),
	('US', 5265, 'MIA', 3576, 'MAO', 2551, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'MBJ', 1780, '', 0, '738 757\r'),
	('US', 5265, 'MIA', 3576, 'MCO', 3878, '', 0, '757 738\r'),
	('US', 5265, 'MIA', 3576, 'MDE', 2745, '', 0, '738 319 320\r'),
	('US', 5265, 'MIA', 3576, 'MEM', 3473, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'MEX', 1824, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'MGA', 1863, '', 0, '738 E90 320 319\r'),
	('US', 5265, 'MIA', 3576, 'MHH', 1930, '', 0, 'ERD\r'),
	('US', 5265, 'MIA', 3576, 'MSP', 3858, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'MSY', 3861, 'Y', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'MVD', 2816, '', 0, '763\r'),
	('US', 5265, 'MIA', 3576, 'MXP', 1524, '', 0, '763\r'),
	('US', 5265, 'MIA', 3576, 'NAS', 1953, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'MIA', 3576, 'ORD', 3830, '', 0, '738 763\r'),
	('US', 5265, 'MIA', 3576, 'ORF', 3611, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'PAP', 1897, '', 0, '738 763 757\r'),
	('US', 5265, 'MIA', 3576, 'PHL', 3752, '', 0, '320 738 321 752\r'),
	('US', 5265, 'MIA', 3576, 'PHX', 3462, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'PIT', 3570, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'PLS', 1754, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'PNS', 3564, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'POP', 1761, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'POS', 2902, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'PTP', 2881, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'PTY', 1871, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'PUJ', 1760, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'RDU', 3626, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'REC', 2610, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'RIC', 3608, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'RTB', 1774, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'SAL', 1892, '', 0, '738 320 E90\r'),
	('US', 5265, 'MIA', 3576, 'SAN', 3731, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'SAP', 1772, '', 0, '738 320 E90 319\r'),
	('US', 5265, 'MIA', 3576, 'SCL', 2650, '', 0, '763\r'),
	('US', 5265, 'MIA', 3576, 'SDF', 4014, '', 0, 'ER4\r'),
	('US', 5265, 'MIA', 3576, 'SDQ', 1762, '', 0, '757 763\r'),
	('US', 5265, 'MIA', 3576, 'SEA', 3577, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'SFO', 3469, '', 0, '763 757 738\r'),
	('US', 5265, 'MIA', 3576, 'SJO', 1885, '', 0, '757 738\r'),
	('US', 5265, 'MIA', 3576, 'SJU', 2890, '', 0, '738 757\r'),
	('US', 5265, 'MIA', 3576, 'SKB', 2891, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'SSA', 2621, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'STI', 1764, 'Y', 0, '757 738\r'),
	('US', 5265, 'MIA', 3576, 'STL', 3678, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'STT', 2883, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'STX', 2884, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'SXM', 2899, '', 0, '757 738\r'),
	('US', 5265, 'MIA', 3576, 'TGU', 1776, '', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'TLH', 3698, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'MIA', 3576, 'TPA', 3646, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'TUL', 3855, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'UVF', 2894, 'Y', 0, '757\r'),
	('US', 5265, 'MIA', 3576, 'YUL', 146, '', 0, '738\r'),
	('US', 5265, 'MIA', 3576, 'YYZ', 193, '', 0, '738\r'),
	('US', 5265, 'MKE', 3717, 'CLT', 3876, 'Y', 0, 'CRJ CR7 CR9\r'),
	('US', 5265, 'MKE', 3717, 'DFW', 3670, '', 0, 'M80 M83 ER4\r'),
	('US', 5265, 'MKE', 3717, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'MKE', 3717, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'MKE', 3717, 'PHX', 3462, '', 0, '320 319\r'),
	('US', 5265, 'MLB', 3671, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'MLI', 4072, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'MLI', 4072, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'MLM', 1821, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'MLU', 3732, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'MOB', 3782, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'MOB', 3782, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'MQT', 6838, 'ORD', 3830, 'Y', 0, 'ER4\r'),
	('US', 5265, 'MRY', 3948, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'MRY', 3948, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'MSN', 3459, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'MSN', 3459, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'MSP', 3858, 'CLT', 3876, '', 0, '319 320 321\r'),
	('US', 5265, 'MSP', 3858, 'DCA', 3520, 'Y', 0, 'E75 E70\r'),
	('US', 5265, 'MSP', 3858, 'DFW', 3670, '', 0, 'M80 M83 738\r'),
	('US', 5265, 'MSP', 3858, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'MSP', 3858, 'ORD', 3830, '', 0, 'E75\r'),
	('US', 5265, 'MSP', 3858, 'PHL', 3752, '', 0, '319 E90\r'),
	('US', 5265, 'MSP', 3858, 'PHX', 3462, '', 0, '320 321 319\r'),
	('US', 5265, 'MSY', 3861, 'CLT', 3876, '', 0, '319 320\r'),
	('US', 5265, 'MSY', 3861, 'DCA', 3520, '', 0, '319\r'),
	('US', 5265, 'MSY', 3861, 'DFW', 3670, 'Y', 0, 'M80 M83\r'),
	('US', 5265, 'MSY', 3861, 'MIA', 3576, 'Y', 0, '738\r'),
	('US', 5265, 'MSY', 3861, 'ORD', 3830, 'Y', 0, 'E75\r'),
	('US', 5265, 'MSY', 3861, 'PHL', 3752, '', 0, '319 E90\r'),
	('US', 5265, 'MTY', 1825, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'MUC', 346, 'ATH', 3941, 'Y', 0, '320\r'),
	('US', 5265, 'MUC', 346, 'DOH', 2241, '', 0, '788\r'),
	('US', 5265, 'MUC', 346, 'IST', 1701, 'Y', 0, '320 321 738\r'),
	('US', 5265, 'MUC', 346, 'JNB', 813, '', 0, '346 343 332\r'),
	('US', 5265, 'MUC', 346, 'LIS', 1638, 'Y', 0, '320\r'),
	('US', 5265, 'MUC', 346, 'PHL', 3752, '', 0, '333\r'),
	('US', 5265, 'MUC', 346, 'SIN', 3316, '', 0, '77W\r'),
	('US', 5265, 'MUC', 346, 'SKG', 1486, 'Y', 0, '320\r'),
	('US', 5265, 'MVD', 2816, 'MIA', 3576, '', 0, '763\r'),
	('US', 5265, 'MXP', 1524, 'JFK', 3797, '', 0, '763\r'),
	('US', 5265, 'MXP', 1524, 'LIS', 1638, 'Y', 0, '319 320\r'),
	('US', 5265, 'MXP', 1524, 'MIA', 3576, '', 0, '763\r'),
	('US', 5265, 'MYR', 3515, 'CLT', 3876, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'MYR', 3515, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'MYR', 3515, 'PHL', 3752, 'Y', 0, 'CRJ E75\r'),
	('US', 5265, 'MZT', 1826, 'DFW', 3670, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'MZT', 1826, 'PHX', 3462, '', 0, '320 319\r'),
	('US', 5265, 'NAN', 1960, 'AKL', 2006, 'Y', 0, '772 320 763 773\r'),
	('US', 5265, 'NAS', 1953, 'CLT', 3876, '', 0, '319 734\r'),
	('US', 5265, 'NAS', 1953, 'DCA', 3520, '', 0, '319\r'),
	('US', 5265, 'NAS', 1953, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'NAS', 1953, 'MIA', 3576, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'NAS', 1953, 'PHL', 3752, '', 0, '319 320\r'),
	('US', 5265, 'NCE', 1354, 'LIS', 1638, '', 0, 'ER4 100\r'),
	('US', 5265, 'NRT', 2279, 'DFW', 3670, '', 0, '777\r'),
	('US', 5265, 'NRT', 2279, 'LAX', 3484, '', 0, '777 388\r'),
	('US', 5265, 'NRT', 2279, 'ORD', 3830, '', 0, '777\r'),
	('US', 5265, 'NRT', 2279, 'SIN', 3316, '', 0, '388\r'),
	('US', 5265, 'OAJ', 4386, 'CLT', 3876, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'OAJ', 4386, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'OAK', 3453, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'OGG', 3456, 'DFW', 3670, '', 0, '763\r'),
	('US', 5265, 'OGG', 3456, 'HNL', 3728, 'Y', 0, '717\r'),
	('US', 5265, 'OGG', 3456, 'LAX', 3484, '', 0, '757\r'),
	('US', 5265, 'OGG', 3456, 'PHX', 3462, '', 0, '752\r'),
	('US', 5265, 'OKC', 3863, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'OKC', 3863, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('US', 5265, 'OKC', 3863, 'ORD', 3830, '', 0, 'ER4\r'),
	('US', 5265, 'OMA', 3454, 'CLT', 3876, 'Y', 0, 'CR9\r'),
	('US', 5265, 'OMA', 3454, 'DCA', 3520, 'Y', 0, 'E70\r'),
	('US', 5265, 'OMA', 3454, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'OMA', 3454, 'ORD', 3830, '', 0, 'CR7\r'),
	('US', 5265, 'OMA', 3454, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'ONT', 3734, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'ONT', 3734, 'PHX', 3462, '', 0, '320 319\r'),
	('US', 5265, 'OPO', 1636, 'EWR', 3494, 'Y', 0, '332\r'),
	('US', 5265, 'OPO', 1636, 'LIS', 1638, 'Y', 0, 'ER4 320 319\r'),
	('US', 5265, 'OPO', 1636, 'MAD', 1229, 'Y', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'ABQ', 4019, 'Y', 0, 'E75\r'),
	('US', 5265, 'ORD', 3830, 'ALO', 5718, '', 0, 'ERD\r'),
	('US', 5265, 'ORD', 3830, 'AMM', 2170, '', 0, '340\r'),
	('US', 5265, 'ORD', 3830, 'ART', 3838, '', 0, 'ERD\r'),
	('US', 5265, 'ORD', 3830, 'ATL', 3682, 'Y', 0, 'E75 CR7\r'),
	('US', 5265, 'ORD', 3830, 'AUS', 3673, '', 0, 'M80 M83\r'),
	('US', 5265, 'ORD', 3830, 'AZO', 4039, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'ORD', 3830, 'BDL', 3825, '', 0, 'ER4 E75\r'),
	('US', 5265, 'ORD', 3830, 'BMI', 4037, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'ORD', 3830, 'BNA', 3690, '', 0, 'ER4 CR7\r'),
	('US', 5265, 'ORD', 3830, 'BOS', 3448, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'BUF', 3820, 'Y', 0, 'ER4 CR7 E75\r'),
	('US', 5265, 'ORD', 3830, 'BWI', 3849, '', 0, 'E75\r'),
	('US', 5265, 'ORD', 3830, 'CDG', 1382, '', 0, '763\r'),
	('US', 5265, 'ORD', 3830, 'CHA', 3578, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'ORD', 3830, 'CHO', 4015, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'ORD', 3830, 'CID', 4043, 'Y', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'CLE', 3486, '', 0, 'ER4 CR7 ERD\r'),
	('US', 5265, 'ORD', 3830, 'CLT', 3876, '', 0, '321 320 E90 319\r'),
	('US', 5265, 'ORD', 3830, 'CMH', 3759, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'ORD', 3830, 'CMI', 4049, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'ORD', 3830, 'COU', 3719, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'CUN', 1852, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'CVG', 3488, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'CWA', 4045, '', 0, 'ERD ER4\r'),
	('US', 5265, 'ORD', 3830, 'DAY', 3627, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'DBQ', 4388, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'ORD', 3830, 'DCA', 3520, '', 0, '738 M83\r'),
	('US', 5265, 'ORD', 3830, 'DEN', 3751, '', 0, 'CR7\r'),
	('US', 5265, 'ORD', 3830, 'DFW', 3670, 'Y', 0, 'M80 M83 738\r'),
	('US', 5265, 'ORD', 3830, 'DSM', 3729, '', 0, 'ERD ER4\r'),
	('US', 5265, 'ORD', 3830, 'DTW', 3645, '', 0, 'ERD ER4 E75\r'),
	('US', 5265, 'ORD', 3830, 'DUB', 599, '', 0, '763\r'),
	('US', 5265, 'ORD', 3830, 'DUS', 345, '', 0, '763\r'),
	('US', 5265, 'ORD', 3830, 'ELP', 3559, 'Y', 0, 'E75\r'),
	('US', 5265, 'ORD', 3830, 'EVV', 4018, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'ORD', 3830, 'EWR', 3494, '', 0, 'CR7 E75\r'),
	('US', 5265, 'ORD', 3830, 'FAR', 4292, 'Y', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'FCO', 1555, '', 0, '763\r'),
	('US', 5265, 'ORD', 3830, 'FLL', 3533, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'FNT', 4089, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'ORD', 3830, 'FSD', 4009, '', 0, 'ERD\r'),
	('US', 5265, 'ORD', 3830, 'FWA', 4041, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'ORD', 3830, 'GRB', 3653, 'Y', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'GRR', 3685, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'ORD', 3830, 'HPN', 3589, 'Y', 0, 'ERD\r'),
	('US', 5265, 'ORD', 3830, 'HSV', 4113, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'IAH', 3550, '', 0, 'CR7\r'),
	('US', 5265, 'ORD', 3830, 'ICT', 3457, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'ORD', 3830, 'IND', 3585, 'Y', 0, 'ER4 ERD E75 CR7\r'),
	('US', 5265, 'ORD', 3830, 'IST', 1701, 'Y', 0, '330\r'),
	('US', 5265, 'ORD', 3830, 'JAX', 3712, '', 0, 'ER4 CR7\r'),
	('US', 5265, 'ORD', 3830, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'LAS', 3877, '', 0, '738 M83\r'),
	('US', 5265, 'ORD', 3830, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'LEX', 4017, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'ORD', 3830, 'LGA', 3697, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'LHR', 507, '', 0, '763 777\r'),
	('US', 5265, 'ORD', 3830, 'LIT', 3660, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'LSE', 4044, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'ORD', 3830, 'MAN', 478, '', 0, '763\r'),
	('US', 5265, 'ORD', 3830, 'MBJ', 1780, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'MCI', 3458, '', 0, 'CR7 ER4\r'),
	('US', 5265, 'ORD', 3830, 'MCO', 3878, '', 0, '738 M83 M80\r'),
	('US', 5265, 'ORD', 3830, 'MDT', 3542, 'Y', 0, 'ERD CR7\r'),
	('US', 5265, 'ORD', 3830, 'MEM', 3473, '', 0, 'CR7\r'),
	('US', 5265, 'ORD', 3830, 'MEX', 1824, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'MHK', 4050, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'ORD', 3830, 'MIA', 3576, '', 0, '738 763\r'),
	('US', 5265, 'ORD', 3830, 'MKE', 3717, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'ORD', 3830, 'MLI', 4072, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'ORD', 3830, 'MQT', 6838, 'Y', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'MSN', 3459, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'ORD', 3830, 'MSP', 3858, '', 0, 'E75\r'),
	('US', 5265, 'ORD', 3830, 'MSY', 3861, 'Y', 0, 'E75\r'),
	('US', 5265, 'ORD', 3830, 'NRT', 2279, '', 0, '777\r'),
	('US', 5265, 'ORD', 3830, 'OKC', 3863, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'OMA', 3454, '', 0, 'CR7\r'),
	('US', 5265, 'ORD', 3830, 'PBI', 3722, '', 0, 'M83 M80\r'),
	('US', 5265, 'ORD', 3830, 'PDX', 3720, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'PEK', 3364, '', 0, '777\r'),
	('US', 5265, 'ORD', 3830, 'PHL', 3752, '', 0, '320 321 319 E90\r'),
	('US', 5265, 'ORD', 3830, 'PHX', 3462, '', 0, '321 738 M83 320 M80\r'),
	('US', 5265, 'ORD', 3830, 'PIA', 4046, '', 0, 'ERD\r'),
	('US', 5265, 'ORD', 3830, 'PIT', 3570, '', 0, 'CR7 ER4 E75\r'),
	('US', 5265, 'ORD', 3830, 'PSP', 3839, '', 0, 'M83\r'),
	('US', 5265, 'ORD', 3830, 'PVG', 3406, '', 0, '777\r'),
	('US', 5265, 'ORD', 3830, 'PVR', 1836, 'Y', 0, 'M83\r'),
	('US', 5265, 'ORD', 3830, 'RDU', 3626, '', 0, '738 M80 M83\r'),
	('US', 5265, 'ORD', 3830, 'RIC', 3608, '', 0, 'ERD\r'),
	('US', 5265, 'ORD', 3830, 'RNO', 3807, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'ROC', 3622, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'RST', 4048, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'ORD', 3830, 'RSW', 3793, '', 0, 'M80 738\r'),
	('US', 5265, 'ORD', 3830, 'SAN', 3731, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'SAT', 3621, 'Y', 0, 'CR7 E75\r'),
	('US', 5265, 'ORD', 3830, 'SDF', 4014, '', 0, 'ER4 E75\r'),
	('US', 5265, 'ORD', 3830, 'SEA', 3577, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'SFO', 3469, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'SGF', 4348, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'ORD', 3830, 'SJC', 3748, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'SJD', 1840, '', 0, 'M83 738\r'),
	('US', 5265, 'ORD', 3830, 'SJU', 2890, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'SLC', 3536, 'Y', 0, 'E75 CR7\r'),
	('US', 5265, 'ORD', 3830, 'SNA', 3867, '', 0, '738\r'),
	('US', 5265, 'ORD', 3830, 'STL', 3678, '', 0, 'M80 M83 738\r'),
	('US', 5265, 'ORD', 3830, 'SUX', 3753, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'SYR', 3745, '', 0, 'ER4 CR7\r'),
	('US', 5265, 'ORD', 3830, 'TOL', 4040, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'TPA', 3646, '', 0, 'M83 738 M80\r'),
	('US', 5265, 'ORD', 3830, 'TUL', 3855, 'Y', 0, 'ER4 738\r'),
	('US', 5265, 'ORD', 3830, 'TUS', 3636, '', 0, 'M83 M80\r'),
	('US', 5265, 'ORD', 3830, 'TVC', 4023, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'ORD', 3830, 'TYS', 3676, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'XNA', 4356, '', 0, 'ER4 CR7\r'),
	('US', 5265, 'ORD', 3830, 'YKF', 79, '', 0, 'ER4\r'),
	('US', 5265, 'ORD', 3830, 'YUL', 146, '', 0, 'CRJ\r'),
	('US', 5265, 'ORD', 3830, 'YYZ', 193, '', 0, 'ER4 CR7\r'),
	('US', 5265, 'ORF', 3611, 'CLT', 3876, '', 0, '319 CR7\r'),
	('US', 5265, 'ORF', 3611, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'ORF', 3611, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'ORF', 3611, 'JFK', 3797, '', 0, 'ER4\r'),
	('US', 5265, 'ORF', 3611, 'LGA', 3697, '', 0, 'ERD\r'),
	('US', 5265, 'ORF', 3611, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'ORF', 3611, 'PHL', 3752, '', 0, 'CRJ\r'),
	('US', 5265, 'PAP', 1897, 'FLL', 3533, '', 0, '738\r'),
	('US', 5265, 'PAP', 1897, 'MIA', 3576, '', 0, '738 763 757\r'),
	('US', 5265, 'PBC', 1831, 'DFW', 3670, '', 0, 'ERD\r'),
	('US', 5265, 'PBI', 3722, 'CLT', 3876, '', 0, '734 320 319\r'),
	('US', 5265, 'PBI', 3722, 'DCA', 3520, 'Y', 0, 'E75 E70\r'),
	('US', 5265, 'PBI', 3722, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'PBI', 3722, 'LAX', 3484, 'Y', 0, '738\r'),
	('US', 5265, 'PBI', 3722, 'LGA', 3697, '', 0, '738\r'),
	('US', 5265, 'PBI', 3722, 'ORD', 3830, '', 0, 'M83 738 M80\r'),
	('US', 5265, 'PBI', 3722, 'PHL', 3752, '', 0, 'E90 319\r'),
	('US', 5265, 'PDX', 3720, 'CLT', 3876, '', 0, '320\r'),
	('US', 5265, 'PDX', 3720, 'DFW', 3670, '', 0, 'M83\r'),
	('US', 5265, 'PDX', 3720, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'PDX', 3720, 'PHL', 3752, '', 0, '320\r'),
	('US', 5265, 'PDX', 3720, 'PHX', 3462, '', 0, '321 320 319\r'),
	('US', 5265, 'PEK', 3364, 'JFK', 3797, 'Y', 0, '773\r'),
	('US', 5265, 'PEK', 3364, 'LAX', 3484, 'Y', 0, '773\r'),
	('US', 5265, 'PEK', 3364, 'ORD', 3830, '', 0, '777\r'),
	('US', 5265, 'PEK', 3364, 'SFO', 3469, 'Y', 0, '773\r'),
	('US', 5265, 'PER', 3351, 'AKL', 2006, 'Y', 0, '772\r'),
	('US', 5265, 'PGV', 6959, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'PHF', 3633, 'CLT', 3876, '', 0, 'CR7\r'),
	('US', 5265, 'PHF', 3633, 'PHL', 3752, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'ABE', 4355, 'Y', 0, 'DH8 CRJ\r'),
	('US', 5265, 'PHL', 3752, 'ALB', 3864, 'Y', 0, 'DH8 E75 CRJ\r'),
	('US', 5265, 'PHL', 3752, 'AMS', 580, '', 0, '752\r'),
	('US', 5265, 'PHL', 3752, 'ART', 3838, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'ATH', 3941, '', 0, '332\r'),
	('US', 5265, 'PHL', 3752, 'ATL', 3682, '', 0, 'E90 319\r'),
	('US', 5265, 'PHL', 3752, 'AUA', 2895, '', 0, '320\r'),
	('US', 5265, 'PHL', 3752, 'AUS', 3673, '', 0, '319 E90\r'),
	('US', 5265, 'PHL', 3752, 'AVP', 4286, 'Y', 0, 'DH8 CRJ\r'),
	('US', 5265, 'PHL', 3752, 'BCN', 1218, '', 0, '332\r'),
	('US', 5265, 'PHL', 3752, 'BDA', 4069, '', 0, '319\r'),
	('US', 5265, 'PHL', 3752, 'BDL', 3825, '', 0, 'E90\r'),
	('US', 5265, 'PHL', 3752, 'BGM', 4129, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'BGR', 3463, 'Y', 0, 'E75 CRJ\r'),
	('US', 5265, 'PHL', 3752, 'BHM', 3811, '', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'BNA', 3690, '', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'BOS', 3448, '', 0, 'E90 319 321 320\r'),
	('US', 5265, 'PHL', 3752, 'BRU', 302, '', 0, '762\r'),
	('US', 5265, 'PHL', 3752, 'BTV', 3711, '', 0, 'E90\r'),
	('US', 5265, 'PHL', 3752, 'BUF', 3820, 'Y', 0, 'DH8 CRJ E75 E70\r'),
	('US', 5265, 'PHL', 3752, 'BWI', 3849, '', 0, '319 E90\r'),
	('US', 5265, 'PHL', 3752, 'CAE', 3561, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'CAK', 4112, '', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'CDG', 1382, '', 0, '332\r'),
	('US', 5265, 'PHL', 3752, 'CHO', 4015, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'CHS', 3806, '', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'CLE', 3486, 'Y', 0, 'CRJ E70 CR9 E75\r'),
	('US', 5265, 'PHL', 3752, 'CLT', 3876, '', 0, '752 321 E90 734 762 332 319 320\r'),
	('US', 5265, 'PHL', 3752, 'CMH', 3759, 'Y', 0, 'CRJ E75 E70\r'),
	('US', 5265, 'PHL', 3752, 'CUN', 1852, '', 0, '752 332 321 319\r'),
	('US', 5265, 'PHL', 3752, 'CVG', 3488, '', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'DAY', 3627, '', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'DCA', 3520, '', 0, 'CRJ 319 E90\r'),
	('US', 5265, 'PHL', 3752, 'DEN', 3751, '', 0, '321 320\r'),
	('US', 5265, 'PHL', 3752, 'DFW', 3670, '', 0, 'M83 319 320 738 M80 E90 752\r'),
	('US', 5265, 'PHL', 3752, 'DTW', 3645, '', 0, 'E90 320 319\r'),
	('US', 5265, 'PHL', 3752, 'DUB', 599, '', 0, '332\r'),
	('US', 5265, 'PHL', 3752, 'ELM', 3946, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'ERI', 4276, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'EWR', 3494, 'Y', 0, 'CRJ DH8\r'),
	('US', 5265, 'PHL', 3752, 'FCO', 1555, '', 0, '333\r'),
	('US', 5265, 'PHL', 3752, 'FLL', 3533, '', 0, '320 319\r'),
	('US', 5265, 'PHL', 3752, 'FRA', 340, '', 0, '332 762\r'),
	('US', 5265, 'PHL', 3752, 'GCM', 1926, '', 0, '319\r'),
	('US', 5265, 'PHL', 3752, 'GLA', 534, '', 0, '752\r'),
	('US', 5265, 'PHL', 3752, 'GSO', 4008, 'Y', 0, 'CRJ E75\r'),
	('US', 5265, 'PHL', 3752, 'GSP', 4034, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'HPN', 3589, 'Y', 0, 'DH8 CRJ\r'),
	('US', 5265, 'PHL', 3752, 'HVN', 4006, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'IAH', 3550, '', 0, 'E90\r'),
	('US', 5265, 'PHL', 3752, 'ILM', 3845, 'Y', 0, 'CRJ E75\r'),
	('US', 5265, 'PHL', 3752, 'IND', 3585, '', 0, 'E90 319\r'),
	('US', 5265, 'PHL', 3752, 'IPT', 3584, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'ISP', 3857, 'Y', 0, 'CRJ DH8\r'),
	('US', 5265, 'PHL', 3752, 'ITH', 3947, 'Y', 0, 'DH8 CRJ\r'),
	('US', 5265, 'PHL', 3752, 'JAX', 3712, '', 0, 'E90\r'),
	('US', 5265, 'PHL', 3752, 'LAS', 3877, '', 0, '321 320\r'),
	('US', 5265, 'PHL', 3752, 'LAX', 3484, '', 0, '321 320\r'),
	('US', 5265, 'PHL', 3752, 'LGA', 3697, '', 0, 'E90 319\r'),
	('US', 5265, 'PHL', 3752, 'LHR', 507, '', 0, '333\r'),
	('US', 5265, 'PHL', 3752, 'LIS', 1638, '', 0, '752\r'),
	('US', 5265, 'PHL', 3752, 'MAD', 1229, '', 0, '333\r'),
	('US', 5265, 'PHL', 3752, 'MAN', 478, '', 0, '332\r'),
	('US', 5265, 'PHL', 3752, 'MBJ', 1780, '', 0, '320 319 321\r'),
	('US', 5265, 'PHL', 3752, 'MCI', 3458, 'Y', 0, 'E70 E75 CRJ\r'),
	('US', 5265, 'PHL', 3752, 'MCO', 3878, '', 0, '762 321 752 320 332\r'),
	('US', 5265, 'PHL', 3752, 'MDT', 3542, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'MHT', 4011, '', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'MIA', 3576, '', 0, '738 321 752 320\r'),
	('US', 5265, 'PHL', 3752, 'MKE', 3717, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'MSP', 3858, '', 0, 'E90 319\r'),
	('US', 5265, 'PHL', 3752, 'MSY', 3861, '', 0, '319 E90\r'),
	('US', 5265, 'PHL', 3752, 'MUC', 346, '', 0, '333\r'),
	('US', 5265, 'PHL', 3752, 'MYR', 3515, 'Y', 0, 'CRJ E75\r'),
	('US', 5265, 'PHL', 3752, 'NAS', 1953, '', 0, '319 320\r'),
	('US', 5265, 'PHL', 3752, 'ORD', 3830, '', 0, '320 319 321 E90\r'),
	('US', 5265, 'PHL', 3752, 'ORF', 3611, 'Y', 0, 'DH8 CRJ E70\r'),
	('US', 5265, 'PHL', 3752, 'PBI', 3722, '', 0, '319 E90\r'),
	('US', 5265, 'PHL', 3752, 'PDX', 3720, '', 0, '320\r'),
	('US', 5265, 'PHL', 3752, 'PHF', 3633, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'PHX', 3462, '', 0, '321 752\r'),
	('US', 5265, 'PHL', 3752, 'PIT', 3570, '', 0, '319 E90 320\r'),
	('US', 5265, 'PHL', 3752, 'PLS', 1754, '', 0, '319\r'),
	('US', 5265, 'PHL', 3752, 'PUJ', 1760, '', 0, '319 332 320\r'),
	('US', 5265, 'PHL', 3752, 'PVD', 3641, '', 0, 'E90\r'),
	('US', 5265, 'PHL', 3752, 'PWM', 3862, '', 0, 'E90\r'),
	('US', 5265, 'PHL', 3752, 'RDU', 3626, '', 0, '319 E90\r'),
	('US', 5265, 'PHL', 3752, 'RIC', 3608, 'Y', 0, 'DH8 CR9 CRJ\r'),
	('US', 5265, 'PHL', 3752, 'ROA', 4016, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'ROC', 3622, 'Y', 0, 'DH8 CRJ E70 E75\r'),
	('US', 5265, 'PHL', 3752, 'RSW', 3793, '', 0, '319 E90 320\r'),
	('US', 5265, 'PHL', 3752, 'SAN', 3731, '', 0, '320\r'),
	('US', 5265, 'PHL', 3752, 'SAT', 3621, '', 0, 'E90\r'),
	('US', 5265, 'PHL', 3752, 'SAV', 3613, 'Y', 0, 'E75 E70 CRJ\r'),
	('US', 5265, 'PHL', 3752, 'SBY', 3642, 'Y', 0, 'DH8\r'),
	('US', 5265, 'PHL', 3752, 'SCE', 4318, 'Y', 0, 'CRJ DH8\r'),
	('US', 5265, 'PHL', 3752, 'SDF', 4014, 'Y', 0, 'CRJ CR9\r'),
	('US', 5265, 'PHL', 3752, 'SDQ', 1762, '', 0, '320\r'),
	('US', 5265, 'PHL', 3752, 'SEA', 3577, '', 0, '320 321\r'),
	('US', 5265, 'PHL', 3752, 'SFO', 3469, '', 0, '320 321\r'),
	('US', 5265, 'PHL', 3752, 'SJU', 2890, '', 0, '762 752 320\r'),
	('US', 5265, 'PHL', 3752, 'SLC', 3536, '', 0, '320\r'),
	('US', 5265, 'PHL', 3752, 'STL', 3678, 'Y', 0, 'CRJ E70 E75\r'),
	('US', 5265, 'PHL', 3752, 'STT', 2883, '', 0, '752\r'),
	('US', 5265, 'PHL', 3752, 'SWF', 3661, 'Y', 0, 'DH8 CRJ\r'),
	('US', 5265, 'PHL', 3752, 'SXM', 2899, '', 0, '332\r'),
	('US', 5265, 'PHL', 3752, 'SYR', 3745, 'Y', 0, 'DH8 CRJ E75 E70\r'),
	('US', 5265, 'PHL', 3752, 'TLV', 1590, '', 0, '332\r'),
	('US', 5265, 'PHL', 3752, 'TPA', 3646, '', 0, '321 320 319 734\r'),
	('US', 5265, 'PHL', 3752, 'TYS', 3676, '', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'VCE', 1551, '', 0, '332\r'),
	('US', 5265, 'PHL', 3752, 'YHZ', 73, 'Y', 0, 'E70 CRJ E75\r'),
	('US', 5265, 'PHL', 3752, 'YOW', 100, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'YQB', 111, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHL', 3752, 'YYZ', 193, 'Y', 0, 'CRJ E75\r'),
	('US', 5265, 'PHL', 3752, 'ZRH', 1678, '', 0, '762\r'),
	('US', 5265, 'PHX', 3462, 'ABQ', 4019, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'PHX', 3462, 'ANC', 3774, '', 0, '320\r'),
	('US', 5265, 'PHX', 3462, 'ATL', 3682, '', 0, '321 320\r'),
	('US', 5265, 'PHX', 3462, 'AUS', 3673, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'BFL', 3558, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'PHX', 3462, 'BOI', 3495, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'BOS', 3448, '', 0, '320 319\r'),
	('US', 5265, 'PHX', 3462, 'BUR', 3644, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'PHX', 3462, 'BWI', 3849, '', 0, '321 319 320\r'),
	('US', 5265, 'PHX', 3462, 'CLT', 3876, '', 0, '321 320\r'),
	('US', 5265, 'PHX', 3462, 'CMH', 3759, '', 0, '320 319\r'),
	('US', 5265, 'PHX', 3462, 'CUN', 1852, '', 0, '752 320 321\r'),
	('US', 5265, 'PHX', 3462, 'DCA', 3520, '', 0, '752 320 319\r'),
	('US', 5265, 'PHX', 3462, 'DEN', 3751, '', 0, '320 321\r'),
	('US', 5265, 'PHX', 3462, 'DFW', 3670, '', 0, 'M83 319 738 321 M80 320\r'),
	('US', 5265, 'PHX', 3462, 'DRO', 3713, 'Y', 0, 'CRJ CR9\r'),
	('US', 5265, 'PHX', 3462, 'DSM', 3729, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'DTW', 3645, '', 0, '321 319\r'),
	('US', 5265, 'PHX', 3462, 'ELP', 3559, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'PHX', 3462, 'EWR', 3494, '', 0, '320\r'),
	('US', 5265, 'PHX', 3462, 'FAT', 3687, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'PHX', 3462, 'FLG', 4261, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHX', 3462, 'FLL', 3533, '', 0, '320 319\r'),
	('US', 5265, 'PHX', 3462, 'GDL', 1804, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'PHX', 3462, 'GEG', 3467, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'GJT', 4063, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHX', 3462, 'HMO', 1807, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHX', 3462, 'HNL', 3728, '', 0, '752\r'),
	('US', 5265, 'PHX', 3462, 'IAH', 3550, '', 0, '319 321 320\r'),
	('US', 5265, 'PHX', 3462, 'IND', 3585, '', 0, '320 319\r'),
	('US', 5265, 'PHX', 3462, 'JFK', 3797, '', 0, '321\r'),
	('US', 5265, 'PHX', 3462, 'KOA', 3514, '', 0, '752\r'),
	('US', 5265, 'PHX', 3462, 'LAS', 3877, '', 0, '321 320 319\r'),
	('US', 5265, 'PHX', 3462, 'LAX', 3484, '', 0, '321 319 320\r'),
	('US', 5265, 'PHX', 3462, 'LGB', 3582, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'LIH', 3602, '', 0, '752\r'),
	('US', 5265, 'PHX', 3462, 'MCI', 3458, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'MCO', 3878, '', 0, '320 321\r'),
	('US', 5265, 'PHX', 3462, 'MEX', 1824, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'PHX', 3462, 'MKE', 3717, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'MRY', 3948, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHX', 3462, 'MSP', 3858, '', 0, '320 321 319\r'),
	('US', 5265, 'PHX', 3462, 'MZT', 1826, '', 0, '320 319\r'),
	('US', 5265, 'PHX', 3462, 'OAK', 3453, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'OGG', 3456, '', 0, '752\r'),
	('US', 5265, 'PHX', 3462, 'OMA', 3454, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'ONT', 3734, '', 0, '319 320\r'),
	('US', 5265, 'PHX', 3462, 'ORD', 3830, '', 0, 'M83 320 321 738\r'),
	('US', 5265, 'PHX', 3462, 'PDX', 3720, '', 0, '319 320 321\r'),
	('US', 5265, 'PHX', 3462, 'PHL', 3752, '', 0, '752 321\r'),
	('US', 5265, 'PHX', 3462, 'PIT', 3570, '', 0, '319 320\r'),
	('US', 5265, 'PHX', 3462, 'PSP', 3839, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'PHX', 3462, 'PVR', 1836, '', 0, '320 319 321\r'),
	('US', 5265, 'PHX', 3462, 'RNO', 3807, '', 0, '319 320\r'),
	('US', 5265, 'PHX', 3462, 'SAN', 3731, '', 0, '320 321\r'),
	('US', 5265, 'PHX', 3462, 'SAT', 3621, 'Y', 0, 'CR9\r'),
	('US', 5265, 'PHX', 3462, 'SBA', 3949, 'Y', 0, 'CRJ CR9\r'),
	('US', 5265, 'PHX', 3462, 'SBP', 5768, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'PHX', 3462, 'SEA', 3577, '', 0, '320 321\r'),
	('US', 5265, 'PHX', 3462, 'SFO', 3469, '', 0, '320 321\r'),
	('US', 5265, 'PHX', 3462, 'SJC', 3748, '', 0, '319 320\r'),
	('US', 5265, 'PHX', 3462, 'SJD', 1840, '', 0, '320 319 752 321\r'),
	('US', 5265, 'PHX', 3462, 'SLC', 3536, '', 0, '319 321 320\r'),
	('US', 5265, 'PHX', 3462, 'SMF', 3817, '', 0, '319 320 321\r'),
	('US', 5265, 'PHX', 3462, 'SNA', 3867, '', 0, '319 320 321\r'),
	('US', 5265, 'PHX', 3462, 'STL', 3678, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'TPA', 3646, '', 0, '320\r'),
	('US', 5265, 'PHX', 3462, 'TUS', 3636, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'PHX', 3462, 'YEG', 49, '', 0, '319 320\r'),
	('US', 5265, 'PHX', 3462, 'YUM', 3596, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'PHX', 3462, 'YVR', 156, '', 0, '319 321\r'),
	('US', 5265, 'PHX', 3462, 'YYC', 178, '', 0, '319\r'),
	('US', 5265, 'PHX', 3462, 'ZIH', 1856, '', 0, '320\r'),
	('US', 5265, 'PIA', 4046, 'DFW', 3670, 'Y', 0, 'ER4\r'),
	('US', 5265, 'PIA', 4046, 'ORD', 3830, '', 0, 'ERD\r'),
	('US', 5265, 'PIT', 3570, 'BDL', 3825, 'Y', 0, 'ERJ\r'),
	('US', 5265, 'PIT', 3570, 'BOS', 3448, 'Y', 0, 'E70 CRJ\r'),
	('US', 5265, 'PIT', 3570, 'CLT', 3876, '', 0, '319 734 321 320\r'),
	('US', 5265, 'PIT', 3570, 'DCA', 3520, 'Y', 0, 'E75 E70 CRJ\r'),
	('US', 5265, 'PIT', 3570, 'DFW', 3670, '', 0, 'M80\r'),
	('US', 5265, 'PIT', 3570, 'JFK', 3797, '', 0, 'ER4\r'),
	('US', 5265, 'PIT', 3570, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'PIT', 3570, 'LGA', 3697, 'Y', 0, 'E75 CRJ\r'),
	('US', 5265, 'PIT', 3570, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'PIT', 3570, 'ORD', 3830, '', 0, 'CR7 ER4 E75\r'),
	('US', 5265, 'PIT', 3570, 'PHL', 3752, '', 0, '320 319 E90\r'),
	('US', 5265, 'PIT', 3570, 'PHX', 3462, '', 0, '319 320\r'),
	('US', 5265, 'PIT', 3570, 'RDU', 3626, 'Y', 0, 'ERJ\r'),
	('US', 5265, 'PIT', 3570, 'STL', 3678, 'Y', 0, 'ERJ\r'),
	('US', 5265, 'PLS', 1754, 'CLT', 3876, '', 0, '321\r'),
	('US', 5265, 'PLS', 1754, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'PLS', 1754, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'PLS', 1754, 'PHL', 3752, '', 0, '319\r'),
	('US', 5265, 'PNS', 3564, 'CLT', 3876, 'Y', 0, 'CR9\r'),
	('US', 5265, 'PNS', 3564, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'PNS', 3564, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('US', 5265, 'PNS', 3564, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'POA', 2599, 'MIA', 3576, '', 0, '763\r'),
	('US', 5265, 'POP', 1761, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'POS', 2902, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'PSP', 3839, 'DFW', 3670, '', 0, 'M83 M80\r'),
	('US', 5265, 'PSP', 3839, 'ORD', 3830, '', 0, 'M83\r'),
	('US', 5265, 'PSP', 3839, 'PHX', 3462, 'Y', 0, 'CRJ CR9\r'),
	('US', 5265, 'PTP', 2881, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'PTY', 1871, 'DFW', 3670, 'Y', 0, '738\r'),
	('US', 5265, 'PTY', 1871, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'PUJ', 1760, 'CLT', 3876, '', 0, '319 752 321 320\r'),
	('US', 5265, 'PUJ', 1760, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'PUJ', 1760, 'PHL', 3752, '', 0, '319 332 320\r'),
	('US', 5265, 'PVD', 3641, 'CLT', 3876, '', 0, '320 321 319\r'),
	('US', 5265, 'PVD', 3641, 'DCA', 3520, 'Y', 0, 'E75 CRJ E70\r'),
	('US', 5265, 'PVD', 3641, 'PHL', 3752, '', 0, 'E90\r'),
	('US', 5265, 'PVG', 3406, 'ORD', 3830, '', 0, '777\r'),
	('US', 5265, 'PVR', 1836, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'PVR', 1836, 'ORD', 3830, 'Y', 0, 'M83\r'),
	('US', 5265, 'PVR', 1836, 'PHX', 3462, '', 0, '320 319 321\r'),
	('US', 5265, 'QRO', 1838, 'DFW', 3670, 'Y', 0, 'ERD\r'),
	('US', 5265, 'RAP', 4087, 'DFW', 3670, 'Y', 0, 'CRJ ER4\r'),
	('US', 5265, 'RAR', 1959, 'AKL', 2006, 'Y', 0, '763 320 772\r'),
	('US', 5265, 'RAR', 1959, 'LAX', 3484, 'Y', 0, '763\r'),
	('US', 5265, 'RDM', 4103, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'RDU', 3626, 'CLT', 3876, '', 0, '321 320 734 319 E90\r'),
	('US', 5265, 'RDU', 3626, 'DCA', 3520, '', 0, 'ERD CRJ\r'),
	('US', 5265, 'RDU', 3626, 'DFW', 3670, '', 0, 'M83 M80 738\r'),
	('US', 5265, 'RDU', 3626, 'JFK', 3797, '', 0, 'ERD CR7\r'),
	('US', 5265, 'RDU', 3626, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'RDU', 3626, 'LGA', 3697, '', 0, 'CR7 ERD\r'),
	('US', 5265, 'RDU', 3626, 'LHR', 507, '', 0, '763\r'),
	('US', 5265, 'RDU', 3626, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'RDU', 3626, 'ORD', 3830, '', 0, 'M80 738\r'),
	('US', 5265, 'RDU', 3626, 'PHL', 3752, '', 0, 'E90 319\r'),
	('US', 5265, 'RDU', 3626, 'PIT', 3570, 'Y', 0, 'ERJ\r'),
	('US', 5265, 'REC', 2610, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'RIC', 3608, 'BOS', 3448, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'RIC', 3608, 'CLT', 3876, '', 0, '319 CRJ\r'),
	('US', 5265, 'RIC', 3608, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'RIC', 3608, 'LGA', 3697, '', 0, 'ERD\r'),
	('US', 5265, 'RIC', 3608, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'RIC', 3608, 'ORD', 3830, '', 0, 'ERD\r'),
	('US', 5265, 'RIC', 3608, 'PHL', 3752, 'Y', 0, 'CRJ DH8\r'),
	('US', 5265, 'RNO', 3807, 'DFW', 3670, '', 0, 'M83 738\r'),
	('US', 5265, 'RNO', 3807, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'RNO', 3807, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'RNO', 3807, 'PHX', 3462, '', 0, '319 320\r'),
	('US', 5265, 'ROA', 4016, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'ROA', 4016, 'LGA', 3697, 'Y', 0, 'ERD\r'),
	('US', 5265, 'ROA', 4016, 'PHL', 3752, 'Y', 0, 'DH8\r'),
	('US', 5265, 'ROC', 3622, 'BOS', 3448, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'ROC', 3622, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'ROC', 3622, 'DCA', 3520, 'Y', 0, 'CRJ E70\r'),
	('US', 5265, 'ROC', 3622, 'ORD', 3830, '', 0, 'ER4\r'),
	('US', 5265, 'ROC', 3622, 'PHL', 3752, 'Y', 0, 'CRJ E70 DH8 E75\r'),
	('US', 5265, 'ROW', 3736, 'DFW', 3670, '', 0, 'ERD\r'),
	('US', 5265, 'RST', 4048, 'ORD', 3830, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'RSW', 3793, 'CLT', 3876, '', 0, '321 320 319 734\r'),
	('US', 5265, 'RSW', 3793, 'DCA', 3520, 'Y', 0, 'E75 E70\r'),
	('US', 5265, 'RSW', 3793, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'RSW', 3793, 'ORD', 3830, '', 0, '738 M80\r'),
	('US', 5265, 'RSW', 3793, 'PHL', 3752, '', 0, '319 E90 320\r'),
	('US', 5265, 'RTB', 1774, 'DFW', 3670, 'Y', 0, '738\r'),
	('US', 5265, 'RTB', 1774, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'SAF', 3784, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'SAF', 3784, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'SAL', 1892, 'DFW', 3670, '', 0, 'E90\r'),
	('US', 5265, 'SAL', 1892, 'IAD', 3714, '', 0, '321 319 320\r'),
	('US', 5265, 'SAL', 1892, 'IAH', 3550, '', 0, 'E90\r'),
	('US', 5265, 'SAL', 1892, 'JFK', 3797, '', 0, '320\r'),
	('US', 5265, 'SAL', 1892, 'LAX', 3484, '', 0, '320 321\r'),
	('US', 5265, 'SAL', 1892, 'MCO', 3878, '', 0, 'E90\r'),
	('US', 5265, 'SAL', 1892, 'MIA', 3576, '', 0, '320 738 E90\r'),
	('US', 5265, 'SAL', 1892, 'SFO', 3469, '', 0, '319 320\r'),
	('US', 5265, 'SAN', 3731, 'CLT', 3876, '', 0, '320 321\r'),
	('US', 5265, 'SAN', 3731, 'DCA', 3520, '', 0, '319\r'),
	('US', 5265, 'SAN', 3731, 'DFW', 3670, '', 0, 'M83 M80 738 757\r'),
	('US', 5265, 'SAN', 3731, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'SAN', 3731, 'LAX', 3484, 'Y', 0, 'CRJ CR7\r'),
	('US', 5265, 'SAN', 3731, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'SAN', 3731, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'SAN', 3731, 'PHL', 3752, '', 0, '320\r'),
	('US', 5265, 'SAN', 3731, 'PHX', 3462, '', 0, '321 320\r'),
	('US', 5265, 'SAP', 1772, 'MIA', 3576, '', 0, '738 320 E90 319\r'),
	('US', 5265, 'SAT', 3621, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'SAT', 3621, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'SAT', 3621, 'ORD', 3830, '', 0, 'E75\r'),
	('US', 5265, 'SAT', 3621, 'PHL', 3752, '', 0, 'E90\r'),
	('US', 5265, 'SAT', 3621, 'PHX', 3462, 'Y', 0, 'CR9\r'),
	('US', 5265, 'SAV', 3613, 'CLT', 3876, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'SAV', 3613, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'SAV', 3613, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'SAV', 3613, 'PHL', 3752, 'Y', 0, 'E75 E70 CRJ\r'),
	('US', 5265, 'SBA', 3949, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'SBP', 5768, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'SBY', 3642, 'CLT', 3876, 'Y', 0, 'DH3\r'),
	('US', 5265, 'SBY', 3642, 'PHL', 3752, 'Y', 0, 'DH8\r'),
	('US', 5265, 'SCE', 4318, 'PHL', 3752, 'Y', 0, 'CRJ DH8\r'),
	('US', 5265, 'SCL', 2650, 'DFW', 3670, '', 0, '763\r'),
	('US', 5265, 'SCL', 2650, 'MIA', 3576, '', 0, '763\r'),
	('US', 5265, 'SDF', 4014, 'CLT', 3876, '', 0, '319 CRJ CR7\r'),
	('US', 5265, 'SDF', 4014, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'SDF', 4014, 'DFW', 3670, '', 0, 'M80 ERD M83 319\r'),
	('US', 5265, 'SDF', 4014, 'LGA', 3697, '', 0, 'ERD\r'),
	('US', 5265, 'SDF', 4014, 'MIA', 3576, '', 0, 'ER4\r'),
	('US', 5265, 'SDF', 4014, 'ORD', 3830, '', 0, 'ER4 E75\r'),
	('US', 5265, 'SDF', 4014, 'PHL', 3752, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'SDQ', 1762, 'MIA', 3576, '', 0, '757 763\r'),
	('US', 5265, 'SDQ', 1762, 'PHL', 3752, '', 0, '320\r'),
	('US', 5265, 'SEA', 3577, 'CLT', 3876, '', 0, '320 321 319\r'),
	('US', 5265, 'SEA', 3577, 'DFW', 3670, '', 0, '738 757\r'),
	('US', 5265, 'SEA', 3577, 'JFK', 3797, '', 0, '738\r'),
	('US', 5265, 'SEA', 3577, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'SEA', 3577, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'SEA', 3577, 'PHL', 3752, '', 0, '320 321\r'),
	('US', 5265, 'SEA', 3577, 'PHX', 3462, '', 0, '321 320\r'),
	('US', 5265, 'SEA', 3577, 'TPE', 2276, '', 0, '744\r'),
	('US', 5265, 'SFO', 3469, 'AKL', 2006, 'Y', 0, '772 744\r'),
	('US', 5265, 'SFO', 3469, 'CLT', 3876, '', 0, '321\r'),
	('US', 5265, 'SFO', 3469, 'DFW', 3670, '', 0, '738 757 763\r'),
	('US', 5265, 'SFO', 3469, 'HKG', 3077, '', 0, '77W\r'),
	('US', 5265, 'SFO', 3469, 'ICN', 3930, '', 0, '77W\r'),
	('US', 5265, 'SFO', 3469, 'JFK', 3797, '', 0, '763 32B\r'),
	('US', 5265, 'SFO', 3469, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'SFO', 3469, 'MIA', 3576, '', 0, '757 763 738\r'),
	('US', 5265, 'SFO', 3469, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'SFO', 3469, 'PEK', 3364, 'Y', 0, '773\r'),
	('US', 5265, 'SFO', 3469, 'PHL', 3752, '', 0, '320 321\r'),
	('US', 5265, 'SFO', 3469, 'PHX', 3462, '', 0, '321 320\r'),
	('US', 5265, 'SFO', 3469, 'SAL', 1892, '', 0, '319 320\r'),
	('US', 5265, 'SFO', 3469, 'TPE', 2276, '', 0, '77W\r'),
	('US', 5265, 'SGF', 4348, 'DFW', 3670, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'SGF', 4348, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'SHV', 3609, 'DFW', 3670, 'Y', 0, 'CRJ ERD ER4\r'),
	('US', 5265, 'SIN', 3316, 'AMS', 580, '', 0, '77W 772\r'),
	('US', 5265, 'SIN', 3316, 'FRA', 340, '', 0, '388\r'),
	('US', 5265, 'SIN', 3316, 'HKG', 3077, '', 0, '77W\r'),
	('US', 5265, 'SIN', 3316, 'ICN', 3930, '', 0, '77W\r'),
	('US', 5265, 'SIN', 3316, 'MUC', 346, '', 0, '77W\r'),
	('US', 5265, 'SIN', 3316, 'NRT', 2279, '', 0, '388\r'),
	('US', 5265, 'SIN', 3316, 'ZRH', 1678, '', 0, '388\r'),
	('US', 5265, 'SJC', 3748, 'DFW', 3670, '', 0, 'M83\r'),
	('US', 5265, 'SJC', 3748, 'LAX', 3484, '', 0, 'CR7\r'),
	('US', 5265, 'SJC', 3748, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'SJC', 3748, 'PHX', 3462, '', 0, '320 319\r'),
	('US', 5265, 'SJD', 1840, 'CLT', 3876, '', 0, '320\r'),
	('US', 5265, 'SJD', 1840, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'SJD', 1840, 'LAX', 3484, '', 0, 'M83 738\r'),
	('US', 5265, 'SJD', 1840, 'ORD', 3830, '', 0, 'M83 738\r'),
	('US', 5265, 'SJD', 1840, 'PHX', 3462, '', 0, '320 319 752 321\r'),
	('US', 5265, 'SJO', 1885, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'SJO', 1885, 'DFW', 3670, 'Y', 0, '757\r'),
	('US', 5265, 'SJO', 1885, 'JFK', 3797, 'Y', 0, '738\r'),
	('US', 5265, 'SJO', 1885, 'MIA', 3576, '', 0, '757 738\r'),
	('US', 5265, 'SJT', 3708, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'SJU', 2890, 'CLT', 3876, '', 0, '321\r'),
	('US', 5265, 'SJU', 2890, 'DFW', 3670, '', 0, '757\r'),
	('US', 5265, 'SJU', 2890, 'JFK', 3797, '', 0, '757\r'),
	('US', 5265, 'SJU', 2890, 'MIA', 3576, '', 0, '738 757\r'),
	('US', 5265, 'SJU', 2890, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'SJU', 2890, 'PHL', 3752, '', 0, '752 762 320\r'),
	('US', 5265, 'SKB', 2891, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'SKG', 1486, 'ATH', 3941, 'Y', 0, '320\r'),
	('US', 5265, 'SKG', 1486, 'MUC', 346, 'Y', 0, '320\r'),
	('US', 5265, 'SLC', 3536, 'CLT', 3876, '', 0, '320\r'),
	('US', 5265, 'SLC', 3536, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'SLC', 3536, 'LAX', 3484, '', 0, 'CR7\r'),
	('US', 5265, 'SLC', 3536, 'ORD', 3830, 'Y', 0, 'E75 CR7\r'),
	('US', 5265, 'SLC', 3536, 'PHL', 3752, '', 0, '320\r'),
	('US', 5265, 'SLC', 3536, 'PHX', 3462, '', 0, '320 319 321\r'),
	('US', 5265, 'SLP', 1842, 'DFW', 3670, 'Y', 0, 'ERD\r'),
	('US', 5265, 'SMF', 3817, 'CLT', 3876, '', 0, '321\r'),
	('US', 5265, 'SMF', 3817, 'DFW', 3670, '', 0, 'M83\r'),
	('US', 5265, 'SMF', 3817, 'LAX', 3484, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'SMF', 3817, 'PHX', 3462, '', 0, '320 319 321\r'),
	('US', 5265, 'SNA', 3867, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'SNA', 3867, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'SNA', 3867, 'PHX', 3462, '', 0, '320 319 321\r'),
	('US', 5265, 'SPS', 3680, 'DFW', 3670, '', 0, 'ERD ER4\r'),
	('US', 5265, 'SRQ', 4067, 'CLT', 3876, 'Y', 0, 'CR9 E75\r'),
	('US', 5265, 'SRQ', 4067, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'SSA', 2621, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'STI', 1764, 'MIA', 3576, '', 0, '757 738\r'),
	('US', 5265, 'STL', 3678, 'CLT', 3876, '', 0, '319\r'),
	('US', 5265, 'STL', 3678, 'DCA', 3520, 'Y', 0, 'CR7\r'),
	('US', 5265, 'STL', 3678, 'DFW', 3670, '', 0, 'M83 M80 738\r'),
	('US', 5265, 'STL', 3678, 'LAX', 3484, '', 0, 'M83\r'),
	('US', 5265, 'STL', 3678, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('US', 5265, 'STL', 3678, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'STL', 3678, 'ORD', 3830, '', 0, 'M80 M83 738\r'),
	('US', 5265, 'STL', 3678, 'PHL', 3752, '', 0, 'CRJ\r'),
	('US', 5265, 'STL', 3678, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'STL', 3678, 'PIT', 3570, 'Y', 0, 'ERJ\r'),
	('US', 5265, 'STT', 2883, 'CLT', 3876, '', 0, '752 762\r'),
	('US', 5265, 'STT', 2883, 'JFK', 3797, '', 0, '757\r'),
	('US', 5265, 'STT', 2883, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'STT', 2883, 'PHL', 3752, '', 0, '752\r'),
	('US', 5265, 'STX', 2884, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'SUX', 3753, 'ORD', 3830, '', 0, 'ERD ER4\r'),
	('US', 5265, 'SVQ', 1253, 'LIS', 1638, 'Y', 0, 'BEH\r'),
	('US', 5265, 'SWF', 3661, 'PHL', 3752, 'Y', 0, 'CRJ DH8\r'),
	('US', 5265, 'SXM', 2899, 'CLT', 3876, '', 0, '752 319\r'),
	('US', 5265, 'SXM', 2899, 'JFK', 3797, '', 0, '757\r'),
	('US', 5265, 'SXM', 2899, 'MIA', 3576, '', 0, '757 738\r'),
	('US', 5265, 'SXM', 2899, 'PHL', 3752, '', 0, '332\r'),
	('US', 5265, 'SYD', 3361, 'AKL', 2006, 'Y', 0, '320 772 763\r'),
	('US', 5265, 'SYR', 3745, 'BOS', 3448, 'Y', 0, 'DH8\r'),
	('US', 5265, 'SYR', 3745, 'CLT', 3876, '', 0, '320 319\r'),
	('US', 5265, 'SYR', 3745, 'DCA', 3520, 'Y', 0, 'E70 CRJ\r'),
	('US', 5265, 'SYR', 3745, 'ORD', 3830, '', 0, 'ER4 CR7\r'),
	('US', 5265, 'SYR', 3745, 'PHL', 3752, 'Y', 0, 'CRJ E75 DH8\r'),
	('US', 5265, 'TGU', 1776, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'TLH', 3698, 'CLT', 3876, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'TLH', 3698, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'TLH', 3698, 'DFW', 3670, '', 0, 'ERD\r'),
	('US', 5265, 'TLH', 3698, 'MIA', 3576, '', 0, 'ERD ER4\r'),
	('US', 5265, 'TLV', 1590, 'PHL', 3752, '', 0, '332\r'),
	('US', 5265, 'TOL', 4040, 'ORD', 3830, '', 0, 'ER4\r'),
	('US', 5265, 'TPA', 3646, 'CLT', 3876, '', 0, '320 734 321 319\r'),
	('US', 5265, 'TPA', 3646, 'DCA', 3520, '', 0, '319\r'),
	('US', 5265, 'TPA', 3646, 'DFW', 3670, '', 0, '738 M83 M80\r'),
	('US', 5265, 'TPA', 3646, 'JFK', 3797, 'Y', 0, 'CR7\r'),
	('US', 5265, 'TPA', 3646, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'TPA', 3646, 'ORD', 3830, '', 0, '738 M83 M80\r'),
	('US', 5265, 'TPA', 3646, 'PHL', 3752, '', 0, '734 321 319 320\r'),
	('US', 5265, 'TPA', 3646, 'PHX', 3462, '', 0, '320\r'),
	('US', 5265, 'TPE', 2276, 'LAX', 3484, '', 0, '77W\r'),
	('US', 5265, 'TPE', 2276, 'SEA', 3577, '', 0, '744\r'),
	('US', 5265, 'TPE', 2276, 'SFO', 3469, '', 0, '77W\r'),
	('US', 5265, 'TRC', 1845, 'DFW', 3670, '', 0, 'ER4\r'),
	('US', 5265, 'TRI', 4116, 'CLT', 3876, '', 0, 'CRJ\r'),
	('US', 5265, 'TUL', 3855, 'DFW', 3670, '', 0, 'M80 738 M83 757\r'),
	('US', 5265, 'TUL', 3855, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'TUL', 3855, 'ORD', 3830, '', 0, '738\r'),
	('US', 5265, 'TUS', 3636, 'DFW', 3670, '', 0, 'M80 M83\r'),
	('US', 5265, 'TUS', 3636, 'LAX', 3484, '', 0, 'CRJ\r'),
	('US', 5265, 'TUS', 3636, 'ORD', 3830, '', 0, 'M83 M80\r'),
	('US', 5265, 'TUS', 3636, 'PHX', 3462, 'Y', 0, 'CR9 CRJ\r'),
	('US', 5265, 'TVC', 4023, 'ORD', 3830, 'Y', 0, 'ERD ER4\r'),
	('US', 5265, 'TXK', 3770, 'DFW', 3670, '', 0, 'ERD ER4\r'),
	('US', 5265, 'TYR', 3848, 'DFW', 3670, '', 0, 'ERD ER4\r'),
	('US', 5265, 'TYS', 3676, 'CLT', 3876, '', 0, 'CRJ CR7\r'),
	('US', 5265, 'TYS', 3676, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'TYS', 3676, 'DFW', 3670, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'TYS', 3676, 'LGA', 3697, '', 0, 'ERD\r'),
	('US', 5265, 'TYS', 3676, 'ORD', 3830, '', 0, 'ERD ER4\r'),
	('US', 5265, 'TYS', 3676, 'PHL', 3752, '', 0, 'CRJ\r'),
	('US', 5265, 'UVF', 2894, 'CLT', 3876, '', 0, '320 319\r'),
	('US', 5265, 'UVF', 2894, 'MIA', 3576, 'Y', 0, '757\r'),
	('US', 5265, 'VCE', 1551, 'PHL', 3752, '', 0, '332\r'),
	('US', 5265, 'VLC', 1246, 'LIS', 1638, 'Y', 0, 'ER4 100\r'),
	('US', 5265, 'VPS', 3873, 'CLT', 3876, '', 0, 'CR7\r'),
	('US', 5265, 'VPS', 3873, 'DCA', 3520, '', 0, 'CRJ\r'),
	('US', 5265, 'VPS', 3873, 'DFW', 3670, '', 0, 'ER4 ERD\r'),
	('US', 5265, 'VVI', 2771, 'MIA', 3576, '', 0, '757\r'),
	('US', 5265, 'XNA', 4356, 'CLT', 3876, '', 0, 'CR7 CRJ\r'),
	('US', 5265, 'XNA', 4356, 'DFW', 3670, '', 0, 'ER4 M80\r'),
	('US', 5265, 'XNA', 4356, 'LAX', 3484, 'Y', 0, 'CR7\r'),
	('US', 5265, 'XNA', 4356, 'LGA', 3697, '', 0, 'CR7\r'),
	('US', 5265, 'XNA', 4356, 'ORD', 3830, '', 0, 'CR7 ER4\r'),
	('US', 5265, 'YEG', 49, 'PHX', 3462, '', 0, '320 319\r'),
	('US', 5265, 'YHZ', 73, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'YHZ', 73, 'PHL', 3752, 'Y', 0, 'E70 CRJ E75\r'),
	('US', 5265, 'YKF', 79, 'ORD', 3830, 'Y', 0, 'ER4 ERD\r'),
	('US', 5265, 'YOW', 100, 'CLT', 3876, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'YOW', 100, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'YQB', 111, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'YUL', 146, 'AMM', 2170, '', 0, '330\r'),
	('US', 5265, 'YUL', 146, 'CLT', 3876, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'YUL', 146, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'YUL', 146, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'YUL', 146, 'DTW', 3645, '', 0, '330\r'),
	('US', 5265, 'YUL', 146, 'JFK', 3797, '', 0, 'ERD\r'),
	('US', 5265, 'YUL', 146, 'LGA', 3697, '', 0, 'ERD\r'),
	('US', 5265, 'YUL', 146, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'YUL', 146, 'ORD', 3830, '', 0, 'CRJ\r'),
	('US', 5265, 'YUL', 146, 'PHL', 3752, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'YUM', 3596, 'PHX', 3462, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'YVR', 156, 'DFW', 3670, '', 0, '738\r'),
	('US', 5265, 'YVR', 156, 'PHX', 3462, '', 0, '321 319\r'),
	('US', 5265, 'YYC', 178, 'DFW', 3670, '', 0, 'M83 M80 738\r'),
	('US', 5265, 'YYC', 178, 'PHX', 3462, '', 0, '319\r'),
	('US', 5265, 'YYZ', 193, 'CLT', 3876, 'Y', 0, 'E75 CRJ\r'),
	('US', 5265, 'YYZ', 193, 'DCA', 3520, 'Y', 0, 'CRJ\r'),
	('US', 5265, 'YYZ', 193, 'DFW', 3670, '', 0, '319\r'),
	('US', 5265, 'YYZ', 193, 'JFK', 3797, '', 0, 'CR7\r'),
	('US', 5265, 'YYZ', 193, 'LAX', 3484, '', 0, '738\r'),
	('US', 5265, 'YYZ', 193, 'LGA', 3697, '', 0, 'CR7\r'),
	('US', 5265, 'YYZ', 193, 'MIA', 3576, '', 0, '738\r'),
	('US', 5265, 'YYZ', 193, 'ORD', 3830, '', 0, 'ER4 CR7\r'),
	('US', 5265, 'YYZ', 193, 'PHL', 3752, 'Y', 0, 'E75 CRJ\r'),
	('US', 5265, 'ZCL', 1855, 'DFW', 3670, 'Y', 0, 'ERD\r'),
	('US', 5265, 'ZIH', 1856, 'PHX', 3462, '', 0, '320\r'),
	('US', 5265, 'ZRH', 1678, 'IST', 1701, 'Y', 0, '320\r'),
	('US', 5265, 'ZRH', 1678, 'JFK', 3797, '', 0, '763\r'),
	('US', 5265, 'ZRH', 1678, 'LIS', 1638, 'Y', 0, '320 319\r'),
	('US', 5265, 'ZRH', 1678, 'PHL', 3752, '', 0, '762\r'),
	('US', 5265, 'ZRH', 1678, 'SIN', 3316, '', 0, '388\r'),
	('UU', 1191, 'BKK', 3885, 'MAA', 3144, '', 0, '738\r'),
	('UU', 1191, 'CDG', 1382, 'RUN', 916, '', 0, '77W 77L\r'),
	('UU', 1191, 'DZA', 915, 'HAH', 912, '', 0, '738\r'),
	('UU', 1191, 'DZA', 915, 'RUN', 916, '', 0, '738 77L\r'),
	('UU', 1191, 'HAH', 912, 'DZA', 915, '', 0, '738\r'),
	('UU', 1191, 'HAH', 912, 'RUN', 916, '', 0, '738\r'),
	('UU', 1191, 'JNB', 813, 'RUN', 916, '', 0, '738\r'),
	('UU', 1191, 'MAA', 3144, 'BKK', 3885, '', 0, '738\r'),
	('UU', 1191, 'MAA', 3144, 'RUN', 916, '', 0, '738\r'),
	('UU', 1191, 'MRU', 893, 'RUN', 916, '', 0, 'AT7 738 77W\r'),
	('UU', 1191, 'MRU', 893, 'ZSE', 917, '', 0, 'AT7\r'),
	('UU', 1191, 'NOS', 930, 'RUN', 916, '', 0, '738\r'),
	('UU', 1191, 'RUN', 916, 'CDG', 1382, '', 0, '77W 77L\r'),
	('UU', 1191, 'RUN', 916, 'DZA', 915, '', 0, '738 77L\r'),
	('UU', 1191, 'RUN', 916, 'HAH', 912, '', 0, '738\r'),
	('UU', 1191, 'RUN', 916, 'JNB', 813, '', 0, '738\r'),
	('UU', 1191, 'RUN', 916, 'MAA', 3144, '', 0, '738\r'),
	('UU', 1191, 'RUN', 916, 'MRU', 893, '', 0, 'AT7 738 77W\r'),
	('UU', 1191, 'RUN', 916, 'NOS', 930, '', 0, '738\r'),
	('UU', 1191, 'RUN', 916, 'TMM', 921, '', 0, 'AT7\r'),
	('UU', 1191, 'RUN', 916, 'TNR', 918, '', 0, '738 AT7\r'),
	('UU', 1191, 'TMM', 921, 'RUN', 916, '', 0, 'AT7\r'),
	('UU', 1191, 'TNR', 918, 'RUN', 916, '', 0, '738 AT7\r'),
	('UU', 1191, 'ZSE', 917, 'MRU', 893, '', 0, 'AT7\r'),
	('UX', 90, 'ACE', 1055, 'BIO', 1216, '', 0, '738\r'),
	('UX', 90, 'ACE', 1055, 'MAD', 1229, '', 0, '738 332\r'),
	('UX', 90, 'ACE', 1055, 'OVD', 1214, '', 0, '332\r'),
	('UX', 90, 'ACE', 1055, 'SCQ', 1243, '', 0, '738\r'),
	('UX', 90, 'AGP', 1230, 'CDG', 1382, '', 0, '738\r'),
	('UX', 90, 'AGP', 1230, 'IBZ', 1225, '', 0, '738\r'),
	('UX', 90, 'AGP', 1230, 'MAD', 1229, '', 0, 'ATR 738\r'),
	('UX', 90, 'AGP', 1230, 'PMI', 3998, '', 0, '738\r'),
	('UX', 90, 'AGP', 1230, 'SVO', 2985, 'Y', 0, '32S\r'),
	('UX', 90, 'AGP', 1230, 'TFN', 1057, '', 0, '738\r'),
	('UX', 90, 'ALC', 1212, 'TFS', 1056, '', 0, '738\r'),
	('UX', 90, 'AMS', 580, 'MAD', 1229, '', 0, '738\r'),
	('UX', 90, 'BCN', 1218, 'BJZ', 1219, '', 0, 'ATR\r'),
	('UX', 90, 'BCN', 1218, 'CDG', 1382, 'Y', 0, '32S\r'),
	('UX', 90, 'BCN', 1218, 'MAD', 1229, '', 0, '332 333\r'),
	('UX', 90, 'BCN', 1218, 'OTP', 1657, 'Y', 0, '737\r'),
	('UX', 90, 'BCN', 1218, 'PMI', 3998, '', 0, '738 E90\r'),
	('UX', 90, 'BCN', 1218, 'PRG', 1587, '', 0, '32S\r'),
	('UX', 90, 'BCN', 1218, 'SVO', 2985, '', 0, '32S\r'),
	('UX', 90, 'BCN', 1218, 'TFN', 1057, '', 0, '738\r'),
	('UX', 90, 'BIO', 1216, 'ACE', 1055, '', 0, '738\r'),
	('UX', 90, 'BIO', 1216, 'CDG', 1382, 'Y', 0, 'E90\r'),
	('UX', 90, 'BIO', 1216, 'IBZ', 1225, '', 0, '738\r'),
	('UX', 90, 'BIO', 1216, 'LPA', 1054, '', 0, '738\r'),
	('UX', 90, 'BIO', 1216, 'MAD', 1229, '', 0, 'E90\r'),
	('UX', 90, 'BIO', 1216, 'PMI', 3998, '', 0, '738 E90\r'),
	('UX', 90, 'BIO', 1216, 'TFN', 1057, '', 0, '738\r'),
	('UX', 90, 'BJZ', 1219, 'BCN', 1218, '', 0, 'ATR\r'),
	('UX', 90, 'BJZ', 1219, 'MAD', 1229, '', 0, 'ATR\r'),
	('UX', 90, 'BRU', 302, 'MAD', 1229, '', 0, 'E90\r'),
	('UX', 90, 'CCS', 2851, 'MAD', 1229, '', 0, '332\r'),
	('UX', 90, 'CDG', 1382, 'AGP', 1230, '', 0, '738\r'),
	('UX', 90, 'CDG', 1382, 'BCN', 1218, 'Y', 0, '32S\r'),
	('UX', 90, 'CDG', 1382, 'BIO', 1216, 'Y', 0, 'E90\r'),
	('UX', 90, 'CDG', 1382, 'GOT', 687, 'Y', 0, 'E90\r'),
	('UX', 90, 'CDG', 1382, 'VGO', 1250, 'Y', 0, 'E90\r'),
	('UX', 90, 'CDG', 1382, 'VLC', 1246, '', 0, '738\r'),
	('UX', 90, 'CUN', 1852, 'MAD', 1229, '', 0, '333\r'),
	('UX', 90, 'DKR', 1084, 'MAD', 1229, '', 0, '738\r'),
	('UX', 90, 'EZE', 3988, 'MAD', 1229, '', 0, '332\r'),
	('UX', 90, 'FCO', 1555, 'MAD', 1229, '', 0, '738\r'),
	('UX', 90, 'FRA', 340, 'MAD', 1229, '', 0, 'E90\r'),
	('UX', 90, 'FUE', 1051, 'MAD', 1229, '', 0, '738\r'),
	('UX', 90, 'GRU', 2564, 'MAD', 1229, '', 0, '332\r'),
	('UX', 90, 'GRX', 1223, 'PMI', 3998, '', 0, 'E90\r'),
	('UX', 90, 'HAV', 1909, 'MAD', 1229, '', 0, '332 333\r'),
	('UX', 90, 'IBZ', 1225, 'MAD', 1229, '', 0, 'E90 738\r'),
	('UX', 90, 'JED', 2072, 'MAD', 1229, '', 0, '320\r'),
	('UX', 90, 'JED', 2072, 'RUH', 2082, '', 0, '320\r'),
	('UX', 90, 'JFK', 3797, 'MAD', 1229, '', 0, '332\r'),
	('UX', 90, 'LCG', 1220, 'MAD', 1229, '', 0, 'E90\r'),
	('UX', 90, 'LEI', 1213, 'MAD', 1229, '', 0, 'ATR\r'),
	('UX', 90, 'LEI', 1213, 'SVQ', 1253, '', 0, 'ATR\r'),
	('UX', 90, 'LGW', 502, 'MAD', 1229, '', 0, '738\r'),
	('UX', 90, 'LIM', 2789, 'MAD', 1229, '', 0, '332\r'),
	('UX', 90, 'LIS', 1638, 'MAD', 1229, '', 0, 'ER4\r'),
	('UX', 90, 'LPA', 1054, 'BIO', 1216, '', 0, '738\r'),
	('UX', 90, 'LPA', 1054, 'MAD', 1229, '', 0, '738 332 333\r'),
	('UX', 90, 'LPA', 1054, 'SCQ', 1243, '', 0, '738\r'),
	('UX', 90, 'LPA', 1054, 'SVQ', 1253, '', 0, '738\r'),
	('UX', 90, 'LRM', 1759, 'MAD', 1229, '', 0, '333\r'),
	('UX', 90, 'MAD', 1229, 'ACE', 1055, '', 0, '738 332\r'),
	('UX', 90, 'MAD', 1229, 'AGP', 1230, '', 0, 'ATR\r'),
	('UX', 90, 'MAD', 1229, 'AMS', 580, '', 0, '738\r'),
	('UX', 90, 'MAD', 1229, 'BCN', 1218, '', 0, '332 333\r'),
	('UX', 90, 'MAD', 1229, 'BIO', 1216, '', 0, 'E90\r'),
	('UX', 90, 'MAD', 1229, 'BJZ', 1219, '', 0, 'ATR\r'),
	('UX', 90, 'MAD', 1229, 'BRU', 302, '', 0, 'E90\r'),
	('UX', 90, 'MAD', 1229, 'CCS', 2851, '', 0, '332\r'),
	('UX', 90, 'MAD', 1229, 'CUN', 1852, '', 0, '333\r'),
	('UX', 90, 'MAD', 1229, 'DKR', 1084, '', 0, '738\r'),
	('UX', 90, 'MAD', 1229, 'EZE', 3988, '', 0, '332\r'),
	('UX', 90, 'MAD', 1229, 'FCO', 1555, '', 0, '738\r'),
	('UX', 90, 'MAD', 1229, 'FRA', 340, '', 0, 'E90\r'),
	('UX', 90, 'MAD', 1229, 'FUE', 1051, '', 0, '738\r'),
	('UX', 90, 'MAD', 1229, 'GRU', 2564, '', 0, '332\r'),
	('UX', 90, 'MAD', 1229, 'HAV', 1909, '', 0, '332 333\r'),
	('UX', 90, 'MAD', 1229, 'IBZ', 1225, '', 0, 'E90 738\r'),
	('UX', 90, 'MAD', 1229, 'JED', 2072, '', 0, '320\r'),
	('UX', 90, 'MAD', 1229, 'JFK', 3797, '', 0, '332\r'),
	('UX', 90, 'MAD', 1229, 'LCG', 1220, '', 0, 'E90\r'),
	('UX', 90, 'MAD', 1229, 'LEI', 1213, '', 0, 'ATR\r'),
	('UX', 90, 'MAD', 1229, 'LGW', 502, '', 0, '738\r'),
	('UX', 90, 'MAD', 1229, 'LIM', 2789, '', 0, '332\r'),
	('UX', 90, 'MAD', 1229, 'LIS', 1638, '', 0, 'ER4\r'),
	('UX', 90, 'MAD', 1229, 'LPA', 1054, '', 0, '332 738 333\r'),
	('UX', 90, 'MAD', 1229, 'LRM', 1759, '', 0, '333\r'),
	('UX', 90, 'MAD', 1229, 'MEX', 1824, '', 0, '777\r'),
	('UX', 90, 'MAD', 1229, 'MUC', 346, '', 0, 'E90\r'),
	('UX', 90, 'MAD', 1229, 'MVD', 2816, '', 0, '332\r'),
	('UX', 90, 'MAD', 1229, 'MXP', 1524, '', 0, '738\r'),
	('UX', 90, 'MAD', 1229, 'ORY', 1386, '', 0, '738 E90\r'),
	('UX', 90, 'MAD', 1229, 'OTP', 1657, 'Y', 0, '737\r'),
	('UX', 90, 'MAD', 1229, 'OVD', 1214, '', 0, 'ATR\r'),
	('UX', 90, 'MAD', 1229, 'PMI', 3998, '', 0, '738 E90\r'),
	('UX', 90, 'MAD', 1229, 'PRG', 1587, '', 0, '32S\r'),
	('UX', 90, 'MAD', 1229, 'PUJ', 1760, '', 0, '333\r'),
	('UX', 90, 'MAD', 1229, 'SDQ', 1762, '', 0, '332\r'),
	('UX', 90, 'MAD', 1229, 'SSA', 2621, '', 0, '332\r'),
	('UX', 90, 'MAD', 1229, 'SVO', 2985, 'Y', 0, '32S\r'),
	('UX', 90, 'MAD', 1229, 'TFN', 1057, '', 0, '332 738\r'),
	('UX', 90, 'MAD', 1229, 'VGO', 1250, '', 0, 'E90\r'),
	('UX', 90, 'MAD', 1229, 'VLC', 1246, 'Y', 0, 'ATR\r'),
	('UX', 90, 'MAD', 1229, 'VVI', 2771, '', 0, '332\r'),
	('UX', 90, 'MEX', 1824, 'MAD', 1229, '', 0, '777\r'),
	('UX', 90, 'MUC', 346, 'MAD', 1229, '', 0, 'E90\r'),
	('UX', 90, 'MVD', 2816, 'MAD', 1229, '', 0, '332\r'),
	('UX', 90, 'MXP', 1524, 'MAD', 1229, '', 0, '738\r'),
	('UX', 90, 'ORY', 1386, 'MAD', 1229, '', 0, 'E90 738\r'),
	('UX', 90, 'ORY', 1386, 'PMI', 3998, '', 0, 'E90 738\r'),
	('UX', 90, 'OTP', 1657, 'BCN', 1218, 'Y', 0, '737\r'),
	('UX', 90, 'OTP', 1657, 'MAD', 1229, 'Y', 0, '737\r'),
	('UX', 90, 'OVD', 1214, 'ACE', 1055, '', 0, '332\r'),
	('UX', 90, 'OVD', 1214, 'MAD', 1229, '', 0, 'ATR\r'),
	('UX', 90, 'OVD', 1214, 'TFS', 1056, '', 0, '738\r'),
	('UX', 90, 'PMI', 3998, 'BCN', 1218, '', 0, 'E90 738\r'),
	('UX', 90, 'PMI', 3998, 'BIO', 1216, '', 0, 'E90\r'),
	('UX', 90, 'PMI', 3998, 'GRX', 1223, '', 0, 'E90\r'),
	('UX', 90, 'PMI', 3998, 'MAD', 1229, '', 0, '738 E90\r'),
	('UX', 90, 'PMI', 3998, 'ORY', 1386, '', 0, 'E90 738\r'),
	('UX', 90, 'PMI', 3998, 'VLC', 1246, '', 0, 'E90 ATR\r'),
	('UX', 90, 'PMI', 3998, 'ZAZ', 1252, '', 0, 'E90\r'),
	('UX', 90, 'PRG', 1587, 'BCN', 1218, '', 0, '32S\r'),
	('UX', 90, 'PRG', 1587, 'MAD', 1229, '', 0, '32S\r'),
	('UX', 90, 'PUJ', 1760, 'MAD', 1229, '', 0, '333\r'),
	('UX', 90, 'RUH', 2082, 'JED', 2072, '', 0, '320\r'),
	('UX', 90, 'SCL', 2650, 'SSA', 2621, '', 0, '332\r'),
	('UX', 90, 'SCQ', 1243, 'ACE', 1055, '', 0, '738\r'),
	('UX', 90, 'SCQ', 1243, 'IBZ', 1225, '', 0, '738\r'),
	('UX', 90, 'SCQ', 1243, 'LPA', 1054, '', 0, '738\r'),
	('UX', 90, 'SCQ', 1243, 'PMI', 3998, '', 0, '738\r'),
	('UX', 90, 'SCQ', 1243, 'TFS', 1056, '', 0, '738\r'),
	('UX', 90, 'SDQ', 1762, 'MAD', 1229, '', 0, '332\r'),
	('UX', 90, 'SSA', 2621, 'MAD', 1229, '', 0, '332\r'),
	('UX', 90, 'SSA', 2621, 'SCL', 2650, '', 0, '332\r'),
	('UX', 90, 'SVO', 2985, 'AGP', 1230, 'Y', 0, '32S\r'),
	('UX', 90, 'SVO', 2985, 'BCN', 1218, '', 0, '32S\r'),
	('UX', 90, 'SVO', 2985, 'MAD', 1229, 'Y', 0, '32S\r'),
	('UX', 90, 'SVQ', 1253, 'LEI', 1213, '', 0, 'ATR\r'),
	('UX', 90, 'SVQ', 1253, 'LPA', 1054, '', 0, '738\r'),
	('UX', 90, 'SVQ', 1253, 'PMI', 3998, '', 0, '738\r'),
	('UX', 90, 'SVQ', 1253, 'TFN', 1057, '', 0, '738\r'),
	('UX', 90, 'TFN', 1057, 'AGP', 1230, '', 0, '738\r'),
	('UX', 90, 'TFN', 1057, 'BCN', 1218, '', 0, '738\r'),
	('UX', 90, 'TFN', 1057, 'BIO', 1216, '', 0, '738\r'),
	('UX', 90, 'TFN', 1057, 'MAD', 1229, '', 0, '738 332\r'),
	('UX', 90, 'TFN', 1057, 'SVQ', 1253, '', 0, '738\r'),
	('UX', 90, 'TFS', 1056, 'ALC', 1212, '', 0, '738\r'),
	('UX', 90, 'TFS', 1056, 'OVD', 1214, '', 0, '738\r'),
	('UX', 90, 'TFS', 1056, 'SCQ', 1243, '', 0, '738\r'),
	('UX', 90, 'VGO', 1250, 'CDG', 1382, 'Y', 0, 'E90\r'),
	('UX', 90, 'VGO', 1250, 'MAD', 1229, '', 0, 'E90\r'),
	('UX', 90, 'VLC', 1246, 'CDG', 1382, '', 0, '738\r'),
	('UX', 90, 'VLC', 1246, 'MAD', 1229, 'Y', 0, 'ATR\r'),
	('UX', 90, 'VLC', 1246, 'PMI', 3998, '', 0, 'ATR E90\r'),
	('UX', 90, 'VLL', 1247, 'PMI', 3998, '', 0, '738\r'),
	('UX', 90, 'VVI', 2771, 'MAD', 1229, '', 0, '332\r'),
	('UX', 90, 'ZAZ', 1252, 'PMI', 3998, '', 0, 'E90\r'),
	('UY', 1611, 'BGW', 4130, 'TBS', 3973, '', 0, 'M83\r'),
	('UY', 1611, 'EBL', 3989, 'TBS', 3973, '', 0, 'M83\r'),
	('UY', 1611, 'TBS', 3973, 'BGW', 4130, '', 0, 'M83\r'),
	('UY', 1611, 'TBS', 3973, 'EBL', 3989, '', 0, 'M83\r'),
	('V0', 1886, 'BLA', 2821, 'CCS', 2851, '', 0, 'ATR\r'),
	('V0', 1886, 'BNS', 2822, 'CCS', 2851, '', 0, 'CRJ ATR E90\r'),
	('V0', 1886, 'BOG', 2709, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'BRM', 2824, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'BRM', 2824, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'CAJ', 2830, 'PZO', 2856, '', 0, '320\r'),
	('V0', 1886, 'CCS', 2851, 'BLA', 2821, '', 0, 'ATR\r'),
	('V0', 1886, 'CCS', 2851, 'BNS', 2822, '', 0, 'CRJ ATR E90\r'),
	('V0', 1886, 'CCS', 2851, 'BOG', 2709, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'BRM', 2824, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'CUM', 2835, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'CZE', 2833, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'EZE', 3988, '', 0, '330\r'),
	('V0', 1886, 'CCS', 2851, 'HAV', 1909, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'LFR', 2846, '', 0, 'CRJ\r'),
	('V0', 1886, 'CCS', 2851, 'LSP', 2844, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'MAD', 1229, '', 0, '330\r'),
	('V0', 1886, 'CCS', 2851, 'MAR', 2848, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'MRD', 2849, '', 0, 'ATR\r'),
	('V0', 1886, 'CCS', 2851, 'MUN', 2852, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'PTY', 1871, '', 0, 'CRJ E90\r'),
	('V0', 1886, 'CCS', 2851, 'PYH', 2853, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'PZO', 2856, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'SOM', 2864, '', 0, 'ATR E90\r'),
	('V0', 1886, 'CCS', 2851, 'STD', 2861, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'SVZ', 2858, '', 0, 'CRJ\r'),
	('V0', 1886, 'CCS', 2851, 'VIG', 6072, '', 0, 'E90\r'),
	('V0', 1886, 'CCS', 2851, 'VLV', 2870, '', 0, 'ATR\r'),
	('V0', 1886, 'CUM', 2835, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'CZE', 2833, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'EZE', 3988, 'CCS', 2851, '', 0, '330\r'),
	('V0', 1886, 'GEO', 4304, 'PZO', 2856, '', 0, 'E90\r'),
	('V0', 1886, 'GND', 2882, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'GND', 2882, 'POS', 2902, '', 0, 'E90\r'),
	('V0', 1886, 'HAV', 1909, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'LFR', 2846, 'CCS', 2851, '', 0, 'CRJ\r'),
	('V0', 1886, 'LSP', 2844, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'MAD', 1229, 'CCS', 2851, '', 0, '330\r'),
	('V0', 1886, 'MAO', 2551, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'MAR', 2848, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'MAR', 2848, 'PBL', 2854, '', 0, 'E90\r'),
	('V0', 1886, 'MAR', 2848, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'MGA', 1863, 'PTY', 1871, '', 0, 'CRJ\r'),
	('V0', 1886, 'MRD', 2849, 'CCS', 2851, '', 0, 'ATR\r'),
	('V0', 1886, 'MUN', 2852, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'MUN', 2852, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'PBL', 2854, 'MAR', 2848, '', 0, 'E90\r'),
	('V0', 1886, 'PBL', 2854, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'BRM', 2824, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'GND', 2882, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'MAO', 2551, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'MAR', 2848, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'MUN', 2852, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'PBL', 2854, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'POS', 2902, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'PZO', 2856, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'STD', 2861, '', 0, 'E90\r'),
	('V0', 1886, 'PMV', 2850, 'VIG', 6072, '', 0, 'E90\r'),
	('V0', 1886, 'POS', 2902, 'GND', 2882, '', 0, 'E90\r'),
	('V0', 1886, 'POS', 2902, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'PTY', 1871, 'CCS', 2851, '', 0, 'CRJ E90\r'),
	('V0', 1886, 'PTY', 1871, 'MGA', 1863, '', 0, 'CRJ\r'),
	('V0', 1886, 'PYH', 2853, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'PZO', 2856, 'CAJ', 2830, '', 0, '320\r'),
	('V0', 1886, 'PZO', 2856, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'PZO', 2856, 'GEO', 4304, '', 0, 'E90\r'),
	('V0', 1886, 'PZO', 2856, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'PZO', 2856, 'SNV', 4126, '', 0, 'CRJ\r'),
	('V0', 1886, 'SNV', 4126, 'PZO', 2856, '', 0, 'CRJ\r'),
	('V0', 1886, 'SOM', 2864, 'CCS', 2851, '', 0, 'ATR E90\r'),
	('V0', 1886, 'STD', 2861, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'STD', 2861, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'SVZ', 2858, 'CCS', 2851, '', 0, 'CRJ\r'),
	('V0', 1886, 'VIG', 6072, 'CCS', 2851, '', 0, 'E90\r'),
	('V0', 1886, 'VIG', 6072, 'PMV', 2850, '', 0, 'E90\r'),
	('V0', 1886, 'VLV', 2870, 'CCS', 2851, '', 0, 'ATR\r'),
	('V3', 1669, 'FCO', 1555, 'KIV', 1735, '', 0, '733\r'),
	('V3', 1669, 'FCO', 1555, 'LUZ', 8832, '', 0, '100\r'),
	('V3', 1669, 'KIV', 1735, 'FCO', 1555, '', 0, '733\r'),
	('V3', 1669, 'KIV', 1735, 'VCE', 1551, '', 0, '733\r'),
	('V3', 1669, 'LUZ', 8832, 'FCO', 1555, '', 0, '100\r'),
	('V3', 1669, 'VCE', 1551, 'KIV', 1735, '', 0, '733\r'),
	('V4', 4165, 'SJU', 2890, 'VQS', 6788, '', 0, 'CNC\r'),
	('V4', 4165, 'VQS', 6788, 'SJU', 2890, '', 0, 'CNC\r'),
	('V7', 151, 'AGP', 1230, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'AJA', 1324, 'BES', 1403, '', 0, '717\r'),
	('V7', 151, 'AJA', 1324, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'AJA', 1324, 'CFR', 1412, '', 0, '717\r'),
	('V7', 151, 'AJA', 1324, 'LIL', 1399, '', 0, '717\r'),
	('V7', 151, 'AJA', 1324, 'MPL', 1359, '', 0, '717\r'),
	('V7', 151, 'AJA', 1324, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'AJA', 1324, 'SXB', 1435, '', 0, '717\r'),
	('V7', 151, 'AJA', 1324, 'TLS', 1273, '', 0, '717\r'),
	('V7', 151, 'AOI', 4309, 'CTA', 1509, '', 0, '717\r'),
	('V7', 151, 'BES', 1403, 'AJA', 1324, '', 0, '717\r'),
	('V7', 151, 'BES', 1403, 'BIA', 1321, '', 0, '717\r'),
	('V7', 151, 'BIA', 1321, 'BES', 1403, '', 0, '717\r'),
	('V7', 151, 'BIA', 1321, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'BIA', 1321, 'LIL', 1399, '', 0, '717\r'),
	('V7', 151, 'BIA', 1321, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'BIA', 1321, 'SXB', 1435, '', 0, '717\r'),
	('V7', 151, 'BIA', 1321, 'TLS', 1273, '', 0, '717\r'),
	('V7', 151, 'BIO', 1216, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'BIQ', 1280, 'SXB', 1435, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'AGP', 1230, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'AJA', 1324, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'BIA', 1321, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'CLY', 1322, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'FLR', 1563, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'FSC', 1323, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'MUC', 346, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'OLB', 1520, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'PMI', 3998, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'PMO', 1512, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'SXB', 1435, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'TFS', 1056, '', 0, '717\r'),
	('V7', 151, 'BOD', 1264, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'BRI', 1501, 'CTA', 1509, '', 0, '717\r'),
	('V7', 151, 'BRI', 1501, 'PMO', 1512, '', 0, '717\r'),
	('V7', 151, 'BRI', 1501, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'BRI', 1501, 'VRN', 1550, '', 0, '717\r'),
	('V7', 151, 'CFR', 1412, 'AJA', 1324, '', 0, '717\r'),
	('V7', 151, 'CLY', 1322, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'CLY', 1322, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'CTA', 1509, 'AOI', 4309, '', 0, '717\r'),
	('V7', 151, 'CTA', 1509, 'BRI', 1501, '', 0, '717\r'),
	('V7', 151, 'CTA', 1509, 'FLR', 1563, '', 0, '717\r'),
	('V7', 151, 'CTA', 1509, 'GOA', 1528, '', 0, '717\r'),
	('V7', 151, 'CTA', 1509, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'FLR', 1563, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'FLR', 1563, 'CTA', 1509, '', 0, '717\r'),
	('V7', 151, 'FLR', 1563, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'FLR', 1563, 'PMO', 1512, '', 0, '717\r'),
	('V7', 151, 'FSC', 1323, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'FSC', 1323, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'FUE', 1051, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'GOA', 1528, 'CTA', 1509, '', 0, '717\r'),
	('V7', 151, 'GOA', 1528, 'NAP', 1561, '', 0, '717\r'),
	('V7', 151, 'GOA', 1528, 'OLB', 1520, '', 0, '717\r'),
	('V7', 151, 'GOA', 1528, 'PMO', 1512, '', 0, '717\r'),
	('V7', 151, 'JTR', 1479, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'LIL', 1399, 'AJA', 1324, '', 0, '717\r'),
	('V7', 151, 'LIL', 1399, 'BIA', 1321, '', 0, '717\r'),
	('V7', 151, 'LMP', 1510, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'MPL', 1359, 'AJA', 1324, '', 0, '717\r'),
	('V7', 151, 'MPL', 1359, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'MPL', 1359, 'SXB', 1435, '', 0, '717\r'),
	('V7', 151, 'MUC', 346, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'MUC', 346, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'NAP', 1561, 'GOA', 1528, '', 0, '717\r'),
	('V7', 151, 'NAP', 1561, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'NAP', 1561, 'PMO', 1512, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'AJA', 1324, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'BIA', 1321, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'CLY', 1322, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'FLR', 1563, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'FSC', 1323, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'FUE', 1051, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'MPL', 1359, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'MUC', 346, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'NAP', 1561, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'OLB', 1520, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'PGF', 1356, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'PMI', 3998, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'PMO', 1512, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'PRG', 1587, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'SXB', 1435, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'TFS', 1056, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'NTE', 1418, 'VLC', 1246, '', 0, '717\r'),
	('V7', 151, 'OLB', 1520, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'OLB', 1520, 'GOA', 1528, '', 0, '717\r'),
	('V7', 151, 'OLB', 1520, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'OLB', 1520, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'OVD', 1214, 'PMI', 3998, '', 0, '717\r'),
	('V7', 151, 'OVD', 1214, 'VLC', 1246, '', 0, '717\r'),
	('V7', 151, 'PGF', 1356, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'PMI', 3998, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'PMI', 3998, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'PMI', 3998, 'OVD', 1214, '', 0, '717\r'),
	('V7', 151, 'PMO', 1512, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'PMO', 1512, 'BRI', 1501, '', 0, '717\r'),
	('V7', 151, 'PMO', 1512, 'FLR', 1563, '', 0, '717\r'),
	('V7', 151, 'PMO', 1512, 'GOA', 1528, '', 0, '717\r'),
	('V7', 151, 'PMO', 1512, 'NAP', 1561, '', 0, '717\r'),
	('V7', 151, 'PMO', 1512, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'PMO', 1512, 'SXB', 1435, '', 0, '717\r'),
	('V7', 151, 'PMO', 1512, 'TRN', 1526, '', 0, '717\r'),
	('V7', 151, 'PMO', 1512, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'PMO', 1512, 'VRN', 1550, '', 0, '717\r'),
	('V7', 151, 'PNL', 1511, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'PRG', 1587, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'REG', 1514, 'VCE', 1551, '', 0, '717\r'),
	('V7', 151, 'SXB', 1435, 'AJA', 1324, '', 0, '717\r'),
	('V7', 151, 'SXB', 1435, 'BIA', 1321, '', 0, '717\r'),
	('V7', 151, 'SXB', 1435, 'BIQ', 1280, '', 0, '717\r'),
	('V7', 151, 'SXB', 1435, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'SXB', 1435, 'MPL', 1359, '', 0, '717\r'),
	('V7', 151, 'SXB', 1435, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'SXB', 1435, 'PMO', 1512, '', 0, '717\r'),
	('V7', 151, 'TFS', 1056, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'TFS', 1056, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'TLS', 1273, 'AJA', 1324, '', 0, '717\r'),
	('V7', 151, 'TLS', 1273, 'BIA', 1321, '', 0, '717\r'),
	('V7', 151, 'TRN', 1526, 'PMO', 1512, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'BIO', 1216, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'BOD', 1264, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'BRI', 1501, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'CTA', 1509, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'JTR', 1479, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'LMP', 1510, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'OLB', 1520, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'PMO', 1512, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'PNL', 1511, '', 0, '717\r'),
	('V7', 151, 'VCE', 1551, 'REG', 1514, '', 0, '717\r'),
	('V7', 151, 'VLC', 1246, 'NTE', 1418, '', 0, '717\r'),
	('V7', 151, 'VLC', 1246, 'OVD', 1214, '', 0, '717\r'),
	('V7', 151, 'VRN', 1550, 'BRI', 1501, '', 0, '717\r'),
	('V7', 151, 'VRN', 1550, 'PMO', 1512, '', 0, '717\r'),
	('V9', 10800, 'BHD', 467, 'IOM', 520, '', 0, 'L4T\r'),
	('V9', 10800, 'BLK', 514, 'IOM', 520, '', 0, 'L4T\r'),
	('V9', 10800, 'GLO', 472, 'IOM', 520, '', 0, 'L4T\r'),
	('V9', 10800, 'IOM', 520, 'BHD', 467, '', 0, 'L4T\r'),
	('V9', 10800, 'IOM', 520, 'BLK', 514, '', 0, 'L4T\r'),
	('V9', 10800, 'IOM', 520, 'GLO', 472, '', 0, 'L4T\r'),
	('V9', 10800, 'IOM', 520, 'NCL', 521, '', 0, 'J31\r'),
	('V9', 10800, 'NCL', 521, 'IOM', 520, '', 0, 'J31\r'),
	('VA', 5360, 'ABX', 3333, 'SYD', 3361, 'Y', 0, 'AT7\r'),
	('VA', 5360, 'ADL', 3341, 'AKL', 2006, 'Y', 0, '320\r'),
	('VA', 5360, 'ADL', 3341, 'BNE', 3320, 'Y', 0, 'E90 73H 73W\r'),
	('VA', 5360, 'ADL', 3341, 'CBR', 3355, 'Y', 0, 'E90\r'),
	('VA', 5360, 'ADL', 3341, 'DPS', 3940, '', 0, '73H\r'),
	('VA', 5360, 'ADL', 3341, 'MEL', 3339, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'ADL', 3341, 'OOL', 3321, 'Y', 0, '73H\r'),
	('VA', 5360, 'ADL', 3341, 'PER', 3351, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'ADL', 3341, 'SIN', 3316, 'Y', 0, '333\r'),
	('VA', 5360, 'ADL', 3341, 'SYD', 3361, 'Y', 0, '73H 73W E90\r'),
	('VA', 5360, 'AKL', 2006, 'ADL', 3341, 'Y', 0, '320\r'),
	('VA', 5360, 'AKL', 2006, 'APW', 1969, 'Y', 0, '73H\r'),
	('VA', 5360, 'AKL', 2006, 'BNE', 3320, 'Y', 0, '73H 772 773 320 763\r'),
	('VA', 5360, 'AKL', 2006, 'CNS', 3322, 'Y', 0, '320\r'),
	('VA', 5360, 'AKL', 2006, 'MEL', 3339, 'Y', 0, '73H 773 320\r'),
	('VA', 5360, 'AKL', 2006, 'OOL', 3321, 'Y', 0, '320 73H\r'),
	('VA', 5360, 'AKL', 2006, 'PER', 3351, 'Y', 0, '772\r'),
	('VA', 5360, 'AKL', 2006, 'RAR', 1959, 'Y', 0, '73H\r'),
	('VA', 5360, 'AKL', 2006, 'SYD', 3361, 'Y', 0, '763 73H 320 772\r'),
	('VA', 5360, 'AKL', 2006, 'TBU', 1963, 'Y', 0, '73H\r'),
	('VA', 5360, 'ALH', 6235, 'BQB', 9090, '', 0, 'F50\r'),
	('VA', 5360, 'ALH', 6235, 'PER', 3351, '', 0, 'F50\r'),
	('VA', 5360, 'APW', 1969, 'AKL', 2006, 'Y', 0, '73H\r'),
	('VA', 5360, 'ATL', 3682, 'CMH', 3759, 'Y', 0, '73W M88 738 319\r'),
	('VA', 5360, 'ATL', 3682, 'CUN', 1852, 'Y', 0, 'M88 757 320\r'),
	('VA', 5360, 'ATL', 3682, 'CZM', 1800, 'Y', 0, '319 M88\r'),
	('VA', 5360, 'ATL', 3682, 'IAH', 3550, 'Y', 0, 'M88 717 320 319\r'),
	('VA', 5360, 'ATL', 3682, 'IND', 3585, 'Y', 0, 'M88 320 M90 319\r'),
	('VA', 5360, 'ATL', 3682, 'LAX', 3484, 'Y', 0, '757 76W 763 739\r'),
	('VA', 5360, 'ATL', 3682, 'MEX', 1824, 'Y', 0, '73W 738 73H\r'),
	('VA', 5360, 'ATL', 3682, 'MIA', 3576, 'Y', 0, 'M88 M90 757 320 73H\r'),
	('VA', 5360, 'ATL', 3682, 'SJD', 1840, 'Y', 0, '73W 738\r'),
	('VA', 5360, 'AUH', 2179, 'ISB', 2223, 'Y', 0, '320 332\r'),
	('VA', 5360, 'AUH', 2179, 'LHE', 2207, 'Y', 0, '332 320 77W\r'),
	('VA', 5360, 'AUH', 2179, 'MEL', 3339, 'Y', 0, '77W\r'),
	('VA', 5360, 'AUH', 2179, 'PEW', 2219, 'Y', 0, '320\r'),
	('VA', 5360, 'AUH', 2179, 'SIN', 3316, 'Y', 0, '332\r'),
	('VA', 5360, 'AUH', 2179, 'SYD', 3361, '', 0, '77W\r'),
	('VA', 5360, 'AYQ', 4010, 'SYD', 3361, 'Y', 0, 'E90\r'),
	('VA', 5360, 'BDB', 4218, 'BNE', 3320, '', 0, 'AT7\r'),
	('VA', 5360, 'BME', 4319, 'PER', 3351, '', 0, '100\r'),
	('VA', 5360, 'BME', 4319, 'PHE', 3349, '', 0, '100\r'),
	('VA', 5360, 'BNE', 3320, 'ADL', 3341, 'Y', 0, '73H E90 73W\r'),
	('VA', 5360, 'BNE', 3320, 'AKL', 2006, 'Y', 0, '73H 773 772 320 763\r'),
	('VA', 5360, 'BNE', 3320, 'APW', 1969, 'Y', 0, '73H\r'),
	('VA', 5360, 'BNE', 3320, 'BDB', 4218, '', 0, 'AT7\r'),
	('VA', 5360, 'BNE', 3320, 'CBR', 3355, 'Y', 0, 'E90 73H 73W\r'),
	('VA', 5360, 'BNE', 3320, 'CHC', 2009, '', 0, '320\r'),
	('VA', 5360, 'BNE', 3320, 'CNJ', 6255, 'Y', 0, 'E90\r'),
	('VA', 5360, 'BNE', 3320, 'CNS', 3322, 'Y', 0, '73H E90 73W\r'),
	('VA', 5360, 'BNE', 3320, 'DPS', 3940, '', 0, '73H\r'),
	('VA', 5360, 'BNE', 3320, 'DRW', 3999, 'Y', 0, '73H\r'),
	('VA', 5360, 'BNE', 3320, 'DUD', 2011, 'Y', 0, '73H\r'),
	('VA', 5360, 'BNE', 3320, 'EMD', 3990, 'Y', 0, 'AT7\r'),
	('VA', 5360, 'BNE', 3320, 'GLT', 6269, '', 0, 'AT7\r'),
	('VA', 5360, 'BNE', 3320, 'HBA', 3336, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'BNE', 3320, 'HIR', 4074, 'Y', 0, '73H\r'),
	('VA', 5360, 'BNE', 3320, 'HTI', 6242, 'Y', 0, '73W 73H\r'),
	('VA', 5360, 'BNE', 3320, 'ISA', 3324, 'Y', 0, 'E90\r'),
	('VA', 5360, 'BNE', 3320, 'LAX', 3484, '', 0, '77W\r'),
	('VA', 5360, 'BNE', 3320, 'MEL', 3339, 'Y', 0, '73H 73W E90\r'),
	('VA', 5360, 'BNE', 3320, 'MKY', 3326, 'Y', 0, '73W 73H E90\r'),
	('VA', 5360, 'BNE', 3320, 'MOV', 6301, '', 0, 'AT7\r'),
	('VA', 5360, 'BNE', 3320, 'NAN', 1960, 'Y', 0, '73H\r'),
	('VA', 5360, 'BNE', 3320, 'NTL', 4320, 'Y', 0, '73W E90 73H\r'),
	('VA', 5360, 'BNE', 3320, 'PER', 3351, 'Y', 0, '332 73H\r'),
	('VA', 5360, 'BNE', 3320, 'POM', 5, 'Y', 0, '73H\r'),
	('VA', 5360, 'BNE', 3320, 'PPP', 3328, 'Y', 0, 'E90 73H 73W\r'),
	('VA', 5360, 'BNE', 3320, 'PQQ', 6320, 'Y', 0, 'AT7\r'),
	('VA', 5360, 'BNE', 3320, 'ROK', 3329, 'Y', 0, 'AT7 E90 73H 73W\r'),
	('VA', 5360, 'BNE', 3320, 'SIN', 3316, 'Y', 0, '333 332\r'),
	('VA', 5360, 'BNE', 3320, 'SYD', 3361, 'Y', 0, '73H E90 73W\r'),
	('VA', 5360, 'BNE', 3320, 'TSV', 3330, 'Y', 0, '73H E90 73W\r'),
	('VA', 5360, 'BNE', 3320, 'VLI', 1997, 'Y', 0, '73H\r'),
	('VA', 5360, 'BNE', 3320, 'WLG', 2042, '', 0, '73H\r'),
	('VA', 5360, 'BNE', 3320, 'ZQN', 2030, 'Y', 0, '73H\r'),
	('VA', 5360, 'BNK', 4291, 'SYD', 3361, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'BQB', 9090, 'ALH', 6235, '', 0, 'F50\r'),
	('VA', 5360, 'BQB', 9090, 'PER', 3351, '', 0, 'F50\r'),
	('VA', 5360, 'CBR', 3355, 'ADL', 3341, 'Y', 0, 'E90\r'),
	('VA', 5360, 'CBR', 3355, 'BNE', 3320, 'Y', 0, '73H E90 73W\r'),
	('VA', 5360, 'CBR', 3355, 'MEL', 3339, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'CBR', 3355, 'OOL', 3321, 'Y', 0, 'E90\r'),
	('VA', 5360, 'CBR', 3355, 'SYD', 3361, '', 0, 'AT7\r'),
	('VA', 5360, 'CCK', 6315, 'XCH', 3353, '', 0, 'E90\r'),
	('VA', 5360, 'CFS', 3356, 'MEL', 3339, 'Y', 0, '73H\r'),
	('VA', 5360, 'CFS', 3356, 'SYD', 3361, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'CHC', 2009, 'BNE', 3320, '', 0, '320\r'),
	('VA', 5360, 'CHC', 2009, 'MEL', 3339, '', 0, '320 73H\r'),
	('VA', 5360, 'CHC', 2009, 'OOL', 3321, '', 0, '320\r'),
	('VA', 5360, 'CHC', 2009, 'SYD', 3361, '', 0, '320\r'),
	('VA', 5360, 'CMH', 3759, 'ATL', 3682, 'Y', 0, 'M88 73W 738 319\r'),
	('VA', 5360, 'CNJ', 6255, 'BNE', 3320, 'Y', 0, 'E90\r'),
	('VA', 5360, 'CNS', 3322, 'AKL', 2006, 'Y', 0, '320\r'),
	('VA', 5360, 'CNS', 3322, 'BNE', 3320, 'Y', 0, '73H E90 73W\r'),
	('VA', 5360, 'CNS', 3322, 'MEL', 3339, 'Y', 0, '73H\r'),
	('VA', 5360, 'CNS', 3322, 'SYD', 3361, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'CPT', 797, 'JNB', 813, 'Y', 0, '772\r'),
	('VA', 5360, 'CUN', 1852, 'ATL', 3682, 'Y', 0, '757 320 M88\r'),
	('VA', 5360, 'CZM', 1800, 'ATL', 3682, 'Y', 0, '319 M88\r'),
	('VA', 5360, 'DAD', 3196, 'REP', 3035, 'Y', 0, '738\r'),
	('VA', 5360, 'DAD', 3196, 'SIN', 3316, 'Y', 0, '738\r'),
	('VA', 5360, 'DPS', 3940, 'ADL', 3341, '', 0, '73H\r'),
	('VA', 5360, 'DPS', 3940, 'BNE', 3320, '', 0, '73H\r'),
	('VA', 5360, 'DPS', 3940, 'MEL', 3339, '', 0, '73H\r'),
	('VA', 5360, 'DPS', 3940, 'PER', 3351, 'Y', 0, '73H\r'),
	('VA', 5360, 'DPS', 3940, 'PHE', 3349, '', 0, '100\r'),
	('VA', 5360, 'DPS', 3940, 'SYD', 3361, 'Y', 0, '73H\r'),
	('VA', 5360, 'DRW', 3999, 'BNE', 3320, 'Y', 0, '73H\r'),
	('VA', 5360, 'DRW', 3999, 'MEL', 3339, 'Y', 0, '73H\r'),
	('VA', 5360, 'DRW', 3999, 'PER', 3351, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'DRW', 3999, 'SIN', 3316, 'Y', 0, '320\r'),
	('VA', 5360, 'DRW', 3999, 'SYD', 3361, 'Y', 0, '73H\r'),
	('VA', 5360, 'EMD', 3990, 'BNE', 3320, 'Y', 0, 'AT7\r'),
	('VA', 5360, 'EPR', 6266, 'PER', 3351, '', 0, 'F50\r'),
	('VA', 5360, 'EPR', 6266, 'RVT', 7577, '', 0, 'F50\r'),
	('VA', 5360, 'GET', 6268, 'PER', 3351, '', 0, 'F50 100\r'),
	('VA', 5360, 'GLT', 6269, 'BNE', 3320, '', 0, 'AT7\r'),
	('VA', 5360, 'HBA', 3336, 'BNE', 3320, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'HBA', 3336, 'MEL', 3339, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'HBA', 3336, 'SYD', 3361, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'HIR', 4074, 'BNE', 3320, 'Y', 0, '73H\r'),
	('VA', 5360, 'HKT', 3179, 'PER', 3351, 'Y', 0, '73H\r'),
	('VA', 5360, 'HNL', 3728, 'SYD', 3361, 'Y', 0, '332\r'),
	('VA', 5360, 'HTI', 6242, 'BNE', 3320, 'Y', 0, '73W 73H\r'),
	('VA', 5360, 'HTI', 6242, 'MEL', 3339, '', 0, '73H\r'),
	('VA', 5360, 'HTI', 6242, 'SYD', 3361, 'Y', 0, '73H\r'),
	('VA', 5360, 'HVB', 4052, 'SYD', 3361, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'IAH', 3550, 'ATL', 3682, 'Y', 0, 'M88 717 319\r'),
	('VA', 5360, 'IND', 3585, 'ATL', 3682, 'Y', 0, 'M88 320 M90\r'),
	('VA', 5360, 'ISA', 3324, 'BNE', 3320, 'Y', 0, 'E90\r'),
	('VA', 5360, 'ISB', 2223, 'AUH', 2179, 'Y', 0, '320 332\r'),
	('VA', 5360, 'JNB', 813, 'CPT', 797, 'Y', 0, '772\r'),
	('VA', 5360, 'JNB', 813, 'SIN', 3316, 'Y', 0, '772\r'),
	('VA', 5360, 'KGI', 3346, 'MEL', 3339, 'Y', 0, 'E90\r'),
	('VA', 5360, 'KGI', 3346, 'PER', 3351, 'Y', 0, 'E90 100\r'),
	('VA', 5360, 'KNX', 3347, 'PER', 3351, '', 0, '100\r'),
	('VA', 5360, 'KTA', 3345, 'PER', 3351, 'Y', 0, 'E90 73H 100 320\r'),
	('VA', 5360, 'LAX', 3484, 'ATL', 3682, 'Y', 0, '763 757 73H 76W\r'),
	('VA', 5360, 'LAX', 3484, 'BNE', 3320, '', 0, '77W\r'),
	('VA', 5360, 'LAX', 3484, 'MEL', 3339, '', 0, '77W\r'),
	('VA', 5360, 'LAX', 3484, 'MSY', 3861, 'Y', 0, '319\r'),
	('VA', 5360, 'LAX', 3484, 'SYD', 3361, '', 0, '77W\r'),
	('VA', 5360, 'LEA', 3348, 'PER', 3351, '', 0, '100\r'),
	('VA', 5360, 'LHE', 2207, 'AUH', 2179, 'Y', 0, '346 77W 320\r'),
	('VA', 5360, 'LST', 3337, 'MEL', 3339, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'LST', 3337, 'SYD', 3361, 'Y', 0, '73H\r'),
	('VA', 5360, 'MAN', 478, 'MUC', 346, 'Y', 0, '77W\r'),
	('VA', 5360, 'MCY', 3325, 'MEL', 3339, 'Y', 0, '73H\r'),
	('VA', 5360, 'MCY', 3325, 'SYD', 3361, 'Y', 0, '73H\r'),
	('VA', 5360, 'MEL', 3339, 'ADL', 3341, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'MEL', 3339, 'AKL', 2006, 'Y', 0, '320 73H 773\r'),
	('VA', 5360, 'MEL', 3339, 'AUH', 2179, 'Y', 0, '77W\r'),
	('VA', 5360, 'MEL', 3339, 'BNE', 3320, 'Y', 0, '73H 73W E90\r'),
	('VA', 5360, 'MEL', 3339, 'CBR', 3355, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'MEL', 3339, 'CFS', 3356, 'Y', 0, '73H\r'),
	('VA', 5360, 'MEL', 3339, 'CHC', 2009, '', 0, '320 73H\r'),
	('VA', 5360, 'MEL', 3339, 'CNS', 3322, 'Y', 0, '73H\r'),
	('VA', 5360, 'MEL', 3339, 'DPS', 3940, '', 0, '73H\r'),
	('VA', 5360, 'MEL', 3339, 'DRW', 3999, 'Y', 0, '73H\r'),
	('VA', 5360, 'MEL', 3339, 'HBA', 3336, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'MEL', 3339, 'HTI', 6242, '', 0, '73H\r'),
	('VA', 5360, 'MEL', 3339, 'KGI', 3346, 'Y', 0, 'E90\r'),
	('VA', 5360, 'MEL', 3339, 'LAX', 3484, '', 0, '77W\r'),
	('VA', 5360, 'MEL', 3339, 'LST', 3337, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'MEL', 3339, 'MCY', 3325, 'Y', 0, '73H\r'),
	('VA', 5360, 'MEL', 3339, 'MQL', 6298, 'Y', 0, 'E90\r'),
	('VA', 5360, 'MEL', 3339, 'NAN', 1960, 'Y', 0, '73H\r'),
	('VA', 5360, 'MEL', 3339, 'NTL', 4320, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'MEL', 3339, 'OOL', 3321, 'Y', 0, '73H\r'),
	('VA', 5360, 'MEL', 3339, 'PER', 3351, 'Y', 0, '332 73H\r'),
	('VA', 5360, 'MEL', 3339, 'SIN', 3316, 'Y', 0, '77W 773 388 333\r'),
	('VA', 5360, 'MEL', 3339, 'SYD', 3361, 'Y', 0, '73H E90 73W\r'),
	('VA', 5360, 'MEL', 3339, 'WLG', 2042, '', 0, '320\r'),
	('VA', 5360, 'MEX', 1824, 'ATL', 3682, 'Y', 0, '73H 73W 738\r'),
	('VA', 5360, 'MIA', 3576, 'ATL', 3682, 'Y', 0, 'M88 757 M90 73H\r'),
	('VA', 5360, 'MKY', 3326, 'BNE', 3320, 'Y', 0, '73H 73W E90\r'),
	('VA', 5360, 'MKY', 3326, 'SYD', 3361, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'MOV', 6301, 'BNE', 3320, '', 0, 'AT7\r'),
	('VA', 5360, 'MQL', 6298, 'MEL', 3339, 'Y', 0, 'E90\r'),
	('VA', 5360, 'MSY', 3861, 'LAX', 3484, 'Y', 0, '319\r'),
	('VA', 5360, 'MUC', 346, 'MAN', 478, 'Y', 0, '77W\r'),
	('VA', 5360, 'MUC', 346, 'SIN', 3316, 'Y', 0, '77W\r'),
	('VA', 5360, 'NAN', 1960, 'BNE', 3320, 'Y', 0, '73H\r'),
	('VA', 5360, 'NAN', 1960, 'MEL', 3339, 'Y', 0, '73H\r'),
	('VA', 5360, 'NAN', 1960, 'SYD', 3361, 'Y', 0, '73H\r'),
	('VA', 5360, 'NTL', 4320, 'BNE', 3320, 'Y', 0, '73W E90 73H\r'),
	('VA', 5360, 'NTL', 4320, 'MEL', 3339, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'OOL', 3321, 'ADL', 3341, 'Y', 0, '73H\r'),
	('VA', 5360, 'OOL', 3321, 'AKL', 2006, 'Y', 0, '73H 320\r'),
	('VA', 5360, 'OOL', 3321, 'CBR', 3355, 'Y', 0, 'E90\r'),
	('VA', 5360, 'OOL', 3321, 'CHC', 2009, '', 0, '320\r'),
	('VA', 5360, 'OOL', 3321, 'MEL', 3339, 'Y', 0, '73H\r'),
	('VA', 5360, 'OOL', 3321, 'SYD', 3361, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'PBO', 6314, 'PER', 3351, '', 0, '100\r'),
	('VA', 5360, 'PER', 3351, 'ADL', 3341, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'PER', 3351, 'AKL', 2006, 'Y', 0, '772\r'),
	('VA', 5360, 'PER', 3351, 'ALH', 6235, '', 0, 'F50\r'),
	('VA', 5360, 'PER', 3351, 'BME', 4319, '', 0, '100\r'),
	('VA', 5360, 'PER', 3351, 'BNE', 3320, 'Y', 0, '73H 332\r'),
	('VA', 5360, 'PER', 3351, 'BQB', 9090, '', 0, 'F50\r'),
	('VA', 5360, 'PER', 3351, 'DPS', 3940, 'Y', 0, '73H\r'),
	('VA', 5360, 'PER', 3351, 'DRW', 3999, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'PER', 3351, 'EPR', 6266, '', 0, 'F50\r'),
	('VA', 5360, 'PER', 3351, 'GET', 6268, '', 0, 'F50 100\r'),
	('VA', 5360, 'PER', 3351, 'HKT', 3179, 'Y', 0, '73H\r'),
	('VA', 5360, 'PER', 3351, 'KGI', 3346, 'Y', 0, 'E90 100\r'),
	('VA', 5360, 'PER', 3351, 'KNX', 3347, '', 0, '100\r'),
	('VA', 5360, 'PER', 3351, 'KTA', 3345, 'Y', 0, 'E90 73H 100 320\r'),
	('VA', 5360, 'PER', 3351, 'LEA', 3348, '', 0, '100\r'),
	('VA', 5360, 'PER', 3351, 'MEL', 3339, 'Y', 0, '332 73H\r'),
	('VA', 5360, 'PER', 3351, 'PBO', 6314, '', 0, '100\r'),
	('VA', 5360, 'PER', 3351, 'PHE', 3349, 'Y', 0, 'E90 73H 100\r'),
	('VA', 5360, 'PER', 3351, 'RVT', 7577, '', 0, 'F50\r'),
	('VA', 5360, 'PER', 3351, 'SIN', 3316, '', 0, '772\r'),
	('VA', 5360, 'PER', 3351, 'SYD', 3361, 'Y', 0, '332 73H\r'),
	('VA', 5360, 'PER', 3351, 'XCH', 3353, '', 0, 'E90 73H\r'),
	('VA', 5360, 'PER', 3351, 'ZNE', 6310, '', 0, '320\r'),
	('VA', 5360, 'PEW', 2219, 'AUH', 2179, 'Y', 0, '320\r'),
	('VA', 5360, 'PHE', 3349, 'BME', 4319, '', 0, '100\r'),
	('VA', 5360, 'PHE', 3349, 'DPS', 3940, '', 0, '100\r'),
	('VA', 5360, 'PHE', 3349, 'PER', 3351, 'Y', 0, 'E90 73H 100\r'),
	('VA', 5360, 'PNH', 3034, 'SIN', 3316, 'Y', 0, '320\r'),
	('VA', 5360, 'POM', 5, 'BNE', 3320, 'Y', 0, '73H\r'),
	('VA', 5360, 'PPP', 3328, 'BNE', 3320, 'Y', 0, 'E90 73H 73W\r'),
	('VA', 5360, 'PQQ', 6320, 'BNE', 3320, 'Y', 0, 'AT7\r'),
	('VA', 5360, 'PQQ', 6320, 'SYD', 3361, 'Y', 0, 'AT7\r'),
	('VA', 5360, 'RAR', 1959, 'AKL', 2006, 'Y', 0, '73H\r'),
	('VA', 5360, 'REP', 3035, 'DAD', 3196, 'Y', 0, '738\r'),
	('VA', 5360, 'REP', 3035, 'PNH', 3034, 'Y', 0, '320\r'),
	('VA', 5360, 'REP', 3035, 'SIN', 3316, 'Y', 0, '738\r'),
	('VA', 5360, 'ROK', 3329, 'BNE', 3320, '', 0, 'AT7\r'),
	('VA', 5360, 'RVT', 7577, 'PER', 3351, '', 0, 'F50\r'),
	('VA', 5360, 'SIN', 3316, 'ADL', 3341, 'Y', 0, '333\r'),
	('VA', 5360, 'SIN', 3316, 'AUH', 2179, 'Y', 0, '332\r'),
	('VA', 5360, 'SIN', 3316, 'BNE', 3320, 'Y', 0, '333 332\r'),
	('VA', 5360, 'SIN', 3316, 'DAD', 3196, 'Y', 0, '738\r'),
	('VA', 5360, 'SIN', 3316, 'DRW', 3999, 'Y', 0, '320\r'),
	('VA', 5360, 'SIN', 3316, 'JNB', 813, 'Y', 0, '772\r'),
	('VA', 5360, 'SIN', 3316, 'MEL', 3339, 'Y', 0, '333 77W 388 773\r'),
	('VA', 5360, 'SIN', 3316, 'MUC', 346, 'Y', 0, '77W\r'),
	('VA', 5360, 'SIN', 3316, 'PER', 3351, 'Y', 0, '333 772\r'),
	('VA', 5360, 'SIN', 3316, 'REP', 3035, 'Y', 0, '738 320\r'),
	('VA', 5360, 'SIN', 3316, 'SYD', 3361, 'Y', 0, '388 772 773\r'),
	('VA', 5360, 'SJD', 1840, 'ATL', 3682, 'Y', 0, '73W 738\r'),
	('VA', 5360, 'SYD', 3361, 'ABX', 3333, 'Y', 0, 'AT7\r'),
	('VA', 5360, 'SYD', 3361, 'ADL', 3341, 'Y', 0, '73H 73W\r'),
	('VA', 5360, 'SYD', 3361, 'AKL', 2006, 'Y', 0, '763 73H 320 772\r'),
	('VA', 5360, 'SYD', 3361, 'APW', 1969, 'Y', 0, '73H\r'),
	('VA', 5360, 'SYD', 3361, 'AUH', 2179, '', 0, '77W\r'),
	('VA', 5360, 'SYD', 3361, 'AYQ', 4010, 'Y', 0, 'E90\r'),
	('VA', 5360, 'SYD', 3361, 'BNE', 3320, 'Y', 0, '73H E90 73W\r'),
	('VA', 5360, 'SYD', 3361, 'BNK', 4291, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'SYD', 3361, 'CBR', 3355, '', 0, 'AT7\r'),
	('VA', 5360, 'SYD', 3361, 'CFS', 3356, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'SYD', 3361, 'CHC', 2009, '', 0, '320\r'),
	('VA', 5360, 'SYD', 3361, 'CNS', 3322, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'SYD', 3361, 'DPS', 3940, 'Y', 0, '73H\r'),
	('VA', 5360, 'SYD', 3361, 'DRW', 3999, 'Y', 0, '73H\r'),
	('VA', 5360, 'SYD', 3361, 'HBA', 3336, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'SYD', 3361, 'HKG', 3077, 'Y', 0, '346\r'),
	('VA', 5360, 'SYD', 3361, 'HNL', 3728, 'Y', 0, '332\r'),
	('VA', 5360, 'SYD', 3361, 'HTI', 6242, 'Y', 0, '73H\r'),
	('VA', 5360, 'SYD', 3361, 'HVB', 4052, 'Y', 0, 'E90 73H\r'),
	('VA', 5360, 'SYD', 3361, 'LAX', 3484, '', 0, '77W\r'),
	('VA', 5360, 'SYD', 3361, 'LST', 3337, 'Y', 0, '73H\r'),
	('VA', 5360, 'SYD', 3361, 'MCY', 3325, 'Y', 0, '73H\r'),
	('VA', 5360, 'SYD', 3361, 'MEL', 3339, 'Y', 0, '73H E90 73W\r'),
	('VA', 5360, 'SYD', 3361, 'MKY', 3326, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'SYD', 3361, 'NAN', 1960, 'Y', 0, '73H\r'),
	('VA', 5360, 'SYD', 3361, 'OOL', 3321, 'Y', 0, '73H E90\r'),
	('VA', 5360, 'SYD', 3361, 'PER', 3351, 'Y', 0, '332 73H\r'),
	('VA', 5360, 'SYD', 3361, 'PQQ', 6320, 'Y', 0, 'AT7\r'),
	('VA', 5360, 'SYD', 3361, 'SIN', 3316, 'Y', 0, '773 388 772\r'),
	('VA', 5360, 'SYD', 3361, 'TBU', 1963, 'Y', 0, '73H\r'),
	('VA', 5360, 'SYD', 3361, 'TSV', 3330, 'Y', 0, '73H\r'),
	('VA', 5360, 'SYD', 3361, 'WLG', 2042, '', 0, '320\r'),
	('VA', 5360, 'TBU', 1963, 'AKL', 2006, 'Y', 0, '73H\r'),
	('VA', 5360, 'TBU', 1963, 'SYD', 3361, 'Y', 0, '73H\r'),
	('VA', 5360, 'TSV', 3330, 'BNE', 3320, 'Y', 0, '73H E90 73W\r'),
	('VA', 5360, 'TSV', 3330, 'SYD', 3361, 'Y', 0, '73H\r'),
	('VA', 5360, 'VLI', 1997, 'BNE', 3320, 'Y', 0, '73H\r'),
	('VA', 5360, 'WLG', 2042, 'BNE', 3320, '', 0, '73H\r'),
	('VA', 5360, 'WLG', 2042, 'MEL', 3339, '', 0, '320\r'),
	('VA', 5360, 'WLG', 2042, 'SYD', 3361, '', 0, '320\r'),
	('VA', 5360, 'XCH', 3353, 'CCK', 6315, '', 0, 'E90\r'),
	('VA', 5360, 'XCH', 3353, 'PER', 3351, '', 0, 'E90 73H\r'),
	('VA', 5360, 'ZNE', 6310, 'PER', 3351, '', 0, '320\r'),
	('VB', 10646, 'ACA', 1783, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'BJX', 1815, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'CJS', 1796, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'CJS', 1796, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'CUL', 1792, 'LAP', 1816, '', 0, '733\r'),
	('VB', 10646, 'CUL', 1792, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'CUL', 1792, 'SJD', 1840, '', 0, '733\r'),
	('VB', 10646, 'CUL', 1792, 'TIJ', 1847, '', 0, '733\r'),
	('VB', 10646, 'CUN', 1852, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'CUN', 1852, 'MEX', 1824, '', 0, '733\r'),
	('VB', 10646, 'CUN', 1852, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'CUN', 1852, 'OAX', 1829, '', 0, '733\r'),
	('VB', 10646, 'CUN', 1852, 'REX', 1839, '', 0, '733\r'),
	('VB', 10646, 'CUN', 1852, 'TAM', 1848, '', 0, '733\r'),
	('VB', 10646, 'CUN', 1852, 'TGZ', 1846, '', 0, '733\r'),
	('VB', 10646, 'CUN', 1852, 'TRC', 1845, '', 0, '733\r'),
	('VB', 10646, 'CUN', 1852, 'VER', 1854, '', 0, '733\r'),
	('VB', 10646, 'CUN', 1852, 'VSA', 1853, '', 0, '733\r'),
	('VB', 10646, 'CUU', 1797, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'CJS', 1796, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'CUN', 1852, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'HMO', 1807, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'LAP', 1816, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'MEX', 1824, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'MID', 1819, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'REX', 1839, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'SJD', 1840, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'TGZ', 1846, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'TRC', 1845, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'VER', 1854, '', 0, '733\r'),
	('VB', 10646, 'GDL', 1804, 'VSA', 1853, '', 0, '733\r'),
	('VB', 10646, 'HMO', 1807, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'HMO', 1807, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'IAH', 3550, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'LAP', 1816, 'CUL', 1792, '', 0, '733\r'),
	('VB', 10646, 'LAP', 1816, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'LAP', 1816, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'LAP', 1816, 'MZT', 1826, '', 0, '733\r'),
	('VB', 10646, 'MEX', 1824, 'CUN', 1852, '', 0, '733\r'),
	('VB', 10646, 'MEX', 1824, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'MEX', 1824, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'MEX', 1824, 'MZT', 1826, '', 0, '733\r'),
	('VB', 10646, 'MEX', 1824, 'PVR', 1836, '', 0, '733\r'),
	('VB', 10646, 'MEX', 1824, 'PXM', 1837, '', 0, '733\r'),
	('VB', 10646, 'MEX', 1824, 'REX', 1839, '', 0, '733\r'),
	('VB', 10646, 'MEX', 1824, 'TRC', 1845, '', 0, '733\r'),
	('VB', 10646, 'MID', 1819, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'MID', 1819, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'ACA', 1783, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'BJX', 1815, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'CJS', 1796, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'CUL', 1792, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'CUN', 1852, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'CUU', 1797, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'HMO', 1807, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'IAH', 3550, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'LAP', 1816, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'MEX', 1824, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'MID', 1819, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'MZT', 1826, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'OAX', 1829, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'PVR', 1836, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'QRO', 1838, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'SJD', 1840, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'TAM', 1848, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'TGZ', 1846, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'VER', 1854, '', 0, '733\r'),
	('VB', 10646, 'MTY', 1825, 'VSA', 1853, '', 0, '733\r'),
	('VB', 10646, 'MZT', 1826, 'LAP', 1816, '', 0, '733\r'),
	('VB', 10646, 'MZT', 1826, 'MEX', 1824, '', 0, '733\r'),
	('VB', 10646, 'MZT', 1826, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'OAX', 1829, 'CUN', 1852, '', 0, '733\r'),
	('VB', 10646, 'OAX', 1829, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'PVR', 1836, 'MEX', 1824, '', 0, '733\r'),
	('VB', 10646, 'PVR', 1836, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'PXM', 1837, 'MEX', 1824, '', 0, '733\r'),
	('VB', 10646, 'QRO', 1838, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'REX', 1839, 'CUN', 1852, '', 0, '733\r'),
	('VB', 10646, 'REX', 1839, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'REX', 1839, 'MEX', 1824, '', 0, '733\r'),
	('VB', 10646, 'REX', 1839, 'VER', 1854, '', 0, '733\r'),
	('VB', 10646, 'SJD', 1840, 'CUL', 1792, '', 0, '733\r'),
	('VB', 10646, 'SJD', 1840, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'SJD', 1840, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'TAM', 1848, 'CUN', 1852, '', 0, '733\r'),
	('VB', 10646, 'TAM', 1848, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'TGZ', 1846, 'CUN', 1852, '', 0, '733\r'),
	('VB', 10646, 'TGZ', 1846, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'TGZ', 1846, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'TIJ', 1847, 'CUL', 1792, '', 0, '733\r'),
	('VB', 10646, 'TRC', 1845, 'CUN', 1852, '', 0, '733\r'),
	('VB', 10646, 'TRC', 1845, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'TRC', 1845, 'MEX', 1824, '', 0, '733\r'),
	('VB', 10646, 'VER', 1854, 'CUN', 1852, '', 0, '733\r'),
	('VB', 10646, 'VER', 1854, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'VER', 1854, 'MTY', 1825, '', 0, '733\r'),
	('VB', 10646, 'VER', 1854, 'REX', 1839, '', 0, '733\r'),
	('VB', 10646, 'VSA', 1853, 'CUN', 1852, '', 0, '733\r'),
	('VB', 10646, 'VSA', 1853, 'GDL', 1804, '', 0, '733\r'),
	('VB', 10646, 'VSA', 1853, 'MTY', 1825, '', 0, '733\r'),
	('VF', 5297, 'CGK', 3275, 'SIN', 3316, '', 0, '320\r'),
	('VF', 5297, 'DPS', 3940, 'SIN', 3316, '', 0, '320\r'),
	('VF', 5297, 'SIN', 3316, 'CGK', 3275, '', 0, '320\r'),
	('VF', 5297, 'SIN', 3316, 'DPS', 3940, '', 0, '320\r'),
	('VF', 5297, 'SIN', 3316, 'SUB', 3928, '', 0, '320\r'),
	('VF', 5297, 'SUB', 3928, 'SIN', 3316, '', 0, '320\r'),
	('VH', 9666, 'BRM', 2824, 'CCS', 2851, '', 0, 'M82 M80\r'),
	('VH', 9666, 'CCS', 2851, 'BRM', 2824, '', 0, 'M82 M80\r'),
	('VH', 9666, 'CCS', 2851, 'MAR', 2848, '', 0, 'M80\r'),
	('VH', 9666, 'CCS', 2851, 'MUN', 2852, '', 0, 'M82 M80\r'),
	('VH', 9666, 'CCS', 2851, 'PMV', 2850, '', 0, 'M80\r'),
	('VH', 9666, 'CCS', 2851, 'PZO', 2856, '', 0, 'M82 M80\r'),
	('VH', 9666, 'MAR', 2848, 'CCS', 2851, '', 0, 'M80\r'),
	('VH', 9666, 'MUN', 2852, 'CCS', 2851, '', 0, 'M82 M80\r'),
	('VH', 9666, 'PMV', 2850, 'CCS', 2851, '', 0, 'M80\r'),
	('VH', 9666, 'PMV', 2850, 'VLN', 2868, '', 0, 'M80\r'),
	('VH', 9666, 'PZO', 2856, 'CCS', 2851, '', 0, 'M82 M80\r'),
	('VH', 9666, 'VLN', 2868, 'PMV', 2850, '', 0, 'M80\r'),
	('VJ', 5651, 'BKK', 3885, 'HAN', 3199, '', 0, '320\r'),
	('VJ', 5651, 'BKK', 3885, 'SGN', 3205, '', 0, '320\r'),
	('VJ', 5651, 'BMV', 6187, 'HAN', 3199, '', 0, '320\r'),
	('VJ', 5651, 'BMV', 6187, 'SGN', 3205, '', 0, '320\r'),
	('VJ', 5651, 'CXR', 6189, 'HAN', 3199, '', 0, '320\r'),
	('VJ', 5651, 'CXR', 6189, 'SGN', 3205, '', 0, '320\r'),
	('VJ', 5651, 'DAD', 3196, 'HAN', 3199, '', 0, '320\r'),
	('VJ', 5651, 'DAD', 3196, 'SGN', 3205, '', 0, '320\r'),
	('VJ', 5651, 'DLI', 4153, 'HAN', 3199, '', 0, '320\r'),
	('VJ', 5651, 'DLI', 4153, 'SGN', 3205, '', 0, '320\r'),
	('VJ', 5651, 'HAN', 3199, 'BKK', 3885, '', 0, '320\r'),
	('VJ', 5651, 'HAN', 3199, 'BMV', 6187, '', 0, '320\r'),
	('VJ', 5651, 'HAN', 3199, 'CXR', 6189, '', 0, '320\r'),
	('VJ', 5651, 'HAN', 3199, 'DAD', 3196, '', 0, '320\r'),
	('VJ', 5651, 'HAN', 3199, 'DLI', 4153, '', 0, '320\r'),
	('VJ', 5651, 'HAN', 3199, 'HUI', 4082, '', 0, '320\r'),
	('VJ', 5651, 'HAN', 3199, 'SGN', 3205, '', 0, '320\r'),
	('VJ', 5651, 'HPH', 6188, 'SGN', 3205, '', 0, '320\r'),
	('VJ', 5651, 'HUI', 4082, 'HAN', 3199, '', 0, '320\r'),
	('VJ', 5651, 'HUI', 4082, 'SGN', 3205, '', 0, '320\r'),
	('VJ', 5651, 'PQC', 4168, 'SGN', 3205, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'BKK', 3885, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'BMV', 6187, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'CXR', 6189, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'DAD', 3196, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'DLI', 4153, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'HAN', 3199, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'HPH', 6188, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'HUI', 4082, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'PQC', 4168, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'UIH', 6193, '', 0, '320\r'),
	('VJ', 5651, 'SGN', 3205, 'VII', 6195, '', 0, '320\r'),
	('VJ', 5651, 'UIH', 6193, 'SGN', 3205, '', 0, '320\r'),
	('VJ', 5651, 'VII', 6195, 'SGN', 3205, '', 0, '320\r'),
	('VN', 5309, 'AUH', 2179, 'KUL', 3304, 'Y', 0, '77W\r'),
	('VN', 5309, 'AUH', 2179, 'SGN', 3205, 'Y', 0, '332\r'),
	('VN', 5309, 'BKK', 3885, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'BKK', 3885, 'NBO', 4059, 'Y', 0, '767\r'),
	('VN', 5309, 'BKK', 3885, 'PNH', 3034, '', 0, '321\r'),
	('VN', 5309, 'BKK', 3885, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'BMV', 6187, 'DAD', 3196, '', 0, 'AT7\r'),
	('VN', 5309, 'BMV', 6187, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'BMV', 6187, 'SGN', 3205, '', 0, 'AT7 321\r'),
	('VN', 5309, 'CAH', 4156, 'SGN', 3205, 'Y', 0, 'AT7\r'),
	('VN', 5309, 'CAN', 3370, 'DAD', 3196, '', 0, '321\r'),
	('VN', 5309, 'CAN', 3370, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'CAN', 3370, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'CDG', 1382, 'HAN', 3199, '', 0, '777\r'),
	('VN', 5309, 'CDG', 1382, 'SGN', 3205, '', 0, '777\r'),
	('VN', 5309, 'CGK', 3275, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'CTU', 3395, 'DAD', 3196, '', 0, '321\r'),
	('VN', 5309, 'CTU', 3395, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'CXR', 6189, 'DAD', 3196, '', 0, '321\r'),
	('VN', 5309, 'CXR', 6189, 'DME', 4029, '', 0, '332 330\r'),
	('VN', 5309, 'CXR', 6189, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'CXR', 6189, 'SGN', 3205, '', 0, '321 332 330\r'),
	('VN', 5309, 'DAD', 3196, 'BMV', 6187, '', 0, 'AT7\r'),
	('VN', 5309, 'DAD', 3196, 'CAN', 3370, '', 0, '321\r'),
	('VN', 5309, 'DAD', 3196, 'CTU', 3395, '', 0, '321\r'),
	('VN', 5309, 'DAD', 3196, 'CXR', 6189, '', 0, '321\r'),
	('VN', 5309, 'DAD', 3196, 'DLI', 4153, '', 0, 'AT7\r'),
	('VN', 5309, 'DAD', 3196, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'DAD', 3196, 'HGH', 3386, '', 0, '321\r'),
	('VN', 5309, 'DAD', 3196, 'HPH', 6188, '', 0, 'AT7\r'),
	('VN', 5309, 'DAD', 3196, 'ICN', 3930, '', 0, '321\r'),
	('VN', 5309, 'DAD', 3196, 'PVG', 3406, '', 0, '321\r'),
	('VN', 5309, 'DAD', 3196, 'PXU', 6194, '', 0, 'AT7\r'),
	('VN', 5309, 'DAD', 3196, 'REP', 3035, '', 0, 'AT7\r'),
	('VN', 5309, 'DAD', 3196, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'DAD', 3196, 'VII', 6195, '', 0, 'AT7\r'),
	('VN', 5309, 'DAD', 3196, 'WNZ', 6392, '', 0, '321\r'),
	('VN', 5309, 'DAD', 3196, 'XMN', 3383, '', 0, '321\r'),
	('VN', 5309, 'DIN', 6192, 'HAN', 3199, '', 0, 'AT7\r'),
	('VN', 5309, 'DLI', 4153, 'DAD', 3196, '', 0, 'AT7\r'),
	('VN', 5309, 'DLI', 4153, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'DLI', 4153, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'DME', 4029, 'CXR', 6189, '', 0, '332 330\r'),
	('VN', 5309, 'DME', 4029, 'HAN', 3199, '', 0, '330\r'),
	('VN', 5309, 'DME', 4029, 'SGN', 3205, '', 0, '332 330\r'),
	('VN', 5309, 'FOC', 3385, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'FRA', 340, 'HAN', 3199, '', 0, '777\r'),
	('VN', 5309, 'FRA', 340, 'MAD', 1229, '', 0, '738\r'),
	('VN', 5309, 'FRA', 340, 'SGN', 3205, '', 0, '777\r'),
	('VN', 5309, 'FUK', 2305, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'FUK', 2305, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'BKK', 3885, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'BMV', 6187, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'CAN', 3370, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'CDG', 1382, '', 0, '777\r'),
	('VN', 5309, 'HAN', 3199, 'CTU', 3395, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'CXR', 6189, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'DAD', 3196, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'DIN', 6192, '', 0, 'AT7\r'),
	('VN', 5309, 'HAN', 3199, 'DLI', 4153, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'DME', 4029, '', 0, '330\r'),
	('VN', 5309, 'HAN', 3199, 'FRA', 340, '', 0, '777\r'),
	('VN', 5309, 'HAN', 3199, 'FUK', 2305, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'HKG', 3077, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'HUI', 4082, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'ICN', 3930, '', 0, '321 330 332\r'),
	('VN', 5309, 'HAN', 3199, 'KHH', 2264, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'KIX', 3992, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'KUL', 3304, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'LPQ', 3115, '', 0, 'AT7\r'),
	('VN', 5309, 'HAN', 3199, 'NGO', 3942, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'NRT', 2279, '', 0, '330 777\r'),
	('VN', 5309, 'HAN', 3199, 'PEK', 3364, '', 0, '321 777\r'),
	('VN', 5309, 'HAN', 3199, 'PNH', 3034, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'PQC', 4168, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'PUS', 2372, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'PVG', 3406, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'PXU', 6194, '', 0, 'AT7\r'),
	('VN', 5309, 'HAN', 3199, 'REP', 3035, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'RGN', 3239, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'SGN', 3205, '', 0, '321 777 330 332\r'),
	('VN', 5309, 'HAN', 3199, 'SIN', 3316, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'TBB', 4158, '', 0, 'AT7\r'),
	('VN', 5309, 'HAN', 3199, 'TPE', 2276, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'UIH', 6193, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'VCA', 6191, '', 0, '321\r'),
	('VN', 5309, 'HAN', 3199, 'VCL', 4157, '', 0, 'AT7\r'),
	('VN', 5309, 'HAN', 3199, 'VDH', 4154, '', 0, 'AT7\r'),
	('VN', 5309, 'HAN', 3199, 'VII', 6195, '', 0, 'AT7 321\r'),
	('VN', 5309, 'HAN', 3199, 'VTE', 3120, '', 0, '321\r'),
	('VN', 5309, 'HGH', 3386, 'DAD', 3196, '', 0, '321\r'),
	('VN', 5309, 'HKG', 3077, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'HKG', 3077, 'SGN', 3205, '', 0, '321 330\r'),
	('VN', 5309, 'HPH', 6188, 'DAD', 3196, '', 0, 'AT7\r'),
	('VN', 5309, 'HPH', 6188, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'HUI', 4082, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'HUI', 4082, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'ICN', 3930, 'DAD', 3196, '', 0, '321\r'),
	('VN', 5309, 'ICN', 3930, 'HAN', 3199, '', 0, '332 321 330\r'),
	('VN', 5309, 'ICN', 3930, 'SGN', 3205, '', 0, '332 321 330\r'),
	('VN', 5309, 'KHH', 2264, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'KHH', 2264, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'KIX', 3992, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'KIX', 3992, 'SGN', 3205, '', 0, '332\r'),
	('VN', 5309, 'KUL', 3304, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'KUL', 3304, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'LPQ', 3115, 'HAN', 3199, '', 0, 'AT7\r'),
	('VN', 5309, 'LPQ', 3115, 'REP', 3035, '', 0, 'AT7\r'),
	('VN', 5309, 'MAD', 1229, 'FRA', 340, '', 0, '738\r'),
	('VN', 5309, 'MEL', 3339, 'SGN', 3205, '', 0, '330\r'),
	('VN', 5309, 'MNL', 2397, 'SGN', 3205, 'Y', 0, '320\r'),
	('VN', 5309, 'NBO', 4059, 'BKK', 3885, 'Y', 0, '767\r'),
	('VN', 5309, 'NGO', 3942, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'NGO', 3942, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'NRT', 2279, 'HAN', 3199, '', 0, '330 777\r'),
	('VN', 5309, 'NRT', 2279, 'SGN', 3205, '', 0, '330 777 321\r'),
	('VN', 5309, 'PEK', 3364, 'HAN', 3199, '', 0, '321 777\r'),
	('VN', 5309, 'PNH', 3034, 'BKK', 3885, '', 0, '321\r'),
	('VN', 5309, 'PNH', 3034, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'PNH', 3034, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'PNH', 3034, 'VTE', 3120, '', 0, '321\r'),
	('VN', 5309, 'PQC', 4168, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'PQC', 4168, 'SGN', 3205, '', 0, '321 AT7\r'),
	('VN', 5309, 'PQC', 4168, 'VCA', 6191, '', 0, 'AT7\r'),
	('VN', 5309, 'PUS', 2372, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'PUS', 2372, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'PVG', 3406, 'DAD', 3196, '', 0, '321\r'),
	('VN', 5309, 'PVG', 3406, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'PVG', 3406, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'PXU', 6194, 'DAD', 3196, '', 0, 'AT7\r'),
	('VN', 5309, 'PXU', 6194, 'HAN', 3199, '', 0, 'AT7\r'),
	('VN', 5309, 'PXU', 6194, 'SGN', 3205, '', 0, 'AT7\r'),
	('VN', 5309, 'REP', 3035, 'DAD', 3196, '', 0, 'AT7\r'),
	('VN', 5309, 'REP', 3035, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'REP', 3035, 'LPQ', 3115, '', 0, 'AT7\r'),
	('VN', 5309, 'REP', 3035, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'RGN', 3239, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'RGN', 3239, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'AUH', 2179, 'Y', 0, '332\r'),
	('VN', 5309, 'SGN', 3205, 'BKK', 3885, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'BMV', 6187, '', 0, 'AT7 321\r'),
	('VN', 5309, 'SGN', 3205, 'CAH', 4156, 'Y', 0, 'AT7\r'),
	('VN', 5309, 'SGN', 3205, 'CAN', 3370, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'CDG', 1382, '', 0, '777\r'),
	('VN', 5309, 'SGN', 3205, 'CGK', 3275, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'CXR', 6189, '', 0, '332 321 330\r'),
	('VN', 5309, 'SGN', 3205, 'DAD', 3196, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'DLI', 4153, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'DME', 4029, '', 0, '332 330\r'),
	('VN', 5309, 'SGN', 3205, 'FOC', 3385, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'FRA', 340, '', 0, '777\r'),
	('VN', 5309, 'SGN', 3205, 'FUK', 2305, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'HAN', 3199, '', 0, '321 330 777 332\r'),
	('VN', 5309, 'SGN', 3205, 'HKG', 3077, '', 0, '321 330\r'),
	('VN', 5309, 'SGN', 3205, 'HPH', 6188, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'HUI', 4082, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'ICN', 3930, '', 0, '321 330 332\r'),
	('VN', 5309, 'SGN', 3205, 'KHH', 2264, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'KIX', 3992, '', 0, '332 321\r'),
	('VN', 5309, 'SGN', 3205, 'KUL', 3304, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'MEL', 3339, '', 0, '330\r'),
	('VN', 5309, 'SGN', 3205, 'MNL', 2397, 'Y', 0, '320\r'),
	('VN', 5309, 'SGN', 3205, 'NGO', 3942, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'NRT', 2279, '', 0, '330 777 321\r'),
	('VN', 5309, 'SGN', 3205, 'PNH', 3034, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'PQC', 4168, '', 0, '321 AT7\r'),
	('VN', 5309, 'SGN', 3205, 'PUS', 2372, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'PVG', 3406, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'PXU', 6194, '', 0, 'AT7\r'),
	('VN', 5309, 'SGN', 3205, 'REP', 3035, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'RGN', 3239, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'SIN', 3316, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'SYD', 3361, '', 0, '330\r'),
	('VN', 5309, 'SGN', 3205, 'TBB', 4158, 'Y', 0, 'AT7\r'),
	('VN', 5309, 'SGN', 3205, 'THD', 9135, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'TPE', 2276, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'UIH', 6193, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'VCL', 4157, 'Y', 0, 'AT7\r'),
	('VN', 5309, 'SGN', 3205, 'VCS', 6190, 'Y', 0, 'AT7\r'),
	('VN', 5309, 'SGN', 3205, 'VDH', 4154, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'VII', 6195, '', 0, '321\r'),
	('VN', 5309, 'SGN', 3205, 'VKG', 4155, '', 0, 'AT7\r'),
	('VN', 5309, 'SIN', 3316, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'SIN', 3316, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'SYD', 3361, 'SGN', 3205, '', 0, '330\r'),
	('VN', 5309, 'TBB', 4158, 'HAN', 3199, '', 0, 'AT7\r'),
	('VN', 5309, 'TBB', 4158, 'SGN', 3205, 'Y', 0, 'AT7\r'),
	('VN', 5309, 'THD', 9135, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'TPE', 2276, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'TPE', 2276, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'UIH', 6193, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'UIH', 6193, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'VCA', 6191, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'VCA', 6191, 'PQC', 4168, '', 0, 'AT7\r'),
	('VN', 5309, 'VCA', 6191, 'VCS', 6190, 'Y', 0, 'AT7\r'),
	('VN', 5309, 'VCL', 4157, 'HAN', 3199, '', 0, 'AT7\r'),
	('VN', 5309, 'VCL', 4157, 'SGN', 3205, 'Y', 0, 'AT7\r'),
	('VN', 5309, 'VCS', 6190, 'SGN', 3205, 'Y', 0, 'AT7\r'),
	('VN', 5309, 'VCS', 6190, 'VCA', 6191, 'Y', 0, 'AT7\r'),
	('VN', 5309, 'VDH', 4154, 'HAN', 3199, '', 0, 'AT7 321\r'),
	('VN', 5309, 'VDH', 4154, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'VII', 6195, 'DAD', 3196, '', 0, 'AT7\r'),
	('VN', 5309, 'VII', 6195, 'HAN', 3199, '', 0, 'AT7 321\r'),
	('VN', 5309, 'VII', 6195, 'SGN', 3205, '', 0, '321\r'),
	('VN', 5309, 'VII', 6195, 'VTE', 3120, '', 0, 'AT7\r'),
	('VN', 5309, 'VKG', 4155, 'SGN', 3205, '', 0, 'AT7\r'),
	('VN', 5309, 'VTE', 3120, 'HAN', 3199, '', 0, '321\r'),
	('VN', 5309, 'VTE', 3120, 'PNH', 3034, '', 0, '321\r'),
	('VN', 5309, 'VTE', 3120, 'VII', 6195, '', 0, 'AT7\r'),
	('VN', 5309, 'WNZ', 6392, 'DAD', 3196, '', 0, '321\r'),
	('VN', 5309, 'XMN', 3383, 'DAD', 3196, '', 0, '321\r'),
	('VQ', 11948, 'CGP', 3069, 'DAC', 3076, '', 0, 'ER4\r'),
	('VQ', 11948, 'CXB', 3068, 'DAC', 3076, '', 0, 'ER4\r'),
	('VQ', 11948, 'DAC', 3076, 'CGP', 3069, '', 0, 'ER4\r'),
	('VQ', 11948, 'DAC', 3076, 'CXB', 3068, '', 0, 'ER4\r'),
	('VQ', 11948, 'DAC', 3076, 'JSR', 3071, '', 0, 'ER4\r'),
	('VQ', 11948, 'DAC', 3076, 'ZYL', 3074, '', 0, 'ER4\r'),
	('VQ', 11948, 'JSR', 3071, 'DAC', 3076, '', 0, 'ER4\r'),
	('VQ', 11948, 'ZYL', 3074, 'DAC', 3076, '', 0, 'ER4\r'),
	('VR', 5041, 'AMS', 580, 'VXE', 1106, '', 0, '738\r'),
	('VR', 5041, 'BOS', 3448, 'RAI', 5674, '', 0, '752\r'),
	('VR', 5041, 'BVC', 1103, 'LIS', 1638, '', 0, '738\r'),
	('VR', 5041, 'BVC', 1103, 'RAI', 5674, '', 0, 'AT7\r'),
	('VR', 5041, 'BVC', 1103, 'SID', 1102, '', 0, 'AT7\r'),
	('VR', 5041, 'CDG', 1382, 'RAI', 5674, '', 0, '752\r'),
	('VR', 5041, 'CDG', 1382, 'VXE', 1106, '', 0, '752\r'),
	('VR', 5041, 'DKR', 1084, 'RAI', 5674, '', 0, 'AT7\r'),
	('VR', 5041, 'FOR', 2559, 'RAI', 5674, '', 0, '752\r'),
	('VR', 5041, 'LIS', 1638, 'BVC', 1103, '', 0, '738\r'),
	('VR', 5041, 'LIS', 1638, 'RAI', 5674, '', 0, '738\r'),
	('VR', 5041, 'LIS', 1638, 'SID', 1102, '', 0, '752\r'),
	('VR', 5041, 'LIS', 1638, 'VXE', 1106, '', 0, '738\r'),
	('VR', 5041, 'MMO', 1104, 'RAI', 5674, '', 0, 'AT7\r'),
	('VR', 5041, 'RAI', 5674, 'BOS', 3448, '', 0, '752\r'),
	('VR', 5041, 'RAI', 5674, 'BVC', 1103, '', 0, 'AT7\r'),
	('VR', 5041, 'RAI', 5674, 'CDG', 1382, '', 0, '752\r'),
	('VR', 5041, 'RAI', 5674, 'DKR', 1084, '', 0, 'AT7\r'),
	('VR', 5041, 'RAI', 5674, 'FOR', 2559, '', 0, '752\r'),
	('VR', 5041, 'RAI', 5674, 'LIS', 1638, '', 0, '738\r'),
	('VR', 5041, 'RAI', 5674, 'MMO', 1104, '', 0, 'AT7\r'),
	('VR', 5041, 'RAI', 5674, 'SFL', 5675, '', 0, 'AT7\r'),
	('VR', 5041, 'RAI', 5674, 'SID', 1102, '', 0, 'AT7 738 752\r'),
	('VR', 5041, 'RAI', 5674, 'VXE', 1106, '', 0, 'AT7\r'),
	('VR', 5041, 'SFL', 5675, 'RAI', 5674, '', 0, 'AT7\r'),
	('VR', 5041, 'SID', 1102, 'AMS', 580, '', 0, '738\r'),
	('VR', 5041, 'SID', 1102, 'BVC', 1103, '', 0, 'AT7\r'),
	('VR', 5041, 'SID', 1102, 'CDG', 1382, '', 0, '752\r'),
	('VR', 5041, 'SID', 1102, 'LIS', 1638, '', 0, '752\r'),
	('VR', 5041, 'SID', 1102, 'RAI', 5674, '', 0, 'AT7 752 738\r'),
	('VR', 5041, 'SID', 1102, 'SNE', 1105, '', 0, 'AT7\r'),
	('VR', 5041, 'SID', 1102, 'VXE', 1106, '', 0, 'AT7\r'),
	('VR', 5041, 'SNE', 1105, 'SID', 1102, '', 0, 'AT7\r'),
	('VR', 5041, 'SNE', 1105, 'VXE', 1106, '', 0, 'AT7\r'),
	('VR', 5041, 'VXE', 1106, 'LIS', 1638, '', 0, '738\r'),
	('VR', 5041, 'VXE', 1106, 'RAI', 5674, '', 0, 'AT7 738\r'),
	('VR', 5041, 'VXE', 1106, 'SID', 1102, '', 0, 'AT7 752\r'),
	('VR', 5041, 'VXE', 1106, 'SNE', 1105, '', 0, 'AT7\r'),
	('VS', 5347, 'ABQ', 4019, 'ATL', 3682, 'Y', 0, '757 320\r'),
	('VS', 5347, 'ABZ', 532, 'LHR', 507, 'Y', 0, '320\r'),
	('VS', 5347, 'ANU', 2874, 'LGW', 502, '', 0, '333\r'),
	('VS', 5347, 'ANU', 2874, 'UVF', 2894, '', 0, '333\r'),
	('VS', 5347, 'ATL', 3682, 'ABQ', 4019, 'Y', 0, '757\r'),
	('VS', 5347, 'ATL', 3682, 'AUS', 3673, 'Y', 0, 'M90 M88\r'),
	('VS', 5347, 'ATL', 3682, 'BHM', 3811, 'Y', 0, 'M88\r'),
	('VS', 5347, 'ATL', 3682, 'BNA', 3690, 'Y', 0, '319 320 M88 738 73H 717\r'),
	('VS', 5347, 'ATL', 3682, 'BOS', 3448, 'Y', 0, 'M90 757 320 738 M88 319\r'),
	('VS', 5347, 'ATL', 3682, 'CHS', 3806, 'Y', 0, 'M88 320 73W 717 319\r'),
	('VS', 5347, 'ATL', 3682, 'CLT', 3876, 'Y', 0, 'M88 M90 319\r'),
	('VS', 5347, 'ATL', 3682, 'CUN', 1852, 'Y', 0, 'M88\r'),
	('VS', 5347, 'ATL', 3682, 'CVG', 3488, 'Y', 0, 'M88 738\r'),
	('VS', 5347, 'ATL', 3682, 'DAL', 3502, 'Y', 0, 'CRJ\r'),
	('VS', 5347, 'ATL', 3682, 'DEN', 3751, 'Y', 0, '757 M90\r'),
	('VS', 5347, 'ATL', 3682, 'DFW', 3670, 'Y', 0, 'M88 738\r'),
	('VS', 5347, 'ATL', 3682, 'DTW', 3645, 'Y', 0, 'M90 757\r'),
	('VS', 5347, 'ATL', 3682, 'EWR', 3494, 'Y', 0, '717 319\r'),
	('VS', 5347, 'ATL', 3682, 'FLL', 3533, 'Y', 0, 'M90 757\r'),
	('VS', 5347, 'ATL', 3682, 'GDL', 1804, 'Y', 0, '320\r'),
	('VS', 5347, 'ATL', 3682, 'HOU', 3566, 'Y', 0, 'M88\r'),
	('VS', 5347, 'ATL', 3682, 'IAD', 3714, 'Y', 0, 'M88 320 319 CR7\r'),
	('VS', 5347, 'ATL', 3682, 'IAH', 3550, 'Y', 0, '717 320 M88\r'),
	('VS', 5347, 'ATL', 3682, 'IND', 3585, 'Y', 0, 'M88 M90\r'),
	('VS', 5347, 'ATL', 3682, 'JAX', 3712, 'Y', 0, '757\r'),
	('VS', 5347, 'ATL', 3682, 'JFK', 3797, 'Y', 0, '319 752 738 M88 73H\r'),
	('VS', 5347, 'ATL', 3682, 'LAS', 3877, 'Y', 0, '757 753 738\r'),
	('VS', 5347, 'ATL', 3682, 'LAX', 3484, 'Y', 0, '763 757 739\r'),
	('VS', 5347, 'ATL', 3682, 'LHR', 507, 'Y', 0, '764 77L 76W\r'),
	('VS', 5347, 'ATL', 3682, 'MAN', 478, 'Y', 0, '76W\r'),
	('VS', 5347, 'ATL', 3682, 'MCI', 3458, 'Y', 0, 'M90 757\r'),
	('VS', 5347, 'ATL', 3682, 'MCO', 3878, 'Y', 0, '757 763 739\r'),
	('VS', 5347, 'ATL', 3682, 'MEM', 3473, 'Y', 0, 'M88\r'),
	('VS', 5347, 'ATL', 3682, 'MEX', 1824, 'Y', 0, '73W 73H\r'),
	('VS', 5347, 'ATL', 3682, 'MIA', 3576, 'Y', 0, '757 320\r'),
	('VS', 5347, 'ATL', 3682, 'MSY', 3861, 'Y', 0, 'M88 M90 757\r'),
	('VS', 5347, 'ATL', 3682, 'MTY', 1825, 'Y', 0, 'CR9\r'),
	('VS', 5347, 'ATL', 3682, 'OKC', 3863, 'Y', 0, 'M88\r'),
	('VS', 5347, 'ATL', 3682, 'ORD', 3830, 'Y', 0, '757 319 320 M90 M88 717\r'),
	('VS', 5347, 'ATL', 3682, 'PBI', 3722, 'Y', 0, '757\r'),
	('VS', 5347, 'ATL', 3682, 'PHX', 3462, 'Y', 0, '73H 757 739 738\r'),
	('VS', 5347, 'ATL', 3682, 'PNS', 3564, 'Y', 0, 'M90\r'),
	('VS', 5347, 'ATL', 3682, 'RDU', 3626, 'Y', 0, 'M88 739 320 738 M90\r'),
	('VS', 5347, 'ATL', 3682, 'RSW', 3793, 'Y', 0, '757 M88\r'),
	('VS', 5347, 'ATL', 3682, 'SAN', 3731, 'Y', 0, '763 739\r'),
	('VS', 5347, 'ATL', 3682, 'SAT', 3621, 'Y', 0, 'M90 757\r'),
	('VS', 5347, 'ATL', 3682, 'SAV', 3613, 'Y', 0, 'M88 717 319\r'),
	('VS', 5347, 'ATL', 3682, 'SDF', 4014, 'Y', 0, 'M88 M90\r'),
	('VS', 5347, 'ATL', 3682, 'SFO', 3469, 'Y', 0, '763 739 757\r'),
	('VS', 5347, 'ATL', 3682, 'SJC', 3748, 'Y', 0, '738\r'),
	('VS', 5347, 'ATL', 3682, 'SJU', 2890, 'Y', 0, '757\r'),
	('VS', 5347, 'ATL', 3682, 'SMF', 3817, 'Y', 0, '757\r'),
	('VS', 5347, 'ATL', 3682, 'SRQ', 4067, 'Y', 0, 'M90 757\r'),
	('VS', 5347, 'ATL', 3682, 'STL', 3678, 'Y', 0, '717 M90 757 M88\r'),
	('VS', 5347, 'ATL', 3682, 'TPA', 3646, 'Y', 0, '757 739 M90\r'),
	('VS', 5347, 'ATL', 3682, 'TUL', 3855, 'Y', 0, 'CR7 M88 CR9\r'),
	('VS', 5347, 'ATL', 3682, 'TUS', 3636, 'Y', 0, 'M90\r'),
	('VS', 5347, 'AUS', 3673, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('VS', 5347, 'BGI', 2875, 'LGW', 502, '', 0, '333 744\r'),
	('VS', 5347, 'BGI', 2875, 'MAN', 478, '', 0, '744\r'),
	('VS', 5347, 'BHM', 3811, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('VS', 5347, 'BNA', 3690, 'ATL', 3682, 'Y', 0, 'M88 738 319 320 717\r'),
	('VS', 5347, 'BOM', 2997, 'LHR', 507, '', 0, '333\r'),
	('VS', 5347, 'BOS', 3448, 'ATL', 3682, 'Y', 0, 'M90 757 M88 320 319\r'),
	('VS', 5347, 'BOS', 3448, 'LHR', 507, '', 0, '764 333\r'),
	('VS', 5347, 'CHS', 3806, 'ATL', 3682, 'Y', 0, '717 73W M88 319\r'),
	('VS', 5347, 'CLT', 3876, 'ATL', 3682, 'Y', 0, 'M90 M88\r'),
	('VS', 5347, 'CUN', 1852, 'ATL', 3682, 'Y', 0, '757 320 M88\r'),
	('VS', 5347, 'CUN', 1852, 'LGW', 502, '', 0, '744\r'),
	('VS', 5347, 'CVG', 3488, 'ATL', 3682, 'Y', 0, 'M88 738 320 319\r'),
	('VS', 5347, 'DAL', 3502, 'ATL', 3682, 'Y', 0, 'CRJ\r'),
	('VS', 5347, 'DEL', 3093, 'LHR', 507, '', 0, '333 346\r'),
	('VS', 5347, 'DEN', 3751, 'ATL', 3682, 'Y', 0, '757 M90 738\r'),
	('VS', 5347, 'DFW', 3670, 'ATL', 3682, 'Y', 0, 'M88 319\r'),
	('VS', 5347, 'DTW', 3645, 'ATL', 3682, 'Y', 0, 'M88 73H 757 320 738 739\r'),
	('VS', 5347, 'DTW', 3645, 'LHR', 507, '', 0, '76W 77L\r'),
	('VS', 5347, 'DXB', 2188, 'LHR', 507, '', 0, '333\r'),
	('VS', 5347, 'EDI', 535, 'LHR', 507, 'Y', 0, '320\r'),
	('VS', 5347, 'EWR', 3494, 'ATL', 3682, 'Y', 0, '717 319\r'),
	('VS', 5347, 'EWR', 3494, 'LHR', 507, '', 0, '346 333\r'),
	('VS', 5347, 'FLL', 3533, 'ATL', 3682, 'Y', 0, '757 M90\r'),
	('VS', 5347, 'GDL', 1804, 'ATL', 3682, 'Y', 0, '320\r'),
	('VS', 5347, 'GLA', 534, 'MCO', 3878, '', 0, '744\r'),
	('VS', 5347, 'GND', 2882, 'UVF', 2894, '', 0, '333\r'),
	('VS', 5347, 'HAV', 1909, 'LGW', 502, '', 0, '744\r'),
	('VS', 5347, 'HKG', 3077, 'LHR', 507, '', 0, '346\r'),
	('VS', 5347, 'HND', 2359, 'LHR', 507, '', 0, '77W\r'),
	('VS', 5347, 'HOU', 3566, 'ATL', 3682, 'Y', 0, 'M88\r'),
	('VS', 5347, 'IAD', 3714, 'ATL', 3682, 'Y', 0, '320 M88 319 CR7\r'),
	('VS', 5347, 'IAD', 3714, 'LHR', 507, '', 0, '333\r'),
	('VS', 5347, 'IAH', 3550, 'ATL', 3682, 'Y', 0, 'M88 717 319\r'),
	('VS', 5347, 'IND', 3585, 'ATL', 3682, 'Y', 0, 'M88 320 M90\r'),
	('VS', 5347, 'JAX', 3712, 'ATL', 3682, 'Y', 0, '757 739\r'),
	('VS', 5347, 'JFK', 3797, 'ATL', 3682, 'Y', 0, '752 319 738 757 M88\r'),
	('VS', 5347, 'JFK', 3797, 'LHR', 507, '', 0, '333 346 744\r'),
	('VS', 5347, 'JFK', 3797, 'MSY', 3861, 'Y', 0, 'CR9\r'),
	('VS', 5347, 'JNB', 813, 'LHR', 507, '', 0, '346\r'),
	('VS', 5347, 'LAS', 3877, 'ATL', 3682, 'Y', 0, '739 757 738\r'),
	('VS', 5347, 'LAS', 3877, 'LGW', 502, '', 0, '744\r'),
	('VS', 5347, 'LAS', 3877, 'MAN', 478, '', 0, '744\r'),
	('VS', 5347, 'LAX', 3484, 'ATL', 3682, 'Y', 0, '763 757\r'),
	('VS', 5347, 'LAX', 3484, 'LHR', 507, '', 0, '346 343 744\r'),
	('VS', 5347, 'LGW', 502, 'ANU', 2874, '', 0, '333\r'),
	('VS', 5347, 'LGW', 502, 'BGI', 2875, '', 0, '333 744\r'),
	('VS', 5347, 'LGW', 502, 'CUN', 1852, '', 0, '744\r'),
	('VS', 5347, 'LGW', 502, 'HAV', 1909, '', 0, '744\r'),
	('VS', 5347, 'LGW', 502, 'LAS', 3877, '', 0, '744\r'),
	('VS', 5347, 'LGW', 502, 'MBJ', 1780, '', 0, '744\r'),
	('VS', 5347, 'LGW', 502, 'MCO', 3878, '', 0, '744\r'),
	('VS', 5347, 'LGW', 502, 'PEK', 3364, '', 0, '330\r'),
	('VS', 5347, 'LGW', 502, 'UVF', 2894, '', 0, '333\r'),
	('VS', 5347, 'LHR', 507, 'ABZ', 532, 'Y', 0, '320\r'),
	('VS', 5347, 'LHR', 507, 'ATL', 3682, 'Y', 0, '764 77L 76W\r'),
	('VS', 5347, 'LHR', 507, 'BOM', 2997, '', 0, '333\r'),
	('VS', 5347, 'LHR', 507, 'BOS', 3448, '', 0, '333 764\r'),
	('VS', 5347, 'LHR', 507, 'DEL', 3093, '', 0, '333\r'),
	('VS', 5347, 'LHR', 507, 'DTW', 3645, '', 0, '76W 77L\r'),
	('VS', 5347, 'LHR', 507, 'DXB', 2188, '', 0, '333\r'),
	('VS', 5347, 'LHR', 507, 'EDI', 535, 'Y', 0, '320\r'),
	('VS', 5347, 'LHR', 507, 'EWR', 3494, '', 0, '333 346\r'),
	('VS', 5347, 'LHR', 507, 'HKG', 3077, '', 0, '346\r'),
	('VS', 5347, 'LHR', 507, 'HND', 2359, '', 0, '77W\r'),
	('VS', 5347, 'LHR', 507, 'IAD', 3714, '', 0, '333\r'),
	('VS', 5347, 'LHR', 507, 'JFK', 3797, '', 0, '346 744 333\r'),
	('VS', 5347, 'LHR', 507, 'JNB', 813, '', 0, '346\r'),
	('VS', 5347, 'LHR', 507, 'LAX', 3484, '', 0, '346 343 744\r'),
	('VS', 5347, 'LHR', 507, 'LOS', 273, '', 0, '346\r'),
	('VS', 5347, 'LHR', 507, 'MAN', 478, 'Y', 0, '320\r'),
	('VS', 5347, 'LHR', 507, 'MIA', 3576, '', 0, '744 333\r'),
	('VS', 5347, 'LHR', 507, 'MSP', 3858, '', 0, '764\r'),
	('VS', 5347, 'LHR', 507, 'NRT', 2279, '', 0, '346 343\r'),
	('VS', 5347, 'LHR', 507, 'ORD', 3830, '', 0, '343\r'),
	('VS', 5347, 'LHR', 507, 'PEK', 3364, 'Y', 0, '773\r'),
	('VS', 5347, 'LHR', 507, 'PVG', 3406, '', 0, '346\r'),
	('VS', 5347, 'LHR', 507, 'SEA', 3577, '', 0, '76W\r'),
	('VS', 5347, 'LHR', 507, 'SFO', 3469, '', 0, '744\r'),
	('VS', 5347, 'LHR', 507, 'SIN', 3316, 'Y', 0, '388 77W\r'),
	('VS', 5347, 'LHR', 507, 'VKO', 2988, 'Y', 0, '73H 73G 738\r'),
	('VS', 5347, 'LOS', 273, 'LHR', 507, '', 0, '346\r'),
	('VS', 5347, 'MAN', 478, 'ATL', 3682, 'Y', 0, '76W\r'),
	('VS', 5347, 'MAN', 478, 'BGI', 2875, '', 0, '744\r'),
	('VS', 5347, 'MAN', 478, 'LAS', 3877, '', 0, '744\r'),
	('VS', 5347, 'MAN', 478, 'LHR', 507, 'Y', 0, '320\r'),
	('VS', 5347, 'MAN', 478, 'MCO', 3878, '', 0, '744\r'),
	('VS', 5347, 'MAN', 478, 'MUC', 346, 'Y', 0, '77W\r'),
	('VS', 5347, 'MBJ', 1780, 'LGW', 502, '', 0, '744\r'),
	('VS', 5347, 'MCI', 3458, 'ATL', 3682, 'Y', 0, 'M88 M90 757\r'),
	('VS', 5347, 'MCO', 3878, 'ATL', 3682, 'Y', 0, '76W 757 739\r'),
	('VS', 5347, 'MCO', 3878, 'GLA', 534, '', 0, '744\r'),
	('VS', 5347, 'MCO', 3878, 'LGW', 502, '', 0, '744\r'),
	('VS', 5347, 'MCO', 3878, 'MAN', 478, '', 0, '744\r'),
	('VS', 5347, 'MEM', 3473, 'ATL', 3682, 'Y', 0, 'M88 320\r'),
	('VS', 5347, 'MEX', 1824, 'ATL', 3682, 'Y', 0, '73H 73W 738\r'),
	('VS', 5347, 'MIA', 3576, 'ATL', 3682, 'Y', 0, 'M88 757 M90 73H\r'),
	('VS', 5347, 'MIA', 3576, 'LHR', 507, '', 0, '744 333\r'),
	('VS', 5347, 'MSP', 3858, 'LHR', 507, '', 0, '764\r'),
	('VS', 5347, 'MSY', 3861, 'ATL', 3682, 'Y', 0, 'M90 757 M88\r'),
	('VS', 5347, 'MSY', 3861, 'DTW', 3645, 'Y', 0, '319 CR9 CR7 M88\r'),
	('VS', 5347, 'MSY', 3861, 'JFK', 3797, 'Y', 0, 'CR9\r'),
	('VS', 5347, 'MTY', 1825, 'ATL', 3682, 'Y', 0, 'CR9\r'),
	('VS', 5347, 'MUC', 346, 'MAN', 478, 'Y', 0, '77W\r'),
	('VS', 5347, 'MUC', 346, 'SIN', 3316, 'Y', 0, '77W\r'),
	('VS', 5347, 'NRT', 2279, 'LHR', 507, '', 0, '346\r'),
	('VS', 5347, 'OKC', 3863, 'ATL', 3682, 'Y', 0, 'M88 CR9\r'),
	('VS', 5347, 'ORD', 3830, 'ATL', 3682, 'Y', 0, '717 M88 319\r'),
	('VS', 5347, 'ORD', 3830, 'LHR', 507, '', 0, '343\r'),
	('VS', 5347, 'PBI', 3722, 'ATL', 3682, 'Y', 0, '757 M90\r'),
	('VS', 5347, 'PEK', 3364, 'LGW', 502, '', 0, '330\r'),
	('VS', 5347, 'PEK', 3364, 'LHR', 507, 'Y', 0, '773\r'),
	('VS', 5347, 'PHX', 3462, 'ATL', 3682, 'Y', 0, '757 739\r'),
	('VS', 5347, 'PNS', 3564, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('VS', 5347, 'PVG', 3406, 'LHR', 507, '', 0, '346\r'),
	('VS', 5347, 'RDU', 3626, 'ATL', 3682, 'Y', 0, 'M90 M88 320 739\r'),
	('VS', 5347, 'RSW', 3793, 'ATL', 3682, 'Y', 0, 'M90 757 M88\r'),
	('VS', 5347, 'SAN', 3731, 'ATL', 3682, 'Y', 0, '73H 763 739\r'),
	('VS', 5347, 'SAT', 3621, 'ATL', 3682, 'Y', 0, '757 M90 320\r'),
	('VS', 5347, 'SAV', 3613, 'ATL', 3682, 'Y', 0, 'M88 717 319\r'),
	('VS', 5347, 'SDF', 4014, 'ATL', 3682, 'Y', 0, 'M88 M90\r'),
	('VS', 5347, 'SEA', 3577, 'LHR', 507, '', 0, '76W\r'),
	('VS', 5347, 'SFO', 3469, 'ATL', 3682, 'Y', 0, '763 739 757\r'),
	('VS', 5347, 'SFO', 3469, 'LHR', 507, '', 0, '744\r'),
	('VS', 5347, 'SIN', 3316, 'LHR', 507, 'Y', 0, '77W 388\r'),
	('VS', 5347, 'SIN', 3316, 'MUC', 346, 'Y', 0, '77W\r'),
	('VS', 5347, 'SJU', 2890, 'ATL', 3682, 'Y', 0, '73H 757 753\r'),
	('VS', 5347, 'SMF', 3817, 'ATL', 3682, 'Y', 0, '757\r'),
	('VS', 5347, 'SRQ', 4067, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('VS', 5347, 'STL', 3678, 'ATL', 3682, 'Y', 0, 'M90 717 M88 319\r'),
	('VS', 5347, 'SYD', 3361, 'HKG', 3077, '', 0, '346\r'),
	('VS', 5347, 'TPA', 3646, 'ATL', 3682, 'Y', 0, '757 739\r'),
	('VS', 5347, 'TUL', 3855, 'ATL', 3682, 'Y', 0, 'CR7 CR9 M88\r'),
	('VS', 5347, 'TUS', 3636, 'ATL', 3682, 'Y', 0, 'M90\r'),
	('VS', 5347, 'UVF', 2894, 'ANU', 2874, '', 0, '333\r'),
	('VS', 5347, 'UVF', 2894, 'GND', 2882, '', 0, '333\r'),
	('VS', 5347, 'UVF', 2894, 'LGW', 502, '', 0, '333\r'),
	('VS', 5347, 'VKO', 2988, 'LHR', 507, 'Y', 0, '73H 73G 738\r'),
	('VT', 692, 'AHE', 5889, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'AHE', 5889, 'XMH', 1978, '', 0, 'ATR\r'),
	('VT', 692, 'AUQ', 5890, 'NHV', 1987, '', 0, 'ATR DHT\r'),
	('VT', 692, 'AUQ', 5890, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'AUQ', 5890, 'UAH', 5892, '', 0, 'DHT\r'),
	('VT', 692, 'AUQ', 5890, 'UAP', 5891, '', 0, 'DHT\r'),
	('VT', 692, 'AXR', 1984, 'KKR', 1980, '', 0, 'ATR\r'),
	('VT', 692, 'BOB', 1989, 'HUH', 1991, '', 0, 'ATR\r'),
	('VT', 692, 'BOB', 1989, 'MAU', 1994, '', 0, 'ATR\r'),
	('VT', 692, 'BOB', 1989, 'MOZ', 1992, '', 0, 'ATR\r'),
	('VT', 692, 'BOB', 1989, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'BOB', 1989, 'RFP', 1995, '', 0, 'ATR\r'),
	('VT', 692, 'BOB', 1989, 'RGI', 1990, '', 0, 'ATR\r'),
	('VT', 692, 'BOB', 1989, 'TIH', 1975, '', 0, 'ATR\r'),
	('VT', 692, 'FAV', 1977, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'FAV', 1977, 'RGI', 1990, '', 0, 'ATR\r'),
	('VT', 692, 'GMR', 1979, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'HOI', 1993, 'GMR', 1979, '', 0, 'ATR\r'),
	('VT', 692, 'HOI', 1993, 'MKP', 1981, '', 0, 'ATR\r'),
	('VT', 692, 'HUH', 1991, 'BOB', 1989, '', 0, 'ATR\r'),
	('VT', 692, 'HUH', 1991, 'MOZ', 1992, '', 0, 'ATR\r'),
	('VT', 692, 'HUH', 1991, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'HUH', 1991, 'RFP', 1995, '', 0, 'ATR\r'),
	('VT', 692, 'KKR', 1980, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'MAU', 1994, 'BOB', 1989, '', 0, 'ATR\r'),
	('VT', 692, 'MAU', 1994, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'MAU', 1994, 'RFP', 1995, '', 0, 'ATR\r'),
	('VT', 692, 'MKP', 1981, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'MOZ', 1992, 'BOB', 1989, '', 0, 'ATR\r'),
	('VT', 692, 'MOZ', 1992, 'HUH', 1991, '', 0, 'ATR\r'),
	('VT', 692, 'MOZ', 1992, 'PPT', 4075, '', 0, 'ATR DHT\r'),
	('VT', 692, 'MOZ', 1992, 'RFP', 1995, '', 0, 'ATR\r'),
	('VT', 692, 'MVT', 1985, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'MVT', 1985, 'RGI', 1990, '', 0, 'ATR\r'),
	('VT', 692, 'NHV', 1987, 'AUQ', 5890, '', 0, 'ATR DHT\r'),
	('VT', 692, 'NHV', 1987, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'NHV', 1987, 'UAH', 5892, '', 0, 'DHT\r'),
	('VT', 692, 'NHV', 1987, 'UAP', 5891, '', 0, 'DHT\r'),
	('VT', 692, 'PPT', 4075, 'AHE', 5889, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'AUQ', 5890, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'AXR', 1984, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'BOB', 1989, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'FAV', 1977, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'HOI', 1993, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'HUH', 1991, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'MAU', 1994, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'MOZ', 1992, '', 0, 'ATR DHT\r'),
	('VT', 692, 'PPT', 4075, 'MVT', 1985, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'NHV', 1987, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'RAR', 1959, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'RFP', 1995, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'RGI', 1990, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'RMT', 6926, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'RUR', 1971, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'RVV', 7456, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'TIH', 1975, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'TKX', 1986, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'TUB', 1972, '', 0, 'ATR\r'),
	('VT', 692, 'PPT', 4075, 'XMH', 1978, '', 0, 'ATR\r'),
	('VT', 692, 'RAR', 1959, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'RFP', 1995, 'BOB', 1989, '', 0, 'ATR\r'),
	('VT', 692, 'RFP', 1995, 'HUH', 1991, '', 0, 'ATR\r'),
	('VT', 692, 'RFP', 1995, 'MAU', 1994, '', 0, 'ATR\r'),
	('VT', 692, 'RFP', 1995, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'RGI', 1990, 'FAV', 1977, '', 0, 'ATR\r'),
	('VT', 692, 'RGI', 1990, 'MVT', 1985, '', 0, 'ATR\r'),
	('VT', 692, 'RGI', 1990, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'RGI', 1990, 'TIH', 1975, '', 0, 'ATR\r'),
	('VT', 692, 'RGI', 1990, 'XMH', 1978, '', 0, 'ATR\r'),
	('VT', 692, 'RMT', 6926, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'RMT', 6926, 'RUR', 1971, '', 0, 'ATR\r'),
	('VT', 692, 'RUR', 1971, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'RUR', 1971, 'RMT', 6926, '', 0, 'ATR\r'),
	('VT', 692, 'RVV', 7456, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'RVV', 7456, 'TUB', 1972, '', 0, 'ATR\r'),
	('VT', 692, 'TIH', 1975, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'TIH', 1975, 'RGI', 1990, '', 0, 'ATR\r'),
	('VT', 692, 'TKP', 1983, 'TKX', 1986, '', 0, 'ATR\r'),
	('VT', 692, 'TKX', 1986, 'AHE', 5889, '', 0, 'ATR\r'),
	('VT', 692, 'TKX', 1986, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'TKX', 1986, 'TKP', 1983, '', 0, 'ATR\r'),
	('VT', 692, 'TUB', 1972, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'TUB', 1972, 'RUR', 1971, '', 0, 'ATR\r'),
	('VT', 692, 'TUB', 1972, 'RVV', 7456, '', 0, 'ATR\r'),
	('VT', 692, 'UAH', 5892, 'AUQ', 5890, '', 0, 'DHT\r'),
	('VT', 692, 'UAH', 5892, 'NHV', 1987, '', 0, 'DHT\r'),
	('VT', 692, 'UAH', 5892, 'UAP', 5891, '', 0, 'DHT\r'),
	('VT', 692, 'UAP', 5891, 'AUQ', 5890, '', 0, 'DHT\r'),
	('VT', 692, 'UAP', 5891, 'NHV', 1987, '', 0, 'DHT ATR\r'),
	('VT', 692, 'UAP', 5891, 'UAH', 5892, '', 0, 'DHT\r'),
	('VT', 692, 'XMH', 1978, 'AHE', 5889, '', 0, 'ATR\r'),
	('VT', 692, 'XMH', 1978, 'PPT', 4075, '', 0, 'ATR\r'),
	('VT', 692, 'XMH', 1978, 'RGI', 1990, '', 0, 'ATR\r'),
	('VW', 1290, 'ACA', 1783, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'AUS', 3673, 'MEX', 1824, '', 0, 'CRJ\r'),
	('VW', 1290, 'CLQ', 1808, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'CVM', 1798, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'DGO', 1801, 'MEX', 1824, '', 0, 'CRJ\r'),
	('VW', 1290, 'JAL', 5837, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'LZC', 1813, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'MAM', 1818, 'MEX', 1824, '', 0, 'ATR CRJ\r'),
	('VW', 1290, 'MEX', 1824, 'ACA', 1783, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'AUS', 3673, '', 0, 'CRJ\r'),
	('VW', 1290, 'MEX', 1824, 'CLQ', 1808, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'CVM', 1798, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'DGO', 1801, '', 0, 'CRJ\r'),
	('VW', 1290, 'MEX', 1824, 'JAL', 5837, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'LZC', 1813, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'MAM', 1818, '', 0, 'ATR CRJ\r'),
	('VW', 1290, 'MEX', 1824, 'MFE', 3826, '', 0, 'CRJ\r'),
	('VW', 1290, 'MEX', 1824, 'MLM', 1821, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'PAZ', 1830, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'PDS', 1834, '', 0, 'CRJ ATR\r'),
	('VW', 1290, 'MEX', 1824, 'PXM', 1837, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'SLP', 1842, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'TPQ', 1802, '', 0, 'CRJ ATR\r'),
	('VW', 1290, 'MEX', 1824, 'VER', 1854, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'ZIH', 1856, '', 0, 'ATR\r'),
	('VW', 1290, 'MEX', 1824, 'ZLO', 1858, '', 0, 'ATR\r'),
	('VW', 1290, 'MFE', 3826, 'MEX', 1824, '', 0, 'CRJ\r'),
	('VW', 1290, 'MFE', 3826, 'SLP', 1842, '', 0, 'ATR\r'),
	('VW', 1290, 'MLM', 1821, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'PAZ', 1830, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'PAZ', 1830, 'REX', 1839, '', 0, 'ATR\r'),
	('VW', 1290, 'PAZ', 1830, 'VSA', 1853, '', 0, 'ATR\r'),
	('VW', 1290, 'PDS', 1834, 'MEX', 1824, '', 0, 'CRJ ATR\r'),
	('VW', 1290, 'PXM', 1837, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'REX', 1839, 'PAZ', 1830, '', 0, 'ATR\r'),
	('VW', 1290, 'SLP', 1842, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'SLP', 1842, 'MFE', 3826, '', 0, 'ATR\r'),
	('VW', 1290, 'TPQ', 1802, 'MEX', 1824, '', 0, 'CRJ ATR\r'),
	('VW', 1290, 'VER', 1854, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'VSA', 1853, 'PAZ', 1830, '', 0, 'ATR\r'),
	('VW', 1290, 'ZIH', 1856, 'MEX', 1824, '', 0, 'ATR\r'),
	('VW', 1290, 'ZLO', 1858, 'MEX', 1824, '', 0, 'ATR\r'),
	('VX', 5331, 'AUS', 3673, 'SFO', 3469, '', 0, '319\r'),
	('VX', 5331, 'BOS', 3448, 'LAX', 3484, '', 0, '319 320\r'),
	('VX', 5331, 'BOS', 3448, 'SFO', 3469, '', 0, '320\r'),
	('VX', 5331, 'CUN', 1852, 'LAX', 3484, '', 0, '320\r'),
	('VX', 5331, 'CUN', 1852, 'SFO', 3469, '', 0, '320\r'),
	('VX', 5331, 'DCA', 3520, 'SFO', 3469, '', 0, '320\r'),
	('VX', 5331, 'DFW', 3670, 'LAX', 3484, '', 0, '319 320\r'),
	('VX', 5331, 'DFW', 3670, 'SFO', 3469, '', 0, '319 320\r'),
	('VX', 5331, 'EWR', 3494, 'LAX', 3484, '', 0, '320\r'),
	('VX', 5331, 'EWR', 3494, 'SFO', 3469, '', 0, '320\r'),
	('VX', 5331, 'FLL', 3533, 'LAX', 3484, '', 0, '320\r'),
	('VX', 5331, 'FLL', 3533, 'SFO', 3469, '', 0, '320\r'),
	('VX', 5331, 'IAD', 3714, 'LAX', 3484, '', 0, '320 319\r'),
	('VX', 5331, 'IAD', 3714, 'SFO', 3469, '', 0, '319 320\r'),
	('VX', 5331, 'JFK', 3797, 'LAS', 3877, '', 0, '320\r'),
	('VX', 5331, 'JFK', 3797, 'LAX', 3484, '', 0, '320\r'),
	('VX', 5331, 'JFK', 3797, 'SFO', 3469, '', 0, '320\r'),
	('VX', 5331, 'LAS', 3877, 'JFK', 3797, '', 0, '320\r'),
	('VX', 5331, 'LAS', 3877, 'LAX', 3484, '', 0, '320\r'),
	('VX', 5331, 'LAS', 3877, 'SFO', 3469, '', 0, '320 319\r'),
	('VX', 5331, 'LAX', 3484, 'BOS', 3448, '', 0, '320 319\r'),
	('VX', 5331, 'LAX', 3484, 'CUN', 1852, '', 0, '320\r'),
	('VX', 5331, 'LAX', 3484, 'DFW', 3670, '', 0, '319 320\r'),
	('VX', 5331, 'LAX', 3484, 'EWR', 3494, '', 0, '320\r'),
	('VX', 5331, 'LAX', 3484, 'FLL', 3533, '', 0, '320\r'),
	('VX', 5331, 'LAX', 3484, 'IAD', 3714, '', 0, '320 319\r'),
	('VX', 5331, 'LAX', 3484, 'JFK', 3797, '', 0, '320\r'),
	('VX', 5331, 'LAX', 3484, 'LAS', 3877, '', 0, '320\r'),
	('VX', 5331, 'LAX', 3484, 'MCO', 3878, '', 0, '320\r'),
	('VX', 5331, 'LAX', 3484, 'ORD', 3830, '', 0, '320\r'),
	('VX', 5331, 'LAX', 3484, 'PHL', 3752, '', 0, '319 320\r'),
	('VX', 5331, 'LAX', 3484, 'SEA', 3577, '', 0, '319 320\r'),
	('VX', 5331, 'LAX', 3484, 'SFO', 3469, '', 0, '320 319\r'),
	('VX', 5331, 'LAX', 3484, 'SJC', 3748, '', 0, '320\r'),
	('VX', 5331, 'MCO', 3878, 'LAX', 3484, '', 0, '320\r'),
	('VX', 5331, 'MCO', 3878, 'SFO', 3469, '', 0, '320\r'),
	('VX', 5331, 'ORD', 3830, 'LAX', 3484, '', 0, '320\r'),
	('VX', 5331, 'ORD', 3830, 'SFO', 3469, '', 0, '320\r'),
	('VX', 5331, 'PDX', 3720, 'SFO', 3469, '', 0, '320\r'),
	('VX', 5331, 'PHL', 3752, 'LAX', 3484, '', 0, '320 319\r'),
	('VX', 5331, 'PHL', 3752, 'SFO', 3469, '', 0, '319\r'),
	('VX', 5331, 'PVR', 1836, 'SFO', 3469, '', 0, '320\r'),
	('VX', 5331, 'SAN', 3731, 'SFO', 3469, '', 0, '319 320\r'),
	('VX', 5331, 'SEA', 3577, 'LAX', 3484, '', 0, '320 319\r'),
	('VX', 5331, 'SEA', 3577, 'SFO', 3469, '', 0, '319 320\r'),
	('VX', 5331, 'SFO', 3469, 'AUS', 3673, '', 0, '319\r'),
	('VX', 5331, 'SFO', 3469, 'BOS', 3448, '', 0, '320\r'),
	('VX', 5331, 'SFO', 3469, 'CUN', 1852, '', 0, '320\r'),
	('VX', 5331, 'SFO', 3469, 'DCA', 3520, '', 0, '320\r'),
	('VX', 5331, 'SFO', 3469, 'DFW', 3670, '', 0, '320 319\r'),
	('VX', 5331, 'SFO', 3469, 'EWR', 3494, '', 0, '320\r'),
	('VX', 5331, 'SFO', 3469, 'FLL', 3533, '', 0, '320\r'),
	('VX', 5331, 'SFO', 3469, 'IAD', 3714, '', 0, '320 319\r'),
	('VX', 5331, 'SFO', 3469, 'JFK', 3797, '', 0, '320\r'),
	('VX', 5331, 'SFO', 3469, 'LAS', 3877, '', 0, '319 320\r'),
	('VX', 5331, 'SFO', 3469, 'LAX', 3484, '', 0, '320 319\r'),
	('VX', 5331, 'SFO', 3469, 'MCO', 3878, '', 0, '320\r'),
	('VX', 5331, 'SFO', 3469, 'ORD', 3830, '', 0, '320\r'),
	('VX', 5331, 'SFO', 3469, 'PDX', 3720, '', 0, '320\r'),
	('VX', 5331, 'SFO', 3469, 'PHL', 3752, '', 0, '319\r'),
	('VX', 5331, 'SFO', 3469, 'PVR', 1836, '', 0, '320\r'),
	('VX', 5331, 'SFO', 3469, 'SAN', 3731, '', 0, '319 320\r'),
	('VX', 5331, 'SFO', 3469, 'SEA', 3577, '', 0, '320 319\r'),
	('VX', 5331, 'SFO', 3469, 'SJD', 1840, '', 0, '320\r'),
	('VX', 5331, 'SJC', 3748, 'LAX', 3484, '', 0, '320\r'),
	('VX', 5331, 'SJD', 1840, 'SFO', 3469, '', 0, '320\r'),
	('VY', 2439, 'AAL', 628, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'ACE', 1055, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'ACE', 1055, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'AMS', 580, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'CPH', 609, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'CWL', 488, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'DME', 4029, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'FCO', 1555, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'HAJ', 352, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'HAM', 342, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'LPA', 1054, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'LYS', 1335, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'MUC', 346, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'NTE', 1418, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'OVD', 1214, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'SCQ', 1243, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'TFN', 1057, '', 0, '320\r'),
	('VY', 2439, 'AGP', 1230, 'TLS', 1273, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'AMS', 580, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'CPH', 609, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'CWL', 488, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'DME', 4029, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'FCO', 1555, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'IBZ', 1225, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'ORN', 231, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'ALC', 1212, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'ALG', 210, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'AMS', 580, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'AMS', 580, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'AMS', 580, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'AMS', 580, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'AMS', 580, 'IBZ', 1225, '', 0, '320\r'),
	('VY', 2439, 'AMS', 580, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'AMS', 580, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'AMS', 580, 'VLC', 1246, '', 0, '320\r'),
	('VY', 2439, 'ARN', 737, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'ATH', 3941, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'AAL', 628, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'ACE', 1055, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'ALG', 210, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'AMS', 580, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'ARN', 737, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'ATH', 3941, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'BES', 1403, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'BGO', 636, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'BJL', 1050, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'BLQ', 1538, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'BOD', 1264, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'BRI', 1501, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'CDG', 1382, '', 0, '320 319\r'),
	('VY', 2439, 'BCN', 1218, 'CMN', 1074, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'CPH', 609, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'CTA', 1509, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'CWL', 488, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'DBV', 1200, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'DKR', 1084, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'DME', 4029, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'DRS', 338, '', 0, '319 320\r'),
	('VY', 2439, 'BCN', 1218, 'DTM', 373, '', 0, '319\r'),
	('VY', 2439, 'BCN', 1218, 'DUS', 345, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'EAS', 1242, '', 0, '319\r'),
	('VY', 2439, 'BCN', 1218, 'EDI', 535, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'FCO', 1555, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'FEZ', 1066, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'FLR', 1563, '', 0, '319\r'),
	('VY', 2439, 'BCN', 1218, 'FRA', 340, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'FUE', 1051, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'GOA', 1528, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'GOT', 687, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'GRX', 1223, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'HAJ', 352, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'HAM', 342, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'HEL', 421, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'IBZ', 1225, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'IEV', 2944, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'LCG', 1220, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'LED', 2948, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'LEI', 1213, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'LEJ', 348, '', 0, '319 320\r'),
	('VY', 2439, 'BCN', 1218, 'LGW', 502, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'LIL', 1399, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'LIS', 1638, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'LPA', 1054, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'LUX', 629, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'LYS', 1335, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'MAD', 1229, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'MAH', 1231, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'MLA', 1606, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'MRS', 1353, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'MUC', 346, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'MXP', 1524, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'NAP', 1561, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'NCE', 1354, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'NDR', 5673, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'NTE', 1418, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'NUE', 347, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'OPO', 1636, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'ORN', 231, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'ORY', 1386, '', 0, '320 319\r'),
	('VY', 2439, 'BCN', 1218, 'OSL', 644, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'OTP', 1657, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'OVD', 1214, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'PMO', 1512, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'PRG', 1587, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'PSA', 1562, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'RAK', 1075, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'RNS', 1415, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'SCQ', 1243, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'SDR', 1251, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'STR', 350, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'SVG', 666, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'TFN', 1057, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'TFS', 1056, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'TLS', 1273, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'TLV', 1590, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'TNG', 1080, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'TRN', 1526, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'TXL', 351, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'VCE', 1551, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'VGO', 1250, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'VIE', 1613, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'VLL', 1247, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'WAW', 679, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'XRY', 1226, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'ZAG', 1208, '', 0, '320\r'),
	('VY', 2439, 'BCN', 1218, 'ZRH', 1678, '', 0, '319 320\r'),
	('VY', 2439, 'BES', 1403, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'BGO', 636, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'ACE', 1055, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'AMS', 580, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'FUE', 1051, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'IBZ', 1225, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'LCG', 1220, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'LHR', 507, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'LPA', 1054, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'MXP', 1524, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'TFN', 1057, '', 0, '320\r'),
	('VY', 2439, 'BIO', 1216, 'TXL', 351, '', 0, '320\r'),
	('VY', 2439, 'BJL', 1050, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'BLQ', 1538, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'BLQ', 1538, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'BOD', 1264, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'BOD', 1264, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'BRI', 1501, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'BRI', 1501, 'FLR', 1563, '', 0, '319\r'),
	('VY', 2439, 'BRU', 302, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'BRU', 302, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'BRU', 302, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'BRU', 302, 'FCO', 1555, '', 0, '320\r'),
	('VY', 2439, 'BRU', 302, 'IBZ', 1225, '', 0, '320\r'),
	('VY', 2439, 'BRU', 302, 'LIS', 1638, '', 0, '320\r'),
	('VY', 2439, 'BRU', 302, 'OPO', 1636, '', 0, '320\r'),
	('VY', 2439, 'BRU', 302, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'BRU', 302, 'SCQ', 1243, '', 0, '320\r'),
	('VY', 2439, 'BRU', 302, 'VCE', 1551, '', 0, '320\r'),
	('VY', 2439, 'BRU', 302, 'VLC', 1246, '', 0, '320\r'),
	('VY', 2439, 'CAG', 1519, 'FLR', 1563, '', 0, '319\r'),
	('VY', 2439, 'CDG', 1382, 'BCN', 1218, '', 0, '320 319\r'),
	('VY', 2439, 'CDG', 1382, 'MAD', 1229, '', 0, '320\r'),
	('VY', 2439, 'CDG', 1382, 'OVD', 1214, '', 0, '320\r'),
	('VY', 2439, 'CDG', 1382, 'SCQ', 1243, '', 0, '320\r'),
	('VY', 2439, 'CMN', 1074, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'CPH', 609, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'CPH', 609, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'CPH', 609, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'CPH', 609, 'FLR', 1563, '', 0, '319\r'),
	('VY', 2439, 'CTA', 1509, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'CTA', 1509, 'FCO', 1555, '', 0, '320\r'),
	('VY', 2439, 'CTA', 1509, 'FLR', 1563, '', 0, '319\r'),
	('VY', 2439, 'CWL', 488, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'CWL', 488, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'CWL', 488, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'DBV', 1200, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'DKR', 1084, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'DME', 4029, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'DME', 4029, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'DME', 4029, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'DME', 4029, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'DRS', 338, 'BCN', 1218, '', 0, '319 320\r'),
	('VY', 2439, 'DTM', 373, 'BCN', 1218, '', 0, '319\r'),
	('VY', 2439, 'DUS', 345, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'EAS', 1242, 'BCN', 1218, '', 0, '319\r'),
	('VY', 2439, 'EDI', 535, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'FCO', 1555, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'FCO', 1555, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'FCO', 1555, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'FCO', 1555, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'FCO', 1555, 'CTA', 1509, '', 0, '320\r'),
	('VY', 2439, 'FCO', 1555, 'NTE', 1418, '', 0, '320\r'),
	('VY', 2439, 'FCO', 1555, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'FCO', 1555, 'PRG', 1587, '', 0, '320\r'),
	('VY', 2439, 'FCO', 1555, 'VLC', 1246, '', 0, '320\r'),
	('VY', 2439, 'FEZ', 1066, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'FLR', 1563, 'BCN', 1218, '', 0, '319\r'),
	('VY', 2439, 'FLR', 1563, 'BRI', 1501, '', 0, '319\r'),
	('VY', 2439, 'FLR', 1563, 'CAG', 1519, '', 0, '319\r'),
	('VY', 2439, 'FLR', 1563, 'CPH', 609, '', 0, '319\r'),
	('VY', 2439, 'FLR', 1563, 'CTA', 1509, '', 0, '319\r'),
	('VY', 2439, 'FLR', 1563, 'LGW', 502, '', 0, '319\r'),
	('VY', 2439, 'FLR', 1563, 'MAD', 1229, '', 0, '319\r'),
	('VY', 2439, 'FLR', 1563, 'ORY', 1386, '', 0, '319\r'),
	('VY', 2439, 'FLR', 1563, 'PMO', 1512, '', 0, '319\r'),
	('VY', 2439, 'FLR', 1563, 'TXL', 351, '', 0, '319\r'),
	('VY', 2439, 'FRA', 340, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'FUE', 1051, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'FUE', 1051, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'GOA', 1528, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'GOT', 687, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'GRX', 1223, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'GRX', 1223, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'HAJ', 352, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'HAJ', 352, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'HAM', 342, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'HAM', 342, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'HEL', 421, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'IBZ', 1225, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'IBZ', 1225, 'AMS', 580, '', 0, '320\r'),
	('VY', 2439, 'IBZ', 1225, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'IBZ', 1225, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'IBZ', 1225, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'IBZ', 1225, 'MAD', 1229, '', 0, '320\r'),
	('VY', 2439, 'IBZ', 1225, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'IBZ', 1225, 'VLC', 1246, '', 0, '320\r'),
	('VY', 2439, 'IEV', 2944, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'LCG', 1220, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'LCG', 1220, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'LCG', 1220, 'LHR', 507, '', 0, '320\r'),
	('VY', 2439, 'LCG', 1220, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'LED', 2948, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'LEI', 1213, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'LEJ', 348, 'BCN', 1218, '', 0, '319 320\r'),
	('VY', 2439, 'LGW', 502, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'LGW', 502, 'FLR', 1563, '', 0, '319\r'),
	('VY', 2439, 'LHR', 507, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'LHR', 507, 'LCG', 1220, '', 0, '320\r'),
	('VY', 2439, 'LIL', 1399, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'LIS', 1638, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'LIS', 1638, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'LIS', 1638, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'LPA', 1054, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'LPA', 1054, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'LPA', 1054, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'LPA', 1054, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'LPA', 1054, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'LUX', 629, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'LYS', 1335, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'LYS', 1335, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'LYS', 1335, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'LYS', 1335, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'MAD', 1229, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'MAD', 1229, 'CDG', 1382, '', 0, '320\r'),
	('VY', 2439, 'MAD', 1229, 'FLR', 1563, '', 0, '319\r'),
	('VY', 2439, 'MAD', 1229, 'IBZ', 1225, '', 0, '320\r'),
	('VY', 2439, 'MAH', 1231, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'MLA', 1606, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'MRS', 1353, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'MRS', 1353, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'MUC', 346, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'MUC', 346, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'MXP', 1524, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'MXP', 1524, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'NAP', 1561, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'NCE', 1354, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'NDR', 5673, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'NTE', 1418, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'NTE', 1418, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'NTE', 1418, 'FCO', 1555, '', 0, '320\r'),
	('VY', 2439, 'NTE', 1418, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'NUE', 347, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'OPO', 1636, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'OPO', 1636, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'OPO', 1636, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'ORN', 231, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'ORN', 231, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'BCN', 1218, '', 0, '320 319\r'),
	('VY', 2439, 'ORY', 1386, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'BLQ', 1538, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'FCO', 1555, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'FLR', 1563, '', 0, '319\r'),
	('VY', 2439, 'ORY', 1386, 'IBZ', 1225, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'LIS', 1638, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'LPA', 1054, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'OPO', 1636, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'RBA', 1072, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'ORY', 1386, 'VLC', 1246, '', 0, '320\r'),
	('VY', 2439, 'OSL', 644, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'OTP', 1657, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'OVD', 1214, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'OVD', 1214, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'OVD', 1214, 'CDG', 1382, '', 0, '320\r'),
	('VY', 2439, 'OVD', 1214, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'ALC', 1212, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'AMS', 580, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'BOD', 1264, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'DME', 4029, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'GRX', 1223, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'LYS', 1335, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'MRS', 1353, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'PMI', 3998, 'TLS', 1273, '', 0, '320\r'),
	('VY', 2439, 'PMO', 1512, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'PMO', 1512, 'FLR', 1563, '', 0, '319\r'),
	('VY', 2439, 'PRG', 1587, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'PRG', 1587, 'FCO', 1555, '', 0, '320\r'),
	('VY', 2439, 'PSA', 1562, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'RAK', 1075, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'RBA', 1072, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'RNS', 1415, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'SCQ', 1243, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'SCQ', 1243, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'SCQ', 1243, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'SCQ', 1243, 'CDG', 1382, '', 0, '320\r'),
	('VY', 2439, 'SDR', 1251, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'STR', 350, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'SVG', 666, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'AMS', 580, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'LCG', 1220, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'LPA', 1054, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'LYS', 1335, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'NTE', 1418, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'OVD', 1214, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'SVQ', 1253, 'TFN', 1057, '', 0, '320\r'),
	('VY', 2439, 'TFN', 1057, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'TFN', 1057, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'TFN', 1057, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'TFN', 1057, 'SVQ', 1253, '', 0, '320\r'),
	('VY', 2439, 'TFS', 1056, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'TLS', 1273, 'AGP', 1230, '', 0, '320\r'),
	('VY', 2439, 'TLS', 1273, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'TLS', 1273, 'PMI', 3998, '', 0, '320\r'),
	('VY', 2439, 'TLV', 1590, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'TNG', 1080, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'TRN', 1526, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'TXL', 351, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'TXL', 351, 'BIO', 1216, '', 0, '320\r'),
	('VY', 2439, 'TXL', 351, 'FLR', 1563, '', 0, '319\r'),
	('VY', 2439, 'VCE', 1551, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'VCE', 1551, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'VGO', 1250, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'VIE', 1613, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'VLC', 1246, 'AMS', 580, '', 0, '320\r'),
	('VY', 2439, 'VLC', 1246, 'BRU', 302, '', 0, '320\r'),
	('VY', 2439, 'VLC', 1246, 'FCO', 1555, '', 0, '320\r'),
	('VY', 2439, 'VLC', 1246, 'IBZ', 1225, '', 0, '320\r'),
	('VY', 2439, 'VLC', 1246, 'ORY', 1386, '', 0, '320\r'),
	('VY', 2439, 'VLL', 1247, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'WAW', 679, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'XRY', 1226, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'ZAG', 1208, 'BCN', 1218, '', 0, '320\r'),
	('VY', 2439, 'ZRH', 1678, 'BCN', 1218, '', 0, '319 320\r'),
	('W2', 18553, 'AGP', 1230, 'MLN', 1058, '', 0, 'AT4\r'),
	('W2', 18553, 'ALC', 1212, 'KEF', 16, 'Y', 0, '320\r'),
	('W2', 18553, 'ARN', 737, 'BGW', 4130, '', 0, '320\r'),
	('W2', 18553, 'ARN', 737, 'EBL', 3989, 'Y', 0, '320\r'),
	('W2', 18553, 'ARN', 737, 'EVG', 714, 'Y', 0, 'J31\r'),
	('W2', 18553, 'ARN', 737, 'HFS', 5594, 'Y', 0, 'J31\r'),
	('W2', 18553, 'ARN', 737, 'ISU', 5952, 'Y', 0, '320\r'),
	('W2', 18553, 'ARN', 737, 'KID', 703, 'Y', 0, 'ER4\r'),
	('W2', 18553, 'ARN', 737, 'MXX', 698, 'Y', 0, 'J31\r'),
	('W2', 18553, 'BGW', 4130, 'ARN', 737, '', 0, '320\r'),
	('W2', 18553, 'BRE', 353, 'FMO', 341, '', 0, 'J32\r'),
	('W2', 18553, 'BRE', 353, 'ZRH', 1678, '', 0, 'J32\r'),
	('W2', 18553, 'CDG', 1382, 'KEF', 16, 'Y', 0, '320\r'),
	('W2', 18553, 'CPH', 609, 'KEF', 16, 'Y', 0, '320\r'),
	('W2', 18553, 'EBL', 3989, 'ARN', 737, 'Y', 0, '320\r'),
	('W2', 18553, 'EBL', 3989, 'GOT', 687, 'Y', 0, '320\r'),
	('W2', 18553, 'EVG', 714, 'ARN', 737, 'Y', 0, 'J31\r'),
	('W2', 18553, 'EVG', 714, 'MXX', 698, 'Y', 0, 'J31\r'),
	('W2', 18553, 'FMO', 341, 'BRE', 353, '', 0, 'J32\r'),
	('W2', 18553, 'FMO', 341, 'STR', 350, '', 0, 'J32\r'),
	('W2', 18553, 'FMO', 341, 'ZRH', 1678, '', 0, 'J32\r'),
	('W2', 18553, 'GOT', 687, 'EBL', 3989, 'Y', 0, '320\r'),
	('W2', 18553, 'HEL', 421, 'POR', 448, 'Y', 0, 'SF3\r'),
	('W2', 18553, 'HER', 1452, 'RIX', 3953, '', 0, '320\r'),
	('W2', 18553, 'HER', 1452, 'TLL', 415, 'Y', 0, '320\r'),
	('W2', 18553, 'HER', 1452, 'VNO', 3959, 'Y', 0, '320\r'),
	('W2', 18553, 'HFS', 5594, 'ARN', 737, 'Y', 0, 'J31\r'),
	('W2', 18553, 'HFS', 5594, 'TYF', 5596, 'Y', 0, 'J31\r'),
	('W2', 18553, 'ISU', 5952, 'ARN', 737, 'Y', 0, '320\r'),
	('W2', 18553, 'KEF', 16, 'ALC', 1212, 'Y', 0, '320\r'),
	('W2', 18553, 'KEF', 16, 'CDG', 1382, 'Y', 0, '320\r'),
	('W2', 18553, 'KEF', 16, 'CPH', 609, 'Y', 0, '320\r'),
	('W2', 18553, 'KEF', 16, 'LGW', 502, 'Y', 0, '320\r'),
	('W2', 18553, 'KEF', 16, 'SXF', 337, 'Y', 0, '320\r'),
	('W2', 18553, 'KID', 703, 'ARN', 737, 'Y', 0, 'ER4\r'),
	('W2', 18553, 'LGW', 502, 'KEF', 16, 'Y', 0, '320\r'),
	('W2', 18553, 'LLA', 734, 'PJA', 6737, 'Y', 0, 'J31\r'),
	('W2', 18553, 'MHG', 356, 'TXL', 351, '', 0, 'D38\r'),
	('W2', 18553, 'MLN', 1058, 'AGP', 1230, '', 0, 'AT4\r'),
	('W2', 18553, 'MXX', 698, 'ARN', 737, 'Y', 0, 'J31\r'),
	('W2', 18553, 'MXX', 698, 'EVG', 714, 'Y', 0, 'J31\r'),
	('W2', 18553, 'PJA', 6737, 'LLA', 734, 'Y', 0, 'J31\r'),
	('W2', 18553, 'PJA', 6737, 'TLL', 415, 'Y', 0, 'J31\r'),
	('W2', 18553, 'POR', 448, 'HEL', 421, 'Y', 0, 'SF3\r'),
	('W2', 18553, 'RIX', 3953, 'HER', 1452, '', 0, '320\r'),
	('W2', 18553, 'RIX', 3953, 'TFS', 1056, 'Y', 0, '320\r'),
	('W2', 18553, 'STR', 350, 'FMO', 341, '', 0, 'J32\r'),
	('W2', 18553, 'SXF', 337, 'KEF', 16, 'Y', 0, '320\r'),
	('W2', 18553, 'TFS', 1056, 'RIX', 3953, 'Y', 0, '320\r'),
	('W2', 18553, 'TLL', 415, 'HER', 1452, 'Y', 0, '320\r'),
	('W2', 18553, 'TLL', 415, 'PJA', 6737, 'Y', 0, 'J31\r'),
	('W2', 18553, 'TLL', 415, 'TYF', 5596, 'Y', 0, 'J31\r'),
	('W2', 18553, 'TLL', 415, 'URE', 413, 'Y', 0, 'J31\r'),
	('W2', 18553, 'TLV', 1590, 'VIN', 8209, '', 0, '320\r'),
	('W2', 18553, 'TXL', 351, 'MHG', 356, '', 0, 'D38\r'),
	('W2', 18553, 'TYF', 5596, 'HFS', 5594, 'Y', 0, 'J31\r'),
	('W2', 18553, 'TYF', 5596, 'TLL', 415, 'Y', 0, 'J31\r'),
	('W2', 18553, 'URE', 413, 'TLL', 415, 'Y', 0, 'J31\r'),
	('W2', 18553, 'VIN', 8209, 'TLV', 1590, '', 0, '320\r'),
	('W2', 18553, 'VNO', 3959, 'HER', 1452, 'Y', 0, '320\r'),
	('W2', 18553, 'ZRH', 1678, 'BRE', 353, '', 0, 'J32\r'),
	('W2', 18553, 'ZRH', 1678, 'FMO', 341, '', 0, 'J32\r'),
	('W3', 407, 'ABJ', 253, 'LOS', 273, '', 0, 'CR9\r'),
	('W3', 407, 'ABV', 260, 'ACC', 248, '', 0, 'CR9\r'),
	('W3', 407, 'ABV', 260, 'BNI', 262, '', 0, 'CR9 73G\r'),
	('W3', 407, 'ABV', 260, 'CBQ', 263, '', 0, '73G\r'),
	('W3', 407, 'ABV', 260, 'ENU', 264, '', 0, '73G\r'),
	('W3', 407, 'ABV', 260, 'IBA', 266, '', 0, 'DH4\r'),
	('W3', 407, 'ABV', 260, 'ILR', 267, '', 0, 'CR9\r'),
	('W3', 407, 'ABV', 260, 'KAN', 270, '', 0, 'CR9 DH4\r'),
	('W3', 407, 'ABV', 260, 'LOS', 273, '', 0, '738 CR9 73G\r'),
	('W3', 407, 'ABV', 260, 'PHC', 275, '', 0, '73G\r'),
	('W3', 407, 'ABV', 260, 'QOW', 6730, '', 0, '73G DH4\r'),
	('W3', 407, 'ABV', 260, 'QRW', 6972, '', 0, 'DH4\r'),
	('W3', 407, 'ABV', 260, 'SKO', 276, '', 0, 'CR9 73G\r'),
	('W3', 407, 'ABV', 260, 'YOL', 277, '', 0, 'CR9 73G\r'),
	('W3', 407, 'ACC', 248, 'ABV', 260, '', 0, 'CR9\r'),
	('W3', 407, 'ACC', 248, 'DKR', 1084, '', 0, 'CR9\r'),
	('W3', 407, 'ACC', 248, 'LOS', 273, '', 0, '73G 738\r'),
	('W3', 407, 'ACC', 248, 'ROB', 1063, '', 0, '73G\r'),
	('W3', 407, 'BJL', 1050, 'FNA', 1059, '', 0, '73G\r'),
	('W3', 407, 'BNI', 262, 'ABV', 260, '', 0, 'CR9 73G\r'),
	('W3', 407, 'BNI', 262, 'LOS', 273, '', 0, '73G\r'),
	('W3', 407, 'CBQ', 263, 'ABV', 260, '', 0, '73G\r'),
	('W3', 407, 'CBQ', 263, 'LOS', 273, '', 0, '73G CR9\r'),
	('W3', 407, 'COO', 245, 'DKR', 1084, '', 0, '73G CR9\r'),
	('W3', 407, 'COO', 245, 'DLA', 897, '', 0, 'CR9\r'),
	('W3', 407, 'COO', 245, 'LOS', 273, '', 0, 'CR9 73G\r'),
	('W3', 407, 'DKR', 1084, 'ACC', 248, '', 0, 'CR9\r'),
	('W3', 407, 'DKR', 1084, 'COO', 245, '', 0, 'CR9 73G\r'),
	('W3', 407, 'DLA', 897, 'COO', 245, '', 0, 'CR9\r'),
	('W3', 407, 'ENU', 264, 'ABV', 260, '', 0, '73G\r'),
	('W3', 407, 'ENU', 264, 'LOS', 273, '', 0, '73G\r'),
	('W3', 407, 'FNA', 1059, 'BJL', 1050, '', 0, '73G\r'),
	('W3', 407, 'FNA', 1059, 'LOS', 273, '', 0, '73G\r'),
	('W3', 407, 'IBA', 266, 'ABV', 260, '', 0, 'DH4\r'),
	('W3', 407, 'ILR', 267, 'ABV', 260, '', 0, 'CR9\r'),
	('W3', 407, 'JFK', 3797, 'LOS', 273, 'Y', 0, '345\r'),
	('W3', 407, 'JNB', 813, 'LOS', 273, '', 0, '332\r'),
	('W3', 407, 'JOS', 268, 'LOS', 273, '', 0, '73G\r'),
	('W3', 407, 'KAD', 269, 'LOS', 273, '', 0, 'CR9\r'),
	('W3', 407, 'KAN', 270, 'ABV', 260, '', 0, 'DH4\r'),
	('W3', 407, 'KAN', 270, 'LOS', 273, '', 0, 'CR9\r'),
	('W3', 407, 'LHR', 507, 'LOS', 273, 'Y', 0, '332\r'),
	('W3', 407, 'LOS', 273, 'ABJ', 253, '', 0, 'CR9\r'),
	('W3', 407, 'LOS', 273, 'ABV', 260, '', 0, '738 73G\r'),
	('W3', 407, 'LOS', 273, 'ACC', 248, '', 0, '73G 738\r'),
	('W3', 407, 'LOS', 273, 'BNI', 262, '', 0, '73G\r'),
	('W3', 407, 'LOS', 273, 'CBQ', 263, '', 0, '73G\r'),
	('W3', 407, 'LOS', 273, 'COO', 245, '', 0, 'CR9 73G\r'),
	('W3', 407, 'LOS', 273, 'ENU', 264, '', 0, '73G\r'),
	('W3', 407, 'LOS', 273, 'FNA', 1059, '', 0, '73G\r'),
	('W3', 407, 'LOS', 273, 'JFK', 3797, 'Y', 0, '345\r'),
	('W3', 407, 'LOS', 273, 'JNB', 813, '', 0, '332\r'),
	('W3', 407, 'LOS', 273, 'JOS', 268, '', 0, '73G\r'),
	('W3', 407, 'LOS', 273, 'KAD', 269, '', 0, 'CR9\r'),
	('W3', 407, 'LOS', 273, 'KAN', 270, '', 0, 'DH4 CR9\r'),
	('W3', 407, 'LOS', 273, 'LHR', 507, 'Y', 0, '332\r'),
	('W3', 407, 'LOS', 273, 'PHC', 275, '', 0, '73G 738\r'),
	('W3', 407, 'LOS', 273, 'QOW', 6730, '', 0, '73G CR9 DH4\r'),
	('W3', 407, 'LOS', 273, 'QRW', 6972, '', 0, 'DH4\r'),
	('W3', 407, 'PHC', 275, 'ABV', 260, '', 0, '73G\r'),
	('W3', 407, 'PHC', 275, 'LOS', 273, '', 0, '73G 738\r'),
	('W3', 407, 'QOW', 6730, 'ABV', 260, '', 0, '73G DH4\r'),
	('W3', 407, 'QOW', 6730, 'LOS', 273, '', 0, '73G CR9 DH4\r'),
	('W3', 407, 'QRW', 6972, 'ABV', 260, '', 0, 'DH4\r'),
	('W3', 407, 'QRW', 6972, 'LOS', 273, '', 0, 'DH4\r'),
	('W3', 407, 'ROB', 1063, 'ACC', 248, '', 0, '738\r'),
	('W3', 407, 'SKO', 276, 'ABV', 260, '', 0, 'CR9 73G\r'),
	('W3', 407, 'YOL', 277, 'ABV', 260, '', 0, 'CR9 73G\r'),
	('W4', 16660, 'ANS', 2787, 'LIM', 2789, '', 0, 'DH8\r'),
	('W4', 16660, 'ATA', 2788, 'LIM', 2789, '', 0, 'DH8\r'),
	('W4', 16660, 'AYP', 2786, 'LIM', 2789, '', 0, 'DH8\r'),
	('W4', 16660, 'CJA', 6066, 'LIM', 2789, '', 0, 'DH8\r'),
	('W4', 16660, 'HUU', 6067, 'LIM', 2789, '', 0, 'DH8\r'),
	('W4', 16660, 'LIM', 2789, 'ANS', 2787, '', 0, 'DH8\r'),
	('W4', 16660, 'LIM', 2789, 'ATA', 2788, '', 0, 'DH8\r'),
	('W4', 16660, 'LIM', 2789, 'AYP', 2786, '', 0, 'DH8\r'),
	('W4', 16660, 'LIM', 2789, 'CJA', 6066, '', 0, 'DH8\r'),
	('W4', 16660, 'LIM', 2789, 'HUU', 6067, '', 0, 'DH8\r'),
	('W5', 3370, 'ALA', 2908, 'IKA', 4330, '', 0, '313\r'),
	('W5', 3370, 'BKK', 3885, 'IKA', 4330, '', 0, '313\r'),
	('W5', 3370, 'CAN', 3370, 'IKA', 4330, '', 0, '313\r'),
	('W5', 3370, 'DEL', 3093, 'IKA', 4330, '', 0, 'AB6\r'),
	('W5', 3370, 'DUS', 345, 'IKA', 4330, '', 0, '313\r'),
	('W5', 3370, 'DXB', 2188, 'IKA', 4330, '', 0, 'AB6\r'),
	('W5', 3370, 'EBL', 3989, 'IKA', 4330, '', 0, '313\r'),
	('W5', 3370, 'ESB', 1682, 'IKA', 4330, '', 0, '313\r'),
	('W5', 3370, 'IKA', 4330, 'ALA', 2908, '', 0, '313\r'),
	('W5', 3370, 'IKA', 4330, 'BKK', 3885, '', 0, '313\r'),
	('W5', 3370, 'IKA', 4330, 'CAN', 3370, '', 0, '313\r'),
	('W5', 3370, 'IKA', 4330, 'DEL', 3093, '', 0, 'AB6\r'),
	('W5', 3370, 'IKA', 4330, 'DUS', 345, '', 0, '313\r'),
	('W5', 3370, 'IKA', 4330, 'DXB', 2188, '', 0, 'AB6\r'),
	('W5', 3370, 'IKA', 4330, 'EBL', 3989, '', 0, '313\r'),
	('W5', 3370, 'IKA', 4330, 'ESB', 1682, '', 0, '313\r'),
	('W5', 3370, 'IKA', 4330, 'IST', 1701, '', 0, 'AB6\r'),
	('W5', 3370, 'IKA', 4330, 'KUL', 3304, '', 0, '313\r'),
	('W5', 3370, 'IKA', 4330, 'NJF', 7490, '', 0, '313\r'),
	('W5', 3370, 'IKA', 4330, 'PVG', 3406, '', 0, '313\r'),
	('W5', 3370, 'IST', 1701, 'IKA', 4330, '', 0, 'AB6\r'),
	('W5', 3370, 'KUL', 3304, 'IKA', 4330, '', 0, '313\r'),
	('W5', 3370, 'NJF', 7490, 'IKA', 4330, '', 0, '313\r'),
	('W5', 3370, 'PVG', 3406, 'IKA', 4330, '', 0, '313\r'),
	('W6', 5461, 'AES', 630, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'AES', 630, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'AGP', 1230, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'AHO', 1517, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'ARW', 1647, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'BCN', 1218, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'BCN', 1218, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'BCN', 1218, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'BCN', 1218, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'BCN', 1218, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'BCN', 1218, 'POZ', 674, '', 0, '320\r'),
	('W6', 5461, 'BCN', 1218, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'BCN', 1218, 'TSR', 1663, '', 0, '320\r'),
	('W6', 5461, 'BCN', 1218, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'BCN', 1218, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'CRL', 304, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'FMM', 3986, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'GSE', 691, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'LCA', 1197, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'MLH', 1423, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'MMX', 708, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'NYO', 699, '', 0, '320\r'),
	('W6', 5461, 'BEG', 1739, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'BGO', 636, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'BGO', 636, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'BGO', 636, 'RIX', 3953, '', 0, '320\r'),
	('W6', 5461, 'BGO', 636, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'ARW', 1647, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'CRA', 1654, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'PRG', 1587, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'TSR', 1663, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'BGY', 1525, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'BLQ', 1538, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'BLQ', 1538, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'BLQ', 1538, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'BLQ', 1538, 'TSR', 1663, '', 0, '320\r'),
	('W6', 5461, 'BOJ', 1191, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'BRI', 1501, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'BRI', 1501, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'BRI', 1501, 'PRG', 1587, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'AGP', 1230, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'BCN', 1218, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'BRI', 1501, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'CRL', 304, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'CTA', 1509, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'DWC', 8076, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'FCO', 1555, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'GSE', 691, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'GYD', 2922, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'HHN', 355, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'IEV', 2944, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'LCA', 1197, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'MAD', 1229, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'MLA', 1606, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'MMX', 708, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'MXP', 1524, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'NAP', 1561, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'NYO', 699, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'SAW', 4317, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'SKG', 1486, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'TLV', 1590, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'VKO', 2988, '', 0, '320\r'),
	('W6', 5461, 'BUD', 1489, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'POZ', 674, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'TGM', 1662, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'TSR', 1663, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'BVA', 1367, 'WRO', 680, '', 0, '320\r'),
	('W6', 5461, 'CGN', 344, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'CGN', 344, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'CGN', 344, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'CIA', 1553, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'CIA', 1553, 'KIV', 1735, '', 0, '320\r'),
	('W6', 5461, 'CIA', 1553, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'CIA', 1553, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'CIA', 1553, 'TSR', 1663, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'BCN', 1218, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'BLQ', 1538, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'CIA', 1553, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'CRL', 304, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'MAD', 1229, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'TLV', 1590, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'TSF', 1539, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'VLC', 1246, '', 0, '320\r'),
	('W6', 5461, 'CLJ', 1652, 'ZAZ', 1252, '', 0, '320\r'),
	('W6', 5461, 'CRA', 1654, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'CRA', 1654, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'CRL', 304, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'CRL', 304, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'CRL', 304, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'CRL', 304, 'LJU', 1569, '', 0, '320\r'),
	('W6', 5461, 'CRL', 304, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'CRL', 304, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'CRL', 304, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'CRL', 304, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'CTA', 1509, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'CTA', 1509, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'CUF', 1534, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'DEB', 1490, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'DEB', 1490, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'DSA', 5562, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'DSA', 5562, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'DSA', 5562, 'POZ', 674, '', 0, '320\r'),
	('W6', 5461, 'DSA', 5562, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'DSA', 5562, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'DSA', 5562, 'WRO', 680, '', 0, '320\r'),
	('W6', 5461, 'DTM', 373, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'DTM', 373, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'DTM', 373, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'DTM', 373, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'DTM', 373, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'DTM', 373, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'DTM', 373, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'DTM', 373, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'DTM', 373, 'TSR', 1663, '', 0, '320\r'),
	('W6', 5461, 'DTM', 373, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'DWC', 8076, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'DWC', 8076, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'DWC', 8076, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'DEB', 1490, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'RIX', 3953, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'EIN', 585, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'FCO', 1555, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'FCO', 1555, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'FCO', 1555, 'PRG', 1587, '', 0, '320\r'),
	('W6', 5461, 'FCO', 1555, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'FCO', 1555, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'FCO', 1555, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'FMM', 3986, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'FMM', 3986, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'AES', 630, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'BCN', 1218, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'BGO', 636, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'CGN', 344, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'DSA', 5562, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'FCO', 1555, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'GLA', 534, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'GSE', 691, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'HAU', 645, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'KRS', 638, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'LBC', 364, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'LPL', 491, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'MMX', 708, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'NYO', 699, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'SVG', 666, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'TKU', 460, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'TRD', 665, '', 0, '320\r'),
	('W6', 5461, 'GDN', 668, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'GLA', 534, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'GLA', 534, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'GSE', 691, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'GSE', 691, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'GSE', 691, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'GSE', 691, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'GSE', 691, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'GVA', 1665, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'GYD', 2922, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'HAU', 645, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'HHN', 355, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'HHN', 355, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'HHN', 355, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'HHN', 355, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'HRK', 6105, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'IEV', 2944, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'IEV', 2944, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'KIV', 1735, 'CIA', 1553, '', 0, '320\r'),
	('W6', 5461, 'KIV', 1735, 'TSF', 1539, '', 0, '320\r'),
	('W6', 5461, 'KRS', 638, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'KSC', 1746, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'BCN', 1218, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'BGO', 636, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'CGN', 344, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'CIA', 1553, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'DSA', 5562, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'HHN', 355, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'KUT', 3972, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'MMX', 708, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'NAP', 1561, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'NYO', 699, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'SVG', 666, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'TLV', 1590, '', 0, '320\r'),
	('W6', 5461, 'KTW', 671, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'KUT', 3972, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'KUT', 3972, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'KUT', 3972, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'LBC', 364, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'LCA', 1197, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'LCA', 1197, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'LCA', 1197, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'LCA', 1197, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'LJU', 1569, 'CRL', 304, '', 0, '320\r'),
	('W6', 5461, 'LJU', 1569, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'LPL', 491, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'LPL', 491, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'BOJ', 1191, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'CRA', 1654, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'DEB', 1490, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'IEV', 2944, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'KSC', 1746, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'LJU', 1569, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'LUZ', 8832, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'POZ', 674, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'PRG', 1587, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'RIX', 3953, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'TGM', 1662, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'TSR', 1663, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'VAR', 1196, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'LTN', 492, 'WRO', 680, '', 0, '320\r'),
	('W6', 5461, 'LUZ', 8832, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'LUZ', 8832, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'MAD', 1229, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'MAD', 1229, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'MAD', 1229, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'MAD', 1229, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'MAD', 1229, 'TSR', 1663, '', 0, '320\r'),
	('W6', 5461, 'MLA', 1606, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'MLH', 1423, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'MLH', 1423, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'MMX', 708, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'MMX', 708, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'MMX', 708, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'MMX', 708, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'MMX', 708, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'MMX', 708, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'MXP', 1524, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'MXP', 1524, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'NAP', 1561, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'NAP', 1561, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'NAP', 1561, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'NAP', 1561, 'PRG', 1587, '', 0, '320\r'),
	('W6', 5461, 'NYO', 699, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'NYO', 699, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'NYO', 699, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'NYO', 699, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'NYO', 699, 'POZ', 674, '', 0, '320\r'),
	('W6', 5461, 'NYO', 699, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'NYO', 699, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'AHO', 1517, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'BCN', 1218, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'BLQ', 1538, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'BRI', 1501, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'CIA', 1553, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'CRL', 304, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'CTA', 1509, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'CUF', 1534, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'DWC', 8076, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'GVA', 1665, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'LCA', 1197, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'MAD', 1229, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'MXP', 1524, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'NAP', 1561, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'PEG', 1567, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'PSA', 1562, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'TLV', 1590, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'TSF', 1539, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'VLC', 1246, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'VRN', 1550, '', 0, '320\r'),
	('W6', 5461, 'OTP', 1657, 'ZAZ', 1252, '', 0, '320\r'),
	('W6', 5461, 'PEG', 1567, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'POZ', 674, 'BCN', 1218, '', 0, '320\r'),
	('W6', 5461, 'POZ', 674, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'POZ', 674, 'DSA', 5562, '', 0, '320\r'),
	('W6', 5461, 'POZ', 674, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'POZ', 674, 'NYO', 699, '', 0, '320\r'),
	('W6', 5461, 'POZ', 674, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'PRG', 1587, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'PRG', 1587, 'BRI', 1501, '', 0, '320\r'),
	('W6', 5461, 'PRG', 1587, 'FCO', 1555, '', 0, '320\r'),
	('W6', 5461, 'PRG', 1587, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'PRG', 1587, 'NAP', 1561, '', 0, '320\r'),
	('W6', 5461, 'PRG', 1587, 'TLV', 1590, '', 0, '320\r'),
	('W6', 5461, 'PRG', 1587, 'TSF', 1539, '', 0, '320\r'),
	('W6', 5461, 'PSA', 1562, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'RIX', 3953, 'BGO', 636, '', 0, '320\r'),
	('W6', 5461, 'RIX', 3953, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'RIX', 3953, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'RIX', 3953, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'SAW', 4317, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'SKG', 1486, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'CGN', 344, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'CRL', 304, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'FMM', 3986, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'GSE', 691, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'HHN', 355, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'MLH', 1423, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'MMX', 708, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'NYO', 699, '', 0, '320\r'),
	('W6', 5461, 'SKP', 1737, 'TSF', 1539, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'BCN', 1218, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'BLQ', 1538, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'CRL', 304, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'DWC', 8076, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'FCO', 1555, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'HHN', 355, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'LCA', 1197, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'MAD', 1229, '', 0, '320\r'),
	('W6', 5461, 'SOF', 1194, 'VLC', 1246, '', 0, '320\r'),
	('W6', 5461, 'SVG', 666, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'SVG', 666, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'SVG', 666, 'SZZ', 676, '', 0, '320\r'),
	('W6', 5461, 'SVG', 666, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'SZZ', 676, 'SVG', 666, '', 0, '320\r'),
	('W6', 5461, 'SZZ', 676, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'TGM', 1662, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'TGM', 1662, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'TGM', 1662, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'TKU', 460, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'TLV', 1590, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'TLV', 1590, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'TLV', 1590, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'TLV', 1590, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'TLV', 1590, 'PRG', 1587, '', 0, '320\r'),
	('W6', 5461, 'TLV', 1590, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'TLV', 1590, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'TRD', 665, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'BEG', 1739, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'GDN', 668, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'KTW', 671, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'LUZ', 8832, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'POZ', 674, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'RIX', 3953, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'SZZ', 676, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'VNO', 3959, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'WAW', 679, '', 0, '320\r'),
	('W6', 5461, 'TRF', 664, 'WRO', 680, '', 0, '320\r'),
	('W6', 5461, 'TSF', 1539, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'TSF', 1539, 'KIV', 1735, '', 0, '320\r'),
	('W6', 5461, 'TSF', 1539, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'TSF', 1539, 'PRG', 1587, '', 0, '320\r'),
	('W6', 5461, 'TSF', 1539, 'SKP', 1737, '', 0, '320\r'),
	('W6', 5461, 'TSF', 1539, 'TSR', 1663, '', 0, '320\r'),
	('W6', 5461, 'TSR', 1663, 'BCN', 1218, '', 0, '320\r'),
	('W6', 5461, 'TSR', 1663, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'TSR', 1663, 'BLQ', 1538, '', 0, '320\r'),
	('W6', 5461, 'TSR', 1663, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'TSR', 1663, 'CIA', 1553, '', 0, '320\r'),
	('W6', 5461, 'TSR', 1663, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'TSR', 1663, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'TSR', 1663, 'MAD', 1229, '', 0, '320\r'),
	('W6', 5461, 'TSR', 1663, 'TSF', 1539, '', 0, '320\r'),
	('W6', 5461, 'TSR', 1663, 'VLC', 1246, '', 0, '320\r'),
	('W6', 5461, 'VAR', 1196, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'VKO', 2988, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'VLC', 1246, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'VLC', 1246, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'VLC', 1246, 'SOF', 1194, '', 0, '320\r'),
	('W6', 5461, 'VLC', 1246, 'TSR', 1663, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'AES', 630, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'BCN', 1218, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'BGO', 636, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'DSA', 5562, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'DTM', 373, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'FCO', 1555, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'KUT', 3972, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'SVG', 666, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'TLV', 1590, '', 0, '320\r'),
	('W6', 5461, 'VNO', 3959, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'VRN', 1550, 'OTP', 1657, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'BCN', 1218, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'BGY', 1525, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'BUD', 1489, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'CRL', 304, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'DSA', 5562, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'EIN', 585, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'FCO', 1555, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'GLA', 534, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'GSE', 691, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'HRK', 6105, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'KUT', 3972, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'LPL', 491, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'MMX', 708, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'NYO', 699, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'TLV', 1590, '', 0, '320\r'),
	('W6', 5461, 'WAW', 679, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'WRO', 680, 'BVA', 1367, '', 0, '320\r'),
	('W6', 5461, 'WRO', 680, 'DSA', 5562, '', 0, '320\r'),
	('W6', 5461, 'WRO', 680, 'LTN', 492, '', 0, '320\r'),
	('W6', 5461, 'WRO', 680, 'TRF', 664, '', 0, '320\r'),
	('W6', 5461, 'ZAZ', 1252, 'CLJ', 1652, '', 0, '320\r'),
	('W6', 5461, 'ZAZ', 1252, 'OTP', 1657, '', 0, '320\r'),
	('W9', 970, 'AKY', 3235, 'RGN', 3239, '', 0, 'AT7\r'),
	('W9', 970, 'CNX', 3931, 'RGN', 3239, '', 0, 'AT7\r'),
	('W9', 970, 'HEH', 3213, 'MDL', 3222, '', 0, 'AT7\r'),
	('W9', 970, 'HEH', 3213, 'RGN', 3239, '', 0, 'AT7\r'),
	('W9', 970, 'HEH', 3213, 'THL', 3237, '', 0, 'AT7\r'),
	('W9', 970, 'KET', 3215, 'RGN', 3239, '', 0, 'AT7\r'),
	('W9', 970, 'KYP', 3217, 'RGN', 3239, '', 0, 'AT7\r'),
	('W9', 970, 'MDL', 3222, 'HEH', 3213, '', 0, 'AT7\r'),
	('W9', 970, 'MDL', 3222, 'MYT', 3224, '', 0, 'AT7\r'),
	('W9', 970, 'MDL', 3222, 'NYU', 4001, '', 0, 'AT7\r'),
	('W9', 970, 'MDL', 3222, 'RGN', 3239, '', 0, 'AT7\r'),
	('W9', 970, 'MYT', 3224, 'MDL', 3222, '', 0, 'AT7\r'),
	('W9', 970, 'MYT', 3224, 'PBU', 3232, '', 0, 'AT7\r'),
	('W9', 970, 'MYT', 3224, 'RGN', 3239, '', 0, 'AT7\r'),
	('W9', 970, 'NYU', 4001, 'HEH', 3213, '', 0, 'AT7\r'),
	('W9', 970, 'NYU', 4001, 'MDL', 3222, '', 0, 'AT7\r'),
	('W9', 970, 'NYU', 4001, 'RGN', 3239, '', 0, 'AT7\r'),
	('W9', 970, 'PBU', 3232, 'MYT', 3224, '', 0, 'AT7\r'),
	('W9', 970, 'RGN', 3239, 'AKY', 3235, '', 0, 'AT7\r'),
	('W9', 970, 'RGN', 3239, 'CNX', 3931, '', 0, 'AT7\r'),
	('W9', 970, 'RGN', 3239, 'HEH', 3213, '', 0, 'AT7\r'),
	('W9', 970, 'RGN', 3239, 'KYP', 3217, '', 0, 'AT7\r'),
	('W9', 970, 'RGN', 3239, 'MDL', 3222, '', 0, 'AT7\r'),
	('W9', 970, 'RGN', 3239, 'MYT', 3224, '', 0, 'AT7\r'),
	('W9', 970, 'RGN', 3239, 'NYU', 4001, '', 0, 'AT7\r'),
	('W9', 970, 'RGN', 3239, 'THL', 3237, '', 0, 'AT7\r'),
	('W9', 970, 'THL', 3237, 'HEH', 3213, '', 0, 'AT7\r'),
	('W9', 970, 'THL', 3237, 'KET', 3215, '', 0, 'AT7\r'),
	('W9', 970, 'THL', 3237, 'RGN', 3239, '', 0, 'AT7\r'),
	('WB', 4292, 'ACC', 248, 'LOS', 273, '', 0, '738\r'),
	('WB', 4292, 'BJM', 1120, 'KGL', 1165, '', 0, 'DH4\r'),
	('WB', 4292, 'BRU', 302, 'KGL', 1165, '', 0, '332\r'),
	('WB', 4292, 'BZV', 883, 'DLA', 897, '', 0, '73W\r'),
	('WB', 4292, 'BZV', 883, 'KGL', 1165, '', 0, '73W\r'),
	('WB', 4292, 'DAR', 1177, 'JRO', 1180, '', 0, 'CRJ\r'),
	('WB', 4292, 'DAR', 1177, 'KGL', 1165, '', 0, 'CRJ\r'),
	('WB', 4292, 'DLA', 897, 'BZV', 883, '', 0, '73W\r'),
	('WB', 4292, 'DLA', 897, 'LBV', 970, '', 0, '738 73W\r'),
	('WB', 4292, 'DXB', 2188, 'KGL', 1165, '', 0, '738\r'),
	('WB', 4292, 'DXB', 2188, 'MBA', 1145, '', 0, '738\r'),
	('WB', 4292, 'EBB', 1187, 'KGL', 1165, '', 0, 'CRJ 738 DH4\r'),
	('WB', 4292, 'IST', 1701, 'KGL', 1165, '', 0, '739\r'),
	('WB', 4292, 'JNB', 813, 'KGL', 1165, '', 0, '73W\r'),
	('WB', 4292, 'JRO', 1180, 'DAR', 1177, '', 0, 'CRJ\r'),
	('WB', 4292, 'JRO', 1180, 'KGL', 1165, '', 0, 'CRJ\r'),
	('WB', 4292, 'JUB', 1173, 'KGL', 1165, '', 0, 'CRJ\r'),
	('WB', 4292, 'KGL', 1165, 'BJM', 1120, '', 0, 'DH4\r'),
	('WB', 4292, 'KGL', 1165, 'BRU', 302, 'Y', 0, '332\r'),
	('WB', 4292, 'KGL', 1165, 'BZV', 883, '', 0, '73W\r'),
	('WB', 4292, 'KGL', 1165, 'DAR', 1177, '', 0, 'CRJ\r'),
	('WB', 4292, 'KGL', 1165, 'DXB', 2188, '', 0, '738\r'),
	('WB', 4292, 'KGL', 1165, 'EBB', 1187, '', 0, 'CRJ 738 DH4\r'),
	('WB', 4292, 'KGL', 1165, 'IST', 1701, '', 0, '739\r'),
	('WB', 4292, 'KGL', 1165, 'JNB', 813, '', 0, '73W\r'),
	('WB', 4292, 'KGL', 1165, 'JRO', 1180, '', 0, 'CRJ\r'),
	('WB', 4292, 'KGL', 1165, 'JUB', 1173, '', 0, 'CRJ\r'),
	('WB', 4292, 'KGL', 1165, 'KME', 1166, '', 0, 'DH4\r'),
	('WB', 4292, 'KGL', 1165, 'LBV', 970, '', 0, '73W 738\r'),
	('WB', 4292, 'KGL', 1165, 'LOS', 273, '', 0, '73W 738\r'),
	('WB', 4292, 'KGL', 1165, 'MBA', 1145, '', 0, '738\r'),
	('WB', 4292, 'KGL', 1165, 'NBO', 4059, '', 0, 'CRJ\r'),
	('WB', 4292, 'KME', 1166, 'KGL', 1165, '', 0, 'DH4\r'),
	('WB', 4292, 'LBV', 970, 'DLA', 897, '', 0, '73W 738\r'),
	('WB', 4292, 'LBV', 970, 'KGL', 1165, '', 0, '738 73W\r'),
	('WB', 4292, 'LOS', 273, 'ACC', 248, '', 0, '73W\r'),
	('WB', 4292, 'LOS', 273, 'KGL', 1165, '', 0, '738 73W\r'),
	('WB', 4292, 'MBA', 1145, 'DXB', 2188, '', 0, '738\r'),
	('WB', 4292, 'MBA', 1145, 'KGL', 1165, '', 0, '738\r'),
	('WB', 4292, 'NBO', 4059, 'KGL', 1165, '', 0, 'CRJ\r'),
	('WF', 5439, 'ABZ', 532, 'BGO', 636, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'ABZ', 532, 'SVG', 666, '', 0, 'DH4\r'),
	('WF', 5439, 'AES', 630, 'BGO', 636, '', 0, 'DH3 DH4\r'),
	('WF', 5439, 'ALF', 632, 'HFT', 4325, '', 0, 'DH2\r'),
	('WF', 5439, 'ALF', 632, 'KKN', 649, '', 0, 'DH1\r'),
	('WF', 5439, 'ALF', 632, 'LKL', 653, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'ALF', 632, 'SOJ', 5588, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'ALF', 632, 'TOS', 663, '', 0, 'DH1 DH3 DH2\r'),
	('WF', 5439, 'ALF', 632, 'VDS', 4328, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'ANX', 631, 'BOO', 635, '', 0, 'DH1 DH3 DH2\r'),
	('WF', 5439, 'ANX', 631, 'EVE', 641, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'ANX', 631, 'TOS', 663, '', 0, 'DH1 DH3 DH2\r'),
	('WF', 5439, 'BGO', 636, 'ABZ', 532, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'BGO', 636, 'AES', 630, '', 0, 'DH3 DH4\r'),
	('WF', 5439, 'BGO', 636, 'BNN', 634, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'BGO', 636, 'BOO', 635, '', 0, 'DH4\r'),
	('WF', 5439, 'BGO', 636, 'FDE', 4389, '', 0, 'DH1\r'),
	('WF', 5439, 'BGO', 636, 'FRO', 643, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'BGO', 636, 'HAU', 645, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'BGO', 636, 'HOV', 4345, '', 0, 'DH1\r'),
	('WF', 5439, 'BGO', 636, 'KRS', 638, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'BGO', 636, 'KSU', 647, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'BGO', 636, 'MOL', 651, '', 0, 'DH3 DH4\r'),
	('WF', 5439, 'BGO', 636, 'SKE', 659, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'BGO', 636, 'SOG', 5586, '', 0, 'DH1\r'),
	('WF', 5439, 'BGO', 636, 'SVG', 666, '', 0, 'DH4\r'),
	('WF', 5439, 'BGO', 636, 'TOS', 663, '', 0, 'DH4\r'),
	('WF', 5439, 'BGO', 636, 'TRF', 664, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'BJF', 637, 'BVG', 4350, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'BJF', 637, 'HFT', 4325, '', 0, 'DH2\r'),
	('WF', 5439, 'BJF', 637, 'MEH', 4327, '', 0, 'DH2\r'),
	('WF', 5439, 'BJF', 637, 'VAW', 5589, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'BJF', 637, 'VDS', 4328, '', 0, 'DH2\r'),
	('WF', 5439, 'BNN', 634, 'BGO', 636, '', 0, 'DH1\r'),
	('WF', 5439, 'BNN', 634, 'MQN', 5582, '', 0, 'DH1\r'),
	('WF', 5439, 'BNN', 634, 'OSL', 644, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'BNN', 634, 'SSJ', 662, '', 0, 'DH1\r'),
	('WF', 5439, 'BNN', 634, 'TRD', 665, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'BOO', 635, 'ANX', 631, '', 0, 'DH1 DH3\r'),
	('WF', 5439, 'BOO', 635, 'BGO', 636, '', 0, 'DH4\r'),
	('WF', 5439, 'BOO', 635, 'BNN', 634, '', 0, 'DH1\r'),
	('WF', 5439, 'BOO', 635, 'EVE', 641, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'BOO', 635, 'LKN', 5580, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'BOO', 635, 'MJF', 652, '', 0, 'DH1\r'),
	('WF', 5439, 'BOO', 635, 'MQN', 5582, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'BOO', 635, 'NVK', 4349, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'BOO', 635, 'RET', 5584, '', 0, 'DH1\r'),
	('WF', 5439, 'BOO', 635, 'SKN', 4252, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'BOO', 635, 'SSJ', 662, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'BOO', 635, 'SVJ', 5587, '', 0, 'DH1\r'),
	('WF', 5439, 'BOO', 635, 'TOS', 663, '', 0, 'DH4\r'),
	('WF', 5439, 'BOO', 635, 'TRD', 665, '', 0, 'DH3\r'),
	('WF', 5439, 'BVG', 4350, 'BJF', 637, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'BVG', 4350, 'HFT', 4325, '', 0, 'DH1\r'),
	('WF', 5439, 'BVG', 4350, 'MEH', 4327, '', 0, 'DH2\r'),
	('WF', 5439, 'BVG', 4350, 'VDS', 4328, '', 0, 'DH1\r'),
	('WF', 5439, 'CPH', 609, 'HAU', 645, '', 0, 'DH4\r'),
	('WF', 5439, 'CPH', 609, 'KRS', 638, '', 0, 'DH4\r'),
	('WF', 5439, 'CPH', 609, 'MOL', 651, '', 0, 'DH4\r'),
	('WF', 5439, 'CPH', 609, 'TRF', 664, '', 0, 'DH4\r'),
	('WF', 5439, 'EVE', 641, 'ANX', 631, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'EVE', 641, 'BOO', 635, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'EVE', 641, 'TOS', 663, '', 0, 'DH3 DH1 DH2\r'),
	('WF', 5439, 'EVE', 641, 'TRD', 665, '', 0, 'DH3\r'),
	('WF', 5439, 'FDE', 4389, 'BGO', 636, '', 0, 'DH1\r'),
	('WF', 5439, 'FDE', 4389, 'OSL', 644, '', 0, 'DH1\r'),
	('WF', 5439, 'FRO', 643, 'BGO', 636, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'FRO', 643, 'FDE', 4389, '', 0, 'DH1\r'),
	('WF', 5439, 'FRO', 643, 'HOV', 4345, '', 0, 'DH1\r'),
	('WF', 5439, 'FRO', 643, 'KSU', 647, '', 0, 'DH3\r'),
	('WF', 5439, 'FRO', 643, 'OSL', 644, '', 0, 'DH1 DH3\r'),
	('WF', 5439, 'GOT', 687, 'OSL', 644, '', 0, 'DH3\r'),
	('WF', 5439, 'HAA', 646, 'HFT', 4325, '', 0, 'DH2\r'),
	('WF', 5439, 'HAA', 646, 'TOS', 663, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'HAU', 645, 'BGO', 636, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'HAU', 645, 'CPH', 609, '', 0, 'DH4\r'),
	('WF', 5439, 'HFT', 4325, 'ALF', 632, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'HFT', 4325, 'BVG', 4350, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'HFT', 4325, 'HAA', 646, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'HFT', 4325, 'HVG', 4326, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'HFT', 4325, 'MEH', 4327, '', 0, 'DH1\r'),
	('WF', 5439, 'HFT', 4325, 'SOJ', 5588, '', 0, 'DH2\r'),
	('WF', 5439, 'HFT', 4325, 'TOS', 663, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'HOV', 4345, 'BGO', 636, '', 0, 'DH1\r'),
	('WF', 5439, 'HOV', 4345, 'FRO', 643, '', 0, 'DH1\r'),
	('WF', 5439, 'HOV', 4345, 'OSL', 644, '', 0, 'DH1\r'),
	('WF', 5439, 'HOV', 4345, 'SOG', 5586, '', 0, 'DH1\r'),
	('WF', 5439, 'HVG', 4326, 'BVG', 4350, '', 0, 'DH2\r'),
	('WF', 5439, 'HVG', 4326, 'HFT', 4325, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'HVG', 4326, 'MEH', 4327, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'KKN', 649, 'ALF', 632, '', 0, 'DH2\r'),
	('WF', 5439, 'KKN', 649, 'LKL', 653, '', 0, 'DH2\r'),
	('WF', 5439, 'KKN', 649, 'TOS', 663, '', 0, 'DH4 DH2 DH3 DH1\r'),
	('WF', 5439, 'KKN', 649, 'VAW', 5589, '', 0, 'DH2\r'),
	('WF', 5439, 'KKN', 649, 'VDS', 4328, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'KRS', 638, 'BGO', 636, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'KRS', 638, 'CPH', 609, '', 0, 'DH4\r'),
	('WF', 5439, 'KRS', 638, 'SVG', 666, '', 0, 'DH3\r'),
	('WF', 5439, 'KRS', 638, 'TRD', 665, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'KSU', 647, 'BGO', 636, '', 0, 'DH3 DH4\r'),
	('WF', 5439, 'KSU', 647, 'MOL', 651, '', 0, 'DH3\r'),
	('WF', 5439, 'KSU', 647, 'SVG', 666, '', 0, 'DH3\r'),
	('WF', 5439, 'KSU', 647, 'TRD', 665, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'LKL', 653, 'TOS', 663, '', 0, 'DH2 DH3 DH1\r'),
	('WF', 5439, 'LKN', 5580, 'BOO', 635, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'LKN', 5580, 'RET', 5584, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'LKN', 5580, 'SVJ', 5587, '', 0, 'DH1\r'),
	('WF', 5439, 'MEH', 4327, 'ALF', 632, '', 0, 'DH2\r'),
	('WF', 5439, 'MEH', 4327, 'BVG', 4350, '', 0, 'DH1\r'),
	('WF', 5439, 'MEH', 4327, 'HFT', 4325, '', 0, 'DH2\r'),
	('WF', 5439, 'MEH', 4327, 'HVG', 4326, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'MEH', 4327, 'VDS', 4328, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'MJF', 652, 'BOO', 635, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'MJF', 652, 'MQN', 5582, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'MJF', 652, 'OSY', 5581, '', 0, 'DH1\r'),
	('WF', 5439, 'MJF', 652, 'SSJ', 662, '', 0, 'DH1\r'),
	('WF', 5439, 'MJF', 652, 'TRD', 665, '', 0, 'DH1\r'),
	('WF', 5439, 'MOL', 651, 'BGO', 636, '', 0, 'DH3 DH4\r'),
	('WF', 5439, 'MOL', 651, 'CPH', 609, '', 0, 'DH4\r'),
	('WF', 5439, 'MOL', 651, 'KSU', 647, '', 0, 'DH3\r'),
	('WF', 5439, 'MQN', 5582, 'BOO', 635, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'MQN', 5582, 'MJF', 652, '', 0, 'DH1\r'),
	('WF', 5439, 'MQN', 5582, 'RVK', 5583, '', 0, 'DH1\r'),
	('WF', 5439, 'MQN', 5582, 'TRD', 665, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'NCL', 521, 'SVG', 666, '', 0, 'DH4\r'),
	('WF', 5439, 'NVK', 4349, 'BOO', 635, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'OSL', 644, 'BNN', 634, '', 0, 'DH1 DH3\r'),
	('WF', 5439, 'OSL', 644, 'FDE', 4389, '', 0, 'DH1\r'),
	('WF', 5439, 'OSL', 644, 'FRO', 643, '', 0, 'DH1 DH3\r'),
	('WF', 5439, 'OSL', 644, 'GOT', 687, '', 0, 'DH3\r'),
	('WF', 5439, 'OSL', 644, 'HOV', 4345, '', 0, 'DH1\r'),
	('WF', 5439, 'OSL', 644, 'RRS', 656, '', 0, 'DH1\r'),
	('WF', 5439, 'OSL', 644, 'SDN', 5585, '', 0, 'DH1\r'),
	('WF', 5439, 'OSL', 644, 'SOG', 5586, '', 0, 'DH1\r'),
	('WF', 5439, 'OSL', 644, 'SSJ', 662, '', 0, 'DH1\r'),
	('WF', 5439, 'OSY', 5581, 'MJF', 652, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'OSY', 5581, 'RVK', 5583, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'OSY', 5581, 'TRD', 665, '', 0, 'DH1\r'),
	('WF', 5439, 'RET', 5584, 'BOO', 635, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'RET', 5584, 'LKN', 5580, '', 0, 'DH1\r'),
	('WF', 5439, 'RRS', 656, 'OSL', 644, '', 0, 'DH1\r'),
	('WF', 5439, 'RVK', 5583, 'MQN', 5582, '', 0, 'DH1\r'),
	('WF', 5439, 'RVK', 5583, 'OSY', 5581, '', 0, 'DH1\r'),
	('WF', 5439, 'RVK', 5583, 'TRD', 665, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'SDN', 5585, 'OSL', 644, '', 0, 'DH1\r'),
	('WF', 5439, 'SDN', 5585, 'SOG', 5586, '', 0, 'DH1\r'),
	('WF', 5439, 'SKE', 659, 'BGO', 636, '', 0, 'DH3 DH1\r'),
	('WF', 5439, 'SKN', 4252, 'ANX', 631, '', 0, 'DH1\r'),
	('WF', 5439, 'SKN', 4252, 'BOO', 635, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'SKN', 4252, 'SVJ', 5587, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'SKN', 4252, 'TOS', 663, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'SOG', 5586, 'BGO', 636, '', 0, 'DH1\r'),
	('WF', 5439, 'SOG', 5586, 'HOV', 4345, '', 0, 'DH1\r'),
	('WF', 5439, 'SOG', 5586, 'OSL', 644, '', 0, 'DH1\r'),
	('WF', 5439, 'SOG', 5586, 'SDN', 5585, '', 0, 'DH1\r'),
	('WF', 5439, 'SOJ', 5588, 'HFT', 4325, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'SOJ', 5588, 'TOS', 663, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'SSJ', 662, 'BNN', 634, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'SSJ', 662, 'BOO', 635, '', 0, 'DH1\r'),
	('WF', 5439, 'SSJ', 662, 'OSL', 644, '', 0, 'DH1\r'),
	('WF', 5439, 'SSJ', 662, 'TRD', 665, '', 0, 'DH1\r'),
	('WF', 5439, 'SVG', 666, 'ABZ', 532, '', 0, 'DH4\r'),
	('WF', 5439, 'SVG', 666, 'BGO', 636, '', 0, 'DH4\r'),
	('WF', 5439, 'SVG', 666, 'FRO', 643, '', 0, 'DH3\r'),
	('WF', 5439, 'SVG', 666, 'KRS', 638, '', 0, 'DH3\r'),
	('WF', 5439, 'SVG', 666, 'KSU', 647, '', 0, 'DH3\r'),
	('WF', 5439, 'SVG', 666, 'NCL', 521, '', 0, 'DH4\r'),
	('WF', 5439, 'SVG', 666, 'TRF', 664, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'SVJ', 5587, 'BOO', 635, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'SVJ', 5587, 'LKN', 5580, '', 0, 'DH1\r'),
	('WF', 5439, 'SVJ', 5587, 'SKN', 4252, '', 0, 'DH1\r'),
	('WF', 5439, 'TOS', 663, 'ALF', 632, '', 0, 'DH1 DH3 DH2\r'),
	('WF', 5439, 'TOS', 663, 'ANX', 631, '', 0, 'DH1 DH3 DH2\r'),
	('WF', 5439, 'TOS', 663, 'BGO', 636, '', 0, 'DH4\r'),
	('WF', 5439, 'TOS', 663, 'BOO', 635, '', 0, 'DH4\r'),
	('WF', 5439, 'TOS', 663, 'EVE', 641, '', 0, 'DH1 DH3 DH2\r'),
	('WF', 5439, 'TOS', 663, 'HAA', 646, '', 0, 'DH2\r'),
	('WF', 5439, 'TOS', 663, 'HFT', 4325, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'TOS', 663, 'KKN', 649, '', 0, 'DH4 DH2 DH3 DH1\r'),
	('WF', 5439, 'TOS', 663, 'LKL', 653, '', 0, 'DH2 DH3 DH1\r'),
	('WF', 5439, 'TOS', 663, 'SKN', 4252, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'TOS', 663, 'SOJ', 5588, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'TOS', 663, 'TRD', 665, '', 0, 'DH4\r'),
	('WF', 5439, 'TOS', 663, 'VDS', 4328, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'TRD', 665, 'BNN', 634, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'TRD', 665, 'BOO', 635, '', 0, 'DH3\r'),
	('WF', 5439, 'TRD', 665, 'EVE', 641, '', 0, 'DH3\r'),
	('WF', 5439, 'TRD', 665, 'KRS', 638, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'TRD', 665, 'KSU', 647, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'TRD', 665, 'MJF', 652, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'TRD', 665, 'MQN', 5582, '', 0, 'DH1\r'),
	('WF', 5439, 'TRD', 665, 'OSY', 5581, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'TRD', 665, 'RVK', 5583, '', 0, 'DH1\r'),
	('WF', 5439, 'TRD', 665, 'SSJ', 662, '', 0, 'DH1\r'),
	('WF', 5439, 'TRD', 665, 'TOS', 663, '', 0, 'DH4\r'),
	('WF', 5439, 'TRD', 665, 'TRF', 664, '', 0, 'DH4\r'),
	('WF', 5439, 'TRF', 664, 'BGO', 636, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'TRF', 664, 'CPH', 609, '', 0, 'DH4\r'),
	('WF', 5439, 'TRF', 664, 'SVG', 666, '', 0, 'DH4 DH3\r'),
	('WF', 5439, 'TRF', 664, 'TRD', 665, '', 0, 'DH4\r'),
	('WF', 5439, 'VAW', 5589, 'BJF', 637, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'VAW', 5589, 'KKN', 649, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'VAW', 5589, 'VDS', 4328, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'VDS', 4328, 'ALF', 632, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'VDS', 4328, 'BJF', 637, '', 0, 'DH2\r'),
	('WF', 5439, 'VDS', 4328, 'HFT', 4325, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'VDS', 4328, 'KKN', 649, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'VDS', 4328, 'MEH', 4327, '', 0, 'DH2 DH1\r'),
	('WF', 5439, 'VDS', 4328, 'TOS', 663, '', 0, 'DH1 DH2\r'),
	('WF', 5439, 'VDS', 4328, 'VAW', 5589, '', 0, 'DH1 DH2\r'),
	('WJ', 5399, 'YBX', 5485, 'YIF', 6789, '', 0, 'DHT BE1\r'),
	('WJ', 5399, 'YDP', 5488, 'YYR', 188, '', 0, 'DHT\r'),
	('WJ', 5399, 'YHO', 5502, 'YSO', 7252, '', 0, 'DHT\r'),
	('WJ', 5399, 'YHR', 5503, 'YIF', 6789, '', 0, 'BE1\r'),
	('WJ', 5399, 'YHR', 5503, 'YNA', 94, '', 0, 'BE1\r'),
	('WJ', 5399, 'YHR', 5503, 'ZTB', 5473, '', 0, 'DHT\r'),
	('WJ', 5399, 'YIF', 6789, 'YBX', 5485, '', 0, 'BE1 DHT\r'),
	('WJ', 5399, 'YIF', 6789, 'YHR', 5503, '', 0, 'BE1\r'),
	('WJ', 5399, 'YIF', 6789, 'ZLT', 5474, '', 0, 'DHT\r'),
	('WJ', 5399, 'YMN', 5492, 'YRG', 5461, '', 0, 'DHT\r'),
	('WJ', 5399, 'YMN', 5492, 'YSO', 7252, '', 0, 'DHT\r'),
	('WJ', 5399, 'YNA', 94, 'YHR', 5503, '', 0, 'BE1\r'),
	('WJ', 5399, 'YNA', 94, 'YZV', 202, '', 0, 'BE1\r'),
	('WJ', 5399, 'YNA', 94, 'ZKG', 8217, '', 0, 'DHT\r'),
	('WJ', 5399, 'YRG', 5461, 'YMN', 5492, '', 0, 'DHT\r'),
	('WJ', 5399, 'YRG', 5461, 'YYR', 188, '', 0, 'DHT\r'),
	('WJ', 5399, 'YSO', 7252, 'YHO', 5502, '', 0, 'DHT\r'),
	('WJ', 5399, 'YSO', 7252, 'YMN', 5492, '', 0, 'DHT\r'),
	('WJ', 5399, 'YYR', 188, 'YDP', 5488, '', 0, 'DHT\r'),
	('WJ', 5399, 'YYR', 188, 'YRG', 5461, '', 0, 'DHT\r'),
	('WJ', 5399, 'YZV', 202, 'YNA', 94, '', 0, 'BE1\r'),
	('WJ', 5399, 'ZKG', 8217, 'YNA', 94, '', 0, 'DHT\r'),
	('WJ', 5399, 'ZLT', 5474, 'YIF', 6789, '', 0, 'DHT\r'),
	('WJ', 5399, 'ZLT', 5474, 'ZTB', 5473, '', 0, 'DHT\r'),
	('WJ', 5399, 'ZTB', 5473, 'YHR', 5503, '', 0, 'DHT\r'),
	('WJ', 5399, 'ZTB', 5473, 'ZLT', 5474, '', 0, 'DHT\r'),
	('WM', 16149, 'AXA', 2900, 'SXM', 2899, '', 0, 'DHT\r'),
	('WM', 16149, 'CUR', 2897, 'SDQ', 1762, '', 0, 'AT4\r'),
	('WM', 16149, 'DOM', 2877, 'PTP', 2881, '', 0, 'AT4\r'),
	('WM', 16149, 'DOM', 2877, 'SXM', 2899, '', 0, 'AT4\r'),
	('WM', 16149, 'EIS', 2903, 'SXM', 2899, '', 0, 'DHT\r'),
	('WM', 16149, 'EUX', 2898, 'SXM', 2899, '', 0, 'DHT\r'),
	('WM', 16149, 'NEV', 6079, 'SKB', 2891, '', 0, 'DHT\r'),
	('WM', 16149, 'NEV', 6079, 'SXM', 2899, '', 0, 'DHT\r'),
	('WM', 16149, 'PTP', 2881, 'DOM', 2877, '', 0, 'AT4\r'),
	('WM', 16149, 'SAB', 4249, 'SXM', 2899, '', 0, 'DHT\r'),
	('WM', 16149, 'SBH', 6460, 'SAB', 4249, '', 0, 'DHT\r'),
	('WM', 16149, 'SBH', 6460, 'SXM', 2899, '', 0, 'DHT\r'),
	('WM', 16149, 'SDQ', 1762, 'CUR', 2897, '', 0, 'AT4\r'),
	('WM', 16149, 'SDQ', 1762, 'SXM', 2899, '', 0, 'AT4\r'),
	('WM', 16149, 'SKB', 2891, 'NEV', 6079, '', 0, 'DHT\r'),
	('WM', 16149, 'SKB', 2891, 'SXM', 2899, '', 0, 'DHT\r'),
	('WM', 16149, 'SXM', 2899, 'AXA', 2900, '', 0, 'DHT\r'),
	('WM', 16149, 'SXM', 2899, 'DOM', 2877, '', 0, 'AT4\r'),
	('WM', 16149, 'SXM', 2899, 'EIS', 2903, '', 0, 'DHT\r'),
	('WM', 16149, 'SXM', 2899, 'EUX', 2898, '', 0, 'DHT\r'),
	('WM', 16149, 'SXM', 2899, 'NEV', 6079, '', 0, 'DHT\r'),
	('WM', 16149, 'SXM', 2899, 'SAB', 4249, '', 0, 'DHT\r'),
	('WM', 16149, 'SXM', 2899, 'SBH', 6460, '', 0, 'DHT\r'),
	('WM', 16149, 'SXM', 2899, 'SDQ', 1762, '', 0, 'AT4\r'),
	('WM', 16149, 'SXM', 2899, 'SKB', 2891, '', 0, 'DHT\r'),
	('WN', 4547, 'ABQ', 4019, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'ABQ', 4019, 'DAL', 3502, '', 0, '73W 73C 733 735\r'),
	('WN', 4547, 'ABQ', 4019, 'DEN', 3751, '', 0, '73W 73C\r'),
	('WN', 4547, 'ABQ', 4019, 'HOU', 3566, '', 0, '73W 735 73C\r'),
	('WN', 4547, 'ABQ', 4019, 'LAS', 3877, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'ABQ', 4019, 'LAX', 3484, '', 0, '73C 73W\r'),
	('WN', 4547, 'ABQ', 4019, 'MCI', 3458, '', 0, '73W 73C\r'),
	('WN', 4547, 'ABQ', 4019, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'ABQ', 4019, 'OAK', 3453, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'ABQ', 4019, 'PDX', 3720, '', 0, '73W\r'),
	('WN', 4547, 'ABQ', 4019, 'PHX', 3462, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'ABQ', 4019, 'SAN', 3731, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'ABQ', 4019, 'SEA', 3577, '', 0, '73W\r'),
	('WN', 4547, 'ALB', 3864, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'ALB', 3864, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'ALB', 3864, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'ALB', 3864, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'ALB', 3864, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'ALB', 3864, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'AMA', 3840, 'DAL', 3502, '', 0, '735 733 73W 73C\r'),
	('WN', 4547, 'AMA', 3840, 'DEN', 3751, '', 0, '735 73W\r'),
	('WN', 4547, 'AMA', 3840, 'LAS', 3877, '', 0, '735 733\r'),
	('WN', 4547, 'ATL', 3682, 'AUA', 2895, 'Y', 0, '73G\r'),
	('WN', 4547, 'ATL', 3682, 'AUS', 3673, '', 0, '733 73W\r'),
	('WN', 4547, 'ATL', 3682, 'BDL', 3825, 'Y', 0, '717\r'),
	('WN', 4547, 'ATL', 3682, 'BOS', 3448, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'BWI', 3849, '', 0, '73W 73C\r'),
	('WN', 4547, 'ATL', 3682, 'CAK', 4112, '', 0, '73W 73C\r'),
	('WN', 4547, 'ATL', 3682, 'CHS', 3806, '', 0, '\r'),
	('WN', 4547, 'ATL', 3682, 'CMH', 3759, 'Y', 0, '717\r'),
	('WN', 4547, 'ATL', 3682, 'CUN', 1852, 'Y', 0, '73G\r'),
	('WN', 4547, 'ATL', 3682, 'DAY', 3627, 'Y', 0, '717\r'),
	('WN', 4547, 'ATL', 3682, 'DCA', 3520, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'DTW', 3645, 'Y', 0, '717 73G\r'),
	('WN', 4547, 'ATL', 3682, 'FLL', 3533, '', 0, ' 73W 733 73C\r'),
	('WN', 4547, 'ATL', 3682, 'HOU', 3566, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'ATL', 3682, 'IND', 3585, 'Y', 0, '717\r'),
	('WN', 4547, 'ATL', 3682, 'JAX', 3712, '', 0, '73C\r'),
	('WN', 4547, 'ATL', 3682, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'LAX', 3484, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'LGA', 3697, '', 0, '73W \r'),
	('WN', 4547, 'ATL', 3682, 'MBJ', 1780, 'Y', 0, '73G\r'),
	('WN', 4547, 'ATL', 3682, 'MCI', 3458, '', 0, '733 73W\r'),
	('WN', 4547, 'ATL', 3682, 'MCO', 3878, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'ATL', 3682, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'MKE', 3717, 'Y', 0, '717 73G\r'),
	('WN', 4547, 'ATL', 3682, 'MSP', 3858, 'Y', 0, '717\r'),
	('WN', 4547, 'ATL', 3682, 'MSY', 3861, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'NAS', 1953, 'Y', 0, '73G\r'),
	('WN', 4547, 'ATL', 3682, 'OKC', 3863, 'Y', 0, '717\r'),
	('WN', 4547, 'ATL', 3682, 'ORF', 3611, 'Y', 0, '717\r'),
	('WN', 4547, 'ATL', 3682, 'PBI', 3722, '', 0, '733 73W\r'),
	('WN', 4547, 'ATL', 3682, 'PHL', 3752, '', 0, '733 73W\r'),
	('WN', 4547, 'ATL', 3682, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'PIT', 3570, 'Y', 0, '717 73G\r'),
	('WN', 4547, 'ATL', 3682, 'PUJ', 1760, 'Y', 0, '73G\r'),
	('WN', 4547, 'ATL', 3682, 'RDU', 3626, 'Y', 0, '717\r'),
	('WN', 4547, 'ATL', 3682, 'RIC', 3608, 'Y', 0, '717\r'),
	('WN', 4547, 'ATL', 3682, 'RSW', 3793, '', 0, '73C\r'),
	('WN', 4547, 'ATL', 3682, 'SAN', 3731, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'SAT', 3621, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'SDF', 4014, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'SFO', 3469, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'SJU', 2890, '', 0, '73W\r'),
	('WN', 4547, 'ATL', 3682, 'STL', 3678, '', 0, '73W 733\r'),
	('WN', 4547, 'ATL', 3682, 'TPA', 3646, '', 0, '73W  733 73C\r'),
	('WN', 4547, 'AUA', 2895, 'ATL', 3682, 'Y', 0, '73G\r'),
	('WN', 4547, 'AUS', 3673, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'AUS', 3673, 'BNA', 3690, '', 0, '73W\r'),
	('WN', 4547, 'AUS', 3673, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'AUS', 3673, 'DAL', 3502, '', 0, '735 73W 733 73C\r'),
	('WN', 4547, 'AUS', 3673, 'DCA', 3520, '', 0, '73W\r'),
	('WN', 4547, 'AUS', 3673, 'DEN', 3751, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'AUS', 3673, 'ELP', 3559, '', 0, '73W 735\r'),
	('WN', 4547, 'AUS', 3673, 'EWR', 3494, '', 0, '73W\r'),
	('WN', 4547, 'AUS', 3673, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'AUS', 3673, 'HOU', 3566, '', 0, '73W 735 73C\r'),
	('WN', 4547, 'AUS', 3673, 'HRL', 3560, '', 0, '735 73W\r'),
	('WN', 4547, 'AUS', 3673, 'LAS', 3877, '', 0, '733 73H 73W 73C\r'),
	('WN', 4547, 'AUS', 3673, 'LAX', 3484, '', 0, '73C 73W\r'),
	('WN', 4547, 'AUS', 3673, 'LBB', 3829, '', 0, '73W 735\r'),
	('WN', 4547, 'AUS', 3673, 'MCO', 3878, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'AUS', 3673, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'AUS', 3673, 'MSY', 3861, '', 0, '73W 735\r'),
	('WN', 4547, 'AUS', 3673, 'OAK', 3453, '', 0, '73W\r'),
	('WN', 4547, 'AUS', 3673, 'PHX', 3462, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'AUS', 3673, 'SAN', 3731, '', 0, '73C 73W\r'),
	('WN', 4547, 'AUS', 3673, 'SJC', 3748, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'AUS', 3673, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'BDL', 3825, 'ATL', 3682, 'Y', 0, '717\r'),
	('WN', 4547, 'BDL', 3825, 'BWI', 3849, '', 0, '738 73C 73W 733 73H\r'),
	('WN', 4547, 'BDL', 3825, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'BDL', 3825, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'BDL', 3825, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'BDL', 3825, 'MCO', 3878, '', 0, '73W 738 73C\r'),
	('WN', 4547, 'BDL', 3825, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'BDL', 3825, 'RSW', 3793, '', 0, '73W\r'),
	('WN', 4547, 'BDL', 3825, 'TPA', 3646, '', 0, '73C 73W\r'),
	('WN', 4547, 'BHM', 3811, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'BHM', 3811, 'DAL', 3502, '', 0, '73W 73C\r'),
	('WN', 4547, 'BHM', 3811, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'BHM', 3811, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'BHM', 3811, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'BHM', 3811, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'BHM', 3811, 'TPA', 3646, '', 0, '73W 73C\r'),
	('WN', 4547, 'BKG', 6962, 'DAL', 3502, '', 0, '73W\r'),
	('WN', 4547, 'BKG', 6962, 'HOU', 3566, '', 0, '73W 733\r'),
	('WN', 4547, 'BKG', 6962, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'AUS', 3673, '', 0, '733 73W 735\r'),
	('WN', 4547, 'BNA', 3690, 'BOS', 3448, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BNA', 3690, 'BWI', 3849, '', 0, '738 73W 73C 733\r'),
	('WN', 4547, 'BNA', 3690, 'CHS', 3806, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'CLE', 3486, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'CMH', 3759, '', 0, '73W 73C\r'),
	('WN', 4547, 'BNA', 3690, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'DTW', 3645, '', 0, '73C 73W 73H\r'),
	('WN', 4547, 'BNA', 3690, 'ECP', 7669, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'EWR', 3494, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'FLL', 3533, '', 0, '73C 73W 73H\r'),
	('WN', 4547, 'BNA', 3690, 'GSP', 4034, '', 0, '73C\r'),
	('WN', 4547, 'BNA', 3690, 'HOU', 3566, '', 0, '735 73C 73W\r'),
	('WN', 4547, 'BNA', 3690, 'JAX', 3712, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BNA', 3690, 'LAS', 3877, '', 0, '73W 73H\r'),
	('WN', 4547, 'BNA', 3690, 'LAX', 3484, '', 0, '73W 73H\r'),
	('WN', 4547, 'BNA', 3690, 'LGA', 3697, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'MCI', 3458, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BNA', 3690, 'MCO', 3878, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BNA', 3690, 'MDW', 3747, '', 0, '73W 738 73H\r'),
	('WN', 4547, 'BNA', 3690, 'MSY', 3861, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BNA', 3690, 'PHL', 3752, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BNA', 3690, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'PIT', 3570, '', 0, '73C 733\r'),
	('WN', 4547, 'BNA', 3690, 'PNS', 3564, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'RDU', 3626, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'BNA', 3690, 'SAN', 3731, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'SAT', 3621, '', 0, '73W\r'),
	('WN', 4547, 'BNA', 3690, 'STL', 3678, '', 0, '73W 73C\r'),
	('WN', 4547, 'BNA', 3690, 'TPA', 3646, '', 0, '73W 73C\r'),
	('WN', 4547, 'BOI', 3495, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'BOI', 3495, 'GEG', 3467, '', 0, '73W\r'),
	('WN', 4547, 'BOI', 3495, 'LAS', 3877, '', 0, '73W 73C\r'),
	('WN', 4547, 'BOI', 3495, 'OAK', 3453, '', 0, '73W 73C\r'),
	('WN', 4547, 'BOI', 3495, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'BOS', 3448, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'BOS', 3448, 'BNA', 3690, '', 0, '73W 73C\r'),
	('WN', 4547, 'BOS', 3448, 'BWI', 3849, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BOS', 3448, 'CAK', 4112, 'Y', 0, '717\r'),
	('WN', 4547, 'BOS', 3448, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'BOS', 3448, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'BOS', 3448, 'MCI', 3458, '', 0, '73W\r'),
	('WN', 4547, 'BOS', 3448, 'MCO', 3878, '', 1, '73W\r'),
	('WN', 4547, 'BOS', 3448, 'MDW', 3747, '', 0, '73W 733\r'),
	('WN', 4547, 'BOS', 3448, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'BOS', 3448, 'STL', 3678, '', 0, '73W\r'),
	('WN', 4547, 'BUF', 3820, 'BWI', 3849, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'BUF', 3820, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'BUF', 3820, 'LAS', 3877, '', 0, '73H 738\r'),
	('WN', 4547, 'BUF', 3820, 'MCO', 3878, '', 0, '73C 73W\r'),
	('WN', 4547, 'BUF', 3820, 'MDW', 3747, '', 0, '738 73W 73H\r'),
	('WN', 4547, 'BUF', 3820, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'BUF', 3820, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'BUR', 3644, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'BUR', 3644, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'BUR', 3644, 'OAK', 3453, '', 0, '73W 73H\r'),
	('WN', 4547, 'BUR', 3644, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'BUR', 3644, 'SJC', 3748, '', 0, '73W\r'),
	('WN', 4547, 'BUR', 3644, 'SMF', 3817, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'ABQ', 4019, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'ALB', 3864, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'ATL', 3682, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'BWI', 3849, 'AUS', 3673, '', 0, '73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'BDL', 3825, '', 0, '73W 738 73C 733\r'),
	('WN', 4547, 'BWI', 3849, 'BHM', 3811, '', 0, '73C 73W\r'),
	('WN', 4547, 'BWI', 3849, 'BNA', 3690, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'BWI', 3849, 'BOS', 3448, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BWI', 3849, 'BUF', 3820, '', 0, '73C 73W 738\r'),
	('WN', 4547, 'BWI', 3849, 'CHS', 3806, '', 0, '73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'CLE', 3486, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'BWI', 3849, 'CLT', 3876, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'CMH', 3759, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'DAY', 3627, '', 0, '73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'DTW', 3645, '', 0, '73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'ECP', 7669, '', 0, '73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'FLL', 3533, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BWI', 3849, 'FNT', 4089, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'GRR', 3685, '', 0, '73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'GSP', 4034, '', 0, '73C 73W\r'),
	('WN', 4547, 'BWI', 3849, 'HOU', 3566, '', 0, '733 73H 73W 73C 738\r'),
	('WN', 4547, 'BWI', 3849, 'IND', 3585, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BWI', 3849, 'ISP', 3857, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'JAX', 3712, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'LAS', 3877, '', 0, '73H 73W 738\r'),
	('WN', 4547, 'BWI', 3849, 'LAX', 3484, '', 0, '738 73H\r'),
	('WN', 4547, 'BWI', 3849, 'LIT', 3660, '', 0, '73C 73W\r'),
	('WN', 4547, 'BWI', 3849, 'MCI', 3458, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BWI', 3849, 'MCO', 3878, '', 0, '733 73W 73C 738 73H\r'),
	('WN', 4547, 'BWI', 3849, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'BWI', 3849, 'MEM', 3473, '', 0, '73C 73W\r'),
	('WN', 4547, 'BWI', 3849, 'MHT', 4011, '', 0, '73W 733 73C 73H\r'),
	('WN', 4547, 'BWI', 3849, 'MKE', 3717, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'MSY', 3861, '', 0, '73H 733 73W\r'),
	('WN', 4547, 'BWI', 3849, 'OKC', 3863, '', 0, '733 73C\r'),
	('WN', 4547, 'BWI', 3849, 'ORF', 3611, '', 0, '73C 73W\r'),
	('WN', 4547, 'BWI', 3849, 'PBI', 3722, '', 0, '73W 733\r'),
	('WN', 4547, 'BWI', 3849, 'PHX', 3462, '', 0, '73W 738\r'),
	('WN', 4547, 'BWI', 3849, 'PIT', 3570, '', 0, '73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'PVD', 3641, '', 0, '73W 73C 738 73H\r'),
	('WN', 4547, 'BWI', 3849, 'PWM', 3862, '', 0, '73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'RDU', 3626, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BWI', 3849, 'ROC', 3622, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'RSW', 3793, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'BWI', 3849, 'SAN', 3731, '', 0, '73H 73W 738\r'),
	('WN', 4547, 'BWI', 3849, 'SAT', 3621, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'SDF', 4014, '', 0, '73W 73C\r'),
	('WN', 4547, 'BWI', 3849, 'SEA', 3577, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'SJU', 2890, '', 0, '738 73W\r'),
	('WN', 4547, 'BWI', 3849, 'SLC', 3536, '', 0, '73W\r'),
	('WN', 4547, 'BWI', 3849, 'STL', 3678, '', 0, '73W 73H 733\r'),
	('WN', 4547, 'BWI', 3849, 'TPA', 3646, '', 0, '73C 73W 738 73H\r'),
	('WN', 4547, 'CAK', 4112, 'ATL', 3682, '', 0, '73W 73C\r'),
	('WN', 4547, 'CAK', 4112, 'BOS', 3448, 'Y', 0, '717\r'),
	('WN', 4547, 'CAK', 4112, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'CAK', 4112, 'LGA', 3697, '', 0, '73W\r'),
	('WN', 4547, 'CAK', 4112, 'MCO', 3878, 'Y', 0, '717\r'),
	('WN', 4547, 'CAK', 4112, 'TPA', 3646, 'Y', 0, '717\r'),
	('WN', 4547, 'CHS', 3806, 'BNA', 3690, '', 0, '73C 73W\r'),
	('WN', 4547, 'CHS', 3806, 'BWI', 3849, '', 0, '73W 73C\r'),
	('WN', 4547, 'CHS', 3806, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'CHS', 3806, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'CLE', 3486, 'BNA', 3690, '', 0, '73W 73C\r'),
	('WN', 4547, 'CLE', 3486, 'BWI', 3849, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'CLE', 3486, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'CLE', 3486, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'CLT', 3876, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'CLT', 3876, 'HOU', 3566, '', 0, '733 73W\r'),
	('WN', 4547, 'CLT', 3876, 'MCO', 3878, '', 0, '73W 733\r'),
	('WN', 4547, 'CLT', 3876, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'CMH', 3759, 'ATL', 3682, 'Y', 0, '717\r'),
	('WN', 4547, 'CMH', 3759, 'BNA', 3690, '', 0, '73W 73C\r'),
	('WN', 4547, 'CMH', 3759, 'BWI', 3849, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'CMH', 3759, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'CMH', 3759, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'CMH', 3759, 'LAS', 3877, '', 0, '73H\r'),
	('WN', 4547, 'CMH', 3759, 'MCO', 3878, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'CMH', 3759, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'CMH', 3759, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'CMH', 3759, 'RSW', 3793, '', 0, '73W\r'),
	('WN', 4547, 'CMH', 3759, 'STL', 3678, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'CMH', 3759, 'TPA', 3646, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'CRP', 3744, 'HOU', 3566, '', 0, '735 733\r'),
	('WN', 4547, 'CUN', 1852, 'ATL', 3682, 'Y', 0, '73G\r'),
	('WN', 4547, 'DAL', 3502, 'ABQ', 4019, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'DAL', 3502, 'AMA', 3840, '', 0, '735 733 73W\r'),
	('WN', 4547, 'DAL', 3502, 'AUS', 3673, '', 0, '73W 733 735 73C\r'),
	('WN', 4547, 'DAL', 3502, 'BHM', 3811, '', 0, '73W 73C\r'),
	('WN', 4547, 'DAL', 3502, 'BKG', 6962, '', 0, '73W\r'),
	('WN', 4547, 'DAL', 3502, 'ELP', 3559, '', 0, '735 73W 73C\r'),
	('WN', 4547, 'DAL', 3502, 'HOU', 3566, '', 0, '73C 73W 735 733\r'),
	('WN', 4547, 'DAL', 3502, 'HRL', 3560, '', 0, '733 735\r'),
	('WN', 4547, 'DAL', 3502, 'ICT', 3457, '', 0, '73W 73C\r'),
	('WN', 4547, 'DAL', 3502, 'LBB', 3829, '', 0, '735 73W 73C\r'),
	('WN', 4547, 'DAL', 3502, 'LIT', 3660, '', 0, '73W 733 735\r'),
	('WN', 4547, 'DAL', 3502, 'MAF', 3652, '', 0, '735 73W\r'),
	('WN', 4547, 'DAL', 3502, 'MCI', 3458, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'DAL', 3502, 'MSY', 3861, '', 0, '73W 73C  735\r'),
	('WN', 4547, 'DAL', 3502, 'OKC', 3863, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'DAL', 3502, 'SAT', 3621, '', 0, '73W 735 73C 733\r'),
	('WN', 4547, 'DAL', 3502, 'STL', 3678, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'DAL', 3502, 'TUL', 3855, '', 0, '73W 735\r'),
	('WN', 4547, 'DAY', 3627, 'ATL', 3682, 'Y', 0, '717\r'),
	('WN', 4547, 'DAY', 3627, 'BWI', 3849, '', 0, '73W 73C\r'),
	('WN', 4547, 'DAY', 3627, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'DAY', 3627, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'DAY', 3627, 'TPA', 3646, 'Y', 0, '717\r'),
	('WN', 4547, 'DCA', 3520, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'DCA', 3520, 'AUS', 3673, '', 0, '73W\r'),
	('WN', 4547, 'DCA', 3520, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'DCA', 3520, 'MCI', 3458, '', 0, '73W\r'),
	('WN', 4547, 'DCA', 3520, 'MKE', 3717, 'Y', 0, '717\r'),
	('WN', 4547, 'DCA', 3520, 'RSW', 3793, 'Y', 0, '717\r'),
	('WN', 4547, 'DCA', 3520, 'STL', 3678, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'ABQ', 4019, '', 0, '73W 73C\r'),
	('WN', 4547, 'DEN', 3751, 'AMA', 3840, '', 0, '73W 73C\r'),
	('WN', 4547, 'DEN', 3751, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'AUS', 3673, '', 0, '73C 73W\r'),
	('WN', 4547, 'DEN', 3751, 'BDL', 3825, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'BNA', 3690, '', 0, '73W 738 73H\r'),
	('WN', 4547, 'DEN', 3751, 'BOI', 3495, '', 0, '73W 73C\r'),
	('WN', 4547, 'DEN', 3751, 'BOS', 3448, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'BUR', 3644, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'BWI', 3849, '', 0, '73W 738\r'),
	('WN', 4547, 'DEN', 3751, 'CAK', 4112, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'CMH', 3759, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'DAY', 3627, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'DTW', 3645, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'EWR', 3494, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'GEG', 3467, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'GRR', 3685, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'HOU', 3566, '', 0, '73H 73W 733\r'),
	('WN', 4547, 'DEN', 3751, 'IAD', 3714, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'IND', 3585, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'DEN', 3751, 'JAX', 3712, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'LAS', 3877, '', 0, '73W 73C 73H 738\r'),
	('WN', 4547, 'DEN', 3751, 'LAX', 3484, '', 0, '733 73H 73C 73W\r'),
	('WN', 4547, 'DEN', 3751, 'LGA', 3697, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'MCI', 3458, '', 0, '73W 73C 73H\r'),
	('WN', 4547, 'DEN', 3751, 'MCO', 3878, '', 0, '73W 73H\r'),
	('WN', 4547, 'DEN', 3751, 'MDW', 3747, '', 0, '73W 738\r'),
	('WN', 4547, 'DEN', 3751, 'MKE', 3717, '', 0, '73W 733\r'),
	('WN', 4547, 'DEN', 3751, 'MSP', 3858, '', 0, '73W 73H 733 73C\r'),
	('WN', 4547, 'DEN', 3751, 'MSY', 3861, '', 0, '73W \r'),
	('WN', 4547, 'DEN', 3751, 'OAK', 3453, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'OKC', 3863, '', 0, '73W 73C\r'),
	('WN', 4547, 'DEN', 3751, 'OMA', 3454, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'ONT', 3734, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'PDX', 3720, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'PHL', 3752, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'PHX', 3462, '', 0, '73W 73C 73H 733\r'),
	('WN', 4547, 'DEN', 3751, 'PIT', 3570, '', 0, '73W 73H\r'),
	('WN', 4547, 'DEN', 3751, 'RDU', 3626, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'RNO', 3807, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'SAN', 3731, '', 0, '73C 73H 73W\r'),
	('WN', 4547, 'DEN', 3751, 'SAT', 3621, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'DEN', 3751, 'SDF', 4014, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'SEA', 3577, '', 0, '73W 73H\r'),
	('WN', 4547, 'DEN', 3751, 'SFO', 3469, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'SJC', 3748, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'SLC', 3536, '', 0, '73W 733 73C 73H\r'),
	('WN', 4547, 'DEN', 3751, 'SMF', 3817, '', 0, '733 73W 73H 73C 738\r'),
	('WN', 4547, 'DEN', 3751, 'SNA', 3867, '', 0, '73W\r'),
	('WN', 4547, 'DEN', 3751, 'STL', 3678, '', 0, '73W 733\r'),
	('WN', 4547, 'DEN', 3751, 'TPA', 3646, '', 0, '73W 73H\r'),
	('WN', 4547, 'DEN', 3751, 'TUL', 3855, '', 0, '735 73W\r'),
	('WN', 4547, 'DEN', 3751, 'TUS', 3636, '', 0, '73W 73C\r'),
	('WN', 4547, 'DFW', 3670, 'RSW', 3793, 'Y', 0, '738\r'),
	('WN', 4547, 'DSM', 3729, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'DSM', 3729, 'MDW', 3747, '', 0, '73W 733\r'),
	('WN', 4547, 'DTW', 3645, 'ATL', 3682, 'Y', 0, '717 73G\r'),
	('WN', 4547, 'DTW', 3645, 'BNA', 3690, '', 0, '73W 73C 73H\r'),
	('WN', 4547, 'DTW', 3645, 'BWI', 3849, '', 0, '73W 73C\r'),
	('WN', 4547, 'DTW', 3645, 'DEN', 3751, '', 0, '73C 73W\r'),
	('WN', 4547, 'DTW', 3645, 'LAS', 3877, '', 0, '73H 73W\r'),
	('WN', 4547, 'DTW', 3645, 'MDW', 3747, '', 0, '73W 73C\r'),
	('WN', 4547, 'DTW', 3645, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'DTW', 3645, 'STL', 3678, '', 0, '73W\r'),
	('WN', 4547, 'ECP', 7669, 'BNA', 3690, '', 0, '73W\r'),
	('WN', 4547, 'ECP', 7669, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'ECP', 7669, 'HOU', 3566, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'ECP', 7669, 'STL', 3678, '', 0, '73C 73W\r'),
	('WN', 4547, 'ELP', 3559, 'AUS', 3673, '', 0, '73W 735 73C\r'),
	('WN', 4547, 'ELP', 3559, 'DAL', 3502, '', 0, '73W 735 73C\r'),
	('WN', 4547, 'ELP', 3559, 'HOU', 3566, '', 0, '73C 73W 735\r'),
	('WN', 4547, 'ELP', 3559, 'LAS', 3877, '', 0, '735 73W 73C\r'),
	('WN', 4547, 'ELP', 3559, 'LAX', 3484, '', 0, '73W 733\r'),
	('WN', 4547, 'ELP', 3559, 'PHX', 3462, '', 0, '73W 735 73C\r'),
	('WN', 4547, 'ELP', 3559, 'SAT', 3621, '', 0, '73W 73C 735\r'),
	('WN', 4547, 'EWR', 3494, 'AUS', 3673, '', 0, '73W\r'),
	('WN', 4547, 'EWR', 3494, 'BNA', 3690, '', 0, '73W\r'),
	('WN', 4547, 'EWR', 3494, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'EWR', 3494, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'EWR', 3494, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'EWR', 3494, 'MSY', 3861, '', 0, '73W\r'),
	('WN', 4547, 'EWR', 3494, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'EWR', 3494, 'STL', 3678, '', 0, '73W\r'),
	('WN', 4547, 'EYW', 3875, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'EYW', 3875, 'MSY', 3861, '', 0, '73W\r'),
	('WN', 4547, 'EYW', 3875, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'ALB', 3864, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'ATL', 3682, '', 0, '733 73W\r'),
	('WN', 4547, 'FLL', 3533, 'AUS', 3673, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'BDL', 3825, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'BNA', 3690, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'FLL', 3533, 'BUF', 3820, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'BWI', 3849, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'FLL', 3533, 'CMH', 3759, '', 0, '73C 73W\r'),
	('WN', 4547, 'FLL', 3533, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'IND', 3585, '', 0, '73W 73C\r'),
	('WN', 4547, 'FLL', 3533, 'ISP', 3857, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'JAX', 3712, '', 0, '73W 73C\r'),
	('WN', 4547, 'FLL', 3533, 'LAS', 3877, '', 0, '73W 738\r'),
	('WN', 4547, 'FLL', 3533, 'MCI', 3458, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'FLL', 3533, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'MSY', 3861, '', 0, '73W 73C\r'),
	('WN', 4547, 'FLL', 3533, 'PHL', 3752, '', 0, '73C 73W\r'),
	('WN', 4547, 'FLL', 3533, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'PIT', 3570, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'PVD', 3641, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'RDU', 3626, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'SJU', 2890, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'STL', 3678, '', 0, '73W\r'),
	('WN', 4547, 'FLL', 3533, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'FNT', 4089, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'FNT', 4089, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'FNT', 4089, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'FNT', 4089, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'GEG', 3467, 'BOI', 3495, '', 0, '73W\r'),
	('WN', 4547, 'GEG', 3467, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'GEG', 3467, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'GEG', 3467, 'OAK', 3453, '', 0, '73W\r'),
	('WN', 4547, 'GEG', 3467, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'GRR', 3685, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'GRR', 3685, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'GRR', 3685, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'GRR', 3685, 'STL', 3678, '', 0, '73C\r'),
	('WN', 4547, 'GRR', 3685, 'TPA', 3646, '', 0, '73W 73C\r'),
	('WN', 4547, 'GSP', 4034, 'BNA', 3690, '', 0, '73W\r'),
	('WN', 4547, 'GSP', 4034, 'BWI', 3849, '', 0, '73C\r'),
	('WN', 4547, 'GSP', 4034, 'HOU', 3566, '', 0, '73C 73W\r'),
	('WN', 4547, 'GSP', 4034, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'ABQ', 4019, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'HOU', 3566, 'ATL', 3682, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'HOU', 3566, 'AUS', 3673, '', 0, '735 733 73C 73W\r'),
	('WN', 4547, 'HOU', 3566, 'BHM', 3811, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'BKG', 6962, '', 0, '73W 733\r'),
	('WN', 4547, 'HOU', 3566, 'BNA', 3690, '', 0, '73W 735 73C 733\r'),
	('WN', 4547, 'HOU', 3566, 'BOS', 3448, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'CHS', 3806, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'CLT', 3876, '', 0, '733\r'),
	('WN', 4547, 'HOU', 3566, 'CRP', 3744, '', 0, '735 733\r'),
	('WN', 4547, 'HOU', 3566, 'DAL', 3502, '', 0, '73C 73W 733 735\r'),
	('WN', 4547, 'HOU', 3566, 'DCA', 3520, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'ECP', 7669, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'HOU', 3566, 'ELP', 3559, '', 0, '73W 735 73C\r'),
	('WN', 4547, 'HOU', 3566, 'EWR', 3494, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'GSP', 4034, '', 0, '73W 73C\r'),
	('WN', 4547, 'HOU', 3566, 'HRL', 3560, '', 0, '73W 735 733\r'),
	('WN', 4547, 'HOU', 3566, 'IND', 3585, '', 0, '73C 733\r'),
	('WN', 4547, 'HOU', 3566, 'JAN', 3580, '', 0, '73W 733 735\r'),
	('WN', 4547, 'HOU', 3566, 'JAX', 3712, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'LAS', 3877, '', 0, '73W 73H\r'),
	('WN', 4547, 'HOU', 3566, 'LAX', 3484, '', 0, '738 73W 73H\r'),
	('WN', 4547, 'HOU', 3566, 'LGA', 3697, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'LIT', 3660, '', 0, '735\r'),
	('WN', 4547, 'HOU', 3566, 'MAF', 3652, '', 0, '735 73W\r'),
	('WN', 4547, 'HOU', 3566, 'MCI', 3458, '', 0, '73W 733\r'),
	('WN', 4547, 'HOU', 3566, 'MCO', 3878, '', 0, '733 73C 73H 73W\r'),
	('WN', 4547, 'HOU', 3566, 'MDW', 3747, '', 0, '73W 73H 738\r'),
	('WN', 4547, 'HOU', 3566, 'MEM', 3473, '', 0, '733\r'),
	('WN', 4547, 'HOU', 3566, 'MSY', 3861, '', 0, '735 73W 73C 733\r'),
	('WN', 4547, 'HOU', 3566, 'OAK', 3453, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'OKC', 3863, '', 0, '733 73W\r'),
	('WN', 4547, 'HOU', 3566, 'PHX', 3462, '', 0, '73W 73H 738\r'),
	('WN', 4547, 'HOU', 3566, 'PIT', 3570, '', 0, '73W 733\r'),
	('WN', 4547, 'HOU', 3566, 'PNS', 3564, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'RDU', 3626, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'HOU', 3566, 'SAN', 3731, '', 0, '73W 73H\r'),
	('WN', 4547, 'HOU', 3566, 'SAT', 3621, '', 0, '73C 73W 735\r'),
	('WN', 4547, 'HOU', 3566, 'SNA', 3867, '', 0, '73W\r'),
	('WN', 4547, 'HOU', 3566, 'STL', 3678, '', 0, '73H 73C 733 73W\r'),
	('WN', 4547, 'HOU', 3566, 'TPA', 3646, '', 0, '73C 73H 73W\r'),
	('WN', 4547, 'HOU', 3566, 'TUL', 3855, '', 0, '73W\r'),
	('WN', 4547, 'HRL', 3560, 'AUS', 3673, '', 0, '73W\r'),
	('WN', 4547, 'HRL', 3560, 'DAL', 3502, '', 0, '735\r'),
	('WN', 4547, 'HRL', 3560, 'HOU', 3566, '', 0, '735 733 73W\r'),
	('WN', 4547, 'HRL', 3560, 'SAT', 3621, '', 0, '735\r'),
	('WN', 4547, 'IAD', 3714, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'IAD', 3714, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'ICT', 3457, 'DAL', 3502, '', 0, '73W\r'),
	('WN', 4547, 'ICT', 3457, 'LAS', 3877, '', 0, '73W 73C\r'),
	('WN', 4547, 'ICT', 3457, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'IND', 3585, 'ATL', 3682, 'Y', 0, '717\r'),
	('WN', 4547, 'IND', 3585, 'BWI', 3849, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'IND', 3585, 'DEN', 3751, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'IND', 3585, 'FLL', 3533, '', 0, '73W 73C\r'),
	('WN', 4547, 'IND', 3585, 'HOU', 3566, '', 0, '73W 73C\r'),
	('WN', 4547, 'IND', 3585, 'LAS', 3877, '', 0, '73W 73C\r'),
	('WN', 4547, 'IND', 3585, 'MCI', 3458, '', 0, '733 73C\r'),
	('WN', 4547, 'IND', 3585, 'MCO', 3878, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'IND', 3585, 'PHX', 3462, '', 0, '73W 733\r'),
	('WN', 4547, 'IND', 3585, 'RSW', 3793, '', 0, '73C 73W\r'),
	('WN', 4547, 'IND', 3585, 'TPA', 3646, '', 0, '73W 73C\r'),
	('WN', 4547, 'ISP', 3857, 'BWI', 3849, '', 0, '73W 73C\r'),
	('WN', 4547, 'ISP', 3857, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'ISP', 3857, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'ISP', 3857, 'PBI', 3722, '', 0, '73W\r'),
	('WN', 4547, 'ISP', 3857, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'JAN', 3580, 'HOU', 3566, '', 0, '73W 733 735\r'),
	('WN', 4547, 'JAN', 3580, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'JAN', 3580, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'JAX', 3712, 'ATL', 3682, '', 0, '73C\r'),
	('WN', 4547, 'JAX', 3712, 'BNA', 3690, '', 0, '73W 73C\r'),
	('WN', 4547, 'JAX', 3712, 'BWI', 3849, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'JAX', 3712, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'JAX', 3712, 'FLL', 3533, '', 0, '73C 73W\r'),
	('WN', 4547, 'JAX', 3712, 'HOU', 3566, '', 0, '733 73W\r'),
	('WN', 4547, 'JAX', 3712, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'JAX', 3712, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'ABQ', 4019, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'LAS', 3877, 'ALB', 3864, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'AMA', 3840, '', 0, '735 733\r'),
	('WN', 4547, 'LAS', 3877, 'ATL', 3682, '', 0, '73W \r'),
	('WN', 4547, 'LAS', 3877, 'AUS', 3673, '', 0, '73H 733 73W 73C\r'),
	('WN', 4547, 'LAS', 3877, 'BDL', 3825, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'BHM', 3811, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'BNA', 3690, '', 0, '73W 73H\r'),
	('WN', 4547, 'LAS', 3877, 'BOI', 3495, '', 0, '73W 73C\r'),
	('WN', 4547, 'LAS', 3877, 'BUF', 3820, '', 0, '73H 738\r'),
	('WN', 4547, 'LAS', 3877, 'BUR', 3644, '', 0, '73W 73H\r'),
	('WN', 4547, 'LAS', 3877, 'BWI', 3849, '', 0, '73W 73H 738\r'),
	('WN', 4547, 'LAS', 3877, 'CLE', 3486, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'CMH', 3759, '', 0, '73H 73W\r'),
	('WN', 4547, 'LAS', 3877, 'DEN', 3751, '', 0, '73W 73H 73C 733 738\r'),
	('WN', 4547, 'LAS', 3877, 'DSM', 3729, '', 0, '733 73W\r'),
	('WN', 4547, 'LAS', 3877, 'DTW', 3645, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'ELP', 3559, '', 0, '73C 735 73W\r'),
	('WN', 4547, 'LAS', 3877, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'FNT', 4089, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'GEG', 3467, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'HOU', 3566, '', 0, '73C 738 73W 73H\r'),
	('WN', 4547, 'LAS', 3877, 'ICT', 3457, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'IND', 3585, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'JAX', 3712, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'LAX', 3484, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'LAS', 3877, 'LBB', 3829, '', 0, '73W 73C\r'),
	('WN', 4547, 'LAS', 3877, 'LIT', 3660, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'MAF', 3652, '', 0, '735 73W\r'),
	('WN', 4547, 'LAS', 3877, 'MCI', 3458, '', 0, '738 73C 73W 73H\r'),
	('WN', 4547, 'LAS', 3877, 'MCO', 3878, '', 0, '73H 738\r'),
	('WN', 4547, 'LAS', 3877, 'MDW', 3747, '', 0, '73H 73W 738\r'),
	('WN', 4547, 'LAS', 3877, 'MKE', 3717, '', 0, '73W 73H\r'),
	('WN', 4547, 'LAS', 3877, 'MSY', 3861, '', 0, '73H 73W\r'),
	('WN', 4547, 'LAS', 3877, 'OAK', 3453, '', 0, '73C 73W 738 73H\r'),
	('WN', 4547, 'LAS', 3877, 'OKC', 3863, '', 0, '73W 73C\r'),
	('WN', 4547, 'LAS', 3877, 'OMA', 3454, '', 0, '733 73W\r'),
	('WN', 4547, 'LAS', 3877, 'ONT', 3734, '', 0, '73W 73C 73H\r'),
	('WN', 4547, 'LAS', 3877, 'PDX', 3720, '', 0, '73W 73C 73H\r'),
	('WN', 4547, 'LAS', 3877, 'PHL', 3752, '', 0, '73H\r'),
	('WN', 4547, 'LAS', 3877, 'PHX', 3462, '', 0, '738 73W 735 73C 733 73H\r'),
	('WN', 4547, 'LAS', 3877, 'PIT', 3570, '', 0, '73H 738 73W\r'),
	('WN', 4547, 'LAS', 3877, 'RDU', 3626, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'RNO', 3807, '', 0, '73W 73H 738\r'),
	('WN', 4547, 'LAS', 3877, 'SAN', 3731, '', 0, '73W 738 73C 733\r'),
	('WN', 4547, 'LAS', 3877, 'SAT', 3621, '', 0, '73W 73H 733\r'),
	('WN', 4547, 'LAS', 3877, 'SDF', 4014, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'SEA', 3577, '', 0, '73W 733 73C 73H\r'),
	('WN', 4547, 'LAS', 3877, 'SFO', 3469, '', 0, '733 73W 73H 73C\r'),
	('WN', 4547, 'LAS', 3877, 'SJC', 3748, '', 0, '73W 73H 73C 733\r'),
	('WN', 4547, 'LAS', 3877, 'SLC', 3536, '', 0, '73W 733 73C 73H 738\r'),
	('WN', 4547, 'LAS', 3877, 'SMF', 3817, '', 0, '73W 73H 733 73C 738\r'),
	('WN', 4547, 'LAS', 3877, 'SNA', 3867, '', 0, '73W 73H\r'),
	('WN', 4547, 'LAS', 3877, 'STL', 3678, '', 0, '73H 73W\r'),
	('WN', 4547, 'LAS', 3877, 'TPA', 3646, '', 0, '73H\r'),
	('WN', 4547, 'LAS', 3877, 'TUL', 3855, '', 0, '73W\r'),
	('WN', 4547, 'LAS', 3877, 'TUS', 3636, '', 0, '73W 73C 733 73H\r'),
	('WN', 4547, 'LAX', 3484, 'ABQ', 4019, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'LAX', 3484, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'LAX', 3484, 'AUS', 3673, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'LAX', 3484, 'BNA', 3690, '', 0, '73W\r'),
	('WN', 4547, 'LAX', 3484, 'BWI', 3849, '', 0, '73H 73W\r'),
	('WN', 4547, 'LAX', 3484, 'DEN', 3751, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'LAX', 3484, 'ELP', 3559, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'LAX', 3484, 'HOU', 3566, '', 0, '73H 733 73C 73W\r'),
	('WN', 4547, 'LAX', 3484, 'LAS', 3877, '', 0, '73W 733 738 73C 73H\r'),
	('WN', 4547, 'LAX', 3484, 'MCI', 3458, '', 0, '73W 738 733\r'),
	('WN', 4547, 'LAX', 3484, 'MDW', 3747, '', 0, '738 73H 73W\r'),
	('WN', 4547, 'LAX', 3484, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'LAX', 3484, 'MSY', 3861, '', 0, '73W\r'),
	('WN', 4547, 'LAX', 3484, 'OAK', 3453, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'LAX', 3484, 'PHX', 3462, '', 0, '73C 73W 733 73H\r'),
	('WN', 4547, 'LAX', 3484, 'RNO', 3807, '', 0, '73W 73H\r'),
	('WN', 4547, 'LAX', 3484, 'SAT', 3621, '', 0, '73W\r'),
	('WN', 4547, 'LAX', 3484, 'SFO', 3469, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'LAX', 3484, 'SJC', 3748, '', 0, '73W 73C 733 738\r'),
	('WN', 4547, 'LAX', 3484, 'SLC', 3536, '', 0, '73C 73H 73W 733\r'),
	('WN', 4547, 'LAX', 3484, 'SMF', 3817, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'LAX', 3484, 'STL', 3678, '', 0, '73W 733\r'),
	('WN', 4547, 'LAX', 3484, 'TUS', 3636, '', 0, '73W 73C 733 73H\r'),
	('WN', 4547, 'LBB', 3829, 'AUS', 3673, '', 0, '735\r'),
	('WN', 4547, 'LBB', 3829, 'DAL', 3502, '', 0, '735 73W 73C\r'),
	('WN', 4547, 'LBB', 3829, 'LAS', 3877, '', 0, '73W 73C\r'),
	('WN', 4547, 'LGA', 3697, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'LGA', 3697, 'BNA', 3690, '', 0, '73W\r'),
	('WN', 4547, 'LGA', 3697, 'CAK', 4112, '', 0, '73W\r'),
	('WN', 4547, 'LGA', 3697, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'LGA', 3697, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'LGA', 3697, 'MDW', 3747, '', 0, '73H 73W\r'),
	('WN', 4547, 'LGA', 3697, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'LGA', 3697, 'STL', 3678, '', 0, '73W\r'),
	('WN', 4547, 'LIT', 3660, 'BWI', 3849, '', 0, '733 73W\r'),
	('WN', 4547, 'LIT', 3660, 'DAL', 3502, '', 0, '73W 735 73C\r'),
	('WN', 4547, 'LIT', 3660, 'HOU', 3566, '', 0, '735\r'),
	('WN', 4547, 'LIT', 3660, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'LIT', 3660, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'LIT', 3660, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'MAF', 3652, 'DAL', 3502, '', 0, '73W 735\r'),
	('WN', 4547, 'MAF', 3652, 'HOU', 3566, '', 0, '735 73W\r'),
	('WN', 4547, 'MAF', 3652, 'LAS', 3877, '', 0, '735 73W\r'),
	('WN', 4547, 'MBJ', 1780, 'ATL', 3682, 'Y', 0, '73G\r'),
	('WN', 4547, 'MCI', 3458, 'ABQ', 4019, '', 0, '733 73W\r'),
	('WN', 4547, 'MCI', 3458, 'ATL', 3682, '', 0, '733 73W\r'),
	('WN', 4547, 'MCI', 3458, 'BNA', 3690, '', 0, '73W 73C\r'),
	('WN', 4547, 'MCI', 3458, 'BOS', 3448, '', 0, '73W 733\r'),
	('WN', 4547, 'MCI', 3458, 'BWI', 3849, '', 0, '73W 733\r'),
	('WN', 4547, 'MCI', 3458, 'DAL', 3502, '', 0, '73W 733\r'),
	('WN', 4547, 'MCI', 3458, 'DCA', 3520, '', 0, '73W\r'),
	('WN', 4547, 'MCI', 3458, 'DEN', 3751, '', 0, '73W 738 73C 733\r'),
	('WN', 4547, 'MCI', 3458, 'FLL', 3533, '', 0, '73W 733\r'),
	('WN', 4547, 'MCI', 3458, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'MCI', 3458, 'IND', 3585, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'MCI', 3458, 'LAS', 3877, '', 0, '738 73W 73C 73H\r'),
	('WN', 4547, 'MCI', 3458, 'LAX', 3484, '', 0, '73W 73C 73H 733\r'),
	('WN', 4547, 'MCI', 3458, 'MCO', 3878, '', 0, '73W 73C 738\r'),
	('WN', 4547, 'MCI', 3458, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'MCI', 3458, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'MCI', 3458, 'MSP', 3858, '', 0, '73W 73C\r'),
	('WN', 4547, 'MCI', 3458, 'MSY', 3861, '', 0, '73W\r'),
	('WN', 4547, 'MCI', 3458, 'OAK', 3453, '', 0, '73W\r'),
	('WN', 4547, 'MCI', 3458, 'PDX', 3720, '', 0, '733\r'),
	('WN', 4547, 'MCI', 3458, 'PHX', 3462, '', 0, '73C 73W 738 733\r'),
	('WN', 4547, 'MCI', 3458, 'SAN', 3731, '', 0, '733 73C\r'),
	('WN', 4547, 'MCI', 3458, 'STL', 3678, '', 0, '73C 73W\r'),
	('WN', 4547, 'MCI', 3458, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'ALB', 3864, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'AUS', 3673, '', 0, '733 73W\r'),
	('WN', 4547, 'MCO', 3878, 'BDL', 3825, '', 0, '73C 73W 738 73H\r'),
	('WN', 4547, 'MCO', 3878, 'BHM', 3811, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'BNA', 3690, '', 0, '73W 73C\r'),
	('WN', 4547, 'MCO', 3878, 'BOS', 3448, '', 1, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'BUF', 3820, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'MCO', 3878, 'BWI', 3849, '', 0, '73W 733 73C 738\r'),
	('WN', 4547, 'MCO', 3878, 'CAK', 4112, '', 1, '73C 73W\r'),
	('WN', 4547, 'MCO', 3878, 'CLT', 3876, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'CMH', 3759, '', 0, '73C 73W 733 73H\r'),
	('WN', 4547, 'MCO', 3878, 'DAY', 3627, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'DEN', 3751, '', 0, '73W 73H\r'),
	('WN', 4547, 'MCO', 3878, 'EYW', 3875, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'FNT', 4089, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'GRR', 3685, '', 0, '73W 73C\r'),
	('WN', 4547, 'MCO', 3878, 'HOU', 3566, '', 0, '73W 733 73H\r'),
	('WN', 4547, 'MCO', 3878, 'IND', 3585, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'MCO', 3878, 'ISP', 3857, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'JAN', 3580, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'LAS', 3877, '', 0, '738 73H\r'),
	('WN', 4547, 'MCO', 3878, 'MCI', 3458, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'MCO', 3878, 'MDW', 3747, '', 0, '73W 738 73H 733\r'),
	('WN', 4547, 'MCO', 3878, 'MEM', 3473, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'MHT', 4011, '', 0, '73W 738\r'),
	('WN', 4547, 'MCO', 3878, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'MSP', 3858, '', 0, '73W 73C\r'),
	('WN', 4547, 'MCO', 3878, 'MSY', 3861, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'MCO', 3878, 'ORF', 3611, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'PHL', 3752, '', 0, '73W 733\r'),
	('WN', 4547, 'MCO', 3878, 'PHX', 3462, '', 0, '73W 738\r'),
	('WN', 4547, 'MCO', 3878, 'PIT', 3570, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'PVD', 3641, '', 0, '73C 733 73W 73H\r'),
	('WN', 4547, 'MCO', 3878, 'RDU', 3626, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'MCO', 3878, 'RIC', 3608, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'MCO', 3878, 'ROC', 3622, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'SAT', 3621, '', 0, '73H 73W\r'),
	('WN', 4547, 'MCO', 3878, 'SDF', 4014, '', 0, '73W\r'),
	('WN', 4547, 'MCO', 3878, 'SJU', 2890, '', 0, '73H 73W 738\r'),
	('WN', 4547, 'MCO', 3878, 'STL', 3678, '', 0, '73W 73C\r'),
	('WN', 4547, 'MDW', 3747, 'ABQ', 4019, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'ALB', 3864, '', 0, '73H 73W\r'),
	('WN', 4547, 'MDW', 3747, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'AUS', 3673, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'BDL', 3825, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'BHM', 3811, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'BKG', 6962, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'BNA', 3690, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'BOS', 3448, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'BUF', 3820, '', 0, '73W 738 73H\r'),
	('WN', 4547, 'MDW', 3747, 'BWI', 3849, '', 0, '73W 73H 738\r'),
	('WN', 4547, 'MDW', 3747, 'CHS', 3806, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'CLE', 3486, '', 0, '73W 73C\r'),
	('WN', 4547, 'MDW', 3747, 'CLT', 3876, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'CMH', 3759, '', 0, '733 73W 73C 73H\r'),
	('WN', 4547, 'MDW', 3747, 'DEN', 3751, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'DSM', 3729, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'DTW', 3645, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'EWR', 3494, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'FLL', 3533, '', 0, '73W 738\r'),
	('WN', 4547, 'MDW', 3747, 'GSP', 4034, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'HOU', 3566, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'IAD', 3714, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'ICT', 3457, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'JAN', 3580, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'JAX', 3712, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'LAS', 3877, '', 0, '73W 73H 738\r'),
	('WN', 4547, 'MDW', 3747, 'LAX', 3484, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'LGA', 3697, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'LIT', 3660, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'MCI', 3458, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'MCO', 3878, '', 0, '73H 73W\r'),
	('WN', 4547, 'MDW', 3747, 'MEM', 3473, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'MHT', 4011, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'MSP', 3858, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'MSY', 3861, '', 0, '73H 73W \r'),
	('WN', 4547, 'MDW', 3747, 'OAK', 3453, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'OKC', 3863, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'OMA', 3454, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'ONT', 3734, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'ORF', 3611, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'PDX', 3720, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'PHL', 3752, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'PHX', 3462, '', 0, '73W 73H 738\r'),
	('WN', 4547, 'MDW', 3747, 'PIT', 3570, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'PVD', 3641, '', 0, '73W 738\r'),
	('WN', 4547, 'MDW', 3747, 'RDU', 3626, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'RNO', 3807, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'ROC', 3622, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'RSW', 3793, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'SAN', 3731, '', 0, '738 73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'SAT', 3621, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'SDF', 4014, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'MDW', 3747, 'SEA', 3577, '', 0, '73H 73W\r'),
	('WN', 4547, 'MDW', 3747, 'SFO', 3469, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'SJC', 3748, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'SLC', 3536, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'SMF', 3817, '', 0, '73W 73H\r'),
	('WN', 4547, 'MDW', 3747, 'STL', 3678, '', 0, '73W 738 73C\r'),
	('WN', 4547, 'MDW', 3747, 'TPA', 3646, '', 0, '73W 738 73H\r'),
	('WN', 4547, 'MDW', 3747, 'TUL', 3855, '', 0, '73W\r'),
	('WN', 4547, 'MDW', 3747, 'TUS', 3636, '', 0, '73W 73H\r'),
	('WN', 4547, 'MEM', 3473, 'BWI', 3849, '', 0, '73C 73W\r'),
	('WN', 4547, 'MEM', 3473, 'HOU', 3566, '', 0, '733\r'),
	('WN', 4547, 'MEM', 3473, 'MCO', 3878, '', 0, '73C 73W\r'),
	('WN', 4547, 'MEM', 3473, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'MEM', 3473, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'MHT', 4011, 'BWI', 3849, '', 0, '73W 73H 733 73C 738\r'),
	('WN', 4547, 'MHT', 4011, 'MCO', 3878, '', 0, '73W 73H 738\r'),
	('WN', 4547, 'MHT', 4011, 'MDW', 3747, '', 0, '73H 73W\r'),
	('WN', 4547, 'MHT', 4011, 'TPA', 3646, '', 0, '73W 73H\r'),
	('WN', 4547, 'MKE', 3717, 'ATL', 3682, 'Y', 0, '717 73G\r'),
	('WN', 4547, 'MKE', 3717, 'BOS', 3448, '', 0, '73W 733\r'),
	('WN', 4547, 'MKE', 3717, 'BWI', 3849, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'MKE', 3717, 'DCA', 3520, 'Y', 0, '717\r'),
	('WN', 4547, 'MKE', 3717, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'MKE', 3717, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'MKE', 3717, 'LAS', 3877, '', 0, '73H 73W\r'),
	('WN', 4547, 'MKE', 3717, 'LAX', 3484, '', 0, '73W\r'),
	('WN', 4547, 'MKE', 3717, 'LGA', 3697, '', 0, '73W\r'),
	('WN', 4547, 'MKE', 3717, 'MCI', 3458, '', 0, '733 73W\r'),
	('WN', 4547, 'MKE', 3717, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'MKE', 3717, 'MSP', 3858, '', 0, '73W 73C\r'),
	('WN', 4547, 'MKE', 3717, 'MSY', 3861, '', 0, '73C 73W\r'),
	('WN', 4547, 'MKE', 3717, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'MKE', 3717, 'RSW', 3793, '', 0, '73W\r'),
	('WN', 4547, 'MKE', 3717, 'SEA', 3577, '', 0, '73W\r'),
	('WN', 4547, 'MKE', 3717, 'SFO', 3469, '', 0, '73W\r'),
	('WN', 4547, 'MKE', 3717, 'STL', 3678, '', 0, '73W 73C\r'),
	('WN', 4547, 'MKE', 3717, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'MSP', 3858, 'ATL', 3682, 'Y', 0, '717\r'),
	('WN', 4547, 'MSP', 3858, 'DEN', 3751, '', 0, '73W 73H 73C\r'),
	('WN', 4547, 'MSP', 3858, 'MCI', 3458, '', 0, '73C 73W\r'),
	('WN', 4547, 'MSP', 3858, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'MSP', 3858, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'MSP', 3858, 'MKE', 3717, '', 0, '73W 73C\r'),
	('WN', 4547, 'MSP', 3858, 'PHX', 3462, '', 0, '73C 73W\r'),
	('WN', 4547, 'MSP', 3858, 'STL', 3678, '', 0, '73W 733\r'),
	('WN', 4547, 'MSY', 3861, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'MSY', 3861, 'AUS', 3673, '', 0, '73C 735\r'),
	('WN', 4547, 'MSY', 3861, 'BNA', 3690, '', 0, '735 73W 733\r'),
	('WN', 4547, 'MSY', 3861, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'MSY', 3861, 'DAL', 3502, '', 0, '733 73W 73C 735\r'),
	('WN', 4547, 'MSY', 3861, 'DEN', 3751, '', 0, '73W \r'),
	('WN', 4547, 'MSY', 3861, 'EWR', 3494, '', 0, '73W\r'),
	('WN', 4547, 'MSY', 3861, 'EYW', 3875, '', 0, '73W\r'),
	('WN', 4547, 'MSY', 3861, 'FLL', 3533, '', 0, '73W 73C \r'),
	('WN', 4547, 'MSY', 3861, 'HOU', 3566, '', 0, '73W 735 73C \r'),
	('WN', 4547, 'MSY', 3861, 'LAS', 3877, '', 0, '73W 73H\r'),
	('WN', 4547, 'MSY', 3861, 'LAX', 3484, '', 0, '73H 73W\r'),
	('WN', 4547, 'MSY', 3861, 'MCI', 3458, '', 0, '73W\r'),
	('WN', 4547, 'MSY', 3861, 'MCO', 3878, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'MSY', 3861, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'MSY', 3861, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'MSY', 3861, 'PHX', 3462, '', 0, '73H 73W\r'),
	('WN', 4547, 'MSY', 3861, 'SAN', 3731, '', 0, '73W\r'),
	('WN', 4547, 'MSY', 3861, 'STL', 3678, '', 0, '73W 73C\r'),
	('WN', 4547, 'MSY', 3861, 'TPA', 3646, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'NAS', 1953, 'ATL', 3682, 'Y', 0, '73G\r'),
	('WN', 4547, 'OAK', 3453, 'ABQ', 4019, '', 0, '73W\r'),
	('WN', 4547, 'OAK', 3453, 'AUS', 3673, '', 0, '73W\r'),
	('WN', 4547, 'OAK', 3453, 'BOI', 3495, '', 0, '73W\r'),
	('WN', 4547, 'OAK', 3453, 'BUR', 3644, '', 0, '73W\r'),
	('WN', 4547, 'OAK', 3453, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'OAK', 3453, 'GEG', 3467, '', 0, '73W\r'),
	('WN', 4547, 'OAK', 3453, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'OAK', 3453, 'LAS', 3877, '', 0, '73W 73H 73C 738 733\r'),
	('WN', 4547, 'OAK', 3453, 'LAX', 3484, '', 0, '73W 73C 738 733 73H\r'),
	('WN', 4547, 'OAK', 3453, 'MCI', 3458, '', 0, '73W\r'),
	('WN', 4547, 'OAK', 3453, 'MDW', 3747, '', 0, '73H 73W 738\r'),
	('WN', 4547, 'OAK', 3453, 'ONT', 3734, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'OAK', 3453, 'PDX', 3720, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'OAK', 3453, 'PHX', 3462, '', 0, '73W 73C 733 73H\r'),
	('WN', 4547, 'OAK', 3453, 'SAN', 3731, '', 0, '73C 73W 733 73H\r'),
	('WN', 4547, 'OAK', 3453, 'SEA', 3577, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'OAK', 3453, 'SLC', 3536, '', 0, '73W 73C\r'),
	('WN', 4547, 'OAK', 3453, 'SNA', 3867, '', 0, '73W\r'),
	('WN', 4547, 'OKC', 3863, 'ATL', 3682, 'Y', 0, '717\r'),
	('WN', 4547, 'OKC', 3863, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'OKC', 3863, 'DAL', 3502, '', 0, '73W 73C\r'),
	('WN', 4547, 'OKC', 3863, 'DEN', 3751, '', 0, '73W 73C\r'),
	('WN', 4547, 'OKC', 3863, 'HOU', 3566, '', 0, '733 73W\r'),
	('WN', 4547, 'OKC', 3863, 'LAS', 3877, '', 0, '73C 73W\r'),
	('WN', 4547, 'OKC', 3863, 'MDW', 3747, '', 0, '73W 73C\r'),
	('WN', 4547, 'OKC', 3863, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'OKC', 3863, 'STL', 3678, '', 0, '73C 73W\r'),
	('WN', 4547, 'OMA', 3454, 'DEN', 3751, '', 0, '73W 73C\r'),
	('WN', 4547, 'OMA', 3454, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'OMA', 3454, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'OMA', 3454, 'PHX', 3462, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'OMA', 3454, 'STL', 3678, '', 0, '73W 733\r'),
	('WN', 4547, 'ONT', 3734, 'DEN', 3751, '', 0, '73C 73W 73H\r'),
	('WN', 4547, 'ONT', 3734, 'LAS', 3877, '', 0, '73W 73C 73H 738\r'),
	('WN', 4547, 'ONT', 3734, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'ONT', 3734, 'OAK', 3453, '', 0, '73W 73C 73H 733\r'),
	('WN', 4547, 'ONT', 3734, 'PHX', 3462, '', 0, '73H 73W 73C\r'),
	('WN', 4547, 'ONT', 3734, 'SJC', 3748, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'ONT', 3734, 'SMF', 3817, '', 0, '73H 733 73C 73W\r'),
	('WN', 4547, 'ORF', 3611, 'ATL', 3682, 'Y', 0, '717\r'),
	('WN', 4547, 'ORF', 3611, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'ORF', 3611, 'MCO', 3878, '', 0, '73C 73W\r'),
	('WN', 4547, 'ORF', 3611, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'PBI', 3722, 'ATL', 3682, '', 0, '73W 733\r'),
	('WN', 4547, 'PBI', 3722, 'BWI', 3849, '', 0, '73W 733\r'),
	('WN', 4547, 'PBI', 3722, 'ISP', 3857, '', 0, '73W\r'),
	('WN', 4547, 'PDX', 3720, 'ABQ', 4019, '', 0, '733 73C\r'),
	('WN', 4547, 'PDX', 3720, 'DEN', 3751, '', 0, '73W 73H\r'),
	('WN', 4547, 'PDX', 3720, 'LAS', 3877, '', 0, '73W 73H\r'),
	('WN', 4547, 'PDX', 3720, 'MCI', 3458, '', 0, '733\r'),
	('WN', 4547, 'PDX', 3720, 'MDW', 3747, '', 0, '73H 73W\r'),
	('WN', 4547, 'PDX', 3720, 'OAK', 3453, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'PDX', 3720, 'PHX', 3462, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'PDX', 3720, 'RNO', 3807, '', 0, '73W\r'),
	('WN', 4547, 'PDX', 3720, 'SJC', 3748, '', 0, '73W 733\r'),
	('WN', 4547, 'PDX', 3720, 'SLC', 3536, '', 0, '73C 73W\r'),
	('WN', 4547, 'PDX', 3720, 'SMF', 3817, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'PHL', 3752, 'ATL', 3682, 'Y', 0, '717\r'),
	('WN', 4547, 'PHL', 3752, 'BNA', 3690, '', 0, '73W 73C\r'),
	('WN', 4547, 'PHL', 3752, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'PHL', 3752, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'PHL', 3752, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'PHL', 3752, 'MCO', 3878, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'PHL', 3752, 'MDW', 3747, '', 0, '73H 73W\r'),
	('WN', 4547, 'PHL', 3752, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'PHL', 3752, 'RSW', 3793, '', 0, '73C 733\r'),
	('WN', 4547, 'PHL', 3752, 'STL', 3678, '', 0, '73W 73C\r'),
	('WN', 4547, 'PHL', 3752, 'TPA', 3646, '', 0, '73W 733\r'),
	('WN', 4547, 'PHX', 3462, 'ABQ', 4019, '', 0, '73W 735 73C 733\r'),
	('WN', 4547, 'PHX', 3462, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'AUS', 3673, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'PHX', 3462, 'BNA', 3690, '', 0, '73C 73W\r'),
	('WN', 4547, 'PHX', 3462, 'BOI', 3495, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'BUF', 3820, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'BUR', 3644, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'CMH', 3759, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'DEN', 3751, '', 0, '73W 73H 73C 733\r'),
	('WN', 4547, 'PHX', 3462, 'DTW', 3645, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'ELP', 3559, '', 0, '735 73W 73C\r'),
	('WN', 4547, 'PHX', 3462, 'EWR', 3494, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'GEG', 3467, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'HOU', 3566, '', 0, '73W 733 73H 73C\r'),
	('WN', 4547, 'PHX', 3462, 'IND', 3585, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'PHX', 3462, 'LAS', 3877, '', 0, '73W 73C 735\r'),
	('WN', 4547, 'PHX', 3462, 'LAX', 3484, '', 0, '73W 73C 733 738\r'),
	('WN', 4547, 'PHX', 3462, 'LIT', 3660, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'MCI', 3458, '', 0, '73W 733 738 73C\r'),
	('WN', 4547, 'PHX', 3462, 'MCO', 3878, '', 0, '73W 73H\r'),
	('WN', 4547, 'PHX', 3462, 'MDW', 3747, '', 0, '73W 73H 738\r'),
	('WN', 4547, 'PHX', 3462, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'MSP', 3858, '', 0, '73W 73H\r'),
	('WN', 4547, 'PHX', 3462, 'MSY', 3861, '', 0, '73H 73W\r'),
	('WN', 4547, 'PHX', 3462, 'OAK', 3453, '', 0, '733 73C 73W 738 73H\r'),
	('WN', 4547, 'PHX', 3462, 'OKC', 3863, '', 0, '73C 73W\r'),
	('WN', 4547, 'PHX', 3462, 'OMA', 3454, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'PHX', 3462, 'ONT', 3734, '', 0, '73W 73C 738\r'),
	('WN', 4547, 'PHX', 3462, 'PDX', 3720, '', 0, '73W 73C\r'),
	('WN', 4547, 'PHX', 3462, 'PHL', 3752, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'PIT', 3570, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'RDU', 3626, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'RNO', 3807, '', 0, '73W 73H\r'),
	('WN', 4547, 'PHX', 3462, 'SAN', 3731, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'PHX', 3462, 'SAT', 3621, '', 0, '73W 73C\r'),
	('WN', 4547, 'PHX', 3462, 'SDF', 4014, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'SEA', 3577, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'PHX', 3462, 'SFO', 3469, '', 0, '73W 733\r'),
	('WN', 4547, 'PHX', 3462, 'SJC', 3748, '', 0, '73W 733 73H 73C\r'),
	('WN', 4547, 'PHX', 3462, 'SLC', 3536, '', 0, '738 733 73W 73C\r'),
	('WN', 4547, 'PHX', 3462, 'SMF', 3817, '', 0, '73W 733 73H\r'),
	('WN', 4547, 'PHX', 3462, 'SNA', 3867, '', 0, '73W 73H\r'),
	('WN', 4547, 'PHX', 3462, 'STL', 3678, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'PHX', 3462, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'PHX', 3462, 'TUL', 3855, '', 0, '73W\r'),
	('WN', 4547, 'PIT', 3570, 'ATL', 3682, 'Y', 0, '717 73G\r'),
	('WN', 4547, 'PIT', 3570, 'BNA', 3690, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'PIT', 3570, 'BWI', 3849, '', 0, '733 73W\r'),
	('WN', 4547, 'PIT', 3570, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'PIT', 3570, 'DFW', 3670, 'Y', 0, '717\r'),
	('WN', 4547, 'PIT', 3570, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'PIT', 3570, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'PIT', 3570, 'LAS', 3877, '', 0, '738 73H 73W\r'),
	('WN', 4547, 'PIT', 3570, 'MCO', 3878, '', 0, '73W 738 733\r'),
	('WN', 4547, 'PIT', 3570, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'PIT', 3570, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'PIT', 3570, 'RSW', 3793, '', 0, '73W 73C\r'),
	('WN', 4547, 'PIT', 3570, 'TPA', 3646, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'PNS', 3564, 'BNA', 3690, '', 0, '73W\r'),
	('WN', 4547, 'PNS', 3564, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'PUJ', 1760, 'ATL', 3682, 'Y', 0, '73G\r'),
	('WN', 4547, 'PVD', 3641, 'BWI', 3849, '', 0, '73C 738 73W 733\r'),
	('WN', 4547, 'PVD', 3641, 'FLL', 3533, '', 0, '73W 73H\r'),
	('WN', 4547, 'PVD', 3641, 'MCO', 3878, '', 0, '73W 738 73H\r'),
	('WN', 4547, 'PVD', 3641, 'MDW', 3747, '', 0, '73H 73W\r'),
	('WN', 4547, 'PVD', 3641, 'RSW', 3793, '', 0, '73W\r'),
	('WN', 4547, 'PVD', 3641, 'TPA', 3646, '', 0, '73W 73H\r'),
	('WN', 4547, 'RDU', 3626, 'ATL', 3682, 'Y', 0, '717\r'),
	('WN', 4547, 'RDU', 3626, 'BNA', 3690, '', 0, '73W 733\r'),
	('WN', 4547, 'RDU', 3626, 'BWI', 3849, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'RDU', 3626, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'RDU', 3626, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'RDU', 3626, 'HOU', 3566, '', 0, '73W 733\r'),
	('WN', 4547, 'RDU', 3626, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'RDU', 3626, 'MCO', 3878, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'RDU', 3626, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'RDU', 3626, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'RDU', 3626, 'STL', 3678, '', 0, '73W\r'),
	('WN', 4547, 'RDU', 3626, 'TPA', 3646, '', 0, '73W 73C\r'),
	('WN', 4547, 'RIC', 3608, 'ATL', 3682, 'Y', 0, '717\r'),
	('WN', 4547, 'RIC', 3608, 'MCO', 3878, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'RNO', 3807, 'DEN', 3751, '', 0, '73W 73H\r'),
	('WN', 4547, 'RNO', 3807, 'LAS', 3877, '', 0, '73H 73W 738\r'),
	('WN', 4547, 'RNO', 3807, 'LAX', 3484, '', 0, '73W\r'),
	('WN', 4547, 'RNO', 3807, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'RNO', 3807, 'PDX', 3720, '', 0, '73W\r'),
	('WN', 4547, 'RNO', 3807, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'RNO', 3807, 'SAN', 3731, '', 0, '73W\r'),
	('WN', 4547, 'RNO', 3807, 'SEA', 3577, '', 0, '73W\r'),
	('WN', 4547, 'ROC', 3622, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'ROC', 3622, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'ROC', 3622, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'ROC', 3622, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'RSW', 3793, 'ATL', 3682, '', 0, '733\r'),
	('WN', 4547, 'RSW', 3793, 'BDL', 3825, '', 0, '73C 73W\r'),
	('WN', 4547, 'RSW', 3793, 'BWI', 3849, '', 0, '73H 73C 73W 733\r'),
	('WN', 4547, 'RSW', 3793, 'CMH', 3759, '', 0, '73W\r'),
	('WN', 4547, 'RSW', 3793, 'DCA', 3520, 'Y', 0, '717\r'),
	('WN', 4547, 'RSW', 3793, 'IND', 3585, '', 0, '73W 73C\r'),
	('WN', 4547, 'RSW', 3793, 'MDW', 3747, '', 0, '73W 73H\r'),
	('WN', 4547, 'RSW', 3793, 'MKE', 3717, '', 0, '73C 73W\r'),
	('WN', 4547, 'RSW', 3793, 'PHL', 3752, '', 0, '73W\r'),
	('WN', 4547, 'RSW', 3793, 'PIT', 3570, '', 0, '73W\r'),
	('WN', 4547, 'RSW', 3793, 'PVD', 3641, '', 0, '73C\r'),
	('WN', 4547, 'RSW', 3793, 'STL', 3678, '', 0, '73W 73C\r'),
	('WN', 4547, 'SAN', 3731, 'ABQ', 4019, '', 0, '73W 73C\r'),
	('WN', 4547, 'SAN', 3731, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'SAN', 3731, 'AUS', 3673, '', 0, '73W\r'),
	('WN', 4547, 'SAN', 3731, 'BNA', 3690, '', 0, '73W 73H\r'),
	('WN', 4547, 'SAN', 3731, 'BWI', 3849, '', 0, '73W 738\r'),
	('WN', 4547, 'SAN', 3731, 'DEN', 3751, '', 0, '73W 73H 738\r'),
	('WN', 4547, 'SAN', 3731, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'SAN', 3731, 'LAS', 3877, '', 0, '73W 73H 733 73C\r'),
	('WN', 4547, 'SAN', 3731, 'MCI', 3458, '', 0, '73W 738\r'),
	('WN', 4547, 'SAN', 3731, 'MDW', 3747, '', 0, '73H 73W\r'),
	('WN', 4547, 'SAN', 3731, 'MSY', 3861, '', 0, '73W\r'),
	('WN', 4547, 'SAN', 3731, 'OAK', 3453, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'SAN', 3731, 'PHX', 3462, '', 0, '73W 73C\r'),
	('WN', 4547, 'SAN', 3731, 'RNO', 3807, '', 0, '73W\r'),
	('WN', 4547, 'SAN', 3731, 'SAT', 3621, '', 0, '73W\r'),
	('WN', 4547, 'SAN', 3731, 'SFO', 3469, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'SAN', 3731, 'SJC', 3748, '', 0, '733 73W 73H 73C\r'),
	('WN', 4547, 'SAN', 3731, 'SMF', 3817, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'SAN', 3731, 'STL', 3678, '', 0, '73W\r'),
	('WN', 4547, 'SAN', 3731, 'TUS', 3636, '', 0, '73W 73C\r'),
	('WN', 4547, 'SAT', 3621, 'ATL', 3682, '', 0, '73C 73W\r'),
	('WN', 4547, 'SAT', 3621, 'BNA', 3690, '', 0, '73C 73W\r'),
	('WN', 4547, 'SAT', 3621, 'BWI', 3849, '', 0, '73W 73H\r'),
	('WN', 4547, 'SAT', 3621, 'DAL', 3502, '', 0, '73W 73C 735 733\r'),
	('WN', 4547, 'SAT', 3621, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'SAT', 3621, 'ELP', 3559, '', 0, '735 73W\r'),
	('WN', 4547, 'SAT', 3621, 'HOU', 3566, '', 0, '73W 735 73C\r'),
	('WN', 4547, 'SAT', 3621, 'HRL', 3560, '', 0, '73W\r'),
	('WN', 4547, 'SAT', 3621, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'SAT', 3621, 'LAX', 3484, '', 0, '73H 73W\r'),
	('WN', 4547, 'SAT', 3621, 'MCO', 3878, '', 0, '73W\r'),
	('WN', 4547, 'SAT', 3621, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'SAT', 3621, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'SAT', 3621, 'SAN', 3731, '', 0, '73W\r'),
	('WN', 4547, 'SAT', 3621, 'STL', 3678, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'SAT', 3621, 'TPA', 3646, '', 0, '73C 733\r'),
	('WN', 4547, 'SDF', 4014, 'ATL', 3682, '', 0, '733 73W\r'),
	('WN', 4547, 'SDF', 4014, 'BWI', 3849, '', 0, '73W 733\r'),
	('WN', 4547, 'SDF', 4014, 'DEN', 3751, '', 0, '73C 73W\r'),
	('WN', 4547, 'SDF', 4014, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'SDF', 4014, 'MCO', 3878, '', 0, '73C 73W\r'),
	('WN', 4547, 'SDF', 4014, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'SDF', 4014, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'SDF', 4014, 'TPA', 3646, '', 0, '73W\r'),
	('WN', 4547, 'SEA', 3577, 'ABQ', 4019, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'SEA', 3577, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'SEA', 3577, 'DEN', 3751, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'SEA', 3577, 'LAS', 3877, '', 0, '733 73H 73W\r'),
	('WN', 4547, 'SEA', 3577, 'MDW', 3747, '', 0, '73H 73W\r'),
	('WN', 4547, 'SEA', 3577, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'SEA', 3577, 'OAK', 3453, '', 0, '73W 73C\r'),
	('WN', 4547, 'SEA', 3577, 'PHX', 3462, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'SEA', 3577, 'RNO', 3807, '', 0, '73W\r'),
	('WN', 4547, 'SEA', 3577, 'SJC', 3748, '', 0, '733 73C 73W 73H\r'),
	('WN', 4547, 'SEA', 3577, 'SLC', 3536, '', 0, '73W 73C\r'),
	('WN', 4547, 'SEA', 3577, 'SMF', 3817, '', 0, '73W 73H 733 73C\r'),
	('WN', 4547, 'SFO', 3469, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'SFO', 3469, 'DEN', 3751, '', 0, '73C 73W\r'),
	('WN', 4547, 'SFO', 3469, 'LAS', 3877, '', 0, '73W 73C 733 73H\r'),
	('WN', 4547, 'SFO', 3469, 'LAX', 3484, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'SFO', 3469, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'SFO', 3469, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'SFO', 3469, 'PHX', 3462, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'SFO', 3469, 'SAN', 3731, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'SFO', 3469, 'SNA', 3867, '', 0, '73W\r'),
	('WN', 4547, 'SJC', 3748, 'AUS', 3673, '', 0, '73W\r'),
	('WN', 4547, 'SJC', 3748, 'BUR', 3644, '', 0, '73W\r'),
	('WN', 4547, 'SJC', 3748, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'SJC', 3748, 'LAS', 3877, '', 0, '73W 733 73C 73H\r'),
	('WN', 4547, 'SJC', 3748, 'LAX', 3484, '', 0, '73W 733 73C 73H 738\r'),
	('WN', 4547, 'SJC', 3748, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'SJC', 3748, 'ONT', 3734, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'SJC', 3748, 'PDX', 3720, '', 0, '73W 73H 733 73C\r'),
	('WN', 4547, 'SJC', 3748, 'PHX', 3462, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'SJC', 3748, 'SAN', 3731, '', 0, '73W 73C 733 73H\r'),
	('WN', 4547, 'SJC', 3748, 'SEA', 3577, '', 0, '73H 733 73C 73W\r'),
	('WN', 4547, 'SJC', 3748, 'SNA', 3867, '', 0, '73H 73W\r'),
	('WN', 4547, 'SJU', 2890, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'SJU', 2890, 'BWI', 3849, '', 0, '73W 738\r'),
	('WN', 4547, 'SJU', 2890, 'FLL', 3533, '', 0, '73W\r'),
	('WN', 4547, 'SJU', 2890, 'MCO', 3878, '', 0, '73W 738\r'),
	('WN', 4547, 'SJU', 2890, 'TPA', 3646, '', 0, '73H 73W\r'),
	('WN', 4547, 'SLC', 3536, 'BWI', 3849, '', 0, '73W\r'),
	('WN', 4547, 'SLC', 3536, 'DEN', 3751, '', 0, '73W 738 733 73C 73H\r'),
	('WN', 4547, 'SLC', 3536, 'LAS', 3877, '', 0, '73W 73C\r'),
	('WN', 4547, 'SLC', 3536, 'LAX', 3484, '', 0, '73C 733 73W\r'),
	('WN', 4547, 'SLC', 3536, 'MDW', 3747, '', 0, '73H 73W\r'),
	('WN', 4547, 'SLC', 3536, 'OAK', 3453, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'SLC', 3536, 'PDX', 3720, '', 0, '733 73W\r'),
	('WN', 4547, 'SLC', 3536, 'PHX', 3462, '', 0, '73W 733 73H 73C\r'),
	('WN', 4547, 'SLC', 3536, 'SEA', 3577, '', 0, '73W 73C\r'),
	('WN', 4547, 'SMF', 3817, 'BUR', 3644, '', 0, '73W\r'),
	('WN', 4547, 'SMF', 3817, 'DEN', 3751, '', 0, '73W 733 73H\r'),
	('WN', 4547, 'SMF', 3817, 'LAS', 3877, '', 0, '73H 73W 733 73C 738\r'),
	('WN', 4547, 'SMF', 3817, 'LAX', 3484, '', 0, '73C 73W 733 73H 738\r'),
	('WN', 4547, 'SMF', 3817, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'SMF', 3817, 'ONT', 3734, '', 0, '733 73W 73C 73H\r'),
	('WN', 4547, 'SMF', 3817, 'PDX', 3720, '', 0, '73W 73C\r'),
	('WN', 4547, 'SMF', 3817, 'PHX', 3462, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'SMF', 3817, 'SAN', 3731, '', 0, '73W 73H 73C 733\r'),
	('WN', 4547, 'SMF', 3817, 'SEA', 3577, '', 0, '73W 73C 733\r'),
	('WN', 4547, 'SMF', 3817, 'SNA', 3867, '', 0, '73W\r'),
	('WN', 4547, 'SNA', 3867, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'SNA', 3867, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'SNA', 3867, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'SNA', 3867, 'OAK', 3453, '', 0, '73W 73H\r'),
	('WN', 4547, 'SNA', 3867, 'PHX', 3462, '', 0, '73W 73H\r'),
	('WN', 4547, 'SNA', 3867, 'SFO', 3469, '', 0, '73W\r'),
	('WN', 4547, 'SNA', 3867, 'SJC', 3748, '', 0, '73W\r'),
	('WN', 4547, 'SNA', 3867, 'SMF', 3817, '', 0, '73W 73H\r'),
	('WN', 4547, 'STL', 3678, 'ATL', 3682, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'BNA', 3690, '', 0, '73W 73C\r'),
	('WN', 4547, 'STL', 3678, 'BOS', 3448, '', 0, '73C 73W\r'),
	('WN', 4547, 'STL', 3678, 'BWI', 3849, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'STL', 3678, 'CMH', 3759, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'DAL', 3502, '', 0, '73W 73C\r'),
	('WN', 4547, 'STL', 3678, 'DCA', 3520, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'DEN', 3751, '', 0, '733 73W 73C\r'),
	('WN', 4547, 'STL', 3678, 'DTW', 3645, '', 0, '73C\r'),
	('WN', 4547, 'STL', 3678, 'ECP', 7669, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'EWR', 3494, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'FLL', 3533, '', 0, '733 73W\r'),
	('WN', 4547, 'STL', 3678, 'GRR', 3685, '', 0, '73C 73W\r'),
	('WN', 4547, 'STL', 3678, 'HOU', 3566, '', 0, '73W 733 73C\r'),
	('WN', 4547, 'STL', 3678, 'LAS', 3877, '', 0, '738 73W 73C 73H 733\r'),
	('WN', 4547, 'STL', 3678, 'LAX', 3484, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'LGA', 3697, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'MCI', 3458, '', 0, '73W 73C\r'),
	('WN', 4547, 'STL', 3678, 'MCO', 3878, '', 0, '73W 73H 733\r'),
	('WN', 4547, 'STL', 3678, 'MDW', 3747, '', 0, '73W 73H 73C\r'),
	('WN', 4547, 'STL', 3678, 'MKE', 3717, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'MSP', 3858, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'MSY', 3861, '', 0, '73W 73C\r'),
	('WN', 4547, 'STL', 3678, 'OKC', 3863, '', 0, '73C\r'),
	('WN', 4547, 'STL', 3678, 'OMA', 3454, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'STL', 3678, 'PHL', 3752, '', 0, '73C 73W\r'),
	('WN', 4547, 'STL', 3678, 'PHX', 3462, '', 0, '73W 733 73H\r'),
	('WN', 4547, 'STL', 3678, 'RDU', 3626, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'RSW', 3793, '', 0, '73W 73C\r'),
	('WN', 4547, 'STL', 3678, 'SAN', 3731, '', 0, '73W\r'),
	('WN', 4547, 'STL', 3678, 'SAT', 3621, '', 0, '73C 73W\r'),
	('WN', 4547, 'STL', 3678, 'TPA', 3646, '', 0, '73W 73C 73H\r'),
	('WN', 4547, 'STL', 3678, 'TUL', 3855, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'ALB', 3864, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'ATL', 3682, '', 0, '73C 73W\r'),
	('WN', 4547, 'TPA', 3646, 'AUS', 3673, '', 0, '73C\r'),
	('WN', 4547, 'TPA', 3646, 'BDL', 3825, '', 0, '733 73C\r'),
	('WN', 4547, 'TPA', 3646, 'BHM', 3811, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'BNA', 3690, '', 0, '73C 73W 733\r'),
	('WN', 4547, 'TPA', 3646, 'BUF', 3820, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'BWI', 3849, '', 0, '73W 73H 738 73C\r'),
	('WN', 4547, 'TPA', 3646, 'CAK', 4112, 'Y', 0, '717\r'),
	('WN', 4547, 'TPA', 3646, 'CMH', 3759, '', 0, '73W 733\r'),
	('WN', 4547, 'TPA', 3646, 'DAY', 3627, 'Y', 0, '717\r'),
	('WN', 4547, 'TPA', 3646, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'EYW', 3875, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'FLL', 3533, '', 0, '73W 73C\r'),
	('WN', 4547, 'TPA', 3646, 'FNT', 4089, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'GRR', 3685, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'HOU', 3566, '', 0, '738 73W 73H 73C\r'),
	('WN', 4547, 'TPA', 3646, 'IND', 3585, '', 0, '733 73C 73W\r'),
	('WN', 4547, 'TPA', 3646, 'ISP', 3857, '', 0, '73W 73C\r'),
	('WN', 4547, 'TPA', 3646, 'LAS', 3877, '', 0, '73H 73W\r'),
	('WN', 4547, 'TPA', 3646, 'MCI', 3458, '', 0, '73C 733\r'),
	('WN', 4547, 'TPA', 3646, 'MDW', 3747, '', 0, '73H 73W\r'),
	('WN', 4547, 'TPA', 3646, 'MEM', 3473, '', 0, '73C 73W\r'),
	('WN', 4547, 'TPA', 3646, 'MHT', 4011, '', 0, '73W 73H\r'),
	('WN', 4547, 'TPA', 3646, 'MKE', 3717, '', 0, '73W 73C\r'),
	('WN', 4547, 'TPA', 3646, 'MSY', 3861, '', 0, '73W 733\r'),
	('WN', 4547, 'TPA', 3646, 'PHL', 3752, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'PIT', 3570, '', 0, '73W 733\r'),
	('WN', 4547, 'TPA', 3646, 'PVD', 3641, '', 0, '73W 73H\r'),
	('WN', 4547, 'TPA', 3646, 'RDU', 3626, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'ROC', 3622, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'SAT', 3621, '', 0, '73W 73C\r'),
	('WN', 4547, 'TPA', 3646, 'SDF', 4014, '', 0, '73W\r'),
	('WN', 4547, 'TPA', 3646, 'SJU', 2890, '', 0, '738 73W\r'),
	('WN', 4547, 'TPA', 3646, 'STL', 3678, '', 0, '73W 73C 73H\r'),
	('WN', 4547, 'TUL', 3855, 'DAL', 3502, '', 0, '73W 735\r'),
	('WN', 4547, 'TUL', 3855, 'DEN', 3751, '', 0, '73W\r'),
	('WN', 4547, 'TUL', 3855, 'HOU', 3566, '', 0, '73W\r'),
	('WN', 4547, 'TUL', 3855, 'LAS', 3877, '', 0, '73W\r'),
	('WN', 4547, 'TUL', 3855, 'MDW', 3747, '', 0, '73W\r'),
	('WN', 4547, 'TUL', 3855, 'PHX', 3462, '', 0, '73W\r'),
	('WN', 4547, 'TUL', 3855, 'STL', 3678, '', 0, '73W\r'),
	('WN', 4547, 'TUS', 3636, 'DEN', 3751, '', 0, '73W 733\r'),
	('WN', 4547, 'TUS', 3636, 'LAS', 3877, '', 0, '73W 73C\r'),
	('WN', 4547, 'TUS', 3636, 'LAX', 3484, '', 0, '73C 73W 733 73H\r'),
	('WN', 4547, 'TUS', 3636, 'MDW', 3747, '', 0, '73H 73W\r'),
	('WN', 4547, 'TUS', 3636, 'SAN', 3731, '', 0, '73W 73C 733\r'),
	('WP', 8809, 'HNL', 3728, 'LIH', 3602, '', 0, 'AT7\r'),
	('WP', 8809, 'HNL', 3728, 'LNY', 3851, '', 0, 'AT7\r'),
	('WP', 8809, 'HNL', 3728, 'OGG', 3456, '', 0, 'AT7\r'),
	('WP', 8809, 'LIH', 3602, 'HNL', 3728, '', 0, 'AT7\r'),
	('WP', 8809, 'LNY', 3851, 'HNL', 3728, '', 0, 'AT7\r'),
	('WP', 8809, 'OGG', 3456, 'HNL', 3728, '', 0, 'AT7\r'),
	('WS', 5416, 'ANU', 2874, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'ATL', 3682, 'JFK', 3797, 'Y', 0, '738\r'),
	('WS', 5416, 'ATL', 3682, 'LGA', 3697, 'Y', 0, '320 757 M88 738 739 73H 73W\r'),
	('WS', 5416, 'ATL', 3682, 'YYZ', 193, 'Y', 0, 'CR7 CR9\r'),
	('WS', 5416, 'AUA', 2895, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'AZS', 5810, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'BDA', 4069, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'BGI', 2875, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'CCC', 5852, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'CUN', 1852, 'YEG', 49, '', 0, '73W\r'),
	('WS', 5416, 'CUN', 1852, 'YHZ', 73, '', 0, '73W\r'),
	('WS', 5416, 'CUN', 1852, 'YUL', 146, '', 0, '73W\r'),
	('WS', 5416, 'CUN', 1852, 'YVR', 156, '', 0, '73H\r'),
	('WS', 5416, 'CUN', 1852, 'YYC', 178, '', 0, '73H\r'),
	('WS', 5416, 'CUN', 1852, 'YYZ', 193, '', 0, '73H 73W\r'),
	('WS', 5416, 'CVG', 3488, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('WS', 5416, 'DFW', 3670, 'YUL', 146, 'Y', 0, '738\r'),
	('WS', 5416, 'DFW', 3670, 'YVR', 156, 'Y', 0, '738\r'),
	('WS', 5416, 'DFW', 3670, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'DFW', 3670, 'YYZ', 193, 'Y', 0, '319\r'),
	('WS', 5416, 'DTW', 3645, 'YYZ', 193, 'Y', 0, 'CR7 CRJ\r'),
	('WS', 5416, 'FLL', 3533, 'YUL', 146, '', 0, '73W\r'),
	('WS', 5416, 'FLL', 3533, 'YYZ', 193, '', 0, '73H 73W\r'),
	('WS', 5416, 'GCM', 1926, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'HNL', 3728, 'YVR', 156, '', 0, '73H\r'),
	('WS', 5416, 'JFK', 3797, 'YUL', 146, '', 0, 'ERJ CRJ\r'),
	('WS', 5416, 'JFK', 3797, 'YYC', 178, '', 0, '736\r'),
	('WS', 5416, 'JFK', 3797, 'YYZ', 193, '', 0, 'CRJ CR7 ERJ\r'),
	('WS', 5416, 'KIN', 1779, 'YYZ', 193, '', 0, '73H\r'),
	('WS', 5416, 'KOA', 3514, 'YVR', 156, '', 0, '73H\r'),
	('WS', 5416, 'LAS', 3877, 'YEG', 49, '', 0, '73W 73H\r'),
	('WS', 5416, 'LAS', 3877, 'YQR', 120, '', 0, '73H\r'),
	('WS', 5416, 'LAS', 3877, 'YUL', 146, '', 0, '73W\r'),
	('WS', 5416, 'LAS', 3877, 'YVR', 156, '', 0, '73H 73W\r'),
	('WS', 5416, 'LAS', 3877, 'YWG', 160, '', 0, '73W\r'),
	('WS', 5416, 'LAS', 3877, 'YXE', 166, '', 0, '73H\r'),
	('WS', 5416, 'LAS', 3877, 'YYC', 178, '', 0, '73H 73W\r'),
	('WS', 5416, 'LAS', 3877, 'YYJ', 184, '', 0, '73H\r'),
	('WS', 5416, 'LAS', 3877, 'YYZ', 193, '', 0, '73H\r'),
	('WS', 5416, 'LAX', 3484, 'YEG', 49, '', 0, '73H\r'),
	('WS', 5416, 'LAX', 3484, 'YVR', 156, '', 0, '73W 73H\r'),
	('WS', 5416, 'LAX', 3484, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'LAX', 3484, 'YYZ', 193, 'Y', 0, '738\r'),
	('WS', 5416, 'LGA', 3697, 'ATL', 3682, 'Y', 0, 'M88 757 320 738 739 73W\r'),
	('WS', 5416, 'LGA', 3697, 'MSY', 3861, 'Y', 0, '319 CR9\r'),
	('WS', 5416, 'LGA', 3697, 'YHZ', 73, 'Y', 0, 'CR7\r'),
	('WS', 5416, 'LGA', 3697, 'YUL', 146, 'Y', 0, 'ERJ CR7\r'),
	('WS', 5416, 'LGA', 3697, 'YYZ', 193, '', 0, '736 73W\r'),
	('WS', 5416, 'LIH', 3602, 'YVR', 156, '', 0, '73H\r'),
	('WS', 5416, 'LIR', 1881, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'MBJ', 1780, 'YHZ', 73, '', 0, '73W\r'),
	('WS', 5416, 'MBJ', 1780, 'YYZ', 193, '', 0, '73H 73W\r'),
	('WS', 5416, 'MCO', 3878, 'YHZ', 73, '', 0, '73W\r'),
	('WS', 5416, 'MCO', 3878, 'YQM', 117, '', 0, '73W\r'),
	('WS', 5416, 'MCO', 3878, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'MCO', 3878, 'YYT', 189, '', 0, '73W\r'),
	('WS', 5416, 'MCO', 3878, 'YYZ', 193, '', 0, '73W 73H\r'),
	('WS', 5416, 'MIA', 3576, 'MSY', 3861, 'Y', 0, '738\r'),
	('WS', 5416, 'MIA', 3576, 'YUL', 146, 'Y', 0, '738\r'),
	('WS', 5416, 'MIA', 3576, 'YYZ', 193, 'Y', 0, '738\r'),
	('WS', 5416, 'MSP', 3858, 'YUL', 146, 'Y', 0, 'CR9\r'),
	('WS', 5416, 'MSP', 3858, 'YYZ', 193, 'Y', 0, 'CRJ\r'),
	('WS', 5416, 'MSY', 3861, 'LGA', 3697, 'Y', 0, '319 CR9\r'),
	('WS', 5416, 'MSY', 3861, 'MIA', 3576, 'Y', 0, '738\r'),
	('WS', 5416, 'MYR', 3515, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'NAS', 1953, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'OGG', 3456, 'YVR', 156, '', 0, '73H\r'),
	('WS', 5416, 'ORD', 3830, 'YUL', 146, 'Y', 0, 'CRJ\r'),
	('WS', 5416, 'ORD', 3830, 'YVR', 156, '', 0, '73W\r'),
	('WS', 5416, 'ORD', 3830, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'ORD', 3830, 'YYZ', 193, 'Y', 0, 'CR7 E75 ER4\r'),
	('WS', 5416, 'PHX', 3462, 'YEG', 49, '', 0, '73W 73H\r'),
	('WS', 5416, 'PHX', 3462, 'YYC', 178, '', 0, '73H\r'),
	('WS', 5416, 'PLS', 1754, 'YYZ', 193, '', 0, '73H\r'),
	('WS', 5416, 'POP', 1761, 'YYZ', 193, '', 0, '73H\r'),
	('WS', 5416, 'POS', 2902, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'PSP', 3839, 'YEG', 49, '', 0, '73W\r'),
	('WS', 5416, 'PSP', 3839, 'YVR', 156, '', 0, '73W\r'),
	('WS', 5416, 'PSP', 3839, 'YYC', 178, '', 0, '73H 73W\r'),
	('WS', 5416, 'PUJ', 1760, 'YHZ', 73, '', 0, '73W\r'),
	('WS', 5416, 'PUJ', 1760, 'YUL', 146, '', 0, '73W\r'),
	('WS', 5416, 'PUJ', 1760, 'YYZ', 193, '', 0, '73H 73W\r'),
	('WS', 5416, 'PVR', 1836, 'YEG', 49, '', 0, '73W\r'),
	('WS', 5416, 'PVR', 1836, 'YVR', 156, '', 0, '73W\r'),
	('WS', 5416, 'PVR', 1836, 'YYC', 178, '', 0, '73H\r'),
	('WS', 5416, 'RSW', 3793, 'YYZ', 193, '', 0, '73W 736\r'),
	('WS', 5416, 'SAN', 3731, 'YYC', 178, '', 0, '73H 73W\r'),
	('WS', 5416, 'SFO', 3469, 'YVR', 156, '', 0, '73W\r'),
	('WS', 5416, 'SFO', 3469, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'SJD', 1840, 'YVR', 156, '', 0, '73W\r'),
	('WS', 5416, 'SJD', 1840, 'YYC', 178, '', 0, '73H 73W\r'),
	('WS', 5416, 'SJU', 2890, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'SNA', 3867, 'YVR', 156, '', 0, '73W\r'),
	('WS', 5416, 'SNU', 1918, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'SXM', 2899, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'TPA', 3646, 'YYZ', 193, '', 0, '73W 736\r'),
	('WS', 5416, 'UVF', 2894, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'VRA', 1923, 'YYZ', 193, '', 0, '73W 73H\r'),
	('WS', 5416, 'YBR', 31, 'YYC', 178, '', 0, 'DH4\r'),
	('WS', 5416, 'YCD', 33, 'YYC', 178, '', 0, 'DH4\r'),
	('WS', 5416, 'YDF', 45, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'YEG', 49, 'CUN', 1852, '', 0, '73W\r'),
	('WS', 5416, 'YEG', 49, 'LAS', 3877, '', 0, '73W 73H\r'),
	('WS', 5416, 'YEG', 49, 'LAX', 3484, '', 0, '73H\r'),
	('WS', 5416, 'YEG', 49, 'PHX', 3462, '', 0, '73W 73H\r'),
	('WS', 5416, 'YEG', 49, 'PSP', 3839, '', 0, '73W\r'),
	('WS', 5416, 'YEG', 49, 'PVR', 1836, '', 0, '73W\r'),
	('WS', 5416, 'YEG', 49, 'YHM', 70, '', 0, '73W\r'),
	('WS', 5416, 'YEG', 49, 'YLW', 87, '', 0, '73W\r'),
	('WS', 5416, 'YEG', 49, 'YMM', 90, '', 0, '73W DH4\r'),
	('WS', 5416, 'YEG', 49, 'YOW', 100, '', 0, '73W\r'),
	('WS', 5416, 'YEG', 49, 'YQQ', 119, '', 0, '73W\r'),
	('WS', 5416, 'YEG', 49, 'YQR', 120, '', 0, 'DH4\r'),
	('WS', 5416, 'YEG', 49, 'YQU', 122, '', 0, 'DH4\r'),
	('WS', 5416, 'YEG', 49, 'YUL', 146, '', 0, '736\r'),
	('WS', 5416, 'YEG', 49, 'YVR', 156, '', 0, '73H 73W 736\r'),
	('WS', 5416, 'YEG', 49, 'YWG', 160, '', 0, '73W\r'),
	('WS', 5416, 'YEG', 49, 'YXE', 166, '', 0, 'DH4\r'),
	('WS', 5416, 'YEG', 49, 'YXX', 175, '', 0, '73W\r'),
	('WS', 5416, 'YEG', 49, 'YYC', 178, '', 0, '73W DH4\r'),
	('WS', 5416, 'YEG', 49, 'YYJ', 184, '', 0, '736 73W\r'),
	('WS', 5416, 'YEG', 49, 'YYZ', 193, '', 0, '73H 73W\r'),
	('WS', 5416, 'YEG', 49, 'YZF', 196, '', 0, '73W 736\r'),
	('WS', 5416, 'YHM', 70, 'YEG', 49, '', 0, '73W\r'),
	('WS', 5416, 'YHM', 70, 'YHZ', 73, '', 0, '73W\r'),
	('WS', 5416, 'YHM', 70, 'YQM', 117, '', 0, '73W\r'),
	('WS', 5416, 'YHM', 70, 'YYC', 178, '', 0, '73H 73W\r');
INSERT INTO `route` (`Airline`, `Airline_ID`, `Source_airport`, `Source_airport_ID`, `Destination_airport`, `Destination_airport_ID`, `Codeshare`, `Stops`, `Equipment`) VALUES
	('WS', 5416, 'YHZ', 73, 'CUN', 1852, '', 0, '73W\r'),
	('WS', 5416, 'YHZ', 73, 'LGA', 3697, 'Y', 0, 'CR7\r'),
	('WS', 5416, 'YHZ', 73, 'MBJ', 1780, '', 0, '73W\r'),
	('WS', 5416, 'YHZ', 73, 'MCO', 3878, '', 0, '73W\r'),
	('WS', 5416, 'YHZ', 73, 'PUJ', 1760, '', 0, '73W\r'),
	('WS', 5416, 'YHZ', 73, 'YHM', 70, '', 0, '73W\r'),
	('WS', 5416, 'YHZ', 73, 'YOW', 100, '', 0, '73W\r'),
	('WS', 5416, 'YHZ', 73, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'YHZ', 73, 'YYT', 189, '', 0, '73W\r'),
	('WS', 5416, 'YHZ', 73, 'YYZ', 193, '', 0, '73W 736\r'),
	('WS', 5416, 'YKA', 78, 'YYC', 178, '', 0, 'DH4\r'),
	('WS', 5416, 'YKF', 79, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'YLW', 87, 'YEG', 49, '', 0, '73W\r'),
	('WS', 5416, 'YLW', 87, 'YVR', 156, '', 0, '73W DH4\r'),
	('WS', 5416, 'YLW', 87, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'YLW', 87, 'YYJ', 184, '', 0, 'DH4\r'),
	('WS', 5416, 'YLW', 87, 'YYZ', 193, '', 0, '736\r'),
	('WS', 5416, 'YMM', 90, 'YEG', 49, '', 0, '73W DH4\r'),
	('WS', 5416, 'YMM', 90, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'YMM', 90, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'YOW', 100, 'YEG', 49, '', 0, '73W\r'),
	('WS', 5416, 'YOW', 100, 'YHZ', 73, '', 0, '73W\r'),
	('WS', 5416, 'YOW', 100, 'YWG', 160, '', 0, '73W\r'),
	('WS', 5416, 'YOW', 100, 'YYC', 178, '', 0, '73W 736\r'),
	('WS', 5416, 'YOW', 100, 'YYT', 189, '', 0, '73W\r'),
	('WS', 5416, 'YOW', 100, 'YYZ', 193, '', 0, '736 73W\r'),
	('WS', 5416, 'YQB', 111, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'YQG', 113, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'YQM', 117, 'MCO', 3878, '', 0, '73W\r'),
	('WS', 5416, 'YQM', 117, 'YHM', 70, '', 0, '73W\r'),
	('WS', 5416, 'YQM', 117, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'YQQ', 119, 'YEG', 49, '', 0, '73W\r'),
	('WS', 5416, 'YQQ', 119, 'YYC', 178, '', 0, '73W 73H 736\r'),
	('WS', 5416, 'YQR', 120, 'LAS', 3877, '', 0, '73H\r'),
	('WS', 5416, 'YQR', 120, 'YEG', 49, '', 0, 'DH4\r'),
	('WS', 5416, 'YQR', 120, 'YVR', 156, '', 0, '73W\r'),
	('WS', 5416, 'YQR', 120, 'YWG', 160, '', 0, 'DH4\r'),
	('WS', 5416, 'YQR', 120, 'YYC', 178, '', 0, '73W DH4\r'),
	('WS', 5416, 'YQR', 120, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'YQT', 121, 'YWG', 160, '', 0, '73W 736\r'),
	('WS', 5416, 'YQT', 121, 'YYZ', 193, '', 0, '73W 736\r'),
	('WS', 5416, 'YQU', 122, 'YEG', 49, '', 0, 'DH4\r'),
	('WS', 5416, 'YQU', 122, 'YYC', 178, '', 0, 'DH4\r'),
	('WS', 5416, 'YUL', 146, 'CUN', 1852, '', 0, '73W\r'),
	('WS', 5416, 'YUL', 146, 'DFW', 3670, 'Y', 0, '738\r'),
	('WS', 5416, 'YUL', 146, 'FLL', 3533, '', 0, '73W\r'),
	('WS', 5416, 'YUL', 146, 'JFK', 3797, '', 0, 'ERJ CRJ\r'),
	('WS', 5416, 'YUL', 146, 'LAS', 3877, '', 0, '73W\r'),
	('WS', 5416, 'YUL', 146, 'LGA', 3697, 'Y', 0, 'CR7 ERJ\r'),
	('WS', 5416, 'YUL', 146, 'MIA', 3576, 'Y', 0, '738\r'),
	('WS', 5416, 'YUL', 146, 'MSP', 3858, 'Y', 0, 'CR9\r'),
	('WS', 5416, 'YUL', 146, 'ORD', 3830, 'Y', 0, 'CRJ\r'),
	('WS', 5416, 'YUL', 146, 'PUJ', 1760, '', 0, '73W\r'),
	('WS', 5416, 'YUL', 146, 'YEG', 49, '', 0, '736\r'),
	('WS', 5416, 'YUL', 146, 'YVR', 156, '', 0, '73W\r'),
	('WS', 5416, 'YUL', 146, 'YWG', 160, '', 0, '73W\r'),
	('WS', 5416, 'YUL', 146, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'YUL', 146, 'YYZ', 193, '', 0, '73W 736\r'),
	('WS', 5416, 'YVR', 156, 'CUN', 1852, '', 0, '73H\r'),
	('WS', 5416, 'YVR', 156, 'DFW', 3670, 'Y', 0, '738\r'),
	('WS', 5416, 'YVR', 156, 'HNL', 3728, '', 0, '73H\r'),
	('WS', 5416, 'YVR', 156, 'KOA', 3514, '', 0, '73H\r'),
	('WS', 5416, 'YVR', 156, 'LAS', 3877, '', 0, '73H 73W\r'),
	('WS', 5416, 'YVR', 156, 'LAX', 3484, '', 0, '73H 73W\r'),
	('WS', 5416, 'YVR', 156, 'LIH', 3602, '', 0, '73H\r'),
	('WS', 5416, 'YVR', 156, 'OGG', 3456, '', 0, '73H\r'),
	('WS', 5416, 'YVR', 156, 'ORD', 3830, '', 0, '73W\r'),
	('WS', 5416, 'YVR', 156, 'PSP', 3839, '', 0, '73W\r'),
	('WS', 5416, 'YVR', 156, 'PVR', 1836, '', 0, '73W\r'),
	('WS', 5416, 'YVR', 156, 'SFO', 3469, '', 0, '73W\r'),
	('WS', 5416, 'YVR', 156, 'SJD', 1840, '', 0, '73W\r'),
	('WS', 5416, 'YVR', 156, 'SNA', 3867, '', 0, '73W\r'),
	('WS', 5416, 'YVR', 156, 'YEG', 49, '', 0, '73W 73H 736\r'),
	('WS', 5416, 'YVR', 156, 'YLW', 87, '', 0, '73W DH4\r'),
	('WS', 5416, 'YVR', 156, 'YQR', 120, '', 0, '73W\r'),
	('WS', 5416, 'YVR', 156, 'YUL', 146, '', 0, '73W\r'),
	('WS', 5416, 'YVR', 156, 'YWG', 160, '', 0, '736 73W\r'),
	('WS', 5416, 'YVR', 156, 'YXE', 166, '', 0, '73W\r'),
	('WS', 5416, 'YVR', 156, 'YXJ', 168, '', 0, 'DH4\r'),
	('WS', 5416, 'YVR', 156, 'YXS', 172, '', 0, '73W DH4\r'),
	('WS', 5416, 'YVR', 156, 'YXT', 173, '', 0, 'DH4\r'),
	('WS', 5416, 'YVR', 156, 'YYC', 178, '', 0, '73H 73W 736\r'),
	('WS', 5416, 'YVR', 156, 'YYJ', 184, '', 0, 'DH4\r'),
	('WS', 5416, 'YVR', 156, 'YYZ', 193, '', 0, '73W 73H 736\r'),
	('WS', 5416, 'YWG', 160, 'LAS', 3877, '', 0, '73W\r'),
	('WS', 5416, 'YWG', 160, 'YEG', 49, '', 0, '73W 736\r'),
	('WS', 5416, 'YWG', 160, 'YOW', 100, '', 0, '73W\r'),
	('WS', 5416, 'YWG', 160, 'YQR', 120, '', 0, 'DH4\r'),
	('WS', 5416, 'YWG', 160, 'YQT', 121, '', 0, '73W 736\r'),
	('WS', 5416, 'YWG', 160, 'YUL', 146, '', 0, '73W\r'),
	('WS', 5416, 'YWG', 160, 'YVR', 156, '', 0, '73W 736\r'),
	('WS', 5416, 'YWG', 160, 'YXE', 166, '', 0, 'DH4\r'),
	('WS', 5416, 'YWG', 160, 'YXU', 174, '', 0, '73W\r'),
	('WS', 5416, 'YWG', 160, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'YWG', 160, 'YYZ', 193, '', 0, '73W 736\r'),
	('WS', 5416, 'YXE', 166, 'LAS', 3877, '', 0, '73H\r'),
	('WS', 5416, 'YXE', 166, 'YEG', 49, '', 0, 'DH4\r'),
	('WS', 5416, 'YXE', 166, 'YVR', 156, '', 0, '73W\r'),
	('WS', 5416, 'YXE', 166, 'YWG', 160, '', 0, 'DH4\r'),
	('WS', 5416, 'YXE', 166, 'YYC', 178, '', 0, '73W DH4\r'),
	('WS', 5416, 'YXE', 166, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'YXJ', 168, 'YVR', 156, '', 0, 'DH4\r'),
	('WS', 5416, 'YXJ', 168, 'YYC', 178, '', 0, 'DH4\r'),
	('WS', 5416, 'YXS', 172, 'YVR', 156, '', 0, 'DH4 73W\r'),
	('WS', 5416, 'YXS', 172, 'YYC', 178, '', 0, '736\r'),
	('WS', 5416, 'YXT', 173, 'YVR', 156, '', 0, 'DH4\r'),
	('WS', 5416, 'YXU', 174, 'YWG', 160, '', 0, '73W\r'),
	('WS', 5416, 'YXU', 174, 'YYC', 178, '', 0, '73W\r'),
	('WS', 5416, 'YXX', 175, 'YEG', 49, '', 0, '73W\r'),
	('WS', 5416, 'YXX', 175, 'YYC', 178, '', 0, '73W 736\r'),
	('WS', 5416, 'YYC', 178, 'CUN', 1852, '', 0, '73H\r'),
	('WS', 5416, 'YYC', 178, 'DFW', 3670, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'JFK', 3797, '', 0, '736\r'),
	('WS', 5416, 'YYC', 178, 'LAS', 3877, '', 0, '73H 73W\r'),
	('WS', 5416, 'YYC', 178, 'LAX', 3484, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'MCO', 3878, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'ORD', 3830, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'PHX', 3462, '', 0, '73H\r'),
	('WS', 5416, 'YYC', 178, 'PSP', 3839, '', 0, '73H 73W\r'),
	('WS', 5416, 'YYC', 178, 'PVR', 1836, '', 0, '73H\r'),
	('WS', 5416, 'YYC', 178, 'SAN', 3731, '', 0, '73H 73W\r'),
	('WS', 5416, 'YYC', 178, 'SFO', 3469, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'SJD', 1840, '', 0, '73H 73W\r'),
	('WS', 5416, 'YYC', 178, 'YBR', 31, '', 0, 'DH4\r'),
	('WS', 5416, 'YYC', 178, 'YCD', 33, '', 0, 'DH4\r'),
	('WS', 5416, 'YYC', 178, 'YEG', 49, '', 0, 'DH4 73W 736\r'),
	('WS', 5416, 'YYC', 178, 'YHM', 70, '', 0, '73W 73H\r'),
	('WS', 5416, 'YYC', 178, 'YHZ', 73, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'YKA', 78, '', 0, 'DH4\r'),
	('WS', 5416, 'YYC', 178, 'YKF', 79, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'YLW', 87, '', 0, '736 73W DH4\r'),
	('WS', 5416, 'YYC', 178, 'YMM', 90, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'YOW', 100, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'YQG', 113, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'YQQ', 119, '', 0, '73W 73H 736\r'),
	('WS', 5416, 'YYC', 178, 'YQR', 120, '', 0, 'DH4 73W\r'),
	('WS', 5416, 'YYC', 178, 'YQU', 122, '', 0, 'DH4\r'),
	('WS', 5416, 'YYC', 178, 'YUL', 146, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'YVR', 156, '', 0, '73W 736 73H\r'),
	('WS', 5416, 'YYC', 178, 'YWG', 160, '', 0, '73W 736\r'),
	('WS', 5416, 'YYC', 178, 'YXE', 166, '', 0, '73W DH4\r'),
	('WS', 5416, 'YYC', 178, 'YXJ', 168, '', 0, 'DH4\r'),
	('WS', 5416, 'YYC', 178, 'YXS', 172, '', 0, '736\r'),
	('WS', 5416, 'YYC', 178, 'YXU', 174, '', 0, '73W\r'),
	('WS', 5416, 'YYC', 178, 'YXX', 175, '', 0, '73W 736\r'),
	('WS', 5416, 'YYC', 178, 'YYJ', 184, '', 0, '73W 73H\r'),
	('WS', 5416, 'YYC', 178, 'YYZ', 193, '', 0, '73H 73W 736\r'),
	('WS', 5416, 'YYG', 182, 'YYZ', 193, '', 0, '73W 736\r'),
	('WS', 5416, 'YYJ', 184, 'LAS', 3877, '', 0, '73H\r'),
	('WS', 5416, 'YYJ', 184, 'YEG', 49, '', 0, '73W\r'),
	('WS', 5416, 'YYJ', 184, 'YLW', 87, '', 0, 'DH4\r'),
	('WS', 5416, 'YYJ', 184, 'YVR', 156, '', 0, 'DH4\r'),
	('WS', 5416, 'YYJ', 184, 'YYC', 178, '', 0, '73W 736 73H\r'),
	('WS', 5416, 'YYJ', 184, 'YYZ', 193, '', 0, '73W\r'),
	('WS', 5416, 'YYT', 189, 'MCO', 3878, '', 0, '73W\r'),
	('WS', 5416, 'YYT', 189, 'YHZ', 73, '', 0, '73W\r'),
	('WS', 5416, 'YYT', 189, 'YOW', 100, '', 0, '73W\r'),
	('WS', 5416, 'YYT', 189, 'YYZ', 193, '', 0, '73H 73W\r'),
	('WS', 5416, 'YYZ', 193, 'ANU', 2874, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'ATL', 3682, 'Y', 0, 'CR9 CR7\r'),
	('WS', 5416, 'YYZ', 193, 'AUA', 2895, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'AZS', 5810, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'BDA', 4069, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'BGI', 2875, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'CCC', 5852, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'CUN', 1852, '', 0, '73H 73W\r'),
	('WS', 5416, 'YYZ', 193, 'CVG', 3488, 'Y', 0, 'CRJ\r'),
	('WS', 5416, 'YYZ', 193, 'DFW', 3670, 'Y', 0, '319\r'),
	('WS', 5416, 'YYZ', 193, 'DTW', 3645, 'Y', 0, 'CR7 CRJ\r'),
	('WS', 5416, 'YYZ', 193, 'FLL', 3533, '', 0, '73H 73W\r'),
	('WS', 5416, 'YYZ', 193, 'GCM', 1926, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'JFK', 3797, '', 0, 'CR7 CRJ ERJ\r'),
	('WS', 5416, 'YYZ', 193, 'KIN', 1779, '', 0, '73H\r'),
	('WS', 5416, 'YYZ', 193, 'LAS', 3877, '', 0, '73H\r'),
	('WS', 5416, 'YYZ', 193, 'LAX', 3484, 'Y', 0, '738\r'),
	('WS', 5416, 'YYZ', 193, 'LGA', 3697, '', 0, '736 73W\r'),
	('WS', 5416, 'YYZ', 193, 'LIR', 1881, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'MBJ', 1780, '', 0, '73H 73W\r'),
	('WS', 5416, 'YYZ', 193, 'MCO', 3878, '', 0, '73H 73W\r'),
	('WS', 5416, 'YYZ', 193, 'MIA', 3576, 'Y', 0, '738\r'),
	('WS', 5416, 'YYZ', 193, 'MSP', 3858, 'Y', 0, 'CRJ\r'),
	('WS', 5416, 'YYZ', 193, 'MYR', 3515, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'NAS', 1953, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'ORD', 3830, '', 0, 'E75\r'),
	('WS', 5416, 'YYZ', 193, 'PLS', 1754, '', 0, '73H\r'),
	('WS', 5416, 'YYZ', 193, 'POP', 1761, '', 0, '73H\r'),
	('WS', 5416, 'YYZ', 193, 'POS', 2902, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'PUJ', 1760, '', 0, '73H 73W\r'),
	('WS', 5416, 'YYZ', 193, 'RSW', 3793, '', 0, '73W 736\r'),
	('WS', 5416, 'YYZ', 193, 'SJU', 2890, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'SNU', 1918, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'SXM', 2899, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'TPA', 3646, '', 0, '73W 736\r'),
	('WS', 5416, 'YYZ', 193, 'UVF', 2894, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'VRA', 1923, '', 0, '73W 73H\r'),
	('WS', 5416, 'YYZ', 193, 'YDF', 45, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'YEG', 49, '', 0, '73W 73H\r'),
	('WS', 5416, 'YYZ', 193, 'YHZ', 73, '', 0, '73W 736\r'),
	('WS', 5416, 'YYZ', 193, 'YLW', 87, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'YMM', 90, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'YOW', 100, '', 0, '736 73W\r'),
	('WS', 5416, 'YYZ', 193, 'YQB', 111, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'YQM', 117, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'YQR', 120, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'YQT', 121, '', 0, '73W 736\r'),
	('WS', 5416, 'YYZ', 193, 'YUL', 146, '', 0, '73W 736\r'),
	('WS', 5416, 'YYZ', 193, 'YVR', 156, '', 0, '73W 736 73H\r'),
	('WS', 5416, 'YYZ', 193, 'YWG', 160, '', 0, '73W 736\r'),
	('WS', 5416, 'YYZ', 193, 'YXE', 166, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'YYC', 178, '', 0, '73W 73H 736\r'),
	('WS', 5416, 'YYZ', 193, 'YYG', 182, '', 0, '73W 736\r'),
	('WS', 5416, 'YYZ', 193, 'YYJ', 184, '', 0, '73W\r'),
	('WS', 5416, 'YYZ', 193, 'YYT', 189, '', 0, '73W 73H\r'),
	('WS', 5416, 'YZF', 196, 'YEG', 49, '', 0, '73W 736\r'),
	('WU', 13757, 'BGY', 1525, 'IEV', 2944, '', 0, '320\r'),
	('WU', 13757, 'BGY', 1525, 'LWO', 2945, '', 0, '320\r'),
	('WU', 13757, 'CGN', 344, 'IEV', 2944, '', 0, '320\r'),
	('WU', 13757, 'DOK', 2940, 'KUT', 3972, '', 0, '320\r'),
	('WU', 13757, 'DTM', 373, 'IEV', 2944, '', 0, '320\r'),
	('WU', 13757, 'DTM', 373, 'LWO', 2945, '', 0, '320\r'),
	('WU', 13757, 'FCO', 1555, 'LWO', 2945, '', 0, '320\r'),
	('WU', 13757, 'FMM', 3986, 'IEV', 2944, '', 0, '320\r'),
	('WU', 13757, 'GRO', 1222, 'IEV', 2944, '', 0, '320\r'),
	('WU', 13757, 'GRO', 1222, 'LWO', 2945, '', 0, '320\r'),
	('WU', 13757, 'HRK', 6105, 'KUT', 3972, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'BGY', 1525, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'CGN', 344, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'DTM', 373, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'FMM', 3986, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'GRO', 1222, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'KTW', 671, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'KUT', 3972, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'LCA', 1197, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'TSF', 1539, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'VLC', 1246, '', 0, '320\r'),
	('WU', 13757, 'IEV', 2944, 'VNO', 3959, '', 0, '320\r'),
	('WU', 13757, 'KTW', 671, 'IEV', 2944, '', 0, '320\r'),
	('WU', 13757, 'KUT', 3972, 'DOK', 2940, '', 0, '320\r'),
	('WU', 13757, 'KUT', 3972, 'HRK', 6105, '', 0, '320\r'),
	('WU', 13757, 'KUT', 3972, 'IEV', 2944, '', 0, '320\r'),
	('WU', 13757, 'LCA', 1197, 'IEV', 2944, '', 0, '320\r'),
	('WU', 13757, 'LWO', 2945, 'BGY', 1525, '', 0, '320\r'),
	('WU', 13757, 'LWO', 2945, 'DTM', 373, '', 0, '320\r'),
	('WU', 13757, 'LWO', 2945, 'FCO', 1555, '', 0, '320\r'),
	('WU', 13757, 'LWO', 2945, 'GRO', 1222, '', 0, '320\r'),
	('WU', 13757, 'LWO', 2945, 'NAP', 1561, '', 0, '320\r'),
	('WU', 13757, 'LWO', 2945, 'TLV', 1590, '', 0, '320\r'),
	('WU', 13757, 'LWO', 2945, 'TSF', 1539, '', 0, '320\r'),
	('WU', 13757, 'LWO', 2945, 'VLC', 1246, '', 0, '320\r'),
	('WU', 13757, 'NAP', 1561, 'LWO', 2945, '', 0, '320\r'),
	('WU', 13757, 'TLV', 1590, 'LWO', 2945, '', 0, '320\r'),
	('WU', 13757, 'TSF', 1539, 'IEV', 2944, '', 0, '320\r'),
	('WU', 13757, 'TSF', 1539, 'LWO', 2945, '', 0, '320\r'),
	('WU', 13757, 'VLC', 1246, 'IEV', 2944, '', 0, '320\r'),
	('WU', 13757, 'VLC', 1246, 'LWO', 2945, '', 0, '320\r'),
	('WU', 13757, 'VNO', 3959, 'IEV', 2944, '', 0, '320\r'),
	('WW', 1441, 'ALC', 1212, 'KEF', 16, '', 0, '320\r'),
	('WW', 1441, 'CDG', 1382, 'KEF', 16, '', 0, '320\r'),
	('WW', 1441, 'CPH', 609, 'KEF', 16, '', 0, '320\r'),
	('WW', 1441, 'KEF', 16, 'ALC', 1212, '', 0, '320\r'),
	('WW', 1441, 'KEF', 16, 'CDG', 1382, '', 0, '320\r'),
	('WW', 1441, 'KEF', 16, 'CPH', 609, '', 0, '320\r'),
	('WW', 1441, 'KEF', 16, 'LGW', 502, '', 0, '320\r'),
	('WW', 1441, 'KEF', 16, 'SXF', 337, '', 0, '320\r'),
	('WW', 1441, 'LGW', 502, 'KEF', 16, '', 0, '320\r'),
	('WW', 1441, 'SXF', 337, 'KEF', 16, '', 0, '320\r'),
	('WX', 1792, 'AMS', 580, 'LCY', 503, '', 0, 'AR8\r'),
	('WX', 1792, 'ANR', 299, 'LCY', 503, '', 0, 'F50\r'),
	('WX', 1792, 'BES', 1403, 'LCY', 503, '', 0, 'F50\r'),
	('WX', 1792, 'BVE', 1278, 'LCY', 503, '', 0, 'AR8\r'),
	('WX', 1792, 'CWL', 488, 'EDI', 535, '', 0, 'F50\r'),
	('WX', 1792, 'CWL', 488, 'GLA', 534, '', 0, 'F50\r'),
	('WX', 1792, 'CWL', 488, 'JER', 499, '', 0, 'F50\r'),
	('WX', 1792, 'CWL', 488, 'ORY', 1386, '', 0, 'F50\r'),
	('WX', 1792, 'DOL', 1408, 'LCY', 503, '', 0, 'F50\r'),
	('WX', 1792, 'DRS', 338, 'LCY', 503, '', 0, 'AR8\r'),
	('WX', 1792, 'DUB', 599, 'LCY', 503, '', 0, 'AR8\r'),
	('WX', 1792, 'EDI', 535, 'CWL', 488, '', 0, 'F50\r'),
	('WX', 1792, 'FLR', 1563, 'LCY', 503, '', 0, 'AR8\r'),
	('WX', 1792, 'GLA', 534, 'CWL', 488, '', 0, 'F50\r'),
	('WX', 1792, 'JER', 499, 'CWL', 488, '', 0, 'F50\r'),
	('WX', 1792, 'LCY', 503, 'AMS', 580, '', 0, 'AR8\r'),
	('WX', 1792, 'LCY', 503, 'ANR', 299, '', 0, 'F50\r'),
	('WX', 1792, 'LCY', 503, 'BES', 1403, '', 0, 'F50\r'),
	('WX', 1792, 'LCY', 503, 'BVE', 1278, '', 0, 'AR8\r'),
	('WX', 1792, 'LCY', 503, 'DOL', 1408, '', 0, 'F50\r'),
	('WX', 1792, 'LCY', 503, 'DRS', 338, '', 0, 'AR8\r'),
	('WX', 1792, 'LCY', 503, 'DUB', 599, '', 0, 'AR8\r'),
	('WX', 1792, 'LCY', 503, 'FLR', 1563, '', 0, 'AR8\r'),
	('WX', 1792, 'LCY', 503, 'NTE', 1418, '', 0, 'AR8 F50\r'),
	('WX', 1792, 'LCY', 503, 'ORY', 1386, '', 0, 'F50\r'),
	('WX', 1792, 'LCY', 503, 'RTM', 591, '', 0, 'F50 AR8\r'),
	('WX', 1792, 'NTE', 1418, 'LCY', 503, '', 0, 'AR8 F50\r'),
	('WX', 1792, 'ORY', 1386, 'CWL', 488, '', 0, 'F50\r'),
	('WX', 1792, 'ORY', 1386, 'LCY', 503, '', 0, 'F50\r'),
	('WX', 1792, 'RTM', 591, 'LCY', 503, '', 0, 'F50 AR8\r'),
	('WY', 3778, 'ADD', 1107, 'MCT', 2194, '', 0, '73G\r'),
	('WY', 3778, 'AMM', 2170, 'MCT', 2194, '', 0, '73G 738\r'),
	('WY', 3778, 'AUH', 2179, 'MCT', 2194, '', 0, 'ATR E75 738 73G\r'),
	('WY', 3778, 'BAH', 2057, 'MCT', 2194, '', 0, 'E75 73G 738\r'),
	('WY', 3778, 'BEY', 2177, 'MCT', 2194, '', 0, '738 73G\r'),
	('WY', 3778, 'BKK', 3885, 'CAN', 3370, '', 0, '343\r'),
	('WY', 3778, 'BKK', 3885, 'MCT', 2194, '', 0, '333 332\r'),
	('WY', 3778, 'BLR', 3131, 'MCT', 2194, '', 0, '738 73G\r'),
	('WY', 3778, 'BOM', 2997, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'CAI', 1128, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'CAN', 3370, 'BKK', 3885, '', 0, '343\r'),
	('WY', 3778, 'CCJ', 3137, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'CDG', 1382, 'MCT', 2194, '', 0, '332\r'),
	('WY', 3778, 'CGP', 3069, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'CMB', 3024, 'MCT', 2194, '', 0, '333 32C 332 738\r'),
	('WY', 3778, 'CMB', 3024, 'MLE', 3156, 'Y', 0, '32C 343\r'),
	('WY', 3778, 'CMB', 3024, 'SIN', 3316, 'Y', 0, '32C\r'),
	('WY', 3778, 'COK', 3136, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'DAR', 1177, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'DEL', 3093, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'DMM', 2064, 'MCT', 2194, '', 0, '738 E75 73G\r'),
	('WY', 3778, 'DOH', 2241, 'BAH', 2057, '', 0, '738\r'),
	('WY', 3778, 'DOH', 2241, 'MCT', 2194, '', 0, 'E75 738 73G\r'),
	('WY', 3778, 'DXB', 2188, 'MCT', 2194, '', 0, '738 E75 332 73G 333\r'),
	('WY', 3778, 'DXB', 2188, 'SLL', 2195, '', 0, 'E75\r'),
	('WY', 3778, 'FRA', 340, 'MCT', 2194, '', 0, '333 332\r'),
	('WY', 3778, 'HYD', 3141, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'IKA', 4330, 'MCT', 2194, '', 0, 'E75\r'),
	('WY', 3778, 'ISB', 2223, 'MCT', 2194, '', 0, '738 73G\r'),
	('WY', 3778, 'IST', 1701, 'MCT', 2194, '', 0, '321\r'),
	('WY', 3778, 'JAI', 3098, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'JED', 2072, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'JED', 2072, 'SLL', 2195, '', 0, 'E75\r'),
	('WY', 3778, 'KHI', 2206, 'MCT', 2194, '', 0, '738 73G\r'),
	('WY', 3778, 'KHS', 2192, 'MCT', 2194, '', 0, 'ATR\r'),
	('WY', 3778, 'KTM', 3125, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'KUL', 3304, 'MCT', 2194, '', 0, '332 333\r'),
	('WY', 3778, 'KWI', 2176, 'MCT', 2194, '', 0, 'E75 738 73G\r'),
	('WY', 3778, 'LHE', 2207, 'MCT', 2194, '', 0, '73G 333 738\r'),
	('WY', 3778, 'LHR', 507, 'MCT', 2194, '', 0, '333\r'),
	('WY', 3778, 'LKO', 3105, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'MAA', 3144, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'ADD', 1107, '', 0, '73G\r'),
	('WY', 3778, 'MCT', 2194, 'AMM', 2170, '', 0, '73G 738\r'),
	('WY', 3778, 'MCT', 2194, 'AUH', 2179, '', 0, 'ATR E75 738 73G\r'),
	('WY', 3778, 'MCT', 2194, 'BAH', 2057, '', 0, 'E75 73G 738\r'),
	('WY', 3778, 'MCT', 2194, 'BEY', 2177, '', 0, '738 73G\r'),
	('WY', 3778, 'MCT', 2194, 'BKK', 3885, '', 0, '332 333\r'),
	('WY', 3778, 'MCT', 2194, 'BLR', 3131, '', 0, '738 73G\r'),
	('WY', 3778, 'MCT', 2194, 'BOM', 2997, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'CAI', 1128, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'CCJ', 3137, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'CDG', 1382, '', 0, '332\r'),
	('WY', 3778, 'MCT', 2194, 'CGP', 3069, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'CMB', 3024, '', 0, '333 32C 332 738\r'),
	('WY', 3778, 'MCT', 2194, 'COK', 3136, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'DEL', 3093, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'DMM', 2064, '', 0, '738 E75 73G\r'),
	('WY', 3778, 'MCT', 2194, 'DOH', 2241, '', 0, 'E75 738 73G\r'),
	('WY', 3778, 'MCT', 2194, 'DXB', 2188, '', 0, '738 E75 332 73G 333\r'),
	('WY', 3778, 'MCT', 2194, 'FRA', 340, '', 0, '333 332\r'),
	('WY', 3778, 'MCT', 2194, 'HYD', 3141, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'IKA', 4330, '', 0, 'E75\r'),
	('WY', 3778, 'MCT', 2194, 'ISB', 2223, '', 0, '738 73G\r'),
	('WY', 3778, 'MCT', 2194, 'IST', 1701, '', 0, '321\r'),
	('WY', 3778, 'MCT', 2194, 'JAI', 3098, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'JED', 2072, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'KHI', 2206, '', 0, '738 73G\r'),
	('WY', 3778, 'MCT', 2194, 'KHS', 2192, '', 0, 'ATR\r'),
	('WY', 3778, 'MCT', 2194, 'KTM', 3125, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'KUL', 3304, '', 0, '332 333\r'),
	('WY', 3778, 'MCT', 2194, 'KWI', 2176, '', 0, 'E75 738 73G\r'),
	('WY', 3778, 'MCT', 2194, 'LHE', 2207, '', 0, '73G 333 738\r'),
	('WY', 3778, 'MCT', 2194, 'LHR', 507, '', 0, '333\r'),
	('WY', 3778, 'MCT', 2194, 'LKO', 3105, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'MAA', 3144, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'MED', 2074, '', 0, '73G 738\r'),
	('WY', 3778, 'MCT', 2194, 'MLE', 3156, '', 0, '332 738\r'),
	('WY', 3778, 'MCT', 2194, 'MUC', 346, '', 0, '333 332\r'),
	('WY', 3778, 'MCT', 2194, 'MXP', 1524, '', 0, '332\r'),
	('WY', 3778, 'MCT', 2194, 'RUH', 2082, '', 0, 'E75 738 73G\r'),
	('WY', 3778, 'MCT', 2194, 'SLL', 2195, '', 0, 'E75 738 73G\r'),
	('WY', 3778, 'MCT', 2194, 'TRV', 3153, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'ZNZ', 1186, '', 0, '738\r'),
	('WY', 3778, 'MCT', 2194, 'ZRH', 1678, '', 0, '332\r'),
	('WY', 3778, 'MED', 2074, 'MCT', 2194, '', 0, '73G 738\r'),
	('WY', 3778, 'MLE', 3156, 'CMB', 3024, 'Y', 0, '32C 343\r'),
	('WY', 3778, 'MLE', 3156, 'MCT', 2194, '', 0, '332 738\r'),
	('WY', 3778, 'MUC', 346, 'MCT', 2194, '', 0, '333 332\r'),
	('WY', 3778, 'MXP', 1524, 'MCT', 2194, '', 0, '332\r'),
	('WY', 3778, 'RUH', 2082, 'MCT', 2194, '', 0, 'E75 738 73G\r'),
	('WY', 3778, 'SIN', 3316, 'CMB', 3024, 'Y', 0, '32C\r'),
	('WY', 3778, 'SLL', 2195, 'DXB', 2188, '', 0, 'E75\r'),
	('WY', 3778, 'SLL', 2195, 'JED', 2072, '', 0, 'E75\r'),
	('WY', 3778, 'SLL', 2195, 'MCT', 2194, '', 0, 'E75 738 73G\r'),
	('WY', 3778, 'TRV', 3153, 'MCT', 2194, '', 0, '738\r'),
	('WY', 3778, 'ZNZ', 1186, 'DAR', 1177, '', 0, '738\r'),
	('WY', 3778, 'ZRH', 1678, 'MCT', 2194, '', 0, '332\r'),
	('X3', 2681, 'ACE', 1055, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'ACE', 1055, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'ACE', 1055, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'AYT', 1688, 'CGN', 344, '', 0, '73H\r'),
	('X3', 2681, 'AYT', 1688, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'AYT', 1688, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'AYT', 1688, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'AYT', 1688, 'HAM', 342, '', 0, '73H\r'),
	('X3', 2681, 'AYT', 1688, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'AYT', 1688, 'NUE', 347, '', 0, '73H\r'),
	('X3', 2681, 'AYT', 1688, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'AYT', 1688, 'ZQW', 6510, '', 0, '73H\r'),
	('X3', 2681, 'BSL', 4053, 'FNC', 4091, '', 0, '73H\r'),
	('X3', 2681, 'BSL', 4053, 'FUE', 1051, '', 0, '73H\r'),
	('X3', 2681, 'BSL', 4053, 'HER', 1452, '', 0, '73H\r'),
	('X3', 2681, 'BSL', 4053, 'KGS', 1458, '', 0, '73H\r'),
	('X3', 2681, 'BSL', 4053, 'LPA', 1054, '', 0, '73H\r'),
	('X3', 2681, 'BSL', 4053, 'PMI', 3998, '', 0, '73H\r'),
	('X3', 2681, 'BSL', 4053, 'RHO', 1472, '', 0, '73H\r'),
	('X3', 2681, 'BSL', 4053, 'TFS', 1056, '', 0, '73H\r'),
	('X3', 2681, 'BSL', 4053, 'ZQW', 6510, '', 0, '73H\r'),
	('X3', 2681, 'BVC', 1103, 'SID', 1102, '', 0, '73H\r'),
	('X3', 2681, 'CFU', 1460, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'CFU', 1460, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'CFU', 1460, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'CFU', 1460, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'CFU', 1460, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'AYT', 1688, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'BVC', 1103, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'FNC', 4091, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'FUE', 1051, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'HER', 1452, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'KGS', 1458, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'LPA', 1054, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'PMI', 3998, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'RHO', 1472, '', 0, '73H\r'),
	('X3', 2681, 'CGN', 344, 'TFS', 1056, '', 0, '73H\r'),
	('X3', 2681, 'DLM', 1715, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'DLM', 1715, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'DLM', 1715, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'DLM', 1715, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'DLM', 1715, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'AYT', 1688, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'CFU', 1460, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'DLM', 1715, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'FAO', 1626, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'FUE', 1051, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'GPA', 1473, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'HER', 1452, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'HRG', 1130, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'KGS', 1458, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'LPA', 1054, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'PMI', 3998, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'RHO', 1472, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'TFS', 1056, '', 0, '73H\r'),
	('X3', 2681, 'DUS', 345, 'XRY', 1226, '', 0, '73H\r'),
	('X3', 2681, 'FAO', 1626, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'FAO', 1626, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'FAO', 1626, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'FAO', 1626, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'FAO', 1626, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'FMM', 3986, 'PMI', 3998, '', 0, '73H\r'),
	('X3', 2681, 'FNC', 4091, 'BSL', 4053, '', 0, '73H\r'),
	('X3', 2681, 'FNC', 4091, 'CGN', 344, '', 0, '73H\r'),
	('X3', 2681, 'FNC', 4091, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'FNC', 4091, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'FNC', 4091, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'ACE', 1055, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'AYT', 1688, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'BVC', 1103, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'CFU', 1460, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'DLM', 1715, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'FAO', 1626, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'FNC', 4091, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'FUE', 1051, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'GPA', 1473, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'HER', 1452, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'KGS', 1458, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'LPA', 1054, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'MAH', 1231, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'PMI', 3998, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'RHO', 1472, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'TFS', 1056, '', 0, '73H\r'),
	('X3', 2681, 'FRA', 340, 'XRY', 1226, '', 0, '73H\r'),
	('X3', 2681, 'FUE', 1051, 'BSL', 4053, '', 0, '73H\r'),
	('X3', 2681, 'FUE', 1051, 'CGN', 344, '', 0, '73H\r'),
	('X3', 2681, 'FUE', 1051, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'FUE', 1051, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'FUE', 1051, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'FUE', 1051, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'FUE', 1051, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'FUE', 1051, 'ZQW', 6510, '', 0, '73H\r'),
	('X3', 2681, 'GPA', 1473, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'GPA', 1473, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'ACE', 1055, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'AYT', 1688, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'BVC', 1103, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'CFU', 1460, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'DLM', 1715, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'FAO', 1626, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'FNC', 4091, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'FUE', 1051, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'HER', 1452, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'KGS', 1458, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'LPA', 1054, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'MAH', 1231, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'PMI', 3998, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'RHO', 1472, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'TFS', 1056, '', 0, '73H\r'),
	('X3', 2681, 'HAJ', 352, 'XRY', 1226, '', 0, '73H\r'),
	('X3', 2681, 'HAM', 342, 'AYT', 1688, '', 0, '73H\r'),
	('X3', 2681, 'HAM', 342, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'HAM', 342, 'HER', 1452, '', 0, '73H\r'),
	('X3', 2681, 'HAM', 342, 'MAH', 1231, '', 0, '73H\r'),
	('X3', 2681, 'HER', 1452, 'BSL', 4053, '', 0, '73H\r'),
	('X3', 2681, 'HER', 1452, 'CGN', 344, '', 0, '73H\r'),
	('X3', 2681, 'HER', 1452, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'HER', 1452, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'HER', 1452, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'HER', 1452, 'HAM', 342, '', 0, '73H\r'),
	('X3', 2681, 'HER', 1452, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'HER', 1452, 'NUE', 347, '', 0, '73H\r'),
	('X3', 2681, 'HER', 1452, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'HRG', 1130, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'KGS', 1458, 'BSL', 4053, '', 0, '73H\r'),
	('X3', 2681, 'KGS', 1458, 'CGN', 344, '', 0, '73H\r'),
	('X3', 2681, 'KGS', 1458, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'KGS', 1458, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'KGS', 1458, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'KGS', 1458, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'KGS', 1458, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'LEJ', 348, 'RHO', 1472, '', 0, '73H\r'),
	('X3', 2681, 'LPA', 1054, 'BSL', 4053, '', 0, '73H\r'),
	('X3', 2681, 'LPA', 1054, 'CGN', 344, '', 0, '73H\r'),
	('X3', 2681, 'LPA', 1054, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'LPA', 1054, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'LPA', 1054, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'LPA', 1054, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'LPA', 1054, 'NUE', 347, '', 0, '73H\r'),
	('X3', 2681, 'LPA', 1054, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'MAH', 1231, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'MAH', 1231, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'MAH', 1231, 'HAM', 342, '', 0, '73H\r'),
	('X3', 2681, 'MAH', 1231, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'AYT', 1688, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'BVC', 1103, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'CFU', 1460, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'DLM', 1715, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'FAO', 1626, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'FUE', 1051, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'HER', 1452, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'KGS', 1458, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'LPA', 1054, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'PMI', 3998, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'RHO', 1472, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'TFS', 1056, '', 0, '73H\r'),
	('X3', 2681, 'MUC', 346, 'XRY', 1226, '', 0, '73H\r'),
	('X3', 2681, 'NUE', 347, 'AYT', 1688, '', 0, '73H\r'),
	('X3', 2681, 'NUE', 347, 'HER', 1452, '', 0, '73H\r'),
	('X3', 2681, 'NUE', 347, 'PMI', 3998, '', 0, '73H\r'),
	('X3', 2681, 'NUE', 347, 'RHO', 1472, '', 0, '73H\r'),
	('X3', 2681, 'NUE', 347, 'TFS', 1056, '', 0, '73H\r'),
	('X3', 2681, 'NUE', 347, 'ZQW', 6510, '', 0, '73H\r'),
	('X3', 2681, 'PMI', 3998, 'BSL', 4053, '', 0, '73H\r'),
	('X3', 2681, 'PMI', 3998, 'CGN', 344, '', 0, '73H\r'),
	('X3', 2681, 'PMI', 3998, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'PMI', 3998, 'FMM', 3986, '', 0, '73H\r'),
	('X3', 2681, 'PMI', 3998, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'PMI', 3998, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'PMI', 3998, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'PMI', 3998, 'NUE', 347, '', 0, '73H\r'),
	('X3', 2681, 'PMI', 3998, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'PMI', 3998, 'ZQW', 6510, '', 0, '73H\r'),
	('X3', 2681, 'RHO', 1472, 'BSL', 4053, '', 0, '73H\r'),
	('X3', 2681, 'RHO', 1472, 'CGN', 344, '', 0, '73H\r'),
	('X3', 2681, 'RHO', 1472, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'RHO', 1472, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'RHO', 1472, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'RHO', 1472, 'LEJ', 348, '', 0, '73H\r'),
	('X3', 2681, 'RHO', 1472, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'RHO', 1472, 'NUE', 347, '', 0, '73H\r'),
	('X3', 2681, 'RHO', 1472, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'SID', 1102, 'CGN', 344, '', 0, '73H\r'),
	('X3', 2681, 'SID', 1102, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'SID', 1102, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'SID', 1102, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'SID', 1102, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'ACE', 1055, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'AYT', 1688, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'BVC', 1103, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'CFU', 1460, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'DLM', 1715, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'FAO', 1626, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'FNC', 4091, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'FUE', 1051, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'HER', 1452, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'KGS', 1458, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'LPA', 1054, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'MAH', 1231, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'PMI', 3998, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'RHO', 1472, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'TFS', 1056, '', 0, '73H\r'),
	('X3', 2681, 'STR', 350, 'XRY', 1226, '', 0, '73H\r'),
	('X3', 2681, 'TFS', 1056, 'BSL', 4053, '', 0, '73H\r'),
	('X3', 2681, 'TFS', 1056, 'CGN', 344, '', 0, '73H\r'),
	('X3', 2681, 'TFS', 1056, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'TFS', 1056, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'TFS', 1056, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'TFS', 1056, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'TFS', 1056, 'NUE', 347, '', 0, '73H\r'),
	('X3', 2681, 'TFS', 1056, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'TFS', 1056, 'ZQW', 6510, '', 0, '73H\r'),
	('X3', 2681, 'XRY', 1226, 'DUS', 345, '', 0, '73H\r'),
	('X3', 2681, 'XRY', 1226, 'FRA', 340, '', 0, '73H\r'),
	('X3', 2681, 'XRY', 1226, 'HAJ', 352, '', 0, '73H\r'),
	('X3', 2681, 'XRY', 1226, 'HAM', 342, '', 0, '73H\r'),
	('X3', 2681, 'XRY', 1226, 'MUC', 346, '', 0, '73H\r'),
	('X3', 2681, 'XRY', 1226, 'STR', 350, '', 0, '73H\r'),
	('X3', 2681, 'ZQW', 6510, 'AYT', 1688, '', 0, '73H\r'),
	('X3', 2681, 'ZQW', 6510, 'FUE', 1051, '', 0, '73H\r'),
	('X3', 2681, 'ZQW', 6510, 'LPA', 1054, '', 0, '73H\r'),
	('X3', 2681, 'ZQW', 6510, 'PMI', 3998, '', 0, '73H\r'),
	('X3', 2681, 'ZQW', 6510, 'TFS', 1056, '', 0, '73H\r'),
	('X7', 1775, 'APF', 4012, 'MIA', 3576, '', 0, 'CNA\r'),
	('X7', 1775, 'MIA', 3576, 'APF', 4012, '', 0, 'CNA\r'),
	('XK', 1909, 'AJA', 1324, 'LGG', 309, '', 0, '320\r'),
	('XK', 1909, 'AJA', 1324, 'LYS', 1335, '', 0, '320\r'),
	('XK', 1909, 'AJA', 1324, 'MRS', 1353, '', 0, '320 AT7\r'),
	('XK', 1909, 'AJA', 1324, 'NCE', 1354, '', 0, 'AT7\r'),
	('XK', 1909, 'AJA', 1324, 'NTE', 1418, '', 0, '320\r'),
	('XK', 1909, 'AJA', 1324, 'ORY', 1386, '', 0, '319\r'),
	('XK', 1909, 'AJA', 1324, 'TLS', 1273, '', 0, '320\r'),
	('XK', 1909, 'BIA', 1321, 'EBU', 1350, '', 0, 'AT7\r'),
	('XK', 1909, 'BIA', 1321, 'LGG', 309, '', 0, '320\r'),
	('XK', 1909, 'BIA', 1321, 'LYS', 1335, '', 0, '320\r'),
	('XK', 1909, 'BIA', 1321, 'MRS', 1353, '', 0, '320\r'),
	('XK', 1909, 'BIA', 1321, 'NCE', 1354, '', 0, 'AT7\r'),
	('XK', 1909, 'BIA', 1321, 'NTE', 1418, '', 0, '320\r'),
	('XK', 1909, 'BIA', 1321, 'ORY', 1386, '', 0, '319\r'),
	('XK', 1909, 'CLY', 1322, 'MRS', 1353, '', 0, 'AT7\r'),
	('XK', 1909, 'CLY', 1322, 'NCE', 1354, '', 0, 'AT7\r'),
	('XK', 1909, 'CLY', 1322, 'ORY', 1386, '', 0, '319\r'),
	('XK', 1909, 'EBU', 1350, 'BIA', 1321, '', 0, 'AT7\r'),
	('XK', 1909, 'FSC', 1323, 'MRS', 1353, '', 0, 'AT7\r'),
	('XK', 1909, 'FSC', 1323, 'NCE', 1354, '', 0, 'AT7\r'),
	('XK', 1909, 'FSC', 1323, 'ORY', 1386, '', 0, '320\r'),
	('XK', 1909, 'LGG', 309, 'AJA', 1324, '', 0, '320\r'),
	('XK', 1909, 'LGG', 309, 'BIA', 1321, '', 0, '320\r'),
	('XK', 1909, 'LYS', 1335, 'AJA', 1324, '', 0, '320\r'),
	('XK', 1909, 'LYS', 1335, 'BIA', 1321, '', 0, '320\r'),
	('XK', 1909, 'MRS', 1353, 'AJA', 1324, '', 0, '320 AT7\r'),
	('XK', 1909, 'MRS', 1353, 'BIA', 1321, '', 0, '320\r'),
	('XK', 1909, 'MRS', 1353, 'CLY', 1322, '', 0, 'AT7\r'),
	('XK', 1909, 'MRS', 1353, 'FSC', 1323, '', 0, 'AT7\r'),
	('XK', 1909, 'MRS', 1353, 'MXP', 1524, '', 0, 'AT7\r'),
	('XK', 1909, 'MXP', 1524, 'MRS', 1353, '', 0, 'AT7\r'),
	('XK', 1909, 'NCE', 1354, 'AJA', 1324, '', 0, 'AT7\r'),
	('XK', 1909, 'NCE', 1354, 'BIA', 1321, '', 0, 'AT7\r'),
	('XK', 1909, 'NCE', 1354, 'CLY', 1322, '', 0, 'AT7\r'),
	('XK', 1909, 'NCE', 1354, 'FSC', 1323, '', 0, 'AT7\r'),
	('XK', 1909, 'NTE', 1418, 'AJA', 1324, '', 0, '320\r'),
	('XK', 1909, 'NTE', 1418, 'BIA', 1321, '', 0, '320\r'),
	('XK', 1909, 'ORY', 1386, 'AJA', 1324, '', 0, '319\r'),
	('XK', 1909, 'ORY', 1386, 'BIA', 1321, '', 0, '319\r'),
	('XK', 1909, 'ORY', 1386, 'CLY', 1322, '', 0, '319\r'),
	('XK', 1909, 'ORY', 1386, 'FSC', 1323, '', 0, '320\r'),
	('XK', 1909, 'TLS', 1273, 'AJA', 1324, '', 0, '320\r'),
	('XL', 1034, 'CUE', 2671, 'UIO', 2688, '', 0, '319\r'),
	('XL', 1034, 'GPS', 2672, 'GYE', 2673, '', 0, '319\r'),
	('XL', 1034, 'GYE', 2673, 'GPS', 2672, '', 0, '319\r'),
	('XL', 1034, 'GYE', 2673, 'JFK', 3797, '', 0, '763\r'),
	('XL', 1034, 'GYE', 2673, 'MIA', 3576, 'Y', 0, '738 763 757\r'),
	('XL', 1034, 'GYE', 2673, 'SCY', 6045, '', 0, '319\r'),
	('XL', 1034, 'GYE', 2673, 'UIO', 2688, '', 0, '319 320\r'),
	('XL', 1034, 'JFK', 3797, 'GYE', 2673, '', 0, '763\r'),
	('XL', 1034, 'MIA', 3576, 'GYE', 2673, 'Y', 0, '738 763 757\r'),
	('XL', 1034, 'MIA', 3576, 'UIO', 2688, '', 0, '763\r'),
	('XL', 1034, 'SCY', 6045, 'GYE', 2673, '', 0, '319\r'),
	('XL', 1034, 'UIO', 2688, 'CUE', 2671, '', 0, '319\r'),
	('XL', 1034, 'UIO', 2688, 'GYE', 2673, '', 0, '319 320\r'),
	('XL', 1034, 'UIO', 2688, 'MIA', 3576, '', 0, '763\r'),
	('XQ', 4573, 'ADA', 1685, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'ADA', 1685, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'ADA', 1685, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'AMS', 580, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'ARN', 737, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'ASR', 1696, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'BRE', 353, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'BSL', 4053, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'CDG', 1382, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'CGN', 344, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'CPH', 609, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'DIY', 1722, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'DTM', 373, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'DUS', 345, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'FRA', 340, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'GZT', 1689, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'HAJ', 352, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'HAM', 342, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'HEL', 421, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'LYS', 1335, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'MUC', 346, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'NTE', 1418, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'SAW', 4317, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'STR', 350, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'SXB', 1435, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'TXL', 351, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'TZX', 1726, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'VIE', 1613, '', 0, '738\r'),
	('XQ', 4573, 'ADB', 1706, 'ZRH', 1678, '', 0, '738\r'),
	('XQ', 4573, 'AMS', 580, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'AMS', 580, 'ASR', 1696, '', 0, '738\r'),
	('XQ', 4573, 'ARN', 737, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'ASR', 1696, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'ASR', 1696, 'AMS', 580, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'ADA', 1685, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'BSL', 4053, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'CGN', 344, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'DUS', 345, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'FRA', 340, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'GRZ', 1609, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'HAJ', 352, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'HAM', 342, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'LEJ', 348, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'LNZ', 1611, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'MUC', 346, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'NUE', 347, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'PAD', 371, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'SAW', 4317, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'STR', 350, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'SZG', 1612, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'TXL', 351, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'VIE', 1613, '', 0, '738\r'),
	('XQ', 4573, 'AYT', 1688, 'ZRH', 1678, '', 0, '738\r'),
	('XQ', 4573, 'BRE', 353, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'BSL', 4053, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'BSL', 4053, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'CDG', 1382, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'CGN', 344, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'CGN', 344, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'CPH', 609, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'DIY', 1722, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'DTM', 373, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'DTM', 373, 'SAW', 4317, '', 0, '738\r'),
	('XQ', 4573, 'DUS', 345, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'DUS', 345, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'FRA', 340, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'FRA', 340, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'GRZ', 1609, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'GZT', 1689, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'HAJ', 352, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'HAJ', 352, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'HAM', 342, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'HAM', 342, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'HEL', 421, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'LEJ', 348, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'LNZ', 1611, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'LNZ', 1611, 'SZG', 1612, '', 0, '738\r'),
	('XQ', 4573, 'LYS', 1335, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'MUC', 346, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'MUC', 346, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'NTE', 1418, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'NUE', 347, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'PAD', 371, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'SAW', 4317, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'SAW', 4317, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'SAW', 4317, 'DTM', 373, '', 0, '738\r'),
	('XQ', 4573, 'STR', 350, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'STR', 350, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'SXB', 1435, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'SZG', 1612, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'TXL', 351, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'TXL', 351, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'TZX', 1726, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'VIE', 1613, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'VIE', 1613, 'AYT', 1688, '', 0, '738\r'),
	('XQ', 4573, 'ZRH', 1678, 'ADB', 1706, '', 0, '738\r'),
	('XQ', 4573, 'ZRH', 1678, 'AYT', 1688, '', 0, '738\r'),
	('XV', 16844, 'DOM', 2877, 'EIS', 2903, '', 0, 'J32\r'),
	('XV', 16844, 'DOM', 2877, 'SXM', 2899, '', 0, 'J32\r'),
	('XV', 16844, 'EIS', 2903, 'DOM', 2877, '', 0, 'J32\r'),
	('XV', 16844, 'EIS', 2903, 'SXM', 2899, '', 0, 'J32\r'),
	('XV', 16844, 'SXM', 2899, 'DOM', 2877, '', 0, 'J32\r'),
	('XV', 16844, 'SXM', 2899, 'EIS', 2903, '', 0, 'J32\r'),
	('XY', 3754, 'ADA', 1685, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'AHB', 2059, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'AHB', 2059, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'AMM', 2170, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'AMM', 2170, 'MED', 2074, '', 0, '320\r'),
	('XY', 3754, 'AMM', 2170, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'ASW', 1136, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'ATZ', 5691, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'ATZ', 5691, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'AUH', 2179, 'DMM', 2064, 'Y', 0, '320 319\r'),
	('XY', 3754, 'AUH', 2179, 'JED', 2072, 'Y', 0, '77W\r'),
	('XY', 3754, 'AUH', 2179, 'MED', 2074, 'Y', 0, '320\r'),
	('XY', 3754, 'AUH', 2179, 'RUH', 2082, 'Y', 0, '320 346 332 77W\r'),
	('XY', 3754, 'CGK', 3275, 'JED', 2072, '', 0, '330\r'),
	('XY', 3754, 'CMN', 1074, 'JED', 2072, '', 0, '330\r'),
	('XY', 3754, 'DMM', 2064, 'AUH', 2179, 'Y', 0, '320 319\r'),
	('XY', 3754, 'DMM', 2064, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'DMM', 2064, 'MED', 2074, '', 0, '320\r'),
	('XY', 3754, 'DMM', 2064, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'DMM', 2064, 'TIF', 2090, '', 0, '320\r'),
	('XY', 3754, 'DMM', 2064, 'YNB', 2096, '', 0, '320\r'),
	('XY', 3754, 'DXB', 2188, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'DXB', 2188, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'GIZ', 2066, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'GIZ', 2066, 'MED', 2074, '', 0, '320\r'),
	('XY', 3754, 'GIZ', 2066, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'HBE', 3410, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'HBE', 3410, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'HMB', 8235, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'HMB', 8235, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'HTY', 7453, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'HTY', 7453, 'MED', 2074, '', 0, '320\r'),
	('XY', 3754, 'HTY', 7453, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'ISB', 2223, 'JED', 2072, '', 0, '330\r'),
	('XY', 3754, 'JED', 2072, 'ADA', 1685, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'AHB', 2059, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'AMM', 2170, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'ASW', 1136, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'ATZ', 5691, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'AUH', 2179, 'Y', 0, '77W\r'),
	('XY', 3754, 'JED', 2072, 'CGK', 3275, '', 0, '330\r'),
	('XY', 3754, 'JED', 2072, 'CMN', 1074, '', 0, '330\r'),
	('XY', 3754, 'JED', 2072, 'DMM', 2064, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'DXB', 2188, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'GIZ', 2066, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'HBE', 3410, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'HMB', 8235, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'HTY', 7453, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'ISB', 2223, '', 0, '330\r'),
	('XY', 3754, 'JED', 2072, 'KHI', 2206, '', 0, '330\r'),
	('XY', 3754, 'JED', 2072, 'KRT', 1175, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'KUL', 3304, '', 0, '330\r'),
	('XY', 3754, 'JED', 2072, 'KWI', 2176, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'LGW', 502, '', 0, '330\r'),
	('XY', 3754, 'JED', 2072, 'LHE', 2207, '', 0, '330\r'),
	('XY', 3754, 'JED', 2072, 'LXR', 1132, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'MAN', 478, '', 0, '330\r'),
	('XY', 3754, 'JED', 2072, 'MED', 2074, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'JED', 2072, 'SAW', 4317, '', 0, '320\r'),
	('XY', 3754, 'KHI', 2206, 'JED', 2072, '', 0, '330\r'),
	('XY', 3754, 'KRT', 1175, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'KRT', 1175, 'MED', 2074, '', 0, '320\r'),
	('XY', 3754, 'KRT', 1175, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'KUL', 3304, 'JED', 2072, '', 0, '330\r'),
	('XY', 3754, 'KWI', 2176, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'KWI', 2176, 'MED', 2074, '', 0, '320\r'),
	('XY', 3754, 'KWI', 2176, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'KWI', 2176, 'TIF', 2090, '', 0, '320\r'),
	('XY', 3754, 'LGW', 502, 'JED', 2072, '', 0, '330\r'),
	('XY', 3754, 'LHE', 2207, 'JED', 2072, '', 0, '330\r'),
	('XY', 3754, 'LXR', 1132, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'LXR', 1132, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'MAN', 478, 'JED', 2072, '', 0, '330\r'),
	('XY', 3754, 'MED', 2074, 'AMM', 2170, '', 0, '320\r'),
	('XY', 3754, 'MED', 2074, 'AUH', 2179, 'Y', 0, '320\r'),
	('XY', 3754, 'MED', 2074, 'DMM', 2064, '', 0, '320\r'),
	('XY', 3754, 'MED', 2074, 'GIZ', 2066, '', 0, '320\r'),
	('XY', 3754, 'MED', 2074, 'HTY', 7453, '', 0, '320\r'),
	('XY', 3754, 'MED', 2074, 'JED', 2072, '', 0, '320 747\r'),
	('XY', 3754, 'MED', 2074, 'KRT', 1175, '', 0, '320\r'),
	('XY', 3754, 'MED', 2074, 'KWI', 2176, '', 0, '320\r'),
	('XY', 3754, 'MED', 2074, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'MED', 2074, 'SAW', 4317, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'AHB', 2059, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'AMM', 2170, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'ATZ', 5691, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'AUH', 2179, 'Y', 0, '320 346 332 77W\r'),
	('XY', 3754, 'RUH', 2082, 'DMM', 2064, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'DXB', 2188, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'GIZ', 2066, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'HBE', 3410, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'HMB', 8235, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'HTY', 7453, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'KRT', 1175, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'KWI', 2176, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'LXR', 1132, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'MED', 2074, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'SAW', 4317, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'SSH', 4057, '', 0, '320\r'),
	('XY', 3754, 'RUH', 2082, 'TIF', 2090, '', 0, '320\r'),
	('XY', 3754, 'SAW', 4317, 'JED', 2072, '', 0, '320\r'),
	('XY', 3754, 'SAW', 4317, 'MED', 2074, '', 0, '320\r'),
	('XY', 3754, 'SAW', 4317, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'SSH', 4057, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'TIF', 2090, 'DMM', 2064, '', 0, '320\r'),
	('XY', 3754, 'TIF', 2090, 'KWI', 2176, '', 0, '320\r'),
	('XY', 3754, 'TIF', 2090, 'RUH', 2082, '', 0, '320\r'),
	('XY', 3754, 'YNB', 2096, 'DMM', 2064, '', 0, '320\r'),
	('Y4', 5325, 'ACA', 1783, 'TIJ', 1847, '', 0, '319\r'),
	('Y4', 5325, 'AGU', 1785, 'CUN', 1852, '', 0, '320\r'),
	('Y4', 5325, 'AGU', 1785, 'LAX', 3484, '', 0, '320\r'),
	('Y4', 5325, 'AGU', 1785, 'TIJ', 1847, '', 0, '320\r'),
	('Y4', 5325, 'BJX', 1815, 'CUN', 1852, '', 0, '320\r'),
	('Y4', 5325, 'BJX', 1815, 'MDW', 3747, '', 0, '319\r'),
	('Y4', 5325, 'BJX', 1815, 'TIJ', 1847, '', 0, '320 319\r'),
	('Y4', 5325, 'CEN', 1794, 'TIJ', 1847, '', 0, '320\r'),
	('Y4', 5325, 'CJS', 1796, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'CJS', 1796, 'MEX', 1824, '', 0, '319\r'),
	('Y4', 5325, 'CJS', 1796, 'MTY', 1825, '', 0, '320\r'),
	('Y4', 5325, 'CJS', 1796, 'TIJ', 1847, '', 0, '319 320\r'),
	('Y4', 5325, 'CLQ', 1808, 'TIJ', 1847, '', 0, '320\r'),
	('Y4', 5325, 'CUL', 1792, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'CUL', 1792, 'MEX', 1824, '', 0, '320 319\r'),
	('Y4', 5325, 'CUL', 1792, 'MTY', 1825, '', 0, '320\r'),
	('Y4', 5325, 'CUL', 1792, 'TIJ', 1847, '', 0, '319 320\r'),
	('Y4', 5325, 'CUN', 1852, 'AGU', 1785, '', 0, '320\r'),
	('Y4', 5325, 'CUN', 1852, 'BJX', 1815, '', 0, '320\r'),
	('Y4', 5325, 'CUN', 1852, 'CUU', 1797, '', 0, '320\r'),
	('Y4', 5325, 'CUN', 1852, 'GDL', 1804, '', 0, '320 319\r'),
	('Y4', 5325, 'CUN', 1852, 'HMO', 1807, '', 0, '320\r'),
	('Y4', 5325, 'CUN', 1852, 'MEX', 1824, '', 0, '319 320\r'),
	('Y4', 5325, 'CUN', 1852, 'MTY', 1825, '', 0, '320\r'),
	('Y4', 5325, 'CUN', 1852, 'PBC', 1831, '', 0, '320\r'),
	('Y4', 5325, 'CUN', 1852, 'QRO', 1838, '', 0, '320 319\r'),
	('Y4', 5325, 'CUN', 1852, 'SLP', 1842, '', 0, '320\r'),
	('Y4', 5325, 'CUN', 1852, 'TIJ', 1847, '', 0, '320 319\r'),
	('Y4', 5325, 'CUN', 1852, 'TLC', 1850, '', 0, '320\r'),
	('Y4', 5325, 'CUN', 1852, 'VER', 1854, '', 0, '320\r'),
	('Y4', 5325, 'CUU', 1797, 'CUN', 1852, '', 0, '320\r'),
	('Y4', 5325, 'CUU', 1797, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'CUU', 1797, 'MEX', 1824, '', 0, '319\r'),
	('Y4', 5325, 'CUU', 1797, 'MTY', 1825, '', 0, '320\r'),
	('Y4', 5325, 'CUU', 1797, 'TIJ', 1847, '', 0, '319\r'),
	('Y4', 5325, 'DEN', 3751, 'MEX', 1824, '', 0, '320\r'),
	('Y4', 5325, 'FAT', 3687, 'GDL', 1804, '', 0, '320\r'),
	('Y4', 5325, 'GDL', 1804, 'CJS', 1796, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'CUL', 1792, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'CUN', 1852, '', 0, '320 319\r'),
	('Y4', 5325, 'GDL', 1804, 'CUU', 1797, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'FAT', 3687, '', 0, '320\r'),
	('Y4', 5325, 'GDL', 1804, 'HMO', 1807, '', 0, '320 319\r'),
	('Y4', 5325, 'GDL', 1804, 'LAP', 1816, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'LAS', 3877, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'LAX', 3484, '', 0, '320 319\r'),
	('Y4', 5325, 'GDL', 1804, 'LMM', 1814, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'MDW', 3747, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'MEX', 1824, '', 0, '319 320\r'),
	('Y4', 5325, 'GDL', 1804, 'MID', 1819, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'MTY', 1825, '', 0, '320 319\r'),
	('Y4', 5325, 'GDL', 1804, 'MXL', 1820, '', 0, '320\r'),
	('Y4', 5325, 'GDL', 1804, 'OAK', 3453, '', 0, '320 319\r'),
	('Y4', 5325, 'GDL', 1804, 'ONT', 3734, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'PBC', 1831, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'PHX', 3462, '', 0, '320\r'),
	('Y4', 5325, 'GDL', 1804, 'SAT', 3621, '', 0, '319 320\r'),
	('Y4', 5325, 'GDL', 1804, 'SJC', 3748, '', 0, '320\r'),
	('Y4', 5325, 'GDL', 1804, 'SJD', 1840, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'SMF', 3817, '', 0, '319 320\r'),
	('Y4', 5325, 'GDL', 1804, 'TGZ', 1846, '', 0, '319\r'),
	('Y4', 5325, 'GDL', 1804, 'TIJ', 1847, '', 0, '319 320\r'),
	('Y4', 5325, 'GDL', 1804, 'TLC', 1850, '', 0, '320\r'),
	('Y4', 5325, 'GDL', 1804, 'VER', 1854, '', 0, '319\r'),
	('Y4', 5325, 'HMO', 1807, 'CUN', 1852, '', 0, '320\r'),
	('Y4', 5325, 'HMO', 1807, 'GDL', 1804, '', 0, '320 319\r'),
	('Y4', 5325, 'HMO', 1807, 'MEX', 1824, '', 0, '319\r'),
	('Y4', 5325, 'HMO', 1807, 'TIJ', 1847, '', 0, '319\r'),
	('Y4', 5325, 'LAP', 1816, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'LAP', 1816, 'MEX', 1824, '', 0, '320\r'),
	('Y4', 5325, 'LAP', 1816, 'TIJ', 1847, '', 0, '320\r'),
	('Y4', 5325, 'LAS', 3877, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'LAS', 3877, 'MEX', 1824, '', 0, '319\r'),
	('Y4', 5325, 'LAX', 3484, 'AGU', 1785, '', 0, '320\r'),
	('Y4', 5325, 'LAX', 3484, 'GDL', 1804, '', 0, '320 319\r'),
	('Y4', 5325, 'LAX', 3484, 'MEX', 1824, '', 0, '320\r'),
	('Y4', 5325, 'LAX', 3484, 'MLM', 1821, '', 0, '320\r'),
	('Y4', 5325, 'LAX', 3484, 'UPN', 1835, '', 0, '320 319\r'),
	('Y4', 5325, 'LAX', 3484, 'ZCL', 1855, '', 0, '320\r'),
	('Y4', 5325, 'LMM', 1814, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'LMM', 1814, 'TIJ', 1847, '', 0, '319\r'),
	('Y4', 5325, 'MCO', 3878, 'MEX', 1824, '', 0, '319 320\r'),
	('Y4', 5325, 'MDW', 3747, 'BJX', 1815, '', 0, '319\r'),
	('Y4', 5325, 'MDW', 3747, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'MDW', 3747, 'MLM', 1821, '', 0, '319\r'),
	('Y4', 5325, 'MDW', 3747, 'ZCL', 1855, '', 0, '319\r'),
	('Y4', 5325, 'MEX', 1824, 'CJS', 1796, '', 0, '319\r'),
	('Y4', 5325, 'MEX', 1824, 'CUL', 1792, '', 0, '320 319\r'),
	('Y4', 5325, 'MEX', 1824, 'CUN', 1852, '', 0, '320 319\r'),
	('Y4', 5325, 'MEX', 1824, 'CUU', 1797, '', 0, '319\r'),
	('Y4', 5325, 'MEX', 1824, 'DEN', 3751, '', 0, '320\r'),
	('Y4', 5325, 'MEX', 1824, 'GDL', 1804, '', 0, '319 320\r'),
	('Y4', 5325, 'MEX', 1824, 'HMO', 1807, '', 0, '319\r'),
	('Y4', 5325, 'MEX', 1824, 'LAP', 1816, '', 0, '320\r'),
	('Y4', 5325, 'MEX', 1824, 'LAS', 3877, '', 0, '319\r'),
	('Y4', 5325, 'MEX', 1824, 'LAX', 3484, '', 0, '320\r'),
	('Y4', 5325, 'MEX', 1824, 'MCO', 3878, '', 0, '319 320\r'),
	('Y4', 5325, 'MEX', 1824, 'MID', 1819, '', 0, '320\r'),
	('Y4', 5325, 'MEX', 1824, 'MTY', 1825, '', 0, '320\r'),
	('Y4', 5325, 'MEX', 1824, 'MXL', 1820, '', 0, '320\r'),
	('Y4', 5325, 'MEX', 1824, 'MZT', 1826, '', 0, '319\r'),
	('Y4', 5325, 'MEX', 1824, 'ORD', 3830, '', 0, '320\r'),
	('Y4', 5325, 'MEX', 1824, 'PHX', 3462, '', 0, '319\r'),
	('Y4', 5325, 'MEX', 1824, 'PVR', 1836, '', 0, '319 320\r'),
	('Y4', 5325, 'MEX', 1824, 'SAN', 3731, '', 0, '319\r'),
	('Y4', 5325, 'MEX', 1824, 'SJD', 1840, '', 0, '320\r'),
	('Y4', 5325, 'MEX', 1824, 'TGZ', 1846, '', 0, '319\r'),
	('Y4', 5325, 'MEX', 1824, 'TIJ', 1847, '', 0, '320 319\r'),
	('Y4', 5325, 'MID', 1819, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'MID', 1819, 'MEX', 1824, '', 0, '320\r'),
	('Y4', 5325, 'MID', 1819, 'MTY', 1825, '', 0, '320\r'),
	('Y4', 5325, 'MLM', 1821, 'LAX', 3484, '', 0, '320\r'),
	('Y4', 5325, 'MLM', 1821, 'MDW', 3747, '', 0, '319\r'),
	('Y4', 5325, 'MLM', 1821, 'TIJ', 1847, '', 0, '320 319\r'),
	('Y4', 5325, 'MTY', 1825, 'CJS', 1796, '', 0, '320\r'),
	('Y4', 5325, 'MTY', 1825, 'CUL', 1792, '', 0, '320\r'),
	('Y4', 5325, 'MTY', 1825, 'CUN', 1852, '', 0, '320\r'),
	('Y4', 5325, 'MTY', 1825, 'CUU', 1797, '', 0, '320\r'),
	('Y4', 5325, 'MTY', 1825, 'GDL', 1804, '', 0, '320 319\r'),
	('Y4', 5325, 'MTY', 1825, 'MEX', 1824, '', 0, '320\r'),
	('Y4', 5325, 'MTY', 1825, 'MID', 1819, '', 0, '320\r'),
	('Y4', 5325, 'MTY', 1825, 'PVR', 1836, '', 0, '320\r'),
	('Y4', 5325, 'MTY', 1825, 'SJD', 1840, '', 0, '320\r'),
	('Y4', 5325, 'MTY', 1825, 'TIJ', 1847, '', 0, '320 319\r'),
	('Y4', 5325, 'MTY', 1825, 'VER', 1854, '', 0, '320\r'),
	('Y4', 5325, 'MXL', 1820, 'GDL', 1804, '', 0, '320\r'),
	('Y4', 5325, 'MXL', 1820, 'MEX', 1824, '', 0, '320\r'),
	('Y4', 5325, 'MZT', 1826, 'MEX', 1824, '', 0, '319\r'),
	('Y4', 5325, 'MZT', 1826, 'TIJ', 1847, '', 0, '320\r'),
	('Y4', 5325, 'OAK', 3453, 'GDL', 1804, '', 0, '319 320\r'),
	('Y4', 5325, 'OAX', 1829, 'TIJ', 1847, '', 0, '319\r'),
	('Y4', 5325, 'ONT', 3734, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'ORD', 3830, 'MEX', 1824, '', 0, '320\r'),
	('Y4', 5325, 'PBC', 1831, 'CUN', 1852, '', 0, '320\r'),
	('Y4', 5325, 'PBC', 1831, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'PBC', 1831, 'TIJ', 1847, '', 0, '320\r'),
	('Y4', 5325, 'PHX', 3462, 'GDL', 1804, '', 0, '320\r'),
	('Y4', 5325, 'PHX', 3462, 'MEX', 1824, '', 0, '319\r'),
	('Y4', 5325, 'PVR', 1836, 'MEX', 1824, '', 0, '319 320\r'),
	('Y4', 5325, 'PVR', 1836, 'MTY', 1825, '', 0, '320\r'),
	('Y4', 5325, 'PVR', 1836, 'TIJ', 1847, '', 0, '319\r'),
	('Y4', 5325, 'QRO', 1838, 'CUN', 1852, '', 0, '320 319\r'),
	('Y4', 5325, 'QRO', 1838, 'TIJ', 1847, '', 0, '320 319\r'),
	('Y4', 5325, 'SAN', 3731, 'MEX', 1824, '', 0, '319\r'),
	('Y4', 5325, 'SAT', 3621, 'GDL', 1804, '', 0, '319 320\r'),
	('Y4', 5325, 'SJC', 3748, 'GDL', 1804, '', 0, '320\r'),
	('Y4', 5325, 'SJD', 1840, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'SJD', 1840, 'MEX', 1824, '', 0, '320\r'),
	('Y4', 5325, 'SJD', 1840, 'MTY', 1825, '', 0, '320\r'),
	('Y4', 5325, 'SJD', 1840, 'TIJ', 1847, '', 0, '320\r'),
	('Y4', 5325, 'SLP', 1842, 'CUN', 1852, '', 0, '320\r'),
	('Y4', 5325, 'SLP', 1842, 'TIJ', 1847, '', 0, '319\r'),
	('Y4', 5325, 'SMF', 3817, 'GDL', 1804, '', 0, '319 320\r'),
	('Y4', 5325, 'TGZ', 1846, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'TGZ', 1846, 'MEX', 1824, '', 0, '319\r'),
	('Y4', 5325, 'TGZ', 1846, 'TIJ', 1847, '', 0, '319\r'),
	('Y4', 5325, 'TIJ', 1847, 'ACA', 1783, '', 0, '319\r'),
	('Y4', 5325, 'TIJ', 1847, 'AGU', 1785, '', 0, '320\r'),
	('Y4', 5325, 'TIJ', 1847, 'BJX', 1815, '', 0, '320 319\r'),
	('Y4', 5325, 'TIJ', 1847, 'CEN', 1794, '', 0, '320\r'),
	('Y4', 5325, 'TIJ', 1847, 'CJS', 1796, '', 0, '319 320\r'),
	('Y4', 5325, 'TIJ', 1847, 'CLQ', 1808, '', 0, '320\r'),
	('Y4', 5325, 'TIJ', 1847, 'CUL', 1792, '', 0, '319 320\r'),
	('Y4', 5325, 'TIJ', 1847, 'CUN', 1852, '', 0, '319 320\r'),
	('Y4', 5325, 'TIJ', 1847, 'CUU', 1797, '', 0, '319\r'),
	('Y4', 5325, 'TIJ', 1847, 'GDL', 1804, '', 0, '320 319\r'),
	('Y4', 5325, 'TIJ', 1847, 'HMO', 1807, '', 0, '319\r'),
	('Y4', 5325, 'TIJ', 1847, 'LAP', 1816, '', 0, '320\r'),
	('Y4', 5325, 'TIJ', 1847, 'LMM', 1814, '', 0, '319\r'),
	('Y4', 5325, 'TIJ', 1847, 'MEX', 1824, '', 0, '320 319\r'),
	('Y4', 5325, 'TIJ', 1847, 'MLM', 1821, '', 0, '320 319\r'),
	('Y4', 5325, 'TIJ', 1847, 'MTY', 1825, '', 0, '320 319\r'),
	('Y4', 5325, 'TIJ', 1847, 'MZT', 1826, '', 0, '320\r'),
	('Y4', 5325, 'TIJ', 1847, 'OAX', 1829, '', 0, '319\r'),
	('Y4', 5325, 'TIJ', 1847, 'PBC', 1831, '', 0, '320\r'),
	('Y4', 5325, 'TIJ', 1847, 'PVR', 1836, '', 0, '319\r'),
	('Y4', 5325, 'TIJ', 1847, 'QRO', 1838, '', 0, '320 319\r'),
	('Y4', 5325, 'TIJ', 1847, 'SJD', 1840, '', 0, '320\r'),
	('Y4', 5325, 'TIJ', 1847, 'SLP', 1842, '', 0, '319\r'),
	('Y4', 5325, 'TIJ', 1847, 'TGZ', 1846, '', 0, '319\r'),
	('Y4', 5325, 'TIJ', 1847, 'TPQ', 1802, '', 0, '319\r'),
	('Y4', 5325, 'TIJ', 1847, 'UPN', 1835, '', 0, '320 319\r'),
	('Y4', 5325, 'TIJ', 1847, 'VER', 1854, '', 0, '320\r'),
	('Y4', 5325, 'TIJ', 1847, 'ZCL', 1855, '', 0, '320\r'),
	('Y4', 5325, 'TIJ', 1847, 'ZLO', 1858, '', 0, '319\r'),
	('Y4', 5325, 'TLC', 1850, 'CUN', 1852, '', 0, '320\r'),
	('Y4', 5325, 'TPQ', 1802, 'TIJ', 1847, '', 0, '319\r'),
	('Y4', 5325, 'UPN', 1835, 'LAX', 3484, '', 0, '320 319\r'),
	('Y4', 5325, 'UPN', 1835, 'TIJ', 1847, '', 0, '320 319\r'),
	('Y4', 5325, 'VER', 1854, 'CUN', 1852, '', 0, '320\r'),
	('Y4', 5325, 'VER', 1854, 'GDL', 1804, '', 0, '319\r'),
	('Y4', 5325, 'VER', 1854, 'MTY', 1825, '', 0, '320\r'),
	('Y4', 5325, 'VER', 1854, 'TIJ', 1847, '', 0, '320\r'),
	('Y4', 5325, 'ZCL', 1855, 'LAX', 3484, '', 0, '320\r'),
	('Y4', 5325, 'ZCL', 1855, 'MDW', 3747, '', 0, '319\r'),
	('Y4', 5325, 'ZCL', 1855, 'TIJ', 1847, '', 0, '320\r'),
	('Y4', 5325, 'ZLO', 1858, 'TIJ', 1847, '', 0, '319\r'),
	('Y5', 17023, 'BKK', 3885, 'RGN', 3239, '', 0, '320\r'),
	('Y5', 17023, 'RGN', 3239, 'BKK', 3885, '', 0, '320\r'),
	('Y5', 17023, 'RGN', 3239, 'SIN', 3316, '', 0, '320\r'),
	('Y5', 17023, 'SIN', 3316, 'RGN', 3239, '', 0, '320\r'),
	('Y7', 13088, 'ABA', 2955, 'NSK', 4352, '', 0, '738\r'),
	('Y7', 13088, 'AER', 2965, 'DME', 4029, '', 0, '738\r'),
	('Y7', 13088, 'AER', 2965, 'KJA', 4374, '', 0, '738\r'),
	('Y7', 13088, 'DME', 4029, 'KJA', 4374, '', 0, '738\r'),
	('Y7', 13088, 'DME', 4029, 'NSK', 4352, '', 0, '738\r'),
	('Y7', 13088, 'DXB', 2188, 'KJA', 4374, '', 0, '738\r'),
	('Y7', 13088, 'DYU', 2979, 'KJA', 4374, '', 0, '738\r'),
	('Y7', 13088, 'EGO', 6156, 'GOJ', 4274, '', 0, '738\r'),
	('Y7', 13088, 'EVN', 3964, 'KJA', 4374, '', 0, '738\r'),
	('Y7', 13088, 'GOJ', 4274, 'EGO', 6156, '', 0, '738\r'),
	('Y7', 13088, 'GOJ', 4274, 'NSK', 4352, '', 0, '738\r'),
	('Y7', 13088, 'GYD', 2922, 'KJA', 4374, '', 0, '738\r'),
	('Y7', 13088, 'GYD', 2922, 'UFA', 2992, '', 0, '738\r'),
	('Y7', 13088, 'HTA', 2935, 'UUD', 2938, '', 0, 'AT5\r'),
	('Y7', 13088, 'IAA', 6121, 'KJA', 4374, '', 0, 'AT5\r'),
	('Y7', 13088, 'IKT', 2937, 'KJA', 4374, '', 0, 'AT5\r'),
	('Y7', 13088, 'KHV', 2927, 'KJA', 4374, '', 0, '738 733\r'),
	('Y7', 13088, 'KHV', 2927, 'VVO', 2934, '', 0, '738 733\r'),
	('Y7', 13088, 'KJA', 4374, 'AER', 2965, '', 0, '738\r'),
	('Y7', 13088, 'KJA', 4374, 'DME', 4029, '', 0, '738\r'),
	('Y7', 13088, 'KJA', 4374, 'DXB', 2188, '', 0, '738\r'),
	('Y7', 13088, 'KJA', 4374, 'DYU', 2979, '', 0, '738\r'),
	('Y7', 13088, 'KJA', 4374, 'EVN', 3964, '', 0, '738\r'),
	('Y7', 13088, 'KJA', 4374, 'GYD', 2922, '', 0, '738\r'),
	('Y7', 13088, 'KJA', 4374, 'IAA', 6121, '', 0, 'AT5\r'),
	('Y7', 13088, 'KJA', 4374, 'IKT', 2937, '', 0, 'AT5\r'),
	('Y7', 13088, 'KJA', 4374, 'KHV', 2927, '', 0, '738 733\r'),
	('Y7', 13088, 'KJA', 4374, 'KRR', 2960, '', 0, '738\r'),
	('Y7', 13088, 'KJA', 4374, 'LBD', 6147, '', 0, '733 738\r'),
	('Y7', 13088, 'KJA', 4374, 'LED', 2948, '', 0, '738\r'),
	('Y7', 13088, 'KJA', 4374, 'MJZ', 2925, '', 0, 'AT5\r'),
	('Y7', 13088, 'KJA', 4374, 'NSK', 4352, '', 0, '738 AT5\r'),
	('Y7', 13088, 'KJA', 4374, 'OVB', 4078, '', 0, 'AT5\r'),
	('Y7', 13088, 'KJA', 4374, 'PEK', 3364, '', 0, '738\r'),
	('Y7', 13088, 'KJA', 4374, 'TOF', 4297, '', 0, 'AT5\r'),
	('Y7', 13088, 'KJA', 4374, 'UUD', 2938, '', 0, 'AT5\r'),
	('Y7', 13088, 'KRR', 2960, 'KJA', 4374, '', 0, '738\r'),
	('Y7', 13088, 'KRR', 2960, 'OVB', 4078, '', 0, '738\r'),
	('Y7', 13088, 'KUF', 4118, 'NSK', 4352, '', 0, '738\r'),
	('Y7', 13088, 'KUF', 4118, 'ROV', 2964, '', 0, '738\r'),
	('Y7', 13088, 'LBD', 6147, 'KJA', 4374, '', 0, '733 738\r'),
	('Y7', 13088, 'LBD', 6147, 'LED', 2948, '', 0, '738\r'),
	('Y7', 13088, 'LED', 2948, 'KJA', 4374, '', 0, '738\r'),
	('Y7', 13088, 'LED', 2948, 'LBD', 6147, '', 0, '738\r'),
	('Y7', 13088, 'LED', 2948, 'NSK', 4352, '', 0, '738\r'),
	('Y7', 13088, 'MJZ', 2925, 'KJA', 4374, '', 0, 'AT5\r'),
	('Y7', 13088, 'MRV', 2962, 'SVX', 2975, '', 0, '738\r'),
	('Y7', 13088, 'NSK', 4352, 'ABA', 2955, '', 0, '738\r'),
	('Y7', 13088, 'NSK', 4352, 'AER', 2965, '', 0, '738\r'),
	('Y7', 13088, 'NSK', 4352, 'DME', 4029, '', 0, '738\r'),
	('Y7', 13088, 'NSK', 4352, 'GOJ', 4274, '', 0, '738\r'),
	('Y7', 13088, 'NSK', 4352, 'KJA', 4374, '', 0, '738 AT5\r'),
	('Y7', 13088, 'NSK', 4352, 'KUF', 4118, '', 0, '738\r'),
	('Y7', 13088, 'NSK', 4352, 'LED', 2948, '', 0, '738\r'),
	('Y7', 13088, 'NSK', 4352, 'OVB', 4078, '', 0, '738\r'),
	('Y7', 13088, 'NSK', 4352, 'SVX', 2975, '', 0, '738\r'),
	('Y7', 13088, 'NSK', 4352, 'UFA', 2992, '', 0, '738\r'),
	('Y7', 13088, 'OVB', 4078, 'KJA', 4374, '', 0, 'AT5\r'),
	('Y7', 13088, 'OVB', 4078, 'KRR', 2960, '', 0, '738\r'),
	('Y7', 13088, 'OVB', 4078, 'NSK', 4352, '', 0, '738\r'),
	('Y7', 13088, 'OVB', 4078, 'SVX', 2975, '', 0, 'AT5\r'),
	('Y7', 13088, 'PEK', 3364, 'KJA', 4374, '', 0, '738\r'),
	('Y7', 13088, 'ROV', 2964, 'KUF', 4118, '', 0, '738\r'),
	('Y7', 13088, 'SGC', 2974, 'TOF', 4297, '', 0, 'AT5\r'),
	('Y7', 13088, 'SVX', 2975, 'MRV', 2962, '', 0, '738\r'),
	('Y7', 13088, 'SVX', 2975, 'NSK', 4352, '', 0, '738\r'),
	('Y7', 13088, 'SVX', 2975, 'OVB', 4078, '', 0, 'AT5\r'),
	('Y7', 13088, 'TOF', 4297, 'KJA', 4374, '', 0, 'AT5\r'),
	('Y7', 13088, 'TOF', 4297, 'SGC', 2974, '', 0, 'AT5\r'),
	('Y7', 13088, 'UFA', 2992, 'GYD', 2922, '', 0, '738\r'),
	('Y7', 13088, 'UFA', 2992, 'NSK', 4352, '', 0, '738\r'),
	('Y7', 13088, 'UUD', 2938, 'HTA', 2935, '', 0, 'AT5\r'),
	('Y7', 13088, 'UUD', 2938, 'KJA', 4374, '', 0, 'AT5\r'),
	('Y7', 13088, 'VVO', 2934, 'KHV', 2927, '', 0, '738 733\r'),
	('Y8', 16725, 'BRA', 7373, 'BSB', 2531, '', 0, 'EM2\r'),
	('Y8', 16725, 'BRA', 7373, 'SSA', 2621, '', 0, 'EM2\r'),
	('Y8', 16725, 'BSB', 2531, 'BRA', 7373, '', 0, 'EM2\r'),
	('Y8', 16725, 'BSB', 2531, 'RAO', 2613, '', 0, 'EM2\r'),
	('Y8', 16725, 'BSB', 2531, 'SJP', 2619, '', 0, 'EM2\r'),
	('Y8', 16725, 'CGB', 2548, 'GYN', 2562, '', 0, 'ER4\r'),
	('Y8', 16725, 'CGB', 2548, 'JPR', 6073, '', 0, 'ER4\r'),
	('Y8', 16725, 'CWB', 2545, 'RAO', 2613, '', 0, 'EM2\r'),
	('Y8', 16725, 'GRU', 2564, 'RAO', 2613, '', 0, 'EM2 ER4\r'),
	('Y8', 16725, 'GRU', 2564, 'UDI', 2633, '', 0, 'EM2\r'),
	('Y8', 16725, 'GYN', 2562, 'CGB', 2548, '', 0, 'ER4\r'),
	('Y8', 16725, 'GYN', 2562, 'RAO', 2613, '', 0, 'ER4\r'),
	('Y8', 16725, 'GYN', 2562, 'UDI', 2633, '', 0, 'EM2\r'),
	('Y8', 16725, 'JPR', 6073, 'CGB', 2548, '', 0, 'ER4\r'),
	('Y8', 16725, 'PLU', 2528, 'RAO', 2613, '', 0, 'EM2\r'),
	('Y8', 16725, 'RAO', 2613, 'BSB', 2531, '', 0, 'EM2\r'),
	('Y8', 16725, 'RAO', 2613, 'CWB', 2545, '', 0, 'EM2\r'),
	('Y8', 16725, 'RAO', 2613, 'GRU', 2564, '', 0, 'EM2 ER4\r'),
	('Y8', 16725, 'RAO', 2613, 'GYN', 2562, '', 0, 'ER4\r'),
	('Y8', 16725, 'RAO', 2613, 'PLU', 2528, '', 0, 'EM2\r'),
	('Y8', 16725, 'RAO', 2613, 'SDU', 2612, '', 0, 'EM2\r'),
	('Y8', 16725, 'RAO', 2613, 'SJP', 2619, '', 0, 'EM2\r'),
	('Y8', 16725, 'SDU', 2612, 'RAO', 2613, '', 0, 'EM2\r'),
	('Y8', 16725, 'SJP', 2619, 'BSB', 2531, '', 0, 'EM2\r'),
	('Y8', 16725, 'SJP', 2619, 'RAO', 2613, '', 0, 'EM2\r'),
	('Y8', 16725, 'SSA', 2621, 'BRA', 7373, '', 0, 'EM2\r'),
	('Y8', 16725, 'SSA', 2621, 'VDC', 6039, '', 0, 'EM2\r'),
	('Y8', 16725, 'UDI', 2633, 'GRU', 2564, '', 0, 'EM2\r'),
	('Y8', 16725, 'UDI', 2633, 'GYN', 2562, '', 0, 'EM2\r'),
	('Y8', 16725, 'VDC', 6039, 'SSA', 2621, '', 0, 'EM2\r'),
	('Y9', 3148, 'AUH', 2179, 'KIH', 2109, '', 0, 'F50\r'),
	('Y9', 3148, 'AWZ', 2104, 'THR', 2131, '', 0, 'TU3 M80\r'),
	('Y9', 3148, 'BND', 2134, 'KIH', 2109, '', 0, 'M80 F50\r'),
	('Y9', 3148, 'DXB', 2188, 'GSM', 5712, '', 0, 'F50 M80\r'),
	('Y9', 3148, 'DXB', 2188, 'KIH', 2109, '', 0, 'M80 F50\r'),
	('Y9', 3148, 'GSM', 5712, 'DXB', 2188, '', 0, 'F50\r'),
	('Y9', 3148, 'IFN', 4150, 'KIH', 2109, '', 0, 'M80\r'),
	('Y9', 3148, 'IFN', 4150, 'MRX', 2103, '', 0, 'TU3 M80\r'),
	('Y9', 3148, 'KIH', 2109, 'AUH', 2179, '', 0, 'F50\r'),
	('Y9', 3148, 'KIH', 2109, 'BND', 2134, '', 0, 'M80 F50\r'),
	('Y9', 3148, 'KIH', 2109, 'DXB', 2188, '', 0, 'M80 F50\r'),
	('Y9', 3148, 'KIH', 2109, 'IFN', 4150, '', 0, 'M80\r'),
	('Y9', 3148, 'KIH', 2109, 'THR', 2131, '', 0, 'M80 TU3\r'),
	('Y9', 3148, 'MHD', 4331, 'KIH', 2109, '', 0, 'M80\r'),
	('Y9', 3148, 'MHD', 4331, 'THR', 2131, '', 0, 'M80\r'),
	('Y9', 3148, 'MRX', 2103, 'IFN', 4150, '', 0, 'TU3\r'),
	('Y9', 3148, 'MRX', 2103, 'THR', 2131, '', 0, 'M80 TU3\r'),
	('Y9', 3148, 'TBZ', 2162, 'THR', 2131, '', 0, 'TU3\r'),
	('Y9', 3148, 'THR', 2131, 'AWZ', 2104, '', 0, 'TU3\r'),
	('Y9', 3148, 'THR', 2131, 'KIH', 2109, '', 0, 'M80\r'),
	('Y9', 3148, 'THR', 2131, 'MHD', 4331, '', 0, 'M80\r'),
	('Y9', 3148, 'THR', 2131, 'MRX', 2103, '', 0, 'M80 TU3\r'),
	('Y9', 3148, 'THR', 2131, 'TBZ', 2162, '', 0, 'TU3\r'),
	('YC', 9828, 'BAX', 2956, 'DME', 4029, '', 0, '735\r'),
	('YC', 9828, 'DME', 4029, 'BAX', 2956, '', 0, '735\r'),
	('YC', 9828, 'DME', 4029, 'NOJ', 4365, '', 0, '735\r'),
	('YC', 9828, 'DME', 4029, 'NUX', 4364, '', 0, '320\r'),
	('YC', 9828, 'DME', 4029, 'NYM', 6143, '', 0, '735\r'),
	('YC', 9828, 'DME', 4029, 'SLY', 6137, '', 0, '735 320\r'),
	('YC', 9828, 'DME', 4029, 'TIV', 1743, '', 0, '320 321\r'),
	('YC', 9828, 'DME', 4029, 'TJM', 4111, '', 0, 'CR2 735\r'),
	('YC', 9828, 'DME', 4029, 'UFA', 2992, '', 0, 'CR2\r'),
	('YC', 9828, 'EVN', 3964, 'TJM', 4111, '', 0, '320\r'),
	('YC', 9828, 'KGP', 4373, 'SVX', 2975, '', 0, 'CR2\r'),
	('YC', 9828, 'KJA', 4374, 'SVX', 2975, '', 0, 'CR2\r'),
	('YC', 9828, 'LED', 2948, 'TJM', 4111, '', 0, 'CR2\r'),
	('YC', 9828, 'NJC', 2972, 'OVB', 4078, '', 0, 'CR2\r'),
	('YC', 9828, 'NOJ', 4365, 'DME', 4029, '', 0, '735\r'),
	('YC', 9828, 'NOJ', 4365, 'SLY', 6137, '', 0, 'CR2\r'),
	('YC', 9828, 'NOJ', 4365, 'SVX', 2975, '', 0, 'CR2\r'),
	('YC', 9828, 'NOJ', 4365, 'TJM', 4111, '', 0, 'CR2\r'),
	('YC', 9828, 'NOJ', 4365, 'UFA', 2992, '', 0, 'CR2\r'),
	('YC', 9828, 'NUX', 4364, 'DME', 4029, '', 0, '320\r'),
	('YC', 9828, 'NUX', 4364, 'SLY', 6137, '', 0, 'CR2\r'),
	('YC', 9828, 'NUX', 4364, 'TJM', 4111, '', 0, '735 CR2\r'),
	('YC', 9828, 'NUX', 4364, 'UFA', 2992, '', 0, 'CR2\r'),
	('YC', 9828, 'NYA', 6139, 'SVX', 2975, '', 0, 'CR2\r'),
	('YC', 9828, 'NYA', 6139, 'TJM', 4111, '', 0, 'CR2\r'),
	('YC', 9828, 'NYM', 6143, 'DME', 4029, '', 0, '735\r'),
	('YC', 9828, 'NYM', 6143, 'SLY', 6137, '', 0, 'L4T\r'),
	('YC', 9828, 'NYM', 6143, 'SVX', 2975, '', 0, 'CR2\r'),
	('YC', 9828, 'NYM', 6143, 'TJM', 4111, '', 0, '735 CR2\r'),
	('YC', 9828, 'NYM', 6143, 'UFA', 2992, '', 0, 'CR2\r'),
	('YC', 9828, 'OVB', 4078, 'NJC', 2972, '', 0, 'CR2\r'),
	('YC', 9828, 'OVB', 4078, 'SVX', 2975, '', 0, 'CR2\r'),
	('YC', 9828, 'OVB', 4078, 'TJM', 4111, '', 0, 'CR2\r'),
	('YC', 9828, 'SLY', 6137, 'DME', 4029, '', 0, '320 735\r'),
	('YC', 9828, 'SLY', 6137, 'NOJ', 4365, '', 0, 'CR2\r'),
	('YC', 9828, 'SLY', 6137, 'NUX', 4364, '', 0, 'CR2\r'),
	('YC', 9828, 'SLY', 6137, 'NYM', 6143, '', 0, 'L4T\r'),
	('YC', 9828, 'SLY', 6137, 'SVX', 2975, '', 0, 'CR2\r'),
	('YC', 9828, 'SLY', 6137, 'TJM', 4111, '', 0, '735 320 CR2\r'),
	('YC', 9828, 'SVX', 2975, 'KGP', 4373, '', 0, 'CR2\r'),
	('YC', 9828, 'SVX', 2975, 'KJA', 4374, '', 0, 'CR2\r'),
	('YC', 9828, 'SVX', 2975, 'NOJ', 4365, '', 0, 'CR2\r'),
	('YC', 9828, 'SVX', 2975, 'NYA', 6139, '', 0, 'CR2\r'),
	('YC', 9828, 'SVX', 2975, 'NYM', 6143, '', 0, 'CR2\r'),
	('YC', 9828, 'SVX', 2975, 'OVB', 4078, '', 0, 'CR2\r'),
	('YC', 9828, 'SVX', 2975, 'SLY', 6137, '', 0, 'CR2\r'),
	('YC', 9828, 'TIV', 1743, 'DME', 4029, '', 0, '320 321\r'),
	('YC', 9828, 'TJM', 4111, 'DME', 4029, '', 0, '735 CR2\r'),
	('YC', 9828, 'TJM', 4111, 'EVN', 3964, '', 0, '320\r'),
	('YC', 9828, 'TJM', 4111, 'LED', 2948, '', 0, 'CR2\r'),
	('YC', 9828, 'TJM', 4111, 'NOJ', 4365, '', 0, 'CR2\r'),
	('YC', 9828, 'TJM', 4111, 'NUX', 4364, '', 0, '735 CR2\r'),
	('YC', 9828, 'TJM', 4111, 'NYA', 6139, '', 0, 'CR2\r'),
	('YC', 9828, 'TJM', 4111, 'NYM', 6143, '', 0, '735 CR2\r'),
	('YC', 9828, 'TJM', 4111, 'OVB', 4078, '', 0, 'CR2\r'),
	('YC', 9828, 'TJM', 4111, 'SLY', 6137, '', 0, '320 CR2 735\r'),
	('YC', 9828, 'UFA', 2992, 'DME', 4029, '', 0, 'CR2\r'),
	('YC', 9828, 'UFA', 2992, 'NOJ', 4365, '', 0, 'CR2\r'),
	('YC', 9828, 'UFA', 2992, 'NUX', 4364, '', 0, 'CR2\r'),
	('YC', 9828, 'UFA', 2992, 'NYM', 6143, '', 0, 'CR2\r'),
	('YI', 16475, 'DOM', 2877, 'EIS', 2903, '', 0, 'CNT\r'),
	('YI', 16475, 'DOM', 2877, 'SJU', 2890, '', 0, 'CNT\r'),
	('YI', 16475, 'DOM', 2877, 'STT', 2883, '', 0, 'CNT\r'),
	('YI', 16475, 'DOM', 2877, 'SXM', 2899, '', 0, 'CNT\r'),
	('YI', 16475, 'EIS', 2903, 'DOM', 2877, '', 0, 'CNT\r'),
	('YI', 16475, 'EIS', 2903, 'NEV', 6079, '', 0, 'CNT\r'),
	('YI', 16475, 'EIS', 2903, 'STT', 2883, '', 0, 'CNT\r'),
	('YI', 16475, 'EIS', 2903, 'SXM', 2899, '', 0, 'CNT\r'),
	('YI', 16475, 'NEV', 6079, 'SJU', 2890, '', 0, 'CNT\r'),
	('YI', 16475, 'NEV', 6079, 'STT', 2883, '', 0, 'CNT\r'),
	('YI', 16475, 'SJU', 2890, 'DOM', 2877, '', 0, 'CNT\r'),
	('YI', 16475, 'SJU', 2890, 'NEV', 6079, '', 0, 'CNT\r'),
	('YI', 16475, 'SJU', 2890, 'STT', 2883, '', 0, 'CNT\r'),
	('YI', 16475, 'SJU', 2890, 'SXM', 2899, '', 0, 'CNT\r'),
	('YI', 16475, 'SJU', 2890, 'VQS', 6788, '', 0, 'CNT\r'),
	('YI', 16475, 'STT', 2883, 'DOM', 2877, '', 0, 'CNT\r'),
	('YI', 16475, 'STT', 2883, 'EIS', 2903, '', 0, 'CNT\r'),
	('YI', 16475, 'STT', 2883, 'NEV', 6079, '', 0, 'CNT\r'),
	('YI', 16475, 'STT', 2883, 'SJU', 2890, '', 0, 'CNT\r'),
	('YI', 16475, 'STT', 2883, 'SXM', 2899, '', 0, 'CNT\r'),
	('YI', 16475, 'STT', 2883, 'VIJ', 6080, '', 0, 'CNT\r'),
	('YI', 16475, 'SXM', 2899, 'DOM', 2877, '', 0, 'CNT\r'),
	('YI', 16475, 'SXM', 2899, 'EIS', 2903, '', 0, 'CNT\r'),
	('YI', 16475, 'SXM', 2899, 'SJU', 2890, '', 0, 'CNT\r'),
	('YI', 16475, 'SXM', 2899, 'STT', 2883, '', 0, 'CNT\r'),
	('YI', 16475, 'VIJ', 6080, 'STT', 2883, '', 0, 'CNT\r'),
	('YI', 16475, 'VQS', 6788, 'SJU', 2890, '', 0, 'CNT\r'),
	('YK', 1943, 'ALA', 2908, 'FRU', 2912, '', 0, '146\r'),
	('YK', 1943, 'DME', 4029, 'FRU', 2912, '', 0, '737\r'),
	('YK', 1943, 'DME', 4029, 'OSS', 2913, '', 0, '737\r'),
	('YK', 1943, 'DYU', 2979, 'FRU', 2912, '', 0, '146\r'),
	('YK', 1943, 'FRU', 2912, 'ALA', 2908, '', 0, '146\r'),
	('YK', 1943, 'FRU', 2912, 'DME', 4029, '', 0, '737\r'),
	('YK', 1943, 'FRU', 2912, 'DYU', 2979, '', 0, '146\r'),
	('YK', 1943, 'FRU', 2912, 'KJA', 4374, '', 0, '146\r'),
	('YK', 1943, 'FRU', 2912, 'KZN', 2990, '', 0, '146\r'),
	('YK', 1943, 'FRU', 2912, 'LED', 2948, '', 0, '737\r'),
	('YK', 1943, 'FRU', 2912, 'OSS', 2913, '', 0, '146\r'),
	('YK', 1943, 'FRU', 2912, 'OVB', 4078, '', 0, '146\r'),
	('YK', 1943, 'FRU', 2912, 'SGC', 2974, '', 0, '737\r'),
	('YK', 1943, 'FRU', 2912, 'SVX', 2975, '', 0, '146\r'),
	('YK', 1943, 'KJA', 4374, 'FRU', 2912, '', 0, '146\r'),
	('YK', 1943, 'KZN', 2990, 'FRU', 2912, '', 0, '146\r'),
	('YK', 1943, 'KZN', 2990, 'OSS', 2913, '', 0, '146\r'),
	('YK', 1943, 'LED', 2948, 'FRU', 2912, '', 0, '737\r'),
	('YK', 1943, 'LED', 2948, 'OSS', 2913, '', 0, '737\r'),
	('YK', 1943, 'OSS', 2913, 'DME', 4029, '', 0, '737\r'),
	('YK', 1943, 'OSS', 2913, 'FRU', 2912, '', 0, '146\r'),
	('YK', 1943, 'OSS', 2913, 'IKT', 2937, '', 0, '737\r'),
	('YK', 1943, 'OSS', 2913, 'KJA', 4374, '', 0, '146\r'),
	('YK', 1943, 'OSS', 2913, 'KZN', 2990, '', 0, '146\r'),
	('YK', 1943, 'OSS', 2913, 'LED', 2948, '', 0, '737\r'),
	('YK', 1943, 'OSS', 2913, 'OVB', 4078, '', 0, '146\r'),
	('YK', 1943, 'OSS', 2913, 'SGC', 2974, '', 0, '737\r'),
	('YK', 1943, 'OSS', 2913, 'SVX', 2975, '', 0, '146\r'),
	('YK', 1943, 'OVB', 4078, 'FRU', 2912, '', 0, '146\r'),
	('YK', 1943, 'OVB', 4078, 'OSS', 2913, '', 0, '146\r'),
	('YK', 1943, 'SGC', 2974, 'FRU', 2912, '', 0, '737\r'),
	('YK', 1943, 'SGC', 2974, 'OSS', 2913, '', 0, '737\r'),
	('YK', 1943, 'SVX', 2975, 'FRU', 2912, '', 0, '146\r'),
	('YK', 1943, 'SVX', 2975, 'OSS', 2913, '', 0, '146\r'),
	('YM', 3539, 'BEG', 1739, 'TGD', 1741, '', 0, '100\r'),
	('YM', 3539, 'BEG', 1739, 'TIV', 1743, '', 0, '100\r'),
	('YM', 3539, 'CDG', 1382, 'TGD', 1741, '', 0, '100\r'),
	('YM', 3539, 'CDG', 1382, 'TIV', 1743, '', 0, '100\r'),
	('YM', 3539, 'DME', 4029, 'TGD', 1741, '', 0, 'E95\r'),
	('YM', 3539, 'DME', 4029, 'TIV', 1743, '', 0, 'E95\r'),
	('YM', 3539, 'DUS', 345, 'TGD', 1741, '', 0, '100\r'),
	('YM', 3539, 'FCO', 1555, 'TGD', 1741, '', 0, 'E75 100\r'),
	('YM', 3539, 'FRA', 340, 'TGD', 1741, '', 0, '100\r'),
	('YM', 3539, 'LGW', 502, 'TIV', 1743, '', 0, '100\r'),
	('YM', 3539, 'LJU', 1569, 'TGD', 1741, '', 0, '100\r'),
	('YM', 3539, 'TGD', 1741, 'BEG', 1739, '', 0, '100\r'),
	('YM', 3539, 'TGD', 1741, 'CDG', 1382, '', 0, '100\r'),
	('YM', 3539, 'TGD', 1741, 'DME', 4029, '', 0, 'E95\r'),
	('YM', 3539, 'TGD', 1741, 'DUS', 345, '', 0, '100\r'),
	('YM', 3539, 'TGD', 1741, 'FCO', 1555, '', 0, 'E75 100\r'),
	('YM', 3539, 'TGD', 1741, 'FRA', 340, '', 0, '100\r'),
	('YM', 3539, 'TGD', 1741, 'LJU', 1569, '', 0, '100\r'),
	('YM', 3539, 'TGD', 1741, 'VIE', 1613, '', 0, '100\r'),
	('YM', 3539, 'TGD', 1741, 'ZRH', 1678, '', 0, '100\r'),
	('YM', 3539, 'TIV', 1743, 'BEG', 1739, '', 0, '100\r'),
	('YM', 3539, 'TIV', 1743, 'CDG', 1382, '', 0, '100\r'),
	('YM', 3539, 'TIV', 1743, 'DME', 4029, '', 0, 'E95\r'),
	('YM', 3539, 'TIV', 1743, 'LGW', 502, '', 0, '100\r'),
	('YM', 3539, 'VIE', 1613, 'TGD', 1741, '', 0, '100\r'),
	('YM', 3539, 'ZRH', 1678, 'TGD', 1741, '', 0, '100\r'),
	('YO', 16150, 'HME', 238, 'LGW', 502, 'Y', 0, '320\r'),
	('YO', 16150, 'LGW', 502, 'HME', 238, 'Y', 0, '320\r'),
	('YO', 16150, 'MCM', 4264, 'NCE', 1354, '', 0, 'NDE\r'),
	('YO', 16150, 'NCE', 1354, 'MCM', 4264, '', 0, 'NDE\r'),
	('YQ', 16882, 'DME', 4029, 'EGO', 6156, '', 0, 'SFB\r'),
	('YQ', 16882, 'DME', 4029, 'VOZ', 2987, '', 0, 'S20\r'),
	('YQ', 16882, 'EGO', 6156, 'DME', 4029, '', 0, 'SFB\r'),
	('YQ', 16882, 'EGO', 6156, 'LED', 2948, '', 0, 'S20\r'),
	('YQ', 16882, 'EVN', 3964, 'VOZ', 2987, '', 0, 'S20\r'),
	('YQ', 16882, 'LED', 2948, 'EGO', 6156, '', 0, 'S20\r'),
	('YQ', 16882, 'LED', 2948, 'VNO', 3959, '', 0, 'S20\r'),
	('YQ', 16882, 'LED', 2948, 'VOZ', 2987, '', 0, 'S20\r'),
	('YQ', 16882, 'MUC', 346, 'VOZ', 2987, '', 0, 'S20\r'),
	('YQ', 16882, 'VNO', 3959, 'LED', 2948, '', 0, 'S20\r'),
	('YQ', 16882, 'VOZ', 2987, 'DME', 4029, '', 0, 'S20\r'),
	('YQ', 16882, 'VOZ', 2987, 'EVN', 3964, '', 0, 'S20\r'),
	('YQ', 16882, 'VOZ', 2987, 'LED', 2948, '', 0, 'S20\r'),
	('YQ', 16882, 'VOZ', 2987, 'MUC', 346, '', 0, 'S20\r'),
	('YR', 17519, 'GCN', 4219, 'PGA', 4124, '', 0, 'CNA\r'),
	('YR', 17519, 'PGA', 4124, 'GCN', 4219, '', 0, 'CNA\r'),
	('YT', 16133, 'BDP', 6180, 'KTM', 3125, '', 0, 'J41\r'),
	('YT', 16133, 'BHR', 6179, 'KTM', 3125, '', 0, 'J41\r'),
	('YT', 16133, 'BIR', 3129, 'KTM', 3125, '', 0, 'J41\r'),
	('YT', 16133, 'BWA', 3122, 'KTM', 3125, '', 0, 'J41\r'),
	('YT', 16133, 'DHI', 4188, 'KTM', 3125, '', 0, 'J41\r'),
	('YT', 16133, 'KEP', 6182, 'KTM', 3125, '', 0, 'J41\r'),
	('YT', 16133, 'KTM', 3125, 'BDP', 6180, '', 0, 'J41\r'),
	('YT', 16133, 'KTM', 3125, 'BHR', 6179, '', 0, 'J41\r'),
	('YT', 16133, 'KTM', 3125, 'BIR', 3129, '', 0, 'J41\r'),
	('YT', 16133, 'KTM', 3125, 'BWA', 3122, '', 0, 'J41\r'),
	('YT', 16133, 'KTM', 3125, 'DHI', 4188, '', 0, 'J41\r'),
	('YT', 16133, 'KTM', 3125, 'KEP', 6182, '', 0, 'J41\r'),
	('YT', 16133, 'KTM', 3125, 'PKR', 3127, '', 0, 'J41\r'),
	('YT', 16133, 'KTM', 3125, 'TMI', 4183, '', 0, 'J41\r'),
	('YT', 16133, 'PKR', 3127, 'KTM', 3125, '', 0, 'J41\r'),
	('YT', 16133, 'TMI', 4183, 'KTM', 3125, '', 0, 'J41\r'),
	('Z2', 9764, 'BKI', 3269, 'MNL', 2397, '', 0, '320\r'),
	('Z2', 9764, 'CEB', 4206, 'ICN', 3930, '', 0, '320\r'),
	('Z2', 9764, 'CEB', 4206, 'KUL', 3304, '', 0, '320\r'),
	('Z2', 9764, 'CEB', 4206, 'MNL', 2397, '', 0, '319 320\r'),
	('Z2', 9764, 'ICN', 3930, 'CEB', 4206, '', 0, '320\r'),
	('Z2', 9764, 'ICN', 3930, 'KLO', 2430, '', 0, '320\r'),
	('Z2', 9764, 'ICN', 3930, 'MNL', 2397, '', 0, '320\r'),
	('Z2', 9764, 'KLO', 2430, 'ICN', 3930, '', 0, '320\r'),
	('Z2', 9764, 'KLO', 2430, 'MNL', 2397, '', 0, '320 319\r'),
	('Z2', 9764, 'KLO', 2430, 'PUS', 2372, '', 0, '320\r'),
	('Z2', 9764, 'KLO', 2430, 'TPE', 2276, '', 0, '320\r'),
	('Z2', 9764, 'KUL', 3304, 'CEB', 4206, '', 0, '320\r'),
	('Z2', 9764, 'KUL', 3304, 'MNL', 2397, '', 0, '320\r'),
	('Z2', 9764, 'MFM', 3121, 'MNL', 2397, '', 0, '320\r'),
	('Z2', 9764, 'MNL', 2397, 'BKI', 3269, '', 0, '320\r'),
	('Z2', 9764, 'MNL', 2397, 'CEB', 4206, '', 0, '319 320\r'),
	('Z2', 9764, 'MNL', 2397, 'ICN', 3930, '', 0, '320\r'),
	('Z2', 9764, 'MNL', 2397, 'KLO', 2430, '', 0, '320 319\r'),
	('Z2', 9764, 'MNL', 2397, 'KUL', 3304, '', 0, '320\r'),
	('Z2', 9764, 'MNL', 2397, 'MFM', 3121, '', 0, '320\r'),
	('Z2', 9764, 'MNL', 2397, 'MYY', 3266, '', 0, '320\r'),
	('Z2', 9764, 'MNL', 2397, 'PPS', 2433, '', 0, '320 319\r'),
	('Z2', 9764, 'MNL', 2397, 'PVG', 3406, '', 0, '320\r'),
	('Z2', 9764, 'MNL', 2397, 'TAC', 2422, '', 0, '320\r'),
	('Z2', 9764, 'MNL', 2397, 'TAG', 3994, '', 0, '320 319\r'),
	('Z2', 9764, 'MYY', 3266, 'MNL', 2397, '', 0, '320\r'),
	('Z2', 9764, 'PPS', 2433, 'MNL', 2397, '', 0, '320 319\r'),
	('Z2', 9764, 'PUS', 2372, 'KLO', 2430, '', 0, '320\r'),
	('Z2', 9764, 'PVG', 3406, 'MNL', 2397, '', 0, '320\r'),
	('Z2', 9764, 'TAC', 2422, 'MNL', 2397, '', 0, '320\r'),
	('Z2', 9764, 'TAG', 3994, 'MNL', 2397, '', 0, '320 319\r'),
	('Z2', 9764, 'TPE', 2276, 'KLO', 2430, '', 0, '320\r'),
	('Z3', 1266, 'CGA', 7144, 'KLW', 7205, '', 0, 'DHP\r'),
	('Z3', 1266, 'CGA', 7144, 'KTN', 3808, '', 0, 'DHP\r'),
	('Z3', 1266, 'HYL', 7145, 'KTB', 7147, '', 0, 'DHP\r'),
	('Z3', 1266, 'HYL', 7145, 'KTN', 3808, '', 0, 'DHP\r'),
	('Z3', 1266, 'KLW', 7205, 'CGA', 7144, '', 0, 'DHP\r'),
	('Z3', 1266, 'KTB', 7147, 'HYL', 7145, '', 0, 'DHP\r'),
	('Z3', 1266, 'KTN', 3808, 'CGA', 7144, '', 0, 'DHP\r'),
	('Z3', 1266, 'KTN', 3808, 'HYL', 7145, '', 0, 'DHP\r'),
	('Z3', 1266, 'KTN', 3808, 'MTM', 7146, '', 0, 'DHP\r'),
	('Z3', 1266, 'MTM', 7146, 'KTN', 3808, '', 0, 'DHP\r'),
	('Z4', 5523, 'ADA', 1685, 'EBL', 3989, '', 0, '321\r'),
	('Z4', 5523, 'AMM', 2170, 'EBL', 3989, '', 0, '321\r'),
	('Z4', 5523, 'ARN', 737, 'EBL', 3989, '', 0, '321\r'),
	('Z4', 5523, 'BEY', 2177, 'EBL', 3989, '', 0, '321\r'),
	('Z4', 5523, 'EBL', 3989, 'ADA', 1685, '', 0, '321\r'),
	('Z4', 5523, 'EBL', 3989, 'AMM', 2170, '', 0, '321\r'),
	('Z4', 5523, 'EBL', 3989, 'ARN', 737, '', 0, '321\r'),
	('Z4', 5523, 'EBL', 3989, 'BEY', 2177, '', 0, '321\r'),
	('Z4', 5523, 'EBL', 3989, 'ESB', 1682, '', 0, '321\r'),
	('Z4', 5523, 'ESB', 1682, 'EBL', 3989, '', 0, '321\r'),
	('Z6', 16120, 'BUS', 3971, 'DNK', 2941, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'DME', 4029, 'DNK', 2941, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'DME', 4029, 'UKS', 7863, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'DNK', 2941, 'BUS', 3971, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'DNK', 2941, 'DME', 4029, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'DNK', 2941, 'EVN', 3964, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'DNK', 2941, 'IST', 1701, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'DNK', 2941, 'KBP', 2939, 'Y', 0, '737 ER4\r'),
	('Z6', 16120, 'DNK', 2941, 'TBS', 3973, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'DNK', 2941, 'VIE', 1613, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'EVN', 3964, 'DNK', 2941, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'IFO', 6106, 'KBP', 2939, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'IST', 1701, 'DNK', 2941, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'KBP', 2939, 'DNK', 2941, 'Y', 0, 'ER4 737\r'),
	('Z6', 16120, 'KBP', 2939, 'IFO', 6106, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'KBP', 2939, 'UKS', 7863, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'TBS', 3973, 'DNK', 2941, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'UKS', 7863, 'DME', 4029, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'UKS', 7863, 'KBP', 2939, 'Y', 0, 'ER4\r'),
	('Z6', 16120, 'VIE', 1613, 'DNK', 2941, 'Y', 0, 'ER4\r'),
	('Z8', 603, 'AQP', 2802, 'LPB', 2762, '', 0, 'CRJ\r'),
	('Z8', 603, 'ASU', 2699, 'VVI', 2771, '', 0, 'CRJ\r'),
	('Z8', 603, 'BYC', 2772, 'SRZ', 4247, '', 0, 'SWM\r'),
	('Z8', 603, 'BYC', 2772, 'TJA', 2768, '', 0, 'SWM\r'),
	('Z8', 603, 'CBB', 2759, 'LPB', 2762, '', 0, 'CRJ\r'),
	('Z8', 603, 'CBB', 2759, 'VVI', 2771, '', 0, 'CRJ\r'),
	('Z8', 603, 'CUZ', 2812, 'LPB', 2762, '', 0, 'CRJ\r'),
	('Z8', 603, 'LPB', 2762, 'AQP', 2802, '', 0, 'CRJ\r'),
	('Z8', 603, 'LPB', 2762, 'CBB', 2759, '', 0, 'CRJ\r'),
	('Z8', 603, 'LPB', 2762, 'CUZ', 2812, '', 0, 'CRJ\r'),
	('Z8', 603, 'LPB', 2762, 'POI', 2764, '', 0, 'SWM\r'),
	('Z8', 603, 'LPB', 2762, 'RBQ', 7317, '', 0, 'SWM CRJ\r'),
	('Z8', 603, 'LPB', 2762, 'SRE', 2767, '', 0, 'CRJ\r'),
	('Z8', 603, 'LPB', 2762, 'TJA', 2768, '', 0, 'CRJ\r'),
	('Z8', 603, 'LPB', 2762, 'UYU', 7313, '', 0, 'CRJ\r'),
	('Z8', 603, 'LPB', 2762, 'VVI', 2771, '', 0, 'CRJ\r'),
	('Z8', 603, 'POI', 2764, 'LPB', 2762, '', 0, 'SWM\r'),
	('Z8', 603, 'RBQ', 7317, 'LPB', 2762, '', 0, 'SWM CRJ\r'),
	('Z8', 603, 'RBQ', 7317, 'TDD', 2769, '', 0, 'SWM\r'),
	('Z8', 603, 'SRE', 2767, 'LPB', 2762, '', 0, 'CRJ\r'),
	('Z8', 603, 'SRE', 2767, 'TJA', 2768, '', 0, 'CRJ\r'),
	('Z8', 603, 'SRE', 2767, 'VVI', 2771, '', 0, 'CRJ\r'),
	('Z8', 603, 'SRZ', 4247, 'BYC', 2772, '', 0, 'SWM\r'),
	('Z8', 603, 'SRZ', 4247, 'TDD', 2769, '', 0, 'SWM\r'),
	('Z8', 603, 'TDD', 2769, 'RBQ', 7317, '', 0, 'SWM\r'),
	('Z8', 603, 'TDD', 2769, 'SRZ', 4247, '', 0, 'SWM\r'),
	('Z8', 603, 'TJA', 2768, 'BYC', 2772, '', 0, 'SWM\r'),
	('Z8', 603, 'TJA', 2768, 'LPB', 2762, '', 0, 'CRJ\r'),
	('Z8', 603, 'TJA', 2768, 'SRE', 2767, '', 0, 'CRJ\r'),
	('Z8', 603, 'TJA', 2768, 'VVI', 2771, '', 0, 'CRJ\r'),
	('Z8', 603, 'UYU', 7313, 'LPB', 2762, '', 0, 'CRJ\r'),
	('Z8', 603, 'VVI', 2771, 'ASU', 2699, '', 0, 'CRJ\r'),
	('Z8', 603, 'VVI', 2771, 'CBB', 2759, '', 0, 'CRJ\r'),
	('Z8', 603, 'VVI', 2771, 'LPB', 2762, '', 0, 'CRJ\r'),
	('Z8', 603, 'VVI', 2771, 'SRE', 2767, '', 0, 'CRJ\r'),
	('Z8', 603, 'VVI', 2771, 'TJA', 2768, '', 0, 'CRJ\r'),
	('Z9', 18825, 'ALA', 2908, 'GUW', 4357, '', 0, '100\r'),
	('Z9', 18825, 'ALA', 2908, 'TSE', 2910, '', 0, '100\r'),
	('Z9', 18825, 'GUW', 4357, 'ALA', 2908, '', 0, '100\r'),
	('Z9', 18825, 'GUW', 4357, 'URA', 2916, '', 0, '100\r'),
	('Z9', 18825, 'TSE', 2910, 'ALA', 2908, '', 0, '100\r'),
	('Z9', 18825, 'TSE', 2910, 'URA', 2916, '', 0, '100\r'),
	('Z9', 18825, 'URA', 2916, 'GUW', 4357, '', 0, '100\r'),
	('Z9', 18825, 'URA', 2916, 'TSE', 2910, '', 0, '100\r'),
	('ZB', 220, 'ACE', 1055, 'BHX', 469, '', 0, '321 320\r'),
	('ZB', 220, 'ACE', 1055, 'EMA', 523, '', 0, '321\r'),
	('ZB', 220, 'ACE', 1055, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'ACE', 1055, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'ACE', 1055, 'LTN', 492, '', 0, '321 320\r'),
	('ZB', 220, 'ACE', 1055, 'MAN', 478, '', 0, '321 320\r'),
	('ZB', 220, 'AGA', 1064, 'MAN', 478, '', 0, '320\r'),
	('ZB', 220, 'AGP', 1230, 'BHX', 469, '', 0, '321\r'),
	('ZB', 220, 'AGP', 1230, 'EMA', 523, '', 0, '321\r'),
	('ZB', 220, 'AGP', 1230, 'LGW', 502, '', 0, '321 752\r'),
	('ZB', 220, 'AGP', 1230, 'LTN', 492, '', 0, '321 320\r'),
	('ZB', 220, 'AGP', 1230, 'MAN', 478, '', 0, '321 320\r'),
	('ZB', 220, 'ALC', 1212, 'BHX', 469, '', 0, '321 320\r'),
	('ZB', 220, 'ALC', 1212, 'EMA', 523, '', 0, '321\r'),
	('ZB', 220, 'ALC', 1212, 'LGW', 502, '', 0, '321 752\r'),
	('ZB', 220, 'ALC', 1212, 'LTN', 492, '', 0, '321 320\r'),
	('ZB', 220, 'ALC', 1212, 'MAN', 478, '', 0, '321 320\r'),
	('ZB', 220, 'AYT', 1688, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'AYT', 1688, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'AYT', 1688, 'LTN', 492, '', 0, '320\r'),
	('ZB', 220, 'AYT', 1688, 'MAN', 478, '', 0, '321 320\r'),
	('ZB', 220, 'BCN', 1218, 'BHX', 469, '', 0, '320 321\r'),
	('ZB', 220, 'BCN', 1218, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'BCN', 1218, 'LGW', 502, '', 0, '321 752\r'),
	('ZB', 220, 'BCN', 1218, 'MAN', 478, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'ACE', 1055, '', 0, '321 320\r'),
	('ZB', 220, 'BHX', 469, 'AGP', 1230, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'ALC', 1212, '', 0, '321 320\r'),
	('ZB', 220, 'BHX', 469, 'BCN', 1218, '', 0, '320 321\r'),
	('ZB', 220, 'BHX', 469, 'BJV', 4315, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'DBV', 1200, '', 0, '321 320\r'),
	('ZB', 220, 'BHX', 469, 'DLM', 1715, '', 0, '321 320\r'),
	('ZB', 220, 'BHX', 469, 'FAO', 1626, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'FCO', 1555, '', 0, '321 320\r'),
	('ZB', 220, 'BHX', 469, 'FNC', 4091, '', 0, '320 321\r'),
	('ZB', 220, 'BHX', 469, 'FUE', 1051, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'GIB', 1738, '', 0, '320\r'),
	('ZB', 220, 'BHX', 469, 'HER', 1452, '', 0, '321 320\r'),
	('ZB', 220, 'BHX', 469, 'HRG', 1130, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'LCA', 1197, '', 0, '320 321\r'),
	('ZB', 220, 'BHX', 469, 'LEI', 1213, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'LPA', 1054, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'MAH', 1231, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'NCE', 1354, '', 0, '320 321\r'),
	('ZB', 220, 'BHX', 469, 'PFO', 1198, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'PMI', 3998, '', 0, '320 321\r'),
	('ZB', 220, 'BHX', 469, 'SPU', 1206, '', 0, '320\r'),
	('ZB', 220, 'BHX', 469, 'SSH', 4057, '', 0, '321\r'),
	('ZB', 220, 'BHX', 469, 'TFS', 1056, '', 0, '321 320\r'),
	('ZB', 220, 'BHX', 469, 'VCE', 1551, '', 0, '320 321\r'),
	('ZB', 220, 'BJV', 4315, 'BHX', 469, '', 0, '321\r'),
	('ZB', 220, 'BJV', 4315, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'BJV', 4315, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'BJV', 4315, 'LTN', 492, '', 0, '321 320\r'),
	('ZB', 220, 'BJV', 4315, 'MAN', 478, '', 0, '321\r'),
	('ZB', 220, 'DBV', 1200, 'BHX', 469, '', 0, '321 320\r'),
	('ZB', 220, 'DBV', 1200, 'LGW', 502, '', 0, '321 752\r'),
	('ZB', 220, 'DBV', 1200, 'MAN', 478, '', 0, '321 320\r'),
	('ZB', 220, 'DLM', 1715, 'BHX', 469, '', 0, '321 320\r'),
	('ZB', 220, 'DLM', 1715, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'DLM', 1715, 'LGW', 502, '', 0, '321 752\r'),
	('ZB', 220, 'DLM', 1715, 'LTN', 492, '', 0, '321 320\r'),
	('ZB', 220, 'DLM', 1715, 'MAN', 478, '', 0, '752 320 321\r'),
	('ZB', 220, 'EMA', 523, 'ACE', 1055, '', 0, '321\r'),
	('ZB', 220, 'EMA', 523, 'AGP', 1230, '', 0, '321\r'),
	('ZB', 220, 'EMA', 523, 'ALC', 1212, '', 0, '321\r'),
	('ZB', 220, 'EMA', 523, 'FAO', 1626, '', 0, '321\r'),
	('ZB', 220, 'EMA', 523, 'MLA', 1606, '', 0, '321\r'),
	('ZB', 220, 'EMA', 523, 'PMI', 3998, '', 0, '321\r'),
	('ZB', 220, 'EMA', 523, 'TFS', 1056, '', 0, '321\r'),
	('ZB', 220, 'FAO', 1626, 'BHX', 469, '', 0, '321\r'),
	('ZB', 220, 'FAO', 1626, 'EMA', 523, '', 0, '321\r'),
	('ZB', 220, 'FAO', 1626, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'FAO', 1626, 'LGW', 502, '', 0, '752 321 332\r'),
	('ZB', 220, 'FAO', 1626, 'LTN', 492, '', 0, '320 321\r'),
	('ZB', 220, 'FAO', 1626, 'MAN', 478, '', 0, '321 752 320\r'),
	('ZB', 220, 'FCO', 1555, 'BHX', 469, '', 0, '321 320\r'),
	('ZB', 220, 'FCO', 1555, 'LTN', 492, '', 0, '320\r'),
	('ZB', 220, 'FNC', 4091, 'BHX', 469, '', 0, '320 321\r'),
	('ZB', 220, 'FNC', 4091, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'FUE', 1051, 'BHX', 469, '', 0, '321\r'),
	('ZB', 220, 'FUE', 1051, 'MAN', 478, '', 0, '321\r'),
	('ZB', 220, 'GIB', 1738, 'BHX', 469, '', 0, '320\r'),
	('ZB', 220, 'GIB', 1738, 'LTN', 492, '', 0, '320\r'),
	('ZB', 220, 'GIB', 1738, 'MAN', 478, '', 0, '320\r'),
	('ZB', 220, 'HER', 1452, 'BHX', 469, '', 0, '321 320\r'),
	('ZB', 220, 'HER', 1452, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'HER', 1452, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'HRG', 1130, 'BHX', 469, '', 0, '321\r'),
	('ZB', 220, 'HRG', 1130, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'HRG', 1130, 'MAN', 478, '', 0, '321\r'),
	('ZB', 220, 'LBA', 517, 'ACE', 1055, '', 0, '320\r'),
	('ZB', 220, 'LBA', 517, 'AYT', 1688, '', 0, '320\r'),
	('ZB', 220, 'LBA', 517, 'BCN', 1218, '', 0, '320\r'),
	('ZB', 220, 'LBA', 517, 'BJV', 4315, '', 0, '320\r'),
	('ZB', 220, 'LBA', 517, 'DLM', 1715, '', 0, '320\r'),
	('ZB', 220, 'LBA', 517, 'FAO', 1626, '', 0, '320\r'),
	('ZB', 220, 'LBA', 517, 'HER', 1452, '', 0, '320\r'),
	('ZB', 220, 'LBA', 517, 'LCA', 1197, '', 0, '320\r'),
	('ZB', 220, 'LBA', 517, 'MAH', 1231, '', 0, '320\r'),
	('ZB', 220, 'LBA', 517, 'PMI', 3998, '', 0, '320\r'),
	('ZB', 220, 'LBA', 517, 'TFS', 1056, '', 0, '320\r'),
	('ZB', 220, 'LCA', 1197, 'BHX', 469, '', 0, '320 321\r'),
	('ZB', 220, 'LCA', 1197, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'LCA', 1197, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'LCA', 1197, 'LTN', 492, '', 0, '320\r'),
	('ZB', 220, 'LCA', 1197, 'MAN', 478, '', 0, '321\r'),
	('ZB', 220, 'LEI', 1213, 'BHX', 469, '', 0, '321\r'),
	('ZB', 220, 'LEI', 1213, 'MAN', 478, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'ACE', 1055, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'AGP', 1230, '', 0, '321 752\r'),
	('ZB', 220, 'LGW', 502, 'ALC', 1212, '', 0, '321 752\r'),
	('ZB', 220, 'LGW', 502, 'AYT', 1688, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'BCN', 1218, '', 0, '321 752\r'),
	('ZB', 220, 'LGW', 502, 'BJV', 4315, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'DBV', 1200, '', 0, '321 752\r'),
	('ZB', 220, 'LGW', 502, 'DLM', 1715, '', 0, '321 752\r'),
	('ZB', 220, 'LGW', 502, 'FAO', 1626, '', 0, '752 321 332\r'),
	('ZB', 220, 'LGW', 502, 'FNC', 4091, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'HER', 1452, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'HRG', 1130, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'LCA', 1197, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'MAH', 1231, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'NBE', 7447, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'NCE', 1354, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'PFO', 1198, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'PMI', 3998, '', 0, '321 752\r'),
	('ZB', 220, 'LGW', 502, 'SSH', 4057, '', 0, '332 321\r'),
	('ZB', 220, 'LGW', 502, 'TFS', 1056, '', 0, '321 752 332\r'),
	('ZB', 220, 'LGW', 502, 'VCE', 1551, '', 0, '321\r'),
	('ZB', 220, 'LGW', 502, 'VRN', 1550, '', 0, '321\r'),
	('ZB', 220, 'LPA', 1054, 'BHX', 469, '', 0, '321\r'),
	('ZB', 220, 'LPA', 1054, 'MAN', 478, '', 0, '321 320\r'),
	('ZB', 220, 'LTN', 492, 'ACE', 1055, '', 0, '321 320\r'),
	('ZB', 220, 'LTN', 492, 'AGP', 1230, '', 0, '321 320\r'),
	('ZB', 220, 'LTN', 492, 'ALC', 1212, '', 0, '321 320\r'),
	('ZB', 220, 'LTN', 492, 'AYT', 1688, '', 0, '320\r'),
	('ZB', 220, 'LTN', 492, 'BJV', 4315, '', 0, '321 320\r'),
	('ZB', 220, 'LTN', 492, 'DLM', 1715, '', 0, '321 320\r'),
	('ZB', 220, 'LTN', 492, 'FAO', 1626, '', 0, '320 321\r'),
	('ZB', 220, 'LTN', 492, 'FCO', 1555, '', 0, '320\r'),
	('ZB', 220, 'LTN', 492, 'GIB', 1738, '', 0, '320\r'),
	('ZB', 220, 'LTN', 492, 'LCA', 1197, '', 0, '320\r'),
	('ZB', 220, 'LTN', 492, 'MAH', 1231, '', 0, '321\r'),
	('ZB', 220, 'LTN', 492, 'NAP', 1561, '', 0, '320\r'),
	('ZB', 220, 'LTN', 492, 'PMI', 3998, '', 0, '321 320\r'),
	('ZB', 220, 'LTN', 492, 'SSH', 4057, '', 0, '321\r'),
	('ZB', 220, 'LTN', 492, 'TFS', 1056, '', 0, '321 320\r'),
	('ZB', 220, 'MAH', 1231, 'BHX', 469, '', 0, '321\r'),
	('ZB', 220, 'MAH', 1231, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'MAH', 1231, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'MAH', 1231, 'LTN', 492, '', 0, '321\r'),
	('ZB', 220, 'MAH', 1231, 'MAN', 478, '', 0, '321\r'),
	('ZB', 220, 'MAN', 478, 'ACE', 1055, '', 0, '321 320\r'),
	('ZB', 220, 'MAN', 478, 'AGA', 1064, '', 0, '320\r'),
	('ZB', 220, 'MAN', 478, 'AGP', 1230, '', 0, '321 320\r'),
	('ZB', 220, 'MAN', 478, 'ALC', 1212, '', 0, '321 320\r'),
	('ZB', 220, 'MAN', 478, 'AYT', 1688, '', 0, '321 320\r'),
	('ZB', 220, 'MAN', 478, 'BCN', 1218, '', 0, '321\r'),
	('ZB', 220, 'MAN', 478, 'BJV', 4315, '', 0, '321\r'),
	('ZB', 220, 'MAN', 478, 'DBV', 1200, '', 0, '321 320\r'),
	('ZB', 220, 'MAN', 478, 'DLM', 1715, '', 0, '752 320 321\r'),
	('ZB', 220, 'MAN', 478, 'FAO', 1626, '', 0, '321 752 320\r'),
	('ZB', 220, 'MAN', 478, 'FUE', 1051, '', 0, '321\r'),
	('ZB', 220, 'MAN', 478, 'GIB', 1738, '', 0, '320\r'),
	('ZB', 220, 'MAN', 478, 'HRG', 1130, '', 0, '321\r'),
	('ZB', 220, 'MAN', 478, 'LCA', 1197, '', 0, '321\r'),
	('ZB', 220, 'MAN', 478, 'LEI', 1213, '', 0, '321\r'),
	('ZB', 220, 'MAN', 478, 'LPA', 1054, '', 0, '321 320\r'),
	('ZB', 220, 'MAN', 478, 'MAH', 1231, '', 0, '321\r'),
	('ZB', 220, 'MAN', 478, 'NAP', 1561, '', 0, '320\r'),
	('ZB', 220, 'MAN', 478, 'NBE', 7447, '', 0, '320 321\r'),
	('ZB', 220, 'MAN', 478, 'PFO', 1198, '', 0, '321\r'),
	('ZB', 220, 'MAN', 478, 'PMI', 3998, '', 0, '321 320 332 752\r'),
	('ZB', 220, 'MAN', 478, 'SSH', 4057, '', 0, '321 332\r'),
	('ZB', 220, 'MAN', 478, 'TFS', 1056, '', 0, '321 332 320\r'),
	('ZB', 220, 'MAN', 478, 'VCE', 1551, '', 0, '320 321\r'),
	('ZB', 220, 'MAN', 478, 'VRN', 1550, '', 0, '321 752\r'),
	('ZB', 220, 'MLA', 1606, 'EMA', 523, '', 0, '321\r'),
	('ZB', 220, 'NAP', 1561, 'LTN', 492, '', 0, '320\r'),
	('ZB', 220, 'NAP', 1561, 'MAN', 478, '', 0, '320\r'),
	('ZB', 220, 'NBE', 7447, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'NBE', 7447, 'MAN', 478, '', 0, '320 321\r'),
	('ZB', 220, 'NCE', 1354, 'BHX', 469, '', 0, '320 321\r'),
	('ZB', 220, 'NCE', 1354, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'PFO', 1198, 'BHX', 469, '', 0, '321\r'),
	('ZB', 220, 'PFO', 1198, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'PFO', 1198, 'MAN', 478, '', 0, '321\r'),
	('ZB', 220, 'PMI', 3998, 'BHX', 469, '', 0, '320 321\r'),
	('ZB', 220, 'PMI', 3998, 'EMA', 523, '', 0, '321\r'),
	('ZB', 220, 'PMI', 3998, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'PMI', 3998, 'LGW', 502, '', 0, '321 752\r'),
	('ZB', 220, 'PMI', 3998, 'LTN', 492, '', 0, '321 320\r'),
	('ZB', 220, 'PMI', 3998, 'MAN', 478, '', 0, '321 320 332 752\r'),
	('ZB', 220, 'SPU', 1206, 'BHX', 469, '', 0, '320\r'),
	('ZB', 220, 'SSH', 4057, 'BHX', 469, '', 0, '321\r'),
	('ZB', 220, 'SSH', 4057, 'LGW', 502, '', 0, '332 321\r'),
	('ZB', 220, 'SSH', 4057, 'LTN', 492, '', 0, '321\r'),
	('ZB', 220, 'SSH', 4057, 'MAN', 478, '', 0, '321 332\r'),
	('ZB', 220, 'TFS', 1056, 'BHX', 469, '', 0, '321 320\r'),
	('ZB', 220, 'TFS', 1056, 'EMA', 523, '', 0, '321\r'),
	('ZB', 220, 'TFS', 1056, 'LBA', 517, '', 0, '320\r'),
	('ZB', 220, 'TFS', 1056, 'LGW', 502, '', 0, '321 752 332\r'),
	('ZB', 220, 'TFS', 1056, 'LTN', 492, '', 0, '321 320\r'),
	('ZB', 220, 'TFS', 1056, 'MAN', 478, '', 0, '321 332 320\r'),
	('ZB', 220, 'VCE', 1551, 'BHX', 469, '', 0, '320 321\r'),
	('ZB', 220, 'VCE', 1551, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'VCE', 1551, 'MAN', 478, '', 0, '320 321\r'),
	('ZB', 220, 'VRN', 1550, 'LGW', 502, '', 0, '321\r'),
	('ZB', 220, 'VRN', 1550, 'MAN', 478, '', 0, '321 752\r'),
	('ZE', 9809, 'BKI', 3269, 'ICN', 3930, '', 0, '738\r'),
	('ZE', 9809, 'BKK', 3885, 'ICN', 3930, '', 0, '738\r'),
	('ZE', 9809, 'CJJ', 6008, 'CJU', 2370, '', 0, '737\r'),
	('ZE', 9809, 'CJJ', 6008, 'SHE', 4144, '', 0, '738\r'),
	('ZE', 9809, 'CJU', 2370, 'CJJ', 6008, '', 0, '737\r'),
	('ZE', 9809, 'CJU', 2370, 'GMP', 2378, '', 0, '737\r'),
	('ZE', 9809, 'CJU', 2370, 'KUV', 6003, '', 0, '737\r'),
	('ZE', 9809, 'GMP', 2378, 'CJU', 2370, '', 0, '737\r'),
	('ZE', 9809, 'GMP', 2378, 'TSA', 2275, '', 0, '738\r'),
	('ZE', 9809, 'HKG', 3077, 'ICN', 3930, '', 0, '738\r'),
	('ZE', 9809, 'ICN', 3930, 'BKI', 3269, '', 0, '738\r'),
	('ZE', 9809, 'ICN', 3930, 'BKK', 3885, '', 0, '738\r'),
	('ZE', 9809, 'ICN', 3930, 'HKG', 3077, '', 0, '738\r'),
	('ZE', 9809, 'ICN', 3930, 'KIX', 3992, '', 0, '738\r'),
	('ZE', 9809, 'ICN', 3930, 'NRT', 2279, '', 0, '738\r'),
	('ZE', 9809, 'ICN', 3930, 'TNA', 4108, '', 0, '738\r'),
	('ZE', 9809, 'KIX', 3992, 'ICN', 3930, '', 0, '738\r'),
	('ZE', 9809, 'KUV', 6003, 'CJU', 2370, '', 0, '737\r'),
	('ZE', 9809, 'NRT', 2279, 'ICN', 3930, '', 0, '738\r'),
	('ZE', 9809, 'SHE', 4144, 'CJJ', 6008, '', 0, '738\r'),
	('ZE', 9809, 'TNA', 4108, 'ICN', 3930, '', 0, '738\r'),
	('ZE', 9809, 'TSA', 2275, 'GMP', 2378, '', 0, '738\r'),
	('ZH', 4611, 'ADD', 1107, 'CAN', 3370, 'Y', 0, '737\r'),
	('ZH', 4611, 'AKU', 6404, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'BAV', 6346, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'BAV', 6346, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'BHY', 6351, 'HGH', 3386, 'Y', 0, '319\r'),
	('ZH', 4611, 'BHY', 6351, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'BKK', 3885, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'BPX', 6396, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'CAN', 3370, 'ADD', 1107, 'Y', 0, '737\r'),
	('ZH', 4611, 'CAN', 3370, 'BAV', 6346, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'CGO', 3375, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'CGQ', 4380, '', 0, '738\r'),
	('ZH', 4611, 'CAN', 3370, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'CAN', 3370, 'CTU', 3395, '', 0, '738 320\r'),
	('ZH', 4611, 'CAN', 3370, 'CZX', 4109, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'DAX', 6397, 'Y', 0, '737\r'),
	('ZH', 4611, 'CAN', 3370, 'GYS', 6398, 'Y', 0, '737\r'),
	('ZH', 4611, 'CAN', 3370, 'HAK', 4120, '', 0, '738 320\r'),
	('ZH', 4611, 'CAN', 3370, 'HET', 6345, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'HFE', 3389, '', 0, '738\r'),
	('ZH', 4611, 'CAN', 3370, 'HGH', 3386, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'CAN', 3370, 'HRB', 3400, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'HYN', 6384, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'JDZ', 6380, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'JJN', 6386, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'JZH', 4301, 'Y', 0, '319\r'),
	('ZH', 4611, 'CAN', 3370, 'KHN', 3384, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'KMG', 3382, '', 0, '738 320\r'),
	('ZH', 4611, 'CAN', 3370, 'KWE', 3394, '', 0, '738 320\r'),
	('ZH', 4611, 'CAN', 3370, 'LYI', 6385, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'LZO', 6399, 'Y', 0, '737\r'),
	('ZH', 4611, 'CAN', 3370, 'NKG', 3388, '', 0, '320 738\r'),
	('ZH', 4611, 'CAN', 3370, 'NNG', 3373, '', 0, '738\r'),
	('ZH', 4611, 'CAN', 3370, 'NRT', 2279, 'Y', 0, '763\r'),
	('ZH', 4611, 'CAN', 3370, 'NTG', 5475, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'PEK', 3364, 'Y', 0, '330 777 320 737 747\r'),
	('ZH', 4611, 'CAN', 3370, 'PVG', 3406, 'Y', 0, '340 330 320\r'),
	('ZH', 4611, 'CAN', 3370, 'SHA', 3391, 'Y', 0, '737\r'),
	('ZH', 4611, 'CAN', 3370, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'TNA', 4108, '', 0, '738\r'),
	('ZH', 4611, 'CAN', 3370, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'CAN', 3370, 'WNZ', 6392, '', 0, '738 320\r'),
	('ZH', 4611, 'CAN', 3370, 'WUH', 3376, '', 0, '738 320 737\r'),
	('ZH', 4611, 'CAN', 3370, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'CAN', 3370, 'WXN', 6403, 'Y', 0, '737\r'),
	('ZH', 4611, 'CAN', 3370, 'XIY', 3379, '', 0, '738 320\r'),
	('ZH', 4611, 'CAN', 3370, 'XMN', 3383, '', 0, '320\r'),
	('ZH', 4611, 'CAN', 3370, 'YBP', 4110, 'Y', 0, '737\r'),
	('ZH', 4611, 'CAN', 3370, 'YCU', 6430, 'Y', 0, '737\r'),
	('ZH', 4611, 'CGO', 3375, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'CGO', 3375, 'CKG', 3393, '', 0, '738\r'),
	('ZH', 4611, 'CGO', 3375, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'CGO', 3375, 'DLC', 3404, '', 0, '738\r'),
	('ZH', 4611, 'CGO', 3375, 'HAK', 4120, '', 0, '320\r'),
	('ZH', 4611, 'CGO', 3375, 'HGH', 3386, 'Y', 0, '319\r'),
	('ZH', 4611, 'CGO', 3375, 'HRB', 3400, '', 0, '320\r'),
	('ZH', 4611, 'CGO', 3375, 'KMG', 3382, '', 0, '320 738\r'),
	('ZH', 4611, 'CGO', 3375, 'KWE', 3394, '', 0, '738\r'),
	('ZH', 4611, 'CGO', 3375, 'NNG', 3373, '', 0, '320 738\r'),
	('ZH', 4611, 'CGO', 3375, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'CGO', 3375, 'SHE', 4144, '', 0, '738 320\r'),
	('ZH', 4611, 'CGO', 3375, 'SZX', 3374, '', 0, '320 738\r'),
	('ZH', 4611, 'CGO', 3375, 'URC', 3399, '', 0, '320\r'),
	('ZH', 4611, 'CGO', 3375, 'XNN', 6366, 'Y', 0, '319\r'),
	('ZH', 4611, 'CGQ', 4380, 'CAN', 3370, '', 0, '738\r'),
	('ZH', 4611, 'CGQ', 4380, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'CGQ', 4380, 'INC', 4085, 'Y', 0, '737\r'),
	('ZH', 4611, 'CGQ', 4380, 'NKG', 3388, '', 0, '320 738\r'),
	('ZH', 4611, 'CGQ', 4380, 'PEK', 3364, 'Y', 0, '737 330 320\r'),
	('ZH', 4611, 'CGQ', 4380, 'SZX', 3374, '', 0, '320 738\r'),
	('ZH', 4611, 'CGQ', 4380, 'TAO', 3390, 'Y', 0, '319\r'),
	('ZH', 4611, 'CGQ', 4380, 'WUH', 3376, '', 0, '738\r'),
	('ZH', 4611, 'CGQ', 4380, 'YNT', 3392, '', 0, '320 CRJ\r'),
	('ZH', 4611, 'CHG', 6772, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'CIF', 6342, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'CIH', 6343, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'CKG', 3393, 'CAN', 3370, 'Y', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'CGO', 3375, '', 0, '738\r'),
	('ZH', 4611, 'CKG', 3393, 'HGH', 3386, 'Y', 0, '319 320 737\r'),
	('ZH', 4611, 'CKG', 3393, 'HYN', 6384, 'Y', 0, '738\r'),
	('ZH', 4611, 'CKG', 3393, 'INC', 4085, 'Y', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'JZH', 4301, 'Y', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'KMG', 3382, 'Y', 0, '737 738\r'),
	('ZH', 4611, 'CKG', 3393, 'LJG', 4033, 'Y', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'LXA', 4097, 'Y', 0, '319\r'),
	('ZH', 4611, 'CKG', 3393, 'NKG', 3388, '', 0, '738\r'),
	('ZH', 4611, 'CKG', 3393, 'NTG', 5475, '', 0, '738\r'),
	('ZH', 4611, 'CKG', 3393, 'PEK', 3364, 'Y', 0, '737 330 320\r'),
	('ZH', 4611, 'CKG', 3393, 'PVG', 3406, '', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'SHA', 3391, 'Y', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'SZX', 3374, '', 0, '738 739\r'),
	('ZH', 4611, 'CKG', 3393, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'URC', 3399, 'Y', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'WNZ', 6392, 'Y', 0, '319\r'),
	('ZH', 4611, 'CKG', 3393, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'CKG', 3393, 'XIY', 3379, 'Y', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'XMN', 3383, 'Y', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'YTY', 8876, 'Y', 0, '737\r'),
	('ZH', 4611, 'CKG', 3393, 'ZUH', 6355, 'Y', 0, '737\r'),
	('ZH', 4611, 'CSX', 3371, 'CTU', 3395, 'Y', 0, '320 319\r'),
	('ZH', 4611, 'CSX', 3371, 'FOC', 3385, '', 0, '320\r'),
	('ZH', 4611, 'CSX', 3371, 'HYN', 6384, 'Y', 0, '738\r'),
	('ZH', 4611, 'CSX', 3371, 'JJN', 6386, '', 0, '320\r'),
	('ZH', 4611, 'CSX', 3371, 'KMG', 3382, '', 0, '738 320\r'),
	('ZH', 4611, 'CSX', 3371, 'KWE', 3394, '', 0, '738\r'),
	('ZH', 4611, 'CSX', 3371, 'LHW', 6431, '', 0, '319\r'),
	('ZH', 4611, 'CSX', 3371, 'NKG', 3388, '', 0, '738\r'),
	('ZH', 4611, 'CSX', 3371, 'NNG', 3373, '', 0, '738\r'),
	('ZH', 4611, 'CSX', 3371, 'PEK', 3364, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'CSX', 3371, 'SZX', 3374, '', 0, '319\r'),
	('ZH', 4611, 'CSX', 3371, 'TAO', 3390, '', 0, '738\r'),
	('ZH', 4611, 'CSX', 3371, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'CSX', 3371, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'CSX', 3371, 'XIY', 3379, '', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'AKU', 6404, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'BPX', 6396, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'CAN', 3370, '', 0, '320 738\r'),
	('ZH', 4611, 'CTU', 3395, 'CGO', 3375, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'CGQ', 4380, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'CIH', 6343, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'CSX', 3371, 'Y', 0, '320 319\r'),
	('ZH', 4611, 'CTU', 3395, 'CZX', 4109, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'DCY', 9310, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'FOC', 3385, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'HAK', 4120, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'HET', 6345, '', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'HFE', 3389, '', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'HGH', 3386, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'HRB', 3400, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'INC', 4085, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'JJN', 6386, '', 0, '738\r'),
	('ZH', 4611, 'CTU', 3395, 'JZH', 4301, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'KHG', 3397, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'KHN', 3384, '', 0, '738\r'),
	('ZH', 4611, 'CTU', 3395, 'KMG', 3382, '', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'KRL', 6407, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'KWE', 3394, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'KWL', 3372, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'LHW', 6431, 'Y', 0, '320 319\r'),
	('ZH', 4611, 'CTU', 3395, 'LJG', 4033, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'LXA', 4097, '', 0, '319 330\r'),
	('ZH', 4611, 'CTU', 3395, 'LZY', 6402, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'NGB', 3387, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'NKG', 3388, '', 0, '738\r'),
	('ZH', 4611, 'CTU', 3395, 'NNG', 3373, '', 0, '738\r'),
	('ZH', 4611, 'CTU', 3395, 'PEK', 3364, '', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'PVG', 3406, '', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'PZI', 6435, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'SHA', 3391, 'Y', 0, '330\r'),
	('ZH', 4611, 'CTU', 3395, 'SHE', 4144, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'SWA', 4302, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'SYX', 4030, 'Y', 0, '320 319\r'),
	('ZH', 4611, 'CTU', 3395, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'CTU', 3395, 'TAO', 3390, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'TNA', 4108, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'CTU', 3395, 'TYN', 3369, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'URC', 3399, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'UYN', 6368, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'WNZ', 6392, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'WUH', 3376, '', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'CTU', 3395, 'XIC', 3396, 'Y', 0, '319 320\r'),
	('ZH', 4611, 'CTU', 3395, 'XIY', 3379, 'Y', 0, '737\r'),
	('ZH', 4611, 'CTU', 3395, 'XMN', 3383, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'XNN', 6366, 'Y', 0, '320\r'),
	('ZH', 4611, 'CTU', 3395, 'YCU', 6430, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'YIN', 6409, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'YIW', 6394, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'YNT', 3392, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'ZHA', 6357, 'Y', 0, '319\r'),
	('ZH', 4611, 'CTU', 3395, 'ZUH', 6355, 'Y', 0, '319\r'),
	('ZH', 4611, 'CZX', 4109, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'CZX', 4109, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'CZX', 4109, 'HRB', 3400, '', 0, '320\r'),
	('ZH', 4611, 'CZX', 4109, 'KMG', 3382, '', 0, '738\r'),
	('ZH', 4611, 'CZX', 4109, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'CZX', 4109, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'CZX', 4109, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'DAT', 6344, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'DAX', 6397, 'CAN', 3370, 'Y', 0, '737\r'),
	('ZH', 4611, 'DAX', 6397, 'KMG', 3382, 'Y', 0, '737\r'),
	('ZH', 4611, 'DAX', 6397, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'DAX', 6397, 'SZX', 3374, 'Y', 0, '319\r'),
	('ZH', 4611, 'DCY', 9310, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'DDG', 6433, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'DLC', 3404, 'CGO', 3375, '', 0, '738\r'),
	('ZH', 4611, 'DLC', 3404, 'HGH', 3386, '', 0, '737\r'),
	('ZH', 4611, 'DLC', 3404, 'HRB', 3400, '', 0, '320\r'),
	('ZH', 4611, 'DLC', 3404, 'NKG', 3388, '', 0, '737 320 738\r'),
	('ZH', 4611, 'DLC', 3404, 'NTG', 5475, '', 0, '738\r'),
	('ZH', 4611, 'DLC', 3404, 'PEK', 3364, '', 0, '737\r'),
	('ZH', 4611, 'DLC', 3404, 'PVG', 3406, '', 0, '737\r'),
	('ZH', 4611, 'DLC', 3404, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'DLC', 3404, 'TNA', 4108, '', 0, '738\r'),
	('ZH', 4611, 'DLC', 3404, 'TSN', 3368, '', 0, '737\r'),
	('ZH', 4611, 'DLC', 3404, 'TYN', 3369, 'Y', 0, '737\r'),
	('ZH', 4611, 'DLC', 3404, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'DLC', 3404, 'XIY', 3379, '', 0, '320\r'),
	('ZH', 4611, 'DSN', 6434, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'DYG', 6353, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'FOC', 3385, 'CSX', 3371, '', 0, '320\r'),
	('ZH', 4611, 'FOC', 3385, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'FOC', 3385, 'JDZ', 6380, '', 0, '320\r'),
	('ZH', 4611, 'FOC', 3385, 'KIX', 3992, '', 0, '320\r'),
	('ZH', 4611, 'FOC', 3385, 'NKG', 3388, '', 0, '320\r'),
	('ZH', 4611, 'FOC', 3385, 'NNG', 3373, '', 0, '738\r'),
	('ZH', 4611, 'FOC', 3385, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'FOC', 3385, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'FOC', 3385, 'TNA', 4108, '', 0, '738\r'),
	('ZH', 4611, 'FOC', 3385, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'FOC', 3385, 'ZUH', 6355, '', 0, '738\r'),
	('ZH', 4611, 'FUG', 7503, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'GYS', 6398, 'CAN', 3370, 'Y', 0, '737\r'),
	('ZH', 4611, 'GYS', 6398, 'HGH', 3386, 'Y', 0, '319\r'),
	('ZH', 4611, 'GYS', 6398, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'GYS', 6398, 'SZX', 3374, '', 0, '319\r'),
	('ZH', 4611, 'HAK', 4120, 'CAN', 3370, '', 0, '320 738\r'),
	('ZH', 4611, 'HAK', 4120, 'CGO', 3375, '', 0, '320\r'),
	('ZH', 4611, 'HAK', 4120, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'HAK', 4120, 'NKG', 3388, '', 0, '320\r'),
	('ZH', 4611, 'HAK', 4120, 'PEK', 3364, 'Y', 0, '320\r'),
	('ZH', 4611, 'HAK', 4120, 'SZX', 3374, '', 0, '320 738 319\r'),
	('ZH', 4611, 'HAK', 4120, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'HET', 6345, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'HET', 6345, 'CTU', 3395, '', 0, '320\r'),
	('ZH', 4611, 'HET', 6345, 'HGH', 3386, 'Y', 0, '319\r'),
	('ZH', 4611, 'HET', 6345, 'HLD', 3366, '', 0, '320\r'),
	('ZH', 4611, 'HET', 6345, 'PEK', 3364, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'HET', 6345, 'PVG', 3406, 'Y', 0, '320\r'),
	('ZH', 4611, 'HET', 6345, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'HET', 6345, 'WUH', 3376, '', 0, '320\r'),
	('ZH', 4611, 'HFE', 3389, 'CAN', 3370, '', 0, '738\r'),
	('ZH', 4611, 'HFE', 3389, 'CTU', 3395, '', 0, '320\r'),
	('ZH', 4611, 'HFE', 3389, 'PEK', 3364, '', 0, '737\r'),
	('ZH', 4611, 'HFE', 3389, 'SZX', 3374, '', 0, '738 320\r'),
	('ZH', 4611, 'HGH', 3386, 'BHY', 6351, 'Y', 0, '319\r'),
	('ZH', 4611, 'HGH', 3386, 'CAN', 3370, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'HGH', 3386, 'CGO', 3375, 'Y', 0, '319\r'),
	('ZH', 4611, 'HGH', 3386, 'CKG', 3393, 'Y', 0, '319 320 737\r'),
	('ZH', 4611, 'HGH', 3386, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'HGH', 3386, 'DLC', 3404, '', 0, '737\r'),
	('ZH', 4611, 'HGH', 3386, 'GYS', 6398, 'Y', 0, '319\r'),
	('ZH', 4611, 'HGH', 3386, 'HET', 6345, 'Y', 0, '319\r'),
	('ZH', 4611, 'HGH', 3386, 'INC', 4085, 'Y', 0, '319\r'),
	('ZH', 4611, 'HGH', 3386, 'JJN', 6386, '', 0, '320\r'),
	('ZH', 4611, 'HGH', 3386, 'KMG', 3382, 'Y', 0, '319 738\r'),
	('ZH', 4611, 'HGH', 3386, 'KWE', 3394, '', 0, '738 320\r'),
	('ZH', 4611, 'HGH', 3386, 'KWL', 3372, 'Y', 0, '319\r'),
	('ZH', 4611, 'HGH', 3386, 'LHW', 6431, 'Y', 0, '319\r'),
	('ZH', 4611, 'HGH', 3386, 'LJG', 4033, 'Y', 0, '319\r'),
	('ZH', 4611, 'HGH', 3386, 'NNG', 3373, 'Y', 0, '319\r'),
	('ZH', 4611, 'HGH', 3386, 'PEK', 3364, 'Y', 0, '320 330 737\r'),
	('ZH', 4611, 'HGH', 3386, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'HGH', 3386, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'HGH', 3386, 'TAO', 3390, 'Y', 0, '319\r'),
	('ZH', 4611, 'HGH', 3386, 'XIY', 3379, '', 0, '320\r'),
	('ZH', 4611, 'HGH', 3386, 'YCU', 6430, 'Y', 0, '320\r'),
	('ZH', 4611, 'HKG', 3077, 'JJN', 6386, '', 0, '320\r'),
	('ZH', 4611, 'HLD', 3366, 'HET', 6345, '', 0, '320\r'),
	('ZH', 4611, 'HLD', 3366, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'HLH', 6349, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'HMI', 6743, 'KRL', 6407, 'Y', 0, '737\r'),
	('ZH', 4611, 'HMI', 6743, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'HRB', 3400, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'HRB', 3400, 'CGO', 3375, '', 0, '320\r'),
	('ZH', 4611, 'HRB', 3400, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'HRB', 3400, 'CZX', 4109, '', 0, '320\r'),
	('ZH', 4611, 'HRB', 3400, 'DLC', 3404, '', 0, '320\r'),
	('ZH', 4611, 'HRB', 3400, 'PEK', 3364, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'HRB', 3400, 'SZX', 3374, '', 0, '320 738\r'),
	('ZH', 4611, 'HRB', 3400, 'TNA', 4108, 'Y', 0, '738\r'),
	('ZH', 4611, 'HRB', 3400, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'HRB', 3400, 'TYN', 3369, '', 0, '320\r'),
	('ZH', 4611, 'HRB', 3400, 'XIY', 3379, 'Y', 0, '737\r'),
	('ZH', 4611, 'HRB', 3400, 'YNT', 3392, '', 0, '738 737\r'),
	('ZH', 4611, 'HSN', 6395, 'JJN', 6386, '', 0, '320\r'),
	('ZH', 4611, 'HTN', 3398, 'URC', 3399, 'Y', 0, '737\r'),
	('ZH', 4611, 'HYN', 6384, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'HYN', 6384, 'CKG', 3393, 'Y', 0, '738\r'),
	('ZH', 4611, 'HYN', 6384, 'CSX', 3371, 'Y', 0, '738\r'),
	('ZH', 4611, 'HYN', 6384, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'HYN', 6384, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'HYN', 6384, 'ZUH', 6355, '', 0, '738\r'),
	('ZH', 4611, 'ICN', 3930, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'INC', 4085, 'CGQ', 4380, 'Y', 0, '737\r'),
	('ZH', 4611, 'INC', 4085, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'INC', 4085, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'INC', 4085, 'HGH', 3386, 'Y', 0, '319\r'),
	('ZH', 4611, 'INC', 4085, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'INC', 4085, 'PVG', 3406, 'Y', 0, '320\r'),
	('ZH', 4611, 'INC', 4085, 'XIY', 3379, '', 0, '320 738\r'),
	('ZH', 4611, 'JDZ', 6380, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'JDZ', 6380, 'FOC', 3385, '', 0, '320\r'),
	('ZH', 4611, 'JDZ', 6380, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'JDZ', 6380, 'SHA', 3391, '', 0, '320\r'),
	('ZH', 4611, 'JDZ', 6380, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'JDZ', 6380, 'XIY', 3379, '', 0, '320\r'),
	('ZH', 4611, 'JGS', 6428, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'JHG', 4055, 'KMG', 3382, 'Y', 0, '738\r'),
	('ZH', 4611, 'JHG', 4055, 'LJG', 4033, 'Y', 0, '738\r'),
	('ZH', 4611, 'JJN', 6386, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'JJN', 6386, 'CSX', 3371, '', 0, '320\r'),
	('ZH', 4611, 'JJN', 6386, 'CTU', 3395, '', 0, '738\r'),
	('ZH', 4611, 'JJN', 6386, 'HGH', 3386, '', 0, '320\r'),
	('ZH', 4611, 'JJN', 6386, 'HKG', 3077, '', 0, '320\r'),
	('ZH', 4611, 'JJN', 6386, 'HSN', 6395, '', 0, '320\r'),
	('ZH', 4611, 'JJN', 6386, 'PVG', 3406, '', 0, '320\r'),
	('ZH', 4611, 'JJN', 6386, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'JMU', 6411, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'JUZ', 6382, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'JZH', 4301, 'CAN', 3370, 'Y', 0, '319\r'),
	('ZH', 4611, 'JZH', 4301, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'JZH', 4301, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'JZH', 4301, 'PVG', 3406, 'Y', 0, '319\r'),
	('ZH', 4611, 'KHG', 3397, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'KHG', 3397, 'URC', 3399, 'Y', 0, '737\r'),
	('ZH', 4611, 'KHN', 3384, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'KHN', 3384, 'CTU', 3395, '', 0, '738\r'),
	('ZH', 4611, 'KHN', 3384, 'PEK', 3364, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'KHN', 3384, 'PVG', 3406, '', 0, '320\r'),
	('ZH', 4611, 'KHN', 3384, 'SZX', 3374, '', 0, '320 319\r'),
	('ZH', 4611, 'KHN', 3384, 'TAO', 3390, '', 0, '320\r'),
	('ZH', 4611, 'KIX', 3992, 'FOC', 3385, '', 0, '320\r'),
	('ZH', 4611, 'KIX', 3992, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'CAN', 3370, '', 0, '320 738\r'),
	('ZH', 4611, 'KMG', 3382, 'CGO', 3375, '', 0, '320 738\r'),
	('ZH', 4611, 'KMG', 3382, 'CKG', 3393, '', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'CSX', 3371, '', 0, '738 320\r'),
	('ZH', 4611, 'KMG', 3382, 'CTU', 3395, '', 0, '319\r'),
	('ZH', 4611, 'KMG', 3382, 'CZX', 4109, '', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'DAX', 6397, 'Y', 0, '737\r'),
	('ZH', 4611, 'KMG', 3382, 'HGH', 3386, 'Y', 0, '738 319\r'),
	('ZH', 4611, 'KMG', 3382, 'JHG', 4055, 'Y', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'LJG', 4033, 'Y', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'NKG', 3388, 'Y', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'NNG', 3373, 'Y', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'KMG', 3382, 'PVG', 3406, '', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'TNA', 4108, 'Y', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'KMG', 3382, 'TYN', 3369, '', 0, '320\r'),
	('ZH', 4611, 'KMG', 3382, 'WNZ', 6392, 'Y', 0, '737\r'),
	('ZH', 4611, 'KMG', 3382, 'WUH', 3376, '', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'XIY', 3379, 'Y', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'XMN', 3383, 'Y', 0, '738\r'),
	('ZH', 4611, 'KMG', 3382, 'YCU', 6430, 'Y', 0, '737\r'),
	('ZH', 4611, 'KOW', 6379, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'KRL', 6407, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'KRL', 6407, 'HMI', 6743, 'Y', 0, '737\r'),
	('ZH', 4611, 'KWE', 3394, 'CAN', 3370, '', 0, '320 738\r'),
	('ZH', 4611, 'KWE', 3394, 'CGO', 3375, '', 0, '738\r'),
	('ZH', 4611, 'KWE', 3394, 'CSX', 3371, '', 0, '738\r'),
	('ZH', 4611, 'KWE', 3394, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'KWE', 3394, 'HGH', 3386, '', 0, '738 320\r'),
	('ZH', 4611, 'KWE', 3394, 'NKG', 3388, '', 0, '738\r'),
	('ZH', 4611, 'KWE', 3394, 'PEK', 3364, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'KWE', 3394, 'PVG', 3406, 'Y', 0, '320\r'),
	('ZH', 4611, 'KWE', 3394, 'SYX', 4030, '', 0, '320\r'),
	('ZH', 4611, 'KWE', 3394, 'SZX', 3374, '', 0, '738 320\r'),
	('ZH', 4611, 'KWE', 3394, 'WNZ', 6392, 'Y', 0, '319\r'),
	('ZH', 4611, 'KWE', 3394, 'XIY', 3379, '', 0, '320\r'),
	('ZH', 4611, 'KWL', 3372, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'KWL', 3372, 'HGH', 3386, 'Y', 0, '319\r'),
	('ZH', 4611, 'KWL', 3372, 'NKG', 3388, '', 0, '738\r'),
	('ZH', 4611, 'KWL', 3372, 'PEK', 3364, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'KWL', 3372, 'PVG', 3406, 'Y', 0, '320\r'),
	('ZH', 4611, 'KWL', 3372, 'SZX', 3374, '', 0, '319\r'),
	('ZH', 4611, 'LHW', 6431, 'CSX', 3371, '', 0, '319\r'),
	('ZH', 4611, 'LHW', 6431, 'CTU', 3395, 'Y', 0, '320 319\r'),
	('ZH', 4611, 'LHW', 6431, 'HGH', 3386, 'Y', 0, '319\r'),
	('ZH', 4611, 'LHW', 6431, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'LHW', 6431, 'XIY', 3379, '', 0, '738\r'),
	('ZH', 4611, 'LJG', 4033, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'LJG', 4033, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'LJG', 4033, 'HGH', 3386, 'Y', 0, '319\r'),
	('ZH', 4611, 'LJG', 4033, 'JHG', 4055, 'Y', 0, '738\r'),
	('ZH', 4611, 'LJG', 4033, 'KMG', 3382, 'Y', 0, '738\r'),
	('ZH', 4611, 'LJG', 4033, 'PEK', 3364, 'Y', 0, '320\r'),
	('ZH', 4611, 'LJG', 4033, 'XIY', 3379, '', 0, '738\r'),
	('ZH', 4611, 'LXA', 4097, 'CKG', 3393, 'Y', 0, '319\r'),
	('ZH', 4611, 'LXA', 4097, 'CTU', 3395, '', 0, '319 330\r'),
	('ZH', 4611, 'LXA', 4097, 'PEK', 3364, 'Y', 0, '319\r'),
	('ZH', 4611, 'LYI', 6385, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'LYI', 6385, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'LZH', 6356, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'LZO', 6399, 'CAN', 3370, 'Y', 0, '737\r'),
	('ZH', 4611, 'LZY', 6402, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'MDG', 4334, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'MFM', 3121, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'MIG', 6400, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'MIG', 6400, 'SZX', 3374, '', 0, '320 738\r'),
	('ZH', 4611, 'NDG', 6413, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'NGB', 3387, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'NGB', 3387, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'NKG', 3388, 'CAN', 3370, '', 0, '738 320\r'),
	('ZH', 4611, 'NKG', 3388, 'CGQ', 4380, '', 0, '738 320\r'),
	('ZH', 4611, 'NKG', 3388, 'CKG', 3393, '', 0, '738\r'),
	('ZH', 4611, 'NKG', 3388, 'CSX', 3371, '', 0, '738\r'),
	('ZH', 4611, 'NKG', 3388, 'CTU', 3395, '', 0, '738\r'),
	('ZH', 4611, 'NKG', 3388, 'DLC', 3404, '', 0, '320 738 737\r'),
	('ZH', 4611, 'NKG', 3388, 'FOC', 3385, '', 0, '320\r'),
	('ZH', 4611, 'NKG', 3388, 'HAK', 4120, '', 0, '320\r'),
	('ZH', 4611, 'NKG', 3388, 'KMG', 3382, 'Y', 0, '738\r'),
	('ZH', 4611, 'NKG', 3388, 'KWE', 3394, '', 0, '738\r'),
	('ZH', 4611, 'NKG', 3388, 'KWL', 3372, '', 0, '738\r'),
	('ZH', 4611, 'NKG', 3388, 'NNG', 3373, '', 0, '738\r'),
	('ZH', 4611, 'NKG', 3388, 'PEK', 3364, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'NKG', 3388, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'NKG', 3388, 'SZX', 3374, '', 0, '738 737\r'),
	('ZH', 4611, 'NKG', 3388, 'XIY', 3379, '', 0, '738\r'),
	('ZH', 4611, 'NKG', 3388, 'XMN', 3383, '', 0, '738\r'),
	('ZH', 4611, 'NKG', 3388, 'YNT', 3392, '', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'CAN', 3370, '', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'CGO', 3375, '', 0, '738 320\r'),
	('ZH', 4611, 'NNG', 3373, 'CSX', 3371, '', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'CTU', 3395, '', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'FOC', 3385, '', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'HGH', 3386, 'Y', 0, '319\r'),
	('ZH', 4611, 'NNG', 3373, 'KMG', 3382, 'Y', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'NKG', 3388, '', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'PEK', 3364, '', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'SYX', 4030, '', 0, '320\r'),
	('ZH', 4611, 'NNG', 3373, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'TPE', 2276, '', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'WUH', 3376, '', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'XIY', 3379, '', 0, '320\r'),
	('ZH', 4611, 'NNG', 3373, 'XMN', 3383, 'Y', 0, '738\r'),
	('ZH', 4611, 'NNG', 3373, 'ZUH', 6355, '', 0, '738\r'),
	('ZH', 4611, 'NRT', 2279, 'CAN', 3370, 'Y', 0, '763\r'),
	('ZH', 4611, 'NRT', 2279, 'XMN', 3383, 'Y', 0, '763\r'),
	('ZH', 4611, 'NTG', 5475, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'NTG', 5475, 'CKG', 3393, '', 0, '738\r'),
	('ZH', 4611, 'NTG', 5475, 'DLC', 3404, '', 0, '738\r'),
	('ZH', 4611, 'NTG', 5475, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'NTG', 5475, 'SHE', 4144, '', 0, '738\r'),
	('ZH', 4611, 'NTG', 5475, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'NTG', 5475, 'TSN', 3368, '', 0, '320\r'),
	('ZH', 4611, 'NTG', 5475, 'XMN', 3383, '', 0, '738\r'),
	('ZH', 4611, 'PEK', 3364, 'BAV', 6346, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'BHY', 6351, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'CAN', 3370, 'Y', 0, '320 777 737 747 330\r'),
	('ZH', 4611, 'PEK', 3364, 'CGO', 3375, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'CGQ', 4380, 'Y', 0, '330 737 320\r'),
	('ZH', 4611, 'PEK', 3364, 'CHG', 6772, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'CIF', 6342, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'CKG', 3393, 'Y', 0, '330 737 320\r'),
	('ZH', 4611, 'PEK', 3364, 'CSX', 3371, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'PEK', 3364, 'CTU', 3395, '', 0, '320\r'),
	('ZH', 4611, 'PEK', 3364, 'CZX', 4109, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'DAT', 6344, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'DAX', 6397, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'DDG', 6433, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'DLC', 3404, '', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'DSN', 6434, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'DYG', 6353, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'FOC', 3385, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'FUG', 7503, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'GYS', 6398, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'HAK', 4120, 'Y', 0, '320\r'),
	('ZH', 4611, 'PEK', 3364, 'HET', 6345, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'PEK', 3364, 'HFE', 3389, '', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'HGH', 3386, 'Y', 0, '320 330 737\r'),
	('ZH', 4611, 'PEK', 3364, 'HLD', 3366, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'HLH', 6349, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'HMI', 6743, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'HRB', 3400, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'PEK', 3364, 'HYN', 6384, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'INC', 4085, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'JDZ', 6380, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'JGS', 6428, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'JMU', 6411, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'KHN', 3384, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'PEK', 3364, 'KMG', 3382, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'KOW', 6379, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'KWE', 3394, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'PEK', 3364, 'KWL', 3372, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'PEK', 3364, 'LHW', 6431, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'LJG', 4033, 'Y', 0, '320\r'),
	('ZH', 4611, 'PEK', 3364, 'LXA', 4097, 'Y', 0, '319\r'),
	('ZH', 4611, 'PEK', 3364, 'LZH', 6356, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'MDG', 4334, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'MIG', 6400, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'NDG', 6413, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'NGB', 3387, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'NKG', 3388, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'PEK', 3364, 'NNG', 3373, '', 0, '738\r'),
	('ZH', 4611, 'PEK', 3364, 'NTG', 5475, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'PVG', 3406, '', 0, '330 737\r'),
	('ZH', 4611, 'PEK', 3364, 'RLK', 8630, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'SHA', 3391, 'Y', 0, '777 747 737 330\r'),
	('ZH', 4611, 'PEK', 3364, 'SHE', 4144, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'PEK', 3364, 'SWA', 4302, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'SYX', 4030, 'Y', 0, '320 330\r'),
	('ZH', 4611, 'PEK', 3364, 'SZX', 3374, '', 0, '738 739\r'),
	('ZH', 4611, 'PEK', 3364, 'TAO', 3390, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'PEK', 3364, 'TGO', 6348, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'TXN', 6387, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'TYN', 3369, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'URC', 3399, 'Y', 0, '737 777 320\r'),
	('ZH', 4611, 'PEK', 3364, 'WNZ', 6392, 'Y', 0, '737 320 319\r'),
	('ZH', 4611, 'PEK', 3364, 'WUA', 6955, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'WUH', 3376, '', 0, '320\r'),
	('ZH', 4611, 'PEK', 3364, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'PEK', 3364, 'XFN', 6360, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'XIL', 6350, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'XIY', 3379, 'Y', 0, '737 330 320\r'),
	('ZH', 4611, 'PEK', 3364, 'XMN', 3383, '', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'XNN', 6366, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'YBP', 4110, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'YCU', 6430, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'YIC', 9107, '', 0, '320\r'),
	('ZH', 4611, 'PEK', 3364, 'YIH', 6361, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'YIW', 6394, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'YNJ', 6414, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'YNT', 3392, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'YNZ', 6393, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'YTY', 8876, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'ZHA', 6357, 'Y', 0, '737\r'),
	('ZH', 4611, 'PEK', 3364, 'ZUH', 6355, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'PVG', 3406, 'CAN', 3370, 'Y', 0, '340 330 320\r'),
	('ZH', 4611, 'PVG', 3406, 'CKG', 3393, '', 0, '737\r'),
	('ZH', 4611, 'PVG', 3406, 'CTU', 3395, '', 0, '319\r'),
	('ZH', 4611, 'PVG', 3406, 'DLC', 3404, '', 0, '737\r'),
	('ZH', 4611, 'PVG', 3406, 'HET', 6345, 'Y', 0, '320\r'),
	('ZH', 4611, 'PVG', 3406, 'INC', 4085, 'Y', 0, '320\r'),
	('ZH', 4611, 'PVG', 3406, 'JJN', 6386, '', 0, '320\r'),
	('ZH', 4611, 'PVG', 3406, 'JZH', 4301, 'Y', 0, '319\r'),
	('ZH', 4611, 'PVG', 3406, 'KHN', 3384, '', 0, '320\r'),
	('ZH', 4611, 'PVG', 3406, 'KMG', 3382, '', 0, '738\r'),
	('ZH', 4611, 'PVG', 3406, 'KWE', 3394, 'Y', 0, '320\r'),
	('ZH', 4611, 'PVG', 3406, 'KWL', 3372, 'Y', 0, '320\r'),
	('ZH', 4611, 'PVG', 3406, 'PEK', 3364, '', 0, '330 737\r'),
	('ZH', 4611, 'PVG', 3406, 'SZX', 3374, '', 0, '739 738\r'),
	('ZH', 4611, 'PVG', 3406, 'WNZ', 6392, 'Y', 0, '319 320\r'),
	('ZH', 4611, 'PVG', 3406, 'XIY', 3379, 'Y', 0, '320\r'),
	('ZH', 4611, 'PZI', 6435, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'RLK', 8630, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'SHA', 3391, 'CAN', 3370, 'Y', 0, '737\r'),
	('ZH', 4611, 'SHA', 3391, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'SHA', 3391, 'CTU', 3395, 'Y', 0, '330\r'),
	('ZH', 4611, 'SHA', 3391, 'JDZ', 6380, '', 0, '320\r'),
	('ZH', 4611, 'SHA', 3391, 'PEK', 3364, 'Y', 0, '330 747 777 737\r'),
	('ZH', 4611, 'SHA', 3391, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'SHA', 3391, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'SHE', 4144, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'CGO', 3375, '', 0, '320 738\r'),
	('ZH', 4611, 'SHE', 4144, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'CZX', 4109, '', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'HET', 6345, '', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'HGH', 3386, '', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'LYI', 6385, '', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'NKG', 3388, '', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'NTG', 5475, '', 0, '738\r'),
	('ZH', 4611, 'SHE', 4144, 'PEK', 3364, 'Y', 0, '320 737\r'),
	('ZH', 4611, 'SHE', 4144, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'TPE', 2276, '', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'TYN', 3369, '', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'WNZ', 6392, '', 0, '320\r'),
	('ZH', 4611, 'SHE', 4144, 'WUH', 3376, '', 0, '738\r'),
	('ZH', 4611, 'SHE', 4144, 'WUX', 6390, '', 0, '738 320\r'),
	('ZH', 4611, 'SHE', 4144, 'XIY', 3379, '', 0, '320\r'),
	('ZH', 4611, 'SIN', 3316, 'SZX', 3374, '', 0, '320 738 319\r'),
	('ZH', 4611, 'SWA', 4302, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'SWA', 4302, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'SYX', 4030, 'CTU', 3395, 'Y', 0, '320 319\r'),
	('ZH', 4611, 'SYX', 4030, 'KWE', 3394, '', 0, '320\r'),
	('ZH', 4611, 'SYX', 4030, 'NNG', 3373, '', 0, '320\r'),
	('ZH', 4611, 'SYX', 4030, 'PEK', 3364, 'Y', 0, '320 330\r'),
	('ZH', 4611, 'SYX', 4030, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'SYX', 4030, 'TYN', 3369, '', 0, '320\r'),
	('ZH', 4611, 'SYX', 4030, 'WNZ', 6392, '', 0, '320\r'),
	('ZH', 4611, 'SYX', 4030, 'WUX', 6390, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'BKK', 3885, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'CGO', 3375, '', 0, '320 738\r'),
	('ZH', 4611, 'SZX', 3374, 'CGQ', 4380, '', 0, '320 738\r'),
	('ZH', 4611, 'SZX', 3374, 'CKG', 3393, '', 0, '738 739\r'),
	('ZH', 4611, 'SZX', 3374, 'CSX', 3371, '', 0, '319\r'),
	('ZH', 4611, 'SZX', 3374, 'CTU', 3395, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'CZX', 4109, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'DAX', 6397, 'Y', 0, '319\r'),
	('ZH', 4611, 'SZX', 3374, 'DLC', 3404, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'FOC', 3385, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'GYS', 6398, '', 0, '319\r'),
	('ZH', 4611, 'SZX', 3374, 'HAK', 4120, '', 0, '320 738 319\r'),
	('ZH', 4611, 'SZX', 3374, 'HFE', 3389, '', 0, '738 320\r'),
	('ZH', 4611, 'SZX', 3374, 'HGH', 3386, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'HRB', 3400, '', 0, '320 738\r'),
	('ZH', 4611, 'SZX', 3374, 'HYN', 6384, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'ICN', 3930, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'JDZ', 6380, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'JJN', 6386, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'JUZ', 6382, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'KHN', 3384, '', 0, '320 319\r'),
	('ZH', 4611, 'SZX', 3374, 'KMG', 3382, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'KWE', 3394, '', 0, '738 320\r'),
	('ZH', 4611, 'SZX', 3374, 'KWL', 3372, '', 0, '319\r'),
	('ZH', 4611, 'SZX', 3374, 'MIG', 6400, '', 0, '320 738\r'),
	('ZH', 4611, 'SZX', 3374, 'NKG', 3388, '', 0, '738 737\r'),
	('ZH', 4611, 'SZX', 3374, 'NNG', 3373, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'NTG', 5475, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'PEK', 3364, '', 0, '739 738\r'),
	('ZH', 4611, 'SZX', 3374, 'PVG', 3406, '', 0, '739 738\r'),
	('ZH', 4611, 'SZX', 3374, 'SHA', 3391, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'SIN', 3316, '', 0, '320 738 319\r'),
	('ZH', 4611, 'SZX', 3374, 'SYX', 4030, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'TAO', 3390, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'TNA', 4108, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'TPE', 2276, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'TSN', 3368, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'TYN', 3369, '', 0, '320 738\r'),
	('ZH', 4611, 'SZX', 3374, 'WNZ', 6392, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'WUH', 3376, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'SZX', 3374, 'XFN', 6360, '', 0, '319\r'),
	('ZH', 4611, 'SZX', 3374, 'XIY', 3379, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'XMN', 3383, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'YBP', 4110, '', 0, '319\r'),
	('ZH', 4611, 'SZX', 3374, 'YCU', 6430, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'YIC', 9107, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'YIH', 6361, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'YTY', 8876, '', 0, '320\r'),
	('ZH', 4611, 'SZX', 3374, 'ZHA', 6357, '', 0, '738\r'),
	('ZH', 4611, 'TAO', 3390, 'CGQ', 4380, 'Y', 0, '319\r'),
	('ZH', 4611, 'TAO', 3390, 'CSX', 3371, '', 0, '738\r'),
	('ZH', 4611, 'TAO', 3390, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'TAO', 3390, 'HGH', 3386, 'Y', 0, '319\r'),
	('ZH', 4611, 'TAO', 3390, 'KHN', 3384, '', 0, '320\r'),
	('ZH', 4611, 'TAO', 3390, 'PEK', 3364, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'TAO', 3390, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'TGO', 6348, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'TNA', 4108, 'CAN', 3370, '', 0, '738\r'),
	('ZH', 4611, 'TNA', 4108, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'TNA', 4108, 'DLC', 3404, '', 0, '738\r'),
	('ZH', 4611, 'TNA', 4108, 'FOC', 3385, '', 0, '738\r'),
	('ZH', 4611, 'TNA', 4108, 'HRB', 3400, 'Y', 0, '738\r'),
	('ZH', 4611, 'TNA', 4108, 'KMG', 3382, 'Y', 0, '738\r'),
	('ZH', 4611, 'TNA', 4108, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'TPE', 2276, 'NNG', 3373, '', 0, '738\r'),
	('ZH', 4611, 'TPE', 2276, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'TPE', 2276, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'TPE', 2276, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'TSN', 3368, 'CAN', 3370, 'Y', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'CSX', 3371, 'Y', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'CTU', 3395, 'Y', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'DLC', 3404, '', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'HAK', 4120, 'Y', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'HRB', 3400, 'Y', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'KMG', 3382, 'Y', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'NTG', 5475, '', 0, '320\r'),
	('ZH', 4611, 'TSN', 3368, 'SHA', 3391, 'Y', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'TSN', 3368, 'XIY', 3379, 'Y', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'XMN', 3383, 'Y', 0, '737\r'),
	('ZH', 4611, 'TSN', 3368, 'YCU', 6430, 'Y', 0, '737\r'),
	('ZH', 4611, 'TXN', 6387, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'TYN', 3369, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'TYN', 3369, 'DLC', 3404, 'Y', 0, '737\r'),
	('ZH', 4611, 'TYN', 3369, 'HRB', 3400, '', 0, '320\r'),
	('ZH', 4611, 'TYN', 3369, 'KMG', 3382, '', 0, '320\r'),
	('ZH', 4611, 'TYN', 3369, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'TYN', 3369, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'TYN', 3369, 'SYX', 4030, '', 0, '320\r'),
	('ZH', 4611, 'TYN', 3369, 'SZX', 3374, '', 0, '320 738\r'),
	('ZH', 4611, 'URC', 3399, 'CGO', 3375, '', 0, '320\r'),
	('ZH', 4611, 'URC', 3399, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'URC', 3399, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'URC', 3399, 'HTN', 3398, 'Y', 0, '737\r'),
	('ZH', 4611, 'URC', 3399, 'KHG', 3397, 'Y', 0, '737\r'),
	('ZH', 4611, 'URC', 3399, 'PEK', 3364, 'Y', 0, '737 777 320\r'),
	('ZH', 4611, 'URC', 3399, 'XIY', 3379, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'URC', 3399, 'YCU', 6430, 'Y', 0, '320\r'),
	('ZH', 4611, 'UYN', 6368, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'WNZ', 6392, 'CAN', 3370, '', 0, '738 320\r'),
	('ZH', 4611, 'WNZ', 6392, 'CKG', 3393, 'Y', 0, '319\r'),
	('ZH', 4611, 'WNZ', 6392, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'WNZ', 6392, 'KMG', 3382, 'Y', 0, '737\r'),
	('ZH', 4611, 'WNZ', 6392, 'KWE', 3394, 'Y', 0, '319\r'),
	('ZH', 4611, 'WNZ', 6392, 'PEK', 3364, 'Y', 0, '320 737 319\r'),
	('ZH', 4611, 'WNZ', 6392, 'PVG', 3406, 'Y', 0, '319 320\r'),
	('ZH', 4611, 'WNZ', 6392, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'WNZ', 6392, 'SYX', 4030, '', 0, '320\r'),
	('ZH', 4611, 'WNZ', 6392, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'WNZ', 6392, 'XIY', 3379, 'Y', 0, '320\r'),
	('ZH', 4611, 'WUA', 6955, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'WUH', 3376, 'CAN', 3370, '', 0, '320 738 737\r'),
	('ZH', 4611, 'WUH', 3376, 'CGQ', 4380, '', 0, '738\r'),
	('ZH', 4611, 'WUH', 3376, 'CTU', 3395, '', 0, '320\r'),
	('ZH', 4611, 'WUH', 3376, 'HET', 6345, '', 0, '320\r'),
	('ZH', 4611, 'WUH', 3376, 'KMG', 3382, '', 0, '738\r'),
	('ZH', 4611, 'WUH', 3376, 'NNG', 3373, '', 0, '738\r'),
	('ZH', 4611, 'WUH', 3376, 'PEK', 3364, '', 0, '320\r'),
	('ZH', 4611, 'WUH', 3376, 'SHE', 4144, '', 0, '738\r'),
	('ZH', 4611, 'WUH', 3376, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'WUH', 3376, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'WUH', 3376, 'XMN', 3383, '', 0, '320\r'),
	('ZH', 4611, 'WUH', 3376, 'XNN', 6366, '', 0, '320\r'),
	('ZH', 4611, 'WUH', 3376, 'YNT', 3392, '', 0, '320\r'),
	('ZH', 4611, 'WUH', 3376, 'YTY', 8876, 'Y', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'CAN', 3370, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'CKG', 3393, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'CSX', 3371, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'CTU', 3395, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'DLC', 3404, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'FOC', 3385, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'KIX', 3992, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'MFM', 3121, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'PEK', 3364, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'SHE', 4144, '', 0, '320 738\r'),
	('ZH', 4611, 'WUX', 6390, 'SYX', 4030, '', 0, '320\r'),
	('ZH', 4611, 'WUX', 6390, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'TPE', 2276, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'WUH', 3376, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'XIY', 3379, '', 0, '738\r'),
	('ZH', 4611, 'WUX', 6390, 'XMN', 3383, '', 0, '738\r'),
	('ZH', 4611, 'WXN', 6403, 'CAN', 3370, 'Y', 0, '737\r'),
	('ZH', 4611, 'XFN', 6360, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'XFN', 6360, 'SZX', 3374, '', 0, '319\r'),
	('ZH', 4611, 'XIC', 3396, 'CTU', 3395, 'Y', 0, '319 320\r'),
	('ZH', 4611, 'XIL', 6350, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'XIY', 3379, 'CAN', 3370, '', 0, '738 320\r'),
	('ZH', 4611, 'XIY', 3379, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'XIY', 3379, 'CSX', 3371, '', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'CTU', 3395, 'Y', 0, '737\r'),
	('ZH', 4611, 'XIY', 3379, 'DLC', 3404, '', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'HGH', 3386, '', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'HRB', 3400, 'Y', 0, '737\r'),
	('ZH', 4611, 'XIY', 3379, 'INC', 4085, '', 0, '320 738\r'),
	('ZH', 4611, 'XIY', 3379, 'JDZ', 6380, '', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'KMG', 3382, 'Y', 0, '738\r'),
	('ZH', 4611, 'XIY', 3379, 'KWE', 3394, '', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'KWL', 3372, 'Y', 0, '737\r'),
	('ZH', 4611, 'XIY', 3379, 'LHW', 6431, '', 0, '738\r'),
	('ZH', 4611, 'XIY', 3379, 'LJG', 4033, '', 0, '738\r'),
	('ZH', 4611, 'XIY', 3379, 'NKG', 3388, '', 0, '738\r'),
	('ZH', 4611, 'XIY', 3379, 'NNG', 3373, '', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'PEK', 3364, 'Y', 0, '320 737 330\r'),
	('ZH', 4611, 'XIY', 3379, 'PVG', 3406, 'Y', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'SHE', 4144, '', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'XIY', 3379, 'URC', 3399, 'Y', 0, '737 320\r'),
	('ZH', 4611, 'XIY', 3379, 'WNZ', 6392, 'Y', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'XIY', 3379, 'XNN', 6366, '', 0, '738 320\r'),
	('ZH', 4611, 'XIY', 3379, 'YNT', 3392, '', 0, '320\r'),
	('ZH', 4611, 'XIY', 3379, 'YTY', 8876, '', 0, '320\r'),
	('ZH', 4611, 'XMN', 3383, 'CAN', 3370, '', 0, '320\r'),
	('ZH', 4611, 'XMN', 3383, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'XMN', 3383, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'XMN', 3383, 'KMG', 3382, 'Y', 0, '738\r'),
	('ZH', 4611, 'XMN', 3383, 'NKG', 3388, '', 0, '738\r'),
	('ZH', 4611, 'XMN', 3383, 'NNG', 3373, 'Y', 0, '738\r'),
	('ZH', 4611, 'XMN', 3383, 'NRT', 2279, 'Y', 0, '763\r'),
	('ZH', 4611, 'XMN', 3383, 'NTG', 5475, '', 0, '738\r'),
	('ZH', 4611, 'XMN', 3383, 'PEK', 3364, '', 0, '737\r'),
	('ZH', 4611, 'XMN', 3383, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'XMN', 3383, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'XMN', 3383, 'WUH', 3376, '', 0, '320\r'),
	('ZH', 4611, 'XMN', 3383, 'WUX', 6390, '', 0, '738\r'),
	('ZH', 4611, 'XMN', 3383, 'YTY', 8876, '', 0, '320\r'),
	('ZH', 4611, 'XNN', 6366, 'CGO', 3375, 'Y', 0, '319\r'),
	('ZH', 4611, 'XNN', 6366, 'CTU', 3395, 'Y', 0, '320\r'),
	('ZH', 4611, 'XNN', 6366, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'XNN', 6366, 'WUH', 3376, '', 0, '320\r'),
	('ZH', 4611, 'XNN', 6366, 'XIY', 3379, '', 0, '738 320\r'),
	('ZH', 4611, 'YBP', 4110, 'CAN', 3370, 'Y', 0, '737\r'),
	('ZH', 4611, 'YBP', 4110, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'YBP', 4110, 'SZX', 3374, '', 0, '319\r'),
	('ZH', 4611, 'YCU', 6430, 'CAN', 3370, 'Y', 0, '737\r'),
	('ZH', 4611, 'YCU', 6430, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'YCU', 6430, 'HGH', 3386, 'Y', 0, '320\r'),
	('ZH', 4611, 'YCU', 6430, 'KMG', 3382, 'Y', 0, '737\r'),
	('ZH', 4611, 'YCU', 6430, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'YCU', 6430, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'YCU', 6430, 'TSN', 3368, 'Y', 0, '737\r'),
	('ZH', 4611, 'YCU', 6430, 'URC', 3399, 'Y', 0, '320\r'),
	('ZH', 4611, 'YIC', 9107, 'PEK', 3364, '', 0, '320\r'),
	('ZH', 4611, 'YIC', 9107, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'YIH', 6361, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'YIH', 6361, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'YIN', 6409, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'YIW', 6394, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'YIW', 6394, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'YNJ', 6414, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'YNT', 3392, 'CGQ', 4380, '', 0, '320 CRJ\r'),
	('ZH', 4611, 'YNT', 3392, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'YNT', 3392, 'HRB', 3400, '', 0, '738 737\r'),
	('ZH', 4611, 'YNT', 3392, 'NKG', 3388, '', 0, '738\r'),
	('ZH', 4611, 'YNT', 3392, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'YNT', 3392, 'WUH', 3376, '', 0, '320\r'),
	('ZH', 4611, 'YNT', 3392, 'XIY', 3379, '', 0, '320\r'),
	('ZH', 4611, 'YNZ', 6393, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'YTY', 8876, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'YTY', 8876, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'YTY', 8876, 'SZX', 3374, '', 0, '320\r'),
	('ZH', 4611, 'YTY', 8876, 'WUH', 3376, 'Y', 0, '738\r'),
	('ZH', 4611, 'YTY', 8876, 'XIY', 3379, '', 0, '320\r'),
	('ZH', 4611, 'YTY', 8876, 'XMN', 3383, '', 0, '320\r'),
	('ZH', 4611, 'ZHA', 6357, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'ZHA', 6357, 'PEK', 3364, 'Y', 0, '737\r'),
	('ZH', 4611, 'ZHA', 6357, 'SZX', 3374, '', 0, '738\r'),
	('ZH', 4611, 'ZUH', 6355, 'CKG', 3393, 'Y', 0, '737\r'),
	('ZH', 4611, 'ZUH', 6355, 'CTU', 3395, 'Y', 0, '319\r'),
	('ZH', 4611, 'ZUH', 6355, 'FOC', 3385, '', 0, '738\r'),
	('ZH', 4611, 'ZUH', 6355, 'HYN', 6384, '', 0, '738\r'),
	('ZH', 4611, 'ZUH', 6355, 'NNG', 3373, '', 0, '738\r'),
	('ZH', 4611, 'ZUH', 6355, 'PEK', 3364, 'Y', 0, '737 320\r'),
	('ZI', 21, 'AAE', 220, 'MRS', 1353, '', 0, '319\r'),
	('ZI', 21, 'AAE', 220, 'ORY', 1386, '', 0, '319\r'),
	('ZI', 21, 'ALG', 210, 'CDG', 1382, '', 0, '319\r'),
	('ZI', 21, 'ALG', 210, 'LIL', 1399, '', 0, '320\r'),
	('ZI', 21, 'ALG', 210, 'LYS', 1335, '', 0, '320 319\r'),
	('ZI', 21, 'ALG', 210, 'MLH', 1423, '', 0, '320\r'),
	('ZI', 21, 'ALG', 210, 'MRS', 1353, '', 0, '319\r'),
	('ZI', 21, 'ALG', 210, 'ORY', 1386, '', 0, '320 319\r'),
	('ZI', 21, 'ALG', 210, 'TLS', 1273, '', 0, '320 319\r'),
	('ZI', 21, 'BJA', 209, 'MRS', 1353, '', 0, '320\r'),
	('ZI', 21, 'BJA', 209, 'ORY', 1386, '', 0, '320 319\r'),
	('ZI', 21, 'BKO', 1044, 'ORY', 1386, '', 0, '320\r'),
	('ZI', 21, 'BSK', 235, 'ORY', 1386, '', 0, '319\r'),
	('ZI', 21, 'CDG', 1382, 'ALG', 210, '', 0, '319\r'),
	('ZI', 21, 'CDG', 1382, 'FAO', 1626, '', 0, '319\r'),
	('ZI', 21, 'CDG', 1382, 'ORN', 231, '', 0, '319\r'),
	('ZI', 21, 'CZL', 221, 'LYS', 1335, '', 0, '320\r'),
	('ZI', 21, 'CZL', 221, 'MLH', 1423, '', 0, '320\r'),
	('ZI', 21, 'CZL', 221, 'MRS', 1353, '', 0, '319\r'),
	('ZI', 21, 'CZL', 221, 'ORY', 1386, '', 0, '319\r'),
	('ZI', 21, 'DJE', 293, 'ORY', 1386, '', 0, '320\r'),
	('ZI', 21, 'FAO', 1626, 'CDG', 1382, '', 0, '319\r'),
	('ZI', 21, 'FNC', 4091, 'ORY', 1386, '', 0, '320\r'),
	('ZI', 21, 'LIL', 1399, 'ALG', 210, '', 0, '320\r'),
	('ZI', 21, 'LIL', 1399, 'ORN', 231, '', 0, '320\r'),
	('ZI', 21, 'LIS', 1638, 'ORY', 1386, '', 0, '319 320\r'),
	('ZI', 21, 'LYS', 1335, 'ALG', 210, '', 0, '320 319\r'),
	('ZI', 21, 'LYS', 1335, 'CZL', 221, '', 0, '320\r'),
	('ZI', 21, 'LYS', 1335, 'ORN', 231, '', 0, '320\r'),
	('ZI', 21, 'LYS', 1335, 'QSF', 6492, '', 0, '320\r'),
	('ZI', 21, 'MLH', 1423, 'ALG', 210, '', 0, '320\r'),
	('ZI', 21, 'MLH', 1423, 'CZL', 221, '', 0, '320\r'),
	('ZI', 21, 'MLH', 1423, 'ORN', 231, '', 0, '319\r'),
	('ZI', 21, 'MLH', 1423, 'QSF', 6492, '', 0, '320\r'),
	('ZI', 21, 'MRS', 1353, 'AAE', 220, '', 0, '319\r'),
	('ZI', 21, 'MRS', 1353, 'ALG', 210, '', 0, '319\r'),
	('ZI', 21, 'MRS', 1353, 'BJA', 209, '', 0, '320\r'),
	('ZI', 21, 'MRS', 1353, 'CZL', 221, '', 0, '319\r'),
	('ZI', 21, 'MRS', 1353, 'ORN', 231, '', 0, '319\r'),
	('ZI', 21, 'MRS', 1353, 'QSF', 6492, '', 0, '319\r'),
	('ZI', 21, 'MRS', 1353, 'TLM', 230, '', 0, '319\r'),
	('ZI', 21, 'OPO', 1636, 'ORY', 1386, '', 0, '320 319\r'),
	('ZI', 21, 'ORN', 231, 'CDG', 1382, '', 0, '319\r'),
	('ZI', 21, 'ORN', 231, 'LIL', 1399, '', 0, '320\r'),
	('ZI', 21, 'ORN', 231, 'LYS', 1335, '', 0, '320\r'),
	('ZI', 21, 'ORN', 231, 'MLH', 1423, '', 0, '319\r'),
	('ZI', 21, 'ORN', 231, 'MRS', 1353, '', 0, '319\r'),
	('ZI', 21, 'ORN', 231, 'ORY', 1386, '', 0, '320\r'),
	('ZI', 21, 'ORN', 231, 'TLS', 1273, '', 0, '319 320\r'),
	('ZI', 21, 'ORY', 1386, 'AAE', 220, '', 0, '319\r'),
	('ZI', 21, 'ORY', 1386, 'ALG', 210, '', 0, '320 319\r'),
	('ZI', 21, 'ORY', 1386, 'BJA', 209, '', 0, '320 319\r'),
	('ZI', 21, 'ORY', 1386, 'BKO', 1044, '', 0, '320\r'),
	('ZI', 21, 'ORY', 1386, 'BSK', 235, '', 0, '319\r'),
	('ZI', 21, 'ORY', 1386, 'CZL', 221, '', 0, '319\r'),
	('ZI', 21, 'ORY', 1386, 'DJE', 293, '', 0, '320\r'),
	('ZI', 21, 'ORY', 1386, 'FNC', 4091, '', 0, '320\r'),
	('ZI', 21, 'ORY', 1386, 'LIS', 1638, '', 0, '319 320\r'),
	('ZI', 21, 'ORY', 1386, 'OPO', 1636, '', 0, '320 319\r'),
	('ZI', 21, 'ORY', 1386, 'ORN', 231, '', 0, '320\r'),
	('ZI', 21, 'ORY', 1386, 'QSF', 6492, '', 0, '320\r'),
	('ZI', 21, 'ORY', 1386, 'TLM', 230, '', 0, '320 319\r'),
	('ZI', 21, 'ORY', 1386, 'VKO', 2988, '', 0, '320\r'),
	('ZI', 21, 'QSF', 6492, 'LYS', 1335, '', 0, '320\r'),
	('ZI', 21, 'QSF', 6492, 'MLH', 1423, '', 0, '320\r'),
	('ZI', 21, 'QSF', 6492, 'MRS', 1353, '', 0, '319\r'),
	('ZI', 21, 'QSF', 6492, 'ORY', 1386, '', 0, '320\r'),
	('ZI', 21, 'TLM', 230, 'MRS', 1353, '', 0, '319\r'),
	('ZI', 21, 'TLM', 230, 'ORY', 1386, '', 0, '320 319\r'),
	('ZI', 21, 'TLS', 1273, 'ALG', 210, '', 0, '320 319\r'),
	('ZI', 21, 'TLS', 1273, 'ORN', 231, '', 0, '319 320\r'),
	('ZI', 21, 'VKO', 2988, 'ORY', 1386, '', 0, '320\r'),
	('ZK', 2607, 'AIA', 7067, 'CDR', 7066, '', 0, 'BE1\r'),
	('ZK', 2607, 'ALS', 7073, 'DEN', 3751, '', 0, 'BE1 BEH\r'),
	('ZK', 2607, 'ALS', 7073, 'FMN', 3743, '', 0, 'BE1\r'),
	('ZK', 2607, 'ATY', 5721, 'MSP', 3858, '', 0, 'BE1\r'),
	('ZK', 2607, 'ATY', 5721, 'PIR', 5761, '', 0, 'BE1\r'),
	('ZK', 2607, 'BFF', 5723, 'DEN', 3751, '', 0, 'BE1\r'),
	('ZK', 2607, 'CDR', 7066, 'DEN', 3751, '', 0, 'BE1\r'),
	('ZK', 2607, 'CEZ', 4338, 'DEN', 3751, '', 0, 'BE1\r'),
	('ZK', 2607, 'CYS', 3804, 'DEN', 3751, '', 0, 'BEH BE1\r'),
	('ZK', 2607, 'CYS', 3804, 'WRL', 5777, '', 0, 'BEH BE1\r'),
	('ZK', 2607, 'DDC', 5733, 'DEN', 3751, '', 0, 'BE1 BEH\r'),
	('ZK', 2607, 'DDC', 5733, 'LBL', 4341, '', 0, 'BE1\r'),
	('ZK', 2607, 'DEN', 3751, 'AIA', 7067, '', 0, 'BE1\r'),
	('ZK', 2607, 'DEN', 3751, 'ALS', 7073, '', 0, 'BE1 BEH\r'),
	('ZK', 2607, 'DEN', 3751, 'BFF', 5723, '', 0, 'BE1\r'),
	('ZK', 2607, 'DEN', 3751, 'CEZ', 4338, '', 0, 'BE1\r'),
	('ZK', 2607, 'DEN', 3751, 'CYS', 3804, '', 0, 'BEH BE1\r'),
	('ZK', 2607, 'DEN', 3751, 'DDC', 5733, '', 0, 'BEH BE1\r'),
	('ZK', 2607, 'DEN', 3751, 'EAR', 6129, '', 0, 'EM2\r'),
	('ZK', 2607, 'DEN', 3751, 'FMN', 3743, '', 0, 'BE1\r'),
	('ZK', 2607, 'DEN', 3751, 'LBF', 5748, '', 0, 'BE1\r'),
	('ZK', 2607, 'DEN', 3751, 'LBL', 4341, '', 0, 'BE1 BEH\r'),
	('ZK', 2607, 'DEN', 3751, 'MCK', 7068, '', 0, 'BEH\r'),
	('ZK', 2607, 'DEN', 3751, 'PGA', 4124, '', 0, 'BE1\r'),
	('ZK', 2607, 'DEN', 3751, 'PIR', 5761, '', 0, 'BE1\r'),
	('ZK', 2607, 'DEN', 3751, 'RIW', 6881, '', 0, 'EM2\r'),
	('ZK', 2607, 'DEN', 3751, 'SHR', 5769, '', 0, 'EM2\r'),
	('ZK', 2607, 'EAR', 6129, 'DEN', 3751, '', 0, 'EM2\r'),
	('ZK', 2607, 'FMN', 3743, 'ALS', 7073, '', 0, 'BE1\r'),
	('ZK', 2607, 'FMN', 3743, 'DEN', 3751, '', 0, 'BE1\r'),
	('ZK', 2607, 'FMN', 3743, 'SOW', 7078, '', 0, 'BE1\r'),
	('ZK', 2607, 'HON', 3491, 'PIR', 5761, '', 0, 'BE1\r'),
	('ZK', 2607, 'IGM', 6132, 'LAX', 3484, '', 0, 'BE1\r'),
	('ZK', 2607, 'IGM', 6132, 'PGA', 4124, '', 0, 'BE1\r'),
	('ZK', 2607, 'LAX', 3484, 'IGM', 6132, '', 0, 'BE1\r'),
	('ZK', 2607, 'LAX', 3484, 'MCE', 7122, '', 0, 'BE1\r'),
	('ZK', 2607, 'LAX', 3484, 'PRC', 3446, '', 0, 'BE1\r'),
	('ZK', 2607, 'LAX', 3484, 'VIS', 7121, '', 0, 'BE1\r'),
	('ZK', 2607, 'LBF', 5748, 'DEN', 3751, '', 0, 'BE1\r'),
	('ZK', 2607, 'LBL', 4341, 'DDC', 5733, '', 0, 'BE1\r'),
	('ZK', 2607, 'LBL', 4341, 'DEN', 3751, '', 0, 'BE1 BEH\r'),
	('ZK', 2607, 'MCE', 7122, 'LAX', 3484, '', 0, 'BE1\r'),
	('ZK', 2607, 'MCK', 7068, 'DEN', 3751, '', 0, 'BEH\r'),
	('ZK', 2607, 'MSP', 3858, 'ATY', 5721, '', 0, 'BE1\r'),
	('ZK', 2607, 'PGA', 4124, 'DEN', 3751, '', 0, 'BE1\r'),
	('ZK', 2607, 'PGA', 4124, 'IGM', 6132, '', 0, 'BE1\r'),
	('ZK', 2607, 'PGA', 4124, 'PHX', 3462, '', 0, 'BE1\r'),
	('ZK', 2607, 'PHX', 3462, 'PGA', 4124, '', 0, 'BE1\r'),
	('ZK', 2607, 'PHX', 3462, 'SOW', 7078, '', 0, 'BE1\r'),
	('ZK', 2607, 'PHX', 3462, 'SVC', 6135, '', 0, 'BE1\r'),
	('ZK', 2607, 'PIR', 5761, 'ATY', 5721, '', 0, 'BE1\r'),
	('ZK', 2607, 'PIR', 5761, 'DEN', 3751, '', 0, 'BE1\r'),
	('ZK', 2607, 'PIR', 5761, 'HON', 3491, '', 0, 'BE1\r'),
	('ZK', 2607, 'PRC', 3446, 'LAX', 3484, '', 0, 'BE1\r'),
	('ZK', 2607, 'RIW', 6881, 'DEN', 3751, '', 0, 'EM2\r'),
	('ZK', 2607, 'SHR', 5769, 'DEN', 3751, '', 0, 'EM2\r'),
	('ZK', 2607, 'SOW', 7078, 'FMN', 3743, '', 0, 'BE1\r'),
	('ZK', 2607, 'SOW', 7078, 'PHX', 3462, '', 0, 'BE1\r'),
	('ZK', 2607, 'SVC', 6135, 'PHX', 3462, '', 0, 'BE1\r'),
	('ZK', 2607, 'VIS', 7121, 'LAX', 3484, '', 0, 'BE1\r'),
	('ZK', 2607, 'WRL', 5777, 'CYS', 3804, '', 0, 'BEH BE1\r'),
	('ZL', 4178, 'ABX', 3333, 'MEL', 3339, '', 0, 'SF3\r'),
	('ZL', 4178, 'ABX', 3333, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'ADL', 3341, 'BHQ', 6241, '', 0, 'SF3\r'),
	('ZL', 4178, 'ADL', 3341, 'CED', 6256, '', 0, 'SF3\r'),
	('ZL', 4178, 'ADL', 3341, 'CPD', 6253, '', 0, 'SF3\r'),
	('ZL', 4178, 'ADL', 3341, 'KGC', 4051, '', 0, 'SF3\r'),
	('ZL', 4178, 'ADL', 3341, 'MGB', 6303, '', 0, 'SF3\r'),
	('ZL', 4178, 'ADL', 3341, 'MQL', 6298, '', 0, 'SF3\r'),
	('ZL', 4178, 'ADL', 3341, 'PLO', 6318, '', 0, 'SF3\r'),
	('ZL', 4178, 'ADL', 3341, 'WYA', 6334, '', 0, 'SF3\r'),
	('ZL', 4178, 'ARM', 4062, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'BHQ', 6241, 'ADL', 3341, '', 0, 'SF3\r'),
	('ZL', 4178, 'BHQ', 6241, 'DBO', 3358, '', 0, 'SF3\r'),
	('ZL', 4178, 'BHQ', 6241, 'MQL', 6298, '', 0, 'SF3\r'),
	('ZL', 4178, 'BHQ', 6241, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'BHS', 6249, 'PKE', 6317, '', 0, 'SF3\r'),
	('ZL', 4178, 'BHS', 6249, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'BNK', 4291, 'NTL', 4320, '', 0, 'SF3\r'),
	('ZL', 4178, 'BNK', 4291, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'BWT', 6338, 'MEL', 3339, '', 0, 'SF3\r'),
	('ZL', 4178, 'CED', 6256, 'ADL', 3341, '', 0, 'SF3\r'),
	('ZL', 4178, 'CPD', 6253, 'ADL', 3341, '', 0, 'SF3\r'),
	('ZL', 4178, 'DBO', 3358, 'BHQ', 6241, '', 0, 'SF3\r'),
	('ZL', 4178, 'DBO', 3358, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'GFF', 6271, 'NRA', 6307, '', 0, 'SF3\r'),
	('ZL', 4178, 'GFF', 6271, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'GFN', 6792, 'TRO', 6794, '', 0, 'SF3\r'),
	('ZL', 4178, 'ISA', 3324, 'JCK', 6276, '', 0, 'SF3\r'),
	('ZL', 4178, 'ISA', 3324, 'TSV', 3330, '', 0, 'SF3\r'),
	('ZL', 4178, 'JCK', 6276, 'ISA', 3324, '', 0, 'SF3\r'),
	('ZL', 4178, 'JCK', 6276, 'RCM', 3360, '', 0, 'SF3\r'),
	('ZL', 4178, 'KGC', 4051, 'ADL', 3341, '', 0, 'SF3\r'),
	('ZL', 4178, 'KNS', 6278, 'MEL', 3339, '', 0, 'SF3\r'),
	('ZL', 4178, 'LRE', 6289, 'WIN', 6337, '', 0, 'SF3\r'),
	('ZL', 4178, 'LSY', 6287, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'MEL', 3339, 'ABX', 3333, '', 0, 'SF3\r'),
	('ZL', 4178, 'MEL', 3339, 'BWT', 6338, '', 0, 'SF3\r'),
	('ZL', 4178, 'MEL', 3339, 'KNS', 6278, '', 0, 'SF3\r'),
	('ZL', 4178, 'MEL', 3339, 'MGB', 6303, '', 0, 'SF3\r'),
	('ZL', 4178, 'MEL', 3339, 'MIM', 6294, '', 0, 'SF3\r'),
	('ZL', 4178, 'MEL', 3339, 'MQL', 6298, '', 0, 'SF3\r'),
	('ZL', 4178, 'MEL', 3339, 'WGA', 3363, '', 0, 'SF3\r'),
	('ZL', 4178, 'MGB', 6303, 'ADL', 3341, '', 0, 'SF3\r'),
	('ZL', 4178, 'MGB', 6303, 'MEL', 3339, '', 0, 'SF3\r'),
	('ZL', 4178, 'MIM', 6294, 'MEL', 3339, '', 0, 'SF3\r'),
	('ZL', 4178, 'MIM', 6294, 'MYA', 6302, '', 0, 'SF3\r'),
	('ZL', 4178, 'MIM', 6294, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'MQL', 6298, 'ADL', 3341, '', 0, 'SF3\r'),
	('ZL', 4178, 'MQL', 6298, 'BHQ', 6241, '', 0, 'SF3\r'),
	('ZL', 4178, 'MQL', 6298, 'MEL', 3339, '', 0, 'SF3\r'),
	('ZL', 4178, 'MQL', 6298, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'MYA', 6302, 'MIM', 6294, '', 0, 'SF3\r'),
	('ZL', 4178, 'MYA', 6302, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'NRA', 6307, 'GFF', 6271, '', 0, 'SF3\r'),
	('ZL', 4178, 'NRA', 6307, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'NTL', 4320, 'BNK', 4291, '', 0, 'SF3\r'),
	('ZL', 4178, 'NTL', 4320, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'OAG', 6793, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'PKE', 6317, 'BHS', 6249, '', 0, 'SF3\r'),
	('ZL', 4178, 'PKE', 6317, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'PLO', 6318, 'ADL', 3341, '', 0, 'SF3\r'),
	('ZL', 4178, 'RCM', 3360, 'JCK', 6276, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'ABX', 3333, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'ARM', 4062, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'BHQ', 6241, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'BHS', 6249, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'BNK', 4291, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'DBO', 3358, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'GFF', 6271, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'LSY', 6287, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'MIM', 6294, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'MQL', 6298, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'MYA', 6302, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'NRA', 6307, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'NTL', 4320, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'OAG', 6793, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'PKE', 6317, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'TRO', 6794, '', 0, 'SF3\r'),
	('ZL', 4178, 'SYD', 3361, 'WGA', 3363, '', 0, 'SF3\r'),
	('ZL', 4178, 'TRO', 6794, 'GFN', 6792, '', 0, 'SF3\r'),
	('ZL', 4178, 'TRO', 6794, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'TSV', 3330, 'ISA', 3324, '', 0, 'SF3\r'),
	('ZL', 4178, 'TSV', 3330, 'WIN', 6337, '', 0, 'SF3\r'),
	('ZL', 4178, 'WGA', 3363, 'MEL', 3339, '', 0, 'SF3\r'),
	('ZL', 4178, 'WGA', 3363, 'SYD', 3361, '', 0, 'SF3\r'),
	('ZL', 4178, 'WIN', 6337, 'LRE', 6289, '', 0, 'SF3\r'),
	('ZL', 4178, 'WIN', 6337, 'TSV', 3330, '', 0, 'SF3\r'),
	('ZL', 4178, 'WYA', 6334, 'ADL', 3341, '', 0, 'SF3\r'),
	('ZM', 19016, 'DME', 4029, 'FRU', 2912, '', 0, '734\r'),
	('ZM', 19016, 'FRU', 2912, 'DME', 4029, '', 0, '734\r'),
	('ZM', 19016, 'FRU', 2912, 'OSS', 2913, '', 0, '734\r'),
	('ZM', 19016, 'OSS', 2913, 'FRU', 2912, '', 0, '734\r');
/*!40000 ALTER TABLE `route` ENABLE KEYS */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
